// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_23_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_23_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_23_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_23_latin1_BITMAP_HEIGHT        152
#define STB_FONT_arial_23_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_23_latin1_FIRST_CHAR            32
#define STB_FONT_arial_23_latin1_NUM_CHARS            224

#define STB_FONT_arial_23_latin1_LINE_SPACING          15

static unsigned int stb__arial_23_latin1_pixels[]={
    0xeb800000,0x0eb81d91,0x807d7000,0xeedc986b,0x5500eeee,0xd706b801,
    0xbd9303dd,0x76544015,0x244001be,0x15440000,0x01eeeb80,0x3ae00d4c,
    0xf12fe980,0x40037ee7,0x0fe201aa,0x95005540,0x77f6d403,0x5f9001bd,
    0x01f903fa,0x880df100,0x7fffec1f,0x500fffff,0x905d00bf,0xefb83ddf,
    0xff304fec,0x00dffddf,0x00f402d4,0x2e007f60,0x7f402fee,0x7407e400,
    0x2a7f11df,0xffa805fd,0x007f100f,0x3fc80bf3,0xccefffa8,0x4400effe,
    0x1f903109,0x801f7000,0x7fffdc5b,0x3f2013e5,0x7e435400,0x0fd8dd01,
    0x91057fcc,0x40f6009f,0x02dfffc9,0x5400bd10,0x00bea02f,0x113e60a6,
    0x200fc87f,0x106f8ef8,0x01db007f,0x6fe41a98,0x01dd300a,0x001f9000,
    0xd0be2000,0x27cbffff,0x3f801a80,0x2fc40fe4,0x2ff88b26,0x3e007fa0,
    0xcecff881,0x051000ff,0x53017d40,0x42f98000,0x007dc3f8,0x202a6153,
    0x00a803f8,0x200bf900,0x0e541fe8,0x2e7f24b8,0x0e540bed,0x743e44b8,
    0x13e5ffff,0x0ec807d3,0x03f907e4,0x9f300bfa,0xc981c980,0x2fc80fee,
    0x4409f31d,0x00aceedb,0x03e997d4,0x032a0764,0x43f885f5,0x01f4c1fb,
    0x81fc43b2,0x0aceedb8,0x22fccf10,0x11953dda,0x885f98dd,0x37fbf24f,
    0x17e60ffd,0x909f13e2,0x27cbffff,0x3fb013ea,0x07f22fa8,0xb806ffc4,
    0xff30002f,0x7e83ffd9,0xe981dc3a,0x1fffedff,0x27d4bea0,0x1f907f60,
    0x1fc42fa8,0x09f507ea,0x07f11fd8,0xffdbffd3,0x361f303f,0x3f7bf60e,
    0xd0f70fdd,0x321fb81f,0xd1be61ff,0x261fb81f,0xffff983f,0x09f513e5,
    0x27c41fd8,0xbbd303f9,0x03fb05ff,0x3a1df300,0xe87f46fc,0x21ffcc00,
    0xf500ffa8,0xfb013ea5,0x7dc0fc83,0x3e61fc41,0x36027d42,0xf987f11f,
    0x07fd443f,0xb8fe27e6,0x89bfe23f,0x3a17dc1f,0x7f427e46,0x8dd0bee1,
    0xfff702fa,0x13ea27cb,0x4bf03fb0,0x2a5e81fc,0x03fa0dff,0xbc4bee00,
    0x746fe44b,0x500ff400,0x25f501df,0x0fec04fa,0x81f903f2,0x21fc43f8,
    0x8fec04fa,0x00ff43f8,0x4fd41df5,0xb0bf31f9,0x7c44e8bf,0x5f913e65,
    0x2fc45f70,0x01fb89f3,0xa89f2fd4,0x40fec04f,0xf107f26e,0x365fe887,
    0x0fd8001f,0xfffd80b7,0x009f700b,0x25f505f9,0x0fec04fa,0x27dc43f2,
    0x17e41fc4,0x1fd809f5,0x32013ee0,0x9eebea2f,0x43fb81fb,0xf90fd83f,
    0xf980fc81,0x0fc87ec4,0x2fc007ec,0x404fa89f,0x327d81fd,0xd80ef81f,
    0x0005f91f,0x5401ecfd,0xfc84fffd,0xa84fa801,0xd809f52f,0xfa87e41f,
    0x3607f104,0xd809f51f,0x007f201f,0xdafb93ea,0x0fdc1f65,0x27f505f3,
    0xa81fc86f,0x6f9fd43f,0x5f801fc8,0x809f513e,0x327e81fd,0x41ffa81f,
    0x807f52fa,0x0f9f65f9,0x17ff3a00,0xdf1001fb,0x13ea5f50,0x0fc83fb0,
    0x7f103fd3,0x3ea1bf70,0xb00fec04,0x4df1001f,0x1be5ebfc,0x403ee3ec,
    0xfc83f9ef,0xef81fb83,0x02fa83f9,0xf513e5f8,0xf81fd809,0x7dc07f25,
    0x7c43f24f,0xb93fa00f,0x03ae699f,0x21fe88e8,0x21fe007f,0x809f52fa,
    0x207e41fd,0xf83f886e,0x36027d44,0x07f8721f,0xcbfc9fe0,0xdf303fa7,
    0xbf9027cc,0x88bf901f,0x1fbf907f,0xbf007f30,0x013ea27c,0x24f883fb,
    0x3fa201fc,0x77d42fce,0x260ffb80,0x8bf14cdf,0x17dc3a19,0x1be001fd,
    0x027d4bea,0x81f907f6,0x21fc40fb,0x027d42fa,0xd1fc47f6,0xc9be001f,
    0x5f91facf,0x6f9a7f44,0xc82ffcc0,0x1ffcaeff,0x7c0bff30,0x13e5f805,
    0x0fe809f3,0x03f917d4,0x3207ff70,0xfffcbdff,0xebbffc81,0x0e9be21f,
    0x00fe43f9,0x97d427c4,0x07f404f9,0x83f503f2,0x20fdc3f8,0x87f404f9,
    0x007f23f8,0x9cfc93e2,0xf9bfd13f,0x01dfbffb,0x3f205fd0,0x402dffea,
    0x01ba02fe,0x7c44f97e,0x7dc3f405,0x44007f20,0xfd9502fe,0x7e401bff,
    0x1fd81dff,0x7f51be1d,0xf507f700,0xfd017e25,0x2fa81f90,0x07ee1fc4,
    0x27e80bf1,0x00fea3f8,0xd4fc8fee,0x4b7f661d,0x80623efd,0x443f206d,
    0xa80db000,0x9f2fc02f,0x37c40ff0,0x207f22fc,0x027cc1b9,0x6dc007ae,
    0x33fea009,0x7c43febe,0x03fe200f,0x207f8bea,0x40fc86f8,0x21fc42f9,
    0x207f80fb,0x88fe26f8,0x3fe200ff,0x003be600,0x3e609f70,0x0003f203,
    0x0bd007f3,0x3613e5f8,0xa87fb05f,0x440fe40f,0x2027cc5f,0x3d800eda,
    0xbfffd500,0x207be603,0x5f502fe8,0x3fd82fec,0x42f987d8,0x407e43f8,
    0x47fb05fd,0x0f7cc3f8,0x5c017f44,0xbfb001ff,0x401fd770,0xd77000fc,
    0x03f3001f,0x3a09f2fc,0x5ffccdff,0xabfc84e8,0x754e7e40,0x17dc402f,
    0x10003e20,0xbff5003d,0x305ffb77,0xffe85f95,0x4c5ffccd,0xaef885fa,
    0x3ee27f10,0x337ffa06,0x1fc45ffc,0x6ddeffd4,0xd50102ff,0x95337bdf,
    0x3f607ffd,0x007e401f,0x2001ffd8,0x4f97e05c,0xbfffd910,0xf901f507,
    0xfec885ff,0x7ff402ff,0x00069805,0x3ae6001d,0xf901ceff,0xfec885ff,
    0xefe83dff,0x225ff702,0x405ff73f,0x3dfffec8,0xd7303f88,0x22039dff,
    0xfffb506f,0x4019dfff,0x10000018,0x00510003,0x33006000,0x00330000,
    0x00000062,0x00880004,0x4c018000,0x2a098801,0x18001330,0x08800a80,
    0x8806f880,0x00000099,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2a000aa2,
    0xd364000a,0x01550009,0x220154c0,0x882a882a,0x1544002a,0x000aa200,
    0xd5000554,0x8003f35b,0x5d5002a8,0x3b2003b2,0x2a006b9c,0xa744003d,
    0x22bb02ea,0xbb0ec83e,0x02ffec00,0xd0013ee0,0x2e0037cf,0x3be2004f,
    0x217e402f,0x3ffe82fd,0x000bf200,0xf9000bf6,0x667c00bf,0xfb8006ff,
    0x367f7003,0x6dfd401f,0x5d6003ff,0x5d7e2001,0x3e6ff03f,0x0df0fd84,
    0x0feafee0,0x4001f900,0xd000aa2a,0xd8fe800d,0xf137400f,0x5f95f909,
    0x0009f100,0x7f500374,0x851009f5,0x00bf0001,0x00a98544,0x800110cc,
    0x22001c8d,0x2a01511a,0x15303512,0x515400aa,0x00150005,0x2b3bb6e2,
    0x00151000,0x01a88d44,0x88298544,0x2600aa2a,0x05440002,0x00aa2a80,
    0x2b3bb6e2,0x002a2000,0x0ec807d3,0x0ec809d5,0x80037e40,0x5e8805ea,
    0x7777774c,0x7101eeee,0x20159ddb,0xeeeeeee9,0xfe981eee,0x81fffedf,
    0xeeeeeee9,0x75401eee,0x225e8805,0x00bd105e,0xa8002f54,0x7774c05e,
    0x1eeeeeee,0xfedffe98,0x03ec81ff,0x09f51ed8,0x5ff71fd8,0x3a007ec0,
    0xfe8001ff,0x237c401f,0xfffffffa,0xfe981fff,0x81fffedf,0xfffffffa,
    0x7fcc1fff,0x207fd443,0xfffffffa,0x7f401fff,0x137c401f,0x01be20df,
    0x8001ffe8,0x3ea01ffe,0xffffffff,0x21ffcc1f,0x7c40ffa8,0xa97ee01f,
    0xb8fec04f,0x1fb00fff,0x027e7cc0,0x013f3e60,0x04fa8df1,0x443ff980,
    0x27d40ffa,0x500ff400,0x027d41df,0x13f3e600,0x37c4df10,0xf3006f88,
    0xf98009f9,0x13ea04fc,0xa807fa00,0x837dc0ef,0x13ea0ff8,0x3bee3fb0,
    0x401fb05f,0x000fd8fc,0x803f63f2,0x027d46f8,0xf500ff40,0x0027d41d,
    0x3f2013ee,0x00013ea2,0x401fb1f9,0x41be26f8,0x1f9006f8,0x7e4001fb,
    0x9f500fd8,0x804fb800,0x83fd82fc,0x027d42fe,0x75fdc7f6,0x200fd82f,
    0x4007f76f,0x4407f76f,0x0027d46f,0x3f2013ee,0x90013ea2,0x49f5003f,
    0x7c0004fa,0x7c407f76,0x7c41be26,0x3eedf006,0x7ddbe003,0x8009f503,
    0x4fa801fc,0x3ee1ff88,0x6c04fa84,0xff37f71f,0xf500fd81,0x5401be27,
    0x440df13f,0x0027d46f,0x3ea007f2,0xb0013ea4,0x4df1001f,0x2a0004fa,
    0x440df13f,0x441be26f,0x13fa806f,0x4fea00df,0x09f506f8,0x8800fd80,
    0x22df706f,0x04fa80ef,0x73fb8fec,0xb00fd8bf,0x400fec1f,0x407f60fd,
    0x56fd46f8,0x41aaaaaa,0x6f8800fd,0x2aaab7ea,0x03fc1aaa,0x56fd4ff0,
    0x01aaaaaa,0x01fd83f6,0x837c4df1,0x0fd806f8,0x3f6007f6,0x3ea07f60,
    0xaaaaaaad,0xff003fc1,0x0fed7ec0,0x7ec04fa8,0x17f47f71,0x8bf101fb,
    0x2fc404fa,0x37c413ea,0x3fffffea,0x03fc5fff,0x7ffd4ff0,0x45ffffff,
    0x4df000fe,0xfffffffa,0x8bf105ff,0x4df104fa,0x0df106f8,0x27d45f88,
    0x9f517e20,0xffffff50,0x0fe8bfff,0x7c40df00,0x13ea04ff,0x8fee3fb0,
    0x01fb0ff9,0x01ff05f7,0x07fc17dc,0x33ea37c4,0x09999999,0x6f8007f4,
    0x266673ea,0x0fe40999,0x9f527c40,0x13333333,0x3fe0bee0,0x3e26f880,
    0xb80df106,0x200ff82f,0x40ff82fb,0x99999cfa,0x00fe4099,0x3ee027c4,
    0x2027cc06,0xb87f70fe,0xfd01fb5f,0x7fffffff,0x7fffff40,0x6f883fff,
    0x320027d4,0x24f8801f,0x7d4004fa,0x2a3fb803,0xffd0004f,0x07ffffff,
    0x837c4df1,0x7ff406f8,0x03ffffff,0x3ffffffa,0x027d43ff,0x2e00fea0,
    0x02fcc03f,0x4fd017e2,0xdafe83fb,0x6677cc0f,0x306fcccc,0x999999df,
    0xa8df10df,0x1fd4004f,0x9f51fdc0,0x00ff8800,0x4fa83fe2,0xccef9800,
    0x886fcccc,0x441be26f,0x33be606f,0x06fccccc,0x99999df3,0x04fa8df9,
    0x1007fc40,0x5f9801ff,0x3e207f80,0x3e60fee6,0x0fe40fef,0x3f903fd0,
    0x3e20ff40,0x20027d46,0x3e200ff8,0x0013ea0f,0x3a207be6,0x0027d42f,
    0x3fd00fe4,0x1be26f88,0x3f9037c4,0x7e40ff40,0xfa87fa01,0x1ef98004,
    0x9802fe88,0x05fd805f,0x81fdc7fb,0x3fc0fffb,0x1fe17ea0,0x6f88bf50,
    0x4c0027d4,0x2fe881ef,0xa80027d4,0xffdbbdff,0x8004fa82,0x22fd407f,
    0x41be26f8,0x01fe06f8,0x80ff0bf5,0x013ea5fa,0x5deffd40,0xf3002ffd,
    0x37ffa00b,0x7dc5ffcc,0xa83ffa03,0x07fc404f,0xff8809f5,0xff51be20,
    0xdddddddd,0x77bff507,0xff505ffb,0xdddddddd,0x3ffae607,0xdff501ce,
    0x7ddddddd,0x3e2027d4,0xf89be20f,0x2a0df106,0x07fc404f,0xff8809f5,
    0xddddff50,0x2607dddd,0x01ceffeb,0x44017e60,0x83dfffec,0x3fe603fb,
    0x32007f60,0x2007f63f,0x51be23fc,0xffffffff,0x3ae609ff,0xf501ceff,
    0xffffffff,0x0011009f,0xfffffff5,0x0fec9fff,0xdf11fe40,0x6f8837c4,
    0xf9003fb0,0x6400fec7,0xfffff53f,0x009fffff,0x3e600011,0x00030005,
    0x00000000,0x00000000,0x00000110,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x1f559d70,0x9dd95100,0x00040015,0x76d40400,0x2f4c00bd,0x0037a200,
    0x17300bd7,0xaa744126,0xf31fc02e,0x0b7b2a03,0x88009d70,0x2f5c00de,
    0x17553a20,0x5400ed88,0x6f44004e,0x002f5c00,0x0bffb7f3,0xfdbfff30,
    0xb99001ff,0x3fb2a200,0xff51ae3d,0xf700dfb9,0x017e4007,0x9813f7ea,
    0x104eefef,0x880feabf,0x7e41ee2f,0x6c06fedf,0x0bf2000f,0x409fbf50,
    0x407f55f8,0x0fd804fa,0x500bf200,0x22009fbf,0x3e600622,0x077dc42f,
    0x26015560,0xfffddfff,0x71be22fc,0x00db005f,0xdf1013e2,0x9a5c0fee,
    0x442600bb,0xd83ea009,0x2e0dfa86,0x013a202f,0x3e2027c4,0x84c07f76,
    0x07e40098,0x44013a20,0xbb7c404f,0x17aa003f,0xb803fe20,0x06dec06f,
    0xf705ff10,0x4c3f989f,0x0000003f,0x00000000,0x09d1f200,0x007901fb,
    0x00000000,0x00000000,0x80000000,0x7d401ffe,0x401fd804,0x07fa200a,
    0x3ea3ffc4,0xb7007ec2,0x6dc05bdd,0x36e02dee,0x36e02dee,0x36e02dee,
    0x665c2dee,0xcdfcccfe,0x2a0017e0,0x2a00cded,0x2a00cded,0x2a00cded,
    0x6540cded,0xeb884b80,0x3ae200cd,0x3ae200cd,0x9f3000cd,0x00fc809f,
    0xdb703fb8,0x09f505bd,0xb8ff77a2,0x4413e62f,0x3ffecefe,0x7f677f44,
    0x677f443f,0x7f443ffe,0x443ffece,0x3ffecefe,0x3bbbfbb2,0xbf10eefe,
    0xedffc800,0xdffc80ef,0xffc80efe,0xfc80efed,0x320efedf,0x7ec7e80f,
    0xd81fffdf,0x81fffdff,0x1fffdffd,0x0fd8fc80,0x7cc01fa0,0x7677f445,
    0x80fdc3ff,0x7dcbf76e,0x7e403f22,0x3f237cc3,0x3f237cc3,0x3f237cc3,
    0x3f237cc3,0x7c437cc3,0x17e21ee2,0x2a0dfa80,0x506fd45f,0x20dfa8bf,
    0x06fd45fa,0x407e4bf5,0xa837ee7e,0x506fdc6f,0x20dfb8df,0x76f806fa,
    0x803fc07f,0x21fe47f8,0x407ec6f9,0x5cdf30ed,0x5407f62f,0x04a8fd04,
    0xfd04a8fd,0xa8fd04a8,0x1f50fd04,0xb06f836c,0xfd81fe8b,0x3f607fa1,
    0x3f607fa1,0x3f607fa1,0x4fd01f91,0x22fe80ff,0x22fe80ff,0x02fe80ff,
    0x037c4fea,0x1be200ff,0xff1fa095,0x27f81f90,0x0bfe62fb,0x0ff97310,
    0x03fe5cc4,0x40ff9731,0x207fcb98,0xc87fcb98,0x2fc82747,0x2bfe1fcc,
    0x22fcaaaa,0xcaaaaaff,0x2aabfe2f,0x3fe2fcaa,0x2fcaaaaa,0x22fd01f9,
    0x227f706f,0x227f706f,0x407f706f,0x407f60fd,0x4fa800fd,0x1ff2e620,
    0x441fc8ff,0xf30bee6f,0xfffd709f,0xffd70ffd,0xfd70ffdf,0xd70ffdff,
    0x70ffdfff,0x4ffdfffd,0xfcccfecb,0x3fe20ccd,0x7cc7fcad,0xffffffff,
    0xffffff34,0x3fe69fff,0x4fffffff,0xfffffff3,0x203f29ff,0x2609f37e,
    0x2609f34f,0x2609f34f,0xa8bf104f,0x007f704f,0xffd707f9,0x0fe8ffdf,
    0x49f305f7,0x3fe882fb,0x7e86fbf2,0xfd0df7e4,0x3a1befc8,0xd0df7e47,
    0x21befc8f,0x3ffff67e,0x40ffffff,0x41cfffd8,0x99999ef8,0x33df1099,
    0x22133333,0x999999ef,0x333df109,0x3f213333,0x0bf37e80,0x82fccfea,
    0x20bf33fa,0x05f703fa,0x1ff301ff,0x0ff98cd8,0xfd0df7e4,0x02fabfc8,
    0x817dc5f7,0x20df15f8,0x7c1be27f,0x3fc1be27,0x89fe0df1,0xf98ff06f,
    0x76401ee1,0x2603fe00,0x2603fe0a,0x2603fe0a,0x2603fe0a,0xff01f90a,
    0x0fec07fc,0x43fb01ff,0x01fd80ff,0xfffffffd,0x83bea07f,0x442feffc,
    0xf88ff06f,0x1ff103ff,0x11e457dc,0x2e1be29f,0x2e1be27f,0x2e1be27f,
    0x2e1be27f,0x2e1be27f,0xbb07d47f,0x403f6a00,0x20fe83fc,0x20fe83fc,
    0x20fe83fc,0x90fe83fc,0x367fb87f,0xb07fc42f,0x20ff885f,0x07fc42fd,
    0x666677cc,0x3ee06fcc,0xfffdbbdf,0x7dc37c40,0x980ffc87,0xe97dc2fe,
    0x361feabf,0xfffca9cf,0x32a73f60,0x33f60fff,0x20fffca9,0xffca9cfd,
    0x2a73f60f,0x1b20fffc,0xfb51009f,0x2bbfe201,0x7fc43feb,0x443febae,
    0x3febaeff,0x75d77fc4,0x2affe63f,0x3fe27efc,0x442ffcad,0x2ffcadff,
    0x7e56ffc4,0x403f902f,0x3b2a01fe,0x4febceff,0x7e54e7ec,0x3fba20ff,
    0x2ffdbbdf,0xffb12fb8,0xfffc885b,0x3222fb9e,0x2fb9efff,0x27bfff22,
    0x3ff222fb,0x222fb9ef,0xfb9efffc,0x02f89762,0x4402dff8,0x103dfffd,
    0x207bfffb,0x03dfffd8,0x07bfffb1,0xf93dfff5,0x2dfffd88,0x5bfffb10,
    0x37fff620,0xf501fe02,0x2e02200b,0x77ffe446,0x4d7a2fb9,0x01cefffd,
    0x00180080,0x0006000c,0x88018003,0x000000c0,0x00980026,0x09800260,
    0x06000880,0x01800300,0x7c404fa8,0x2000000f,0x08809801,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x9003fb00,
    0x0000007f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x71000000,0xa7441261,0x0e5402e9,
    0x8039db50,0x880bb06d,0xb00bb04e,0x017d910d,0x764c013a,0x27d5001c,
    0x017ae038,0x22f4c13a,0x80ca81c9,0xca82cda8,0x2a209701,0x8801beec,
    0x402cefdc,0x4e81bdb8,0x666664c0,0x77f7cc4c,0x2abf105e,0x817ec03f,
    0x206d9cf8,0x2ff4c0fb,0x3fa61b60,0x2207dc05,0xfa85eadf,0xfcefb800,
    0xfdf5000f,0x13f7ea09,0x3fb01f88,0x1fb82fa8,0x27ff7fcc,0x13e217e6,
    0x3fbbffe6,0x3ffe606f,0xf705fffe,0x6c87ffbf,0x7ffffe40,0xbb8a5c7f,
    0x04c42600,0x20802a60,0xd05f107d,0x0fd40bb7,0xf102edf4,0x1ea1f505,
    0x3374013a,0xffb5007f,0x7ddbe209,0x3e60f502,0xfb82fa83,0xfd98f741,
    0x3ee07f42,0x1057fcc1,0x0bfe09f9,0xdf889fb3,0x7cc5fb10,0x2667f600,
    0x00000199,0x7fc40000,0x5c80bd01,0x5c807f10,0x136c17a0,0x4007d45f,
    0x017e25f8,0x000fdcfa,0x54002ec0,0x2e1fb82f,0x7dc6f82f,0x3fe23742,
    0xf507fa02,0xf91be209,0x17c4f983,0x5c400bf0,0x2e200cde,0x7dc00cde,
    0x40fc9801,0x82e400ec,0x905c805d,0xf99b201d,0xff8013a1,0x73005f91,
    0x0ca8dd79,0x2a3f84b8,0x5f54b80c,0x83ec3f70,0x997e20fd,0x2027cc4f,
    0x027d41c9,0xfa818857,0x4f882ec4,0xffbffb00,0xfbffb03f,0x07e403ff,
    0x98be6298,0xb85c801f,0x985c800f,0x543e601f,0xa8003ea7,0xc804fdef,
    0x24fffeff,0x4c7e80fc,0x3a03f20f,0x3f905f57,0x41fb8374,0xb81f90fd,
    0xff10002f,0xfe800017,0xafa83dc2,0x7dc0bdc9,0xf71bea0d,0x9837d41b,
    0x2f3e206f,0x4013a27e,0x8017cc5c,0x4027445c,0x0fa4fcef,0x00bffa00,
    0x7e4477ea,0x1fa03f27,0xe80fc8d7,0x3f907f57,0x42fb837c,0xfb0df3fa,
    0x7fd40003,0xb3001bef,0x03f305ff,0xdffdfff7,0x7f407fc3,0x3fa03fe2,
    0x200ffcc2,0x1b60bdc9,0x9d0ea022,0xd8750088,0x1db80886,0x440083ee,
    0xe804fffd,0xf90ff81f,0x44e8fd01,0xf57e80fc,0x3e23fb09,0xdf05f505,
    0x01fd07f3,0xffec9800,0x7f5c03ff,0xfb07d03f,0x45bf2619,0x227f706f,
    0x447f706f,0x2a0001fe,0x4037441f,0x37ffaa6c,0x220fd400,0x227f006e,
    0xff983ffc,0x1bb2ff8a,0x2fc83fc4,0x44fd01f9,0x7407e42f,0x7cc1df57,
    0x7dc17e1f,0x80fdfc82,0x200001fd,0x805ffdb9,0x86c86fc8,0xf35fd018,
    0x7cd3e609,0x7f49f304,0x0fe20001,0x3f501bfa,0x204f9a74,0x06fe83f8,
    0x53d90fb8,0x262fc85f,0x7cc6faff,0x3f27f505,0x03ea7e80,0x2afd01f9,
    0xfffcbeff,0x0fdc1be1,0xfc82ffcc,0xd3000002,0x03fa003f,0x7dc001f5,
    0x7f505f9b,0x9fd417e6,0x200104f9,0x06ded85e,0x07f00fe2,0x36f6c2ec,
    0x24f8fe20,0x7d43fc4d,0x82fc42ff,0xd01f93fb,0x07e42e4f,0xfebfabf4,
    0x1ba1fbdf,0x2fe807e4,0xf9807f50,0x3ea02ec5,0x885f7003,0x4fea002f,
    0x21fd80ff,0x31fd80ff,0x80df109f,0x647e40fb,0xe8817606,0xc81f700e,
    0x3dc06c8f,0x3a3e45f3,0x80ffc80f,0x92fd80fe,0x1fcff01f,0xabfc07e4,
    0x7ec0112f,0x1b607e80,0x3a00ff88,0x500fec4f,0xfd83f47f,0x83f44e82,
    0x885fb0fd,0x10bf60ff,0x207f41ff,0x0be602fb,0x05db59f5,0x37e601f7,
    0xfa85f300,0xf102edac,0x71763f87,0x5ffe887f,0x7fc42fb8,0x7fb87f90,
    0x87f903f3,0x005f57fb,0x09f513e6,0xdf500fe6,0xa81ff701,0x0fe881ef,
    0x1ff10fee,0x43fb8f70,0x37fe25f8,0x7c42ffca,0x42ffcadf,0x6fc9befa,
    0x77542740,0x17cc5ffe,0x27404f98,0x2fff7754,0xf15d87c8,0xcbeff887,
    0x445febff,0x2ffcadfe,0x3f2affe6,0x3e60f77e,0x57efcabf,0x77ec005f,
    0xebb86fda,0xdffc800f,0x901fffcb,0xffb99dff,0xf959ff07,0xf07e605f,
    0x85ff959f,0x02dfffd8,0x05bfffb1,0x073bffee,0x0d9006c8,0x3ffe20bd,
    0x803646ff,0x307f106c,0xd101dfdf,0x3623dfff,0xefffd885,0x9efffa81,
    0x7d40bb7c,0xf57c9eff,0xfffc8005,0x01ffd80c,0x3fffb2a0,0x7ff5400d,
    0xd7101dff,0x3f803dff,0x0f7ff5c4,0x00300060,0x0e4400cc,0x064c2980,
    0x2aaaaa88,0x14c00722,0x00d40498,0x13002018,0x02601100,0x00000220,
    0x0006200c,0x22000310,0x80044001,0x00022008,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,
    0x001bdfdb,0x10039b71,0x0159ddb7,0x2f7f6e20,0x02f6a001,0x9dfb7310,
    0x80b90005,0xbdc984e9,0x5f75cc01,0x07d30200,0x2e950ec8,0x36a00bed,
    0x3ae4a8ce,0x2a9d1000,0x19db702e,0xeeeea895,0x5d502cce,0x200ec800,
    0xbefc80ed,0x200dfdba,0x0ffeefe9,0xfdbffd30,0xefc803ff,0x00dfdbab,
    0x17ffbfee,0x76f7ff44,0x3f4004ff,0xff917e60,0x3ea07ffd,0x441ffddf,
    0x2027d43e,0xbfbf91fd,0xffb01ffb,0x7e4fdffb,0x2abf1000,0xfcffd83f,
    0x7ffd47de,0x42efffff,0x7d4003fa,0xf90bf504,0x403ba201,0x213ea1fe,
    0x7d443ff9,0x201f900f,0x1dd00ee8,0x3fa20fe4,0x004fd883,0x4bf301fa,
    0x5f911efa,0x3e20ff88,0x3ea1fcc6,0xfc8fec04,0xf71be61f,0xc9ff6219,
    0x4426000f,0xb127dc09,0x443fa8ff,0x3ea0ffc9,0x81fd8003,0x4c7640fe,
    0x1b621aaa,0x21f60fea,0x3bea01fe,0xca887640,0xf50db10b,0x7ec5f887,
    0x8007f402,0xd2fcc07e,0xfa8ff05f,0x3e61fc84,0x36027d43,0xfd09f91f,
    0x3e607fc3,0x00003f27,0x7f981fd0,0xbf501fd4,0x6f7777d4,0x8bf300bc,
    0xd8fc43fb,0x3a0eeeef,0xf7003f42,0x445f9009,0xfb9fd11f,0x0fea1743,
    0x02fc4df1,0x76d406d4,0x7cc07e8c,0x0fe41fe5,0xfb5007f7,0x013ea19b,
    0x20bf23fb,0x20df12fb,0x36e3f27f,0x406540ce,0x3e0df14b,0x3a01fd47,
    0xfffff51f,0x3207ffff,0xa81ff12f,0x647f1366,0x1ba8b7c4,0xf5003f90,
    0xb8bd3549,0x1df11325,0x07f51fe4,0x7effec00,0xafcc07fe,0x45f906f8,
    0xfeb805fa,0x809f51ee,0x301f91fd,0x6c13e69f,0x3b7fbf27,0x203f21ff,
    0x3609f37e,0x2e01fd47,0x5107f52f,0x2df103ff,0x364c82fc,0x46a8be24,
    0xdffffbdf,0x44007ec0,0x17c5326f,0x3fa61aa0,0x17e43ffe,0x10cfb800,
    0x5f980ffb,0x4ffe03fe,0x0199ef98,0x09f50fe6,0x03f91fd8,0x413e27f5,
    0xa87ff27e,0x3a03f26f,0x1fa0df17,0x4fa807f5,0x27dc07f5,0xd06fbfb8,
    0x27f77ec5,0x7ffc43e2,0x7c5fda8c,0x2e9fe007,0x0f8801f3,0x1fff7f4c,
    0x332a03fa,0x03fa3ccc,0x5f980ff1,0xffb833f2,0xffffff93,0xf50fe601,
    0xf91fd809,0x36c3f707,0x09f93fc4,0x203f23fd,0xf103fe7e,0x7fffffcf,
    0xfaafcc4f,0xc997e603,0xccdfffcc,0xdadd8f63,0x3fe27985,0x3fa1ff83,
    0x9ecdf000,0x23cc01f9,0xbf911dfa,0x7fdc0fec,0x0df15fff,0x4bf301fa,
    0xcffdffe8,0x59fb532f,0x2a1fcc05,0xc8fec04f,0x2a3fc45f,0xf93fe43f,
    0x3f27f905,0x0ff27e80,0x67dccff7,0xa7d40999,0x8fee03fa,0xeffeeee9,
    0x4d96e4ee,0x7c4b913a,0x322fc80f,0x24f8801f,0x4f513e5b,0x7407ec5c,
    0x3107f70f,0x3e6bf533,0xf980fb04,0xa9dfec85,0x4017dc1f,0x027cc3f9,
    0x77fe43fa,0x7441ffca,0x27fffcff,0x94fa80fc,0x7c4fd01f,0x47ffdadf,
    0x97dc03fa,0x1fd303fa,0xf3027cc0,0x22f99361,0xfb83fc2e,0x2e00fea2,
    0x7d43e63f,0x8ba3fbad,0x27f706f8,0x5f8805f9,0x45fa0bf1,0x8027cc0a,
    0x00fe40fb,0x17e21fcc,0x757e4fd0,0xd9102dff,0x7e4fd3bf,0x1f93fb80,
    0xffd88fd0,0x1fd47eaf,0x77d47f60,0x4fffeeee,0x77ee664c,0x476c3ccc,
    0x0ecadc3c,0x0fec07ec,0x7c401ff1,0xb8876c0f,0xf03b22de,0xff8bf20d,
    0xff2fc402,0x9f57f881,0x412a3fa8,0x3005f87e,0x440ff07f,0x0443f26f,
    0x3f27e800,0x1f92fd82,0xfd0c0ff0,0x3e603fa8,0x3ffffea7,0xee982def,
    0x4eeeffee,0x3b200ed8,0x7c44fa80,0x881ef987,0x01db02fe,0x17ec0764,
    0x7ff307fc,0xfc97fa60,0x6f9bfdc2,0x85f717e4,0x047e43fa,0x7ec1fcc0,
    0x7e47fb05,0xf30dd000,0x3e22fe4b,0xff70ff26,0x7f51fa00,0xfa87faa0,
    0x27cc0003,0xa8aced80,0x3f600eec,0x501ffbad,0xffb77bff,0x8aced805,
    0xf100eeca,0x07ff757f,0xdb9bfff3,0x7f4419ff,0x367ffdad,0x40efdcef,
    0x45fcabfe,0xcefffffb,0x33be23ec,0x666fff41,0x007e45ff,0xeb9adfc8,
    0x2b7ff21f,0x3fe62ffc,0x007efcab,0xeeefa8fd,0x543fffee,0x7cc0003f,
    0x3fb2a004,0xfc800bdf,0x5cc02eff,0x001ceffe,0x17bffd95,0xffffd880,
    0x3ff6e202,0xfb101def,0x6c4fb5ff,0xc980dfff,0x7d40beff,0xfffecaac,
    0x221ffe44,0x83dfffec,0x3b2000fc,0x7e41efff,0xa81effe9,0x07c9efff,
    0xfffa8fd0,0xa80cefff,0x7cc0003f,0x00010004,0x04400044,0x80002000,
    0x00980009,0x00c40040,0x31008010,0x00c00401,0x00310000,0x00440044,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x64c00000,0xccc80def,0x32cccccc,
    0xeeeea8bd,0x74c0bcde,0xeeeeeeee,0xeeeed803,0x0eeeeeee,0xed80f74c,
    0xec807d31,0x43aebd10,0x15d800eb,0x75c3ae9d,0x17aa0000,0x00f7ec40,
    0xda880ba6,0x017540bd,0x3baa1bd7,0x502cceee,0x7dd5005d,0xd13ee880,
    0xfd9ffb0d,0xfffff83f,0x3f23ffff,0x3ffffea2,0x3e63ffff,0xffffffff,
    0x7fffdc04,0xffffffff,0x03bbba20,0x027d49f5,0xcb7c47f6,0xd001f90f,
    0x87e57e2f,0x3a0000fc,0xefe801ff,0x81ff400d,0x0fffeffc,0x7fdc0fee,
    0x3ffffea1,0x7dc2efff,0x06ffb803,0x7f9a7fdc,0x17e62fcc,0xf3333333,
    0x3ea6d81f,0x31ffa883,0xff80009f,0x36005f88,0x2f45f99f,0x3fb013ea,
    0xc87e5be2,0x2618800f,0x03f21530,0x27e7cc00,0x6401be20,0x0dfb83ff,
    0x83fb93ee,0x1fd40ffb,0xb83ff262,0xfffb803f,0x4d3ff601,0x6c0fec7f,
    0x02fd800f,0x3ee03fa8,0x40009f34,0x00bf14fb,0x09f50000,0x2df11fd8,
    0x001f90fc,0x000fc800,0x01fb1f90,0x7cc027cc,0x81fd83fd,0xf70fee7e,
    0x407f501d,0x00fee5fb,0x440ff3ee,0x8ff34fdf,0x803f702a,0x547904fa,
    0x4d7e603f,0x3fa0004f,0x9000bf10,0x9f50f207,0xdf11fd80,0x207e43f2,
    0x543c81cb,0xdb71f90c,0x2edf0039,0x9dfb703f,0x3eb7a205,0x3f904b83,
    0x0efb8fee,0xfe807f50,0xf7007f71,0x2bee0dd5,0x200ff14f,0x77c407e8,
    0x1fd4bf00,0x13e67f70,0xf127d400,0x20bf000b,0x2027d45f,0x32df11fd,
    0x7ec1f90f,0x0fc8bf04,0xffdbfdf9,0xf89fd405,0x7dffd906,0x0fea3f60,
    0x3ee1ff00,0x5401df73,0xb97e403f,0xcafb803f,0x4f9de81f,0xfd100df1,
    0x203fc805,0x4c0fea5f,0x55bf30fe,0x74035555,0x2abbe20f,0xbf01aaaa,
    0x9df517e0,0xfd999999,0x87e5be23,0x407f90fc,0xfc87e45f,0xd817ea0f,
    0x4c07f60f,0x54bea04f,0x93ee003f,0x03ffbbfb,0x3ee01fd4,0xf7007f74,
    0xaf887f35,0x101be4f9,0x1ff007fd,0xddf52fc0,0x4bfffddd,0xfffffff9,
    0x88bf504f,0xffffffff,0x17e0bf04,0xfffffff5,0x3e23ffff,0x23f21f96,
    0x22fc03fc,0xf05f90fc,0xf517e20f,0x4413e609,0x400fea4f,0x3bee0efa,
    0x2a00ffef,0xbafcc03f,0xd2fb803f,0x49f37b8d,0x01fe405f,0x97e027d4,
    0xeffffffa,0x556fcc2d,0xfd01aaaa,0x999ef883,0x0bf00999,0x809f517e,
    0x32df11fd,0x0dfbf90f,0x90fc8bf0,0x2e0fb03f,0x980ff82f,0xfa8db04f,
    0x40efa803,0x6fb8effb,0xf500fea0,0x2e00fee9,0xaf43f72f,0xf017a4f9,
    0x007f600b,0x001fd4bf,0xfa8009f3,0x5fffffff,0xbf05f800,0x7ec04fa8,
    0x43f2df11,0x403feffc,0xfc87e45f,0xffd07d80,0x07ffffff,0x37f709f3,
    0x0139f733,0x3ee03bee,0x5413f60d,0xb9fdc03f,0x32fb803f,0x7ccbe27f,
    0x4f9813a4,0xf805f880,0x9800fea5,0x77f4004f,0x05feeeee,0x8bf05f80,
    0x8fec04fa,0x321f96f8,0x7c03fd3f,0x0fc87e45,0xcef987d8,0x86fccccc,
    0xfffd84f9,0x83ffffff,0x7f700efc,0xfa82ff88,0xfb97ec03,0x3a2fb803,
    0xb27ccf76,0x400d4409,0x25f803fa,0x3e6003fa,0x417e6004,0x5f8005f8,
    0x04fa8bf0,0x96f88fec,0x7cc3f21f,0x1f917e06,0x21f603f2,0x07fa01fc,
    0x555309f3,0x815bf955,0x1fdc05fc,0x3ea07fd4,0xfb9be603,0x2e2fb803,
    0x93e64e9f,0xf7000019,0x7d4bf005,0x013e6003,0xbf101fd8,0x3e0bf000,
    0x36027d45,0x3f2df11f,0x1fe41f90,0xc87e45f8,0x7f87d80f,0x3e62fd40,
    0x20fea004,0x3fb805fa,0x3fa8df90,0x7dc5fd50,0x262fb803,0x13e61fdf,
    0xd805fa80,0x2a5f800f,0x13e6003f,0xf1037cc0,0xdddddddf,0x17e0bf05,
    0x1fd809f5,0x643f2df1,0x207fe20f,0xfc87e45f,0x27d47d80,0xf983fe20,
    0x20fea004,0xeeeeeeff,0x7407f71e,0x3bbbea4f,0x5c3fffee,0xeeeeeeef,
    0x7fe85f74,0x07f8a7cc,0x1fa017ea,0x07f52fc0,0xd8027cc0,0x3ffe202f,
    0x83ffffff,0xfa8bf05f,0xf88fec04,0x03f21f96,0xc8bf0df5,0xfb01f90f,
    0xfc801fd8,0xa8013e63,0x7fffcc3f,0xf72fffff,0xa8ffcc07,0xceffffff,
    0xfffffb81,0x85f75fff,0x8a7cc4fb,0x0000007f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x6404ea80,
    0xddddd50e,0x0dc40579,0xd91e4019,0xdddddddd,0x6c01f649,0x8807b61e,
    0x5407ae5d,0x643b205e,0x32eb801e,0xdddddddd,0x3bba63dd,0x80acdeee,
    0xeeeeeeea,0x7910eeee,0x80006a20,0x26666660,0x19529999,0xbdb70970,
    0x2b7b6a39,0x37bb6e00,0x3ee1e442,0x5c3f602f,0xffffffff,0xfdffdf04,
    0xffb27dc0,0xdfffffff,0xf700ffc4,0xd00efa8b,0xd81fd43f,0x26f881ff,
    0x0fe804fa,0xfffffff5,0x3bea3fff,0xefffeeee,0x7ffffdc1,0x10ffffff,
    0x00fe60df,0xd55bdb71,0x1f928014,0x6ff44fd0,0xdffdffec,0xefe886fe,
    0x3e23ffec,0x807ffdc6,0x887f70fd,0x8b4c3fe9,0x9ff901ca,0x70bfa200,
    0x03fe20df,0x0ff213f2,0x3f7e0bf1,0x3e24f984,0xf52fcc07,0x827d4009,
    0xfc806fc9,0x4c0aa201,0x3ffe603f,0x00a2fffd,0x7e80fc94,0x9ff707f2,
    0x3f227d41,0x0aa37cc3,0x360bfdf7,0x2607f70f,0xfd30005f,0x3f6009fd,
    0xfd07fb04,0xf517f405,0x3ea1fa0b,0x42fb86ea,0x87f202fc,0x3ea004fa,
    0x2007fc04,0x260001fc,0x88bfa03f,0x9400a3ff,0x2e7e80fc,0xe80ff883,
    0x3f412a0f,0x17f5fdc0,0x03fb87ec,0xdba54bf1,0x45fec1de,0x05fc804f,
    0x4fb87fe2,0x7c47fcc0,0xc83f900f,0x3ec0fc8f,0x8df02fcc,0x3ea004fa,
    0x200fec04,0x2a2001fc,0xaaadfbaa,0xfdd8bf51,0xfc9400a7,0x2e607e80,
    0xaaaaaffc,0x973101fd,0x37f700ff,0x70fd81ff,0xc8fee07f,0x2ffdefcf,
    0x2027c42a,0x7dc00efa,0x7001df16,0x5403fbbf,0x2faaf43f,0x80fe82fc,
    0x027d43fa,0x7c409f50,0x001fc806,0x3fffffe6,0x47f73fff,0x050fc8fb,
    0x7407e4a0,0x6ffff5c7,0xffffffff,0x7fff5c3f,0x3fb807fe,0x70fd8bf7,
    0xfb9999bf,0x261efc89,0x409f106f,0xfb001ff9,0x74003fb5,0x2fc404ff,
    0x993e27f1,0xb05f703f,0xaadfa81f,0x2a1aaaaa,0xba9999cf,0x1fc804fe,
    0x2eaaa200,0xf91aaadf,0x8fe47e63,0x03f25002,0x1bdfc9fa,0x33333df1,
    0x5f7e4133,0x3ee01fa1,0x0fd8bfa3,0xfffffff7,0xe82fc85f,0x2209f107,
    0x3e2002fe,0x7d4004ff,0x2a6e801f,0x1fb9fa1f,0x5f88bf10,0xffffffa8,
    0x3fea5fff,0x2dffffff,0x0003f900,0xafc81fcc,0x143f63e8,0xf01f9280,
    0x3e21be2f,0x3e215307,0xf700ff06,0xfd87fcc7,0x33339f70,0x0fe4bfb5,
    0x04f883ec,0xf70009fb,0xfff8800d,0xfb0fc806,0x80fb1fb8,0x20bee0fd,
    0x99999cfa,0x2b7ea099,0x4005fdba,0x260001fc,0xbb7f503f,0x20053fc4,
    0x7fb87f92,0x5ffb0bf1,0x1be26f88,0x3ee01fee,0x0fdafdc3,0x8fec07f7,
    0x107d80fc,0x00bf909f,0xb0017e60,0x9809fb5f,0x2f98bf2f,0x23fa809f,
    0x009f507e,0x2fe427d4,0x4403f900,0x207f306f,0x3ee0eff8,0xf99400a5,
    0x27efcabf,0xbfda9cfd,0x1febacfe,0x7e54e7ec,0xb8df10ff,0xfdafe83f,
    0x7dc07f70,0x0fb01f93,0x1df513e2,0x017e6000,0x5fd14fb8,0x82f9cf80,
    0xf802f9cf,0x3ea09f36,0x413ea004,0x3f9004fd,0xa8837c40,0x2afbf201,
    0x400a0ffe,0x27bffea2,0x3fff227c,0x37fff60d,0xefffc882,0x8df12fb9,
    0xeff983fb,0x6407f70f,0xfb01f93f,0xff993e20,0x17e60001,0xf3077cc0,
    0x7df6c01f,0x00fbed80,0x00fc9fc8,0x7d4009f5,0x005ff104,0x159803f9,
    0x99999999,0x3f73e259,0x80140bef,0x03000882,0x00060018,0xffb81fdc,
    0x2607f70f,0xb01f91ff,0x7453e20f,0x7cc0002f,0x81ff8805,0x3bee05fc,
    0x00dbf706,0xa817afe2,0x13ea004f,0x6400ffb8,0xf99e401f,0xffffffff,
    0x2a008713,0xaaaaaaaa,0x0000003a,0xfb800000,0x5c3ffa03,0xfeeeeeef,
    0x3603f23f,0x3f29f107,0xeeeeeeef,0x02fcc06e,0x7fd01fec,0x4413fe60,
    0x3fa004ff,0x3bfea02f,0x3eeeeeee,0x4fd809f5,0x9100fe40,0x00000000,
    0x00000000,0x3ee00000,0x5c3fe603,0xdeffffff,0x3ec07e41,0xfff94f88,
    0xffffffff,0x5c05f980,0x0ffcc05f,0x3fa01ff8,0x01fea001,0xfffffff5,
    0x13ea9fff,0x6403ff10,0x0000001f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4c000800,0x47a61880,
    0xb26400da,0x2006a207,0x3b2605f8,0x2a5d80be,0xeca81ced,0x3bb6a02d,
    0x37b6a01c,0x37ae200c,0xedba540c,0x439d930c,0x83bdb74a,0x2a3ec8ca,
    0x8007900c,0x50970000,0x912c8839,0x64459509,0x2ccccccc,0x073a0110,
    0xe883be20,0x05e9b60f,0x807dc7ea,0xffc804fa,0x7f53bd01,0xcf8aff4c,
    0x6ffe46d9,0xdffa86fe,0xffc82ffd,0xfd80efed,0x321fffdf,0xaeffdfcf,
    0xf90ffdef,0x45ffbdf9,0x266ffdfc,0x004f984f,0xb9a6cd93,0x07f23f31,
    0x22fa89fd,0x83be23fd,0xfeeeeee8,0x320dd02f,0x7dc02eff,0x4c2fe88e,
    0xf107f34f,0xe9813e69,0x04fdf803,0xbe976213,0x2a7d825d,0xd0bee0df,
    0x7d46f88d,0xf717ea0d,0xf937d41b,0x517fec1f,0x987bf27f,0x223bf26f,
    0x0fe43f40,0xd93ffaa0,0xefffffff,0x7fc47f30,0x3fe23ec7,0x2e003fd0,
    0x881ba05f,0x700cfffb,0x3207fddf,0xfd83fb1f,0x99981fd0,0x40999999,
    0xa80fc9fb,0x5c86fffd,0x1fb0ffc4,0x40ef8790,0x6c0ff419,0x3a03fe1f,
    0xfb87f92f,0x05f95f86,0x701fe4fd,0x9106f83f,0xff017fff,0xf85fd739,
    0xf83f3ea5,0x3fbdfa85,0xe80df500,0xbffb5006,0x407ff703,0x5cdf36f8,
    0xf987f74f,0xffffffff,0x43f8b743,0x90db1cfa,0x3e1f930b,0x37ff2005,
    0x555ff00a,0x3e25f955,0x3f27f706,0xb7c27cc1,0x327d81fc,0xa93e201f,
    0x6ffecc3f,0xf313e602,0x3f90fc89,0x640be65f,0xdf3005ff,0xee999881,
    0x6c400999,0x77ff446f,0x3ee7f500,0x2fc5be23,0x33333322,0x8fea2ccc,
    0xf887d47d,0x4c535c86,0x4005f8af,0x20dffffb,0xfffffff9,0x209f34ff,
    0x981f94f9,0x1f96f83f,0x007e4fb0,0x740fc9f6,0x0fb800df,0xe97d46e8,
    0x403f2bf4,0xf8802ff8,0xffffe81f,0x2606ffff,0x3fa24ffd,0x6f80efbb,
    0x27f50bf1,0x026202fb,0x0bea0fd8,0x90fbddff,0x5faf3e2b,0x730005f8,
    0x3be21ffd,0x09999999,0x4fea0bf3,0x41fcc0fc,0xfb01f96f,0x3ea007e4,
    0xffc85f8a,0x217d401d,0x467c45f8,0x817afb2f,0x2200effd,0x999701fe,
    0x887999ff,0x220cffeb,0x83bee3fe,0x201f90fc,0x540db0fd,0xf09f304f,
    0x02a2350d,0x05ee4c75,0xa89760df,0x3fe2fc81,0x3fe0a980,0x1f91fd80,
    0x96f83f98,0x7e4fb01f,0x7d6fc400,0x7dff9102,0x6443be01,0x0faed82f,
    0x2a07f5f7,0x3604facf,0x41ba003f,0x203effc9,0x3e25b83d,0x74405f33,
    0x3a607f14,0x00000003,0xf30bf200,0x1fc86f87,0x83fa0ff2,0x87fc42fd,
    0x41fcc0fc,0xfb01f96f,0x7e4007e4,0xffd5007d,0x77ffd439,0xefb84fff,
    0x203fbe26,0x05fb0ff8,0x6e8009fb,0x0003bfd0,0x00310c40,0x00004411,
    0x00000000,0xff95bff1,0xf957bf70,0xbaeff88d,0x6ffc43fe,0x3f22ffca,
    0xb7c1fcc0,0x327d80fc,0x4ff9800f,0xf37ecc00,0xf95bd95d,0x744ff885,
    0x445fb06f,0x2fbee0ff,0xd03ccccc,0x00002e0d,0x00000000,0x00000000,
    0x9fffb100,0x3fff6e03,0xfffd880d,0xfffb103d,0x4c0fc85b,0x1f96f83f,
    0x007e4fb0,0x10001fe8,0x205004c7,0x41fe42fe,0x25fa85fb,0xfffffffc,
    0x0007706f,0x00000000,0x00000000,0x00600000,0x02600188,0x00000180,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0xc981ceb8,0x309b02de,0x55555555,0x2aaaaa63,
    0x3b6a1aaa,0x6dd76042,0x50189761,0x20a817bb,0x33333119,0x99999998,
    0x22209999,0x88888888,0x3ae17640,0x07ae5d33,0x00000000,0x00000000,
    0x00000000,0x3fb7db00,0x07ed67c4,0xffd0cf23,0x2dffffff,0xfffffffe,
    0x3d35d16f,0xfb7f9be2,0x88d73fc3,0xcdfffffe,0x26df10fd,0xf30fffff,
    0xffffffff,0x3ffe69ff,0xffffffff,0x6f89ba24,0x00fe4fea,0x00000000,
    0x00000000,0x00000000,0x126c3f10,0xef897cc5,0x5530fede,0x2dd55555,
    0xaaaaaaa9,0x8ad4771a,0x0fedfe6f,0x887754ff,0xfffc989e,0x6457a24f,
    0x2220cccc,0x88888888,0x26666620,0x40999999,0x441f72f9,0x00013109,
    0x00000000,0x00000000,0x40000000,0xd883dc7a,0x057fd446,0x5000dd00,
    0x74b325c9,0x137c1f96,0x153003f7,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x1b20fa80,0x37603ba6,0x0374004e,0x20fdde80,
    0x23d5763c,0x009ffd4d,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3a27f000,0xf982fcc3,0x3a001f98,0xddddddb6,0x442a8bdd,
    0x54288cc4,0x00000311,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3077f7dc,0x085999ff,0x32990002,0xeeeeeeee,0x00000004,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x37100000,
    0x59999950,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_23_latin1_x[224]={ 0,1,0,0,0,1,0,0,1,1,0,1,1,0,
1,0,0,2,0,0,0,0,0,0,0,0,1,1,1,1,1,0,1,-1,1,1,1,1,1,1,1,1,0,1,
1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,1,0,0,0,-1,0,0,1,0,0,0,0,0,1,1,
-1,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,1,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,1,0,0,-1,
1,0,0,0,0,1,1,0,0,-1,1,0,0,0,2,1,0,1,1,1,0,1,1,1,0,1,-1,-1,-1,-1,
-1,-1,0,1,1,1,1,1,0,1,-1,0,-1,1,0,0,0,0,0,1,0,1,1,1,1,0,1,1,0,0,
0,0,0,0,0,0,0,0,0,0,0,1,-1,0,0,1,0,0,0,0,0,0,1,1,1,1,1,0,1,0,
 };
static signed short stb__arial_23_latin1_y[224]={ 18,3,3,3,1,3,3,3,3,3,3,5,15,11,
15,3,3,3,3,3,3,3,3,3,3,3,7,7,5,7,5,3,2,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,20,3,7,3,7,3,7,3,7,3,3,
3,3,3,7,7,7,7,7,7,7,3,7,7,7,7,7,7,3,3,3,9,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,18,7,3,3,5,3,
3,3,3,3,3,8,7,11,3,0,3,5,3,3,3,7,3,9,17,3,3,8,3,3,3,7,-1,-1,-1,0,
0,0,3,3,-1,-1,-1,0,-1,-1,-1,0,3,0,-1,-1,-1,0,0,6,2,-1,-1,-1,0,-1,3,3,3,3,
3,3,3,2,7,7,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,6,6,3,3,3,3,3,3,3,
 };
static unsigned short stb__arial_23_latin1_w[224]={ 0,4,7,12,11,17,14,3,6,6,8,10,3,7,
3,6,11,6,11,11,11,11,11,11,11,11,3,3,10,10,10,11,20,15,12,14,13,12,11,14,13,3,9,13,
10,15,13,16,12,16,14,13,13,13,14,20,14,14,13,5,6,5,10,13,5,11,10,11,10,11,7,11,10,3,
5,10,3,15,10,11,10,10,7,10,6,9,11,15,11,11,10,7,3,7,12,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,3,10,11,11,13,
3,11,7,16,8,9,10,7,16,13,6,11,7,7,4,10,12,3,5,4,8,10,16,16,17,11,15,15,15,15,
15,15,20,14,12,12,12,12,5,5,8,6,15,13,16,16,16,16,16,10,16,13,13,13,13,14,12,11,11,11,
11,11,11,11,18,11,11,11,11,11,5,5,8,6,11,10,11,11,11,11,11,11,11,9,9,9,9,11,10,11,
 };
static unsigned short stb__arial_23_latin1_h[224]={ 0,15,6,16,20,16,16,6,20,20,7,11,6,3,
3,16,16,15,15,16,15,16,16,15,16,16,11,14,11,7,11,15,21,15,15,16,15,15,15,16,15,15,16,15,
15,15,15,16,15,17,15,16,15,16,15,15,15,15,15,20,16,20,9,3,3,12,16,12,16,12,15,16,15,15,
20,15,15,11,11,12,16,16,11,12,16,12,11,11,11,16,11,20,20,20,4,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,16,20,16,11,15,
20,20,3,16,8,10,7,3,16,3,6,13,8,8,3,16,20,3,6,8,8,10,16,16,16,16,19,19,19,18,
18,18,15,20,19,19,19,18,19,19,19,18,15,18,20,20,20,19,19,10,17,20,20,20,19,19,15,16,16,16,
16,16,16,17,12,16,16,16,16,16,15,15,15,15,16,15,16,16,16,16,16,9,13,16,16,16,16,20,20,20,
 };
static unsigned short stb__arial_23_latin1_s[224]={ 22,250,60,135,142,89,107,68,57,91,18,
157,56,95,252,144,172,39,183,225,171,244,18,13,64,112,249,168,95,38,168,
1,1,147,15,196,209,126,44,76,92,106,102,195,223,234,1,30,31,17,139,
211,154,143,111,90,75,60,46,98,237,171,223,103,131,237,180,1,91,24,163,
168,136,132,191,114,110,48,64,36,157,201,75,13,136,208,83,118,134,184,146,
197,205,209,78,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,
196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,196,22,252,131,
124,106,241,231,104,142,47,234,201,27,95,1,117,49,172,10,248,137,161,64,
91,72,243,1,190,72,55,37,25,114,98,61,1,219,203,56,116,18,48,130,
242,77,83,89,235,212,189,154,235,1,143,31,179,46,77,177,217,175,160,228,
63,75,87,99,111,123,34,218,148,160,172,184,196,25,86,77,125,122,28,218,
230,242,1,13,211,184,208,151,134,191,45,34,22, };
static unsigned short stb__arial_23_latin1_t[224]={ 22,97,142,44,1,63,63,142,1,1,142,
129,142,142,18,63,63,113,97,63,97,63,80,97,80,80,113,113,129,142,128,
97,1,97,113,63,97,113,97,80,97,97,80,97,97,97,113,80,97,44,113,
63,113,80,113,113,113,113,113,1,63,1,128,142,142,113,80,129,80,129,97,
80,97,97,1,97,97,129,129,129,80,80,129,129,80,113,129,129,129,63,129,
1,1,1,142,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,
113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,22,1,1,
80,129,80,1,1,142,80,128,128,142,142,80,142,142,113,142,128,142,63,1,
142,142,128,142,128,63,63,63,63,23,23,23,44,23,23,97,1,23,23,23,
23,23,23,23,23,80,23,1,1,23,23,23,128,44,1,1,1,23,23,80,
44,44,44,44,44,44,44,113,44,44,44,44,44,97,97,97,97,63,113,44,
44,44,63,63,128,113,44,63,63,80,1,1,1, };
static unsigned short stb__arial_23_latin1_a[224]={ 92,92,117,183,183,293,220,63,
110,110,128,192,92,110,92,92,183,183,183,183,183,183,183,183,
183,183,92,92,192,192,192,183,334,220,220,238,238,220,201,256,
238,92,165,220,183,274,238,256,220,256,238,220,201,238,220,311,
220,220,201,92,92,92,155,183,110,183,183,165,183,183,92,183,
183,73,73,165,73,274,183,183,183,183,110,165,92,183,165,238,
165,165,165,110,86,110,192,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,247,
247,247,247,247,247,247,247,247,92,110,183,183,183,183,86,183,
110,243,122,183,192,110,243,182,132,181,110,110,110,190,177,92,
110,110,120,183,275,275,275,201,220,220,220,220,220,220,329,238,
220,220,220,220,92,92,92,92,238,238,256,256,256,256,256,192,
256,238,238,238,238,220,220,201,183,183,183,183,183,183,293,165,
183,183,183,183,92,92,92,92,183,183,183,183,183,183,183,181,
201,183,183,183,183,165,183,165, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_23_latin1_BITMAP_HEIGHT or STB_FONT_arial_23_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_23_latin1(stb_fontchar font[STB_FONT_arial_23_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_23_latin1_BITMAP_HEIGHT][STB_FONT_arial_23_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_23_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_23_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_23_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_23_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_23_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_23_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_23_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_23_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_23_latin1_s[i] + stb__arial_23_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_23_latin1_t[i] + stb__arial_23_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_23_latin1_x[i];
            font[i].y0 = stb__arial_23_latin1_y[i];
            font[i].x1 = stb__arial_23_latin1_x[i] + stb__arial_23_latin1_w[i];
            font[i].y1 = stb__arial_23_latin1_y[i] + stb__arial_23_latin1_h[i];
            font[i].advance_int = (stb__arial_23_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_23_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_23_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_23_latin1_s[i] + stb__arial_23_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_23_latin1_t[i] + stb__arial_23_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_23_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_23_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_23_latin1_x[i] + stb__arial_23_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_23_latin1_y[i] + stb__arial_23_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_23_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_23_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_23_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_23_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_23_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_23_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_23_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_23_latin1_LINE_SPACING
#endif

