// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_31_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_31_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_31_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_31_latin1_BITMAP_HEIGHT        246
#define STB_FONT_arial_31_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_31_latin1_FIRST_CHAR            32
#define STB_FONT_arial_31_latin1_NUM_CHARS            224

#define STB_FONT_arial_31_latin1_LINE_SPACING          20

static unsigned int stb__arial_31_latin1_pixels[]={
    0x10988620,0x88026003,0x00220009,0x000cc000,0x30026200,0xbdddd500,
    0x07bbbba2,0x36007ba2,0x6e5402ff,0xeeeeeeee,0x0003dd15,0x002f7440,
    0x0002774c,0x002774c0,0x0007dd90,0xf54fb9ba,0x037401df,0x654409f7,
    0x002dfffe,0xffffd910,0x20005bff,0xea84ffd8,0xf702efff,0x3fe2dfff,
    0xff881fff,0x01ffcc01,0xffffffd1,0x22ffffff,0x200001ff,0x70001ffb,
    0x800003ff,0x70000ffc,0x8003ffff,0x553ee1fb,0x3ea07fff,0x3209f702,
    0xffffffff,0xfb3000ef,0xffddffff,0xd8007fff,0x7fe44fff,0x885fffef,
    0xff16fc99,0x3fe20337,0x202fe401,0xaefffffe,0xf12affca,0x7c00003f,
    0x7ec0003f,0x3e200005,0xff30002f,0x4001ff75,0x2627dc5f,0x41ba02ff,
    0x7ff444fb,0xfec98adf,0x7fd400ef,0xeca881cf,0xf8800dff,0x67fcc0bf,
    0x405ff910,0x05ff16fb,0x037a2000,0xffffffb8,0xff11fe65,0x3ee00003,
    0x3fd00004,0x0ff20000,0xd2ff4400,0x07ee00df,0x07fb09f7,0x27dc1fd4,
    0xfb013ff6,0x67fdc09f,0x1bfee000,0x2e03fea0,0x2ffc40ff,0x3fe2df70,
    0x40000002,0x5ffffffd,0x3ff11fe6,0x00000000,0x00000220,0x00000011,
    0x7dc37c40,0x7404fc84,0xf527dc0f,0xfff100df,0x005ff501,0x5013fea0,
    0x41fee0df,0x5bee04cb,0x54402ff8,0x5005530a,0x3ffffa35,0x11fe65ff,
    0x2b32a3ff,0x4009d900,0x372204ec,0x00beffff,0x7ffee440,0x3b200bef,
    0x213b2004,0x84fb83fc,0x1fe404fc,0x0ffd93ee,0x883df500,0x179302ff,
    0x1ffa84c4,0x7cc1bea0,0xdf70004f,0xf100bfe2,0x80bfe63f,0xfffd1ff8,
    0x3fccbfff,0x3ffabfe2,0x6fe84fff,0x5c17fa00,0xffffffff,0xff7002ff,
    0xffffffff,0x801bfa05,0x07fc45fe,0x2fe427dc,0xfb83fe60,0x8009ff14,
    0xf709f900,0x3fe7ffff,0xfa80fee3,0x037ff206,0x3e2df700,0x0ffc402f,
    0x37dc0bfd,0xbffffffb,0x3fe23fcc,0xffcaacff,0xd0037f43,0x7fffb0bf,
    0xfffb7313,0xbfffd807,0xfffdb989,0x2006fe83,0x837d45fe,0x05fc84fb,
    0x53ee2ff8,0x80003ffa,0xdffa87f8,0x1ffcffcb,0x6fb817e6,0x0bfffe20,
    0xff16fb80,0x21ff8805,0x9fd00ffb,0x7fffffcc,0xff11fe65,0x43ff707f,
    0x3fa006fe,0x006ffdc5,0x2e03fff3,0x3e600dff,0x037f41ff,0x5fc8bfd0,
    0xbf709f70,0x7dc7fb00,0x0005ff74,0xff989f50,0x07fff443,0x05fc81fe,
    0xbfff9ff7,0x22df7001,0x7fc402ff,0x260ffe21,0x7ffe40ff,0x11fe65ff,
    0x2ff40dff,0x7f400dfd,0x4017fe25,0x7c40effa,0xdff5005f,0xd0037f41,
    0x704fd8bf,0x00df509f,0xca7dc9f9,0xc80000ff,0x413fe21f,0x1fd86ffb,
    0xdf309f90,0x0bfffa21,0x3fe2df70,0x20ffc402,0x06fc86fd,0x4cbffff5,
    0x017fc47f,0x037f4df7,0x7fecbfd0,0x0bfee000,0x5c001ffb,0x01bfa2ff,
    0x1ff45fe8,0xff884fb8,0x9337dc02,0x0003fee5,0x1ff71ba0,0x3213fe60,
    0x81ff883f,0xfffb83fc,0x7c5bee04,0x0ffc402f,0x7ff03fea,0x265fc880,
    0x00ffc47f,0x1bfa1ff3,0xff15fe80,0x3ff88009,0x10013fe2,0x037f47ff,
    0x7fc4bfd0,0x2609f702,0xff501cff,0x0017fcc0,0x13f62fc0,0x3fb07ff0,
    0xe82ff5c4,0x5ffd303f,0x7fc5bee0,0x40ffc402,0x03fea3ff,0x7f997ee0,
    0xf3007fc4,0x801bfa3f,0x05ff35fe,0x7ccbfd00,0x5fe8002f,0xfe801bfa,
    0x5c07fe65,0x0ffe604f,0xf8807fd4,0x7cc0003f,0xf301ffc4,0x4c1ff03f,
    0x1bf203ff,0xf706fe88,0x100bfe2d,0x4df903ff,0xbf7005fd,0x3fe23fcc,
    0x743fe600,0x57fa006f,0xc8001ffa,0x007fea7f,0x6fe9ff20,0xf997fa00,
    0x409f701f,0xff503ffc,0x0027f401,0x31fdcb76,0x3fd403ff,0x3fe637cc,
    0x03bfe605,0x7dc07fd4,0x8805ff16,0x1ff981ff,0x3ee005ff,0xff11fe65,
    0xfd3fd403,0xbaff400d,0xfb8000ff,0x001ff70f,0x3fa1ff70,0x897fa006,
    0x09f703ff,0xfb8077f6,0x0077ec07,0x9f54ff98,0xfb00ffcc,0x9107fb0d,
    0x3fee01df,0x706f983f,0x00bfe2df,0x3fa03ff1,0x2e007fab,0xf11fe65f,
    0xd2fe405f,0xaff400df,0xa8000ffc,0x01ff91ff,0x3a3ff500,0x17fa006f,
    0x13ee09ff,0xf9007fe2,0xff51f54f,0x47ff600b,0x827fc5f8,0x37e44ffa,
    0xfa80bfa0,0x0ff60eff,0x2ff8b7dc,0xb80ffc40,0x2004fcef,0x11fe65fb,
    0x3fe20dff,0xe801bfa3,0x003ff55f,0x7fd4ff90,0x27fc8001,0x3fa006fe,
    0xfb82ffc5,0xe806fa84,0xfd13ee6f,0x5ffb809f,0x21bf6374,0x3ee2ffe8,
    0x02fe401f,0x373fff62,0x2df700df,0x7c402ff8,0xffff101f,0x32fdc003,
    0xdfff88ff,0xfb17fa20,0x8aff400d,0xfd8002ff,0x000bfe25,0x06fd97f6,
    0xdf917fa0,0x3ee13ee0,0x2e4ff806,0x6fffcc4f,0x3bff660b,0xff50fec0,
    0xffff513b,0x007ffb5b,0x3ea00bf7,0x7dc03fff,0x8805ff16,0x3ff601ff,
    0x32fdc006,0xfeff88ff,0x40effedf,0x3fe006fd,0x2000ffe5,0x01ffc4fe,
    0xdfb27f40,0x2a2ffc00,0x909f707f,0x1ff880bf,0x3fa613ee,0xffffffff,
    0x5c4fb80e,0xf9dfffff,0x001fffff,0x6c400df7,0x3ee00eff,0x8805ff16,
    0x3fea01ff,0x32fdc003,0xb9ff88ff,0xc80cefff,0xff8800ff,0x8003ff64,
    0x7fec2ffb,0x8bfee000,0xf8800ffc,0xb81ff84f,0x405fc84f,0x827dc7fa,
    0xfffffeb8,0x07fe202f,0x75c7bfb5,0x06620bdf,0x5c0037d4,0x5bee05ff,
    0x7c402ff8,0x03fe601f,0x7ccbf700,0x330ffc47,0x802ffa80,0x3fea2ffb,
    0x1fff1004,0x1004ffa8,0x7fd41fff,0x82ffb802,0x84fb85fc,0x1ff404fc,
    0x3e6013ee,0xff50009d,0xff300001,0x441bea07,0x40ff9019,0x05ff16fb,
    0x3201ff98,0x5fb8004f,0x3ff11fe6,0x1fff8800,0xb03bfe20,0xfe8809ff,
    0x09ffb02f,0x442ffe88,0x3e201fff,0x1ff880ef,0x27ec27dc,0x9f70df30,
    0x007df500,0x0001efc8,0xfa817fee,0x2a0dfd06,0x2df700ff,0x7d402ff8,
    0x03ff300f,0x7ccbf700,0x000ffc47,0x4567ffcc,0x81fffb98,0x20aeffe8,
    0x204fffb9,0x20aeffe8,0x304fffb9,0x31159fff,0x5403fff7,0x7c27dc4f,
    0x20bf603f,0xd98804fb,0x7fec003f,0x3f22001d,0x3fe600df,0xd81ffc80,
    0x7f664c6f,0x199bff16,0x2a37f5d4,0x0005ffcc,0x23fccbf7,0x50001ff8,
    0xffffffff,0xffd805ff,0xffffffff,0xffffb003,0x07ffffff,0xffffffa8,
    0xe802ffff,0x5453ee0f,0xbf301ffd,0x4c013ee0,0xea8004fd,0x99bcefff,
    0x2fffeba9,0x417bff00,0xdbacfff8,0x7ffdc4ff,0xfffff16f,0x21ffffc3,
    0x000efffa,0x3fccbf70,0x80007fe2,0xfffffec9,0xffb3001d,0x0015bfff,
    0xfffffd98,0xd93000ad,0x03bfffff,0x4fb93e60,0x6c0bfff5,0x809f701f,
    0x000fffff,0x3ffffee0,0x4fffffff,0x27ffdc00,0x3fffffa6,0xcccc983f,
    0x43333323,0xd882ded8,0x2a0000bd,0x9113222c,0x4c000019,0x4cc00019,
    0x26600000,0x33300000,0xea972000,0x4407dd33,0x00faa04d,0x00003799,
    0x676e5d4c,0x2a0001ab,0xbd9703ed,0x00000037,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x6c002540,0x000002ee,
    0x3f600131,0x2201bf26,0x100005ed,0x32000130,0x6c4001ee,0x6c4000de,
    0x3bb6005e,0xd82eea80,0x202002ee,0x77540008,0x6c400003,0x23ed805e,
    0x1f2003ed,0x1ffdf900,0x6ffdc000,0xb000fc8a,0x8037e4df,0x20002ffa,
    0xf99befd9,0x3ff98003,0x6fefe800,0x02ffb800,0xfd09ff10,0x3ffdf90d,
    0x9befd880,0xfd8004f9,0x7dc00007,0x24ff801f,0x13e004fe,0xfc9ffa80,
    0xef98000e,0x005ffffd,0x05eb93b2,0x8001bf20,0xfffffdfd,0x05fd8001,
    0xfe8efc80,0x06fc8005,0xfa83fea0,0x5cffd40f,0x37f600ef,0x001fffff,
    0x0003fe88,0x7c00ffe0,0x4013fa4f,0xff3002f9,0x0017fa29,0x66dc47ee,
    0x00000000,0xf10005fb,0x0016ed49,0x200077c4,0x7ff32ffa,0x003fb000,
    0x83fd27dc,0x17fa4ff8,0x0b7265f8,0x006f9800,0x000bf700,0x00fb8000,
    0x00001100,0x00000088,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xeea80000,0x76654400,0x3f722006,0x000befff,0x7fffee44,
    0x0aa600be,0x27646aa0,0x2009d900,0xd9003eeb,0xdddddddd,0x7647dddd,
    0xeeeeeeee,0x3b23eeee,0xeeeeeeee,0xea83eeee,0x403baa0e,0xded80eea,
    0x009d9000,0x0000fbae,0x2001f75c,0x3f601ffa,0x804fffff,0xfffffffb,
    0xf7002fff,0xffffffff,0x0bfe605f,0xdfd1ff88,0x802ff400,0xfd007ffe,
    0xffffffff,0x7f49ffff,0xffffffff,0x3fa4ffff,0xffffffff,0xfa84ffff,
    0x407fea1f,0xffe81ffa,0x00bfb005,0x0001fffa,0x2003fff4,0xff901ffa,
    0x0bfff95b,0x44dfffec,0x03fffdb9,0x44dfffec,0x03fffdb9,0x37dc0bfd,
    0x7f400dfd,0xffef9805,0xaaefe802,0xaaaaaaaa,0x2abbfa1a,0xaaaaaaaa,
    0x2abbfa1a,0xaaaaaaaa,0x21ffa81a,0xff501ffa,0x05fffd03,0xf300bfb0,
    0x80005ffd,0x002ffef9,0x3ee07fea,0x3ff3b62f,0x00dffb81,0x5c07ffe6,
    0x3e600dff,0x0ffb81ff,0x37f49fd0,0xb00bfd00,0xd00bf99f,0x7f4000df,
    0x1bfa0006,0x87fea000,0xff501ffa,0x1ffffd03,0xd805fd80,0x0005fccf,
    0x02fe67ec,0xfd03ff50,0x3ff8cf89,0xa802ffc4,0x7fc40eff,0x1dff5005,
    0xf983ff88,0x801bfa0f,0x7fc405fe,0x7400ff99,0x3fa0006f,0x1bfa0006,
    0x87fea000,0xff501ffa,0xbffdfd03,0x4405fd80,0x00ff99ff,0xf33ff100,
    0x3fea001f,0xf30ffc41,0x07fec025,0xd85ff700,0x3ee000ff,0xc86fd82f,
    0x0037f46f,0x7fb80bfd,0xdfd013fe,0x037f4000,0x000dfd00,0x7d43ff50,
    0x03ff501f,0x05ff99fd,0x3ee02fec,0x40013fe7,0x013fe7fb,0x3e60ffd4,
    0xf101f20f,0xff88009f,0x0013fe23,0xff507ff1,0x7f43ff81,0x017fa006,
    0x03fe4bfd,0xe8001bfa,0x3fa0006f,0xffa80006,0x5407fea1,0x8cfe81ff,
    0xbfb00ffe,0x3f25fe80,0x4bfd0007,0xff5007fc,0x2f47fb83,0x000bfe60,
    0x2ff997fa,0xf05fe800,0x207fd47f,0x3fa006fe,0x98bfe605,0x1bfa02ff,
    0x006fe800,0x0001bfa0,0xffa87fea,0xd03ff501,0x417fe69f,0x3fe605fd,
    0x000bfe62,0x7fcc5ff3,0x41ffa802,0x00fe27fa,0x90003ff5,0x00ffd4ff,
    0xfc83fe40,0x3fa17f66,0x817fa006,0x06fe87fc,0x2aaabbfa,0x42aaaaaa,
    0xaaaaaefe,0x742aaaaa,0xaaaaaaef,0xf502aaaa,0x80ffd43f,0x4fe81ffa,
    0x3f60bff2,0x3a1ff205,0x3fe4006f,0x7d4037f4,0xb8ffc41f,0xff70620f,
    0x1ff70001,0x20003fee,0xff980ffb,0xdfd05ff1,0xf02ff400,0x03ff709f,
    0x3ffffffa,0x46ffffff,0xfffffffe,0x746fffff,0xffffffff,0xf506ffff,
    0x80ffd43f,0x4fe81ffa,0xfb03ffa2,0x5c27fc0b,0x3fe001ff,0x401ffb84,
    0x2ff81ffa,0x326fd8db,0xfa8000ff,0x001ff91f,0x3a03ff50,0xfd07fabf,
    0x82ff400d,0xff881ffa,0xdddffd04,0x9ddddddd,0xeeeeffe8,0x44eeeeee,
    0xeeeeeffe,0x504eeeee,0x0ffd43ff,0xfe81ffa8,0x362ffcc4,0x03ff505f,
    0x2a009ff1,0x4ff881ff,0x6c0ffd40,0x3e64f8ef,0x007fea3f,0xffa9ff20,
    0x07fc8001,0x413f3bee,0x3fa006fe,0x333dfb05,0x20ffd333,0x3a0006fe,
    0x3fa0006f,0xffa80006,0x5407fea1,0x84fe81ff,0x17f62ffc,0x4cccf7ec,
    0xb007fe99,0x333333df,0xffa80ffd,0x1fdff981,0x7c41ffd3,0x5fd8002f,
    0x2000bfe2,0x3fe205fd,0x0dfb01ff,0x7c42ff40,0xffffffff,0x6fe82fff,
    0x01bfa000,0x0006fe80,0x3ea1ffa8,0x03ff501f,0xffd109fd,0x3e217f61,
    0xffffffff,0x7c402fff,0xffffffff,0x3ea02fff,0xbfff301f,0xff03fffd,
    0x89fd0007,0xfe8003ff,0x037fec04,0x7fc00dfb,0xfffffb85,0x6fffffff,
    0x20006fe8,0x3a0006fe,0xfa80006f,0x407fea1f,0x4fe81ffa,0x3f6bff50,
    0xfffffb85,0x6fffffff,0x7ffffdc0,0x6fffffff,0x9807fea0,0x00dfffff,
    0x5c001ffb,0x07fec2ff,0x805ff700,0x3f203ffa,0x4ff8800f,0xfc805fe8,
    0x0037f41f,0x4000dfd0,0xa80006fe,0x07fea1ff,0x7f40ffd4,0x36bff204,
    0x805fe85f,0x3fa01ffc,0x01ffc805,0x7cc03ff5,0x7d4009ab,0xfff1004f,
    0x004ffa81,0x9801fff1,0x3fea00ff,0x42ffb802,0xf8802ff9,0x0037f44f,
    0x4000dfd0,0xa80006fe,0x07fea1ff,0x7f40ffd4,0x3bffa204,0x017fcc5f,
    0xf9827fc4,0x4ff8802f,0x5c03ff50,0x7fec000f,0x17ff4404,0x4404ffd8,
    0xfc802ffe,0x0fffc404,0xc81dff10,0x3ffa007f,0x8001bfa0,0x3a0006fe,
    0xfa80006f,0x407fea1f,0x4fe81ffa,0x2ffffd40,0xfe801ff2,0x007fc80f,
    0x3ea03ffa,0x001ba01f,0x82bbffa2,0x204fffb9,0x20aeffe8,0x804fffb9,
    0xf9801ff9,0xb988acff,0x4ff81fff,0xe8ffea00,0xaaaaaaef,0x3a2aaaaa,
    0xaaaaaaef,0x3a2aaaaa,0xaaaaaaef,0xa82aaaaa,0x07fea1ff,0x7f40ffd4,
    0x5fffc804,0xf50027fc,0x009ff07f,0x7d41ffd4,0x009f101f,0x7ffffec0,
    0x003fffff,0xfffffffb,0x65407fff,0x2a005ffc,0xffffffff,0x1ffa82ff,
    0xe9bfe200,0xffffffff,0x3a7fffff,0xffffffff,0x3a7fffff,0xffffffff,
    0xa87fffff,0x07fea1ff,0x7f40ffd4,0x5fff8804,0x88007fea,0x0ffd46ff,
    0x50dff100,0x07ea03ff,0xfffb3000,0x80015bff,0xdfffffd9,0x7ffd400a,
    0x764c000e,0x01dfffff,0xf9000ffb,0x3ffffa3f,0xffffffff,0x3ffffa7f,
    0xffffffff,0x3ffffa7f,0xffffffff,0x21ffa87f,0xff501ffa,0x2009fd03,
    0x1ff65ffa,0xd87ff200,0xffc8007f,0x00288001,0x0004cc00,0x80013300,
    0x0000bdd8,0x00001998,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20006f6c,0x013b24ed,0x001f7640,
    0x74000000,0x000fb62e,0xdb0001c8,0x30027647,0x07ba23dd,0x00008800,
    0x44000110,0x06200000,0x10000cc0,0xffa80001,0x25fe8003,0xfb8005fd,
    0x80001fff,0x40002eeb,0x013fe3ff,0x0033ee60,0x5fe93fa0,0x447fe600,
    0x2a2002ff,0x02dfffec,0x7fffedc0,0x764c00cd,0x4000cfff,0xeffffeb8,
    0x001fd02c,0x6ffffe44,0x04fe8001,0x7ecbfd00,0x57fcc005,0x20000ffa,
    0x000e88e8,0x4ff8ffe0,0x3fffaa00,0x3a002dff,0x8017fa4f,0x5ff11ff9,
    0xffffb100,0x03dfffff,0xfffffe88,0xf301efff,0x0bfffdff,0x7ffffdc0,
    0xb84fffff,0xfff3003f,0x007fffff,0x000037cc,0x2ff44000,0x54000dfb,
    0x40000764,0xff980008,0x2fffefdf,0x00000000,0x77ff4400,0xffeb989b,
    0x9fff102f,0xfff93333,0x21dff885,0xfd801ffa,0xb989acff,0x3e60effe,
    0xaeff8805,0x003ffd50,0x02764000,0x00009d90,0x35574000,0xffb91000,
    0x88017dff,0x8af89efe,0x2e000ffe,0xdd9003ee,0xdddddddd,0xffb07ddd,
    0x0fffa809,0x2602ffb8,0x07fdc5ff,0x3ee02fec,0x7fdc00ef,0x7e403fc3,
    0x25ff881f,0x22003eeb,0x01bfa5ed,0xd7005fe8,0x3200007d,0xf70004ff,
    0xffffffff,0x97fcc05f,0x05ff52f8,0x803fff40,0xfffffffe,0x44ffffff,
    0xf7004ffb,0x00dfb0df,0x2fe41ffb,0x3e205fc8,0x1ff6006f,0x6fe803fb,
    0xff89ff20,0x5ff9000f,0xfd0037f4,0x1fffa00b,0x3fff4000,0x5fffec00,
    0xfffdb989,0x7c4ff703,0x4c006f22,0xe802ffef,0xaaaaaaef,0x6c1aaaaa,
    0x3f2000ff,0x402ff40f,0x13f61ee9,0xff701ffc,0x17fcc003,0x4ff807f5,
    0x3fea0620,0x44ffa806,0x3fa006fe,0xffef9805,0x77cc0002,0x3ee002ff,
    0x3fe600df,0x10ffb81f,0x7ec0005f,0xfe805fcc,0x1ffc0006,0x90bfe600,
    0x3a0001ff,0x407fb83f,0x818006fd,0x37f406f8,0x03ffd800,0xfd03bfa2,
    0x02ff400d,0x02fe67ec,0x3f33f600,0x0bff1005,0x303bfea0,0x00be25ff,
    0x7ccffc40,0x037f400f,0x003ff300,0xffa89ff0,0x7fc001bf,0x7403ff83,
    0x3a00004f,0x03ff600f,0x03ffe200,0x7f40ffe4,0x017fa006,0x1ff33ff1,
    0x27fe2000,0xfd800ff9,0x3fee000f,0xf8bfff82,0x4ff70002,0x37f404ff,
    0x01ff7000,0xf70dfd00,0x0159ffff,0x3fdc3ff8,0x000ffe20,0x2e02fc80,
    0xf50001ff,0x09ff30bf,0xfe801bfa,0xff3fdc05,0x9fee0009,0x7fc404ff,
    0x1ffc4004,0x67ffffc4,0x25fe8000,0x37f407fc,0x00ff9000,0x2a03ff20,
    0xeffffffe,0xfc87ff03,0x00ffd407,0x33333331,0xfa84f981,0x4fffffff,
    0xd0bff600,0x037f40df,0xfe80bfd0,0x4001ff25,0x01ff25fe,0xd0005ff3,
    0x3ff620bf,0x3001efff,0x17fcc5ff,0x4000dfd0,0xf90007fd,0x7edcc01f,
    0x7c0dffff,0x027fd43f,0x7e403ff7,0x86ffffff,0xffffa87f,0x2004ffff,
    0xff70fff8,0x0037f403,0x7fcc0bfd,0x000bfe62,0x7fcc5ff3,0x007fea02,
    0x7101ff20,0x007fffff,0x0dfd0ff9,0x555577f4,0x42aaaaaa,0xd8000ffb,
    0x7e4c007f,0x0ffe0eff,0x2603bff6,0x3ff203ff,0xd86fffff,0x01bf601f,
    0xf19ff500,0x06fe807f,0xfc817fa0,0x4006fe87,0x06fe87fc,0x20003fee,
    0x7c400ffb,0x401fffca,0x1ffb84ff,0xffffffd0,0x8dffffff,0xe8001ff9,
    0xf910005f,0xc81ffc7f,0x5ff81fff,0x26666620,0x03fb86fd,0x20001ff2,
    0x806feffd,0x3fa006fe,0x2e13fe05,0x3fe001ff,0x901ffb84,0xf50001ff,
    0x12f8803f,0x7fd40bff,0xd04ff881,0xddddddff,0xff09dddd,0x49ff0005,
    0x3fa003b9,0xfa80ffe5,0x037ec1ff,0x7c437ec0,0x0017f605,0x03fffe20,
    0xe801bfa0,0x03ff505f,0x2a009ff1,0x4ff881ff,0x0003ff50,0x5f100ff9,
    0xdfb03fec,0xfd333333,0x001bfa0f,0x40c0dfd0,0x3fee2ffc,0x7cff9000,
    0x27fcc03f,0xb0007fee,0xf81fa0df,0xf500003f,0x1bf6007f,0xfb05fe80,
    0xd333333d,0x3bf600ff,0xfe999999,0x005ff107,0x4ec8bfb0,0x0ffb8be2,
    0xffffff88,0x82ffffff,0x5c0006fe,0x25dd03ff,0x7fc45ff9,0x7cbfb002,
    0x47fc803f,0x2001fff9,0x05f906fd,0x40000df3,0xfb002ff9,0x42ffc00d,
    0xfffffff8,0x402fffff,0xfffffff8,0xf02fffff,0x9fd0007f,0x8be27fd8,
    0xfff707fd,0xffffffff,0x00dfd0df,0x887ffd00,0x0ffeeffd,0x5402ffe8,
    0x44ffe2ff,0xc87fc84b,0x64401fff,0x89f506ff,0x00001fe8,0x6400bfe6,
    0xff8800ff,0xfffffb84,0x6fffffff,0x7ffffdc0,0x6fffffff,0x4001ffb0,
    0x7fd42ffb,0x3fe25f11,0x900bfd05,0x06fe83ff,0xdffe8800,0xffff710a,
    0x37ffea07,0xdff9531a,0xffa9ffc1,0x6c13fe62,0x989bdfff,0x02ffffca,
    0x77f44df1,0x889bceed,0x5ff3004a,0x00bfea00,0x3fa0bfee,0x01ffc805,
    0x3f2017fa,0x04ffa81f,0x881fff10,0x9af8bfff,0xff981ffd,0x44ff8802,
    0x100006fe,0xfffffffd,0x205fffff,0xffffffe9,0x7fc0dfff,0x3fbbff23,
    0x3fee00ff,0xffffffff,0x87ec00cf,0xfffffffb,0x01ffffff,0x1002ff98,
    0x7c403fff,0x17fcc0ef,0x9827fc40,0xff8802ff,0x809ffb04,0xf302ffe8,
    0xfffdfdff,0x801ff207,0x1bfa0ffe,0xfb730000,0xf9359dff,0xfd9103df,
    0x207bffff,0x7ff5c3ff,0xca8800df,0x1ceffffe,0x3e27f700,0xfdb999be,
    0x9802efff,0x3e6002ff,0xb988acff,0x7fc81fff,0x203ffa00,0x3fa007fc,
    0xeffe880f,0x3ffee60a,0x7ffecc04,0x3fe01eff,0x8ffea004,0xaaaaaefe,
    0x02aaaaaa,0xfe9804c0,0x00098801,0x00009880,0x44000662,0x2a60061a,
    0x0bfe6001,0xfffff500,0x205fffff,0x3ea004ff,0x004ff83f,0xfd80ffea,
    0xffffffff,0x67d4003f,0x00ffd400,0x7f4dff10,0xffffffff,0x0007ffff,
    0x00000280,0x00000000,0x00000000,0x8002ff98,0xfffffec9,0x03ff501d,
    0x2a37fc40,0x3e2001ff,0x7fecc06f,0x000adfff,0xfd802f88,0x1ffc8007,
    0xfffffffd,0x0fffffff,0x00000000,0x00000000,0x00000000,0x00bfe600,
    0x20066600,0xfc8007fd,0x001ff61f,0x4c007ff2,0xe8800009,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,
    0x01100000,0x20098018,0x988000b8,0x10000980,0x20008000,0x01300098,
    0x80009880,0x03000008,0x20004c00,0x20000019,0x5ff10098,0x2a60ffe2,
    0x3fb2a202,0x22002dff,0x2efffeca,0x7f700fec,0x00fafa60,0x5f987f90,
    0xdffb7300,0x3ea00159,0x7e400eff,0x003fc802,0x22003be2,0xbeffffdc,
    0x3ff62000,0x3f2001ef,0x813ee003,0x001cefec,0x3e201df1,0xb07ff12f,
    0x3fff20ff,0x0effffff,0x7ffffe40,0xfc9effff,0xc80fec05,0xfd800d12,
    0x2a027dc1,0xfecdffff,0x3ea00dff,0x100ffedf,0xffd880df,0x007fa003,
    0x3fffffee,0x9802ffff,0x0fffefff,0x01ffec40,0x3f206f98,0xd006fdbd,
    0x9774403f,0x7fd82ee8,0x56ffff44,0x0effec98,0x9beffe88,0xffffca88,
    0x3207f805,0x7f800d13,0x3f202fc8,0xfda881bf,0x643f901e,0x405f904f,
    0x003feffa,0xffb007f9,0xfb73137f,0xefe807ff,0x5409fd31,0xd003feff,
    0xf132203f,0x03fc801f,0x42a98000,0x7ec04ffd,0x0dffd84f,0x00bffe60,
    0x6f4409f3,0x1be2002e,0x7fdc03fa,0x01ff9001,0x886fa8df,0x5c65c06f,
    0x06f9803f,0x200dffb8,0xf101fff9,0x207fb85f,0x803fb8cb,0x2e2003fc,
    0x037cc06f,0xff500000,0x1fff100d,0x5402ffd4,0x7dc06fff,0x40009802,
    0x83fc44fa,0x65cc1ff9,0x262fe40a,0x6c3fc45f,0x0fee001f,0x8801fd10,
    0xff5005ff,0x83ff301d,0xfb800ffa,0x002fd403,0xe880dff1,0x32e6000f,
    0x415100ac,0xf5000ffd,0x007fec3d,0x0bff3fe6,0x75100fe8,0x2a605799,
    0xaaadfdaa,0x7ec2aefb,0x3fbffa21,0xf50fe44f,0x5f98ff0d,0x201fdc00,
    0xffd802fd,0x0bfee000,0x17f62ffc,0xf101fdc0,0x6dc4001f,0x05fb00ef,
    0x3ffffa20,0x13f982ff,0x808009ff,0x7fc404fe,0xf105ff99,0x3fffea0d,
    0x7ec1efff,0xffffffff,0x3e0fffff,0x4433fa25,0x98fe22fd,0x3637c47f,
    0x1fdc001f,0xf100bf50,0xff88009f,0x367ff903,0x7f7001ff,0x00017ec0,
    0x0bf507f7,0x2f7ffe60,0x7cc4ffdb,0x0007ff53,0x2202ff88,0x41bfe2fe,
    0xeffc84fa,0x46ffecab,0xccffccca,0x24cdfecc,0x413ee2f9,0x3fe3743d,
    0x5f993ee1,0x103fb800,0xff3001ff,0x0bfd0005,0x0fff7ff4,0x2e07f700,
    0x87b3005f,0x07fc44fc,0xb81efe80,0x5d3ea0ff,0x540002ff,0x0ffa01ff,
    0x07f20ffd,0x3f20bff1,0xd0df102f,0x6c1f701f,0x83f2001f,0x0ffdcffb,
    0x2e0007f6,0x003fb03f,0x20007fea,0x3fea07fc,0x7dc000ef,0x000ef883,
    0x3ff2b3fa,0xa800ff40,0x97fe03ff,0x01ff95fa,0x00ffb800,0x3ff909fb,
    0x1fd50ff0,0x540bfe60,0xe83fc44f,0x2a003fc6,0x77ffdc2f,0x40017e61,
    0x04fb83fb,0x0003fee0,0x3ea03fee,0x4000efff,0x01fe83fb,0x6fffecc0,
    0x90027dc2,0x3fe401ff,0x03feebf7,0x20ff9000,0x3ff705fc,0x20005f98,
    0x87f903ff,0xf8dd05f9,0x817d4006,0x221fe809,0x98001cdb,0xc87ae06f,
    0xfa8000ff,0x66ffe41f,0x8000c5ff,0x5edcc3fc,0x7cc04c01,0xfd87ae06,
    0xccccccce,0x2df70ffd,0x40002ff9,0x2fdc0ffb,0xfb81ff90,0xdca98803,
    0x3fb03fff,0x1f903fb8,0xc80807f4,0x97ea000f,0x04fffff9,0xfa80ff40,
    0x007fea2f,0xffb1ff20,0xf99ffec9,0x1be6001f,0x0dfffff7,0x501fe880,
    0x7fff45ff,0xffffffff,0x3e2df91f,0x7d40003f,0x803bee1f,0x00fd87fd,
    0x3fffffae,0x2aa63ffe,0xfeaaabff,0x8be62aac,0x47e883fc,0x0ff4006e,
    0x3fd519fb,0x4c0ff200,0x3fe22fff,0x25fd8002,0x7f443ff8,0x2007fcaf,
    0x3fe20fe8,0x4005fd10,0xfff303fc,0x5556ff45,0x0aaaaaaa,0x027f4ff9,
    0x7fccb760,0xf801df53,0x3606f85f,0xf0acefff,0x7fffec7f,0xffffffff,
    0xf893e0ff,0x88bf622e,0x17ea004f,0x805fc8df,0xdff105fa,0x003ff85f,
    0x3fee4fe8,0xfffff980,0x10bf6004,0x002fc833,0x3fe20bf5,0x017f62fe,
    0xefd9ff60,0x49ff3000,0x00ff9ffd,0x3ea17fdc,0x207ff704,0x372a3ff8,
    0xffdcccef,0x07ec4ccc,0xbffdfff5,0x3a001fc8,0xf513e60f,0x80ff880d,
    0x42fcafe8,0x2e000ffd,0x81bf62ff,0x000ffffa,0x3e200bf5,0x0ff8800f,
    0x2fcafe88,0x59501ff2,0xffa87fec,0x43ffb005,0x401ffff9,0x7e40fff8,
    0x4c0bfd02,0x42fc83ff,0x7fcc05fa,0x02f77220,0x7d400df9,0x3e627dc4,
    0xd817ec07,0xfa85f93f,0xfff1004f,0x900ffe41,0x3e200dff,0x2ffa800f,
    0x3605fb00,0x7cc5f93f,0x4dff103f,0x3ffa0ffe,0x42ffdc04,0x74c05ffd,
    0x00fe82ff,0x7fec0bff,0x7dc1fe83,0x00ffc803,0x4001ff90,0x22fd40fe,
    0x13ee06f9,0x7eccefe4,0x027fec0b,0xf50bffa2,0x3ffe609f,0x01fe805f,
    0x7002ffb8,0x277f209f,0x3f20bfd9,0x3ff621df,0xf983ffa2,0x3660bdff,
    0x7f440eff,0x2e60aeff,0x5f884fff,0xb107ff60,0x0ff09fff,0x3f2005fb,
    0xff9300bf,0x427d4003,0x827dc7f9,0x3ffa06f9,0x445fffff,0x260aeffe,
    0xfd04fffb,0x7ffd447f,0x3ee05ffe,0x00efc804,0x7f40df30,0x25ffffff,
    0xfeefffe8,0x07ff43ff,0x3fffffa6,0xd80effff,0xfffffdcf,0x702fffff,
    0x7ffcc07f,0xfdcffece,0x7fc37cc5,0x3ffea000,0xdfffdbcf,0x807f4000,
    0x1fea8cfe,0x55403fd0,0x01cfdaaa,0xfffffffb,0x74407fff,0xefffefff,
    0x984ffe89,0x9efd806f,0x3fa00999,0x2aaaaa01,0xffb81cfd,0xfe82efff,
    0xffeb880f,0xf902ffff,0x7fffecc9,0x3f600ace,0x7fff4c01,0x41ff51ef,
    0x037c44fa,0xfffdb980,0xfb8000ac,0x3fffe604,0x007f903f,0xd9805f90,
    0x0adfffff,0xdffff900,0xe80fd819,0x7ffd401f,0xf904ffff,0x05f90007,
    0x2a009988,0x54c400aa,0x101c4009,0x01540013,0x4c003310,0x0015441a,
    0xd8000080,0x665c400e,0x000bd301,0x998002a6,0x04c40000,0x00fae020,
    0x2aaaaaa6,0x005e981a,0x00001530,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00002000,
    0x40077fc4,0x4001fff8,0xff5002aa,0x9971000b,0x97fc4017,0x22003ff8,
    0xdb3006ff,0x2e2024c7,0xd1012a0a,0xfa8001ff,0x01aa805f,0x764c0aa6,
    0xff1001bd,0x0ab8003f,0x4002012a,0xaceffdb9,0x1ff90000,0x3ffbfa00,
    0x01ffa000,0x1000ffc8,0x5ffffffd,0x7c4bfe20,0x3ff2003f,0x37fa6000,
    0xff300efe,0x00bf9bff,0x90009ff3,0x4fe801ff,0xff117f20,0x005fffff,
    0x001ffdfd,0xf9bffff1,0x202ec40d,0xecdffffa,0x2000dfff,0xf9002ff8,
    0x400dfb1f,0x7ec007fe,0xbffe8804,0x882ffeca,0x05dd11ee,0x000bfe20,
    0x700bffee,0x5fffb55f,0x003fea00,0xfd013f60,0x362fe409,0xffd98aef,
    0x363ff201,0xabfb806f,0x3602fffd,0x2fff205f,0x1efda881,0x2007d500,
    0x7db12ee9,0x000aaa00,0xfe801bb1,0x006fe80e,0x00faa000,0x7fdbff70,
    0x05442a80,0x000bae00,0xfe803762,0xfb97f204,0x306fd80e,0x0fb625dd,
    0x00a88550,0xffb82fec,0x01ff9001,0x00000000,0x4c000000,0x1ff501ff,
    0x00000000,0x1ff31df8,0x00000000,0x27f40000,0x3fe2bf90,0x003ff303,
    0xd8000000,0x89ff985f,0xc809aaaa,0x665cc05f,0x9973000a,0x154c0015,
    0x15997300,0x0101bee0,0x15e65d44,0x5e65d440,0x15311002,0xba880bf7,
    0xa8802bcc,0x2002bccb,0xd00accba,0xaafe409f,0x13fa01ff,0x15e65d44,
    0x15997500,0x2bbfaa60,0x7fcc7f62,0x640effff,0xfffe881f,0x3a202fff,
    0x02ffffff,0xd100bf90,0x05ffffff,0x2a000bf9,0xefffffff,0xfffff501,
    0x6c403dff,0x3ffeffff,0xffffff50,0x3fea03df,0x01efffff,0x3fffffaa,
    0x204fe83f,0x80ff75fc,0xfffa85fc,0x201effff,0xffffffea,0xfffffb83,
    0x67ccbf0f,0x446fb999,0x6fffcc3f,0x984ffdbb,0xfdbbdfff,0x04fd804f,
    0x5defffcc,0x27f44ffd,0x5f7fe400,0xc86ffeca,0xfecabeff,0xbfff306f,
    0x81ffffb9,0xecabeffc,0xeffc86ff,0x06ffecab,0xb757fff3,0x04fe89ff,
    0x037ed7f2,0xdff91bf2,0x0dffd957,0x2eafffe6,0x76544ffd,0x2f98ccef,
    0x03f613e6,0x81efe8dd,0x77f40ffb,0x200ffb81,0x7f402ff9,0x20ffb81e,
    0x7c4004fe,0x45ff905f,0xff905ff8,0x883dfd05,0x3fe22ffe,0x445ff905,
    0x5ff905ff,0xf901dfd0,0x9027f43f,0x7017f6bf,0x82ffc4ff,0xefe82ffc,
    0xd81ffc80,0xf307dc5f,0x1f90dd09,0xff80ffea,0xf80ffea5,0x0dfd105f,
    0x3e03ffa8,0x1017f65f,0x9807f541,0x03faa2ff,0x3ea17fcc,0x49ff102f,
    0xff300fea,0x9807f545,0x0ffdc2ff,0x2ff4dfd0,0x17fabfb0,0x7f54ff70,
    0xb85ff300,0x1bfa01ff,0x98dd17f6,0x3fedccef,0x1ff92fa8,0xff93fe40,
    0x443fe401,0x7e401ffe,0xb9ff200f,0x0ffe207f,0x0007ff00,0x06fc87ff,
    0x7c0037e4,0x3ff8003f,0x3ea02fec,0x740dfd0f,0xa80bfd5f,0x7fc000ff,
    0x2a02fec3,0x22fec0ff,0x7fffcc6e,0x25f500cf,0xcccccefd,0xfb0ffdcc,
    0x9999999d,0x7f441ffb,0xcefd801f,0xfdcccccc,0x207ff30f,0x53100ffc,
    0x407fffb9,0xfffdca98,0x2a027ec3,0x32a6207f,0x2203fffd,0x3fffdca9,
    0x3e6027f4,0x503ffd1f,0x017f6bff,0x54c40ff7,0x743fffdc,0x0ffcc04f,
    0x41f917f6,0x03fd34f9,0x7fff43f2,0xffffffff,0xfffffd1f,0x3fffffff,
    0xe800ffec,0xffffffff,0x3f21ffff,0x42ffd42f,0xefffffeb,0xffeb83ff,
    0x43ffefff,0x7fcc04ff,0x7ffff5c1,0xeb83ffef,0xffefffff,0x2201ffc3,
    0x3fffd2ff,0x657ffea2,0x43fe406f,0xefffffeb,0x01ffc3ff,0xbfb0bfe2,
    0x93e62f98,0x74dd06f8,0xaaaaaadf,0xbfd0aaaa,0x55555555,0x07fea155,
    0xaaadfe80,0x0aaaaaaa,0x3f7bffa2,0x7fec0eff,0x7ff0acef,0xacefffd8,
    0x3ff87ff0,0xfb0ffcc0,0x3e159dff,0x77ffec3f,0xf87ff0ac,0x97fcc03f,
    0xfffffefe,0x0df75fdf,0x7fec6fc8,0x7ff0acef,0x7cc03ff8,0x7c2fec2f,
    0x9f513e64,0x17f64f88,0x0017f600,0x41101bf2,0x5c0005fd,0xb84fffff,
    0x7ff103ff,0xf881ffdc,0x2027f43f,0x7ff70ffa,0xfb8ffe20,0x87ff103f,
    0x7fd404fe,0xfff59fd1,0x3eabf57f,0xf72fec07,0x0ffe207f,0xffa809fd,
    0x7ec2fec1,0x3fd09f30,0x0ff90fe4,0x1ff22ca8,0x2fec5950,0x3fe5bfa0,
    0xbf00b2a0,0x302ff403,0x02ff47ff,0x6fd87ff3,0xbfd3fe40,0xfd1ffcc0,
    0x21ffcc0b,0x7fe406fd,0x00cc9fd0,0x3e205ff1,0x9817fa3f,0x037ec3ff,
    0xbfb03ff2,0x5911ff30,0x1bf27930,0x3e207ff3,0x40ffe66f,0x3ff26ff8,
    0x267ff501,0xdff103ff,0x80effcc0,0x3ff605ff,0xfd817fe3,0x817fd43f,
    0x17fe4ff9,0x3fe3ffd8,0x50fff605,0x3fe205ff,0xb0013fa5,0x83bee0bf,
    0x3ff605ff,0x8817fd43,0x05fd85ff,0x32001ff9,0xdffc80ff,0x90bff621,
    0x7ec43bff,0x417fea2f,0x3ff21ffd,0x0bff621d,0x7ec17ee0,0x7ffec41f,
    0xb107ff64,0xffd09fff,0x6c6fe985,0x7fec41ff,0x107ff64f,0xfb09fffb,
    0x0efe885f,0xf30013fa,0x42ffa89f,0x7ec41ffd,0x2ffd84ff,0x64077f44,
    0xffc809ff,0x3ff9300b,0x3bfffa20,0xe883fffe,0xfffeefff,0x9cfffd83,
    0x7443fffc,0xfffeefff,0x3fae6603,0x9dfff304,0x4bfb9ffd,0xfecefff9,
    0xd885fdcf,0xfffedeff,0x677ffcc1,0x25fdcffe,0xfecefff9,0xe885fdcf,
    0xeffedfff,0x40027f40,0xffedfffc,0xcefff985,0x85fdcffe,0xfedfffe8,
    0xfff500ef,0xffff503f,0x1bfffb79,0xfffff700,0xfffb805d,0x3f202eff,
    0x04ffffff,0x3bffffee,0x6ffff402,0x3fffa600,0x41ff51ef,0x1effffe9,
    0x3b201ff5,0x300cffff,0x23dffffd,0x3fa60ffa,0xff51efff,0x3fffee01,
    0x04fe80ce,0xbfffd500,0x7fff4c05,0x01ff51ef,0x33bfffee,0x17ffe400,
    0x9fffb730,0x33100015,0x09988001,0x79d97300,0x02662001,0x200154c0,
    0x98800198,0x0cc40001,0x00033100,0x88000331,0x0165c009,0x80026200,
    0x44000198,0x00880009,0x00000040,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x00bdeec9,0x565d4551,0x66665400,0x261ccccc,0x01aa802a,0x207bdd95,
    0x20001ee8,0x01ceedc8,0xdc9804c0,0xf10002ce,0x3e2001df,0xb00001ff,
    0x8013b25d,0x32e604ec,0x9803530a,0x026005ff,0xf12ff880,0x7ffdc07f,
    0xf881ffff,0xfffffe8f,0x3ffff604,0x262fffff,0x3fe202ff,0xfffffd81,
    0x0ffc40ef,0xffffa800,0x6cc04fff,0x7fdc4fff,0x001fffff,0xd000ffe4,
    0x0001ffdf,0x1bfa5ff0,0xfa85fe80,0xfcafffff,0x0077ec04,0x33ffffae,
    0x897fc400,0xbff503ff,0x83ffd715,0xaacfeff8,0xdfd03ffc,0x3ddddddd,
    0x3ee05fe8,0x99bffe86,0x7fc46ffd,0xeff98001,0x03ffea8b,0x45ffffd1,
    0xeb9cfffb,0xff1000ff,0x47fe4005,0xf80006fc,0x400dfd2f,0x77fcc5fe,
    0x4ffffcab,0x8807fe60,0xfffefffe,0x4bba202f,0xdff02ee8,0xff117fe0,
    0x83ff707f,0x5c001ff8,0x89fd00ff,0xffa82ffa,0x0007fe22,0x3fa03ff6,
    0x117ff507,0x203bfe21,0x7d5006fc,0x89774c00,0x7c0003ed,0x400dfd2f,
    0x17fa25fe,0xb813ffe6,0x67fec02e,0x01fff711,0x17fd4000,0x7fc47fc8,
    0xf317fa06,0xff88001f,0x740ff983,0x893fa04f,0xff8001ff,0x703ff504,
    0x07fee0ff,0x00003fe8,0xf0000000,0x801bfa5f,0x03fee5fe,0x00027fd4,
    0x7cc17fe6,0x2200004f,0x83fea04a,0x3ee02ff8,0x80037dc6,0x46fc86fd,
    0x02200ff9,0x332a3ff1,0x413fe00b,0x6fc81ff9,0xfc80df90,0x5665d405,
    0x332ea000,0x32e6000a,0x3fa5ff0a,0xc97fa006,0x8a7fc04f,0x42aa00aa,
    0x3fa02ffb,0x5665d406,0x1bf20000,0x7cc03ff1,0x0117f20f,0xff03fea0,
    0x8006fb87,0xfffdaff8,0x0ffb04ff,0xfb531ff2,0x2fec355d,0x7541fee0,
    0x03ffffff,0x7fffff54,0x7ffd403f,0xd2ff9eff,0x2ff400df,0x4fe807fd,
    0x7fc03ff3,0xfb80b953,0xffffd507,0xb88007ff,0x07fc42ff,0x7f43ff30,
    0x0dfffc9b,0xff51ffc0,0xb714fc81,0x3fe2059d,0xffdaadff,0x20cffa85,
    0x7fec4ffa,0x3f64ffff,0x4c3fe406,0xfdbabfff,0x7fff304f,0x209ffb75,
    0xfcabeff9,0x0dfd2fff,0x7ff2ff40,0xff34fd80,0x001ffc03,0x3fe617f6,
    0x4ffdbabf,0x2fffdb80,0x2600ff88,0x3fffe0ff,0x02ffffff,0x85fd9bf2,
    0xffff9cfd,0x7fc40dff,0x81ffb83f,0xfffeffe9,0xcffecb83,0x807ff22c,
    0x77f40ffe,0xe81ffc80,0x1ffc80ef,0x7cc2ff44,0x00dfd2ff,0x07ff2ff4,
    0x3ff34fe8,0x7001ffc0,0x1dfd05ff,0xe803ff90,0xf880efff,0x89fea01f,
    0xf711bfff,0x3fe601ff,0xbfd05ff1,0xfff95dff,0x205ff88b,0xfff905fe,
    0x7e401dff,0x209ff506,0x3ee1fffa,0x71bfa01f,0x37f403ff,0x7dc03fee,
    0x400dfd2f,0x013fa5fe,0x07fe69fd,0xf5003ff8,0x03ff709f,0x2ae037f4,
    0x7c43fffc,0x997f202f,0xbff302ed,0x3fd5ff40,0xb81fffe8,0x0bfe22ff,
    0x7f4c7fb8,0x2fffcadf,0x7ec0df90,0xfffb32df,0x202fec1f,0x17f60ffa,
    0x7e41ff50,0x74bfe205,0x97fa006f,0x3fe606fc,0x7c03ff34,0x5ffa803f,
    0xfa80bfb0,0xff91000f,0x8837fc45,0xfc8003ff,0x3f3bee07,0x409ffd04,
    0x07fe26fe,0x3fe0ffa8,0x17fe440d,0xfd1037e4,0xf5dfffff,0x2027f41f,
    0x13fa1ff9,0x7ec3ff30,0xfe97fc04,0x897fa006,0x9ffb03ff,0xff807fe6,
    0x02ffd403,0xff9809fd,0x93fe2001,0x220dfff8,0xf50005fe,0x3ffe201f,
    0x03ffb01f,0x1ff13fdc,0xfa8ffcc0,0x213fe02f,0xffc806fc,0xf8ff54ef,
    0x17fc403f,0xff8807ff,0xfd00ffe2,0xe801bf65,0x4e7fe45f,0x34ffffc8,
    0x1ffc03ff,0xff017fa0,0x02ff8807,0xff13fec0,0xdffdbffd,0x3fe60001,
    0x81bff601,0x7fd407fc,0x4c01ff10,0x80ff90ff,0x06fc87fc,0x8df70220,
    0x7fcc03ff,0xf300ffe2,0x201ff45f,0x00dfb2fe,0x7fe42ffc,0x3ffcffff,
    0x7fc03ff3,0x003fe603,0xff9807ff,0xfb805532,0xf73ff10f,0x51019dff,
    0x00ffa805,0xfb80ffea,0xf13fdc07,0xd3fd401f,0x0ffa80bf,0x200037e4,
    0x027f45fd,0x4fe87fea,0xfb0ffd40,0xf92ff809,0x9ff1001f,0x4b7fb6a0,
    0x03ff33ff,0xfb80ffe2,0x404fe806,0x1ff91ffa,0xff137f40,0x3f200cc3,
    0x01ff200f,0x7cc01ff3,0x897f201f,0x9bf202ff,0x3fec07fc,0x5c9837e4,
    0xfb0bfe20,0x20ffc80d,0x7fe406fd,0xf881bee0,0x005ff52f,0xf0005ff7,
    0x40bfe25f,0x3f203ff9,0x406fd805,0x9ff50ffc,0xf893fea0,0x7fd4001f,
    0x807ff304,0x5fe804fc,0x7c47ff10,0x47ff106f,0xff102ffa,0x220df90b,
    0x0df903ff,0x3e205ff5,0x817fd45f,0x7fcc5ff8,0x225ff902,0x3e201fff,
    0x80f2e0ef,0x9ff11ff9,0x880fff60,0x2ffa8009,0xfe8bff10,0x3ffae22f,
    0x0007fe20,0xe982bffa,0x0ffcc07f,0x5067fd40,0x7fc41dfd,0x437f445f,
    0x7f542ffe,0x206fc81f,0x7fe41efe,0x885ffb00,0xffd80efe,0x4077f442,
    0x3f662ffc,0x3ffe62ff,0xffb988ac,0x80ffd41f,0x17fec7fe,0x007fff91,
    0x217fec00,0x7c40efe8,0xffffdfff,0x000ffc41,0x76ffffc4,0xcca80eff,
    0x3ee005ff,0x0efffdff,0x6ffe7fc4,0xe881fffe,0xffffdfff,0x440df903,
    0xfffdefff,0x3fffa202,0x100effed,0xffdbfffd,0x77fec01d,0x42fedffe,
    0xfffffffa,0xff882fff,0xffeb9ace,0x77fffd41,0x203fdcff,0xfd1006ec,
    0x1dffdbff,0x3ffff220,0x1ff880cf,0xfff91000,0x7fd409ff,0x74c000ef,
    0x880cffff,0xbffff77f,0xffffc801,0x1bf200df,0x9dfffb10,0x3ffee003,
    0xfb800cef,0x400cefff,0xd4fffeb8,0xffd9305f,0x4c03bfff,0xffffffff,
    0xdfffd301,0xfd80ff67,0x7ffdc007,0x53000cef,0x00cc8803,0x80099800,
    0x0000bdd8,0x1880004c,0x00198800,0x26200df9,0x02620001,0x0004c400,
    0x26000188,0x765c0019,0x988009bd,0x07fd8000,0x00013100,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x1530acb9,0xff12ff88,0x01ffe805,0x88276c00,0x70001fff,
    0x3ae007dd,0xdddddb2e,0x00179ddd,0x3b213ff2,0xeeeeeeee,0xfff13eee,
    0x17fa4fe8,0x16776e44,0xa82ed800,0x017b20ee,0xee886f64,0x0003dd10,
    0x43910dcc,0x7ff41ee8,0x7ffffd41,0x7c43fd9f,0x805ff12f,0x40005fe8,
    0xfdfd05fe,0xffd0001d,0x4bff200f,0xfffffffe,0x200cffff,0x6c3feffa,
    0xffffffff,0x3ea4ffff,0xfe93fa3f,0xfffffc85,0x2e000eff,0x1ffa82ff,
    0xf300bfe6,0x88ffcc9f,0xfb0001ff,0x43fb9dff,0x3fea1ff8,0x4d77fcc2,
    0x443feffb,0x05dd11ee,0x0003ff30,0x77e42ff4,0x4c005fd8,0xc802ffef,
    0x55dfd2ff,0xfffd9955,0x26ffe60d,0x2bff61ff,0xaaaaaaaa,0xdb37dc1a,
    0x3ee27647,0xffda9bef,0x5fff3006,0xfd83ff50,0x83ffa00f,0x3ff11ff9,
    0x93bf1000,0xff88bfff,0xfd113fa1,0x07fff30b,0x0faa0000,0x4c5fe800,
    0x07db12ee,0x2fe67ec0,0xfe97fe40,0x27ff4405,0x4bd9276c,0x640006fd,
    0x7fc4001e,0x007ff505,0xf505fffd,0x03ff883f,0xff987ff5,0x0003ff11,
    0x00198151,0x1ff50bd1,0x000ffee0,0xe8000000,0x1000005f,0x01ff33ff,
    0xbfd2ffc8,0x03ffd100,0x001bf600,0x7fd40000,0x9017fe02,0xf505ff9f,
    0x01ff903f,0x3ff30dfd,0x00007fe2,0x3f200000,0x44ffe205,0x42aa00aa,
    0x2aa00aa8,0x457fa000,0x02aa00aa,0x27fcff70,0x7f4bfee0,0x0dff1005,
    0x37ec0aa2,0x10551000,0x01fee055,0x77d40df9,0xffa82ff8,0x545ff881,
    0x1ff981ff,0x2aa03ff1,0xcb98aa22,0x10aa882b,0x809fb055,0x03ff33ff,
    0x1ff99ffc,0xe800ffe0,0x403ff35f,0x2ff403ff,0xffb80ff9,0x6400bfd1,
    0x01ff507f,0x54000dfb,0x07fd40ff,0x20bff000,0x05ff1ff8,0x3ee03ff5,
    0x4c17fa1f,0x03ff11ff,0xbfc45ffb,0x0efffffd,0x7fd47fe2,0x3a01ffc0,
    0x403ff33f,0x03ff33ff,0xfd001ffc,0xf807fe6b,0x8bfe603f,0x3ea02ff9,
    0x400bfd1f,0xffa80ffa,0x0006fd80,0xff503fea,0x3fea0001,0x7fc9fb03,
    0x201ffa82,0x01ff75fe,0x7fc47fe6,0x220ffec1,0xdbcffdff,0x47fe26ff,
    0x27f40ffa,0x7fccffa0,0x7ccffe01,0x00ffe01f,0x3ff35fe8,0xf901ffc0,
    0x540dfd0f,0x00bfd0ff,0x7d417fcc,0xaaffd80f,0x0aaaaaaa,0x7d40ffa8,
    0xffb0000f,0xff8df701,0x201ffa82,0x04ffaff9,0x7fc47fe6,0x2207ff61,
    0xffc83fff,0x3ea3ff11,0x202fec0f,0x03ff33ff,0x1ff99ffc,0xe800ffe0,
    0x403ff35f,0x13fe03ff,0x7cc07fee,0x400bfd0f,0xffa83ff8,0xfffffd80,
    0x81ffffff,0x7fd40ffa,0x2ffc8000,0x7fc1ff88,0x4c1ffa82,0xffffe999,
    0x3e609999,0x363ff11f,0xbff101ff,0x7c4bfe20,0xc81ff51f,0x4ffe206f,
    0x3fe01ff9,0x7c03ff33,0x57fa003f,0x3fe01ff9,0x103ff503,0x9fe609ff,
    0x3e6005fe,0x80ffa83f,0xfffffffd,0xfa81ffff,0x007fd40f,0x7413ff20,
    0xa82ff83f,0x3ffe21ff,0xffffffff,0x47fe63ff,0x1ffd9ff8,0xf80ffe20,
    0x2a3ff13f,0x17fcc0ff,0xff33ffc8,0xf99ffc03,0x00ffe01f,0x3ff35fe8,
    0xfd81ffc0,0xe999999e,0x74ff107f,0x3fea005f,0xd80ffa82,0x3ea0006f,
    0x007fd40f,0x3209ffb0,0x505ff05f,0x777443ff,0xeeeffeee,0x47fe62ee,
    0x0fffeff8,0xe80bfe20,0x2a3ff13f,0x2ffc80ff,0x4cffff66,0x4ffe01ff,
    0x3fe01ff9,0x4d7fa003,0x0ffe01ff,0x3fffffe2,0x82ffffff,0x017fa6f8,
    0xfa81ffb8,0x006fd80f,0xf503fea0,0xffd1001f,0x403fe609,0x1ffa82ff,
    0x9806fb80,0xffff11ff,0x7fc40bff,0x7c4ffa01,0x101ff51f,0xdffbdffb,
    0x07fe67ff,0x3ff33ff8,0xd001ffc0,0x807fe6bf,0xfffb83ff,0xffffffff,
    0x7f4df06f,0x03ff2005,0x3f603fea,0x3fea0006,0x2007fd40,0x3203ffe8,
    0xffffffff,0xf50fffff,0x9999983f,0x99999efc,0x7c47fe60,0x02ffb9ff,
    0x7f403ff1,0x3ea3ff13,0x3ffee00f,0x3e67ff4f,0x27ff101f,0xff101ff9,
    0x7c07b627,0x203ff34f,0x5fe83ff8,0xf81ffc80,0x44017fa5,0x1ff505ff,
    0x4000dfb0,0x7fd40ffa,0x0bffa200,0xffffff90,0x1fffffff,0xff887fea,
    0xffffffff,0x3fe63fff,0x7ec5ff11,0x01ff880f,0x8ffc4ffa,0x18800ffa,
    0x2ff89ffc,0x3e27ff30,0x27ff302f,0xff882ff8,0x2605ff12,0x17fcc3ff,
    0x4027fc40,0xffb005fe,0x203fea05,0x2a0006fd,0x07fd40ff,0x801ffe88,
    0x99999998,0x2a19bff9,0x333221ff,0xcccffecc,0x47fe61cc,0x3fe21ff8,
    0x201ff885,0x23ff13fe,0xf0000ffa,0x413fe27f,0x9ff13ffd,0xff8fff60,
    0xf11ffa85,0x0fff609f,0x7f400ff9,0x02ff400f,0xf5037fdc,0x00dfb01f,
    0x2a07fd40,0x3ffb00ff,0x17fc0000,0x5c00ffd4,0x1ff9806f,0xffb83ff1,
    0xd00ffc42,0x547fe27f,0xff0000ff,0x9117fec7,0x7fec7fff,0x8ffff222,
    0xfa89cffc,0x8bff60ff,0x7c3fffc8,0x3fea004f,0x7f47baa3,0xcbaaaaae,
    0x2a00effe,0x06fd80ff,0x503fea00,0xbff501ff,0x55555555,0x417fc005,
    0xfb801ffa,0x11ff9806,0x1ffd03ff,0xfd00ffc4,0x7d47fe27,0x7ff0000f,
    0x7f7fffd4,0x3ea3fdcf,0xdcffefff,0x3fffe23f,0x7d41ffff,0xdcffefff,
    0x007fea3f,0x3ee6ff88,0xfffffd1f,0x1dffffff,0xd80ffa80,0x3ea0006f,
    0x407fd40f,0xfffffffe,0x2007ffff,0x1ffa82ff,0x9806fb80,0x03ff11ff,
    0x7fc4bff3,0x7c4ffa01,0x001ff51f,0xfd30ffe0,0x0ff67dff,0x27dfffd3,
    0x7fec43fd,0xfd301dff,0x8ff67dff,0xfc8007fd,0x3a3ff71f,0xefffffff,
    0xff5001ce,0x000dfb01,0x3ea07fd4,0x7fffc40f,0xffffffff,0x20bfe007,
    0xfb801ffa,0x11ff9806,0x3ff203ff,0x7403ff12,0x2a3ff13f,0x990000ff,
    0x00026203,0x98800131,0x00262001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0xeeeeeeed,
    0x3bb602bd,0x3bae000e,0x40037b66,0x3ae004ec,0xeeeeeeee,0x25eeeeee,
    0xeeeeeeed,0xdd902cee,0xdddddddd,0x3b607ddd,0xceeeeeee,0x017b200b,
    0x3ba64ec8,0xeeeeeeee,0x2aa65eee,0x74415530,0x332a001e,0xcccccccc,
    0x4bf200cc,0xddb003ed,0x2001f6c7,0xffffffff,0xff80efff,0x3fe003ff,
    0x017ffa7f,0xf8802fec,0xffffffff,0x6fffffff,0x3ffffffa,0x41ffffff,
    0xfffffffe,0x04ffffff,0xfffffffd,0xb019ffff,0x2ff400df,0xfffffff3,
    0x4fffffff,0x3ff71ffb,0xb000ffc4,0xffffffff,0x2a01ffff,0x009ff2ff,
    0x4ff89ffb,0x556ffc00,0xfffeccba,0x037fffc0,0x3a7fffa8,0xfd802fff,
    0x57ff9005,0x55555ffd,0x7f455555,0xccaaaaae,0x3fa0fffe,0xaaaaaaae,
    0xfd01aaaa,0xb995555d,0xdfb0dfff,0x512ff400,0x55555555,0x7dcdff95,
    0x443ff71f,0x3b2001ff,0xeeeeeeee,0xff980fff,0xd809ff2f,0x04ff84ff,
    0x2a027fc0,0x7f7fc3ff,0xfffc800f,0x03ffffa7,0xf100bfb0,0x0037ecbf,
    0x7dc02ff4,0x001bfa5f,0x2202ff40,0x37ec4ffd,0x000bfd00,0x54c1fff1,
    0x4415530a,0x400001ff,0xffc82ffb,0x409ff2ff,0x9ff04ffd,0x804ff800,
    0x7e7fc6fe,0xfcff803f,0x17ffbfa7,0xf700bfb0,0x0037ec3f,0xfe802ff4,
    0x0001bfa7,0xfd802ff4,0x801bf61f,0x744005fe,0x220001ff,0x200001ff,
    0x7f4c4ff8,0x9ff2ffdf,0xf813ff60,0x27fc004f,0x3fe3fe40,0x7d405fcc,
    0x33fa7fbd,0x3f602ffc,0x6c6ff805,0x5fe8006f,0x3a3ff700,0xfd00006f,
    0x9bfe200b,0x3fa006fd,0x1ffec005,0x47fe2000,0x8001bcb9,0xbfff86fe,
    0x09ff2ff8,0xff807ffb,0x027fc004,0x33fe2ff4,0x3f600ff9,0x33fa7fba,
    0xfb00ffe8,0x42ffb80b,0xfe8006fd,0x23ff9005,0xd00006fe,0x3fe400bf,
    0x7f400dfb,0x17ff2005,0x2bfe2000,0x0efffffd,0xf03ff700,0x7cbfe219,
    0x01ffec4f,0x3e0027fc,0x17fdc04f,0x01ff53fe,0x74ff71ff,0x20bff34f,
    0x37fc05fd,0x740037ec,0x4fff005f,0xd00006fe,0x7fdc00bf,0x7400dfb0,
    0xdff5005f,0x3fe20000,0xffebbeff,0x03ff8806,0xff2ff881,0x801ffec9,
    0x7fc004ff,0xecccccce,0x94ff82ff,0x5d7ea0bf,0xfc93fa7f,0x205fd82f,
    0xffd82ffb,0xaaaaaaaa,0x2017fa0a,0x3bfa5ffb,0xaaaaaaaa,0x17fa02aa,
    0xfb2ffa80,0xdddddddf,0x00bffddd,0x0001fff3,0x20fffe20,0x7e400ffc,
    0x5ff1000f,0x7ffed3fe,0x009ff000,0xfffffff8,0xff04ffff,0x3603fe69,
    0x7f4ff72f,0xb03ffa24,0x837f40bf,0xfffffffd,0x3fa0ffff,0xcbaaaaae,
    0x3fa0fffe,0xffffffff,0xfee86fff,0x1eeeeeff,0xffb3ff98,0xffffffff,
    0x880bffff,0x00001ffe,0x7cc17fe2,0x13fe202f,0xff2ff880,0x0bffffbb,
    0xf0013fe0,0xfdddddff,0xff81bfff,0xff10ffa4,0x89fd3fdc,0x2fec5ff9,
    0xfb02ffa8,0xffffffff,0x7fff41ff,0xffffffff,0x777ff41e,0xeeeeeeee,
    0xffffff84,0xf981ffff,0x999ffb3f,0xf9999999,0x3ffd80bf,0x7fc40000,
    0xb80ffe03,0x3e2001ff,0x5fffff2f,0xff007ffb,0x04ff8009,0xf83ffea2,
    0xf517f24f,0x9fd3fdc9,0x7ec5ff90,0x6c0dfd05,0xffe8006f,0xcdefffff,
    0x000dfd02,0xa8017fa0,0x00dfb1ff,0xff902ff4,0xf1000009,0x01ff405f,
    0xf8800dfd,0x25ffff2f,0x7c01ffe8,0x27fc004f,0xff1ffcc0,0xfb07fcc9,
    0x9fd3fdc5,0x361ffd10,0xffffa85f,0x6fffffff,0x005fe800,0x0001bfa0,
    0xf7002ff4,0x801bf61f,0xdff505fe,0xa8f75400,0x07fe21ee,0xff303fe8,
    0x2ff88005,0xff985fff,0x0027fc06,0x7f4013fe,0x7fd13fe5,0x4ff71fe2,
    0xbff504fe,0x3ffa17f6,0xffffffff,0x5fe8006f,0x01bfa000,0x002ff400,
    0x037ecff9,0xff30bfd0,0x7fdc001f,0x7c43ff71,0x40ffa01f,0xf88007fc,
    0x3209ff2f,0x13fe04ff,0x2009ff00,0x913fe7fd,0xf713eedf,0xf9027f4f,
    0xf98bfb5f,0x999999bf,0xe8006fe9,0x3fa0005f,0xbfd00006,0xd97fe200,
    0x17fa006f,0x8003ffd1,0x3ff71ffb,0xfd00ffc4,0x0013fe07,0x27fcbfe2,
    0x3e05ffd0,0x27fc004f,0x3fe5ff80,0x7ec7fcc4,0x9fd3fdc1,0x7f7ff440,
    0x6c03fec5,0x5fe8006f,0x01bfa000,0x802ff400,0x1bf62ffd,0x7ec5fe80,
    0x1f30003f,0x201ff880,0x2ff883fe,0xf2ff8800,0x7ffcc09f,0x4004ff80,
    0xffc804ff,0x3fa13fe3,0x27fb86fc,0x7fd404fe,0x0ffe65ff,0x2001bf60,
    0x3a0005fe,0xfd00006f,0x89ff700b,0x3fa006fd,0x0013fee5,0x87baa6b8,
    0x3fa01ff8,0x001ffa83,0x9ff2ff88,0xf86ffb80,0x6ffc004f,0xebaaaaaa,
    0x427fc6ff,0xfb84fffb,0x32013fa7,0x3ff65fff,0xaaffd800,0xaaaaaaaa,
    0x4000bfd0,0xaaaaaefe,0x02aaaaaa,0x55555dfd,0xb0dffd97,0xaff400df,
    0xaaaafff9,0xaaaaaaaa,0x7fdc9f30,0xe807fe21,0x007fb83f,0x3fe5ff10,
    0x44ffd804,0xaaaaadff,0xfff0aaaa,0xffffffff,0x84ff81df,0xfb81fff9,
    0x22013fa7,0x9ff35fff,0x3ffff600,0xffffffff,0x4000bfd1,0xfffffffe,
    0x07ffffff,0xfffffffd,0xb01bffff,0xaff400df,0xfffffffb,0xffffffff,
    0x1ffb8731,0xfe807fe2,0x0006fc83,0x13fe5ff1,0xf87ffe20,0xffffffff,
    0xffff3fff,0x5bdfffff,0x7f413fe0,0x7f4ff706,0x2bff5004,0xfb000ffd,
    0xffffffff,0x17fa3fff,0xffffe800,0xffffffff,0xffffd07f,0x019ddfff,
    0xfd0037ec,0x3ffffeeb,0xffffffff,0xf88001ff,0x20ffa01f,0xf10005fe,
    0x4013fe5f,0xfff0fffa,0xffffffff,0x0000007f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x22003eeb,
    0x1775c5ed,0x2a2eea80,0x775c00ee,0xd94ed805,0xeeb8001d,0xdddddd90,
    0x01579ddd,0x980013b6,0xeeeeeeee,0x2eeeeeee,0xaa981000,0xaaaaaaaa,
    0x32a00aaa,0x65d44003,0x665440ab,0x99751002,0x32e20057,0x12a880bc,
    0xfff10397,0x0bff2001,0x8801fff1,0x17fcc5ff,0x803fffa0,0x7ff53ff8,
    0x3a5fe800,0xffffffff,0xe80effff,0x3ea0005f,0xffffffff,0x02ffffff,
    0x6c599951,0x0a2000e5,0x2e005fb8,0x5fffffff,0xbffffff7,0x7ffffd40,
    0xfd101eff,0x985fffff,0x3fffe8ff,0xa806ffa8,0xdff304ff,0xf80ffe80,
    0x3ffe204f,0x87fea02f,0x3e6006ff,0x2abbfa2f,0xfebaaaaa,0x02ff40ff,
    0x55555100,0x5555dfd5,0xfff50155,0x47fbffff,0x20288003,0xff9005fb,
    0xfffd957b,0xffd77fff,0x57dff909,0xd10dffd9,0xffd957ff,0x7feffcc5,
    0x7ffb00ff,0x0077f440,0x3f207ff9,0x40dfb01f,0x204fcefa,0x07fe47fc,
    0x7f47fc80,0x87ff9006,0x000005fe,0x7dc00dfd,0xfffdabef,0x144001c6,
    0xf100bf70,0x3fffa05f,0x222ff883,0x5ff905ff,0xfe80efe8,0x18fffe66,
    0x403ffe20,0xfe801ffc,0x01ffd41f,0x67e40ff7,0x17fa07fa,0x3e007ff3,
    0x8037f44f,0x7ff45ff8,0xcdeeeeee,0x06fe8002,0xf30bff10,0x4001c1ff,
    0x017ee028,0xffc81bea,0xea9fee06,0x45ff300f,0xff501ff9,0x0017fe61,
    0xff30bff5,0x9bfe6009,0x7cc05ff8,0xf15fd01f,0x05ff103f,0xff500dfd,
    0x2006fe81,0x7fff47fd,0xffffffff,0x1bfa001e,0x7407fec0,0x000e5fff,
    0x4ccccca2,0x19999efc,0x03ff9800,0xf0003fe2,0x2037dc7f,0x001ffcc0,
    0x3fa17fec,0xa7fdc006,0xff800ffe,0x3fa7f983,0xa80ffa83,0x37ec01ff,
    0xff0037f4,0xcccefe8d,0xfffecccc,0x00dfd000,0x2bf213fa,0x2000e6fc,
    0xffffff28,0x1fffffff,0x7f65cc40,0xcccccdff,0x3102ffcc,0x47fffb95,
    0x7cc005fc,0xff88002f,0x003ff70f,0x5ffbffb0,0x2e17f600,0x3217f25f,
    0x813fe06f,0x6fe82ff8,0xe89ff700,0x5ffb805f,0x200dfd00,0xaa7d42ff,
    0x22000e7f,0xfffffff2,0x01ffffff,0xffffffd7,0xffffffff,0xeb87ffff,
    0xffefffff,0x30013fa3,0x2a0003ff,0x03ff8cff,0x9ffff100,0x6c3fdc00,
    0xd03fe63f,0x03fe409f,0x1bfa0ff7,0x7ffe54c4,0xe802ff40,0x0dfd007f,
    0x7cc3ff10,0x01c3fe66,0xbf701440,0x37fff600,0xabff98ac,0xaaaaaaaa,
    0x33bfff61,0x7f47ff0a,0x0ffcc004,0xfdffb000,0xffa8000d,0x07fcc007,
    0x85ff07fe,0x3fe602ff,0x3a09fd01,0xffffffff,0xe81effff,0x3ff9005f,
    0x100dfd00,0x83fa25ff,0x00070ffa,0x02fdc051,0x4c05ffe4,0x7dc001ff,
    0x47ff103f,0x304405fd,0x440003ff,0x0000ffff,0x001ffff4,0x87fa8bfe,
    0x01fe64fd,0x3fe613fa,0xfffffd01,0x07bfffff,0xfc802ff4,0x06fe801f,
    0x0bf69ff0,0x4001cff7,0x017ee028,0xffb81bfa,0x742f2603,0x8ffe605f,
    0x3fe207fb,0x0003ff33,0x0003ffa8,0x0fff7fe4,0x7e49f900,0x3ee6fb84,
    0xc87fb805,0x27bfa06f,0x2ffea999,0xf802ff40,0x0dfd007f,0x0fefbfa0,
    0x800397f6,0x017ee028,0x7fc413fa,0xf9bf606f,0x8fff605f,0xff903ff9,
    0x0007fe61,0x0005ff30,0x7fce7fcc,0x4df5000e,0x0ff982fe,0xff1007fb,
    0x3a03ff85,0x0fff606f,0xfb805fe8,0x0dfd005f,0x217fff20,0x000e3ff9,
    0x05fb80a2,0x74c1ffb8,0x220dffef,0x3ff61ffb,0x27ffec41,0xff50bff2,
    0x000ffccb,0x000bfe60,0xfb877fc4,0x1ff1004f,0x3fe01ff1,0x36003ff1,
    0x803fea5f,0x7ff406fe,0x555dfd02,0xfffd9555,0x01bfa001,0x261fffc4,
    0x4001c6ff,0x00aa6028,0x3f3bffe2,0xdfff34ff,0xf989fffb,0xcffeceff,
    0x7ff445fd,0x20efffde,0x40001ff9,0xb0002ff9,0x2ffd83ff,0xdf75fd00,
    0x3fcdfe40,0x361ff500,0x037f404f,0x3a03ffe6,0xffffffff,0x2001efff,
    0x3fa006fe,0xfffedfff,0x944001c0,0x99999999,0xe9819999,0x441dffff,
    0x03fffffd,0x3dffffd3,0x3ee03fea,0xf984ffff,0x7cc0001f,0xffb8002f,
    0x00fff883,0x03fdbfc8,0x013ef7ea,0x3ff15ff0,0xb806fe80,0xfffe85ff,
    0x3ceeffff,0x006fe800,0xfffb77f9,0x0007019f,0x3ffffe51,0xffffffff,
    0x20013100,0x33100098,0x00cc4000,0xff980000,0x2ffcc002,0x500bff50,
    0x4403ffbf,0x4002fdff,0x806fadfc,0xffd006fe,0x0005fe87,0x200dfd00,
    0x2004c44b,0xff288003,0xffffffff,0x00001fff,0x00000000,0x4c000000,
    0x3a2002ff,0x7fec00ff,0x3fffc403,0x007fff40,0x0ff7fe20,0x4c01bfa0,
    0x17fa0fff,0x37f40000,0x55c00000,0xaaaaaaaa,0x0002baaa,0x00000000,
    0x00000000,0x05ff3000,0x4017fec0,0x7401ffe8,0xffc805ff,0xfffb0006,
    0x00dfd001,0xbfd2ffe4,0x3fa00000,0x00000006,0x00000000,0x00000000,
    0x00000000,0x7002ff98,0x7cc009ff,0x17fdc06f,0x0027fcc0,0xd005ffa8,
    0xffe800df,0x0000bfd2,0x0001bfa0,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x59995000,0x40155101,0x997300aa,0x65d40015,
    0x455100ac,0xa882bcb9,0x102f2e62,0x55307995,0x2aa35500,0x20155101,
    0x035511a9,0x2aaa154c,0xaaaaaaaa,0x02a61542,0x0300004c,0x30aa0060,
    0x00c00015,0x5ec802aa,0xffffff98,0x00ffcc3f,0xffe887ff,0x5402ffff,
    0x3ffffffe,0xfffb7f88,0xbfc41dff,0x32fffffd,0x41dfffff,0x3e601ff9,
    0x2e0df91f,0x47fd03ff,0xff981ffd,0x7fffff44,0x646fffff,0x5c17ea3f,
    0x7d4001df,0x5f98ae63,0x6f993ee0,0x04fc8800,0xffb00ffc,0xbaceff88,
    0x3fe64ffd,0xf98ffe01,0xffdbbdff,0x57fff304,0xf889ffb7,0xfdbcffdf,
    0x3f7fe26f,0xfbfffdbd,0x45ffdbdf,0x9bf204fe,0xffd80ffa,0x221ff885,
    0x37f446ff,0x6666665c,0x7c44ffec,0x2e0ff61f,0x9002efff,0xffffdbff,
    0xf101dffb,0x0017f41f,0x809fffb5,0x1ff601ff,0x9ff60ff7,0x3fe01ff9,
    0x2e07bfa3,0x0efe80ff,0x3e21ffc8,0x1ffc83ff,0xf987fff1,0x7fe40dff,
    0xff81ff20,0x7fc17fc3,0xa86fa87f,0x07ff63ff,0x20bff300,0x03fe66fb,
    0x33ffff6a,0x7fffe400,0x00effffd,0x02fe47fd,0x77fff5c4,0x201ff802,
    0x82fe47fd,0x3ff30ac9,0xffa9ffc0,0xf717fe03,0x137f403f,0x3fe20bff,
    0x3a0bff12,0x1ff981ff,0x3ea07fe2,0x2627ec0f,0x7ec1ffdf,0xf51ff904,
    0xfe88007f,0xc93fa00e,0x3fee206f,0xff301dff,0x827fd419,0x07fe66fb,
    0xcffffc98,0x807fe001,0x67fdc6fc,0x01ff9800,0x07fe4ffe,0x5fd8ff90,
    0xf887fd40,0x44ffe03f,0x0ff903ff,0x9fd0bfe2,0xff70bfb0,0x43fdbfb8,
    0xdfd101ff,0xfd000bff,0x1ffa801f,0xb5009ff1,0x6417dfff,0x30df706f,
    0x827f45ff,0x0befffea,0x201ff800,0x7ff444fb,0xff301cef,0xfd9ffc03,
    0xccccccce,0x13fa0ffd,0x3e23ff30,0x44ffa02f,0x0df902ff,0xff50bfe2,
    0xf882ff88,0x3ee7fa1f,0xf301fe65,0xd8001dff,0xdfb001ff,0x9800ffdc,
    0x3fa4fffc,0xe81ff102,0x203ff26f,0x001dfffb,0xfffffff7,0x269fffff,
    0xfffd883f,0x7fcc4fff,0x7f4ffe01,0xffffffff,0x0ffe1fff,0x3e25ff10,
    0x44ffa01f,0x0df901ff,0xff10bfe2,0xfd03fdc5,0x3fcdfe27,0xffb009f9,
    0x2ffc8007,0xfc97fa00,0x3f66000f,0xf807fe4f,0xf53fec1f,0x3bff703f,
    0x7fffdc00,0xffffffff,0xdb880264,0xf30effff,0xe9ffc03f,0xaaaaaadf,
    0x3fe0aaaa,0x897fcc03,0x4ffa01ff,0xdf901ff8,0x360bfe20,0xb813fa5f,
    0x7fcbf55f,0xf9805fd1,0xf7000fff,0x7fdc007f,0x2005ff30,0x22efffea,
    0x0ff505fc,0x2fec7ff1,0x5f7ffecc,0x55554400,0xaaaabffa,0x3f660001,
    0x203ff33f,0x0bfb3ff8,0x5013fa00,0x07fe23ff,0x3ff13fe8,0x7c41bf20,
    0x88ff982f,0x5fe601ff,0x233f23fc,0xeefe807f,0x4ffa805f,0xd8bfe200,
    0x7fe4404f,0xffa81cff,0xa82ff441,0x05ff10ff,0x33ffff22,0x00ffc001,
    0x01ca8111,0x3fe2bff1,0x327ff302,0x2165407f,0x7fe406fd,0x7403ff10,
    0x203ff13f,0x5ff106fc,0x1beebfa0,0x87fabfa0,0x405fbefa,0x3ff98ffc,
    0x0017fe60,0x077d49f9,0xbffffd98,0x37ffea00,0x204fffcb,0x01bea4fc,
    0x0bbfffae,0xf700ffc0,0xd037f43f,0x413fe29f,0x7ff33ffd,0xf51bfe20,
    0x97fe205f,0x3fa01ff8,0x3203ff13,0x05ff106f,0x00ffb7ee,0xf11ff7f2,
    0x7d405fdf,0x207ff23f,0x2000eff8,0x07fa0ef9,0x0bbfffa6,0x3ffffe60,
    0x04ffffff,0x03fd87fa,0x5ffffb30,0x2e01ff80,0x2ffee1ff,0xd87fee20,
    0x3ff222ff,0x877ff23f,0xfd82ffd8,0x077f442f,0x7f403ff1,0x3203ff13,
    0x05ff106f,0x003fffe2,0x3a17ffea,0xff100fff,0x446fe88d,0x33310efe,
    0x21fd8333,0x9ff704fb,0x477e4003,0xdf92ceb9,0xf89be601,0x3f22000f,
    0x00ffc04f,0xffd81993,0x43fffeef,0xffeffffa,0x3fa23fdc,0x3fffeeff,
    0xdbfffd10,0xff881dff,0x7c4ffa01,0x20df901f,0x3fa02ff8,0x3ffe005f,
    0x205ffc83,0xffa80ffd,0x3ffffee4,0x1fffffff,0x005d4000,0x0b800c80,
    0xb8000000,0x000f7403,0xfffffb88,0xfffd302e,0x2e0ff67d,0x02efffff,
    0xceffffb8,0x201ff880,0x03ff13fe,0x7fc41bf2,0x00bfea02,0xfa81ffd8,
    0x07ff503f,0xffb8ffe4,0xffffffff,0x000001ff,0x00000000,0x00000000,
    0x00cc4000,0x10001310,0x31000133,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x5002a000,
    0x40019880,0x00000009,0x03000262,0x0c400220,0xffffffb8,0x04ffffff,
    0x3fffee01,0xffffffff,0x3ba2dd94,0xa883dd52,0x2deec980,0x84ffa8e0,
    0x0aaaaaaa,0x99893fea,0x99999999,0xf1199999,0x54bfe25f,0xffffffff,
    0x4fffffff,0x3601df50,0x01ff603f,0x7f643fc8,0xefdb81ce,0x02fec02c,
    0x06fffedc,0x017fff54,0x3fee07f2,0xffffffff,0x6ff544ff,0x7ffffdc2,
    0x4fffffff,0x4ffe6ffb,0x07e41ffb,0x3fffffee,0x47da8acf,0x3fe20ffc,
    0x3a2fffff,0x7fffd46f,0xffffffff,0x5ff15fff,0x7754bfe2,0xeeeeeeee,
    0x304eeeee,0xffd81dff,0x201ff602,0x3f23ffd8,0x7e46fdbd,0x300ffdce,
    0x7d403fff,0x544fdbbe,0x03ffeeff,0x2aa203ee,0xaaaaaaaa,0x2b7ea4fd,
    0x2aaa22fd,0xaaaaaaaa,0x3e6ffb1a,0xe83ff73f,0x37bf61cf,0xfffffffe,
    0x224fd87f,0x2fffffff,0xbb981ff5,0xbbbbbbbb,0xd12bbbbb,0x00bba23d,
    0x3fe60000,0x805ffb0e,0x7fd404cb,0xf89913fe,0x641fd10f,0x9fff904f,
    0x1fa07e40,0x07fcc5fd,0xd71f73bb,0x49f90005,0x0003644e,0x7ff37fd8,
    0x3ea207cc,0xfb510b67,0x3603dfff,0x44444445,0x00007b20,0x00000000,
    0x37bfe600,0x200002ff,0x103fb8cb,0x5f900df7,0x1ff3ff10,0x43faa600,
    0x21fe87f8,0xfffffffe,0x14fc8004,0x000fa83f,0x3fe6fb80,0x3ea21ae2,
    0xaa88010f,0x00000001,0x00000000,0xff300000,0xffff05ff,0xffffffff,
    0x107f701f,0xff500dff,0x3f6bf701,0xfffd9103,0x217ea1ff,0x7fd443fc,
    0xf900009e,0x01b22749,0xfd2fd400,0xffa93e61,0x000004ff,0x00000000,
    0x00000000,0x0fffe800,0xfffffff8,0x80ffffff,0xfdb883fb,0x03ff900e,
    0x83fcc7fe,0xfe8acefe,0x5fb0bf30,0x005fbfb0,0x9f727e40,0x7fdc7f93,
    0xffffffff,0x6c7f14ff,0x59930e67,0x00000001,0x00000000,0x00000000,
    0x1dffffb0,0xaaaaaaa8,0x80aaaaaa,0x1fdc03fb,0xfa8077ec,0x3e617f46,
    0xff10ff86,0x4fb83ff0,0x320003fd,0x1f7f5c4f,0x3fffffee,0x24ffffff,
    0x00002209,0x00000000,0x00000000,0xb0000000,0x1dff35ff,0x7f700000,
    0x49f90f66,0x7f404fe8,0x3e237dc3,0xe87ff626,0x70df70cf,0x0007ea1d,
    0x101804c4,0x55555555,0x00035555,0x00000000,0x00000000,0x00000000,
    0xf317fec0,0x3fec01df,0x7f47f700,0x3a0ffcac,0x23ccccff,0x7fc40ff9,
    0x7ff7fec1,0x3ffe63fd,0x08101fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x64000000,0x5ff982ff,0xb801ff60,0x3fff663f,0x3fffea2d,
    0x17f65fff,0x36a22fe4,0x442c98cd,0x0000deec,0x00000000,0x00000000,
    0x00000000,0x00000000,0x6c000000,0xb803a602,0x2600004c,0x0e640000,
    0x00004c98,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_31_latin1_x[224]={ 0,2,1,0,0,1,1,1,1,1,0,1,2,0,
2,0,1,3,0,1,0,1,1,1,1,1,2,2,1,1,1,1,1,-1,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,1,0,0,0,-1,1,1,1,1,0,1,0,0,1,1,
-2,1,1,1,1,0,1,0,1,0,0,1,0,0,0,0,0,0,2,0,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,1,0,1,-1,
2,1,0,0,0,1,1,0,0,-1,1,1,0,0,3,2,0,2,1,1,0,1,1,1,0,2,-1,-1,-1,-1,
-1,-1,0,1,2,2,2,2,0,1,-1,0,-1,2,1,1,1,1,1,2,1,2,2,2,2,0,2,2,1,1,
1,1,1,1,0,1,1,1,1,1,0,2,-1,0,0,1,0,0,0,0,0,1,1,1,1,1,1,0,1,0,
 };
static signed short stb__arial_31_latin1_y[224]={ 25,5,5,4,3,4,4,5,4,4,4,8,22,16,
22,4,5,5,5,5,5,5,5,5,5,5,10,10,8,11,8,4,4,5,5,4,5,5,5,4,5,5,5,5,
5,5,5,4,5,4,5,4,5,5,5,5,5,5,5,5,4,5,4,28,5,10,5,10,5,10,4,10,5,5,
5,5,5,10,10,10,10,10,10,10,5,10,10,10,10,10,10,4,4,4,13,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,25,10,5,4,8,5,
4,4,5,4,4,11,11,16,4,2,4,8,4,4,5,10,5,13,24,4,4,11,4,4,4,10,0,0,0,0,
1,0,5,4,0,0,0,1,0,0,0,1,5,0,0,0,0,0,1,9,4,0,0,0,1,0,5,4,5,5,
5,5,5,4,10,10,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,9,9,5,5,5,5,5,5,5,
 };
static unsigned short stb__arial_31_latin1_w[224]={ 0,4,8,16,15,22,17,3,8,8,10,14,4,9,
4,8,14,8,14,14,15,14,14,14,14,14,4,4,14,14,14,14,27,20,16,18,17,16,14,19,16,4,12,17,
13,20,16,20,16,20,18,17,17,16,19,26,19,19,17,7,8,6,13,17,6,14,14,13,14,14,9,14,13,4,
7,13,4,21,13,15,14,14,9,13,8,13,14,20,14,14,14,9,3,9,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,4,14,15,14,17,
3,14,9,21,10,13,14,9,21,17,9,14,9,9,6,12,15,4,7,6,10,13,22,22,23,13,20,20,20,20,
20,20,27,18,16,16,16,16,6,6,10,8,20,16,20,20,20,20,20,12,20,16,16,16,16,19,16,15,14,14,
14,14,14,14,24,13,14,14,14,14,6,6,10,8,15,13,15,15,15,15,15,14,15,13,13,13,13,14,14,14,
 };
static unsigned short stb__arial_31_latin1_h[224]={ 0,20,8,22,25,22,22,8,27,27,10,14,7,4,
3,22,21,20,20,21,20,21,21,20,21,21,15,19,14,9,14,21,27,20,20,22,20,20,20,22,20,20,21,20,
20,20,20,22,20,23,20,22,20,21,20,20,20,20,20,26,22,26,12,3,4,16,21,16,21,16,21,21,20,20,
26,20,20,15,15,16,21,21,15,16,21,16,15,15,15,21,15,27,27,27,5,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,21,26,22,14,20,
27,27,3,22,11,14,9,4,22,2,9,17,12,12,4,21,26,4,7,12,11,14,22,22,22,21,25,25,25,25,
24,25,20,27,25,25,25,24,25,25,25,24,20,25,26,26,26,26,25,13,22,26,26,26,25,25,20,22,21,21,
21,21,21,22,16,21,21,21,21,21,20,20,20,20,21,20,21,21,21,21,21,12,18,21,21,21,21,26,26,26,
 };
static unsigned short stb__arial_31_latin1_s[224]={ 254,92,143,65,101,104,171,250,1,24,92,
235,152,188,249,41,201,30,157,1,172,31,61,15,91,116,249,244,220,128,176,
224,56,71,71,1,97,171,126,210,209,188,44,39,57,88,109,150,154,155,88,
176,124,178,68,41,21,1,226,116,230,109,56,205,181,214,76,229,163,29,106,
195,1,244,124,216,211,74,60,44,16,1,243,1,247,15,96,111,132,46,147,
84,10,14,165,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,
158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,158,254,251,1,
239,191,193,33,94,223,82,70,206,103,188,1,233,118,174,46,36,198,188,147,
250,157,29,81,162,127,189,212,53,204,225,38,90,117,59,126,37,145,111,128,
138,162,169,176,246,188,187,195,216,16,37,80,1,20,73,178,237,21,1,107,
194,157,111,216,142,96,50,189,82,67,23,38,236,141,249,115,148,126,230,172,
131,147,231,239,14,142,30,210,57,16,132,163,58, };
static unsigned short stb__arial_31_latin1_t[224]={ 1,150,231,82,56,82,82,214,1,1,231,
214,231,231,187,82,105,172,150,128,150,128,128,172,128,128,171,171,214,231,214,
128,1,150,171,82,150,171,150,56,171,150,150,172,172,171,171,82,171,56,193,
56,193,128,193,193,193,193,171,1,56,1,231,231,231,193,128,193,128,214,128,
128,172,150,1,150,150,214,214,214,128,150,193,214,105,214,214,214,214,128,214,
1,1,1,231,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,
193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,193,1,82,29,
56,214,150,1,1,231,82,231,214,231,231,105,231,231,193,231,231,231,105,1,
223,231,231,231,214,82,82,82,105,29,29,56,29,56,56,171,1,29,29,29,
56,29,29,29,29,171,29,1,1,29,29,56,231,82,29,1,1,56,56,193,
56,105,105,105,105,105,82,193,105,105,105,105,82,150,150,150,150,105,150,105,
128,128,105,128,231,193,150,128,150,150,1,1,29, };
static unsigned short stb__arial_31_latin1_a[224]={ 123,123,158,247,247,395,296,85,
148,148,173,259,123,148,123,123,247,247,247,247,247,247,247,247,
247,247,123,123,259,259,259,247,451,296,296,321,321,296,271,345,
321,123,222,296,247,370,321,345,296,345,321,296,271,321,296,419,
296,296,271,123,123,123,208,247,148,247,247,222,247,247,123,247,
247,99,99,222,99,370,247,247,247,247,148,222,123,247,222,321,
222,222,222,148,115,148,259,333,333,333,333,333,333,333,333,333,
333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,
333,333,333,333,333,333,333,333,123,148,247,247,247,247,115,247,
148,327,164,247,259,148,327,245,178,244,148,148,148,256,238,123,
148,148,162,247,370,370,370,271,296,296,296,296,296,296,444,321,
296,296,296,296,123,123,123,123,321,321,345,345,345,345,345,259,
345,321,321,321,321,296,296,271,247,247,247,247,247,247,395,222,
247,247,247,247,123,123,123,123,247,247,247,247,247,247,247,244,
271,247,247,247,247,222,247,222, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_31_latin1_BITMAP_HEIGHT or STB_FONT_arial_31_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_31_latin1(stb_fontchar font[STB_FONT_arial_31_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_31_latin1_BITMAP_HEIGHT][STB_FONT_arial_31_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_31_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_31_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_31_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_31_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_31_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_31_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_31_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_31_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_31_latin1_s[i] + stb__arial_31_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_31_latin1_t[i] + stb__arial_31_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_31_latin1_x[i];
            font[i].y0 = stb__arial_31_latin1_y[i];
            font[i].x1 = stb__arial_31_latin1_x[i] + stb__arial_31_latin1_w[i];
            font[i].y1 = stb__arial_31_latin1_y[i] + stb__arial_31_latin1_h[i];
            font[i].advance_int = (stb__arial_31_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_31_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_31_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_31_latin1_s[i] + stb__arial_31_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_31_latin1_t[i] + stb__arial_31_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_31_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_31_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_31_latin1_x[i] + stb__arial_31_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_31_latin1_y[i] + stb__arial_31_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_31_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_31_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_31_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_31_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_31_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_31_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_31_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_31_latin1_LINE_SPACING
#endif

