// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_33_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_33_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_33_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_33_latin1_BITMAP_HEIGHT        280
#define STB_FONT_arial_33_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_33_latin1_FIRST_CHAR            32
#define STB_FONT_arial_33_latin1_NUM_CHARS            224

#define STB_FONT_arial_33_latin1_LINE_SPACING          21

static unsigned int stb__arial_33_latin1_pixels[]={
    0x04cc1988,0x3002c880,0x001e4033,0x0026aa60,0x01355310,0x2a602644,
    0x8035730b,0x988004c8,0x0009abba,0x4ccc2660,0x33331099,0x33331003,
    0x54033333,0xa80001aa,0x0133002a,0xb8000000,0x09ff11ff,0x2a007f60,
    0x07f205ff,0xfffdb980,0xb800bfff,0x03ffffff,0x7fec0ff3,0x09fff50f,
    0xb8803fcc,0xffffffff,0xff8002df,0x2bfffff3,0x81fffffb,0xffffffeb,
    0x2607ffff,0x640006ff,0xff805fff,0x36000003,0x88ffdc05,0x4fa804ff,
    0x401dfd00,0xff9006f8,0xffffffff,0x7ffdc03f,0x984fffde,0xdfff907f,
    0x0bfffa61,0x32203fcc,0xdcdeffff,0x01efffff,0x7ffcffe0,0xffff75ff,
    0x7fff4c3f,0xffffffff,0x17fdc07f,0xfbffa800,0x01ffc03f,0x04f88000,
    0x5990664c,0x800ff880,0xfb801ffa,0x5fffec04,0x3fffae60,0x20eff880,
    0x7cc1ffe8,0x401bfd07,0x0ff305fe,0x016fff44,0x07fffb73,0x27fcbba0,
    0xfe87fe60,0xaabfffff,0xc802affd,0xff88005f,0x7c03ff75,0x5000003f,
    0x8000005f,0x5d9004fc,0x403fe200,0x6400effb,0x1ffa86ff,0x7cc4ffa8,
    0x402ff887,0x0ff306fb,0x0007bfe6,0x0007ffb1,0xff9809ff,0xffffff71,
    0x0037e43f,0x97000332,0xf01e6419,0x2000007f,0x000000fc,0x00007fe2,
    0xf984fc80,0xffb001ff,0xb01ffa83,0x887f9879,0x3fd401ff,0xff887f98,
    0x3ee0000d,0x27fc001f,0x7ec7fe60,0x21ffffff,0x00cc46fc,0x0cc46620,
    0xff866200,0xbf000003,0x2002aa60,0x437dc0aa,0xaa800aa9,0x640ffa80,
    0x3ea003ff,0x06ffc43f,0xf10ff300,0x07fa803f,0x0bfb0ff3,0x3310564c,
    0x2aa037ec,0xf9809ff1,0xfffffd1f,0x237e43ff,0x3a000ffc,0x001ff97f,
    0x27ff3ff4,0x4000bca8,0x303fccb8,0xffa809ff,0x7cc27fc1,0x0ffd404f,
    0x3ffc3ff8,0xff700400,0x1fe6001d,0xf5007fe6,0xf51fe60f,0xffff901f,
    0xf89bf67f,0x7cffe01f,0x8ffcc04f,0xfffffffe,0xff91bf21,0xcbff4001,
    0x3fa000ff,0x3feeffe7,0x5401efff,0x1efffffe,0xfd80dfd0,0xe80ffcc6,
    0x037ec06f,0x37fccbfb,0x7ff40000,0x87f9803f,0x7d401ff9,0x747f980f,
    0xceffc82f,0x44ffaffe,0x4ffe05fe,0x7fcc04ff,0xffffffb1,0x3237e43f,
    0x3fa000ff,0x4001ff97,0x3fffe7fe,0x0fffcacf,0xf7bfff30,0xff705fff,
    0x50ffe203,0x0ffdc0ff,0x2e03ff88,0x013fea7f,0xfefd8800,0x3e601eff,
    0x400ff987,0x7f980ff9,0x3fee1fe6,0x1ffffd43,0x3ff81fee,0xff9809ff,
    0xffffff51,0x3237e43f,0x3fa000ff,0x4001ff97,0x3bffe7fe,0x4c37f440,
    0x3f7e26ff,0x04ff887f,0x6fb81ff7,0x5c13fe20,0x3fea00ff,0x0007ff70,
    0x74d3fe20,0xff304fff,0xf300ff50,0x64ff303f,0x81ffd44f,0x7cc1fffc,
    0x7fcffe07,0xb0ffcc04,0x43ffffff,0x07fe46fc,0x3f2ffd00,0x9ffa000f,
    0xff301fff,0x2a1ffd87,0xd82ffbaf,0xb0bfd07f,0x07fd80bf,0xff980bfd,
    0x0005ff71,0x3ee1bea0,0x2f4c0eff,0xff802fec,0x3fa7f984,0xf303ff41,
    0x403fe0ff,0x809ff3ff,0x3f621ff9,0x3f21ffff,0x0007fe46,0x03ff2ffd,
    0x3fe7fe80,0x3a2ff405,0x1573e44f,0xf985ff50,0x404fe82f,0x7fcc2ffa,
    0x99ffc402,0xb00003ff,0x3ffa609f,0x2ffb8806,0x985ff500,0xf88ff17f,
    0x437fc03f,0x7ff00ff8,0xff3013fe,0x3ffb7303,0x3ff237e4,0x65ffa000,
    0x3fa000ff,0xf900ffe7,0x3e1ffc4d,0x917fe005,0x013fe0ff,0x0ff917fe,
    0x7fc53fe0,0xdf900005,0x204ffd80,0x4002fff8,0x5fe67ffa,0x07fd46f9,
    0x3ea13fe0,0x7fcffe06,0x00ffcc04,0x37e43ff1,0xe8003ff2,0x001ff97f,
    0x05ff3ff4,0xff30ffb8,0x9001fcc5,0x427fc1ff,0xfc803ff8,0x4013fe0f,
    0x01bfa5ff,0x9ff50260,0x2206fe80,0xfb0003ff,0x6fabfccf,0x3e603fe4,
    0x205fc82f,0x809ff3ff,0x3e201ff9,0xf91bf21f,0xbff4001f,0x3a000ffc,
    0x700bfe7f,0x87fea1ff,0x3e6000fb,0x103ff32f,0xff3009ff,0x2007fe65,
    0x1ff64ff8,0xfb1bfe00,0x1fee01bf,0x003ffd88,0xf997ff62,0x6fe8bf57,
    0x7407fd40,0x7cffe03f,0x0ffcc04f,0x7e43ff10,0x0007fe46,0x03ff2ffd,
    0x3fe7fe80,0xf53fdc02,0x4003745f,0x40df95fe,0xbfd005ff,0x7cc01bf2,
    0x013fee4f,0x7444ffa8,0x4fc83fff,0x0ffe20cc,0x2607fe40,0xfd8df17f,
    0x643ff407,0xf9ffc06f,0x0ffcc04f,0x7e43ff10,0x0007fe46,0x03ff2ffd,
    0x3fe7fe80,0xf32fe403,0x7713e27f,0x7c7fdc05,0x01ffa03f,0x1ffc7fdc,
    0x223ffa80,0xe8802fff,0xfff901ff,0x987fea1b,0x006fc87f,0x4ff305ff,
    0x80ffdc7f,0x7fd45ffb,0xff9ffc02,0x00ffcc04,0x37e43ff1,0xe8003ff2,
    0x001ff97f,0x0dff3ff4,0x3fe27fc4,0x7fc43f55,0x3f3fe204,0x03ff600f,
    0x3ff3fe20,0x83ff7000,0x2201fffb,0x74c05ffd,0x42ffdfff,0x0ffa87f9,
    0x4c07fcc0,0xf987f67f,0x3fffa84f,0x3e017fe6,0x9809ff3f,0x3fe201ff,
    0xff91bf21,0xcbff4001,0x3fa000ff,0x5c0bffe7,0x57fe41ff,0x00ffe47d,
    0x7017fff6,0x3f6003ff,0x3f6005ff,0x7bfffb07,0xdfff7313,0x3fff2001,
    0x987f980f,0x7fd400ff,0x3ee7f980,0x4ceffec4,0xdbeffefc,0xff800dff,
    0xf9809ff3,0x87fe201f,0x07fe46fc,0x3f2dff00,0x9bfe000f,0x7e42ffff,
    0xfffe883f,0x00bff715,0x8805fff5,0xff5002ff,0x2ff4005f,0xffffff90,
    0x001dffff,0x985ffe98,0x01ff987f,0x7f983fd4,0x3ffa1fea,0xfff8dfff,
    0x3e003fff,0x9809ff3f,0x3fe201ff,0xff71bf21,0x5bfe2003,0xf1001ffb,
    0x7ff7fcdf,0x204fffef,0xffeeffe8,0xfff000ef,0x8013fa00,0x3e2007ff,
    0x7fe4c02f,0x002effff,0x30fff620,0x03ff10ff,0xff307fa8,0x75c44fe8,
    0x3bfaa2df,0xf804c41c,0x9809ff3f,0x3fe201ff,0xff51bf21,0x53fe6007,
    0xf3003ffa,0x74dffc9f,0x8803dfff,0x04fffffe,0xa8027f40,0x9fd000ff,
    0x0037dc00,0x30006ff2,0x2637f403,0x01ff887f,0x7f983fd4,0x0001ffc4,
    0x3e03ff90,0x9809ff3f,0x3fe201ff,0xff11bf21,0x5ffb001d,0x2003bfe2,
    0x8ffe2ffd,0x77c00098,0xf98001a9,0x13f6001f,0x8007fe60,0x7f4002ff,
    0x3ff6001d,0xf98ff900,0x401ff887,0x0ff307fb,0x80007ff5,0xf103ffd8,
    0x3013fe7f,0x7fc403ff,0x3f61bf21,0x77fd405f,0x5017ff60,0x1ffc1dff,
    0x013e6000,0x800bfb00,0x7ec00ff9,0x017ee005,0x007fee60,0xff827fdc,
    0xff83fcc5,0x9837dc03,0x3dff907f,0x9ffd3000,0xff97fcc0,0x00ffcc04,
    0x37e43ff1,0x5677ffc4,0x0fffda99,0x5677ffc4,0x0fffda99,0x20001ffc,
    0x54c001fb,0x8002ffda,0x6d54c3fc,0x3fa002ff,0x7ff10001,0x2fffe200,
    0x987ffb51,0x15dfd07f,0x304ffa88,0x7ff540ff,0x4c41acef,0x102effeb,
    0x3fe3ffb1,0x7331099d,0x7fc403ff,0x7d41bf21,0xffffffff,0xfff501ff,
    0xffffffff,0x0007ff03,0xfa8007d8,0x10004fff,0xffffa8df,0x013ea004,
    0x0fffdd50,0xfffff980,0x7f984fff,0x21ffff50,0x301ffffa,0xfff500ff,
    0xffffffff,0xff807fff,0x3fffe6ff,0xfffff75f,0x90ffc403,0x7fe440df,
    0x01cfffff,0x7ffffe44,0x7ff01cff,0x02fc4000,0x027ffcc0,0xf98bee00,
    0x7f4004ff,0x77fe4000,0xfc88001b,0xf302dfff,0x87ffd40f,0x2602fffa,
    0x372a007f,0xcdeffffe,0x7ffcc00a,0x3bbbb60e,0x3ddddd54,0xd7077440,
    0x26a6600b,0x35330001,0x005dd003,0x00016c40,0x04c00003,0x0098000c,
    0x10000000,0x20066003,0x40026218,0x0c400019,0x00006000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x00000aaa,0x00055510,
    0x00055510,0x54400000,0xa880002a,0x64c0002a,0x0007ae0b,0x00001555,
    0x20002aaa,0x55001aa9,0x05551015,0x0002aa80,0x1aa82aa2,0x0bff5000,
    0x3ff60000,0xffd80002,0x3640004f,0x17fec000,0x17fec000,0xffff7000,
    0x5000ff9d,0x70000bff,0xf10009ff,0xf5003fff,0x09ff70bf,0x027ffe40,
    0x3e1ffb80,0x3f20004f,0x4c00001f,0xb80003ff,0x002ffbff,0x0e7fe5c4,
    0x04ff8800,0x04ff9800,0x75cff400,0x70003fff,0xe80003ff,0xdfb0006f,
    0xf9001ff9,0x005ff83f,0x0ffeffea,0xf87fee00,0x7ec0004f,0x7ec00005,
    0xff980005,0x2003ff94,0xfffffffa,0x37e4002e,0x05fd8000,0x22164400,
    0x7ec0000a,0x3fea0005,0x1ffc8000,0x3f600dfd,0x4003fee5,0x3ff74ff9,
    0x20cc9800,0x440002cc,0x6400004c,0xcb80000c,0x4c01e644,0xfdfddfff,
    0x332001ff,0x19900000,0x5d440000,0xc800009a,0x3970000c,0x47991000,
    0xc8801cc9,0xb80072e4,0x00f320cc,0x98800331,0x2aea2001,0xa8800009,
    0x800009ab,0x0009aba8,0x4db23ffd,0x00cc47ff,0x98006620,0x6c400019,
    0xdfffffff,0x26666201,0x99999999,0x26662099,0x99999999,0x26620999,
    0x99999999,0x33009999,0x80009981,0x3f200199,0x1ffa000f,0xfffffb10,
    0x88003bff,0xfffffffd,0x7ec4001d,0x1dffffff,0x6c93fe60,0xffc87ff6,
    0x01ffa000,0x0017ffc4,0xffffffa8,0x904fffff,0xffffffff,0x49ffffff,
    0xfffffffc,0x4fffffff,0x3ffffff2,0xffffffff,0x264ff984,0x7c4004ff,
    0xff9002ff,0x03ff4001,0xfffffff5,0x2009ffff,0xfffffffa,0x5004ffff,
    0xffffffff,0x3ea09fff,0xbc99b21f,0x8003ff21,0xff7007fe,0xff9000bf,
    0x36e2139f,0xffc85fff,0xffffffff,0x3f24ffff,0xffffffff,0x324fffff,
    0xffffffff,0x84ffffff,0x3fe64ff9,0x7ffdc004,0x01ff9005,0xfc83ff40,
    0xb7109cff,0xfc80bfff,0xb7109cff,0xfc80bfff,0xb7109cff,0xff50bfff,
    0x7e403643,0x1ffa000f,0x07feff40,0x03dff500,0x643fff98,0xaaaaabff,
    0x21aaaaaa,0xaaaabffc,0x1aaaaaaa,0x2aaafff2,0xaaaaaaaa,0x264ff981,
    0x7f4004ff,0xfc800ffd,0x1ffa000f,0x3007bfea,0x3ea07fff,0x7fcc01ef,
    0x3dff503f,0x43fff980,0x01b24ff8,0xe8003ff2,0x8ff9807f,0x3fa004ff,
    0xfff5000f,0x0007fe43,0x0001ff90,0x00007fe4,0xff327fcc,0x47fcc009,
    0xffc804ff,0x21ffa000,0xf5000ffe,0x1ffd03ff,0x07ffea00,0x54003ffa,
    0x7ff41fff,0xff900d94,0x03ff4001,0x07fcb7ec,0x8007ff90,0x3ff24ffb,
    0x3ff20000,0x3ff20000,0xff980000,0x8013fe64,0x00ff96fd,0x74001ff9,
    0x01ffe47f,0xf913fee0,0xffb8007f,0x001ffe44,0xff313fee,0xf900ddff,
    0x3ff4001f,0x7cd3fe20,0x07ff802f,0x7e4fff00,0x3f20000f,0x3f20000f,
    0xf980000f,0x013fe64f,0xff9a7fc4,0x007fe402,0x7ff8ffd0,0xf8fff000,
    0xfff0007f,0xf0007ff8,0xfffd30ff,0x3f205bff,0x1ffa000f,0x7fc3ff70,
    0x02ffc405,0xf92ffe80,0x7e40001f,0x3f20000f,0xf980000f,0x013fe64f,
    0xbff0ffdc,0x000ffc80,0x5ff89ffa,0x25ffd000,0xd0005ff8,0x17fe25ff,
    0x817ff400,0xdfffffc9,0x0007fe40,0x6fe80ffd,0xf3007fe4,0x3f20009f,
    0x001ff93f,0x0007fe40,0x0001ff90,0x7cc9ff30,0x8dfd004f,0x3f200ffc,
    0x9ffa000f,0x90004ff9,0x13fe67ff,0x99ffe400,0xf90004ff,0xfcfc807f,
    0x07fe46ff,0x4c0ffd00,0x27fcc3ff,0x0007ff50,0x7fe4ffea,0x99999999,
    0x7fe40999,0x99999999,0x7fe40999,0x99999999,0xff300999,0x4027fcc9,
    0x7fcc3ff9,0x003ff204,0x3fea7fe8,0x7ff50003,0x4000ffea,0x7ff53ffa,
    0x0ffea000,0x3ff62d90,0x8003ff23,0x3ff207fe,0x2e07fe80,0xf30002ff,
    0x3ffff29f,0xffffffff,0x7fffe46f,0xffffffff,0x7fffe46f,0xffffffff,
    0x49ff306f,0xfc804ff9,0x207fe80f,0x3a000ffc,0x00bfee7f,0xfba7fcc0,
    0xff30002f,0x000bfee9,0x32027fcc,0xfc97fe26,0x1ffa000f,0xff705ff8,
    0x00bfea05,0xfc9ffd40,0xffffffff,0x7e46ffff,0xffffffff,0x7e46ffff,
    0xffffffff,0xf306ffff,0x027fcc9f,0xffb82ffc,0x001ff902,0x5ff53ff4,
    0x4ffea000,0x50002ffa,0x0bfea7ff,0x11ffd400,0x3ff46c83,0x74001ff9,
    0x05ff507f,0x7c41bfe2,0xff70004f,0x2aafff27,0xaaaaaaaa,0x555ffe42,
    0xaaaaaaaa,0x555ffe42,0xaaaaaaaa,0x4c9ff302,0x7fd404ff,0x20dff102,
    0x3a000ffc,0x013fe27f,0xf89ffdc0,0xff70004f,0x0013fe27,0x7fe9ffdc,
    0xc9ff6364,0x3fa000ff,0x999ffb07,0x3fff9999,0x40017fe0,0x1ff91ffc,
    0x07fe4000,0x01ff9000,0x49ff3000,0x7ec04ff9,0xcccccccf,0xffc81fff,
    0xf1bfe000,0x3f2000bf,0x0017fe1f,0xbff0ffe4,0x47ff2000,0x89b21ffb,
    0x03ff25ff,0xf886ff80,0xffffffff,0xfb04ffff,0xff88001f,0x0003ff27,
    0x0000ffc8,0x00003ff2,0xff993fe6,0x3fffe204,0xffffffff,0x01ffb84f,
    0xfd8dff10,0x7fc4000f,0x0007fec7,0xffb1ffe2,0x7ff88001,0x26c97fe6,
    0x3fee3ffb,0x0dff1001,0x99999ff7,0x0fff9999,0x90013fee,0x07fe49ff,
    0x01ff9000,0x007fe400,0x327fcc00,0x7fdc09ff,0xcccccccc,0xffa87ffc,
    0x89ff3003,0x64004ffb,0x27fdc4ff,0x713ff200,0xfc8009ff,0x4f7ff44f,
    0x46ffc8ec,0xf3003ffa,0x00dfd09f,0x3e20bff2,0xff1001ff,0x007fe41f,
    0x001ff900,0x0007fe40,0xf327fcc0,0x037f409f,0x7c42ffc8,0xffd800ef,
    0x00fffc42,0x440fff88,0xf1001fff,0xfff881ff,0x1fff1001,0xfffffe88,
    0x7c41ffff,0xffd800ef,0x8027fcc2,0xff506ff8,0xfffa805f,0x0007fe43,
    0x0001ff90,0x00007fe4,0xff327fcc,0x013fe609,0x7ec37fc4,0x77fd405f,
    0x02fffa80,0xa81fffd4,0x7d402fff,0xfff503ff,0x3fffa805,0xfffff910,
    0x3ff601bf,0x077fd405,0xe8007ff2,0xfff701ff,0x3f6a635b,0x0ffc84ff,
    0x03ff2000,0x00ffc800,0x24ff9800,0xff904ff9,0x0fff4003,0x2b3bffe2,
    0x0fffda99,0x2b7ffee0,0x9fffb531,0xadfffb80,0x9fffb531,0xadfffb80,
    0x9fffb531,0x027f6600,0x59dfff10,0x1fffb533,0xa800dff0,0x3fea04ff,
    0xffffffff,0x57ff902f,0x55555555,0x5ffe4555,0xaaaaaaaa,0x3ff22aaa,
    0xaaaaaaab,0xf982aaaa,0x413fe64f,0x7d4006ff,0xffffa84f,0x1fffffff,
    0xfffffa80,0x02ffffff,0xffffff50,0x005fffff,0x3fffffea,0x002fffff,
    0xff500364,0xffffffff,0x07ff503f,0x00fff880,0x3ffffae2,0x3f200ace,
    0xffffffff,0x90ffffff,0xffffffff,0x1fffffff,0x3ffffff2,0xffffffff,
    0x327fcc0f,0x7ff509ff,0x0fff8800,0xfffffc88,0x22001cff,0xceffffeb,
    0x75c4000a,0x0aceffff,0x7ff5c400,0x000aceff,0x644006c8,0xcfffffff,
    0x001ffb01,0x2007ff90,0x32000a98,0xffffffff,0x0fffffff,0xfffffff9,
    0xffffffff,0x3fffff21,0xffffffff,0x27fcc0ff,0xffb09ff3,0x7ff90001,
    0x019a9980,0x00a98800,0x02a62000,0x0a988000,0x80000000,0x00019a99,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x53000000,0x000d5445,0x00055510,0x00555100,0x4001aa98,0x0fa61bb8,
    0x0aa62aa8,0x00039300,0x55415530,0x31554001,0x5c400155,0x0013a21c,
    0x01357531,0x4c413100,0x04cc4001,0x400cc800,0x7ff10ffc,0x2ffd8000,
    0x7fdc0000,0x3ffe2004,0xfff3001f,0x403fd9df,0x03ff25ff,0x01f5f5c0,
    0x443fee00,0x7f4004ff,0x4007fee6,0xddfffff8,0xffb5002f,0x039fffff,
    0xff737f40,0x7fff4003,0x03fc4000,0xff887fe4,0x6fe80003,0x2ffc0000,
    0x3f3bfa00,0xabfc800e,0x7c06fffd,0x003ff25f,0x000688f4,0xff887fdc,
    0x737f4004,0x3ee003ff,0x0efffc9c,0xfffffc80,0x03ffffff,0x7fdcdfd0,
    0xfbff9001,0x04fa800d,0x9910cca8,0xff100005,0x3ee00005,0x3ff2000e,
    0x9700bfd1,0xcc801a88,0x400332a3,0x8000d11e,0x59910cca,0x263cb800,
    0x195000cc,0xffd002a8,0x7edcc37f,0x3cb804ff,0x2a003326,0x05ff8aff,
    0x8800bf60,0x00009aba,0x0000f260,0x91000e5c,0x00e64c59,0x20003330,
    0xea800099,0x200003ec,0x26200199,0x99999999,0x22099999,0x04c40019,
    0x5003bff2,0x00005fff,0x2a4ed880,0x1ff002ee,0xffffd880,0x0001dfff,
    0x31000ccc,0x33100013,0x00026601,0x000bffe2,0x10009ff3,0x00005fff,
    0x400bffe2,0xfffffffc,0x4fffffff,0xd800fff6,0x01bfe66f,0x000fffb8,
    0x80000000,0x7fd406f9,0xffffffff,0xff10004f,0x3fee005f,0x7ffcc006,
    0x004ff980,0x005fffb8,0x40027fcc,0x0005fffb,0x00bfff70,0x3ffffff2,
    0xffffffff,0x007fff64,0x5ff937ec,0x02ffc800,0x00d66544,0x06b32a20,
    0x3203fb80,0x7109cfff,0x000bfffb,0x400bfff7,0x3a004ffe,0x9ff302ff,
    0xffbfd000,0x27fcc001,0x7feff400,0xdfe80000,0xffc800ff,0xaaaaaaab,
    0x3f61aaaa,0xdfb006ff,0x440037f4,0xff9104ff,0x801dffff,0xffffffc8,
    0x01fe800e,0x9803dff5,0x74003fff,0x1000ffdf,0xf7003fff,0x27fcc09f,
    0x3e3fe600,0x3fe6004f,0x47fcc004,0x4c0004ff,0x804ff8ff,0x20000ffc,
    0x804ffffd,0x09ff16fd,0x221bfe00,0xfdcceffe,0xffd102ff,0x5fffb99d,
    0xfd03fc40,0x3fea001f,0x1ff3001f,0x7dc009ff,0x77fcc06f,0x013fe600,
    0x1ff2dfb0,0x004ff980,0x07fcb7ec,0xfcb7ec00,0x00ffc807,0x3fbff600,
    0x9b7ec01f,0xfb0002ff,0x83ffc81f,0xfc80fff9,0x0fff983f,0x3f20bf50,
    0x7fdc003f,0x32dfb004,0x7ff4007f,0x007ffa03,0x44009ff3,0x05ff34ff,
    0x8013fe60,0x5ff34ff8,0x53fe2000,0x7e402ff9,0x3f60000f,0x6c06ffaf,
    0x003ff76f,0xf987ff20,0x13fea04f,0x7d409ff3,0x205f904f,0xff0007ff,
    0x29ff100f,0x22002ff9,0xffb80fff,0x04ff9804,0xff87fee0,0x09ff3005,
    0xff0ffdc0,0x3fee000b,0xf9017fe1,0x7ec0001f,0x6c09ff97,0x003ffb6f,
    0xfc8ffee0,0x23ff400f,0x7f400ffc,0xf101ff07,0x3fa000bf,0x0ffdc02f,
    0xfb800bff,0x037fc45f,0x2004ff98,0x07fe46fe,0x0027fcc0,0x0ffc8dfd,
    0x646fe800,0x3ff200ff,0x5ff60000,0xfb01fff8,0x0007ff2d,0xdfb0ffe4,
    0x6c1ff900,0x0ffc806f,0xff9837cc,0x7ff90004,0x7e46fe80,0x7ff4000f,
    0x4007ff62,0xf3004ff9,0x04ff987f,0x3004ff98,0x4ff987ff,0x21ffcc00,
    0x3f204ff9,0x9999999f,0x7ec09999,0x6c1bfea7,0x007ff76f,0xfe83ff60,
    0x21ffb805,0xffb805fe,0xfa827dc1,0xff50003f,0x21ffcc07,0x4c004ff9,
    0x3ffa8fff,0x013fe600,0x7f407fe4,0x04ff9807,0xfd01ff90,0x0ffc800f,
    0x3f207fe8,0xffffffff,0x7ec6ffff,0x6c27fe47,0x009ff56f,0xbff1ffa0,
    0x7c3ff500,0x1ffa805f,0xffb80fec,0x9ff30002,0x7407fe40,0xffb8007f,
    0x4c006ffc,0xbff004ff,0x300bfee0,0x3fe009ff,0x005ff705,0xffb82ffc,
    0xfffff902,0xffffffff,0x7c47fd8d,0xf37ec1ff,0xff1000df,0xb805fe8d,
    0x017fa1ff,0x0ff07fee,0x80017fd4,0x3fe03ffa,0x005ff705,0x01ffffd0,
    0x804ff980,0xff102ffa,0x04ff980d,0xf102ffa8,0x3fea00df,0x20dff102,
    0xaaaabffc,0x42aaaaaa,0x6ffa87fd,0x7ffb37ec,0x3ff60640,0x64037ec3,
    0x01bf60ff,0x5fa83ff2,0x0013fe20,0xfa81ffdc,0x0dff102f,0x07fff300,
    0x009ff300,0x99999ffb,0x403fff99,0xfd804ff9,0xcccccccf,0xfd801fff,
    0xcccccccf,0xffc81fff,0x1ff60000,0xdfb27fec,0x4c07ffcc,0x5ffa8cff,
    0x7c01ffc8,0x00ffe46f,0x07f91bfe,0x90005ff8,0x3ff603ff,0xfccccccc,
    0xfd8001ff,0x9ff30007,0xfffff880,0xffffffff,0x013fe604,0xfffffff1,
    0x09ffffff,0xffffff88,0x4fffffff,0x0000ffc8,0x7fc41ff6,0xfb8dfb1f,
    0x7fe441ff,0xf880ffff,0x0ffee05f,0x7dc0bff1,0x200ff43f,0x44000ffd,
    0xfff107ff,0xffffffff,0xfb0009ff,0x3fe6000f,0x667fdc04,0xfccccccc,
    0x13fe607f,0x9999ff70,0xfff99999,0xcccffb80,0xffcccccc,0x000ffc87,
    0xfa81ff60,0xf90dfb6f,0x73135bff,0x5c07ffff,0x3f220dff,0x1bff705f,
    0x222ffe44,0x4ffb806f,0x827fe400,0xcccccffb,0x07ffcccc,0x0007fd80,
    0xfe809ff3,0x05ff9006,0xfd013fe6,0x0bff200d,0xf9006fe8,0x00ffc85f,
    0xb01ff600,0x20dfb9ff,0xfffffffb,0x0cffffff,0xfdffff90,0xffc80bff,
    0x85fffeff,0xff8804fb,0xfff1001f,0x401bfa01,0x6c002ffc,0xff30007f,
    0x027fcc09,0xf306ff88,0x27fcc09f,0x306ff880,0x3e2009ff,0x007fe46f,
    0x880ffb00,0x206fffff,0xffffffc8,0x3fffc8be,0xbffffd50,0x3ffaa007,
    0x5fb03dff,0x0bffea00,0x207fff50,0xf1004ff9,0x7fd800df,0x09ff3000,
    0xd000ffe4,0x9ff303ff,0x000ffe40,0xff903ffd,0x0fff4003,0x40001ff9,
    0xffa807fd,0x531006ff,0x07fb1013,0x98000330,0x000aa801,0x46b7ffee,
    0x04fffda9,0xe8007ff2,0x3f6001ff,0x9ff30007,0x20037fc0,0xff984ffa,
    0x001bfe04,0xdff09ff5,0x24ffa800,0xaaaabffc,0x2aaaaaaa,0x7ec01ff6,
    0x800006ff,0x0000000a,0xf5000000,0xffffffff,0x6ff805ff,0x027fd400,
    0x2000ffb0,0xff504ff9,0xfff88007,0xa827fcc0,0x7c4003ff,0x0ffea0ff,
    0x21fff100,0xfffffffc,0xffffffff,0x2200ffb0,0x00006fff,0x00000000,
    0xb8800000,0xaceffffe,0x01ffd400,0x003ffe20,0x98003fec,0x1ffb04ff,
    0x87ff9000,0xffb04ff9,0x7ff90001,0x40007fec,0xfff93ffc,0xffffffff,
    0x3f61ffff,0x1bfea007,0x00000000,0x00000000,0x00153100,0x8000ffd8,
    0xfb003ffc,0x3fe6000f,0x00000004,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x88000000,0x80000aa9,0x98800998,
    0x99880009,0x42640001,0x998803c9,0x09988000,0x02662000,0x0cc41310,
    0x003b9300,0x00013310,0x20002662,0x33000998,0x33100013,0x000cc801,
    0xfffffe98,0x3f60000d,0x5ffb003f,0x3fa01766,0xdf30001f,0xfd009f90,
    0xfe8001ff,0xfd0000ff,0x25fe803f,0x7f000ffb,0x744003d5,0xd8000fff,
    0xfd8002ff,0xbff7003f,0x0dff3000,0x4c002fd8,0xfffdffff,0x9ff30006,
    0xfeffb800,0x5ff8804f,0xb0bf7000,0xdffc805f,0x3ff2006f,0xfa8006fd,
    0x25fe803f,0x5a800ffb,0xffd8012e,0x7cc006fd,0xff98004f,0x0ffe4004,
    0x017fdc00,0x7c4009f7,0x1ffe42ef,0x0037e400,0x0077ff54,0x0003ff30,
    0x03ff07f9,0x7fc57fdc,0x8affa804,0x7f4004ff,0x54797005,0x268800cc,
    0x5ff7002c,0x6c009ff1,0xdfb0006f,0x017fa000,0xf1037e40,0x17fcc00f,
    0x44004ff8,0x3aa000dd,0x001ffcff,0x74002754,0x103fc41f,0x0f7549db,
    0x7549db10,0x0bd3002e,0xf9000000,0x3b6200dd,0x2007baa4,0x88000de8,
    0xb10000de,0x3b60001d,0x4007fa01,0x13fe07fb,0x76c00000,0x0001bf22,
    0x207fc400,0x000006fa,0x00000000,0x03100000,0x00000000,0x00000000,
    0x3fc80000,0x260df900,0x2a2001ff,0x21001acc,0x03fe8998,0x01acba88,
    0x3feeaaa6,0xadfdaaaa,0x2f2ea602,0x9751000a,0x01aa8035,0x54c02aa2,
    0x3000abcb,0x40157975,0x2aa201aa,0x57975300,0x32ea2001,0x2ea6001a,
    0x2aa00abc,0xa82aa201,0x0dfb005f,0x64401bf6,0x0effffff,0x7ffff540,
    0x3ee00ffe,0x80dfffff,0xfffffffd,0x7fffffff,0xfffffe88,0x7fdc04ff,
    0x880dffff,0x3fe603ff,0x7ffff441,0x3a204fff,0x4fffffff,0x2603ff88,
    0x7ff441ff,0x404fffff,0xdffffffb,0x3fffa200,0xf884ffff,0x07fe603f,
    0x17f600ff,0x2200bfe6,0xfdcceffe,0xfffb02ff,0x0bffffbb,0x3737fffa,
    0x77641fff,0xeeeeeffe,0x7cc6eeff,0xffecceff,0xbfffd04f,0x883fffb9,
    0x3fe603ff,0x33bffe61,0x984fffec,0xfeccefff,0x1ffc44ff,0x7cc3ff30,
    0xffecceff,0xbfffd04f,0x303fffb9,0xfd99dfff,0x3ff889ff,0xfb07fe60,
    0xd0bfb005,0x3ff200df,0x40fff983,0xffc85ffb,0x067fdc1f,0xfd01bfa6,
    0x3a07f883,0xfff980ff,0x2067fdc0,0x7fc46fe9,0xe87fe603,0xfff980ff,
    0x4c07ff40,0x3fe20fff,0xe87fe603,0xfff980ff,0x2067fdc0,0xffe86fe9,
    0x20fff980,0x3e603ff8,0x4027dc1f,0x27fc45fd,0x5027fcc0,0x2ffc49ff,
    0x7c45ff90,0x0ffea06f,0x3ea07fc4,0x409ff305,0x3fe21ffc,0x88ffea06,
    0x3fe603ff,0x6409ff31,0x13fe61ff,0x3e21ffc8,0x47fe603f,0x3f204ff9,
    0x81bfe21f,0x3fe63ffa,0x887ff204,0x3fe603ff,0x6c037cc1,0x00eff85f,
    0x3a007fe4,0x807fee7f,0x3fee4ff8,0x982ffc03,0x204fc86f,0x3fea00a9,
    0xf00ffee2,0x01ffc4bf,0x054c3ff3,0xa985ff50,0x88bfea00,0x3fe603ff,
    0xfa802a61,0x00ffee2f,0x00a98bff,0xff88bfea,0x207fe603,0x2fec00ff,
    0xb00fffdc,0x1ff900df,0x3f601ff2,0x2667ff26,0x7fd99999,0x5fd09f70,
    0x3f6a6000,0x267ff22f,0xfd999999,0x980ffe27,0xb53001ff,0x54c005ff,
    0x3fe22ffd,0x007fe603,0x917fed4c,0x333333ff,0x400ffb33,0x222ffda9,
    0x3fe603ff,0x6c02fc81,0x7fff905f,0x2e017fa0,0x00dfb1ff,0x7ffecff9,
    0xffffffff,0x83fd80ff,0xdc9800ff,0x2ffffffe,0x3ffffff6,0x0fffffff,
    0x7cc07ff1,0xfedc981f,0x302fffff,0xfffffdb9,0x01ffc45f,0xb9303ff3,
    0x5ffffffd,0x7fffffec,0x0fffffff,0xfffedc98,0x3fe22fff,0x207fe603,
    0x2fec05fa,0xf0bfff50,0x3ff500bf,0x3ee017fa,0xfffffd1f,0xffffffff,
    0x3fffff61,0xffffffff,0x7fff4c7f,0x2ffcdfff,0x3ffffffa,0x0fffffff,
    0x7cc07ff1,0x3fffa61f,0x2ffcdfff,0x7fffff4c,0x222ffcdf,0x3fe603ff,
    0x3ffffa61,0x22ffcdff,0xfffffffe,0x20ffffff,0xffffffe9,0x3e22ffcd,
    0x07fe603f,0xbfb01fe2,0x42ffe880,0xffb805fe,0xf900dfd1,0x001bf61f,
    0x7fffffec,0xffffffff,0x2f7ffa27,0xd8bfea09,0xff10006f,0x88ffd407,
    0x209bdffe,0x3fa22ffa,0x3ea09bdf,0x80ffe22f,0xffd11ffa,0x7fd4137b,
    0x4001bf62,0x09bdffe8,0xff88bfea,0x407fea03,0x17f601fe,0xfb17fe20,
    0x21ff900d,0x7fd807fd,0x44001ff2,0x9999efb9,0x21999cfd,0x3ee03ffc,
    0x001ff22f,0xf701ffc4,0x80fff23f,0x3ff22ffb,0x88bfee03,0x3fee03ff,
    0x5c07ff91,0x01ff22ff,0x701ffe40,0x1ffc45ff,0x2e03ff70,0x017f603f,
    0x3ff23fe4,0xf737fc01,0x2ffc403f,0xed805ff7,0xfe84fb84,0x901ffa02,
    0x17fdc5ff,0x9ff13b60,0xfe8ffe40,0xd17fe407,0x2ffc80ff,0xff9027fc,
    0xf901ffa3,0x017fdc5f,0x07fe93b6,0x3fe17fe4,0x407ff204,0x57f606f9,
    0x7fe82fb8,0xf702ffc4,0x02ffc47f,0x7fc43ff9,0x213fee06,0x00ff83fd,
    0x7d403ffa,0x1bfe22ff,0x7fc4ffb8,0x1fff980f,0x3ea01ffd,0x03ffa2ff,
    0x3e17ffd4,0xfff980ff,0x2a01ffd1,0x3fe22fff,0xe93fee06,0xfff500ff,
    0x980fff85,0x3fe01fff,0x7f4bfb00,0x09ff711f,0x6441bff7,0xdffc85ff,
    0x217ff220,0x2e21effa,0x1fe80fff,0x3f203fcc,0x3fea20cf,0x77fd43ff,
    0x03ffee21,0x2a23bff9,0xff91ffff,0x7ffd4419,0x833ff23f,0x43ffffa8,
    0xf511dffc,0x3ff23fff,0x3ffea20c,0x0f7fd43f,0x641fff71,0x3ea20cff,
    0x7fe43fff,0xffff511d,0xd817ec03,0x3bffe25f,0x3f206fff,0x5fffefff,
    0x3bbffee0,0xf900dfff,0xffffdfff,0xf50ff103,0xffff880b,0xffafffee,
    0xeffffc84,0xf881ffff,0x9fffffff,0xffff11ff,0xff5fffdd,0x77fffc49,
    0x4ffafffe,0x7fffffc4,0xf11ff9ff,0xfffddfff,0xff909ff5,0x3ffffdff,
    0xeeffff88,0x44ffafff,0xfffffff8,0x2a01ff9f,0x98bfb04f,0x00cffffc,
    0x6fffff54,0xfffea803,0xfe9803ff,0x500cffff,0x009f90df,0x9fffffb1,
    0x74c1ff21,0x00cfffff,0x37ffff62,0x7ec43ff0,0xf90cffff,0xffffd88f,
    0x10ff90cf,0x21bffffb,0x3ff621ff,0xff90cfff,0x3ffffa60,0xffb100cf,
    0x3f219fff,0xffffd887,0x4403ff0d,0x2660007f,0x00198000,0x40002660,
    0x1a8801a9,0x22000aa8,0x4c0000a9,0x0198001a,0x00054c40,0x000054c4,
    0xa9880033,0x0d4c0000,0x00153100,0x50000cc0,0x00000005,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3104c400,0x06662003,0x2aa62000,0x401b101a,0x51001aa8,0x0b2a0003,
    0x32000aa0,0x002a800c,0x54402ca8,0x0791001a,0x00355300,0x19882660,
    0x00002200,0x2004d54c,0x02660aa9,0x1ff737f4,0x00bffa00,0x7fffe4c0,
    0x3f60cfff,0x013fea04,0x0bffffd1,0x2007fcc0,0x7dc006fc,0x006fc805,
    0xf7007fcc,0xd801bfff,0x3f62002f,0x4001efff,0x03ff25ff,0xbdfffd98,
    0x3f6e6000,0x00bfffff,0x3fe67ff7,0x7dcdfd04,0xdff1000f,0xffff9000,
    0x7fffffff,0xffa80bfb,0x54e7ec04,0x5fd002fe,0x037fecc0,0x4c01ff30,
    0x74006ffd,0x33fe602f,0x3e605feb,0x3ffe2006,0x001fffee,0x0ffc97fe,
    0xffffff70,0xff9001ff,0xffffffff,0x27ff703f,0x79704ff9,0x30006654,
    0x7ec003ff,0x32609cff,0x400effff,0x2e202cc9,0x6402fe44,0x37fea04f,
    0x3fd1006f,0x37effd40,0xc809f900,0x407fe23f,0x3f2002fd,0x017fe61f,
    0x332a3cc8,0x0afffa80,0x6c01dfd3,0x2e60bfff,0x6540fffe,0x009ff31c,
    0x13aa0000,0x00f7fdc0,0x000fffe6,0x2ffa8800,0x2e037d40,0x9006f98c,
    0x98cb809f,0x0df3006f,0x3fe81fd0,0x7c006f98,0x007fd85f,0x3ffa2000,
    0x2e0bfb00,0x7e400eff,0x4ff9806f,0x00000000,0x800fff98,0x800ffffa,
    0x3fa00099,0x0ffc401f,0x500df300,0x6f9800df,0x401ff880,0x84fc87f8,
    0x7fc002fd,0x0006fd85,0x80ffea00,0x7fcc2ff9,0x3ffb001f,0x204ff980,
    0x001acba8,0x00d66544,0x2600fff2,0x404ffcff,0x32002ff8,0x3f602fed,
    0x037cc003,0x30007fe2,0x07fb00df,0xbf70ff30,0xd8006f98,0x027fc0ff,
    0x55100d54,0xf003fee1,0x03ffc89f,0xdf0ffea0,0xfb827fcc,0x00dfffff,
    0x7ffffe44,0x0dff00ef,0xff15ff30,0x01ff980f,0xf707f980,0x0df3000d,
    0x98003fd8,0x037d406f,0x7e41ff88,0x40017f44,0xffd16ffa,0x03ff8801,
    0x3fec7fe6,0x3fe37f40,0xdf008007,0x7f427fcc,0xfffdcdff,0x9dffd101,
    0x985fffb9,0x7f4404ff,0xb803ff63,0x0ee200ff,0xff881ff1,0x06f98000,
    0x4c0017ee,0x03fe206f,0x7f43fe80,0x8001bea2,0x1fffeffc,0x203ff880,
    0x0ff91ff9,0x7fccffd0,0x9fe00006,0x7fdc4ff9,0x837f4c0c,0xff983ffc,
    0x80ffea0f,0x7fdc4fe8,0x80dff102,0xfd98bff8,0x0002fe85,0x3fe60df3,
    0x0df30000,0x2a0017f4,0x46fd9bff,0x220001fe,0x000efffe,0x7cc07ff1,
    0x801ff71f,0x13fea7ff,0x33fc4000,0x37fc49ff,0xf987ff50,0x93fea04f,
    0x3f602ffb,0x883ffa84,0xfa801ffe,0x641effff,0x3e60005f,0x0005fd06,
    0x5fb837cc,0xffff9000,0x002fd41d,0x0bfffee0,0x203ff880,0x9ff51ff9,
    0xb87ffdc0,0x300003ff,0x93fe61ff,0x7fc03ffb,0x2007fe45,0x07ff27fe,
    0xffa82fec,0x01fff444,0x30379510,0x06a201df,0x4fc82a88,0xa8801530,
    0x100ef982,0x165cc035,0x26a20ff4,0x3bff6200,0xf1000fff,0x0ffcc07f,
    0xf9819ffd,0x5ff70fff,0x3fe60000,0x7e49ff30,0x9999999f,0x37ec7fd9,
    0xfb87fe40,0x00efc82f,0xffe87ff7,0x74400002,0x017f601f,0xfb11bea0,
    0x8001dfff,0x3f601fe8,0x8bf50005,0x982ffffc,0xdff93fff,0xf1073a61,
    0x0ffcc07f,0xb7bffff3,0x7ccff9df,0xf500003f,0xd93fe63f,0xffffffff,
    0x3a0fffff,0x1ffb805f,0xefb87ff5,0xd8bff200,0x800003ff,0x3ff204fd,
    0x0ffc4005,0x3feeb7f6,0x027ec003,0x2000bff9,0x33fee1fe,0x7fec2ffd,
    0xfcaffec2,0x01ffc41f,0xfe983ff3,0xfc8effff,0x0017fe27,0xf98ffd40,
    0x3ffffa4f,0xffffffff,0x2017fe0f,0x9ff31ffa,0x36007fd4,0x07ff31ff,
    0x0df50000,0x002fffdc,0x8dd30ff6,0x3ea007fa,0x17ffee06,0xfd17ea00,
    0xff137dc3,0xf7ffd109,0x07ff10df,0x5c40ffcc,0x1bf61cec,0x13000dfd,
    0xff32ffb8,0x00037ec9,0xff700bfd,0xff9bffc3,0x737fc401,0x000801ff,
    0xfa807fc4,0x2e005fbf,0x17ee005f,0xa807fc40,0x8005fbff,0x11be21fe,
    0x07fee3ff,0x17ffffcc,0xf501ffc4,0xbfd0003f,0xf8007fd8,0x4cbfee6f,
    0x01ff24ff,0xc806fd80,0x33fee0ff,0xffc802ff,0x8803ff23,0x7fb005ff,
    0x3ea7fe60,0x01ff1005,0x400bfe60,0x3ff303fd,0xfb800bf5,0x7fc2fdc5,
    0x5403ff92,0xff107fff,0x00ffdc07,0xf70ffe20,0x7fd4009f,0x7ccfff24,
    0x00bfee4f,0x1ffc89db,0x7f437fc0,0xff9803ff,0x80ffee0f,0xfb803ffb,
    0x2a5ff105,0x05fd005f,0x400ffee0,0x5ff105fb,0xff0017ea,0xfe85fb83,
    0xe809ff72,0x9ff00fff,0xf98ffe40,0x07fee02f,0x1005fff1,0x7fe43ffd,
    0x7c49ff33,0x13fee06f,0x7dc0bff1,0x2fffb83f,0x217ffd40,0x3fe06ff9,
    0x07fcc01f,0xfcaadfe8,0x17f200ae,0x8017fe40,0xbfb00ff9,0x015df955,
    0xff50bf70,0x3fe63ff0,0xffffb00f,0x01fff01d,0x7fc3fff3,0x20bff106,
    0x2201fffb,0x7fe45ffd,0xfa89ff34,0x3fee21ef,0x0dffb80f,0x7417ff22,
    0x31adffff,0x209fffb5,0xb88bfffc,0xfe804ffe,0x3ffffa02,0xf301ffff,
    0x1dfb001d,0xd017f400,0xffffffff,0x80ff8803,0x3fe60ff9,0x447bff20,
    0xffeeffda,0x8effe40e,0x21ffffa8,0x3e60cffc,0x3ff600ff,0xfb989bdf,
    0x7fe40eff,0xf909ff34,0xffffdfff,0x7fffe403,0xfb05fffe,0xffffff5b,
    0x805fffff,0xfffffffd,0x04fc805f,0x7dccccc4,0x03fd101d,0x3333dfb0,
    0x2027e403,0xdfb99998,0x204fb801,0x4fea9dfd,0xffffffd8,0xbffd15ff,
    0xffffff88,0x741ff9ff,0xffffefff,0xffffc801,0x0effffff,0xff34ffc8,
    0x3fffa609,0xea800cff,0x703dffff,0xfffeb8bf,0x5000acef,0x05bffffb,
    0x2000df50,0x13f605fa,0x3ffffee0,0x6fa80fff,0x00bf5000,0x74c01ff1,
    0x500dffff,0x05dffffd,0xffb101fb,0x07fe1bff,0x2f7ffff2,0x3ff26000,
    0x202effff,0x9ff33eeb,0x00035300,0x00c800cc,0x200002a6,0x0f6c0008,
    0x301a8800,0x2aa600bd,0xb02aaaaa,0x2a20003d,0x803ea801,0x1002cdb8,
    0x30030033,0x02a60003,0x06a66000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x02200000,
    0x2002aa60,0x751000aa,0x4c000135,0x00133000,0x00198000,0x0026aaa2,
    0x40002600,0x0000aa98,0x22000062,0x00009aaa,0x10026620,0x88003555,
    0x02aa1bca,0xff910310,0x3e603bdf,0x0ffd404f,0xfffffb10,0x26003bff,
    0x00cefffe,0x00000ffe,0x2201ff98,0xffffffeb,0x7ed4002e,0xc800cfff,
    0xdfffffff,0xfffd8800,0x2e2001ef,0xeffffffe,0xffa80002,0xffffb303,
    0xfd8805df,0xff8dffff,0xf11fe603,0x3fffffff,0xfb01bfa0,0x7fffd40d,
    0x4fffffff,0x7ffffdc0,0x7ff01fff,0x7cc00000,0xffff301f,0xdfffb77b,
    0xffffb003,0x2201dfff,0xfffffffd,0x3ea01fff,0x4fffffff,0xdffff980,
    0x1efffdbb,0x0ffea000,0x3f7fffe6,0x3fa02fff,0xfefeccdf,0x8fff103f,
    0xfd30affc,0x03ff703f,0x7e40ffe2,0xb7109cff,0x3ea0bfff,0xfeb88bef,
    0x003ff80f,0x07fe6000,0x9806ffee,0x3f602ffc,0xbffb51cf,0x8273ffa0,
    0x882fffc9,0xeb88bfff,0x3fee02ff,0x3ff2601b,0x7ff50002,0x20bffe88,
    0xfc81ffea,0x3fffd82f,0x2a7ffe88,0x4ff881ff,0xf704ff88,0x3dff501f,
    0x83fff980,0xffa80ffe,0x0003ff83,0x507fe600,0x7cc005ff,0x05ff981f,
    0xff983ff9,0x42ffcc04,0xff882ffc,0x005ff506,0x4000ffcc,0x7fdc3ffa,
    0x989ff504,0x3ffa03ff,0x3ffffd43,0x7fe40dfd,0xfd07fd80,0x003ffa0b,
    0xf30fffd4,0x437f409f,0x000003ff,0xff987fe6,0x03355552,0xdfb03fe6,
    0x90ffe601,0xff9001ff,0x3607fe81,0x17fcc0ff,0x260b32a2,0x7d4000ff,
    0x007fe43f,0x07fb8dfd,0xfd89ffd4,0xff37feff,0x41ffcc07,0x7fcc2ffa,
    0x003ffc82,0x95127fdc,0x7c3fec01,0x1379513f,0x42f2a200,0x8bf61ff9,
    0xdffffffe,0xff127dc0,0xfd809805,0x83df3007,0x3fee06fe,0x3ee17ec0,
    0x5c2fffff,0x7fd4004f,0x2603ff43,0x4406fd81,0x1dffb3ff,0x07feaff9,
    0x3fe09ff0,0xff83fe45,0x0fff0007,0xff09fd00,0xdfffff57,0x7ffec403,
    0x11ff9cff,0xa99fe8df,0x27f85fda,0x70000ffa,0xc80005ff,0x8dfd01ff,
    0x5ffdc6f8,0x7f81fd50,0x21ffd400,0xe8000ffd,0xb3ff805f,0xfcbfe47f,
    0x82ff400f,0x13fe0ffc,0x40017fe2,0x32002ffe,0xfeff82ff,0x2fffdbdf,
    0xf99bffd0,0x3ee3ffdf,0x0ff83f44,0x26fb97ec,0x200acca8,0x000cfff9,
    0xb81bff30,0x127dc4ff,0x89f301ff,0x3ea002fd,0x017fe43f,0x7c027fc0,
    0x2ff9033f,0x6fe807fc,0x3e65ff30,0x04ff981f,0x407ff900,0x02fffda8,
    0xe983dfff,0x42ffc87f,0xfb1fffd8,0x6f887e85,0x2df94fb8,0x2ffffffc,
    0x3bfffee0,0x3ea000ac,0x4fffcdff,0x0fea2fd8,0x4009f700,0x7fd43ffa,
    0x05fe8003,0xf901ffc4,0x3601ff6f,0x657fa06f,0x07ff506f,0x80ffea00,
    0x203ffffb,0xff501fff,0x881ffcc7,0x81fd1fff,0xfdb999fe,0xbfb5f983,
    0xffd9dff9,0x7ffd405f,0x00beffff,0xffffff88,0x7e41fd03,0x02fcc002,
    0x3267ff50,0xcccceffd,0x2037ec00,0x3f203ff9,0xf900ffb7,0x7c7fdc0f,
    0x05ff703f,0x813fe600,0x04fffeec,0x6fe80bff,0xfb803fee,0xffd0dd1f,
    0x7c05dfff,0x85bfffd5,0x2200fff9,0xffffffdb,0x3ffea02f,0xe83fffee,
    0x4000fec6,0x3fea005f,0xffffff53,0xfb803fff,0x0fff202f,0x0ff97fc8,
    0x7c40ffb0,0xf500ffcf,0x3ea0005f,0xff93003f,0x403ff81f,0x01bf27fc,
    0x03fa3ff3,0x05fd75fd,0x6ffea7cc,0x4013fea0,0xffffeca8,0x21dffc84,
    0x3a0effc9,0x000bf20f,0x7d4009f3,0xffb5513f,0xd0015557,0xfff301df,
    0xfcbfe407,0x406fd807,0x2205fffd,0xf70004ff,0xffc8007f,0x2e017fc2,
    0x80bfd0ff,0x85fb1ff9,0xb817ec7e,0x805ffb3f,0x910006fe,0x7fc45fff,
    0xd8bfea06,0xc80fee2f,0x5001fdc3,0x5ff507ff,0x7dff5000,0x7ffff933,
    0xffbbfe40,0x2037f400,0x7c02fffa,0xff90005f,0x5ff88003,0x3ee017fc,
    0x880bff0f,0xe89f71ff,0x7407fc47,0x803ff91f,0x4c0007fd,0x0bfea5ff,
    0x27dcbfd0,0x9f701ff1,0x2a001fe8,0x1ffa83ff,0xffff5000,0x05ff7dff,
    0x0ffabfe4,0x7c02ffc0,0x0ffd807f,0x03ffc400,0x7fc7fe80,0xfb3fe402,
    0x11ff880d,0xfa87e8ff,0xff737c46,0x2e7fc801,0x3f6000fe,0x3201ff27,
    0xf71fe27f,0x1ff9339f,0x026237c4,0x7e417fd4,0x6e4c0007,0x2ff98cef,
    0x7fcdff20,0x00ffe202,0x3ee013fa,0x7fe4004f,0xb003b6a4,0x403ff8ff,
    0x01ff26fd,0x27e43ff3,0xd8bfa0fd,0x00bfea3f,0x1ffccbfb,0x7ecff900,
    0x647fd807,0x7fffdc4f,0x11fec1ef,0x3fee07ff,0x0005fe81,0x807fe600,
    0x817fa7fc,0x7cc01ffb,0xfff8801f,0x1fff1001,0x3e01ffdc,0x1037fc5f,
    0x0ffd4bff,0x7443ff90,0x2a20554f,0xff88dfb2,0x3e1ffc04,0x97fe006f,
    0x3e201ffb,0x227f446f,0xfd80bba8,0xf704ff86,0x00ff981f,0x5c02ca80,
    0x9ff200ff,0xfe880ffb,0x005fd804,0x500bffea,0xff887fff,0xf0bff207,
    0x3ff205ff,0x4417fe21,0x7fcc1fff,0x03ff6004,0x7dc0bff2,0x077fe41f,
    0xf98bff60,0x13fee05f,0xd8013fe6,0x0ffe80ff,0x3a23ff44,0xff50002f,
    0x01bfe205,0x1fff8ff9,0x2603ffa2,0x002ffdaa,0x8d6fffdc,0x04fffda9,
    0x7545bff9,0xffff85ff,0x5427fe42,0x3fa60dff,0xdffa81ff,0xefeb980b,
    0x85fff101,0xfe884ffb,0xba99bcff,0xffc85ffe,0x1bff661d,0x80bdffa8,
    0x501efeb9,0xfd537fff,0x77ffcc9f,0x99abdeff,0x5fffc45b,0x03ffd711,
    0x7fcc7fc8,0x02fffeff,0x009ffff5,0x3ffffea0,0x02ffffff,0x7fffffec,
    0xcff80eff,0xdfffefff,0xfdfff700,0x203ff7ff,0xdcffffd8,0x400dffff,
    0xffefffe9,0x7ffec05f,0x4fffffff,0x3bffff60,0x4401efff,0xfdcffffd,
    0x7400dfff,0x5fffffff,0x7fffffd4,0xffffffff,0x7ffffcc1,0xc801ffff,
    0xfffd887f,0x3fe602ef,0x5c40004f,0xaceffffe,0xffff5000,0x57fc07ff,
    0x03ffffe9,0xaefffda8,0x64c01ff8,0x0cffffff,0x3fff6200,0xdb7003ef,
    0x05bfffff,0xffffff50,0xffc98009,0x000cffff,0x13bffff2,0x4c44df7c,
    0x1effffec,0xdffffc88,0x0ff9001b,0x06000a98,0x2a620000,0x4cc40000,
    0x01310000,0x00002600,0x880000cc,0x54c00009,0x15310000,0x00660000,
    0x3002a600,0x00155100,0x00000062,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x31000000,0x01988003,
    0x01355530,0x777774c0,0x001eeeee,0x53100198,0x31000135,0x37973000,
    0x5500aa60,0x33333103,0x19880033,0x4ccc4000,0x80009999,0xdf10bdc8,
    0x33333310,0x99988003,0x99999999,0x26620999,0x003ff201,0x2e207fe8,
    0xeffffffe,0xffffb804,0x01ffffff,0x2007fd40,0xdffffffb,0x7ffecc00,
    0x7fe403ef,0x6c0dffff,0x427f406f,0xfffffffd,0x3601dfff,0x7f40007f,
    0xefffffff,0xfff800cd,0xd83feeff,0xffffffff,0x3f201dff,0xffffffff,
    0x744fffff,0x1ff902ff,0xa83ff400,0xffffffff,0x3601efff,0xccccccef,
    0x3e2000cc,0x3ffa00ff,0x2ffffdef,0xffffff90,0xff901dff,0x1dffd99d,
    0x3fa037ec,0xfffffd84,0xdfffffff,0x0007fd81,0x7ffffff4,0x01efffff,
    0x3fae33ea,0xfffd80ef,0xffffffff,0xfffc81df,0xffffffff,0x7fc44fff,
    0x001ff906,0x7fdc3ff4,0x36a21adf,0x9fd01fff,0xffe80000,0x3bff900f,
    0x207ffdc4,0xa88bfffa,0x7fdc5ffd,0x364ffb83,0x427f406f,0xaaaabffd,
    0x0efffcca,0x20003fec,0xaaaaaffe,0x01fffdcb,0x20188153,0xaaaabffd,
    0x0efffcba,0x5555ffe4,0xaaaaaaaa,0xc81ff981,0x3fa000ff,0x017ffcc7,
    0x7c42ffdc,0x2e00003f,0xf880ffff,0x9ff900ff,0x3f606ff8,0x40bff12f,
    0x01bf67fe,0x0ffb09fd,0xd8bffb10,0x7f40007f,0x04ffb807,0x03fec000,
    0x322fff44,0x500000ff,0x01ff909d,0x3fa3ff40,0x3ff2001f,0x000ffcc1,
    0xffdff980,0x204ffa80,0x3fe65ff8,0x4d3fe602,0x86e601ff,0x27f406fd,
    0xfb003fec,0x777fec5f,0x1cdeeeee,0x3e00ffd0,0x65d4c06f,0x0ffb00ab,
    0xc8bffa20,0x000000ff,0x2000ffc8,0x13fe67fe,0xb89ff100,0x3a00007f,
    0xa80ffbbf,0x37f400ed,0xff801ff7,0xb000ff75,0x84fe80df,0x3e6007fd,
    0x3ffff67f,0xffffffff,0x803ff41e,0xffd107fd,0xb09fffff,0x7fc400ff,
    0x0003ff27,0x7e405540,0x9ffa000f,0xa8000ffb,0xf936fc80,0x7e4005bd,
    0x0001ff76,0x40084ff8,0x0ff94ff8,0xe80dfb00,0x007fd84f,0xffd87fec,
    0xedcccccc,0x3fa0efff,0x30bfd007,0xfd99dfff,0x07fd89ff,0xfc87fec0,
    0xf880000f,0x00ffc83f,0x7fd9ffa0,0x7ff40000,0xdfffffff,0xb87fd400,
    0x320000ff,0xfc8002ff,0x000dfd3f,0x4fe80dfb,0x5c007fd8,0x00ffb1ff,
    0x7f4bffd1,0x83ffa807,0xff980ffe,0x001ff60f,0x3ff23ff5,0xff880000,
    0x000ffc83,0x06ff9ffa,0x7fffc000,0x5fffcaac,0xfb8ffe20,0xff70000f,
    0x3ffe0009,0xb000ffb0,0x84ff80ff,0x7d4007fd,0x400ffb3f,0x27ffa7ff,
    0xfdaa9999,0x04ff984f,0x7fd87ff2,0xc9ffcc00,0x999999ff,0x10099999,
    0x1ff907ff,0xf8bff400,0x2200004f,0xfe880eff,0xb8bfb02f,0xfb8000ff,
    0xffb0005f,0x2203fe45,0x80ffb0ac,0x3fb324ff,0x03cccccf,0x1ff69ff3,
    0xfd1ffd80,0xffffffff,0x054c07ff,0x7ec5ff50,0xa7fcc007,0xfffffffc,
    0x06ffffff,0xff907ff1,0xabff4001,0x776403ff,0x20eeeeee,0x3fe60098,
    0x5c0ffb86,0x7dc000ff,0xfc8000ef,0x017fd45f,0x3ff63ff9,0x7c9ff301,
    0xffffffff,0x2bff106f,0x3f2007fd,0xfffffd2f,0x5fffffff,0xffb53000,
    0x2003fec5,0xfff95ff8,0xffffffff,0x3fe20dff,0x000ffc83,0x2ffd5ffa,
    0x3fffffa0,0xd8000fff,0x417fc47f,0x26000ffb,0xd8000eff,0x0dfd05ff,
    0xbffb3ffc,0xaa93ffa0,0xaaaabffe,0x367ff302,0x3ffa007f,0x3333ffd1,
    0xbffd9553,0x7ff6e4c0,0x3f62ffff,0xa7fcc007,0xaaaabffc,0x02aaaaaa,
    0xff907ff1,0x9bff4001,0x776406ff,0x00fffeee,0x3a0ffc80,0x01ff704f,
    0x0007fec0,0xa817ffa2,0x3f660dff,0x37fff62f,0x09fffb51,0xfa800ffb,
    0x200ffb2f,0x1ffa7ffa,0x30bff620,0xbffffffd,0x3fec5ff9,0x64ffea00,
    0x880000ff,0x0ffc83ff,0x7c5bfe00,0xfc8000ff,0xffc8000f,0x5557ff70,
    0x557ffb55,0x8009ff00,0xc804ffe8,0xffffefff,0x7ff7fec4,0x84fdefff,
    0x7e4007fd,0x500ffb0f,0x3ff47ffd,0x225ff880,0x209bdffe,0x1ff62ffa,
    0x325ff900,0x880000ff,0x1ffb83ff,0x6cdff100,0xfc8001ff,0x801b950f,
    0x3fff27fd,0xffffffff,0x7fc407ff,0x3ffa2002,0x3ffa6003,0xefd82eff,
    0xc9efffe8,0x007fd84f,0xdffb3fec,0xffdddddd,0x07fe8dff,0xffc9ffa0,
    0xd8bfee03,0x7ff4007f,0x0001ff90,0xf507ff10,0x3fe6007f,0x0017fea4,
    0x7fdc3ff2,0xc97fe203,0xffffffff,0x407fffff,0xf3001ee8,0x320005ff,
    0x9bf600af,0xffb00098,0xb37fd400,0xffffffff,0xfd07ffff,0xd3ff400f,
    0x2ffc80ff,0xfa801ff6,0x003ff25f,0x20ffe200,0xd800eff8,0x2fff42ff,
    0x4c3ff600,0x3ff207ff,0x07fdc001,0xff880000,0x3fe0001f,0x01bf603e,
    0x2007fd80,0x3ff61ffe,0xbcdeeeee,0x00ffd00a,0xffe97fe2,0x45fff500,
    0x3fa007fd,0x003ff21f,0x40ffe200,0x7d405ffd,0x7ffcc0ef,0xfffe9805,
    0x88b7ff20,0xb8005ffd,0x000000ff,0x00003ffb,0x3f605ff1,0x1ff60006,
    0xb13ffa60,0xfe8000ff,0x3ffe8807,0xa8833ff2,0x3f63ffff,0x6ffe9807,
    0x00007fe4,0xf881ffc4,0xa99aceff,0xf500fffd,0x5359dfff,0x05ffffd9,
    0xffdffffd,0x3ee0009f,0x9ff5000f,0xaadffa80,0x2aaaaaaa,0x40bfea20,
    0x360006fd,0xcbaaabff,0xd86fffed,0x7f40007f,0xcbaaaaaf,0x7c45fffd,
    0xfffeefff,0x3ff64ffa,0xedcbaaab,0x7e40efff,0xaaaaaabf,0x882aaaaa,
    0x3fea03ff,0xffffffff,0x7ff4401f,0xffffffff,0x3fee00cf,0x0003efff,
    0x54003fee,0x7ff404ff,0xffffffff,0xfffb86ff,0x01bf606f,0xfffffd80,
    0xcfffffff,0x0007fd80,0x7ffffff4,0x0effffff,0xfffffd88,0x7ecff90c,
    0xffffffff,0xfc80dfff,0xffffffff,0x40ffffff,0x64403ff8,0xcfffffff,
    0x3ff6a001,0x00ceffff,0x00006620,0xa8007fdc,0x7ffc04ff,0xffffffff,
    0xbdda86ff,0x002f6401,0xffffffb0,0x4017ddff,0x740007fd,0xffffffff,
    0x98801cee,0xfffb000a,0x7bdfffff,0x7fffe401,0xffffffff,0x7fc40fff,
    0x26a66003,0xa9980001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4cccc400,
    0x99999999,0x33109999,0x33333333,0x04cc1333,0x20133100,0x2aa1bca8,
    0x65442aa0,0x0066200b,0x04cc3310,0x88000133,0x41be0bdc,0x00266099,
    0x200ccc40,0x06622aa9,0x20199880,0x01988099,0x26209880,0x54426621,
    0x3fe2001a,0xffffffff,0x3fffffff,0xfffffff9,0x4bffffff,0xf8801ffd,
    0xfffe886f,0x7c3ff4ff,0xfffffa9f,0x00ffc81e,0x7fc5ffa0,0x00013fe3,
    0xfddfffff,0xff93fe07,0x7ffb0003,0x3ffffe20,0x2600ffd0,0xffb04fff,
    0x007fe83f,0x3fee6fe8,0x3eabff71,0x3ff2004f,0xffffffff,0x3fffffff,
    0xfffffff9,0x4bffffff,0xfc805ff8,0xbdffe82f,0x21ffdfec,0xcacffdff,
    0x7fe40fff,0x45ffa000,0x013fe3ff,0xeb8cfa80,0x9ff00eff,0x44001ffc,
    0x3ffa04ff,0x01ffa7ff,0x5c0fffe6,0x3a0ffdff,0x6fe8007f,0x7fdc7fee,
    0x2009ff55,0xffaaeff8,0xaaaaaaaf,0x7ff91aaa,0x55555555,0x2ffb8355,
    0x361bfe20,0x7fec42ff,0x03bffe1f,0xffc8dfd1,0x45ffa000,0x013fe3ff,
    0x0c40a980,0x3ff8fba0,0x206fc800,0xfe80dff9,0x1fffcc07,0xdfd4ff98,
    0x5c003ff4,0x5c33263c,0x059935ff,0xfe8fff20,0x1ffc8006,0x037fc000,
    0xff983ffb,0xf87ffe04,0x7ff301ff,0xd0007fe4,0xf8ffe2ff,0x0000004f,
    0x000ffe00,0x7d401bb1,0x40ffd02f,0x3603fff9,0x74fba65e,0x2000007f,
    0x10005ffb,0x06fe8fff,0x001ffc80,0x4c1ffd40,0x0ffb85ff,0xff87fee0,
    0xf92ff405,0xbff4001f,0x13fe3ff8,0x332a2000,0x3ff8001a,0xff700000,
    0x4c1ffa01,0x00003fff,0x00000ffd,0x8002ffdc,0x37f43ffb,0x00ffe400,
    0x207ff400,0x6fc80ffd,0xff0ffcc0,0x326fc807,0x3fa000ff,0x7fc7ff17,
    0x20555104,0xffffffc8,0x7c35500e,0x1597513f,0x2a602aa0,0x742abffc,
    0x2fff987f,0x74055400,0x5540007f,0x005ffa80,0xdfd0fff0,0x03ff9000,
    0x49ff3000,0xbfd04ffa,0x3e1ff880,0x87fdc02f,0x3a000ffc,0x7c7ff17f,
    0x1fff884f,0xcceffe88,0xff82fffd,0x3fe6ffe4,0x7c44ffff,0xffffd83f,
    0x1ffa0fff,0x8005fff3,0x7fe83ff8,0x0ffe2000,0x20013fea,0x6fe83ffb,
    0x01ffc800,0x21ffb000,0xbfd00ffe,0x7fc3ff00,0xc87fdc02,0x3fa000ff,
    0x7fc7ff17,0x80fffc44,0xff983ffc,0xff27fc0f,0xffd9dffd,0x41ffc47f,
    0xeeeffeec,0xff99ffa0,0xff88002f,0x0007fe83,0x3e60ffe2,0xffe8004f,
    0x999ffe80,0x20999999,0x9999affc,0x88019999,0x03ffacff,0xff101bf6,
    0x2e017fc3,0x2afff27f,0xaaaaaaaa,0x7ff17fea,0xffd127fc,0x813fe603,
    0x27fc4ffa,0xf983ffff,0x80ffe27f,0xffd00ffb,0x0013ffe6,0x7f41ffc4,
    0x3fe20007,0x003ff983,0xfe81ffd4,0xffffffff,0x3fff25ff,0xffffffff,
    0xeffc800f,0x03fe406f,0x3ff87fe6,0xff92fe40,0xffffffff,0x22ffffff,
    0x453fe3ff,0x3f201ffe,0x23ff400f,0x07ffe4ff,0xff887fec,0x403fee03,
    0xffff9ffe,0xff88001f,0x0007fe83,0x3e20ffe2,0x7ff4003f,0xfffffd00,
    0x4bffffff,0xfffffffc,0x440fffff,0xfffeeeee,0x22eeeeef,0x3f202ffb,
    0x881bfe1f,0x3fff24ff,0xffffffff,0xff17ffff,0x7f467fc7,0x037ec00f,
    0x9ff07fe4,0xff5037fc,0xb80ffe23,0xfffd00ff,0x00dff9ff,0xfd07ff10,
    0x7fc4000f,0x4005ff03,0x3fa04ffa,0xaaaaaaaf,0x2fff22aa,0xaaaaaaaa,
    0xfffff882,0xffffffff,0x8837f42f,0x3ffe1fff,0x643ff702,0x3fa000ff,
    0x7fc7ff17,0xe802ffec,0x1ffb805f,0x05ff93fe,0x7fc4bfe2,0x403fee03,
    0xfb1ffffe,0xff88009f,0x0007fe83,0x7fc0ffe2,0x37ffa001,0xffcccccc,
    0x1ffc8006,0x26666000,0x999cff99,0x6ffd4099,0x87fffa60,0x7e42ffff,
    0x007fe43f,0x3fe2ffd0,0x3fffffe3,0x02ffc00e,0x9ff0ffd4,0xff1027fc,
    0xb80ffe25,0xfffd00ff,0x017ffc43,0xfd07ff10,0x7fc4000f,0x3ea3fd03,
    0xffffa84f,0xffffffff,0x1ffc8006,0x7fc40000,0x3ffee003,0x1ffdfffe,
    0x3bfffbfe,0xffc84fff,0x45ffa000,0x3bffe3ff,0x7f404ffb,0x21ffb805,
    0x80ffe4ff,0x7ff12ff8,0xe807fdc0,0xfffa81ff,0x07ff1000,0x44000ffd,
    0x21fd03ff,0xffe84ffa,0xeeeeeeee,0xfc8006ff,0x3320001f,0xcdffcccc,
    0xd301cccc,0xff35dfff,0x7f4dffc3,0xff903dff,0x8bff4001,0x43bfe3ff,
    0x3f601ffd,0x20ffc806,0x80ffe4ff,0x7ff12ff8,0xe807fdc0,0x1bff207f,
    0x741ffc40,0x3e20007f,0x2a1fb03f,0x27fcc4ff,0x40037f40,0x10001ffc,
    0xffffffff,0x05ffffff,0x3fe60988,0x0988ffe1,0x0007fe40,0x8ffe2ffd,
    0x3bfe24ff,0x803ff900,0xf27fc6ff,0x97fc407f,0x3ee03ff8,0x80ffd00f,
    0xf8804ffe,0x007fe83f,0x640ffe20,0x7fec3f86,0x006fe800,0x0001ffc8,
    0x3eeaaaaa,0x0aaaaadf,0x21ff9800,0xfc8003ff,0x5ffa000f,0x13fe3ff8,
    0x3e209ff7,0x0ffee05f,0x01ffc9ff,0x3fe25ff1,0x403fee03,0x7fcc07fe,
    0x1ffc401f,0x10003ff4,0x7cc007ff,0x4017fe61,0xfc8006fe,0x4400001f,
    0x200003ff,0x0ffe1ff9,0x003ff200,0x7ff17fe8,0x7ff427fc,0x41bff701,
    0xff85ffc8,0xf880ffe4,0x407ff12f,0xffd00ffb,0x01fff700,0x7f41ffc4,
    0x3fe20007,0xd8fb1003,0xffd001ff,0x55555555,0x07ff2555,0x7ff10000,
    0x7fcc0000,0x2000ffe1,0x3a000ffc,0x7c7ff17f,0x0eff984f,0xfdffff90,
    0x93fe0bff,0x3fe203ff,0x5c07ff12,0x0ffd00ff,0x8817ff60,0xaffe83ff,
    0xaaaaaaaa,0x41ffc40a,0x41d34ffa,0x3a005ff9,0xffffffff,0xff97ffff,
    0xf8800003,0x2600003f,0x00ffe1ff,0x8003ff20,0x47ff17fe,0x9ff704ff,
    0x7ffff540,0xf93fe03d,0x4bfe203f,0x3ee03ff8,0x00ffd00f,0x440fffe2,
    0xfffe83ff,0xffffffff,0x41ffc42f,0x3f604ffa,0x3ffa001f,0xffffffff,
    0x03ff97ff,0x3ff88000,0x3ba60000,0x2000bba1,0x3a000ffc,0x7c7ff17f,
    0x0bffa04f,0x7fc00660,0xf880ffe4,0x407ff12f,0xffd00ffb,0x0fffd400,
    0x7f41ffc4,0xffffffff,0x7fc42fff,0x004ffa83,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,
    0x44000999,0x03310999,0x20009880,0x26200199,0x01999999,0x03310500,
    0x98266200,0x99999999,0x09999999,0x4ccccccc,0x19999999,0x20002662,
    0x26620998,0x104cc000,0x26620033,0x22133000,0x99999999,0xddd70009,
    0xdddddddd,0x9fffd1dd,0x2fffc800,0x6c007ffb,0xfff1006f,0x3fff6005,
    0xffffffff,0x21f6200b,0xc8002ffc,0xffff31ff,0xffffffff,0x7c47ffff,
    0xffffffff,0x2e7fffff,0x7cc006ff,0x1bfee0ff,0x2e3ffc80,0xffe802ff,
    0x92ffa806,0xffffffff,0x201bffff,0xfffffffc,0xe8ffffff,0x7c007fff,
    0xfffb2fff,0x01bf6003,0x802fffdc,0xfffffffd,0x03ffffff,0xbff30ff9,
    0x4cdff000,0xffffffff,0xffffffff,0x3ffffe23,0xffffffff,0x027ff47f,
    0xfb05ffd0,0xbff5009f,0x4404ff98,0x6400ffff,0xffff90ff,0xffffffff,
    0x999503ff,0xfb999999,0x3ffffabf,0xffff3001,0x01bfff65,0xfe8037ec,
    0xfd800ffd,0xaaaaaabf,0xc81fffeb,0x01ffd07f,0x511ffd40,0xff955555,
    0x1555555b,0x55555544,0xffeaaaaa,0x00fffc45,0xf8827fdc,0x3fe201ff,
    0x406ff80e,0x402ffffa,0x27ff26fe,0xa9999999,0x0001fffd,0x3bfa1dfd,
    0xdf9004ff,0x3fff65ff,0x06fd804f,0x4ff8ff98,0x9007fd80,0x0ff90dff,
    0xd800ffee,0xff5000ff,0xf5000007,0xdff701ff,0x00eff980,0x7403bfea,
    0x1ff901ff,0x2fee7ec0,0x7e47ff10,0x9ff9000f,0x43ff7000,0x007fcefe,
    0x365ff9ff,0x401ffeff,0x6fd806fd,0xffb00ff9,0x987ffc00,0x21aaffda,
    0xf1006ff8,0x7fd4009f,0x7cc00003,0x3ffa01ff,0x007ffa03,0x3f217ff2,
    0x07fea03f,0x07fbaff8,0xffc87fea,0x0dff1000,0x743ff980,0x401ff9ef,
    0xb2ffaefa,0x80dff5ff,0x7fc406fd,0xd805ff34,0x3ff2007f,0xffffff71,
    0x800ffd89,0x2a001ffb,0x200003ff,0x4402fff8,0xffb80fff,0x8bffa004,
    0x7c405ffa,0x31ff303f,0x1ff203ff,0x6c001ff9,0x3fa000ff,0x9fd6fe86,
    0xffacfc80,0x3ff2ffb2,0x701bf604,0x02ffc3ff,0xfb801ff6,0xdfffd52f,
    0x03ff987d,0x54006fe8,0x200003ff,0xf7004ffe,0x06ff88bf,0x447ffcc0,
    0xfe800eff,0x7fcdf705,0xfc8bfd03,0x3ffa000f,0x03ff7000,0x01ff2dfd,
    0x25ff53ff,0x3fff17fd,0xfd01bf60,0x200ffc8d,0x3f6007fd,0x203fe40f,
    0x7fcc06fe,0x1ffd4003,0x5ffc8000,0xb17ff400,0xf70003ff,0x003ffbbf,
    0x27f41ff2,0x7ff10dfb,0x5000ffc8,0x3e200dff,0x26dfd06f,0x2df501ff,
    0x4ffb2ffa,0xdfb06ffa,0x261ffcc0,0x1ff604ff,0x6437fd40,0x0ffdc07f,
    0x8001ff90,0x80003ffa,0x4000effb,0xffa8fff9,0x3ff60003,0x3ea003ff,
    0x50ffc41f,0x0ffa81ff,0x22007fe4,0x7002fffb,0x9bfa05ff,0x27fb04fe,
    0x8ffb2ffa,0x6fd84ffc,0x3a03ff20,0x41ff607f,0x2fffca98,0x7c407fc8,
    0x017fe04f,0x000ffea0,0x003fff30,0x3ff3fee0,0x7fc40006,0x7fc4005f,
    0x3e23fd43,0x6437e42f,0xeeeeeeff,0x04fffffe,0xfe81ffa0,0x7fc1ff26,
    0x3f65ff50,0x20fffc47,0x17fe06fd,0xfd817fdc,0xffffffff,0xf904ffff,
    0x20ffb00f,0xa8001ffa,0x220003ff,0x40002fff,0x000ffffe,0x077ffc40,
    0xf913fa00,0xfe89fd0b,0xfffffc84,0xdfffffff,0x13fe6001,0x3fe66fe8,
    0xff537d41,0x3ea1ff65,0xa837ec6f,0xdff102ff,0x3fffff60,0x1effffff,
    0x2a01ff20,0x06fd81ff,0x007ff500,0x0027ff40,0x01fffcc0,0x7fffec00,
    0x237e4005,0x27fc83fe,0xffc82ff8,0xfffccccc,0xffc8000d,0xfd1bfa00,
    0x3ea3fd89,0x360ffb2f,0x41bf64ff,0xcccccffd,0xd81fffcc,0xaaaaabff,
    0x0ff90019,0xff113fe0,0x3fea0007,0xbff90003,0x3fec0000,0x5ffdc000,
    0x26002ffe,0x03ff30ff,0x3fea1ff5,0x900ffc80,0x44001dff,0x37f405ff,
    0x0ff89ff2,0x3fecbfea,0xfb1fff88,0xfffff10d,0xffffffff,0x000ffb09,
    0x6401ff20,0x007fdc7f,0x003ffa80,0x000effb8,0x001ff600,0x3e6dff30,
    0x3fe000ff,0x7fc0df72,0x3f20df92,0x1bff200f,0x402ffb80,0x8ffcc6fe,
    0x97fd45fa,0x3fea07fd,0xff70dfb6,0x99999999,0xffb0fff9,0x1ff20000,
    0xfd17fcc0,0x7fd4000b,0x7ffcc003,0x7ec00001,0x3fe20007,0x01bfee1f,
    0x09fb4fd8,0x03fea7ec,0xfd801ff9,0x0ffb004f,0x9fd0dfd0,0x5ff50ff6,
    0xffb01ff6,0xdfd0dfb9,0xb0bff200,0x320000ff,0x57fa007f,0x20002ff8,
    0x22003ffa,0x00002fff,0x20007fd8,0xffe83ffd,0x3edf7003,0x7d7ee02f,
    0x01ff901f,0x802fff88,0x6fe805fe,0x0ff8ffc8,0x7fd97fd4,0x7ffffc40,
    0x8027fcc6,0x3fec6ff8,0x0ffb8000,0xf71ff700,0xffa8000f,0x13ffa003,
    0x3fec0000,0x05ffb800,0x3003fff1,0x401ff5ff,0x207f9ff9,0xfb800ffc,
    0x27fc00ff,0x7cc37f40,0xffa85fcf,0xf500ffb2,0xffc8dfff,0x87ffa001,
    0x700007fd,0x880139ff,0x004feaff,0x801ffd40,0x00004ffc,0x2001ff60,
    0x2a00fff9,0xff800eff,0xdff806fd,0x03ff205f,0x302ffec0,0xdfd007ff,
    0x20bfffa0,0x0ffb2ffa,0xf1bfff60,0xffa800df,0x0001ff64,0x02ffffcc,
    0x007ff7e4,0x00ffea00,0x2aafffea,0xaaaaaaaa,0xffb000aa,0x1ffe8800,
    0x805ffd80,0xd803fffd,0x3f203fff,0xfff1000f,0x007fea05,0x7fdc1bfa,
    0xb2ffa80f,0x3fe200ff,0x00ffea6f,0x361fff10,0x2a00007f,0xf9806ffe,
    0xa80005ff,0xffa803ff,0xffffffff,0x01ffffff,0xd800ffb0,0xff1004ff,
    0xfffb805f,0x0fffa801,0x8003ff20,0xfb80effb,0x06fe800f,0x3ea0bff3,
    0x400ffb2f,0x3ff66ffa,0x3ffc8000,0x00000ffb,0x7ff40011,0xffa80002,
    0xffffa803,0xffffffff,0xb001ffff,0x7fdc00ff,0x7ffd4006,0x01ffe600,
    0x32037fc4,0x7f4000ff,0x0000004f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2a000000,0x007f21cd,
    0xaaa88100,0xaaaaaaaa,0x3a200aaa,0xca98001e,0xcba881ac,0x65d4c001,
    0x2e6000ab,0x973001bc,0x0d540359,0x22015510,0x4001acba,0x401acca8,
    0x597310aa,0x6542aa01,0x7305540a,0x2b2e6037,0x440154c0,0x7fe400aa,
    0x807fdfff,0x3a1acca8,0x1c000264,0x4005ff10,0xffffffe9,0xfffff72f,
    0x7f4401bf,0x04ffffff,0x7fffffe4,0xfffb100d,0xf883dfff,0x07fe603f,
    0x3fffffee,0x7fe4400d,0xf00effff,0xfffff33f,0xc9ff889f,0x3fe0ffff,
    0xffffffa9,0xffffff30,0x2017fd43,0x7f400ffb,0x03fffd99,0x3fffff62,
    0x0263fddf,0xff101c00,0x3ffea005,0xefffeccd,0xfffcdfff,0x9dfff306,
    0x209fffd9,0xfecceffc,0xeffe80ef,0x21fffecc,0x3e603ff8,0x6ffff41f,
    0x101fffdc,0xfb99dffd,0xf9ff05ff,0x9fffd9ff,0x7ffe7fc4,0x7fe7fc5f,
    0xf9efffde,0x47ffecff,0x2ff405ff,0x200c0d40,0xfccefff8,0x004c5fff,
    0x3fe20380,0x01bfd002,0x819ffff5,0xffe84fea,0x40fff980,0xffb83ffb,
    0x5417fd44,0x0ffe24ff,0x3ee1ff98,0x37f4c0cf,0xf983ffc8,0x77ffc0ff,
    0xf13ffcc2,0x83515dff,0x3620ffff,0x7e42efff,0x403ff22f,0x00002ff9,
    0x320fff60,0x0004c6ff,0x0bfe2038,0xf807fea0,0x3fe606ff,0xc813fe61,
    0x17fe21ff,0x3fe47fe8,0x7fc49db0,0x447fe603,0x3fea06ff,0x5027fcc3,
    0x1fff89ff,0x3e23ff70,0x7ffc01ff,0x81fffa81,0x3fe24ff8,0xa80ff903,
    0x1597310a,0x220ffea0,0x0263fffe,0xff101c00,0x80531005,0x7f403ffd,
    0xf50054c4,0x00ffcc5f,0x3ffb8373,0x80ffe200,0x7ff71ff9,0x7e45ff80,
    0x23ff400f,0x3fea06ff,0xf00dff12,0x1bfe20df,0x37f45ff8,0x7fc04ff8,
    0xffffff99,0xd80ffd84,0x0266feaf,0xfffe9c00,0xffffffff,0x731000ff,
    0x33335ffd,0x00bfb333,0x717fed4c,0x3e2000ff,0x4401beff,0x3fe603ff,
    0x3333ff91,0x8ffb3333,0xffc806fd,0xf9817fe0,0x00bff12f,0x2ffc0bff,
    0xffb8bfd0,0x200ffd40,0xecfffcff,0x2ff44fff,0x27fca7dc,0x3a700009,
    0xffffffff,0x300fffff,0xfffffdb9,0xffffffff,0x3260ffff,0xffffffed,
    0x8001ff22,0xdffffffa,0x203ff882,0xfffb1ff9,0xffffffff,0x02ff41ff,
    0x9ff0ffdc,0xf897fcc0,0x04ff804f,0x5fe813fe,0x3f61ffc4,0x2efff806,
    0x3fe3ffcc,0xff737cc4,0x9c000261,0xffbaaaaa,0x882aaaac,0xcefffffe,
    0xfffffffd,0x4c7fffff,0xdffffffe,0x1bfa2ffc,0xfff93000,0x7c41dfff,
    0x47fe603f,0xfffffffe,0x20ffffff,0xffa805ff,0xf980ffe1,0x007ff12f,
    0x27fc07ff,0xdfb0bfd0,0x7c01ffc4,0x3ff701ff,0xff893fe2,0x04c3fee0,
    0x3e203800,0xffe8802f,0x03fe41be,0xbdffe880,0xd8bfea09,0x2600007f,
    0x10ffffdb,0x7fd407ff,0x4000dfb1,0xffb805fe,0xf980ffe1,0x007ff12f,
    0x27fc07ff,0xff30bfd0,0x2003fea3,0x3fea06ff,0x2fd97fe2,0x00133fe4,
    0x2ff880e0,0x202ffc80,0xc8001ffc,0x3fee03ff,0x9101ff22,0x7ec40015,
    0x407ff12f,0x0ff91ffb,0x4037ec00,0x0ffe0ffc,0xff12ff98,0x407ff007,
    0x17fa04ff,0x05fea7f4,0x7cc0bff0,0x7e5ffa2f,0x0266fd84,0xff101c00,
    0x80dfd005,0x3e202ffe,0x901ffa5e,0x17fd45ff,0x7643ff90,0xf93fe605,
    0x47ff204f,0x76c02ffb,0x200ffe44,0x01ffc6ff,0x3fe25ff3,0x203ff803,
    0x17fa04ff,0x17fc77e4,0x2604ff80,0x2fff22ff,0x25ff885f,0x40700009,
    0xfe802ff8,0x3bfff207,0x747ff900,0xfff500ff,0x3e06fe85,0x80ffec7f,
    0x3ffe2ffa,0x11fff980,0x7fdc0dff,0x702ffc44,0x03ff87ff,0x7fc4bfe6,
    0x203ff803,0x17fa04ff,0x03feffc4,0x7cc07ff0,0x3fffea2f,0x262ffc80,
    0x44070000,0xffd802ff,0x37ff260c,0x3ee21eff,0x067fe46f,0x87ffff51,
    0x3660dffa,0x77fd42ff,0x8ffd510a,0xf511dffc,0x7fd43fff,0x3ffee21e,
    0x20dffb80,0xff85ffc8,0x44bfe603,0x3ff803ff,0xfe813fe0,0x13fffa05,
    0x2603ff80,0x77fec2ff,0x313ff621,0x300e0001,0xfff10013,0x23dfffdf,
    0xffeffffa,0x7ffc40ef,0xfafffeef,0xefffc84f,0xf904ffff,0xffffdfff,
    0xfffff883,0x41ff9fff,0xffeffffc,0x3ff201ff,0x05fffeff,0x7fcc07ff,
    0xf007ff12,0x027fc07f,0x7fd40bfd,0x0ffe001f,0x7e42ff98,0xfffeffff,
    0x70000986,0x2aaaaaaa,0x82aaaaaa,0x4effffd8,0xfffffd98,0xfffb100c,
    0x1ff219ff,0x77ffff4c,0x7fff5402,0xfb100dff,0x3fe1bfff,0xffffe981,
    0xfea800cf,0x3e03dfff,0x4bfe603f,0xff803ff8,0xe813fe03,0x1bfe205f,
    0x4c07ff00,0x2b7ea2ff,0x02ffffec,0x74e00013,0xffffffff,0x100fffff,
    0x2a200133,0x02a62001,0x00133000,0x4000a988,0x2a600019,0x00660001,
    0x00000000,0x00000000,0xf301ffc0,0x2607545f,0x0004c009,0xfffffd38,
    0xffffffff,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3e603ff8,0x2600002f,0xaaaaaaab,0x03aaaaaa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x301ffc00,
    0x000005ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x3fe603ff,0x00000002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0aaa0000,0x2a202a98,0x5446aa22,0x2155402a,0xaaaaaaaa,0x9801aaaa,
    0x2001802a,0x00000cc1,0x40cc6200,0x04c40009,0x88053066,0x004cc402,
    0x20026440,0x54401aa9,0x09aa8801,0xa801a980,0x3a07fc82,0x4df901ff,
    0x3ff64ffa,0xe87ff702,0xffffffff,0xfc804fff,0x512fcc06,0xf527dc17,
    0x8000005b,0x89f94fd9,0x3fa001fe,0xff99bea1,0x405fd102,0xc8004ffa,
    0xffc802ff,0xfe885fff,0xff705fff,0xfb103dff,0x3203dfff,0x81ffa86f,
    0xff03fff8,0xf127fd47,0x5ff981ff,0xeeeeeed8,0x803fffee,0x7fe406fc,
    0xceffffdd,0x3ffea6ff,0x200000bf,0xf14fffea,0x0077d45f,0x5ff12fe4,
    0x2217ffcc,0x3ea02ffe,0xfff8004f,0x4df7d406,0x67ec1fea,0x7d42fea9,
    0x40ffebef,0x5febbefc,0x4437fecc,0xfffa83ff,0x261ff985,0x2ffd42cc,
    0x0001ffd1,0x3200bff5,0xfffc806f,0xefffffff,0x7fffed40,0xf910001c,
    0x5417dfff,0x013fa0ff,0x2fec1ff5,0xe897ffcc,0x774c02ff,0x7f7dc003,
    0x707ae01f,0x3225c49f,0x361ff45f,0x883b624f,0xfbff50ff,0x361bf60d,
    0x6fb87fef,0xc97fec00,0xf98002ff,0x1bf2006f,0xa85f7fc0,0x32602ffd,
    0x002effff,0x3bffffb5,0xff32ff40,0xa93fe205,0xfff300ff,0x0005ffd7,
    0xfcbfe800,0x3f6a6005,0x8bfea205,0x37d40ff8,0x19737cc0,0x3fee0df3,
    0x0ffd7fc0,0xd10013fa,0x009ff5ff,0x001dff10,0x7d4037e4,0x009ff01f,
    0x33ffffaa,0x7fff5c40,0xff9800be,0x3603ff22,0x09ff10ff,0x2fffff98,
    0xccccccb8,0x04cccccc,0x1ff31ff5,0x3fffb220,0x3ffa05ff,0x7c437cc1,
    0x81ff4407,0x5ff106f9,0x23febfcc,0x98001ff8,0x8006ffff,0x9301ffe8,
    0x9ffd9999,0x7e459999,0x001fee06,0x27ffff93,0x02dffff9,0xf10ffd80,
    0x22ffb8bf,0xfa800ffd,0xfffd04ff,0xffffffff,0x49fb01ff,0xbffb04fe,
    0x640bf737,0x1fe62fed,0xff981fe6,0xe81be605,0x7e57ee4f,0x8001fea5,
    0x8000fffc,0x3ea02ffe,0xffffffff,0x3fa4ffff,0x003fe603,0x553ffa20,
    0x20001eff,0x3ff63ffa,0x7cc3ffa0,0xffe8804f,0xeeed82ff,0xeeeeeeee,
    0x0ffcc0ee,0xff981ff5,0x4c02fdc0,0x707fe27f,0x0ffee0df,0x7dc0df30,
    0x3fd4ff66,0x5c0009fb,0x6c001fff,0x774c03ff,0xeefffeee,0x17f23eee,
    0x44007fb8,0xf53ffffb,0x00039fff,0x27fccdfd,0xffc8ffe6,0x33ffa200,
    0x00002fff,0x7ff0df90,0x3e20ff88,0xf10ee26f,0xd127f41f,0x03ff909f,
    0x7cc0df30,0x3e23ff0f,0x0005ff1f,0x03bfffe6,0x0027fe40,0xf500df90,
    0x013fa03f,0x67fffecc,0x7fffe441,0x3ff5002d,0xffc837ec,0x220bfd10,
    0xfff32ffe,0x02cc9805,0xfc83ff88,0xfdcefd86,0x2ffe27ff,0x7cc5fd98,
    0x40fffdff,0xaaaabffc,0x7c06f980,0x7f47f9bf,0x20007fab,0x04ffaffe,
    0x0005ffb8,0x7c4037e4,0x3ff662ef,0x3ffae202,0xea800bff,0x200bffff,
    0x07fea4fe,0x3fe64fe8,0x217ff441,0x2a02fff9,0xffb804ff,0x442ff980,
    0x3fd4fffc,0x77ffffd4,0xdfffe981,0x7ffffcc0,0x6f982fff,0x2fdefe40,
    0x017f3bf2,0xfc97fe40,0x3bfea02f,0x37e40000,0x7ffffdc0,0x985ffffe,
    0x02effffc,0xffffb300,0x746fb83b,0x0ffcc03f,0x2ff98df9,0x5407ff30,
    0x4ff804ff,0x00817f60,0x00379510,0x2aa60131,0x80aaaaaa,0x7fd402a8,
    0x7ffd43fe,0xff98002f,0x4c07ff45,0x80000eff,0x7fdc06fc,0xdeffffee,
    0x3ffea5ff,0x100001cf,0x229ffff9,0x017ee1ff,0x0bfa2fdc,0x40398053,
    0x00001aa8,0x00000000,0x00000000,0xf103fffe,0x3ea01fff,0x03ffa24f,
    0xff88bff3,0x999999af,0x6fc80199,0x7712fd40,0xff527dc3,0x40000017,
    0x47fb4fea,0x36000ff8,0x003fe62f,0x00000000,0x00000000,0x00000000,
    0xfd06ffd8,0x27fd40bf,0x3f205ffb,0x3fffea3f,0xffffffff,0x01e5400f,
    0x29850014,0x4c000000,0x00000002,0x00000000,0x00000000,0x00000000,
    0x827fd400,0x3ea03ffb,0x40bff54f,0xff50ffe8,0xffffffff,0x00001fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2c980000,0xdd303500,0xdddddddd,0x86627ddd,0xeeeeeee9,
    0x13eeeeee,0x440cc433,0x227fd41a,0x1401bdca,0x99884ccc,0x26609981,
    0x0007dd31,0x77777300,0x77777777,0x3fe65777,0x3fffffe4,0x0000006f,
    0x00000000,0x3ea00000,0x77ffdc04,0x3ffffea2,0xffffffff,0x3ea3ffb4,
    0xffffffff,0xff94ffff,0xf503ffa3,0xd14ffa87,0x39ffffff,0x3fe63e44,
    0x883ffe26,0x4dff64ff,0xffff54ff,0xffffffff,0x3eabffff,0xffffffff,
    0x5fffffff,0x7ffc9ff3,0x0006ffff,0x00000000,0x40000000,0x5408fe60,
    0x267ea9cf,0xcccccccc,0xfb2ccccc,0x3333263f,0xfccccccc,0x3a3ff94f,
    0x0efe40ff,0x3ff69ff5,0xefffffff,0x7fec7ffe,0xf127fcc0,0xf9bfec9f,
    0xddddd54f,0xdddddddd,0x2aa29ddd,0xaaaaaaaa,0x31aaaaaa,0x666649ff,
    0x00004ccc,0x00000000,0x64000000,0xfdabf9be,0x07f11b60,0x07ff6000,
    0xfca7f400,0x981ffd1f,0xd9fc2feb,0xffca88ae,0x224fffff,0x1ff502ff,
    0x4cb8b322,0x00000022,0x00000000,0x00000000,0x00000000,0x7ffff400,
    0x0fe1ffff,0x6400017a,0xfd0001ff,0x7f47ff29,0xf993fa07,0x76d40171,
    0x01f5c1ce,0x00000bae,0x00000000,0x00000000,0x00000000,0x20000000,
    0x80bffea8,0x0017c46d,0x0007fb80,0x87fdd3fa,0x3fba66fc,0x00fb10ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x17f7ee00,
    0x3f54e7d4,0x55555551,0x23555555,0x3a0006fa,0x7dcff34f,0x873bfea5,
    0x000000e9,0x00000000,0x00000000,0x00000000,0x00000000,0x98000000,
    0x2e09f96f,0x3ea2efff,0xffffffff,0xbf14ffff,0x8a7f4000,0x000fe66f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x97dc0000,
    0x06a00ef8,0x3fffffea,0x4fffffff,0xed80006a,0x00a886a3,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x06000000,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__arial_33_latin1_x[224]={ 0,2,1,0,1,1,1,1,1,1,0,1,2,0,
2,0,1,3,0,1,0,1,1,1,1,1,2,2,1,1,1,1,1,-1,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,2,0,0,0,-1,1,1,1,1,1,1,0,0,1,1,
-2,1,1,1,1,0,1,1,1,0,0,1,0,0,0,0,0,0,2,0,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,1,0,1,-1,
2,1,0,0,0,1,1,0,0,-1,1,1,0,0,3,2,0,2,1,1,0,2,1,1,0,2,-1,-1,-1,-1,
-1,-1,0,1,2,2,2,2,0,2,-1,0,-1,2,1,1,1,1,1,2,1,2,2,2,2,0,2,2,1,1,
1,1,1,1,0,1,1,1,1,1,0,2,-1,0,1,1,0,0,0,0,0,1,1,1,1,1,1,0,1,0,
 };
static signed short stb__arial_33_latin1_y[224]={ 26,4,4,4,2,4,4,4,4,4,4,8,23,17,
23,4,4,4,4,4,4,5,4,5,4,4,10,10,8,11,8,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,29,4,10,4,10,4,10,4,10,4,4,
4,4,4,10,10,10,10,10,10,10,5,10,10,10,10,10,10,4,4,4,13,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,26,10,4,4,8,4,
4,4,4,4,4,11,11,17,4,1,4,8,4,4,4,10,4,14,25,4,4,11,4,4,4,10,-1,-1,-1,0,
0,0,4,4,-1,-1,-1,0,-1,-1,-1,0,4,0,-1,-1,-1,0,0,9,4,-1,-1,-1,0,-1,4,4,4,4,
4,5,4,4,10,10,4,4,4,4,4,4,4,4,4,5,4,4,4,5,4,9,9,4,4,4,4,4,4,4,
 };
static unsigned short stb__arial_33_latin1_w[224]={ 0,4,9,17,15,24,19,4,8,8,11,15,4,9,
4,9,15,9,15,15,16,15,15,15,15,15,4,4,15,15,15,14,28,21,17,20,18,17,15,21,17,4,13,18,
14,21,17,21,17,21,19,18,18,17,20,28,20,20,18,6,9,7,14,18,6,15,15,14,14,15,10,15,14,4,
7,14,4,22,14,16,15,14,10,14,8,14,15,22,15,15,15,10,3,10,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,4,14,16,15,18,
3,15,9,22,11,14,15,9,22,18,9,15,10,10,6,13,16,4,7,6,11,13,24,24,25,14,21,21,21,21,
21,21,28,20,17,17,17,17,7,6,10,9,21,17,21,21,21,21,21,13,21,17,17,17,17,20,17,16,15,15,
15,15,15,15,26,14,15,15,15,15,6,7,10,9,15,14,16,16,16,16,16,15,16,14,14,14,14,15,15,15,
 };
static unsigned short stb__arial_33_latin1_h[224]={ 0,22,9,23,28,23,23,9,29,29,10,15,8,3,
3,23,23,22,22,23,22,22,23,21,23,23,16,21,15,9,15,22,29,22,22,23,22,22,22,23,22,22,23,22,
22,22,22,23,22,24,22,23,22,23,22,22,22,22,22,28,23,28,13,3,5,17,23,17,23,17,22,23,22,22,
29,22,22,16,16,17,22,22,16,17,22,17,16,16,16,23,16,29,29,29,5,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,22,28,23,15,22,
29,29,4,23,12,14,9,3,23,3,9,18,12,12,5,22,28,4,8,12,12,14,23,23,23,23,27,27,27,26,
26,26,22,29,27,27,27,26,27,27,27,26,22,26,28,28,28,27,27,13,23,28,28,28,27,27,22,23,23,23,
23,22,23,23,17,22,23,23,23,23,22,22,22,22,23,21,23,23,23,22,23,13,19,23,23,23,23,29,28,29,
 };
static unsigned short stb__arial_33_latin1_s[224]={ 254,245,120,67,67,147,172,99,17,42,61,
61,138,232,227,245,1,246,89,55,57,41,125,240,160,207,24,250,109,83,93,
74,118,41,174,223,208,227,30,19,96,249,199,190,220,1,23,33,63,189,220,
141,111,1,90,191,170,149,130,155,242,162,184,189,167,93,71,109,87,154,179,
230,156,151,147,119,114,213,187,170,80,65,202,124,81,139,236,1,29,17,45,
92,114,103,143,33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,
33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,33,254,244,239,
213,77,46,88,72,174,176,199,139,104,232,102,208,73,50,234,211,160,120,170,
184,130,245,222,125,122,97,71,56,23,101,214,77,131,109,1,51,145,163,181,
153,199,207,66,99,134,171,1,23,45,123,1,154,34,187,83,205,236,45,156,
1,211,179,85,192,132,148,66,105,51,195,101,1,245,171,209,235,35,1,17,
18,228,134,211,168,16,227,117,164,192,26,223,1, };
static unsigned short stb__arial_33_latin1_t[224]={ 1,184,268,88,31,112,112,268,1,1,268,
252,268,268,268,60,136,136,160,136,160,160,136,207,136,112,252,184,252,268,252,
160,1,207,160,112,160,160,184,160,184,112,136,184,184,207,207,136,207,60,207,
136,207,160,207,207,207,207,207,1,88,1,252,268,268,230,136,230,136,230,184,
136,184,184,1,184,184,230,230,230,184,184,230,230,207,230,230,252,252,136,252,
1,1,1,268,230,230,230,230,230,230,230,230,230,230,230,230,230,230,230,230,
230,230,230,230,230,230,230,230,230,230,230,230,230,230,230,230,230,1,112,1,
136,252,184,1,1,268,136,252,252,268,268,136,268,268,230,252,252,268,160,1,
268,268,252,252,252,112,112,112,112,60,31,31,60,60,60,184,1,31,31,31,
60,31,31,60,60,160,60,31,31,31,31,60,252,112,1,31,1,31,60,160,
88,88,88,88,160,88,88,230,160,88,88,88,112,160,184,184,184,88,230,112,
88,60,184,60,252,230,88,88,88,112,1,1,1, };
static unsigned short stb__arial_33_latin1_a[224]={ 131,131,168,263,263,420,315,90,
157,157,184,276,131,157,131,131,263,263,263,263,263,263,263,263,
263,263,131,131,276,276,276,263,480,315,315,341,341,315,289,368,
341,131,236,315,263,394,341,368,315,368,341,315,289,341,315,446,
315,315,289,131,131,131,222,263,157,263,263,236,263,263,131,263,
263,105,105,236,105,394,263,263,263,263,157,236,131,263,236,341,
236,236,236,158,123,158,276,354,354,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,354,
354,354,354,354,354,354,354,354,131,157,263,263,263,263,123,263,
157,348,175,263,276,157,348,261,189,259,157,157,157,272,254,131,
157,157,173,263,394,394,394,289,315,315,315,315,315,315,473,341,
315,315,315,315,131,131,131,131,341,341,368,368,368,368,368,276,
368,341,341,341,341,315,315,289,263,263,263,263,263,263,420,236,
263,263,263,263,131,131,131,131,263,263,263,263,263,263,263,259,
289,263,263,263,263,236,263,236, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_33_latin1_BITMAP_HEIGHT or STB_FONT_arial_33_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_33_latin1(stb_fontchar font[STB_FONT_arial_33_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_33_latin1_BITMAP_HEIGHT][STB_FONT_arial_33_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_33_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_33_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_33_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_33_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_33_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_33_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_33_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_33_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_33_latin1_s[i] + stb__arial_33_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_33_latin1_t[i] + stb__arial_33_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_33_latin1_x[i];
            font[i].y0 = stb__arial_33_latin1_y[i];
            font[i].x1 = stb__arial_33_latin1_x[i] + stb__arial_33_latin1_w[i];
            font[i].y1 = stb__arial_33_latin1_y[i] + stb__arial_33_latin1_h[i];
            font[i].advance_int = (stb__arial_33_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_33_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_33_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_33_latin1_s[i] + stb__arial_33_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_33_latin1_t[i] + stb__arial_33_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_33_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_33_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_33_latin1_x[i] + stb__arial_33_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_33_latin1_y[i] + stb__arial_33_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_33_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_33_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_33_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_33_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_33_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_33_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_33_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_33_latin1_LINE_SPACING
#endif

