// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_41_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_41_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_41_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_41_latin1_BITMAP_HEIGHT        408
#define STB_FONT_arial_41_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_41_latin1_FIRST_CHAR            32
#define STB_FONT_arial_41_latin1_NUM_CHARS            224

#define STB_FONT_arial_41_latin1_LINE_SPACING          27

static unsigned int stb__arial_41_latin1_pixels[]={
    0xaa835530,0x0133100a,0xaa880000,0x4eb8002a,0x99999880,0x00999999,
    0x3332ea20,0x5d40001a,0x75c02bcc,0x4cccc404,0x01dd7099,0x65d4c400,
    0x000aaccd,0x22010000,0xeb801cce,0x0133100e,0x402dcc98,0x7ffc5ffc,
    0x009ff902,0xfffb8000,0x0ffcc002,0xfffffec8,0xffffffff,0xfffda806,
    0x02efffff,0x7ffff540,0xff102eff,0x7fffdc05,0x01ff94ff,0xffffb300,
    0xbfffffff,0xf8000005,0x4ffff886,0xc807fe40,0x3ff204ff,0x7fe402ff,
    0xc817ffc5,0x000004ff,0x40027ffc,0xfffa84fe,0xffffffff,0x206fffff,
    0xffffffe8,0x0effffff,0xfffffa80,0x702fffff,0x3fee01df,0xff94ffff,
    0x7ff54001,0xffefffff,0x02ffffff,0x85fa8000,0x03fffff8,0x7e403ff2,
    0xffff504f,0x5ffc805f,0xfc817ffc,0x2000004f,0xb8006ffb,0x7ffcc0ff,
    0xeeefffff,0x04eefffe,0x79fffff5,0xffff9535,0x7ffc401d,0xffeb88be,
    0x209ff01f,0x1aaaeffb,0x36001ff9,0x09bdffff,0xffffda98,0x7e400004,
    0xfff95103,0xc807fe40,0xbffb04ff,0x13310013,0xf9009998,0x4000009f,
    0x44000ffe,0x7ff444ff,0x41ffffff,0x3e601ffd,0x2200bfff,0x700efffc,
    0x3fe20fff,0x03ff704f,0x3f20bff7,0x7ff4400f,0x644001cf,0x0000efff,
    0xfd003fd0,0x03ff203f,0xff80d54c,0x0000000f,0x00013ff2,0x000e64c0,
    0x3ee07fe4,0xffffffff,0xd00ffec1,0x64003fff,0xffb03fff,0x037fdc07,
    0xbff70bff,0x8803ff20,0x0001effe,0x002fff4c,0xc803fcc0,0x1ff902ff,
    0x1bfe2000,0xf9000000,0x0000009f,0x0bff1000,0xfffffff9,0x1ffd83ff,
    0x005fff70,0x360dffd0,0x33a604ff,0x83ff900c,0xff905ffb,0x02fff401,
    0x0fffa000,0x009f7000,0x7e40ffee,0xff30000f,0x8000000b,0x0d444ffc,
    0x90000000,0xfffd05ff,0x83ffffff,0xfff01ffd,0x3fea000d,0x0fffb82f,
    0x2ffcc000,0x7e417fee,0x09ff700f,0x22002a88,0x4c001ffe,0x7002feaa,
    0x3ff207ff,0xbff30000,0x01fff980,0x7e4dff50,0xfffff74f,0x3ffe605b,
    0x0dff5001,0xfff01fff,0x3fffffff,0xf981ffd8,0x320002ff,0xffff101b,
    0xfff80003,0x6417fee0,0x6ff880ff,0x3ffffa60,0x987ffe1d,0xfdb805ff,
    0x003fffff,0x3f207ff7,0x09ff900f,0xfd00bff3,0x3ff6009f,0x3f77ff23,
    0x5fffffff,0x2009ffd0,0x7fd43ffd,0xfffffb05,0xfd83ffff,0x0fffc81f,
    0x7cc00000,0x20003fff,0x3fee3ffc,0xb01ff905,0x3ff203ff,0x89ffffff,
    0x0ffd87ff,0xfffffd10,0x801bffff,0xff903ffb,0x213ff201,0xfb805ff9,
    0xfff8807f,0x3fffff20,0xfffc98ad,0x807ffb83,0x7ec0fff8,0xffff902f,
    0xd83fffff,0x7ffe81ff,0xfd000000,0x0001dfff,0x7fdcdff3,0x981ff905,
    0xfffb04ff,0x9ffd737b,0x7ff50dff,0x5bfffd10,0x0dffffb3,0xf903ffb8,
    0x13ff201f,0x22017fe6,0x7dc02fff,0x7fffe45f,0x85fff503,0x5c02fff8,
    0x1fff85ff,0xffffff30,0xffd83fff,0x005fff81,0x7ff4c000,0x003ffffe,
    0xfb87ffc4,0x81ff905f,0xffb80ffc,0xfffe883f,0x90bff04f,0xbff85fff,
    0x3ea02fff,0x01ff904f,0x3ea13ff2,0xbffb004f,0x642ffe80,0x7e404fff,
    0x05ffd87f,0x3e617ff4,0x3ff200ff,0x41ffffff,0xfff81ffd,0x2e000004,
    0xfff90eff,0x7fc003df,0x20bff72f,0x2ffc0ffc,0x301fffcc,0x3a05ffff,
    0x27ffc46f,0x2fff5be6,0x320bff50,0x9ff900ff,0x2009ff70,0x3e607ffa,
    0x0fffc87f,0x20fffc40,0x3e607ffa,0x07ffb87f,0x7ffffec4,0x0ffec1ff,
    0x000fffe2,0x986fe800,0x004ffffe,0x3fee7ffd,0x4c1ff905,0x6ffd82ff,
    0x01fffd80,0x6ff98ffb,0x9df34fb8,0xc837fc40,0x9ff900ff,0x4003ffb0,
    0xff902fff,0x00bff909,0x3fe0bff6,0x09ff902f,0x2e00dff7,0x41ffffff,
    0x7fc41ffd,0x3000003f,0x7fe409ff,0xffd805ff,0x260bff74,0x03ff20aa,
    0x9005fff1,0x3fec0fff,0x3fa17fee,0x3ffd8002,0xf900ffc8,0x06ff989f,
    0xf82ffe40,0x4ffc81ff,0x909ff900,0x3ffe0bff,0x005ffc81,0x20fff54c,
    0xfff81ffd,0xf7000005,0xffe9807f,0xaffe403f,0x6c005ffb,0x06ffc87f,
    0x740bff70,0x21ffe46f,0xd10007f8,0x7fe437ff,0x229ff900,0x4003ffeb,
    0x7d40fff9,0x07ff906f,0x2617fee0,0x7fd40fff,0x009ffb06,0xfb07ff60,
    0x0dffd03f,0x3fe60000,0xfffe8806,0x5d7fee00,0x7ec005ff,0x004ffe86,
    0x3e209ffb,0x217ff44f,0x220005fa,0xff91fffe,0x7d3ff201,0xd0002fff,
    0x3ffd87ff,0x2005ff90,0xffd06ffa,0xb03ffd87,0x360009ff,0x0ffec1ff,
    0x0003ffec,0x03fff802,0x203fff88,0xbff76ffb,0xf85fe800,0xffd002ff,
    0xf0ffea05,0x03fd83ff,0x8fffc400,0xff900ffc,0x000bffe9,0x3e26ffb8,
    0x7ff900ff,0x417fee00,0x3fe26ffb,0x0bffb00f,0xb07ff600,0xfff703ff,
    0x6fe40003,0x027ffe43,0xf9027fe4,0x017feebf,0xff889ff0,0x1fff001f,
    0xff07ff20,0x000ff85f,0x47fffa60,0xff900ffc,0x00ffffe9,0xa87ffc40,
    0x3ff205ff,0x07ff9003,0x7d43ffe2,0x1bff205f,0x20ffec00,0xff881ffd,
    0x3fe0002f,0xefffd85f,0x813fea01,0xbff75ffd,0x445ff800,0xfa800fff,
    0x0dff107f,0x37cc7ffd,0x7fff3000,0xc807fe43,0xffd714ff,0x3ff60007,
    0x6405ffb3,0xffb005ff,0xd9ffec03,0x3fee02ff,0x3ffb0007,0xfd01ffd8,
    0x3ea000df,0xffd881ff,0xffd80cff,0x5d3ffa02,0x155305ff,0x7ff437f4,
    0x85ffe801,0xfd81ffe8,0x3a13ee4f,0x3ff201de,0x900ffc83,0x7ff989ff,
    0x2dff5000,0x7fe407ff,0x7ffc400f,0x7dbfea00,0x7ffd407f,0x1ffd8000,
    0xfa80ffec,0x7c4003ff,0x7fdc06ff,0x3fee2fff,0xb9fffc06,0x1ff905ff,
    0x7fe43fec,0x1fffdc03,0xfb827fec,0xf107fa6f,0x37fc01ff,0xf900ffc8,
    0x03ffb09f,0x3ebffe00,0x7ffe404f,0x037fe404,0x27fd7ffc,0x007ffe60,
    0xfb07ff60,0x7ffec03f,0xfffd1004,0xfffb1005,0x01bffbbf,0xfb97ffc4,
    0x41ff905f,0x7fd40ffc,0xffff500f,0x00fffc83,0xff17fff1,0x4c0dff90,
    0x1ff905ff,0x2e13ff20,0xf90003ff,0xc803ffff,0xf703ffff,0xff9005ff,
    0xff003fff,0xffb0007f,0x201ffd83,0x0bdffff8,0x09ffff70,0xfffffb80,
    0x7ffa801e,0x7e417fee,0x113fe60f,0xfb81bffd,0xfd53ffff,0xffc805ff,
    0x7fd45fcf,0x13fea02f,0xfc807fe4,0x04ffa84f,0xdffff300,0xfffff900,
    0xfffb737b,0x3ffe600b,0x9ff9006f,0x83ffb000,0x74c01ffd,0xccefffff,
    0x05fffffe,0xffffb100,0x4bff7003,0xff905ffb,0xf987ff81,0xfffddfff,
    0xfffffffa,0xffd001ef,0xfff739ff,0x4ffb809f,0x3201ff90,0x4ffa84ff,
    0x3fffa000,0xddffc803,0xffffffff,0x7fff4004,0x0bff5003,0xd83ffb00,
    0xfe8801ff,0xffffffff,0x80003fff,0x401ffffa,0x3fee3ffc,0xc81ff905,
    0xfffa82ff,0xffd1efff,0x001bffff,0x7fffff44,0xb805ffff,0x1ff903ff,
    0x2613ff20,0x2e0005ff,0xfc800fff,0xdffff74f,0xff700039,0x7ffc001f,
    0x0ffec000,0x98007ff6,0xfffffffc,0x200000cf,0x7406fff9,0x17fee0ff,
    0x3e207fe4,0xfeb980ff,0x3ff620bd,0x2aa881bd,0x3fffff20,0xff7002ef,
    0x403ff207,0xff984ffc,0x3fea0005,0x89ff9005,0x540000a8,0x7e4005ff,
    0x7fec003f,0x000ffec1,0x009bffa8,0xff300200,0x17fea01f,0x3f20bff7,
    0x0eff980f,0x3e200000,0x33f201ff,0x5c000aaa,0x1ff903ff,0x2613ff20,
    0x360005ff,0xff9002ff,0x36000009,0x7c4002ff,0x7fec007f,0x000ffec1,
    0x0001ffb8,0xfd00ffd3,0x07ffa05f,0x3f20bff7,0x1bff700f,0xfd100000,
    0x01ff805f,0x81ffdc00,0xff900ffc,0x00bff309,0x801bfe20,0x00004ffc,
    0x0006ff88,0x6c007ff9,0x0ffec1ff,0xefffc800,0x7ffc4000,0x07ffe202,
    0x3ee17fea,0x01ff905f,0x0017ffec,0x09fff700,0x80007f98,0xff902ffc,
    0x20fff601,0xb0006ff8,0x7e4007ff,0xd800004f,0xf10003ff,0x7fec00df,
    0x000ffec1,0x0013fea0,0x5c03bff6,0x3ffb07ff,0x320bff70,0x3fa200ff,
    0x20001dff,0x804fffea,0xe80005fb,0x1ff901ff,0x7c0fffa0,0xcbc800ff,
    0x2000fffe,0x80004ffc,0x0fffecbc,0x0bff2000,0x360ffec0,0x5c0001ff,
    0xf98005ff,0xda89ceff,0xff985fff,0x55dff705,0x003ff235,0x37fffff2,
    0xda99819a,0x001effff,0x220005fd,0x3207ffc9,0x3f2660ff,0xbffb01ff,
    0x7fffc015,0x7e4001ff,0xff80004f,0x0001ffff,0xfb006fe8,0x01ffd83f,
    0x7ffeedc0,0xff70000f,0xffffffff,0x01ffb01b,0x3fffffee,0x2001ff94,
    0xffffffd9,0xffffffff,0x2002ffff,0x88000ff8,0x204fffff,0xfff30ffc,
    0x7fd40dff,0xffd02fff,0xf90005ff,0xfd00009f,0x00005fff,0x36007fe6,
    0x0ffec1ff,0x3ffff600,0x7540003f,0x4fffffff,0x5c05ff10,0x94ffffff,
    0xc88001ff,0xfffffffe,0x0cefffff,0x002fcc00,0x05ffff88,0xffb87fe4,
    0x7dc00eff,0x99302fff,0x26200015,0xc9800009,0x400000ac,0x198804eb,
    0xa8001988,0x0000aaca,0x26f32ea0,0x1013ae00,0x21333333,0x40000eeb,
    0xccdcba98,0x080000ab,0x599d1000,0x261dd700,0x3000accc,0x00005b97,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4ccc0000,0xe8000999,0x00001fff,0x002fffc8,0x1fffe800,
    0xfff10000,0x8800001f,0x0000fffe,0x1fffd100,0x00000000,0x7ffcc000,
    0x00000005,0x3fffd800,0xfffff980,0x7fcc006f,0x8800003f,0x00004fff,
    0x0effffc8,0xfff30000,0xf3000009,0x000009ff,0x01bffff6,0x0beda800,
    0x00003fe2,0x13ffffe2,0x37aa0000,0x003fe60b,0x3f637ff4,0xfffff37f,
    0xffd800df,0xf9000005,0x500000df,0x0bff7fff,0x7ffdc000,0xfa800000,
    0x400000ff,0x5ffceffb,0xfffd8000,0x06feceff,0xd9ffb000,0x400005ff,
    0xcefffffe,0x3e2005fe,0x5fff63ff,0x6ffcaaa8,0x03bfe600,0x3fe20000,
    0x4400000f,0x9ffb2fff,0x7fe40000,0xf7000003,0x4c00009f,0x7ffd1fff,
    0x6ffc4000,0x3ffffffc,0x6ffb8000,0x0003fff3,0xff99ff10,0x8005ffff,
    0x3ff66ff9,0x00dff507,0x0000ffec,0x001ffc80,0x25ffe800,0x0002fff8,
    0x0001ff60,0x000ffd80,0x24fff880,0x0001fff9,0xdfc98df7,0xffa80002,
    0x03bfee1f,0xa8df7000,0x50002dfc,0x1332a5ff,0x30037fd4,0x40000013,
    0x80000098,0x99881998,0x26200000,0x4c000001,0x98800009,0x00998819,
    0x00013100,0x01331000,0x80001333,0x00000098,0xfa800266,0x0026666f,
    0x0004ccc0,0x0af372a6,0x32a60000,0x4c002bcd,0x33000099,0xca980013,
    0x4c002bcd,0x33000099,0xca980013,0x00002bcd,0x00013330,0x00999800,
    0x004cc400,0x7c5bfea0,0xff0002ff,0xffd3007f,0x9fffffff,0x7f4c0001,
    0xffffffff,0x7ffc400c,0x7fff0002,0xffffd300,0x019fffff,0x002fff88,
    0x3007fff0,0xfffffffd,0x000019ff,0x003fffe6,0x7ffcc000,0x3f20000f,
    0xa805546f,0x5fff16ff,0x0fffe000,0xffffff70,0x7fffffff,0xffff7000,
    0xffffffff,0x7ffc407f,0x7fff0002,0xfffffb80,0xffffffff,0x0bffe203,
    0x01fffc00,0x3fffffee,0x3fffffff,0xfffc8000,0x9000003f,0x0007ffff,
    0x3fe37fe4,0x22dff501,0xf0002fff,0x3fa607ff,0xa9acefff,0x05ffffec,
    0xdffffd30,0xffd95359,0x3fe20bff,0xfff0002f,0x3fffa607,0xeca9acef,
    0xf105ffff,0x3e0005ff,0xffd303ff,0x95359dff,0x00bffffd,0x6ffeff80,
    0xdff00000,0x64000dff,0x80ffc6ff,0xfff16ffa,0x3ffe0005,0xeffff883,
    0x7fff5400,0x7fffc405,0x7ff5400e,0x2fff885f,0x07fff000,0x01dffff1,
    0x85fffea8,0x0002fff8,0xff107fff,0xea801dff,0x50005fff,0x03ffd7ff,
    0xbffa8000,0x90001ffe,0x17fc4dff,0xff16ffa8,0x3fe0005f,0x3fffc83f,
    0x3fff6200,0x0ffff203,0x3fffd880,0x0017ffc4,0xfc83fff8,0x362003ff,
    0x7fc43fff,0xfff0002f,0x07fff907,0x1fffec40,0x5cffec00,0x400005ff,
    0x5ffb9ffd,0x4dff9000,0xff503ff8,0x00bffe2d,0x261fffc0,0xd0004fff,
    0xff301fff,0x3fa0009f,0x3ffe20ff,0x7fff0002,0x004fff98,0x441fffd0,
    0xf0002fff,0xfff987ff,0xfffd0004,0xbffc4001,0x0000fff8,0x3e2fff10,
    0xfc8000ff,0x40ffe66f,0xfff16ffa,0x3ffe0005,0x007fff43,0x84fff980,
    0x0000fffe,0x7c49fff3,0xff0002ff,0x0fffe87f,0x9fff3000,0x0017ffc4,
    0x7f43fff8,0xf30000ff,0x7dc009ff,0x00fff65f,0xb2ffdc00,0xf90007ff,
    0x827fccdf,0xfff16ffa,0x3ffe0005,0x00bffea3,0xa8dffb00,0x40002fff,
    0x3fe26ffd,0xfff0002f,0x017ffd47,0x89bff600,0xf0002fff,0x7ffd47ff,
    0x7fec0002,0x8bffa006,0x00006ffb,0x7fdc5ffd,0x6ffc8006,0x7d413fea,
    0x05fff16f,0xb8fffe00,0xb80007ff,0x3fee1fff,0xffb80007,0x05fff11f,
    0xb8fffe00,0xb80007ff,0xfff11fff,0x3ffe0005,0x001ffee3,0x007ffee0,
    0xf883ffe6,0x4c0002ff,0x3fe20fff,0x7fe4002f,0x5417fea6,0x5fff16ff,
    0x8fffe000,0x80006ffc,0x3f23fffa,0xfa80006f,0x5fff13ff,0x8fffe000,
    0x80006ffc,0xff13fffa,0x3fe0005f,0x01bff23f,0x0fffea00,0x3613ff60,
    0x6c0005ff,0x5ffd84ff,0x737fe400,0x3fea0bff,0x005fff16,0xfe8fffe0,
    0xf880005f,0x17ffa4ff,0x3ffe2000,0x005fff14,0xfe8fffe0,0xf880005f,
    0x5fff14ff,0x8fffe000,0x80005ffe,0x4404fff8,0xffa81fff,0xff10000f,
    0x1fff503f,0x737fe400,0x3fea0dff,0x005fff16,0xff8fffe0,0xff00004f,
    0x027ffcbf,0x15fff800,0x20005fff,0x3ffe3fff,0xfff00004,0x00bffe2b,
    0xff1fffc0,0x3e00009f,0x7fdc05ff,0x00fffe06,0xf037fdc0,0x7e4007ff,
    0x41bff26f,0xfff16ffa,0x3ffe0005,0x007fff13,0x45bff600,0x00003fff,
    0x3fe2dffb,0xfff0002f,0x00fffe27,0x8b7fec00,0xf0002fff,0x3ffe27ff,
    0xffb00003,0x04ffe80d,0x4001fff2,0x3f204ffe,0x3ff2007f,0x541fff26,
    0x5fff16ff,0x4fffe000,0x0002fff8,0x3e2dffb0,0xb00002ff,0x3ffe2dff,
    0x7fff0002,0x000bffe2,0xf8b7fec0,0xff0002ff,0x0bffe27f,0x37fec000,
    0x401fff30,0x4002fff9,0x2600fff9,0xf9002fff,0x83ffecdf,0xfff16ffa,
    0x3ffe0005,0x007fff13,0x457ffa00,0x00003fff,0x3fe2bffd,0xfff0002f,
    0x00fffe27,0x8afff400,0xf0002fff,0x3ffe27ff,0xffd00003,0x037fe40b,
    0x2002fff4,0xfe806ffc,0xdff9005f,0x5407fff4,0x5fff16ff,0x8fffe000,
    0x00005fff,0x7ffc9fff,0xfff00005,0x00bffe29,0xff1fffc0,0x3e0000bf,
    0x5fff14ff,0x8fffe000,0x00005fff,0x7fc09fff,0xeeeeeeff,0x00ffffee,
    0x3bbfffe0,0xffeeeeee,0xffc800ff,0x203fffa6,0x3ffe6ffa,0xfff88003,
    0x001bffa3,0xe8fffe20,0x880006ff,0x3ffe3fff,0xfff88003,0x001bffa3,
    0xf8fffe20,0xf88003ff,0x1bffa3ff,0x3ffe2000,0xfffff503,0xffffffff,
    0x2a009fff,0xffffffff,0xffffffff,0x26ffc804,0xfa80fffe,0x00fffe6f,
    0xb8bffe20,0x40000fff,0x3ee1fffa,0x540000ff,0x3ffe1fff,0xfff88003,
    0x003ffee2,0x43fff500,0x88003fff,0x3fee2fff,0x7d40000f,0xfffb01ff,
    0xffffffff,0x00ffffff,0x3ffffff6,0xffffffff,0xffc807ff,0x203fffa6,
    0x3ffa6ffa,0xfff98004,0x013ffe21,0x88dffd00,0x40004fff,0x7ff46ffe,
    0xfff98004,0x013ffe21,0xe8dffd00,0xf98004ff,0x3ffe21ff,0x7ff40004,
    0x05fff106,0x017ffd40,0x800bffe2,0x6402fffa,0x3fffa6ff,0x326ffa80,
    0xfc8006ff,0x7fff40ff,0xfff70000,0x01fffd07,0x0fffee00,0x9000dff9,
    0xffe81fff,0xff70000f,0x06ffc87f,0x40fffc80,0x0000fffe,0x2e07fff7,
    0xfe8007ff,0x3ffdc05f,0x02fff400,0xffe9bff2,0x26ffa80f,0x2003fffa,
    0xf986fff8,0xf88005ff,0xff980eff,0xff88005f,0x7ffd40ef,0x3ffe2003,
    0x05fff986,0x0efff880,0x001fffd4,0xf30dfff1,0xf1000bff,0x3fa01dff,
    0xffc8004f,0x13ffa01f,0x07fff200,0x2626ffc8,0x4dff5019,0x002ffff8,
    0x3207fff9,0x5000efff,0x6403ffff,0x5000efff,0xf103ffff,0x32005fff,
    0xff903fff,0x3ea001df,0xff881fff,0xff9002ff,0x3fff207f,0xfff5000e,
    0x3ffe603f,0xfff88001,0x03fff304,0x09fff100,0x20037fe4,0x7fdc6ffa,
    0xfd301bff,0xffd80dff,0xf9100aff,0xfb009fff,0x22015fff,0x204ffffc,
    0x01bffffb,0x80dfffd3,0x00affffd,0x09ffff91,0x0dffffdc,0x06fffe98,
    0x057fffec,0x4ffffc88,0x001bff20,0xf907ffd8,0x7ec000df,0x9bff207f,
    0xff505ddb,0xfffffb0d,0xffffdbbf,0xff9003ff,0xfb9bdfff,0x007fffff,
    0x77ffffe4,0xfffffdcd,0xfffd803f,0xffeddfff,0xc801ffff,0xcdefffff,
    0x3ffffffd,0xfffffd80,0xffffeddf,0xffc801ff,0xfdcdefff,0x403fffff,
    0x20003fff,0xff82fffa,0x3ea0003f,0xdff902ff,0xaa8bffe4,0xf906ffca,
    0xffffffff,0x4001dfff,0xfffffffb,0x01efffff,0xfffffb80,0xefffffff,
    0x3fff2001,0xffffffff,0x3ee000ef,0xffffffff,0x2001efff,0xfffffffc,
    0x00efffff,0x3ffffee0,0xefffffff,0x07ffd401,0x1bffe000,0x0001fff5,
    0xf906fff8,0x9bffe4df,0x06ffffff,0x3fffff26,0x0002dfff,0x3fffffaa,
    0x80002dff,0xffffffea,0x930002df,0xffffffff,0x7540005b,0xdfffffff,
    0xff930002,0x5bffffff,0x7ff54000,0x02dfffff,0x000dffb0,0x6c3fff90,
    0xc80006ff,0xffc81fff,0x7cdbff26,0x006fffff,0x01355533,0x554c4000,
    0x1000001a,0x00035553,0x9aaa9980,0x26200000,0x00001aaa,0x04d554cc,
    0x55310000,0x00000035,0x00000000,0x33000000,0x00013333,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3ff20000,0x0000003f,0x001dfff1,0x07fff980,
    0xfffb0000,0xffb80005,0x7fcc004f,0x012e006f,0x03fffa20,0x3fffa000,
    0x665c0001,0x00333221,0x66400000,0x4333221c,0x13310998,0x03ffec00,
    0xffc80000,0xf500001f,0x800007ff,0x0004fff9,0x17ffffcc,0x01fffb00,
    0x20007f40,0x006ffffd,0x01fffd40,0x11fff400,0x20001fff,0x7f41cec8,
    0x4c7fff03,0xdff90fff,0x88013ff2,0x00003ffe,0x017ffc40,0x1ffee000,
    0xbffb0000,0xfff88000,0x9801fffb,0x64401fff,0x0ceffffe,0x7e77fdc0,
    0x3fa0004f,0xfd00004f,0x07ffc47f,0x7fffd400,0x00ffccff,0x7fcc7fff,
    0x32dff90f,0x7cc004ff,0x4000007f,0x00004ffb,0x0007ffb0,0x003ffe20,
    0x2abffb00,0x7ec00eff,0x7ffdc03f,0x2fffffff,0x3a3fff30,0xf98003ff,
    0x3a00006f,0x3ffe23ff,0xbefd8000,0x06fffffe,0xff98fffe,0x32dff90f,
    0xfa8004ff,0x2000003f,0x000006ff,0x800037f4,0x40001ffc,0x3f60fffb,
    0x17fe205f,0xfdffff50,0x85ffffdf,0x3e63fff8,0x7ec001ff,0x2200000f,
    0x00ccc099,0x710ffc40,0x4cc017fd,0xf90ccc09,0x013ff2df,0x00004c40,
    0x00013300,0x00198800,0x00013100,0x98813330,0x00662019,0x3a5dfff1,
    0x41fffd57,0x99881998,0x004cc000,0x00133300,0x30026660,0x4c400003,
    0x2dff9009,0x4c004ffc,0x00000099,0x80004ccc,0x99999999,0x99999999,
    0x4cccc099,0x99999999,0x40999999,0x99999999,0x99999999,0x04cc4099,
    0x3f47ffc8,0x4407fff3,0x33310099,0x99980001,0x00bffe21,0x331fffc0,
    0x26200013,0x06ffc809,0x3ff2dff9,0x3ffe6004,0x3000000f,0x8001ffff,
    0xfffffff8,0xffffffff,0x3fe26fff,0xffffffff,0xffffffff,0x3ffffe26,
    0xffffffff,0x646fffff,0x9ffd06ff,0x2fff47e8,0x2a0dff90,0x20006fff,
    0x3e24fffa,0xff0002ff,0x1bffe67f,0x41fff400,0xff906ffc,0x8013ff2d,
    0x003ffffc,0xffff9000,0xfff88007,0xffffffff,0x6fffffff,0x3fffffe2,
    0xffffffff,0x3e26ffff,0xffffffff,0xffffffff,0x837fe46f,0x23f41fff,
    0x3f202cda,0x3fff606f,0xfff88003,0x0bffe20e,0x99fffc00,0x8003ffff,
    0xffc83ffe,0x32dff906,0x3fe004ff,0x00006ffe,0x0dffdff0,0xeefff880,
    0xeeeeeeee,0x225eeeee,0xeeeeefff,0xeeeeeeee,0x3ffe25ee,0xeeeeeeee,
    0x5eeeeeee,0xff837fe4,0x8003f41f,0x3e206ffc,0x64000fff,0x7fc41fff,
    0xfff0002f,0x3ffffe67,0x1fff4001,0xfc837fe4,0x009ff96f,0x3ffaffea,
    0x7d400001,0x001ffebf,0x000bffe2,0x017ffc40,0x2fff8800,0x3ff20000,
    0xe89ffd06,0xdff90007,0x05fffa80,0x213ffea0,0x0002fff8,0x3fe67fff,
    0x74006fff,0x6ffc83ff,0x3f2dff90,0x3ffb004f,0x0000bff7,0xffb9ffd8,
    0x3ffe2005,0xff100002,0x2200005f,0x00002fff,0x7e41bff2,0x001fa0ff,
    0x6c037fe4,0xe8802fff,0xfff106ff,0x3ffe0005,0xffffff33,0x1fff4007,
    0xfc837fe4,0x009ff96f,0x3fe2fff1,0xf100000f,0x03ffe2ff,0x017ffc40,
    0x2fff8800,0xfff10000,0x7e400005,0xffff306f,0x64001fa7,0xff8806ff,
    0x7fe400ff,0x5fff101f,0x4fffe000,0xfffefff9,0x07ffd001,0x3f20dff9,
    0x009ff96f,0x7fecbff7,0xff700003,0x801ffecb,0x0002fff8,0x005fff10,
    0x0bffe200,0x6ffc8000,0x3bfffee0,0xff90007f,0x3ffea00d,0x0fffe605,
    0x002fff88,0x3e67fff0,0x06fff9ff,0xf907ffd0,0x5bff20df,0xfe804ffc,
    0x01bfee2f,0x717ff400,0x3e200dff,0x100002ff,0x00005fff,0x000bffe2,
    0x406ffc80,0xfffffffb,0xff9000bd,0x7ffec00d,0x06ffe882,0x0017ffc4,
    0xff33fff8,0x09fff71f,0xf907ffd0,0x5bff20df,0x7cc04ffc,0x3ffe20ff,
    0x7fcc0002,0x0bffe20f,0x00bffe20,0x17ffc400,0xfff88000,0x3f200002,
    0xffc9806f,0x02ffffff,0x2006ffc8,0x640ffff8,0x7c400fff,0xff0002ff,
    0x43ffe67f,0x7401fffd,0x6ffc83ff,0x3f2dff90,0x27fec04f,0x0002ffec,
    0x3f613ff6,0xfff8805f,0xff100002,0x2200005f,0x00002fff,0x5001bff2,
    0x9fffffff,0x006ffc80,0xf327ffd4,0xff1007ff,0x3fe0005f,0x21fff33f,
    0x7406fff8,0x6ffc83ff,0x3f2dff90,0x3ffe204f,0x00fffa81,0x03fff100,
    0x8801fff5,0x9999bfff,0x99999999,0x5fffc409,0x99999999,0x44099999,
    0x9999bfff,0x99999999,0x06ffc809,0xffc9fe80,0x3ff202ff,0xfffd8006,
    0x200bffd1,0x0002fff8,0x3fe67fff,0x13ffee0f,0xfc83ffe8,0x2dff906f,
    0x3ee04ffc,0x0fffe06f,0x037fdc00,0xf8807fff,0xffffffff,0xffffffff,
    0x7ffffc46,0xffffffff,0x7c46ffff,0xffffffff,0xffffffff,0x006ffc86,
    0x3ffa27e8,0x0dff900f,0x7dfff100,0x22001fff,0xf0002fff,0x3ffe67ff,
    0x80fffec0,0xffc83ffe,0x32dff906,0x3ffa04ff,0x01fff204,0x9027ff40,
    0xff880fff,0xffffffff,0x6fffffff,0x7fffffc4,0xffffffff,0x7fc46fff,
    0xffffffff,0x6fffffff,0x8006ffc8,0x17ffd47e,0x0006ffc8,0x5ffffff5,
    0x17ffc400,0x33fff800,0xff881fff,0x07ffd06f,0x3f20dff9,0x209ff96f,
    0x2600fff9,0x4c002fff,0x3e600fff,0x3fe202ff,0xffffffff,0x6fffffff,
    0x7fffffc4,0xffffffff,0x7fc46fff,0xffffffff,0x6fffffff,0x8006ffc8,
    0x03fff87e,0x4000dff9,0x005ffffd,0x0017ffc4,0xff33fff8,0x9fff701f,
    0xf907ffd0,0x5bff20df,0xff904ffc,0x0bffd00d,0x806ffc80,0x3e205ffe,
    0x100002ff,0x00005fff,0x000bffe2,0x986ffc80,0xd87e83db,0xdff904ff,
    0x7ffc4000,0x7fc4000f,0xfff0002f,0x403ffe67,0x7f41fffd,0x06ffc83f,
    0x3ff2dff9,0xddffff04,0xffdddddd,0x7fc001ff,0xeeeeeeff,0x00ffffee,
    0x0005fff1,0x00bffe20,0x17ffc400,0xdff90000,0xfd0dff70,0x3207ffb0,
    0x6c0006ff,0xff0005ff,0xff10007f,0x03ffe67f,0x3a37ffc4,0x6ffc83ff,
    0x3f2dff90,0xffffa84f,0xffffffff,0x5004ffff,0xffffffff,0xffffffff,
    0x0bffe209,0x7ffc4000,0xff100002,0x6400005f,0xfff886ff,0x7ffc3f40,
    0x00dff902,0x005ffd80,0x0007fff0,0x3e65fff1,0x3fee00ff,0x20fffa4f,
    0xff906ffc,0x3613ff2d,0xffffffff,0xffffffff,0xffffb007,0xffffffff,
    0x220fffff,0x00002fff,0x0005fff1,0x00bffe20,0x06ffc800,0x47e89ffd,
    0xf900fffb,0xfd8000df,0xffd0005f,0xfff30009,0x003ffe63,0x3fa3fffb,
    0x06ffc83f,0x3ff2dff9,0x017ffc44,0x805fff50,0x2002fff8,0xf882fffa,
    0x100002ff,0x00005fff,0x000bffe2,0x906ffc80,0x73f47fff,0x7e409fff,
    0x7ec0006f,0xff90005f,0xfff9000d,0x003ffe61,0x3fadfff1,0x06ffc83f,
    0x3ff2dff9,0x003ffdc4,0x2e02fff4,0xfe8007ff,0x2fff885f,0xfff10000,
    0x3e200005,0x200002ff,0xfb106ffc,0xd5fd5bff,0xfc80dfff,0x7ec0006f,
    0xff50005f,0x7fc4007f,0x03ffe66f,0x3b3ffee0,0x6ffc83ff,0x3f2dff90,
    0x027ff44f,0x00fffe40,0x90009ffd,0xff883fff,0xf100002f,0x200005ff,
    0x0002fff8,0xb01bff20,0xffffffff,0xfc801dff,0x7ec0006f,0xff10005f,
    0x3f2005ff,0x3ffe63ff,0xffffd000,0xdff907ff,0xfff30000,0xfff10003,
    0x07ffe609,0x13ffe200,0x0005fff1,0x00bffe20,0x17ffc400,0xdff90000,
    0xffffd700,0x32009fff,0x6c0006ff,0x2e0005ff,0x301bffff,0xf98dfffd,
    0xff1000ff,0xf907ffff,0x1332e0df,0x000dff90,0xfc83ffec,0x3f60006f,
    0x5fffc47f,0x99999999,0x09999999,0x3337fff1,0x33333333,0x3e213333,
    0x99999bff,0x99999999,0x1bff2099,0x1bffa880,0x037fe400,0x017ff600,
    0xfffffb00,0xffffdbbf,0xfff983ff,0x3ffee000,0x6ffc83ff,0xf80fff90,
    0x2a0003ff,0xfff82fff,0x3fea0003,0x3fffe22f,0xffffffff,0x3fffffff,
    0xfffffff1,0xffffffff,0x3e27ffff,0xffffffff,0xffffffff,0x1bff23ff,
    0x4001fa00,0x40006ffc,0x80005ffd,0xfffffffc,0x80efffff,0x4000fff9,
    0xc83ffffe,0xfff906ff,0x007ffd40,0x51bffe00,0x80001fff,0x3fe26fff,
    0xffffffff,0xffffffff,0xfffff13f,0xffffffff,0x27ffffff,0xfffffff8,
    0xffffffff,0x3f23ffff,0x07e8006f,0x00dff900,0x005ffd80,0xffff9300,
    0x405bffff,0x4000fff9,0xc83ffff8,0xfff906ff,0x0037fec0,0xb0fffe40,
    0x90000dff,0x3fe23fff,0xffffffff,0xffffffff,0xfffff13f,0xffffffff,
    0x27ffffff,0xfffffff8,0xffffffff,0x3f23ffff,0x06d8006f,0x00dff900,
    0x005ffd80,0xaaa99800,0xfff98009,0xfffb8000,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x66642ccb,0x99930000,0x0002cca8,0x00039b50,0x20ccc880,
    0x00003cca,0x2b3732a6,0x00000002,0x00000000,0x20001654,0x32a004ed,
    0x3baa0002,0x07754002,0x227fec00,0x50001fff,0x4ffd8fff,0xccfc8000,
    0x2600001f,0x3fee0fff,0xfea80006,0xffffffff,0x5100000b,0x01357997,
    0x7dc00be6,0x7e4000cf,0x3f20003f,0x7ff9001f,0x17fe2000,0x001bf600,
    0x3fe27fec,0xff50001f,0x004ffd8f,0x0b917c40,0x7ffcc000,0x001bfee0,
    0xfffffe98,0xffffffff,0x3f6a0002,0xffffffff,0x4037fcc3,0x004e9aeb,
    0x007fff91,0x200ffe60,0x003fffc8,0x0001ffb0,0x360009ff,0x0fffc4ff,
    0x47ffa800,0x40004ffd,0x001ea0f9,0x20fff980,0x50006ffb,0x59bfffff,
    0xfffff953,0xffd88009,0xffffffff,0xffe8aeff,0x3e63e800,0x7fffe400,
    0xff88003f,0xffffc805,0xffb8003f,0x1ff98002,0x81331000,0x22000199,
    0x04cc4199,0x9b1f4000,0x19980000,0x40004cc4,0x00dffff9,0x027fffd4,
    0xdfffff98,0xffecb9ac,0x001fffff,0x1007c45f,0x07ff39ff,0x801ffb00,
    0x3ff9cff8,0x027fcc00,0x0007fc80,0x2bcdca98,0x4ccccc00,0x99999999,
    0x00099999,0x01ffefb8,0x26660000,0x3fa20000,0x3a2002ff,0x7c401fff,
    0x5c00dfff,0x002fffff,0x017627b2,0x01ffc191,0x200bfea0,0x00ffe0c8,
    0x4000dfd0,0xd30005fe,0xffffffff,0xff88019f,0xffffffff,0xffffffff,
    0xfff98006,0x3000000f,0x0001ffff,0x000bfff2,0xd01bffe2,0x44007fff,
    0x2002ffff,0x001dffd8,0x22003ff8,0x3e0004ff,0x3ff2003f,0x7ff10001,
    0xffff7000,0xffffffff,0x7ffc407f,0xffffffff,0x6fffffff,0xffffc800,
    0xf9000003,0x10007fff,0x4000dfff,0xf702fffb,0xfc8007ff,0x88006fff,
    0x0ffe0001,0x0006fe80,0xf9801ffc,0x3ea0003f,0x3fa6000f,0xa9acefff,
    0x05ffffec,0xddddfff1,0xdddddddd,0xf000bddd,0x000dffdf,0x3ffbfe00,
    0xfffb8006,0x7ffc0001,0x00dfff05,0xfffdffb8,0x2aaa2002,0x03ff8001,
    0x0003ff70,0xe8803ff8,0x7e40005f,0x3ffe2006,0x7f5400ef,0xfff885ff,
    0x20000002,0x1ffebffa,0x7fd40000,0x4001ffeb,0x80005ffd,0x7d40fffd,
    0x3ea002ff,0x80dffd5f,0xffffffea,0x7ff001ef,0x007ff300,0xb007ff00,
    0xf80001ff,0x3ff2004f,0x3f62003f,0x7ffc43ff,0x20000002,0x5ffb9ffd,
    0x7fec0000,0x4005ffb9,0x80004fff,0x7e42fffb,0x3fe6006f,0x207ffee6,
    0xffffffd8,0x803fffff,0x7f4403ff,0x7ff00006,0x002ffa80,0x8017fcc0,
    0x0004fff9,0x7c41fffd,0x000002ff,0x3e2fff10,0x100000ff,0x3ffe2fff,
    0x7fff1000,0xfff50000,0x005fff87,0x7c41dff3,0xfffe82ff,0xffda99ac,
    0x1ffc00ff,0x0003ff60,0xf101ffc0,0xf70000bf,0x3ffa001f,0xff30000f,
    0x17ffc49f,0xfb800000,0x00fff65f,0xb2ffdc00,0x3e6007ff,0x880002ff,
    0x7ffc4fff,0x0ffe8804,0x7cc3fff8,0x3fe602ff,0x01ffc03f,0x00005ff5,
    0xdfd01ffc,0xbfb00001,0x0bffea00,0x4dffb000,0x0002fff8,0x45ffd000,
    0x00006ffb,0x7fdc5ffd,0x3fff5006,0x3ffe0000,0x00fffe24,0x3a03ffd1,
    0x2ffec4ff,0x202ffe40,0xbff102ee,0x2ee80000,0x0003ff70,0x2007ff10,
    0x80007ffb,0xff11fffb,0x0000005f,0x7c41fff3,0x4c0002ff,0x3fe20fff,
    0xfffa802f,0xfff00001,0x017ffcc9,0xfe807ff6,0x00ee5c5f,0x0002ffdc,
    0xf5003bf6,0xf980003f,0xeeec984f,0x07fea02d,0x0037fe40,0x89fffd40,
    0x00002fff,0xd84ffd80,0x6c0005ff,0x5ffd84ff,0x02fff980,0x2fff8800,
    0xd80bffe6,0x7ff402ff,0x7fd40005,0x3fee0006,0x0fffcc01,0x0dfd1000,
    0xfffffff3,0x801ff20b,0x80005ffe,0xff14fff8,0x3333337f,0x13333333,
    0x07ffe200,0x0003ffea,0x540fffc4,0x7c400fff,0x980003ff,0x3fe21fff,
    0x07ff903f,0x8009fff0,0x6fffeba9,0x09ff3000,0x01fffe88,0x203ff200,
    0xfeb9befe,0x005fe81f,0x00013ffe,0xff8afffc,0xffffffff,0x6fffffff,
    0x40dff700,0x70003fff,0x7ffc0dff,0x04fff803,0x0fffb800,0x7dc27ffc,
    0xfff8804f,0x3ff72604,0x6fffffff,0x00dfd000,0x003ffffd,0x2e0ffea0,
    0x2ffcc2ff,0x4400bfe2,0x00003fff,0x3fe2dffb,0xffffffff,0x6fffffff,
    0x409ffd00,0xd0007ffc,0x7fe409ff,0x06ffd807,0x87ffc800,0x7fd45ffe,
    0x7fff3005,0xfffffd30,0xdffbbfff,0x01ff9000,0x1ffdffd8,0x05ff8800,
    0x13fe2062,0x22001ff7,0x00002fff,0x3fe2dffb,0xffffffff,0x6fffffff,
    0x00fff980,0x000bffe6,0x4c01fff3,0x7d402fff,0x100802ff,0xff90bfff,
    0x01bfe61f,0x4c0fffb8,0xbcefffff,0x00dff709,0x6403ffa8,0x01ffabff,
    0x000ffd80,0x7ec1ffb8,0x3ffe2006,0xffd00003,0x00bffe2b,0x6ffc8000,
    0x005ffe80,0x74037fe4,0xfff805ff,0x205fc407,0xf981fffd,0x0eff9bff,
    0x8bfff100,0x00affff8,0x8801bff2,0x7fd405ff,0x8003ff54,0xb8001ffb,
    0x04ff86ff,0x002fffc0,0xf14fff80,0x000005ff,0x7777fffc,0xfffeeeee,
    0x3ffe000f,0xeeeeeeef,0x400ffffe,0x2e04fffb,0xffb8bfff,0x3bffa03f,
    0x32000ffe,0x7fcc2fff,0x6ffd801f,0x803ff600,0x3fea5ff9,0x13fe6001,
    0x1dffb100,0x4001ff98,0x80006ffe,0xff13fff8,0x2000005f,0xfffffffa,
    0xffffffff,0xfff5004f,0xffffffff,0x009fffff,0x501bfffb,0xfffffffd,
    0xffff980d,0x3fe6001f,0x06ffb86f,0x200dffd0,0x3e202ffb,0xffb999ef,
    0x0dfd001a,0x04ffe980,0xf7000ff9,0xa80001ff,0xfff11fff,0x36000005,
    0xffffffff,0xffffffff,0xffffb007,0xffffffff,0x100fffff,0x205dfffd,
    0x1fffffe9,0x0dfffc80,0x3ffff500,0x801fff90,0x9806fffc,0x7fcc04ff,
    0xffffffff,0x01ffc807,0x80bffea0,0xf88005fe,0x740004ff,0x3ffe26ff,
    0xf8800002,0x3ea002ff,0x7fc402ff,0x3fea002f,0xffe8802f,0xfdccefff,
    0x02ffffff,0x2fffffd8,0x3ffff620,0x07fff503,0x03ffffdc,0x74c037f4,
    0xffeeeeee,0x1ffd406e,0x03dff500,0x8001ffc4,0x0000fffe,0x7c47fff7,
    0x800002ff,0xe8007ffb,0x7fdc05ff,0x5ffe8007,0x3ffff200,0xffffffff,
    0x901effff,0xfffffdff,0xffffb99d,0x7f4405ff,0xeba9bdff,0x407ffeff,
    0x40001ffc,0x7c401ffa,0x3fe6005f,0x4cccccdf,0x20001ff5,0x8005fff9,
    0x220efff8,0x00002fff,0x8004ffe8,0x3a01fffc,0xfc8004ff,0x2e2001ff,
    0xffffffff,0xbfffd51c,0xff53ffc8,0xffffffff,0xf3001dff,0xffffffff,
    0x407ffe7f,0x80003ff9,0x7ec01ffa,0x3ff6000f,0x7fffffff,0xc8000dfb,
    0x5000efff,0xf883ffff,0x400002ff,0x8001fff9,0xf304fff8,0xf10003ff,
    0x220009ff,0x2e019aa9,0x13fe66ff,0x3fffffae,0x44001dff,0xdffffffd,
    0x2213ff20,0x300005ff,0x7fdc0199,0x66664002,0x54cccccc,0xfb000035,
    0x22015fff,0x884ffffc,0x9999bfff,0x99999999,0x7fe40999,0x3ff60006,
    0x00dff907,0x003ffec0,0x85910000,0xaaa8805a,0xa9880001,0x0000000a,
    0x00000000,0x00000000,0x77ffffe4,0xfffffdcd,0xffff103f,0xffffffff,
    0x7fffffff,0x0003fff8,0x3e0bffea,0x2a0003ff,0x00002fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ffdc000,0xffffffff,0x3fe201ef,
    0xffffffff,0xffffffff,0x03ffea3f,0x8dfff000,0x0000fffa,0x00037ffc,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfea80000,0x2dffffff,
    0xfffff880,0xffffffff,0x23ffffff,0x80006ffd,0x3f61fffc,0xfc80006f,
    0x000001ff,0x00000000,0x00000000,0x00000000,0x00000000,0x2aa62000,
    0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xb9800000,0x6c0001ac,0x3555004e,
    0x00055544,0x002b32e6,0x01aaa980,0x2aaa2000,0x2aaa8001,0x15554000,
    0x20aaa800,0x53002aa8,0x20000355,0x0002aaa8,0x3ba60bd9,0x026a6001,
    0x5c013310,0x05ffffff,0x003ff900,0xff98fffa,0xffd8800f,0x00cfffff,
    0x06fff980,0x3fff6000,0x7ffd4001,0xff50003f,0xff0007ff,0x07ffcc7f,
    0x07fff440,0x7ffec000,0x0dfd0001,0xb9803fee,0x1dfffffd,0x2609ff90,
    0xffebbeff,0x1ffd4002,0x4c7ffd00,0x74400fff,0xffffffff,0xff50005f,
    0xf300003f,0xf98005ff,0x001ffeff,0x7ff7ffc4,0x1fffc001,0x2001fff3,
    0x0003fff8,0x001fffc4,0xfb04ff88,0x7fffdc0f,0x83ffffff,0xdfb04ffc,
    0x2005ff88,0x74005ff8,0x3ffe63ff,0x3fffa200,0x7fff951c,0x17fee000,
    0x13ff6000,0x37ffd100,0x74001fff,0x0fff9bff,0x98fffe00,0x26000fff,
    0x20000fff,0x20005ffc,0xbff02ff9,0x2ffffee0,0x2ffffc9a,0x11027fe4,
    0x2004ff88,0x44000ffd,0x00ccc099,0xfd81fff2,0x3f60006f,0x3e20001f,
    0xffd8006f,0x401bff26,0x3ff26ffc,0x02666006,0xf7000333,0x3e20007f,
    0x7dc0006f,0x84ff881f,0xd00dfff8,0x1aa98fff,0x3ffd7100,0x00bfee00,
    0x7f400000,0x1ffe603f,0x00599000,0x00066540,0x99073326,0xccc88039,
    0x00166641,0x65c00000,0x19930003,0x07fc8000,0xff905ff5,0x2fff980f,
    0x77fec000,0x09ff1000,0x22000000,0x3e601fff,0x0000006f,0x00000000,
    0x00000000,0x00000000,0xfd000000,0x203fee0d,0xed803ffd,0x76c0002d,
    0xfe801eff,0x55300006,0x3ffe2003,0x013ff200,0x00d55440,0x03555100,
    0x0d554400,0x03553000,0x35551000,0x80000000,0x20001aa9,0xffb04ff8,
    0x0003ffe0,0x7ec40000,0x00ffe407,0xffffb100,0x7cc03dff,0x3ffe207f,
    0x3ffaa000,0x01efffff,0xfffffea8,0xea801eff,0xefffffff,0xfffd8801,
    0x2001efff,0xffffffea,0x4ffc81ef,0x105ffb80,0xdffffffb,0x7fffe403,
    0xffffffff,0x17ffffff,0xc8000fff,0xfa8004ff,0x07ff302f,0x7fffdc00,
    0x04ffffff,0x7e40fff3,0xffb1004f,0xffffffff,0x3ff6207f,0xffffffff,
    0xfffb103f,0xffffffff,0x7fffdc07,0x04ffffff,0x7ffffec4,0x43ffffff,
    0xfb804ffc,0xffffb85f,0x04ffffff,0xfffffff9,0xffffffff,0x3feaffff,
    0x7fe40006,0xc83ed884,0x6fe883ff,0x3ffea000,0xffeb9abe,0x07ff985f,
    0x2001fff1,0x99acfffe,0x80ffffda,0x99acfffe,0x80ffffda,0x99acfffe,
    0x80ffffda,0x9abefffa,0x205fffeb,0x99acfffe,0x20ffffda,0xfb804ffc,
    0x77ffd45f,0xfffeb9ab,0xecccca85,0xdcccccff,0xf74ccdff,0xfc8000bf,
    0x15ffb04f,0xb03fff71,0x220001ff,0xf900dfff,0x7ff985ff,0x2009ff90,
    0x2602fff9,0x7fcc3fff,0x3ffe602f,0x017ffcc3,0xf887fff3,0xff900dff,
    0x5fff305f,0x91fffcc0,0xff7009ff,0x06fffc4b,0x802fffc8,0x1ff905fe,
    0x000dff70,0xf104ffc8,0x7fffffff,0x0005ff50,0x64037fec,0x3fe60fff,
    0x005ffd07,0x32017ff6,0x2ffec5ff,0x362ffe40,0xffc805ff,0x4037fec5,
    0x7ec0fffc,0x5ffc805f,0x2e013ff2,0x1bff65ff,0x803fff20,0xffb04ff8,
    0x001ffe60,0x4c09ff90,0x82effffd,0x20005ff8,0x8802fff8,0x3fe63fff,
    0x009ffd07,0x2e00772e,0x0ee5c5ff,0x2e2ffdc0,0xffb801dc,0x00bffe25,
    0x970fffe2,0xbff7003b,0x5c027fe4,0x5fff15ff,0x07fff100,0xff817fcc,
    0x01fff105,0x7e49bd30,0x8011004f,0x7d400efe,0x037fcc1f,0x7cc9ff90,
    0x5fff907f,0xff500000,0xffa8000d,0x7fd40006,0x801bfe66,0x40004ffc,
    0x3ff26ffa,0x35ffb804,0x7e400dff,0x03fee04f,0xff80ffe2,0x4ffc803f,
    0x00013ff2,0x2600ffdc,0x7fdc1fff,0x97fee005,0xff107ff9,0x40001bff,
    0x6fffeba9,0x7f5d4c00,0x54c006ff,0x2e6fffeb,0x3ee005ff,0x5d4c005f,
    0x3f26fffe,0x5ffb804f,0x5c00bff7,0x1ff605ff,0xf900ffd4,0xffe880df,
    0x0013ff22,0x1013fe60,0xfc83fffd,0x3fea004f,0x881ffe67,0x801efffe,
    0xfffffdc9,0x2606ffff,0xffffffdc,0x32606fff,0xfffffffd,0x13ff26ff,
    0x207ffa80,0xfffffdc9,0x3f26ffff,0x5ffb804f,0x54009ff9,0x17fa07ff,
    0xf1007fe4,0xfb101bff,0x04ffc8df,0x806fe800,0x6c1ffffe,0x3e6004ff,
    0x01ffe67f,0x05ffffb1,0x3fffffa6,0x6ffddfff,0xfffffe98,0x6ffddfff,
    0xfffffe98,0x6ffddfff,0x98013ff6,0xffe987ff,0xddffffff,0x13ff26ff,
    0x7ed7fee0,0x3fe6004f,0x3ffbbae7,0xffeeeeef,0x545eeeef,0xdaabefff,
    0x7e41ffff,0x7e40004f,0x6ffec00f,0x27fe41ff,0x4cfff500,0xff7007ff,
    0xfff983ff,0x709bceff,0xfff98dff,0x709bceff,0xfff98dff,0x709bceff,
    0x27fe4dff,0x98fff500,0xbcefffff,0x64dff709,0xffb804ff,0x4009ff95,
    0x3ff27ffa,0xffffffff,0xffffffff,0xfffffa87,0xc82fffff,0x2a0004ff,
    0x7fe403ff,0x7dc1ffaa,0x3fee005f,0x801ffe66,0x3e24ffe9,0x3200afff,
    0x3ffe26ff,0x3ff200af,0x2bfffe26,0xb9bff200,0x3ee005ff,0x3fffe26f,
    0x9bff200a,0xfc804ffc,0x00bff75f,0xdd737fdc,0xdddddfff,0xdddddffd,
    0x3fff620b,0xf900cfff,0x3e20009f,0xa7fdc05f,0x7fd41ffa,0x97ff2006,
    0x54007ff9,0x3ffe67ff,0x26ffd801,0xd801fff9,0x3ffe66ff,0x26ffd801,
    0x32006ffa,0x3ffe65ff,0x26ffd801,0xfd804ffc,0x00dff55f,0xfd82ffe4,
    0x003ff507,0x0037ff10,0x20009ff9,0x3e600ffd,0x307fea5f,0xf1005fff,
    0x3ffcc7ff,0x47ffe200,0xfd006ffb,0x037fdcdf,0x3ee6ffe8,0xdffd006f,
    0x4017ffcc,0x3ee3fff8,0xdffd006f,0x7c02ffdc,0x5fff35ff,0x07fff100,
    0x7fe417fe,0xdffa8000,0x04ffc801,0x202ffb80,0xb999eff8,0x7fec1aff,
    0x0fffc806,0x7d71ffe6,0xfc9ffea0,0x7fe400ff,0x03fff26f,0x64dfff90,
    0x7e400fff,0x37fec6ff,0x907ffe40,0xfc801fff,0x3ffee6ff,0x97ffee00,
    0xfc806ffd,0x4ff880ff,0x2000dfd0,0x404ffdb9,0x4c004ffc,0x7fcc04ff,
    0xffffffff,0x06fffc47,0x4c3fffc8,0x3ffee7ff,0x2a6ffe81,0x3ee03fff,
    0x3fea7fff,0x3ffee03f,0x0fffea7f,0x47ffffb8,0x900dfff8,0xffa87fff,
    0x3ffee03f,0x17ffe27f,0x12ffffd4,0x3201bfff,0xff503fff,0x0017fe05,
    0xf901ffe0,0x6fe8009f,0xeeeee980,0xb86effee,0xb9acefff,0xf983fffe,
    0x67ffe47f,0x21ffffb9,0x9bdfffe8,0xffeffeba,0x37fffa27,0xeffeba9b,
    0x3ffa27ff,0xfeba9bdf,0xfb87ffef,0xeb9aceff,0xfe883fff,0xeba9bdff,
    0x6c7ffeff,0xecacffff,0x5c5ffcff,0xb9acefff,0x2e03fffe,0x3ff980ff,
    0xfc988400,0x27fe405f,0x003ff900,0x201ffa80,0xfffffffa,0xff303fff,
    0xfffffd0f,0xff307fff,0xffffffff,0xf987ffe7,0xffffffff,0x4c3fff3f,
    0xffffffff,0x03fff3ff,0xfffffff5,0x7cc07fff,0xffffffff,0x443fff3f,
    0xfffffffe,0xa85ff8bf,0xffffffff,0x3fec03ff,0x4001ffa8,0x1ffffffb,
    0x8027fe40,0x80003ffa,0x6c401ffa,0x1cefffff,0x221ffe60,0x1effffdb,
    0x3ffff620,0x3ff20dff,0x7fffec44,0x3ff20dff,0x7fffec44,0x3ff20dff,
    0xffffb104,0xb10039df,0x1bffffff,0x7e427fe4,0xf12effff,0x3ff620bf,
    0x801cefff,0x1ff905ff,0xffffb800,0x4ffc802e,0x005ff880,0x00199300,
    0x00005544,0x00055440,0x00015531,0x000554c4,0x00155310,0x002aa200,
    0x00554c40,0x0006a200,0x0002aa20,0x0aa60355,0x00009800,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01555440,0x2aaa2000,0x2aaa8002,
    0x20aaa800,0x00002aa8,0x2aaa8800,0x554c0000,0x2aaa001a,0x332e6002,
    0x03ed8002,0x2f32a200,0x99980002,0xaaa80100,0x360aaa20,0xfb00003e,
    0x400003ff,0x4001fffd,0x003ffffa,0xff31fff4,0xffb8001f,0xffc8000f,
    0x3a00002f,0xf7000eff,0xf9005fff,0x001dffff,0x40003fee,0xeffffffb,
    0x3fee0001,0xf01baa2f,0x7ffcc5ff,0x0003fe40,0x000bffd0,0x00fffe20,
    0xffdfff10,0x1fff4003,0x8001fff3,0x0000fffb,0x0000dffd,0x4007ffea,
    0x1ffefff9,0x3b7ffee0,0xff8807ff,0xfff90004,0x03ffffff,0x67ffd400,
    0x3e00effe,0x3ffe62ff,0x000ffd40,0x01fff880,0x04ffc800,0xf9bffe80,
    0xffd000ff,0x007ffcc7,0x003ffee0,0x00fffc40,0x01fff400,0xf9bffe88,
    0xeff880ff,0x700ffee0,0xf50001ff,0xfd7139ff,0xf98000df,0xf802efff,
    0x3ffe62ff,0x001ffc40,0x00bff300,0x006ff880,0x3f26ffd8,0x1331006f,
    0xa8001998,0x20000ccc,0x40005ff9,0x36004ffa,0x1bff26ff,0x3fa0bfee,
    0x013fe207,0x542ffec0,0x88001fff,0x03fffffb,0x99813330,0x000bfd01,
    0x000cca80,0x000332a0,0xcc839991,0x0000002c,0x2a000000,0x2e0000cc,
    0x3326004c,0x0733220c,0xff901ff9,0x003ff201,0xf817ffc0,0x7e4002ff,
    0x1fffadff,0x7dc00000,0x00000007,0x00000000,0x00000000,0x00000000,
    0x00000000,0xff707fd8,0x009ff103,0xf817ffc0,0x7ec001ff,0x03ffea1c,
    0xff980000,0x55100002,0xaa880003,0x55440001,0x55440001,0x66440001,
    0x554c0004,0x00000001,0x83ff4000,0xffc82ffb,0x3ff60000,0x006ff985,
    0xbff90088,0xff800000,0x3f220004,0x01efffff,0xfffff910,0x322003df,
    0x1effffff,0xffff9100,0x30003dff,0xb1000dff,0x3dffffff,0x4027fe40,
    0x9ff95ffb,0x36bff700,0x83ff907f,0x40003ff8,0x7f43fffb,0xd970004f,
    0x3fff5bdf,0xb804ffc8,0x037ec5ff,0xffffe980,0x403fffff,0xffffffe9,
    0x74c03fff,0xffffffff,0x7ff4c03f,0x3fffffff,0x02ffd400,0x3ffffee0,
    0x904fffff,0xff7009ff,0x2013ff2b,0x1ff95ffb,0xff90ffb0,0xff880001,
    0xeffe99ff,0x7ff44000,0xffffffff,0x4027fe46,0x7fdc5ffb,0x7ffd4000,
    0xffdb9abf,0xffff504f,0xfffb7357,0x3fffea09,0xfffdb9ab,0x7ffff504,
    0x9fffb735,0x027fe400,0x57dfff50,0x0bfffd73,0xf7009ff9,0x013ff2bf,
    0x7fcd7fee,0x222ffc44,0x300003ff,0xbfffffff,0xfff98001,0xfffdbbdf,
    0x13ff22ff,0xf117fee0,0xffe8007f,0x3fff700d,0x201bffd0,0xfe81fffb,
    0xfff700df,0x01bffd03,0x2007ffee,0x1002fff8,0x3201bfff,0x7fe42fff,
    0x95ffb804,0xff7009ff,0x5ceffecb,0x3fe41fff,0x3fee0000,0xd0003fff,
    0xfd303dff,0x27fe4bff,0x742ffdc0,0x3fee005f,0x37fdc00e,0x7003bfee,
    0xeffb8dff,0x237fdc00,0x5c00effb,0x7f4406ff,0x3ff6006f,0x0fffc806,
    0x2e013ff2,0x09ff95ff,0x74cbff70,0x43ffffff,0x00003ff9,0x17ffffa6,
    0x07ffdc00,0x643fffa0,0xffb804ff,0x2007fc85,0xff002fff,0x017ffc3f,
    0x3fe1fff8,0x3fff002f,0xf8017ffc,0xffd101ff,0x3fe2003f,0xfff8802f,
    0x2013ff23,0x9ff95ffb,0x88bff700,0xd81dfffc,0xb100007f,0x7fffffff,
    0x3fff8800,0x92fffa80,0xff7009ff,0x003ff50b,0x2001fff3,0xfff33ffd,
    0x4fff6001,0xb000fff9,0x3ffe67ff,0x07ffb000,0x005fffd1,0x90037fcc,
    0x27fe49ff,0xfcaffdc0,0x5ffb804f,0x3ff98020,0x00cdedb8,0x277fffa2,
    0x0441ffff,0x000fff98,0x3ff29ffd,0x05ffb804,0xff5007ff,0x5555555f,
    0x29ffb555,0xaaaafffa,0xfdaaaaaa,0x55fff54f,0x55555555,0x3fea9ffb,
    0xaaaaaaaf,0x44ffdaaa,0x002fffe8,0x7002ffdc,0x27fe4bff,0xfcaffdc0,
    0x5ffb804f,0x88dfb000,0x1ffffffd,0x545fffd0,0x3f60ffff,0x037fd43f,
    0x3f2bffb0,0x5ffb804f,0xf700dfb0,0xffffffff,0xbfffffff,0x3fffffee,
    0xffffffff,0xffff75ff,0xffffffff,0x3eebffff,0xffffffff,0x5fffffff,
    0x0017ffec,0x50027fe4,0x27fe4fff,0xfcaffdc0,0x5ffb804f,0x42ff9800,
    0xffdbeffc,0x17ffdc0f,0xf8b7ffdc,0x2ffdc2ff,0x32dff700,0xffb804ff,
    0x801ff705,0xfffffffc,0xffffffff,0xfffff96f,0xffffffff,0x3ff2dfff,
    0xffffffff,0x96ffffff,0xffffffff,0xffffffff,0x01fffd4d,0x004ffd80,
    0xffc9ffe6,0x95ffb804,0xff7009ff,0x8dfb000b,0x7fcc5ff8,0xb02fffc4,
    0xfff79fff,0x4009ff90,0x9ff96ffb,0x20bff700,0x7dc02ff9,0xaaaaaaef,
    0x2aaaaaaa,0x5555dff7,0x55555555,0x2bbfee55,0xaaaaaaaa,0xff72aaaa,
    0x5555555d,0x45555555,0x20004ffc,0x2a004ffc,0x13ff27ff,0x7e57fee0,
    0x5ffb804f,0x217fcc00,0x7fd81ffb,0xd00bffe6,0x09ffffff,0x5c00bff9,
    0x09ff96ff,0x7c0bff70,0x37fd404f,0x1bfea000,0x0dff5000,0x06ffa800,
    0x02ffe800,0x5ffb8310,0xc9bfee00,0xffc804ff,0x9009ff95,0xfe800bff,
    0xc80ffd86,0x1fff50ff,0xfffff880,0x06ffb80f,0x7e53ff20,0x5ffc804f,
    0xf301ff20,0x4c0001ff,0x20000fff,0x0000fff9,0x0003ffe6,0x001fff88,
    0x3fea9ffb,0x97ff2006,0xfd804ffc,0x009ff95f,0x5400bffb,0x07fe82ff,
    0x3fe63ff7,0xfff9802f,0x0fff505f,0xfc9fff40,0x5ffd804f,0x8807fea0,
    0xe8803fff,0x7fff13ef,0x27dfd100,0x8803fff8,0xfff13efe,0x7dfd1007,
    0xf8017ffc,0x5fff32ff,0x47fff100,0xff805ffb,0x00bff75f,0x7400bfff,
    0x20ffb06f,0xfff11ffb,0x3fffa00b,0x2fff880e,0x72fff980,0xfff00bff,
    0x01ffc40b,0x9003fff2,0x7fe43fff,0x7ffe400f,0x003fff21,0x7e43fff9,
    0x7fe400ff,0x017ff61f,0xfd83ffee,0xfffc806f,0x803ffee0,0xff75fffb,
    0x7ffdc01f,0x05ff5005,0x7fe41ff6,0x003fffa0,0x1dfffffb,0xb00dffb0,
    0x7ffdcdff,0x17ffee00,0xf880bfd0,0xff500eff,0xefff88df,0x8dfff500,
    0x500efff8,0xff88dfff,0xfff500ef,0x04fffa8d,0xf117ffe6,0x3f201bff,
    0x7ffc43ff,0xbffff505,0x5417ffe2,0xd005ffff,0x0ffdc0df,0x3fe63fec,
    0xffd880ef,0x40efffff,0x900dfff9,0x7fc43fff,0xffff505f,0x00ffb80b,
    0x567fffd4,0x0ffffeb9,0xacffffa8,0x0ffffeb9,0xacffffa8,0x0ffffeb9,
    0xacffffa8,0x0ffffeb9,0x09efffd8,0x01dfff73,0x359dfff7,0x207fffd7,
    0xcacffffd,0x25ffcffe,0xcacffffd,0x05ffcffe,0x2602ffa8,0x27fcc5ff,
    0x5effffe4,0x8cffffec,0x540efffe,0xb99befff,0xfd84fffe,0xfecacfff,
    0x4c05ffcf,0xffa802ff,0xffffffff,0x3ffea01f,0xffffffff,0x3fffea01,
    0x1fffffff,0x3ffffea0,0x01ffffff,0xffffffd1,0x403fffff,0xfffffffa,
    0x3a203fff,0xffffffff,0x3a25ff8b,0xffffffff,0xe805ff8b,0xeffc806f,
    0x700fffca,0xffffffff,0xfffd85ff,0xfffff981,0x103fffff,0xfffffffd,
    0x00bff17f,0x322009ff,0x3fffffff,0xffff9100,0x22007fff,0xfffffffc,
    0xfff91003,0x2007ffff,0xfffffffa,0xfd8800cf,0x01ceffff,0xdfffff90,
    0x3217fe25,0x12efffff,0xffb80bff,0xfffd8801,0x6cc02fff,0x1defffff,
    0x6c405fb0,0x1dfffffe,0xfffffc80,0x00bff12e,0x31000dfb,0x44000135,
    0x200009a9,0x00009a98,0x00026a62,0x2af32a62,0x15510000,0x00d44000,
    0x00035100,0x5c005fe8,0x4000cefd,0x05000aa9,0x000d5440,0x80001a88,
    0x000002a9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x88000000,0x00000099,0x44006620,0x00000099,
    0x20026660,0x01accb98,0x001a9800,0x66e54c00,0xa800002b,0x00abccca,
    0x99550000,0x00001379,0x800026a2,0x00000a98,0x7c57fee0,0x3fff007f,
    0x7ffffdc0,0x13ff204e,0xff800000,0x3ffaa03f,0x2effffff,0x3fff6200,
    0x30003dff,0xfffffffd,0x400019ff,0xffffffc9,0x0001cfff,0xfffffc98,
    0x004fffff,0xffffed98,0x3ff2003f,0x000cffff,0x8affdc00,0xfff007ff,
    0xffffd103,0x901dffff,0x000009ff,0xc81fffc0,0xffffffff,0xb804ffff,
    0xffffffff,0x7fdc005f,0xffffffff,0xc8003fff,0xccceffff,0x00dffffe,
    0xfffff900,0xffffffff,0x3fea003d,0xefffffff,0x3fffa600,0x02ffffff,
    0x57fee000,0xff007ff8,0x9fffd03f,0x1dfffb57,0x0004ffc8,0x0fffe000,
    0x2f3ffff6,0xffffcbaa,0xffff500d,0xbfffd75b,0xfffe9801,0xeca9acef,
    0x3005ffff,0xa805dffd,0x2001fffd,0xdeffffd8,0xffedbaac,0x7fe403ff,
    0xffdbacff,0xffff105f,0xffffd77d,0x3ee00003,0x00fff15f,0xff707ffe,
    0x9fff303f,0x0004ffc8,0x0fffe000,0x4017fff5,0x884fffc8,0xf980dfff,
    0x3fe204ff,0x75400eff,0x7cc05fff,0x74c002ff,0xffd002ff,0xff7005ff,
    0x3fe603ff,0x7fff704f,0x303fffb0,0x0000dffd,0x7fc57fee,0x43fff007,
    0x2602fff8,0x3ff20fff,0x20000004,0x7fec3fff,0x1fff6004,0xc803bfee,
    0x3ff206ff,0x3f62003f,0xdfd103ff,0x3f620001,0x7ffdc00f,0x3fa6000d,
    0x0dffb04f,0x7c45ffd8,0x3fea04ff,0xfb80002f,0x00fff15f,0xffb87ffe,
    0x23ffe807,0x00004ffc,0xf0fffe00,0x7c4001ff,0x1fff41ff,0x203ffe60,
    0x0004fff9,0xfb01fffd,0x2666621f,0x37f40199,0x00bfff30,0x103ffea0,
    0xfa801fff,0x3ffe60ff,0x01fffc00,0xffb81530,0x200fff15,0x3ff61fff,
    0x26ffb804,0x55444ffc,0x7fc00000,0x03ffe63f,0xc89ffd00,0xfff801ed,
    0x00fffe82,0x89fff300,0x3fea2ffa,0x0dffffff,0xfb03ff98,0x740001ff,
    0x1ffe44ff,0x7d419a80,0x4ffd807f,0x7fffe540,0x22bff74f,0xfff007ff,
    0x4017ffc3,0xff90fff8,0x3ffffee9,0xff00003e,0x1fffc47f,0x00266600,
    0x40fff880,0x0002fffa,0x3f637fec,0x7777fd45,0xb80effee,0x09fff06f,
    0x40bdb800,0x40001fff,0x7c02fff8,0x3ff602ff,0xbdffffff,0x0fff15ff,
    0x7c47ffe0,0xfff000ff,0x3f33ff25,0x5fffffff,0x3fff8000,0x0007ffec,
    0x7fdc0000,0x007ffb86,0x11fffb80,0x07fa83ff,0xff107ff5,0x02fffa83,
    0x1ffe0000,0x2fff4000,0x201fff70,0xa9bdfffd,0x15fffffd,0xff001fff,
    0x03ffe63f,0xfc9fff40,0xa9bdffff,0x0006fffd,0x3ee1fffc,0x0001cfff,
    0x7fff5000,0x000dff90,0x2e7fff50,0x207fa86f,0x89fb05fd,0x0000fffc,
    0x44bff100,0x00bdffdb,0x205fffdc,0xf305ffea,0x3fea09ff,0x1fff15ff,
    0x2a3fff00,0x3fa007ff,0x7ffff93f,0x00bffee0,0xc83fff80,0xbdffffff,
    0xb7100001,0x3a05ffff,0x880005ff,0x09f94fff,0x1ff40ff5,0x7fec5fb8,
    0x26000007,0xffff55ff,0xa805ffff,0xffcdffff,0x3ffa04ff,0xafffdc05,
    0xf800fff8,0x0fff51ff,0xfca7fec0,0x7fe404ff,0x3ffe0006,0xfffff703,
    0x005bffff,0x7fffff40,0x013ffe01,0xdafffc00,0x887fa83f,0xdf500ffb,
    0x0005ffe8,0x2b3fea00,0xfffeffff,0x7f4403ff,0x02ffffff,0x7c00fffc,
    0x3fff15ff,0x71fff880,0x7ec00dff,0x01fff94f,0x002fff88,0x4c07fff0,
    0xfffffffd,0xf8003fff,0x84ffffff,0x0003fff8,0x3fadffb0,0xfffffa82,
    0x2603ffff,0x027ffc7f,0xaaaaaaa8,0xff70aaaa,0xfa83bffd,0xfd500fff,
    0xdfffffff,0x01bfe207,0xff8affe4,0x7ffd403f,0x400dff71,0xbff94ffd,
    0x00fff600,0x401fffc0,0xffffeca8,0x5c005fff,0xefffdb9a,0x00bffe20,
    0xeb7fec00,0xffffa82f,0xf9802fff,0x8027ffc7,0xfffffffe,0xfff91fff,
    0x7ff4409f,0xbefffc85,0x5fffda99,0x7005ffa8,0x3ffe2bff,0xfffd100f,
    0x801ffea3,0x9ff94ffd,0x013ff200,0x001fffc0,0x7fffed44,0x2a0000ef,
    0x3fe25fff,0xfd00003f,0x2a0ff6bf,0x5fea99ff,0x7f46fa80,0xfffd005f,
    0x3fffffff,0x201bffee,0x3ea1fffa,0x3fea03ff,0x02ffdc4f,0xff15ffa8,
    0xfd881bff,0xfff31fff,0xc9fff400,0xff7003ff,0x3ffe000b,0xffa80003,
    0x640004ff,0x3ffe1fff,0xfff00005,0x3ea13f29,0x2027f447,0x2ffec5fb,
    0xcccccb80,0xf51fffcc,0x3fa005ff,0x017ffa2f,0xfd83ffee,0xbff3004f,
    0x3fffffe2,0xfffffecd,0x01fff11f,0x7e4fffa0,0xdff5002f,0x0fffe000,
    0x7fec4000,0xfff80007,0x001bffa3,0x54fffe20,0x987fa87f,0x0ffa02ff,
    0x0000fff9,0x3ea3fff1,0xffb001ff,0x003ffe69,0xff71fff4,0x57fe600b,
    0xfffbfff8,0xffccffff,0x4003ffe1,0x7ff92fff,0x017fee00,0xb89fffc0,
    0xff30004c,0xfe80003f,0x03ffee4f,0x3fff5000,0x1fea17fc,0x7cc07fe4,
    0x17ffd40f,0x3ffe2000,0x001fff31,0x7fd53ff2,0x93ff6007,0xf5006ffa,
    0x55ffe2bf,0xf94fffff,0x00fffc3f,0xfc87ffc4,0x9ff9003f,0x3e00f65c,
    0x5fff13ff,0x0fffa000,0x7fec0033,0x013ffe25,0xc8dffd00,0x883fd46f,
    0x05fd85ff,0x8000bfff,0xff11fff8,0x3ff6003f,0x400dff73,0x3fe25ffb,
    0x2bff7007,0x0d4c7ff8,0x804ffd80,0x3ff27ffa,0x47ffb004,0x3e202ffe,
    0x13ff62ff,0xa8fffc00,0x3fa007ff,0x07fff43f,0x3fffb800,0xff527fc4,
    0xf717fd40,0x3fff203f,0x3fe20002,0x00fffe1f,0xff98fff4,0x13ff2007,
    0xfd005fff,0x01ffe2bf,0x00dff500,0x7fe4bffb,0x1fff9807,0xf980fff6,
    0x3ffee1ff,0x3ffd4000,0x1005fff1,0xff983fff,0xff88005f,0x2ffa80ef,
    0x09980331,0x7c409ff3,0x30000fff,0x7fdc3fff,0x27ff8805,0xd001fff8,
    0x6ffd85ff,0x8afffd40,0xe80007ff,0x3fe202ff,0x0ffff21f,0xfc8bffb0,
    0x1fff206f,0x005ffff1,0xfd13ffa6,0xfffb00df,0x1dfff901,0x3fffea00,
    0x00fff601,0x4037fd40,0x002ffffa,0x87ffff22,0x6403fff8,0x2fff46ff,
    0x207ffdc0,0xf305ffe8,0x3fe2bfff,0xffb80007,0x5ffe881f,0x81ffffe4,
    0x7cc1fffc,0x7fdc1dff,0xffffd85f,0xffb8809c,0x7ffcc1ff,0x5fff900c,
    0x57fffec0,0xffff9100,0xdffd8809,0xdff91001,0x3fff2001,0x5440abef,
    0x0dfffffc,0xb817ffe4,0x7fcc1fff,0x3ffea05f,0x7dfff304,0xffdff953,
    0x001ffe2b,0x567fff40,0x40ffffca,0xbdfffffc,0x04fffdb9,0xfbdffffb,
    0x3601dfff,0xdeffffff,0x1ffffffe,0x5bffff70,0x09fffd75,0xdfffff90,
    0xfffffb9b,0x7fdc007f,0x6d4c1adf,0xb8004fff,0xefffffff,0xfffffffd,
    0xfffd102e,0xfffb737b,0x3bfff205,0xfffdb9ac,0x7fffd406,0xff9dffff,
    0x000fff15,0x3ffff620,0xc81fffff,0xffffcaff,0x2203ffff,0xfffffffe,
    0x7fe400ff,0xffffffff,0x7e400eff,0xffffffff,0x3fee003f,0xffffffff,
    0x98001eff,0xfffffffe,0x002effff,0x3ffffa60,0xffffffff,0xfffb003f,
    0x07ffffff,0xffffffb8,0x800dffff,0x4ffffeb9,0x3fe2bff3,0x7e400007,
    0x00cfffff,0x3fee5ff9,0x9001efff,0x39dfffff,0x3ffb2600,0x0bdeffff,
    0xffffd300,0x20001bff,0xffffffea,0x980002df,0xfffffffc,0x2600001d,
    0xfffffffc,0x5c000bde,0x2ceffffe,0xffffb100,0x20005dff,0x333000a8,
    0x2a200000,0x2200009a,0x2a60001a,0x4c40000a,0x40000aaa,0x0001aa98,
    0x06aaa620,0x33300000,0x22000000,0x00001aa9,0x2000054c,0x00001aa9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99800000,0x33300009,0xccaa8001,0x00000abc,0x300006a2,
    0xa8800015,0x54400009,0x0001bccc,0xacccba88,0x554c0001,0x00000001,
    0x5415bb50,0x0033306f,0x20d55400,0x55510aaa,0x05fff105,0x00fffe00,
    0x3fffff26,0x001cffff,0x3fae5ff9,0x5002dfff,0x29fffffb,0xfb105ff8,
    0x007dffff,0xfffffc88,0xa8001eff,0xfffffffd,0x754002ef,0xf0dfffff,
    0x07ffe6ff,0xd037fd40,0xd7bfffff,0x3fff109f,0x3ffa0000,0xc87ffe23,
    0x7fc42fff,0xfff0002f,0xffffc807,0xfffeccce,0x7fe400df,0xffffffca,
    0x7fec05ff,0x8dffffff,0xfffa85ff,0x0effffff,0xfffff880,0x03ffffff,
    0xfffffd10,0xdfffffff,0xffff7001,0xff1dffff,0x8027ff4f,0xff503ffd,
    0xffffffb9,0x03fff103,0x8fffa000,0x7ec1fff8,0x17ffc46f,0x03fff800,
    0x805dffd3,0x201fffda,0xadffeffc,0x03fffc98,0x315bfffb,0x8bffdff9,
    0xabcffffa,0x400fffec,0x930bfffe,0xa803ffff,0xabcfffff,0xeffffca9,
    0x37ffea00,0xffffca9b,0x01ffee7f,0x6403ffe2,0x37f6a24f,0x03fff102,
    0x8fffa000,0x7441fff8,0x3ffe22ff,0x7fff0002,0x005fff30,0x902ffe98,
    0x2a07ffff,0x7fd42fff,0xffff503f,0x0f7ffc4b,0x9037fec4,0x7f403fff,
    0x3ffe606f,0x3f2200bf,0xff880eff,0xffff304f,0x017ffc4f,0x98817fee,
    0xfff10000,0x26200003,0x980ccc09,0x3ffe26ff,0x7fff0002,0x000efe88,
    0x901ffb10,0xfc809fff,0x02ffec7f,0xfc97ffee,0x7ff400ff,0x807ffd02,
    0xfd01fff8,0x7e4003ff,0x5ffe83ff,0x23fffd40,0x7f405ffd,0x2000002f,
    0x0001fff8,0x99300000,0x00bffe21,0x361fffc0,0xbb7300ff,0x21bfa039,
    0x4400fffc,0x3ffe1fff,0x25fff801,0xfa804fff,0x1fff886f,0xb83ffd80,
    0xe8002fff,0x1fff86ff,0x547ffe80,0x3fe607ff,0x55544007,0x7fffc401,
    0xeeffffff,0x000002de,0x017ffc40,0x2a3fff80,0xfffa82ff,0xf985ffff,
    0x02ffe43f,0xff12ffd8,0x57fee00f,0xf000fff8,0xfff981ff,0x809aa800,
    0x50006fff,0x7fcc5fff,0x0fff5006,0x3f205fff,0xffea804f,0x81efffff,
    0xfffffff8,0xffffffff,0x000000cf,0x002fff88,0x7ec7fff0,0x9beffa85,
    0xfb83ffdb,0x8027fe46,0xdff54ffc,0x4d7fea00,0x3fa007ff,0x0fffcc2f,
    0x3ffe6000,0x06f20002,0x2600bff7,0x5ffc87ff,0x4403fff0,0xfffffffd,
    0x7c43ffff,0xffffffff,0xffffffff,0x017fee05,0xff897fee,0xfff0002f,
    0xf507fe27,0x07fea07f,0x7fe43ff1,0x2bff7003,0xf3005ffb,0x01bfeebf,
    0x7cc3ffe8,0x640002ff,0x00000fff,0x1004ffc8,0xfff30fff,0x406ffa81,
    0x99acfffe,0x20ffffda,0x999bfff8,0xfc999999,0xff704fff,0x4bff700b,
    0x0002fff8,0x1bee7fff,0x5b901bf6,0x7fe49fb0,0x2dff5002,0xf1004ffc,
    0x01ffeabf,0xff84fff8,0x7f40004f,0xb000007f,0x3e2007ff,0x87ffd07f,
    0x3e603ffd,0x3fe602ff,0x07ffe23f,0x0fffe980,0xb805ffb8,0x3ffe25ff,
    0x7fff0002,0x0bfe13f2,0x325fb800,0xff7003ff,0x4017feeb,0xfff15ff9,
    0x9fff1001,0x000dffb0,0x0005fff8,0x009ff900,0x7dc1ffe6,0x03ffe26f,
    0xc805ffd8,0x3ffe25ff,0x7ffd4001,0x805ffb82,0x3fe25ffb,0xfff0002f,
    0xff30ff67,0x37d40001,0x32007ff9,0x0dff53ff,0xff97fea0,0xfffb804f,
    0xfffb5515,0x00355555,0x00013ffe,0x802ffdc0,0xff107ffa,0x017fea1f,
    0xf7003b97,0x0fffc4bf,0x13ffe200,0x2e017fee,0x3ffe25ff,0x7fff0002,
    0x0ff50bfa,0x327f9800,0xffb005ff,0x401ffe63,0x3ff25ffb,0x3ffe201f,
    0xfffff35f,0x0bffffff,0x007fff10,0x1ffea000,0xb03ffdc0,0x0bff67ff,
    0xdff50000,0x000fffc4,0x7dc37ff4,0x5ffb805f,0x000bffe2,0x2fe9fffc,
    0x20003fd4,0x3fff27f9,0x87ffc400,0xe802fff8,0x3ffa25ff,0xffffa83f,
    0xfffff35f,0x0bffffff,0x007fff10,0x3ffe2000,0x07fff802,0x3ffdbfea,
    0x75d4c000,0x3fe26fff,0xffe8001f,0x805ffb85,0x3fe25ffb,0xfff0002f,
    0xff30ff67,0x37d40001,0xc809fff9,0x37fdc6ff,0x517ffea0,0xfddfffff,
    0x49ff79ff,0x9effd999,0xff000999,0x400000bf,0x2e00effb,0x7fc07fff,
    0x4004ffaf,0xfffffdc9,0x3e26ffff,0xff8001ff,0x05ffb84f,0x3e25ffb8,
    0xff0002ff,0xf113f27f,0x83ea805f,0x3fff25fb,0x5fff703f,0x301bfff0,
    0xd30bffff,0x9fffffff,0x7dc13ff2,0x3fa0007f,0x2000006f,0xc81efff8,
    0x6407ffff,0x001fffff,0xffffffd3,0x4dffbbff,0x4001fff8,0xfb82fffb,
    0x5ffb805f,0x4001fffc,0xff53fff8,0x7c40dfb0,0x323fe85f,0x9bdfffff,
    0x505fffdb,0x9537dfff,0x40bfffff,0x21bdffdb,0xff503ffd,0x7fec000d,
    0x20040007,0xedfffff9,0x07ffefff,0x037fffcc,0xefffff98,0xdff709bc,
    0x800fffc4,0x706fffb8,0xff700bff,0x003fff8b,0x3e2fff88,0x06ffc42f,
    0xf30bff66,0x6effe41f,0xffffffff,0x7fffcc04,0xffbeffff,0x7ff40005,
    0x009ff702,0x00fffdc0,0x207bf900,0xffffffe8,0x806ffabf,0x8803fffe,
    0x200affff,0x3fe26ffc,0xaaaaaacf,0xfffffdcb,0x00bff701,0xffe8bff7,
    0xfff98004,0x3ee1bf21,0xfffecdff,0x7e45fd83,0xdffff74f,0x3f620039,
    0xff74ffff,0xfff8000b,0x005ff900,0x017ffc40,0x40bfff00,0x1bdfeca8,
    0xf700dff5,0xff3001ff,0xdffb003f,0x7fffffc4,0xffffffff,0x3ee03fff,
    0x5ffb805f,0x40037fe4,0x3e20fffc,0xfffe984f,0xffb82eff,0x2227fe41,
    0x54c0000a,0x312ffdc1,0xdff50015,0x001bfe20,0x001bffa0,0x000fffd4,
    0x2017fea0,0xf7005ffa,0x3ffa00df,0x3ffffe26,0xffffffff,0x7dc00cff,
    0x5ffb805f,0x001fffd4,0xf50dfff1,0x2aea605f,0x909ff301,0x000009ff,
    0x3a5ffb80,0xffd803ff,0x003ff704,0x07fff500,0x86fff880,0x3ff2001a,
    0x02ffd804,0x801fff90,0x3e26fffc,0xcccccdff,0x0009abcc,0xf700bff7,
    0xffff88bf,0x7fff9002,0x000fff60,0xfc837fd4,0x0000004f,0xff72ffdc,
    0x0fffa80f,0x0003ffb8,0x013fff60,0x417fff44,0x7c401fff,0x7fc402ff,
    0x3ffea006,0x3fffee03,0x007ffe27,0x17fee000,0x2e17fee0,0x301bffff,
    0x440dfffd,0x1001dffd,0x3201dff9,0x000004ff,0xf32ffdc0,0x3fea07ff,
    0xcfffb84f,0x881acced,0xffff101a,0x3fee017b,0xbffd04ff,0x00fffd80,
    0x1001ffec,0x537bfffd,0xfffdffd7,0x000fffc4,0x02ffdc00,0xfd82ffdc,
    0xeddfffff,0x01ffffff,0x1adfffb8,0x27ffed4c,0x0013ff20,0xbff70000,
    0x9befffc8,0xa85fffdb,0xffffffff,0xfeceffff,0x3ffa605f,0xfeccefff,
    0x2e05ffff,0x730bdfff,0x7903fffb,0x001fffd9,0xffffff98,0xfff3ffff,
    0x007ffe23,0x17fee000,0xc817fee0,0xffffffff,0x000effff,0x3fffffa6,
    0x2effffff,0x004ffc80,0x7fdc0000,0xfffffd85,0xf105ffff,0xffdfffff,
    0xffffffff,0x7ff4401f,0xffffffff,0xffd803ff,0xffffffff,0xfffff02f,
    0x3620003f,0x0dffffff,0x7fc53ff2,0xb800001f,0xffb805ff,0x7ffe4c05,
    0x02dfffff,0x3fff2600,0x001dffff,0x00013ff2,0x0bff7000,0x3fffffea,
    0x4efec02e,0x7ffedc40,0x9800cfff,0xfffffffc,0x3ee000cf,0xefffffff,
    0x3ffffa02,0xa9880002,0x3fe2000a,0xb800001f,0xffb805ff,0x2aa66005,
    0x8000009a,0x22000199,0x00000099,0x2004cc40,0x10009aa8,0x0d54c001,
    0x35533000,0xcba80001,0xc9801bcd,0x000000ac,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26600000,0x99880009,0x26666601,0x01999999,0x26660000,
    0x33330000,0x13333333,0xffff7000,0xffffffff,0x9999998b,0x00199999,
    0x33300980,0x33333333,0x33330013,0x33333333,0x00133333,0x20006620,
    0x10001a98,0x01579975,0x001bff20,0x7c41bffa,0xffffffff,0x002effff,
    0x3fffe600,0x7ffcc000,0xffffffff,0xf9002dff,0xffffffff,0x7fc4bfff,
    0xffffffff,0x4002efff,0xff881fc8,0xffffffff,0xf02dffff,0xffffffff,
    0xffffffff,0xfff1000b,0xfff91001,0x2005dfff,0xfffffffb,0x7fc400cf,
    0x3fee003f,0xffff101f,0xffffffff,0x0007ffff,0x07ffff90,0xfffff980,
    0xffffffff,0xffe803ff,0xffffffff,0x3ffe25ff,0xffffffff,0x003fffff,
    0xff103fff,0xffffffff,0x3fffffff,0xfffffff8,0xffffffff,0xfd8005ff,
    0x7fdc00ff,0xffffffff,0x3fffa00d,0xffffffff,0x07ffdc02,0x02fffc40,
    0xddddfff1,0xfffffddd,0xf8000dff,0x4006ffef,0xeeeefff9,0xfffffeee,
    0x4fffc04f,0x99999999,0x3bffe209,0xffeeeeee,0x806fffff,0xff881fff,
    0xeeeeeeef,0xffffffee,0x3bbbffe0,0xeeeeeeee,0x5c004eee,0x2a00ffff,
    0xbaacffff,0xf905fffe,0x7dc43bff,0x7f400fff,0xfffb804f,0x07ffe200,
    0x3ffff220,0x7ff50005,0x4c003ffd,0xfa800fff,0xff102fff,0x3fe2000f,
    0xffb8801f,0x7ffc05ff,0x01fff881,0x4dfffd30,0x00003fff,0xfffff980,
    0x1bfff100,0x50fffee0,0x7cc09fff,0x7fd406ff,0x3ffe201f,0x0fffc404,
    0x7fffd300,0x73ffb000,0x7cc00bff,0xfd1000ff,0x17fea09f,0x0fffc400,
    0x7fffd100,0x440fffc0,0x6c001fff,0x7fff1fff,0xfd000000,0x3201ffff,
    0xffc806ff,0x4037fec7,0x6c00fffa,0x3ff205ff,0x7ffc400f,0x7ffc4001,
    0xbffc4007,0x3000fff8,0x5c001fff,0x9ff707ff,0x3ffe2000,0x7ffc4001,
    0x207ffe07,0x4001fff8,0xfff3fff9,0xc8000007,0x00fffcff,0xf1005ffd,
    0x17ffc1ff,0x402fff80,0xf882fff9,0xff8803ff,0xffb8001f,0x3fee003f,
    0x400fff65,0x2000fff9,0xfd80fff9,0xff10002f,0xff50003f,0x7fffd47f,
    0xff13ffff,0xfff0003f,0x000fffeb,0x8dff9800,0xff880fff,0x5fff001f,
    0x4003ffe6,0xfc803ffe,0x06ffd86f,0x003fff10,0x8017ffa0,0x3fee2ffe,
    0x1fff3006,0x83ffd400,0x26a60ffe,0x0fffc400,0x25fff800,0xfffffffa,
    0x03fff13f,0x3edffb00,0x000003ff,0xff11fff1,0x00ea601f,0x0c42fff8,
    0x003fff00,0x7cc7fff1,0xff1002ff,0x3ee0003f,0xfff3006f,0x017ffc41,
    0x0007ffcc,0xff109ff9,0xfffff91f,0x3ffe207d,0xdff90001,0x5fffd544,
    0x3fff10aa,0x2bffd000,0x00003fff,0x3e25ffb0,0x300000ff,0x40001fff,
    0x2e007ff9,0x17ff67ff,0x01fff880,0x00fff500,0x3f613ff6,0xfff9805f,
    0x3fff5000,0xffffff30,0x1bffffff,0x001fff88,0x3e0fff50,0xfff881ff,
    0x7ffc4001,0x0007fff3,0x449ff500,0x00000fff,0x4000dffb,0x4005fff8,
    0xfff9bffe,0x3ffe2001,0xfff10001,0x1fff8801,0x400fffa8,0x999afff9,
    0xffdba999,0xffff702f,0xfffb77bf,0x1fff88df,0x1fff3000,0xf103fff0,
    0xfd8003ff,0x07fff1ff,0xeff88000,0x003ffe20,0x0fffe600,0x7fff4400,
    0x7ffd4000,0x55004ffe,0x5559fff7,0x7c403555,0x7fdc02ff,0x00fffe06,
    0xfffffff3,0xffffffff,0x2fffe403,0x24fffd88,0x0001fff8,0xff05fff1,
    0x3fff103f,0x3fffaa00,0x3fffffe5,0xffffffff,0x0fff406f,0x0003ffe2,
    0x00bfff10,0x07fffa20,0xf9999970,0x99bfffff,0xfff81999,0xffffffff,
    0x7ffc03ff,0x027ff403,0xf980fff9,0xffffffff,0x0cffffff,0xb009dd70,
    0x3fe23fff,0x3fe0001f,0x81fff83f,0xeeeefff8,0xffffeeee,0x3ffe0fff,
    0xffffffff,0x2e06ffff,0xfff884ff,0x3fa20000,0xe88000ff,0xfe801fff,
    0xffffffff,0xffffffff,0x7fffffc0,0x3fffffff,0x80fffe20,0x2600fff9,
    0x3e602fff,0xeeeeeeff,0xfffffffe,0xff880001,0x03fff13f,0x0fffe200,
    0x3e207ffe,0xffffffff,0xdfffffff,0x7fffffc0,0xffffffff,0x0dff306f,
    0x0003ffe2,0x017fff44,0x01fffe80,0xffffffd0,0xffffffff,0x3e201fff,
    0xf30001ff,0x7fe405ff,0x05ffe806,0x1003ffe6,0x03ffff93,0x29ffb000,
    0x0001fff8,0xff05fff3,0xffff103f,0xffffffff,0x3fe05bdf,0xfd00003f,
    0x3ffe203f,0xffe98000,0xff70002f,0x4cc4003f,0xeffc9999,0x01999999,
    0x0007ffe2,0xf017ffd4,0xdddddfff,0x1ffffddd,0x003ffe60,0x006fffa8,
    0xf16ffc80,0x2a0003ff,0xfff81fff,0xacfff881,0x009aaaaa,0x0007fff0,
    0x4407ff90,0x4c000fff,0x0002ffff,0x0000bffe,0x0005ffb8,0x0003fff1,
    0x5407ffee,0xffffffff,0xffffffff,0x01fff304,0x01fffc80,0x8b7fdc00,
    0x90001fff,0x3ffe0fff,0x01fff881,0x07fff000,0x9effa800,0xfa999999,
    0x400999ff,0x001ffffa,0x001ffe60,0x2aaaaaaa,0xaaaaeffd,0x3fe202aa,
    0xffb0001f,0x7fffec0d,0xffffffff,0xf307ffff,0xfa8001ff,0x200082ff,
    0xfff15ffc,0x3ff60003,0x103fff07,0x00003fff,0x0000fffe,0xfffffff7,
    0xffffffff,0x7fdc09ff,0x540000ef,0xfe8005ff,0xffffffff,0xffffffff,
    0x03fff100,0x09fff100,0x800bffe2,0xf982fffa,0x7c4000ff,0x1fff53ff,
    0x453ffa00,0x88001fff,0xfff04fff,0x03fff103,0x0fffe000,0xffff7000,
    0xffffffff,0x209fffff,0x000efffb,0x004ffb80,0xffffffe8,0xffffffff,
    0xff100fff,0xffb0003f,0x1ffee03f,0x217ffa00,0x4000fff9,0xff11fffa,
    0xfff3005f,0x007ffe25,0x403fff60,0xff881fff,0xff00001f,0xea80007f,
    0xeeeeeeee,0xeeefffee,0x05fffc83,0x0b32a000,0x26666200,0x99effc99,
    0x22019999,0x54001fff,0x3fa05fff,0xffc8004f,0x07ffcc1f,0xd1fff200,
    0xffb00dff,0x00fffc4d,0x817ffea0,0xff881fff,0xff00001f,0x0000007f,
    0x7007ffc4,0x00009fff,0x5c000000,0xf10005ff,0x7dc003ff,0xff301fff,
    0xff10003f,0x0fff989f,0x1bffea00,0x201bfff5,0x3e21fffc,0x3ee001ff,
    0x3fa01fff,0x1fff883f,0x7fff0000,0x44000000,0xff100fff,0x000000bf,
    0xffb80000,0xfff10005,0x33333337,0x7ffffd75,0x0037fe40,0xf98fffb0,
    0x99999aff,0xfffda999,0xffffc81f,0xfffebaad,0x4dfffc43,0xba999999,
    0x402ffffe,0x12eefffd,0x00003fff,0x0000fffe,0x0fff8800,0x333fffb0,
    0x33333333,0x99970013,0xffb80000,0xfff10005,0xffffffff,0x07ffffff,
    0x0003fff8,0xf98bffea,0xffffffff,0xffffffff,0x3ffff202,0x82ffffff,
    0xfffffff8,0xffffffff,0xffa802ff,0xfff15fff,0x3fe00003,0x0000003f,
    0x2a03ffe2,0xffffffff,0xffffffff,0x07ffd803,0x2ffdc000,0xffff8800,
    0xffffffff,0x5400cfff,0x40000fff,0x3fe66fff,0xffffffff,0x02efffff,
    0xfffffe98,0xfff101df,0xffffffff,0x003bffff,0x8b7fff54,0x00001fff,
    0x00007fff,0x07ffc400,0x7fffffe4,0xffffffff,0xffd803ff,0x7dc00007,
    0xff10005f,0xffffffff,0x20017ddf,0x80006ffd,0xff31fffc,0xffffffff,
    0x00059bdf,0x22002aa6,0xffffffff,0x00bceeff,0xff104c00,0x3e00003f,
    0x000003ff,0x203ffe20,0xfffffffe,0xffffffff,0x7ffd803f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00133300,0x4c426660,0x20000009,0x013311a9,0x26200000,
    0x99999999,0x99999999,0xb9801999,0x55300bcc,0x00ccc015,0x80999980,
    0x2662aaa8,0x99980001,0x4cc00019,0x02666099,0x004cc400,0x7d415bb5,
    0x00bffe07,0xfc9fffc0,0x1000004f,0x13ff29ff,0x7ec00000,0xffffffff,
    0xffffffff,0xf301ffff,0x105fffff,0x260bffff,0x64000fff,0xfc81ffff,
    0x1fff31ff,0x7ffcc000,0xf10001ff,0x3fe6bfff,0xffd0006f,0x3ffffa07,
    0x204febdf,0xf0002fff,0x13ff27ff,0x3fa20000,0x009ff94f,0xfff30000,
    0xffffffff,0xffffffff,0xfd103fff,0xd01fffff,0x307ffdff,0x64001fff,
    0xf880efff,0x3ffe63ff,0x3fe60000,0x70003fff,0x3e6bffff,0xe8003fff,
    0xcff983ff,0x1ffffffd,0x000bffe0,0xffc9fffc,0xfd800004,0x09ff94ff,
    0xff900000,0xdfffdddf,0xdddddddd,0xf701dddd,0x90535bff,0x5ffd1bff,
    0x000fff98,0x201dfff9,0x7fcc5ffc,0x3e60000f,0x0006ffff,0x26bffffd,
    0x001fffff,0x7e41fff4,0x0b7f6a25,0x0005fff0,0x7fe4fffe,0x36200004,
    0xff94ffff,0x88000009,0x3fee4fff,0x3f200007,0x7ffdc06f,0x4c1fff50,
    0xfc800fff,0xff100eff,0x0fff981d,0x3ffe6000,0x44001fff,0xf35fffff,
    0x800dffff,0x09883ffe,0x17ffc000,0x93fff800,0x200009ff,0x4ffffffa,
    0x00009ff9,0x20fffc80,0x00007ffb,0x99013ff6,0x23ccb859,0x6400fff9,
    0x2600efff,0xfff981cc,0x3fe60000,0x4003ffdf,0x35ffeffb,0x07ffffff,
    0x001fff40,0x05fff000,0x64fffe00,0x440004ff,0xffeffffd,0x0009ff94,
    0x27ffc400,0x0001ffee,0x0002ffe8,0x00fff980,0x003bfff2,0x01fff300,
    0x57ffcc00,0x7f4006ff,0xff35ffce,0x003fffdf,0x2600fffa,0x3fe001aa,
    0xfff0002f,0x0013ff27,0x91dffff0,0x13ff29ff,0x80003531,0x7dc0fffc,
    0x3a00007f,0x800002ff,0xf900fff9,0x00001dff,0x0001fff3,0x7fc7ffcc,
    0x9ff3001f,0x3fe6bff9,0x006fff9f,0x36207ffd,0x1effffff,0x0017ffc0,
    0xff93fff8,0x77ffcc09,0xf927ffc0,0x4d3ff29f,0x1dfffffe,0x27ffc400,
    0x0003ffdc,0x3ffffff2,0x3ee00fff,0x3ffe605f,0x0efffc80,0x30bff700,
    0x40001fff,0x7ff97ff9,0x327fee00,0x1fff35ff,0xd009fff7,0xfff707ff,
    0x9fffffff,0x0017ffc0,0xff93fff8,0x3bffe609,0x7e40cf80,0xf79ff94f,
    0xffffffff,0x7ffdc001,0x007ffb80,0x7ffffe40,0x2e00ffff,0x3fe605ff,
    0x2fffe40f,0x217fee00,0x0000fff9,0x7fcdffe6,0x32dfd006,0x1fff35ff,
    0xd007fff6,0xfffa87ff,0xffeb9abe,0x05fff05f,0x64fffe00,0xfff984ff,
    0x3f20100e,0xfffff94f,0xfffb759f,0xfff1001d,0x01ffee0b,0xffd55300,
    0xfb805559,0x3ffe605f,0x017fff20,0x2617fee0,0x20000fff,0x3ffe7ff9,
    0xc9ffcc01,0x1fff35ff,0xd01bffe2,0x7ffc47ff,0x5fff900d,0x5559fff0,
    0x55555555,0x327fff55,0x7ffcc4ff,0x9ff90005,0x413ffff2,0xb803fffa,
    0xff701fff,0x7f40000f,0x3fee002f,0x43ffe605,0x000ffffc,0xf985ffb8,
    0x260000ff,0x0fff27ff,0x3f21ff90,0x41fff35f,0x3a04fffb,0x1bff63ff,
    0xf03fff20,0xffffffff,0xffffffff,0x3ff27fff,0x017ffe64,0xf94ffc80,
    0xffd80bff,0x05fff805,0x3fffffee,0xffffffff,0x05ffd01f,0x302ffdc0,
    0xfff91fff,0xf7000bff,0x1fff30bf,0x3ffcc000,0xfe80dff3,0x7cd7ff26,
    0x7ffec0ff,0x227ffd01,0xf8802fff,0x7fffc3ff,0xffffffff,0xffffffff,
    0x3e69ff93,0x640005ff,0x1fff94ff,0x406ffb80,0x2e01fffb,0xffffffff,
    0x1fffffff,0x4005ffd0,0x3e605ffb,0xfffffdff,0x7dc003ff,0x0fff985f,
    0x1ffe6000,0x3e603fff,0x4d7ff23f,0x7fc40fff,0x27ffd06f,0x32006ff9,
    0x6fffc4ff,0xcccccccc,0xfffccccc,0xff19ff93,0xf90000bf,0x01fff29f,
    0xfd01bfea,0xfffb80bf,0xffffffff,0xfd01ffff,0x7fdc005f,0x3fffe605,
    0xfffe8cff,0x17fee001,0x0003ffe6,0x7e47ff98,0x41ff903f,0xfff35ffc,
    0x09fff701,0x3fee7ffd,0x17fee005,0x20005fff,0xbff93fff,0x0007ffff,
    0x3f29ff90,0x6ff9806f,0x007ffea0,0x0000fff7,0x70017ff4,0x7fcc0bff,
    0x3fe64fff,0x3fee006f,0x00fff985,0x31ffe600,0x1bfe0dff,0x3fe6bff9,
    0x3fffb00f,0xff93ffe8,0x3ffd4009,0x4000bffe,0xfff93fff,0x003fffff,
    0xf94ffc80,0xdff3009f,0x667fff40,0xfecccccc,0x3a00007f,0x3ee002ff,
    0x3ffe605f,0x4fffc84f,0x30bff700,0x40001fff,0xffe87ff9,0x321ffcc1,
    0x1fff35ff,0xd1bffe20,0x13ff67ff,0x7c7ff980,0xff0002ff,0x3ffff27f,
    0x0006ffed,0xffca7fe4,0x06ff9804,0xfffffff5,0xffffffff,0x7f40000f,
    0x3fee002f,0x13ffe605,0x802fffe8,0xff985ffb,0x3e60000f,0x43ffc87f,
    0x7fe40ffc,0x401fff35,0x3fa4fffb,0x009ff93f,0x3fe3ffd4,0xfff0002f,
    0x4d3fff27,0x20003fff,0x9ff94ffc,0x20dff300,0xfffffffe,0xffffffff,
    0x3fa00007,0x3fee002f,0x03ffe605,0x00ffff88,0x7cc2ffdc,0x260000ff,
    0x6ff987ff,0x7fe42ffc,0x801fff35,0xffd1fffd,0x8017fee7,0x7ffc6ffb,
    0x7fff0002,0xff917ff2,0x3f20003f,0x009ff94f,0xff50dff3,0x5555557f,
    0x0fffb555,0x17ff4000,0x40bff700,0x5c00fff9,0x7dc06fff,0x0fff985f,
    0x1ffe6000,0xffa8fff4,0xf35ffc82,0xff8801ff,0x2a7ffd6f,0x3f2006ff,
    0x017ffc5f,0xf93fff80,0x6ffe889f,0x29ff9000,0xf9804ffc,0x06ffe86f,
    0x001ffee0,0x002ffe80,0xf9817fee,0xffd800ff,0x17fee04f,0x0003ffe6,
    0xf907ff98,0x203ff27f,0xfff35ffc,0x9fff7001,0x3fe67ffd,0xfff8802f,
    0x0017ffc3,0xff93fff8,0x07fff509,0x329ff900,0xff9804ff,0x017ffcc6,
    0x000fff70,0x0017ff40,0x7cc0bff7,0xff8800ff,0xbff702ff,0x001fff30,
    0x983ffcc0,0x20bff6ff,0xfff35ffc,0x3fffa001,0x3ff63fff,0x0fffc806,
    0x80017ffc,0x9ff93fff,0x007fff60,0x3f29ff90,0x6ff9804f,0x20037fec,
    0x00007ffb,0xb800bffa,0x3fe605ff,0xfff5000f,0x0bff701f,0x0001fff3,
    0xfd03ffcc,0x3205ff7f,0x1fff35ff,0x3fffe200,0x3ffe23ff,0x7fff900d,
    0x0005fff0,0x7fe4fffe,0x0dfff104,0xf94ffc80,0xdff3009f,0x001fffcc,
    0x2667ffee,0x99999999,0x2ffe8099,0x817fee00,0x2000fff9,0xfb85fffc,
    0xafff985f,0x99999999,0x3fe61999,0x3ffff207,0x4d7ff207,0x2e000fff,
    0x5c3fffff,0xb9acefff,0xff03fffe,0x3fe0005f,0x409ff93f,0x2003fffa,
    0x9ff94ffc,0x6cdff300,0xfb8007ff,0xffffffff,0x5fffffff,0x2002ffe8,
    0x3e605ffb,0x7f4000ff,0x2ffdc3ff,0x7fffffcc,0xffffffff,0x0fff30ff,
    0x02ffffcc,0x3fe6bff9,0x7ff4000f,0xfffa83ff,0x3fffffff,0x000bffe0,
    0xffc9fffc,0x0fffec04,0xf94ffc80,0xdff3009f,0x000fffe6,0x3fffffee,
    0xffffffff,0x2ffe85ff,0x817fee00,0x4000fff9,0x2e1ffff9,0xfff985ff,
    0xffffffff,0xf30fffff,0xfffe80ff,0x4d7ff202,0x44000fff,0xb103ffff,
    0x39dfffff,0x002fff80,0x3f27fff0,0x7ffc404f,0x29ff9006,0xf9804ffc,
    0x01fff96f,0xfffff700,0xffffffff,0xffd0bfff,0x2ffdc005,0x001fff30,
    0x21dfff70,0xff985ffb,0xffffffff,0x30ffffff,0xffc80fff,0x9affe407,
    0xb8000fff,0xa8803fff,0x0000000a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x99998000,0x99999999,
    0x20999999,0x44001998,0x4c000999,0x20666219,0x99999998,0x99999999,
    0x26662199,0x4ccc0000,0x004ccc41,0x20999880,0x80001998,0x4ccc1998,
    0x99999999,0x4c000999,0x99999999,0x99999999,0xd9100999,0x263fe837,
    0xffffffff,0xffffffff,0xfffff105,0xffffffff,0x54dfffff,0x3a001fff,
    0x2e005fff,0x3fffa7ff,0x7ffffec0,0xffffffff,0x3ea7ffff,0x2a0006ff,
    0x7fc44fff,0xfe8000ff,0x3ffee0ef,0x7fe40001,0x3ffffe26,0xffffffff,
    0x4400ceff,0xffffffff,0xffffffff,0xfa84ffff,0xfcceffff,0x3fffe60f,
    0xffffffff,0xffb5ffff,0xffffff1f,0xffffffff,0x7c4dffff,0xff1002ff,
    0x7ec00fff,0x03fffa5f,0xfffffffb,0xffffffff,0xfffd8fff,0xfff88003,
    0x5fffa80e,0x0fffe400,0x000fffe2,0x7c47fff0,0xffffffff,0xffffffff,
    0x3ffe201e,0xffffffff,0xffffffff,0xecefd84f,0x4c6fffff,0xffffffff,
    0xffffffff,0xff1fffb4,0xdddddddf,0xdddddddd,0x004ffe8b,0x03fffff7,
    0xfe8fffe0,0x777640ff,0xeeeeeeee,0x47fffeee,0x000ffff8,0x900fffe4,
    0x2a007fff,0xffb03fff,0x7fd4000d,0x37ffe20f,0xcccccccc,0x2fffffed,
    0xdddddd10,0xddfffddd,0x87dddddd,0x3ae61ff8,0x999980cf,0x99999999,
    0xffb0effd,0x005fff1f,0x037fe400,0x3ffdffd8,0x21fff880,0x0000fffe,
    0x507fff90,0x5400bfff,0x74404fff,0x7c400fff,0x3fea05ff,0xffb0001f,
    0x02fff88b,0x1ffff220,0x07ffb800,0x00003300,0x43fff300,0xfff8cccb,
    0x3e600002,0xeff800ff,0xfb806ff9,0x07fff46f,0x7ffdc000,0x0bfff605,
    0x01bffa20,0x2037ffcc,0x7c00effe,0xf88004ff,0x7ffc42ff,0xfffc8002,
    0xfff70001,0x00000000,0x017ff440,0x000bffe2,0x805fff00,0x1fff4ff9,
    0x744ffd80,0x40000fff,0x200efffa,0x400ffff8,0x2001fffc,0xf904fffb,
    0xff9003ff,0xdff7000f,0x005fff10,0x000fffe0,0x0003ffdc,0x00003530,
    0x22017ff2,0x00002fff,0x32027fec,0x05ffb2ff,0x7ec2ffe8,0x260000ff,
    0xa800ffff,0x3e605fff,0xfe8003ff,0x7ffd41ff,0x5fff3003,0x83ffe800,
    0x0002fff8,0x2000bffb,0x32007ffb,0xfffd52ff,0x20001bff,0x8800fff9,
    0x00002fff,0x3a02ffdc,0x09ff70ff,0x3607ffc4,0x220007ff,0x2002ffff,
    0xe882fffd,0xf10006ff,0x7ffc4dff,0x2fff4005,0x01fff300,0x0005fff1,
    0x40017ffa,0x32007ffb,0xffffaaff,0x002fffff,0x801fff44,0x0002fff8,
    0x103ffcc0,0x3ffc4dff,0xf90dff50,0x7f4000ff,0x7c4003ff,0x7fe40fff,
    0x3ea0000f,0x1fffb4ff,0x0fffb800,0x20bff900,0x8002fff8,0x0004fff8,
    0x6400fff7,0xabeffdff,0x007fffeb,0x10037fe4,0x00005fff,0x2a03fff0,
    0x0fff44ff,0xfc83ffc8,0xff90006f,0x3ea000bf,0x3ffe64ff,0xffd80003,
    0x001fffdf,0x002fff88,0x3e205fff,0xfd8002ff,0xf70002ff,0x7fe400ff,
    0xfff903ff,0x3ffe6005,0x3ffe2002,0x9999999b,0x00999999,0x7ec0fff6,
    0x81ffe41f,0xffb81ffe,0xfffa8006,0x7fec0006,0x00bffd1f,0x3fffe200,
    0x360003ff,0xffa805ff,0x0bffe207,0x5fffe980,0x1ffee000,0x04fffc80,
    0xc802ffec,0x7c4007ff,0xffffffff,0xffffffff,0x417fee06,0x5ffa87ff,
    0xf707ff88,0xff9800bf,0x440000ff,0xfffbefff,0x3e600000,0x40005fff,
    0x6c00fff9,0x3fe204ff,0xccccccdf,0xfffffeec,0x3ee0000f,0x3ff2007f,
    0x2ffe400f,0x004fff80,0x7fffffc4,0xffffffff,0x3e206fff,0x85ff987f,
    0xffa87ff8,0x00bff505,0x00ffff44,0xffffa800,0x800002ff,0x0004fffe,
    0x2203ffe8,0x3e201fff,0xffffffff,0xffffffff,0x7dc0000d,0x3ff2007f,
    0x06ffb806,0x000fffa8,0x7fffffc4,0xffffffff,0x7f406fff,0x81ffdc0f,
    0x7fe42ffe,0x009ff303,0x001fffec,0x3ffff600,0xfb800005,0x0001ffff,
    0xf7037fdc,0xfff880df,0xffffffff,0x001bdfff,0x00fff700,0x5402ffe4,
    0xffd806ff,0xfff88005,0xf9000002,0x00ffe85f,0xffe89ff7,0x009ff300,
    0x0013fff2,0x3fffe200,0x7cc00000,0x00efffff,0x03ffe200,0x22017ff4,
    0xaaaacfff,0x02efffba,0x3ffdc000,0x009ff900,0xf880dff5,0xf88002ff,
    0x000002ff,0x7fc49ff5,0x897fe606,0x3fe206ff,0x6fffa803,0x3f600000,
    0x4400005f,0xfffadfff,0x7fec0005,0x807ff983,0x6c02fff8,0x00004fff,
    0xc801ffee,0xffa804ff,0x037fe406,0xff8cccb8,0x1000002f,0x27fd4dff,
    0xffa9ffe0,0x00ffe204,0x001ffff3,0x2ffec000,0x3ff60000,0x05fffb0f,
    0x437fd400,0xf8804ffc,0xffd802ff,0xf700003f,0x7fe400ff,0x06ffa804,
    0xd801fffc,0x2fff8fff,0x3fa00000,0x805ff90f,0x5ff91ffd,0x2202ff80,
    0x0001fffe,0x02ffec00,0x7fff7000,0x007fffc4,0xf83fff00,0xff8801ff,
    0xfffd002f,0xff700005,0x27fe400f,0x5037fd40,0x36001fff,0x2fff8fff,
    0x3f200000,0x700fff2f,0x03ffa7ff,0x7ec05ff0,0x000003ff,0x0005ffd8,
    0x50bfff30,0x4000dfff,0x3fea4ffc,0x5fff1006,0x3fffe600,0x7fdc0001,
    0x13ff2007,0xc81bfea0,0x3f6006ff,0x02fff8ff,0x3fea0000,0x8805ff9b,
    0x00dff4ff,0x3ff20155,0x0000004f,0x0000bffb,0x201fffd1,0x0004fffc,
    0x7fe4fff3,0x5fff1003,0x37ffdc00,0x1ffee000,0x804ffc80,0x3f606ffa,
    0x8ef8004f,0x00002fff,0x3ef7fe20,0x3dfd003f,0xa80007ff,0x00006fff,
    0x017ff600,0x07fff600,0x003fffd0,0x7fc7ffa0,0xfff1000f,0xfffe8005,
    0x3fee0003,0x13ff2007,0xf81bfea0,0x7cc003ff,0x002fff8c,0x6fff4000,
    0xff9001ff,0x40003ff9,0x000efff9,0x3ff60000,0x7fdc0005,0xfff9804f,
    0xffb8000e,0x2005ffac,0x4002fff8,0x000ffff9,0x400fff70,0xfa804ffc,
    0x5fff306f,0xf8afb800,0x99999bff,0x99999999,0x7fdc0099,0x3ea007ff,
    0xca807fff,0x3fffa24c,0x9999999a,0x99999999,0x2ffec000,0xdfff3000,
    0x2fffdc00,0x677fc400,0x3e2001ff,0xfc8002ff,0xf70005ff,0x7fe400ff,
    0x06ffa804,0x4001fff5,0xfff88efb,0xffffffff,0xffffffff,0x7fffcc03,
    0x3ffe2004,0x7ffd805f,0x3fffffe6,0xffffffff,0x03ffffff,0x002ffec0,
    0x001fffd0,0x002fffe8,0x06ffffc8,0x017ffc40,0x02fffe80,0x007ffb80,
    0x2a013ff2,0xfff706ff,0x3e25b800,0xffffffff,0xffffffff,0xfff803ff,
    0x7ff4002f,0x7ffd803f,0x3fffffe6,0xffffffff,0x03ffffff,0x002ffec0,
    0x002fffc8,0x00ffff88,0x1ffffcc0,0x0bffe200,0x7fffcc00,0x3ffdc000,
    0x009ff900,0x3ee0dff5,0x7c40006f,0xffffffff,0xffffffff,0xffd803ff,
    0x7fdc000f,0x7ffd800f,0x3fffffe6,0xffffffff,0x03ffffff,0x002ffec0,
    0x002fffd4,0x00dfff50,0x001fffd0,0x002fff88,0x017fff20,0x000fff70,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xcccca800,0xcccccccc,
    0x005ccccc,0x55530000,0x13553003,0x55544000,0x4d4c0001,0xaa988000,
    0x2aa20000,0x554c0001,0xaa880001,0x009a9800,0x00035300,0x009ff700,
    0x409aa880,0x0002a1e9,0x027fe520,0xeb82ffdc,0xcfffffff,0x3ffffa60,
    0xd5000bff,0xdfffffff,0xffb73003,0x7003bfff,0xbffffffd,0xfff91003,
    0x2003dfff,0xffffffd8,0x47ff201e,0x3effffea,0x7ffffec4,0xa97fe40c,
    0x0dfffffe,0x7003ffe4,0x910009ff,0x5bffffff,0x00549ff1,0x4ffca400,
    0x445ffb80,0xfffffffd,0xffc8efff,0x6fffffff,0x7fffec40,0x3fffffff,
    0x3ffffee0,0x203fffff,0xfffffffd,0x3a603fff,0xffffffff,0x7ffdc03f,
    0x4fffffff,0xff73ff90,0x25ffffff,0xfffffff9,0x557fe46f,0xffffffff,
    0x01fff22f,0x4004ffb8,0xfffffffa,0x546fffff,0xf9480000,0xbff7009f,
    0x9acfffe8,0xfffffda9,0xfba9adff,0x3ffa04ff,0xfda99acf,0xffb80fff,
    0xffc9abff,0xfffc82ff,0xfffca9ac,0xffffa82f,0xfffdb9ab,0x7dfff504,
    0xbfffd735,0xdffbff90,0x5ffff759,0xfd957dff,0x6ffe47ff,0xfebabeff,
    0x1fff27ff,0x004ffb80,0x2b3fffea,0x1fffffd9,0xa4000054,0xfb804ffc,
    0x03bfea5f,0x1fffffc8,0x305ffd10,0x7cc05fff,0x7ffc43ff,0x0fffd00d,
    0x7f405fff,0x0dffe85f,0x883fff70,0xf900dfff,0xfffc85ff,0xffff883f,
    0x6ffe884f,0x40fffff2,0x9952fffc,0x27fdc009,0x0efff880,0x44fffc88,
    0x9480000a,0xff7009ff,0x2017ff4b,0x402ffff8,0x7ec0fff8,0x5ffc805f,
    0x2603ffe4,0x3fe62fff,0x23ffd406,0x5c00effb,0x37fec6ff,0x907ffe40,
    0x7ec0bfff,0x3fea06ff,0x013fff27,0x8000bffb,0xf9004ffb,0x7ffc40ff,
    0x0002a0ff,0x027fe520,0xdc8affdc,0x0dfff005,0x970bff20,0xbff7003b,
    0xd803ffd8,0x3ffe62de,0x7fc04c00,0x3fff002f,0x200bffe2,0x3f23fff8,
    0x3fee00ff,0x3ffe201f,0x801fff90,0x40005ffc,0xf8804ffb,0x37fa03ff,
    0x002a4ffe,0x27fe5200,0x002ffdc0,0x2009ffd0,0x40004ffa,0x7ffc6ffa,
    0x7ffc0000,0x7fcc002e,0x7ffb000f,0xc801bfe6,0x1fff24ff,0x801fff50,
    0xdff91fff,0x00dff700,0xddddddd7,0xdddddfff,0x81ffe69d,0x5ffc8efc,
    0x5200002a,0xfb804ffc,0x9731005f,0x5559fffd,0xf7555555,0xba9800df,
    0x3e26fffe,0xfc80007f,0x00bdffff,0x5557ffd4,0xdaaaaaaa,0x0bff74ff,
    0xf92ffdc0,0x7ff980df,0xf91fff80,0xdff500bf,0xfffff900,0xffffffff,
    0x3feabfff,0x2a3ff706,0x0002a6ff,0x027fe520,0xb982ffdc,0xfffffffd,
    0xffffffff,0x7fffffff,0x3fff7260,0x26ffffff,0x00006ffa,0xfffffff9,
    0xfff7039d,0xffffffff,0x32bfffff,0x3ea004ff,0x017ff27f,0xff00fff3,
    0x013ff23f,0x3201bfea,0xffffffff,0xffffffff,0xf30bff75,0x53ffcc7f,
    0x32900001,0xffb804ff,0x7ffff445,0xffedffff,0xffffffff,0x40ffffff,
    0xffffffe9,0x26ffddff,0x00005ffb,0x3fffff6a,0x7fe44fff,0xffffffff,
    0xb6ffffff,0x7cc009ff,0x013ff27f,0xff00fff3,0x013ff23f,0x2201bfea,
    0xfc999999,0x999999df,0xe889ff90,0x87ffc45f,0x9480000a,0xff7009ff,
    0x7ffffccb,0x3ffa1acd,0xaaaaaaac,0x4c2aaaaa,0xbcefffff,0x5cdff709,
    0x800006ff,0xfffffda8,0x5dff70ef,0x55555555,0x3f255555,0x3fea004f,
    0x3013ff27,0xfff00fff,0x2013ff23,0x40006ffa,0xfc804ffb,0x2077ec6f,
    0x002a7ff9,0x27fe5200,0xff2ffe40,0x7f4015df,0x7c40003f,0x3200afff,
    0x1ffe66ff,0x2e600000,0xff52ffff,0xffb8000d,0x9bfee005,0x7cc04ffc,
    0x1fff807f,0xf5009ff9,0xfb8000df,0x7ffa804f,0x3ea07fee,0x00002a6f,
    0x4027fe52,0xfff55ffd,0x07fff003,0x3fe60220,0x6ffd801f,0x2003ffe2,
    0x80104de9,0xff34fff8,0x7d40001f,0x3ff2006f,0x3013ff25,0xfff00fff,
    0x2013ff23,0x40006ffa,0xf9804ffb,0x02ff99ff,0x00549ff9,0x5ffba400,
    0xf95fff80,0xfff300df,0x97ff600d,0xfd006ffb,0x03fff8df,0x3b24ffc8,
    0x6ffb804f,0x1007fff1,0x3fe67dfd,0xfff8802f,0x3013ff23,0xfff00fff,
    0x2013ff23,0x40006ffa,0xf8804ffb,0x104ffbff,0x00547fff,0xfffba400,
    0x57ffee00,0x74406ffc,0x5402ffff,0x3ff23fff,0x7ffe400f,0x2037fe46,
    0x3ee2ffe8,0x7fec00ff,0x003fff24,0x7ec3fff9,0xfffc806f,0x3013ff20,
    0xfff00fff,0x2013ff23,0x40006ffa,0xfb004ffb,0x7dc0dfff,0x0002a0ff,
    0x2fffc520,0x75ffffa8,0x7ec05fff,0x102fffff,0xffa8fffd,0x3ffee03f,
    0x6fffc47f,0x46ffd880,0x2605fff8,0x3fe21fff,0xfff500ef,0x0dfff88d,
    0xc87fff90,0x7fcc04ff,0x91fff807,0xff5009ff,0x801332ad,0xf1004ffb,
    0x3ee03fff,0x000543ff,0xffffb240,0xf9ffd959,0x3fffe2bf,0xfffdb9ad,
    0xcefffc8c,0x1ffffdb9,0x5effff44,0xfeffeba9,0xefffa87f,0xffffdaab,
    0xbefffb81,0x6fffca9a,0xacffffa8,0x0ffffeb9,0xacefffb8,0x83fffeb9,
    0x7cc04ffc,0x1fff807f,0xf5009ff9,0x01fff2df,0x2001aa88,0x9beffffc,
    0xa85fffdb,0x22480000,0xfffffffe,0x2a5ff8bf,0xffffffff,0x7ffdc2ff,
    0x2fffffff,0xffffff30,0x3fe7ffff,0xffffa81f,0x02ffffff,0x3ffffff6,
    0x2a04ffff,0xffffffff,0x3ea01fff,0xffffffff,0x09ff903f,0xf807ff98,
    0x09ff91ff,0x3f2dff50,0x4000007f,0xfffffff8,0x80dfffff,0x8480000a,
    0x2efffffc,0xfd98bff1,0x00ceffff,0xffffffb5,0xffd88019,0x320dffff,
    0xffb104ff,0x0019ffff,0xffffffd5,0xff91007d,0x007fffff,0x3fffff62,
    0x3ff201ce,0x03ffcc04,0xffc8fffc,0x96ffa804,0xfffc8fff,0xffffffff,
    0x3a5fffff,0xffffc8df,0x02a02eff,0xa8812000,0x35310001,0x03551000,
    0x01553100,0x06aa2000,0x0d54c400,0x13531000,0x05544000,0x00000000,
    0xc8000000,0xffffffff,0xffffffff,0xa981dd15,0x0015001a,0x00000900,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfff90000,
    0xffffffff,0x08bfffff,0x99950000,0x99999999,0x0b999999,0x00000000,
    0x00ccb800,0x200001c8,0x01a80038,0x40371000,0x66442cc8,0xc8839912,
    0x3310001c,0x8014c001,0x02ca8038,0x00000000,0xfa800000,0xff9000ff,
    0x007fff4b,0x4007fff2,0xff801ffe,0xfe80002d,0x2a05d444,0x260000ff,
    0x3f202ffc,0xd07fec0f,0x06fe81df,0x00dffb00,0xd100bfe6,0x1ffe409f,
    0x00002a20,0x00000000,0x2005fff0,0x3fe22fff,0x3ffea06f,0x07ffa003,
    0x2fffffe0,0xfffa8000,0xeffffdbd,0x004fffbc,0x2ffffda8,0xfa87ff50,
    0x227fcc3f,0xd8004ff9,0xffd006ff,0x3ffa205f,0x7ffe441f,0x3fa3ff93,
    0x9ffb2eff,0x00fffb80,0xff91ffe2,0xffffffff,0xfc8fffff,0x7ff9805f,
    0x883fffa8,0x74005fff,0xffc801ff,0x001dffff,0x7fffffdc,0xffffffff,
    0x3fae2005,0x880dffff,0x37fc47ff,0x7ec2ffd8,0x7fec002f,0xfffd1006,
    0x2fffe885,0x9fffffe4,0xfffc9ffc,0x0dff52ff,0x202fffe8,0x7fe45ffa,
    0xffffffff,0x7cc7ffff,0x7fe400ff,0x81fffb04,0x4000effd,0x2a001ffe,
    0x2efffffe,0x3fffee00,0xffffcabc,0xfff93005,0x6c019fff,0x17fec2ff,
    0x220fff88,0x2a000fff,0x3a2002aa,0xffd12fff,0x9cff885f,0xfbff93ff,
    0x7c4fffff,0xfff100ff,0x17fe409f,0x3333332a,0xfffccccc,0x403ffe84,
    0xff101fff,0x0fffdcbf,0x00fff400,0x7fffe4c0,0x7d400cff,0xffe881ef,
    0x7fff5404,0xfb802dff,0x02ffdc6f,0xff917fee,0x2000000b,0xfebfffe8,
    0x20c882ff,0xffff93ff,0xffd0a617,0x3fffea05,0x003ffe06,0x82fffc40,
    0x3ea06ffb,0x7ffd406f,0x003fff9a,0x0003ffd0,0x7ffff5c4,0x3ffb01df,
    0x443ffc40,0xcffffffc,0x3fff1001,0x400fffc4,0x3fe23ffe,0x2aaaa62f,
    0xaaaaaaaa,0xd101aaaa,0x05ffffff,0xffc9ffc0,0x5ffb804f,0x1ffdff90,
    0x000bff30,0x403bffa2,0xfb01fff8,0xfff9007f,0xaa80bffd,0xffeaaaaa,
    0x0aaaaaab,0x3fff6600,0x2ffc1eff,0xfb0ffdc0,0x005dffff,0xfe8bffd0,
    0xfff5004f,0xc87ffd41,0xffffffff,0xffffffff,0x3fffa205,0x9ffc002f,
    0x9800fffc,0x9dfd07ff,0x7ff705ff,0x3fff6000,0x41ffec00,0xd000fff8,
    0x801fffff,0xffffffff,0xffffffff,0xeb88002f,0x3fe62fff,0x24ffa804,
    0x001cffff,0x543fff50,0x3a000fff,0xafffc4ff,0xfffffffc,0xffffffff,
    0x3ffa205f,0x7fc002ff,0x400fff93,0x7fc41ffe,0xfe84ffac,0xffc8000f,
    0x6ffa801f,0x2005ffb8,0x802ffff9,0xffffffff,0xffffffff,0xeb88002f,
    0x3fe62fff,0x24ffa804,0x001cffff,0xfd13ffa0,0x3fea009f,0x47ffea1f,
    0xccccccca,0xcccccccc,0xfffd103c,0x7c005fff,0x00dff93f,0x3ea1ffe4,
    0x446ff8af,0xfb8006ff,0x3fe002ff,0x017ff41f,0x05ffff10,0x99999990,
    0x9999bfff,0x64c00399,0x41efffff,0xffb805ff,0x3fffff61,0xff98002d,
    0x03ffe61f,0xfd0fffa0,0x0000007f,0xfd7fffd1,0x3fe005ff,0x400bff93,
    0x7fec5ff9,0x7d41ffd0,0x7fd4003f,0x7fe4003f,0x001ffe64,0x01fffffb,
    0x00fff400,0x3fff6a00,0xffb02dff,0x43ffc403,0xffffffc8,0x3fee000b,
    0x202ffdc5,0x7fdc5ffb,0x0aaaa005,0x2fffe880,0x005fffd1,0x13ff27ff,
    0xff8fff00,0xfd8bff26,0x3fe6001f,0xff98005f,0x8013ff27,0x5ffefffb,
    0x07ffa000,0x3ffee200,0x5400cfff,0xfe881eff,0x7ff5c04f,0xd001dfff,
    0x1ffe85ff,0x441fff10,0x36000fff,0xfd1006ff,0xffe885ff,0xc9ffc02f,
    0x7ec004ff,0x549ff32f,0x01bfe4ff,0x006fff98,0x7f4bffa0,0xfff1001f,
    0x007fff17,0x8007ffa0,0xefffffd9,0xfff7000b,0xfff9579f,0x3f6600bf,
    0x00beffff,0xff31bfe2,0x90bff20d,0xfd8005ff,0xfffd006f,0x3fffa205,
    0x7e4bba01,0x7fd4004f,0x7c43ff74,0x009ff56f,0x003bffa2,0xf9cffb80,
    0x3ffa006f,0x007ffee6,0x2007ffa0,0xdfffffeb,0x7ffdc002,0xffffffff,
    0x22005fff,0xcffffffc,0xb87ff700,0x2ffcc3ff,0x20017fe6,0xf3006ffd,
    0x4fe8805f,0x027fe400,0x7edbfe20,0xfc8ffe87,0xfffd001f,0xff880003,
    0x7003ffcf,0xffe83fff,0x1ffe8006,0xcfffff80,0xfffa8000,0xeffffdbc,
    0x004fffbb,0x2ffffea8,0xfb03ff60,0x207fec1f,0x88000ffd,0x0aa00099,
    0x64002440,0xfd8004ff,0xfc85ff9f,0xb007ffaf,0x00003fff,0x03fffff6,
    0x20fffe60,0x4004fff9,0xff801ffe,0x740000be,0x205d444f,0x20001ffa,
    0x2202ffd9,0x9f7443ed,0x774c2ee9,0x00000001,0xfc800000,0xffb8004f,
    0xff983ffd,0xfc804ffe,0x200002ff,0x005ffffa,0x7dc0dffd,0x3b2001ff,
    0x002d801e,0x2000e200,0x9100001a,0x00000005,0x00000000,0x3f200000,
    0xff88004f,0xfff01fff,0xffb805ff,0xf800003f,0xfc802fff,0x7ff401ff,
    0x0000000e,0x00000000,0x00000000,0x00000000,0x00000000,0x0013ff20,
    0xb03ffff4,0xf980ffff,0xeeeccfff,0x3eeeeeee,0x807ffc80,0x9803fffa,
    0x00005fff,0x00000000,0x00000000,0x00000000,0x00000000,0x13ff2000,
    0x2fffe400,0x80bfff70,0xfffffff9,0xffffffff,0x0000004f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x04ffc800,0x07fff300,
    0x2017ffcc,0xfffffff9,0xffffffff,0x0000004f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2b2e6000,
    0x02f64001,0x16666540,0x0ab2ea20,0x00b32e60,0xaa80f744,0xaaaaaaaa,
    0x0aaaaaaa,0x55555555,0x55555555,0x17995015,0x4c433310,0x43331099,
    0x2a884ccb,0x2f372a20,0x55305001,0x0aaaa215,0x22222222,0x82aaa088,
    0x44442aa8,0x88888888,0x88888888,0xfffff700,0x3fe600bf,0xffd1002f,
    0x501dffff,0x3dffffff,0xfffffb10,0x1ff8803d,0xfffffff0,0xffffffff,
    0x3fffe5ff,0xffffffff,0x222fffff,0x43fffffd,0xff51fffa,0x47ffea5f,
    0x6fb87ffd,0xffffff50,0xdb1017df,0x646fff88,0x7ff42fff,0x27ffffff,
    0x3fe22ffe,0xfffff70f,0xffffffff,0xbfffffff,0xebbeff98,0xffd802ff,
    0xbffb006f,0x889ffb77,0xffecdfff,0xfefffe85,0x3e200fff,0xfffff00f,
    0xffffffff,0x3fe5ffff,0xffffffff,0x2fffffff,0x3f6afff6,0x47ffea1f,
    0xff52fffa,0x21fff63f,0x7fd40efd,0xffffffff,0x6ffdbbdf,0x6c07ffdc,
    0x7fff45ff,0x3a7fffff,0x3ffe22ff,0xffffff70,0xffffffff,0x8bffffff,
    0x2ffc46fd,0x3ffffe20,0x417fd401,0x07fec7fd,0xffa87ff6,0x4bff710c,
    0x54ff0ad8,0x9999992d,0x99999999,0x33325ffd,0xcccccccc,0x51cccccc,
    0x54df70ff,0xfff51fff,0x6c7ffea5,0xfffd87ff,0x337ffea5,0xfffffffe,
    0x7fc6ffff,0x3ffd101f,0x7ffffff4,0x8bffa7ff,0x3310fff8,0x33333333,
    0x33333333,0x88110333,0x7fe404ff,0x39805ffb,0x5541ff70,0x3a2ffa82,
    0x21ff906f,0xbffcfffb,0x40004ffe,0x00002ffc,0xff883fc8,0x2a3fff50,
    0xfff52fff,0x3f206f83,0x7307f52f,0xfffffffd,0x01ffdc3d,0x88897fe6,
    0x20888888,0x0ccc0999,0x20000000,0x401ffeb8,0x01ffb7ff,0x7f65d440,
    0x8ffb000f,0x5ff304ff,0x3fffffae,0x0004efff,0x00017fe4,0xfe817e40,
    0x263fff50,0xfff31fff,0xf9027cc3,0x26006a7f,0xb83defec,0x1995003c,
    0x00000000,0x7ec00000,0x7fdc00ef,0x9809ff54,0xfffffffd,0x4ffb800f,
    0x7c40ffe2,0x7ff5443f,0x900000ae,0x000005ff,0x4ff30bf7,0x7ffc7ff8,
    0xfb8fff10,0x3fffb762,0x00000006,0x00000000,0x00000000,0x403dffdb,
    0x3ffe0ffe,0xdffff500,0x401ff979,0x220dffd8,0x7ff103ff,0x07ffff50,
    0x17fe4000,0x7fc40000,0xf89fb30b,0x3e3ff46f,0xf83bee6f,0x001fffff,
    0x00000000,0x00000000,0x6c400000,0x8bff507f,0xffd03ffb,0x00ffb815,
    0x3e09ffd3,0x85ff304f,0x2ffabff9,0x5ff90000,0x2aaaaaaa,0xaaaaaaaa,
    0x3ffea0aa,0x5fe86ffe,0x97f637ec,0x2acaa85b,0x00000000,0x00000000,
    0x00000000,0x3f60bfea,0x437fc42f,0xffd04ff8,0x05fff501,0xffc837f4,
    0xfd9bfe21,0xfc80001f,0xffffff2f,0xffffffff,0xfe985fff,0x87f904ff,
    0x01fe44fb,0x00000000,0x00000000,0x00000000,0x3f20fb62,0x83ffcc3f,
    0x6fe82ffd,0x5c0fffc8,0x7d401eff,0x17fee0cf,0x0df887f2,0x2ffc8000,
    0xffffffff,0xffffffff,0x0006205f,0x00000000,0x00000000,0x00000000,
    0xffd80000,0x1fffb88a,0xfa827fe4,0xcfffa86f,0x21fffffd,0xaaabfffa,
    0x7fff41aa,0x301ffffd,0x4c000030,0x999990aa,0x99999999,0x00039999,
    0x00000000,0x00000000,0x00000000,0x22000000,0xffffffff,0x007ffc43,
    0xffb03ffd,0x7ff19fff,0x7ffffffc,0x7ec44fff,0x001effff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7ecc0000,0xfb82efff,
    0x2ffdc05f,0x2a0aca88,0xddddd32a,0x207ddddd,0x0002cdba,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00880000,0x2200e65c,
    0x000004cc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x55554c00,0xaaaaaaaa,0xaaaaaaaa,
    0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffffb800,0xffffffff,0xffffffff,0x00000005,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffffb800,
    0xffffffff,0xffffffff,0x00000005,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_41_latin1_x[224]={ 0,3,1,0,1,2,1,1,2,2,1,2,3,1,
3,0,1,3,1,1,0,1,1,1,1,1,3,3,2,2,2,1,1,-1,2,1,2,2,3,1,2,3,0,2,
2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,2,0,0,0,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,1,3,0,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,4,1,0,1,-1,
3,1,1,0,0,2,2,1,0,-1,2,1,0,0,3,2,0,3,1,1,0,2,1,1,0,2,-1,-1,-1,-1,
-1,-1,0,1,2,2,2,2,0,2,-1,0,-1,2,1,1,1,1,1,2,1,2,2,2,2,0,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,0,3,-1,0,1,2,1,1,1,1,1,1,2,2,2,2,2,0,2,0,
 };
static signed short stb__arial_41_latin1_y[224]={ 33,6,6,6,4,6,6,6,6,6,6,11,29,21,
29,6,6,6,6,6,6,7,6,7,6,6,13,13,11,14,11,6,6,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,37,6,13,6,13,6,13,6,13,6,6,
6,6,6,13,13,13,13,13,13,13,7,13,13,13,13,13,13,6,6,6,17,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,33,13,6,6,11,6,
6,6,6,6,6,15,14,21,6,2,6,10,6,6,6,13,6,18,32,6,6,15,6,6,6,13,0,0,0,0,
1,1,6,6,0,0,0,1,0,0,0,1,6,0,0,0,0,0,1,12,5,0,0,0,1,0,6,6,6,6,
6,7,6,5,13,13,6,6,6,6,6,6,6,6,6,7,6,6,6,7,6,12,12,6,6,6,6,6,6,6,
 };
static unsigned short stb__arial_41_latin1_w[224]={ 0,5,11,20,18,29,23,5,9,9,12,18,4,11,
5,11,18,11,18,18,19,18,18,18,18,18,4,4,18,18,18,18,35,26,21,25,23,21,18,26,22,4,16,23,
18,26,22,26,21,27,25,22,22,22,25,35,25,25,22,8,11,8,17,22,8,18,17,18,17,18,12,17,16,4,
8,17,4,27,16,19,17,17,11,16,10,16,18,27,19,19,18,11,4,12,19,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,5,18,20,18,22,
4,18,11,28,13,16,18,11,28,22,11,18,12,12,8,17,20,4,9,8,13,16,30,29,31,18,26,26,26,26,
26,26,35,25,21,21,21,21,8,8,12,11,26,22,26,26,26,26,26,17,27,22,22,22,22,25,21,20,18,18,
18,18,18,18,31,18,18,18,18,18,8,7,13,11,18,16,19,19,19,19,19,18,19,16,16,16,16,19,17,19,
 };
static unsigned short stb__arial_41_latin1_h[224]={ 0,27,11,28,33,28,28,11,35,35,12,18,10,5,
4,28,28,27,27,28,27,27,28,26,28,28,20,26,18,12,18,27,35,27,27,28,27,27,27,28,27,27,28,27,
27,27,27,28,27,30,27,28,27,28,27,27,27,27,27,35,28,35,15,4,6,21,28,21,28,21,27,28,27,27,
35,27,27,20,20,21,28,28,20,21,27,21,20,20,20,28,20,35,35,35,7,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,28,35,28,18,27,
35,35,5,28,14,17,12,5,28,3,11,23,14,15,6,28,35,4,9,14,14,17,29,29,29,28,33,33,33,33,
32,32,27,35,33,33,33,32,33,33,33,32,27,33,34,34,34,34,33,16,30,34,34,34,33,33,27,28,28,28,
28,27,28,29,21,28,28,28,28,28,27,27,27,27,28,26,28,28,28,27,28,16,23,28,28,28,28,35,35,35,
 };
static unsigned short stb__arial_41_latin1_s[224]={ 253,59,142,207,130,150,180,136,59,135,73,
99,154,207,246,240,37,42,215,114,195,100,216,232,235,89,248,251,156,105,118,
234,159,51,78,129,119,1,176,189,1,246,74,134,166,185,212,133,154,104,166,
91,192,1,140,23,114,88,65,145,240,1,14,231,198,109,56,128,1,164,107,
155,54,247,232,24,251,203,231,183,53,71,1,147,143,60,60,13,79,173,41,
241,227,214,169,40,40,40,40,40,40,40,40,40,40,40,40,40,40,40,40,
40,40,40,40,40,40,40,40,40,40,40,40,40,40,40,40,40,253,250,195,
108,137,1,154,116,219,24,32,175,86,207,160,1,124,1,46,1,189,19,69,
250,159,246,59,192,179,210,1,77,1,28,187,214,77,50,71,90,55,77,99,
28,241,121,149,234,24,211,110,33,60,160,1,228,132,87,10,137,188,162,212,
53,74,93,112,193,151,160,77,228,1,20,39,58,246,158,120,234,204,215,96,
187,131,235,33,209,20,170,116,133,223,39,21,1, };
static unsigned short stb__arial_41_latin1_t[224]={ 1,314,387,141,73,171,171,387,1,1,387,
364,387,387,101,107,200,286,258,200,258,258,200,314,200,229,342,314,364,387,364,
258,1,258,258,229,258,314,258,200,286,73,200,286,286,286,286,200,258,107,314,
200,314,229,314,314,314,314,314,1,171,37,387,387,387,342,200,342,200,342,286,
229,286,141,1,286,73,342,342,342,229,229,366,342,258,342,364,366,364,229,366,
1,1,1,387,342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,
342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,342,1,37,1,
229,364,258,1,1,387,229,387,364,387,387,200,403,387,342,387,387,387,200,1,
66,387,364,387,364,107,107,141,171,73,73,37,37,107,107,286,1,73,73,73,
107,37,73,73,73,258,73,37,37,37,37,107,364,107,37,37,37,73,73,229,
141,141,141,141,229,141,107,342,141,171,171,171,171,229,286,286,229,171,314,171,
141,141,286,141,364,342,141,171,171,171,1,1,1, };
static unsigned short stb__arial_41_latin1_a[224]={ 163,163,208,327,327,522,392,112,
196,196,229,343,163,196,163,163,327,327,327,327,327,327,327,327,
327,327,163,163,343,343,343,327,596,392,392,424,424,392,359,457,
424,163,294,392,327,489,424,457,392,457,424,392,359,424,392,554,
392,392,359,163,163,163,276,327,196,327,327,294,327,327,163,327,
327,130,130,294,130,489,327,327,327,327,196,294,163,327,294,424,
294,294,294,196,153,196,343,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,440,
440,440,440,440,440,440,440,440,163,196,327,327,327,327,153,327,
196,433,217,327,343,196,433,324,235,322,196,196,196,338,315,163,
196,196,214,327,490,490,490,359,392,392,392,392,392,392,587,424,
392,392,392,392,163,163,163,163,424,424,457,457,457,457,457,343,
457,424,424,424,424,392,392,359,327,327,327,327,327,327,522,294,
327,327,327,327,163,163,163,163,327,327,327,327,327,327,327,322,
359,327,327,327,327,294,327,294, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_41_latin1_BITMAP_HEIGHT or STB_FONT_arial_41_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_41_latin1(stb_fontchar font[STB_FONT_arial_41_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_41_latin1_BITMAP_HEIGHT][STB_FONT_arial_41_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_41_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_41_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_41_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_41_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_41_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_41_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_41_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_41_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_41_latin1_s[i] + stb__arial_41_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_41_latin1_t[i] + stb__arial_41_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_41_latin1_x[i];
            font[i].y0 = stb__arial_41_latin1_y[i];
            font[i].x1 = stb__arial_41_latin1_x[i] + stb__arial_41_latin1_w[i];
            font[i].y1 = stb__arial_41_latin1_y[i] + stb__arial_41_latin1_h[i];
            font[i].advance_int = (stb__arial_41_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_41_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_41_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_41_latin1_s[i] + stb__arial_41_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_41_latin1_t[i] + stb__arial_41_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_41_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_41_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_41_latin1_x[i] + stb__arial_41_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_41_latin1_y[i] + stb__arial_41_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_41_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_41_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_41_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_41_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_41_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_41_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_41_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_41_latin1_LINE_SPACING
#endif

