// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_42_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_42_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_42_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_42_latin1_BITMAP_HEIGHT        422
#define STB_FONT_arial_42_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_42_latin1_FIRST_CHAR            32
#define STB_FONT_arial_42_latin1_NUM_CHARS            224

#define STB_FONT_arial_42_latin1_LINE_SPACING          27

static unsigned int stb__arial_42_latin1_pixels[]={
    0x44000000,0x2000002a,0xaa9801a9,0x9a988000,0x33100000,0x00cd4003,
    0x0000aa98,0x00335530,0x0d4c4000,0xbddd3000,0x3aa00000,0xfb8002ee,
    0x706fffff,0x7fdc0bff,0x002ffec6,0xf10013f6,0x3e601fff,0x17fe401f,
    0xffffd980,0x8001dfff,0xdffffffb,0x3fffe200,0x017fe402,0x7fff6440,
    0x1cffffff,0xffd88000,0x3f60004f,0x800001ff,0x01fffff9,0x7ffffdc0,
    0x0bff706f,0x3f637fdc,0x3fea005f,0x7ffe4000,0x2037e401,0x75402ffc,
    0xffffffff,0x8801dfff,0xfffffffe,0xfff103ff,0x7fe407ff,0x3ff6a002,
    0xffffffff,0x003effff,0x9ffffd10,0x3ffe2000,0xe8800003,0x00fffdff,
    0x3bbffee0,0x0bff704e,0x3f637fdc,0x7ff1005f,0x3fff8800,0x203ff880,
    0x3f202ffc,0xedefffff,0x01ffffff,0x5e7fffec,0x881ffffd,0x206fffdc,
    0xe8802ffc,0xbcdfffff,0xfffccaaa,0x5c000dff,0x002cdfff,0x000bff90,
    0x65bff600,0x3ee006ff,0xbff7006f,0x2a1e6540,0xffb003cc,0x5ffb8001,
    0x403ff200,0xffb02ffc,0x366019ff,0xf500ffff,0xffd107ff,0x2fff880d,
    0x9805ff90,0x002dffff,0x07ffff6a,0x003ffd80,0x0037fc40,0x1fffb800,
    0x5c013ffa,0x000006ff,0x3fea0000,0x06ff8003,0xc82ffc40,0xfffb82ff,
    0xfff9000e,0x81bfee0d,0x6401fffa,0x5ff903ff,0x077ffd40,0xfffd3000,
    0x03ffe003,0x01551000,0x2aaa0000,0x005554c1,0x00037fdc,0xfb000000,
    0x0000001f,0xfc81ffc8,0x77ffc42f,0x7ffec000,0x404ffd81,0x7dc03fff,
    0x05ff904f,0x0013ffea,0x00effc80,0x0003ffc4,0x00019a88,0x019a8800,
    0x006ffb80,0x30000000,0x00000bff,0x909ff500,0xfffd85ff,0xfff88001,
    0x407ffb85,0xffa80099,0x105ff904,0x00005fff,0x880bffb0,0x950007ff,
    0xdffffffd,0x32a00005,0xeffffffe,0x0dff7002,0xa886aa60,0x2aa000aa,
    0x817fe40a,0x2000aaa8,0xfff00aaa,0x222ffc81,0x20005fff,0xff984efc,
    0xf500004f,0x0bff209f,0xb880fff2,0x2a20aced,0x017ff42a,0x8800fff1,
    0xfffffffd,0x003fffff,0xfffffb10,0x7fffffff,0x006ffb80,0xfff8bff7,
    0x1fff3003,0xf007ffc4,0x3e6007ff,0x9ff900ff,0x3ea2ffc8,0x220002ff,
    0x6fffe400,0x7fd40000,0x985ff905,0x3fee05ff,0xf71fffff,0x05ff98df,
    0xa801ffe2,0xdeffffff,0x5ffffffe,0x7fffd400,0xfffedeff,0x3ee05fff,
    0xbff7006f,0x9006ffc8,0x5ffb8bff,0x8037fe40,0x3ea05ffc,0xb17fe46f,
    0x00001fff,0x5ffffb00,0x2ffd4000,0x7f42ffc8,0xffffb00f,0xf93ffffd,
    0x01ffd09f,0x6401bfe2,0x809dffff,0x0effffc8,0xdffffc80,0xfffc8809,
    0x6ffb80ef,0x98bff700,0xfe801fff,0x01ffec2f,0x2007ffe6,0x7fc02ffe,
    0xe8bff20f,0x000007ff,0xfffffe98,0xffa8000d,0x545ff905,0xfffb03ff,
    0x7fff4c39,0x3ffa82ff,0x300dff30,0x2007ffff,0x405fffe8,0x003ffff9,
    0x70bfffd1,0x3ee00dff,0x04ffe85f,0x7fc3ffcc,0x4ffe802f,0x403ffcc0,
    0x3ff22ffe,0x001bffe2,0x7dff9000,0x007fffff,0xf906ff98,0x407fe45f,
    0xf103fffb,0xf103ffff,0x1bfe609f,0x003fffa0,0x80bfff60,0x8000fffe,
    0x7dc2fffd,0xbff7006f,0xc80fff70,0x7ffcc4ff,0x07ffb801,0x6c027fe4,
    0x8bff25ff,0x00005fff,0xd893ff20,0x000effff,0x3f20fff1,0x2217fe2f,
    0x7dc03fff,0x17fe07ff,0x2a027fd4,0x10003fff,0x3ea0ffff,0xf10003ff,
    0x6ffb8fff,0x10bff700,0x7fc03fff,0x07ffd41f,0x00fffc40,0xf9003fff,
    0x897fe4df,0x00004fff,0x7dc1bfa0,0xd002ffff,0x5ff903ff,0x3f20bfea,
    0xfff8807f,0x6c1bfa05,0x3fe202ff,0x7dc0006f,0x7ffc42ff,0x7fdc0006,
    0x01bfee2f,0xfd82ffdc,0x0dff504f,0x6c00fff7,0xdff504ff,0x89fff200,
    0x17ffe099,0x7fcc0000,0x3fff6204,0x6ffb802f,0xff92ffc8,0x03fff881,
    0x7c09fff0,0x07ffa85f,0x0017ffd4,0x2a2fffc0,0x80002fff,0x3fee5fff,
    0x0bff7006,0x7ec1ffea,0x06ffc83f,0x6c1ffea0,0xff7003ff,0x0dfff00f,
    0x3fea0000,0xffffb805,0xceffe801,0x3f25ff90,0x00fffb87,0x2605fff0,
    0x3ff6a4ff,0x7ffdc02f,0xffd80000,0x03ffee0f,0x3fff6000,0x200dff70,
    0x3fe05ffb,0x07ffc42f,0x2002ffe4,0x7fc42fff,0xfff5000f,0x07ffe801,
    0xfff10000,0xbfff5001,0x7fff9100,0x3fecbff2,0x98037fe4,0xff700fff,
    0x00f7ffc5,0x0003ffe4,0x321fffa8,0x500007ff,0x3fee3fff,0x0bff7006,
    0x3ee2ffe4,0x0bffb05f,0x5c5ffc80,0x3e6005ff,0x7fe400ff,0x0540001f,
    0x4006fffc,0xd1007ffc,0x4bff27ff,0x5ffe86fe,0x40fff500,0x3ffe1ffd,
    0x0dffd004,0x3ffe6000,0x001bffa2,0xb97ffcc0,0xff7006ff,0x07ffcc0b,
    0x3f205ffd,0x7fcc006f,0x00bffa0f,0xa807ffa8,0x20002fff,0x3ea2eff9,
    0x7cc01eff,0x7f4c00ff,0x25ff92ff,0x3fff85ff,0x40bff700,0x7fff47ff,
    0x2fffc00e,0xfff98000,0x0017ffe3,0xb9fffcc0,0xff7006ff,0x33ffe80b,
    0x7fdc0fff,0x3ffe8007,0xc800fff3,0xfff007ff,0x7fe40009,0x7fffe41f,
    0x01ffe204,0x6417fff1,0xd0dfd2ff,0x3fe007ff,0x09ff703f,0x440bffb3,
    0x00004fff,0x3e27fff1,0x100004ff,0x3fee7fff,0x0bff7006,0xff75ffb8,
    0x07ffd409,0x5d7fee00,0x7ec004ff,0xb0732a6f,0x10003fff,0x3ee0dfff,
    0xfb82efff,0x27fdc05f,0x7fd97fe4,0xb804ffc8,0xffa81fff,0x3fff100e,
    0x013ffe20,0x9fffcc00,0x0004fff8,0x2e7fff30,0xff7006ff,0x8fff880b,
    0x3ea01ffd,0x7c4001ff,0x01ffd8ff,0xf92fff40,0x5fff885f,0x2fffd800,
    0x3ffffa60,0x01fff50c,0xfc80ffe8,0xa81ff92f,0x7fc406ff,0x2fff987f,
    0xf01ffdc0,0x20000bff,0x3fe2fffa,0xf500005f,0x1bfee5ff,0x402ffdc0,
    0x06ffbffd,0x001fffc4,0x37fdffec,0x927ffc00,0xfff905ff,0x3ff2001d,
    0xfff9006f,0x03dffbff,0xf906ff98,0x10bfee5f,0x3a205fff,0x7f446fff,
    0x5ffa805f,0x001bffa0,0xd0fffdc0,0x20000dff,0xff71fffb,0x17fee00d,
    0x3ffffea0,0x04ffe803,0xfffffa80,0x7ffc4003,0x740bff21,0x80acffff,
    0x00ffffe9,0x3ffffa60,0xbff3003f,0x7c4bff20,0x2fffd85f,0x7fffffd4,
    0x0efffc89,0x206ff980,0x00007ffd,0x7ec1fff9,0xf900007f,0x1bfee1ff,
    0x802ffdc0,0x800fffff,0xf0005ffb,0x8001ffff,0x7fe47ffa,0xffffd102,
    0xfffd9bff,0x20003fff,0x005ffffb,0x3f20bff5,0x203ffa2f,0xffdefffe,
    0xfffffcdf,0x26005fff,0x3fea06ff,0xfe80001f,0x0fffd45f,0x2fff4000,
    0x2e00dff7,0xff9005ff,0x3fe600bf,0xfff90006,0x9ff7000b,0x6c02ffc8,
    0xffffffff,0x001dffff,0x27fff4c0,0xc82ffd40,0x0ffee2ff,0x3fffffa2,
    0xfffff33f,0xf88007ff,0x37ffc07f,0x3ffee000,0x006fff82,0x717ffdc0,
    0x3ee00dff,0xfff3005f,0x0fffc005,0x17ffcc00,0x217fec00,0xc8802ffc,
    0xffffffff,0x2200001e,0x5401fffd,0x5ff905ff,0x440fff44,0x541befda,
    0x980bdefe,0x7ff881aa,0x017ffe40,0x0ffff880,0x002fffc8,0x41ffff10,
    0xf7006ffb,0x3fe200bf,0x2ffdc007,0x03ffc400,0x6437fcc0,0x7c4002ff,
    0x20001acf,0x04ffe800,0xfc827fd4,0x07ffcc2f,0x3ea00000,0x7ff880ff,
    0x07fffc40,0x1fffec00,0x00ffff88,0x43fffd80,0xf9006ffb,0x3fee00bf,
    0x7ffc4004,0x27fdc000,0x41ffec00,0x4c002ffc,0xd30003ff,0xffc801ff,
    0x827fd406,0xffb82ffc,0x3000000e,0x3e203fff,0xfffa807f,0xffd1002f,
    0xfffa80bf,0xffd1002f,0x0dff70bf,0x4013ff20,0xb8001ffe,0x7f4004ff,
    0x7fc4001f,0x005ff907,0x02efffa8,0x403fff80,0x7dc05ffc,0x05ff904f,
    0x000ffff6,0x07fff900,0xf9007ff8,0x2203bfff,0x00fffffa,0x1dffffc8,
    0xfffff510,0x00dff701,0x2e013ff6,0xf10005ff,0x3ee001ff,0xffc8005f,
    0x005ff903,0x001ffe20,0x4403fff6,0x7ec03fff,0x05ff902f,0x0bbfffa2,
    0xffea8800,0x2fff804f,0xfffff700,0xffffb9df,0x5c001dff,0xceffffff,
    0xeffffffd,0x33dff700,0xfffb8413,0xffdbab82,0x3ee0001f,0xfb75703f,
    0xf88003ff,0x0bff206f,0x07ffc400,0x3bffe600,0xfffd711b,0x3ffea201,
    0x805ff900,0xadfffffc,0x7fed4c01,0xf9001eff,0xd30015bf,0xffffffff,
    0x0009ffff,0x3fffffa6,0x4fffffff,0x7ffffdc0,0xfffff36f,0x3ffffa0f,
    0xfe80004f,0xfffffd07,0x3ff90009,0x8017fe40,0x4fffecc9,0xffff7000,
    0x5fffffff,0xdfffff10,0x4017fe40,0xffffffe9,0xfffeeeff,0x002fffff,
    0x27ffffcc,0xffffda80,0x000befff,0xffffda80,0x800befff,0x6ffffffb,
    0x05fffff7,0x017ffff6,0x41ffc400,0x005ffffd,0x6404ff88,0xff7002ff,
    0x0001dfff,0x7fffff54,0xff101fff,0x7e401fff,0x3f26002f,0xffffffff,
    0x04ffffff,0x3fffee00,0xaaa98004,0x20000009,0x0009aaa9,0x55555544,
    0x039bdb52,0x001676d4,0x2a1bee00,0x70002ced,0x5ff900df,0x33332a00,
    0x32e00002,0x200abded,0x400beef8,0x20002ffc,0xeeedcba9,0x00000bcd,
    0x0009dd93,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x02eeec80,
    0x775c0000,0x3fe6001e,0x3ee7ffff,0x4400005f,0xffffedcb,0x2fffffff,
    0x0072e000,0x001eeed8,0x77754000,0x2aa60004,0x000d5542,0x02777540,
    0x01530000,0x0deee880,0xdfff1000,0x7cc00000,0x3000ffff,0x4fffffff,
    0x00005ffb,0x3fffffee,0xffffffff,0x3a0002ff,0x3fe6001f,0x4000005f,
    0x0000fffe,0xffd17ff2,0x3f600009,0x000001ff,0xfb8003f9,0x4c0002ff,
    0x00002fff,0xffdfff88,0xdddd3006,0x2ffdcfff,0x7ff44000,0xffffffff,
    0x2fffffff,0x00ff1000,0x003fff50,0x3ffea000,0x7fe40002,0x0027ff45,
    0x05ffe880,0x3f2a2000,0xff002bef,0x2e00009f,0x800006ff,0xbffb5ffe,
    0x4fff3000,0x80005ffb,0xfffffffc,0xffb999cf,0x7000099d,0x3f2000bf,
    0xd000005f,0x900007ff,0x4ffe8bff,0x3fe20000,0x6440000f,0xffffffff,
    0x1bfee02e,0x5ff90000,0x7fe40000,0x07fff10f,0x2e7ff980,0x4c0005ff,
    0xffffffff,0x027fdc3f,0x001fec00,0x0003ffb0,0x005ff980,0xa8555300,
    0x400001aa,0x20004ffa,0xffffffe8,0xf02fffff,0x000001ff,0x40000355,
    0x554c1aaa,0x3ffcc002,0x8000bff7,0xfffffffc,0x27fdc3ff,0x007fc000,
    0x00355100,0x00aa9800,0x00000000,0x002a9800,0x2bbfff60,0xffffcafc,
    0x000d5441,0x00cd4400,0x00000000,0xff73ffcc,0xffd8000b,0x3fffffff,
    0x00027fdc,0x00001bea,0x00000000,0x0003fff8,0x0001fff7,0x7fd40000,
    0x7cc7f23f,0x000005ff,0x7ffff654,0x3e002eff,0xf70003ff,0x3fe601ff,
    0xca97fee7,0x3a00bdee,0xffffffff,0x027fdc3f,0xfddf9510,0x01fffc09,
    0x20fffb80,0x70003fff,0x7ffc1fff,0xfff70003,0xfffd0001,0x3ff20003,
    0xffb0fe47,0x07ffb81f,0xffffb100,0xffffffff,0x07fff007,0x03ffee00,
    0xff73ffcc,0xfffffb1b,0x3ffa09ff,0x3fffffff,0x4c027fdc,0xfffffffe,
    0x07fff03f,0x83ffee00,0x70003fff,0x7ffc1fff,0xfff70003,0xfff98001,
    0xffd0005f,0x3e61fc89,0x3ffdc1ff,0x7fffd400,0xfffedeff,0x7fc05fff,
    0xff70003f,0x9ffe601f,0xfffeeffb,0x85ffffed,0xfffffffd,0x27fdc3ff,
    0x3ffffea0,0x85ffffed,0x70003fff,0x7ffc1fff,0xfff70003,0x001fffc1,
    0x000fffb8,0x07ffffe4,0x20fffc00,0xb804c1fc,0x7e4007ff,0x8809dfff,
    0x00effffc,0x20007fff,0xf300fffb,0x7fffdcff,0x4fffd83f,0x7fffffdc,
    0x7fdc3fff,0x3bffe204,0xfffff70a,0x003fff87,0x7c1fff70,0xf70003ff,
    0x1fffc1ff,0x0fffb800,0x7efffc00,0xffe8003f,0x7000fe44,0x7cc00fff,
    0xd1003fff,0x3fe0bfff,0xff70003f,0x9ffe601f,0x201ffffb,0x3e20fffc,
    0xffffffff,0xb027fdc3,0xafd83fff,0x7ffc6ffe,0xfff70003,0x001fffc1,
    0x3e0fffb8,0xf70003ff,0x7d4001ff,0x006ffacf,0x7e46ffc8,0x1ffee001,
    0x00fffe80,0x82fffd80,0x70003fff,0x3e601fff,0x13ffee7f,0xa87fff10,
    0xffffffff,0x9827fdc3,0x7fc43fff,0x3e2fff98,0xf70003ff,0x1fffc1ff,
    0x0fffb800,0x4000fffe,0x2000fffb,0x3fff2ffd,0x3fffa800,0xfb8007f2,
    0xfff5007f,0x3fe20007,0x03fff87f,0x01fff700,0xffb9ffe6,0x5ffb800f,
    0xffffffa8,0x827fdc3f,0x6fa87ffb,0xfff82b2e,0xfff70003,0x001fffc1,
    0x3e0fffb8,0xf70003ff,0x3e2001ff,0x0bff90ff,0xffffe880,0x2e001fca,
    0xff8807ff,0x7dc0006f,0x1fffc2ff,0x0fffb800,0x7dcfff30,0xdff3006f,
    0x3fffb220,0x827fdc3f,0x3fc85ffd,0x003fff80,0x7c1fff70,0xf70003ff,
    0x1fffc1ff,0x0fffb800,0x54dff700,0x44000fff,0xcffffffe,0x0fff7000,
    0x005fff50,0xf8bfff00,0xf70003ff,0x3fe601ff,0x4017fee7,0x4400fff8,
    0x7fdc3ffc,0xf09ffd04,0x7fff003f,0x3ffee000,0x000fffe0,0xff07ffdc,
    0x3ee0007f,0xffd000ff,0x003fff87,0xfffffd88,0x7dc03eff,0xfffb807f,
    0xffd80000,0x00fffe0f,0x807ffdc0,0x3fee7ff9,0x07ffe004,0xf70fff20,
    0x0fffe09f,0x3fe00ff3,0xff70003f,0x01fffc1f,0x20fffb80,0x70003fff,
    0xf3001fff,0x6ffc81ff,0x3ff22000,0x01efffff,0xf900fff7,0x2a0000ff,
    0x3ffe1fff,0xfff70003,0xb9ffe601,0x3fe003ff,0x3ffc802f,0xff827fdc,
    0x8027dc2f,0x70003fff,0x7ffc1fff,0xfff70003,0x001fffc1,0x800fffb8,
    0xff985ffd,0xfd80002f,0x82fffffe,0xfe807ffb,0xf300006f,0x1fffc5ff,
    0x0fffb800,0x7dcfff30,0xfff1004f,0x87ff9001,0xffd04ffb,0xf002fe87,
    0x2e0007ff,0x3ffe0fff,0xfff70003,0x001fffc1,0x400fffb8,0xfd02fff8,
    0xf90000bf,0x1ffff933,0xf807ffb8,0x300005ff,0x7ffc7fff,0xfff70003,
    0xb9ffe601,0xff3005ff,0x0fff200f,0x3fa09ff7,0x103fe25f,0x000fffe0,
    0xff07ffdc,0x3ee0007f,0x0fffe0ff,0x07ffdc00,0xb81ffee0,0x40000fff,
    0x3ffea1fc,0x203ffdc4,0x0004fff8,0x7c7fff10,0xf70003ff,0x3fe601ff,
    0x401bfee7,0xf9005ffa,0x04ffb87f,0x2fd4dffb,0xfff2ffdc,0x3fee0007,
    0x00fffe0f,0xf07ffdc0,0x2e0007ff,0x7f400fff,0x3ffe204f,0x0fe40003,
    0xff71bffa,0x4fff880f,0xfff30000,0x001fffc7,0x300fffb8,0x7ffdcfff,
    0x03ffe801,0xfb87ff90,0x1fff504f,0x3ff60ff2,0x000fffe3,0xff07ffdc,
    0x3ee0007f,0x0fffe0ff,0x07ffdc00,0x803fff30,0x40007ffd,0x3ffe41fc,
    0x3e01ffee,0x500005ff,0x7ffc5fff,0xfff70003,0xb9ffe601,0x7d405fff,
    0xff9001ff,0x204ffb87,0x83ff5fff,0x3fe1fff9,0xff70003f,0x01fffc1f,
    0x20fffb80,0x70004fff,0xffc80fff,0x2fffa806,0x321bb6a0,0x07ffd41f,
    0xfd00fff7,0x2e0000df,0x3ffe1fff,0xfff70004,0xf73ffcc0,0x3ea09fff,
    0x3f2005ff,0x027fdc3f,0x8ff9fff7,0x7fc5ffe8,0xff70004f,0x004fff8f,
    0xff8fff70,0xff90004f,0xfffff80f,0xffffffff,0x3ea05fff,0x541fc87f,
    0x3ffdc7ff,0x003ffec0,0x20fffc80,0x90004fff,0x7fcc0fff,0x3ffffee7,
    0xfffdbabe,0x3ff2000f,0x2027fdc3,0xa9effffd,0x7c0efffc,0xf90004ff,
    0x04fff8ff,0xe8fff900,0xfb0004ff,0x7ffd40ff,0xffffffff,0x00ffffff,
    0xfc85fff1,0x2e2ffe41,0xffa807ff,0xfe80001f,0x027ff45f,0x207ffd80,
    0x3fee7ff9,0xffffffcd,0x64000eff,0x27fdc3ff,0x3ffff620,0x81efffff,
    0xb0004ffe,0x4ffe8fff,0x8fffb000,0xd0006ffd,0x7fec0dff,0xeeeeeeef,
    0x4fffeeee,0xf91bff60,0x21fffc43,0xff007ffb,0xfb8000df,0x37fec2ff,
    0x06ffe800,0xffb9ffe6,0xbfffff55,0x3ff20005,0x8027fdc3,0xfffffffb,
    0x01bff603,0x3637ff40,0xfd0006ff,0x0fffb8df,0x27ffc400,0x003fff88,
    0xf703fff4,0xa8fe4bff,0xffb86ffe,0x5fff9007,0x3ffe2000,0x07ffdc0f,
    0x13ffe200,0x3ee7ff98,0x000d445f,0x2e1ffe40,0xdf7004ff,0xf7003575,
    0xf88001ff,0x7ffdc4ff,0x7ffc4000,0x02fffcc4,0x40bfff20,0x4000fffb,
    0x3602fffb,0xcfdbefff,0xb82ffffe,0xff1007ff,0xfb0001ff,0xfff307ff,
    0xfffc800b,0xb9ffe602,0x000005ff,0xff70fff2,0x00ff6009,0x017ffe60,
    0x985fff90,0x64005fff,0xffe82fff,0xfff3004f,0x02fff40d,0x02fffc40,
    0x3ffffff2,0x702fffff,0x7d400fff,0xd1002fff,0x7f40bfff,0xff3004ff,
    0x7ff980df,0x00017fee,0x5c3ffc80,0xff8804ff,0xfffd0001,0x3ffe6009,
    0x09fffd06,0x41bffe60,0x0adffffa,0x2ffffd98,0x005fff30,0x007fff20,
    0xffffffb7,0x7fdc01bf,0x7ffe4007,0xff5101df,0x7d401fff,0x980adfff,
    0x402ffffd,0x3fee7ff9,0x32000005,0x27fdc3ff,0x00037d40,0x15bffff5,
    0x5ffffb30,0x37fffea0,0xfffd980a,0x3fff202f,0xfffeffff,0x3204ffff,
    0x260007ff,0x51004fff,0x2e0039fd,0xfb8007ff,0xdcefffff,0x0effffff,
    0xfffffc80,0xfffffeff,0x733304ff,0x2ffdcfff,0xff900000,0x804ffb87,
    0x640004fc,0xefffffff,0x4fffffff,0x7ffffe40,0xfffffeff,0xffb804ff,
    0xffffffff,0x7fc03fff,0x7f40004f,0x0fe4007f,0x00fff700,0x3ffffa60,
    0xffffffff,0x7ffdc004,0xffffffff,0xfff303ff,0x7fdcffff,0x32000005,
    0x27fdc3ff,0x0000ffc0,0x7fffffdc,0x3fffffff,0xfffff700,0xffffffff,
    0x7f5c4007,0xbfffffff,0x0fffd400,0x3ffee000,0x007f2002,0x0007ffb8,
    0x7ffffed4,0x0000beff,0xfffffd71,0x4c017fff,0x27ffffff,0x00005ffb,
    0xf70fff20,0x07f9809f,0x3fae2000,0xbfffffff,0x7f5c4000,0xbfffffff,
    0x2a660000,0x360019aa,0x880006ff,0x2e006fff,0x3fee001e,0x2a600007,
    0x000009aa,0x0cd554cc,0xaaaaa880,0x00aaa62a,0x0aa98000,0x4400d544,
    0x33000002,0x00033555,0x26aaa660,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2eeec800,0xddb00000,0x0000001b,0x0009ddd5,
    0xeb82ca80,0x3b620004,0x000001ee,0x0009ddd3,0x009ddb10,0x21554c00,
    0x32002aa9,0x76403eee,0x355500de,0x8800aaa8,0xf30000aa,0x00000bff,
    0x017ffff2,0x3ffa0000,0xf500000f,0xf55bffff,0xfa80009f,0x000005ff,
    0x0001fffd,0x09ffffd0,0x1ffee000,0x4400bff9,0x3ee07ffe,0xfff06fff,
    0x017ffc47,0x8000ffdc,0x0000effc,0xfdfffa80,0x2000004f,0x0001fffa,
    0x3ffbff60,0x001fffff,0x00fffb80,0x7ffcc000,0xffc80002,0x0002ffee,
    0x7e47ffb8,0x7fcc005f,0xdfff983f,0x3fff84ff,0x200bffe2,0xf10006fd,
    0x000003ff,0xff15fff1,0x2000005f,0x00003ffe,0x75c47fe2,0x00002eff,
    0x00013ff2,0x0009ffb0,0xf33fff50,0xb80003ff,0x2ffe47ff,0x237fd400,
    0xffd3fff8,0x223fff87,0xff802fff,0x5ff90004,0x3fa00000,0x07ffea5f,
    0x9ff50000,0x2a880000,0x00000310,0x00003ffa,0x0002ffcc,0xf91fffc4,
    0x4c0001df,0x1554c2aa,0x22ffc800,0x3fea6ffe,0x506aaa1f,0xff980155,
    0x05550002,0x2aa20000,0x00d5540a,0x00aa6000,0x4d440000,0x22000001,
    0x300001aa,0x30000155,0xaaa88555,0x2a200001,0x55000019,0x502aaa23,
    0x00000555,0x00001ff7,0x00000000,0x00000000,0xffd95000,0x005dffff,
    0x00000000,0x00000000,0x7f654000,0x02efffff,0x40000000,0x74007ffb,
    0x3fa0006f,0x000001ff,0x000ffff4,0x002fffe4,0x00ffff20,0xffffffb1,
    0x07ffffff,0xfffffff0,0xffffffff,0xff87ffff,0xffffffff,0xffffffff,
    0x7ffffc3f,0xffffffff,0x03ffffff,0xfffffd88,0x3fffffff,0x81ffee00,
    0xf7007ffb,0x7fc400ff,0xfff30003,0x400000bf,0x005ffff9,0x005fffd0,
    0x017ffe60,0xdffffff5,0xffffffdb,0xfffff80b,0xffffffff,0x43ffffff,
    0xffffffff,0xffffffff,0x7ffc3fff,0xffffffff,0xffffffff,0x7fffd403,
    0xfffedeff,0xf7005fff,0x3ffdc0ff,0x007ffb80,0x40007fea,0x00fffffc,
    0xfff90000,0xf30001ff,0xd0001fff,0x7e401fff,0x8809dfff,0x00effffc,
    0xffffffff,0xffffffff,0xfff87fff,0xffffffff,0xffffffff,0x7fffffc3,
    0xffffffff,0x203fffff,0x09dffffc,0xeffffc88,0x03ffdc00,0x2e00fff7,
    0x3f2007ff,0x3ffe0007,0x00003ffd,0x7ffbfff0,0x3fff2000,0x7ffe4004,
    0x3fffe603,0xfffd1003,0x273ffe0b,0x99999999,0x40999999,0x9999cfff,
    0x99999999,0x7ffc0999,0x9999999c,0x99999999,0x7ffff300,0x3fffa200,
    0x03ffdc05,0x2e00fff7,0x3fe007ff,0x9ff50005,0x0000dff5,0xff59ff50,
    0x7ff4000d,0xfff3001f,0x0fffe80b,0x2fffd800,0x0003fff8,0x001fffc0,
    0x00fffe00,0x7fff4000,0xfffd8000,0x81ffee02,0xf7007ffb,0x3fe600ff,
    0x5ffb0002,0x00007ffe,0x3fe5ffb0,0xff30001f,0x3ffa00df,0x3ffea00f,
    0xfff10003,0x007fff0f,0x03fff800,0x1fffc000,0x7fd40000,0xff10003f,
    0x3ffdc0ff,0x200fff70,0xf7007ffb,0xff10001f,0x017ff21f,0x0fff8800,
    0x4000bff9,0x6404fffc,0x3e202fff,0x5c0006ff,0x7ffc2fff,0x7fc00003,
    0x7c00003f,0x400003ff,0x0006fff8,0xb817ffdc,0x3fee07ff,0x0fff7007,
    0x4001bf60,0x3fea6ffb,0xf700000f,0x07ffd4df,0xfffe8800,0x09fff301,
    0x002fffa8,0x7c5fff80,0x400003ff,0x00003fff,0x0001fffc,0x00bffea0,
    0x417ffe00,0x3ee07ffb,0xfff7007f,0x009ff100,0xff0fffa0,0x3a00007f,
    0x1fffc3ff,0xdfff3000,0x003bffa0,0x0001fff7,0x7c1fffb0,0x400003ff,
    0x00003fff,0x0001fffc,0x003ffee0,0x03fff600,0xfb81ffee,0xfff7007f,
    0x003ff500,0xc81fff30,0x980006ff,0x7fe40fff,0x7fe40006,0x0fffdc3f,
    0x003ffe40,0x21fffa80,0x00003fff,0x0001fffc,0x000fffe0,0x00fff900,
    0x07ffea00,0xfb81ffee,0xfff7007f,0x000ff900,0x3e617ff6,0x6c0002ff,
    0xfff985ff,0x3fa20002,0x9fff10ff,0x01bffa00,0x17ffcc00,0x00007fff,
    0x0003fff8,0x001fffc0,0x01bffa00,0x17ffcc00,0xf703ffdc,0x3fee00ff,
    0x005fe807,0xd02fff88,0x44000bff,0xffd02fff,0xff98000b,0x00dffb5f,
    0x0002fffc,0x3e3fff98,0xaaaaadff,0xaaaaaaaa,0xadfff80a,0xaaaaaaaa,
    0xf80aaaaa,0xaaaaadff,0xaaaaaaaa,0x05fff80a,0x7fff3000,0x5c0fff70,
    0xff7007ff,0x03ff880f,0x207ffb80,0x0000fffb,0x7dc0fff7,0x640000ff,
    0x1fffcfff,0x09fff100,0x3ffe2000,0x3fffffe3,0xffffffff,0xff82ffff,
    0xffffffff,0xffffffff,0xffffff82,0xffffffff,0x7c42ffff,0x100004ff,
    0xff707fff,0x03ffdc0f,0x5c07ffb8,0xfe8000ff,0x3ffe204f,0x9ffd0003,
    0x01fffc40,0x3fffa200,0x3e2003ff,0x300004ff,0x7ffc7fff,0xffffffff,
    0x2fffffff,0xfffffff8,0xffffffff,0xfff82fff,0xffffffff,0x2fffffff,
    0x0027ffc4,0x83fff980,0x3ee07ffb,0xfff7007f,0x8006fd80,0x6c01fff9,
    0xf98007ff,0x7fec01ff,0xffa80007,0xff8006ff,0xf500005f,0x77ffc5ff,
    0xcccccccc,0x81cccccc,0xccccefff,0xcccccccc,0xefff81cc,0xcccccccc,
    0x81cccccc,0x00005fff,0xf705fff5,0x3ffdc0ff,0x407ffb80,0xfc8004ff,
    0xfffa806f,0x37fe4002,0x017ffd40,0x0fffec00,0x037ff400,0x1fffb800,
    0x0000fffe,0x0007fff0,0x003fff80,0x037ff400,0x1fffb800,0x2e07ffb8,
    0xff7007ff,0x017fcc0f,0x7fffffc0,0xffffffff,0x7fc005ff,0xffffffff,
    0x05ffffff,0x07ffb800,0x00fffb00,0x83fff200,0x00003fff,0x0001fffc,
    0x000fffe0,0x00fffb00,0x03fff200,0xfb81ffee,0xfff7007f,0x0007fe40,
    0x3fffffea,0xffffffff,0xf5000fff,0xffffffff,0xffffffff,0xffb80001,
    0xfff50007,0xffd00003,0x003fff8b,0x01fffc00,0x0fffe000,0xfff50000,
    0xffd00003,0x81ffee0b,0xf7007ffb,0x037f40ff,0x777ffec0,0xeeeeeeee,
    0xb004fffe,0xdddddfff,0xffdddddd,0xfb80009f,0x3fe0007f,0x7dc0006f,
    0x1fffc2ff,0x3ffe0000,0x7fc00003,0xf800003f,0x5c0006ff,0xff702fff,
    0x03ffdc0f,0xf107ffb8,0xff88007f,0x7ff4003f,0x3fff8807,0x03fff400,
    0x01ffee00,0x02fffc80,0x1ffff100,0x0003fff8,0x001fffc0,0x00fffe00,
    0x3fff2000,0xfff10002,0x1ffee01f,0x7007ffb8,0x3fea0fff,0x7ffdc001,
    0x7ffdc000,0x07ffdc02,0x0bffee00,0x07ffb800,0x3fffe200,0xfffd8000,
    0x003fff83,0x01fffc00,0x0fffe000,0x3fe20000,0xfd8000ff,0x3fee03ff,
    0x01ffee07,0xfc83ffdc,0x5ffe8007,0x5fff8800,0x002fff40,0x002fffc4,
    0x000fff70,0x02ffffa8,0x0bfffd10,0x0000fffe,0x0007fff0,0x003fff80,
    0xffff5000,0x3ffa2005,0x3ffdc05f,0x200fff70,0x35507ffb,0x2fff9800,
    0x3fff9000,0x00bffe60,0x00fffe40,0x007ffb80,0xdffffc80,0xffff5101,
    0x0fffe01f,0x7fff0000,0xfff80000,0x32000003,0x101dffff,0x01fffff5,
    0x2e07ffb8,0xff7007ff,0xfc80000f,0x3e60007f,0xfff904ff,0x7ffcc000,
    0xfff70004,0x3fee0000,0xfdceffff,0x00efffff,0x26673ffe,0x99999999,
    0x7fc19999,0x999999cf,0x99999999,0x4e7ffc19,0x99999999,0x01999999,
    0x7fffffdc,0xfffffdce,0xffb800ef,0x01ffee07,0x0003ffdc,0x0013ffe0,
    0x3e0fffd0,0x740004ff,0xf70007ff,0x4c0000ff,0xfffffffe,0x804fffff,
    0xffffffff,0xffffffff,0x7ffc7fff,0xffffffff,0xffffffff,0x7fffffc7,
    0xffffffff,0x807fffff,0xffffffe9,0x04ffffff,0xb81ffee0,0xff7007ff,
    0x7d40000f,0x5c0001ff,0x7fd42fff,0x7dc0001f,0xfb8002ff,0xa800007f,
    0xfffffffd,0xfff000be,0xffffffff,0xffffffff,0xffffff8f,0xffffffff,
    0x7c7fffff,0xffffffff,0xffffffff,0x36a007ff,0xefffffff,0x7fdc000b,
    0x01ffee07,0x0003ffdc,0x000dffb0,0xd8dfff10,0x880006ff,0xb8006fff,
    0x000007ff,0x004d554c,0x7fffffc0,0xffffffff,0x7c7fffff,0xffffffff,
    0xffffffff,0x7fffc7ff,0xffffffff,0x7fffffff,0x35553000,0x7fdc0001,
    0x01ffee07,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x2aa20aaa,0x2200000a,
    0x03ec82cb,0x00ba8000,0x17930000,0x2000ee98,0x2a20aaa8,0x2200002a,
    0x000009a9,0x004d4c40,0x026201d4,0x03551000,0x00002620,0x2aa60553,
    0x2fff800a,0x0007ffe6,0x7ffffdc0,0x003ffaad,0x3fbfe600,0x3a200003,
    0xd9beffff,0x7fcc007f,0x03ffea1f,0xfffda800,0x002dffff,0xffffb300,
    0xf305dfff,0x17fa207f,0x01ffb000,0x000bfd10,0xfc827fcc,0xfff801ff,
    0x007ffe62,0x7f7ff400,0x00ffffff,0x7a976000,0x3fee0000,0xfffffffe,
    0x7ffcc004,0x003ffea1,0x3ffffea0,0xefffffff,0xffd30002,0xffffffff,
    0x3ffe23df,0x05fff980,0x00bfee00,0x0017ffe6,0xf900efe8,0xfff003ff,
    0x00fffcc5,0x887fcc00,0x002effeb,0x0be17c00,0x527ec000,0x0019fffb,
    0x2a1fff98,0x64000fff,0xdeffffff,0x4ffffffe,0x7fffdc00,0xfffedeff,
    0x1ffedfff,0x2ffffe44,0x05ff9800,0x2ffffe44,0x01ffc800,0x2007fff2,
    0x2aa20aaa,0xa980000a,0x00003102,0x00f993a0,0x20155000,0x2aa20001,
    0x00aaa20a,0x39ffffb0,0x3ffff260,0xffff9005,0xff91013b,0xff05ffff,
    0x000bff9f,0xff003bfa,0x000bff9f,0x98807ff5,0x00000019,0x00000000,
    0x75e7d400,0x00000005,0x00000000,0x00bfffee,0x01ffffcc,0x00bfffea,
    0x82ffff4c,0x00bff0df,0xf003ff90,0x0017fe1b,0x0000dff1,0x03fffd00,
    0xffe80000,0x4000001f,0x8002ffff,0x0005fff8,0xfff8fff5,0xffffffff,
    0xffffffff,0x0efff983,0x7fff4400,0x1ffff101,0xffffc800,0x02ffc081,
    0x4013fe60,0x2002ffc0,0x00000ffd,0x2ffffcc0,0xff300000,0x00000bff,
    0x02ffffcc,0x1ffffc40,0x23ffd400,0xffffffff,0xffffffff,0xffe83fff,
    0xff30001f,0x3fff60df,0x7ffe4002,0x5ff805ff,0x01bfe200,0x2005ff80,
    0x32002ffb,0x7fe4001e,0x00000fff,0x1fffff90,0x3f200000,0x4000ffff,
    0x00fffff8,0x3e3ffd40,0xffffffff,0xffffffff,0x7ffc43ff,0x7fe40005,
    0x37ffc40f,0x2f7fee00,0x7fc01fff,0x03ff6005,0x005ff800,0xe800bff3,
    0x7ffc002f,0x00003ffd,0x7ffbfff0,0x3fe00000,0x4003ffdf,0x05fffff8,
    0x3e3ffd40,0x99999cff,0x99999999,0x7ffdc099,0x7fcc0000,0x0fffd43f,
    0x22bff500,0x7fc05fff,0x07ff5005,0x005ff800,0xf8001dfd,0x3fea003f,
    0x0006ffac,0xfacffa80,0xa800006f,0x06ffacff,0x7ffffc40,0x3fea003f,
    0x001fffc7,0x01bffa00,0x1bffe200,0x4c00fffb,0x3ff60eff,0x402ffc06,
    0x80005ff8,0xffc805ff,0x04ff8001,0x7fcbff60,0x6c00001f,0x03fff2ff,
    0x2ffd8000,0x44003fff,0x0fffffff,0xf8fff500,0x400003ff,0x00005fff,
    0xfff8fffd,0x1fff1006,0x7c07ffb8,0x0ffe805f,0x05ff8000,0x80027fcc,
    0xff1004ff,0x017ff21f,0x0fff8800,0x0000bff9,0xfc87ffc4,0x3fe2005f,
    0x005fffcf,0xfff8fff5,0x3e200003,0xb00004ff,0x7ffc1fff,0x1ffe8805,
    0x200fffa8,0x7fdc05ff,0xbff00001,0x0037fc40,0x7005ff88,0x7ffd4dff,
    0xff700000,0x007ffd4d,0x26ffb800,0x1000fffa,0xfff93fff,0x8fff5007,
    0x00003fff,0x000fffe6,0x88fffdc0,0xfe804fff,0x5fff501f,0xf302ffc0,
    0x7c00009f,0x03ff605f,0x02ffc400,0x7fc3ffe8,0xfd00003f,0x03fff87f,
    0x87ffd000,0xf1003fff,0x3fffa3ff,0x23ffd400,0x00003fff,0x000bffea,
    0x997ffd40,0x7ec03fff,0x3ffe602f,0x440f3203,0x098806fe,0xf503cc80,
    0x300c407f,0xff300dff,0x06ffc81f,0x0fff9800,0x00037fe4,0x3207ffcc,
    0xff1006ff,0x17ffe63f,0xff8fff50,0x2600003f,0x00002fff,0x3e21fff7,
    0x3ff203ff,0x17ffcc03,0x03ff9000,0x0006fe88,0x6cc2ffc4,0x20bfffff,
    0xfd806ffa,0x2fff985f,0x2ffec000,0x0017ffcc,0x2617ff60,0xf8802fff,
    0x3fff21ff,0xf1ffea03,0x400007ff,0x0003fff8,0xff8fff90,0x09ff904f,
    0x003fff70,0x200ffea0,0x40006ffd,0xffe80ffe,0x2a4fffff,0x7fc407ff,
    0x0bffd02f,0x17ffc400,0x0005ffe8,0x740bffe2,0xff8805ff,0x3fffa21f,
    0xf8fff500,0xaaaaadff,0xaaaaaaaa,0x2fffc40a,0x6ffd8000,0x7dc2fff4,
    0xfff9005f,0xbff10001,0x0dfff900,0x417fdc00,0xea88bffc,0x0fff70ff,
    0x2e07ffb8,0x70000fff,0x7fdc0fff,0xff70000f,0x07ffdc0f,0x307ffe20,
    0x3ea0dfff,0x7ffffc7f,0xffffffff,0xe82fffff,0xf00006ff,0x6ffd8bff,
    0xb002ffd4,0x36000fff,0x7fdc00ff,0xf30006ff,0x0bfb109f,0x3fee7ff7,
    0x13ffa00f,0x003fff88,0x4409ffd0,0xd0003fff,0x7fc409ff,0x7ffc403f,
    0x83fffc81,0x7ffc7ffa,0xffffffff,0x2fffffff,0x000fffc8,0x21fffc40,
    0xff31fffb,0x3fe2001d,0xffb8005f,0x6effd402,0xfe88006f,0x3ff70006,
    0x4c03fff2,0x7ec01fff,0xff98007f,0x3ffec01f,0x0fffcc00,0x101fff60,
    0xfd103fff,0x7ffa81ff,0x66677ffc,0xcccccccc,0xff981ccc,0x3601805f,
    0x7fc41fff,0x00fff8df,0x00bfff20,0x9809ff30,0x00dfb6ff,0x0003ff90,
    0x7fe4dfd1,0x0dff901f,0x005fff50,0xa806ffc8,0x64002fff,0xffa806ff,
    0x3ffe202f,0x8dfff501,0x7ffc7ffa,0xfe800003,0x177401ff,0x6417ffea,
    0x01ffefff,0x01fffe20,0xf101bfa0,0x01bf61df,0x0007ff50,0x7ec5ffd3,
    0xffff02ff,0xffffffff,0x800bffff,0xffffffff,0xffffffff,0x7fffc005,
    0xffffffff,0x2205ffff,0x3f201fff,0x1ffea3ff,0x00007fff,0x40dfff30,
    0xf8aefff8,0xff100fff,0xd8003fff,0x64002fff,0x7ff401ff,0x8801bf60,
    0xfb8005ff,0x7ffec2ff,0xfffffa82,0xffffffff,0x5000ffff,0xffffffff,
    0xffffffff,0x3fea001f,0xffffffff,0x0fffffff,0x403fff10,0xf50fffe8,
    0x03fff8ff,0xfff90000,0xfff9103d,0x805fffff,0x001efffb,0x00bfffd3,
    0x6403ffa8,0xfe999bff,0xffd8009e,0x7ffe4000,0x82fffd81,0xeeeefffd,
    0xfeeeeeee,0xffb004ff,0xdddddddf,0x9fffdddd,0x3bfff600,0xeeeeeeee,
    0x104fffee,0xfa803fff,0x8fff56ff,0x00003fff,0x2fffffa0,0xfffff900,
    0xffffb00b,0x3ee2019f,0x2000efff,0xfd805ff8,0xffffffff,0x17fdc05f,
    0x1bffd100,0x10bfff60,0xe8007fff,0xff8807ff,0x7ff4003f,0x3fff8807,
    0x83fff400,0xc801fff8,0x7ffabfff,0x0001fffc,0x3ffff200,0xfffdcdff,
    0x201dffff,0xffffeffc,0xfffdceff,0x4000dfff,0xec800ffd,0xfffeeeee,
    0x13fe604e,0x04ffe880,0x2e17ffec,0x5c000fff,0x7dc02fff,0x7dc000ff,
    0x7fdc02ff,0x7fdc000f,0x1fff882f,0xbffff880,0x1fffc7ff,0x7dc00000,
    0xffffffff,0xffffffff,0x9a7fdc0c,0xfffffffe,0x003fffff,0x0002ffb8,
    0xfe806fd8,0x3ffa000e,0x2ccccccf,0xfe85fffb,0xff88005f,0x2fff405f,
    0x2fffc400,0x0017ffa0,0x2217ffe2,0xf5001fff,0xf8ffffff,0x000003ff,
    0x3ffffaa0,0xf912efff,0x3fe67fff,0xffffea85,0x000befff,0x0005ff98,
    0xfc80dfb0,0x3fe6001f,0xffffffff,0x4c155535,0x90002fff,0x3e603fff,
    0xf90002ff,0x3fe603ff,0xff90002f,0x1fff883f,0x3ffff200,0x01fffc7f,
    0x4c400000,0xb3009aaa,0x402d47ff,0x0009aa98,0x00077f40,0x2a03cb80,
    0x654003ff,0xcccccccc,0x7ffc802c,0x3ffe6000,0x00fff904,0x827ffcc0,
    0x20007ffc,0x7c44fff9,0x3e2001ff,0x7fc7ffff,0x999999cf,0x99999999,
    0x00000019,0x000003aa,0x00000000,0x00000000,0x4fff8000,0x3fff4000,
    0x0004fff8,0xff83fff4,0x7f40004f,0x0fffc47f,0x3fffea00,0x7fffffc7,
    0xffffffff,0x007fffff,0x00000000,0x00000000,0x00000000,0x3ea00000,
    0x5c0001ff,0x7fd42fff,0x7dc0001f,0x7ffd42ff,0x7fdc0001,0x07ffe22f,
    0x1ffff200,0xffffffff,0xffffffff,0x0000ffff,0x00000000,0x00000000,
    0x00000000,0x37fec000,0x7ffc4000,0x0037fec6,0x237ffc40,0x80006ffd,
    0x3e26fff8,0xf88001ff,0x7fffc7ff,0xffffffff,0x7fffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x88000098,
    0x000001aa,0x88000000,0x55100019,0x00000001,0x00000000,0x04d44000,
    0x00000000,0x00000000,0x22000355,0x03ffffec,0x003ff600,0x0017fff4,
    0x03fffe80,0x3ffffa20,0x037ec004,0x6fff9800,0x17fff400,0x89ffb000,
    0x95003fff,0x05fffffd,0x1bffea00,0xffff8800,0xffd10000,0x06fd805f,
    0xfdfffd00,0xf70005ff,0x7f44005f,0xfc80006f,0x9801ffff,0xefffffff,
    0x02ff9800,0x1fffb000,0x6ffe8800,0x13ff6000,0xf7007fff,0xffffffff,
    0x3fee000b,0x3e60002f,0xfb0004ff,0x5c03ffff,0x7e4000ff,0x01bfe62f,
    0x000bff30,0x0005fff3,0x7fd7ffd4,0x67fec00f,0x804ffd98,0x300006fe,
    0x20005fff,0x0002fff9,0xfff89ffb,0x77ffd403,0x4ffffcab,0x0dff9000,
    0x0fffb800,0x577fdc00,0xff300fff,0x83ba8007,0x3a000ffd,0xf50000ef,
    0x3e6000df,0x0dff92ff,0x7ec27fcc,0x0bfea00f,0x1ffec000,0x1bfea000,
    0x21665c00,0x3e602ccc,0xfff903ff,0x3ffa0001,0x7fe40002,0x3ffe6004,
    0x740dff92,0xf300005f,0x7fe400bf,0x7fe40001,0x7ff44001,0xb82fff45,
    0x2ffa81ff,0x0001bfa0,0x0002ffc4,0x0001ffb8,0xdff90000,0x017ffc40,
    0x006ff880,0x800ffd80,0x3e24fff8,0x0ff904ff,0xcfffb800,0x09ff5000,
    0x00000000,0x01ff9000,0x3ea07ff3,0x0000002f,0x00000000,0x1fffc000,
    0x000bffa0,0x00000000,0xffa80000,0x3ff60001,0xdff1002f,0x00000000,
    0x3ff60000,0xd04ff980,0x000000df,0x00000000,0x5fff0000,0x000fff80,
    0x00000000,0x3e200000,0x2a60004f,0x6c00effc,0x220000ff,0x02cdedca,
    0xdeecb880,0x07fec02c,0x7d427fcc,0xb880002f,0x002cdeec,0xcdeecb88,
    0xdca88002,0x7c402cde,0x3fee01ff,0x6e54c006,0x2602bcee,0x555001aa,
    0x4006aa61,0x37f40aaa,0x3ffa8000,0x000ffee0,0xffffffa8,0xf7001eff,
    0xdfffffff,0x207ff203,0x6fe83ffa,0xfffb8000,0x01efffff,0xffffff70,
    0x2a003dff,0xffffffff,0x1fff101e,0x8017ffc0,0xffffffd8,0xfc81efff,
    0xfff8805f,0x100bff91,0xffb83fff,0x10133000,0x3fe20bff,0x3ff20005,
    0xffffefff,0x7fff403f,0xfffffeff,0xc83ffb84,0x0ffdc1ff,0x3fffa000,
    0xfffffeff,0x7ffff404,0x4fffffef,0x7ffffe40,0x83fffffe,0xf700fff8,
    0x3fea00df,0xfffeefff,0x7fe41fff,0x1fff8805,0xf100bff9,0x2ff983ff,
    0xc85ff880,0x1ffd04ff,0x3ffee000,0x7ffecc1d,0x3bfff902,0x43fffe98,
    0x3e60eff8,0x005fe86f,0x0efffe40,0x40ffffa6,0x4c1dfffc,0xf703fffe,
    0xfd983bff,0x7ffc42ff,0x005fff00,0x220bbffe,0x7e45fffc,0xfff8805f,
    0x100bff91,0xbff03fff,0x2f7fee00,0xc81fffda,0xf10001ff,0xffc809ff,
    0x03fff986,0x2e07ffec,0xfffdcfff,0x000ffdc1,0x807fff30,0x7cc0fffd,
    0x7fec03ff,0x27ffc40f,0xf11bff20,0xdff701ff,0x07ffea00,0x641fff90,
    0xff8805ff,0x00bff91f,0xfb03fff1,0x7fff400f,0xf983ffff,0x3f20004f,
    0x7ffd006f,0x8806ffe8,0xffc84fff,0xff82ffff,0x7ff40005,0x4fff8806,
    0x44037ff4,0x7fe44fff,0x47ffd006,0xfc80fff8,0xbffd005f,0x41fff300,
    0xf8805ffc,0x0bff91ff,0x503fff10,0x654003ff,0xe880cdee,0x8098806f,
    0xf7002fff,0x0fffc4df,0x307ffb80,0xf7017bb9,0x1006203f,0x2e003fff,
    0x3ffe27ff,0x8fff7001,0xf7002fff,0x07ffc4df,0x4007ffdc,0xf8800a98,
    0x17ff21ff,0x647ffe20,0xff8805ff,0x03ff881f,0x3ffb0000,0x4c6fe880,
    0xf5000fff,0x03ffccff,0x001fff30,0x2e17fe20,0x980dfffe,0x3e6007ff,
    0x0fff30ff,0x987ffcc0,0xf5000fff,0x07ffc4ff,0x00f7ffc4,0x3ffea000,
    0x2017ff21,0xff91fff8,0x3fff100b,0x00017fa0,0x200ffea0,0x7fd46ffd,
    0xcccccccf,0x0fffdccc,0x4400dff7,0x70001fff,0xfffc83ff,0x7dc1ffff,
    0x3fe2006f,0x00dff71f,0xfa8fffc4,0xccccccff,0xfffdcccc,0x201fff10,
    0x003ffffb,0xffdcba88,0x3ff21fff,0x1fff8805,0xf100bff9,0x3ff203ff,
    0x3e200000,0xfffc805f,0x7ffffdc6,0xffffffff,0xff91ffff,0x2fff800b,
    0x45ff8800,0xfc8bfff9,0x02ffe46f,0x7e4bffe0,0x7ffc005f,0xffffff72,
    0xffffffff,0x3fe23fff,0x3ffee00f,0x7f5c00ef,0xffffffff,0x17ff21ff,
    0x647ffe20,0xff8805ff,0x05ff301f,0x07fec000,0x1bfffee0,0xfffffff9,
    0xffffffff,0x17ff65ff,0x007fff00,0xfd83ff90,0xb1ffd40f,0xff800bff,
    0x00bffb3f,0xff93fff8,0xffffffff,0x5fffffff,0x3003ffe2,0x503ffffd,
    0xffffffff,0x43fff59f,0xf8805ffc,0x0bff91ff,0x403fff10,0x700004ff,
    0xffa805ff,0x7fdc6fdd,0xffc80006,0x17ffc005,0x113fe200,0x97fe0bff,
    0x7c005ffc,0x0bff92ff,0xf72fff80,0xf10000df,0xfb1001ff,0xfffa8dff,
    0x2209bdff,0x3ff21fff,0x1fff8805,0xf100bff9,0x37ec03ff,0x27fcc000,
    0x7edbfe60,0x003ffd46,0x0037fdc0,0x8003fff1,0x7fcc0ffc,0x7dcdfd04,
    0x3fe2006f,0x00dff71f,0xfa8fffc4,0xf880007f,0x3ee000ff,0xffff10ff,
    0x1fff9803,0x2a017ff2,0xbff91fff,0x03fff500,0x00007fdc,0xff101bfa,
    0xf11bf61d,0x40c003ff,0x5000fff9,0x44001fff,0x3ffa84ff,0x7fccffb0,
    0xfff5000f,0x003ffe61,0xf887ffd4,0x206001ff,0x4000fff8,0xfff33fff,
    0x3fff5003,0x5c02ffdc,0xbff71fff,0x03fff700,0x0001ffc4,0x74403ff9,
    0x21bf60ff,0xfb005fff,0x27ffc4ff,0x006ffe80,0x7d407fe4,0x44ffd03f,
    0xfd004fff,0x27ffc4df,0x7c6ffe80,0xffb005ff,0x407ffc4f,0x5d7ff600,
    0xff9007ff,0x037fdc3f,0xfb8fffe4,0xfffc806f,0x002ff401,0x6403ffa8,
    0xfe999bff,0x3ffee09e,0x27ffd401,0x5003fff2,0x44007fff,0x9ff304ff,
    0xff91bfa0,0xfffa801f,0x007ffe43,0xf70fffea,0xffa803ff,0x83ffe24f,
    0x3ffe06eb,0x803fff73,0x2a2ffffa,0x3e602fff,0xfff51fff,0x7fffcc05,
    0x003fe401,0x6c02ffc4,0xffffffff,0x7fff45ff,0x3ffff102,0x01efff88,
    0x800dfff5,0x3fe00ffd,0x445ff886,0xf501efff,0xfff10dff,0x3ffea03d,
    0x05fffd06,0x887fffe2,0xfff30fff,0x25fff709,0x2604fffa,0x222fffff,
    0xf980ffff,0xff11ffff,0xfff301ff,0xffa803ff,0x07fec001,0x77777640,
    0x4c4efffe,0xbabdffff,0x503ffffe,0x7579ffff,0x003ffffb,0x36027fcc,
    0x17fe42ff,0x5e7fffd4,0x1ffffdba,0x79ffff50,0x3ffffb75,0x37fffe60,
    0xffffebab,0x507ffc43,0xfd77bfff,0xfffe8bff,0xffeba9be,0x7e43ffef,
    0xfecbdfff,0x321ffedf,0xecbdffff,0x01ffedff,0x70027fc4,0xb00005ff,
    0x7ff4c0df,0xffffffff,0x7fff5403,0x1effffff,0x007fec00,0x3af7ffe2,
    0x3faa05ff,0xffffffff,0x7ff5401e,0xefffffff,0x7fff4c01,0x3fffffff,
    0x640fff88,0xffffffff,0x7fffcc0e,0x8cffffff,0x7ec45ffb,0x5fffffff,
    0x7ec43ffb,0x5fffffff,0xfb003ffb,0x17fe600d,0x037ec000,0x7fffff64,
    0xf91000cf,0x059dffff,0x009ff300,0x3fffffea,0x7fe4400e,0x002cefff,
    0x3fffff22,0x764002ce,0x0cffffff,0x501fff10,0x07fffffb,0x7ffffe44,
    0x3ffe61df,0xfffffb80,0x207ff64e,0x4efffffb,0x2e007ff6,0xefe800ff,
    0x79700000,0x0d54c400,0x02a62000,0x01ffb000,0x1eff6440,0x0054c400,
    0x0054c400,0x0d54c400,0x0d4c0000,0x03553100,0x01551000,0x00554400,
    0x00554400,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5b710000,0x00000000,0x00000000,0x80554c00,0xa88002aa,
    0x10000001,0x00000335,0x7d400000,0xe88006ff,0x40003fff,0x8003fffe,
    0x7ffc4ffe,0x677c4003,0xf300005f,0x5c000dff,0xfb004fff,0x03fff89f,
    0x880ffc80,0x3f2004ff,0x000dffff,0x3ffb2a00,0x002effff,0x7fc4ffe8,
    0xfd80003f,0xfd8000ff,0x0001ffff,0x03fffff9,0x7c4ffe80,0x364003ff,
    0xb00003f1,0x40001fff,0x36006fff,0x1fffc4ff,0x983ff400,0xfe9803ff,
    0x1fffffff,0x7fec4000,0xffffffff,0x3fa003ff,0x01fffc4f,0x07ffe600,
    0x2bffee00,0x5c000fff,0x0fffafff,0xf13ffa00,0x3e8007ff,0x260001ec,
    0x20001fff,0x2000fffb,0x7ffc4ffd,0x05ff8003,0xfd003ff7,0xfffb7bff,
    0x3ea0001f,0xedefffff,0x05ffffff,0xff89ffd0,0x7ec0003f,0xff98003f,
    0x00dff92f,0xfc97ffcc,0x332e006f,0x000e6642,0x001f89ae,0x001ffec0,
    0x0007ffa0,0xccc85997,0x1ffcc002,0x5c00ffd8,0x7fcc1fff,0xffc8003f,
    0xc8809dff,0x400effff,0x66642ccb,0x3fe60001,0xffe88005,0x013ffa25,
    0xfd17ffa2,0x000000bf,0x6fcef880,0x2ffc4000,0x0ffea000,0x80000000,
    0xdfd02ffa,0x20bffb00,0x4c005ffe,0x1003ffff,0x000bfffd,0x00000000,
    0x00000000,0x00000000,0x0005b710,0x00000000,0x20000000,0xff880ffc,
    0x03fff804,0xe800dff7,0xd8000fff,0x00002fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x307fe800,0xffb007ff,0x00fff60b,
    0x003fffa8,0x00ffff10,0x2a600000,0x02bceedc,0x776e54c0,0x544002bc,
    0x002cdedc,0xceedca98,0x654c002b,0x002bceed,0x66f6e544,0x00d54c02,
    0x2200aaa8,0x02cdeecb,0x7d55554c,0xdaaaaaef,0x900aacff,0xff883fff,
    0xfff1000f,0xffb8000d,0x006aa62f,0x22005554,0xfffffffd,0x6c401eff,
    0xffffffff,0xffa801ef,0x1effffff,0xffffd880,0x01efffff,0x7ffffec4,
    0x801effff,0xfffffffa,0xbff901ef,0x03fff100,0x3fffffee,0xff901eff,
    0xffffffff,0xffffffff,0x3ffe605f,0x0dffd10e,0x017ffd40,0x92fffc00,
    0xff100bff,0x7ffd403f,0xffffeeff,0xfff501ff,0xffffddff,0x7fe403ff,
    0xffffefff,0x3ffea03f,0xffffeeff,0xfff501ff,0xffffddff,0x7fe403ff,
    0xffffefff,0x05ffc83f,0xe81fff88,0xffefffff,0xffc84fff,0xffffffff,
    0xffffffff,0x3fff202f,0x00efffbe,0x003ffee0,0x43fff600,0xf8805ffc,
    0x3ffe01ff,0xfffc882e,0x05dfff05,0x20bfff91,0x4c1dfffb,0xff02fffd,
    0xff9105df,0x3bffe0bf,0x5fffc882,0x83bfff70,0x642fffd9,0xff8805ff,
    0x6fffe41f,0x1ffff4c1,0x3f666662,0xfa99999f,0x400999df,0x4ffffffd,
    0x07ffc800,0x3fff5000,0x22017ff2,0xff501fff,0xfffc803f,0x00fffd40,
    0xf103fff2,0xffc809ff,0x01fffa86,0x2a07ffe4,0x7e401fff,0x7ffc40ff,
    0x237fe404,0xf8805ffc,0x3ffe61ff,0x07ffec03,0x7d41bfa0,0x7fcc003f,
    0xd0002fff,0x20000dff,0xff92fff9,0x3fff100b,0x2017ffa0,0x7f40fff9,
    0xfff9805f,0x8037fe40,0x7ff43ffe,0x0fff9805,0x4c02fff4,0x7fe40fff,
    0x47ffd006,0xf8805ffc,0x1bffa1ff,0x013ffe20,0x3fee0bff,0x3fff2001,
    0xf0001fff,0x20000bff,0xff93fff9,0x3fff100b,0x2002a620,0x4c41fff8,
    0xfff8800a,0x8017ffc1,0x54c46ffb,0x1fff8800,0x440054c4,0x7ffc1fff,
    0x4dff7002,0xf8805ffc,0x3fff11ff,0x81ffee00,0xffb03ff9,0x3fffa600,
    0x000fffff,0x0027ffc4,0x93fff880,0xff100bff,0x2a00003f,0x40001fff,
    0x3e61fffa,0xff5000ff,0xffa8000f,0x7d40001f,0x3ffe61ff,0x4fff5000,
    0xf8805ffc,0x0fff31ff,0x807ffcc0,0xdff01ffb,0x7ffff300,0x711bfff2,
    0x9fff1015,0x3fe60000,0x00bff93f,0x8003fff1,0xfffdcba8,0x751001ff,
    0x3fffffb9,0x6667ffd4,0xdccccccc,0xa8800fff,0xfffffdcb,0xb9751001,
    0x543fffff,0xcccccfff,0xffdccccc,0x00bff90f,0x3ee3fff1,0x3fe2006f,
    0x01ff901f,0xf8809ff1,0x7ff41fff,0x07ffee4f,0x00017ffe,0xfc97ffd4,
    0xfff8805f,0xfffeb801,0xffffffff,0x3fffae01,0xffffffff,0x3ffffee1,
    0xffffffff,0xd701ffff,0xffffffff,0x75c03fff,0xffffffff,0x3fee1fff,
    0xffffffff,0x1fffffff,0xf100bff9,0x17ff23ff,0x205fff00,0x5ff506fe,
    0x82fffc80,0xfb2fffe8,0x1bffa0df,0x7ffdc000,0x100bff91,0x7d403fff,
    0xffffffff,0xa81fffac,0xffffffff,0x21fffacf,0xfffffffc,0xffffffff,
    0x7ffd42ff,0xacffffff,0xffa81fff,0xcfffffff,0x3f21fffa,0xffffffff,
    0xffffffff,0x100bff92,0x3ff63fff,0x9fffc005,0xfffffffc,0xffffffff,
    0x3fe2ffff,0x3ffe606f,0xb02fffaf,0x20000fff,0xff90fffc,0x3fff100b,
    0x3ffffea0,0x3fe209bd,0x7fffd41f,0x3e209bdf,0x1bfee1ff,0x7ffd4000,
    0x2209bdff,0x7fd41fff,0x209bdfff,0x3ee1fff8,0xfc80006f,0xfff8805f,
    0x800bff91,0xfff92fff,0xffffffff,0xffffffff,0x00fffe65,0xfffffff5,
    0x00fffd40,0x92fff400,0xff100bff,0xffff103f,0x1fff9803,0x007fffe2,
    0x7d43fff3,0xf880007f,0x7cc01fff,0x3ffe21ff,0x7ffcc01f,0x001ffea1,
    0x2017ff20,0xff71fffa,0x7ffc400d,0xbffd9951,0xdff99999,0x2a399999,
    0xfc801fff,0x7c04ffff,0x5c0006ff,0x3ff22fff,0x1fffa805,0x801fff98,
    0x3e61fffa,0xffa801ff,0x07ffe21f,0xfff98180,0x1fffa801,0x2007ffe6,
    0x3e21fffa,0x206001ff,0xfb805ffb,0x1fff31ff,0x03ffea00,0x3e203ff6,
    0x7ffcc04f,0xffffb004,0x2fffc801,0xffff1000,0x402ffdc1,0xfb81fffb,
    0xfff9007f,0x803ffdc3,0x7fc1fffc,0xfffb005f,0xc803ffdc,0x3fee1fff,
    0x3fff9007,0xb005fff8,0x37fdcfff,0x88fffe40,0xfd004fff,0x41bfa0df,
    0xff802ffa,0xfff9007f,0xfff8809f,0xffd8000f,0x037fdc3f,0x5c0fffe4,
    0x7d401fff,0x3fee2fff,0x7ffd401f,0x0fffdc2f,0xb93ffea0,0x7d401fff,
    0x3fee2fff,0x7ffd401f,0x0fffdc2f,0xa93ffea0,0x3e602fff,0x3ff21fff,
    0x7ffd400f,0x904ff883,0xffb003ff,0xfffc805f,0x7d404fff,0xd1002fff,
    0xff50bfff,0x7ffcc05f,0x4fffa81f,0x3ffffe60,0x813ffea2,0x82fffff9,
    0xf102fffe,0x7fd43fff,0x3ffe604f,0x3ffea2ff,0x3fffe604,0x2fffe82f,
    0x43ffff10,0x980ffff8,0x221fffff,0xf501efff,0x3fe60dff,0x200ffb03,
    0x882ffff8,0xfffffffc,0x7ffe404f,0xff5101df,0xff101fff,0xfff301ff,
    0x3ffa03ff,0xfeba9bef,0x743ffeff,0xba9befff,0x3ffefffe,0xbdffff98,
    0x3ffffeba,0x9befffe8,0xfefffeba,0x77fff43f,0xfffeba9b,0xff983ffe,
    0xfebabdff,0xffc83fff,0xffecbdff,0x7d41ffed,0xdbabcfff,0xf701ffff,
    0x017fe03f,0xceffffb8,0x8effffeb,0x404ffffa,0xeffffffb,0xffffffdc,
    0x3fff200e,0xdffecbdf,0xff301ffe,0xffffffff,0x98bff719,0xffffffff,
    0x5ffb8cff,0xfffffd30,0x207fffff,0xfffffff9,0xffb8cfff,0x7ffffcc5,
    0xb8cfffff,0xffd305ff,0xffffffff,0x3fff6207,0xfb5fffff,0xfffd503f,
    0x3dffffff,0x4407fec0,0x7d4004ff,0xffffffff,0x2fffd44f,0x7ffff4c0,
    0xffffffff,0xfffd8804,0xfb5fffff,0x7fe4403f,0x261dffff,0x7e440fff,
    0x21dfffff,0x3200fff9,0xcffffffe,0x7ffe4400,0x3e61dfff,0x7fe440ff,
    0x261dffff,0x3b200fff,0x0cffffff,0xfffffb80,0x407ff64e,0xefffffc8,
    0x06fe802c,0x10005ff5,0xbffffffb,0x003be605,0xfffffda8,0x4000beff,
    0x4efffffb,0x22007ff6,0x40001aa9,0x0001aa98,0x006aa620,0x006aa620,
    0x03553100,0x554c4000,0x15510001,0x15310000,0x301aa800,0x88000155,
    0x013000aa,0x4d554c00,0xaa880000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x33000000,
    0x00000035,0x54c40000,0x00000009,0x00000000,0x00066a60,0x00000000,
    0x00000153,0x33100000,0x53000001,0x88000033,0xffffffeb,0xb88003ce,
    0x001bdfed,0x7fffecc0,0x8001dfff,0x1bdefec9,0xfdb73000,0x4400039d,
    0xfffffffb,0x260000be,0x01ceffdc,0xfffdb700,0x00059bff,0x79dfdb91,
    0x3ff22000,0x000cffff,0xfffff710,0x00017dff,0x3fffff62,0xefffffff,
    0xffff5001,0x000bffff,0xffffffd5,0x03bfffff,0xfffff910,0xc8009fff,
    0xffffffff,0x3f62000d,0xffffffff,0x4000cfff,0xfffffffc,0xfd1000df,
    0xffffffff,0x2e001bff,0xffffffff,0x3fee001e,0xffffffff,0x3ff62003,
    0xffffffff,0x26000cff,0xefffffff,0xffffffed,0x7fffd403,0x0effffee,
    0xfffff900,0xffffdbdf,0xffe803ff,0xffffeeff,0xfffe8805,0x6ffffeef,
    0x7dfff500,0x7fe4c413,0xfe8801ef,0xfffeffff,0x7fcc00ef,0xffeeffff,
    0x401fffff,0xfefffffc,0xa802ffff,0xfcacffff,0xa802ffff,0x209befff,
    0x1efffc98,0xeffffa80,0xffc9881b,0xfff304ff,0x6fffa81d,0xcffffd80,
    0xffffb300,0x37fff601,0x17fff261,0x817fffd0,0x6404fffc,0x2a002eff,
    0x7e403fff,0x7f4c0eff,0x3ffe206f,0xffd500cf,0x7ffd40df,0xfff710ae,
    0x7ffcc01f,0xfffea80d,0x0bbff200,0x03fffa80,0x013fffe2,0x80ffffa8,
    0x3e606ffd,0x3fee01ff,0xff9000ef,0x7fff30df,0x807ffdc0,0x3202fffa,
    0xff700fff,0xfd10001b,0x3ffe605f,0x13ffa204,0x800fffdc,0xfd01fffc,
    0x7ffcc0ff,0x03bff604,0x703fff88,0x10001bff,0x3f605ffd,0xf88002ff,
    0x7ffcc3ff,0x82ffe402,0x000efff8,0x320fffec,0x7fc406ff,0x09ffd03f,
    0x982fff98,0xd80004ff,0xfffe80ff,0x07ffcc00,0x2001fff4,0xff884ffe,
    0x37ff403f,0x9007fff0,0x9ff30dff,0x36009880,0x7ffd40ff,0x3ff20005,
    0x403ffe47,0xfd80fff9,0xf88001ff,0x1fff45ff,0x542ffec0,0xddb006ff,
    0x225ff887,0xcceeeeee,0xf0dfd102,0x3fa007ff,0x0fffc42f,0x21bfee00,
    0x5c00fff9,0xfff107ff,0x8bdf3003,0xfb705ff8,0xd105dfff,0x0fffd8df,
    0x3bfe6000,0x4013ff61,0x7fc43ffe,0x3f20005f,0x800a984e,0xffd85ffc,
    0xffb80003,0x3ffffe20,0x980dffff,0x3ffe21ff,0x89ff9001,0x4003fff8,
    0x7cc0dee9,0x7fdc00ff,0x03fff307,0x80ffb800,0xffeefffc,0x11ff984f,
    0x00009fff,0x05fff015,0xf517ff20,0x440005ff,0xffd00000,0x003fff07,
    0xf889fd00,0xfcaa99af,0x54bfb05f,0x3ee007ff,0x06ffe86f,0x2fff8000,
    0x982fff40,0x40002fff,0x3ffc84fe,0x6c0ffe4c,0x05fff75f,0x3fe20000,
    0xdff9001f,0x000fffd8,0xfb800000,0x07ff80ff,0xff300353,0x901ff881,
    0x1ff501ff,0xb801ffea,0xfffc87ff,0x3200000c,0x3fe606ff,0x13ffe02f,
    0x40ff9800,0x3f602ffa,0xfc8ffa86,0x000001ff,0x2003fff3,0x7ff47ffb,
    0x00000007,0x41fffe54,0x3f6a6ff8,0x700cffff,0x03ff10bf,0x7fc07fea,
    0x001fff32,0xf303fff2,0x017bffff,0xeffe8800,0x37fff261,0x01bff600,
    0xfc85fb80,0xff01b806,0x000fffb5,0x07ffcc00,0x7c7ffb80,0x000006ff,
    0xffffda80,0x2dff302f,0xfffffffb,0x84fd81ef,0xdfb01ff8,0xfff1ff40,
    0x3fffa005,0xffffe980,0x000aceff,0xffffff90,0xf7007fff,0x360001ff,
    0x003fe84f,0x7ff5ff40,0x2a000006,0x3ea007ff,0x02fffc7f,0x7ec00000,
    0x500cffff,0x9dff9bff,0x1ffffd97,0xff883fe8,0xffca999a,0xfe93f202,
    0xfffa806f,0xfffd101f,0x7dffffff,0x7fec4001,0x204fffff,0xefffeee8,
    0xe806eeee,0x00ffc43f,0x3ff3f200,0xddd5005f,0xbddddddd,0xa801ffea,
    0xfff10fff,0x00000009,0xfffffffd,0xfffff707,0x17ffee09,0xfff105fd,
    0x05dfffff,0x3fea5fc8,0x3ffe605f,0x7ecc01ff,0xffffffff,0xfffc802f,
    0xfffffeff,0xfffff882,0x07ffffff,0x7fcc2fe8,0x6fe40001,0xf7005ffe,
    0xffffffff,0x01ffeadf,0x7fc7ffa8,0x0000005f,0x3ffaa208,0x7fffdc4f,
    0x17ffdc03,0xdff107fd,0x2007fffd,0x7ffec4fc,0xffb989ae,0x2000fffd,
    0xfffffdb9,0x3ff604ff,0x7ff4c1df,0x7f77442f,0x6eeeefff,0x7c43fe80,
    0x7e40001f,0x7006ffec,0xffffffff,0x3ffe6dff,0x8fff5000,0x00006fff,
    0x3ff60000,0x1bffee1f,0xfb2fff40,0x543ff109,0x3fd803ff,0x7fffff44,
    0xff8dffff,0x3260000f,0xb85ffffe,0x7ec02fff,0x3fee00ff,0x09fb0007,
    0x401005ff,0x07ffdbfd,0x55555530,0x3e2dffb5,0xff7000ff,0x007ffe8f,
    0x22000000,0x3fea5fff,0xdff7003f,0x7fc42fe4,0x200ffd41,0xfff902ff,
    0x3e69ffff,0x2e00007f,0x7fc1ffff,0xffe8805f,0x03ffea05,0x3a17f200,
    0x17fc405f,0x7ffdd7fc,0xffc80001,0x4007ffe6,0x7fe46ffb,0x0540001f,
    0x7ffc8000,0x400bffe6,0x3fe67ffa,0x6c0ffc40,0x1ff500ef,0x5676dcc0,
    0x001ffea0,0x49fff300,0x7001fff9,0x7fd40fff,0x1ff30007,0x3601ffa8,
    0x47fd40ff,0x0004fff9,0x3fe6ffc8,0xbff9001f,0x002fffa8,0x00bbfe60,
    0x21fff500,0x3001fff8,0x27f41fff,0x3e207fe2,0x00bfb05f,0x44bff700,
    0xb0001eed,0x3ffd4dff,0x01fff300,0x80017fee,0x2ffe84fe,0x6c27fe4c,
    0x01bffa5f,0xe9bff200,0xffb002ff,0x009fff07,0x88fffe40,0x3ea003a9,
    0x0fffe0ff,0x2e37fd40,0x07fe20ff,0x3e617fdc,0xfd80001f,0x0fffe23f,
    0x53ffd400,0x7c400fff,0x7ff901ff,0x07fdc000,0x3fbfffa2,0xff985fff,
    0x013ffee1,0x64dff900,0xff8805ff,0x1fffd82f,0x6fff8800,0x4007ffe6,
    0x7ff46ffb,0x89ff7005,0x3fe26ff8,0xe89bfa01,0x00aa985f,0x7c2fff88,
    0xf90006ff,0x0fffccbf,0x107ffa80,0x40001dff,0xff706ff8,0xd107ffff,
    0x5fffd0bf,0x3ff62000,0x003ffe66,0xf101fff7,0xfb000bff,0x3fff85ff,
    0xa8bffd00,0xffd006ff,0x4c9ff307,0xd84cc401,0x3ffd80ff,0xc87ffb80,
    0xe8002fff,0x1fffc3ff,0x706ffc80,0x300003ff,0x554409ff,0x203ff601,
    0x004ffff8,0x237fffdc,0x7f403ffd,0x3fff204f,0xfff9000e,0x01fffb0d,
    0xe82fffb8,0x7fd405ff,0x1bff701f,0x5ffd1000,0x101bfee0,0xff107fff,
    0x362009ff,0x7fec0fff,0x7ffcc00f,0x004ffb84,0x037fee00,0x0bffa200,
    0xdfffffa8,0x7f5d441b,0x7d43ffff,0xfffb03ff,0xffffe801,0xffe980ac,
    0xfff980ff,0xbfff701d,0x413ffee0,0x6404fffa,0x2e002eff,0x3e203fff,
    0xffd104ff,0x7fffe40d,0xfea881ae,0xfff885ff,0xdffd300e,0xdb9fff90,
    0xa881579d,0x0bbff204,0x03fffb80,0xffffff98,0xfffffeff,0xfd00cfff,
    0xfd957bff,0xfd1007ff,0xd9bfffff,0x03ffffff,0x5f7fffd4,0x0ffffeba,
    0x33bfff60,0x05fffdba,0x37ffff50,0x7ffe4cc1,0xfffb801e,0xfffdbadf,
    0x7ffe401f,0xffeeffff,0x2e04ffff,0xbabdffff,0x541ffffc,0xffffffff,
    0xfeefffff,0x3fea01ff,0x26609bff,0x001efffc,0x3fffff62,0xffffffff,
    0xfffd801e,0x03ffffff,0x7ffffec0,0xdfffffff,0xffffb801,0x0dffffff,
    0xfffffb80,0x4005ffff,0xffffffd8,0x0cffffff,0x3ffff200,0x01ffffff,
    0xffffff70,0x7fffffff,0xfffff700,0x03dfffff,0xdffffff1,0xffffffff,
    0xd8809fff,0xffffffff,0x000cffff,0xffffd710,0x0059bfff,0xfffffeb8,
    0xf910001e,0xdfffffff,0xffd88003,0x002effff,0x7fffff54,0x710000bd,
    0xdffffffd,0x3aa00017,0x0bffffff,0x7ff5c400,0x1cdfffff,0x3fff2200,
    0x6403ffff,0x6d4409df,0x2dffffff,0xfffd7100,0x0017dfff,0x5554c400,
    0x53100000,0x44000013,0x0001aaa9,0x00135530,0x00035300,0x00266200,
    0x35531000,0x2a620000,0x100001aa,0x22001355,0x2aaa6000,0x4cc40000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x99910000,0x99999999,0x0aaa8199,0x001aa980,
    0x00000000,0x3202aa00,0xd951001c,0x0554c37b,0x800d4c40,0x36ea1aa9,
    0x98000bde,0x002ceedb,0x00001000,0x0bff7000,0x4d440000,0xfffff701,
    0xffffffff,0x801fff81,0x32605ffc,0x00cdefed,0x3fa7fb80,0x81fffc4f,
    0x8adffffb,0x6c401ffa,0x3fffffff,0x32203ffb,0x3effffff,0x362ffee0,
    0x4fffffff,0xfffff900,0x3a03dfff,0x6c402fff,0x2fffd402,0x209fffb0,
    0x00005ffb,0x4ffffec8,0xffffffc8,0x0fffffff,0x6400fffc,0xffc885ff,
    0x4fffffff,0xe9ffea00,0x1fffc4ff,0x7fffffc4,0x200fffff,0xedffffe9,
    0x1ffdcfff,0xffffffa8,0xb81effff,0xdfffecff,0x205ffffe,0xefffffd8,
    0x881fffff,0x3ee06fff,0x7fff402f,0xfffff700,0x00bff705,0xffffc800,
    0xdffe83ff,0xcccccccc,0x0fffc0cc,0x222ffe40,0xeeeffffe,0x9806ffff,
    0x3ffa7fff,0x541fffc4,0xffda88ff,0x7ff402ef,0x7ffec43f,0x7ffcc1ff,
    0xffdbabdf,0x7ffdc1ff,0xfffd83ff,0x3bfff904,0x07fff5c4,0xe80fffcc,
    0x3fe602ff,0x5fff301f,0xffb83fff,0x3e600005,0x81edefff,0x20001fff,
    0xfc801fff,0x27ffec5f,0x027ffec4,0x5cffffd1,0x0e6642cc,0x15c41e54,
    0x00fffdc0,0x443ffff9,0xf501fffe,0x7fdc1dff,0x3ff201ff,0x27ffcc0f,
    0x207fff30,0xffd05ffb,0x81ffec05,0xff73fff8,0x02ffdc1f,0x3fff7000,
    0x007ff880,0x400fffc0,0x3fea5ffc,0x7ffe402f,0xfffffb81,0x00000007,
    0x402ffec0,0x3ee1fffe,0x7fd402ff,0x13ffee3f,0xc87fff10,0xffd806ff,
    0x207ff206,0xff302ffe,0x237ff409,0x3fee6ffe,0x3f200005,0x6ffa806f,
    0x0fffc000,0xf92ffe40,0x3ffa00bf,0x3ffffa63,0x000007ff,0x0fffc000,
    0xd0fffdc0,0x3f600bff,0x03ffee5f,0xfb17fee0,0x5793007f,0x17ff4000,
    0x5c000000,0x200005ff,0xfb804ffd,0x7fc0004f,0x5ffc801f,0x6400bffa,
    0xffff75ff,0x000fff7b,0xeedca980,0x3fe202bc,0x3fff1007,0x400bffe2,
    0x3fee6ffb,0x8dff3006,0x00000fff,0x7ffd5440,0x00001aac,0x54bff700,
    0x000aceec,0xfb009ffb,0xff80005f,0x5ffc801f,0x2003ffd1,0xfffd6ffc,
    0x441ffe67,0xfd8802aa,0xffffffff,0x06ffa81e,0x5c47ffe0,0xff7000dc,
    0x802ffdcd,0xff10fff8,0x5440000f,0x3fffea2a,0x2a25ffff,0x5551002a,
    0xfdaffdc0,0x02ffffff,0x5bffd553,0x3fff0155,0x02b3772a,0x9003fff0,
    0xd8000bff,0x43bfd4ff,0xff507ff9,0xffffa80f,0xfffffeef,0x037fe41f,
    0x0003ffd0,0x3ee4ffd8,0x3ffe004f,0x000fff51,0xf53ffd40,0xbfffffff,
    0xa803ffd4,0x3fee07ff,0xffefffee,0xffc84fff,0x2fffffff,0x7fdfffc4,
    0x02ffffff,0x32007ffe,0x220005ff,0x30393fff,0x3fea0fff,0x177ffc07,
    0x22fffe44,0x36005ffc,0x260001ff,0x3fee2fff,0x4bffe003,0x00006ffb,
    0x7f41ffea,0x0fff502f,0xb81ffea0,0x20bfffff,0x643fffd8,0xffffffff,
    0x7fffcc2f,0xffffffff,0x03fff05f,0x000bff90,0x200fffe4,0xff507ff9,
    0x0fffd40f,0xb83fff20,0x3fa006ff,0xff30001f,0x27fdc1df,0x50fff880,
    0x40000fff,0xffd07ffa,0x01ffea05,0xf703ffd4,0x7ec05fff,0x13ff607f,
    0x7bffff70,0xffff7513,0x005fff09,0x2000bffb,0x9804fff9,0xfff507ff,
    0x402fff40,0x3ea0fff9,0x3ffe007f,0xffe88001,0x02ffdc1f,0x3e67ff98,
    0x801000ff,0xffd07ffa,0x01ffea05,0xf703ffd4,0xff8809ff,0x09ffb03f,
    0x203fffc8,0x7c1fffe8,0xffe803ff,0xfff88005,0x7ff9800e,0x440fff50,
    0xff8800a9,0x03ffe21f,0x007ffe20,0x05fffd10,0x2a00dff7,0x3ffe25ff,
    0x03dff001,0x3fa0fff5,0x0fff502f,0xb81ffea0,0xfc800fff,0x09ffb06f,
    0x9802cb98,0x7ffc5fff,0x2fffc405,0x3fffa200,0x0fff3001,0x0001ffea,
    0x7c1fffa8,0xffc804ff,0x3fe6001f,0xfff702ff,0x87ffd003,0xf9804fff,
    0x7ffa80ff,0x2a05ffd0,0xff5007ff,0x037fdc0f,0xfb07ffa8,0x9000009f,
    0xffff8fff,0x17fff602,0x3fffe880,0x41ffe600,0x88007ffa,0xffffdcba,
    0x07ffd41f,0x03ffff10,0x017fff40,0xa80bfff7,0x7fdc1fff,0x2ffec00f,
    0xfd07ffa8,0x1ffea05f,0x703ffd40,0x3e600bff,0x4ffd80ff,0xffa80000,
    0x3ffffe0f,0x7fffe441,0xffff3005,0x7ff98007,0x200fff50,0xffffffeb,
    0xe81fffff,0xfe881eff,0xf7001fff,0xffb805ff,0xfff504ff,0x07bffa0b,
    0x407ffee2,0xffd07ffa,0x01ffea05,0xf703ffd4,0x3fe2009f,0x04ffd81f,
    0xfff98000,0x3fffffe2,0xfffffdce,0xfffa805f,0xff98002f,0x80fff507,
    0xfffffffa,0x1fffacff,0xacffff98,0xffffffca,0x09ffd001,0xdfffff70,
    0xffffb757,0x3fffe601,0xffffdabc,0x41ffea03,0xff502ffe,0x1ffea00f,
    0x2003ffb8,0xffd81fff,0xf8800004,0x2fffe1ff,0xefffffff,0x7dc05ffa,
    0x30001fff,0x3fea0fff,0x3fffea07,0x3e209bdf,0xffd301ff,0xf5ffffff,
    0x3fe003ff,0xdffb800f,0xfffffffc,0x7f4c00ef,0xffffffff,0x83ffd404,
    0xff502ffe,0x1ffea00f,0x1004ffb8,0xffb01fff,0x00198809,0xff83ffe6,
    0xfffff99f,0x205ff98d,0x001efffc,0x541ffe60,0xfff107ff,0xfff9803f,
    0x7fffe401,0x1fff88df,0x007ff980,0x3faabff7,0x4002dfff,0xeffffffc,
    0x07ffa801,0x3ea05ffd,0xfff5007f,0x8027fdc0,0xffb07ff9,0x0fffcc09,
    0x7c7ffb80,0x006a21ff,0x03bfff60,0x0fff3000,0x7cc1ffea,0xffa801ff,
    0x8351001f,0xa801fff8,0xff7007ff,0x0001a88b,0x0009dfe8,0x7f41ffea,
    0x0fff502f,0xb81ffea0,0xff7006ff,0x013ff60d,0x3a007fff,0x0fffc5ff,
    0x7ffec000,0xff300005,0x41ffea0f,0xf9007ffb,0x880003ff,0xa8801fff,
    0xbff7002a,0x3e200000,0x7d4002ef,0x05ffd07f,0x5401ffea,0x3fee07ff,
    0x4ffe801f,0xd809ffb0,0x7dc00fff,0x0fffc1ff,0x3ffee000,0x3e600004,
    0x0fff507f,0x5007ffee,0x0005ffff,0x001fff88,0x0bff7000,0x37220000,
    0x3ea006ff,0x07ffd07f,0x5401ffea,0x3fee07ff,0x7ffd405f,0x809ffb00,
    0x701efff9,0xfff09fff,0x7fc40003,0x4c00005f,0xfff507ff,0x813ffea0,
    0x02fffff9,0x0fffc400,0xffb80000,0xd8000005,0xff5001ff,0x417ffa0f,
    0xf5007ffa,0x7ffdc0ff,0x9fff505f,0x4027fec0,0xabeffffb,0x80dfffdb,
    0x20001fff,0x9999fffd,0x99999999,0x83ffcc01,0x3fa07ffa,0xeba9beff,
    0x03ffefff,0x0fffc400,0x00777540,0x0002ffdc,0x1fff5100,0x41ffea00,
    0x25effffc,0xf5007ffa,0x77fdc0ff,0xfdbaceff,0x3f600eff,0xfff9004f,
    0x9fffffff,0x000fffc0,0xffffffa8,0xffffffff,0x7fcc07ff,0x40fff507,
    0xfffffff9,0xffb8cfff,0x7fc40005,0xfffb801f,0x05ffb801,0x7ffcc000,
    0x2a004fff,0xfff307ff,0x3ffd4fff,0x207ffa80,0xfffbbffb,0x00dfffff,
    0x10027fec,0xbffffffb,0x01fff805,0xfffff900,0xffffffff,0xf980ffff,
    0x0fff507f,0xfffffc88,0x3ffe61df,0x3fe20000,0xfffb801f,0x05ffb801,
    0x7ffd4000,0x2a000cff,0x3fa607ff,0xfff50fff,0x81ffea00,0xffd53ffb,
    0x36007dff,0x530004ff,0x55540035,0xfffb0000,0xffffffff,0x80ffffff,
    0xff507ff9,0x2aa6200f,0x50000001,0xff700155,0x5553003f,0xa9880000,
    0xfa80009a,0xa833007f,0xff5007ff,0x2aa2000f,0x27fec000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00055544,0x90001555,0x1fffcdff,0x0fffb800,0x00aaa880,
    0xfff10000,0xc80aa801,0xdd93001c,0x0554c37b,0x41effd88,0xfffe80d9,
    0xffffffff,0x81ffffff,0xfffffff8,0x1cdeeeff,0xff700000,0x3fffe607,
    0xeeffffff,0x7fe400bd,0x2007fff5,0x8000fff9,0x3ffe6ffc,0xfff70003,
    0x7fff3001,0x3e200000,0xfff700ff,0x5ff517bf,0xffffe880,0x5ff94fff,
    0x9afffc80,0xffe83ffd,0xffffffff,0x1fffffff,0xffffff88,0xffffffff,
    0x200001df,0xf303fff9,0xffffffff,0x07ffffff,0xffcaffe4,0x0bff9006,
    0xf9bff200,0xf70003ff,0xff3001ff,0x2000007f,0xff00fff8,0xffffffff,
    0x7ff4c01f,0xeffffeff,0xfa802ffd,0x80bfffff,0xfffffffe,0xffffffff,
    0xfff881ff,0xffffffff,0x0dffffff,0xfffe8000,0xfffff303,0xffffffff,
    0x3f209fff,0x03fff35f,0x0005ffd0,0xfff9bff2,0xfff70003,0x7fff3001,
    0x3e200000,0x8ffa80ff,0x2efffda8,0x05ffff40,0x5fffff91,0xbfffd700,
    0x4efff401,0x99999999,0xf1019999,0x333339ff,0xfffb7553,0x640001df,
    0xf303ffff,0x333337ff,0xffff9553,0x74bff909,0x7fcc04ff,0x3ff20007,
    0x000fffe6,0x8007ffdc,0x00000999,0x501fff10,0x00571079,0x5c05fff7,
    0x7102ffff,0x3fffdfff,0x0027ff40,0x0fffe200,0x5ffffa80,0xffff5000,
    0x3ffe607f,0xfffd3002,0x7dcbff90,0x27fe407f,0x4dff9000,0x70003fff,
    0x00001fff,0x7fc40000,0x2000000f,0xfe805ffe,0xdffb02ff,0x403ffee5,
    0x00004ffe,0x001fffc4,0x007fffa2,0xffffff10,0x0bffe607,0x42fff980,
    0x3fe25ffc,0x07ffe01f,0x26ffc800,0x70003fff,0x00001fff,0x7fc40000,
    0x1000000f,0xf3001fff,0x076a05ff,0x7f417ff2,0x4400004f,0xa8003fff,
    0x6c006fff,0x03ffeaff,0x8005fff3,0x7fe44fff,0xa827fec5,0x640006ff,
    0x0fffe6ff,0x07ffdc00,0x001eed80,0x17bd9510,0x8803ffe2,0x02cdeecb,
    0xf0037fcc,0xa98805ff,0x82fff89a,0x00004ffe,0x001fffc4,0x000fffd8,
    0x3ffabff7,0x05fff303,0x644ffe80,0x3ffd45ff,0x0003ffd8,0xfff37fe4,
    0x3fee0007,0x1fff000f,0xfffd8800,0xff8bffff,0xffff700f,0x203dffff,
    0x3a005ffb,0xffd302ff,0xdffddfff,0x0009ffd0,0x03fff880,0x05fff300,
    0x3a1dff10,0xfff303ff,0x7ffc4005,0x7c2ffe42,0x7ffc42ff,0x7fe40000,
    0x000fffe6,0x4007ffdc,0x4c007ff8,0xffeffffe,0x80fffcff,0xfefffffe,
    0xfc84ffff,0x3ff6004f,0xfffffb82,0x3fffffff,0x00027ff4,0x00fffe20,
    0x803fff80,0x3ffa1ffe,0x05fff303,0x643ffd40,0x5ffc85ff,0x0002ffdc,
    0xfff37fe4,0x3fee0007,0x6ffb800f,0x5ffff400,0x3ffff620,0x6fffe40f,
    0x1ffff4c1,0xd8013ff6,0x7ffdc2ff,0xffca89ae,0x27ff47ff,0x3fe20000,
    0x3f60003f,0x27fe404f,0x7cc0fffa,0xff7002ff,0x0bff907f,0x7f41fff3,
    0xfc80002f,0x00fffe6f,0x007ffdc0,0x8013ffa2,0x3202fffb,0x3e60ffff,
    0x7fec03ff,0x017ff20f,0x3e22ffe8,0xff300dff,0x6fff43ff,0xaaaaaaaa,
    0x2200aaaa,0x20003fff,0x3e606ffc,0x03ffe86f,0x999bfff3,0xfffdb999,
    0x17ff205f,0xff99fff4,0xff900007,0x001fffcd,0x200fffb8,0x000fffe8,
    0x3e017ffa,0x3ffa0fff,0x4fff8806,0xf801bfee,0x1fff22ff,0xe93ffea0,
    0xffffffff,0x1fffffff,0xdfffccc8,0x03cccccc,0xe883ffe4,0x3ffe81ff,
    0xffffff30,0xffffffff,0x2ffe405f,0xff75ffb8,0x3f200009,0x00fffe6f,
    0x807ffdc0,0x003fffe8,0x5c00fffc,0xfff10fff,0x9ffee003,0x9800fff9,
    0xfff12fff,0x9bffa007,0xfffffffe,0xffffffff,0xffffff81,0x6fffffff,
    0x407ffe40,0xffd03ffc,0x3fffe607,0xffffffff,0xc80cffff,0xfff105ff,
    0x0003ffb1,0xff9bff20,0xff70003f,0xfffd101f,0x7ff98007,0x21fff100,
    0x26007ff9,0x3ffa0fff,0x2fffd804,0x2001fff3,0xffd0fffa,0xdddddddf,
    0xd03ddddd,0xdddfffdd,0xd80bdddd,0x6ffa87ff,0x4c0fffa0,0xccccdfff,
    0xffffedcc,0x2ffe40ef,0xdff7ffb0,0x7fe40000,0x000fffe6,0x2207ffdc,
    0x8003fffe,0x3e006ffa,0x0dff70ff,0x50fffc40,0x7cc03fff,0xfff52fff,
    0x8fffcc00,0x00004ffe,0x001fffc4,0xf88fffd0,0x3ffa00ff,0x05fff303,
    0x1bfff620,0x7d40bff9,0x0003ffff,0xff9bff20,0xff70004f,0x07fffb0f,
    0x017ff200,0xff90fff8,0x2fff800b,0x5c1ffff4,0xf72fffff,0x7fc400df,
    0x009ffd1f,0x3fff8800,0x1bffe000,0xfe807ffb,0x5fff303f,0x3fffc800,
    0xff017ff2,0x00001fff,0xfff37fe4,0x3ff20009,0x027ffd47,0x00bff900,
    0xffd87ff4,0x1fffc005,0x3bffffa6,0xfffefffe,0x800bff92,0x9ffd2fff,
    0xff880000,0xff10003f,0x57ffd4bf,0xeaaaaaaa,0x262aadff,0x44002fff,
    0x3ff26fff,0x2fffe405,0x3ff60000,0x0013ffa6,0x3f23ffec,0x7dc0005f,
    0x3ffe006f,0x800bff90,0xfd882fff,0xf4ffffff,0x1bfee5ff,0xd1fff880,
    0x800009ff,0x0003fff8,0x7dc7fff3,0xffffffff,0xffffffff,0x05fff30f,
    0x64fffd00,0x7fcc05ff,0x2fec802f,0xfb37fec0,0x3fa000df,0x01fff46f,
    0x7ff98130,0x5c3ffe00,0x3e2006ff,0x372a01ff,0x3ffe2cef,0x400fff51,
    0xffd0fff9,0xf8800009,0xfb0003ff,0x7ffdc1ff,0xffffffff,0x0fffffff,
    0x0005fff3,0x7fe4fffb,0x03ffc405,0x7403ffd8,0x3ffee5ff,0x7ffc4000,
    0x8017ffc4,0xff10fffa,0xfff1001f,0x003ffe61,0x0007ffd4,0x7cc7ffe0,
    0xff7000ff,0x0027ff4f,0x0fffe200,0x1bffea00,0x99999995,0xbfff9999,
    0x7ffcc999,0x5ffe8002,0xf7017ff2,0x3ff2009f,0x327ffc05,0xc800bfff,
    0x7ff42fff,0x8dff9003,0xfc804ffe,0x9fff10ff,0x31bffa00,0x7ffcc001,
    0x007fff10,0xffe97ffa,0x7c400004,0xfe8003ff,0x740001ff,0xfff303ff,
    0xfff98005,0xd017ff23,0x3f2003ff,0xfff700ff,0x04fffe85,0xb0dfff30,
    0xff100dff,0x0fffc89f,0x83fffe20,0x5400fffc,0x7ffc3fff,0x46ffd801,
    0x5c00fffc,0x3ffa1fff,0x7c400004,0x3a6003ff,0x80005fff,0xff303ffe,
    0x7fc4005f,0x17ff21ff,0x2005ffb8,0x20befff8,0x540ffffa,0x80adffff,
    0x82ffffd9,0x6c04fffa,0xffe81fff,0xfffe880e,0x3bffe20f,0x0dfff501,
    0xfa80dffd,0x7ffc43ff,0x9fff700e,0x0004ffe8,0x4e7ffc40,0xcaa99999,
    0x00effffd,0x03ffe800,0x3337fff3,0xfb533333,0xffc89fff,0x3ff6eae5,
    0x7fe4001f,0xffffefff,0xffff901f,0xffffdfff,0x7ec09fff,0x7f4c1eff,
    0xffd103ff,0xfff9559f,0xffa81fff,0xfdbabcff,0xffb81fff,0xf9510adf,
    0x3fe60bff,0xfdb9acff,0x7ff40eff,0x7c400004,0xffffffff,0xffffffff,
    0xfd00000e,0x3ffe607f,0xffffffff,0x86ffffff,0x3ffa5ffc,0x88004fff,
    0xfffffffe,0x7fdc02ff,0xffffffff,0x74403fff,0xffefffff,0x7cc05fff,
    0xffffffff,0xea80ffe9,0xffffffff,0x3ff601ef,0xffffefff,0x7ff4405f,
    0xdfffffff,0x004ffe80,0x7fffc400,0xffffffff,0x0002efff,0x981fff40,
    0xffffffff,0xffffffff,0x25ffc80c,0x005ffffd,0x7ffffdc0,0xd71002df,
    0xffffffff,0x7fdc0017,0x3fffffff,0xfffb7100,0x03ffa1bf,0x7ffffe44,
    0xfc8802ce,0xffffffff,0xffd91005,0x7405dfff,0x400004ff,0xfffffff8,
    0x1ceeffff,0xffd00000,0x3fffe607,0xefffffff,0x3f200bce,0x0b3b6a5f,
    0x0aa88000,0x554cc000,0x2200019a,0x0acdedca,0x00351000,0x00153100,
    0x3bbb2e20,0x310000bd,0x00000035,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfff98000,0xfffd8002,0x017fee0e,0x7ff40000,0xffb8001f,
    0x000bff75,0x001fffc4,0x01bffa00,0x4d3ffea0,0x00002fff,0x3fffe600,
    0xffffffff,0xffffffff,0x3fffe67f,0x3ee0001f,0x9fff3fff,0x3ffee000,
    0xf98fff70,0x7ec002ff,0x7fdc0eff,0x98000005,0x8005ffff,0xbff75ffb,
    0x7ffc4000,0x7cc00003,0x7f4002ff,0x5fff30ff,0x6c000000,0xffffffff,
    0xffffffff,0x267fffff,0x004fffff,0x4fffff60,0x70004fff,0x3fee1fff,
    0x017ffcc7,0x01dfffb0,0x0000bff7,0xfffff900,0x5ffb8001,0x4000bff7,
    0x0003fff8,0x006ffd80,0xf98bffea,0x000002ff,0xffffff30,0xffffffff,
    0xffffffff,0x7ffffccf,0xfff10007,0x13ffe7ff,0x87ffdc00,0x7fcc7ffb,
    0xfffb002f,0x17fee01d,0x3fe00000,0x4003ffdf,0xbff74eea,0x7ffc4000,
    0xf8800003,0xffd003ff,0x02fff98d,0xff900000,0x9fff333f,0x33333333,
    0x7cc33333,0x001fffff,0x3fffffb8,0x20009fff,0xff70fffb,0x02fff98f,
    0x00efffd8,0x00017fee,0xf59ff500,0xf70000df,0x7c4000bf,0x000003ff,
    0xb801fff7,0x7fcc1fff,0x8000002f,0x7fc4fff8,0x7cc0003f,0x004ffeff,
    0x3fffffe8,0x20009fff,0xff70fffb,0x02fff98f,0x0077ffec,0x00017fee,
    0x3e5ffb00,0x5c0001ff,0x220005ff,0xaaaadfff,0x0099aaaa,0x813ffe20,
    0xf985fff8,0x000002ff,0x7c0fffc8,0x4c0003ff,0x07ffbfff,0x7feffc40,
    0x009fff3f,0x5c3ffee0,0x7ffcc7ff,0x3bfff602,0x05ffb800,0x3fe20000,
    0x00bff90f,0x005ffb80,0x3ffffe20,0xffffffff,0xf5001cff,0x3ff203ff,
    0x2fff980f,0x7c400000,0x3fff85ff,0x7ffcc000,0x2001fff9,0x3fffaffb,
    0x20009fff,0xff70fffb,0x02fff98f,0x400bfffb,0x54c05ffb,0x3ee001aa,
    0x03ffea6f,0xfb9554c0,0x37b6e65f,0xffff101b,0xffffffff,0x00bfffff,
    0x3e217ffa,0xfff304ff,0xc8000005,0xfff81fff,0x7fcc0003,0x004ffc9f,
    0x9fffdffa,0x70004fff,0x3fee1fff,0x417ffcc7,0x4005fffd,0x3ea05ffb,
    0x3a000eff,0x1fffc3ff,0xf75ffb80,0x3ffff2bf,0x7c40efff,0xeeeeeeff,
    0xffffeeee,0xfff9804f,0x807ffe42,0x0002fff9,0x17ffe200,0x0001fffc,
    0x3e67ffe6,0x9ff1007f,0x7ffcfffe,0xfff70004,0xf31ffee1,0xfffd85ff,
    0x5ffb8005,0x00bfff50,0x640fff98,0xff7006ff,0x3f7bfeeb,0xffffffff,
    0x0fffe20e,0x3ffffc80,0x266ffd80,0x3e603fff,0x000002ff,0x7c07ffee,
    0x4c0003ff,0x3fff1fff,0x3e3ff700,0x09fff3ff,0x43ffee00,0x7fcc7ffb,
    0x17fff62f,0x42ffdc00,0x8005fffa,0xff985ffd,0x5ffb802f,0x59fffff7,
    0x12fffecc,0x98007fff,0xf8806fff,0x0dffb2ff,0x002fff98,0xbfff1000,
    0x001fffc0,0x647ffe60,0x7fe804ff,0x7ffcfffe,0xfff70004,0xf31ffee1,
    0x3fff65ff,0xff70004f,0x05fffa8b,0x02fff880,0xf700bffd,0x3fffeebf,
    0x89fff603,0xe8003fff,0xff9007ff,0x805fff3d,0x0002fff9,0x03fff700,
    0x5556fffc,0xaaaaaaaa,0x98fffcc2,0x7fcc07ff,0x7fcfffe4,0xeeeeeeff,
    0xeeeeeeee,0xfff70fff,0xfdafff98,0x002fffff,0x3e65ffb8,0xf70005ff,
    0x7ffdc0ff,0xbaffdc00,0x7cc04fff,0x7fff11ff,0x3fff7000,0xfffff100,
    0xfff300bf,0x3e000005,0x7ffc06ff,0xffffffff,0x260fffff,0x3ffe1fff,
    0xf87ff201,0xfffff3ff,0xffffffff,0xffffffff,0xf31ffee1,0xfbfffdff,
    0xb8001fff,0xbfff35ff,0x27ff4000,0x807fff10,0xfff75ffb,0x1fff8803,
    0x0007fff1,0xed85fff3,0xffffeeee,0xeeeeeeff,0x00bffe63,0x3ffee000,
    0x7ffffc02,0xffffffff,0x3fe60fff,0x813ff21f,0x9fffc6fe,0xffffffff,
    0xffffffff,0xf70fffff,0xffff98ff,0xbfff74ff,0x9dffb800,0x20005fff,
    0x6c01fff9,0x7fdc07ff,0x200fff75,0xfff12fff,0xfff50007,0xfffffe83,
    0xffffffff,0x3e64ffff,0x800002ff,0xff806ffe,0xeeeeeeef,0x20eeeeee,
    0x3e61fff9,0x89ff307f,0xbfff3fff,0x55555555,0xff955555,0x31ffee1f,
    0xd87fffff,0x2e003fff,0x6fffffff,0x1bff2000,0x80bffea0,0xdff75ffb,
    0x44bffe00,0xc8003fff,0x776c0fff,0xfffeeeee,0x3eeeeeee,0x000bffe6,
    0x05fff500,0x0007fff0,0x7c1fff98,0x1ffc81ff,0xfff9fffc,0xfff70004,
    0xf31ffee1,0xff107fff,0x3ee003ff,0x4fffffff,0xfffff000,0xffffffff,
    0x7dc0bfff,0x00bff75f,0x7fc4bffe,0x7fcc003f,0x7fcc006f,0x3ffe6007,
    0x7f400002,0xffffffff,0x03ffffff,0x0fffcc00,0x3fa13ff2,0xff3fff86,
    0x3ee0009f,0x8fff70ff,0x2a03fff9,0xb800efff,0xffccffff,0x7fd4001f,
    0xffffffff,0x0fffffff,0x3eebff70,0x5fff005f,0x400fffe2,0x01ffffb8,
    0x003ffcc0,0x0005fff3,0x7ffffd40,0xffffffff,0x40003fff,0x7cc1fff9,
    0x41ffcc6f,0x9fff3fff,0x3ffee000,0xf98fff70,0x7fec02ff,0xfffb805f,
    0x001bffa4,0xddddfffb,0xfddddddd,0x3fee09ff,0x200bff75,0xfff12fff,
    0x9999999b,0x9fffffdd,0x333332e0,0xcccfffdc,0x3e62cccc,0x200002ff,
    0xfffffffe,0xffffffff,0x7cc0003f,0x1ffe81ff,0x3fe03ff2,0x009fff3f,
    0x5c3ffee0,0x7ffcc7ff,0x7fff4402,0x237fdc03,0x1004fff9,0xe8007fff,
    0xbff707ff,0x7c017fee,0xffff12ff,0xffffffff,0x409fffff,0xfffffffe,
    0xffffffff,0x3ffe64ff,0xff500002,0x3333337f,0x7fff3333,0xfff98000,
    0x3e4ffc81,0x27fff06f,0x70004fff,0x3fee1fff,0x017ffcc7,0x00ffffcc,
    0xff90bff7,0xfff7003f,0xfffb8001,0xf75ffb82,0x3ffe00bf,0xffffff12,
    0xffffffff,0xffe801bf,0xffffffff,0x4fffffff,0x000bffe6,0x0037ff40,
    0x0000fffe,0xf303fff3,0x40ffeaff,0x9fff3fff,0x3ffee000,0xf98fff70,
    0xff9002ff,0x2ffdc0df,0x0077ff44,0x20017ffa,0xfb85fff8,0x00bff75f,
    0x7fc4bffe,0xccccccdf,0x000009ab,0x4c00fff3,0x80002fff,0x4003fff9,
    0x40003fff,0xfd01fff9,0x201ff93f,0x9fff3fff,0x3ffee000,0xf98fff70,
    0x3fa002ff,0xbff704ff,0x813ffea0,0x0002fff9,0xfb83fff9,0x00bff75f,
    0x7fc4bffe,0x0000003f,0x3003ffcc,0x00005fff,0xf000fffb,0x980007ff,
    0xff901fff,0x7fc0bff9,0x009fff3f,0x5c3ffee0,0x7ffcc7ff,0x3ffe2002,
    0x05ffb82f,0x6407fff6,0x260007ff,0x7fdc4fff,0x200bff75,0xfff12fff,
    0x80000007,0x26007ff9,0x9999bfff,0x99999999,0x00fffe60,0x2673ffe0,
    0x99999999,0xfff30999,0x3fffe603,0x4fffe03f,0x70004fff,0x3fee1fff,
    0x017ffcc7,0x03fffee0,0x7c40bff7,0xfff80eff,0x7ff40004,0xfbaffdc7,
    0x5fff005f,0x000fffe2,0xfff30000,0x7fffcc00,0xffffffff,0x3f64ffff,
    0xff8000ff,0xffffffff,0x3fffffff,0x7403fff3,0x3e00ffff,0x09fff3ff,
    0x43ffee00,0x7fcc7ffb,0xffd8002f,0x02ffdc6f,0xf513ffea,0xb80003ff,
    0x3fee2fff,0x200bff75,0xfff12fff,0x80000007,0x26007ff9,0xffffffff,
    0xffffffff,0x009fff34,0x3fffffe0,0xffffffff,0xfff33fff,0x2fffe403,
    0x7fcfffe0,0xff70004f,0x31ffee1f,0x10005fff,0x7dc9ffff,0xfffd805f,
    0x001bff61,0xb9bffe20,0x0bff75ff,0x7c4bffe0,0x000003ff,0x003ffcc0,
    0xfffffff3,0xffffffff,0x03fff29f,0x7ffffc00,0xffffffff,0xff33ffff,
    0x7ffcc03f,0xf9fffc02,0xf70004ff,0x1ffee1ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x0005fff8,0xfff8fff5,0xffffffff,0x00aceeef,0x7fffffc4,0xdeeeffff,
    0x0dc4000b,0x3322264c,0xcccccccc,0x0ccccccc,0xfd85fffb,0xffffffff,
    0xffffffff,0x17fff24f,0x7fff9000,0x0037ffd4,0x2a5fff88,0x2e001fff,
    0x2000ffff,0x3fe27ffc,0xefffffff,0x8801cdee,0x8003ffff,0x7ffc7ffa,
    0xffffffff,0x1fffffff,0x3ffffe20,0xffffffff,0x4401dfff,0x89cffffd,
    0x7ffcc6fd,0xffffffff,0xb1ffffff,0xffd85fff,0xffffffff,0xffffffff,
    0x017fff44,0x85fff980,0x8004fffc,0x3e20fffe,0x3f6002ff,0x3a002fff,
    0x3ffe24ff,0xffffffff,0x201dffff,0x00fffff8,0x3e3ffd40,0xffffffff,
    0xffffffff,0xfff102ff,0xffffffff,0x3fffffff,0x7ffffdc0,0x4c4fffff,
    0xffffffff,0xffffffff,0x85fffb1f,0xfffffffd,0xffffffff,0x7fcc4fff,
    0xfe8000ff,0xfffd00ff,0x7ffe4005,0x004ffe81,0x013ffffe,0xf117ffc4,
    0xffffffff,0xffffffff,0xffff101b,0xffa800bf,0x401fffc7,0xffffea98,
    0x9cfff882,0xa9999999,0x00effffb,0x3fb269fb,0x66440dff,0xcccccccc,
    0x25fffccc,0x4c42fffd,0x99999999,0xffe99999,0x4fffc82f,0x1fffe400,
    0x01ffff30,0x209fff50,0xf3006ffc,0x200dffdf,0x3e20fffa,0x99999cff,
    0xfffdbaa9,0x7ffc40ef,0x2a003fff,0x1fffc7ff,0x27ffdc00,0x001fffc4,
    0x209fffb1,0x00b981cc,0x3bff2000,0x00bfff60,0x27ffec00,0x003fffd0,
    0x2017ffe6,0x4405fffb,0x3ea06fff,0xffb800ff,0xc801fffb,0x7ffc46ff,
    0x3ffa6003,0x7fffc45f,0xf5000fff,0x03fff8ff,0x10fffb00,0xf0007fff,
    0x00000dff,0x3fff3000,0x002fffd8,0x05fffc80,0x8037ffcc,0xb000fffe,
    0x7f407fff,0x3fe200ff,0x8ffe802f,0xfe803ffd,0x1fffc44f,0x3fffa200,
    0x3f3ffe21,0xff5005ff,0x003fff8f,0x883fff50,0xc8003fff,0x00000fff,
    0x3ffa2000,0x01fffd83,0x77ffdc00,0x4fffc800,0x017ffe40,0x01ffff10,
    0xd005fff9,0xff8809ff,0x880bff57,0x7fc41fff,0xff98003f,0x27ffe26f,
    0xa803fffc,0x1fffc7ff,0x2fff9800,0x001fffc4,0xa997ffd4,0x37b6e60a,
    0xfc80002c,0x3fff906f,0x7ffcc000,0xffd1001f,0x3ffe603f,0xfffa8004,
    0x027ffd46,0x5406ffc8,0x0fff14ff,0xf887ffa8,0xf90003ff,0x3ffe21ff,
    0x801fffd1,0x7ffc7ffa,0xfff70003,0x03fff883,0x72fffa80,0x3fff27ff,
    0x000effff,0x203fff50,0x0000fffc,0x005ffff1,0xd06fff98,0x20001dff,
    0xff13fffc,0x7fd400df,0xd17fe407,0x7fe403ff,0x03fff885,0x25fff300,
    0xff31fff8,0x7ffa80bf,0x8001fffc,0x7c40fffe,0xfb8003ff,0x97ff70ff,
    0xffffffff,0xf88001ff,0x3fee04ff,0xffd0000f,0x3f20009f,0x7ffdc3ff,
    0x7ff40001,0x00fffd8f,0x807ffe20,0x3ff20fff,0x20fffa04,0x0003fff8,
    0x7fc4fffe,0x0ffff21f,0x7fc7ffa8,0xffd8003f,0x3fff885f,0x27ffe800,
    0x1cfffffb,0x09fffb51,0x407ffc80,0x90007ffb,0x4000bfff,0xf10fffe8,
    0x300009ff,0x5fffffff,0x07ffb000,0xff51bfe6,0x07ffe20d,0x000fffe2,
    0xff14ffd8,0x7fff443f,0xf8fff500,0x54c403ff,0x80ffffeb,0x4003fff8,
    0x3ee4fffc,0xfd101fff,0x7fc400ff,0x3ffd404f,0x77ffdc00,0x7fcc0000,
    0x00dffb5f,0x7fffdc00,0xff70004f,0x20ffee0b,0xff980fff,0x07fff107,
    0x8b7fec00,0x7fcc1fff,0x8fff506f,0xffffffff,0xffffffff,0xff101fff,
    0x3333339f,0xffff7533,0x27ffdc1f,0x003ffea0,0x2007ffdc,0x4c006ffa,
    0x0000ffff,0xff9fff90,0xd800003f,0x20006fff,0xffb07ff9,0x705ffb03,
    0x3fe209ff,0x3f20003f,0x03fff17f,0xf507fff9,0xfffff8ff,0xffffffff,
    0x200dffff,0xfffffff8,0xffffffff,0x7fdc2fff,0x7ffcc00f,0x0bffd001,
    0x400dff30,0x002ffff8,0x3fffa200,0x800003ff,0x001ffffd,0x3e03ffe0,
    0x0bff707f,0x3e205ffb,0x2e0003ff,0xfff88fff,0x0fffe881,0x3fe3ffd4,
    0xffffffff,0x00acffff,0xffffff88,0xffffffff,0xffb80dff,0x03fff007,
    0x005fff30,0x7400bff3,0x00003fff,0x06ffffa8,0xfffb8000,0x360006ff,
    0x2ffd42ff,0xff87ff98,0x7fff100f,0xbffec000,0xf501fff8,0x7ffa8dff,
    0x4c41fffc,0x001efffc,0xfffffff1,0x99dfffff,0x037fdc03,0xc802fff8,
    0xff1006ff,0x3fff200b,0x36000005,0x00001fff,0x7ff7ffcc,0xff70004f,
    0x203ffc89,0x3fe61fff,0x0fffe206,0x16ffe800,0x7e403fff,0x1ffea3ff,
    0xf9807fff,0xf8802fff,0x200003ff,0xff005ffb,0xfff8805f,0x013fe003,
    0x003bffee,0x7ffb8000,0x7fc40000,0x1fffe8ef,0x46ff9800,0x3f600ffe,
    0x813fee2f,0x0003fff8,0x7fc57ffe,0x3ffa201f,0xf8fff50f,0xff9803ff,
    0x7fc401ff,0x2e00003f,0xfff005ff,0x0fffb805,0x3013fe00,0x0001ffff,
    0x07ffb800,0x7ffec000,0x01ffff31,0x221fff00,0x7fd406ff,0x8807ff64,
    0x10003fff,0x3fe29fff,0x7ffd401f,0xff8fff56,0xfff5003f,0x7ffc401d,
    0x3ee00003,0x5fff005f,0x005ffe80,0xff101ff4,0x000005ff,0x000fff70,
    0x227ffdc0,0x8005fffc,0x9ff72ffd,0x3e6ff880,0x7ffc407f,0xfff30003,
    0x007ffe27,0x3eaffff2,0x01fffc7f,0x40dfffb0,0x0003fff8,0x4017fee0,
    0x3e602fff,0x7f4001ff,0x0ffffa03,0x7dc00000,0xf300007f,0x3ffa0dff,
    0x7fd4003f,0xd005ffb4,0x0bff31ff,0x003fff88,0x221fffb0,0xf8801fff,
    0x47ffbfff,0x22003fff,0xf103ffff,0x400007ff,0xff005ffb,0x3ffdc05f,
    0xc8055400,0x00005fff,0x01ffee00,0x3fffa200,0x1ffff100,0xfaffc400,
    0x3ff9007f,0xf8807ff7,0xfa8003ff,0x3ffe24ff,0xffff5001,0x3fff8fff,
    0x7fffd400,0x03fff880,0x17fee000,0x9017ffc0,0x80000dff,0x0006fffa,
    0x3ffdc000,0x7ffec000,0x37ffdc02,0x3e7ffa00,0x7ff5005f,0xf8803ff9,
    0xfe8003ff,0x3ffe21ff,0x3fff2001,0x1fffc7ff,0x2fffe400,0x001fffc4,
    0x00bff700,0xfe80bffe,0x2600005f,0x0000efff,0x3ffdc000,0x3ffee000,
    0x9fffb005,0x7e7fe400,0x37fe003f,0xff8807fe,0x3faa003f,0x7ffc45ff,
    0x3ffe2001,0x1fffc7ff,0x7fffc400,0x01fffc42,0x0bff7000,0x440bffe0,
    0x5c003fff,0xfff10eee,0x3333335f,0x33333333,0xff700033,0x7fcc000f,
    0xff1000ef,0x3ea003ff,0x2001ffff,0x804ffffd,0x999cfff8,0xfdcaa999,
    0xff885fff,0x7fd4001f,0x1fffc7ff,0xffffa800,0x00fffe20,0x05ffb800,
    0x2605fff0,0x64002fff,0xfff30fff,0xffffffff,0xffffffff,0xff7000ff,
    0x7ff4000f,0x7fd4001f,0xff8800ff,0x7dc007ff,0xf8802fff,0xffffffff,
    0xffffffff,0x03fff105,0x8ffff900,0x20003fff,0x3e25fffd,0x200003ff,
    0xff005ffb,0x3ffe605f,0x7ffe4001,0xffffff30,0xffffffff,0x0fffffff,
    0x00fff700,0x00ffff20,0x02fffe40,0x004fffe8,0x007fffcc,0x7fffffc4,
    0xffffffff,0x3fe203ef,0xff88001f,0x01fffc7f,0x5ffff100,0x000fffe2,
    0x005ffb80,0x3ea05fff,0xffc8007f,0xfffff30f,0xffffffff,0xffffffff,
    0x0fff7000,0x0dfff500,0x2fffe800,0x02fffc80,0x006fff80,0xfffffff1,
    0x39bddfff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x007ffe40,0x8a7ffc00,0xffffffff,
    0xffffffff,0x3e1fffff,0xffffffff,0xffffffff,0x8aaa63ff,0xaaaaaaa8,
    0xaaaaaaaa,0xc8801aaa,0x0000003c,0xecb98015,0xa881beef,0x001ceeec,
    0x6776e54c,0xdb98002b,0x44002cee,0x02cdedca,0xa800d54c,0x155530aa,
    0x0007fff3,0xf11fffa8,0xffffffff,0xffffffff,0x7fc3ffff,0xffffffff,
    0xffffffff,0x43fff23f,0x38800019,0x006ff980,0x3bb72a20,0x203fe62c,
    0xffffffe8,0x3fea5fff,0x1effffff,0x7fffec40,0x01efffff,0xffffffc8,
    0xfa801eff,0xefffffff,0x00bff901,0x3f23fff1,0x0dffd0ff,0x26ffd800,
    0xfffffff8,0xffffffff,0x21ffffff,0xffffffff,0xffffffff,0x3ff23fff,
    0x0000330f,0xdff30071,0x3ffea000,0xebffffff,0xffffa85f,0xfffffeef,
    0xefffffdd,0x501fffff,0xfddfffff,0x203fffff,0xefffffd8,0x201fffff,
    0xfefffffc,0xfc83ffff,0xfff8805f,0x2e1fff91,0x10001fff,0x99987fff,
    0xffa99999,0x999999bf,0x4e7ffc19,0x99999999,0x20999999,0x0330fffc,
    0x30071000,0xfb000dff,0xfffdffff,0xf881dfff,0xfd881eff,0x40cfffff,
    0xf80fffea,0xfc882eff,0xfff905ff,0x7ff5c43b,0xdfffb80f,0x17ffecc1,
    0x22017ff2,0xfff91fff,0x013ffe21,0x007ffdc0,0x007ffe60,0x0007fff0,
    0x330ccc40,0x00710000,0xb800dff3,0x2e21efff,0xfb85fffe,0x7ffc405f,
    0x7ff401ff,0x00fffd44,0xf303fff2,0x7fcc09ff,0x27ffc43f,0xf91bff20,
    0xfff100bf,0xfb066623,0x3fa000ff,0xff98004f,0x7ffc001f,0x98000003,
    0x03880001,0x2006ff98,0x2604fff8,0x7f41ffff,0xfffc802f,0x47ff9804,
    0xf9805ffe,0x37fe40ff,0x3237fec0,0xffd006ff,0x402ffe47,0xa801fff8,
    0x4c001fff,0x98001fff,0x7c001fff,0x000003ff,0x88000198,0x06ff9803,
    0x881fff60,0x4c5fffff,0xfff7003a,0x87ffa001,0xf8800a98,0x1ffec1ff,
    0x3e15e4c0,0xff7002ff,0x402ffe4d,0xf001fff8,0xfc8009ff,0xff30006f,
    0xfff8003f,0x98000003,0x13880001,0xf5333333,0x333333df,0x203fff83,
    0x0fffbefe,0xfff91000,0x017fec00,0x83fff500,0x20000fff,0x5000fff9,
    0x2ffe4fff,0x00fffc40,0x4007ffc8,0x30003fff,0xf8003fff,0x000003ff,
    0x88000198,0xffffff93,0xffffffff,0x3fe63fff,0x11ff900f,0x51003fff,
    0xfffffdb7,0x99999999,0x009ffd99,0xfffb9751,0x3ffc43ff,0x3ffea000,
    0xcccccccc,0x90fffdcc,0xff100bff,0x3fe6003f,0xfff5002f,0x3fe60001,
    0x7ffc001f,0x98000003,0x93880001,0xffffffff,0xffffffff,0x41ffea3f,
    0x3ffa2ffa,0xfffdb882,0xffffffff,0xffffffff,0x705fffff,0xfffffffd,
    0x7d43ffff,0x7dc0007f,0xffffffff,0xffffffff,0x100bff91,0x74003fff,
    0xffb005ff,0x7fcc000b,0x7ffc001f,0x98000003,0x73880001,0xfddddddd,
    0xddddddff,0x21bfee1d,0x7ff44ff8,0x7ffffcc3,0xffcbefff,0xffffffff,
    0x46ffffff,0xfffffffa,0x1fffacff,0x0001bfee,0xfffffff9,0xffffffff,
    0x17ff25ff,0x007ffe20,0x400fffb8,0x0002fff8,0x0007ffe6,0x5555bfff,
    0x55555555,0x06600155,0x200e2000,0xf9006ff9,0xb0dfd0df,0x7ffd49ff,
    0x7dc1acff,0xfa80006f,0x09bdffff,0xfa87ffe2,0x7dc0007f,0xfc80006f,
    0xfff8805f,0x3ffe2001,0x037fdc03,0x07ffe600,0xffffff00,0xffffffff,
    0x2005ffff,0x38800019,0x006ff980,0xffc8fff7,0x3e2ffe80,0x7dc01eff,
    0x7c40006f,0x7cc01fff,0x3ffe61ff,0xff501000,0xff90000f,0x3fff500b,
    0x06ffc800,0x0001fff4,0x0007ffe6,0xffffffff,0xffffffff,0x066005ff,
    0x200e2000,0xf5006ff9,0x07fee3ff,0xffa8fffc,0x7ffc802f,0xf9826600,
    0xffa801ff,0x07ffe21f,0xf88f7fc0,0x206001ff,0xfb805ffb,0x7cc001ff,
    0xfff300ff,0xff980001,0x7ffc001f,0xccccccce,0x1ccccccc,0x00003300,
    0xdff30071,0x2bffe200,0xff303ff9,0x01bff21f,0x007fffa2,0x7dd3ffe2,
    0xfff9007f,0x804fff83,0x3fe0fff9,0xfffb005f,0x64037fdc,0xe8001fff,
    0xbff903ff,0xfff30000,0x3fff8003,0x19800000,0x80388000,0x3e006ff9,
    0x205fedff,0x3ff27ffd,0x7ffec00f,0x7fec00ef,0x03fff70f,0x42ffffa8,
    0x6c00fffb,0x7ffdc5ff,0x27ffd401,0x4c05fff5,0x8001ffff,0xfff06ffb,
    0xff300005,0xfff8003f,0x3ae00003,0x000330ee,0xff300710,0x7ffe400d,
    0xfff300ef,0x01fffd47,0xdffffff9,0x97ffee01,0x2604fffa,0xe82fffff,
    0xfb881eff,0xfffe81ff,0x3ffff102,0x407fffc4,0x71fffff9,0x7c401ddd,
    0x3ffd41ff,0xfff98000,0x1fffc001,0xfff90000,0x20000661,0x6ff98038,
    0x3fffe200,0x8dfff503,0x9befffe8,0x98efffdb,0xcabdffff,0x740effff,
    0xba9befff,0x3ffefffe,0xbcffff98,0x03ffffda,0x57bffff3,0x07ffffd7,
    0x97bffff9,0x3ffdbffd,0xb003fff2,0x4ffd89ff,0xfff30000,0x3fff8003,
    0x3ff20000,0x0000330f,0x02660071,0xfffff700,0xffffb759,0xfffff301,
    0x889fffff,0xfffffffe,0xff980eff,0xffffffff,0x305ffb8c,0xfffffffd,
    0xfe9809ff,0xffffffff,0xfffb103f,0x36bfffff,0x1fff91ff,0x227ffa80,
    0x00001fff,0x8003fff3,0x00003fff,0x0cc3fff2,0x001c4000,0xffff1000,
    0xffffffff,0x7fec405d,0x101defff,0xdfffffd9,0xfffc8805,0x3e61dfff,
    0x3ff200ff,0x001effff,0x3fffffb2,0xffb800cf,0x3f64efff,0x01fff91f,
    0x3ea3fff0,0x2600006f,0x7c001fff,0x800003ff,0x0000667e,0x7fffe4e2,
    0xffffffff,0x3a1fffff,0xffffb8ef,0x22003fff,0x44000aa9,0x440009a9,
    0x00001aa9,0x00026a62,0x001aa988,0x00015510,0xda7fe400,0x200002ff,
    0x4001fff9,0x00003fff,0x00332fc4,0x3ff27100,0xffffffff,0x1fffffff,
    0xaa981fb1,0x00000009,0x00000000,0x00000000,0x00000000,0x23bfe200,
    0x400007ff,0x4001fff9,0x00003fff,0x003327d4,0x3ff27100,0xffffffff,
    0x1fffffff,0x8880000c,0x88888888,0x88888888,0x376a0888,0x5555550d,
    0x3ee15555,0xffffffff,0xffffffff,0x0001ffff,0x00000000,0x33ffa000,
    0x400004ff,0x4001fff9,0x9999cfff,0x99999999,0x3fea1999,0x33333661,
    0xcccccccc,0x003ccccc,0x00000000,0xfffffff7,0xffffffff,0x23ffffff,
    0xffb0fffb,0x3fffffff,0x3fffffee,0xffffffff,0x1fffffff,0x00000000,
    0x2a000000,0x001fffff,0x0fffcc00,0x3ffffe00,0xffffffff,0x27ffffff,
    0x000000eb,0x00000000,0xffffb800,0xffffffff,0xffffffff,0x21fff71f,
    0xfffffffd,0x777731ff,0x77777777,0x77777777,0x00000017,0x00000000,
    0x006ffff8,0x1fff9800,0x7ffffc00,0xffffffff,0x47ffffff,0x00000000,
    0x00000000,0x33333310,0x33333333,0x13333333,0x7ec3ffee,0xffffffff,
    0x00000001,0x00000000,0x7e400000,0x800003ff,0x4001fff9,0xffffffff,
    0xffffffff,0x00007fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x9ddb9300,0xcb880057,0x4c02cdee,
    0x5bd930aa,0x20055550,0x2aa62aaa,0x2b3b6e60,0xdeeca880,0x002aa883,
    0xaaa85554,0x05554401,0x54c6aa20,0x37b6e60a,0x2aaa602c,0xaaaaaaaa,
    0x0040aaaa,0x00004080,0x80200000,0x3fa60098,0xefffffff,0xffffb800,
    0x901effff,0xffff35ff,0x4fffb8df,0x70fffe40,0x3fff67ff,0x3a21ffff,
    0x0effffff,0x400bffe2,0x3ff27ffa,0x1fffd405,0x7dcfff20,0xfffff93f,
    0xff701dff,0xffffffff,0x545fffff,0x075c001f,0x000005bf,0x446da800,
    0x0cfffffc,0x3bffffa2,0x02fffffe,0x3bfffffa,0xc84fffff,0xffffebff,
    0x1fffd83f,0xb87fff50,0xffffdbff,0xf98fffff,0xffffffff,0x8027fec5,
    0x3fe64ffd,0x3fff200f,0xb8fffc05,0xffffcbff,0x40ffffff,0xfffffffb,
    0xffffffff,0x263fff32,0xf72dffeb,0x3bffe1df,0x0000000b,0xd8dfff71,
    0x6fffffff,0x7107bff6,0x3f20dfff,0x7f4c1dff,0x7ffe43ff,0x80fdceff,
    0xf886fff8,0xfffb85ff,0xff711bff,0x4c3bffdf,0x3ea2fffe,0xfff8807f,
    0xd017ffc1,0x7cc0ffff,0x3fffee6f,0xffb511cf,0x9999889f,0xf9999999,
    0x3ffa25ff,0xffffffef,0x3e5fffff,0x01cfffff,0xffb30000,0x7fd4dfff,
    0x25ffb30c,0x3ea02fff,0x7ffcc1ff,0x07ffec03,0x083ffff9,0xb0fffea0,
    0xff701fff,0x3ff205ff,0xfff104ff,0x402fff89,0xffc86ffb,0xfffff104,
    0xb93fee03,0xd101ffff,0x22000fff,0xfe886fff,0xffffffff,0x5c45ffff,
    0x2efffffe,0xffd50000,0x6c17dfff,0x9dff986e,0xdee807ff,0x4037ff42,
    0x3f24fff8,0xfd8004ff,0x5fff71ff,0x813ffee0,0x200ffffa,0x7fe45ffc,
    0x41fff405,0xff706ffa,0x3fa09ffb,0x13ffee1f,0x001fff50,0x00effe88,
    0x215dfff3,0x407fffb8,0xffffffda,0x7e44000b,0x01dfffff,0xf8bff980,
    0xf10003ff,0x3ee003ff,0x07fff27f,0x3bffa200,0x2e04fff9,0x3e201fff,
    0x7fdc04ff,0x807ffcc6,0xf880fff9,0x9ffd80ff,0x7ff886ff,0x2007ffdc,
    0x4001fff9,0x2a01fffd,0x3fe606ff,0xffc8800f,0x401dffff,0xffffffd9,
    0x3f60000b,0x5bfffd0f,0x3ffcc001,0x21fff300,0x0000fffc,0xdffffff3,
    0x00fffb80,0x2a01fffc,0x3ffe86ff,0x6c0bff90,0xf6ff83ff,0x4ffa81ff,
    0xf803ffdc,0x3f6001ff,0x7fec02ff,0x01ffdc01,0x3ffffaa0,0x3fae23ef,
    0x002dffff,0x527ff440,0x7dffffff,0x06ffb803,0x647ffe20,0x640007ff,
    0x400fffff,0xff807ffb,0x37fd402f,0xfe837fdc,0x17fee02f,0x3ff69ff3,
    0x2e17fec2,0xfff006ff,0x3fff2005,0x806ff803,0x30005ff8,0x2dfffff9,
    0x0cffffff,0xfffa8000,0xfffff984,0xc80cffff,0x7fc005ff,0x00bff92f,
    0x07fffd00,0xf00dff70,0xffa805ff,0x40fff886,0x7c407ff9,0xb8ffdc7f,
    0x43ffc4ff,0xff005ffb,0xfff7005f,0x09ff3009,0x0003ffe0,0xf6fffb88,
    0x00007fff,0x1017ffdc,0xffffffd7,0x5ffd85ff,0xc9fffc00,0x440005ff,
    0xb806ffff,0xfff805ff,0x837fd402,0x7fe43ffd,0x21ffe804,0x9bfe67fd,
    0xffb85ff9,0x05fff005,0x005fffa8,0x3e00bff1,0x3220006f,0xfff6ffff,
    0x800019ff,0x2000effd,0xfffffdb8,0x017ff23f,0x3f25fff0,0x7ec0005f,
    0x5c03ffff,0xfff805ff,0x837fd402,0x7ffc6ffa,0x23ffc801,0x87ffc5ff,
    0xffb82ffc,0x05fff005,0x0077ffcc,0xf300ffd0,0xfb50009f,0x2a5dffff,
    0x2dfffffe,0x0dffd800,0x7fe4c000,0x01bfee6f,0xf91fff88,0x7dc000bf,
    0x01fffdff,0x3e017fee,0x7fd402ff,0x547ffe06,0xff3006ff,0xf90ffead,
    0x203ffa5f,0xff005ffb,0x3ffa205f,0x7fe4000f,0x00fff404,0xfffffb88,
    0xffb301cf,0x0017dfff,0x9999fff9,0x4004c799,0xff30fffc,0x3fea001f,
    0x00bff90f,0x753ffe20,0x3fee06ff,0x02fff805,0xf9037fd4,0x00fff69f,
    0xffc8fff8,0x7ce7fd41,0x0bff705f,0x220bffe0,0x8001fffe,0xd884fff9,
    0xfd9807ff,0x00bfffff,0xfffff910,0x3fe2039f,0xffffffff,0x8806ffce,
    0xfff11fff,0x9bffa009,0xd0005ffc,0x7ffc4dff,0x00bff704,0xfa805fff,
    0x3bfe606f,0x2000fff8,0x87feaffc,0x3ffbeff8,0x200bff70,0xffd82fff,
    0xff90002f,0xffb9bdff,0xd7105fff,0x05dfffff,0xfffea800,0x664c2eff,
    0xcccccccc,0x402fffab,0x7fe47ffb,0x7ffd400f,0x0017ff23,0xf707ffee,
    0xbff705ff,0x805fff00,0x7f406ffa,0x4005ffcf,0x05ffdffa,0x01ffdffd,
    0x7c017fee,0x7ffe42ff,0xfff90003,0xffffffff,0x7e45ffff,0x01cfffff,
    0x7fecc000,0x0003ffff,0x201dfff1,0x7c44fff8,0xff501eff,0x05ffc8df,
    0x827ffcc0,0x7dc0fffe,0x2fff805f,0x2037fd40,0x02fffffb,0x3fffff80,
    0x0dffff90,0xf802ffdc,0x3ffee2ff,0xfff50003,0xfffffd59,0x21fffd3b,
    0x00bfffff,0x7e440000,0x20006fff,0xaacffffb,0x81ffffba,0xabcffffa,
    0x41ffffdb,0x74005ffc,0x3fe606ff,0x02ffdc5f,0x2a017ffc,0x7fc406ff,
    0xfb0007ff,0x3ea03fff,0x3ee03fff,0x5fff005f,0x3b7fffe6,0xeeeeeeee,
    0x313f25ee,0x7f441355,0x000bbfe2,0x7f540000,0x7fe40006,0xffffffff,
    0x3ffaa00e,0xefffffff,0x005ffc81,0x7007fff2,0x7fdc5fff,0x02fff805,
    0x6c037fd4,0x70004fff,0x7c40ffff,0x3ee01fff,0x5fff005f,0x3fffffe6,
    0xffffffff,0x4001c7ff,0x0000e428,0x04980000,0xfffd9800,0x1004efff,
    0x9dfffff9,0x02ffe405,0x004fffa8,0x3ee1fffd,0x2fff805f,0x4037fd40,
    0x0001fffa,0xe80bfff1,0x7fdc06ff,0x25fff005,0xfffffff9,0xffffffff,
    0x0000007f,0x00000000,0xa9880000,0x4c40001a,0x0000000a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x02662000,0x00000000,0x04001000,0x01999500,0x00aa9800,
    0x009aa980,0x98802620,0x004c4001,0x7f403550,0xffffffff,0x6fffffff,
    0xfffffffd,0xffffffff,0x402a60df,0xff13fff9,0x43bbae9f,0x8002fffa,
    0x10003ffc,0x6fe88bff,0x3fa17fe2,0x001d9006,0x3f2007d1,0x740000ff,
    0x3ee003ff,0x00cfffff,0x74c2ff44,0x100dffff,0x07ffffd9,0x7f407ff0,
    0xffffffff,0x6fffffff,0xfffffffd,0xffffffff,0xffffa8df,0x9fffcc1e,
    0xff94fff8,0x0bffea1f,0x00fff200,0x3207fec0,0x17fdc1ff,0xf900ffea,
    0x7f4401df,0xfffc803f,0x3fea0000,0xfff7007f,0x40bfffdd,0x7dc5fff9,
    0x0fffffff,0xffefffe8,0x017fc02f,0xfffffffd,0xffffffff,0x3ffffadf,
    0xffffffff,0x3ea6ffff,0x21fffdff,0xff13fff9,0x43fff29f,0x8002fffa,
    0xb8003ffc,0x2ffd44ff,0x7f40ffe8,0x3ffee01f,0xfffe880e,0x0fffc802,
    0x3fff6000,0x6ffc402f,0x103ffa20,0x44bffff9,0xfea9cfff,0x317fe45f,
    0x7f428dff,0x99988661,0x99999999,0x316ffa99,0x33333333,0x13333333,
    0xfc88ffe2,0x44fffe66,0xfff94fff,0x00bffea1,0x000fff20,0x7c41fff3,
    0xbff500ff,0x5c06ff98,0x3a20efff,0x00002fff,0x7f7fcc00,0x07ecc06f,
    0x3fe17fd4,0x3f25ffcf,0x22ffc81f,0x0ffd83ba,0x3fd19ff5,0x0000dfb5,
    0x0000dff3,0x3fe0df50,0x227fff31,0x53f44fff,0x90005fff,0xfe8007ff,
    0x027fec2f,0xff90fff6,0xefffb809,0x02fffe88,0xfc800000,0x001ffdaf,
    0xf87ff710,0x7f4bff0d,0x009ff106,0x7fe4bff3,0xffffffff,0x7cc0000f,
    0xc800006f,0x227f903f,0x3ffe2fff,0xff997e22,0xffc8001f,0x1bff2003,
    0x9801fff5,0x3fe20fff,0x7ffdc02f,0xb82fffee,0xeeeeeeee,0xeeeeeeee,
    0x2dff100e,0xb9805ffa,0x3fffffec,0xff97fe04,0xb817fe04,0x2a20cfff,
    0xceffffdc,0xf980001b,0xb800006f,0x7c5fb04f,0x87ffa0ff,0x07ffc4fa,
    0x01ffe400,0x221fff98,0xf9002fff,0x0fffb8df,0x7ffffdc0,0xffff902f,
    0xffffffff,0x203fffff,0x3ffa3ffb,0x3ffff600,0x403ffeff,0x09ff15ff,
    0xffb037f4,0xfffd805f,0x7cc00001,0x9800006f,0x07fcc0ff,0x0ffc8ffb,
    0x6fe83ff5,0x3bbbbb60,0xeeeefffe,0xffd15eee,0x006ffd8b,0xfd0fffe2,
    0xfff900bf,0x7ffe407f,0xffffffff,0x01ffffff,0x7fdc1fff,0x59fff904,
    0xf00ffe63,0xf027fcbf,0x7e54c0bf,0xcefc80ef,0x200001ff,0xdddb6ff9,
    0xdddddddd,0x6cbddddd,0x4ffc9cff,0x9bee37e4,0x05fd80eb,0x3ffffffa,
    0xffffffff,0x5fff56ff,0x001fffc4,0xff91bff6,0x7ff4401f,0x33100eff,
    0x33333333,0x03333333,0xff117fea,0x20dff01f,0x7fc03ffa,0x7c41bfa5,
    0x7ff5004f,0xdfd2ffb8,0x3e600001,0xfffffd6f,0xffffffff,0x7ec4dfff,
    0xc985ffff,0x4021e4c2,0x3ffa02ca,0xffffffff,0x26ffffff,0x7fdc6ffd,
    0xfff3000f,0x01fffc43,0xffffffd1,0x0000001d,0xfd82ffe8,0x885ff83f,
    0x7fc03fff,0x3207ff65,0x202662ff,0x3fe25ff8,0x0013fea5,0xfeb7fcc0,
    0xffffffff,0x6fffffff,0x002ceca8,0x98800000,0xffc99999,0x0999999c,
    0xfd0fffe2,0x3ffa009f,0x102ffec4,0xff75fffd,0x654001df,0x3e6000cc,
    0x0dff306f,0x3aa25ff9,0x7fc03fff,0x233ffe25,0x3e26ffd9,0x44ffc85f,
    0x001ec0e8,0x55426600,0xaaaaaaaa,0x2aaaaaaa,0x00000000,0x3ffc8000,
    0x83ffe600,0x5401fff8,0x7ffcc6ff,0x5fffd100,0x0077ffdc,0x000fffc8,
    0xfe80fff6,0x7fffcc2f,0x04fedfff,0x3fee2ffc,0x41ffffff,0xfdabdffb,
    0x000001ff,0x00000000,0x00000000,0x3ffc8000,0x227fe400,0x3e205ffb,
    0x17ff41ff,0x82fffe88,0x800efffb,0x1000fffc,0x7dc01fff,0xffffa85f,
    0xf80ff92e,0xffff985f,0xfffd00df,0x0007ffff,0x10015500,0x88880001,
    0x22044400,0x22208880,0x90000008,0xfd0007ff,0x02ffd83f,0xffa87ff9,
    0x0bfff604,0x805fffb8,0x9000fffc,0xff880bff,0x0013301f,0xa880f320,
    0xeeca8009,0x800000cd,0xfb500ffa,0x70059fff,0x80ffff45,0xffd2fffd,
    0xf92fff87,0x000001ff,0x30007ff9,0x6ff88bff,0xff86ff88,0x0bfa200e,
    0x2003bee0,0x2a001998,0xaaa800aa,0x00000001,0x00000000,0x901df900,
    0xffffffff,0x2fd9839f,0x2617ffe2,0x3ffa4fff,0xfc97ffc3,0x800000ff,
    0x70003ffc,0x3ffa85ff,0x3ee07fec,0x0028801f,0x0000002a,0x00000000,
    0x00000000,0x3f600000,0xfff50dff,0xffffffff,0x5ffffbdf,0x641fff98,
    0x1fff46ff,0x7fe4bffe,0xc800000f,0x320003ff,0x224cb83c,0x02cc82cc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fea9ff7,0xfffecabd,
    0xffffffff,0x225ffa81,0x66640fff,0xca8e6642,0x800000cc,0x00002cca,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2a000000,0x203f55ff,
    0xfffffeb8,0x3ff201ef,0x0003ff90,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffedcb80,0x2600131f,0x1002bdcb,
    0x00000081,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x09ffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xdcc80000,0x000001bc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_42_latin1_x[224]={ 0,3,1,0,1,2,1,1,2,2,1,2,3,1,
3,0,1,4,1,1,0,1,1,1,1,1,3,3,2,2,2,1,2,-1,2,1,2,2,3,2,3,3,1,2,
2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,2,0,0,0,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,1,3,0,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,4,1,0,1,-1,
3,1,1,0,0,2,2,1,0,-1,2,1,0,0,4,2,0,3,1,1,0,2,1,1,0,2,-1,-1,-1,-1,
-1,-1,0,1,2,2,2,2,0,2,-1,0,-1,2,1,1,1,1,1,2,1,2,2,2,2,0,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,0,3,-1,0,1,2,1,1,1,1,1,1,2,2,2,2,2,0,2,0,
 };
static signed short stb__arial_42_latin1_y[224]={ 34,7,7,6,4,6,6,7,6,6,6,11,30,22,
30,6,6,6,6,6,7,7,6,7,6,6,14,14,11,15,11,6,6,7,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,7,6,7,6,39,6,14,7,14,7,14,6,14,7,7,
7,7,7,14,14,14,14,14,14,14,7,14,14,14,14,14,14,6,6,6,17,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,34,14,7,6,11,7,
6,6,6,6,6,15,15,22,6,2,6,11,6,6,6,14,7,18,33,6,6,15,6,6,6,14,0,0,0,1,
1,1,7,6,0,0,0,1,0,0,0,1,7,1,0,0,0,1,1,12,6,0,0,0,1,0,7,6,6,6,
6,7,6,6,14,14,6,6,6,6,6,6,6,6,7,7,6,6,6,7,6,13,13,6,6,6,6,6,7,6,
 };
static unsigned short stb__arial_42_latin1_w[224]={ 0,5,11,21,19,30,24,5,10,10,13,18,5,11,
5,11,19,11,18,19,20,19,19,19,19,19,5,5,18,18,18,19,35,27,22,25,24,22,19,25,22,5,15,24,
18,27,23,27,22,27,25,23,23,23,25,36,25,25,23,8,11,9,17,23,8,19,18,18,18,19,12,18,17,4,
8,17,4,27,17,19,18,18,12,17,11,17,19,27,19,19,18,11,4,12,20,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,5,18,20,19,22,
4,19,11,28,14,17,18,11,28,23,11,19,12,12,7,17,21,5,9,8,13,17,30,30,31,19,27,27,27,27,
27,27,36,25,22,22,22,22,8,8,13,11,27,23,27,27,27,27,27,17,27,23,23,23,23,25,22,20,19,19,
19,19,19,19,31,18,19,19,19,19,8,8,13,11,19,17,19,19,19,19,19,19,19,17,17,17,17,19,18,19,
 };
static unsigned short stb__arial_42_latin1_h[224]={ 0,27,10,29,34,29,29,10,36,36,13,19,10,4,
4,29,29,28,28,29,27,28,29,27,29,29,20,26,19,12,19,28,36,27,27,29,27,27,27,29,27,27,28,27,
27,27,27,29,27,31,27,29,27,28,27,27,27,27,27,35,29,35,16,3,7,21,28,21,28,21,28,28,27,27,
35,27,27,20,20,21,28,28,20,21,28,21,20,20,20,28,20,36,36,36,7,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,0,28,35,29,19,27,
36,36,5,29,15,18,12,4,29,4,11,23,15,15,7,28,35,5,9,15,15,18,30,30,30,28,34,34,34,33,
33,33,27,36,34,34,34,33,34,34,34,33,27,33,35,35,35,34,34,17,30,35,35,35,34,34,27,29,29,29,
29,28,29,29,21,28,29,29,29,29,28,28,28,28,28,27,29,29,29,28,29,16,23,29,29,29,29,36,35,36,
 };
static unsigned short stb__arial_42_latin1_s[224]={ 254,112,227,159,223,73,181,245,21,52,163,
1,239,171,165,243,27,58,39,73,207,1,93,92,186,142,250,74,224,196,205,
121,132,44,228,47,231,51,159,1,225,248,21,1,141,197,1,206,51,132,25,
162,27,37,1,194,168,142,118,236,241,53,94,183,208,173,223,193,81,212,242,
120,77,72,245,26,251,72,148,19,141,102,39,1,188,232,100,120,52,1,166,
168,127,114,187,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,
80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,80,254,250,104,
206,185,118,63,94,225,227,112,20,177,171,113,141,215,101,243,150,217,21,82,
237,177,127,136,38,188,219,1,61,195,1,29,29,1,57,160,68,111,134,157,
109,208,243,217,231,179,85,1,180,208,83,180,56,160,123,147,29,171,57,95,
164,185,1,21,82,61,81,141,160,33,101,41,144,179,200,209,70,139,74,124,
104,53,100,139,74,121,205,121,223,234,32,63,1, };
static unsigned short stb__arial_42_latin1_t[224]={ 1,320,398,174,38,143,174,398,1,1,398,
398,398,370,370,74,204,234,234,204,263,234,204,320,204,204,348,348,376,398,376,
234,1,292,263,204,320,348,263,204,292,292,263,292,292,292,320,174,320,109,320,
204,348,263,348,320,320,320,320,1,143,38,398,370,411,348,234,348,263,348,234,
263,292,292,1,292,263,376,376,376,234,234,376,376,234,348,376,376,376,263,376,
1,1,1,411,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,1,109,38,
204,376,292,1,1,411,204,398,398,398,370,204,370,398,348,376,398,411,234,38,
411,411,398,398,398,109,109,143,263,38,74,74,109,109,109,292,1,74,74,74,
109,74,38,74,74,263,109,38,1,1,74,74,398,109,38,38,38,38,74,292,
143,143,174,174,234,174,174,348,234,143,174,174,143,234,234,234,234,263,320,143,
143,143,263,174,398,348,143,174,143,174,1,38,1, };
static unsigned short stb__arial_42_latin1_a[224]={ 167,167,214,335,335,535,401,115,
200,200,234,351,167,200,167,167,335,335,335,335,335,335,335,335,
335,335,167,167,351,351,351,335,611,401,401,434,434,401,367,468,
434,167,301,401,335,501,434,468,401,468,434,401,367,434,401,568,
401,401,367,167,167,167,282,335,200,335,335,301,335,335,167,335,
335,134,134,301,134,501,335,335,335,335,200,301,167,335,301,434,
301,301,301,201,156,201,351,451,451,451,451,451,451,451,451,451,
451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,
451,451,451,451,451,451,451,451,167,200,335,335,335,335,156,335,
200,443,223,335,351,200,443,332,241,330,200,200,200,347,323,167,
200,200,220,335,502,502,502,367,401,401,401,401,401,401,602,434,
401,401,401,401,167,167,167,167,434,434,468,468,468,468,468,351,
468,434,434,434,434,401,401,367,335,335,335,335,335,335,535,301,
335,335,335,335,167,167,167,167,335,335,335,335,335,335,335,330,
367,335,335,335,335,301,335,301, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_42_latin1_BITMAP_HEIGHT or STB_FONT_arial_42_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_42_latin1(stb_fontchar font[STB_FONT_arial_42_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_42_latin1_BITMAP_HEIGHT][STB_FONT_arial_42_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_42_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_42_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_42_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_42_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_42_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_42_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_42_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_42_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_42_latin1_s[i] + stb__arial_42_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_42_latin1_t[i] + stb__arial_42_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_42_latin1_x[i];
            font[i].y0 = stb__arial_42_latin1_y[i];
            font[i].x1 = stb__arial_42_latin1_x[i] + stb__arial_42_latin1_w[i];
            font[i].y1 = stb__arial_42_latin1_y[i] + stb__arial_42_latin1_h[i];
            font[i].advance_int = (stb__arial_42_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_42_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_42_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_42_latin1_s[i] + stb__arial_42_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_42_latin1_t[i] + stb__arial_42_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_42_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_42_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_42_latin1_x[i] + stb__arial_42_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_42_latin1_y[i] + stb__arial_42_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_42_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_42_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_42_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_42_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_42_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_42_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_42_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_42_latin1_LINE_SPACING
#endif

