// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_26_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_26_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_26_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_26_latin1_BITMAP_HEIGHT        194
#define STB_FONT_arial_bold_26_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_bold_26_latin1_FIRST_CHAR            32
#define STB_FONT_arial_bold_26_latin1_NUM_CHARS            224

#define STB_FONT_arial_bold_26_latin1_LINE_SPACING          17

static unsigned int stb__arial_bold_26_latin1_pixels[]={
    0x00000000,0x00000000,0x3ee5ff50,0x7ffd001f,0x40079930,0x3a000ff8,
    0x6cc005ff,0x7ff03eee,0x99999710,0xdf507999,0x99300000,0x00003999,
    0x04cccca8,0x32207993,0x007ff3fe,0x001dff50,0x4000bff9,0xd8005ffc,
    0x7d4003ff,0x003ff72f,0x3ea09ff5,0x27e4005f,0x3ffffb80,0xfffff500,
    0xb87ff0df,0xffffffff,0x02fe86ff,0xa802ffdc,0x802fffff,0x3200effa,
    0xa80fffff,0xfff885ff,0x3f27ff3f,0x077f403f,0x003ff900,0x000bff10,
    0x3001ffa2,0x07baa3dd,0xfa813fa0,0x7fcc005f,0x5d7fcc00,0xffe801ff,
    0x7c3ffecd,0x3fffe63f,0x6fffffff,0xfc803fdc,0xfffa801f,0xefe801ee,
    0x7ff75c00,0x85ffa80f,0xff2efffc,0xa80fff27,0xfd8000ff,0x06fc8004,
    0x017f4400,0x0aa00000,0x000bff50,0x2a980bfd,0xff3006aa,0x3e3ffccf,
    0x3ffff63f,0x2dffbbff,0xfb0027fc,0x0bff500b,0x000ffcc0,0x26203ffe,
    0x42ffd809,0x07ff93ff,0x5000054c,0x01550005,0x00351000,0x50000000,
    0x004c4bff,0xb9807fee,0x401bdeec,0x4062fff9,0x3fffa3ff,0x3ff89fff,
    0x2000ffdc,0x5ffa802a,0x0006a600,0x20003ffe,0x9ffc0ffd,0x99930998,
    0xc9a664c0,0x1332604c,0x5ef765cc,0x3b2e6001,0x3f201bde,0x25ffd05f,
    0xffd05ffc,0x3a77fea5,0xf300dfff,0x3fff209f,0x404fffff,0x7c03fffd,
    0x3ffffe3f,0x43ff89ff,0x32a007fd,0x7fd400cc,0x3332a005,0x03ffe000,
    0x3fa17fea,0xbb1ffc0f,0xf503ffd4,0x81ffeaff,0xffc87ffa,0x04ffffff,
    0xffffffc8,0xfff304ff,0x267ff981,0x7fcc0fff,0x3ffffea7,0xf00effff,
    0xffffd0df,0x1dffffff,0x3bfffee0,0x7ec7ff01,0xf89fffff,0x002ffc3f,
    0xa807ffff,0x3fe005ff,0x3fe003ff,0x85ffa80f,0x23ff87fe,0x81ffea7f,
    0xfff57ffa,0x3a3ffd40,0xffffffff,0xffd00eff,0xffffffff,0x85ffd01d,
    0x7ff44ffc,0xf527fe42,0xff937fff,0x71ffe07f,0x6cc3bfff,0xffb84fff,
    0xf83fffff,0x3fffea3f,0x23ff89ff,0xf5004ff8,0xfa80dfff,0xfff5005f,
    0x7ffc00df,0xf85ffa80,0xf13ff87f,0x503ffd4f,0x1ffeafff,0x3ee7ffa8,
    0x3f661dff,0xfffb84ff,0x3fff661d,0x745ffb84,0x2ffdc1ff,0xffa87ffa,
    0x83ffdc2f,0xfff10ffe,0x0fffdc0b,0x7ffd5bfe,0x2e1ffc5f,0xf89fffff,
    0x013fea3f,0x0fffffec,0x200bff50,0x01fffffd,0xf501fff0,0x86ff98bf,
    0x21ff33ff,0x3ea07ffa,0x40fff57f,0xfff17ffa,0x0fffdc0b,0x5c0bfff1,
    0x7fc41fff,0x10dff30f,0x3fe61fff,0x207ffd46,0xfd80fff9,0x01fff52f,
    0x3e65ffe8,0x3fffa24f,0xffd73003,0x7dc7ff13,0xfff8803f,0x3ea05ffd,
    0xfff8805f,0xff005ffd,0x2bff501f,0xf82fffc8,0x2a3ff53f,0x3fea07ff,
    0x540fff57,0x1fff57ff,0x2a5ffe80,0x7f400fff,0x92ffd85f,0x3ff607ff,
    0xfa87ff92,0x03fff06f,0x3ff27ff9,0x26ffc805,0x7ec0fff8,0x7fdc006f,
    0x3f63ff89,0xdffb802f,0xf500fff9,0xbff700bf,0xf001fff3,0xbff501ff,
    0x7c13ffea,0x2a5ff73f,0x3fea07ff,0x540fff57,0x0bff97ff,0x7e4dff90,
    0x6ffc805f,0xffd5ffa8,0x757fea01,0x37fd40ff,0xfb81fff8,0x009ffb3f,
    0xffe8fff7,0x007ff41f,0xff13ff70,0x400ffec7,0x7ffd2ffe,0x2017fea0,
    0x7ffd2ffe,0x501fff00,0x3ffeabff,0x3f27ff04,0x40fff53f,0xfff57ffa,
    0xfdbffd40,0x7ffb804f,0x2e013ff6,0x3fff07ff,0xfff80bff,0xffa85ff9,
    0x07ffcc0f,0xfff8ffe4,0x0fffa803,0xe93fffea,0x7fdc006f,0x3ee3ff89,
    0x7ffcc02f,0x2a0dff90,0x7fcc05ff,0x00dff90f,0xff501fff,0x0bfff22b,
    0x9ffe4ffe,0x3ea07ffa,0x40fff57f,0x7fff7ffa,0x21fff500,0xfa803fff,
    0xeffc80ff,0x7fe402ff,0xffa82ffe,0x83ffe43f,0x9ffd0ffd,0x50fff500,
    0xff9dffff,0xf701ffc7,0x547ff13f,0x7fe403ff,0x207ffe25,0x7e405ffa,
    0x07ffe25f,0xf501fff0,0x85ffa8bf,0x29ffb3ff,0x3ea07ffa,0x40fff57f,
    0x9ffd7ffa,0x74fff500,0xffa804ff,0xfffff307,0xffff9801,0xffffa80f,
    0x03fffdae,0x2ffecffd,0x8837fdc0,0x44fffffe,0x3fee03ff,0x3e63ff89,
    0x3ffe204f,0x542fff42,0x3fe205ff,0x02fff42f,0x3ea03ffe,0xf87ff85f,
    0x269ffb3f,0x3fee07ff,0x5c0fff36,0x0bffb6ff,0x7ecdff70,0x6ffb805f,
    0x017fffa0,0xa82ffff4,0xfffffeff,0xc9bfe06f,0xffe807ff,0x7fffdc05,
    0xf701ffc2,0xf87ff13f,0x3ffea05f,0xfffecccc,0x502ffd40,0xd9999fff,
    0x7fc01fff,0x85ffa80f,0xb3ff87fe,0x3ffe69ff,0x26dff700,0xff700fff,
    0x201fff2d,0x3ff25ffe,0x05ffe807,0x400bffee,0xf502fffb,0x9fffd1bf,
    0xf31ffcc0,0x7fd407ff,0xffe9803f,0xb80ffe0f,0x43ff89ff,0x3ffa07fe,
    0xffffffff,0x02ffd43f,0xfffffffd,0x7c07ffff,0x5ffa80ff,0x7fc0ffe8,
    0x3e29ffb3,0xbff902ff,0x640bffe2,0x7fff35ff,0x31fffd40,0x7d407fff,
    0x3fee03ff,0x1ffee007,0x0625ffa8,0xfb03fee0,0xfff507ff,0xf857510d,
    0x80ffe2ff,0x3ff89ffb,0x7cc0ffd4,0xffffffff,0x7fd46fff,0xfffff305,
    0xdfffffff,0x5c07ffc0,0x0ffd85ff,0x2ccb9ffc,0xf303fffe,0x7fffc9ff,
    0xb27ffcc0,0xff507fff,0x7fffb0df,0x40dfff50,0x1004fff8,0x7d409fff,
    0x4fd8005f,0xdeffff88,0x81ffffec,0x7ff47ff9,0xfb80ffe0,0xe83ff89f,
    0x9effc84f,0xffa99999,0x417fea1f,0x9999effc,0x01fffa99,0x6c441fff,
    0x2ffd84ff,0x3ee01ffc,0xffecefff,0x3ffee0ff,0xffffecef,0x3bfffe20,
    0x1ffffecd,0xdeffff88,0x81ffffec,0x00ffffdd,0x07fffeec,0x800bff50,
    0xfd300ff8,0xffffffff,0x67ffec05,0x1ffc5ffe,0xff13ff70,0xff0ff507,
    0x5ffe807f,0x87bbffea,0x7f403fff,0x3ffbae5f,0x3ffff20f,0x2ffffc83,
    0xffb007ff,0x7fffffff,0xffffffb0,0xfd307fff,0xffffffff,0x7fff4c05,
    0x02ffffff,0x007fffff,0x807fffff,0x64005ffa,0xffeb804f,0x4c00ceff,
    0x1fffffff,0xff701ffc,0x3a07ff13,0x03ffea2f,0x2a1fff70,0xf52fffff,
    0xffb801ff,0xfffff90f,0x077fff41,0xf9ffffc4,0xffd7003f,0x5c03bfff,
    0x1dfffffe,0x7ffff5c0,0xfd7000ce,0x4019dfff,0x9002deec,0x93005bdd,
    0x1ed80079,0x4000cc00,0x80ceedb8,0x332a02ee,0xd502cc88,0x402ffec9,
    0x9933fff8,0x3ff63999,0x3fff8805,0xd8999995,0x32200cde,0x005dd2ee,
    0x10001310,0x06600013,0x00066000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0000002a,
    0x06a0a980,0x2aa2aa80,0x40000001,0x1bdfeeca,0xeedb9800,0x4000003d,
    0x15530aa8,0x03fff500,0xeeb80000,0x5300000c,0xa80154c5,0xa806aa1a,
    0x80001fff,0xffb002f8,0x037fdc09,0x7f9bfff9,0xff37f400,0x01fb800b,
    0x3ffff220,0x0dffffff,0xfffffb80,0x7f402eff,0x3fee003f,0x8801ff91,
    0x8006ffff,0x2e02fff8,0xf900ffff,0x0ffc80bf,0x3fe00ffb,0x2209ff15,
    0xfe86ffff,0x007b802f,0xfe80bff1,0x3afbe00e,0x3a001fff,0x8017fe6f,
    0x9802dfea,0x99abeffe,0x02fffcba,0x3ffffff6,0x2201ffff,0x3ee006fe,
    0x801ff91f,0x04fe8dfd,0x2017fdc0,0x203fffea,0x3f200ffd,0x200ffb0f,
    0x09ff15ff,0x13fe37fa,0xbb005ffd,0x5017f200,0x20a801df,0x554000a8,
    0x2a006aa2,0x0efffffe,0x003dff30,0xf503ffb3,0x3ee21bff,0x7f4405ff,
    0x21551002,0x2a200aa9,0x8005510a,0x3ea003ff,0x027ec04f,0x0154c553,
    0x06aa1aa8,0x154c2aa2,0x4c40bffa,0x155003fa,0x9800a980,0x01bdeecb,
    0x37bb2e60,0xeffe801b,0xe884ffff,0x3601884f,0x27ffc46f,0x402fffb8,
    0x332601a8,0x4d332604,0x332604cc,0x00154404,0x2a017fe2,0x0ccca802,
    0x66666440,0x84cccccc,0x33104cc9,0xfffffa81,0x6666440d,0x4ccccccc,
    0xfc813326,0x4fffffff,0xfffffc80,0x3e604fff,0xfffafbbf,0x3ae2fec0,
    0x9ffdafff,0x3fea0fe8,0x882f200f,0xcccccccc,0x3fea4ccc,0x55ffea07,
    0x3fea07ff,0x803332e7,0x7c41ccca,0x1332605f,0x00ffffe0,0xfffffff3,
    0xf50fffff,0xffb800ff,0x20ffffff,0xfffffff9,0x3ea7ffff,0xffffd07f,
    0x1dffffff,0x3fffffa0,0x80efffff,0x99fb8ffc,0x907fc41a,0xffffdfff,
    0xfb8bee1f,0xff98005f,0xffffffff,0x81ffea7f,0xfff57ffa,0xf33ffd40,
    0x3fe209ff,0x06ff886f,0xf501ffea,0xf980dfff,0xffffffff,0x7ffa87ff,
    0x37ffe200,0x264ffffa,0xffffffff,0x3fea7fff,0x1dfffb87,0x213fff66,
    0x261dfffb,0xfb84fffd,0x3201fbaf,0x437ff25f,0x3e66fff9,0x0017ff64,
    0x3fffffe6,0x2a7fffff,0x3fea07ff,0x540fff57,0x7ffe47ff,0x01fffc81,
    0x7fd40fff,0x7fffec07,0x3ffe601f,0x99999999,0x007ffa81,0x5fcdbff2,
    0x3ffe64ef,0x99999999,0xf11ffea1,0x7fdc0bff,0x17ffe21f,0x441fffb8,
    0x201fefff,0x1fff13fe,0x3e24ffd8,0x0013ffa6,0x2667ffe6,0x2a199999,
    0x3fea07ff,0x540fff57,0x7ffc47ff,0x01fffc45,0x3ea05ffb,0x3ffe207f,
    0x3e605ffd,0xff50007f,0x9fff400f,0x1ffe607c,0xa8fff500,0x7f400fff,
    0x03ffea5f,0xfd0bffd0,0xf017dfff,0x20bfee3f,0x9be63ffc,0x98004ffd,
    0x7d4007ff,0x5ffea07f,0x3ea07ffa,0x2fffa87f,0xf501bff6,0xffa819ff,
    0x277fee07,0xff300fff,0x3fea000f,0x3e133107,0x4c09d1ff,0x7d4007ff,
    0x02ffe47f,0xff937fe4,0x0dff900b,0x3ffffff2,0xffd9fe22,0x2e1ffd80,
    0x017ff25f,0x001ffe60,0x7d40fff5,0x40fff57f,0xffb07ffa,0x007ffead,
    0xf507fff2,0x97ff40ff,0xff303ffe,0x3333333f,0x0fff5013,0x7ff4bffa,
    0x3e602f89,0x999999ff,0x1ffea099,0xf7009ffb,0x027fecff,0xb103ffdc,
    0x261fffff,0x741ffe6f,0xf71fec7f,0x0bdf80ff,0x3333fff3,0x7d413333,
    0x5ffea07f,0x3ea07ffa,0x9fff107f,0x32009ffd,0x7fd41fff,0x21fff307,
    0xff306ffc,0xffffffff,0x0fff505f,0x7fecbffa,0x986ae7bb,0xffffffff,
    0x3fea2fff,0x401fffc7,0xfff0fffa,0x1fff5007,0x7ffe7dc0,0x3ffcff12,
    0xff537fcc,0x817ffcc1,0xff32fffb,0xffffffff,0x03ffd45f,0x3feafff5,
    0x81ffea07,0x0ffffffb,0x0bfffb80,0xfc83ffd4,0x07ffe25f,0x3fffffe6,
    0xa82fffff,0x5ffd07ff,0x5577bfee,0xfff30fff,0xffffffff,0x3a3ffd45,
    0xffa804ff,0x2013ffa7,0x7dc07ffa,0x3fa5ff99,0xfd83ffd1,0x907ff34f,
    0xff985fff,0x3fffe66f,0x2fffffff,0xfa81ffea,0x40fff57f,0x7f407ffa,
    0xfd002fff,0x1ffea03f,0xfd0bffe2,0x9fff30bf,0x39999999,0x540fff50,
    0xbffff11f,0x7cc5fff7,0xccccccff,0x1ffea1cc,0xf700bffb,0x02ffecdf,
    0x3b637fdc,0x9bfe3f77,0x3dff73fc,0xf9bfffb3,0x3ffe209f,0xffffecef,
    0x333ffe62,0x21cccccc,0x3ee07ff9,0x40fff36f,0x7cc06ffb,0x3fe005ff,
    0x21ffea06,0xccccfffa,0x7cc0fffe,0xff50007f,0x3e63ec0f,0x46ffffff,
    0x54007ff9,0x3ffe47ff,0xf92fff40,0xbffd00ff,0x9fbbffd8,0x9bea4ff9,
    0xfefffffe,0x4c03ffff,0xfffffffe,0x03ffcc3f,0x403ffe60,0xfff36ffb,
    0x01bfee01,0x4400bffe,0x3fea06ff,0xfffffe87,0x43ffffff,0x50007ff9,
    0x0bfa0fff,0x33ffffe6,0x003ffcc0,0xff31ffea,0x7ffd407f,0x80fffe63,
    0x7cc3fffa,0xfffcfeff,0xec8bfe21,0xbdfd88bf,0x76402661,0x981dffff,
    0x7c4007ff,0xbff902ff,0x640bffe2,0xfff805ff,0x0bff1002,0x3e63ffd4,
    0xffffffff,0x7fcc6fff,0xfff50007,0x9cf802a0,0x01ffe601,0xfb0fff50,
    0xfff507ff,0x07fffb0d,0x360dfff5,0x3fffffff,0x8001ffb8,0x2600ffd8,
    0x3e601efd,0xfff8007f,0x27ffcc0f,0xf981ffff,0xfff804ff,0x0bff1002,
    0x3f23ffd4,0x999999ef,0x3e61fffa,0xff50007f,0x03f3000f,0x800fff30,
    0xff887ffa,0xffecdeff,0xfff881ff,0xfffecdef,0x3ff6a01f,0x3ff602ef,
    0xffd3000c,0xffba9805,0x00fff300,0x9dffff70,0x5c1ffffd,0xfeceffff,
    0xff800fff,0x9ff5002f,0x3e3ffd40,0x7ff403ff,0x3bbffe65,0x1eeeeeee,
    0x4003ffd4,0xfff3006c,0xdddddddd,0x41ffea3d,0xffffffe9,0x3a602fff,
    0xffffffff,0x03f7002f,0x37bfff20,0xfedba9ab,0x7f4002ff,0xddfff302,
    0x3ddddddd,0xffffffd8,0xffd83fff,0x3fffffff,0x805fff00,0x203ffffa,
    0x3fea7ffa,0x7ffdc00f,0xffffff30,0x85ffffff,0xe8007ffa,0xffff3004,
    0xffffffff,0x701ffea5,0x19dffffd,0x3fffae00,0x2e000cef,0x3f66001f,
    0xffffffff,0xcc800cff,0x3e606fec,0xffffffff,0xfeb82fff,0x201dffff,
    0xdfffffeb,0x0bffe001,0x01ffff70,0xffb3ffd4,0x7fff100b,0x3fffffe6,
    0x42ffffff,0xa8007ffa,0xffff3001,0xffffffff,0x801ffea5,0x19800019,
    0x002a2000,0x3bb72a20,0x54002cde,0x7cc01bdc,0xffffffff,0x4c402fff,
    0x00988000,0x805fff00,0x5400ceea,0x000007ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0014c151,0x0007ffdc,0x980fffe2,0x405530aa,0x002a21a8,
    0x00017644,0x51002200,0x00000001,0x5cc00000,0x001bdeec,0xb881bff6,
    0x13f201ce,0x01fff880,0x8005ffd1,0x3fea02ff,0x4005ecef,0x005ffff9,
    0x80fffff4,0x1ff91ffb,0xb9dfff10,0x7d6e400f,0xedb98000,0x1dd11cde,
    0x003fbe60,0x37bfb710,0x3f6e2000,0x3ee001bd,0xcfffffff,0x7fffd400,
    0xfffff984,0x000ff884,0xf100bff2,0x7fcc00df,0x3f6ff200,0x3a2002ff,
    0x003ff9cf,0x0dfb1ff7,0x7fe47fee,0xffcbfa80,0x74ba005f,0x7ffdc002,
    0xfedfffff,0x1329900e,0x77fff440,0x1001ffff,0xfffdfffd,0xfffe803f,
    0xefffffff,0xf57ff100,0xf96fd83f,0x004fc81f,0x4c00bfe2,0xdf7001ff,
    0x00541a80,0x2a98aa60,0x2a235500,0x30aa980a,0x330a6055,0x0fefc800,
    0x3ffffa00,0xffffffff,0x0babae00,0x306ffa20,0xe8803fd7,0x7f5cc1bf,
    0x3bfff701,0x82fffecc,0xd0aaa2a9,0x887fea9f,0x2a2000ff,0x00d4c001,
    0x95004fd8,0x2a000199,0x64400ccc,0xcccccccc,0x4cc984cc,0x100ccc88,
    0xfff80999,0xfff7003f,0x3ff6a23b,0x04ec805f,0x4401fe88,0x3fd101fe,
    0x441fe880,0x3f205fff,0x7c0001ff,0x645ff33f,0x0000005f,0x005ff000,
    0x000ffffe,0x201ffffc,0xfffffff9,0xfa87ffff,0x5fff987f,0x540fff10,
    0x8806ffff,0xff705fff,0x54c403ff,0xe99fe800,0xd10ceeee,0x5c3fd01f,
    0xfd10cefe,0x007ffdc1,0xffa97ffe,0xfd4ffc85,0x7c47feab,0x2ffd400f,
    0xffaa7fe4,0x984ffc85,0xffa800ff,0xfa8006ff,0x7cc06fff,0xffffffff,
    0x7ffa87ff,0x82ffff98,0x3f607ff8,0x5c01ffff,0xffb80fff,0xfd884fff,
    0x980dffff,0xd99df53f,0x261fccbf,0x373fee3f,0xfc8fe65f,0x6ffc805f,
    0x3f217fea,0xf91df94f,0x2017f21f,0xffc85ffa,0xf90bff54,0x00ff709f,
    0x07fffff6,0xfffffb00,0x4fffcc03,0x19999999,0xf987ffa8,0xff886fff,
    0xfbfff107,0x5ffc80bf,0xffcbffa8,0xfffffd86,0x51fb86ff,0x3e0ff87f,
    0xff88fdc5,0x25f87b60,0xfb804ffe,0x217fea7f,0xfff14ffc,0x03fe27ff,
    0x3217fea0,0x0bff54ff,0xbfb09ff9,0xfbfff100,0x7fc400bf,0x2605ffdf,
    0xf50007ff,0xffff30ff,0x07ff887f,0xfff3bff7,0x227ff401,0xfff74ff9,
    0xb99dffb8,0x53ec0fff,0x3637c47f,0x09f53ec7,0x1fffcfb0,0xa87ffd40,
    0x4ffc85ff,0xbf905ed4,0x217fea00,0xbff54ffc,0xff09ff90,0x3bff7007,
    0x2e001fff,0x0fff9dff,0x000fff30,0x3e61ffea,0x220fffff,0x5ffd07ff,
    0xff80fffa,0xa97fe23f,0x2ea20fff,0x3e17fec0,0x3ffbbea5,0xbf0fdc2e,
    0x7dc017e4,0x5009ffd1,0x2ffd4fff,0x44027fe4,0x7df911ff,0x642ffd41,
    0x0bff54ff,0xff889ff9,0xd2ffe801,0x3fa007ff,0x207ffd2f,0x9999fff9,
    0xfa809999,0xeeff987f,0x1ffe25ff,0x7e43ffe6,0x53ffa06f,0x7fd45fe8,
    0x7fed4407,0xdf53743f,0x1f903ffb,0x007f9374,0x17ff61f9,0xfa9bfee0,
    0x04ffc85f,0xdff15fc8,0x2ffd4dff,0xffaa7fe4,0x544ffc85,0xfff9807f,
    0x300dff90,0x3ff21fff,0xfffff306,0x05ffffff,0xff30fff5,0x225fff3d,
    0x5ffc87ff,0x6c07ffe2,0x81dfd5ff,0xec986ffb,0x43ffffff,0x267f50fc,
    0x323740ef,0xdc8df50f,0x6ffc9ba1,0x97ffa0b8,0xffc86ffa,0xb8ffc404,
    0x2a5ff37f,0x4ffc86ff,0xff90dff5,0xc805fc89,0x3ffe25ff,0x12ffe401,
    0xff303fff,0xffffffff,0x0fff505f,0x3ff6dff3,0x447ff88e,0x7ff42fff,
    0xfbfff905,0x8bffb01d,0xdadffff9,0xa97d43ff,0xf893f23f,0x9fd17d44,
    0x3e21df51,0xa8fffe64,0x3fffabff,0x3f61bfea,0x92fe404f,0xfa9ffcdf,
    0x54ffd86f,0x9ffb0dff,0x7c403fe8,0x2fff42ff,0xe85fff10,0xfff985ff,
    0xcccccccc,0x987ffa81,0x9fff16ff,0xffa8fff1,0xffeccccf,0xffff980f,
    0x3fff981f,0x3f627ff4,0xfab7c43f,0x7e47fe23,0xfd337c41,0x0fe43fff,
    0x74cbfff6,0x4c6fffff,0x7ffc47ff,0xd87fe204,0x7cd3fe5f,0xa7ffc47f,
    0x7fc47ff9,0x007fe24f,0x9999fff5,0x2a01fffd,0xeccccfff,0x7fcc0fff,
    0xfff50007,0x7dcdff30,0x747ffaff,0xffffffff,0xffb03fff,0xdffd309f,
    0x740fff88,0x8dfb83ff,0x7e4d4c1a,0xba8bf705,0x7c42fe42,0xffccefff,
    0x7fc42fff,0xfffea9df,0xf917f204,0x7c4ffe2f,0xffea9dff,0x3bfff14f,
    0x549fffd5,0xfffe807f,0xffffffff,0xfffffd03,0x87ffffff,0x50007ff9,
    0xdff30fff,0x7fffffe8,0x3fffffe6,0x06ffffff,0x79fffff9,0xd03ffffb,
    0xffb319ff,0x037ee07f,0x2e02fe44,0xbf9100df,0x7ffff4c0,0x2effffff,
    0x7fffffec,0xff104ffc,0xfcaffa83,0x3ffff61f,0x364ffcff,0xfcffffff,
    0x3017f24f,0xffffffff,0xf30dffff,0xffffffff,0xff98dfff,0xfff50007,
    0xf98dff30,0x3f27ffff,0x999999ef,0x7d41fffa,0xffffffff,0xff502eff,
    0x9fffffff,0x5677fdc0,0x7005ffdb,0xfd759dff,0x3fae00bf,0xfffcefff,
    0x77ffec4f,0xf904ffa9,0x3ffff20b,0x9efffd83,0x7fec4ffa,0x24ffa9ef,
    0x7fe403fe,0xa999999e,0x7fe41fff,0xa999999e,0x3fe61fff,0xfff50007,
    0xf90dff30,0x7ffcffff,0x12fff403,0xfff719ff,0xb8019dff,0xff8afffe,
    0x7ff64c07,0x4c002cef,0x2cefffec,0xd8831000,0x001300ff,0x2e200cc8,
    0x0004c00b,0x02660026,0xe807fff0,0x1fffc5ff,0xf997ffa0,0xeeeeeeff,
    0x7fd41eee,0x886ff987,0xff57ffff,0xfffb801f,0x00cc1260,0x80000880,
    0x100000a8,0x80000015,0x00000029,0x00000000,0x7ffd4000,0x87ffdc00,
    0x5c00fffa,0xfff30fff,0xffffffff,0x87ffa85f,0xff506ff9,0x017ff6ff,
    0x000fffe2,0x00000000,0x00000000,0x00000000,0x00000000,0x7ec00000,
    0xfff8805f,0x100bffb3,0x3fe67fff,0xffffffff,0x3ffd42ff,0xfb037fcc,
    0x000000ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x88000000,0x001deedb,0x037ecbfb,0x1003fff3,0x40722157,
    0x5ff72ffa,0x20013100,0xd0005ffc,0xff5007ff,0xffd8003f,0xfe9ff604,
    0x0bffa206,0xdb880000,0x01f4c02c,0x3d500faa,0x2a01f540,0x7995001e,
    0xffffd103,0x9ff003ff,0xfe882ff4,0x7fc00eff,0x500fedff,0x0bfee5ff,
    0xcefffea8,0x00ffec00,0x2013fea0,0x006ffff8,0xfb017fe6,0x22037f4f,
    0x7dc006fe,0x7f7f404f,0x803f602f,0x3e204ffb,0x813fee05,0xffb005f8,
    0xffe87fff,0x405ffece,0x7ff12ff8,0x3fa3bf60,0x36efe605,0x3ba605ff,
    0x2e03dd52,0x6fffffff,0x4004fd80,0xbfb004fd,0x32009ff1,0x26ec805f,
    0xff9805ec,0x13fee002,0x0bf54d88,0xffe80fea,0x407f204f,0x3204fffe,
    0xfffc801f,0xff12ffff,0x03ffe61f,0xff31ffa8,0x22155103,0x885100aa,
    0xf8800000,0xffeaadff,0x4002a803,0x1551002a,0x15400aa6,0x53000000,
    0x27fdc003,0xd02ffb80,0x4fbad80d,0x56c09f10,0x09f104fb,0x2e5fff10,
    0x4dff36ff,0xccb86ff9,0xffdccffd,0x0153102c,0x00054c40,0xfc801531,
    0x0277cc6f,0x98001531,0x04cc0009,0x00153100,0x02620000,0x00099880,
    0x5f705fff,0x6c13ee00,0x04fb800f,0xff7001fb,0xfa9fff8b,0x213ff66f,
    0xfffffffd,0x6c44ffff,0x00dfffff,0xbfffffb1,0x3fff6201,0xffe80dff,
    0x7fec4004,0x2e00dfff,0x401fffff,0x01fffffb,0x3fffff62,0x42ffd40d,
    0xfd984ffc,0x9802efff,0x3e6003ee,0x8017e20f,0x03f984fb,0x7f309f70,
    0xb0fff600,0x2bff57ff,0xfd80fff8,0xffffffff,0x7ffec4ff,0xfb06ffff,
    0x0dffffff,0x3ffffff6,0x02fff86f,0x7ffffec0,0xfffb06ff,0x3607ffff,
    0x3fffffff,0xffffffb0,0x85ffa8df,0x7fc44ffc,0x04ffffff,0xd3027fd4,
    0xfc83fe2b,0x213ee001,0x13ee006e,0xffd801ba,0x7d67fe42,0x80dff55f,
    0x7ff12ff8,0x733bff70,0xffb81fff,0x0fffb99d,0x5cceffdc,0x7ffc0fff,
    0x37fee002,0x40fffb99,0xfc9bfffa,0x7ffd40ff,0x40fffc9b,0xfb99dffb,
    0x17fea0ff,0xfe893ff2,0xfffeacff,0x00bff602,0x449ffdfd,0x27dc004f,
    0xfb800bea,0xd0017d44,0xcffc85ff,0xfff75ffa,0x987fd405,0x0ba881ff,
    0x2a217fec,0x217fec0b,0x7fec0ba8,0x5c1fff42,0x205d441a,0x7ff42ffd,
    0x3a1ffe43,0x1ffe43ff,0xffb02ea2,0x642ffd45,0x3ffee4ff,0xd837fec0,
    0x5c400eff,0x407ec2cd,0xe87d5018,0x21f54006,0xff03106e,0xadffc85f,
    0xfffd15ff,0xfb9ff203,0xfda8800f,0x6d4403ff,0x54403fff,0x7e43fffd,
    0x07ffcc6f,0x7fffb510,0x7cc1fff8,0x20fffc5f,0x54405ff9,0x3ea3fffd,
    0x24ffc85f,0xffa84ffd,0x3fff620f,0x1fcc0000,0xf7003fd4,0x01f7edc3,
    0x7fa81fb8,0x7e42fff8,0x265ffadf,0x32e0ffff,0xffeccffe,0x7f64c2cc,
    0x983fffff,0xffffffec,0xfffec983,0x7fc43fff,0x3ffebbff,0xffffec98,
    0x3ffe23ff,0x6fffffff,0x3fffffe2,0xc986ffff,0x3ffffffe,0x3f217fea,
    0x40bffe4f,0x3ffa1fff,0x7e80001f,0x1007ff88,0x7677d4bf,0x42fc402f,
    0xffe87ff8,0x7d67fe42,0x37ffcc5f,0xfffffffb,0x7cc9ffff,0xffdadfff,
    0x6ffffcc3,0x7cc3ffda,0xffdadfff,0xfffffb83,0xfff986ff,0x23ffdadf,
    0xeeeefff9,0x3fe65eee,0xeeeeeeef,0x6ffffcc5,0x3ea3ffda,0x24ffc86f,
    0xff882ffe,0x03fff71f,0x885f5000,0xf9007ffe,0x5fb97541,0x3a207e40,
    0x2ffd87ff,0x7fd5ffe4,0x90fff985,0xffdddffd,0x7ff47ddd,0x3a1ffec4,
    0x1ffec4ff,0xffb13ffa,0x3fffa607,0x4ffe80cf,0xff11ffec,0x3fe2003f,
    0x3ffa001f,0xf51ffec4,0x49ffb0df,0xffa84ffd,0x205ffb0f,0x0dd001aa,
    0x300ff3fb,0x1ff4409f,0x3fb09f30,0x89ffb0ff,0x5ffaaffe,0x7d43ffd0,
    0x103ff30f,0xffe81fff,0xd03ffe23,0x7ffc47ff,0x201fff40,0xff102efc,
    0x43ffe81f,0x5edc4ffe,0x2e27ff41,0x3ffe21bd,0xf31fff40,0x4fff88ff,
    0xfb03ffee,0x41ffecdf,0xfb806ffa,0x07f97e41,0xfd100fd8,0x5c0fd80b,
    0xff50ff2f,0x547ffc4d,0xf79d55ff,0x2e7fc8df,0x9ffd00ff,0x87fffb31,
    0xfd98cffe,0x67ff43ff,0x03fffd98,0x40bfaea2,0xfd98cffe,0x7ffd43ff,
    0x41fffa9c,0xfa9cfffa,0x67ff41ff,0x23fffd98,0xea9dfff8,0x3fe24fff,
    0xffffbcff,0x883bfee1,0x7c404ffe,0x7f77fc45,0x07f500ef,0xf5013fe6,
    0xfeeff887,0x6fff40ef,0xff54ffeb,0xfffffd1b,0x3f25fd87,0x3fffea06,
    0x544fffff,0xffffffff,0x7fffd44f,0x004fffff,0x3fea09f7,0x4fffffff,
    0xffffffc8,0xffff903f,0xff507fff,0x9fffffff,0xffffffd8,0x7f444ffc,
    0x83ffffff,0xffeefffe,0x07e400ef,0x3ffbbba2,0x260dd00e,0xd02aaeff,
    0xfdddd10d,0xfffa81df,0xff50ffff,0x0fbff62b,0x04fe93fe,0x457fff5c,
    0xffeb87ff,0xb87ff8af,0xff8afffe,0xffd9b507,0x7fff5c01,0xd707ff8a,
    0xb807bfff,0x203dfffe,0xf8afffeb,0xefffd87f,0xc884ffa9,0x101efffe,
    0xbffffffb,0x004f8801,0x817dc0ff,0x86fffffd,0x0ff002fb,0x077fff4c,
    0x04cc0100,0x02200133,0x20002200,0x6e4c0008,0x0022001c,0x44000c40,
    0x00044001,0x1880004c,0x2f76e600,0x00195001,0x203b80aa,0x82aaaaaa,
    0x00aa003b,0x00000262,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xeeb80000,0xf10001de,0xffd803ff,
    0xeffc8004,0x4c393000,0xfd3fec04,0xc8ffdc0d,0x32a200ff,0xccb801bc,
    0x80000532,0xaaaaaaaa,0x3bf72a01,0x9951003d,0x80066003,0x802cdcb8,
    0x5e65c400,0x7405ff00,0x3ffa03ff,0x8001ffff,0xfb002ffb,0x7fd4001f,
    0xffa804ff,0x6c06fdff,0xb81bfa7f,0x01ff91ff,0x3fffffa6,0x77fec404,
    0x83ffd84f,0x3fe21fff,0x83ffffff,0xffffffd8,0x3fea01ff,0xf701efff,
    0xbff17fff,0xffffff98,0x540f700e,0x82ffffff,0x3fa204fd,0x77dff507,
    0xff000bff,0x1ff44007,0xf9bff880,0x657e402f,0x76402ffe,0xea817b65,
    0x101dd71e,0xffffffff,0x3fffa805,0xff07ffb0,0x7fffcc3f,0xfe83ffff,
    0xffffefff,0xffffa80f,0xffc86fff,0x5ffdffff,0x3fbfffe2,0x3ff445ff,
    0xffffff98,0x037dc2ff,0x3f60ffa2,0x003ff22f,0x88002a88,0x4553002a,
    0x20cc02a9,0x00000009,0x877fdc00,0xfd105ffc,0xfb03ffb7,0x43fff07f,
    0xccccdffb,0x57ffc41c,0x07fff710,0xfd119ffd,0x77ffc45f,0x25fffeaa,
    0xff30effa,0x83ffc41f,0xfd98dffd,0x007fcc6f,0x3ff606a2,0x0003ffa5,
    0x99800131,0x00988000,0x80009880,0x4cc00098,0x117f5c00,0x42a01fff,
    0xffd86fe8,0x321fff83,0xff7001ff,0x517ffa0b,0x1cca8dff,0x3fe1fff2,
    0xb0fff25f,0x3ffc43ff,0x3e61fff8,0x017fc1ff,0xb5fff500,0x36600dff,
    0x402effff,0x01fffffb,0x77fffecc,0x7ffecc02,0x7ecc02ef,0x5c02efff,
    0x001fffff,0xd8837fd4,0x44ffdeff,0xfff83ffd,0x0043ffa1,0x220bffea,
    0x27fe4099,0xd85ffd80,0x13fea5ff,0x3ff21ffd,0xff11ffff,0xd87ffd0f,
    0x1bfea04f,0x6fffffec,0xffff8800,0xfb04ffff,0x07ffffff,0x3fffffe2,
    0xfff104ff,0x209fffff,0xfffffff8,0xffffb04f,0x71007fff,0xff307ffd,
    0x3fffffff,0x7fc1ffec,0x3f7ffe1f,0xfff103ef,0xfb0059df,0x019b957f,
    0xff705ffd,0x4dfffc4b,0x3ff25ffc,0xff11ffff,0xb89ffd0f,0x1bfea06f,
    0x02ffffdc,0xacfffe88,0x7d42fffe,0xfffc9bff,0x67fff440,0x442fffea,
    0xfeacfffe,0x7ff442ff,0x2fffeacf,0x64dfffd4,0x7ec00fff,0xfffd03ff,
    0x49ffff9b,0x7fc43ffd,0xfffff31f,0x3ee0bfff,0x1cffffff,0xfffdffd0,
    0x2ffe85ff,0x7445ffb8,0x4c4fffff,0x20aafffb,0x3fe21fff,0x807fcc5f,
    0xffc86ffa,0xf7006fff,0x6ffd81ff,0x3f21fff4,0x07ffdc3f,0xff71bff6,
    0x46ffd81f,0x7ec0fffb,0x21fff46f,0x7f403ffc,0xfffc83ff,0xd9bffa21,
    0x7ffc44ff,0xd7dfff51,0x3aa07fff,0x4fffffff,0xedfffff8,0x3ff60fff,
    0x445ffe85,0x84fffffd,0xff907ff8,0xdfffb13b,0x3ea05ff0,0x67fff46f,
    0x17bd4fff,0xfa84ffd8,0x07ffe0ff,0xffd8bff3,0x20fffa84,0xffa84ffd,
    0x213ff60f,0x3fe0fffa,0x02ffcc1f,0x83bff6aa,0xffb85ffd,0xb83bff67,
    0x59511fff,0x4c06ffc8,0x4fffffec,0xf907fffc,0x23ffe4bf,0x3a25fff8,
    0xeffebdff,0x441ffe20,0xffffffff,0x504fd85f,0x7ffd4dff,0xff7fff91,
    0x205fff0f,0xfff11fff,0xdfffffff,0xff02fff8,0x817ffc3f,0x3ffe1fff,
    0x223fff02,0xffffffff,0x3f6006ff,0x20bffe3f,0xffb1fff8,0xffff97ff,
    0x1fff5003,0x3ffee200,0x2a37ff47,0x3ffe27ff,0x5ffffcbe,0xffb13ff2,
    0x103ffc45,0xff9bfffd,0x2a0df709,0x13ff26ff,0x09fffffb,0xff105ffd,
    0x3bffe63f,0x45eeeeee,0xff882ffe,0x20bffa1f,0x3fa1fff8,0x1fff882f,
    0xddddfff3,0x5c00bddd,0x0bffe5ff,0x7ec7ffe2,0xffffffff,0xfff8801f,
    0x4c0732e0,0x3ff61fff,0x2e3ffc44,0xfeffffff,0x507ffa5f,0x3ffc4bff,
    0xffc85440,0xf507f984,0x217ff4df,0x80ffffe8,0xffa84ffd,0x03fff10f,
    0x5427fec0,0x3ff60fff,0x20fffa84,0xffa84ffd,0x03fff10f,0x2e06e5c0,
    0x17ff66ff,0x7ec3ffea,0xfdbffebf,0xa839551f,0x2fff46ff,0x321fff88,
    0x3ffcc6ff,0x5d7fffd4,0x07ffe5ff,0x7fc4dff5,0x7ff40407,0xf503ff02,
    0x42ffe4df,0xb82ffffc,0x7fec0fff,0x2e27ff46,0x7ffdc1bd,0x2e37fec0,
    0x7fec0fff,0x207ffdc6,0x7ff46ffd,0x3a0dedc4,0x27ff43ff,0xfd81fff9,
    0x44fff66f,0x917ff600,0xfffc89ff,0x4c7ffd82,0x3fee1fff,0xffb82206,
    0xfb13ffa5,0x83ffc49f,0x3fe63ffd,0x2a0ffa07,0x3ffe26ff,0xffffebbe,
    0x3fe20cff,0xffffbcff,0x4e7ffd41,0x7c41fffa,0xfffbcfff,0x7fffc41f,
    0x41ffffbc,0xfbcffff8,0x7fd41fff,0x1fffa9cf,0x75efffdc,0x3fa21fff,
    0xffffbcff,0x400fff61,0xfdadfffa,0x7ffc41ff,0xffffdcff,0xccfffd85,
    0x2e002fff,0x3ffee5ff,0x21fffdad,0x20bcfff8,0xffcbfff9,0x217f203f,
    0x7fe46ffa,0xfdffffff,0x7f440eff,0x03ffffff,0xfffffff9,0x3fffa207,
    0xd103ffff,0x7fffffff,0x3ffffa20,0xff903fff,0x207fffff,0xfffffffd,
    0xfffff983,0x7fec3fff,0x3fff2003,0xf503ffff,0xffffffff,0x3fffe60b,
    0x5c005fff,0x7ffec5ff,0xfe84ffff,0x7fec2fff,0x200dffff,0x6ffa87fa,
    0xeffffea8,0x2203fb12,0x01efffec,0x1effff5c,0x3fffb220,0x7f64401e,
    0x64401eff,0x401efffe,0x03dfffeb,0x0f7fffdc,0xdffffb10,0x007ffb03,
    0x2effffb8,0x7fffec40,0x7ec403ef,0xb8003fff,0xfffb85ff,0xfff303ff,
    0xffeb885f,0x1ff8804f,0x26037fd4,0x0c400601,0x8000c400,0x03100018,
    0x20006200,0x09880018,0x2e00cc00,0x310001cc,0x01310001,0x80002600,
    0x26203cc9,0x10013000,0x00998001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x77edd440,
    0xd973003d,0x800037bd,0xd9703cc9,0x799303bd,0x76dcc000,0xc88003de,
    0x0098804c,0x64c09993,0x0006604c,0x99950000,0x3fff3001,0x10013322,
    0x99999999,0x66449999,0x2ccccccc,0x66666440,0x2000abcc,0xfffffff9,
    0x3ff202ff,0x04ffffff,0x117fee00,0x7ffffffd,0x0005ffb8,0xfffffff7,
    0x7fcc005d,0x3a73fea7,0x7d40dfff,0x1ffea07f,0x26ffffee,0x0bff95ff,
    0xff00bffa,0xff9007ff,0x003ffcc3,0x3fffffe6,0x267fffff,0xffffffff,
    0xff302fff,0xffffffff,0xffff3005,0x3fffffff,0xffffffd0,0x001dffff,
    0xfe8bff70,0x1fffedff,0x20017fee,0xfffffffd,0xf3001fff,0x7effd4ff,
    0x20efffff,0x3ea07ffa,0x7fffec7f,0xf35ffdff,0x7ff981ff,0x37fffd40,
    0xf30bfe20,0xff9800ff,0xffffffff,0x3fffe67f,0xffffffff,0xfffff981,
    0x04ffffff,0x427bffe6,0x5c6fffc9,0x3661dfff,0xb8004fff,0x3ffe25ff,
    0xfb93ff60,0x7fd4005f,0xfff710df,0x9ffe600b,0xd9cffffa,0x3fea3fff,
    0x99ffea07,0xfea9dfff,0x0bffa5ff,0xfd809ff9,0x2201ffff,0xcfff981a,
    0x980aaacc,0x99999fff,0x3fe61999,0xfb99999f,0xfff984ff,0xffea9999,
    0x0bffd01f,0xf88fffe4,0x3fee05ff,0xf70cc01f,0x227fdcbf,0x3fee3ce9,
    0x7c402625,0xfff704ff,0x4fff3005,0x7dc2fffa,0x81ffea7f,0x3ff67ffa,
    0x2e5fff86,0x0fff45ff,0xffbfff10,0x3fe6000b,0xefffffff,0x003ffcc1,
    0xfc81ffe6,0x07ff985f,0x3e21bffa,0x055c01ff,0xe801fff5,0xfff705ff,
    0x54bff77f,0xff7004ff,0x1bffff3b,0x200fffa8,0xff3000bc,0x207ffd4f,
    0xff50fff9,0xd3ffd40f,0xbffb09ff,0xf987ffc4,0x6ffdc06f,0xf500fff9,
    0xffff98df,0x3fffffff,0x3001ffe6,0x7fe40fff,0x207ff984,0x7d41fffa,
    0xff90006f,0x0dff900b,0xfffffffb,0x37fccbff,0xfffffb80,0x2e0effff,
    0x400005ff,0x3fea7ff9,0x2a3fff06,0x3fea07ff,0x2e07ffe7,0x97fec5ff,
    0x7f403ffc,0x207ffd2f,0x7fcc6ffa,0xffbaa99f,0x27ffe66f,0x09999999,
    0x7dc1ffe6,0x7ff981ff,0x3217ffc0,0xfb0005ff,0xfff7009f,0xa9dfff98,
    0xf975fffe,0x205999ff,0xc9bffffb,0x3ff64fff,0x7cc00005,0x41ffea7f,
    0xfff51fff,0xfd3ffd40,0x8bff905f,0x1ffd5ffa,0xc87ffcc0,0xdff506ff,
    0xf507ff98,0x3ffe61ff,0xffffffff,0x3ffffe62,0x81ffffff,0xaaafffca,
    0x3a1fffc1,0xfffc84ff,0x7fff5fff,0x41fff500,0x7fc46ffd,0xfffffd5f,
    0x3fee09ff,0xd3ffe42f,0x800009ff,0x3fea7ff9,0x87ffcc1f,0x3ea07ffa,
    0x217ff27f,0xfff85ffe,0x7e405ff9,0x07ffe25f,0xff31bfea,0x4bffe20f,
    0xfffffff9,0x3e62ffff,0xffffffff,0xffff81ef,0x7f44ffff,0x42ffec4f,
    0x5ffffffc,0xf5009ffd,0x84ffe8ff,0xfffd5ffe,0x2e09ffff,0xfffa87ff,
    0x0009ffb0,0x2a7ff980,0x7fe43fff,0xa81ffea7,0x3ffea7ff,0x217ffea1,
    0x02ffeffc,0xfd0bffe2,0x8dff50bf,0xff307ff9,0x33ffe63f,0x1ccccccc,
    0x3bbbffe6,0x43ffffee,0xeeefffee,0x2e27ff43,0xeeeb86ff,0xbffb5fff,
    0xf8dff700,0x5ffc81ff,0x5c027fdc,0xfff885ff,0x000bff91,0x2a7ff980,
    0xfdadffff,0x1ffe63ff,0x3e26ffb8,0xfffedfff,0xffff985f,0x3ffea00f,
    0xfffecccc,0x2637fd40,0xffe987ff,0x001ffe67,0x7dc0fff3,0x3ffcc0ff,
    0xf30bffe0,0xffd801ff,0xd00fff95,0x2fff8bff,0x7ec5ffc8,0x6ffb803f,
    0xf71fff88,0x0bdf80ff,0xffa83531,0x3ffbfea7,0x7cc6ffff,0xdff700ff,
    0xefffffa8,0xffd05ffc,0xfffe80bf,0xffffffff,0x2637fd43,0xffffffff,
    0x3fe64fff,0x3ffcc007,0xf30bffe0,0x7ffc40ff,0x404fff81,0xfff35ffd,
    0x1fffd407,0x3fa13ffa,0x03ffe25f,0x503ffee0,0x3fe61fff,0x5fff702f,
    0xff517fee,0x746ffd4d,0xff884fff,0x0bff902f,0xf719dd93,0x3ffee09f,
    0x3fffe602,0xffffffff,0x2637fd46,0xffffffff,0x3ffcc5ff,0x01ffe600,
    0xff989fff,0x03ffee07,0x2213ffee,0x3f65fffc,0xfffa83ff,0x20effc86,
    0x3fa5fff8,0x2e0809af,0x7fe43fff,0x217ffe47,0x3ea6fff9,0x97ff61ff,
    0x00625ffa,0xf981ffff,0xf70024ff,0x1ffee07f,0x333dff90,0x3fff5333,
    0x3e637fd4,0xcdeeeeff,0x007ff981,0xf703ffcc,0x7ff985ff,0x407fff70,
    0xecdffffc,0x224fffff,0xecdeffff,0xf881ffff,0xfffbbfff,0xfffff95f,
    0x5cbfbbdf,0xfdaeffff,0x7ffc43ff,0xffffecef,0x37fffe22,0x3ea2ffff,
    0x7fdc005f,0xfffeceff,0x03bfee0f,0xff105ffb,0x3fff809f,0xf52fff40,
    0x07ff98df,0x777ffcc0,0x1eeeeeee,0xddddfff3,0x81dffffd,0xfeeefff9,
    0xc806ffff,0xffffffff,0xffe982ff,0x2fffffff,0x3fffff20,0xff55ffcf,
    0xffffffff,0x3f7fee1f,0x306fffff,0xfffffffd,0xffff707f,0xffa89fff,
    0xfffd8005,0x83ffffff,0xfeccefff,0x3ff760ff,0x3fea00ff,0x7ffdc00f,
    0xf98dff50,0x7fcc007f,0xffffffff,0xffff32ff,0xffffffff,0xfffff303,
    0x03dfffff,0x3fff6ea0,0x75c00bdf,0x00ceffff,0x9aefffa8,0x2afbe5ff,
    0x1effffdc,0xffd17ff7,0xffd9009f,0x7d403bff,0xfa83dfff,0xfd70005f,
    0x203bffff,0xfffffffb,0x7ffffc2f,0x02ffec03,0xfa9fffc4,0x03ffcc6f,
    0x3ffffe60,0x2fffffff,0xfffffff3,0x26017dff,0xefffffff,0x04c0002d,
    0x00033000,0x10040044,0x00620013,0x22000cc0,0x01e64c01,0x8004c400,
    0x0cdeeec9,0x002deec8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0xccccccc9,0x3ccccccc,0x079db930,0x55555554,0x99932aaa,
    0x33333326,0x99300abc,0x000f3267,0xc981fff7,0x0079933c,0x65c0b32e,
    0xceeda82c,0x4c099911,0x9970cccc,0x00333225,0x41665c40,0x303cccc9,
    0x32279999,0x999100cc,0xc88775c0,0xbccccccc,0x7fec0000,0xffffffff,
    0x6c46ffff,0x2fffffff,0xfffffff8,0xfff56fff,0x3fffffea,0xfa82ffff,
    0x00bff76f,0x22ffffcc,0xdff56ffa,0x03ffea00,0xfa83fff3,0xff31ffff,
    0xffff301f,0xf99fff45,0x74c000ff,0x21efffff,0x907ffffa,0x3e6bffff,
    0xfff105ff,0x4c3ffea0,0xffffffff,0x1ffec3ff,0xffdfff30,0xffffffff,
    0xefffd8df,0x7c1ffffd,0xffffffff,0x2afff56f,0xffffffff,0x7fd44fff,
    0x400bff76,0x23ff9cfe,0xdff56ffa,0x21fff400,0xffd85ffd,0x3ffe64ce,
    0x17fffc40,0x7fccfffa,0x3fe2000f,0x0effffff,0x03fffff5,0x26bffffd,
    0xf882ffff,0xffff887f,0xffffff30,0x6c7fffff,0x3ff203ff,0x333bffb4,
    0x7d413333,0x37fe41ff,0x33333332,0xfff53fff,0x2667ffea,0x21fffeb9,
    0xbff76ffa,0xa98aa200,0x7d426622,0x3fee006f,0x207ffe27,0xff982ffe,
    0x3fffa20f,0xf33ffe82,0x7e4001ff,0x7fff51ef,0x0fffffea,0x2bfffff1,
    0x886ffff9,0x7ffdc7ff,0x3fff30ff,0xdfff7333,0xf881ffec,0x09ffb1ff,
    0x4427fe40,0xff3007ff,0xfabffd4b,0x9bffa07f,0xbff76ffa,0xf5000000,
    0xd004c4df,0x17ff27ff,0x7cc0fffc,0xfffd10ff,0x4cfffa05,0x3a000fff,
    0xaffe43ff,0x45ffeffa,0x35ffeffa,0x887fffff,0xfffd17ff,0x3fe61fff,
    0x21fff507,0xff900998,0x0027fecb,0xff101531,0x83ffa00f,0xfff57ffa,
    0xa87ffd40,0x4bff76ff,0x540effe8,0x6ffa86ff,0xffd1dff5,0xdff703df,
    0xfd83fff1,0x264fffff,0xfffb0fff,0x997fec07,0x26000fff,0xa7fe40aa,
    0x47fedffa,0x35ffcffc,0x41ffffff,0xdff17ff8,0x3e61fff3,0x5fff107f,
    0x8bffe200,0x9999dffd,0x36200199,0xffa805ff,0xfabffd42,0x3ffe207f,
    0x3eedff52,0x03bffa5f,0x3ea1bfea,0xfffff56f,0xf01fffff,0xb0bffbff,
    0x49ffffff,0xffd8fff9,0x97fec03f,0x0000fff9,0x3ea7ffd0,0x3a1ffcdf,
    0xf35ffaff,0x44bffddf,0x7c5f17ff,0x0fff30ff,0x4007ffea,0x7fec6ffb,
    0xffffffff,0xfffe8800,0xa86fe800,0x0fff57ff,0xff53fff8,0x7ed7feed,
    0xdff500ef,0x3eadff50,0xffb9afff,0xffb5512f,0x21559fff,0x1abfffa9,
    0x3ff7ffe6,0x7fe404ff,0x001fff31,0x21fff700,0x4ffadffa,0xbff5bff1,
    0x3fe7bfe6,0x04fff12f,0x7fcc3ffe,0xffb9999f,0x3ffe007f,0x7ffffec3,
    0x800fffff,0xb801fffe,0x7ffa83ff,0xfe80fff5,0x2edff54f,0x0fffcdff,
    0x2a1bfea0,0x3fff56ff,0xff53ffd8,0xffffffff,0x81fff83f,0xfffffff9,
    0x3fee01ff,0x001fff30,0x23fffa80,0x6ff8dffa,0xbff57ff5,0x7fedbfe6,
    0x207ff88e,0xfff30fff,0xffffffff,0x1ffee007,0x3333bff6,0x6c00cccc,
    0xf8800eff,0x7ffa80ff,0xfe80fff5,0x2edff53f,0x03ffffff,0x7d437fd4,
    0x90fff56f,0x3ffea9ff,0xffffffff,0x4c0fffc1,0xffcfffff,0x99fea06f,
    0x20000fff,0x7d45fffa,0xf91ffd5f,0x26bff53f,0x9fff16ff,0x7fc0fff1,
    0xfffff30f,0x889fffff,0x7fff4099,0x4fffeeee,0x3ffe2000,0x09ff7000,
    0x7fd5ffea,0xa97ffc07,0xffff76ff,0xffa80dff,0xf56ffa86,0x09ff90df,
    0x3e01ffe6,0xfff981ff,0x07fff53f,0xfff99fe6,0xfff50000,0x32bff50b,
    0xf57ffaff,0xb9bfe6bf,0x07ffafff,0x7fcc3ffe,0x0bccdeef,0x3ea3ffd8,
    0xffffffff,0x260004ff,0x3f2004ff,0x2fff501f,0x3e207ffa,0x2dff51ff,
    0xffeffffb,0x21bfea03,0xdff56ffa,0x3269ff70,0xccfffdcc,0x0fffc0cc,
    0x3a27ffcc,0x6f981fff,0x0003ffe6,0x5417ffea,0xfdff55ff,0x4d7feabf,
    0x7fff46ff,0x3ffe07ff,0x800fff30,0x3ffa3ffd,0xffffffff,0x3a60004f,
    0x1ffa003e,0xff57ffa8,0x87ffe40f,0xfff76ffa,0x201fff35,0xffa86ffa,
    0xf70dff56,0x3fffea9f,0x1fffffff,0x7cc0fffc,0x7ffcc0ff,0x3e64e886,
    0x7cc000ff,0x3fea05ff,0x7fffff15,0x7fcd7fea,0x7ffffcc6,0x4c3ffe07,
    0x7ec007ff,0x03fff33f,0x80013ff6,0xf1000998,0xbffd40df,0xff507ffa,
    0xbb7fd47f,0x17ff65ff,0x7d437fd4,0x70dff56f,0x3bbaa9ff,0xeeeefffe,
    0x4c0fffc1,0xffc80fff,0x984cc43f,0x22000fff,0x7d406fff,0x3ffffa5f,
    0x3e6bff51,0xffffc86f,0x4c3ffe07,0xd80007ff,0x3ff606ff,0xeeeeeeef,
    0x0dff500e,0xa813fe60,0xdfff57ff,0xdffffddd,0xff76ffa8,0x40fffc4b,
    0xffa86ffa,0xf70dff56,0x1ffe609f,0x2607ffe0,0xff880fff,0x4bff60ff,
    0xeeeefff9,0x3f22eeee,0xffffffff,0x7e4bff55,0x57fea7ff,0xff886ff9,
    0x3ffe07ff,0x000fff30,0x202fff98,0xfffffffd,0xf500ffff,0x3fee00df,
    0x55ffea03,0xffffffff,0x7fd40eff,0xfc8bff76,0x86ffa86f,0xdff56ffa,
    0x2609ff70,0xfff807ff,0x00fff981,0x7ecbfff7,0xfffff32f,0x47ffffff,
    0xfffffffe,0x4bff55ff,0x3ea5fffa,0x20dff35f,0x3e07fffa,0x0fff30ff,
    0x07ffd800,0x7fffffec,0x500fffff,0x3f200dff,0x5ffea02f,0xfffffffa,
    0xdff502de,0xff117fee,0x86ffa85f,0xdff56ffa,0x2609ff70,0xfff807ff,
    0x00fff981,0x7ecbfffa,0xfffff32f,0x27ffffff,0xfffffff9,0xbff55fff,
    0xf51fffc4,0x81bfe6bf,0x3fe07ffd,0x00fff30f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7e43fee0,0x9999910f,0x01999999,0x5c254393,0xcccccccc,0x332e1ccc,
    0x3332a00c,0x20599911,0x32e3ccc8,0x1999902c,0x65c79950,0x6664403c,
    0x41eeb801,0xccccccc9,0x913ccccc,0x2664c099,0x99999991,0x64003799,
    0x5555c03c,0x1aaaaaaa,0x18660cc0,0x70faa000,0x43ff21ff,0xfffffff9,
    0x7d40ffff,0xd85fdfff,0xffffffff,0x3fe63fff,0xdfff104f,0xc81fffd8,
    0x3ff21fff,0x2ffff985,0x3f24ffd8,0x7ffdc07f,0x17ffc400,0x3fffffee,
    0x35ffffff,0x7fd40fff,0x3ffffe67,0x03ffffff,0x0c40dff0,0xffb10500,
    0x74df7bff,0x3ee000be,0xb877544f,0xffff30ee,0x1fffffff,0xffecafc8,
    0xfffffd82,0x43ffffff,0xfc81fffc,0x7ffc41ff,0x227ffcc5,0xffb87ffa,
    0x2ffe84ff,0xd80bffe6,0xffe805ff,0x7fffdc2f,0xffffffff,0x540fff35,
    0x3ffe67ff,0xffffffff,0x06ff804f,0x4c280062,0xffffffff,0x33fffa1f,
    0x27fff401,0x9fff9800,0x81999999,0x98804c1a,0xffb99999,0x7ffc40ef,
    0x81fffc45,0x3fa2fffa,0x1fff886f,0x237fffec,0x7f40fff8,0x5fff105f,
    0x2ffffb80,0x7e4cccc4,0x309999ef,0x7fd40fff,0x267ffe67,0x6ffea999,
    0x2206ff80,0xfe88a001,0xfffc9aef,0x3fffff62,0x9f75b02d,0x3ffe6000,
    0x04c40000,0x3fffe200,0x45fff501,0x7ec06ffd,0x2fffb8ff,0xff85fff0,
    0x3ea0ffff,0x0fffb87f,0x4c07ffa8,0x802fffff,0x3e606ffc,0x9ffea07f,
    0x3ea07ff9,0x2aaa20ff,0xaaaaeffb,0x71400310,0xfffd8dff,0x7fffe4c6,
    0x4fb80bef,0xf30dff50,0x3ea001ff,0xefffe8cf,0x5fffd001,0xf56ffd80,
    0xff8803ff,0x204fffdf,0x3fe64ffd,0x3ee2ffdd,0x2fff885f,0x7404ffd8,
    0x802ffeff,0x3e606ffc,0x9ffea07f,0x3e607ff9,0x3ffee0ff,0xffffffff,
    0xb1400311,0x7e7e49ff,0xffb500ff,0x4fb85fff,0xf30dff50,0x3ea001ff,
    0xffffffdf,0x7ffec00f,0xcfff8803,0xf7004ffe,0x401fffff,0x3fee6ffb,
    0x3f64ffbb,0x8bffd03f,0x3201fff8,0x02ffdaff,0x2606ffc8,0x99999fff,
    0x3e67ffb9,0x1bff207f,0xfffffff7,0x0623ffff,0x47ffe280,0x05ffd5fb,
    0x43fffc88,0xdff504fb,0xdddfff30,0xffa8dddd,0xfffb9aff,0x17ffee03,
    0xfffffb80,0x3ffa000f,0x7fcc02ff,0x3e67ffa7,0x407ffe6f,0x3ea0fffb,
    0x53fe607f,0xfc802ffd,0x3ffe606f,0xffffffff,0x33ffe67f,0xfffecccc,
    0x7e6664c3,0x10ccccff,0xffd14003,0x7ff4df53,0x3fff2602,0xa827dc3f,
    0xfff986ff,0x47ffffff,0x7ec1fffa,0xdfff304f,0xfffe8001,0x7fdc002f,
    0x3fff007f,0x7ffcfff1,0x2207ff98,0x3ff62fff,0x6c3ffa04,0xffc802ff,
    0x3fffe606,0xffffffff,0x3ffffe67,0x04ffffff,0x0c40dff0,0x67fec500,
    0x1fff10ef,0xffffeb88,0x81f540cf,0xff986ffa,0x7fffffff,0x7e43ffd4,
    0xffff884f,0xfff98000,0x7ffc4005,0xffd803ff,0x3f65ffab,0x405ffaaf,
    0xfff15ffd,0xd8bff203,0xffc802ff,0x3bffe606,0xffeeeeee,0x3ffffe67,
    0x001bffff,0x01881bfe,0xffffb8a0,0xc99bfee0,0x03efffff,0x21bfea00,
    0x5000fff9,0x9ff90fff,0x005fffd0,0x0017ffc0,0x3ffffff6,0x66ffdc00,
    0x33fea3ff,0x7d403ffc,0x06ffa8ff,0xd333bff3,0x640137ff,0x3fe606ff,
    0x99ffea07,0xffd517ff,0x37fc001d,0x21400310,0xfdabeffe,0x3fffa1ff,
    0x376602df,0x21bfea04,0x5000fff9,0x9ff70dff,0x003fffd8,0x0017ffc0,
    0xfff9fff5,0xeeff980d,0x3bfe20ff,0xff801ffe,0x903ffdbf,0xffffffff,
    0x7e405fff,0x1ffe606f,0x3e67ffa8,0x7fffc47f,0x40dff000,0xfb0a0018,
    0x7fffffff,0x801cffe8,0x3ea06ff9,0x0fff986f,0x70dff500,0x7ffdc9ff,
    0xfff80005,0xdfff1002,0x880fffee,0xe86fffff,0x9007ffff,0x01fffdff,
    0x3ffffff2,0x202fffff,0x3e606ffc,0x9ffea07f,0xffa87ff9,0x2200005f,
    0xcfc8a001,0x81efffeb,0x3e6000be,0x1bfea06f,0x4003ffe6,0xffb86ffa,
    0x00dfff54,0x00bffe00,0xfd0fffec,0x7ff401ff,0xfffc84ff,0xfff5005f,
    0x66540dff,0xdffecccc,0x1bff201c,0x2a07ff98,0x1ffe67ff,0x2e1fffec,
    0xffffffff,0x00311fff,0x01889114,0x2bb88000,0x261bfea0,0xf5000fff,
    0x29ff70df,0xeeeefffd,0x804eeeee,0xfa802fff,0x7ffcc4ff,0x3ffff206,
    0x3ffffa82,0x3ffffe00,0x5ffb0003,0x40dff900,0x3ea07ff9,0x41ffe67f,
    0x2e0ffff8,0xffffffff,0x55911fff,0x55555555,0x00000005,0x86ffa800,
    0x5000fff9,0x9ff70dff,0x3ffffff6,0x05ffffff,0x4402fff8,0xfb80ffff,
    0xfff503ff,0xffff101f,0x7ffe4005,0xffb0000f,0x0dff9005,0xf503ffcc,
    0x03ffccff,0x7dcbfff5,0xffffffff,0x000001ff,0x00000000,0xff30dff5,
    0x3fea001f,0xfb4ffb86,0xffffffff,0xff00bfff,0xfffc805f,0x03fffa02,
    0xe81bffe2,0x26000fff,0x20005fff,0xfc802ffd,0x1ffe606f,0x3e67ffa8,
    0x7ffec07f,0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x06203100,0x06200000,0x04cc4000,
    0x80015310,0x4cc00098,0x26666000,0x98800000,0x004c409a,0x00004c40,
    0x2aa880c4,0x00098800,0x00000000,0x557fe400,0xfd33ffff,0x5ffc89ff,
    0x3ee7ffd0,0x30fffbbf,0xffd89fff,0x2217fea6,0x0dfffffd,0x3bfffaa0,
    0x3ffee00c,0x3faa01ff,0x7d44ffff,0x44ffc85f,0xadfffffc,0x00cffffd,
    0x3bffff66,0x3fd98002,0x540fff30,0xfffe8cff,0x90bff61e,0x6ff98bff,
    0x880ffe40,0xffffffff,0x3fbff26f,0xffcfffff,0x3e64ffff,0x7ffcc0ff,
    0xfffdff70,0x71fffc8d,0x7fd43fff,0xfffffd85,0xfff706ff,0x360dffff,
    0x3fffffff,0xffffff88,0x17fea3ff,0xffc93ff2,0xffffffff,0xf105ffff,
    0x9fffffff,0x3fffaa00,0x40fff303,0xffffdffa,0x9ff50fff,0x7dc7ffe8,
    0x0ffe404f,0xffffff88,0x3ff26fff,0xfffe99df,0x47ffd9af,0x7fe42ffe,
    0x33fffee4,0x8effe84d,0x7fd43fff,0x4ceffdc5,0x7c40fffb,0xffeaadff,
    0x4dfffd43,0x7e40fffc,0x1fff50af,0x3f217fea,0x35dff34f,0x33bffff5,
    0xfe88bffb,0xfffeacff,0xffff7102,0x3ba205ff,0x3fffea05,0x13fffb9a,
    0x7ffc4fff,0x007ff61f,0x32203ff9,0xfffecccc,0xa83fff23,0x3fe62fff,
    0x3e2ffdc7,0x3ffee1ff,0x7fffc402,0x113e05ff,0x2ffd8175,0x3e637fe4,
    0x21fff44e,0x7ffc3ffc,0x3fea0cc2,0x314ffc85,0x87ffd837,0x3fee0ffe,
    0x237fec0f,0xefffffc9,0xfa80000b,0x27fec1ff,0x3fea3ffb,0x0fff13ff,
    0x4003ff90,0x7e44fffa,0x07ffd45f,0x7c41fff1,0x8dff50ff,0xf7007ffb,
    0x2a01ffff,0x7ed4402f,0x27ff43ff,0x983fff00,0x7ffec5ff,0xffa81bdf,
    0x104ffc85,0x90bffd95,0x27fec5ff,0xfd87ffd4,0x501cffff,0xdddddddd,
    0x3fea1ddd,0x2e4ffc87,0xfdff93ff,0x3a13feab,0xeefffeee,0xfff303ee,
    0x98bff90b,0x0fff87ff,0xffd9ffe4,0x0037fdc3,0x2e07fffb,0xffd9305f,
    0xff87ffff,0xfff1002f,0xdfffffff,0xffffff88,0x17fea2ef,0xec893ff2,
    0xffffffff,0x23ffffff,0xfff02fff,0x00bfffa3,0x3fffffee,0xf51fffff,
    0x49ff90ff,0x9bfd5ff8,0x20bff2ff,0xffffffff,0xff884fff,0x4ffc80ef,
    0x7fc37fcc,0x477fcc0f,0x7fdc0fff,0xffff1005,0x7cc0a20d,0xffdadfff,
    0x8017ffc3,0xeeeefff9,0xeb885eee,0x50ffffff,0x9ff90dff,0x2f7fffe2,
    0xfffffffd,0x3ffa3fff,0xd1fff882,0x4017dfff,0xfffffffb,0xff51ffff,
    0xe89ff70d,0xfabff9ff,0xff07ff9f,0xffffffff,0xfffe889f,0x989ff900,
    0x0fff86ff,0x4ffcffe8,0xb005ffb8,0x009fffff,0x7ec4ffe8,0x41fff43f,
    0x3ffe21ab,0x36e20001,0xdff53fff,0x3f69ffb0,0x17ff60df,0xa84ffd80,
    0xffb30fff,0x3103bfff,0x33333333,0x437fd433,0x7fdc4ffb,0xdff89ffd,
    0x333305ff,0x13335ffb,0x201fffe8,0x7fcc4ffc,0xb80fff86,0xb81fffff,
    0xffa805ff,0xb81fffcf,0x1fff15ff,0x7e43ffe8,0x07ffcc6f,0xbdb89ffd,
    0x703b7221,0x1ffe6bff,0x3fe9fff1,0x07fff41f,0xffb82f36,0x437fec0f,
    0xefffffc9,0x8066600b,0xffb86ffa,0x3ffffcc4,0x005ffffd,0xfd807ff2,
    0x7fe401ff,0x7c37fcc4,0xfff880ff,0x0bff706f,0xfd3fff88,0x41dfd0df,
    0xfd98cffe,0x7ffc43ff,0x43ffebbf,0xfa9cfffa,0x6ffec1ff,0x13ffea89,
    0xfd53bfff,0x37ff29ff,0xeffffc88,0x446ffd9a,0xffbcffff,0x3ee201ff,
    0xf303ffff,0x37fd40ff,0x7f427fdc,0x3ffee5ff,0x3ff9000f,0x3bfffee0,
    0xf90eeeee,0x86ff989f,0xff900fff,0x17fee07f,0x7ccdffb0,0x03bea4ff,
    0xfffffff5,0xfff709ff,0x320dffff,0x3fffffff,0xffffff88,0x7ffec6ff,
    0x34ffcfff,0xdfffffff,0xffffffff,0xffffd101,0x54007fff,0xff303ffe,
    0x437fd40f,0xffc84ffb,0x17ffe63f,0x901ffc80,0xffffffff,0x13ff21ff,
    0xfff0dff3,0x03ffe601,0xf702ffdc,0xfffb83ff,0x3ae01752,0x7ff8afff,
    0x9ffffd30,0x7fff5c01,0x3ff6603d,0xfd80cfff,0x4ffa9eff,0x4bbfff6a,
    0x1cefffc8,0x3fffb220,0x7930001e,0xa817ba20,0x4ffb86ff,0x7c0fff98,
    0x32a002ff,0xffff900c,0x01ffffff,0x00000000,0x00000000,0x19800022,
    0x4000c400,0x01300099,0x02200c40,0x00006200,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x88262198,
    0x09885103,0x7fe40066,0x26666602,0x20999999,0x99999999,0x36e20999,
    0xdda883de,0x166dc40a,0x200bec98,0x3ae202fc,0xb966640c,0x099953cc,
    0x91040353,0x7ff4459d,0x33333221,0xdd884cc4,0xdddddddd,0xf97fa5dd,
    0x7777714f,0x77777777,0x2661d300,0x3f601d30,0x3a23ff56,0x51ff444f,
    0x013fa1ff,0x7c0bfff1,0xffffffff,0x3fffe4ff,0x4fffffff,0x0fffbff6,
    0xe89ffdfd,0x7ec2ffef,0xf701ffff,0x3fffe203,0x6cfffe1f,0x4dff95ff,
    0x1beffffa,0x7dd4cd71,0x997fe61f,0x267fffff,0xffff16ff,0xffffffff,
    0x9ff2ffcf,0x3fffffe2,0x07ffffff,0x7ff7ffcc,0x5c0fffef,0x25ff89ff,
    0xfd14fffb,0xab7f41ff,0x3ff201ff,0xffff01ff,0x9fffffff,0x7ffffffc,
    0xb714ffff,0x6f993f61,0x53621ff1,0x2bfe25fa,0x2fe63fe9,0x2e0fb9fb,
    0x7fcbf53f,0x32bffb3f,0xffff36ff,0xdfffffff,0xff30ff60,0x3ffffe61,
    0xaa9bfe67,0xaaaaaaaa,0xe93b62aa,0x9999913e,0x99999999,0xfffffb00,
    0xf989ffff,0xc81ffb4f,0xfffecfff,0xfe9ffcc1,0xffff880e,0xddddd04f,
    0x47dddddd,0xeeeeeeee,0x6dcc4ffe,0x1fea05ff,0xdf517fdc,0xfff737dc,
    0x3f45ffff,0x9fff43f6,0xbff74ffc,0x3ff73be6,0xb55fffff,0x2e60ffdb,
    0x77777711,0x00037fcc,0x00000000,0x75f7ffc4,0x8ffe87ff,0xff903ffa,
    0x3603ffff,0x84ff99ff,0x0ffeaffb,0x26000000,0xdffb14ff,0x3fea0bfd,
    0x645fff02,0x883fea5f,0x6c0aeffa,0xffd9be1f,0x3ea7ff71,0xf930734f,
    0x5ee547df,0x00000001,0x00000000,0x227fd400,0x3ff21ffd,0x6407ff8b,
    0x2201ffff,0x85ffb6ff,0x09ff77ff,0x33333333,0x4c001333,0x21ff54ff,
    0x2ffb85fd,0xf987fcc0,0x3f617ee7,0xdff983fd,0x43fee3ff,0x7ff12ff9,
    0x00000000,0x00000000,0xc8000000,0x17fd41ff,0xfff17ff7,0x3fffa201,
    0x3ffe204f,0x3ee3ffc8,0xf03ffe4f,0xffffffff,0x7cc009ff,0xf53ff54f,
    0x81efc8bf,0x41ff15e9,0x43ffbdff,0x705fd5fc,0x19887ffd,0x013304cc,
    0x00000000,0x00000000,0xfb800000,0x217fe43f,0x4ffa8ffe,0xfffffe88,
    0x33ff904f,0x1ffe8bff,0xfff0fff2,0xffffffff,0x27fcc009,0x4bfbffff,
    0x0ffffff9,0x513ffbfa,0x881bfffd,0x0180750d,0x00000000,0x00000000,
    0x00000000,0x2bbfe600,0x440fffa8,0x41ffb4ff,0xfc9fffe8,0xa7fcc4ff,
    0x3fea0ffd,0x3a37fcc6,0xeeeeeeee,0x3a6003ee,0x2a89543e,0x3bbbbbae,
    0x80b36e20,0x000000b9,0x00000000,0x00000000,0x00000000,0xffff3000,
    0x703fffff,0x49ff13ff,0x3f21fffa,0x55bf60ef,0x04cc42ff,0x00000ccc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ffc4000,
    0xffffffff,0xff55fd80,0x7640fdc3,0x7f47fea0,0x00000004,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xcfc80000,0x4fd9cdca,
    0x04cc3310,0x04c40802,0x00000033,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x14000000,0x000000a0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_26_latin1_x[224]={ 0,2,1,0,0,1,1,1,1,0,0,0,1,0,
1,-1,0,1,0,0,0,1,0,0,0,0,2,1,1,0,1,1,0,0,1,1,1,1,1,1,1,1,0,1,
1,1,1,1,1,1,1,0,0,1,-1,0,0,-1,0,1,-1,0,1,-1,0,0,1,0,0,0,0,0,1,1,
-2,1,1,1,1,0,1,1,1,0,0,1,0,0,0,0,0,0,2,0,0,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,2,0,0,0,0,
2,0,0,-1,0,1,0,0,-1,-1,0,0,0,0,2,1,-1,1,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-1,1,1,1,1,1,-1,1,-1,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,-1,1,1,0,0,
0,0,0,0,1,0,0,0,0,0,-1,1,-1,-1,0,1,0,0,0,0,0,0,0,1,1,1,1,0,1,0,
 };
static signed short stb__arial_bold_26_latin1_y[224]={ 21,4,4,4,2,4,4,4,4,4,4,6,17,13,
17,4,4,4,4,4,4,4,4,4,4,4,8,8,6,8,6,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,23,4,8,4,8,4,8,4,8,4,4,
4,4,4,8,8,8,8,8,8,8,4,8,8,8,8,8,8,4,4,4,10,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,21,8,4,4,6,4,
4,4,4,3,4,9,8,13,3,1,4,5,4,4,4,8,4,11,21,4,4,9,4,4,4,8,-1,-1,0,0,
0,1,4,4,-1,-1,0,0,-1,-1,0,0,4,0,-1,-1,0,0,0,7,3,-1,-1,0,0,-1,4,4,4,4,
4,4,4,3,8,8,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,6,8,4,4,4,4,4,4,4,
 };
static unsigned short stb__arial_bold_26_latin1_w[224]={ 0,4,9,13,12,19,16,4,7,7,9,13,4,8,
4,8,12,9,12,12,13,12,13,12,12,12,4,5,12,13,12,13,23,17,15,15,15,14,13,16,15,4,12,16,
13,17,14,17,14,17,16,15,14,14,17,22,16,17,14,7,8,7,12,15,6,13,13,13,13,13,9,13,12,4,
7,12,4,19,12,14,13,12,9,12,8,12,13,19,13,13,12,9,3,9,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,4,13,13,13,13,
3,13,8,19,9,11,13,8,19,15,9,13,8,8,6,12,14,4,7,5,9,11,19,18,20,13,17,17,17,17,
17,17,24,15,14,14,14,14,7,6,9,9,17,14,17,17,17,17,17,12,18,14,14,14,14,17,14,13,13,13,
13,13,13,13,19,13,13,13,13,13,6,6,9,9,14,12,14,14,14,14,14,13,14,12,12,12,12,13,13,13,
 };
static unsigned short stb__arial_bold_26_latin1_h[224]={ 0,17,7,18,22,18,18,7,22,22,8,13,8,4,
4,18,18,17,17,18,17,18,18,17,18,18,13,17,14,9,14,17,22,17,17,18,17,17,17,18,17,17,18,17,
17,17,17,18,17,19,17,18,17,18,17,17,17,17,17,22,18,22,10,3,4,14,18,14,18,14,17,18,17,17,
22,17,17,13,13,14,18,18,13,14,18,14,13,13,13,18,13,22,22,22,6,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,18,22,18,13,17,
22,22,3,19,9,12,9,4,19,3,8,16,9,9,4,18,22,4,5,9,9,12,18,18,18,18,22,22,21,21,
21,20,17,22,22,22,21,21,22,22,21,21,17,21,23,23,22,22,22,12,19,23,23,22,22,22,17,18,18,18,
18,18,18,19,14,18,18,18,18,18,17,17,17,17,18,17,18,18,18,18,18,13,14,18,18,18,18,22,22,22,
 };
static unsigned short stb__arial_bold_26_latin1_s[224]={ 255,161,156,15,73,199,1,151,168,109,131,
164,249,195,204,245,243,226,180,106,129,147,176,40,203,225,251,250,104,65,234,
26,86,164,219,78,58,204,11,1,158,53,94,144,166,193,211,18,236,168,174,
160,143,121,111,88,71,53,38,194,238,220,52,234,188,1,64,15,36,29,134,
136,107,102,228,79,74,191,131,89,107,190,225,43,216,56,211,144,235,150,178,
236,246,189,166,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,
205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,205,255,250,1,
50,1,120,149,135,225,148,93,15,79,195,128,209,141,191,103,112,249,134,153,
247,180,247,121,40,223,204,183,169,176,202,19,1,207,77,1,110,126,15,37,
225,199,30,240,52,235,62,49,31,117,37,55,27,95,16,1,156,141,171,189,
1,85,127,29,43,57,114,69,71,33,99,113,92,247,182,92,1,119,25,154,
18,47,62,77,117,219,232,219,186,141,81,95,67, };
static unsigned short stb__arial_bold_26_latin1_t[224]={ 1,127,178,70,25,48,89,178,1,1,178,
163,162,178,178,48,70,127,127,89,145,89,89,127,89,89,127,25,163,178,145,
127,25,108,108,108,127,108,145,108,145,127,108,127,127,127,127,108,127,48,145,
89,145,108,145,145,145,145,145,1,89,1,178,178,178,163,108,163,108,163,127,
108,127,127,1,127,127,162,163,163,108,89,162,163,89,163,162,163,162,108,163,
1,1,25,178,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,
145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,1,1,25,
108,178,127,1,1,178,48,178,178,178,178,48,178,178,145,178,178,171,89,1,
155,178,145,178,178,70,70,70,70,1,1,48,48,25,48,127,25,25,25,48,
25,25,25,25,48,108,48,1,1,1,25,25,178,48,1,1,25,25,25,108,
70,70,70,70,70,70,48,163,70,89,70,70,89,89,108,127,145,89,145,70,
89,89,89,89,163,145,48,48,48,70,1,1,1, };
static unsigned short stb__arial_bold_26_latin1_a[224]={ 103,124,177,207,207,331,269,89,
124,124,145,217,103,124,103,103,207,207,207,207,207,207,207,207,
207,207,124,124,217,217,217,227,363,269,269,269,269,248,227,290,
269,103,207,269,227,310,269,290,248,290,269,248,227,269,248,351,
248,248,227,124,103,124,217,207,124,207,227,207,227,207,124,227,
227,103,103,207,103,331,227,227,227,227,145,207,124,227,207,290,
207,207,186,145,104,145,217,279,279,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,279,
279,279,279,279,279,279,279,279,103,124,207,207,207,207,104,207,
124,274,138,207,217,124,274,206,149,204,124,124,124,215,207,103,
124,124,136,207,311,311,311,227,269,269,269,269,269,269,372,269,
248,248,248,248,103,103,103,103,269,269,290,290,290,290,290,217,
290,269,269,269,269,248,248,227,207,207,207,207,207,207,331,207,
207,207,207,207,103,103,103,103,227,227,227,227,227,227,227,204,
227,227,227,227,227,207,227,207, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_26_latin1_BITMAP_HEIGHT or STB_FONT_arial_bold_26_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_26_latin1(stb_fontchar font[STB_FONT_arial_bold_26_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_26_latin1_BITMAP_HEIGHT][STB_FONT_arial_bold_26_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_26_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_26_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_26_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_26_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_26_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_26_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_26_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_26_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_26_latin1_s[i] + stb__arial_bold_26_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_26_latin1_t[i] + stb__arial_bold_26_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_26_latin1_x[i];
            font[i].y0 = stb__arial_bold_26_latin1_y[i];
            font[i].x1 = stb__arial_bold_26_latin1_x[i] + stb__arial_bold_26_latin1_w[i];
            font[i].y1 = stb__arial_bold_26_latin1_y[i] + stb__arial_bold_26_latin1_h[i];
            font[i].advance_int = (stb__arial_bold_26_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_26_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_26_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_26_latin1_s[i] + stb__arial_bold_26_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_26_latin1_t[i] + stb__arial_bold_26_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_26_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_26_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_26_latin1_x[i] + stb__arial_bold_26_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_26_latin1_y[i] + stb__arial_bold_26_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_26_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_26_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_26_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_26_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_26_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_26_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_26_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_26_latin1_LINE_SPACING
#endif

