// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_28_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_28_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_28_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_28_latin1_BITMAP_HEIGHT        224
#define STB_FONT_arial_bold_28_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_bold_28_latin1_FIRST_CHAR            32
#define STB_FONT_arial_bold_28_latin1_NUM_CHARS            224

#define STB_FONT_arial_bold_28_latin1_LINE_SPACING          18

static unsigned int stb__arial_bold_28_latin1_pixels[]={
    0x06660998,0x998000cc,0x00980009,0x44009880,0x88013109,0x20198009,
    0x33000098,0x00000000,0x00733220,0x1bffffe6,0x000e664c,0x4003ffe6,
    0xa8003ccb,0xf7000ccc,0x2209ffff,0x41ffe5ff,0x7dc003fe,0xed8800ef,
    0x401dffff,0x0cffffea,0xfff76fe8,0x441bfa07,0xf980fffd,0xffb5001f,
    0x0159bfff,0x117df900,0xffb0009f,0xff9801ff,0x3f206fff,0x7fcc005f,
    0xfff9800f,0x7ffb0000,0x3fffee00,0x4bff104f,0x1ff707ff,0x0077fc00,
    0x7fffffdc,0xff304fff,0xd0bfffff,0x3fffeedf,0xfd06fe83,0xdfb01fff,
    0xfffff700,0x7fffffff,0x7fffd400,0x54002fff,0x405ffbff,0x05eefff9,
    0x30007fec,0xfb001fff,0x7440003f,0xfdd5007f,0x3ba209ff,0x7c41bb64,
    0x3ff7004f,0xfffff900,0x05ffffff,0xff97dffb,0xd36fe83f,0xdfd0ffff,
    0x0bdfff50,0x6c405ff3,0x2619cfff,0x00effeba,0xfeb98fc8,0xa7fc4004,
    0x3e602ffa,0x27ec007f,0x20066600,0x80001ff8,0x6c002fe8,0x800004ff,
    0xaa800ffc,0xffff9801,0x1bfff262,0x7e45fff1,0x2237f46f,0x37f40fff,
    0xfb02ffdc,0x1fff440f,0x00bff700,0x20000130,0xfff30009,0x00000000,
    0x800004c0,0xffd80009,0xfa800004,0x7400004f,0xff900fff,0x2fffc47f,
    0x21bfa031,0x37f40fff,0xf9827fdc,0x07ff605f,0x2ffa8022,0x7fff64c0,
    0x326003df,0x03dffffe,0x3e61ffe6,0x3fee02ff,0x0fff980f,0xffffd930,
    0x764c007b,0x003dffff,0xffc89ffb,0x85fff107,0x7fe47ff8,0x25fff107,
    0x2204fff9,0x7fe409bd,0x37f400df,0x3fa0fffc,0x904ffc86,0x3fee05ff,
    0x4ffff641,0x0bf94ffc,0x7fffffe4,0x6401efff,0xffffffff,0x7ff981ef,
    0x202fff98,0xf980fffb,0xfffc80ff,0x1effffff,0x7ffffe40,0x401effff,
    0x7fcc4ffd,0x07ffb82f,0x7fcc3ffd,0x27ffb82f,0x0001fffa,0x0fffffe6,
    0xffe86fe8,0x7e437f41,0x01ffb03f,0xffe893fe,0x2fffffff,0x7ffec1fe,
    0xfffffeff,0xffffb01f,0xffffffdf,0x987ff983,0x3ee02fff,0xfff980ff,
    0x7ffffec0,0x1ffffffe,0xdfffffb0,0x03ffffff,0x7f427fec,0x04ffe84f,
    0xffe85ffb,0x324ffe84,0x10000fff,0xbfffffff,0xfd0dfd01,0xc86fe85f,
    0x0fff03ff,0xffe83fea,0xffffb89d,0xff507fa1,0x7ecc17ff,0xfffa86ff,
    0x3ff660bf,0x43ffcc6f,0x2e02fff9,0xff980fff,0x3fffea0f,0x3fff660b,
    0xbffffa86,0x1bfff660,0xfb84ffd8,0x0fffc47f,0x7dc4ffc8,0x0fffc47f,
    0x4000fffb,0xfffbaffe,0x437f41ff,0x37f44ffc,0x7c40fffc,0x5cdfb07f,
    0x7ffe86ff,0x3ffe1fe4,0x3fff201f,0x00ffffc3,0x7cc7fff9,0x2fff987f,
    0x203ffee0,0x3fe0fff9,0x3ff201ff,0x0ffffc3f,0x207fff90,0xff884ffd,
    0x81bfee2f,0x7fc45ffb,0xb1bfee2f,0x22000fff,0x3ffa67ff,0x20aaa0ff,
    0xfd0afff9,0x07ffe44d,0xff837fd4,0x3207ffa4,0x327e45ff,0xf8809fff,
    0x3ffe67ff,0x3fffc404,0xff30fff3,0x7ffdc05f,0x30fff980,0xf8809fff,
    0x3ffe67ff,0x3fffc404,0xfb04ffd8,0x01fff49f,0xffb0dff5,0x321fff49,
    0x98000fff,0x7fe40fff,0x3ff6005f,0x3e6dfd6f,0xff703fff,0x7ccbfe0b,
    0x89ff906f,0x3ffee3fe,0x0fffc800,0x9001fff7,0x3fe61fff,0x02fff987,
    0x2603ffee,0xfff70fff,0x1fff9001,0x2003ffee,0xfd80fffc,0x2fff504f,
    0x2600fff8,0x7ffa87ff,0xfb81fff1,0x40dc01ff,0x7e40effe,0x7ff4007f,
    0x3fe6dfd6,0x13ff204f,0x7fdc3fe2,0x445ffb05,0x1fff22ff,0xc8fffdc0,
    0xff7007ff,0x21ffe63f,0x2e02fff9,0xff980fff,0x00fff90f,0x7e47ffee,
    0xfff7007f,0x409ffb03,0x5ffbafff,0xf837fcc0,0x85ffbaff,0x2603fff9,
    0x3ff23eff,0x03ffc1ef,0x3adfffb0,0x5ffff36f,0x2617fee0,0x413ff27f,
    0x3fee0fff,0x401bff60,0xffb2fffa,0x3ffea00d,0xf30fff32,0x7fdc05ff,
    0x0fff980f,0x2a00dffb,0xdffb2fff,0x0bffea00,0xfc813ff6,0x402ffecf,
    0xff905ffa,0x3a05ffd9,0xffb00fff,0x7fff445f,0x54bff34f,0xafffa82a,
    0x7eccdfd0,0x0bff507f,0x3fee3ff1,0x267ffb85,0x37ff43ff,0xd2fffa80,
    0x3ea00dff,0x0fff32ff,0x5c05fff3,0xff980fff,0x00dffd0f,0x7f4bffea,
    0xfff5006f,0x409ffb05,0x0ffffff9,0x9827fdc0,0x00ffffff,0x4c3dfff5,
    0xd887fffc,0xfffeffff,0x3f21bfa1,0x2237f44f,0xff981fff,0x3ea9ff06,
    0xafffc47f,0xffd86ff8,0x3fff7007,0x5c01fff6,0xfff31fff,0x405fff10,
    0xf980fffb,0x0fffb0ff,0x6c7ffee0,0xff7007ff,0x09ffb03f,0x05ffffe8,
    0x3a03ffc8,0x6c05ffff,0xffefffff,0x3ee02fff,0x741fffff,0x42ffd86f,
    0x3ffd86fe,0x3f60fff0,0x75dfff16,0xff9ffffd,0x1fff701d,0x21fff900,
    0xc800fffb,0xfff30fff,0x407fff10,0xff307ffc,0x03ffee1f,0x5c3fff20,
    0xfc800fff,0x4ffd80ff,0x17fffdc0,0x700fff40,0x9005ffff,0xffffffff,
    0xffb1007f,0x86fe83ff,0x37f41ffe,0xfe81ffe4,0x50ffa80f,0xfdffffff,
    0x201bffff,0x4404fffa,0x3fea7fff,0x7ffc404f,0x221ffe67,0x3f203fff,
    0x1fff307f,0x1013ffea,0x7fd4ffff,0x7ffc404f,0x809ffb07,0xf007fff8,
    0xfff880df,0x3ff66007,0x4001dfff,0x7f47fffb,0x741ffe86,0x04ffc86f,
    0x3fe05ff9,0x277bb625,0x222cdfd8,0x3fffe219,0x93fff201,0x201ffff8,
    0x3e64fffc,0x1ffff07f,0x541bffa0,0xfff10fff,0x7ffe403f,0x07fffe24,
    0xb04fffc8,0xff8809ff,0x3ff9804f,0x027ffc40,0x0067f5c0,0xff50ea62,
    0x7c37f43f,0x437f41ff,0xff104ffb,0x013fea0b,0x546ffa80,0x6c43ffff,
    0xffa86fff,0x7fec43ff,0x83ffcc6f,0x221dfffd,0xf904fffc,0x7ffd41ff,
    0x7ffec43f,0x3ffffa86,0x037ffec4,0xfc809ffb,0x7fc801ff,0x01fffc80,
    0x06fdbc80,0xf30fffd4,0x237f43ff,0x7f40fff8,0x205ffb86,0x3ff207fd,
    0x7fe4001e,0xffffd80f,0xffffffef,0xfffffb02,0x5ffffffd,0x3ccfff98,
    0x3fffffe2,0x40fffffe,0xd87ffffc,0xffefffff,0xfb02ffff,0xfffdffff,
    0xcca85fff,0xebc84ffe,0xff005fff,0x3ffaf207,0x7c40005f,0x3ffe201f,
    0x47ffebcf,0xfffd36fe,0xf50dfd0f,0xff30bdff,0x77ffe405,0x975109bc,
    0x6403dffd,0xffffffff,0x7fe401ef,0xefffffff,0xfffff981,0x7ffffd46,
    0xe82fffff,0xf903ffff,0xffffffff,0xfffc803d,0x1effffff,0x4fffffb8,
    0x1fffffe8,0xd00ffa80,0x003fffff,0x6febaa88,0xfffffa80,0xb7f42fff,
    0xe84ffffb,0xffffd06f,0x980bfb01,0xfffffffe,0x0cffffff,0xffffd980,
    0x366004ef,0x04efffff,0x1bffffe6,0x3ffffb62,0xffff00df,0xfffd9809,
    0x26004eff,0x4efffffd,0x3ffffee0,0x1efffd84,0x6c09fd00,0x8001efff,
    0x00bdfff9,0xdffffb30,0x3eedfd03,0x0dfd04ff,0x203fff62,0xb9800ff9,
    0xfffffffe,0x310000bd,0x33100003,0x33000000,0x00066001,0x20000662,
    0x80000198,0x4c000998,0x02662009,0x40000000,0x42620099,0x04c40198,
    0x13300cc0,0x03331000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0003cca8,0x8001332e,0x3fe200c9,0x0003ffa6,
    0xccc98000,0x01a80001,0x01332a00,0x00599700,0x4c000000,0x326004cc,
    0xffffffee,0x01fff36f,0x02665400,0x00b33200,0x017fffcc,0x00fffc40,
    0x4401f700,0x03ffa6ff,0x64b3fa60,0x3ff2000f,0x05f80005,0x03fff100,
    0x7fffdc00,0x7ff70001,0x8800dd13,0xb804ffff,0xffffffff,0xfff36fff,
    0x7f440001,0xff50002f,0xbfd1001d,0xc8001ffb,0x740002ff,0xd37fc405,
    0xffd001ff,0x000dffff,0x30003ff9,0x005dfffb,0x0002ffb8,0x1bfb3fe6,
    0x3fffe200,0x6c003fff,0x202ffcff,0xfffffff9,0xf36fffff,0x880001ff,
    0xfd0006fe,0x3ff6001d,0x4005fe88,0x440002ff,0x8000003f,0xefda8cf8,
    0x09fb0001,0xfffffa80,0xff000fff,0x6fe80007,0xb8009ff3,0x0dfdb89f,
    0x6c7fee00,0xfff900ff,0xff93dfff,0x03ffe617,0x07fe2000,0x001ff500,
    0x00000000,0x207ee620,0x2e02fff9,0x00000fff,0x7c400000,0xfffffeff,
    0x00000003,0x00000000,0x7ff40000,0xff75ffff,0x307ffcc7,0x00000001,
    0x0bffe600,0xf30fffb8,0x7fdc05ff,0x7ffe440f,0xfff983ff,0x43ffee02,
    0x2604fff8,0x7c400fff,0x3ea007ff,0xfff7bf6f,0x7fff8801,0x7ffc4000,
    0x7fc40007,0xfff1007f,0xffffffff,0x7fffc1ff,0x7ff75fff,0x7dc7ffcc,
    0xff883fff,0xffffffff,0xfff10fff,0xffffffff,0x5fff31ff,0x987ffdc0,
    0x3ee02fff,0x3ffe60ff,0x4c5fffff,0x3ee02fff,0xffff10ff,0x03ffe603,
    0x05ffff90,0xafcfff20,0xffc801aa,0x320002ff,0x0002ffff,0x00bffff2,
    0x3fffffe2,0x0fffffff,0x3ffffffa,0x7cc7ff75,0xfffffeff,0x7fffc45f,
    0xffffffff,0xfffff10f,0xffffffff,0x405fff31,0xff30fffb,0x7ffdc05f,
    0x377fffa0,0x3e62ffff,0x3fee02ff,0xdffff10f,0x003ffe60,0x00bfffff,
    0x02fd7fea,0x2fffffc0,0xfffff000,0x7ffc000b,0xff8805ff,0xffffffff,
    0x3fee0fff,0xff75ffff,0x7ffffcc7,0x22ffffcc,0xfffffff8,0x10ffffff,
    0xffffffff,0xf31fffff,0x7fdc05ff,0x05fff30f,0xfa87ffdc,0xffbf91ff,
    0x017ffccd,0x3e21fff7,0xf983ffff,0x3fea00ff,0x8801ffff,0x005fcfff,
    0x7fffffd4,0xfffa8001,0xa8001fff,0x01ffffff,0x001fffc4,0x5fffffd8,
    0x7fcc7ff7,0x3ffa20ef,0x00fffe26,0x007fff10,0x7017ffcc,0x3fe61fff,
    0x3ffee02f,0x67cbff90,0x7ffcc0a8,0x43ffee02,0x0ffffff8,0xb007ffcc,
    0x09fffdff,0x3bffff60,0xdffb000a,0xb0009fff,0x09fffdff,0xffdffb00,
    0xfff8809f,0x3fae0003,0x47ff75ff,0xfa84fff9,0x7fff10ff,0x3fff8800,
    0x0bffe600,0xf30fffb8,0x7fdc05ff,0x269ffd0f,0x3ffe602f,0x43ffee02,
    0x5ffffff8,0x8807ffcc,0x7ffcafff,0xffffd300,0xff8807ff,0x007ffcaf,
    0x7e57ffc4,0x7fc4007f,0x407ffcaf,0x0003fff8,0xff75ff98,0x417ffcc7,
    0xff11fff9,0xff88007f,0x3fe6003f,0x3ffee02f,0x405fff30,0xffd0fffb,
    0xf9803ee9,0x3fee02ff,0xfdfff10f,0x7ffcc5ff,0x31fff700,0x22005fff,
    0x5ffffffc,0x263ffee0,0x2e002fff,0xfff98fff,0x3ffee002,0x202fff98,
    0x0003fff8,0xff75ff98,0x407ffcc7,0xff12fff8,0xff88007f,0x3fe6003f,
    0x3ffee02f,0x405fff30,0xffb0fffb,0xff3017ab,0x7ffdc05f,0xff5fff10,
    0x07ffccdf,0x3fa5ffe8,0xfff8005f,0xffd00fff,0x002fff4b,0x7ff4bffd,
    0x97ffa005,0x3e205ffe,0xffffffff,0x7cc03fff,0x4c7ff75f,0xffa82fff,
    0xfffff11f,0x7fffffff,0x7fffffc4,0x33ffffff,0x7dc05fff,0x5fff30ff,
    0xb87ffdc0,0xd33f8eff,0x3ffe617b,0x43ffee02,0xffa9fff8,0x01fff33f,
    0x7e45fff3,0x6fc001ff,0xf983ffe8,0x3fff22ff,0x2fff9801,0x2007fff2,
    0x3f22fff9,0xfff101ff,0xffffffff,0x5ff9807f,0x7fcc7ff7,0x0fffc84f,
    0xfffffff1,0x447fffff,0xffffffff,0xff33ffff,0x7ffdc05f,0x405fff30,
    0xff30fffb,0x3ff61fbf,0x80bffe27,0xff10fffb,0x23fff63f,0xfc80fff9,
    0x27ffc47f,0xaafc5310,0x7ffc85ff,0x4027ffc4,0x7fc47ffc,0x7ffc804f,
    0x8827ffc4,0xffffffff,0x4c03ffff,0x47ff75ff,0x220efff9,0x3fe26ffe,
    0xffffffff,0x3ffe23ff,0xffffffff,0x05fff13f,0xf887ffdc,0x3fee02ff,
    0x3ffffa0f,0x223fffec,0x3f203fff,0x47ffe27f,0xff9dfff9,0x27ffc40f,
    0xff03fff4,0x7fd57e5f,0x427ffc45,0x7c407ffe,0x7ffe84ff,0x427ffc40,
    0xff107ffe,0xf300007f,0x98ffeebf,0xfccfffff,0x3fe22fff,0x7fc4003f,
    0x3fe2003f,0x9fff203f,0x3203fff8,0x7fec47ff,0x445fffff,0x3f203fff,
    0x87ffe27f,0xfffcfffc,0x7ffffd40,0x2fffffff,0xbf1dffb0,0xff50fff6,
    0xffffffff,0x7fd405ff,0xffffffff,0x3fea02ff,0xffffffff,0xfff882ff,
    0xff980003,0x7cc7ff75,0xfffffdff,0x1fffc45f,0x0fffe200,0x03fff880,
    0xff89fff2,0x1fff203f,0x1fffffec,0xd00ffff8,0x7ffc4dff,0x7fffff41,
    0x7ffff40f,0xffffffff,0xfffff305,0xe81fffdd,0xffffffff,0x3a05ffff,
    0xffffffff,0x3a05ffff,0xffffffff,0xf885ffff,0x980003ff,0x47ff75ff,
    0xffb8fff9,0xfff883ff,0x7ffc4003,0x7fffc003,0xf8dffd00,0xffd00fff,
    0x0267f20d,0x43bfffb0,0x224fffc8,0x7fd41fff,0x3e60ffff,0xffffffff,
    0x701fffff,0xffffffff,0xfffff983,0xffffffff,0xffff981f,0xffffffff,
    0xfff981ff,0xffffffff,0x7fc41fff,0xf980003f,0x4c7ff75f,0x80260fff,
    0x4003fff8,0x4003fff8,0x221dfffd,0x7ec4fffc,0x3f221dff,0x009f04ff,
    0x7fffffc4,0x20fffffe,0xfd81fff8,0x3f20ffff,0x3fe600ff,0x3ff2204f,
    0xffc80dff,0x3ffe600f,0x00fffc84,0x3213ffe6,0x3e600fff,0x7ffc44ff,
    0xff980003,0x7cc7ff75,0x3e2000ff,0x7c4003ff,0x7c4003ff,0xffefffff,
    0x7fc40fff,0xfffeffff,0x02f980ff,0x7ffffd40,0x442fffff,0xff881fff,
    0x3ffe0fff,0x07ffe805,0x7fc06f88,0x7ffe805f,0xe805fff8,0x5fff87ff,
    0x447ffe80,0xffffffff,0x203fffff,0x7ff75ff9,0x0007ffcc,0xfffffff1,
    0x27ffffff,0xfffffff8,0x23ffffff,0xfffffffa,0xff502fff,0xffffffff,
    0x4001f205,0xfffffed8,0x1fff880d,0x21ffff70,0xb802fffa,0x5f802fff,
    0x00bffea0,0xfa8bffee,0xffb802ff,0x0bffea2f,0x88bffee0,0xffffffff,
    0x203fffff,0x7ff75ff9,0x0007ffcc,0xfffffff1,0x27ffffff,0xfffffff8,
    0x43ffffff,0xfffffed8,0x7f6c400d,0x200dffff,0x3300004b,0x1fff8801,
    0x6c3fffa0,0xff1007ff,0x407900bf,0xf1007ffd,0x3ffecbff,0x25fff880,
    0xf1007ffd,0x7ffc4bff,0xffffffff,0x3fe603ff,0x7cc7ff75,0x3e2000ff,
    0xffffffff,0xff13ffff,0xffffffff,0x99807fff,0x02660000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x006664c0,0x200e6644,0xbff32ffb,0x22ccc880,
    0x54003ccb,0x3fe60001,0xc801bfe4,0x09ff51ff,0x3fe65ff9,0x4c026004,
    0x00026003,0x10013330,0x22000333,0x26620009,0x04402660,0xf700cc40,
    0x3ff600ff,0xdfffb004,0x997fdc01,0x7fdc05ff,0x00fffc45,0x0004ffe8,
    0x37fc9ff3,0x2a3ff900,0x2ffc84ff,0x6c409ff3,0x13effffe,0x3b6207fd,
    0x003effff,0x402fffdc,0x1001fff9,0x09fffff9,0x7fc3ff70,0x17ffe4c5,
    0x7dc0bfb0,0x4ff9807f,0xff7ff500,0x997fdc0b,0x37fc05ff,0xa805ff98,
    0x30001f37,0x037fc9ff,0x3ea3ff90,0x32ffc84f,0x3fee09ff,0xffffffff,
    0xffb80ffe,0xefffffff,0xfeff9801,0x5ffa803f,0xfffff980,0x7e404fff,
    0x449ff30f,0x81ffeeff,0x3ee01ff9,0x05fd807f,0x3ea9ff10,0x0013002f,
    0xf9803bee,0x547cc00f,0x00000007,0x20000000,0xfefffffd,0x81ffffff,
    0xfefffffd,0x401fffff,0x01ff96fe,0xe801ff50,0xffdbefff,0xb9bfa01f,
    0x23ff22ff,0x5fd85ff8,0x001554c0,0x93000000,0x07bffffd,0xf8800000,
    0x440007ff,0xf1007fff,0xffffffff,0xf981ffff,0xfff502ff,0x3f6a215f,
    0xfffa87ff,0x3ff660bf,0x82aa206f,0x353001aa,0x217ffd40,0xff106ffd,
    0xfb07fe49,0x3e637f4f,0x6c18801f,0x7ec03fff,0x7ffcc3ff,0x3ffff202,
    0x81efffff,0xf982fff9,0x7fe402ff,0x320002ff,0x8802ffff,0xffffffff,
    0x4c0fffff,0xffd02fff,0x3fff203f,0x0ffff43f,0x007fff90,0x40098000,
    0x0a886ffc,0x6ffdd554,0xd1affeaa,0x363fecdf,0x43fb005f,0x300ffff8,
    0xff30dfff,0x3fff605f,0xfffffeff,0x17ffcc1f,0x2017ffcc,0x005fffff,
    0x17ffffe0,0x3ffffe20,0xffffffff,0x417ffcc0,0xf704fffa,0x7d4dffff,
    0x7fc404ff,0x07ffcc7f,0x74c1fff4,0xe80cffff,0x3f6004ff,0xffffffff,
    0x4ffb4fff,0x07fe66fe,0x3ee17f40,0xfffd04ff,0x05fff303,0x417ffff5,
    0x4c6fffd9,0xff982fff,0x3ffea02f,0xa8001fff,0x01ffffff,0x001fffc4,
    0xb82fff98,0xffa80fff,0xf70fffcc,0xff9001ff,0x07ffcc1f,0x3ea1fff4,
    0x1effffff,0xb0027ffc,0xffffffff,0x3f29ffff,0x365ff88f,0x0ffe005f,
    0xf507fffa,0x3fe609ff,0x1ffff82f,0x98ffff20,0xff982fff,0x3bff602f,
    0xd8004fff,0x04fffeff,0x001fffc4,0xd82fff98,0x5ffa87ff,0x3f23fff7,
    0xfff7007f,0x407ffcc3,0x3fe23ffe,0x5fffcbff,0x1002fff4,0x933dff33,
    0x3e2137ff,0xf31fffff,0x3fe2003f,0x26fff984,0x2606fff8,0x7fcc2fff,
    0x7ffc404f,0x20bffe67,0xf102fff9,0x0fff95ff,0xcafff880,0x7fc407ff,
    0xff30003f,0x8dffd05f,0x3fea6ff9,0x00dffd2f,0xf98bffea,0x3ffe80ff,
    0xff11fff2,0x437fe43f,0x7c40cde9,0x203ff24f,0x361cfffa,0x3fe2005f,
    0x25fff904,0x2601fffc,0x7fdc2fff,0xfffc800f,0x305fff30,0x3ee05fff,
    0x2fff98ff,0x23ffee00,0x2202fff9,0x30003fff,0xffd05fff,0x5077fc4d,
    0x3ffa5fff,0x5fff5006,0x7407ffcc,0x13ffa3ff,0xffa93ff6,0x43ffec3f,
    0x1ffa3ff9,0x1ff98110,0xf302f6e2,0x3ffa20bf,0x405fff9f,0x7e42fff9,
    0xfff7007f,0x20bffe63,0xfd02fff9,0x02fff4bf,0x7f4bffd0,0x3ffe205f,
    0xffffffff,0x2fff983f,0xfd17ffd8,0x1fffb81f,0x2e00fffb,0x3fe61fff,
    0x23ffe80f,0xccccdfff,0x7ff45ffe,0x3fffecff,0x26bff262,0x0099eff9,
    0x7fe4bfb0,0x3fea0eff,0x3fffea06,0x7cc00fff,0x37fec2ff,0x32fffa80,
    0xff305fff,0x5fff305f,0x400fffe4,0x3f22fff9,0xfff101ff,0xffffffff,
    0x5fff307f,0xfd3fff90,0x1fff903f,0x2003ffee,0x3e60fffc,0x3ffe80ff,
    0xfffffff1,0xf98dffff,0x5fffffff,0x7fffffec,0x04ffffff,0xff51ff98,
    0x7dc9ff59,0x7ffec07f,0xff9802ff,0x037ff42f,0xf32fffa8,0xfff305ff,
    0x88fff905,0xfc804fff,0x27ffc47f,0xffffff88,0x83ffffff,0xfa82fff9,
    0xf02fffff,0x7ffd4fff,0xff897543,0x0fffcc7f,0xff89fffc,0xaaaaaacf,
    0xfffc882a,0xfffd83ff,0xffffffff,0x25fd804f,0x4dfd0ffc,0x7c407ffc,
    0xf3005fff,0x7ffd85ff,0x23fff700,0xf982fff9,0x7ffc42ff,0x407ffe84,
    0xfe84fff8,0x7fff107f,0x3ffe6000,0x5ffffd02,0x88fffee0,0x3fa0ffff,
    0x44fffcdf,0xff81fff9,0x013ffe3f,0x01dfea80,0xd99dff97,0x805999ff,
    0x9ff61ff9,0x3fff27fd,0x0fffdc00,0x42fff980,0xc800fffb,0xfff30fff,
    0x85fff305,0xfffffffa,0x202fffff,0xfffffffa,0x882fffff,0x30003fff,
    0x3ee05fff,0x7e40bfff,0xfffa86ff,0xffffb31f,0x7fff01ff,0x323fffb8,
    0x6ffc47ff,0x3ff6ee02,0x747ff300,0x2fec007f,0x27fd9ff6,0x5c00fffc,
    0xf3000fff,0xfffa85ff,0x3fffc404,0xf305fff3,0xfffe85ff,0xffffffff,
    0x3fffa05f,0xffffffff,0x3fff885f,0x5fff3000,0x3ffffee0,0xfffffddf,
    0xfffffb02,0x7fffffdd,0x2affffa0,0x263ffffd,0xfdabffff,0x5ff000ef,
    0xff87fee0,0x07fe6005,0x9ffa1ff9,0x5c00fffc,0xf3000fff,0xfff885ff,
    0x3fff201f,0x20bffe64,0x3e62fff9,0xffffffff,0x981fffff,0xffffffff,
    0x41ffffff,0x0003fff8,0xf505fff3,0xffffffff,0xc803dfff,0xffffffff,
    0x5c0cffff,0xddffffff,0x7ffd43ff,0x101fffff,0x40ffb755,0x0ffe67fd,
    0xfa85fd80,0x324ffbcf,0x7dc00fff,0xff3000ff,0xffff505f,0x6fffd887,
    0x4c17ffcc,0x3ff22fff,0x3ffe600f,0x00fffc84,0xf113ffe6,0x260007ff,
    0x6ff82fff,0xdfffffb3,0x7f6cc009,0xffecefff,0xfffeb87f,0xb307ff94,
    0x4039dfff,0x01bdfff8,0x2ffa9bfa,0x203ff300,0x00dffffd,0x03ffee00,
    0x817ffcc0,0xfefffffd,0x4c2fffff,0xff982fff,0x017ffe2f,0x3fe1fffa,
    0x7ffe805f,0x7fffffc4,0x3fffffff,0x4417ffcc,0x0019880d,0x64419880,
    0x002203ff,0x08000980,0x54c35500,0x0795000a,0x0001cca8,0x000fffb8,
    0x6405fff3,0xffffffff,0xfff981ef,0x52fff982,0xf7005fff,0x7ffd45ff,
    0x2fffb802,0x3fffffe2,0x3fffffff,0x0017ffcc,0x30000000,0x00000009,
    0x00000000,0x00000000,0x000fffb8,0x9805fff3,0x4efffffd,0x20bffe60,
    0xffb2fff9,0x3ffe200f,0x401fff65,0x3e25fff8,0xffffffff,0x7cc3ffff,
    0x000002ff,0x00000000,0x00000000,0x00000000,0x7fdc0000,0xfff3000f,
    0x00cc4005,0x982fff98,0x00002fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x09988000,0x4cc00266,
    0x99880009,0x39930009,0x99826600,0x40031001,0x02660998,0x00019988,
    0x88004ccc,0x4c400099,0x41330009,0x4ccc0198,0x04ccc000,0x01998800,
    0x000cc000,0x5ff70331,0x2a017fe6,0xd8006fff,0x37e005ff,0x5ff9806d,
    0xec881ffe,0x5c02efff,0x0bff33ff,0x0017ffcc,0x800fffa8,0x000ffff8,
    0x801dfff3,0x3ffa6ff8,0x03ffea00,0x00fffb80,0x305ffd80,0x9803bff9,
    0x1bf6004f,0x7fccbfee,0x7f7fc405,0x3fe2003f,0x7cf3000e,0xf2ffcc01,
    0x3ffa20ff,0x200fffff,0xbff33ffb,0x006ff980,0x2003ffd0,0x006ffefd,
    0x80bffdfd,0x3ffa6ff8,0x01ffdc00,0x000fff20,0x7f40bff3,0x7f406fdd,
    0x213fe000,0x9dd32eea,0xfc8efd80,0x1df9001f,0x3e67c400,0xdb2774c0,
    0x33fff60b,0x2a04fffc,0x09dd12ee,0x8003ff30,0xf7001ffa,0x807ff33f,
    0x2ffa8ffc,0xed93ba20,0x07fc800e,0x4006fc80,0xb9100efc,0x3fa80ffc,
    0x00bfe600,0x41551000,0x155001aa,0x03bb5000,0x7ffc0000,0x001fff23,
    0x006a6000,0x54003530,0x500aa61a,0x00155435,0x00aa8000,0x2000aa80,
    0xfd7000aa,0x2003740b,0x09800ffb,0x00013000,0x26600026,0x80130001,
    0x3f21fff8,0x4000005f,0x99800199,0x01998001,0x30001300,0x02600033,
    0x00000000,0xb80dffe8,0x37ec002f,0xbffffb70,0xfffdb801,0x7edc00df,
    0x6400dfff,0x03efffff,0x67ffff4c,0x10fff980,0xff305fff,0x07ffd01f,
    0x7dfffff9,0xfffffc80,0x7ffe403e,0x74c03eff,0x400cffff,0x3efffffc,
    0x7fffedc0,0x0fff980d,0xff33ffe8,0x07ffd01f,0xdf113fa2,0x209ff000,
    0xfffffffc,0xffff902f,0x3205ffff,0xffffffff,0xfffff702,0x3ea09fff,
    0x1effffff,0xfb87ffcc,0x1fff307f,0xfb87ffd0,0x4fffffff,0xffffff70,
    0x3fee09ff,0x04ffffff,0xfffffff5,0x3ffee03d,0x904fffff,0xffffffff,
    0x80fff985,0xfff33ffe,0x267ffd01,0xf917f25d,0x2ff98003,0xecffffc8,
    0x7e40ffff,0xfffecfff,0x7fffe40f,0x40ffffec,0xebacfff8,0x7fc40fff,
    0x5fffcbff,0xfe87ffcc,0x1fff304f,0x7c47ffd0,0xffebacff,0x67ffc40f,
    0x40fffeba,0xebacfff8,0x7fc40fff,0x5fffcbff,0xbacfff88,0x7e40fffe,
    0xfffecfff,0x03ffe60f,0x7fccfffa,0x23ffe80f,0x21ffcdfe,0xfb8005f9,
    0x67ffcc0f,0x997ffea0,0x3ea0cfff,0x3ffe65ff,0x17ffea0c,0xff98bd93,
    0x23ffe41f,0x3e61fff8,0x0dfff0ff,0x3a03ffe6,0x17b263ff,0xc983fff3,
    0x0fffcc5e,0xff317b26,0x47ffc83f,0x64c1fff8,0x0fffcc5e,0x5419fff3,
    0x3fe65fff,0x33ffe80f,0xffd01fff,0x1effecc7,0x360003f6,0x0fffb86f,
    0xf70fffd8,0xfffb01ff,0x203ffee1,0x5000fffd,0xffe85fff,0x264ffd84,
    0xfffb0fff,0x01fff309,0x2a007ffd,0x2a002fff,0x2a002fff,0x7ff42fff,
    0x004ffd84,0xfb8bffea,0xfffd80ff,0xd01fff30,0x3ffe67ff,0x883ffe80,
    0xd904fa80,0x3613fe03,0xfff506ff,0x541bff63,0xdffb1fff,0x407ffea0,
    0xfffffec9,0x666fffc2,0x265ffecc,0xffd10fff,0x0fff989f,0x9303ffe8,
    0x05fffffd,0x7ffff64c,0x3fb2602f,0x7fc2ffff,0xfeccccdf,0x3fb2605f,
    0x3f62ffff,0x3fff506f,0x3a03ffe6,0x1fff33ff,0x4007ffd0,0x2ffc80fe,
    0xff82ff88,0x5fff304f,0x7cc13ffe,0x09fff2ff,0xf70bffe6,0xfffdffff,
    0x7ffffc45,0x26ffffff,0x3e20fff9,0x3fe62fff,0x43ffe80f,0xfefffffb,
    0xfffb82ff,0x82fffeff,0xfefffffb,0x3ffe22ff,0xffffffff,0xfffffb86,
    0x3fe2fffe,0x5fff304f,0x3a03ffe6,0x1fff33ff,0x2007ffd0,0xfffa83fb,
    0xd80ffa82,0xfff506ff,0x541bff63,0xdffb1fff,0xb87ffea0,0xff0adfff,
    0x67ffc45f,0x2aaaaaaa,0xf103ffe6,0x7ffccfff,0x2e3fff81,0xff0adfff,
    0xdfffb85f,0xb85fff0a,0xff0adfff,0x67ffc45f,0x2aaaaaaa,0x856fffdc,
    0x3ff62fff,0x23fff506,0xff81fff9,0x03fff33f,0xf1007fff,0x5fddf30d,
    0x3ee0ff90,0x7ffd80ff,0x3603ffee,0x3ffee7ff,0x747ffd80,0x7ffc44ff,
    0x0027ffc2,0xf301fff3,0x3ffe63ff,0x3a3fff81,0x7ffc44ff,0x2227ff42,
    0x7ff42fff,0x217ffc44,0x74004fff,0x7ffc44ff,0x203ffee2,0x3fe67ffd,
    0x33fff81f,0xfff03fff,0x885f9007,0xe82fe8fe,0x9fff305f,0x32fffd41,
    0x7d419fff,0x3ffe65ff,0x17ffea0c,0xffb87fff,0x23ffe42f,0x3e62dff8,
    0x7fc460ff,0x70fffe1f,0x7ffc7fff,0x217ffdc3,0x7fdc3fff,0x21fffc2f,
    0x7e42fffb,0x16ffc47f,0xff70fffe,0x67ffcc5f,0xf17ffea0,0xfffb87ff,
    0xf70fffe3,0x5f8807ff,0x85fd1fe8,0x3f603ff8,0xfffecfff,0x7fffec0f,
    0x40ffffec,0xfecffffd,0x7fe40fff,0xffffc9af,0x5ffffcc2,0x260effda,
    0xcfe98fff,0x7ff46ffd,0xffffdabf,0x26bfff23,0x642ffffc,0xffc9afff,
    0x7ffe42ff,0x2ffffc9a,0x55ffffcc,0x7e40effd,0xfffc9aff,0x7fffec2f,
    0x40ffffec,0xfdabfffe,0x3ffa3fff,0xffffdabf,0x260fec03,0x4fffffff,
    0xfb007fea,0x3fffffff,0x3fffff60,0xffb01fff,0x03ffffff,0xfffffff3,
    0xff509ffd,0x83ffffff,0xffa8fff9,0x7dc3ffff,0xfddfffff,0x3fffe63f,
    0x44ffefff,0xfffffff9,0x7fcc4ffe,0xffefffff,0xfffffa84,0xff981fff,
    0xffefffff,0xfffffd84,0xffb81fff,0xffddffff,0x3ffffee3,0x203ffddf,
    0xeee984f9,0x3f23effe,0xfffb7007,0xfdb801bf,0x5c00dfff,0x00dffffd,
    0x237fff6a,0xfb306ffb,0xf3039dff,0x3ffaa1ff,0xfffd702d,0xb50fff29,
    0xff71bfff,0xbfffb50d,0xb50dff71,0xff71bfff,0x3fff660d,0x3f6a01ce,
    0x6ffb8dff,0xbffffb70,0x7fff5c01,0xeb87ff94,0x7ff94fff,0xe8007f40,
    0x002ff42f,0x0980004c,0x80013000,0x04c00018,0x40022000,0x01880008,
    0x20003100,0x04c00018,0x00006200,0x00880013,0x88000880,0x072e002c,
    0x00000355,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01880000,0x03100130,0x31000260,0x33300001,
    0x00188001,0x00266000,0x880004c0,0x03100001,0x00000000,0x09800000,
    0x00131000,0x01fea000,0xff500bf2,0x1005f900,0x05dffff9,0x03bfee00,
    0x3ffffae0,0x7edc00cf,0x09fd01de,0x3fffb260,0xfe9803df,0x5ffb8dff,
    0x3ffb2a20,0xc8801bdf,0x4403effe,0x401defdb,0x00cefec8,0xffffed88,
    0xffec801d,0x6e4402ef,0xffc882df,0x1037c407,0xf880fff9,0xffff9006,
    0xf0005fff,0xfd8801ff,0xffffffff,0xfffffb02,0x00df907f,0xfffffff9,
    0x3ea03dff,0xfdefffff,0xfffd305f,0x09fffd9b,0x7fffffcc,0xffe980ef,
    0xf503ffff,0x05ffffff,0x7fffffdc,0xfb104fff,0x07ffffff,0x3fffffea,
    0x1ffffa1f,0x7f403fb0,0x0fec07ff,0x4dfffc40,0x5c007ffc,0xffd801ff,
    0xffffeeff,0x7fffdc0f,0x7d41ffff,0x3fff600f,0xfffffeff,0xdffff81f,
    0x85ffffeb,0xa881cffa,0x7f440efe,0x4ffffeff,0xffeffff8,0x7ffc40ff,
    0x81ffffff,0xfffffffc,0xfd82ffff,0xffffcdff,0x7ffffcc1,0x35b0ffff,
    0x02fcc0ff,0x981fe6b6,0xdff7005f,0x2001ffe8,0xff8801a9,0x3ff220cf,
    0x8a7ff44f,0x7fc45ffe,0x7ffff502,0x37ffecc1,0xf70bffee,0x3ff98bff,
    0x545fe880,0x3ff22fff,0x88fffd47,0x7fec4ffe,0x8bfff51e,0x262ffff9,
    0x7c46fffc,0x3ffe23ff,0x98f7fec4,0x3fcc2fff,0x26001fd0,0x003fa07f,
    0xf98fffdc,0x04c000ff,0x407ffd40,0x3ea6fff8,0x3ffea0ff,0xff827f40,
    0x3ff201ff,0x21fff63f,0x7f45fff8,0x7bddddb3,0xff717f44,0x20fff88d,
    0x7fdc4feb,0x3227ffc7,0x3ffa0fff,0x7fff900f,0x7643ffd4,0x07ffe63c,
    0x7f9839b9,0x4c009f50,0x009f507f,0x7477ffc4,0xfd3005ff,0x26019fff,
    0x33304fff,0x2237fe43,0x37e42fff,0x2027ffcc,0x3fa7fff8,0x4bffd05f,
    0x3bbfe5f8,0x93e24ffe,0x7fcc7ff9,0xbffb0207,0x2a17ffc4,0xfff32fff,
    0x04dec409,0x5c00fff3,0x7cc007ff,0x4001fd07,0x01fd07f9,0xfffffb80,
    0xffa800ef,0x81efffff,0x1ceffff8,0xf85ffc80,0x07fd43ff,0x2003ffee,
    0xfff0fffc,0xa97ff609,0xff31fe3f,0x5fffc7e8,0x805ffd98,0x223fffa8,
    0x7fc41fff,0x03fff53f,0x03ffe200,0xcab7fe40,0x21fe601b,0x7cc003fb,
    0x8003fb87,0x05fffff8,0x97ffff10,0x3ee0bfff,0x2dffffff,0xff0bffb0,
    0x42ff887f,0xf7007ffc,0x1bffa3ff,0x1fb2fffc,0x91be63fc,0x7fff443f,
    0xf9805fff,0xfff83fff,0xca7ffd43,0xa8000fff,0xaaacfffa,0xfbbffb00,
    0xf301bfff,0x8006f88f,0x037c47f9,0x7ffff440,0xfff9002f,0x701fff88,
    0xffffffff,0x85ffe83f,0x4ff84ffe,0xa8037fec,0xfffb2fff,0x25fff981,
    0x6667fc6f,0x21fd43ff,0x0ffffffa,0x0efffb80,0xb10effd8,0x3ff6bfff,
    0xfffd0007,0x205fffff,0xfffffffe,0xc83306ff,0x00de542f,0x902fc833,
    0xffff983d,0x1570ffff,0xfb09ffd0,0x7f64409f,0x22ffffff,0xffe84ffe,
    0x7f46fd84,0xfff5006f,0x437ffea5,0x3e5fffea,0x77ffffc6,0x3ea3f981,
    0x2fffffff,0x7fff6dc0,0x6ffffc42,0xfb5fffff,0x3fa000ff,0x2fffffff,
    0x23dfffd0,0x9802fffb,0x3fffe25f,0x0bf3004f,0xfff0bff2,0x1dfff73d,
    0xfff83fff,0xffeccccd,0xffb71005,0x2fff4dff,0x7dc27ffc,0x01fff60f,
    0xfd0fffdc,0xffffdfff,0xff07ecbf,0x3f20ffa6,0x227fff51,0x7000fffc,
    0xffa81fff,0x4ffeefff,0x0001fff9,0x57fff955,0x3fffa015,0x402ffec2,
    0x237f21fd,0xfd800ffa,0x22fffa81,0x3f20fffa,0x447ffeff,0xffffffff,
    0x01106fff,0x6c3fff62,0x3fff85ff,0x3ee1ff98,0xffc800ff,0x3fffa20f,
    0x25ffdcff,0xf99fe2fb,0xff93f40f,0x007fff0b,0x64c1fffc,0x3ffe8cee,
    0xb803fff7,0x00fff501,0xf703fff6,0x44fa80ff,0x01ff31a8,0xef984fa8,
    0x17ff62fe,0x13fffff6,0x5559fff1,0xfe855555,0x3ffe605f,0xf88dff92,
    0x47ff02ff,0x4404fffa,0xdb887fff,0x49ffb2df,0xf91fe4f9,0xffd2fc4b,
    0x00bffb07,0xf002ffec,0x3ffe65ff,0x0fbfe603,0x3200bff9,0x7fd40fff,
    0x3007f407,0x1fd00bfd,0x2fe8fe88,0x3a21bff6,0xff80ffff,0x7fec004f,
    0x3fff701f,0xff31ffee,0x897f603f,0x3201ffff,0x20024fff,0x97f43ffd,
    0x457fc47f,0x17ffa3fe,0xffd93ffa,0x225fff84,0x7ffd41a9,0x403fffa1,
    0x3e22fffd,0xff5001ff,0x06ffc85f,0xff980fee,0x41fdc00e,0x545fd1fd,
    0x7f4c1fff,0xffc85fff,0x216ffc47,0x222efffb,0x3e27fffa,0x1bff63ff,
    0x7fd47fb8,0x7fec43ff,0x1777dc6f,0xf30bffe2,0x13f6005f,0x7cc1fff9,
    0x3fff63ff,0xc8fffee0,0x3ff626ff,0x0f7ffd45,0x44ffff93,0x41aacffe,
    0x86fffc09,0xf104ffe8,0x02ffd40d,0x7fcc37c4,0x3e4fffff,0xffdcefff,
    0x21efffff,0xdabffff9,0xffe80eff,0xffffefff,0x6fffec4f,0x2602fffd,
    0x7ffec1ff,0xfffffeff,0x7fffcc2f,0x0fffecac,0x300bff98,0xfff309fb,
    0x1ffffb9f,0x76ffffcc,0x7fd46fff,0x1ffffcef,0xefffffd8,0x362fffff,
    0xffffffff,0x7fdc4ffe,0x0ffffdff,0x3ea05f90,0x900aaaef,0xdddd305f,
    0x7fd47dff,0xcfffffff,0x7d40fffe,0x1fffffff,0xffffff10,0xd109ffff,
    0x0bffffff,0xff907ff0,0xdfffffff,0x3ffff203,0x203fffff,0xdbcefff9,
    0x3ee04fff,0x2fffffff,0xffffffb8,0xfffd81ff,0x3203ffff,0xffffffff,
    0x7fffd43f,0xffffffff,0x7ffffec0,0x0df103ff,0x7fffffec,0x2006f881,
    0xffd882fe,0xfb10dfff,0x3fff6605,0xffb801ce,0x202effff,0x04ffffd8,
    0x3660bfb0,0x04efffff,0xfffffeb8,0xfdb8802e,0x802cefff,0x1effffea,
    0x3ffffaa0,0x3ff6e00d,0xfd9801ef,0xd01dffff,0xffd9739f,0xff703dff,
    0x65403dff,0x33333201,0x01ca80cc,0x310072e0,0x09800c01,0x01331000,
    0x98001300,0x0198802a,0x00026600,0x20001530,0x22000998,0x00c40019,
    0x10013100,0x88009880,0x00000009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x01880000,0x00262000,
    0x00000000,0x85ee4400,0x999700eb,0x40399999,0x00440018,0xf1002666,
    0x010005ff,0x980ccc40,0x10998819,0xfff50133,0x20005913,0xfff95ffd,
    0x00bffe20,0xa8837fec,0x1bdfffec,0x3fb6e200,0x4401dfff,0x003effec,
    0xf100dff3,0x7ff401ff,0x3e06feff,0xffffffff,0xf305f702,0x3fffaedf,
    0x80dff903,0x5002fff8,0x019dfffb,0x320bffe2,0x7fe44fff,0x2609ff52,
    0x002efffe,0x3e6bffb0,0x7ffb82ff,0x21bff600,0xecdfffe9,0xfa804fff,
    0xffffffff,0xffff304f,0x4403dfff,0xfd806fff,0x3bf100ff,0x2205ffd7,
    0xffffffff,0x82ffe82f,0xfffcfff9,0xff905fff,0x17ffc405,0x7ffffec0,
    0xffc82fff,0xffeff983,0x7d4bff22,0xfffb304f,0x7fec0003,0x3a13ffa5,
    0x3f6004ff,0x0e7fd46f,0x8077f544,0xfffffffb,0x443fffff,0xffffffff,
    0x3fff606f,0x7fffdc06,0x80102600,0xccccfff9,0x2fff81cc,0xcfffff98,
    0xb02ffffc,0x0aaa80df,0x67fffec0,0x221ffffd,0x5fe884ff,0x3bae1ffb,
    0xf907dd31,0x001dff5b,0xfb97ff60,0x0fffc47f,0x4cdffb00,0xfe8803ff,
    0xbffff985,0x3ffff260,0x44bffee0,0x7542fffb,0x2206ffff,0x800fffff,
    0xffb80199,0x17ffc005,0x1077ffcc,0x1540dfff,0x9802aaa0,0x7f444fff,
    0x4c0aa26f,0x035510aa,0xff50d400,0x6c13100b,0x3ffe25ff,0x001bfee2,
    0x1ff4dffb,0x447dfd91,0x7ffec2fe,0x8ffff201,0xfff86ffd,0x3fffff64,
    0x3fff606f,0x3ff200ff,0xf903efff,0x3ff2007f,0x3e65ffff,0xfffc84ff,
    0x3ffa0000,0x41ffee02,0x00007ffa,0xdfb50000,0x2605ffd9,0xfd8dfffe,
    0xd27fec5f,0xfd8007ff,0x744bf16f,0x264ffdff,0x02fffc4f,0xaa826f22,
    0x24ffe82c,0x6ffccfff,0xfffbff70,0x3fffee01,0xfe84ffff,0x80cefddf,
    0x5ffffffc,0x2a0bffe6,0x7fcc1fff,0x1fff101f,0xa80d4c40,0x3ffe67ff,
    0x03fff301,0x6c07ffe6,0xffffffff,0x7fffd40f,0x45ffefff,0xfff17ffa,
    0x6ffd8001,0x127ec5f5,0xf33f43ff,0x000003ff,0xdf8bffe6,0xf10dff90,
    0x01fff3df,0xd759fff1,0xfff81fff,0x42ffffff,0x4eefffeb,0x2203ffe6,
    0x7fcc2fff,0x0fffb01f,0x5ffe8800,0x4c07ffe6,0xff301fff,0xffff903f,
    0x47fffffd,0xebdffff8,0xff85ffff,0x005ffbaf,0x1f96ffd8,0x90220ffc,
    0x03ffee3f,0x7fe40000,0xdff90a0f,0xff13ffd0,0x8bd9301f,0x3e61fff9,
    0xffffffff,0x82fff80f,0xf981fff9,0x7ffcc1ff,0x02fffd81,0x3fffa200,
    0x407ffe61,0xf301fff9,0xfff983ff,0xbfff911d,0x2e17ffdc,0xffc85fff,
    0x8002ffec,0x4cdf6ffd,0x27f5007f,0x99707ffd,0x70099999,0xfc807fff,
    0x8a7fdc6f,0x54000fff,0x3fa62fff,0x17ffea3f,0x3e60bffe,0xfffa83ff,
    0x10fffcc0,0x0005fffd,0x217fff44,0xf301fff9,0x3fe603ff,0x0fffe41f,
    0xffb3fff4,0x217ffe0f,0x0ffffff9,0xf6ffd800,0xa8037ccd,0x20fffb3f,
    0x7ffffffe,0x037ffdc0,0xff337fe4,0x007ffc4d,0x3ffffb26,0x3ffa002f,
    0x982fff87,0x3a21efff,0xfff986ff,0x00ffff61,0x1fffe880,0x301fff98,
    0x3e603fff,0x37ff41ff,0xfd0fffc8,0x17ffa0bf,0x02fffff4,0xfb6ffd80,
    0x3307fe21,0xfff71fc8,0xfffffd01,0x7ffe40ff,0x6ffc800e,0xff887ffa,
    0xffff700f,0x005fffdf,0x3e07ffdc,0xfff982ff,0xffffcdff,0x51fff982,
    0x80005fff,0xf301fffb,0x3fe603ff,0x3fff301f,0xf305fff8,0x13ffe5ff,
    0xfb82ffec,0xb0002fff,0xe8beedff,0xe87fe23f,0x207ffe67,0x7ffeaaaa,
    0x01dfff90,0x7ddbff20,0xffdcccff,0x3fee1ccf,0x5fff0adf,0x43ffdc00,
    0xff982fff,0xffffffdf,0x23fff305,0x55105ffc,0x03ffd803,0x4c07ffe6,
    0xff301fff,0x06ffe83f,0x3fa1fff7,0x0bfff05f,0xa81fffe2,0x5ffd86ec,
    0x6ffcc9f3,0x17e24fec,0xf900bfff,0xdfff70ff,0xb7fe4001,0xfffffffb,
    0x3a2fffff,0x7ffc44ff,0x3617bae2,0x2fff85ff,0xfb8fff98,0x3e603fff,
    0x0bff91ff,0xfd01bff2,0x7ffcc03f,0x03fff301,0xf907ffe6,0xfffb01ff,
    0x7cc3ffec,0xfff105ff,0x07ffd409,0x2fe93ffa,0x893fffa6,0x7ffec3fe,
    0x23ffec02,0x000efffa,0xffbb7fe4,0xffffffff,0x0fffe2ff,0x7dc5fff7,
    0x3ffe21ff,0x983fff82,0x00260fff,0x7d47ffe6,0x7ffc41ff,0x00555404,
    0x2603fff3,0xff301fff,0xcfffa83f,0xb97ffea0,0x7fe42fff,0x3fff905f,
    0x86fffcc0,0x3e63fffa,0x3a20c42f,0xffff984f,0x3ffaa20b,0x3fffe27f,
    0x0099999a,0x554dbff2,0xfffbaaaa,0x3fff20ab,0x2ffffc9a,0x337fffe2,
    0xfff07fff,0x7ffcc99d,0xfff98000,0x33bfffa1,0x400ffffe,0x3e601aaa,
    0xfff301ff,0x07ffe603,0x3b3ffff6,0x7f40ffff,0xffffbcff,0x3ffaf25f,
    0xfffe805f,0x40ffffff,0xd300bff9,0x7ffdc09f,0xffffeeff,0x3ffee5ff,
    0x4fffffff,0x201bff20,0xf980fff8,0xfeffffff,0x7fffd44f,0xfb01ffff,
    0x7fccdfff,0xff98000f,0x3fffa21f,0x800effff,0x3e603fff,0xfff301ff,
    0x07ffe603,0x3fffffa2,0xffa82fff,0xffceffff,0x3fffffa5,0xffff9801,
    0xf301ffff,0xffb79dff,0xfff5009f,0xffffffff,0xfffffe85,0x204fffff,
    0xf8806ffc,0xffb500ff,0x0dff71bf,0x1bffffd3,0x37fff440,0x0001fff3,
    0xd703fff3,0x0019bfff,0xf980fffe,0xfff301ff,0x07ffe603,0xdfffffb8,
    0x3fffa600,0x365ffb8d,0x2001efff,0x1cefffe9,0x7ffedc40,0x22002cef,
    0xdefffeca,0xfffff983,0x04ffffff,0x2201bff2,0x0c400fff,0x00198800,
    0x3fe604c4,0xff98000f,0x8000401f,0x3e603fff,0xfff301ff,0x07ffe603,
    0x10002620,0x02662003,0x00098800,0x00002a60,0x000004c4,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x8b76a000,0x0fffa84c,0x2004c000,0x2e02fff9,0x06200fff,
    0x3fffffe2,0x0fffffff,0x8007fff1,0xfffffff8,0x44001cde,0xf3007fff,
    0x3ffe65ff,0x001fff51,0x7fcd7ff2,0x03fff31f,0x3ffffe20,0x81ceefff,
    0xff107ffd,0x0fffe29f,0x21ffffc8,0xdff77ffd,0xdfffff10,0x1fff509f,
    0xfffd1000,0x26bff73d,0x3ee02fff,0xffea80ff,0x3fffe26f,0xffffffff,
    0x07fff10f,0xfffff880,0x04ffffff,0x0bffff20,0x4cbffe60,0xfff51fff,
    0x57ff2001,0xff31fff9,0x3fe2003f,0xffffffff,0x7ffcc3ff,0x10fffc83,
    0x3ee07fff,0x7fec2fff,0xf50dff77,0x03dff957,0x8001fff5,0xfffffff9,
    0xfff35ffc,0x07ffdc05,0x9bffffe6,0xfffffff8,0x10ffffff,0x88007fff,
    0xffffffff,0xf006ffff,0x300bffff,0x3fe65fff,0x01fff51f,0x7cd7ff20,
    0x3fff31ff,0x3fffe200,0xffffffff,0x237fec2f,0x3e24fff8,0xfffa83ff,
    0x77ffd82f,0x30310dff,0x007ffd40,0x2fbfffa0,0xf35ffffe,0x7fdc05ff,
    0x67ffe40f,0x0fffe22a,0x9bfff100,0x22057999,0x73313fff,0xa805ffff,
    0x01ffffff,0xf997ffcc,0x1fff51ff,0x98aaa600,0x07ffe619,0x41fffc40,
    0x4c5fffb8,0x3ff22fff,0x0fffe20f,0x205ffff5,0x55537ffd,0xfa801300,
    0xa80260ff,0x7fdc3fff,0x05fff35f,0x3607ffdc,0xfff105ff,0xfff88007,
    0xefffffff,0x81fffc41,0x200ffff8,0x4fffeffd,0x997ffcc0,0xfff51fff,
    0xf3000001,0x880c43ff,0x3f603fff,0x16ffe86f,0xff889fff,0x3fffe63f,
    0x01fff602,0xdffffdb8,0xc8fffa80,0xfc83ffff,0x5fff886f,0x5c05fff3,
    0x7fec0fff,0x07fff104,0xfffff880,0x2fffffff,0xb80fffe2,0xff102fff,
    0x80fff95f,0xff32fff9,0x83ffea3f,0x200efff9,0xff31fff9,0xbfffd53f,
    0x01fffc41,0xff50bffb,0x81fff73f,0xff33fff8,0xffc807ff,0xffff9006,
    0xfa85ffff,0xfffffeff,0x82ffec5f,0xfff35ffe,0x87ffdc05,0xfffffffd,
    0x00fffe21,0x559fff10,0x4dfffd99,0x2203fff8,0xff703fff,0x05fff31f,
    0xf997ffcc,0x1fff51ff,0x003bffe6,0x3e63fff3,0xfffffdff,0x0fffe26f,
    0xe817ffd4,0x84ffedff,0xff8bfff8,0xffb803ff,0xffffc805,0x20ffffec,
    0xccfffffa,0x3fa2ffff,0x2bff904f,0x2e02fff9,0xfffb0fff,0x7c43ffff,
    0xffffffff,0x3fe23fff,0x1fffb03f,0x880fffe2,0xffd04fff,0x302fff4b,
    0x3fe65fff,0x11fff51f,0x3001dffd,0x3fe63fff,0xffebbeff,0xddfff11f,
    0x9fffdddd,0xfffb9988,0x2219afff,0xfffecfff,0x4ffb801f,0x067ffcc0,
    0x7d4bfff5,0x3fa20eff,0x417ff66f,0xfff35ffe,0x87ffdc05,0xeeffffec,
    0x3ffffe20,0x3fffffff,0x4c0fffe2,0xfff12fff,0x85fff807,0x3f22fff9,
    0xfff301ff,0x547ffe65,0xfffe8fff,0x3fff3000,0x883bffe6,0xfff13fff,
    0xffffffff,0xfffff50b,0x3fffffff,0x3fffffe2,0xfa806fff,0x7ffdc04f,
    0x50fffd80,0xff707fff,0x21bff21f,0xff35fff9,0x7ffdc05f,0x8827fec0,
    0xffffffff,0x3e23ffff,0xfff503ff,0x00fffe27,0xff90dfff,0x04fff88f,
    0x3e65fff3,0xdfff51ff,0x2a603fff,0x23fff32a,0xfe83fff9,0xfffff13f,
    0xdfffffff,0x7ffffd43,0x1fffffff,0xdffffff1,0xf9807fff,0x6c55533f,
    0xfff506ff,0x207ffea3,0xff51fff9,0x5fffc87f,0x5c05fff1,0x7fec0fff,
    0x07fff104,0x03fff880,0x3e23fffb,0x7ffc03ff,0x427ffc44,0xff307ffe,
    0x47ffe65f,0xfffffffa,0x26bff902,0xfff31fff,0x229ffd05,0x9999cfff,
    0x10ffffb9,0xbffd5555,0x3e215555,0xff8bffff,0x3fe200ff,0x7fcdff72,
    0x5fff304f,0x2603ffea,0x3ffa1fff,0xfffffbef,0x407fff15,0xffd87ffc,
    0x07fff104,0xacfff880,0x7fffebaa,0x880fffe2,0x7fd43fff,0xffffffff,
    0xfff982ff,0x2a3fff32,0x6fffffff,0x3e6bff90,0x3fff31ff,0x3e29ffd0,
    0x3fe603ff,0x13ffa02f,0x24ffff88,0x7c06fffb,0x6cdff71f,0xfff506ff,
    0x20bffea3,0x3e61fffa,0xfeffffff,0x07fff15f,0x7ec3ffe4,0x7fff104f,
    0xffff8800,0xffffffff,0x80fffe22,0x7f42fffa,0xffffffff,0xff985fff,
    0x23fff32f,0xffbffffa,0x35ffc83f,0x3fe63fff,0x14ffe81f,0xff807fff,
    0xfffff55f,0x3fffffff,0x3a13ffe2,0x3fe03fff,0x7dcdff71,0x7ffd80ff,
    0x360fffea,0xffe987ff,0x25ffd8df,0xfd00ffff,0x09ffb0df,0x000fffe2,
    0xfffffff1,0xf885ffff,0x3ffa03ff,0x3fffe60f,0xffffffff,0x7ffcc1ff,
    0x2a3fff32,0xfff73fff,0x3e69f101,0x3fff31ff,0x3e29ffd0,0x3fe203ff,
    0xfffff55f,0x3fffffff,0x260fffe2,0x5500ffff,0x19fff300,0xf52fffd4,
    0x7fc41dff,0xfb06206f,0x6fffecbf,0x13fff221,0x7c413ff6,0x7c4003ff,
    0xabcccdff,0x87fff102,0x42fffe98,0x2600fffc,0x7fcc4fff,0x23fff32f,
    0x3fe0fffa,0xf32fb84f,0x3ffe63ff,0xf14ffe81,0x3fa607ff,0x999933ff,
    0x9999dfff,0x40fffe21,0xa985fffd,0x4177712a,0xfecffffd,0x3fea0fff,
    0xfffccfff,0x7fec001f,0x3ffffe25,0x0fffffef,0xf104ffd8,0xffffffff,
    0x3e27ffff,0x7c4003ff,0xffffffff,0xfff85fff,0x47ffe805,0xff32fff9,
    0x83ffea3f,0x3f21fffa,0x4c7ffe66,0xffe81fff,0xffffff14,0xdfffffff,
    0x027ff401,0x2207fff1,0x7e42ffff,0x83fff16f,0xfffffffd,0x677fd41f,
    0x04ffffff,0x545ffd80,0xffffffff,0x9ffb02ff,0x3ffffe20,0xffffffff,
    0x007fff13,0xffffff88,0x40dfffff,0xb802fffa,0x3fe62fff,0x23fff32f,
    0x7f40fffa,0xff312e6f,0x07ffe63f,0x7fc53ffa,0xffffffff,0x7f401fff,
    0x3ffe204f,0x3fffee03,0x7c5bff20,0xffdb81ff,0xffa80dff,0x07ffff76,
    0x217ff600,0xfffffed8,0x13ff600d,0x7fffffc4,0x3fffffff,0x8007fff1,
    0xfffffff8,0xffb01cee,0x3ffe200f,0x4cbffe65,0xfff51fff,0x02fff981,
    0x7cc7ffe6,0x4ffe81ff,0xfffffff1,0x0017bfff,0x7c409ffd,0x7ff403ff,
    0x45bff25f,0x04c01fff,0x00011000,0x9805ffd8,0x9ffb0009,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x22000000,0xffffffff,0xdd10ffff,0x6664005d,0xcccccccc,0x3fffff33,
    0x3ffffee0,0x409fff10,0xff90fff9,0x21fff30b,0xfffffff8,0xff881dee,
    0x3ffee03f,0x7ffffc40,0x201cdeff,0xfffffffc,0x363fffff,0x7ec03fff,
    0xffff13ff,0x9bffea01,0xff506ffe,0xfff103ff,0x007fff47,0x100fffe6,
    0xfffff881,0x0fffffff,0x4007fff1,0xffffffff,0xfff36fff,0x3ff609ff,
    0xfff10fff,0x3ffe603f,0xf30bff90,0x3ffe21ff,0xffffffff,0x01fffc44,
    0xf881fff7,0xffffffff,0xfff904ff,0xffffffff,0x7fffc47f,0x8dfff300,
    0xfd05fffb,0x7ffe43ff,0x3ffffc80,0x2e1fffa8,0x7e402fff,0x1dff50ff,
    0x7fc4bffd,0xffffffff,0x7fff10ff,0x7ffffc00,0x36ffffff,0x20dfffff,
    0x10ffffff,0x260dffff,0xbff90fff,0x221fff30,0xffffffff,0x3e24ffff,
    0x3fee03ff,0x7fffc40f,0xffffffff,0xfffffc86,0x3fffffff,0xe827ffdc,
    0xffe81fff,0x27ffe42f,0x3a0bffea,0xfb85ffff,0x2fffc47f,0xfa9bffe0,
    0x24fffeef,0x2003fff8,0x2003fff8,0xbaaaaaaa,0xfff32fff,0xff981fff,
    0xff10ffff,0xff307fff,0x217ff21f,0xff10fff9,0x3f26627f,0x3ffe27ff,
    0x03ffee03,0x2627fff1,0x02ffffb9,0x077ffe40,0x2a0ffff4,0xff304fff,
    0x37ffc4df,0x221fffc4,0xd87fffff,0xfffd86ff,0x47fff300,0xfefffffa,
    0x00fffe22,0x003fff88,0x4c9ff900,0x42ffefff,0x0fffeffb,0x1ffffff1,
    0xf90fff98,0x1fff30bf,0x640fffe2,0xfff11fff,0x07ffdc07,0x440fffe2,
    0x2e007fff,0xf300ffff,0x7ffc4dff,0xa7ffe406,0xfd01fffd,0xffffa8bf,
    0x27ffc0ff,0xc81fffd4,0x3fea0fff,0xff8810ff,0x3fe2003f,0xf980003f,
    0x67ffcc6f,0x67fec4ff,0xfff10fff,0xff98bfff,0x30bff90f,0x3fe21fff,
    0x7fff303f,0xb80fffe2,0x7fc40fff,0x3ffee03f,0xffff9802,0x97ffe402,
    0xe801fffc,0x4fffcfff,0xf91fff20,0x4c7ffd9f,0xff882fff,0x8bffd05f,
    0x2203fffa,0x22003fff,0x80003fff,0x7fcc1ffd,0x7fc6ffaf,0xf10fffaf,
    0x45fffdff,0xff90fff9,0x21fff50d,0xf503fff8,0x3ffe25ff,0x03ffee03,
    0x4407fff1,0x7c403fff,0xe8803fff,0x5fff9fff,0xfffff300,0x7fd401ff,
    0x32bffa0f,0x3ffea5ff,0x81fffb00,0x7d42fff9,0x3fe201ff,0xccccccdf,
    0x01fffc44,0x213fea00,0xfff8fff9,0xff3dff30,0x2bffe21f,0x3fe66fff,
    0x50dff90f,0x3fe21fff,0xffff983f,0xdddfff10,0xfffddddd,0x5fffd4c1,
    0x4fff8199,0x02ffff40,0xffffff50,0x7fe4001f,0x7c402fff,0x1fff12ff,
    0x7fe4fff5,0x0fffea06,0xfa81fff9,0x3fe200ff,0xffffffff,0x01fffc47,
    0x207ffa00,0xffd8fff9,0xff39ff72,0x27ffe21f,0xff33fffa,0x21fff21f,
    0xff10fffb,0xfffddddf,0x7ffc4dff,0xffffffff,0x3ffe0fff,0x41ffffff,
    0x3f205fff,0xfd8006ff,0x4002ffff,0x005ffff8,0x3fee9fff,0x3a1fff16,
    0x7ffc04ff,0x542fff45,0x3e200fff,0xffffffff,0x1fffc47f,0x0dff7000,
    0x3ee3ffe6,0xf35ffb5f,0x3ffe21ff,0xf31fffb1,0x3fff21ff,0x43fffe24,
    0xfffffff8,0x220effff,0xffffffff,0x20ffffff,0xffffffff,0x837ff41f,
    0x000ffffb,0x05ffff88,0xfffffa80,0xb6ffd800,0x5fff49ff,0x6402fff8,
    0xfff30fff,0x01fff505,0x556fffc4,0x7c42aaaa,0x3e0003ff,0xfff302ff,
    0x3fefff31,0x10fff98f,0x3fe63fff,0x90fff9df,0xfd9dffff,0x3fe21fff,
    0xffffffff,0x67ffc40c,0xfb999999,0x3fea60ff,0xff8199bf,0xffff984f,
    0x3fee0001,0x7fc4001f,0xb805ffff,0x1fff8fff,0x3fe77ff2,0x7ffcc00f,
    0x2a0fff93,0x3e200fff,0x3e2003ff,0xf30003ff,0x7ffcc0ff,0xdff7fff0,
    0x7c43ffe6,0x3fff21ff,0xff90fffc,0xffdffffd,0x2fffe21f,0x7c400999,
    0x3fee03ff,0x1fffc40f,0x887fff10,0x0003ffff,0x0007ffdc,0x3ffffff6,
    0x7ffcc02f,0x7fd47ffb,0xf006ffbf,0x13ffadff,0x1007ffd4,0x44007fff,
    0x50003fff,0x7fcc09ff,0xfffffb0f,0x443ffe69,0x7ff41fff,0xff90ffff,
    0xff3dff5b,0x0fffe21f,0x07fff100,0x2207ffdc,0x3ea03fff,0x7fff42ff,
    0xffb80004,0x3fea000f,0x0ffff9ef,0x7fffffc0,0xffefff85,0x5fff9004,
    0x3ea03fff,0x3fe200ff,0x3fe2003f,0xff90003f,0x87ffcc07,0x32fffffb,
    0x3fe21fff,0x7fffd41f,0x2bff90ff,0x7ffc4018,0x7ffc4003,0x03ffee03,
    0x2207fff1,0x3f60fffe,0x700006ff,0x22001fff,0xff91ffff,0xfffd80bf,
    0xfffd83ff,0xff3002ff,0x540dffff,0x3e200fff,0x3e2003ff,0xfd0003ff,
    0x7ffcc03f,0x1fffff30,0x7c43ffe6,0xfffd81ff,0x0bff90ff,0x01fffc40,
    0x80fffe20,0x7c40fffb,0x7f4cc3ff,0x3ffee3ff,0xf700000f,0x3f6001ff,
    0x7fff44ff,0x3fffee02,0xffffb81f,0x3ffa000f,0x00003fff,0x4007fff1,
    0xfffffff8,0xf84fffff,0x3fe600ff,0x9bfffe0f,0xff10fff9,0xffff103f,
    0x017ff21f,0x003fff88,0x701fffc4,0xff881fff,0xffffffff,0x7ffec6ff,
    0xffffffff,0xffb806ff,0xfffa800f,0x0ffff986,0x0fffff30,0x01ffffe6,
    0x1fffff70,0x3fe20000,0x3fe2003f,0xffffffff,0x3ffcc4ff,0xd83ffe60,
    0x3fe64fff,0x03fff10f,0x643fffee,0x3e2005ff,0x7c4003ff,0x3fee03ff,
    0x7fffc40f,0xdfffffff,0x7ffffec0,0xffffffff,0x0fffb806,0x17fffc40,
    0x205fffc8,0x3e05ffff,0x44005fff,0x0006ffff,0x00fffe20,0xffffff88,
    0x44ffffff,0x7cc06ffa,0x3ffee0ff,0x443ffe62,0x3fa01fff,0x0bff90ff,
    0x01fffc40,0x80fffe20,0x7c40fffb,0xeeffffff,0xffffb01c,0xffffffff,
    0xfff700df,0x5fffc801,0x0bfffe20,0xb01ffff4,0xb0007fff,0x00007fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x1362dda8,0xfffffff1,0x2e07bddf,0xffffffff,
    0x005fffff,0x3ffffffa,0xffffffff,0x0fff603f,0xaaaaaaa8,0x202aaaaa,
    0x200cc098,0x4c000999,0x01998000,0x80009880,0x4cc40009,0x40001300,
    0x00031009,0x0aaa2330,0xfdfffff1,0xfffff889,0x5fffffff,0xffffffb8,
    0x5fffffff,0xfffff500,0xffffffff,0x7ec07fff,0x5000a03f,0x7dfffd70,
    0xffb10ff5,0x5c05dfff,0x00dffffd,0x77ffffe4,0x3fff2203,0x7f4c04ff,
    0x2a00cfff,0x9bfffffe,0x80cefffd,0xfff95ffb,0x3fffa23d,0x7f54000d,
    0x541fff33,0x1effcabf,0x7fffffc4,0x5fffffff,0x7fffffdc,0x5fffffff,
    0xfdfffd00,0xffffffff,0x7ec07fff,0x5000a03f,0x7ffffec4,0x7c41ffff,
    0xffffffff,0xfffffc80,0xff702fff,0x09ffffff,0xfffffff3,0x3ffea09f,
    0x981effff,0xffffffff,0xefffffff,0x7f77fdc0,0xffbfffff,0x8806ffff,
    0xf33ffffb,0x0c0c41ff,0x4c3fff88,0x00ffffb9,0x001fffc4,0xff2fff98,
    0xfd80009f,0x5000a03f,0x65f7ffe4,0x7e41ffff,0xffea9aef,0x67fffe46,
    0x440ffffe,0xfebacfff,0x7fff40ff,0x41fffdbe,0xfcbffff8,0xdffe85ff,
    0xeffffebb,0x20effebb,0xcadffffb,0xebcfffff,0xf9302fff,0x265fffff,
    0x0c400fff,0x203fff88,0x4402fffb,0xb0003fff,0x27ffcdff,0xb3333100,
    0x433337ff,0xff994002,0x2fffec3f,0x7910bffa,0x067ffcc3,0xc98bfff5,
    0x0fffcc5e,0xfd85fff5,0x23ffe46f,0x3221fff8,0x7fffc46d,0xf71fff40,
    0xfffe89ff,0x2a1fffc3,0xcffffffe,0xfff37d80,0x837fffaa,0x2603fff8,
    0x7c402fff,0xf98003ff,0x13ffe2ff,0xfffffa80,0x0fffffff,0xff928005,
    0x7ff7e41f,0x37fff60f,0x3ffee01b,0x00fffd80,0x645fff50,0x80a886ff,
    0xffd84ffe,0xbfff3004,0x7dcbff70,0x3ffec1ff,0xffba7ff4,0x202dffff,
    0x7fff35f8,0x4dffffff,0x3203fff8,0xff8807ff,0xffc8003f,0x0027ffc7,
    0xfffffff5,0x0a1fffff,0x97ff6500,0x1fff8dfb,0x3fffffea,0x37fec1cf,
    0x301fffa8,0x5fffffd9,0x20027ff4,0xccccdfff,0xb9505ffe,0x99dfffff,
    0x5cfffb99,0x7fe40fff,0xfd4ffd87,0x98017dff,0xffff31ff,0x5fffd77d,
    0x2ab7ffe2,0x4fffdaaa,0x03fff880,0x21fffc40,0xffffffff,0x3fea6fff,
    0xffffffff,0x280050ff,0x3bea7ffd,0xfb85fff0,0x4fffffff,0x7cc13ffe,
    0x7ffdc2ff,0x22fffeff,0x22004fff,0xffffffff,0x7fd46fff,0xffffffff,
    0x7fffffff,0x3f21ffee,0xd4ffd86f,0x10039fff,0x77ffcc1b,0x44fffe20,
    0xffffffff,0x801fffff,0x4003fff8,0x7fc0fffc,0xffffffff,0x1ffec06f,
    0xfb280050,0x261ff39f,0xfb501fff,0x361fffff,0xfff506ff,0x56fffdc3,
    0x7f45fff0,0x3fe2005f,0xaaaaaacf,0x3bffea2a,0x99dfff1b,0x5c999999,
    0x6ffc87ff,0xff94ffd8,0x0017dfff,0x741fffcc,0xffff14ff,0x9dffffff,
    0x3ffe2001,0x3ffe2003,0xffffff84,0x406fffff,0x00a03ffd,0x3fbff250,
    0x03ffee1f,0x7fff7302,0x3603ffee,0x27ff47ff,0xfc8bffe2,0x0cde986f,
    0xd8013ffe,0x6fff85ff,0x21ffee00,0xffd86ffc,0x3ffff264,0xf9801dff,
    0x4ffe82ff,0xf99bfff1,0x88005fff,0x2e003fff,0xaaaacfff,0x9999dfff,
    0x7ec00999,0x5000a03f,0x88bfffe6,0x3fa25ffe,0x34ffe83f,0x7d419fff,
    0x1fffc5ff,0xfa8bffee,0x3ffec3ff,0xff11fff2,0x227ff45b,0x741ffffa,
    0x1ffee3ef,0x3f61bff2,0xfffb884f,0x7711efff,0x03fff317,0x3fe29ffd,
    0x3fffa23f,0x3ffe2003,0x3fffe003,0xffffffff,0x7fec0004,0x45000a03,
    0xfdbdfffd,0x7fe40fff,0xfffca9bf,0x33ffff62,0x640ffffe,0xffc9afff,
    0x7fff42ff,0x43fffecf,0xdabffff9,0x3fee0eff,0xffffb9bf,0xfffdbcff,
    0x321ffee1,0x4ffd86ff,0x7ffff540,0xf33fff13,0x9ffd03ff,0xf10fffe2,
    0x22005fff,0xf7003fff,0xffffffff,0x80009fff,0x00a01cca,0x7fffec50,
    0xd02fffff,0xffffffff,0xfffffb09,0xff303fff,0xffdfffff,0xfffff989,
    0xff505fff,0x83ffffff,0xfffffff8,0xffffffdf,0x3ffdc3ff,0x7ec37fe4,
    0xff93004f,0x267ffe27,0xffe81fff,0x507fff14,0x1001ffff,0x3a007fff,
    0xeeeeefff,0x2004fffe,0x99999998,0x00a19999,0x36b7ee50,0x200dffff,
    0xefffffc8,0x3fff6e02,0x3f6a00df,0x6ffb8dff,0xfffffc88,0x7ffecc03,
    0xffd501ce,0x3f6219ff,0xfb82dfff,0x86ffc87f,0x44004ffd,0x33fff12c,
    0xffd03fff,0x40fffe29,0x8805fffd,0xfa803fff,0x3ffe03ff,0x3ffea004,
    0xffffffff,0x1280050f,0x80009819,0x4c000998,0x000c4000,0x30001310,
    0x004c4001,0x00000062,0xf3000000,0x9ffd03ff,0x440fffe2,0x4402ffff,
    0xfe803fff,0x3ffe00ff,0xffffffff,0xfffff56f,0x1fffffff,0x2aaaaab2,
    0x003aaaaa,0x00000000,0x00000000,0x00000000,0x00000000,0x7ffcc000,
    0xf14ffe81,0x7fd407ff,0x3fe200ff,0x7ffcc03f,0x7ffffc04,0x6fffffff,
    0xfffffff5,0x001fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0xfe81fff9,0x07fff14f,0x204fffd8,0x6c03fff8,0x7fc00fff,
    0xffffffff,0x000006ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x8000d554,0x1fff3018,0x0087ffd0,
    0x00005408,0x3f600998,0x84fff84f,0x80642fff,0x837fe429,0xff33fff8,
    0x6fff88df,0x3fffffe2,0x0004ffff,0x00080000,0x40000133,0x26666618,
    0x09999999,0x3fa00130,0x5ffe604f,0x20dfffea,0xfe80fff9,0x4c4be63f,
    0x7f41d709,0x3e60001c,0x1bfea06f,0xfa8dfff3,0x2077ec7f,0x3fe62ff9,
    0x0fffb81f,0xfd8ffff2,0x3ffe21ff,0x4fffffff,0x3ee7ff50,0x325ff51f,
    0xff9300ff,0x7ffd407b,0x37ff2600,0x3fe7fa81,0xffffffff,0x3ff624ff,
    0x7ff402ef,0x2fffe604,0x26ffffff,0xfe80fff9,0xfbfff13f,0x1dffbfff,
    0x00b7fffa,0x881bfe60,0x3fee0fff,0x97ff20ff,0xf30efffa,0x4ffe8fff,
    0xfe84ffe8,0x3fffa8ff,0x77777744,0xf883ffff,0xe89ff36f,0x06ff88ff,
    0x03ffbdfd,0xe80ffffa,0x3226fddf,0x3fffe7ff,0xffffffff,0x3fb7ff64,
    0x13ffa00f,0xbeffff98,0xf32fffeb,0x7ffd01ff,0x7fffffec,0x3f64ffff,
    0x00beffff,0xd80dff30,0x3fff63ff,0x90bffa2f,0xfff5dfff,0x47ffb83f,
    0xf981fff9,0x05fffeff,0x417fff20,0x1ffd1ffd,0xff75ff98,0x3f67e987,
    0x7ffff984,0x8ffcb910,0x3fe7fffe,0xffffffff,0x4c72a4ff,0x980001ff,
    0x3e20efff,0x1fff33ff,0xff87ffd0,0x6fffeeff,0xfffffd98,0x7fcc00cf,
    0xf2ffdc06,0x3e69ffff,0xfffc80ff,0xf881ffff,0x1bff22ff,0xffffffb8,
    0xdfff7000,0x7e57fea0,0x25ffb03f,0x3e201ffe,0xfeffd83f,0x2ff5c03f,
    0x000ff35b,0x7ffedc40,0x55555511,0x4c555555,0xffe83fff,0xd01fff34,
    0x7ffcc7ff,0x403ffea1,0xfffffeb8,0xf955551d,0x435555ff,0x9ff37ff8,
    0x17feedff,0x1fffffc8,0xff97ff20,0x7ffec03f,0xfff5002f,0x1fff101d,
    0x7c40dff5,0x06ffa8ff,0xff30dfd3,0xe80dff5d,0x3fcc0dff,0xfffc8000,
    0xfff51ffd,0xffffffff,0x0bffe61f,0x7fcd3ffa,0x23ffe80f,0xffe85ffa,
    0xfffc9801,0xffffff3f,0x89ffffff,0x9ffc9ffe,0x2ffd8ffd,0x3bfffe60,
    0x23ffe600,0x5400fffa,0x9800ffff,0xf900ffff,0x00fffabf,0x3ffabffb,
    0x4077fcc3,0x5ffd3ffd,0x4c4fe880,0x3bbbb67f,0x3eeeeeee,0x3fea5ff5,
    0xffffff51,0x21ffffff,0xfe81fff9,0x03fff34f,0x7fdc7fff,0x001ffd84,
    0x3e7fffd5,0xffffffff,0x7fdc4fff,0x5ff77fec,0x3e601fff,0x00efffff,
    0x3ff2fffa,0x7fff4404,0x7ffc406f,0x3ffe201f,0x2206ffa8,0xfff99fff,
    0x4413fea0,0xdff70fff,0x17f25d98,0x7fffcff3,0xffffffff,0xfb13ff54,
    0x3bbbaa3f,0xeeeeeeee,0xd03fff30,0x3ffe69ff,0x263fff81,0x3fe60fff,
    0x3ff2600f,0xddb2ffff,0xdddfffdd,0xfeff987d,0xffdff35f,0x3fffe60b,
    0x700efffd,0x03fffdff,0xffffffd8,0x5fffd103,0x32bff700,0x7ff903ff,
    0xff88bff6,0x3f24eeef,0x07ffe25f,0x83ff9bfd,0x3fffe7f9,0xffffffff,
    0xffffff14,0xf300005f,0x9ffd03ff,0x3ee1fffc,0x7fffc3ff,0x506fffcc,
    0x7dfffffd,0x037fcc01,0x23ffffe8,0x983fffff,0xff91ffff,0xfff101df,
    0xffa80dff,0x81fffebf,0x2003fffe,0xffe89ffd,0xfab7fc40,0x7fffdc4f,
    0x5fff15ff,0x6cc5ffd8,0x7f983dff,0x2aaaaaaa,0x261aaaaa,0x02cb8bdc,
    0xf980fbb6,0x4ffe81ff,0x36affffa,0x3ee3ffff,0xffffffff,0x3ffff22f,
    0xf3002dff,0x3ff200df,0x3fff61ff,0x1ffe880f,0xf9027fe4,0x7c407fff,
    0xdfff16ff,0xffffffb8,0xf887ffff,0xd89ff36f,0x10dfd0ff,0x21333333,
    0xcc984cc9,0x19801104,0x40000000,0x3e604ffe,0x4ffe81ff,0x3fffffee,
    0xff13ffdd,0xffffffff,0x3fffa1ff,0x7cc001cf,0xfff3006f,0x06fffa8f,
    0x026407a2,0x803fffe6,0x3ee1fffd,0x3fff24ff,0x7fffffff,0x3f25ff50,
    0x2e7ff50f,0x000001ff,0x00000000,0xffe80000,0x07ffe604,0xfd713ffa,
    0x8fff29ff,0x235734f9,0x2fffa1fd,0xdff30000,0x22fffc00,0x0003fff8,
    0x05ffe800,0x3a0fffee,0xfff92fff,0xffffffff,0x13304cc0,0x00988662,
    0x00000000,0x00000000,0x4c07ddb0,0xffe81fff,0x04001104,0x000b20c0,
    0x000aaa20,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26666666,0x30099999,0x80098801,0x32bffb00,
    0x13ffe7ff,0x37200044,0x4cccc0ad,0x84ccc099,0x99809998,0x99999999,
    0x86661999,0x26660998,0x99999999,0x00000199,0x00000000,0x00000000,
    0xfff80000,0xffffffff,0x3fff624f,0x40bf300d,0x3a0cffc9,0x4fff96ff,
    0x3f624fff,0x2cc0beff,0x449fd791,0x23ffffff,0x3f60fffa,0x7fffc45f,
    0xffffffff,0xfc9ffa7f,0xfffff11f,0xffffffff,0x0000000f,0x00000000,
    0x00000000,0xfffff000,0x9fffffff,0x37fffff4,0x44127cc6,0x3a7fffff,
    0x4fff96ff,0xffd14fff,0xd9dfffff,0x89fea0bf,0x23ffffff,0xffd81ffd,
    0x3ffffe20,0xffffffff,0xffc9ffa7,0xffffff11,0xffffffff,0x00000000,
    0x00000000,0x00000000,0xffffff00,0x29ffffff,0x7ff73ffa,0x2b3eb7e6,
    0xfd93ee5e,0x3eebffb2,0x44fffe7f,0xffffffff,0x5735ffff,0x7fc49fd7,
    0xff33ffff,0x013fa205,0x5cbb9000,0x000000dd,0x00000000,0x00000000,
    0x00000000,0x29ff9000,0x57fe0ffb,0xfffffffb,0x7cc3fd0f,0x3ea9ff95,
    0x44bffa6f,0xffd950af,0x3fee3dff,0x4ccc0adf,0x03530999,0x00002a88,
    0x00000000,0x00000000,0x00000000,0x00000000,0x29ff9000,0x12ff47fc,
    0xc839ffd3,0x7d4fee2f,0x64bff13f,0x4c0111ff,0x000101bb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x53ff2000,0x9ff10ffb,
    0x40efefb8,0x0ffdcff8,0x0ddc1771,0x00000773,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x32000000,0x3bff34ff,0x7fdc5ff9,
    0xffb85fd8,0x000003ef,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x649ff900,0x445fffff,0x5407f13e,0x00000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x36a0d54c,0x000003ee,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_28_latin1_x[224]={ 0,2,1,0,0,1,1,1,1,0,0,1,1,0,
1,-1,1,1,0,0,0,1,1,1,1,0,2,2,1,1,1,1,0,0,1,1,1,1,1,1,1,1,0,1,
1,1,1,1,1,1,1,0,0,1,-1,0,0,-1,0,1,-1,0,1,-1,0,0,1,1,1,0,0,1,1,1,
-2,1,1,1,1,1,1,1,1,0,0,1,0,0,0,0,0,0,2,0,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
2,0,0,-1,0,1,1,0,-1,-1,1,0,0,0,2,1,-1,1,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-2,1,1,1,1,1,-1,1,-1,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,-1,1,1,0,0,
0,0,0,0,1,1,0,0,0,0,-1,1,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,1,0,
 };
static signed short stb__arial_bold_28_latin1_y[224]={ 22,4,4,3,2,3,3,4,3,3,3,6,18,13,
18,3,3,3,3,3,3,4,3,4,3,3,9,9,6,8,6,3,3,4,4,3,4,4,4,3,4,4,4,4,
4,4,4,3,4,3,4,3,4,4,4,4,4,4,4,4,3,4,3,24,3,8,4,8,4,8,3,8,4,4,
4,4,4,8,8,8,8,8,8,8,4,9,9,9,9,9,9,3,3,3,10,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,22,9,4,3,6,4,
3,3,3,3,3,9,8,13,3,0,3,5,3,3,3,9,4,11,22,3,3,9,3,3,3,9,-1,-1,-1,-1,
0,0,4,3,-1,-1,-1,0,-1,-1,-1,0,4,-1,-1,-1,-1,-1,0,7,3,-1,-1,-1,0,-1,4,3,3,3,
3,4,3,3,8,8,3,3,3,3,3,3,3,3,4,4,3,3,3,4,3,6,8,3,3,3,3,3,4,3,
 };
static unsigned short stb__arial_bold_28_latin1_w[224]={ 0,4,10,14,13,21,17,4,7,8,10,13,5,8,
5,8,12,9,13,13,14,13,13,12,12,13,4,4,13,13,13,14,25,19,16,16,16,15,14,17,16,5,12,18,
14,19,16,18,15,19,17,16,15,16,18,24,17,18,15,7,8,7,13,16,7,14,14,13,13,14,10,13,13,5,
8,13,5,20,13,14,14,13,10,13,9,13,14,20,14,14,13,10,3,9,14,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,5,13,14,14,14,
3,14,9,20,9,12,13,8,20,16,8,14,8,8,6,13,15,5,8,6,9,12,20,20,21,14,19,19,19,19,
19,19,26,16,15,15,15,15,7,6,9,9,18,16,18,18,18,18,18,13,19,16,16,16,16,18,15,14,14,14,
14,14,14,14,21,13,14,14,14,14,7,7,9,9,14,13,14,14,14,14,14,14,14,13,13,13,13,14,14,14,
 };
static unsigned short stb__arial_bold_28_latin1_h[224]={ 0,18,7,20,23,20,20,7,25,25,10,14,9,5,
4,20,20,19,19,20,19,19,20,18,20,20,13,18,14,10,14,19,25,18,18,20,18,18,18,20,18,18,19,18,
18,18,18,20,18,21,18,20,18,19,18,18,18,18,18,24,20,24,11,3,5,15,19,15,19,15,19,20,18,18,
24,18,18,14,14,15,19,19,14,15,19,14,13,13,13,19,13,25,25,25,6,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,18,23,20,14,18,
25,25,4,20,10,13,10,5,20,4,9,17,11,11,5,18,23,4,6,11,10,13,20,20,20,19,23,23,23,23,
22,22,18,25,23,23,23,22,23,23,23,22,18,23,24,24,24,24,23,13,21,24,24,24,23,23,18,20,20,20,
20,19,20,20,15,20,20,20,20,20,19,19,19,19,19,18,20,20,20,19,20,14,15,20,20,20,20,25,23,25,
 };
static unsigned short stb__arial_bold_28_latin1_s[224]={ 253,244,50,213,103,228,43,45,101,16,25,
73,250,85,250,245,93,54,40,182,64,94,242,31,169,196,249,168,236,231,59,
156,109,122,193,210,105,73,1,22,111,142,243,225,16,44,64,115,95,150,15,
76,33,45,225,200,182,163,147,173,106,245,201,136,101,149,16,164,214,178,62,
134,179,173,198,154,148,215,16,134,118,31,244,120,108,30,122,87,137,228,152,
90,86,76,61,91,91,91,91,91,91,91,91,91,91,91,91,91,91,91,91,
91,91,91,91,91,91,91,91,91,91,91,91,91,91,91,91,91,253,250,35,
227,44,210,72,57,126,1,245,166,1,85,148,109,36,76,192,215,94,81,193,
249,76,224,15,179,22,1,223,141,83,117,137,157,84,64,49,40,224,240,177,
104,56,49,20,120,128,66,226,207,154,135,30,108,130,181,18,1,49,1,89,
76,105,120,135,79,165,46,193,199,184,61,150,61,133,171,179,189,199,1,180,
31,16,1,1,1,105,195,209,170,91,25,209,1, };
static unsigned short stb__arial_bold_28_latin1_t[224]={ 1,139,212,52,27,52,97,212,1,1,212,
197,178,212,188,76,97,118,118,97,118,118,97,159,97,97,139,139,178,197,197,
118,1,139,139,97,139,139,159,118,159,139,118,139,159,159,159,97,159,52,178,
97,178,139,159,159,159,159,159,1,97,1,197,212,212,178,139,178,118,178,139,
97,139,139,1,139,139,178,197,178,118,139,159,178,118,197,197,197,197,118,197,
1,1,1,212,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,1,52,27,
97,197,139,1,1,212,118,197,197,212,212,97,212,212,178,197,197,212,159,27,
153,212,197,212,197,97,97,76,118,27,27,27,27,52,52,178,1,27,27,27,
52,52,52,52,52,159,27,1,1,1,1,52,197,52,1,27,27,27,52,139,
76,76,76,76,118,76,76,178,52,52,97,76,76,118,118,118,118,118,178,76,
76,76,139,76,197,178,76,76,52,76,1,27,1, };
static unsigned short stb__arial_bold_28_latin1_a[224]={ 111,134,190,223,223,357,290,95,
134,134,156,234,111,134,111,111,223,223,223,223,223,223,223,223,
223,223,134,134,234,234,234,245,391,290,290,290,290,267,245,312,
290,111,223,290,245,334,290,312,267,312,290,267,245,290,267,378,
267,267,245,134,111,134,234,223,134,223,245,223,245,223,134,245,
245,111,111,223,111,357,245,245,245,245,156,223,134,245,223,312,
223,223,201,156,112,156,234,301,301,301,301,301,301,301,301,301,
301,301,301,301,301,301,301,301,301,301,301,301,301,301,301,301,
301,301,301,301,301,301,301,301,111,134,223,223,223,223,112,223,
134,295,148,223,234,134,295,221,160,220,134,134,134,231,223,111,
134,134,146,223,334,334,334,245,290,290,290,290,290,290,401,290,
267,267,267,267,111,111,111,111,290,290,312,312,312,312,312,234,
312,290,290,290,290,267,267,245,223,223,223,223,223,223,357,223,
223,223,223,223,111,111,111,111,245,245,245,245,245,245,245,220,
245,245,245,245,245,223,245,223, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_28_latin1_BITMAP_HEIGHT or STB_FONT_arial_bold_28_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_28_latin1(stb_fontchar font[STB_FONT_arial_bold_28_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_28_latin1_BITMAP_HEIGHT][STB_FONT_arial_bold_28_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_28_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_28_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_28_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_28_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_28_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_28_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_28_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_28_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_28_latin1_s[i] + stb__arial_bold_28_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_28_latin1_t[i] + stb__arial_bold_28_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_28_latin1_x[i];
            font[i].y0 = stb__arial_bold_28_latin1_y[i];
            font[i].x1 = stb__arial_bold_28_latin1_x[i] + stb__arial_bold_28_latin1_w[i];
            font[i].y1 = stb__arial_bold_28_latin1_y[i] + stb__arial_bold_28_latin1_h[i];
            font[i].advance_int = (stb__arial_bold_28_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_28_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_28_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_28_latin1_s[i] + stb__arial_bold_28_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_28_latin1_t[i] + stb__arial_bold_28_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_28_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_28_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_28_latin1_x[i] + stb__arial_bold_28_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_28_latin1_y[i] + stb__arial_bold_28_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_28_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_28_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_28_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_28_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_28_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_28_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_28_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_28_latin1_LINE_SPACING
#endif

