// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_29_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_29_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_29_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_29_latin1_BITMAP_HEIGHT        234
#define STB_FONT_arial_bold_29_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_arial_bold_29_latin1_FIRST_CHAR            32
#define STB_FONT_arial_bold_29_latin1_NUM_CHARS            224

#define STB_FONT_arial_bold_29_latin1_LINE_SPACING          19

static unsigned int stb__arial_bold_29_latin1_pixels[]={
    0xdd72f744,0x03999105,0x7ddd1000,0x980176c0,0xccccccba,0x27db00cc,
    0x333226ec,0x9dd50ccc,0x554c0003,0x2a60000a,0xdb70002a,0x2a2005bd,
    0x6ec801aa,0x0f33332a,0xbceecb98,0x1ccc8800,0x00bbb260,0xa8015551,
    0xfff102aa,0x7cc1ffe4,0xc80002ff,0x3fe405ff,0x3ffffa20,0x1fffffff,
    0xffb1ffa8,0x7fffffc4,0x07ffff50,0x017ffa00,0x1ffff980,0x3fffa200,
    0xf9006fff,0x4ffb00df,0x05fffffb,0xfffffff9,0xfff9807f,0x5ffff702,
    0x04fffe80,0x440fffcc,0x0fff27ff,0x000bffe6,0x100bff10,0x3fa207ff,
    0xffffffff,0x6fe81fff,0xfff89ff6,0xfff50fff,0xf98001ff,0x3a20005f,
    0x000effef,0xfffffffb,0x3ff6007f,0xf73fec02,0xe98bffff,0xffffffff,
    0x3fe604ff,0xffff882f,0x37ff202f,0x7fd402ff,0x4c433305,0x2fff9809,
    0x06f54000,0xb80ffd80,0xefffffff,0x541efffe,0x89ff62ff,0x2219afff,
    0x001fffb9,0x200037ec,0x4ff99ffd,0x64bfff00,0xfb000fff,0x227fd80d,
    0x745ffd99,0xecacefff,0xd101ffff,0xfff503dd,0x3fe60135,0xa801ffd4,
    0x300001ff,0x00005fff,0x07ff5000,0xfffffffb,0x7f41bfe2,0xf89ff60f,
    0x7ffc01ff,0x00554002,0x4c355100,0xfff8802a,0x002f3624,0x3fec02a8,
    0x3ee5ffc8,0xffb80dff,0x3ea0005f,0x22aa806f,0xaa801aa8,0x4c055531,
    0x3ffe62aa,0x3037b952,0x554c0555,0x40fff882,0x7fffffff,0xff50dff1,
    0x3e27fd8b,0x7ff401ff,0xdd953002,0x53000579,0x00579dd9,0x200bfffa,
    0x6402ccc8,0x20ffb2cc,0x3ffe5ffc,0x37ffa00f,0x80aaa880,0xcc886ffb,
    0x1666402c,0x7dcb3322,0x9fff01ff,0x7ed7ffcc,0x7dc3ffff,0x9fff01ff,
    0xfd0bffa0,0x22ffffff,0x3ffc86ff,0xfff13fec,0x03ffe803,0x7ffffec4,
    0x8800dfff,0xfffffffd,0x7fcc00df,0x3e200dff,0x7ffc04ff,0x3f20ffb4,
    0x07fff35f,0x7fcc0198,0x85ffb82f,0x7c04fff8,0x7ffcc4ff,0x309fff13,
    0x7fcc3fff,0xffffffff,0x13ffe23f,0x6407ffe6,0x7ffec3ff,0xdff17fff,
    0xfd85ffb0,0x007ffe27,0x7cc07ffb,0xffffffff,0x3e602fff,0xffffffff,
    0x3ea02fff,0x102fffff,0xff809fff,0x320ffb4f,0x5fff55ff,0xfff30000,
    0x10bff705,0xff809fff,0x1fffcc4f,0xff90fffb,0xeffff98d,0x0ffffc8a,
    0x3f21fff6,0x17ff206f,0xfffffff3,0x3fe1bfe2,0xf13fec1f,0xffd803ff,
    0xffffd104,0xfffd9579,0xfffd103f,0xffd9579f,0xfff503ff,0x81bffffd,
    0x7c04fff8,0x20ffb4ff,0xfff95ffc,0xff300003,0x09ff905f,0xf809fff1,
    0x7ffcc4ff,0xf07ffea3,0xfff989ff,0x23fffa87,0x7fc1fffa,0x1bfee04f,
    0x5fffffea,0x7fc46ff8,0xf13fec0f,0xffb803ff,0xefffc80f,0x0bfff900,
    0x201dfff9,0xfe85fffc,0xffffd8af,0x027ffc46,0x3fed3ffe,0xffb5ffc8,
    0xf300001f,0x7fff05ff,0x809fff10,0x7fcc4fff,0x327ffc3f,0xff983fff,
    0x89fff05f,0x3fe64fff,0x1ffea01f,0x8bffedc4,0x3ffd46ff,0xfff13fec,
    0xefff8803,0x03fffe23,0x445fffd0,0x7400ffff,0x3fe22fff,0x3fffea0f,
    0x013ffe25,0x06629fff,0xffcaffe4,0xf980000f,0x3ffaa2ff,0x4fff880f,
    0x2627ffc0,0x7fe43fff,0x261bff27,0xffd03fff,0x327ffc8b,0x7fcc06ff,
    0x8bffc01f,0x37fdc6ff,0xfff13fec,0xffff5003,0x013ffe63,0xf993ffe6,
    0xff9804ff,0x0bffe24f,0x223fffd3,0x7fc04fff,0xbff9004f,0x0007ffee,
    0x4cbffe60,0xf102ffff,0xfff809ff,0x21fffcc4,0xfff1fff9,0x05fff307,
    0xff31bff6,0x00fffe3f,0xf803fff1,0xc8dff17f,0x27fd85ff,0xb001fff8,
    0x3fee3fff,0xdfff001f,0x800fffdc,0x7ff46fff,0x9fff442f,0x7c04fff8,
    0xff9004ff,0x00bffeab,0x7fcc0395,0x0bfff32f,0x2027ffc4,0x7fcc4fff,
    0x9cffe83f,0xff980fff,0x0bffd04f,0xfff39ffd,0x0fff8801,0xff8bffc0,
    0x6c37fdc6,0x07ffe27f,0x47ffff60,0xd000fffc,0x7ffe4fff,0x8fffd000,
    0x644ffffb,0x9fff12ff,0x004fff80,0x3fe6bff9,0x7fff406f,0x32fff981,
    0x220bffff,0x7fc04fff,0x1fffcc4f,0x7fe7ffdc,0x0dfff305,0xf709fff1,
    0x00bff9ff,0xff00fff3,0xf31bfe2f,0x44ffb0ff,0x7cc01fff,0x3ffec2ff,
    0x21fffb00,0x36007ffd,0x7fe40fff,0xfff89eff,0x809fff10,0x09974fff,
    0xffd97ff2,0xdfff502f,0x70bffe60,0xff103fff,0x4fff809f,0x441fffcc,
    0x02ffffff,0x445ffff3,0xf881fffd,0x802fffff,0xff805ffa,0xf88dff17,
    0x227fd87f,0x7dc01fff,0x0fffd86f,0x6cfffd00,0xfd000fff,0x3ffee0ff,
    0x223ffeff,0x3e204fff,0x20ffb4ff,0x3fe25ffc,0xff930bff,0x3fe607ff,
    0x83ffe82f,0x2204fff8,0x7fcc4fff,0xffffb03f,0x7fffcc0f,0x5ffffcdf,
    0x1fffff60,0x4027fdc0,0x0dff17ff,0x7fd81fff,0xb007ffe2,0xfff909ff,
    0x9bffe003,0xf001fffc,0x7f4c0dff,0x7c44ffff,0x3fe204ff,0x320ffb4f,
    0x7ffdc5ff,0xffffffff,0x0bffe605,0x3e217ff2,0x3fe204ff,0x1fffcc4f,
    0x04ffffa8,0x3ff7ffe6,0x200effff,0x004ffffa,0xff007ffb,0x3a1bfe2f,
    0x13fec2ff,0xfd803fff,0x2fffb83f,0x25fff880,0x8802fffb,0xfc805fff,
    0x7fc45fff,0x3ffe204f,0x3f20ffb4,0xffffa85f,0x00efffff,0x2e0bffe6,
    0xfff885ff,0x13ffe204,0x7c07fff3,0x3e601fff,0xffff9aff,0xffff800d,
    0x01ffd001,0x3fe2fff0,0x6c4ffc86,0x07ffe27f,0xf307ffd0,0xff900dff,
    0x37ffcc9f,0x027ffe40,0x42fffe98,0x3e605fff,0x20ffb3ff,0xdb105ffc,
    0x005dffff,0xf705fff3,0x17ffe0bf,0x4c3fff98,0x3fa03fff,0x7ffcc06f,
    0xfd000622,0x3fe600df,0x22fff004,0x6ff886ff,0xfff13fec,0x02ffe803,
    0x4c09fffd,0x7f40ffff,0x3fe604ff,0x1d4c40ff,0xfd13ffe2,0x3ff205ff,
    0x320ffb2f,0x7ed405ff,0x3fe6002d,0x06ffa82f,0x3205fffd,0x7fcc2fff,
    0x7fff503f,0x02fff980,0x0fffea00,0x800ffdc0,0x0dff17ff,0x7fd83ff2,
    0xf007ffe2,0x3fe605ff,0x3ee21dff,0xff983fff,0x3ee21dff,0xffa83fff,
    0x227ff43f,0x10aefffb,0x361ffff7,0x0bff907f,0x01ffdcb8,0x503fff70,
    0x3fee0fff,0xff710aef,0xfff981ff,0x3fff6ae3,0x7ffcc00f,0x7ed5c002,
    0xfd000fff,0x8bffc00b,0x7ff106ff,0xfff13fec,0x3b26199b,0x3f201fff,
    0xffffffff,0x3f206fff,0xffffffff,0x3fe06fff,0xfffcacff,0x7ffffc43,
    0x4fffffff,0xecca9ff6,0x3f6005ff,0x7fff6404,0xefff980f,0x3fffe21c,
    0xffffffff,0x23fff984,0x04fffffe,0x002fff98,0x27fffff4,0x001ff980,
    0x37fc5ffe,0x3fecdf90,0x1ffffff1,0x01bfffea,0x3fffffea,0xa804ffff,
    0xffffffff,0x7fd404ff,0x06ffffff,0xffffffd3,0x7ec1bfff,0x3ffffee7,
    0x3ee66a05,0x7fff402f,0x3fffa05f,0x7fff4c2f,0x0dffffff,0x363fff98,
    0x3004ffff,0xd8005fff,0x2004ffff,0x7fc006fd,0x440dff17,0x44ffb2ff,
    0x50ffffff,0x2003dfff,0xfffffec8,0x3b22001d,0x01dfffff,0xfffffd50,
    0x7fec4019,0xd83effff,0x3fffee7f,0xffff105f,0xfff8807f,0x3fa600ef,
    0xffd882ff,0x203effff,0x2a23fff9,0x4cc000aa,0x55440009,0x0d54000a,
    0x99866600,0xaa8d5400,0x0cccccc2,0x80003551,0x30000099,0x54c00013,
    0x4cc0009a,0x11554009,0x40133333,0x26001999,0x2a6000aa,0x04ccc00a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x000aaa88,0xdeeecc98,0x2a20002c,0x100000aa,
    0x40003555,0x2aa60009,0x3766000a,0x98003ae2,0x03bb64ee,0x540aaaa0,
    0x54c001aa,0x0000002a,0x01aaa880,0x01aaa880,0x02aaa600,0x003ffea0,
    0xfffffeb8,0x004fffff,0x000bffb0,0x001bff60,0xf1004f88,0x7c4007ff,
    0x06feffff,0xfd2ffd40,0xfffa801f,0x0ffffb81,0x7ffff100,0x003ec000,
    0x003bff20,0x003ffe40,0x009ffd10,0x3001fff5,0x599dfffd,0x3dfffdb9,
    0x03ffd000,0x0eff8800,0x007ea000,0x20027fdc,0xfffdbcfa,0x2ffd4003,
    0xfd801ffd,0xfeff982f,0xdffb005f,0xca8001ff,0x88001cff,0x40000eff,
    0x20002ffc,0x5400ffe8,0x7d400fff,0x64400cff,0x44000fff,0x640005fe,
    0x640000ef,0x017fa007,0x00260a60,0xaa86aa20,0x0bfe600a,0x7fdc77f4,
    0x457fdc03,0xfb1006ff,0x01bfffff,0x0007fe40,0x0006fd80,0x2201ffc4,
    0x7fcc0199,0x7f4c000e,0x1544000e,0x002aa000,0x44017e00,0x2a60002a,
    0x002bceec,0xbceeca98,0x880d4c02,0x00aaa0aa,0x0554c555,0x7ffffec0,
    0x2a005fff,0x5400000a,0x5440000a,0x201ca802,0x5cc0efe8,0x315551bc,
    0x953005ff,0x880579dd,0x66402ccc,0xddca882c,0x9999903f,0x99999999,
    0x3fff6205,0x00dfffff,0xfffffd88,0x9100dfff,0x33220599,0x665c002c,
    0xfff3001c,0x3fff9fb7,0x07332e00,0x39997000,0x33333200,0xcccccccc,
    0xf901fec2,0x7fff441f,0x91fffaff,0x7fec409f,0x0dffffff,0x809fff10,
    0x7fd44fff,0x443fffff,0xffffffff,0x984fffff,0xffffffff,0x2602ffff,
    0xffffffff,0xf982ffff,0xfff303ff,0x7ffc4007,0xbff7004f,0x016f75f6,
    0x027fffc4,0x9ffff100,0xfffff100,0xffffffff,0x3e04fe89,0x3fffa23f,
    0x27ffffec,0xfff306f8,0xffffffff,0x9fff105f,0x2a4fff80,0xffffffff,
    0x3fffe23f,0xffffffff,0x7fff444f,0xffecabcf,0xffe881ff,0xfecabcff,
    0x7fcc1fff,0x7fff303f,0x7fffe400,0x5ffb800f,0x3f2000fb,0x0000ffff,
    0x01fffff9,0xffffff88,0x4fffffff,0xffa82ff4,0xc837ffa0,0x0ffc5fff,
    0x33ffffa2,0xffffecab,0x027ffc41,0x7fc53ffe,0xffff9bff,0x9dfff10f,
    0x99999999,0x0efffc85,0x90bfff90,0x3201dfff,0x7fcc5fff,0x7fff303f,
    0x7ffffc00,0xfff9803f,0xff0007d9,0x0007ffff,0x0ffffffe,0x99dfff10,
    0x59999999,0xdfb05ff8,0x2607ffd4,0x1fec4fff,0x403bfff2,0x7c45fffc,
    0x7ffc04ff,0x2e3fff74,0xf11defaf,0xf10009ff,0xfe801fff,0x3ffe22ff,
    0x7fff400f,0x40fffe62,0x5003fff9,0x0dffffff,0x1fffffa0,0x3fffea00,
    0xfa8006ff,0x406fffff,0x8004fff8,0x9ff06ff8,0xff81fff4,0xf11ff42f,
    0xfe801fff,0x3ffe22ff,0xca7ffc04,0x405b66ff,0x8004fff8,0x9804fff9,
    0x3fe64fff,0xfff9804f,0x40fffe64,0xb003fff9,0x3fff7dff,0xfffff700,
    0x3f60017d,0x01fffbef,0x7df7fec0,0x3fe201ff,0xff98004f,0x3e27ff07,
    0xfff880ff,0xf987fe20,0xff9804ff,0x13ffe24f,0x3fa9fff0,0x4409f15f,
    0xb8004fff,0xff001fff,0x0fffdcdf,0x266fff80,0xff303fff,0xfff1007f,
    0x009fff17,0x3ffffff2,0x7ffc403f,0x004fff8b,0x3e2fffe2,0x3fe204ff,
    0xff98004f,0x98ffc40f,0xfff307ff,0x3ee0ffa8,0xfff001ff,0x027ffc4d,
    0x7ff53ffe,0x7c403f55,0xaaaaadff,0x7fe42aaa,0xfffd000f,0x8007ffe4,
    0x3fe67ffe,0x7fff303f,0x21fff700,0x3000fffe,0x5ffffff9,0xe87ffdc0,
    0xf7000fff,0x3fffa1ff,0x5bfff100,0x55555555,0x440fffa8,0x0dff50ff,
    0xbfd17ff2,0x000fffc8,0x7fc4fffd,0xa7ffc04f,0x04f96ffc,0x7fffffc4,
    0x47ffffff,0x36007ffd,0xfffb0fff,0x87ffec00,0xf303fff9,0xffd007ff,
    0x01fffd4d,0x3fff7f60,0xa9bffa04,0xfd003fff,0x1fffd4df,0xffffff88,
    0x47ffffff,0xff81fffb,0x881fff51,0x3ff23fff,0x003ffec1,0x3e21fffb,
    0x7ffc04ff,0xbf1fff54,0x7c4b7fe2,0xffffffff,0x7fec7fff,0xfffd000f,
    0x8007ffec,0x3fe67ffe,0x7fff303f,0x23fff980,0x4006fff8,0x20fff77d,
    0x3e23fff9,0xff9806ff,0x1bffe23f,0x7fffffc4,0x47ffffff,0xfe82fffb,
    0xc85fff12,0x9ff72fff,0x001fffb0,0xff89fffa,0x3ffe204f,0x5fdfff34,
    0x7c4bffee,0xeeeeefff,0x7fe45eee,0xdfff001f,0x800fffe4,0x3fe66fff,
    0x7fff303f,0x40fffc80,0x5301fffd,0xfff9f617,0x40fffc81,0x6401fffd,
    0x7fec0fff,0xffff881f,0xeeeeeeee,0x417ffdc5,0x3fff66fc,0xdffffdbc,
    0xff904ffe,0x3ffe003f,0x813ffe26,0x3f64fff8,0xfffedfff,0x013ffe26,
    0x00bffee0,0xfb97ffe2,0xff8802ff,0x0fffe65f,0x201fffcc,0xaaaaefff,
    0xfd04fffc,0xfff9f69f,0xaaefff80,0x04fffcaa,0x55577ffc,0x884fffca,
    0xb8004fff,0xff982fff,0xfffffd11,0x7ffffffd,0x017ffdc0,0xf12fffc4,
    0x7fc409ff,0x7fffec4f,0x3e21ffff,0xf98004ff,0xffc806ff,0x1bffe64f,
    0x993fff20,0xff303fff,0x7ffd407f,0xffffffff,0xfffc80ff,0x0dff77da,
    0xfffffff5,0x01ffffff,0x3fffffea,0x0fffffff,0x0027ffc4,0xe817ffdc,
    0x37fb20ef,0x437bfd53,0x3ffe6198,0x4fffc806,0xf302fffc,0xfff907ff,
    0xff8819ff,0xffd0004f,0x7ffcc09f,0x27fff40f,0x41ffff30,0xf303fff9,
    0x7ff407ff,0xffffffff,0xff883fff,0xfffeffff,0xfffffe82,0xffffffff,
    0xfffffd03,0xffffffff,0x04fff887,0x00999880,0x8000bff3,0x7ff45ffb,
    0x3ffe604f,0x17fff40f,0xb82fffc8,0x3e2019af,0xf30004ff,0x5c43bfff,
    0xf983ffff,0x2e21dfff,0x7cc3ffff,0xfff303ff,0x3bffe607,0xfeeeeeee,
    0xfff506ff,0x309fffff,0xdddddfff,0x0dfffddd,0xddddfff3,0xdfffdddd,
    0x004fff88,0x77fdc000,0x7fec4001,0x7fffcc0f,0x3ffee21d,0xefffb83f,
    0xffff710a,0x2200dd01,0x9999dfff,0xc8199999,0xffffffff,0x3206ffff,
    0xffffffff,0xf986ffff,0xfff303ff,0x07fff207,0x203fffb0,0x2dffffb8,
    0x803fff90,0x7e41fffd,0x7fec01ff,0x37ffe21f,0x99999999,0x06eee219,
    0x79dfff70,0x7e5cc413,0xff900eff,0xffffffff,0x3fe20dff,0xffffffff,
    0x04f884ff,0xffffff10,0xffffffff,0x3ffffea0,0x804fffff,0xfffffffa,
    0xff304fff,0x3ffe607f,0x00dfff03,0xd009fff5,0x6fff801f,0x44fffa80,
    0xfa806fff,0x3ffe24ff,0xffffffff,0x3ffe27ff,0xfffe9802,0xffffffff,
    0xfa804fff,0xffffffff,0x7ff4c04f,0xdfffffff,0x1001fa80,0xffffffff,
    0x40ffffff,0xfffffec8,0x3b22001d,0x01dfffff,0x4c0fffe6,0xffa83fff,
    0xffff003f,0x5407d801,0xff003fff,0x3ffea1ff,0x1ffff003,0x3fffffe2,
    0x7fffffff,0x800bffe2,0xfffffec9,0x000befff,0x3ffffb22,0xfb1001df,
    0x07dfffff,0xff1003dc,0xffffffff,0x4c00ffff,0x33000009,0x3ffe6001,
    0x07fff303,0x2001fffb,0x5c03fffc,0x07ffec04,0xb3fffc80,0x32001fff,
    0xfff13fff,0xffffffff,0x7ffc4fff,0x55330002,0x00001355,0x30000266,
    0x00000133,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55000000,0xeed80055,0x2007dd50,0x4000aaa8,
    0x7d10ceb8,0x3a25dd70,0x0002005e,0x3b25ee88,0x6e4c001e,0x2003d50b,
    0x1bba2eea,0x00180000,0x97300053,0x400579dd,0x0002eee9,0x5c013bb6,
    0xff5000ee,0xfff8003f,0x2009ff70,0x4006fffd,0xfeeffffc,0xf13ffc82,
    0xbff700ff,0x9bfe2000,0x74002ffd,0x07feffff,0xff8ffee0,0x765cc007,
    0x17e61cde,0x001fff90,0xffffff91,0x2a001dff,0xf70006ff,0x3f6001df,
    0x07ffa006,0x5c3ffe00,0xffa804ff,0x3a003ffd,0x0effebae,0xff13ffc8,
    0x5f37f00f,0x4dff1000,0x26002ffd,0x4fffcadf,0xf8ffee00,0xff91007f,
    0x5dffffff,0x3e201ffd,0xfe9807d2,0xffffffff,0xff7003ff,0x1dfd0005,
    0x8027fc00,0x50002ffa,0x00d54c55,0x7fe57fe2,0x18835001,0xaa86aa60,
    0x3e8fc402,0x4c555000,0x2a2000aa,0x260004c0,0x00aaa1aa,0x3fffffa6,
    0xffffffff,0x1f4be201,0x33ffffa0,0xffffecab,0x009d7001,0x2000de98,
    0x53002ff9,0x66644003,0x41666402,0x06aa0aa9,0x5c03ccc8,0x666442cc,
    0x3fbfa002,0x665c0001,0x65c0001c,0x999001cc,0x99999999,0x3ffa0599,
    0xffdbacff,0xfc803fff,0x3ff200ff,0xfff900ef,0x0000000d,0x703fee00,
    0xc8805999,0xfff10ccc,0x24fff809,0xcccccccc,0x7c2ccccc,0x3fa01fff,
    0x1fffcc4f,0x4ffff880,0x3ffe2000,0x3e20004f,0xf8804fff,0xffffffff,
    0xfc84ffff,0xfe880eff,0x051006ff,0x00ffff88,0x5017fff4,0x00159bb9,
    0x0159bb95,0xff50ffb0,0x7fe401ff,0x13ffe24f,0x3e29fff0,0xffffffff,
    0x7fc4ffff,0x3ffa06ff,0x01fffcc4,0x0fffffc8,0xffff9000,0x3f20001f,
    0x4400ffff,0xffffffff,0x444fffff,0xf900ffff,0x5403ffff,0xa80acddc,
    0xf9804fff,0xffe884ff,0x103fffff,0xfffffffd,0xb05ff807,0x3e609fff,
    0x3fe20fff,0xa7ffc04f,0xfffffff8,0x44ffffff,0xd03fffff,0xfff989ff,
    0xfffff003,0x3fe0007f,0x0003ffff,0x07ffffff,0xccefff88,0x2ccccccc,
    0xb81fffd4,0x85fffdff,0xffffffe8,0x0fffdc3f,0xd85fff80,0xffffffff,
    0xffffd82f,0x302fffff,0x3fe207ff,0xfffd81ff,0x027ffc42,0x7fc53ffe,
    0xccccccef,0x7ffc2ccc,0xffe80fff,0x01fffcc4,0x7fffffd4,0xfffa8006,
    0xa8006fff,0x06ffffff,0x0027ffc4,0xa81fffb8,0x6fff8dff,0xffffffd8,
    0x3ff62fff,0xfffd000f,0x88afffa8,0x7d44fffa,0xffa88aff,0x03ff704f,
    0x2a2fffdc,0xff885fff,0xa7ffc04f,0x0004fff8,0x0bffffff,0xff989ffd,
    0xeffd803f,0x4001fffb,0xfffbeffd,0x77fec001,0x2201fffb,0xb0004fff,
    0xff981fff,0xf51fffe6,0xff5115ff,0x03fff49f,0x441fffb0,0x5ffe83b9,
    0x7f41dcc4,0x00ffb05f,0x7f45fffd,0xfff880ff,0x8a7ffc04,0xf0004fff,
    0x83ffffff,0x7fcc4ffe,0x7ffc403f,0x004fff8b,0x3e2fffe2,0x3e2004ff,
    0x4fff8bff,0x013ffe20,0x263fff40,0x3ff60eff,0x20ee620f,0x3ff65ffe,
    0xfffd000f,0x3ffee600,0xfff73005,0x2017fe0b,0xff76fff9,0x3ffe207f,
    0x8a7ffc04,0xf0004fff,0x8dfff9ff,0x7fcc4ffe,0x7ffdc03f,0x001fffd0,
    0x7f43ffee,0xff7000ff,0x03fffa1f,0x556fffc4,0x82aaaaaa,0xff10fffd,
    0x07ffe81f,0x4bfff730,0xf001fffc,0x3ae60dff,0x05ffffff,0xfffffd73,
    0x07ff10bf,0x3f3fff20,0x3fe206ff,0xa7ffc04f,0xaaadfff8,0xf82aaaaa,
    0x3fffcaff,0xff313ffa,0x6ffe807f,0x400fffea,0x3fea6ffe,0xdffd003f,
    0x881fffd4,0xffffffff,0xfc87ffff,0x1ffe89ff,0x7306fff8,0xbffffffd,
    0x0417ffdc,0x3217ffe2,0xfedfffff,0xffffc85f,0xa85ffedf,0x3fa001ff,
    0x201fffff,0x7c04fff8,0xffff14ff,0xffffffff,0xd15fff0f,0x3ffa1fff,
    0x01fffcc4,0x7c47fff3,0xff9806ff,0x1bffe23f,0x88fffe60,0xff106fff,
    0xffffffff,0xfff70fff,0xf105ffb7,0xfff90bff,0x4bffdbff,0x7c46fff9,
    0x87fff91d,0x361cfffb,0x7ffdc5ff,0x217ff61c,0x7d4007fc,0x4404ffff,
    0x3e204fff,0xffff14ff,0xffffffff,0x2a5fff0f,0x9ffd5fff,0x203fff98,
    0x7ec0fffc,0x7fe401ff,0x0fffec0f,0xb03fff20,0xff103fff,0xddddddff,
    0xfff30bdd,0x3f205fff,0x7ffdc4ff,0xd17ff61c,0x7fdc5fff,0x40ffffdf,
    0xffe85ffe,0x742fff45,0x05fe85ff,0x0efffd80,0x027ffc40,0x3e29fff1,
    0xeeeeefff,0xfff85eee,0x3abfff62,0x7ffcc4ff,0x2bbffe03,0x4fffcaaa,
    0x5577ffc0,0x04fffcaa,0x55577ffc,0x884fffca,0x20004fff,0x103ffffd,
    0xfe81ffff,0x45ffe85f,0x50cffff9,0x07fffffd,0xff98bfff,0x22fffc6f,
    0x7c46fff9,0xff98003f,0xfff8803f,0x53ffe204,0x0004fff8,0x7fc45fff,
    0x4c4ffeef,0xff503fff,0xffffffff,0x3ea01fff,0xffffffff,0xf500ffff,
    0xffffffff,0xf881ffff,0x260004ff,0x541dffff,0xff83ffff,0x37ffcc5f,
    0x77ffffe4,0x0ffffffe,0xc9cfffc8,0x7e46ffff,0xfffc9cff,0x00ffd46f,
    0x01fffcc0,0x2605fff8,0xfff13fff,0x3ffe0009,0x7ffffdc2,0x1fffcc4f,
    0xffffffe8,0x3fffffff,0xffffffd0,0x7fffffff,0x3fffffa0,0xffffffff,
    0x027ffc43,0xfffff700,0xfffffdff,0x33fff20d,0x06ffffc9,0xfffffff5,
    0x87ffffff,0xfffffff8,0x7fc47ffe,0xffefffff,0x0007fe47,0x801fffcc,
    0xf902fffe,0x3ffe25ff,0x5fff0004,0x9fffffd0,0x983fff98,0xeeeeefff,
    0x86fffeee,0xeeeefff9,0x6fffeeee,0xeeefff98,0xfffeeeee,0x027ffc46,
    0xffeffa80,0xffffffff,0x3fffe204,0x07ffefff,0x3ffffb22,0x4ffffdde,
    0x4f7fffd4,0x7d42fff8,0xff89efff,0x001bfa2f,0x801fffcc,0x10aefffb,
    0x221ffff7,0xf0004fff,0xfff305ff,0xfff989ff,0x01fffc83,0x320fffec,
    0x7ec01fff,0x7ffe41ff,0x0fffec01,0x333bfff1,0x83333333,0xffc88efe,
    0x801dffff,0x89effffa,0x33002fff,0x00ffea81,0x33000133,0x006aa001,
    0x01fffcc0,0xffffff88,0x24ffffff,0x999dfff8,0x41999999,0xff902fff,
    0xfff989ff,0x806fff83,0x7fc4fffa,0xfffa806f,0x4037ffc4,0x3e24fffa,
    0xffffffff,0x7447ffff,0x00099880,0x00001330,0x00009700,0x00000000,
    0x800fffe6,0xffffffe9,0x3e20dfff,0xffffffff,0x7fc7ffff,0xffff102f,
    0x43fff989,0xf003fffa,0x3fea1fff,0xffff003f,0x00fffea1,0xf887fffc,
    0xffffffff,0x0007ffff,0x00000000,0x00000000,0x30000000,0x88007fff,
    0xeffffffd,0xfffff883,0xffffffff,0x7017ffc7,0xff989fff,0x07ffec3f,
    0xb3fffc80,0x32001fff,0xfffb3fff,0x3fff2001,0xffffff13,0xffffffff,
    0x00000000,0x00000000,0x00000000,0x0fffe600,0x00999800,0x7fffffc4,
    0x7fffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ddd9000,0x5906a600,0xdd737740,
    0x6f6dcc05,0xeee9800c,0xddd10001,0x37bb6007,0x92f74400,0x664c03dd,
    0xa880510c,0x2000ccdc,0x2e02eee9,0x36201ced,0x4153002e,0x7dd501c9,
    0x2600776c,0x07bae3ee,0x4007775c,0x3ea05eec,0xfb806fff,0x02fdbeff,
    0x3ffc9ffe,0xffffff70,0xdff7003f,0x17ff2000,0x2ffffdc0,0xfd9bfe20,
    0x7ffdc02f,0x3fea06fc,0x004fffff,0x7f409ffb,0xf701ffff,0xfffb001f,
    0x2a01fd7b,0x03ffe4ff,0x7f45ff70,0x13ff600f,0x20bffa20,0x4ffadff8,
    0x7ffeff40,0x9ffe00ff,0xffa83ffc,0x05ffffff,0x8003ff90,0xf3006ff8,
    0x407ff79f,0x3ff66ff8,0x4fffa802,0x3ffffea0,0x4401ffff,0x3fea05ff,
    0xf886ff9c,0xdef8803f,0x2a06ffff,0x03ffe4ff,0x7fc3ff90,0x00ffd806,
    0xec86ff88,0x201dd70d,0x032e63e8,0x4cc43330,0x90effe80,0x32003fff,
    0x6f54003e,0x21bd9000,0x26600dec,0x88026620,0x80fffefc,0xa8bffff8,
    0x75c06ffe,0xd87fec05,0x07fdc0ff,0x7950f4c0,0x304cc401,0x4ffd0033,
    0xd8805ff9,0x1dd3002e,0x00000000,0x1fffc000,0x0003fff3,0x00000000,
    0x75c00000,0xf70bff72,0xdef983ff,0x7fe80001,0xff887ff2,0x00000003,
    0x54bff000,0x000003ff,0x59bb9500,0x9bb95001,0xbb950015,0x3ffe0159,
    0x201ffee2,0x001bccb9,0x00379973,0x006f32e6,0x00de65cc,0xffd8aa88,
    0x0837fe43,0x2bcca880,0x7fe4ffd0,0x0003fee1,0x00579951,0x40af32a2,
    0xfffffffd,0x10ffffff,0x55301555,0x882aaa05,0xfffffffe,0xffffd103,
    0x3a207fff,0x3fffffff,0xff17ffc4,0xfffb809f,0x7dc05fff,0x405fffff,
    0x5ffffffb,0x7ffffdc0,0x3ff6205f,0x20fffeff,0x88005ffd,0xdffffffe,
    0xfd87fec0,0x007ff10f,0x7fffff44,0xffd100df,0xd81bffff,0xffffffff,
    0xf30fffff,0xfff705ff,0x6c5fff10,0xffffffff,0xffffd82f,0xd82fffff,
    0xffffffff,0x4bffe62f,0x3200fffa,0xffffffff,0xfffff906,0x3f20dfff,
    0x6fffffff,0xffffff90,0xfff10dff,0xdfffffff,0x2002fff4,0xffffffe8,
    0x3fea0fff,0x3ee6ffac,0xffd1000f,0x1fffffff,0xfffffe88,0x3b20ffff,
    0xfeeefffe,0xff30eeff,0x0fff705f,0x3ea5fff1,0xffa88aff,0x57ffd44f,
    0x44fffa88,0xa88afffa,0x3fe64fff,0x40fffb2f,0xb89dfff9,0x7fcc2fff,
    0xfffb89df,0x4efffcc2,0x4c2fffb8,0xfb89dfff,0x7ffec2ff,0xfffffcbf,
    0x020dffb0,0x5577fff4,0x7f45fffe,0xff12ffff,0x7fff4007,0x5fffeaae,
    0x5577fff4,0xfd05fffe,0x4c27fccf,0xffb82fff,0x12fff887,0xbffd0773,
    0xfe83b988,0x41dcc45f,0x3fe65ffe,0x07fffb2f,0xfb03fff6,0x0fffd8df,
    0x3f637fec,0x37fec0ff,0xfb03fff6,0x2fffd4df,0x647fffa2,0x7fc40fff,
    0x09fff32e,0xeb85fff9,0x03ff21de,0x427ffcc0,0xff32fffc,0x5fff909f,
    0x3ea5ff88,0x2fff983f,0xf887ffb8,0x7dcc02ff,0xf73005ff,0x2e600bff,
    0x3fe65fff,0x5ffff32f,0xf50bffd0,0x2fff41ff,0xfd07ffd4,0x1fff50bf,
    0x7d42fff4,0x5fff90ff,0x2a7fff50,0x3ee0dfff,0x3fff92ff,0x009fff30,
    0xfea8ffe2,0x3fff20df,0x94fff981,0xff303fff,0x24ff989f,0xff981ffc,
    0x87ffb82f,0x5cc2fff8,0x5ffffffe,0xffffd730,0x3ae60bff,0x25ffffff,
    0x3ee2fff9,0x7ffc1fff,0xffeeeeee,0x3bbffe1f,0x1fffeeee,0x3bbbbffe,
    0x3e1fffee,0xeeeeeeff,0xfffd1fff,0xd97ffe20,0xffedffff,0x81fffa6f,
    0xf9005fff,0x3fffee1f,0x81fffa6f,0xfffd5fff,0xaaafffc0,0xfeaacffc,
    0x3fe62abf,0x87ffb82f,0x3f22fff8,0xffedffff,0xfffffc85,0xfc85ffed,
    0xffedffff,0x90bffe65,0x3e21ffff,0xffffffff,0xfff11fff,0xffffffff,
    0x3fffe23f,0xffffffff,0xffffff11,0x23ffffff,0x3fa06ffe,0x3fffa26f,
    0x3a1fffff,0x3ffa05ff,0x24ff8806,0x3ffb8eff,0x7f40bffd,0x40bffd6f,
    0xfffb6ffe,0xffffffff,0x3ffe61ff,0x887ffc82,0xfff72fff,0x22ffec39,
    0x361cfffb,0x7ffdc5ff,0x997ff61c,0xffc82fff,0x273ffe4f,0x09999999,
    0x26673ffe,0x3e099999,0x99999cff,0x3ffe0999,0x9999999c,0x01fffb09,
    0xf909fff1,0xc81bffff,0xff880fff,0x0ffc805f,0x3fe69ff1,0x101fff95,
    0x3ff2bfff,0x5fff880f,0xfffffffb,0x21ffffff,0xfc82fff9,0x2fff887f,
    0xffd0bffd,0xe85ffe8b,0x2fff45ff,0xff32fff4,0x9bffa05f,0x00886ffe,
    0x0110dffd,0x0221bffa,0x04437ff4,0x5c17ffe4,0xfb303fff,0x3ffea05d,
    0x03fffa82,0xff327fc4,0xffab7fc7,0x3fffa82f,0xf505fff5,0x3feea7ff,
    0xacffcaae,0x0fffe22a,0x3e21fff6,0x8bfff2ff,0x7fc6fff9,0x37ffcc5f,
    0xff317ffe,0x17ffccdf,0xf937fec5,0x5ffd83ff,0x360fffe4,0x7ffe45ff,
    0x322ffec1,0x7fec1fff,0x87bffe65,0x700fffea,0xf305ff99,0x7f4c3dff,
    0x7fe400ff,0x7c4ffe60,0x3dfff35f,0x987fff4c,0x3a61efff,0x3fe60fff,
    0xf807ff24,0x7ffcc5ff,0x92fff887,0xff939fff,0xfffc8dff,0x6ffffc9c,
    0x64e7ffe4,0x3e66ffff,0xdefd9aff,0x3fe24fff,0xfffdbdff,0x6ffffc42,
    0x442fffdb,0xfdbdffff,0x7ffc42ff,0x2fffdbdf,0x76ffffe4,0x9003ffff,
    0x3fff20bf,0x3ffffeef,0x2227fc40,0x49ff35ff,0xfeeffffc,0x7fe43fff,
    0xffffeeff,0xfb17fdc3,0xdfffe80f,0x87ffffdb,0xff12fff8,0xffdfffff,
    0xfffff88f,0x447ffeff,0xefffffff,0x3ffe67ff,0xffffff8a,0x7fffcc0f,
    0xf304ffff,0x9fffffff,0x3ffffe60,0xff304fff,0x09ffffff,0x3ffffff6,
    0x266a04ff,0x3ee02ffb,0x4fffffff,0xe80ffc80,0x42ffdbff,0xfffffffb,
    0xffff704f,0xf909ffff,0x2037fc1f,0xfffffffa,0xff887ffb,0x3fffea2f,
    0x42fff89e,0x89effffa,0x7fd42fff,0xfff89eff,0x265fff32,0x100efffd,
    0x07bffffb,0xdffffd88,0x7ffec403,0x7ec403df,0x5403dfff,0x01effffe,
    0x027ffffc,0x77fffed4,0x04ff8801,0x0bfffff3,0x3bffff6a,0x7ffed401,
    0x4ffd01ef,0xea804ff8,0xff98dfff,0x82fff887,0x99800099,0x00998000,
    0x40013000,0x03100018,0x40006200,0x03300018,0x000cccc0,0x75400188,
    0x336e200e,0x00031002,0x8aaa0062,0x22001aa8,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x55400000,0xadc9801a,0x802eb800,0x0dd801ed,0x6c00f6c0,0xdb71000d,
    0x4c00039d,0x75402eee,0xdd3001ee,0x200776c9,0x2605eed8,0x355502aa,
    0x802f76c0,0x000acba8,0x00159951,0x55459b73,0x4c55510a,0xaa981bdb,
    0x027ff402,0x01fffff2,0xfd880df1,0x027d401f,0xa803ffb1,0xfff5004f,
    0x0007ffff,0x64013ff6,0xff5004ff,0x2007ff4b,0x904ffffd,0x3ffe0fff,
    0x9ffff904,0xffffe980,0x7ffdc02f,0x3ee03fff,0xff8effff,0xb1fff31f,
    0xc87fffff,0x7ff407ff,0x22bfe204,0x0bf203ff,0x01ffffb8,0xffb807f4,
    0x07f401ff,0x6ffffc40,0x4001fffe,0x6c004ff9,0xffa800ff,0xa803ffa5,
    0x81ffdbff,0xfff07ffc,0xf97ff509,0x3ffe605f,0x902fffff,0xffffffff,
    0xfffff705,0x23fffdff,0xfffefff9,0x3f23ffff,0x27ff407f,0x17fd44c0,
    0x77405f98,0x3ee01ffb,0x3fefba03,0x400fee01,0x3f61fffa,0x275c004f,
    0x802ed800,0x06620998,0xdb14ed88,0x20fff90b,0x5ed84fff,0x7fe417b6,
    0x86ffebbf,0xfbaefff8,0x7ffc46ff,0xfffea8cf,0xdffff31f,0x1ffff935,
    0x3101fff2,0x3ff20013,0x3007f605,0x7c407fe2,0x1ff88c06,0x5400df10,
    0x3fee1fff,0x00000005,0x00000000,0x7c1fff20,0x880004ff,0x3fea3fff,
    0x07ffdc2f,0x7dc3fff5,0xffff83ff,0x70ffff31,0x26627fff,0x01665401,
    0xa83ffcb8,0x3fe2004f,0x2005f901,0x5f901ff8,0xafffc400,0x2202fff8,
    0xaa980aaa,0x2f32a202,0x01555102,0x55445553,0x22aa980a,0xfff07ffc,
    0x2f32a209,0x81fff702,0x65445ffe,0x917ffcc3,0x3ff20fff,0x0bfff31f,
    0x0009fff3,0x08809ffb,0x03fa1fee,0x981ff880,0x3fe2005f,0x8005f981,
    0xfffcfffd,0x3ffe600e,0x887ffb82,0xdffffffe,0x417ffcc0,0x3fe67ffb,
    0x27ffb82f,0xfff07ffc,0xffffe889,0x7fe40dff,0x006ffd87,0xfd83fff2,
    0x3fff506f,0x7c0fffe6,0x744005ff,0x3fe602ff,0x3fb8dfb1,0x40ffc400,
    0x3e2001fd,0x001fd81f,0xffffff88,0x7ffcc00e,0x447ffb82,0xfffffffe,
    0x3ffe60ff,0x267ffb82,0xffb82fff,0x7c1fff27,0x3ffa24ff,0x0fffffff,
    0x3f21bff2,0xffdb806f,0x837fec3f,0xff31fff9,0x1bff605f,0x01fffb00,
    0x2fffffd8,0x22001be2,0x027d41ff,0xf507fe20,0x3fa20009,0xf3005fff,
    0xfff705ff,0xaaefffe8,0x3e65fffe,0x7ffb82ff,0x2e0bffe6,0x1fff27ff,
    0xffd27ffc,0xfffd55df,0x6437fecb,0x7fc407ff,0x6ffc82ff,0x263fff50,
    0xffd03fff,0x3ff6200b,0xeda8803f,0x0017e41b,0x3fa0f744,0x0f744000,
    0x2a0003fa,0x0effffff,0x82fff980,0x3fe67ffb,0x2fffc84f,0xf705fff3,
    0x17ffccff,0xff93ffdc,0x4fff983f,0xf909fff3,0x1bffa5ff,0x9803fff2,
    0xfb84ffff,0xfffd80ff,0x10bfff31,0xd1009fff,0x00009fff,0x3fd41be2,
    0xb88fee00,0x2e002dfd,0x70ff503f,0xfffdffff,0xf306f6ab,0xfff705ff,
    0x4c0fffe4,0xfff34fff,0x4cfff705,0xffb82fff,0x837fff27,0xff94fffd,
    0x9fff303f,0x3f21bffa,0x2ee600ff,0x3e61efff,0x3fee0dff,0xffff31ff,
    0x8fffec47,0x7fec4cca,0x3600004f,0x07ff981f,0xffb1fe20,0xf1005ffd,
    0x11ffe60f,0xfd11dfff,0x8bffb7ff,0xfb82fff9,0x81fffa7f,0xfff35fff,
    0x4cfff705,0xffb82fff,0x3fffff27,0xd4ffffec,0x7ffc0fff,0xf90dffb5,
    0xffe800ff,0x67fffec4,0x31fffffe,0xf9ffffff,0x7fe4bfff,0x00fffea7,
    0x885f9800,0x32007ffe,0x647fe62f,0x82fc806f,0x7d47ffe8,0x3ffe21ff,
    0x7cc2ffff,0x7ffc82ff,0xfe817ffa,0x05fff36f,0x7fccfff9,0x27ffc82f,
    0xfffefffc,0xffd4ffef,0xcb7ff40b,0x6ffc86ff,0x23ffe400,0xfffffff8,
    0xff31fffd,0xffffffbf,0x93ffe41d,0x4d540dff,0xd01fd000,0x2200ff9f,
    0x3f61886f,0xd837c406,0x7fec7fcf,0xfffffa86,0x17ffcc0f,0xff93ffe4,
    0xbfff101f,0x320bffe6,0x3ffe67ff,0x327ffc82,0xbfff9fff,0xfff94ffc,
    0x2bfff101,0xffd87ffc,0xfa819885,0x7fec41ff,0x1fffaaef,0xff35fff3,
    0xffc81bff,0x4c1bff27,0xfa802fff,0x7f9bfc84,0xc803fb00,0x0fec01ff,
    0x23fce7e4,0xfb80fffd,0xff884fff,0x27ffd83f,0xfa82fffa,0x7fff13ff,
    0x7c4fffb0,0x7ffd83ff,0x0099fff2,0x2a0bffea,0xfff53fff,0x744fff83,
    0xfffd85ff,0xffa82600,0x45fff31f,0x2a6f8018,0xffd82fff,0x40fe800f,
    0x9ffa9efb,0x8817e600,0x7cc03ffd,0xfa9efb85,0x9fff709f,0xfffffd88,
    0x4c5fff83,0x3fe67fff,0x3ffa61ef,0x317ffe0f,0xfff8ffff,0x93fffcc5,
    0x7cc00fff,0x3fa61eff,0x97ffe0ff,0x7e41fffb,0x3ffe62ff,0x7ffd4006,
    0x005fff31,0x7ff44fa8,0xffffcbef,0xd83fb804,0x2fffffff,0x74403fa0,
    0x0fe801ff,0xffffffd8,0xfffff12f,0xffffffd9,0x7ff41bff,0xffffdbdf,
    0x77fffe47,0x743ffffe,0xffdbdfff,0x7fff47ff,0x7ffffdbd,0x9001fff2,
    0xffddffff,0xfffc87ff,0x885fffde,0xffeeffff,0x7d4001ff,0x5fff31ff,
    0x207fdc00,0xffffffe8,0x6f8804ff,0xffb99970,0x813ea039,0x02aacffe,
    0x332e09f5,0x2a1cffdc,0xffffffff,0x45fffcdf,0xfffffffa,0xffb87ffb,
    0x84ffffff,0xfffffffa,0x7fd47ffb,0xffbfffff,0x001fff27,0x3fffffee,
    0xffe884ff,0x501fffff,0xffffffff,0xfff50007,0x00bffe63,0x3ee00db8,
    0x002effff,0x3e6005f9,0xa807f407,0x07ffffff,0x3e6001fd,0xffffb107,
    0x077cc5df,0x46ffff54,0xfb507ff9,0x5403dfff,0xf98dfffe,0xfffea87f,
    0x327ff98d,0xb50007ff,0x803dffff,0x00dffffc,0x77ffff4c,0xfff50001,
    0x00bffe63,0x00cc4000,0x8800f220,0x80b2604c,0x4cccccca,0x22002c98,
    0x0198804c,0x00310022,0x44001880,0x00310001,0x00006662,0x06200062,
    0x0004cc00,0x33066620,0x00000013,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x53000000,0x55555555,
    0x37b6a200,0xca88001b,0x0555300b,0xa981554c,0x88001bcc,0x001bdeda,
    0x009bca98,0x33bb2e60,0x013b600b,0x03332200,0xdedb8800,0x9930001c,
    0x664c0039,0xdb95100c,0x6644079d,0x1666402c,0x3fffff60,0x75c06fff,
    0xffffffff,0xffff9004,0xfffb83bf,0x909fff01,0x1bffffff,0xffffd700,
    0x2009ffff,0x1efffffc,0xfffffc80,0xdfb03fff,0x7cc26400,0xf50001ff,
    0x07ffffff,0x05fff500,0x40fffd40,0xfffffff9,0xfff882ff,0x027ffc04,
    0x3ffffffe,0xffb106ff,0x3f6e237b,0x3ff600ef,0x20ffffff,0xf984fff8,
    0x7ffe41ff,0x205fffff,0x11bdffd8,0x401dffb7,0xfffffffd,0xfffd302f,
    0x9fffffff,0xa801ff70,0xfff984ff,0xfffa8001,0x02ffffff,0x017ffd40,
    0xa83fff50,0xffffffff,0x7fc41fff,0x27ffc04f,0xffffff10,0x3f60dfff,
    0x77f4401f,0xaefffb80,0x7ec5fffc,0x46ffc87f,0xd9aefff8,0xffb02fff,
    0x0efe8803,0xdbefffa8,0xffd06fff,0xffd959df,0x2ff983ff,0x4c27ffc0,
    0xe8001fff,0xfff52eff,0xfffa800d,0x3ffea002,0x5effff41,0x47fffeb9,
    0x7c04fff8,0x3fe604ff,0x4ffdc007,0x20aaaaaa,0xffe85fe8,0x2a3ffe45,
    0x7ffc1fff,0x20fffd44,0xffb83fff,0x882b2a21,0x6ffe85fe,0x2e17ffdc,
    0xfb80dfff,0x04ff85ff,0x7cc27ffc,0x7c4001ff,0x7ffdc2ff,0x3ffea000,
    0x3ffea002,0x40fffe21,0x3e21fffe,0x7ffc04ff,0x01bfee04,0x3ff63ff0,
    0x3a24ffff,0x07ffea0f,0x3ffe0331,0x507ffe64,0x9ffb0fff,0x7fcc3ff0,
    0x3fa24fff,0x2227ffc0,0x7ffc5fff,0x37ffa00f,0xa9837ec0,0x262adfff,
    0x7b951fff,0x03ffe603,0xa8001351,0xdb982fff,0x43fff52c,0xd502fffa,
    0x7ffc45dd,0x027ffc04,0x15519ff9,0x7fb2fcc0,0x5c3ff753,0x01ffee2f,
    0xfc9fff20,0x1fff886f,0xf307ffe2,0x5ceffcc9,0x88bee2ff,0xffe82fff,
    0x00fffe66,0x07fdc033,0x7fffffe4,0x3abffe67,0x883fffff,0x00001fff,
    0xf90bffea,0xff7bffff,0x7fffc43f,0x3fe2000b,0x27ffc04f,0xffffffd0,
    0x45f701bf,0x31fec1fd,0x47ffe4bf,0x2602dffd,0x7fff1fff,0x2f3fff20,
    0x2fb86ffe,0x47d513f2,0x1fffc5f9,0xff53fffc,0xf980005f,0xffffc82f,
    0x3ffe67ff,0xffffffff,0x003fff83,0x8bffea00,0xfffffffc,0x7f41ffff,
    0x01bdffff,0x2027ffc4,0x3fe04fff,0xffffffff,0x3fb07ec0,0x9fe0ffc4,
    0xfffffffd,0x3ffa04ff,0x200fff9c,0x4ffffffb,0x17f41fb0,0x7ff47f80,
    0x87fffcc6,0x0001fffc,0xfa984ff8,0x3e62adff,0xfc89dfff,0xff970fff,
    0x005999df,0x897ffd40,0xea8bffff,0x7c41ffff,0xffffffff,0x4fff880c,
    0x9827ffc0,0xffbdffff,0x3637c5ff,0x84ffffff,0xffffd1fc,0x07ffffbf,
    0x3ff3ffee,0x7fffdc05,0x26f80dff,0xfb000ff8,0x45fffdc3,0xb1ffffd9,
    0x00001fff,0x7ffc0dfb,0x87fff984,0xffd3fffa,0x09ffffff,0x97ffd400,
    0xfe82fffc,0xffd881ff,0x0effffff,0x2027ffc4,0x97104fff,0x1fffd83b,
    0xfddfb1fa,0x743f603f,0xfb10efff,0xfff101ff,0x7e405fff,0xefffcdff,
    0x3ff13f40,0xfd03fa00,0xffffffff,0x03fff21f,0x03fee000,0x7cc27ffc,
    0x9fff04ff,0x3ffffffa,0x2a0004ff,0xfffb2fff,0x03fff701,0x7ffff5cc,
    0x3fe20fff,0x3ffe204f,0xfff50004,0x3fb0fe45,0x9be03fee,0x7d43fffd,
    0xfffb01ff,0x7ffd40ff,0x913ffa21,0x261ff43f,0x221be21c,0xfdeffffe,
    0x07ffee7f,0x07fe6000,0x7cc27ffc,0xbffd02ff,0x2fffea62,0x2a000099,
    0xdffd2fff,0x007ffea0,0x7fffed44,0x813ffe23,0x0004fff8,0x7d49fff1,
    0x5fd87f63,0xfff927cc,0x02fff881,0x409ffff5,0xffc86ffc,0xdf91fd47,
    0x9f527ec1,0x645e6540,0x3ffea7ff,0x100e5402,0x3ffe07ff,0x02fff984,
    0xffa8dffd,0xa808000f,0xbffd1fff,0x887ffea0,0x3fe60199,0x13ffe25f,
    0x804fff88,0x23fff980,0x887f66f8,0xb87f22ff,0x7fc42fff,0x3fffe02f,
    0x213ffa01,0x3e21fffa,0x7fefff46,0x2000fe46,0x3fe66ffd,0x7fff406f,
    0x3e0bfd01,0xfff984ff,0xc89fff04,0x3aa006ff,0x7ffdc0ff,0x320fffb0,
    0x3ffa1fff,0x1fffa00f,0x7cc0bfff,0xfff903ff,0xe85fff70,0xfc83fb5f,
    0xffa8ff76,0x0fffd44f,0xd80dffd0,0xfffc87ff,0x3f22ff40,0x1fee1cff,
    0xff10f2aa,0x2fffd89f,0x40dfff50,0x9fff07fc,0x10bfff30,0x7fcc7fff,
    0x3fea001f,0x93ffe42f,0xfff01fff,0x1fffe43f,0x745fff88,0xff902fff,
    0x3ffee05f,0x03fffa23,0x2e00bff1,0xfffe82ff,0x403fff61,0x6403fffa,
    0x3fa22fff,0x85ff886f,0xc82ffb80,0xffb10fff,0xffff881f,0xffff930b,
    0x40ffd407,0xff984ffe,0x3ff622ff,0x7bfff11f,0x2614c359,0xff52efff,
    0x2fffd4ff,0xa87fffee,0x511bffff,0xfb87fffd,0xf710aeff,0x3e201fff,
    0xfffcefff,0x3bff503f,0x40fff260,0xffdffffa,0x7ed5c3ff,0x7cc00fff,
    0xfffdefff,0x3bff503f,0x40fff260,0xffdffff9,0xfff704ff,0xffffffff,
    0x83ff880b,0x30edfffe,0xf9bfffff,0x7fecbfff,0xffffffff,0x7fff40ff,
    0x42ffffff,0xfecefffe,0x7ec1ffff,0xfffeffff,0x7fc40fff,0xffffffff,
    0x7fcc04ff,0x04ffffff,0x5effff4c,0x402ffffd,0xfffffffc,0xfffffe85,
    0xffff5004,0x980bffff,0xfdbdfffe,0x7e402fff,0x0dffffff,0x3ffffea0,
    0x800effff,0xfffc85fe,0x7fff30ff,0x1dffffff,0x7fffffcc,0x44ffffff,
    0xfffffff9,0xffff984f,0x1fffbfff,0x7fffff44,0x300effff,0xfffffffd,
    0xb1001bff,0x005dffff,0x3fffb2a2,0xd5000bdf,0x3607ffff,0x4004ffff,
    0x3fffffd9,0xffd95100,0x20017bff,0x03effffb,0xffffdb10,0x3fe4005d,
    0x8ffffec4,0xffd57ff9,0x39fd01bf,0xfffffb95,0xffffb109,0x7fec407b,
    0x1fff89ef,0xfffffd50,0xfd88019d,0x03efffff,0x00003300,0x88000351,
    0x55544009,0x26620000,0x0d440000,0x00266000,0x00019880,0x04c40553,
    0x00803100,0x19800cc4,0x00009800,0x30000ccc,0x00000133,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4c000000,0x02bceeca,0xeedb9880,0xdb9800bc,0x002aaa2c,0x8007332e,
    0xcc83eee9,0x3b60002c,0x81332e4e,0x3320cccb,0xcccccccc,0xbb9502cc,
    0x99990059,0x01357999,0x21665400,0x5552ccc8,0x55555555,0x47332215,
    0x2000ccc8,0xbdd12eeb,0x65473322,0xffb100cc,0x1bffffff,0x3ffff200,
    0x204fffff,0x9dfffffc,0x7c400fff,0xd1004fff,0x7c43ffff,0xf30004ff,
    0x7ffdc1df,0x25fff882,0xfffffff8,0x4c4fffff,0xeffffffe,0xfffff102,
    0x07ffffff,0x87fff300,0xffd3fff9,0xffffffff,0x4bffe23f,0x2001fff9,
    0xdff13ffc,0x7e4bffe2,0xfff980ff,0xffffffff,0x3ffa202f,0xffffffff,
    0xffffc85f,0x0fffefff,0x7ffffe40,0xe9ffd800,0x9fff10ef,0x07ff6000,
    0x3f21bffe,0x3ffe21ff,0xffffffff,0x3fffe64f,0x82ffffff,0xfffffff8,
    0x00efffff,0x30ffffa0,0x3ffa7fff,0xffffffff,0x25fff11f,0x2001fff9,
    0xdff13ffc,0x7e4bffe2,0x7ff440ff,0xfecabcff,0xffb01fff,0xfd9579ff,
    0x7fc47fff,0xffea8bff,0x7ffc00ff,0x74c03fff,0x227dd33e,0x88004fff,
    0xfff701ee,0x22fffc45,0xcccefff8,0xf12ccccc,0xd5117fff,0xff881fff,
    0xfeccccef,0xf9004fff,0xff987fff,0xfffffd3f,0x21ffffff,0xff32fff8,
    0x4cc4003f,0x77442660,0x81fff92e,0x900efffc,0xff70bfff,0x3ff203df,
    0x0bfff27f,0xa803fffe,0x06ffffff,0xffff1000,0x19ffffff,0x37ffc000,
    0xf883fff7,0x3ea004ff,0xfff983ff,0x827ffc42,0x401fffe9,0x43fffff9,
    0x8803fff9,0x3fe22fff,0x03fff32f,0x7e400000,0x3ffe20ff,0x7fff400f,
    0x00fffec2,0x7ec37ffa,0xfffd80ff,0x2fbff600,0x55001fff,0xffff8815,
    0xffffffff,0x700aaa82,0xfff13fff,0x09fff10b,0xd037f540,0xfff889ff,
    0x17ffea04,0x7fffffd0,0x803fff98,0x7fc44ffc,0x83fff32f,0x5501aaa9,
    0x21555015,0x3e60fffc,0xff9804ff,0x027ffc4f,0x37ff4044,0x100fffb8,
    0xfff17fff,0x5fff1009,0xffffff88,0x0fffffff,0xf80bffe2,0x1fffbdff,
    0x004fff88,0x17ffc400,0xd013ffe2,0x7fe40fff,0x7cc3ffec,0x7fcc03ff,
    0x97ffc40e,0x3ea1fff9,0xff880eff,0x97ffc42f,0x7fdc7ffb,0xdfff001f,
    0x0017ffcc,0x2a0bffd0,0xff700fff,0x03fffa1f,0x885fff10,0x74cc4fff,
    0x3fe23fff,0x3ffee02f,0xff105ffe,0x4400009f,0x7c40fffe,0x7fe404ff,
    0xd6ffa80f,0xfff987ff,0x40ffec03,0xff32fff8,0x3bffe63f,0x85fff100,
    0xff52fff8,0x00fffc8f,0x7dcfffd0,0x360001ff,0xfffb06ff,0xa9bffa01,
    0x7c403fff,0x7ffc42ff,0x4bfff104,0x64c2fff8,0xffffffdc,0x3fe22ccd,
    0xffffffff,0xffd3002f,0xfffba85f,0x7e41aaad,0x7ff441ff,0xf987ffd1,
    0x3fea03ff,0x25fff106,0xff89fff9,0x3fe200ff,0x97ffc42f,0x7fec6ff9,
    0x3fff6007,0x701fffb0,0x9fffffff,0x3e07fff2,0xff980fff,0x1bffe23f,
    0x885fff10,0x3fa04fff,0x0bffe27f,0xfffffff5,0x449fffff,0xffffffff,
    0xe8802fff,0xfff83fff,0x44ffffff,0x7e42fffb,0x30fffa4f,0x7f407fff,
    0x5fff102f,0x3fabffe6,0x7fc401ff,0x97ffc42f,0x7fec5ff9,0xfffd000f,
    0x5c0fffe4,0x4fffffff,0x265dfff3,0xc80ffffd,0x7fec0fff,0x3ffe201f,
    0x027ffc42,0x7fc4ffff,0x7fffd42f,0xffffffff,0x3ffffe24,0x02ffffff,
    0x817fff44,0xeeffffee,0x17ffdc3e,0xffe8dff5,0x81fffcc3,0x3e207ffa,
    0xffff32ff,0xf1007fff,0xfff885ff,0xfc89ff12,0xfff001ff,0x417ffd4d,
    0xfffffffb,0x3fffff64,0x80ffffff,0xaaaaefff,0x2204fffc,0x7fc42fff,
    0xbfff904f,0x2217ffc4,0xfffd9999,0x3e209999,0x99999dff,0x7fd40099,
    0x7ffc402f,0x8fffdc04,0x7f41fff8,0x1fffcc3f,0x2204ffe8,0xfff32fff,
    0x100dffff,0xff885fff,0xf713fe2f,0xff1005ff,0x1fffc4bf,0x7fd4ccc4,
    0x7fffec4f,0x40fffbef,0xfffffffa,0x00ffffff,0xf885fff1,0xedccceff,
    0x3e22ffff,0x4ccc42ff,0x999fffd9,0x13ffe209,0x0bff9000,0x809fff10,
    0x3fee7ffc,0xfffeeeef,0x7fff34ee,0x403fff30,0xff32fff8,0x05ffffff,
    0x442fff88,0x0ffa2fff,0x900dfff3,0xffe89fff,0x7ffc400f,0x53dfdb84,
    0xffe81fff,0xffffffff,0xff103fff,0xffff885f,0xffffffff,0x217ffc44,
    0xfffffffa,0x224fffff,0x40004fff,0xf8804ffd,0x7ffc04ff,0x3ffffee6,
    0x6fffffff,0xf707fff3,0xfff880df,0xb7ffff32,0x7c401fff,0x7ffc42ff,
    0x3fa0bfa2,0x3fe604ff,0x7ffe40ff,0x27ffd405,0x98fff700,0xeeeeefff,
    0x06fffeee,0xf885fff1,0xffffffff,0xfff883ff,0x7ffffd42,0x4fffffff,
    0x0013ffe2,0x10013310,0x7e409fff,0x3ffee3ff,0xffffffff,0x07fff36f,
    0xf880bffb,0x7fff32ff,0x8813ffe2,0x7fc42fff,0x2602622f,0x221dffff,
    0x883ffffb,0x109effff,0x29ffffb3,0xfc83defa,0x0fffe46f,0x207fff60,
    0x7c42fff8,0xaaacceff,0x0bffe201,0xffd99993,0x4459999f,0x40004fff,
    0xf8803cca,0xa9999dff,0x4c46fffd,0xff999999,0xfff309cf,0x807fff07,
    0xff32fff8,0x07ffe43f,0x442fff88,0x99952fff,0x3fffff20,0x6fffffff,
    0x3ffffea0,0xffffffff,0x7ffff32f,0x89fff975,0xfa806fff,0xfff884ff,
    0x027ffc42,0x017ffc40,0x22037fe4,0x40004fff,0xf8806ffd,0xffffffff,
    0x4001ffff,0x7fcc3ffe,0x17ffc43f,0x4cbffe20,0x3fe21fff,0x5fff105f,
    0xf72fff88,0x7ffd40ff,0x4fffffff,0xffffe980,0x0dffffff,0x7fffffec,
    0x3ea0ffff,0xfff003ff,0x2fff881f,0x0027ffc4,0x4017ffc4,0x7c406ffc,
    0x6c0004ff,0xff8806ff,0xffffffff,0xfe8002ef,0x1fffcc3f,0x1007ffe6,
    0x3fe65fff,0x0fffdc1f,0x2217ffc4,0xfff72fff,0xfffec880,0x22001dff,
    0xdfffffeb,0x3fff201c,0x6c0dffff,0xf9000fff,0xfff887ff,0x027ffc42,
    0x017ffc40,0x22037fe4,0x40004fff,0xf8806ffd,0xefffffff,0x3fa0003d,
    0x1fffcc3f,0x1003ffea,0x3fe65fff,0x86ffe81f,0x7c42fff8,0x0fff72ff,
    0x00009980,0x30001330,0x00013555,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x0001ccc8,
    0x5c40665c,0x3320cded,0x6666402c,0x66654004,0xcccccccc,0x2a1ccccc,
    0xcc8001aa,0xabcccccc,0x9999100a,0x6665c059,0x00f3323c,0x33225997,
    0xaabccccc,0x66666400,0x001acccc,0x4064c155,0xcccccccc,0x542ccccc,
    0xcccccccc,0x2204cccc,0x2202bcca,0x20002fff,0x7441fffb,0x3e1fffff,
    0x3ff605ff,0x7f4001ff,0xffffffff,0x2fffffff,0x10017ffe,0xffffffff,
    0xf109ffff,0x220bffff,0x3e5fffff,0x3fa01fff,0xfffff14f,0x07ffffff,
    0x3fffffe2,0x403fffff,0xfebdfffd,0x7ffffc40,0xffffffff,0x7ffffe44,
    0x7fffffff,0xffffff90,0x5fff103d,0x3ffe6000,0x7fffd41f,0x82fffc7e,
    0x002ffffc,0x7fffffd4,0xffffffff,0x3ffe2fff,0x7ffc4005,0xffffffff,
    0x7ffc44ff,0xfff507ff,0x7fffcbff,0x453ffa06,0xffffffff,0x440effff,
    0xffffffff,0xf106ffff,0x0dffffbd,0xfffffff1,0x89ffffff,0xfffffffc,
    0xc87fffff,0xffffffff,0x17ffc40f,0x7fffd400,0x07ffe41f,0xfc85fff8,
    0xe8002fff,0xfffc9eff,0xcccccccc,0x017ffe1c,0x99dfff10,0xffffd999,
    0x7ffffc41,0xffffc81f,0x3ffffe5f,0x229ffd03,0xccccefff,0x444ffffe,
    0xccccefff,0xa82ffffe,0x202f2a1e,0xcccefff8,0x42cccccc,0xccccccca,
    0x4c6ffffc,0xfdbbefff,0x7ffc44ff,0x3ff66002,0x7ec1ffff,0x17ffe06f,
    0x005ffff7,0x325fff50,0x7c000fff,0x7c4005ff,0x3fee04ff,0x3fffe22f,
    0xfffe83ff,0x3fffe5ff,0x4ffe80ff,0x2609fff1,0x3e21fffe,0xfff704ff,
    0x3e200009,0x000004ff,0xc81ffffb,0x7ff40fff,0x997ffc47,0xfff82cdb,
    0x531fffef,0x8355dffd,0x3fea5fff,0xfb0002ff,0x07ffe4ff,0x017ffe00,
    0x409fff10,0x3e23fff9,0x445ffdff,0x25ffdfff,0x85ffffff,0xfff14ffe,
    0x2fffd409,0x7c09fff1,0x8aaa27ff,0xf882cdb9,0x800004ff,0xd81ffffb,
    0xfffc86ff,0x32fffe20,0x7c5fffff,0x1fffa9ef,0xfffffffb,0xf55fff87,
    0x20007fff,0x3f23fff9,0x7fc000ff,0x7fc4005f,0x3ffea04f,0x3efffe20,
    0x6effd47f,0x3fffe5ff,0x7ff41fff,0x809fff14,0x3fe27ffe,0x9fffa04f,
    0xffc8fff8,0x3e20dfff,0x400004ff,0x402ffffa,0x47ffd808,0xfffffff8,
    0x8ba3ffff,0xffb1fffa,0xf87fffff,0xffff9dff,0x3ff60004,0x2ffff20f,
    0x1aaaaaaa,0x2002fffc,0x999dfff8,0x45fffb99,0xffeafff8,0x3f6fff22,
    0x3f3ffe5f,0xa7ff46ff,0x6c04fff8,0xfff10fff,0x9bffe609,0xfffefff8,
    0x3e23ffff,0xaaaaadff,0xf1002aaa,0x40009fff,0x7fc45fff,0xfff50dff,
    0x8fffd40d,0xaaeffea9,0x7ff7ffc1,0x10006fff,0xffc89fff,0xffffffff,
    0x02fffc4f,0x3ffffe20,0x4fffffff,0xfcafff88,0x367ffe4f,0x2bffe5ff,
    0x3fa3fffc,0x09fff14f,0xf11fffc8,0x73333bff,0x7c49ffff,0xff51dfff,
    0x7fffc4df,0xffffffff,0xfffe8807,0x3ff20005,0x37ffc42f,0xf503ffe4,
    0x6ffd83ff,0x3fffffe0,0x8003ffff,0x7e41fffc,0xffffffff,0x2fffc4ff,
    0x3fffe200,0xffffffff,0xaafff883,0x2fff36ff,0x3ffe5ffd,0xd0fffe8a,
    0x3ffe29ff,0x97ffdc04,0xfffffff8,0x20ffffff,0xfd86fff8,0x3fffe27f,
    0xffffffff,0xefffd807,0xfff90000,0x09fff10b,0x7d40fff7,0x37fec1ff,
    0x9ffffff0,0x4001ffff,0xfc85fff8,0xeeeeeeff,0x2fffc3ee,0x3fffe200,
    0xffffffff,0x3ffe21ef,0xfb8fff8a,0x7cbffb5f,0xbfff52ff,0x7fc53ffa,
    0x7ffdc04f,0xffffff12,0x83ffffff,0xfb83fff8,0xffff10ff,0xdddddddd,
    0xffffb80b,0xfff90001,0x7fff101d,0x201fff70,0x7ec1fffa,0x3fffe06f,
    0x0dfff93f,0x66fffe40,0x0fffeccc,0x02fffc00,0x413ffe20,0x225fffb8,
    0x5ffd2fff,0x3ff67ffb,0xfd8bffe5,0x14ffeaff,0xfc809fff,0xffff11ff,
    0x17dddfff,0x707fff10,0x3fe21fff,0x7d40004f,0x90002fff,0x2201dfff,
    0xffb82fff,0x3fff500f,0x3e06ffd8,0x7ff44fff,0xfff8803f,0xffffffff,
    0x7fc000ff,0x7fc4005f,0x7ffe404f,0x325fff10,0xb1fffcff,0x17ffcbff,
    0xffddfff1,0x013ffe29,0x3e21fffb,0xf88004ff,0xfffb82ff,0x009fff10,
    0x1ffffcc0,0xefffc800,0x0bffe200,0x5403ffee,0x7fec1fff,0x217ffe06,
    0x400ffffa,0xfffffffb,0x00ffffff,0x002fffc0,0x7013ffe2,0x3fe25fff,
    0xfffff52f,0xff2ffecf,0xffffb85f,0x9fff14ff,0x13fffc40,0x10009fff,
    0xff705fff,0x13ffe21f,0x7fff4400,0xfff90005,0xfff8801d,0x00fffb82,
    0xfd83fff5,0x17ffe06f,0x202ffff4,0xccccfffe,0x00fffecc,0x002fffc0,
    0xb013ffe2,0x3fe23fff,0xfffff12f,0xff2ffecb,0xffffd05f,0x13ffe29f,
    0x223fffc8,0x88004fff,0xffb82fff,0x09fff10f,0x3bfff600,0xfffa8000,
    0xfff8800e,0x00fffb82,0xfd83fff5,0x17ffe06f,0x817fffcc,0x3204fffa,
    0x9999afff,0x3fe09999,0x999999df,0x3ffe2199,0xd999999d,0x3fe27fff,
    0x3ffffa2f,0xff97ff63,0xffff982f,0x3bfff14f,0xfffb3333,0x04fff88d,
    0x82fff880,0xff10fffb,0x333333bf,0x7fdc3333,0x99999aff,0x3e209999,
    0xaaaacfff,0x17ffc42a,0xa807ffdc,0x7fec1fff,0x817ffe06,0xe80ffffc,
    0x3f200fff,0xffffffff,0x3ffe5fff,0xffffffff,0x3fffe27f,0xffffffff,
    0x3ffe23ff,0x87ffff22,0x3ffe5ffd,0x9ffff902,0x3fffffe2,0x1fffffff,
    0x0027ffc4,0x5c17ffc4,0xfff10fff,0xffffffff,0x7ffecfff,0xffffffff,
    0x3fee2fff,0xffffffff,0x0bffe20f,0x5403ffee,0x7fec1fff,0x817ffe06,
    0x545ffff8,0x7e405fff,0xffffffff,0x3ffe5fff,0xffffffff,0x3fffe27f,
    0xffffffff,0x17ffc45f,0xfd8ffff5,0x40bffe5f,0xf14ffff8,0xffffffff,
    0xff105dff,0xff10009f,0x1fff705f,0x3fffffe2,0x7fffffff,0x3ffffff6,
    0xffffffff,0x3fffffa2,0x20ffffff,0xfb82fff8,0xfff500ff,0x206ffd83,
    0x7dc05fff,0x3ffa2fff,0x7ffe401f,0xffffffff,0x3ffffe5f,0x7fffffff,
    0x3fffffe2,0x81ceffff,0x3e22fff8,0x2ffec5ff,0x7dc05fff,0xffff14ff,
    0x07bdffff,0x0027ffc4,0x5c17ffc4,0xfff10fff,0xffffffff,0x7ffecfff,
    0xffffffff,0xfff12fff,0xffffffff,0x0000001f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0b332e00,
    0x21999910,0x200cccc8,0x32e2cccb,0x3333204c,0x43999302,0xb800cccb,
    0x99930ccc,0x99999999,0x66643999,0x91e66402,0x99999999,0xc9800357,
    0x2666203c,0x99999999,0xb8800001,0x5002cddc,0x80159bb9,0x00ccdca8,
    0x01bccb98,0x33265551,0x7fffd40a,0x13fff200,0x2609fffb,0x3f20ffff,
    0xfff880ff,0x3fff706f,0x2017ffe4,0x3ee6fff8,0xffffffff,0xf12fffff,
    0xfff809ff,0xffffff15,0x1bffffff,0x817fee00,0x9999999b,0x501a9999,
    0x3a615997,0x7ffffdc1,0xfd100fff,0x07ffffff,0x3fffffea,0x3ffee04f,
    0xff985fff,0x81ffff9f,0xf304fffd,0xff881fff,0xfffe81ff,0x417ffd42,
    0x80fffffa,0x7fcc7ffd,0x7ffd405f,0x3ffffee3,0xffffffff,0x09fff12f,
    0xff15fff8,0xffffffff,0x7001dfff,0x00140bff,0xfffb1062,0x43ffdfff,
    0xffeffffa,0xfffb05ff,0x85ffffff,0xfffffffa,0xfffc81ff,0x4c6fffff,
    0x6fffefff,0x03ffff10,0x2a05fffb,0x7fdc6fff,0x4fff885f,0x2fffffd8,
    0xfe85fff8,0x3ff600ff,0x3333260f,0xcccffffc,0x9fff11cc,0xf15fff80,
    0x99999dff,0x007ffffb,0x0140bff7,0xfff88620,0x3fffffff,0x3ea27fec,
    0x7ffd42ff,0x4fffa88a,0x22ffffe2,0x7cc6ffea,0xffb89dff,0x3fffe62f,
    0x3ee03dbe,0x7ffd45ff,0x9fffec05,0xf00ffff8,0xffff0dff,0xfff989ff,
    0x03fffc83,0x7c01bffe,0x7fc406ff,0xafffc04f,0x2a04fff8,0xfb805fff,
    0x1000a05f,0x4e7ffec3,0x746fffb8,0x80d40dff,0xffe83b98,0x307ffee5,
    0x7fec3bdf,0x337fec0f,0x4001ffff,0x3fa2fffe,0x7fc400ff,0x3fffd8ff,
    0xf31fff60,0xa8dffbff,0xff981fff,0x7fff505f,0x01bffe00,0xf809fff1,
    0x9fff15ff,0x4c7ffe80,0xeffecccc,0x0052cccc,0x7fff5188,0x22ffffd8,
    0x2ceffffc,0xfff73000,0x0837fe4b,0xf50bffd0,0x3ffe61ff,0x7ffcc004,
    0x007fff76,0x3ffbffee,0x7ffdc06f,0x3ebbfee1,0x1fff20ff,0xd80fffe8,
    0xff000fff,0xfff880df,0x8afffc04,0x7fc04fff,0x7fffd47f,0xffffffff,
    0x91880054,0x6fe41fff,0x3fe25ffe,0x0dffffff,0x3fffae60,0x3ff65fff,
    0x77ffc005,0xfffeeeee,0x005fff31,0xff9fff90,0xffe800df,0x4c01ffff,
    0x3ff63fff,0x3a2fff8c,0x3fee05ff,0x05fff83f,0x101bffe0,0x3333bfff,
    0x2bfff333,0x2e04fff8,0x7fd45fff,0xffffffff,0x880054ff,0x7dcdffb1,
    0x4c6ffd8e,0xfffffffd,0xffffc81f,0x3a5ffedf,0x3e2005ff,0xffffffff,
    0xfff31fff,0x3ffa0005,0x4001ffff,0x03fffff9,0x7fc9fff0,0x229ffd2f,
    0x3e203fff,0x7ffd46ff,0x1bffe002,0xffffff10,0xffffffff,0x3bfffe2b,
    0xfffeeeee,0x66664c1f,0xcccceffe,0xd1880052,0x43feabff,0xb7107ffc,
    0xb89fffff,0x3f61cfff,0x41bff65f,0x339fff00,0x21333333,0x0001fff9,
    0x09fffff5,0x3ffffa00,0x2dffb000,0xff90fff9,0x007ffe6d,0x7e41fffb,
    0x3fe000ff,0x7ffc406f,0xffffffff,0xfff15fff,0xffffffff,0x3ee005ff,
    0x1000a05f,0x3e7bff63,0x117ffa1f,0xfffe9813,0x3a17ffa0,0x3fff25ff,
    0xd177fc40,0x30110dff,0x40003fff,0x000efffd,0x4fffffa8,0x71fff700,
    0x7ffccdff,0x400fffb8,0x3fe3fffa,0x7ffc005f,0x7fffc406,0xfeeeeeee,
    0xffff15ff,0x7bffffff,0x2ffdc001,0x71880050,0x4c5fffff,0xfff14fff,
    0xf8fff70b,0x7ffcc5ff,0x837ffea6,0x3f22fffb,0x2ffec1ff,0x0003fff3,
    0x001fffcc,0x7fffffc4,0xfffa801f,0x7fc4ffd9,0x806ffdaf,0xff56fff8,
    0xfff8005f,0x27ffc406,0x7c57ffe0,0xffca9dff,0x7dc001ef,0x1000a05f,
    0x8ffffe23,0x2e1fffd8,0xfcabdfff,0x7ffe45ff,0x6ffffc9c,0x76ffffec,
    0x7fc46fff,0xfffdbdff,0x007ffe62,0x03fff980,0xfefffd80,0xff8806ff,
    0x6c2fffcf,0x04fffcff,0xf91fffb0,0xfff000ff,0x4fff880d,0xf8afffc0,
    0x7ffd44ff,0x3fee001f,0x31000a05,0x667fffdc,0xfd83ffff,0xefffffff,
    0x7ffffc40,0x447ffeff,0xfffffffe,0xffff981f,0x7cc4ffff,0x260001ff,
    0x54003fff,0xffd8ffff,0xfffe804f,0x7fdc0fff,0x5002ffff,0x9fff7fff,
    0x0dfff000,0x404fff88,0xfff15fff,0x1ffff909,0x806aa600,0xf90c4002,
    0xffffffff,0x3ffee209,0xf500cfff,0xff13dfff,0xffff905f,0x7ec401bf,
    0xf983dfff,0x260001ff,0x22003fff,0xff12ffff,0xffc803ff,0xff986fff,
    0x2000ffff,0x1fffffff,0x06fff800,0x2027ffc4,0xfff15fff,0x17fffa09,
    0x2aaaaaa2,0x51aaaaaa,0xdf718800,0x5dfffd95,0x00266200,0x10000998,
    0x03100033,0x7cc00000,0x3f6003ff,0x7ffdc5ff,0x7fffd406,0xfffff03f,
    0xfffc800d,0xff0006ff,0xfff880df,0x8afffc04,0xff304fff,0xfffa85ff,
    0xffffffff,0x1880054f,0x00188191,0x00000000,0x00000000,0x7fff3000,
    0x3fffea00,0x04fffe80,0x07ffffe2,0x027fffec,0x3ffffe60,0xdfff0003,
    0x04fff880,0xff8afffc,0x3fff204f,0x3fffea0f,0xffffffff,0x55555574,
    0x03755555,0x00000000,0x00000000,0x4c000000,0xf8803fff,0xff303fff,
    0x7ff403ff,0x3ffee07f,0xffe8002f,0xff0001ff,0xfff880df,0x8afffc04,
    0x7f404fff,0x3ffea4ff,0xffffffff,0x0000004f,0x00000000,0x00000000,
    0xff300000,0xfff9007f,0x6fffc80d,0x817fff20,0x000ffff8,0x006fffc8,
    0x101bffe0,0xff809fff,0x09fff15f,0x01ffff98,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x55544000,0x002aa980,0x67664c00,
    0x06f72a0b,0x15e65440,0x55108000,0x4166dcc5,0x99512aa8,0x56654417,
    0x00ccc800,0x55555554,0x7e402aaa,0x0400806f,0xa980aaa6,0x206aaa2a,
    0xaa882aa9,0x20aaaa22,0x2a21aaa9,0x5c00b82a,0x0bffe600,0x1cd9ffee,
    0xffffb000,0xfffdbfff,0x3a203fff,0x0dffffff,0x22d91000,0xfffc8fff,
    0x3fea0dff,0xeffffe8e,0xfffffe98,0x007ffc00,0x3ffffffe,0x7e407fff,
    0x827c406f,0x3ffee1fa,0x64bffd01,0xfffe86ff,0xd137fe40,0x7fc45fff,
    0x3ffee0ff,0x3ae7bf20,0x00efc9ce,0xf705fff3,0x16ffecff,0xfffff700,
    0xffffffff,0xe881ffff,0xffffffff,0x3f6a000f,0xfdfff17f,0x47ffffff,
    0xfffffffa,0xffffefff,0x7fc06fff,0x7fffc00f,0x07ffffff,0xf1037fe4,
    0xfffa89ff,0x309fff11,0x7fcc5fff,0x3fffe20f,0x261fff42,0x3ff66fff,
    0x87ffdc2f,0xfffffff8,0x303fffff,0xff705fff,0x77fffecf,0x3ffe200b,
    0xffffa88c,0x8dffb31f,0xeaaefffe,0xeb805fff,0xff17ffff,0x3fea3bff,
    0x3fffea6f,0xffffe88b,0x0fffe98c,0x5003ffe0,0xfff55555,0x3cca809f,
    0x53fffe60,0x321ffffa,0x7ffc87ff,0x3ea2fff8,0x3fe24fff,0xcfffb81f,
    0xfb84fffa,0x3ffea0ff,0x4fffffff,0x20bffe60,0x3faa7ffb,0x01cfffff,
    0xfffb0953,0x32fff885,0xff909fff,0xfff9105f,0x3e27ffff,0x7ffd86ff,
    0xf513ffea,0xfffa8bff,0x003ffe01,0x017fff20,0xffff3000,0x983ffffb,
    0x7ffc2fff,0x325ffc84,0x3ee6ffff,0x3fffa06f,0x9880efff,0xbeffe819,
    0x201fffda,0xfb82fff9,0xfffc987f,0x9802dfff,0xd80fffeb,0x3fff94ff,
    0x4c9fff30,0xdffffffd,0x41fffc41,0xff50fffb,0x3fff985f,0xed97ffcc,
    0xeefffeee,0x7fe406ee,0x7774c0ef,0xeeeeeeee,0x7fffcc3e,0xffd01fff,
    0x407ffd4b,0x3ffa7ffa,0x9ffb0ffe,0x7ffffc40,0xff98001f,0x027fec0f,
    0xf705fff3,0xffea80ff,0x76446fff,0xffffffff,0x5fffffff,0x7fc0fffd,
    0xfffffb5f,0x3fe2017d,0x0fffb83f,0xf983fff5,0x7ffc42ff,0xfffffff2,
    0x40ffffff,0xa80ffffb,0xffffffff,0xf984ffff,0x2e01ffff,0xbffb0fff,
    0x7c4fffc0,0xff2ffcef,0xfffa803f,0xff50003f,0x40bff50b,0xfc82fff9,
    0xff93007f,0x7fffe4ff,0xfffffedf,0xd5ffffff,0x7ff40bff,0x03bfffb6,
    0x705fff10,0x3fea1fff,0x17ffcc0f,0x7fcbffe2,0xffffffff,0xfff507ff,
    0x3ffea03f,0xffffffff,0xffffa84f,0x3ffe204f,0x202fff8a,0xbffabffd,
    0x7ffacffa,0x4ffff980,0x0dff5000,0x7cc0bff9,0x7ffc82ff,0xffffc880,
    0x15dfff57,0x2aaffff6,0xf92aaaaa,0xfff101ff,0x33ffff6b,0x17ffc401,
    0xfa87ffdc,0x7ffcc0ff,0xa97ffc41,0xbfffaaaa,0xff982aaa,0x2aa202ff,
    0xaaaaaaaa,0x7ffd41aa,0x3204ffff,0x07ffbdff,0x7fe77fd4,0x9ff9dff1,
    0xffffe880,0xff88002f,0x0fffe63f,0xd83fff88,0x3f6a07ff,0xfb3fffff,
    0x5fffb0df,0x5fff5030,0x2a7fff50,0xbefffffe,0x82fff880,0xff50fffb,
    0x1fff981f,0xf017ffc4,0xff8801ff,0x000003ff,0x7d7fffd4,0xff304fff,
    0x8809ffdf,0x367fffff,0x402fffff,0xfffffffd,0xfffe8000,0x01ffffef,
    0x3e62fffc,0x7fe4c7ff,0x6c2effff,0x7ffc46ff,0x977fd45f,0x261efff9,
    0x6d40fffe,0x1cffffff,0x2e0bffe2,0xfff50fff,0x41fff981,0x3e02fff8,
    0x3fa200ff,0x99998bff,0x1bff2009,0x31ffff98,0x3a07ffff,0x800fffff,
    0x2e5ffffd,0x5407ffff,0xfffbcfff,0x644cc985,0xffffffff,0x3fa00eff,
    0xfffdbdff,0x3ffff27f,0xff501dff,0xfffd739f,0xfff97dff,0xeffffc8d,
    0x203ffffe,0xffffffc9,0x705fff16,0x3fea1fff,0x0fffcc0f,0xf80bffe2,
    0x3fee00ff,0xffffffff,0x1bff203f,0xf983ffb0,0xfff700ef,0x3fee00bf,
    0x3ffe63ff,0x3ffe205f,0x85fffd0e,0xfd10fffb,0xfdffffdf,0x7fd407ff,
    0xffbfffff,0x33ffff67,0xfffff800,0xfffedfff,0xb80fffff,0xffffffff,
    0xfff71004,0x0bffe2ff,0x7d43ffee,0x7ffcc0ff,0x017ffc41,0x7e401fff,
    0xffffffff,0x3ff203ff,0xb301d806,0x7fffc401,0xffff1002,0x02ffff83,
    0xf88bfff6,0x3fee0fff,0x4c53a20f,0x5007f30a,0xf31bfffd,0x05f7ecff,
    0xffffd300,0x7fffdc3b,0x3f6a01ce,0x0001efff,0x3fe2ffd5,0x0fffb82f,
    0xf981fff5,0x7ffc41ff,0x802aaa02,0xfffffffc,0x2a03ffff,0x000003cc,
    0x800fff90,0xffd87ffe,0x9fff700f,0x5cbfff70,0x40040fff,0x800c4000,
    0x4c40002c,0x0004c400,0x300000c4,0x00000009,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2aa00000,0x554caaa2,
    0x40015530,0x99901eed,0x99999999,0x66666499,0x4ccccccc,0x01cdeca8,
    0xbdb983db,0x015b9300,0x100f7b66,0x333220bd,0x5c16e4c1,0x3332a4cc,
    0x51099970,0x20440379,0x2e20bddc,0xd12bbbbb,0x777445dd,0xeea9bb64,
    0x26666663,0x99999999,0x009ddb10,0x7dcffee0,0x22bff13f,0xff5005ff,
    0x3fffe0bf,0xffffffff,0x3fffffe7,0x47ffffff,0x1ffffffb,0xfc87ff62,
    0x7e42ffff,0xffb87fff,0xf100efff,0x8bffe60d,0x20effffd,0x3ff27ffe,
    0xa8fffd1f,0x1cefffff,0x66443f51,0x3ffe26fe,0xfff15fff,0x3a2ffdc5,
    0x4cffee7f,0xffffffff,0x23ffffff,0x4000fff9,0xdff36ff8,0xff93ffb8,
    0xffffd007,0xffffff01,0x4fffffff,0xffffffff,0x7ec7ffff,0xf73ffa8c,
    0x3fe23fff,0x3e26fc8a,0x223ff8af,0x4ffdbeff,0x59b7cba2,0x7ccbffe6,
    0x3a3feabf,0x3fff27ff,0x7c4fffd1,0xffffffff,0xf101ffff,0x3fffe23f,
    0x5fff15ff,0x3fa077f4,0x7ccffee7,0xffffffff,0x4c3fffff,0x7f4004ff,
    0x883ffd2f,0xfff88fff,0x3fffea00,0xccccc84f,0x4ccccccc,0x33333332,
    0x207ffdcc,0x7dd4ffb8,0xc8aa23ff,0xffa8986f,0xff8bfee2,0x3bfbfea6,
    0xfff31ffe,0x6f98ff23,0xffc9fffa,0x44fffd1f,0xffffdeff,0x511fffff,
    0x7c4dfb53,0xb15fffff,0x03baa3bb,0x08888222,0x22222222,0x08888888,
    0x2e006ea8,0x0bff95ff,0x7fddbfea,0x3f3ffa05,0x000000ff,0x223ffc40,
    0x34ffffed,0x7d407fe2,0x8bff903f,0x9ff60ffc,0xeffffdb9,0xfd87e41c,
    0xffc9fe22,0x6c3ffea6,0x307a26ff,0x43dffff9,0x41effffb,0x00088888,
    0x00000000,0x3fe60000,0x00fff98f,0x7ff4fffa,0xfd7ff983,0x0000007f,
    0x3e27ff88,0x44ffacef,0xffb81ff8,0x8fff2e05,0x1ff60ffc,0xf817ffa2,
    0x3223bea7,0x997fee4f,0x17fee7ff,0x31015300,0x00000133,0x00000000,
    0x3ff20000,0xb80dff96,0x0dff77ff,0x3fea9ffb,0x7fffffc7,0x07ffffff,
    0xf53ffc40,0x113fe63f,0x4ffc83ff,0x53fdc110,0x437fc5ff,0x4c4fecfe,
    0x7fff42fe,0x0ffe61ff,0x1ffccdff,0x00000000,0x00000000,0xe8000000,
    0x2ffe8aff,0xf15fff10,0xfff985ff,0xff8bffe0,0xffffffff,0x7c4007ff,
    0x2f7fe67f,0x7fc44ffe,0x2673ff21,0x7ec7fe61,0x3b3ffe26,0x47fdc3ff,
    0x0ba21ff9,0x0073fee2,0x7ffcc000,0xffffffff,0x00003fff,0x00000000,
    0x4c000000,0x0dff37ff,0x7fe53ff2,0x645ffd84,0x3fffe6ff,0xffffffff,
    0x3ffc4007,0x3fb7fffa,0xf98ffc45,0x6c7fffff,0x4c2fffff,0x704fffff,
    0x08000dc5,0x7cc00000,0xffffffff,0x003fffff,0x00000000,0x00000000,
    0xff93ffc8,0x88eff887,0xfff886ff,0x997ffcc2,0x99999999,0x98001999,
    0x531b9819,0xd51ee885,0x88dddddd,0x5101beda,0x00000379,0x20000000,
    0xaaaaaaa8,0x0aaaaaaa,0x00000000,0x00000000,0x21ffd000,0x3ff60ffe,
    0x3103ffb1,0x02666033,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7cc00000,0x269ff34f,0x07ff54ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4c433100,0x0cc43311,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__arial_bold_29_latin1_x[224]={ 0,2,1,0,0,1,1,1,1,0,0,1,1,0,
1,-1,1,2,0,0,0,1,1,1,1,0,2,2,1,1,1,1,0,0,1,1,1,1,1,1,1,1,0,1,
1,1,1,1,1,1,1,0,0,1,-1,0,0,-1,0,1,-1,0,1,-1,0,0,1,1,1,0,0,1,1,1,
-2,1,1,1,1,1,1,1,1,0,0,1,0,0,0,0,0,0,2,0,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
2,0,0,-1,0,1,1,0,-1,-1,1,0,0,0,2,1,-1,1,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-2,1,1,1,1,1,-1,1,-1,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,-1,1,1,0,0,
0,0,0,0,1,1,0,0,0,0,-1,1,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,1,0,
 };
static signed short stb__arial_bold_29_latin1_y[224]={ 23,4,4,4,2,4,4,4,4,4,4,7,19,14,
19,4,4,4,4,4,4,4,4,4,4,4,9,9,6,9,6,4,4,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,25,4,9,4,9,4,9,4,9,4,4,
4,4,4,9,9,9,9,9,9,9,4,9,9,9,9,9,9,4,4,4,11,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,23,9,4,4,7,4,
4,4,4,4,4,10,9,14,4,1,4,5,4,4,4,9,4,12,23,4,4,10,4,4,4,9,-1,-1,-1,0,
0,0,4,4,-1,-1,-1,0,-1,-1,-1,0,4,0,-1,-1,-1,0,0,7,3,-1,-1,-1,0,-1,4,4,4,4,
4,4,4,3,9,9,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,7,8,4,4,4,4,4,4,4,
 };
static unsigned short stb__arial_bold_29_latin1_w[224]={ 0,5,11,15,14,21,18,5,7,8,10,14,5,8,
5,9,13,9,14,14,14,13,13,13,13,14,5,5,13,14,13,14,26,19,17,17,17,16,14,18,16,5,13,18,
15,19,16,19,16,19,18,17,16,16,19,25,18,19,16,8,9,7,13,16,7,14,14,13,14,14,10,14,14,5,
8,14,5,21,14,14,14,14,10,14,9,14,15,21,15,15,13,10,4,10,15,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,5,13,15,14,15,
4,14,9,21,9,12,14,8,21,16,9,14,9,9,7,13,16,5,8,6,10,13,21,20,22,14,19,19,19,19,
19,19,27,17,16,16,16,16,7,7,10,9,19,16,19,19,19,19,19,13,20,16,16,16,16,19,16,14,14,14,
14,14,14,14,21,13,14,14,14,14,7,7,9,9,14,14,14,14,14,14,14,14,14,14,14,14,14,15,14,15,
 };
static unsigned short stb__arial_bold_29_latin1_h[224]={ 0,19,8,20,24,20,20,8,25,25,9,14,9,5,
4,20,20,19,19,20,19,20,20,19,20,20,14,19,15,10,15,19,25,19,19,20,19,19,19,20,19,19,20,19,
19,19,19,20,19,21,19,20,19,20,19,19,19,19,19,25,20,25,11,4,4,15,20,15,20,15,19,20,19,19,
25,19,19,14,14,15,20,20,14,15,20,15,14,14,14,20,14,25,25,25,6,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,20,25,20,14,19,
25,25,4,20,10,13,10,5,20,3,9,18,10,10,4,20,25,4,6,10,10,13,20,20,20,20,24,24,24,23,
23,23,19,25,24,24,24,23,24,24,24,23,19,23,25,25,25,24,24,14,22,25,25,25,24,24,19,20,20,20,
20,20,20,21,15,20,20,20,20,20,19,19,19,19,20,19,20,20,20,20,20,14,16,20,20,20,20,25,25,25,
 };
static unsigned short stb__arial_bold_29_latin1_s[224]={ 255,248,153,217,175,165,82,147,74,48,120,
118,131,190,247,245,190,16,239,204,176,1,37,197,67,103,230,249,67,42,16,
141,1,55,100,118,155,205,126,21,103,191,187,37,84,118,138,1,173,195,120,
216,86,234,66,40,21,1,222,87,136,184,28,223,240,199,156,214,201,228,26,
40,1,242,210,217,211,96,81,52,234,219,243,184,146,1,176,192,214,51,133,
219,82,96,165,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,
154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,154,255,247,65,
171,236,110,179,147,213,81,72,1,57,190,15,165,137,139,89,99,205,161,57,
199,181,82,109,14,60,39,16,1,210,190,155,122,102,82,56,192,230,79,38,
142,247,136,144,72,156,55,28,107,127,96,116,162,159,162,48,230,21,1,85,
46,215,230,1,16,31,180,30,136,61,76,91,106,248,102,75,232,121,190,116,
150,175,187,202,147,169,233,101,146,131,32,17,1, };
static unsigned short stb__arial_bold_29_latin1_t[224]={ 1,141,218,78,27,78,99,218,1,1,218,
202,218,218,47,53,99,162,162,99,141,120,120,141,120,120,202,99,202,218,202,
141,27,141,162,120,162,162,141,141,182,141,120,162,162,162,162,141,162,53,182,
120,182,120,182,182,182,182,162,1,120,1,218,218,218,182,120,182,120,182,162,
141,162,141,1,141,141,202,202,202,99,99,182,182,120,202,202,202,202,120,202,
1,1,1,218,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,
182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,182,1,26,27,
120,202,141,1,1,218,120,218,218,218,218,120,225,218,182,218,218,218,99,1,
218,218,218,218,218,99,99,99,99,27,27,27,53,53,53,162,1,27,27,53,
53,1,27,27,53,141,53,27,1,1,27,27,202,53,1,27,1,53,53,141,
78,53,53,78,78,78,53,202,78,78,78,78,78,78,141,141,141,78,162,99,
78,99,78,78,202,182,78,99,99,99,1,1,1, };
static unsigned short stb__arial_bold_29_latin1_a[224]={ 115,138,197,231,231,369,300,99,
138,138,162,243,115,138,115,115,231,231,231,231,231,231,231,231,
231,231,138,138,243,243,243,254,405,300,300,300,300,277,254,323,
300,115,231,300,254,346,300,323,277,323,300,277,254,300,277,392,
277,277,254,138,115,138,243,231,138,231,254,231,254,231,138,254,
254,115,115,231,115,369,254,254,254,254,162,231,138,254,231,323,
231,231,208,162,116,162,243,311,311,311,311,311,311,311,311,311,
311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,311,
311,311,311,311,311,311,311,311,115,138,231,231,231,231,116,231,
138,306,154,231,243,138,306,229,166,228,138,138,138,239,231,115,
138,138,152,231,346,346,346,254,300,300,300,300,300,300,415,300,
277,277,277,277,115,115,115,115,300,300,323,323,323,323,323,243,
323,300,300,300,300,277,277,254,231,231,231,231,231,231,369,231,
231,231,231,231,115,115,115,115,254,254,254,254,254,254,254,228,
254,254,254,254,254,231,254,231, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_29_latin1_BITMAP_HEIGHT or STB_FONT_arial_bold_29_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_29_latin1(stb_fontchar font[STB_FONT_arial_bold_29_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_29_latin1_BITMAP_HEIGHT][STB_FONT_arial_bold_29_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_29_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_29_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_29_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_29_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_29_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_29_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_29_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_29_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_29_latin1_s[i] + stb__arial_bold_29_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_29_latin1_t[i] + stb__arial_bold_29_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_29_latin1_x[i];
            font[i].y0 = stb__arial_bold_29_latin1_y[i];
            font[i].x1 = stb__arial_bold_29_latin1_x[i] + stb__arial_bold_29_latin1_w[i];
            font[i].y1 = stb__arial_bold_29_latin1_y[i] + stb__arial_bold_29_latin1_h[i];
            font[i].advance_int = (stb__arial_bold_29_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_29_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_29_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_29_latin1_s[i] + stb__arial_bold_29_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_29_latin1_t[i] + stb__arial_bold_29_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_29_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_29_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_29_latin1_x[i] + stb__arial_bold_29_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_29_latin1_y[i] + stb__arial_bold_29_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_29_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_29_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_29_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_29_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_29_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_29_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_29_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_29_latin1_LINE_SPACING
#endif

