// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_31_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_31_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_31_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_31_latin1_BITMAP_HEIGHT        261
#define STB_FONT_arial_bold_31_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_31_latin1_FIRST_CHAR            32
#define STB_FONT_arial_bold_31_latin1_NUM_CHARS            224

#define STB_FONT_arial_bold_31_latin1_LINE_SPACING          20

static unsigned int stb__arial_bold_31_latin1_pixels[]={
    0x26609988,0x00013301,0x00013331,0x00000006,0x00000000,0x00198000,
    0x80098800,0x13310998,0x80001880,0x4c400018,0xeeea8000,0xee881eee,
    0x3bbbba4e,0x17ff404e,0xdfd03fff,0x3fffb000,0x3ffb2600,0x6c001def,
    0x00002fff,0x00077ffc,0x0017ffe4,0xe8007fe4,0xff500fff,0x3ff201bf,
    0x9105ff92,0x007fffff,0x007fff4c,0xffffd930,0xf7005bff,0x103fffff,
    0x7ffcbfff,0x7f405fff,0x207ffe2f,0x26002ffa,0xf9001fff,0xffffffff,
    0x7fec001b,0x3ee00005,0x360000ff,0x7c4006ff,0xfff5004f,0x7fffd403,
    0x92ffc80f,0xffe885ff,0x00efffff,0x07ffffd4,0x7ffff5c0,0xffffffff,
    0x3fffee02,0xfff881ff,0x3fffffe5,0xf17ff405,0x1bfe03ff,0x802ffd80,
    0xffffffe8,0x006fffff,0x0000fff4,0x0001ffe8,0x2002ffd8,0xfd001ffd,
    0xfffa803f,0x2ffc83ff,0xffc85ff9,0x5ffffeff,0x7fffff40,0x3fff6200,
    0xdcaaabcf,0x880dfffe,0x01fffb99,0x7ffc5999,0x0000099d,0x200bff20,
    0xf9002ee8,0xd9359fff,0x4005ffff,0x80005fe8,0x00001ffa,0x7cc017f6,
    0x5ff3006f,0x3ffe6200,0xf92ffc85,0x27fff85f,0x100fffe8,0x4013bfff,
    0x002dfff9,0xa80bfff5,0x7c001fff,0x000004ff,0x000dff30,0x3ffff300,
    0x01bfff20,0x80000110,0x00000008,0x000fff60,0x17ff6000,0x7fe4bff2,
    0x507fffc2,0x3e201599,0x7f4402ff,0xfd88003f,0x3ffea03f,0x7c355501,
    0x554c04ff,0x0aaaa00a,0xaa98bffe,0x8aaaa00a,0x2203fffe,0x2a01efff,
    0xcdefffdc,0x7ee54000,0x400cdeff,0x74406eee,0x3ffe64ee,0x406eee80,
    0xfc84eee8,0x92ffc86f,0xfffd85ff,0xfff98005,0x417fec01,0x5550acb9,
    0x5403ffa3,0xff881fff,0x013ffe5f,0x2607fff7,0xffc84fff,0x40fffee5,
    0xff14fff9,0x015300ff,0x7ffffec4,0x802fffff,0xffffffd8,0x3e02ffff,
    0x7fc407ff,0x41bfee6f,0x7c407fff,0x7ffc86ff,0xff92ffc8,0xeffff985,
    0x3ffe6001,0x313fea01,0xf3ffffff,0x0ffe69ff,0x440fffd4,0x3ffe5fff,
    0x37ffc404,0xb81fffc8,0x3ffe27ff,0x23fff906,0x0005fff9,0xfffffe88,
    0x5fffffff,0x3ffffa20,0xffffffff,0x80ffff05,0x3f66fff8,0x0ffff05f,
    0xb86fff88,0x2ffc87ff,0xfe885ff9,0x3004ffff,0x7f403fff,0x77fffcc6,
    0x22ffffff,0xfff506fd,0x4bfff103,0xfd804fff,0x6ffe81ff,0x6c1fff50,
    0xffe81fff,0x013ffea6,0x3ffff600,0xffeba9bd,0xfffb02ff,0xfd7537bf,
    0xfff05fff,0x6fff880f,0x3e09fff1,0x7fc407ff,0x87ffb86f,0x5ff92ffc,
    0x7fffff44,0x7d401eff,0x7ff300ff,0x88efffcc,0x2e0ffffd,0x3fff507f,
    0x7cbfff10,0xffa804ff,0x27ffcc3f,0x2a1fff98,0x7fcc3fff,0x0ffff24f,
    0xffff7000,0x7fffec07,0x1ffffdc0,0x81ffffb0,0x7c407fff,0x7fff36ff,
    0x101fffe0,0xff30dfff,0x92ffc85f,0x77fec5ff,0x2fffffd8,0xc81fff20,
    0x1bff61ff,0xf51fffea,0x3fff501f,0x7cbfff10,0xfff004ff,0x01fffc8d,
    0xff87fff1,0x0fffe46f,0x0007fff9,0x803ffff8,0x7fc4fffe,0xffe803ff,
    0x03fffc4f,0x7d5bffe2,0xffff02ff,0x06fff880,0x6543dfff,0x7c5ff91c,
    0x3ffee2ff,0xfff981ff,0xf99ffa05,0xbfff02ff,0xfa80ff98,0xfff881ff,
    0x4013ffe5,0x3fa1fffc,0x27ffc06f,0xfe87fff2,0x27ffdc6f,0xffff1000,
    0xdfff5001,0x007fffc4,0x3e37ffd4,0x7fc407ff,0x03fff76f,0xf101fffe,
    0x3fee0dff,0x3ff206ff,0x987fff12,0x3e27fffe,0x3e01ffff,0x81bff25f,
    0x3fdc3fff,0x881fffa8,0x3ffe5fff,0x7fff3004,0xd00fffe6,0xfff98bff,
    0xa87fff33,0x08805fff,0x004fff98,0x7cc3fffe,0x3fe004ff,0x1fffe0ff,
    0x2edfff10,0xfff00fff,0x6fff880f,0x81bffee0,0x3ffa2ffc,0x7ffec41f,
    0x03ffff11,0x3ffa4ff8,0x83fff305,0xfff506fd,0x4bfff103,0x3a004fff,
    0x1fff76ff,0xe84ffe80,0x1fff76ff,0x806fff88,0xff70bdfd,0x7ff4007f,
    0x07fff71f,0xf0ffff40,0xff880fff,0x01fff76f,0xf101fffe,0x3fa20dff,
    0x3ff206ff,0x0bffff22,0x3e25fff1,0x3e204fff,0x40fffe2f,0x7fc0fffa,
    0x03fff504,0x7fcbfff1,0x3fee004f,0x805ffe9f,0xffb83fff,0xf05ffe9f,
    0x7cc05fff,0xfff92fff,0x7ffec005,0x005fff92,0xff17ffec,0xfff880ff,
    0x203fff36,0x7c407fff,0xfffb06ff,0x17fe407b,0x89fffff1,0xff910fff,
    0x17fc05ff,0x3f607fff,0x807fec6f,0xf881fffa,0x13ffe5ff,0xfdfff880,
    0xfff802ff,0xfdfff882,0xfff502ff,0x3fff601d,0x00bfff67,0xfb2fffd8,
    0x7ec005ff,0x1fffe2ff,0x22dfff10,0xfff02fff,0x6fff880f,0x5c4fff88,
    0x85ff92ee,0x9efffff9,0xff886ffc,0xe8ffe06f,0xfff985ff,0xa813fee5,
    0xff881fff,0x013ffe5f,0xffffffb0,0x03fff100,0x1ffffff6,0x37ffffd0,
    0x7ffffd73,0x001fffe4,0x3f23fffd,0x3fa003ff,0x1fffe1ff,0x7cdfff30,
    0xffff02ff,0x86fff980,0x7e41fffa,0x105ff92f,0xfffffffd,0x1ffee03f,
    0x3ff65fe8,0x3fffa20f,0x401dff74,0xf881fffa,0x13ffe5ff,0xfffff500,
    0x1fff5009,0x3ffffea0,0x7fffcc04,0xffffffff,0x027ffdc5,0x2e1ffff0,
    0x3e004fff,0x3ffe0fff,0x2fffcc07,0x3fe07ffb,0x7ffcc07f,0xc87ffb85,
    0x05ff92ff,0x7fffffdc,0x03ffe601,0xff987fdc,0xffffccff,0x00efffff,
    0x440fffd4,0x3ffe5fff,0xffff8004,0x6ffb801f,0x0fffffc0,0x7fffec40,
    0x985fffff,0xf3007fff,0x7ffccfff,0xffff3007,0x200fffe8,0x3f25fff9,
    0x1fffd05f,0x42fffcc0,0xffc87ffb,0x9805ff92,0x204ffffe,0xf101fff9,
    0x7fffdc9f,0xfffffdff,0xfff5005f,0x4bfff103,0xc8004fff,0xfb006fff,
    0xfffc807f,0x7ff5c006,0xf102efff,0xfd007fff,0x7ffc4bff,0xfffe803f,
    0x017ffec5,0x7d49fff5,0x5fffb07f,0x427ffd40,0xffc86ffc,0x2005ff92,
    0x301ffffb,0x7ec03fff,0x37fb661f,0x837bfd52,0xfffa8099,0x25fff881,
    0xc8004fff,0xff003fff,0xfffc801f,0xbfd90003,0xffff7003,0x7fffe405,
    0x17fffdc0,0x81ffff90,0x3a06fffc,0x7ff43fff,0x06fffc81,0x320ffffa,
    0x2ffc86ff,0xaa985ff9,0x81fffdc1,0x2201fff8,0x40001fff,0xfa82ffe8,
    0xfffa81ff,0x0013ffe4,0x001ffff1,0xf8809ff3,0x98000fff,0x800ffecd,
    0x8acffffe,0x3ffffea9,0x59ffffd0,0xffffd531,0xdffff307,0xfffd7337,
    0x83ffa81f,0x9beffff9,0x0ffffeb9,0xfc86ffd8,0x4c5ff92f,0x7fcc5fff,
    0x7fff104f,0x03fffa80,0x4bfff500,0x1fffcaa9,0x8fffff72,0x01aadfff,
    0xbfffd733,0x203ff200,0x5fffeb99,0x3ff88000,0xfffff980,0xffffffff,
    0x3fffe606,0xffffffff,0x3fff606f,0xffffffff,0x20dfd04f,0xfffffffd,
    0x224fffff,0xc85fffdb,0x85ff92ff,0xd99cffff,0x3fe02fff,0x3ee02cff,
    0x101aceff,0x1bfffb53,0x7fffffdc,0x3fffffa1,0x3fffffe1,0xfffffb05,
    0x9ff1003f,0x3fffff60,0x2208001f,0xb1001ffb,0xffffffff,0xfb1007ff,
    0xffffffff,0xffd8807f,0xffffffff,0x03ff700d,0xffffffb1,0x541bffff,
    0xc82fffff,0x85ff92ff,0xfffffffa,0x7fe406ff,0x3a600fff,0xdeffffff,
    0xfffffffd,0xfffffb83,0xfffff11f,0xffffff87,0xfffff905,0x07fee007,
    0x1fffffe4,0xffffd800,0xfda8005f,0x01deffff,0x7fffed40,0x2e001def,
    0xeffffffe,0x205ff802,0xffffffeb,0xffffa82e,0x325ff905,0xfffb82ff,
    0x400effff,0x00ffffe8,0xfffffda8,0xbeffffff,0x99999300,0x337b2219,
    0xcccccc82,0x39bdb502,0x50276c00,0x00039bdb,0x00de6654,0x000cc400,
    0x00033100,0x00133310,0x4400eea8,0x74c00999,0x3bae01cd,0x2205dd72,
    0x002cdecb,0x0007765c,0x9ddb9951,0x00000379,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xdb500000,0xdddddddd,0x05c4003d,0x3304ccc0,0x02a20003,0x7d400053,
    0x000005ff,0x00000000,0x3104cc40,0x00000013,0x88000000,0x00004eee,
    0x09988000,0xff982662,0xffffffff,0x2e001fff,0x2fff802f,0x8001fff1,
    0xeabdfffa,0xfff10007,0x200007ff,0x2001fffe,0x000fffe8,0x6403fffa,
    0x0fff64ff,0x05fff980,0x0017ffe4,0x2017ffe4,0x0005fff8,0x007fff70,
    0xffb27fe4,0x3ffffa27,0xffffffff,0x01f6001f,0xff897ffc,0x7ff4000f,
    0x005fffff,0xffd5ffd0,0xffa80003,0xfe88001f,0xfff5003f,0xb27fe403,
    0x7ec007ff,0xdffb005f,0x2fff8800,0x05fff880,0x1bff2000,0x364ffc80,
    0xffff73ff,0xffb9dfff,0x2fc0019d,0xf12fff80,0x7c4001ff,0x019fb515,
    0x267ff700,0x6c0006ff,0x220002ff,0xffd007ff,0x24ffc803,0xf1003ffd,
    0x7ec001df,0x3ff2001f,0xbfff1003,0xffd80000,0x49ff9002,0xfffb3ffd,
    0x3ee9ffff,0x1fd4005f,0x00008800,0x00000440,0x4c000022,0x980002ff,
    0x7fd403ff,0x40000002,0xe8000efc,0x9ff1005f,0x2fffc400,0x37ec0000,
    0x7ffc0000,0xf74fffff,0xccb980bf,0xb95001fe,0x019bdfff,0xfffdca80,
    0x54000cde,0xcdefffdc,0x00000000,0xdd000000,0xeee880dd,0x00000004,
    0xff880000,0x1599515f,0x88000000,0xffe85eee,0xf74fffff,0x3ff620bf,
    0x201effff,0xffffffd8,0x8802ffff,0xfffffffd,0xd8802fff,0xffffffff,
    0xea8002ff,0xed800eee,0xeeeeeeee,0x3a24eeee,0x7fff85ee,0xdb7ffc40,
    0xeeeeeeee,0x884eeeee,0x77645eee,0xeee9805e,0x5bfff11e,0x03dfffff,
    0x07777540,0x0dfff100,0xfffffffb,0x2217fee9,0xffffffff,0xffe881ff,
    0xffffffff,0x3fa205ff,0xffffffff,0x3a205fff,0xffffffff,0x4005ffff,
    0x803ffffd,0xffffffff,0x25ffffff,0xff86fff8,0x7ffc407f,0xfffffff6,
    0xbfffffff,0x98dfff10,0x7403ffff,0x3fe24fff,0xffffffff,0xffb001ff,
    0x7c4007ff,0xfffa86ff,0xff74ffff,0x9ffffb0b,0xb0dffffb,0x537bffff,
    0x05ffffd7,0x2f7ffff6,0xffffeba9,0xbffffb02,0xfffd7537,0x3fe2005f,
    0xff806fff,0xffffffff,0x3e25ffff,0x7fff86ff,0xfb7ffc40,0xffffffff,
    0x885fffff,0xffb86fff,0xfff700ff,0x7fffc41f,0xffffbaef,0xffff8806,
    0x3fe2006f,0xffff906f,0x17fee9ff,0x7f4bfff3,0x3ee1fffd,0x3f603fff,
    0x7fdc0fff,0x3ff603ff,0x7ffdc0ff,0x3fff603f,0xfffc800f,0x7fc02fff,
    0xaaaaaaff,0x3e21aaaa,0x7fff86ff,0xfb7ffc40,0xaaaaafff,0x881aaaaa,
    0xffd06fff,0xffff109f,0x3ffff885,0x402fffd8,0x2ffffffc,0x0dfff100,
    0xa7ffff54,0x7fdc5ffb,0x3539f12f,0x007ffff0,0xff89fffd,0xffe803ff,
    0x1ffffc4f,0x027fff40,0x7ffffffc,0x03fffc05,0x86fff880,0x7c407fff,
    0x0ffff6ff,0x6fff8800,0x83ffff30,0xf885fffc,0xfff307ff,0xfffff809,
    0xff1005ff,0xffb100df,0xf917fee9,0x80bee1ff,0x800ffff8,0x3e26fffa,
    0xfa800fff,0x3ffe26ff,0xfffa800f,0x67ffd406,0x3e00fffe,0xf10007ff,
    0xffff0dff,0xf6fff880,0x88000fff,0x3f206fff,0x3ffe66ff,0x5fff880f,
    0x40bfff10,0xffecfffa,0xfff8800f,0x29ffb006,0x7ff45ffb,0xff301f67,
    0x7ffc009f,0x09fff30f,0x987fffc0,0x3e004fff,0x3f600fff,0x3fffb8ff,
    0x001fffe0,0x7c37ffc4,0x7fc407ff,0x00ffff6f,0x06fff880,0x6cbfffe2,
    0xff103fff,0x37ffc0bf,0xf71fffb0,0xff1007ff,0x3ff600df,0xfd8bff74,
    0xb80bf0ff,0x3a003fff,0xfff71fff,0x7fff4007,0x007fff71,0x880ffff4,
    0xfff16fff,0x03fffc0d,0x86fff880,0x7c407fff,0x0ffff6ff,0x6fff8800,
    0x57fffd40,0x3e206fff,0x3ffe06ff,0x2dfff106,0x8806fff8,0xfb006fff,
    0x717fee9f,0x27f53fff,0x3ff209a8,0x3ff6002f,0x05fff92f,0xc97ffec0,
    0x36002fff,0xff702fff,0x17fff47f,0xfffffff8,0x47ffffff,0xff86fff8,
    0x7ffc407f,0xfffffff6,0x0fffffff,0x201bffe2,0xfffffffd,0x3fffe201,
    0x04fff880,0x7f47fff7,0x7fc402ff,0x9ffb006f,0xff317fee,0x3ee1f99f,
    0x5fffb3ff,0x97ffec00,0x2002fffd,0xffb2fffd,0x7fec005f,0x1fffd02f,
    0xf82fffdc,0xffffffff,0x7c47ffff,0x7fff86ff,0xfb7ffc40,0xffffffff,
    0xf107ffff,0xff100dff,0x8809ffff,0xfb81ffff,0xfffd03ff,0x02fffdc1,
    0x401bffe2,0xbff74ffd,0x2dfffff0,0xf91ffff9,0x7f4007ff,0x7fff91ff,
    0x8ffff400,0x2003fffc,0xf981fffe,0x7ffc45ff,0xfffff80f,0xffffffff,
    0x437ffc47,0x7cc07fff,0xfffff6ff,0xffffffff,0x1bffe20f,0x7ffffdc0,
    0x7fffc400,0x3fffea0e,0x45fff980,0x200ffff8,0xb006fff8,0x17fee9ff,
    0x3bffffee,0x3ee5ffff,0x3fe004ff,0x9fff70ff,0x87fffc00,0x2004fffb,
    0xfc80ffff,0xfffd82ff,0x99ffff83,0x19999999,0x7c37ffc4,0x7fcc07ff,
    0x33ffff5f,0x33333333,0x01bffe20,0x802fffe8,0xeffffff8,0x904ffffe,
    0xffb05fff,0x7ffc407f,0x29ffb006,0xff505ffb,0x1dffffff,0x803fffcc,
    0x3e67fff9,0xff3007ff,0x3fffccff,0x07fff980,0xddddffff,0xf0dfffdd,
    0x22000fff,0xffe86fff,0x3ffe600f,0x000ffff5,0x006fff88,0x2007fff6,
    0xffeefff8,0xf00effff,0xdddddfff,0x440dfffd,0xfb006fff,0x817fee9f,
    0x3ffffffa,0x03ffff88,0x225fffe8,0xe803ffff,0x3fe25fff,0xffe803ff,
    0xffffa85f,0xffffffff,0x3fffc2ff,0x6fff8800,0x202fffd8,0xfff4fffa,
    0xff88000f,0x3ff6006f,0xfff8801f,0x09ffff95,0x7fffffd4,0xffffffff,
    0x0dfff102,0x7dd3ff60,0x273e205f,0x7ffdc009,0x3fff202f,0x7fffdc0f,
    0x3ffff202,0x17fffdc0,0x01ffff90,0xfffffffd,0xbfffffff,0x0007fff8,
    0xf90dfff1,0x7ff40dff,0x00ffff3f,0x06fff880,0x007fff60,0x3317ffe2,
    0xfffffd00,0xffffffff,0x3ffe20bf,0x29ffb006,0x3ee05ffb,0x7fff4001,
    0xfea98acf,0xffd03fff,0xd53159ff,0x3a07ffff,0x98acffff,0x83ffffea,
    0xaaaefff8,0xfffbaaaa,0x01fffe0f,0x437ffc40,0x9beffff9,0x0ffffeb9,
    0x8000ffff,0x2006fff8,0x8801fffd,0x88005fff,0xaaaaefff,0xffffbaaa,
    0x06fff880,0x3ee9ffb0,0x001f605f,0x3fffffe6,0x6fffffff,0x3ffffe60,
    0xffffffff,0x3fffe606,0xffffffff,0x7fff906f,0x47fffb00,0xaaaaffff,
    0x22aaaaaa,0xfb06fff8,0xffffffff,0x7ffc9fff,0xaaaaaaaf,0xff882aaa,
    0x3ff6006f,0xfff8801f,0xfffc8005,0x3fffd803,0x006fff88,0x3fee9ffb,
    0x000bf105,0x3fffff62,0x803fffff,0xffffffd8,0x8803ffff,0xfffffffd,
    0x3fe03fff,0xffa800ff,0x3ffffe6f,0xffffffff,0xdfff10ff,0x3ffff620,
    0x0dffffff,0x3ffffffe,0xffffffff,0x037ffc40,0x003fffb0,0x000bfff1,
    0x5001ffff,0xff10dfff,0x3ff600df,0x2a0bff74,0x6d40002f,0x1defffff,
    0x7ffed400,0x4001deff,0xefffffda,0x3ffea01d,0x3fffe006,0xfffffff2,
    0xffffffff,0x01bffe21,0xffffffd7,0xfffff05d,0xffffffff,0xfff881ff,
    0x3fff6006,0x5fff8801,0x37ffd400,0x85ffff00,0x3006fff8,0x0aaa2355,
    0x20000098,0x20000198,0x20000198,0x3f600198,0x3f2003ff,0xfffff5ff,
    0xffffffff,0x3ffe21ff,0x13331006,0xffffff80,0xffffffff,0x37ffc40f,
    0x03fffb00,0x0006aaa0,0x4007fffb,0x0005fffc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x007fffc4,0x0000d440,0x000dfff3,0x33304cc4,0xa8853000,0x3fffd001,
    0x310ccc00,0xfff88013,0x306a000f,0x6cc00015,0x2200000b,0x11000000,
    0x98801540,0x33100099,0xfffd8003,0x4fa8006f,0xfffd1000,0x3fa0009f,
    0x007ffe3f,0x567fff44,0xffc802fc,0xf9800eff,0x01bfea7f,0x00dffffb,
    0xd57dfff3,0x3e60001f,0x260006ed,0xcdffffec,0xfd930000,0x2619dfff,
    0xffc802ff,0xfffb002f,0x33fee00b,0xd7004ffc,0x8003bfff,0x2ffeaffd,
    0x23ffe800,0xf5001fff,0x1fffffff,0xfbdffa80,0x7ff9804f,0xfb81bfea,
    0x403ffccf,0xfffffffd,0x45760006,0xffc8002f,0xffffffff,0x7ffe4002,
    0xcfffffff,0x7c401fff,0xff7002ff,0xf9805fff,0x807ffa6f,0xffffffd8,
    0xffa800ef,0x001fff14,0x3fe3ffe8,0x23f9001f,0x4402eec9,0x5ffb0eff,
    0x2a7ff980,0xdff306ff,0xdf00fff4,0x0077f6a2,0x1fa8ec80,0x3fffa200,
    0xffffffff,0xffe8805f,0xffffffff,0xc802ffff,0xff3003ff,0x001fff1d,
    0x7ffe4000,0x04ffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x007fffd4,0x7bffffb0,0xffffd753,0xffffd807,0xfffdb9bd,0x7db005ff,
    0x98f76400,0x377744ee,0x893bba20,0xccfadfff,0xd5000fff,0x80001ddd,
    0x800eeeea,0x6c01eeed,0xddddb4ee,0xdddddddd,0x77776c9d,0xeeeeeeee,
    0x5eee884e,0x77775400,0x7fec0000,0xff5003ff,0x3f6207ff,0xff500fff,
    0x3fe207ff,0x00000fff,0xffff0000,0x26fff880,0x4fa8fffa,0x36003bdf,
    0x0003ffff,0x01ffffec,0x202ffffc,0xffff6ffe,0xffffffff,0x7fffcbff,
    0xffffffff,0xfff885ff,0x7ffec006,0x3e20003f,0xf006ffff,0xfd007fff,
    0x3ffe09ff,0x3fff603f,0x32e203ff,0x5500accc,0x4aaaa035,0x7c407fff,
    0x5ffea6ff,0xf10004fa,0x000dffff,0x37ffffc4,0x17ffffc0,0x3fedffd0,
    0xffffffff,0x3fe5ffff,0xffffffff,0xf885ffff,0x3e2006ff,0x0006ffff,
    0x3ffffff2,0x7fffcc02,0x7fffa800,0x207fff98,0x7fffeffc,0xffffffb0,
    0xfff883df,0x3efffd05,0x7fc407ff,0x2bffe26f,0xf90004fa,0x005fffff,
    0x3fffff20,0x7fffc02f,0xdffd00ff,0x2aabfffe,0x1aaaaaaa,0x2aabfffe,
    0x1aaaaaaa,0x006fff88,0x3ffffff2,0xffff0002,0xfa80bfff,0x3fe004ff,
    0x4fffa87f,0xff1dff70,0xfffa81ff,0x0fffffff,0x7417ffe2,0x0ffff7ff,
    0x746fff88,0x004fefff,0xfffffff0,0x3ffe000b,0x7c05ffff,0xd04fffff,
    0x1fffedff,0x03fffc00,0x1bffe200,0xffffff80,0xffa8005f,0x00fffecf,
    0x800fffee,0x7e41fffe,0xeffa83ff,0x443ffff0,0xeb9aefff,0x3fe23fff,
    0x2fffd05f,0x7c407fff,0x7ffdc6ff,0x2000beff,0xffecfffa,0x7fd4000f,
    0x00fffecf,0x3ffffffe,0xff6ffe81,0x3fe000ff,0x7c40007f,0xff5006ff,
    0x01fffd9f,0xb8fffd80,0x3f603fff,0x3f6002ff,0x7ffec2ff,0xb07ffcc2,
    0x6e4c5fff,0x27ffd40f,0x3a0bfff1,0x0ffff7ff,0xd86fff88,0x4fffffff,
    0x71fffb00,0xd8007fff,0xfffb8fff,0x3ffffe03,0x6ffe86ff,0x2000ffff,
    0x40007fff,0xb006fff8,0xfff71fff,0x7ffc4007,0x40dfff16,0x2002fffd,
    0x7ec2fffd,0x3ffe62ff,0x017ffec1,0x449fff50,0xffd05fff,0x101fffef,
    0x3ae0dfff,0x0effffff,0x45bffe20,0x22006fff,0xfff16fff,0x777ffc0d,
    0x7ff43fff,0x000ffff6,0x0001fffe,0x100dfff1,0x3fe2dfff,0x3fee006f,
    0x0bfffa3f,0x001fffe4,0xfc83fffd,0x5ffd14ff,0x403fffd0,0xfffffdb9,
    0x417ffe24,0xffff7ffe,0x06fff880,0x7fffffdc,0x8fffee04,0x7002fffe,
    0x7ff47fff,0x5bfff02f,0x7f41ffff,0xffffff6f,0xffffffff,0xfffffff8,
    0x07ffffff,0x700dfff1,0x7ff47fff,0xfffd002f,0x82fffdc1,0x2004fffb,
    0x7dc0ffff,0x3ffe8dff,0x881ffff0,0xfffffffc,0x3ffe24ff,0x3efffd05,
    0x7fc407ff,0x5e7d406f,0x3fa07fff,0x3ffee0ff,0x1fffd005,0xf82fffdc,
    0x9fffb5ff,0xfffb7ff4,0xffffffff,0x7fffc7ff,0xffffffff,0xdfff107f,
    0x41fffd00,0x9805fffb,0x7fc45fff,0xfff980ff,0x3ea0b886,0xfffa87ff,
    0xf304ffde,0xffe88fff,0xfff9bdff,0x417ffe24,0xffff7ffe,0x06fff880,
    0xfffba7d4,0x45fff980,0x400ffff8,0x7c45fff9,0xfff80fff,0x23ffff15,
    0xffff6ffe,0xffffffff,0xfffff8ff,0xffffffff,0x0dfff107,0x445fff98,
    0x6400ffff,0xffd82fff,0xffff883f,0xfe9ffe43,0xffff05ff,0x7fec09ff,
    0x1fffe45f,0xf893ffe2,0xffff05ff,0xf301fffe,0xa76e4dff,0x1fff34fa,
    0xb05fff90,0xfc807fff,0xfffd82ff,0x2e5fff83,0xdffd6fff,0x2667fffe,
    0x41999999,0x9999ffff,0x10199999,0xfc80dfff,0xfffd82ff,0x77fffc03,
    0xfffeeeee,0x3ffff706,0x7fffffec,0xfff701ff,0x7ffdc0bf,0x43fff40f,
    0x7fc4fff9,0x7fff886f,0xf980ffff,0x3fff65ff,0xfff74fa8,0x3bbfffe0,
    0x6fffeeee,0x777fffc0,0x6fffeeee,0x7f45fff8,0xf6ffebff,0x3e000fff,
    0x440007ff,0x7fc06fff,0xeeeeeeff,0x3ea06fff,0xffffffff,0xd02fffff,
    0x2a37ffff,0x04ffffff,0x16fffffc,0x07ffffb3,0xfd81ffff,0x7fff45ff,
    0xebffff41,0x3e600fff,0x3ffee5ff,0xffe9cfbe,0xfffffa85,0xffffffff,
    0xffff502f,0xffffffff,0x5fff85ff,0x7fffffcc,0x00ffff6f,0x001fffe0,
    0x40dfff10,0xfffffffa,0x2fffffff,0xffffffd0,0xffffffff,0x3fffe60b,
    0xffffffff,0x3fea02ff,0xffffffff,0xfb06ffff,0xffd97dff,0xfffc8bff,
    0xfffffddf,0x405fffb7,0x7f44fffa,0xffffffff,0xffffe80f,0xffffffff,
    0xfffd05ff,0xffffffff,0xfff8bfff,0xfffffc85,0x00ffff6f,0x001fffe0,
    0x40dfff10,0xfffffffe,0x5fffffff,0xaaefff88,0xffbaaaaa,0xffb100ff,
    0xffffffff,0xfa83bfff,0xfffffeff,0x203fffff,0xfffffff9,0x7447ffee,
    0xcdffffff,0xdfff97ff,0x21ffff40,0xfffffff9,0xfff882ff,0xaaaaaaae,
    0x440ffffb,0xaaaaefff,0xffffbaaa,0x2217ffe0,0xf6ffffff,0x3e000fff,
    0x440007ff,0xff106fff,0x555555df,0x81ffff75,0xd803fffc,0x6d403fff,
    0xccefffff,0x7f47ffff,0xffffd51f,0xd3003bdf,0x3ea9ffff,0x7fec41ff,
    0x2fff73ef,0x9beffff9,0x0ffffeb9,0xfffffd88,0x7fff900d,0x87fffb00,
    0xd803fffc,0x3ffe3fff,0xfffff505,0x2abfffed,0xaaaaaaaa,0x2abfffe2,
    0xaaaaaaaa,0x06fff882,0xb007fff9,0xfff87fff,0xfffa800f,0x20662006,
    0x7443ffe9,0x00033302,0x300004c4,0x3fff6001,0xffffffff,0x05fb804f,
    0x800ffff8,0x7fc6fffa,0xffa800ff,0x817ffe6f,0xff6ffffd,0xffffffff,
    0x3e1fffff,0xffffffff,0x40ffffff,0xff06fff8,0xff5001ff,0x37ffd4df,
    0x05ffff00,0x0035c000,0x00000000,0xffd88000,0xffffffff,0x04fa800d,
    0x0037ffd4,0x3ea5ffff,0x3fe006ff,0x0bfff2ff,0xfb7fffc4,0xffffffff,
    0xf0ffffff,0xffffffff,0x81ffffff,0xfa86fff8,0x3fe006ff,0x7fffb2ff,
    0x2fffe400,0x00000000,0xbbbb8800,0xbbbbbbbb,0x00001bbb,0xffffffd7,
    0x1f4c005d,0x00ffff60,0xfb5fffc8,0x7e4007ff,0x0bfff5ff,0xff6fffb8,
    0xffffffff,0x3e1fffff,0xffffffff,0x40ffffff,0xfd86fff8,0x3f2003ff,
    0x000005ff,0x00000000,0x3ffe6000,0xffffffff,0x0003ffff,0x004ccc40,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfff98000,0xffffffff,0x0003ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00026662,
    0x00013331,0x004c4003,0x00999880,0x19982662,0x004ccc40,0x2620cc40,
    0x017b5001,0x02666200,0x19983330,0x00266620,0x00099980,0x80009998,
    0x0ccc0008,0x26603331,0x3ffa2019,0xfffd8006,0xfffd8800,0x13fe200d,
    0x077ff400,0x7fc7ffb0,0x3ffe201f,0x0fff8006,0xf5003ffe,0x3a000ddb,
    0x3e200fff,0x0fff30ff,0x003fff44,0x005fffd8,0x007fffdc,0x6ffff654,
    0x87ffc401,0xff907ffa,0x7ffc403f,0x7ff44002,0xffffe804,0x1ff900ff,
    0x1fff5000,0x3e3ffd80,0x7fcc01ff,0x3fe2001f,0x201ffe26,0x8003f34d,
    0x4401fff9,0xfff30fff,0x02ffe880,0x7ffffd40,0xffff3003,0xfffa80bf,
    0x202fffff,0xff50fff8,0x02ffec0f,0x2001bfe6,0x2a00ffe8,0x3ffc8dff,
    0x0004ff88,0xfb003ffd,0x00fffc7f,0x5002ffcc,0x2ffd49ff,0x07dc7640,
    0x007ff600,0x7cc3ffe2,0x6ff8807f,0x23bfe200,0xfe801ffe,0x302ffd9f,
    0xfffdffff,0x7ffc40ff,0xd80fff50,0x774c01ff,0x2ed88000,0x7d4bff20,
    0x00ffc85f,0x001ee980,0xeea80000,0x47ff9000,0xf9804ffb,0x744004ff,
    0x0000002e,0x9001ee98,0x13ba63dd,0x3625dd70,0xfffd80de,0x007fffa2,
    0x3ed88000,0x00000000,0x3fe23ffb,0x0027fc46,0x00000000,0x3ffb0000,
    0x50017fec,0x00000001,0x00000000,0xe8000000,0x7ffe46ff,0x00000000,
    0x00abcb98,0x59999710,0x223ffb01,0x07fe46ff,0x501aaa80,0x32e20555,
    0x5500accc,0x4aaaa035,0xfffffffd,0x0fffffff,0x59999710,0x2f2e6001,
    0x06aaa00a,0x75015554,0x4c001579,0x1000abcb,0x01599997,0xffd17ffe,
    0x2f2e600d,0x2aaa800a,0xffffffb8,0x7ffec03f,0x641effff,0x4bff32ff,
    0xf1004ff8,0x3ffa0bff,0xfffffd87,0x7fc41eff,0x2fffd05f,0xfffffffd,
    0x0fffffff,0xffffffd8,0x3fee01ef,0x883fffff,0xffd05fff,0xffffd30f,
    0xffb805ff,0x403fffff,0xfffffffd,0x25fff81e,0x5c03fffa,0x3fffffff,
    0x322fffc0,0xffffffff,0xffff506f,0x41ffffff,0x9ff95ffa,0x88007fe4,
    0xffd05fff,0xfffffa8f,0x220fffff,0xffd05fff,0x3fffff6f,0xffffffff,
    0x7fffd40f,0x80ffffff,0xfffffffc,0x7ffc46ff,0xa8fffd05,0xffffffff,
    0xffff903f,0x20dfffff,0xfffffffa,0x3fe20fff,0x03fff65f,0xffffffc8,
    0x3fe06fff,0x3fffee5f,0x4ffffebe,0x4d77ffc4,0x743fffeb,0x10ffffff,
    0x7c4009ff,0xfffd05ff,0x4d77ffc4,0x223fffeb,0xffd05fff,0x5c7ff90f,
    0xfff103ff,0xfffd735d,0xeffffb87,0x24ffffeb,0xfd05fff8,0xdfffe8ff,
    0x40ffffba,0xebeffffb,0x7c44ffff,0xfeb9aeff,0x3ffe23ff,0x40bfff15,
    0xebeffffb,0xff04ffff,0x3fffe2bf,0x0ffffcc2,0xfa81fb93,0x7fec44ff,
    0x03ff21ef,0x05fff880,0x6e4cfffd,0x27ffd40f,0x3a0bfff1,0x1ffd87ff,
    0x64c0bff6,0x7ffd40fd,0x0bfffe24,0x223ffff3,0xffd05fff,0x21fffdcf,
    0x3e24fff8,0x7fcc2fff,0x3f7261ff,0x127ffd40,0x3fe6bfff,0xfff880ff,
    0x7fffcc2f,0xf55fff81,0x3fee07ff,0x3fea004f,0x8813104f,0x166544ff,
    0xe82fffc4,0x3ea007ff,0x3ffe24ff,0xf0fffd05,0x07ffc1ff,0x4fffa800,
    0x5c0fffea,0xfff14fff,0xd9fffa0b,0xffe81fff,0x40fffea7,0x2004fffb,
    0x3e24fffa,0x3fffe5ff,0x03fffa85,0xff09fff7,0x03fff2bf,0x302fffc4,
    0x9fffffb7,0x10ffc800,0x41dffffd,0xfd05fff8,0x7edcc0ff,0x3e24ffff,
    0xfffd05ff,0x3e26ff88,0x36e6007f,0x324fffff,0xff100fff,0x17ffe2bf,
    0xffd3fff4,0xfb55555f,0x07ffe4ff,0x205fff88,0xfffffdb9,0xa97ffe24,
    0x7e45ffff,0xfff100ff,0x3abfff0b,0x7ffc07ff,0x7fffe446,0x004fffff,
    0xffd93fe2,0x3e25ffdc,0xfffd05ff,0xfffffc88,0x3e24ffff,0xfffd05ff,
    0x3ffffff6,0xffffffff,0x7fffe440,0x3a4fffff,0x7ffc07ff,0x20bfff16,
    0x3ffe7ffe,0xffffffff,0x0fffd0ff,0x6446fff8,0xffffffff,0x17ffe24f,
    0x749ffff7,0x7ffc07ff,0xfb5fff86,0x7ffc01ff,0x3ffffa26,0x04fff9bd,
    0x7c43ff20,0x443ffe7f,0xffd05fff,0x7ffff44f,0x24fff9bd,0xfd05fff8,
    0x3ffff6ff,0xffffffff,0x3ffa20ff,0xfff9bdff,0x803fff64,0xfff16fff,
    0xf9fffa0b,0xffffffff,0xffb1ffff,0x37ffc01f,0x7bffffd1,0x7c49fff3,
    0xfffb85ff,0x01fffb2f,0x7fc37ffc,0x03fff75f,0xfc93ffe6,0x7ffc43ff,
    0x49ff1004,0x3ffa5ff9,0x20bfff11,0x3ff27fff,0x27ffc43f,0x3e0bfff1,
    0xffffb7ff,0xffffffff,0x7ffe41ff,0x727ffc43,0x3e603fff,0xbfff14ff,
    0xfe9fffe0,0x7fdc007f,0x9fff301f,0x221fffe4,0x3fe24fff,0xbfff705f,
    0x4c07ffee,0xfff84fff,0x20bfff35,0x3fa3fffc,0x4fff987f,0x541ff900,
    0x8bff64ff,0xff886fff,0x21fffa7f,0x7fc4fff9,0x7fff886f,0x3ffe3ffc,
    0x21fffa00,0x3e64fff9,0xfff905ff,0x4437ffc7,0x3ff67fff,0x4c1ab82f,
    0xff905fff,0x43fff47f,0x3e24fff9,0x3ffe05ff,0x20bfff36,0xff83fffc,
    0x37fffe5f,0x8dfff931,0x7ec0ffff,0xff8805ff,0xfd2ffcc4,0x0ffff43f,
    0xff9ffffa,0x7ffec0ff,0x20ffff45,0x3e67fffe,0x01bfe26f,0xfd81ffff,
    0x7fffc5ff,0xdfff931d,0x741fffe8,0x3fea7fff,0x3ffe60df,0x8effffc5,
    0x7c6fffc9,0x7fec0fff,0x97ffe25f,0x4dfff139,0x931dffff,0x3fe0dfff,
    0x3fffe65f,0x1fffffef,0x65f7ffec,0x805ffffe,0x7fc40ffd,0xfc83ffe6,
    0xfffddfff,0x3fff67ff,0xffffecbe,0x6ffffe45,0x27fffffd,0x3fea4ffa,
    0x77ffec05,0x5ffffecb,0x77ffffcc,0x641fffff,0xffddffff,0x7ff47fff,
    0xffffddff,0x7ffffcc0,0x41fffffe,0xecbefffd,0x3e25ffff,0xfdff95ff,
    0x7fcc9fff,0xffffefff,0x8bfff01f,0xfffffff9,0xfff982ff,0xffeeffff,
    0x827fc407,0x5ffccffd,0x7fffff44,0x267ffcdf,0xefffffff,0x7f447ffe,
    0xfcdfffff,0xb8fff27f,0x7fcc03ff,0xfeefffff,0xffff987f,0x882fffff,
    0xdffffffe,0x7f447ffc,0x2fffffff,0xffffff30,0xff305fff,0xfddfffff,
    0xafffc4ff,0x6ffffffb,0xffffff98,0x3fe02fff,0xffec985f,0x3a600dff,
    0xff54ffff,0x07fec03f,0xefffff98,0xefffd880,0xe98fff73,0xff54ffff,
    0xfffd883f,0x74fff73e,0x0bff61ff,0x3ffffa60,0x303fff54,0x1bffffd9,
    0x77ffec40,0x320fff73,0x01cefffe,0x7ffff64c,0x3ffa600d,0x3fff54ff,
    0xeb97ffe2,0x9300dfff,0x01bffffd,0x4405fff8,0x04c40009,0x03ee8800,
    0x005eedc4,0x4c40004c,0x00260000,0x2aaa1554,0x00262000,0x00013100,
    0x4c400013,0x01310000,0x00009880,0x88002620,0x00000009,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x99800000,0x2000ccc1,0x20009998,0x00000999,0x4c4004c0,0x00131000,
    0x26200131,0x00188000,0x10013300,0x004cc001,0x00000c00,0x20000022,
    0x2aa60008,0x1aaa880a,0xff88fffc,0x3ff6000f,0xfff9001f,0xdfdb880d,
    0x007f9003,0x3fa00bfd,0x005fe801,0x322003fd,0x002effff,0x9109ff30,
    0x19dffffb,0x2003ff40,0xffffecb8,0xeb98002d,0x000adfff,0xefffdca8,
    0x3fee00cd,0x4fff981f,0xff88fffc,0xfff3000f,0x3ffea003,0x3ff204ff,
    0x7cc04ffe,0x2ffecc06,0x26027dc0,0xfb805ffd,0xffff3004,0x0009ffff,
    0xff985ff7,0xffffffff,0x001ff903,0x3fffffee,0x800effff,0xfefffffb,
    0x8800efff,0xfffffffd,0xff702fff,0x9fff303f,0xff11fff8,0x3ff6001f,
    0x1fff1002,0xff103ffd,0xfb01ff25,0x7fffe405,0x007fc405,0x80bffff9,
    0xfd000ff8,0xfffd9bff,0x0ffd8003,0x3fffffea,0x82ffffff,0xfd802ffa,
    0xffffffff,0x3600efff,0x2a21bdff,0x2202fffc,0xfffffffe,0xb85fffff,
    0xff981fff,0x1000004f,0x75c005dd,0x80bdb11e,0x2a06fe98,0x75fec06f,
    0x01fe405f,0x017faff6,0x3e2007f9,0x27ff44ff,0xfb1bfe00,0xd7337bff,
    0xf881ffff,0x7ffe404f,0xfecaabef,0xff905fff,0x3ffd1007,0x37ffff60,
    0xfffeba9b,0x0fffdc2f,0x0027ffcc,0x00000000,0x03ffea00,0xd0c01fe8,
    0x037cc0bf,0x4c0bfd0c,0x3fe2006f,0x027ff45f,0xff89ff30,0xffff106f,
    0x540dfd03,0x3203ffff,0x7d40ffff,0x2165443f,0xffb86fe8,0x3ff603ff,
    0x3ffee0ff,0x04fff981,0x00157975,0x0055e5d4,0x01579750,0x01dfd950,
    0xfe800bf7,0x000bf605,0x17ec0bfd,0x47fffe00,0x2002fffa,0x3fe62ffb,
    0x3bff205f,0xb00ffc82,0xfd009fff,0x43ff85df,0x22fffffd,0x7ffc3fe8,
    0xfffe803f,0x207ffee4,0x74c4fff9,0x02ffffff,0x7fffff4c,0x7ff4c02f,
    0x1002ffff,0x0ff887ff,0xa82ff400,0x5fe8006f,0x7000df50,0xfff7dfff,
    0x7fec001f,0x067fffc0,0x82ffb800,0x800ffff8,0xc8df5019,0x0ffdadff,
    0xfff89bea,0xfffa800f,0x207ffee6,0x3ea4fff9,0xffffffff,0xfffff503,
    0x2a07ffff,0xffffffff,0x88ffc43f,0x027e43ff,0xfe82ff40,0x05fe8001,
    0x3a0003fd,0x1fffffff,0x6c37fc00,0x1bdfffff,0x213fe600,0x0005fffa,
    0x3fe64fd8,0xff127ec1,0x013ffe63,0xf70ffff8,0xfff305ff,0x56ffff49,
    0xe80ffffb,0xffbadfff,0xfffe80ff,0x0ffffbad,0x37feffec,0x20003fe2,
    0x05fb85fe,0xf70bfd00,0x7fdc000b,0x4000dfff,0xff884ff9,0xcfffffff,
    0xb86ff801,0x80004fff,0x01fee2fe,0xfff72fe8,0x7fff4007,0x507fff71,
    0x3fee9fff,0x27ffc43f,0xf10fffee,0xfffb89ff,0x227ffc43,0x41dfffd8,
    0xfd0003fd,0x000ff88b,0xff88bfd0,0xfff70000,0x70007fff,0x3fa605ff,
    0xffffffff,0x207fec04,0x9703fffc,0x47999999,0x017f20ff,0xfff93fc8,
    0x7ffec005,0xb0bfff72,0x3ff69fff,0x47ffe81f,0xfe81fffd,0x0fffec7f,
    0x0303fff4,0x1cc81be6,0x4fc81310,0x2200aca8,0x9027e409,0xfffd8839,
    0x531fffff,0x00ffd801,0x7ffffedc,0x3ee05fff,0x1fffe42f,0xffffffd8,
    0x9fb1fe6f,0xfda7dc00,0x3f6002ff,0xffff72ff,0xa7fffd45,0xaaaafffe,
    0x7f47ffda,0xdaaaaaff,0x7fff47ff,0xffdaaaaa,0x02fe8007,0x44005ff9,
    0x3ffee0ff,0x3e2003ff,0x85ff900f,0xfd8efffd,0x6ffc8eff,0x8801ffe0,
    0xffffffda,0xa89ff303,0xffb04fff,0x6cdfffff,0x221bf21f,0xff93fd80,
    0x7ff4007f,0xfffff71f,0x9fffffdd,0x3ffffffe,0x20ffffff,0xffffffff,
    0x3e0fffff,0xffffffff,0x2000ffff,0xfff705fa,0x11fec005,0x1ffb5bff,
    0x5c0ff600,0x3fe22fff,0x3fffa26f,0xf105fffd,0x754000bf,0x3fe05fff,
    0x82fffc46,0xfffccccb,0xffb8fee6,0x3fe27ec0,0x009fff72,0xfb87fffc,
    0xeffffdff,0xffff4fff,0xffffffff,0x7ffffc3f,0xffffffff,0x3fffffe1,
    0x1fffffff,0x2607fa00,0x3002ffff,0x30ec98df,0xdf3005ff,0x8bfffe60,
    0x7cc3fffa,0x02ffffff,0xb9707ff5,0x7ffc401d,0x3a1ff607,0xf8800fff,
    0xd1be66ff,0x3ff715df,0xfff33fcc,0x3ffe600f,0x367ffee7,0x4fff9eff,
    0xd000fffd,0xfd000fff,0xb80000ff,0xf9ff884f,0x05fd002f,0xd001ffb0,
    0xf3ff105f,0x0fffec5f,0x37ffffd4,0xfb03ff90,0xfff809ff,0xb07fee07,
    0xf1009fff,0x21ff8dff,0x4fffffe9,0xfff127ec,0xfffd007f,0x88fffdcb,
    0x17ffec01,0x7fec0d5c,0xd81ab82f,0x1ab82fff,0x203fe200,0x005ff3fe,
    0xfd880bf5,0x05fa803f,0xc8bfe7fd,0xff903fff,0x3ff40bff,0x00ffffb8,
    0x4c0bfff7,0x7ffd43ff,0x3ff2203f,0x10ffe46f,0xfd839db7,0x7fffdc0f,
    0x3ffff202,0x007ffee0,0x20dfffa8,0x7d45fff9,0x3fe60dff,0x6fffd45f,
    0x017ffe60,0x77ec1fe4,0x402cffaa,0x3fa201fe,0x03fd003f,0x9ff55df9,
    0x8bfffea5,0xffffffc8,0x82ffc40e,0x9ceffff8,0x3ffffda8,0x7ec2ffc0,
    0xa89adfff,0x86fffffc,0xfb001ffe,0x3fffa05f,0xfea98acf,0x7fdc3fff,
    0x7ff4001f,0xffffddff,0xdffffe80,0xe80ffffd,0xffddffff,0x6f8800ff,
    0xffffffd0,0x027dc0df,0x2005fff3,0xfffd04fb,0x7f4dffff,0xfffeffff,
    0x1fffffff,0xfa80ffea,0xffffffff,0x7400efff,0xfffe887f,0xffffffff,
    0xfe883fff,0xfda881bf,0x3ffe603f,0xffffffff,0xfffb86ff,0x7ff44001,
    0x02ffffff,0xffffffd1,0x3fa205ff,0x2fffffff,0x2e05fb00,0x3dffcccc,
    0x7401ff10,0x01cccdff,0x32e01ff1,0x23dffccc,0xffffffe8,0xfffccfff,
    0x200ffe46,0xfffffffc,0xc800dfff,0xfff901ff,0xffffffff,0xfffd801b,
    0xffffecdf,0xfffd8801,0x3fffffff,0x003fff70,0x3bfffb20,0xffec801c,
    0xec801cef,0x001cefff,0xff800df3,0xa80ff202,0x3fffffff,0xf8007f90,
    0xfffd702f,0x7f4c3bff,0x9803ff40,0xeffffffd,0x0ffea003,0xfffffc98,
    0x26001cdf,0xceffffdb,0x7ed4000a,0x01deffff,0x00033326,0x20001310,
    0x31000098,0x03d90001,0xd101cc80,0xcccca80b,0x5e881ccc,0x401cc800,
    0x06200a98,0x22000aaa,0x2a000099,0x1531001a,0x054c0000,0x03310000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x22000000,0x01100000,0x00030000,0x039bdb71,
    0xcccccc98,0xb7302ccc,0x260019bd,0x000ceedb,0xefec9801,0x3b20002c,
    0xdd9500ee,0x36a0017b,0x3007aa1c,0x80059995,0x3eee8808,0x06eee800,
    0x40277744,0x1dfffec9,0x7ff5cc00,0x98000adf,0x1defffec,0x7ffff4c0,
    0x3ff202ff,0x5fffffff,0xffffffb8,0x7ffdc03f,0x2202ffff,0x3fff607c,
    0x000dffff,0xc80fffe8,0x1effffff,0x77fffd40,0xfb100ffd,0x05ffffff,
    0x2ffff644,0x0009fff1,0xf880ffff,0x7fd406ff,0x04ffffff,0xefffffb8,
    0x000effff,0xfffffff9,0xff101bff,0x3fffffff,0x3fffff60,0x7e45ffff,
    0xffffffff,0xfffffb02,0xf501ffff,0x3ffee0ff,0x05ffffff,0x40fffe80,
    0xfffffffd,0x33f601ff,0x106ffffd,0xffffffff,0x3ffa05ff,0x3fe26fff,
    0xfff8004f,0x37ffc407,0xffffff50,0x6c05ffff,0x2a21bdff,0x2202ffec,
    0xfffffffe,0xfb86ffff,0xfffc9dff,0xffffff05,0xff8bffff,0xfffc9bff,
    0xcffff987,0xe84fffd9,0xffff07ff,0x3fffd517,0x0fffe800,0x2affffea,
    0x3205ffff,0xfb0164c3,0xffb59fff,0xffff30df,0x7ffc49dd,0x7fff8004,
    0x037ffc40,0x2e27fffb,0xff905fff,0x3ffd1007,0x33ffff20,0xffffec9a,
    0x3637ffc2,0x7fc40fff,0xfff5003f,0x41fffe85,0x7fc0fffd,0x87ffe86f,
    0x7d44fff9,0x7f4002ff,0x3fff60ff,0x007fff41,0xbfff3000,0xa85fffb0,
    0xff103fff,0xfff0009f,0x6fff880f,0x3a17ffe0,0x7fd40fff,0x1aaaaa8b,
    0x7cc37f44,0xff901fff,0x1fffd4df,0xf313ffe6,0x2e6003ff,0x1fffc85c,
    0x2613ffe6,0x7ff54c19,0xfff31aaf,0x03fff885,0xd07fff40,0xfff90fff,
    0x6665c409,0xfffb80ac,0xf701a982,0x3fe203ff,0x1599714f,0x101fffe0,
    0x3e60dfff,0x09aa83ff,0xfff73ff8,0x7445ffff,0x1ffff43f,0x23dfff10,
    0x7c42fffb,0x7ffdc5ff,0x7c000130,0x7ffd47ff,0x3fff2002,0x3fe4ffff,
    0x07ffd44f,0x83fffa00,0xff985fff,0xffffb05f,0xfc83dfff,0x2a6000ff,
    0x42abfffd,0xffacfff8,0xff81ffff,0x7ffc407f,0x013ffe06,0x77dcdf50,
    0x20ffebaa,0x3ffe26fa,0x640a9807,0xfff81fff,0x7efffe45,0x51002eff,
    0xfb87fffb,0xbdec99ff,0xfffffc80,0x3fff24ff,0x06ffeb9b,0x20fffe80,
    0xff986fff,0xffffa86f,0x20ffffff,0x2000fffd,0xfffffffc,0x3fffe20f,
    0xffffffff,0x203fffc2,0x3a06fff8,0x7ec005ff,0x3fe17ee4,0x7cc7fe22,
    0x320005ff,0xfff81fff,0x7fffff46,0xd804ffff,0xfc83ffff,0xfffffcff,
    0x7ffe541e,0x7fdc2ccf,0x005fffff,0x741fffd0,0x7fdc0fff,0x77ffc47f,
    0x3fffeb9a,0x8003fff6,0xfffffffc,0x3fffe20f,0xffffbaef,0x203fffc6,
    0xaa86fff8,0xaaaafffe,0xfb8bfa00,0x3a0ffc45,0x09fff52f,0x07ffec00,
    0x3fe3fffc,0xffffefff,0x7fff402f,0xffffd80e,0x0fffffff,0x2207ffe8,
    0x1ffffffe,0x1fffd000,0xd11fffe4,0xdc98ffff,0x27ffd40f,0x2a03fff9,
    0x3ffb2a09,0x7fc44cdf,0x7ff443ff,0x01fffe2f,0xfd0dfff1,0xffffffff,
    0xf707fc05,0x0bff999f,0x3fff27f7,0x3ffa0003,0x27fff80f,0x2e24ffe8,
    0x3e00ffff,0x6c3ffffe,0xc88cffff,0xffe85fff,0xffffd107,0x0005ffff,
    0x7c41fffd,0xfffcefff,0x2a000fff,0x3fee4fff,0x3fffb84f,0x880fffe4,
    0xff506fff,0x03fffc9f,0x3a1bffe2,0xffffffff,0xf71fe02f,0x205dffff,
    0x7fff94fb,0x7ffec000,0x107fff80,0x007fffa0,0xd8bfff62,0xffe87fff,
    0x43fff40f,0xb33efff8,0xe8005fff,0x7fd40fff,0xffffffff,0x7fedcc07,
    0x3fe24fff,0xffd30cff,0x1fffc83f,0x20bfff10,0x3fe5fff8,0x7ffcc07f,
    0xfffccb86,0x3601ccce,0x2e7bee1f,0x27fb03ff,0x0004fffb,0x3e07fff2,
    0x7e4006ff,0xff1003ff,0x2fffe4bf,0x3a0fffe4,0xfffa87ff,0x02fffc42,
    0x203fffa0,0xe9efffe8,0xffc886ff,0x4fffffff,0x77ffffdc,0xfc85ffff,
    0xfff101ff,0xf37ffc09,0xff980fff,0x2fffc05f,0x7dc9f700,0x3e07fee5,
    0x0bfff52f,0xfff70110,0x00bfff03,0x003fffa8,0x7dc3fff6,0xfffa83ff,
    0x643fff42,0xfffb07ff,0x7405d4c4,0x04c00fff,0xfe88bfff,0xff9bdfff,
    0xffffc84f,0xc80effff,0xff101fff,0x3ffe20df,0x803fffa5,0x2605fff9,
    0x26003fff,0xfb17ee6f,0x3e27f98d,0xdfd806ff,0x85fff70b,0x2624fff9,
    0xfffc80aa,0x3a099552,0xfff50fff,0x83fff70b,0xffe87ffe,0x0fffd80f,
    0xfd07fff7,0xff9800ff,0x1fffe44f,0x5413ffe2,0x0bfffffe,0x203fff90,
    0xf307fff8,0x7ffec9ff,0x13ffea02,0x000fffc8,0x45fb8ffc,0x13f63ff9,
    0x4c05ffff,0xff12ffff,0x2fffb8bf,0x3a0ffff2,0xfffb1fff,0x27fff983,
    0x6c0ffff8,0x7ff40fff,0x82fffc87,0x3fe67fff,0x37ffc45f,0xf903fb6a,
    0x7ffe83ff,0x404fff98,0x6400cffc,0xff101fff,0xfff903ff,0x037ffe47,
    0x2a07fffd,0xc8002fff,0xb83c99ff,0xa81ffb3c,0xfb00efff,0xfffd8fff,
    0x98dfff12,0xf711ffff,0x7ffdcbff,0xbfffb31d,0x51dfffc8,0xffb0dfff,
    0x7ffdc21f,0xbfff911e,0x4effffc4,0x544fffea,0x3fee4fff,0x0ffff86f,
    0x302fffec,0x401ffd9b,0xf101fffc,0x7dc1dfff,0x3fe60fff,0xeb99beff,
    0xf980ffff,0xabdecfff,0xffd04c99,0x0bff6003,0x4dfffff4,0x3ffffeb9,
    0x7f7fffd4,0xffd83fff,0xfffffeff,0x7fffff41,0x440fffff,0xffffffff,
    0xfffd81ff,0x3fffa4ff,0x1fffffef,0x7fffffe4,0x7c40efff,0xffffffff,
    0xefffd82f,0x5ffffecb,0x407ff100,0xf101fffc,0xffdfffff,0xffb09fff,
    0xffffffff,0x3ff209ff,0xffffffff,0xfe880fff,0xfda881bf,0x3ffe603f,
    0xffffffff,0xffff905f,0xd101bfff,0xffffffff,0xfffff103,0x2a03ffff,
    0xffffffff,0xfffff503,0x7ffffc4b,0xe883ffff,0xffffffff,0xfffff501,
    0x3e605fff,0xeeffffff,0x5c4107ff,0x3ff201ff,0x7fff101f,0xbffffffd,
    0xffffb101,0x1bffffff,0x3ffffe20,0xffffffff,0x3ffff604,0x1ffffecd,
    0xffffd880,0x405fffff,0x04ffffea,0xdfffffb8,0x3fff2200,0x6c400cff,
    0x401effff,0x445ffffc,0x1efffffc,0x7ffffe40,0x7ff5402e,0x74c01dff,
    0xff54ffff,0xffffb03f,0xfffc80bf,0x25fff101,0x804ffffd,0xffffffeb,
    0xadfd802e,0xffffecb9,0x7edcc03f,0x00acefff,0x7ffff5c0,0x262002ef,
    0x00988000,0x00019980,0x4c400133,0x001a9801,0x40009a88,0x98800198,
    0xccca8000,0xfffc801b,0x00130001,0x00133310,0x00998008,0x00015300,
    0x0000cc40,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x10000000,0x00003555,0x88099988,0x09988099,
    0x36202662,0x30750dee,0x55401555,0x417b502a,0x0aaa80ec,0x00159951,
    0x4002aaa2,0x510acca8,0xeb800155,0x797500ee,0x6c2aaa21,0xeeeeeeee,
    0xddb01cde,0xdddddddd,0xdd5007dd,0x551001dd,0x97bba215,0x7fcc4eee,
    0xfffb704f,0x7fec017d,0x7fffd41f,0xfd27fe40,0x3ff6207f,0xffb84fee,
    0x9fff303f,0xbdffff90,0x7fff10df,0x3dfffff3,0x05fff700,0xfffffd30,
    0x001fff55,0x440fffc8,0x9afffffe,0xffff1fff,0xffffffff,0xfffff0df,
    0xffffffff,0xffffb009,0x5fff5007,0xff9bffe2,0x27ffcc5f,0x3fffffaa,
    0xff983fff,0x7fffc41f,0xd27fe46f,0x7f4407ff,0xfff102ff,0x07fff20d,
    0x3fff73fe,0xdfff884f,0xffffffff,0x17ffdc01,0x3ffffe60,0x0fffdfff,
    0x07ffe400,0xfffffff1,0x3e3fffbf,0xffffffff,0x7c5fffff,0xffffffff,
    0x4404ffff,0x806fffff,0xff12fffa,0x22fffcdf,0x3e64fff9,0xffffffff,
    0x17fe42ff,0x7fe57fec,0xfe93ff24,0xeffc883f,0xffb00eff,0x0dffd03f,
    0x01ca8591,0x7ffffff1,0x80dffff9,0x7402fffb,0xfeabffff,0x4000ffff,
    0x3f60fffc,0xffeacfff,0xffff1fff,0xfd755555,0x7ffc3fff,0xaaaaaaaf,
    0x7fe401aa,0x5402ffff,0xfff12fff,0x221e664d,0x3ffa1aaa,0xfff711cf,
    0x20bb621f,0x3bb63eea,0x67cc0000,0x2a0dffd0,0x7fcc3fff,0x2200004f,
    0x7444ffff,0x2a202fff,0x3fea00aa,0xffffb86f,0x7ffe4000,0x81ffff30,
    0xff1ffffa,0xfffc80ff,0x001fffe3,0x7fffffc0,0x5554405f,0x00dfff10,
    0xfff304c4,0x0bffee0d,0x00000000,0x3ffe66a6,0xc8dfff04,0x5cc01fff,
    0xff100abc,0xfff503ff,0x00999809,0x740bfff2,0xca880fff,0x1fff90bc,
    0x740fffee,0xffff1fff,0x24fff980,0x80007fff,0xffecfffa,0xff88000f,
    0x20aaaa6f,0x3ffaa6fb,0x49fff101,0x2aa02aaa,0x1555402a,0x3bfffee0,
    0xfc80fffe,0x1bffa1ff,0xffffffb8,0x7fff883f,0x40bfff10,0x3602fff9,
    0xffb00fff,0xffff981f,0x0fffcaff,0x3203fff9,0xffff1fff,0x21fffb80,
    0x80007fff,0xffb8fffd,0xff88003f,0x217ffe6f,0x540107fb,0x3ffe3fff,
    0x017ffe05,0x7ec0bfff,0xffffffff,0x3fff985f,0x3207fff3,0xffffffff,
    0x2fffc46f,0x540dfff0,0x3fa01fff,0xfff900ff,0x7ffffcc1,0x0fffffff,
    0x2e01fffb,0xffff1fff,0x23fffd40,0x40007fff,0xff16fff8,0xff1000df,
    0x42fffcdf,0x744007fc,0x3ffe0fff,0x017ffe05,0x3ee0bfff,0xfffdffff,
    0xdffd07ff,0x2e03ffee,0xfebeffff,0x3fe24fff,0x1bffe05f,0x203fff44,
    0xfb00fffd,0x7fff41ff,0xffffeabf,0x01fff90f,0x7fc7fff2,0xffffffff,
    0x7fc0efff,0xeeeeeeff,0x3fee01ee,0x0bfffa3f,0x4dfff100,0xffd85fff,
    0xffff3000,0x205fff89,0x7fc05fff,0xffff885f,0xffff910b,0xd3fff703,
    0xfff10bff,0xffff985f,0x20dfff11,0xfb04fff8,0xffc809ff,0x1fffd01f,
    0x703bffea,0x3ee1ffff,0xfffb01ff,0x3fffffe3,0x1fffffff,0xfffffff8,
    0x202fffff,0x3ee0fffe,0x7c4005ff,0x17ffe6ff,0x26007ffa,0xff84ffff,
    0x17ffe05f,0xf70bfff0,0x3ffa0dff,0xdfff882f,0xffa82fff,0x9fff703f,
    0x207fffe2,0x7443fffb,0xfb805fff,0xfffa85ff,0x05fff90f,0x7d43fffe,
    0xfff884ff,0xffffff1f,0xffffffff,0xffffff87,0x02ffffff,0xf88bfff3,
    0x22000fff,0x3ffe6fff,0x402fff85,0xf04ffff8,0x7ffc0bff,0x42fffc05,
    0xf703fffc,0x3ff609ff,0xff907fff,0x3ffe201f,0x5dffff15,0x107fffd4,
    0x400dfffd,0xd9aeffff,0xfb0fffff,0x3ff601ff,0x2ffffe0f,0x3ffffd50,
    0x2aabfffe,0xffffcaaa,0x333fffe5,0x01cccccc,0xfb05fff9,0xddd307ff,
    0xf9bffe25,0x2fff85ff,0x01fffec0,0x7fc0bfff,0x2fffc05f,0x880ffff4,
    0xff506fff,0x3fa09fff,0xb7ffc07f,0xeffffff8,0x6c4fffff,0x2000dfff,
    0xfffffffb,0xfd0fffff,0x7ffe40ff,0x3ffffee0,0x1ffffffe,0xf880ffff,
    0xffff0fff,0x7fffc000,0xffeeeeee,0x2fffa86f,0x7fcdfff1,0x1fffc45f,
    0xf013ffe0,0x7ffc0bff,0x42fffc05,0xf300fffd,0x7ffc0bff,0xfffb01ff,
    0x8b7ffc01,0xfffeefff,0x3e60efff,0xf70005ff,0xf97fffff,0x3fff61ff,
    0x81fffb00,0xeffffffd,0xfff1fffd,0x5fff900f,0x4001fffe,0xfffffffa,
    0x2fffffff,0xf897ffd4,0x17ffe6ff,0x4c09fff3,0x7fc02fff,0x17ffe05f,
    0xf90bfff0,0x3fee05ff,0x3fff204f,0x07ffee06,0xf8a7ffcc,0xffff95ff,
    0x03fff709,0x65404d5c,0xfff91cee,0xe80fffe4,0xffb80fff,0xfffc8dff,
    0x900ffff1,0x3ffe9fff,0xfffd0007,0xffffffff,0xffa8bfff,0x4dfff12f,
    0x7fd45fff,0x3bba605f,0x02fffc00,0xff80bfff,0x5fffa85f,0x407fffd0,
    0x2603fffc,0xff905fff,0x17ffe27f,0x7ffdc033,0x05fff501,0x2e7ffd80,
    0xff883fff,0x906600ff,0x3ffe3fff,0x7fffc407,0x000ffff2,0x555dfff1,
    0xfff75555,0x223fb01f,0x3ffe6fff,0x02fffd45,0x0bfff000,0x3e02fffc,
    0xfffd05ff,0x3fff663b,0x3fffe206,0x6ffffc00,0x4dfff931,0x4005fff8,
    0xfd05fff9,0x37bea1ff,0x44dffd04,0x3aa2ffff,0x4000ffff,0xfff1fffc,
    0x7555555f,0x3e1fffff,0xfc8007ff,0xffd803ff,0xf10ff83f,0x2fffcdff,
    0x9817ffea,0x7fc02eee,0x17ffe05f,0x260bfff0,0xffefffff,0x5ccc1fff,
    0x9805fffe,0xffefffff,0x3fe21fff,0xffe8005f,0xfffc9bef,0x3fffe25f,
    0xfffca89c,0x77fffe44,0x0ffffffe,0x8fffe400,0xffffffff,0x3fffffff,
    0x2001fffe,0xa800ffff,0x3fa66fff,0xf9bffe23,0x7ffd45ff,0x0fffe605,
    0x7c0bfff0,0x7ffc05ff,0x3fffee05,0xd83fffff,0x01ffffff,0xffffff30,
    0xff885fff,0xff88005f,0xffffffff,0xfffffd85,0x40ffffff,0xffffffd8,
    0x000fffbe,0xff8fffe4,0xffffffff,0x7fc4ffff,0x7fd4007f,0x3ffe006f,
    0xf889f52f,0x17ffe6ff,0x4c0bfff5,0x7fc03fff,0x17ffe05f,0x880bfff0,
    0x0dfffffd,0x7fffff90,0xffec9800,0xff880dff,0xf910005f,0x09ffffff,
    0x3fffff62,0x2e01efff,0xfa8dffff,0x7e4000ff,0xfffff1ff,0x9dffffff,
    0x00ffff03,0x003fffd8,0x8097fff2,0x3fe6fff8,0x1e664c5f,0x807fff30,
    0x3fe05fff,0x2fffc05f,0x50013100,0x00039bdb,0xaa800988,0x5440001a,
    0x98009bcc,0x02cdeecc,0x00000620,0x00015553,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x74406eed,0x999975ee,0x99999999,0x3ffe2001,
    0x01f77442,0xc82f6a00,0x04eee80e,0x81777640,0x2605eed8,0xb03cefec,
    0x74c01ddd,0xddb0deee,0x99bddddd,0x07776c03,0x3bbbb600,0xeeeeeeee,
    0x7777744e,0x3bbb600e,0x3dddb0ee,0xdb4eed80,0xfff000dd,0x6fff880f,
    0xfffffffd,0x003fffff,0xf10bfffa,0x640009ff,0x6fdeffff,0x800bfff0,
    0xf706fffa,0x3ff209ff,0x41efffff,0xd100ffff,0x7fc3ffff,0xffffffff,
    0xffe80cff,0x7ffc000f,0xffffffff,0x7ffc5fff,0xff302fff,0x3fe1ffff,
    0x7ff405ff,0x000ffff6,0xf880ffff,0xffffd6ff,0xffffffff,0xffff7003,
    0x04fff885,0x3f73fe00,0xfff04fff,0xfffd000b,0x01ffff03,0xfffffff9,
    0x7ffc1dff,0xfffe880f,0x7ffffc2f,0xffffffff,0x07fff41f,0x3ffffe00,
    0xffffffff,0x7ffffc5f,0xffff704f,0x3fffe1ff,0x5bffa02f,0xf8007fff,
    0x7fc407ff,0xfffffd6f,0x0dffffff,0x5fffff30,0x004fff88,0x1ca85910,
    0x0017ffe0,0xf717ffea,0xfff309ff,0xfffd739f,0x207fffc9,0x82ffffe8,
    0xccaaffff,0x45ffffec,0x4000fffe,0xaaaaffff,0x41aaaaaa,0x06ffffff,
    0x1ffffffb,0x03fffffe,0xfffb7ff4,0xf800999f,0x7fc407ff,0xfff7006f,
    0xffffd003,0x4fff885f,0xf8000000,0xfd0005ff,0x7fffc3ff,0x43fffb80,
    0x3fe6fff9,0x7ffec0ff,0x0ffff02f,0xd17fffd4,0xf8001fff,0x3e0007ff,
    0x80ffffff,0x0fffffff,0x09ffffff,0x7ffdbffa,0xffffffff,0x407fff84,
    0x9806fff8,0xfc803fff,0x442fffff,0xaaa84fff,0x88d5541a,0xff01bcba,
    0x05e654bf,0x2ebfff50,0xffb04fff,0x4fffd03f,0x3f60ffff,0x3fe02fff,
    0x7ffdc07f,0x003fffa6,0x000ffff0,0x7ffefffc,0x7efffcc2,0xfffff0ff,
    0xdffd03ff,0x3ffffffe,0x21efffff,0x7c407fff,0xffe806ff,0xcfff9805,
    0x7fc42fff,0x77ffe44f,0x745fffc0,0xf83fffff,0xfffe8dff,0x3ffa03ff,
    0x00fffe8f,0x6fff80cc,0x7e43fffe,0x7fc03fff,0xffff807f,0x001fffd0,
    0x0007fff8,0x3ff77ffe,0x7e77fdc4,0xfffff0ff,0xdffd0dff,0x3ffffffe,
    0x1fffffff,0xf880ffff,0x7fdc06ff,0xbffe800f,0x7c42fffa,0x3ffee4ff,
    0xfdfff80e,0x2fffffff,0x7ffffffc,0x502fffff,0x9fffbfff,0x7ffd4000,
    0x323fffe4,0xf803ffff,0xffd807ff,0x01fffd1f,0x007fff80,0x3ef7ffe0,
    0x667fec6f,0xdfff0fff,0xfe87fffd,0x33ffff6f,0xffff7533,0x3fffffeb,
    0xffffffff,0x27ffc06f,0xfab7fe40,0x7ffc42ff,0x01ffff54,0x2b3ffffe,
    0x7c6fffea,0xeaacffff,0x2aa25fff,0xfffffffa,0x74001aab,0x3ffe2fff,
    0x3fffffcf,0x807fff80,0xffd2fffc,0xfff8001f,0xffffffff,0xdfff87ff,
    0x3fe0fff9,0xf0fffcaf,0xffff5bff,0xffb7ff41,0x3ffea07f,0xfffffff7,
    0xffffffff,0x0fffdc0d,0x547ffe60,0x7fc42fff,0x1ffffacf,0x113fffe0,
    0xfff8ffff,0x3fffc44f,0xfffffff3,0x09ffffff,0x22fffec0,0xffffffff,
    0x7fc00fff,0xfffc807f,0x001fffd3,0xfffffff8,0x87ffffff,0x5fff5fff,
    0x3f23ffe6,0x2bfff0ff,0x3fa4fffd,0x80ffff6f,0xfff8ffff,0xffffffff,
    0x3a06ffff,0xffe806ff,0x10bffea3,0xffffdfff,0x07fff803,0xfff8fffd,
    0x27ffe80f,0xfffffff9,0x04ffffff,0x81ffffb0,0xffffffff,0x7fc05fff,
    0xfffb807f,0x001fffd4,0xfffffff8,0x87ffffff,0xbffb5fff,0x7fe5bfee,
    0x22bfff0f,0xffd1ffff,0x881fffed,0xfff8ffff,0xaaaaaaaf,0xf506fffb,
    0xffc805ff,0x217ffd46,0xfffffff8,0x37ffc01f,0x3e0fffd8,0xfffb07ff,
    0x7ee66644,0x2cccceff,0x1ffffd80,0xbffffff8,0x203ffff9,0xfc807fff,
    0x1fffd3ff,0x9ffff800,0x99999999,0xf75fff81,0x653ffaff,0xbfff0fff,
    0xfeb7ffdc,0x40ffff6f,0xfff6fffa,0x6fff880f,0x980fffb0,0xcaaacfff,
    0xf12acfff,0xdfffffff,0xb06fff80,0x7ffc1fff,0x01fffb06,0x001fffcc,
    0x80ffffec,0x324fffff,0xff00ffff,0xfffb00ff,0x003fffa5,0x000ffff0,
    0xff9afffc,0xf92fff9f,0x17ffe1ff,0xffd7fffd,0x267fffed,0xffffb999,
    0x880ffff5,0xfff06fff,0xffffb809,0xffffffff,0xfffff15f,0x7c05fffd,
    0xfffb05ff,0xd82fffc1,0x99910fff,0x99dfffb9,0x7fec0599,0x3ffe01ff,
    0x7fffc44f,0x00ffff05,0x3fa3fffd,0x7fc000ff,0x3fe0007f,0x3fbffe5f,
    0x1fff90ff,0xff317ffe,0x3edfffff,0xffffffff,0xff1fffff,0xfff880ff,
    0x01fff986,0x7fffffdc,0x5fffffff,0xf17ffff1,0x7ffc0fff,0x41fffb05,
    0xffb05fff,0x3fffe61f,0xffffffff,0xffffb04f,0x0ffff803,0x82ffffb8,
    0x7d407fff,0x3fffa7ff,0x3fffc000,0x4bfff000,0x26fffffd,0xfff0fffc,
    0xfffff90b,0x3ffffedf,0xffffffff,0x101fffe2,0xff90dfff,0xfffb801f,
    0xffffffff,0xbfff15ff,0xf827ffdc,0xfffb05ff,0xd82fffc1,0xfff30fff,
    0xffffffff,0xfff709ff,0xffff003f,0x3ffffa01,0x103fffc0,0x7f45fffd,
    0x7fc000ff,0x3fe0007f,0x3fffee5f,0x43fff24f,0xff885fff,0xfff6ffff,
    0xffffffff,0x07fff839,0x6c37ffc4,0xa80007ff,0x7fc42fff,0x07fff44f,
    0xfd82fffc,0x17ffe0ff,0xa887ffec,0xdfffcaaa,0x7c41aaaa,0xccccefff,
    0x3fffe4cc,0xbffff300,0xaaaffff8,0x6ffffcaa,0x555ffff4,0x22aaaaaa,
    0xaaaaffff,0x42aaaaaa,0x3fe65fff,0x3ff22fff,0x20bfff0f,0xf6fffffa,
    0x13333fff,0x407fff80,0xfe86fff8,0xfa80006f,0x7ffc42ff,0x42fffd44,
    0xffb05fff,0x82fffc1f,0x2600fffd,0xfb803fff,0xffffffff,0x3fffe7ff,
    0x3ffff600,0x3fffffe2,0xffffffff,0x7fffff41,0xffffffff,0xfffffff0,
    0xffffffff,0x3e2fffc1,0x3f20ffff,0x0bfff0ff,0xfb7fffec,0xff8007ff,
    0x7ffc407f,0x005fff86,0x42fffa80,0xfd84fff8,0x2fffc1ff,0x3e0fffd8,
    0xfffb05ff,0x1fffcc01,0x7ffffec0,0x27ffffff,0x2200ffff,0xff0fffff,
    0xffffffff,0xffd03bff,0xffffffff,0x3ffe1fff,0xffffffff,0x3fe0ffff,
    0x37ffec5f,0x7fc3fff2,0x3ffe205f,0x00ffff6f,0x880ffff0,0x7fc46fff,
    0xfa80004f,0x7ffc42ff,0x46fff984,0xffb05fff,0x82fffc1f,0x2600fffd,
    0x7c403fff,0xffffffff,0x3ffe7fff,0x7ffdc00f,0xffffff4f,0x4059ddff,
    0xfffffffe,0xf0ffffff,0xffffffff,0x41ffffff,0x7fdc5fff,0x87ffe44f,
    0x7dc05fff,0x0ffff6ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x777776c0,0x002ceeee,
    0x3b61bfee,0xcdeeeeee,0x3bbaa01c,0x3bbbbaa3,0xeeeeeeee,0x02f77646,
    0x88f7774c,0x2203eeed,0x3b23eeed,0xddd301ee,0x3776c09d,0x400bbbb6,
    0x3ba1eeed,0xdddddb4e,0x179ddddd,0x3bbbbaa0,0xeeeeeeee,0x3a2001ee,
    0xeeeeeeee,0xeeeeeeee,0x0f774406,0xffffff80,0x0dffffff,0x437ffcc0,
    0xffffffff,0xb80cffff,0x3fee4fff,0xffffffff,0x7fcc7fff,0x7ff403ff,
    0x7fffdc4f,0x1dfff900,0xb81fffe4,0xf107ffff,0xfffb8dff,0x7fff9805,
    0xfffafffc,0xffffffff,0xffa81eff,0xffffffff,0x002fffff,0x3fffffee,
    0xffffffff,0x7c407fff,0xfff002ff,0xffffffff,0x3a201fff,0xfff86fff,
    0xffffffff,0x7fdc1fff,0x3fffee4f,0xffffffff,0xffffb87f,0x1ffff700,
    0x30bfffd0,0xfa85ffff,0xfffd05ff,0xfff501ff,0x0ffff889,0x227ffdc0,
    0xffff5fff,0xffffffff,0xffa83fff,0xffffffff,0x002fffff,0x3ffffffe,
    0xffffffff,0x7c407fff,0xfff002ff,0xff99955f,0xfd309fff,0xfff0dfff,
    0xfd99955f,0xffb8bfff,0x2aaaa64f,0xfffcaaaa,0x9fffd05f,0x05ffff10,
    0xd0bfffe6,0xff10bfff,0xffff10ff,0xfff905ff,0x07fffd05,0x7c1fffe8,
    0x5ffff5ff,0xffb99755,0xaaa889ff,0xadfffdaa,0x7000aaaa,0xffd39fff,
    0x5555557f,0xff880555,0xffff002f,0x13fffe40,0xdffffff9,0x540ffff0,
    0x3ee2ffff,0x3e2004ff,0xf300efff,0xffc83fff,0x7ffdc05f,0x1ffff70f,
    0x503fffa0,0x0bffffff,0xf701fffd,0x7fcc0dff,0xf5fff86f,0xffb80fff,
    0xfff7007f,0xffe80007,0x03fffb0f,0x5fff1000,0x81fffe00,0xfd0ffff8,
    0x0dffffff,0xfb80ffff,0x3ffee6ff,0x3fffa003,0x7ffe401f,0x03fffe66,
    0x233fffa0,0x3202ffff,0x7fe42fff,0xff87ffef,0xffff106f,0x13ffee01,
    0x7ffd7ffe,0x1ffff807,0x03fffb80,0x93ffea00,0x4001fffd,0xffccccc9,
    0x82ccccdf,0x7fc07fff,0x19ffd0ff,0xfff0dffd,0x1ffff00f,0x400fffea,
    0x802ffffd,0xfb2ffff8,0x3e6007ff,0x5fffefff,0x227ffd40,0xfffbdffe,
    0x813ffe60,0xfd03fffd,0xbfff03ff,0x3e01fffe,0xfb800fff,0x3a0003ff,
    0x3ff60fff,0x7fd4001f,0xffffffff,0xfff84fff,0x9fffe607,0x1bffa1de,
    0x3601fffe,0xfff31fff,0xffff7005,0x7ffd4009,0x006fffaf,0x7fffffe4,
    0x7ffc400f,0x26fffe25,0x3fee2fff,0x3ffea02f,0x06fff886,0x3ffebfff,
    0x3fffd407,0x03fffb80,0x8bfff500,0x4001fffd,0xfffffffa,0x84ffffff,
    0xff507fff,0x7f40cbff,0x3ffe666f,0xfc81999f,0x3fff12ff,0x5ffff980,
    0xffffd800,0x44001fff,0x03fffffe,0x7d4ffff0,0x49fff1ff,0x7c00fffc,
    0x7fdc0fff,0x2bfff03f,0xaaaaffff,0x3ffffdcb,0x07fff700,0x07fff600,
    0xfffffffb,0x543fffff,0xffffffff,0xf84fffff,0xffeeefff,0x402fffff,
    0x3ffe6ffe,0x1fffffff,0xff1fffe4,0x7ffc401f,0xf88000ef,0x004fffff,
    0x0dffff50,0xc8fffec0,0x9fff67ff,0xfc807ffe,0x7fff43ff,0x3ebfff00,
    0xffffffff,0x005fffff,0x000fffee,0x361bffe6,0xffffffff,0x4401ffff,
    0xff002fff,0xffffffff,0xfd009fff,0x7ffffcdf,0x5c1fffff,0x3ffe4fff,
    0x3ffffa00,0x3fee0000,0xb0000fff,0x001fffff,0x7f4bffee,0x23ffee5f,
    0xa805fff8,0x3fe26fff,0x57ffe05f,0xffffffff,0x002effff,0x001fffdc,
    0x6c17ffec,0xffffffff,0x4401ffff,0xff002fff,0xffffffff,0x3fa007df,
    0x3ffeaa6f,0x640aaaaf,0x1ffa3fff,0x02ffffd8,0x2fffe800,0xffff5000,
    0x3e600dff,0x3fff8cff,0x3eabffe6,0xfff003ff,0x0bffee3f,0xfff5fff8,
    0xffffdddf,0x3fee0007,0x7fc4003f,0xe99999ff,0x9999afff,0xf8801999,
    0xfff002ff,0x3555999f,0x86ffe800,0xfc807fff,0x41bf62ff,0x003ffffb,
    0x03fffb00,0xfffff100,0x3e007fff,0x1fffaeff,0x7fde7ffc,0xfff9001f,
    0x803fffa9,0xffff5fff,0x04ffffa8,0x03fffb80,0x7ffffe40,0xffffffff,
    0xff880001,0xffff002f,0x7ff40000,0x807fff86,0x3f20fffe,0x5ffffa86,
    0x3ff60000,0xffd8001f,0x0ffffcef,0xfdfffd80,0xdeffc86f,0x3e6007ff,
    0x5fff8eff,0xffafffc0,0xffffa87f,0x7ffdc004,0x3ffe2003,0xffffffff,
    0x80001fff,0xf002fff8,0x40000fff,0xfff86ffe,0x3fffcc07,0xfff113ae,
    0xd80000df,0x54001fff,0xffd2ffff,0xfff700bf,0xff509fff,0x800bffff,
    0xfffdfffe,0xfafffc02,0xfff907ff,0x7fdc005f,0x3ff2003f,0xffffffff,
    0x0001ffff,0x20013330,0x00007fff,0x3fe1bffa,0x3ffa607f,0xffe8803f,
    0x400000ff,0x2001fffd,0x265ffff8,0x4c03ffff,0x82ffffff,0x3ffffff8,
    0x7fffdc00,0xfff807ff,0x740ffff5,0x7000ffff,0x22007fff,0xaaabffff,
    0x1fffeaaa,0x66664c00,0xcccccccc,0x07fff82c,0x1bffa000,0x2aabfffe,
    0x6ffffcba,0xfc97774c,0xaaaacfff,0x00aaaaaa,0x003fffb0,0x207fffec,
    0x200ffffc,0x0ffffff8,0x3fffffd0,0xffff8800,0xfff804ff,0x4c0ffff5,
    0x7005ffff,0x2e007fff,0x7f405fff,0xaaaaabff,0xff50aaaa,0xffffffff,
    0xfff09fff,0x7f40000f,0xfffff86f,0xffffffff,0x9fffd41f,0xfffffffd,
    0xffffffff,0x3fffb003,0x3fffea00,0x5fffe882,0x37ffff40,0x0fffff90,
    0x3ffffa00,0x5fff801f,0xfc80ffff,0xfb802fff,0xffd003ff,0xfffe805f,
    0xffffffff,0xffff52ff,0xffffffff,0x0ffff09f,0x37ff4000,0x7ffffffc,
    0x81efffff,0xffb3fffa,0xffffffff,0x007fffff,0x2007fff6,0x205ffff8,
    0x203ffffa,0x204ffffc,0x005ffffa,0x0fffff70,0x7fd7ffe0,0xfffe807f,
    0x3fffb806,0x06fffa80,0xffffffe8,0x2fffffff,0xfffffff5,0x09ffffff,
    0x0000ffff,0x7fc37ff4,0xeeffffff,0x3ffea02c,0xffffffb3,0xffffffff,
    0x3ff6007f,0xfffc801f,0x7ffec00f,0xffff500f,0x7fffc405,0xfff10003,
    0x3ffe009f,0x300ffff5,0xb809ffff,0xfe803fff,0xffe803ff,0xffffffff,
    0x00002fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2aaaaaa6,0x0aaaaaaa,0x00000000,
    0x33332e20,0xcca9800a,0x32ea002c,0x2e6000ab,0x2aa00abc,0x0555501a,
    0x65440400,0x66542ccc,0x0000201b,0x1bcccba8,0x22155510,0xcba81bcb,
    0x11aaa80a,0x2a037975,0xaaaaaaaa,0x000702aa,0x32ea2051,0x3003aa0b,
    0x36007fff,0xefffffff,0xffffb101,0x74c05fff,0x02ffffff,0x7fffffdc,
    0x5fff883f,0x000fffd0,0xfffa8db5,0xfebeffff,0xd82fffff,0x3a60002e,
    0x5fffffff,0xfb9fff98,0xfd15ffff,0xff85ffff,0xffffe8bf,0xfffff83f,
    0x06ffffff,0x70510007,0x9dffffff,0xff9805ff,0xfffa803f,0x0fffffff,
    0x7fffffc4,0xfa82ffff,0xffffffff,0xfffff903,0xf88dffff,0xfffd05ff,
    0x37ff5c00,0xfffffff1,0xffffffff,0xffd83fff,0x3e2000bf,0xffffffff,
    0x77ffcc3f,0xdfffffff,0xfffffffe,0x3ff7ffe1,0x42ffffff,0xffffffff,
    0x00706fff,0xfffd8510,0x3fffffff,0x03fff980,0x4d77ffc4,0x6c3fffeb,
    0xfdacffff,0xfffe86ff,0x0ffffbad,0x5f7fffdc,0x224ffffe,0xffd05fff,
    0xfffc880f,0x3fff66ff,0xffffeb9b,0xfffeb9bf,0x3fffff61,0xfffc801c,
    0xfffea88a,0x3bfffe61,0xfffffc9b,0x4fffeaad,0x2b3ffffe,0x746fffea,
    0xffdeeeee,0x000705ff,0x7fffdc51,0x5fffeb9d,0x02eee980,0x2a07ee4c,
    0x3fe64fff,0x2fffd85f,0xf10fffee,0x7ffc49ff,0x7fffcc2f,0x20bfff11,
    0xfb307ffe,0x29ffffff,0x7cc2edb8,0x7f443fff,0x3fffee4f,0x3602dfff,
    0x9bc886ff,0x07fffe60,0x441dfffd,0x3ffe5fff,0x3fffc44f,0x37fff440,
    0x25100070,0x6c0efff8,0x0001ffff,0x7ffd4000,0x20bffee4,0xfffd81a9,
    0x2a7ffe81,0xff703fff,0x17ffe29f,0x3aa3fff4,0xaeffffff,0x3ffe6000,
    0x87ffc80f,0xffffffda,0x7ffe40be,0x7cc00acf,0xfffc85ff,0x3e6fff83,
    0xfffd07ff,0x1dfffb00,0x944001c0,0x7e42fffa,0x3264fffe,0xcccccccc,
    0x2602cccc,0x4fffffdb,0x0003fff2,0x5555fffd,0x7e4fffb5,0xfff100ff,
    0x417ffe2b,0xfff77ffe,0x0039ffff,0x3ffff6e6,0xcaaaaaff,0xd7100fff,
    0x49ffffff,0xfffffffa,0xfff980bd,0x82fffc84,0x3ffe6fff,0x01fffb06,
    0x007fffec,0x64a2000e,0x3bee0fff,0x3ea6fff8,0xffffffff,0x6444ffff,
    0xffffffff,0x03fff64f,0xffffff00,0x1fffffff,0xff01fffa,0x17ffe2df,
    0xffdbfff4,0x71002dff,0xffffffff,0xffffffff,0xb3003fff,0xfb8dffff,
    0xffffffff,0x427ffcc3,0xff81fffc,0x41bffe6f,0xf900fffd,0x07003fff,
    0x3ff65100,0x7f47fea7,0x3fffea7f,0xffffffff,0x3fffa24f,0x4fff9bdf,
    0x0003fff6,0xffffffff,0x363fffff,0x3fe00fff,0x0bfff16f,0x7fedfffa,
    0xfb000bef,0xff37bfff,0xffffffff,0x2a005fff,0xc986fffd,0xffffffff,
    0x20fffe63,0xff81fffc,0x417ffe6f,0xfb80fffd,0x07002fff,0x3ff65100,
    0x3a2ff98f,0x3ffea6ff,0xffffffff,0x3fff24ff,0x927ffc43,0x26a03fff,
    0x003fff40,0x4c07ffee,0xfff14fff,0x65fffe0b,0x1cffffff,0x037ffee0,
    0x0000ffff,0xfffffd71,0xffdb980d,0x3ffe66ff,0x81fffc83,0x3ffe6fff,
    0x81fffb05,0x003ffffa,0x5ca2000e,0x43ffafff,0x00005fff,0x7cc3fff4,
    0x3ffee4ff,0x23fffb84,0xab82fffd,0x82fffcc1,0x3fe3fffc,0x7fff886f,
    0x3fffff6a,0x7fe40bef,0x7fffc40f,0x2a01ab82,0xeffffffd,0x20b2a623,
    0x3e67ffe8,0xfffc83ff,0x3e6fff81,0xfffb05ff,0x27fffcc1,0x22000e00,
    0x9fffff52,0x403fffa8,0x7c01aaa8,0x7fec0fff,0x3fffe25f,0x3fffd30c,
    0x306fffd4,0xfff8bfff,0xfff931df,0x41fffe8d,0xc987fffe,0xcfffffff,
    0xc85fffb1,0x260effff,0x3f226fff,0x1dffffff,0x80ffff88,0x3fe66fff,
    0x1fffc83f,0x3fe6fff8,0x1fffb05f,0x2bbfffe2,0x80aaaaaa,0x3a288003,
    0x3ee26fff,0x7cc00fff,0x7fec03ff,0xfffecbef,0x7fffdc5f,0x85ffffef,
    0xfddffffe,0x7fcc0fff,0xffffefff,0x7fffe41f,0x7fffffdd,0x3fffee20,
    0xffff76ff,0xfffffd79,0xffffbbff,0x7ffffec1,0x7fe400cf,0xffecbdff,
    0x0fffe63f,0x3e07fff2,0x17ffe6ff,0xfb87ffec,0xffffffff,0x00381fff,
    0x3ffe6288,0xfffffdff,0x3fff9802,0x7ffffcc0,0x87ffeeff,0xfffffffc,
    0xffe880ef,0x02ffffff,0xfffffff3,0xffd105ff,0xff9bffff,0x3ffaa00f,
    0xffffd16f,0xffd7ffff,0x85ffffff,0x00befffd,0x3fffff60,0x7cc5ffff,
    0xfffc83ff,0x3e6fff81,0xfffb05ff,0x3ffffee1,0x1fffffff,0x22880038,
    0xfffffffc,0xf3003fff,0xfd3007ff,0x3fea9fff,0xfffea81f,0x76400bff,
    0x401cefff,0xdffffec9,0x3fff6200,0x00fff73e,0x3626fd98,0x20ceffff,
    0x2ceffffb,0x0002dfd8,0x3fffffaa,0x3fff982e,0xf81fffc8,0x17ffe6ff,
    0xfb87ffec,0xffffffff,0x00381fff,0x75ff5288,0x01bffffb,0x00d55440,
    0x80001310,0x98800099,0x01310000,0x00001300,0x03310710,0x1a801310,
    0x26620000,0x00000009,0x00000000,0x144001c0,0x00013039,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2e000000,
    0xaaaaaaaa,0x002baaaa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2a055550,
    0xaaa881aa,0x40155551,0x2aa22aaa,0x4c17950a,0x55502aaa,0x4eeb8035,
    0x20d55440,0x2624402b,0x055511aa,0xa88d54c0,0x0200442a,0x09988000,
    0x04c40000,0x13300088,0x65c02200,0xcccccccc,0x80204ccc,0x7cc0fffc,
    0xfffb86ff,0x207fff71,0x3e25fff8,0x7fffcaff,0x513fffa2,0xc801ffff,
    0x7fcc06ff,0x2abfee3f,0x5fe9beed,0x7ec3bfe2,0xffe8801f,0x7445ff90,
    0x881f900e,0x401befda,0x5c407ffc,0x3fa03dfd,0x6ffff645,0x700bfa00,
    0xfe87ffff,0xffffffff,0xfea87fff,0x2fff982d,0x207fffdc,0x3fe27ffd,
    0x5fff706f,0x7ff7ffc4,0x7ffcc4ff,0x5ffff11f,0x80dff900,0xff13fff9,
    0xffffffff,0x7fdc7fff,0x801dff34,0xdff53ffd,0x2077ff44,0x3f20fffc,
    0x2206ffef,0x3203ffff,0x4c4ffeff,0x3fee5ffd,0x3a06ffff,0x3fff201f,
    0x3ffa4fff,0xffffffff,0x7ffec7ff,0x4fff85ff,0x217fffec,0x7fec4fff,
    0x47ffe81f,0xeffffff8,0x6fffc81f,0x2009fffb,0x7cc06ffc,0x3ffea3ff,
    0xffffffff,0xf92fff84,0xb7fd409f,0x3e61fff8,0xff90efff,0x4ffe23ff,
    0xff902ff9,0x3fe20dff,0x7fe4ff92,0xd97b25ff,0x362fe27f,0x3e24c98f,
    0x1ffeaaff,0xfffffffd,0x44ffffff,0x0ffb8bff,0x3fe37fe4,0x3fe64fff,
    0x27ffcc2f,0xf113ffe6,0xd0049fff,0xdfffbfff,0x1bff2001,0xd8355510,
    0xffdbefff,0x1fff507f,0xf105fff1,0x17ff65ff,0x37bfffe6,0x2621ffff,
    0x105ff30a,0x05ffffff,0x366fe988,0x5105febf,0x3fea1ffd,0x27ffefef,
    0x3fee3ffb,0x9f900003,0x7fd43fd8,0xfffff31f,0xe83ffe4d,0x7ffe47ff,
    0x07fffc40,0xfffff880,0x999701ff,0x999fffd9,0x3fe20099,0x17ffcc4f,
    0xff75ffe8,0x75ffd81f,0x3e601fff,0x1fffffff,0x407ff440,0x6ffdeffb,
    0x307ffd40,0xfd912ff4,0x2e21ffff,0x3dfffffd,0xff987ff2,0x9f900005,
    0xfff84fc8,0xfff9ff73,0x5c17ffa1,0x3ffe1fff,0x06fff885,0x7ffffdc0,
    0x3ffffa03,0xffffffff,0x3fff3007,0x2609ffd0,0xbfff2fff,0x7c4fffdc,
    0x7fcc04ff,0x4c01ffff,0xff881fff,0x01fff9bf,0x203bfb2a,0xbffd15fe,
    0xf901ff97,0x5ff901ff,0xccba7fcc,0xcccccccc,0x47fe64cc,0xffd81ff9,
    0xffb5ffb5,0x205fff15,0xff54fff8,0xbfff105f,0xffffd000,0x7ffff401,
    0xffffffff,0x1fff3007,0x2a09ffb0,0xfff89fff,0x74fffe64,0xffd805ff,
    0x3ea00eff,0xfff701ef,0x2017ffa1,0x5fe83ff8,0x7ff47ff5,0x77e7fe40,
    0xf727fd40,0x3ffffa7f,0xffffffff,0x7ff7ff47,0xf1fff506,0x79ff71ff,
    0x7ec01fff,0x20fffb7f,0x4005fff8,0x04fffff9,0x3ffffffa,0x07ffffff,
    0x887fff10,0xffd03fff,0x2e1bff29,0xfff98fff,0x3ffff202,0xffa80eff,
    0x97ffe00e,0x3e20fffb,0xd07ff11f,0x277fe6bf,0x3ee1fffb,0xf88dfd2f,
    0x0fffccff,0xfffffffd,0x88ffffff,0x100cfffc,0x2dff9fff,0x5ffdeff9,
    0x7d7ffcc0,0xfff104ff,0x7ff44009,0x2001ffff,0x40006ffc,0xeb9cfffe,
    0xffb80fff,0x203fff36,0xdff74ffe,0x3fffff20,0x3e20efff,0x24ffffff,
    0x3e21fffa,0x6ffec4ff,0x4bfd06ff,0xffeffffe,0x03d52e41,0x7ffffff5,
    0x7ffffff4,0x07ffffff,0xffb00151,0x7ffc9fff,0xfe802fff,0x100fffff,
    0x6c009fff,0xefffefff,0x0dff9000,0x7fff4400,0x2fffffff,0xfd8fffc4,
    0x3ffe203f,0xfc87ffd0,0xfff99fff,0xffff50ef,0x7ff49fff,0x20fffd86,
    0x01dfffd8,0x675c4bfd,0x00103991,0x00ef76cc,0xb8000000,0x322fffff,
    0x800fffff,0x05fffffb,0x4013ffe2,0xfd8efffa,0xff9005ff,0x2eee980d,
    0xffffffd1,0x45ffffff,0xdff53ffc,0x22bff700,0xfff30fff,0x7fffcc3f,
    0x33333312,0x0b332213,0x0c073326,0x00004c40,0x00000000,0xff880000,
    0x3fea0fff,0xff1005ff,0x7c405fff,0xff8804ff,0xffff11ff,0x0dff9005,
    0x323fff98,0xefffdcff,0xff31fffb,0x8007ff4b,0x7ff71ffd,0x7cc0ffd4,
    0x0000003f,0x00000000,0x00000000,0xffd00000,0xffff88df,0x3fff6003,
    0x27ffc407,0x227ffec0,0x400ffffb,0x7cc06ffc,0x022643ff,0x000003f3,
    0x9806a000,0x666665c3,0x4ccccccc,0x7653bba2,0x7ddd51ee,0x2213bba6,
    0x5c0801aa,0x44441bdd,0x99880888,0x44f33209,0x400ccc19,0xfe83fffb,
    0x3e6000ff,0x7fc404ff,0x7ffdc04f,0x0bfffd06,0x4c009988,0x00003fff,
    0x00000000,0xffffd000,0xffffffff,0xdafffc4f,0xfff72fff,0x897ffea9,
    0x0beffffd,0x3b360f44,0xffff11ff,0xffe85fff,0x757ffe0e,0x03ffe1ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfe800000,0xffffffff,
    0x3fe27fff,0x25fffb5f,0xff54fffb,0x7ffff4bf,0xfeceffff,0x457fa01f,
    0x2fffffff,0xff03ffea,0xf87ffabf,0x000000ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fffffa0,0x7fffffff,0x7ed3ffe2,0x9fff72ff,
    0xff97ffea,0xffffffff,0x2111ffff,0xff13ffa8,0x745fffff,0x5fff81ff,
    0x7ffc3ffd,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xa87ffb80,0x23fff93f,0xff13fff9,0x5456fc9f,0xffffffec,0xfffff70d,
    0x6eeeec4d,0x05dd31dd,0x40886666,0x00000088,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfff70000,0x3fea5fb0,0xf8bffe27,0xc980e3ff,
    0x65cc2cee,0x000002bc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xff700000,0xf12fec4f,0x20ffe8df,0x00001ffd,0x80999800,
    0xfff34eee,0xffffffff,0x0007ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0xb8000000,0x037e27ff,0x41988133,0x00000198,0x81fffb00,
    0xfff35fff,0xffffffff,0x0007ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0xb8000000,0x0000c7ff,0x00000000,0xff89ffb0,0x7777715f,
    0x77777777,0x00000377,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffb80000,0x00000007,0x22000000,0x3ffe0ffe,0x00000005,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xe8800000,
    0x0000002e,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_31_latin1_x[224]={ 0,2,1,0,0,1,1,1,1,0,0,1,1,0,
1,-1,1,2,0,1,0,1,1,1,1,0,2,2,1,1,1,1,0,0,2,1,2,2,2,1,2,1,0,2,
2,1,2,1,2,1,2,1,0,1,-1,0,0,-1,0,1,-1,0,1,-1,0,0,1,1,1,0,0,1,1,1,
-2,1,1,1,1,1,1,1,1,0,0,1,0,0,0,0,0,0,2,0,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
2,0,0,-1,0,1,1,0,-1,-1,1,0,0,0,2,1,-1,1,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-2,1,2,2,2,2,-1,1,-1,-1,-1,2,1,1,1,1,1,1,0,1,1,1,1,-1,2,1,0,0,
0,0,0,0,1,1,0,0,0,0,-1,1,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,1,0,
 };
static signed short stb__arial_bold_31_latin1_y[224]={ 25,5,5,4,3,4,4,5,4,4,4,8,21,15,
21,4,5,5,5,5,5,5,5,5,5,5,10,10,7,10,7,4,4,5,5,4,5,5,5,4,5,5,5,5,
5,5,5,4,5,4,5,4,5,5,5,5,5,5,5,5,4,5,4,28,4,10,5,10,5,10,4,10,5,5,
5,5,5,10,10,10,10,10,10,10,5,10,10,10,10,10,10,4,4,4,12,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,25,10,5,4,8,5,
4,4,4,4,4,11,10,15,4,1,4,6,4,4,4,10,5,13,25,4,4,11,4,4,4,10,-1,-1,0,0,
0,1,5,4,-1,-1,0,0,-1,-1,0,0,5,0,-1,-1,0,0,0,8,4,-1,-1,0,0,-1,5,4,4,4,
4,5,4,4,10,10,4,4,4,4,4,4,4,4,5,5,4,4,4,5,4,7,9,4,4,4,4,4,5,4,
 };
static unsigned short stb__arial_bold_31_latin1_w[224]={ 0,5,11,16,15,23,19,5,8,8,11,15,5,9,
5,9,14,9,15,14,15,14,14,14,14,15,5,5,14,15,14,15,27,20,17,18,17,16,14,19,16,5,14,18,
15,21,16,20,16,21,18,17,17,17,20,27,19,20,17,8,9,8,14,17,7,15,15,14,15,15,11,15,15,5,
8,15,5,22,15,15,15,15,11,15,9,14,16,22,16,15,14,11,4,10,16,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,5,14,15,15,16,
4,15,10,22,10,13,15,9,22,17,9,15,9,9,7,14,17,5,8,6,10,14,22,22,23,15,20,20,20,20,
20,20,29,18,16,16,16,16,8,7,10,10,20,16,20,20,20,20,20,14,21,17,17,17,17,20,16,15,15,15,
15,15,15,15,23,14,15,15,15,15,7,7,10,10,15,15,15,15,15,15,15,15,16,14,14,14,14,15,15,15,
 };
static unsigned short stb__arial_bold_31_latin1_h[224]={ 0,20,8,22,25,22,22,8,27,27,11,15,9,5,
4,22,21,20,20,21,20,21,21,20,21,21,15,20,16,10,16,21,27,20,20,22,20,20,20,22,20,20,21,20,
20,20,20,22,20,23,20,22,20,21,20,20,20,20,20,26,22,26,12,3,5,16,21,16,21,16,21,21,20,20,
26,20,20,15,15,16,21,21,15,16,21,16,15,15,15,21,15,27,27,27,6,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,21,26,22,15,20,
27,27,5,22,11,14,10,5,22,3,10,19,12,12,5,21,26,5,6,12,11,14,22,22,22,21,26,26,25,25,
25,24,20,27,26,26,25,25,26,26,25,25,20,25,27,27,26,26,26,14,23,27,27,26,26,26,20,22,22,22,
22,21,22,22,16,21,22,22,22,22,21,21,21,21,21,20,22,22,22,21,22,16,17,22,22,22,22,27,26,27,
 };
static unsigned short stb__arial_bold_31_latin1_s[224]={ 252,49,180,103,19,33,119,174,121,17,205,
70,168,218,226,139,59,18,114,89,33,74,104,18,129,159,86,235,128,228,167,
7,197,214,181,40,149,183,199,177,1,241,144,130,167,200,222,220,1,181,169,
149,188,234,142,114,94,73,55,243,167,225,162,232,218,50,218,66,149,81,206,
133,81,247,234,49,163,198,221,97,101,165,41,182,119,113,24,1,53,69,237,
185,164,148,192,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,252,1,19,
1,92,97,159,169,242,197,194,123,152,218,17,225,244,236,152,177,228,241,1,
236,209,187,217,108,96,73,49,117,224,97,35,139,56,160,206,42,118,161,94,
111,178,135,128,245,28,77,61,82,76,55,34,137,203,103,130,1,143,187,239,
215,17,225,199,175,72,120,143,191,167,17,33,1,247,23,31,42,53,65,1,
136,183,85,231,34,17,88,57,241,152,26,208,1, };
static unsigned short stb__arial_bold_31_latin1_t[224]={ 1,195,248,83,56,83,106,248,1,1,235,
235,248,248,254,106,129,195,174,129,174,129,129,174,129,129,235,152,216,235,216,
152,1,152,152,129,174,174,152,106,174,152,129,174,174,174,174,106,195,56,195,
106,195,129,195,195,195,195,195,1,106,1,235,254,254,216,129,216,152,216,129,
152,174,152,1,174,195,216,216,216,152,152,235,216,129,216,235,235,235,152,216,
1,1,1,248,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,
216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,1,152,29,
129,235,174,1,1,248,106,235,235,248,248,129,79,235,195,235,235,248,106,29,
248,248,235,235,235,106,106,106,152,29,29,56,56,56,56,195,1,29,29,56,
56,29,29,56,29,195,56,1,1,29,29,29,235,56,1,1,56,29,29,174,
83,83,56,83,129,83,83,216,129,83,106,106,106,83,152,152,152,152,174,83,
83,83,152,83,216,216,83,83,56,83,1,29,1, };
static unsigned short stb__arial_bold_31_latin1_a[224]={ 123,148,210,247,247,395,321,106,
148,148,173,259,123,148,123,123,247,247,247,247,247,247,247,247,
247,247,148,148,259,259,259,271,433,321,321,321,321,296,271,345,
321,123,247,321,271,370,321,345,296,345,321,296,271,321,296,419,
296,296,271,148,123,148,259,247,148,247,271,247,271,247,148,271,
271,123,123,247,123,395,271,271,271,271,173,247,148,271,247,345,
247,247,222,173,124,173,259,333,333,333,333,333,333,333,333,333,
333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,333,
333,333,333,333,333,333,333,333,123,148,247,247,247,247,124,247,
148,327,164,247,259,148,327,245,178,244,148,148,148,256,247,123,
148,148,162,247,370,370,370,271,321,321,321,321,321,321,444,321,
296,296,296,296,123,123,123,123,321,321,345,345,345,345,345,259,
345,321,321,321,321,296,296,271,247,247,247,247,247,247,395,247,
247,247,247,247,123,123,123,123,271,271,271,271,271,271,271,244,
271,271,271,271,271,247,271,247, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_31_latin1_BITMAP_HEIGHT or STB_FONT_arial_bold_31_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_31_latin1(stb_fontchar font[STB_FONT_arial_bold_31_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_31_latin1_BITMAP_HEIGHT][STB_FONT_arial_bold_31_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_31_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_31_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_31_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_31_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_31_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_31_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_31_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_31_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_31_latin1_s[i] + stb__arial_bold_31_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_31_latin1_t[i] + stb__arial_bold_31_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_31_latin1_x[i];
            font[i].y0 = stb__arial_bold_31_latin1_y[i];
            font[i].x1 = stb__arial_bold_31_latin1_x[i] + stb__arial_bold_31_latin1_w[i];
            font[i].y1 = stb__arial_bold_31_latin1_y[i] + stb__arial_bold_31_latin1_h[i];
            font[i].advance_int = (stb__arial_bold_31_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_31_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_31_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_31_latin1_s[i] + stb__arial_bold_31_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_31_latin1_t[i] + stb__arial_bold_31_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_31_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_31_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_31_latin1_x[i] + stb__arial_bold_31_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_31_latin1_y[i] + stb__arial_bold_31_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_31_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_31_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_31_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_31_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_31_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_31_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_31_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_31_latin1_LINE_SPACING
#endif

