// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_37_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_37_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_37_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_37_latin1_BITMAP_HEIGHT        354
#define STB_FONT_arial_bold_37_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_37_latin1_FIRST_CHAR            32
#define STB_FONT_arial_bold_37_latin1_NUM_CHARS            224

#define STB_FONT_arial_bold_37_latin1_LINE_SPACING          24

static unsigned int stb__arial_bold_37_latin1_pixels[]={
    0x4c413330,0x26600099,0x26666001,0x00033101,0x000000c0,0x99800000,
    0x00000209,0x40000200,0xddd30999,0x3ae7dddd,0x02eeeeee,0x3bb73326,
    0x1eeeeeee,0x409ddd90,0x001ffffc,0x807fffec,0x3ea4fff9,0xff7004ff,
    0x3ffe600b,0x07ff903f,0x1fffae00,0x7ff6dd40,0xea8003ce,0x201defff,
    0xff33fff8,0x400005df,0xfffeedb8,0x44002def,0xfff53fff,0x3f29ffff,
    0x82ffffff,0xffffffea,0xffffffff,0x0dfffb01,0x005fffd8,0x304fffe8,
    0x7fd49fff,0x3fff004f,0x13fff600,0x4007ff98,0x07fffff9,0x7fffff44,
    0x801effff,0xffffffe8,0xfff105ff,0x3ffffe67,0x7ed40006,0xffffffff,
    0x800cffff,0xff53fff8,0x329fffff,0x2fffffff,0x7fffffcc,0xffffffff,
    0xfffb01ff,0x3fffb00d,0xfffe8800,0x24fff980,0xb804fffa,0xff3006ff,
    0x7ffd00bf,0x7fffec00,0x3ffee07f,0xffffffff,0x7fec04ff,0xffffffff,
    0x33fff885,0x07ffffff,0xffffb100,0xfffdffff,0x805fffff,0xdd33fff8,
    0x329ffffd,0x2eeeffff,0x3fffffe2,0xffffffff,0xffb01fff,0x3ffa00df,
    0xffe88004,0x23eee983,0x4403eee9,0xf9003fff,0x3fee00bf,0xfff8800f,
    0xff706eff,0xffffffff,0x207fffff,0xbbeffffa,0x442ffffe,0xffd33fff,
    0x9800ffff,0x19dfffff,0xfffda988,0x3ffe204f,0x29fff903,0x2e04fffc,
    0xffffffff,0xdfffdcdf,0x5555300c,0x03ffa200,0x01bfe200,0xfff90000,
    0x0bdb1001,0x803fff80,0x200ffffa,0xaefffff8,0xfffffb50,0xffff903f,
    0x44ffff81,0xfa83fff8,0xf7000fff,0x80017fff,0x103fffea,0x3f207fff,
    0x9fff94ff,0x7ffffec0,0xff51ffff,0x0000005f,0x00000000,0x0bfff100,
    0xffb00000,0xfffa801f,0x7fffec06,0x3fffe204,0xffffc84f,0x215e6dc0,
    0xf883fff8,0xf9801fff,0x40000eff,0xf881fffc,0xfff903ff,0x813fff29,
    0xfffffffe,0x5fff51ff,0x70999880,0x5001dddd,0xd903dddd,0x26662ddd,
    0x09998801,0x221fffe4,0x98801999,0x7ffd4099,0x2fffdc04,0x0dffff30,
    0x0fffff70,0x01bffff5,0x81fffc40,0x4401ffff,0x2e205ffe,0x4266620a,
    0xff886ffd,0x9fff903f,0xf813fff2,0xffffffff,0x05fff51f,0xf96fffd8,
    0xf7001fff,0xffb03fff,0x3fffeeff,0x27fffc01,0xf703fffe,0xff803fff,
    0x7ffc44ff,0x2fffdc07,0x05ffffb0,0xe806f760,0x001effff,0x3e07fff1,
    0x7e401fff,0xfffc886f,0x9fff95ff,0xf107ffe2,0x3ff207ff,0x09fff94f,
    0x7fffffec,0xfff51fff,0x6fffd805,0x001ffff9,0xb03ffff7,0x3fe2ffff,
    0x3fea04ff,0x3ffe61ff,0x4ffff886,0x07fffea0,0xb803fffa,0x3fa04fff,
    0x800006ff,0x4ffffff9,0x03fff880,0x4403fffd,0x7f441fff,0xeeffffff,
    0x3fea2fff,0x81fffc45,0xff94fffc,0x7ffe409f,0x51ffffff,0xfd805fff,
    0xffff96ff,0xffff7001,0x4ffffb03,0x3607fffd,0x7fdc6fff,0xffffb05f,
    0x837ffec0,0x3202fffd,0x3fe04fff,0x800005ff,0xfffffffd,0x3ffe201e,
    0x05fffd03,0x3a227fe4,0xffbcffff,0x221fffff,0x7ffc47ff,0x29fff903,
    0x2204fffc,0xffffffff,0x05fff51f,0xf96fffd8,0xf7001fff,0xffb03fff,
    0x7fffd4ff,0x87ffff01,0xf504fffd,0x3fe03fff,0xfff903ff,0x1fffe407,
    0x04ffff88,0x7ffec000,0x4fffffff,0x207fff10,0x3e02fffd,0x7fff40ff,
    0x7fffec0d,0x220fff87,0xff903fff,0x13fff29f,0xffffff50,0x3ffea3ff,
    0xb7ffec02,0x800ffffc,0xd81ffffb,0x7ffc7fff,0xffffa84f,0x01ffffc0,
    0xf509ffff,0x3ee01fff,0x3ffe05ff,0xffff302f,0x7dc00009,0xffff75ff,
    0xfff10dff,0x17fff207,0x3ea37fd4,0xffa80fff,0x1ffd85ff,0x640fffe2,
    0xfff94fff,0xfffd3009,0x3fea3fff,0x7ffec02f,0x01ffff96,0x03ffff70,
    0xfc8ffffb,0xfffc87ff,0x02ffff86,0x321ffff2,0x3ea06fff,0xfff906ff,
    0x3ffea01f,0x3600004f,0x3fa61fff,0x6445ffff,0xfff301cc,0x87ff905f,
    0x3e03fffe,0xffc84fff,0x40fffe21,0xff94fffc,0x7544009f,0xfff51fff,
    0x6fffd805,0x001ffff9,0xb03ffff7,0xff98ffff,0x7fffc1ff,0x0ffffc43,
    0x83ffff30,0x2603ffff,0x7f647fff,0x3e604fff,0x00004fff,0xb107fffe,
    0x007fffff,0x3bffffa0,0xfa87ff63,0x7ff406ff,0x20ffe82f,0xf903fff8,
    0x3fff29ff,0xfffc8004,0x805fff51,0xff96fffd,0xff7001ff,0xfffb03ff,
    0x49fffd0f,0x440ffffa,0x7401ffff,0x3fea4fff,0x3fe200ff,0x3fffe1ff,
    0x7ffc405f,0x3a00005f,0xff704fff,0x22000dff,0x3a5ffffe,0x3ffee0ff,
    0x07fffc05,0xff11ffe2,0x3fff207f,0x009fff94,0x2a3fff90,0x7ec02fff,
    0xffff96ff,0xffff7001,0x0ffffb03,0x7e4ffff7,0xfff985ff,0x7ffdc00f,
    0x017fff27,0x7c3ffff1,0xf800ffff,0x2a006fff,0xffff700b,0x3fffea09,
    0xfff30000,0x363ffcbf,0x3e603fff,0x6ffa87ff,0xc81fffc4,0xfff94fff,
    0xfff90009,0x00bffea3,0x3f2dfffb,0xfb800fff,0xffd81fff,0xffff887f,
    0x105ffff1,0x8801ffff,0xfff1ffff,0xfff8805f,0x3ffffe0f,0x7fff400e,
    0xbffd001f,0xfffff987,0x0fffe80d,0xffff9800,0xfd1ffe5f,0x7fd405ff,
    0x43ffd85f,0xf903fff8,0x3fff29ff,0xfffc8004,0x805fff51,0xff96fffd,
    0xff7001ff,0xfffb03ff,0x33fff60f,0x3e07fff9,0xfd801fff,0x7fff9cff,
    0x47fff880,0x04ffffeb,0x02ffffe4,0x437fffcc,0x2ffffffd,0x80037ff4,
    0x22cffffe,0x7fff47fe,0x0ffffa02,0xf881fff7,0xfff903ff,0x013fff29,
    0x547fff20,0x7ec02fff,0xffff96ff,0xffff7001,0x0ffffb03,0x3f3fffea,
    0x3ff604ff,0xfffa802f,0x804fffcf,0xf706fff9,0x7c401fff,0x2202ffff,
    0xb03ffffe,0x1bffffff,0x7449fff7,0xfff502ee,0x43ffb03f,0xf504fffd,
    0x7fcc5fff,0x3fff883f,0x329fff90,0xc8004fff,0xfff51fff,0x6fffd805,
    0x001ffff9,0xb03ffff7,0x7fc0ffff,0x01ffffff,0x400bfff2,0xffffffff,
    0x5fffa801,0x00bfffa0,0x87fffff5,0xfffffeb8,0x3ffff200,0x0effffff,
    0x640fffe2,0xff905fff,0x437ffe45,0x10ffffe8,0x3e20dfff,0xfff903ff,
    0x013fff29,0x547fff20,0x7ec02fff,0xffff96ff,0xffff7001,0x0ffffb03,
    0x7fffffe4,0x1fffdc06,0xfffffc80,0xfff7006f,0x1fffe407,0x7ffffec0,
    0xfffffeef,0xffa803ff,0x0effffff,0xd81fffc4,0xff502fff,0x6ffffccb,
    0xfffffd51,0x01dfff97,0x640fffe2,0xfff94fff,0xfff90009,0x00bffea3,
    0x3eedfffb,0xfb801fff,0xffd81fff,0x3ffe607f,0x7cc03fff,0xff3005ff,
    0x2007ffff,0x2e02fffd,0xd8804fff,0xffffffff,0x004fffff,0x3fffff62,
    0x3fff884f,0x405fffd0,0x3ff20fff,0xffffffff,0xdfffffff,0x0fffe200,
    0xfca7ffe4,0xfc8004ff,0x5fff51ff,0x76fffd80,0x9003ffff,0xfb01ffff,
    0xffe80fff,0x7c400fff,0x3fa007ff,0xd000ffff,0x7dc03fff,0x3ee004ff,
    0xffffffff,0xf50004ff,0x883fffff,0xffd03fff,0x27fe403f,0x3ffffff2,
    0xffffffae,0xfff8804f,0x29fff903,0x8004fffc,0xff51fffc,0xfffd805f,
    0x09ffff56,0x20ffffb0,0x5c07fffd,0xd005ffff,0x2e003fff,0x1005ffff,
    0xfb80dfff,0x6cc005ff,0xcffffffe,0x7ec40000,0x7fc46fff,0x3ffff03f,
    0x217ffcc0,0x2a3dfec9,0x440acdfd,0x3ffe22aa,0x29fff903,0x8004fffc,
    0xff51fffc,0xfffd805f,0x3fffff35,0x3ffffd40,0x407fffd8,0x002ffffb,
    0x2007fff5,0x002ffffb,0xa807fff5,0x30005fff,0x00039fd9,0xffb01531,
    0x7ffc41ff,0x03ffff03,0x001fffc8,0x27ffcc00,0x3207fff1,0xfff94fff,
    0xfff90009,0x00bffea3,0x7f4bfffd,0x220aefff,0x03ffffea,0xe80ffffb,
    0x2000ffff,0xfd005ffe,0x32001fff,0x7d400fff,0xfb0006ff,0x4007ffff,
    0xfa85ffff,0x3fe21fff,0xffff883f,0x3fffe800,0xfff30000,0x03fff88d,
    0x3f29fff9,0xfc8004ff,0x5fff51ff,0xffff9330,0x7ffffd49,0xffffeeff,
    0xffb00fff,0x3ff220ff,0x7d4004ff,0x7fe4407f,0x3fe004ff,0xfff9805f,
    0x2608002f,0x3f6007ff,0x7fe42fff,0x1fffc47f,0x007fffe4,0x177fffc4,
    0xfffd9800,0x9fffc41f,0xffffeee9,0xddffff94,0xfff9005d,0x20bffea3,
    0x3ffffffe,0x7fffffec,0xffffffff,0x9ffff603,0xfffffddb,0xffe8000f,
    0x7ffeedc2,0xf5000fff,0xff1003ff,0x000fffff,0xa8007ff4,0xecefffff,
    0x7c45ffff,0xffff33ff,0x6c400dff,0x9bdfffff,0x3b2a6609,0x880effff,
    0xfff53fff,0x3f29ffff,0x02ffffff,0xf51fffc8,0xfff885ff,0xfc80ffff,
    0xffffffff,0x7ec02fff,0x3ffee7ff,0x0004ffff,0xffb8dff5,0x004fffff,
    0xc8013ff6,0x807fffff,0xffdb99a9,0x7ffe4005,0xffffffff,0x99fffc40,
    0x03ffffff,0xfffffa80,0xffffffff,0x04ffffff,0x7d4fffe2,0x94ffffff,
    0x5fffffff,0x23fff900,0x7cc2fffa,0x201fffff,0xffffffd9,0xfd800def,
    0x3ffea7ff,0x40005fff,0x3fea1ffe,0x2005ffff,0x2000fff9,0x07ffffe8,
    0xffffffb8,0xffb8000e,0x1effffff,0xf33fff88,0x000bffff,0x7fffedc4,
    0xffffffff,0x7c400bef,0x999933ff,0x332a5999,0x801ccccc,0x9930ccca,
    0xdfed9839,0x2a66001b,0x4c00001a,0x001defee,0x265ffb80,0x001defee,
    0x8001ffe4,0x9807eeda,0x002ccecc,0x77f6dc40,0x3ffe203c,0x03bddf33,
    0x66544000,0xbcdeefee,0x3ffe2001,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xeec80000,0x5000004e,0x0005dddd,0x03bbbae0,0x0cc00000,
    0x00540000,0x3bfffe00,0x7fdc0000,0x800002ff,0x006ffff8,0x00066000,
    0x01eeeea8,0x7fffdc00,0xeeeb8002,0x005fffdd,0xffff8800,0x4c0000ff,
    0x005fffff,0x15bff700,0x00001fe6,0x54000df3,0x0000efff,0x00dfff90,
    0xdfff7000,0x7fdc0001,0x00ff30ad,0x3ffffe20,0x7e40000e,0xfc8006ff,
    0x5fffdeff,0xffd80000,0x0005fffe,0x3ffbffa2,0x7dc0003f,0xffefffff,
    0x7e400007,0x3ffa0004,0x6400000f,0x00001fff,0x00077ffc,0xffffff70,
    0x2000dffd,0x5fffeffd,0xfffd8000,0x7ffe4001,0x005fffde,0x4fffdc00,
    0x0002fffa,0xff71dffb,0x7ec0003f,0xffffffde,0x7f400004,0xfff50001,
    0x36000003,0x200005ff,0x0000fffa,0x7ffef7ec,0xb8003fff,0xfffa8fff,
    0xffd80002,0x7ffe4005,0x005fffde,0x8fffe600,0x4000fffb,0x3f61fffa,
    0x3fe0006f,0x00b7b260,0x00ff1000,0x000ffec0,0x07ff6000,0x0fff4000,
    0x307fc000,0x30005bd9,0x7fe47fff,0xfe80000f,0x3ff2001f,0x05fffdef,
    0x00000000,0x00000000,0x5c000000,0x0000004f,0x00000000,0x00000000,
    0x00000000,0x32000000,0xfffdefff,0x006ae625,0x001dddd7,0x003dddd5,
    0x9dffd973,0xb9800037,0x1bceffec,0x2eea6000,0xb98002fe,0x1bceffec,
    0x765cc000,0x801bceff,0x800eeeeb,0x001eeeea,0x00bbbbb6,0xeeeeeeb8,
    0xeeeeeeee,0x76c005ee,0x32002eee,0xfffdefff,0xffffff75,0x3ffff203,
    0xffffb800,0x3fffa601,0xdfffffff,0x7ff4c000,0xffffffff,0x3fee000d,
    0x00dfffff,0xfffffd30,0x01bfffff,0xffffe980,0x0dffffff,0x03ffff20,
    0x07fffee0,0x7ffffcc0,0x3fff2005,0xffffffff,0x007fffff,0x17ffffe6,
    0xdefffc80,0xfffdefff,0xc83fffff,0xb800ffff,0xf901ffff,0xffffffff,
    0x005fffff,0x3ffffff2,0xffffffff,0x7ffec402,0x2fffffff,0x7ffffe40,
    0xffffffff,0xfff9002f,0xffffffff,0x3f205fff,0xfb800fff,0xf9001fff,
    0x001fffff,0x3ffffff2,0xffffffff,0x3f2007ff,0x000fffff,0xffbdfff9,
    0xffffffff,0xfc85ffff,0xfb800fff,0xffc81fff,0xffffffff,0x03ffffff,
    0x7fffffe4,0xffffffff,0x3ffa03ff,0xffffffff,0xfff900ff,0xffffffff,
    0x807fffff,0xfffffffc,0xffffffff,0xffffc83f,0xffffb800,0xfffff001,
    0x3f2009ff,0xffffffff,0x7fffffff,0x3ffffe00,0xff9004ff,0xfffffbdf,
    0x3fff225d,0x7fffe46f,0xffffb800,0x7ffffd41,0xfb9889bf,0x500fffff,
    0x37ffffff,0xffff7311,0xfff501ff,0xffff19ff,0xfff509ff,0x31137fff,
    0x1ffffff7,0x3ffffea0,0xfb9889bf,0x640fffff,0xb800ffff,0xa801ffff,
    0x7fffffff,0x7ffff900,0x55555555,0x2a005555,0x7fffffff,0xbdfff900,
    0x320bffff,0x3f22ffff,0xfb800fff,0x3fa21fff,0x2200dfff,0x885ffffe,
    0x00dffffe,0x17ffffa2,0xf99bfffe,0x20ffffde,0x0dffffe8,0x3ffffa20,
    0xffffe885,0x3ffa200d,0x7ffe45ff,0xfffb800f,0xfffd801f,0x802fffff,
    0x000ffffc,0xffffb000,0x9005ffff,0xfffbdfff,0x3ffe201f,0x3ffff24f,
    0xffffb800,0x1bfffee1,0x7ffffc40,0x37fffdc2,0xfffff880,0x8bfffe62,
    0x81ac9bfc,0x006ffffb,0x85fffff1,0x006ffffb,0x45fffff1,0x800ffffc,
    0x401ffffb,0xffbffff8,0xffc805ff,0x800000ff,0xffbffff8,0xffc805ff,
    0x07fffdef,0xf92ffff4,0xf7001fff,0x7ff43fff,0x3ee002ff,0x7ff45fff,
    0x3ee002ff,0x3fea5fff,0x007fa0ff,0x00bffffa,0x45ffffb8,0x002ffffe,
    0xc97fffee,0xb800ffff,0x5c01ffff,0xffc8ffff,0x7fe400ff,0x800000ff,
    0xfc8ffffb,0x7e400fff,0x6fffdeff,0x937ffec0,0x7001ffff,0x3e23ffff,
    0xf8006fff,0x3fe26fff,0xff8006ff,0x3ffee6ff,0x100ff10f,0x000dffff,
    0x7c4dffff,0xf8006fff,0x3ff26fff,0xffb800ff,0x7ff401ff,0x9ffff35f,
    0x0ffffc80,0xffe80000,0x9ffff35f,0xdefffc80,0x7e405fff,0x3fff27ff,
    0xfffb800f,0xbffff51f,0xffffd000,0x02ffffd4,0x93ffff40,0x27dcffff,
    0x2ffffd40,0x3ffff400,0x00bffff5,0x64ffffd0,0xb800ffff,0x2a01ffff,
    0x3fa2ffff,0x7fe407ff,0xaaaaabff,0x802aaaaa,0x3a2ffffa,0x7e407fff,
    0x6fffdeff,0x937ffec0,0x7001ffff,0x3ea3ffff,0xd8004fff,0xff50ffff,
    0xfb0009ff,0x3fee1fff,0x005fb0ff,0x009ffff5,0x21ffffb0,0x004ffffa,
    0x90ffffd8,0x7001ffff,0x6c03ffff,0x7fdc7fff,0x3ff202ff,0xffffffff,
    0x00ffffff,0x2e3fffec,0x3202ffff,0xfffdefff,0x2ffff407,0x001ffff9,
    0x2e3ffff7,0x8003ffff,0xf72ffffc,0x90007fff,0x3ea5ffff,0x0ff89fff,
    0xfff706ae,0xff90007f,0x3ffee5ff,0xffc8003f,0xffff92ff,0xffff7001,
    0x3fffe203,0x2ffffc44,0xffffff90,0xffffffff,0x7fc401ff,0x7ffc44ff,
    0x3fff205f,0x02ffffde,0x649ffff3,0xb800ffff,0xff71ffff,0xf90005ff,
    0x3fee5fff,0xfc8002ff,0xfff32fff,0x7d4bf59f,0xfff72fff,0xff90005f,
    0x3ffee5ff,0xffc8002f,0xffff92ff,0xffff7001,0x3fffee03,0x0ffffe81,
    0xffffff90,0xffffffff,0x7fdc01ff,0xfffe81ff,0xdfff900f,0x83fffffb,
    0x21ffffd8,0x800ffffc,0xf51ffffb,0xb0007fff,0x3ea3ffff,0xd8003fff,
    0x3fa1ffff,0x3a3fefff,0xff50ffff,0xfb0007ff,0x3fea3fff,0xfd8003ff,
    0xfff91fff,0xfff7001f,0x3fffa03f,0x9ffff706,0x37ffff20,0xcccccccc,
    0x7ff404cc,0xffff706f,0x3bfff209,0xbffffffd,0x5fffffc9,0x007fffe4,
    0x98ffffdc,0x8004ffff,0xf30ffffe,0xd0009fff,0x7d41ffff,0xebbfffff,
    0x3e65ffff,0xe8004fff,0xff30ffff,0xfd0009ff,0x3ff21fff,0xffb800ff,
    0xfff981ff,0xbaaaaadf,0xf907ffff,0x00001fff,0x2b7fffe6,0xfffbaaaa,
    0xdfff907f,0xfffffffb,0x1fffffff,0x01ffffb8,0x11ffffb8,0x000dffff,
    0x7c4fffff,0xf8006fff,0xffd87fff,0xffffffff,0x3ffe20ef,0xfff8006f,
    0x3fffe27f,0xffff8006,0x07fffee7,0x07fffee0,0x3ffffff2,0xffffffff,
    0xfffc82ff,0xf900000f,0xffffffff,0x5fffffff,0xfbdfff90,0xffff7bff,
    0xf705ffff,0xf9003fff,0x7ffc1fff,0x3ea001ff,0x7ffc5fff,0x3ea001ff,
    0xfd885fff,0xffffffff,0xfffff81f,0x3ffea001,0x7ffffc5f,0x3ffea001,
    0x3fffee5f,0xffffc801,0xffffff80,0xffffffff,0xffc85fff,0xf00000ff,
    0xffffffff,0xffffffff,0xbdfff90b,0x3fa6bfff,0xf500dfff,0xfb009fff,
    0xfffc8fff,0x3ffa006f,0x7ffe43ff,0x3ffa006f,0x3fee03ff,0x00bfffff,
    0x00dffff9,0x21fffff4,0x006ffffc,0xa8fffffa,0xd804ffff,0xffa87fff,
    0xffffffff,0xffffffff,0x07fffe40,0x7ffd4000,0xffffffff,0x0fffffff,
    0x7ef7ffe4,0x00d445ff,0x0fffffcc,0x8fffff50,0x04fffff8,0x86ffffc8,
    0x04fffff8,0x06ffffc8,0x04d577cc,0x7ffffc40,0xffffc804,0xfffff886,
    0xffffc804,0x7ffffcc6,0x3fffea01,0xcffffd87,0xcccccccc,0x644ffffd,
    0x0000ffff,0xccffffd8,0xdccccccc,0xd804ffff,0x40005fff,0x0aeffffe,
    0x3ffffaa2,0xfffffb83,0xfffe981e,0xfff702ff,0xfd303dff,0xb805ffff,
    0xff70004f,0xd303dfff,0x205fffff,0x1efffffb,0xfffffe98,0xeffffe82,
    0x3ffaa20a,0x7ffc43ff,0xfff1005f,0xffffc8ff,0x7fc40000,0xff1005ff,
    0xeeeb8fff,0x005fffdd,0x7ffffd40,0xffffeeff,0xffd00fff,0xfdbfffff,
    0x0bffffff,0xffffffe8,0xfffffedf,0x2fe805ff,0x3fffa000,0xffedffff,
    0x405fffff,0xfffffffe,0xffffffed,0xffff505f,0xfffddfff,0xfc81ffff,
    0x36002fff,0x3f22ffff,0xffffffff,0xffffffff,0x0bffff23,0x2ffffd80,
    0x3f7bfff2,0xd80005ff,0xffffffff,0x03ffffff,0x3fffffa2,0xffffffff,
    0x7f4400df,0xffffffff,0x00dfffff,0x20003fc4,0xffffffe8,0xffffffff,
    0x7ff4400d,0xffffffff,0x200dffff,0xfffffffd,0x3fffffff,0x007ffff8,
    0x92ffffd4,0xffffffff,0xffffffff,0x3ffffc7f,0x3fffea00,0x37bfff25,
    0x00005fff,0xfffffff9,0x005fffff,0x3fffffee,0x02ffffff,0x7ffffdc0,
    0x2fffffff,0x000bf500,0x3ffffee0,0x2fffffff,0x7fffdc00,0xffffffff,
    0xffff9002,0xffffffff,0x9ffff505,0xfffff000,0x3fffff21,0xffffffff,
    0xff53ffff,0xff0009ff,0x3ff21fff,0x05fffdef,0x3ff66000,0x0defffff,
    0x7ff64400,0x00ceffff,0xfffd9100,0x0019dfff,0x000017ec,0xfffffd91,
    0x200019df,0xfffffec8,0x4c000cef,0xfffffffd,0xfffb00de,0xff90003f,
    0x3fff29ff,0xffffffff,0xb3ffffff,0x0003ffff,0x2e9ffff9,0xcccbcddd,
    0x33000003,0x80000355,0x00000aa8,0x00015510,0x00000544,0x00015510,
    0x002aa200,0x1aa99800,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xff980000,0x75c004ff,0x00000dee,0x00ffffee,0x06fffe88,0x04c40000,
    0x7fffc000,0x7400000e,0x8000efff,0x3f22fffb,0xeeb802ff,0x3f6000ee,
    0x3fffa0ff,0x03320000,0x6c1fffb0,0xff980fff,0x13ffea4f,0x005fffd8,
    0x2fffffcc,0xfffd0000,0xfff10007,0x6d40005f,0x0ffa0bef,0xdfff7000,
    0xfa800001,0x70000eff,0x7fe45fff,0x7ffcc02f,0x3f6006ff,0x3fffa0ff,
    0x3ff10000,0x20fffd80,0xf980fffd,0x3ffea4ff,0x0bfff104,0xfefff880,
    0xa80003ff,0x20004fff,0x0006fff9,0xdffffff1,0x80005ffd,0x0000fffe,
    0x00fffe80,0x8bffee00,0x7402fffc,0x03fffeff,0x741fffb0,0x54000fff,
    0x02dfffec,0x7ec1fffb,0xfff980ff,0x413ffea4,0x4000effc,0xffc8effd,
    0x7f40001f,0xf980005f,0xfa8001ff,0xfffffecf,0x7fd40006,0xa800001f,
    0x40001fff,0x3f22fffb,0x3ff202ff,0x01fffb8f,0x3a0fffd8,0xb1000fff,
    0xffffffff,0x0fffd81d,0x2603fff6,0x3fea4fff,0x0eff884f,0x0fffd400,
    0x4000dffb,0x00005ff9,0x20017fea,0x3b6e23fc,0x7f40000b,0xb000001f,
    0x000003ff,0x3ffea000,0x001bff61,0x7ff40000,0xffffffff,0x00000006,
    0x00000000,0x00000000,0x00000000,0x00000000,0xd7000000,0xd5001ddd,
    0x00003ddd,0x3ffb2e60,0xf7001bce,0xfdffdfff,0x3b209fff,0xddd706ee,
    0xdddddddd,0x64bddddd,0xb0006eee,0x4005dddd,0xeeeeeeeb,0xeeeeeeee,
    0x3bbbae5e,0xeeeeeeee,0x3aa5eeee,0xe8801eee,0x36001eee,0x4002eeee,
    0x004eeeed,0xc97bbbae,0xb800ffff,0xec81ffff,0x3a6006ee,0xffffffff,
    0x7f400dff,0xc9ff8cff,0xffb06fff,0x3fff20ff,0xffffffff,0x367fffff,
    0x98007fff,0x005fffff,0x3ffffff2,0xffffffff,0x3fff27ff,0xffffffff,
    0x2e7fffff,0x8806ffff,0x3001ffff,0x00bfffff,0x1fffff98,0xfffff880,
    0x03ffff22,0x07fffee0,0x401ffff6,0xfffffffc,0x2fffffff,0x223fffe0,
    0xdeff89ff,0x07fffd80,0xfffffff9,0xffffffff,0x3fffecff,0x7fffe400,
    0xff9000ff,0xffffffff,0x4fffffff,0xfffffffc,0xffffffff,0x3fffee7f,
    0x7ffc403f,0xfff9001f,0xc8001fff,0xc806ffff,0x7e45ffff,0xfb800fff,
    0xffd81fff,0xfffc807f,0xffffffff,0x883fffff,0x3ff16fff,0x3fff6002,
    0xfffff907,0xffffffff,0x7fecffff,0xfff8007f,0x9004ffff,0xffffffff,
    0xffffffff,0x7ffffe4f,0xffffffff,0x3fee7fff,0x2200ffff,0xf001ffff,
    0x09ffffff,0xfffff880,0x3fffe603,0x7fffe40f,0xffffb800,0x07fffd81,
    0x7fffffd4,0xffb9889b,0x7c40ffff,0x1ff89fff,0x1ffff600,0x55ffffe4,
    0xaaaaaaaa,0x3fff62aa,0x7ffd4007,0x9007ffff,0x5557ffff,0x55555555,
    0x5ffffe45,0xaaaaaaaa,0x3fee2aaa,0x2205ffff,0xa801ffff,0x7fffffff,
    0xffffa800,0xffffd00f,0x1ffff907,0x3ffff700,0x40ffffb0,0x0dffffe8,
    0x3ffffa20,0x9effff85,0x3f6001ff,0xfff907ff,0x7ec0001f,0x7ec007ff,
    0x2fffffff,0x0ffffc80,0x3fff2000,0x3ee0000f,0x01ffffff,0x003ffff1,
    0xfffffffb,0xffb0005f,0xfff509ff,0x3fff20df,0xfffb800f,0x7fffd81f,
    0x1bfffee0,0x7ffffc40,0x7ffffdc2,0x3f6001ff,0xfff907ff,0x7ec0001f,
    0x3e2007ff,0xffffbfff,0xffffc805,0x3ff20000,0x2e0000ff,0x6fffffff,
    0x03ffff10,0xfbffff88,0x88005fff,0x221fffff,0x901fffff,0x7001ffff,
    0xfb03ffff,0x7ff40fff,0x3ee002ff,0x7fc45fff,0x1cffffff,0x07fffd80,
    0x001ffff9,0x03fffec0,0x91ffff70,0xc801ffff,0x0000ffff,0x003ffff2,
    0xfffffb80,0xff883fff,0x7fdc01ff,0xffffc8ff,0xfffb8000,0x3ffff26f,
    0x3ffff204,0xffffb800,0x07fffd81,0x00dffff1,0x30dffff0,0xfffffffd,
    0x7fec03df,0xffff907f,0x7fec0001,0x3ffa007f,0x9ffff35f,0x0ffffc80,
    0x3fff2000,0x3ee0000f,0xffffffff,0x0ffffc40,0x4d7fffa0,0x0004ffff,
    0xf15ffffd,0xfc80dfff,0xfb800fff,0xffd81fff,0xffff507f,0xfffd000b,
    0x3fff620f,0x02ffffff,0x320ffffb,0xaaabffff,0x2aaaaaaa,0x803fffec,
    0x3a2ffffa,0x7e407fff,0xaaaabfff,0x42aaaaaa,0xaabffffc,0xaaaaaaaa,
    0x5f7ffdc2,0x7c45ffff,0x3ea01fff,0x3ffa2fff,0xff30007f,0xffffbfff,
    0xffffc805,0xffffb800,0x07fffd81,0x009ffff5,0x01ffffb0,0x7ffffe44,
    0xffd80fff,0xffff907f,0xffffffff,0x7ec1ffff,0xffb007ff,0xffffb8ff,
    0x3ffff202,0xffffffff,0x3f20ffff,0xffffffff,0x0fffffff,0x7f5bffee,
    0x3fe22fff,0x3ff601ff,0x7fffdc7f,0xfff90002,0x00bfffff,0x001ffff9,
    0xb03ffff7,0x3ee0ffff,0xc8003fff,0x4402ffff,0xfffffdff,0x07fffd83,
    0xfffffff9,0xffffffff,0x3fffec1f,0x27fffc40,0x817fffe2,0xfffffffc,
    0xffffffff,0x3ffff20f,0xffffffff,0x3ee0ffff,0xffff36ff,0x0ffffc4d,
    0x44ffff88,0x005ffff8,0xffffff10,0xff9001ff,0xff7001ff,0xfffb03ff,
    0x3fffee0f,0xfffc8002,0x4ffc402f,0xd85fffe8,0xff907fff,0xffffffff,
    0x41ffffff,0xb807fffd,0xfe81ffff,0xff900fff,0xffffffff,0x41ffffff,
    0xfffffffc,0xffffffff,0x9bffee0f,0xf14ffffc,0x3ee03fff,0xffe81fff,
    0xf50000ff,0x005fffff,0x003ffff2,0x207fffee,0xf507fffd,0xb0007fff,
    0x8803ffff,0xdfff51ff,0x20ffffb0,0xccdffffc,0xcccccccc,0x03fffec4,
    0xb837fff4,0xf904ffff,0x9999bfff,0x89999999,0xccdffffc,0xcccccccc,
    0x137ffdc4,0xf11fffff,0x3fa03fff,0xfff706ff,0x7ec0009f,0x32005fff,
    0xb800ffff,0xfd81ffff,0xfff307ff,0xffd0009f,0x3fbae1ff,0x3e23ff14,
    0xfffd86ff,0x1ffff907,0x7ffec000,0x7fffcc07,0xfbaaaaad,0xff907fff,
    0x640001ff,0x0000ffff,0xf51bffee,0xfff1bfff,0xffff303f,0xf755555b,
    0x4000ffff,0x002ffffa,0x007fffee,0x207fffee,0xf107fffd,0xf000dfff,
    0x7fdcffff,0x51ff88ff,0xffb0bfff,0x3fff20ff,0x3f60000f,0x7fe407ff,
    0xffffffff,0x82ffffff,0x000ffffc,0x03ffff20,0x6fffb800,0xfcffffe8,
    0xffc81fff,0xffffffff,0x02ffffff,0x5ffff500,0x7fffdc00,0xffffc801,
    0x07fffd80,0x007ffffe,0x25ffffa8,0xf8dffff9,0x07fffb1f,0x320ffffb,
    0x0000ffff,0xf01ffff6,0xffffffff,0xffffffff,0x1ffff90b,0x7ffe4000,
    0x3ee0000f,0xfff986ff,0x81ffffff,0xffffffff,0xffffffff,0xff50005f,
    0x7d4005ff,0xfd804fff,0xfffb07ff,0x7fffe40f,0x3fffa006,0x7ffff43f,
    0xffffcffe,0x0ffffb06,0x003ffff2,0x07fffd80,0x3fffffea,0xffffffff,
    0x7e40ffff,0x20000fff,0x000ffffc,0x41bffee0,0xfffffffc,0x7fffd41f,
    0xffffffff,0x00ffffff,0x2ffffa80,0x3fffe600,0x3ffea01f,0xffffb07f,
    0x7ffffc40,0xffffc804,0xfffff886,0x2fffffff,0x20ffffb0,0x000ffffc,
    0x81ffff60,0xcccffffd,0xfdcccccc,0x7fe44fff,0x320000ff,0x0000ffff,
    0xe81bffee,0x1fffffff,0x667fffec,0xdccccccc,0x8004ffff,0x002ffffa,
    0x577ffff4,0x3fffaa20,0xffffb03f,0xfffffb80,0xfffe981e,0xfff502ff,
    0x5fffffff,0x83fffec0,0x000ffffc,0x41ffff60,0x005ffff8,0xc8fffff1,
    0x0000ffff,0x003ffff2,0x06fffb80,0x3fffffea,0x3fffe21f,0xffff1005,
    0xfff5000f,0xffa8005f,0xfeefffff,0x00ffffff,0xd00ffffb,0xbfffffff,
    0xfffffffd,0xfffd880b,0x6c00ceff,0xff907fff,0xffffffff,0x7fffffff,
    0x641ffff6,0x2002ffff,0x322ffffd,0xffffffff,0xffffffff,0xfffff93f,
    0xffffffff,0x3ee7ffff,0x7fec06ff,0x3f21ffff,0x36002fff,0x4002ffff,
    0x002ffffa,0xffffffd8,0xffffffff,0x1ffff603,0x3ffffa20,0xffffffff,
    0x2a000dff,0x3f6002ff,0xfff907ff,0xffffffff,0x27ffffff,0xff07fffd,
    0xfa800fff,0x3ff25fff,0xffffffff,0x3fffffff,0xfffffff9,0xffffffff,
    0x3ffee7ff,0x7fffc406,0x3fffe1ff,0x7ffd4007,0x7fd4005f,0xf90002ff,
    0xffffffff,0xfd805fff,0x3ee007ff,0xffffffff,0x88002fff,0x3f6001ff,
    0xfff907ff,0xffffffff,0x27ffffff,0xfa87fffd,0xf8004fff,0xff90ffff,
    0xffffffff,0x7fffffff,0x3ffffff2,0xffffffff,0xfff73fff,0xffff700d,
    0x3fffea3f,0xffff8004,0x3fea000f,0x260002ff,0xfffffffd,0xffd800de,
    0x7644007f,0xceffffff,0x3ff10000,0x3fffec00,0xffffffc8,0xffffffff,
    0xfffb3fff,0x3ffffb0f,0xffff9000,0x3fffff29,0xffffffff,0xff93ffff,
    0xffffffff,0x7fffffff,0x401bffee,0xfb1ffffe,0x90003fff,0x4009ffff,
    0x002ffffa,0x03553300,0x0ffffb00,0x00aa8800,0x002aa000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x741fffd0,0x400007ff,0x0000000a,0x00000000,
    0x33310064,0x00000003,0x00666620,0x19998800,0x04ccc400,0x26666000,
    0x204ccc01,0x22000999,0x998802dc,0xfffe8009,0x001fffa0,0x02fff540,
    0xfdb75000,0x00057bdf,0xdffdb750,0x1efc839b,0x07ffff30,0x3ffb2600,
    0x26000cef,0x0004ffff,0x05ffff88,0x17fffe60,0xffff9800,0x97ffe204,
    0x1004fff9,0xc809ffff,0xfe806fff,0x1fffa0ff,0x65f74000,0x7440002f,
    0xffffffff,0x88000dff,0xfffffffe,0xffb9dfff,0x3ffea03f,0xfffa8007,
    0x02ffffff,0x03fffea0,0xbfff9000,0x7fff4400,0xfb0003ff,0xff8809ff,
    0x13ffe65f,0x0fd8fe40,0x01bfff20,0xfe83fffa,0xfa80007f,0xb80017e2,
    0xffffffff,0x02ffffff,0x3ffffee0,0xffffffff,0xb804ffff,0x26002fff,
    0xffffffff,0x2a001fff,0x20003fff,0x4006fff8,0xfffceffd,0x7ffc4001,
    0x5fff8805,0x4013ffe6,0xc807ee6e,0x00006fff,0xa7c40000,0xf90004f9,
    0xffffffff,0x7fffffff,0xfffff900,0xffffffff,0x400bffff,0xd1006ffb,
    0xfd7bffff,0xb8009fff,0x2e0007ff,0x2a000eff,0xdffd1fff,0x05ffc800,
    0x449ddd10,0xf7003eee,0xfc80dd59,0x76c006ff,0x00002eee,0x017ffff4,
    0x7ffffcc0,0xff7311bf,0x4c01ffff,0x1bffffff,0x3ffffee6,0x7764002f,
    0xffffa801,0x1bfffe22,0x007bae00,0x0006f6c0,0xcc88b332,0x17b6001c,
    0x10000000,0x9805fffb,0x26002aaa,0x005fffff,0x3fffe600,0xffe8005f,
    0x3a200dff,0x3a05ffff,0x200dffff,0x05fffff9,0x7fdc0000,0x5fffe87f,
    0x00000000,0x00000000,0x00000000,0x00000510,0xffffff90,0x3f200001,
    0x000fffff,0x01bfffee,0x17ffffc4,0x037fffdc,0x3fffffa2,0x5751001f,
    0xdfff9001,0x02ffff88,0x2ab2ea60,0x65d4c000,0x54c000aa,0x2200aacb,
    0x26200999,0x2ea60099,0x4c000aac,0x400aacba,0x7fc007fd,0x004fffff,
    0xffffff00,0x7ff4009f,0x3ee002ff,0xffe85fff,0x7ff402ff,0x204fffff,
    0xfffffed9,0x3fff602f,0x07fffdc6,0x7ffffe40,0x6400efff,0xffffffff,
    0x7ffe400e,0x80efffff,0x3206fffd,0xffc86fff,0x0effffff,0x7ffffe40,
    0xfd00efff,0x7ffd400f,0x0007ffff,0xffffffa8,0x3ffe007f,0x7fc4006f,
    0xffff86ff,0x57ffec06,0xf506ffff,0xffffffff,0xfffb01bf,0x04ffff8d,
    0xffffffd8,0xb01fffff,0xffffffff,0x3f603fff,0xffffffff,0x7ffec1ff,
    0x1bfff206,0xfffffffb,0x3603ffff,0xffffffff,0xffe81fff,0xffffb000,
    0x0005ffff,0xffffffd8,0xff8802ff,0xfe8005ff,0x7ffc47ff,0x3fff205f,
    0x50fffff2,0xffffffff,0xfb0dffff,0x7ffd4bff,0x7ffdc00f,0xffffffff,
    0xffffb86f,0xffffffff,0xfffffb86,0x6fffffff,0x9037ffec,0x7fdcdfff,
    0xffffffff,0xfffb86ff,0xffffffff,0x01fff86f,0xfbffff88,0x20005fff,
    0xffbffff8,0xff9805ff,0xfd8004ff,0x3fea0fff,0xfff704ff,0x07fffec7,
    0x39fffff3,0x7ffffd73,0x365fffd8,0xff807fff,0xfd511eff,0xfff81fff,
    0xffd511ef,0xffff81ff,0xfffd511e,0x37ffec1f,0x7cdfff90,0xd511efff,
    0xff81ffff,0xfd511eff,0x7fc41fff,0xfffb802f,0x0ffffc8f,0xffff7000,
    0x01ffff91,0x03ffffb8,0x1ffffc80,0x20ffffee,0x7e44fffa,0x3ff61fff,
    0xffe881ff,0x3fff61ff,0x0bffffa5,0x80fecb88,0x221ffffb,0xfb80fecb,
    0x32e21fff,0xfffb80fe,0x1bfff61f,0x716fffc8,0xff701fd9,0x765c43ff,
    0xffffb80f,0x00bffe61,0x7cd7fffa,0xd0004fff,0x3fe6bfff,0x7fdc04ff,
    0xfc8002ff,0x3fee2fff,0x7ffcc2ff,0x2ffffc85,0x9813fffe,0x3f63ffff,
    0x3ffee5ff,0x4c0001ff,0x8001ffff,0x001ffff9,0x21ffff98,0x3206fffd,
    0x4c006fff,0x8001ffff,0x261ffff9,0x7d403fff,0x3ffa2fff,0xffa8007f,
    0x3fffa2ff,0x7fffd407,0xfffd8003,0x3fffea1f,0x417ffe64,0xf31ffffd,
    0xfe803fff,0x3fff65ff,0x3ffffa25,0x2ea2001f,0x02fffffd,0xfffdba88,
    0xba8802ff,0x22fffffd,0x3206fffd,0x54406fff,0x2fffffdb,0xffdba880,
    0x3fea2fff,0x7ffec04f,0x17fffdc7,0x1ffff600,0x405ffff7,0x004ffff9,
    0x4c7fffe8,0xff15ffff,0x3ffa01df,0xffff70ff,0x6fffd801,0xf117fff6,
    0x401dffff,0xfffffeb9,0x7301ffff,0xfffffffd,0x3ae603ff,0xffffffff,
    0x1bfff61f,0x986fffc8,0xffffffeb,0xd7301fff,0xffffffff,0x2fffdc3f,
    0x89ffff10,0x005ffff8,0x113fffe2,0x440bffff,0x8005ffff,0x7c46ffff,
    0xffe8efff,0x3fffe00f,0x01ffff27,0xfd9ffff2,0xfff985ff,0xfffb05ff,
    0xfffdffff,0xffffb03f,0xffffdfff,0xfffffb03,0x3ffffdff,0xb037ffec,
    0xffd8dfff,0xffefffff,0xfffd81ff,0xfffeffff,0x1bfff21f,0x81ffffb8,
    0x000ffffe,0xd03ffff7,0x7c01ffff,0xe881ffff,0x2ffffd42,0x7f7ffffc,
    0x3fea01ff,0x3ffee5ff,0x7ffec00f,0x417fff66,0x43fffff9,0xacfffffd,
    0x41ffff88,0xacfffffd,0x41ffff88,0xacfffffd,0x21ffff88,0x3606fffd,
    0x3ff66fff,0xf88acfff,0x7fec1fff,0xf88acfff,0x3ff61fff,0x3fffa06f,
    0x9ffff706,0x1bfffa00,0x027fffdc,0x90bffff9,0x3ffa5dff,0xfffb83ff,
    0x7401ffff,0x3ee3ffff,0x7f401fff,0x3fff64ff,0x3fffe605,0x0ffffea5,
    0xa87fffe6,0xf983ffff,0x3fea1fff,0xfff983ff,0x1bfff61f,0xf56fffd8,
    0xff307fff,0x7ffd43ff,0xffff983f,0x41ffff61,0xaadffff9,0xffffbaaa,
    0xffff9807,0xfbaaaaad,0x3e207fff,0x7f42ffff,0xffffefff,0xffff880f,
    0x7fdc02ff,0x7ffc46ff,0x3ffea05f,0x17fff63f,0x64ffffb0,0xff306fff,
    0x7ffe43ff,0x3ffff306,0x9837ffe4,0x3f21ffff,0x3ffe07ff,0x0dfff96f,
    0xc87fffe6,0xff306fff,0x7fff43ff,0xfffff907,0xffffffff,0xfc805fff,
    0xffffffff,0x2fffffff,0x3ffffee0,0x7ffffdc4,0x3f202fff,0xb104ffff,
    0xd05fffff,0xd307ffff,0x7ec1ffff,0xf90c45ff,0x7ffecfff,0x5ffffb07,
    0xd83fffec,0x3f62ffff,0xfffb07ff,0x7fffd45f,0x6ffffc81,0x360ffffb,
    0x3f62ffff,0xfffb07ff,0x3ffff45f,0xfffffff8,0xffffffff,0x7ffc05ff,
    0xffffffff,0x05ffffff,0x7ffffff4,0xffffedce,0x7fdc05ff,0xccdfffff,
    0x5ffffffe,0xbfffff50,0xfffff957,0x25fffd85,0xfffbaffb,0x3ffff25f,
    0xffff930c,0x7fffe45f,0xffff930c,0x7fffe45f,0xffff930c,0x7fffcc5f,
    0xfffca8af,0xffff96ff,0x3fff2619,0x3fff22ff,0xfff930cf,0x7fff45ff,
    0xfffffa87,0xffffffff,0x500fffff,0xffffffff,0xffffffff,0x7f4401ff,
    0xffffffff,0x3fffffff,0xffffff50,0xffffffff,0x6401bfff,0xffffffff,
    0xfd85ffff,0xffff95ff,0x4c5fffff,0xfeffffff,0x23ffffff,0xeffffff9,
    0x3fffffff,0x3fffffe6,0xfffffffe,0x3ffffe23,0xffefffff,0xfffff36f,
    0xffffffdf,0x7fffcc7f,0xfffffeff,0x3fffa3ff,0xcffffd87,0xcccccccc,
    0xb04ffffd,0x9999ffff,0xffb99999,0xff7009ff,0xffffffff,0x5fffffff,
    0x7e6fffcc,0xffffffff,0xf7002fff,0xffffffff,0x3fff607f,0x3fffff65,
    0xfffc84ff,0xfdcfffff,0x7ffe45ff,0xfdcfffff,0x7ffe45ff,0xfdcfffff,
    0x7ffcc5ff,0xfabfffff,0x3fff26ff,0xfdcfffff,0x7ffe45ff,0xfdcfffff,
    0x3fffa5ff,0x2ffffc47,0x7ffff880,0x05ffff88,0x0fffff10,0x3fffb220,
    0xffcbdfff,0xff90ffff,0x3fff221d,0x00ceffff,0x7ffedcc0,0x3f601dff,
    0x7ff645ff,0x3fea02ff,0xff51efff,0xfffa81ff,0xfff51eff,0xffffa81f,
    0xffff51ef,0xffffd981,0x8dfff52d,0x1efffffa,0xa81ffff5,0x51efffff,
    0x32e1ffff,0x7ffe44cc,0x3ff6002f,0x7ffe42ff,0x3ff6002f,0xa88002ff,
    0xfffe980a,0x98807643,0x400000aa,0x400000a9,0x2a6001a8,0x2a600009,
    0x2a600009,0x0cc00009,0x01353000,0x004d4c00,0xfffff000,0xffffa800,
    0x03ffffc5,0x17fffea0,0xffb80000,0x00000080,0x00000000,0x00000000,
    0x00000000,0x00000000,0x54000000,0x8004ffff,0xf50fffff,0xf0009fff,
    0x0001ffff,0x00001800,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x03ffffb0,0x9ffff900,0x007ffff6,0x13ffff20,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26620000,0x33330019,0x33330003,0x33300003,0x99980003,
    0x4ccc0019,0x26662001,0x00266620,0x4c413331,0x98800099,0x4c400019,
    0x00ccc409,0x33103330,0x04ccc413,0x4c000000,0x44000019,0x5004ffff,
    0x8005ffff,0x002ffffa,0x13fffea0,0x7fffcc00,0x3ffea003,0xfff5004f,
    0x01fffd47,0xfb8fffea,0x7d4003ff,0x20005fff,0x7fec4fff,0x1fff5007,
    0x2a4fffa8,0x26003fff,0xdeffffec,0x1fff400b,0xfff90000,0xfffb800b,
    0xfffb8006,0xfff10006,0xb0005fff,0x44009fff,0x02ffffff,0x2a3fffa8,
    0x7d403fff,0x3ffee3ff,0x3ffe2003,0x88002fff,0x7ffc3fff,0x0dff9005,
    0x7d49fff5,0xfd8803ff,0xffffffff,0xff900cff,0x3e20000b,0xf70005ff,
    0xf70005ff,0xfd0005ff,0x01fffbdf,0x02fffcc0,0x3f7bffa0,0x7fd400ff,
    0x0fffea3f,0x5c7fff50,0x36003fff,0x0fffdeff,0x0fffd400,0x2009fff1,
    0xffa84ffe,0x0fffea4f,0xffffff50,0xffffffff,0x0fff501d,0x3bfee000,
    0x3ff20000,0xbff90006,0x8fffb800,0x2005ffe8,0x5c005ffc,0xffe88fff,
    0x17774c05,0xa805ddd5,0x3baa2eee,0xfff7002e,0x001bffa3,0x7d41fff7,
    0xfff002ff,0x47ddd305,0x2a02eee9,0xffffffff,0xffffffff,0x00fff886,
    0x00ded800,0x00eec800,0x001dd900,0xc98b3322,0xbdb000cc,0x2ccc8800,
    0x00033326,0x00000000,0x3222ccc8,0x3f6001cc,0x07ffe46f,0x007ffcc0,
    0xfff88000,0x950abfff,0x07fffffd,0x00005fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfd89fff0,0xdff7007f,0x7f400000,
    0x7401efff,0xfd86ffff,0xa880004f,0x998800ab,0x26662009,0x26ee6200,
    0x04ccc400,0x40133310,0x0009bb98,0x009bb988,0x09bb9880,0x2aea2000,
    0x5d440000,0xeeec800a,0xeeeefffe,0x406effff,0x4cc44ffd,0x26662009,
    0x3ffffe60,0xffff8800,0x037fdc1f,0xfffed980,0x3f602fff,0x3ff206ff,
    0xfffd886f,0xfb00dfff,0x7fe40dff,0xfffd886f,0x8800dfff,0xdffffffd,
    0xfffd8800,0x3000dfff,0xffffffdb,0x7f6cc005,0x202fffff,0xfffffffd,
    0xffffffff,0x17ffc07f,0xc81bfff6,0x3ff26fff,0x32a003ff,0x1fff301a,
    0xffffa800,0x0dffffff,0x206fffd8,0x7cc6fffc,0xffffffff,0x6fffd82f,
    0x31bfff20,0xffffffff,0x7fcc05ff,0xffffffff,0x3fffe602,0x02ffffff,
    0x7fffffd4,0x400dffff,0xfffffffa,0xfd80dfff,0xffffffff,0x7fffffff,
    0xb03ffe60,0x7e40dfff,0x3fffe6ff,0xff000007,0x7fd4005f,0xffffffff,
    0xfffd86ff,0x9bfff206,0xfffffff8,0x6c1fffff,0x3f206fff,0x3ffe26ff,
    0xffffffff,0xffff881f,0xffffffff,0xfffff881,0x1fffffff,0xffffff50,
    0x0dffffff,0x7fffffd4,0x86ffffff,0xffffeeec,0xeffffeee,0x1ffee06e,
    0xc81bfff6,0xfff16fff,0x200000df,0xf3004ffd,0x7339ffff,0xd87ffffd,
    0x3f206fff,0x3fff26ff,0xffeb89cf,0x37ffec5f,0x64dfff90,0xb89cffff,
    0xfc85fffe,0xeb89cfff,0xffc85fff,0xfeb89cff,0xfff985ff,0xfeb99cff,
    0xff983fff,0xeb99cfff,0x7c03ffff,0x3ffec4ff,0xd85ffd80,0x3f206fff,
    0xffff36ff,0x2e00000b,0xffb006ff,0xffd103ff,0x7ffec3ff,0x5bfff206,
    0x984ffff9,0x3f61ffff,0x3ff206ff,0x9ffff36f,0x43ffff30,0x984ffff9,
    0x3e61ffff,0xff984fff,0x7ffec1ff,0xfffe881f,0x7fffec1f,0xffffe881,
    0x87fff101,0xff005fff,0xdfffb07f,0xab7ffe40,0x2e04ffff,0xeeeeeeee,
    0x0fff984e,0x04ffff80,0xd8ffffe6,0x3f206fff,0xffff76ff,0x93fffa03,
    0x3206fffd,0xfff76fff,0x3fffa03f,0x07fffee4,0xf727fff4,0x3fa03fff,
    0x7fffc4ff,0x3fffe604,0x027fffc3,0x207ffff3,0x3e21fffa,0xff9803ff,
    0x6fffd81f,0x55bfff20,0x3204ffff,0xffffffff,0x05fff05f,0x01ffff98,
    0xfb2ffff4,0x7fe40dff,0x0ffff96f,0xfb2fffe4,0x7fe40dff,0x0ffff96f,
    0xf92fffe4,0x7fe40fff,0x1ffff25f,0x265fffc8,0x7401ffff,0x3fe65fff,
    0x7ff401ff,0x1fff905f,0x4017ffd4,0xffb07ffb,0x7ffe40df,0x0bffff36,
    0x7fffffe4,0xffb05fff,0xffffb807,0x37ffec00,0x640dfffb,0xfffb6fff,
    0xffffffff,0x7fecdfff,0x3fff206f,0xffffffb6,0xffffffff,0x7ffffecd,
    0xffffffff,0x3ffff66f,0xffffffff,0x3ffee6ff,0x7ffec00f,0x03fffee6,
    0x4cdfffb0,0xaafffeaa,0xaabfffda,0x20bff902,0x3206fffd,0xfff16fff,
    0x7ffe40df,0x05ffffff,0xfc80bff7,0xffc807ff,0x1bfff67f,0xfd6fffd8,
    0xffffffff,0x6cffffff,0x3f606fff,0xffffd6ff,0xffffffff,0x7fff4fff,
    0xffffffff,0x3ffa7fff,0xffffffff,0x3f27ffff,0xffc807ff,0x1ffff27f,
    0xd9ffff20,0xffffffff,0xffffffff,0x207ffd07,0x3606fffd,0x3ffe6fff,
    0x2666207f,0x05ffff99,0xfb80fff3,0x7ec00fff,0x3fff66ff,0x5bfff606,
    0xeeeffffe,0x6eeeeeee,0xd81bfff6,0xfffd6fff,0xdddddddf,0x7ff4dddd,
    0xeeeeeeff,0x3fa6eeee,0xeeeeefff,0x2e6eeeee,0x6c00ffff,0x3fee6fff,
    0x7fec00ff,0x3ffff66f,0xffffffff,0xf887ffff,0xfffb01ff,0x37ffec0d,
    0x007ffff9,0x82ffffc4,0x2e01fff8,0x7401ffff,0x3ff64fff,0x3fff606f,
    0x00ffffb6,0x81bfff60,0xffb6fffd,0x3f6000ff,0xfb0007ff,0x2e000fff,
    0x7401ffff,0x3fee4fff,0x7ff401ff,0x3ffff64f,0xffffffff,0xfa87ffff,
    0x3fff607f,0x9bfff606,0x00fffffa,0x0bffff10,0xf101fff4,0x7d40bfff,
    0x3ff23fff,0x3fffe07f,0x05ffff96,0x3ff2026a,0x3fffe07f,0x05ffff96,
    0x3ff2026a,0x013502ff,0x205ffff9,0xfff8809a,0x3ffea05f,0x3fffe23f,
    0x3fffea05,0x20fffc83,0xc801fffa,0x3ff205ff,0x3fffe07f,0x6fffff46,
    0xffffb800,0x017ff205,0x307ffffd,0x541ffffd,0xfc81ffff,0xfff36fff,
    0xffff30bf,0x0ffffd47,0x9b7fffe4,0xf985ffff,0x3fe63fff,0xfff985ff,
    0x3fffe63f,0x3ffff985,0x41fffff4,0x40ffffe9,0x983ffffe,0xd80ffffe,
    0x7ffdc6ff,0x03ffe800,0x207fffea,0x4c6ffffc,0x82efffff,0xfffffea8,
    0x01ffea05,0x7bfffff5,0x5fffff95,0xafffff98,0xfffffca8,0x3bffff66,
    0xffffea8a,0x3ffffe61,0xffffca8a,0x3ffff66f,0xfffea8ae,0x7fffec1f,
    0xfffea8ae,0x7fffec1f,0xfffea8ae,0x7fffd41f,0xfffcabdf,0xfffa82ff,
    0xffcabdff,0xfff02fff,0x806ffd89,0x2601fff8,0xa8afffff,0x86fffffc,
    0xfffffffc,0xffffffde,0x3e205fff,0x7fe401ff,0xffffffff,0xfff885ff,
    0xefffffff,0x3fe66fff,0xffffffff,0x7ffc44ff,0xefffffff,0x3fe66fff,
    0xffffffff,0xfff984ff,0xffffffff,0xffff984f,0xffffffff,0xfffff904,
    0xbfffffff,0x7ffffe40,0x5fffffff,0xf87fff10,0xffa805ff,0x3ffe200f,
    0xefffffff,0xff906fff,0xffffffff,0x09ffffff,0x7007ffd0,0xffffffff,
    0x7fcc07ff,0xabffffff,0x7f446fff,0xffffffff,0xfffff304,0xfff57fff,
    0xffffe88d,0x204fffff,0xffffffe8,0x3a204fff,0xffffffff,0x7ffdc04f,
    0x3fffffff,0xfffffb80,0x203fffff,0x3e21fffa,0xffc803ff,0xffff9806,
    0xffabffff,0x3ffea06f,0xffffffff,0xf9001dff,0x36e600bf,0x01dfffff,
    0xdffffd98,0x20dfff52,0xefffffec,0x7ffecc02,0xdfff52df,0x3ffffb20,
    0xfd9002ef,0x005dffff,0x3fffffb2,0xfb73002e,0x003bffff,0x7fffedcc,
    0x7fe401df,0x07ffea0f,0x4013ffa0,0x2dffffd9,0x500dfff5,0xdffffffb,
    0xfa800379,0x1530007f,0x000cc000,0x0009a980,0x30000198,0x4c000135,
    0x2600009a,0x4c00009a,0x5300000a,0x1554c001,0x5400aaa2,0x198000aa,
    0xa9980000,0xaa880001,0x00000002,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00c40000,0x00000000,
    0x04cc4000,0x00000000,0x00000000,0x00000062,0x00000000,0xd800ffd0,
    0x6dcc006f,0x262002bd,0x0002bddb,0xdffffd71,0x6540005b,0x0ceeffed,
    0xdffed880,0x05ffd001,0xdffdb500,0x2600005b,0xbceffecb,0xeb880001,
    0x02deffff,0x3fb2e200,0xa8000cef,0x3ceffedb,0x01fff200,0x1001ff98,
    0xdffffffb,0xffffa801,0x1001efff,0xfffffffb,0x4007ffff,0xffffffe8,
    0x300cffff,0x7fffffff,0x006ffb80,0x7ffffec4,0x20005fff,0xffffffe9,
    0x000dffff,0xfffffd88,0x03ffffff,0x7ffff4c0,0x1004ffff,0xfffffffd,
    0x7dc03dff,0x3a007fff,0xffd1005f,0x3fffffff,0x3ffffee0,0x402fffff,
    0xbdfffffa,0xdffffeb9,0x7fffcc00,0xffffffff,0x9fffb06f,0x7401fffd,
    0x7ec002ff,0xffffffff,0xffc8004f,0xffffffff,0x2002ffff,0xbdfffffa,
    0xdffffeca,0xffff9800,0x3fffffff,0x7ffffdc0,0xffffffff,0xfffffb84,
    0x01ff5007,0x3fffff20,0x986fffff,0xffffffff,0xf900ffff,0x544037ff,
    0x3e00effd,0xffffffff,0x44ffffff,0xff12fff9,0x1bfee07f,0xbffff300,
    0x3ffff733,0x7fffe400,0xffffffff,0xc803ffff,0x2201bfff,0x400effda,
    0xecefffff,0x701fffff,0xffffffff,0x7fffffff,0x7ff9cfb8,0x2009ff00,
    0x88dffff8,0x6c1ffffc,0xc98bffff,0xfa84ffff,0x7dc000ef,0xffff506f,
    0x3f6a215b,0x3ea1ffff,0x17ffa0ff,0x20017ff4,0x6c0ffffb,0xf5002fff,
    0x137fffff,0xfffff731,0x77fd401f,0x37fdc000,0x87ffff50,0x883ffffb,
    0x0aefffff,0xffffffb5,0x0fff04c3,0x2001ff70,0x740ffffc,0x3fe25fff,
    0xffff83ff,0xa8b7fc45,0x501aaaaa,0xfff909ff,0xffffe80f,0xfb1ffee3,
    0x0dff70df,0x1ffff700,0x803fffc8,0x0dffffe8,0x3ffffa20,0x20dff105,
    0xfb80acb8,0xdfff904f,0x21bfffa0,0x204ffffd,0x04fffff8,0xff101ffe,
    0x7fffc007,0x0ffffb84,0xb01fdb91,0xffd8dfff,0xffffff51,0x1ff90bff,
    0x406fffe8,0x2e4ffffa,0x37fec7ff,0x40017ffc,0x265ffff9,0xb801ffff,
    0x1006ffff,0xb05fffff,0xfff983ff,0xffd85fff,0x03fffe80,0xf9835795,
    0xfb806fff,0x3fe07fff,0x0037e407,0x307ffff1,0x4003ffff,0x224ffff8,
    0x3bfea4ff,0x45fffeee,0x7fec4ff8,0x4ccc02ff,0xd07ffd41,0x6ffb8bff,
    0x3fffa000,0x6fffe8af,0x5ffffd00,0x7fffdc00,0x2227fc45,0xfffdffff,
    0x6c27fc44,0xb0004fff,0x2005ffff,0x7fc01bdd,0x00bfe607,0x81ffff98,
    0x002ffff8,0xb87fffee,0x0bfea1ff,0xfd81ffd1,0x7ffffdc7,0x7cc000be,
    0x13ffe1ff,0x40005fff,0xfffffff9,0xf8801fff,0xf8006fff,0x7fdc6fff,
    0xb05fff41,0x87fe83ff,0x0005fffc,0x000dfffd,0xd81ffe00,0x7fd4005f,
    0xffff01ff,0xfffc8807,0x23fec4ff,0xffc82ffa,0xf10ffdc1,0xdfffffff,
    0x3ffa0059,0x21fffcae,0x80006ffb,0xfffffffc,0xfff5002f,0xffd000bf,
    0x4c7fd8ff,0x1cd884ff,0x3ea0ffdc,0xff0007ff,0x00000bff,0x7fd41ffe,
    0x7ffd4001,0x9ffff01f,0xfffffb80,0x7d45fe82,0x437f442f,0x7fd42ff9,
    0xffffffff,0x3fea01cf,0x7c5fffff,0xc80002ff,0x0dffffff,0x3fffea00,
    0xfffd8004,0xf717fa0f,0xff98003f,0xffffb972,0x4039999b,0x004ffff8,
    0x20fff000,0xfb8004fe,0xfff00fff,0xfffc80bf,0x43ff80ef,0xfdccdffa,
    0x07ff03ff,0xfffffff5,0x407fffff,0x44fffffa,0x40006ffb,0xffffffe9,
    0x7fdc005f,0xfc8003ff,0x0ffe2fff,0xf0001ff9,0x3ffff67f,0x2fffffff,
    0x13fffe60,0x0ccc0000,0x5d407fdc,0x7ffe40ab,0xbffff00f,0xfffffe80,
    0x50bfe23f,0xbfffffff,0x8827f403,0xfffffffc,0x4c04ffff,0x2fff809a,
    0x300d6544,0xffffffff,0x7004c7ff,0x0005ffff,0x225ffff9,0x03fec2ff,
    0xffb4fe80,0xffffffff,0x7ffd405f,0x0000004f,0x3e61ffc4,0x2e3fffff,
    0xff00ffff,0x888809ff,0x3e6ffffc,0x667fd44f,0x3e203ffe,0xfec9803f,
    0x3fffffff,0x8dff7000,0x0dfffffb,0x6fffffcc,0xb1fffffb,0xffa85bff,
    0xfd8003ff,0x13fe1fff,0x88001ff9,0xffffb3ff,0x5fffffff,0x27fffcc0,
    0x32000000,0xefffe87f,0xfff50fff,0x3fffe03f,0x7ffd4004,0xfa8dfd1f,
    0x40fff62f,0x44002ffa,0x6fffffda,0x45fff000,0xfffffffb,0x27fffec5,
    0xf3dffffb,0xff985fff,0xfe8004ff,0x1bfa0fff,0x7d105ff7,0xa82ffa83,
    0x44007fff,0x0005ffff,0x0bfe2000,0x7fdcbff5,0x03ffff54,0x000ffffe,
    0x327ffff1,0x8bfea0ff,0xfc80fff8,0xd300100f,0x8001ffff,0x7ffc6ffb,
    0x32fffb8d,0xfd0bffff,0xffffffff,0x0dffff10,0x8fffff00,0x3fe60ffc,
    0x21ffe40e,0xffb80ffd,0xfff8006f,0x02ea006f,0x4c37ec00,0x53fee1ca,
    0x882ffff9,0x8002ffff,0xff36fffd,0x2a17fd47,0x25fe85ff,0x800fffec,
    0x001ffffb,0xff317ffc,0xaa7ffc3f,0xf882ffff,0x5fffffff,0x03fffff0,
    0x2ffffd40,0xff90bfe6,0x0dff957f,0x3ffa0bff,0xffe8005f,0xffd001ff,
    0x7fcc007b,0x5ffd1001,0x20ffffe2,0x531ffffa,0x7ffc09b9,0xfa9bfa6f,
    0x22ffe82f,0x3fee2ffa,0xffb802ff,0x3ee002ff,0x23ffd46f,0xfff75ffe,
    0x3ffe603f,0xf901ffff,0x7400dfff,0xfe83ffff,0x7fffec46,0x7fd40fff,
    0x1ffff882,0xffffc800,0xffff9805,0x017fa006,0x3a2fff4c,0xffc85fff,
    0xffff70ff,0x9ffff303,0xee9a7fd4,0xf14eea81,0xffff98df,0x3ffe200e,
    0x3fe000ff,0x23ffdc2f,0xfff56ffd,0x7ffdc09f,0x3fe206ff,0xfc804fff,
    0xff506fff,0x7bffb509,0x886ff881,0x0004fffe,0x05fffff1,0x1fffff44,
    0x800ffa80,0x5c0dfffa,0x3e21ffff,0x3fe64fff,0x7fec45ff,0x1ffe43ff,
    0x07ff4400,0x0efffff4,0x2ffffec4,0x70dff700,0x5ffd8fff,0x01fffff1,
    0xffffffd3,0x3ffee01d,0xfe981eff,0x3202ffff,0xe88003ff,0xfffe80ff,
    0x440acbaf,0xffffa80b,0x7ff5c43f,0xfd000fff,0x9fff7009,0x3ffffe20,
    0x0ffffebc,0x67fffff4,0x06fffffc,0x2001bffd,0xf502fffa,0x9bdfffff,
    0x7ffffffd,0x417ffc00,0x3fa0fffa,0x3ffff64f,0xfffdbbdf,0x3fffffff,
    0xffffffd0,0xfffffdbf,0xffd00bff,0x3fea001b,0xffffc82f,0xefffffff,
    0xffb04ffe,0xffddffff,0x007fffff,0xf7003fee,0xffc807ff,0xffffffff,
    0xfffff885,0x1fffffff,0x9dfffb10,0x7ffedc43,0x7ffe402f,0xffffffff,
    0x2e004fff,0xfff106ff,0x88fffe67,0xffffffff,0xffffffff,0xe880ffff,
    0xffffffff,0x0dffffff,0xefffd880,0xffb730ac,0x3fea05ff,0xffffffff,
    0x80ffffff,0xffffffd8,0x4fffffff,0x807ff100,0xeeeffff9,0xffffc84e,
    0x500dffff,0xffffffff,0xff7005ff,0xfffdffff,0x32001dff,0xffffffff,
    0x2003ffff,0x3202fff8,0x7fffdfff,0xfffffe88,0xa8dfffff,0x5c01ffff,
    0xffffffff,0x8002ffff,0xfffffffb,0x00efffff,0x7ffffff4,0xffffffff,
    0x3ffee03f,0xffffffff,0x01bf2004,0x3ffffff2,0xffd505ff,0x91007fff,
    0x19ffffff,0x7ffdc400,0x02dfffff,0xffffc880,0x001cefff,0x22037fdc,
    0x2ffffffe,0x3ffffae0,0x7f441eff,0xffd91003,0x019dffff,0x7ffdc400,
    0x02dfffff,0x26139f70,0xfffffedb,0x7f6cc02d,0x00cfffff,0x200bba20,
    0xcccccccb,0x054c403c,0x00aa8800,0xacba9800,0x31000009,0x44000155,
    0xb7002fff,0x4c0019df,0x002800aa,0x0002aa20,0x565d4c00,0x00080009,
    0x20001353,0x000009a9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x99980000,
    0x04cccc01,0x6c007fe8,0xfdb1006f,0xffa80059,0x33330001,0x5554c001,
    0xaaaaaaaa,0x6edcc400,0x2666202c,0x09998801,0x4eeee800,0x79bb9510,
    0x02ee2001,0x54c00793,0x00000abb,0x566e5440,0x37bbae01,0x101ffff9,
    0xf905ffff,0x7fcc00ff,0xffff8801,0x3fa006ff,0xfff30004,0x7ff4005f,
    0xffffffff,0x3ffa602f,0xb81effff,0x7c01ffff,0xf8004fff,0xffb85fff,
    0x03ffffff,0x5effffdc,0xfb805fd9,0x1dffffff,0xfffdb880,0xffffb84d,
    0xff904fff,0x3ffff3df,0x8bfffe20,0x007ffffb,0x7ec017fa,0x02ffeacf,
    0x0000ffb8,0x005ffff3,0x7ffffffc,0x702fffff,0xffffffff,0xfff881ff,
    0x3ffea04f,0xfff8001f,0x7fffe45f,0x05ffffff,0x3ffffffa,0x36203fff,
    0xffffffff,0x7fec02ff,0x7ec5ffff,0xffffffff,0x77ffe40e,0x101ffff9,
    0x3ee5ffff,0x5007ffff,0x372001ff,0x1013fee5,0x4c0007ff,0x1002ffff,
    0xffffffff,0xf505ffff,0xffffffff,0xfffb0dff,0x37ffec0f,0x5ffff800,
    0x3fffffea,0x82ffffff,0xfeb99ff9,0x3f600dff,0xffffffff,0xff901fff,
    0x5c9fffff,0xffffffff,0x7fe46fff,0x1ffff9ef,0x25ffff10,0x07ff9cfb,
    0x20009ff0,0x401fffb9,0x4c0006fc,0x5002ffff,0xddddffff,0xfd03dddd,
    0xf9319fff,0xffa83fff,0xffff01ff,0x3ffe0007,0x3ffff65f,0x1bfffea2,
    0x06a60f26,0x9fffff50,0xbffff931,0x33ffffa0,0xffff11ca,0xffff715d,
    0x55554c3f,0x101ffff9,0x8265ffff,0xffb807ff,0xfffb0000,0x02ff8807,
    0x55554400,0xbfff9000,0xffff5000,0x4ffff883,0xa84ffff8,0x0000ffff,
    0x7f4bffff,0xfffb84ff,0xfd000007,0x3ff60dff,0xffff80ff,0x1ffff705,
    0x05ffff88,0x80ffffcc,0xf02ffff8,0x3ff880ff,0x3ffba000,0x01bf602f,
    0xfb000000,0xfd0007ff,0x2aee0dff,0x7fffc809,0x006fffc8,0xf97fffe0,
    0xff982fff,0x2ea600ff,0x3e200aac,0x59302fff,0x1ffffc03,0x905fffc8,
    0x2623ffff,0xffff9899,0x5ffff101,0xf901ffe0,0x3e60000d,0x03ff307f,
    0x3fffa000,0x5ffff002,0x7ffff000,0x7ffcc000,0x1ffffc1f,0xbffff000,
    0x541fffec,0xff906fff,0x1dffffff,0x03ffff50,0xfff33100,0x7f41339f,
    0xfff504ff,0x3bfff25f,0x101ffff9,0x3e05ffff,0x0bfe607f,0xe8775100,
    0x05fe81ff,0x3fffe000,0xffff8801,0x202cedba,0x262ffff8,0x3ffa000a,
    0x3fffea4f,0x3ffe0000,0x3bffee5f,0x41fffec0,0xfffffffd,0x7dc1ffff,
    0xc8000fff,0xffffffff,0x0ffffa6f,0xc9ffffcc,0xfff9efff,0xffff302f,
    0xd81ffe05,0xffd0005f,0x503ffea3,0x200001ff,0x800ffff8,0xfffffff9,
    0xf981efff,0xfffb9fff,0xffb803ff,0x17fff27f,0xbffff000,0x6ffffec4,
    0x40effffc,0xfffffffb,0x646fffff,0x8000ffff,0xfffffffc,0x3fff66ff,
    0x9ffff704,0x3e7bfff2,0xff302fff,0x1ffe05ff,0x8000ffd4,0xfffffffa,
    0x0004fe84,0x0dfffd10,0x3ffffee0,0x2fffffff,0x7effffd4,0x0dffffff,
    0x47fffe20,0x0002ffff,0x642ffffc,0xffffffff,0x3dffff05,0x3ffffaa2,
    0x03fffee0,0x3ffff200,0x326fffff,0xffb06fff,0x3fff2bff,0x03ffff9e,
    0x205ffff5,0x09fd07ff,0xfffeb800,0x00ffb83f,0xfffe8800,0xfff9003f,
    0xffffdfff,0x7ffdc1ff,0xffffffff,0x7fec04ff,0x07fff9cf,0x5ffff800,
    0xffffff88,0xecb882ff,0xffffb80f,0x07fffea1,0x5d4c1ab8,0x2aadffff,
    0x30ffffea,0x32bfffff,0xfff9efff,0xffff905f,0x2e066605,0x332200ff,
    0x404d4402,0x32203ff8,0x3ffa202c,0x3fa005ff,0x3f6a1eff,0x3ff24fff,
    0xea8bffff,0x2a01ffff,0xfffcffff,0xfff80004,0x7fffcc5f,0x03ffffff,
    0x3ffff300,0x827fffc4,0x442ffffa,0x3603ffff,0xfdbeffff,0xf96fffff,
    0xffff3dff,0xffff983f,0x7fc4002f,0x027fec03,0xd01bf200,0x3fa209ff,
    0x98005fff,0x3fffa02a,0x3ffffee7,0x05fffe81,0x7ffffffc,0xff80001f,
    0x3ffea5ff,0xfffda9cf,0xdba8805f,0x742fffff,0xfe81ffff,0x7fc40fff,
    0x3fe203ff,0xffffffff,0xfff95fff,0xffffff3d,0xfffff957,0x7fc8005f,
    0x027ffe40,0x405ff300,0xe884fffc,0x0005ffff,0x3fffee00,0x0fffff50,
    0x901fffee,0x0dffffff,0x3fffe000,0x213fffa5,0x980ffffa,0xffffffeb,
    0x7fcc1fff,0xfebacfff,0xff885fff,0x7f4403ff,0xfebfffff,0xdfff94ff,
    0xfffffff3,0xffffffff,0x17fc4005,0x09ffff70,0x702fec00,0xf909ffff,
    0x00009fff,0x2ffffa80,0x209ffff3,0x200ffff9,0x3ffffff9,0xffff0000,
    0x07fffe2b,0xb0ffffe2,0xdfffffff,0xfb03ffff,0xffffffff,0xff101dff,
    0x36e007ff,0xffff1cee,0x27bfff27,0xfffcffff,0x2fffedff,0x981bf600,
    0x004ffeff,0x2603ff50,0x444ffeff,0x0004ffff,0xffff9800,0x09ffff12,
    0x007fffe6,0x01fffffd,0x40766544,0xf74ffff8,0x7fec0fff,0x3ffff65f,
    0xfff88acf,0xffff901f,0x03ffffff,0x00ffffe2,0x5ffff100,0x3e7bfff2,
    0xfffb9fff,0x02fffe8d,0x2203ff30,0x04ffadff,0x2209fd00,0x44ffadff,
    0x401ffff9,0x53109aca,0x3fea0175,0xffff11ff,0x1fffea0b,0x17fffee0,
    0x05ffff50,0x329ffff1,0xfb00ffff,0x3ffeadff,0xffff983f,0x3fffa601,
    0x2200bfff,0x0003ffff,0xc8ffffd4,0xfff9efff,0x00006a1f,0xefe817fa,
    0x8004ff98,0xdfd00ffb,0xf989ff51,0x3e201fff,0xfff53fff,0x3fff207f,
    0x07fffec7,0x4037ffdc,0x402ffffb,0xa84ffff8,0xff53ffff,0xfff105ff,
    0x1bfff29f,0x00ffffcc,0x801f7f54,0x303ffff8,0xfb01fdb9,0x7ffe4dff,
    0x01ffff9e,0x07fd4000,0xff30ffd8,0x3ff88009,0x3ea1ffb0,0x5ffff84f,
    0x83ffff20,0xf987ffff,0x7fcc4fff,0x3fe20dff,0xffe805ff,0xfff800ff,
    0x3ffa61ff,0xffff31ff,0x7ffff70b,0x6c1ffff6,0x4402ffff,0x00ffffff,
    0x81ffffc4,0x543ffff9,0x3f23ffff,0xffff9eff,0x7f400001,0xfffff104,
    0x003fffff,0x7fc41ff2,0xffffffff,0x2fffff61,0x3fffee20,0x7ffffec5,
    0xfffffdac,0xfffffe80,0x0fffffcc,0x3ffff220,0xffff9004,0xfffffddf,
    0xfffffe8b,0xfffffeab,0x19ffff90,0x3fffff26,0xff910802,0xffff8809,
    0x3ffffa03,0x7ffffebd,0x7cf7ffe4,0x00001fff,0x7c403fee,0xffffffff,
    0x2ff8801f,0xffffff10,0x7c43ffff,0xfeefffff,0x441fffff,0xfffffffe,
    0xf302ffff,0xffffffff,0xfbb707ff,0x001fffff,0x3fffffe2,0x40efffff,
    0xfffffff8,0x262fffff,0xfeffffff,0x03ffffff,0x202ffd40,0x203ffff8,
    0xfffffffa,0x7e42ffff,0xffff9eff,0xff100001,0xaaaaa807,0x800adffc,
    0x555406fd,0x0adffcaa,0x7fffffcc,0x00efffff,0xffffffd3,0xf9803fff,
    0xffffffff,0xfffff704,0xfa8009ff,0xffffffff,0xffff301f,0x09ffffff,
    0xfffffff9,0x0bfffb9f,0x7f5ccd54,0x7ffc401f,0x7ffe403f,0x81ffffff,
    0xff9efffc,0x900001ff,0x3e6000df,0x3ff3004f,0x09ff5000,0x7ffffe44,
    0xb800dfff,0x1dffffff,0xffffb100,0x7fd403df,0x0005ffff,0xffffffb1,
    0xffc8803b,0x201effff,0x1efffffa,0x201ffff5,0x4ffffffe,0x3ffff880,
    0xffffea80,0xfff900df,0x0199991d,0x05dd1000,0x00b32200,0x98002764,
    0xca8802cc,0x8000abdd,0x40000a98,0xdd3001a8,0x00003bdf,0x00026aa6,
    0x30006aa6,0x5c000135,0x000bcddc,0x007ffff1,0x0000554c,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x0004eeec,0x00133331,0x81771000,0x4cc403c9,0x99988099,
    0x88333100,0x3b660199,0xb80e22ee,0xa800eeee,0x3311eeee,0x01ab9813,
    0x40aba880,0x4c401999,0x0cccc0ab,0xdddd5000,0x7776c001,0xca80002e,
    0xfd01bcdd,0x6c000bff,0xe9807fff,0xffffb800,0x404fe9bd,0xfd05ffff,
    0xffb03fff,0x07fff41f,0x99fffd30,0x3ff205ff,0xffb800ff,0x7fffb1ff,
    0x3fffffee,0xfffd8801,0xfff88dff,0xffffb00f,0x3fffe1df,0xfff50000,
    0x3fe6001f,0x20005fff,0xfffffffb,0x7fff40cf,0x7ff40005,0x1ffb103f,
    0xffffff00,0x5c07ffff,0xff906fff,0xffb0dfff,0x07fff41f,0x3ffff620,
    0x3fff202e,0xfffb800f,0x97fffb1f,0xffffffff,0x7fffcc07,0xff9effff,
    0x7ff440ff,0xf9efffff,0x50000fff,0x2001ffff,0x0ffffffc,0xffffc800,
    0x0fffffff,0x0017fffa,0x30dffd10,0x9801ffff,0xffeb99ff,0x77ff405f,
    0xfcfff980,0x7ffec4ff,0x003fffa0,0x09ffffb3,0x00ffffc8,0xb1ffffb8,
    0xffffffff,0x05ffffff,0xfffffff1,0xffffffff,0xfffffe81,0xffffffff,
    0xff50000f,0x3fe001ff,0x004fffff,0x7fffffd4,0x25ffffff,0x0005fffe,
    0x542ffe88,0x4c00ffff,0x400a983c,0xe880effa,0x3fff75ff,0xd9077764,
    0x3f6601dd,0x03fffedf,0x003ffff2,0x6c7fffee,0x89dfffff,0x86ffffd9,
    0x8bfffffc,0xffffffa8,0x3ffffea0,0xffffa88a,0xf50000ff,0xf5001fff,
    0x0fffffff,0xcfffff80,0xffffeb89,0x00bfffd1,0x513b6200,0x0001ffff,
    0x01bd9000,0xcb83332a,0x5400003c,0xffff11cf,0x3ffff205,0xffffb800,
    0x0bffffb1,0x88bffff2,0xf506ffff,0x7fc1ffff,0xff980fff,0x50000fff,
    0xb001ffff,0xffffffff,0x3ffe6005,0xffffa84f,0x44bfffd3,0x40001ab9,
    0xaffffb98,0x57510019,0x00000001,0x22100000,0x01ffff50,0x001ffff9,
    0x363ffff7,0xf101ffff,0x7fcc9fff,0x3ffa02ff,0xffff10ff,0x7fffec09,
    0x82aea200,0x400ffffa,0xffbffff8,0xff7005ff,0x3ffe03ff,0x2bfffd5f,
    0x2ffffffb,0xb84ccc40,0xffffffff,0xffdb301f,0x4405ffff,0x4c400999,
    0x99880099,0xfdb10009,0x9fffd7ff,0x01ffff90,0x23ffff70,0x7407fffd,
    0x3fea5fff,0x3fee01ff,0xffff30ff,0x7fffdc05,0xffffd880,0xffffa8df,
    0x7fffdc00,0x00ffffc8,0x204caa88,0xffd4ffff,0xfffffbdf,0x7e409fff,
    0xffff76ff,0x503fffff,0xffffffff,0xff901bff,0xfffc80df,0x6fffc806,
    0xfffffb80,0x1fffffff,0x007fffe4,0xd8ffffdc,0x7ec06fff,0x3ffee6ff,
    0x3ffea00f,0x3ffff50f,0x07fffd40,0x3fffffe6,0xffffceff,0xaffff400,
    0x004ffff9,0x3fffe600,0xffffffd2,0xffffffff,0x5bfff205,0xfffffffb,
    0x7ffd41ff,0xffffffff,0x6fffc86f,0x037ffe40,0x2037ffe4,0xfffffffa,
    0x45ffffff,0x800ffffc,0xfb1ffffb,0xffc80bff,0x1ffff27f,0x21ffff50,
    0x200ffffb,0x220ffff9,0xffffffff,0x0fffffff,0x8bfffea0,0x0007fffe,
    0x47ffff20,0x2efffffe,0x0dffff91,0x54dbfff2,0xaabffffc,0x3ffffe60,
    0xfffeb99c,0x37ffe43f,0x01bfff20,0x881bfff2,0xbbefffff,0x0ffffffd,
    0x003ffff2,0x6c7fffee,0x7ec06fff,0x3ffee6ff,0x3ffee00f,0x3ffff50f,
    0x07fffd40,0x17fffff9,0xffffff51,0x3fffec01,0x00bfffee,0x3fffe600,
    0x13ffffa5,0x417fffe4,0x7d46fffc,0xffb00fff,0xffd103ff,0x7ffe43ff,
    0x37ffe406,0x037ffe40,0x507ffffb,0x645fffff,0xb800ffff,0xffb1ffff,
    0xfffe80ff,0x0bfffea5,0x30ffffd8,0x5c05ffff,0xff10ffff,0xff501dff,
    0x3e201fff,0x7fc44fff,0x4c0005ff,0x3a1fffff,0xf100ffff,0xff909fff,
    0xffffa8df,0x09ffff00,0x91ffffcc,0xfc80dfff,0xffc806ff,0xffff106f,
    0x7fffe40d,0x03ffff25,0x47fffee0,0x303ffffd,0x7cc9ffff,0xff305fff,
    0x3fe21fff,0x3ffe04ff,0xffff30ff,0x7ffff405,0x3ffff700,0x01ffffd0,
    0x3fffe600,0x37fff44f,0x217fffa0,0x7d46fffc,0xff980fff,0x7ff401ff,
    0x1bfff25f,0x00dfff90,0x260dfff9,0x2202ffff,0x3f26ffff,0xfb800fff,
    0xfffb1fff,0xffd881df,0x7ffec1ff,0xfff711df,0x7fec1fff,0xfffc82ff,
    0xffff50ff,0x7fffe401,0x0dfffd00,0x013fffee,0x3ffffe60,0x05fffe85,
    0x6437fff4,0x7fd46fff,0xfffb80ff,0x7ffec00f,0x01bfff26,0x900dfff9,
    0x3ee0dfff,0x7f401fff,0x3fff26ff,0xfffb800f,0xfffffb1f,0xffff937f,
    0xffff50bf,0xfffffdff,0x7fcc1fff,0xfdaaefff,0xf70fffff,0x7dc01fff,
    0xff980fff,0xaaaaadff,0x007ffffb,0x2fffffcc,0x405fffe8,0xfc86fffd,
    0x7ffd46ff,0x7fffc80f,0x27fffc80,0x6406fffc,0xfc806fff,0xfff906ff,
    0xfffd801f,0x07fffee7,0x47fffee0,0xfffffffd,0x0fffffff,0xffffff90,
    0xffffbfff,0xfffffd81,0xffffffff,0x0ffff90f,0x80ffffa8,0xfffffffc,
    0xffffffff,0xfff3002f,0x7ff40bff,0x7fff406f,0x46fffc85,0xb80ffffa,
    0x6c00ffff,0x3ff26fff,0x7ffe406f,0x6fffc806,0x03ffff70,0x2e5fffe8,
    0xc801ffff,0xffb0ffff,0xfffff7bf,0xfb805fff,0xb9ffffff,0x6c40ffff,
    0xdfffffff,0xf70ffffb,0x7dc01fff,0xfff80fff,0xffffffff,0x05ffffff,
    0x5fffff98,0x03ffff40,0x3213fffe,0x7fd46fff,0xfffb80ff,0x7fff401f,
    0x01bfff24,0x900dfff9,0x3e60dfff,0x7fc02fff,0x3ffea4ff,0xfffd804f,
    0x4d7fff67,0x00dffffe,0x17bfb730,0xb81fffee,0xf54fffff,0x3fea1fff,
    0x3ff201ff,0x7ffd40ff,0xffffffff,0x0fffffff,0x3ffffe20,0xffffe804,
    0x7ffff302,0xa8dfff90,0xf880ffff,0x3ea05fff,0x3ff23fff,0x7ffe406f,
    0x6fffc806,0x0bffff10,0x31ffffdc,0x403fffff,0x367ffffa,0x0d445fff,
    0x7fdc0000,0x40a8807f,0xf30ffffa,0x3e209fff,0x7ec0ffff,0xcccccfff,
    0xfffdcccc,0x3fffa04f,0xfffd005f,0xffd881df,0xfffc81ff,0x0ffffd46,
    0x83ffffe8,0x20ffffe9,0x6406fffc,0xfc806fff,0x3ff606ff,0xfff983ff,
    0x7fff40ff,0x3aa20aef,0x3f63ffff,0x740005ff,0x3f202acc,0x2a0006ff,
    0x3fa0ffff,0xffc81fff,0x3fe20fff,0xff1005ff,0x3ff20fff,0x99999fff,
    0xfffd0999,0xff937dff,0x3f209fff,0x7ffd46ff,0x3ea1cadf,0xcabdffff,
    0x642fffff,0x7e406fff,0xffc806ff,0x3ffe206f,0xffcabdff,0xffa82fff,
    0xfeefffff,0x20ffffff,0x0005fffd,0x41fffff4,0x004ffff9,0x83fffea0,
    0x9bfffffa,0xffffffda,0x0bffff20,0x2ffffd80,0xfffffff8,0x5fffffff,
    0xfffdfffd,0x1fffffff,0x11bfff20,0x5fffffff,0xffffffc8,0x85ffffff,
    0x6406fffc,0xfc806fff,0x7fdc06ff,0xffffffff,0x3ff605ff,0xffffffff,
    0x7ec3ffff,0x640005ff,0xccefffff,0x01fffffe,0x3fffea00,0x7fffff40,
    0xfffeffff,0x1ffffe0f,0xbffff500,0xffffffa8,0xffffffff,0xf75fffd5,
    0x3fffffff,0x437ffe40,0x3ffffffd,0xffffffb8,0xf903ffff,0xffc80dff,
    0xfffc806f,0xffffa806,0x03ffffff,0xffffffc8,0x82ffffff,0x0005fffd,
    0x7fffffc4,0x4fffffff,0x7ffd4000,0x7ffec40f,0xff8dffff,0xffff50ff,
    0xffff0009,0x7fffe41f,0xffffffff,0x5fffd5ff,0x37ffffaa,0x37ffe400,
    0x7ffffec4,0xfffb7303,0x7e403bff,0x7fe406ff,0xfffc806f,0xfff91006,
    0x4003bfff,0xffffffd9,0xffb00def,0xd30000bf,0xffffffff,0x500007ff,
    0x3201ffff,0xf14effff,0x3ff61fff,0xfc8001ff,0x3ffe4fff,0xffffffff,
    0x1005ffff,0x7fe40035,0x0266206f,0x20015300,0x6406fffc,0xfc806fff,
    0x988006ff,0x9980000a,0x997001aa,0x4c000079,0xbceefedc,0x99300000,
    0x0a880199,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x77640000,0x776c00ee,
    0x372600de,0x0003cdee,0x984eee98,0xaaaaaaaa,0x72aaaaaa,0x5001dddd,
    0x3b23dddd,0x3bbb26ee,0x77100004,0x75c3c981,0x310005ee,0x3bbae133,
    0xeeeeeeee,0x8004eeee,0xeeeeeeea,0xeeeeeeee,0x00eeeeee,0x3aa6eed8,
    0xe9801eee,0xa80deeee,0x2604ffff,0xb104ffff,0xffffffff,0x3a20005f,
    0xffc85fff,0xffffffff,0xff97ffff,0xff5003ff,0x3fff65ff,0x017fff67,
    0x3fffee00,0x644fe9bd,0xd0006fff,0x3ff29fff,0xffffffff,0x005fffff,
    0xffffffe8,0xffffffff,0x0fffffff,0x73fffd40,0x9803ffff,0x01ffffff,
    0x403ffffa,0x980ffffd,0xffffffff,0x8005ffff,0xc85ffffc,0xffffffff,
    0x97ffffff,0x5003ffff,0x3f65ffff,0x3fff67ff,0xfff80005,0x2fffffff,
    0x0037ffe4,0xf94fffe8,0xffffffff,0x0bffffff,0xfffffa80,0xffffffff,
    0xffffffff,0x3ffa200f,0x3fffee7f,0x3fffe201,0x7fd401ff,0xfff983ff,
    0xfffe884f,0xfffeceff,0x3ea003ff,0xfc85ffff,0xffffffff,0xf97fffff,
    0xf5003fff,0x3ff65fff,0x17fff67f,0x33ff3000,0x90bfffd7,0x2000dfff,
    0xff94fffe,0xffffffff,0x00bfffff,0xeeffffe8,0xffffffff,0xffffffff,
    0xffffd100,0x0ffffdcf,0xfffffe88,0xffffd001,0x01ffffb0,0x819ffff9,
    0x00ffffd9,0xffffff88,0xeeeeeb85,0xfffeeeee,0x3ffff93f,0x5ffff500,
    0xfd9ffff6,0x4c0005ff,0x900a982c,0x2000dfff,0xff94fffe,0x555557ff,
    0x00355555,0xa9ffffcc,0xaaacffff,0x2aaaaaaa,0xffffff70,0x0ffffdcf,
    0x7fffff44,0x3ffee002,0x3fffe63f,0x0dfffd04,0x017fffcc,0x7fffffec,
    0x3ff60005,0x3ffff24f,0xffffa801,0x6cffffb2,0x00005fff,0x3fff2000,
    0x55550006,0x07ffff23,0x7fec0000,0xffff50ff,0x7f4c0005,0x27ffffff,
    0xe81ffffb,0x002fffff,0x366fffe8,0xf880ffff,0x7f402fff,0x7fd404ff,
    0x005fffff,0xc8dfff50,0xa801ffff,0xffb2ffff,0x2fffecff,0x20999998,
    0x54409998,0xfffc80ab,0x004dd446,0x07ffff20,0x3fe60000,0x3ffea4ff,
    0xff50002f,0xffffffff,0x20ffffdc,0x02fffffd,0x5ffff700,0x409ffff1,
    0xff802a98,0x3fe203ff,0x05fffdff,0x1ffff880,0x00ffffe4,0xd97fffd4,
    0x3ff67fff,0xffffb85f,0x53fff20e,0x4ffffffa,0xf9b7ffe4,0x004fffff,
    0x007ffff2,0x3fff2000,0x3fffea0f,0xfff50002,0x4ffff79f,0x321ffffb,
    0x002fffff,0x5effffc0,0x0000ffff,0x03ffff50,0x7e57ffec,0xfd8005ff,
    0xfffc84ff,0xfffa801f,0x4ffffb2f,0x7d45fffd,0x7e40ffff,0xffffbcff,
    0x3f26ffff,0xffffbeff,0x9005ffff,0x0003ffff,0x5ffff880,0x017fffd4,
    0x72fffa80,0x7fdcffff,0xffff91ff,0xf700007f,0x9fffffff,0x3fea0000,
    0x3fea06ff,0x0bfff95f,0x07fff980,0x557ffff9,0xf9555555,0x3ff65fff,
    0x97fff67f,0x81fffff9,0xfffffffc,0x2fffffff,0xfffffff9,0x3fffffff,
    0x3ffff900,0xffc80000,0x7ffd41ff,0xaaaaaacf,0x3aa0aaaa,0x9fffee0b,
    0xfb9ffffb,0x0004ffff,0xfff99991,0x99bfffff,0xff700039,0x3e203fff,
    0xfff90fff,0xfffd800b,0xfffff904,0xffffffff,0x365fffff,0x3ff67fff,
    0xfffff35f,0x3ffff203,0xfffb11df,0x3ffff2bf,0xfff911cf,0xfff900bf,
    0xffffffff,0xf1001fff,0xff50dfff,0xffffffff,0x041fffff,0x2e7fffb8,
    0xfffdffff,0x8000ffff,0xfffffff8,0xffffffff,0x7fdc003f,0x3f602fff,
    0x3fff22ff,0x3ffe6005,0xffff900f,0xffffffff,0x25ffffff,0x3f67fffd,
    0xfffe8dff,0x3fff202f,0xfffe885f,0x0bffff96,0x201bfffa,0xfffffffc,
    0x0fffffff,0x2ffffb80,0xffffffa8,0xffffffff,0xfffb800f,0x3ffffee7,
    0x5fffffff,0xffff8800,0xffffffff,0x2003ffff,0x01fffffa,0xf917ffee,
    0x7ec00bff,0x3ff205ff,0xffffffff,0xffffffff,0x6cffffb2,0xfffeefff,
    0x7ffe402f,0xffffb01f,0x407ffff2,0xc806fffc,0xffffffff,0x00ffffff,
    0x506ffff8,0xffffffff,0x1fffffff,0x4ffff700,0xfffffffb,0x02ffffff,
    0x7ffffc40,0xffffffff,0xf3003fff,0x4403ffff,0x7e40ffff,0xff1005ff,
    0x7fe405ff,0xcccccdff,0xffffdccc,0x6cffffb2,0xffffffff,0x7ffe400f,
    0x5ffff207,0x900ffffc,0x665cffff,0xfffff92c,0xffffffff,0xfffb801f,
    0xffff503f,0x9999999b,0xf7001999,0x7ffdcfff,0xffbbffff,0x80000fff,
    0x002ffff8,0x0ffffdc0,0x20bfff60,0x7005fffc,0xfc80ffff,0xfa801fff,
    0xfffb2fff,0x7ffffecf,0x6404ffff,0x3f207fff,0xffff97ff,0xd3fffe40,
    0x3ff29fff,0xd00001ff,0xddddffff,0x5ffffddd,0xffb80000,0x3fffee7f,
    0x3fffa4ff,0xf880004f,0x40002fff,0x5403fffd,0xeeeeffff,0xeefffffe,
    0x13fffa03,0x03ffff90,0x25ffff50,0x3f67fffd,0xffffffff,0x3fff201f,
    0x5fffee06,0x2e07fffc,0x3ffa7fff,0x3ffff94f,0xfff50000,0xffffffff,
    0x005fffff,0x7fffb800,0x13ffffee,0x05fffff5,0x3ffffe20,0xffffffff,
    0xff003fff,0xffa803ff,0xffffffff,0x04ffffff,0x801ffff1,0x801ffffc,
    0xfb2ffffa,0x7ffecfff,0x5ffffdff,0x81bfff20,0xff97fffb,0x7ffdc0df,
    0x653fffa7,0x0001ffff,0xffffffe8,0xffffffff,0x400002ff,0x3ee7fffb,
    0xffb04fff,0xf1001dff,0xffffffff,0x7fffffff,0x03bbb600,0xffffff50,
    0xffffffff,0x3fea09ff,0xfffc806f,0xfffa801f,0x4ffffb2f,0xf75ffffd,
    0x3f205fff,0x3fee06ff,0x0dfff97f,0xfd3fffdc,0x3fff29ff,0x7cc0001f,
    0xffffffff,0xffffffff,0x7dc00002,0x3ffee7ff,0xffff101f,0xfff1009f,
    0xffffffff,0x007fffff,0x3ffea000,0xffffffff,0xb04fffff,0xf900bfff,
    0xf5003fff,0x3ff65fff,0x1bfff67f,0x320dfffd,0x3ee06fff,0xdfff97ff,
    0x43fffdc0,0xffff93fe,0xffd80003,0xaaaaabff,0x2ffffcaa,0x7fdc0000,
    0x3fffee7f,0x3ffff201,0x6664401f,0xdffffccc,0x001ccccc,0x88059999,
    0x99999999,0x99dfffd9,0x09fffd00,0x03ffff90,0x25ffff50,0x3f67fffd,
    0x7ffd45ff,0x6fffc83f,0x65fffee0,0x3ee06fff,0x97fc47ff,0x001ffffc,
    0x1bfffe60,0x0bfffee0,0xfff70000,0x0ffffdcf,0xdfffff10,0x3ffe2000,
    0x7fc0002f,0x900004ff,0xff00bfff,0xff9007ff,0xff5003ff,0x3fff65ff,
    0x217fff67,0x640ffffd,0x3ee06fff,0xdfff97ff,0x13fffdc0,0x7ffe4dfb,
    0x3f60001f,0xfb803fff,0xffffffff,0x3fffffff,0x73fffdc0,0xa803ffff,
    0x004fffff,0x02ffff88,0x27fffc00,0xfffc8000,0x7fffc405,0xffffc802,
    0xffffa801,0x6cffffb2,0xff985fff,0x7ffe44ff,0x5fffee06,0x2e06fffc,
    0xfff17fff,0x0ffffe43,0xffff8800,0xffff7007,0xffffffff,0xb807ffff,
    0x3fee7fff,0xffe801ff,0x44001fff,0x0002ffff,0x0027fffc,0x05fffc80,
    0x00ffffcc,0x00ffffe4,0xd97fffd4,0x3ff67fff,0xffff905f,0x037ffe43,
    0x3f2ffff7,0x3fee06ff,0xf907767f,0x20003fff,0x004ffffc,0xfffffff7,
    0xffffffff,0xfffb807f,0x07fffee7,0x3ffffe60,0x7ffc4006,0x7fc0002f,
    0x900004ff,0xfa80bfff,0xff9007ff,0xff5003ff,0x3fff65ff,0x417fff67,
    0x325ffff8,0x3ee06fff,0xdfff97ff,0x13fffdc0,0x07ffff20,0x3fffe200,
    0xfff7000f,0xffffffff,0x807fffff,0x3ee7fffb,0xfb001fff,0x0007ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x75c00000,0xceeeeeee,0xc9801bcc,0x70001ccc,0x07dddddd,
    0xddddddb0,0x07bbbaa3,0x07bbba20,0x3bbbbbae,0x01bcccee,0xeeeeeeb8,
    0xeeeeeeee,0x3bbae5ee,0xcccdeeee,0x3bba00ab,0x3bbba65e,0xeeeeeeee,
    0x360eeeee,0x2004eeee,0x225eeeeb,0x803eeeed,0x40deeeea,0x001eeeed,
    0xc97bbba2,0xffffffff,0x00dfffff,0x00bfffee,0x7ffffe40,0x7ffcc06f,
    0xff71ffff,0xff100dff,0xfff903ff,0xffffffff,0x7e401bff,0xffffffff,
    0x7fffffff,0x3ffffff2,0xffffffff,0x4dffff03,0xfffffff9,0xffffffff,
    0x3ffe60ff,0xff8801ff,0x7fdc2fff,0x7f400fff,0xffc83fff,0x3ea004ff,
    0x3ff24fff,0xffffffff,0x703fffff,0x0005ffff,0x3ffffff2,0x3ffee00f,
    0xff71ffff,0xf8807fff,0xffc81fff,0xffffffff,0x903fffff,0xffffffff,
    0xffffffff,0x7ffffe4f,0xffffffff,0xffff84ff,0x3ffffe66,0xffffffff,
    0x7e40ffff,0xfc806fff,0xffd05fff,0x7fe40bff,0xfff306ff,0x7fec00df,
    0x3fff21ff,0xffffffff,0xb84fffff,0x0002ffff,0xfffffff9,0x7fffec05,
    0xfff71fff,0x7c401fff,0xffc81fff,0xffffffff,0x84ffffff,0xfffffffc,
    0xffffffff,0x3ffff27f,0xffffffff,0x7fc3ffff,0x3ffe66ff,0xffffffff,
    0x40ffffff,0x03fffff8,0x03ffffe6,0x17ffffc4,0x0fffffcc,0x03ffffd0,
    0x8dffff10,0xaabffffc,0xffffdaaa,0x7ffdc0ff,0xff90002f,0x409fffff,
    0xffffffff,0xffffff71,0x7fffc40b,0xbffffc81,0xffcaaaaa,0x7e40ffff,
    0xaaaabfff,0x2aaaaaaa,0x2afffff2,0xfffdaaaa,0x7fffc6ff,0x2aaaaa26,
    0xffdaaaaa,0xff505fff,0x3fa01fff,0x7dc03fff,0xffd86fff,0x7fdc04ff,
    0xffa804ff,0x7ffe44ff,0x3ff6200f,0x7ffdc5ff,0xff90002f,0x20dfffff,
    0xfffffff9,0xfffff71f,0x3fe203ff,0xfffc81ff,0x3ff6200f,0x7ffe45ff,
    0x3f20000f,0x3ea00fff,0x3fe1ffff,0xf98006ff,0x6c06ffff,0xfa84ffff,
    0xfd006fff,0x7fd49fff,0x7c400eff,0xfd807fff,0x7fe41fff,0x7fc400ff,
    0x3fee1fff,0xf90002ff,0x1fffdbff,0xffbfff70,0x3ffee3ff,0xf106ffff,
    0xff903fff,0xfff001ff,0x7ffe43ff,0x3f20000f,0x7ec00fff,0x3ffe2fff,
    0x7f44006f,0x4400ffff,0x221fffff,0x001fffff,0x13fffff3,0x005fffff,
    0x807ffffa,0xc86ffff8,0xa800ffff,0x3ee4ffff,0x90002fff,0xfff9bfff,
    0xf7fffd05,0x3fee3fff,0x83ffffff,0xc81ffff8,0xb800ffff,0x3f24ffff,
    0x20000fff,0x400ffffc,0x3a3ffffb,0x6c005fff,0x001fffff,0x64dffff7,
    0x4004ffff,0xfceffffc,0x2e005fff,0x2a04ffff,0xfc83ffff,0xf8800fff,
    0x3fee5fff,0xf90002ff,0x9fff5bff,0xf9ffff88,0xfff71fff,0x81ffffff,
    0xc81ffff8,0x8800ffff,0x3f25ffff,0x20000fff,0x400ffffc,0x362ffffc,
    0x32004fff,0x003fffff,0x457ffff4,0x0006ffff,0xfffffffd,0x7c4001ff,
    0x3f607fff,0xffc80fff,0xfff000ff,0x7fffdcdf,0xfff90002,0xa8ffff1b,
    0xfff9dfff,0x7dfff71f,0xf88bffff,0xffc81fff,0xfff000ff,0x7fffe4df,
    0xaaaaaaab,0x7fe42aaa,0x3fa200ff,0x3ff20fff,0xfff5004f,0xf30009ff,
    0xfffbffff,0x3e60005f,0x2fffffff,0xffffd800,0x0bffff02,0x003ffff2,
    0xf73ffff4,0x20005fff,0xffd5fffc,0x5fffe43f,0xf71ffff9,0x3fffadff,
    0x3fffe22f,0x3fff6aa1,0x80aaaabf,0x3f27fffe,0xffffffff,0x0fffffff,
    0x203ffff2,0x7fffffa8,0x401fffe4,0x06fffff9,0x3ffff200,0x0005ffff,
    0x7fffffe4,0xfff50005,0xffff509f,0x3ffff205,0xffffb000,0x0bfffee1,
    0xafffe400,0x3fa3fffc,0xffff99ff,0x26dfff71,0x3e26ffff,0x3ffe1fff,
    0xffffffff,0xffffd81f,0xffffff90,0xffffffff,0x7ffe41ff,0xffffffff,
    0x5c3fffff,0x74402fff,0x000fffff,0x3ffffe20,0x40000fff,0x0ffffff8,
    0x3fffe000,0x0ffffd87,0x01ffff90,0x47ffff60,0x002ffffb,0x2abfff90,
    0xfff15fff,0x47fffe6f,0x3f26fffb,0xfff14fff,0x7ffffc3f,0x1fffffff,
    0x91ffffd8,0xffffffff,0xffffffff,0x7ffffe41,0xffffffff,0xfffa85ff,
    0x7fffec01,0xfa80001f,0x002fffff,0xfffffb80,0x3f20002f,0x7ffc2fff,
    0x3fff205f,0xfffd000f,0x3fffee1f,0xfff90002,0x55fffe2b,0xfff35fff,
    0x9bffee3f,0x88fffff8,0x3321ffff,0xccdffffe,0xfffd80cc,0xbffff90f,
    0x99999999,0xfffc8999,0xffffffff,0xff305fff,0x7ffe401f,0x200002ff,
    0x005ffffd,0xfffff880,0x30000fff,0x7d4bffff,0x3f202fff,0xff000fff,
    0x7ffdcfff,0xff90002f,0x4ffffcbf,0xff33fffc,0x3ffee3ff,0x6ffffd46,
    0xc81ffff8,0xd000ffff,0x7fe4ffff,0x320000ff,0xffffffff,0x200cefff,
    0xf500fff8,0x0009ffff,0x2ffffa80,0xfffd8000,0x005fffff,0xc9ffffe0,
    0x7e407fff,0xff000fff,0x7ffdcdff,0xff90002f,0x5fffecbf,0xff31fffe,
    0x3ffee3ff,0xcffffe86,0xfc81ffff,0xff000fff,0x7ffe4dff,0x3f20000f,
    0x40000fff,0xff307ff8,0x0000bfff,0x05ffff50,0xffffa800,0x02ffffff,
    0x5ffff900,0x9013fffe,0x3001ffff,0x7dcbffff,0x90002fff,0x7fd4bfff,
    0x267fffef,0xff71ffff,0xffff30df,0x903fffff,0x3001ffff,0x7e49ffff,
    0x20000fff,0x000ffffc,0xe886ff80,0x000effff,0xffffa800,0x3fe20002,
    0xfffbcfff,0xf98000ff,0xfffadfff,0x7ffe401f,0xfffd800f,0x3fffee3f,
    0xfff90002,0x7ffffc4b,0x3ffe65ff,0x0dfff71f,0x3ffffff2,0xfffc81ff,
    0xfffc800f,0x3ffff23f,0x3ff20000,0xd80000ff,0xffffd84e,0x5000001f,
    0x0005ffff,0xd37fffec,0x000bffff,0x3f7ffffa,0xffc806ff,0x7fcc00ff,
    0x7ffdc6ff,0xff90002f,0xfffff8bf,0x3ffe63ff,0x0dfff71f,0x7ffffff4,
    0xffffc81f,0x7fffdc00,0x07fffe46,0xffff9000,0x64000001,0x002fffff,
    0x3ffea000,0xff50002f,0x7fcc3fff,0xb8002fff,0xffffffff,0xffffc804,
    0xfffc9880,0x7ffdc1ff,0xff90002f,0xffffd8bf,0x3ffe61ff,0x0dfff71f,
    0x7fffffd4,0xffffc81f,0xfffca980,0x7ffe42ff,0x3f20000f,0x40000fff,
    0xff52cccb,0x00009fff,0x2ffffa80,0xffff8800,0xffffc84f,0x7fc4000f,
    0x01ffffff,0xffffffc8,0xffffffff,0xfffb84ff,0xffffffff,0xf91fffff,
    0xfffa8bff,0x7ffcc7ff,0x0dfff71f,0xffffffd8,0xfffffc81,0xffffffff,
    0xffc85fff,0xffffffff,0x3fffffff,0x001ffff9,0x95fffe80,0xffffffff,
    0xffffffff,0x7d4009ff,0xd8002fff,0x880fffff,0x005ffffe,0xffffffe8,
    0xffff9006,0xffffffff,0xf701dfff,0xffffffff,0x3fffffff,0xf117fff2,
    0xf98bffff,0xfff71fff,0xffff880d,0xfffc81ff,0xffffffff,0xc80effff,
    0xffffffff,0xffffffff,0x1ffff93f,0xfffe8000,0xffffff95,0xffffffff,
    0x4009ffff,0x002ffffa,0x17ffffd4,0x5fffff50,0xffffb800,0xff9003ff,
    0xffffffff,0x5c07ffff,0xffffffff,0xffffffff,0xf0bfff91,0xf987ffff,
    0xfff71fff,0xffff700d,0xffff903f,0xffffffff,0x7fe407ff,0xffffffff,
    0x3fffffff,0x001ffff9,0x95fffe80,0xffffffff,0xffffffff,0x7d4009ff,
    0x22002fff,0x805fffff,0x00fffffd,0x3ffffe20,0xfff9000f,0xbdffffff,
    0xffb80179,0xffffffff,0x91ffffff,0xffb0bfff,0xfff983ff,0x0dfff71f,
    0x07ffffa0,0x3ffffff2,0x0bcdefff,0x7ffffe40,0xffffffff,0xff93ffff,
    0xe80001ff,0xfff95fff,0xffffffff,0x9fffffff,0x7fffd400,0x3fff2002,
    0xff8800ff,0x6c005fff,0x0005ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xc8000000,0x74406eee,
    0x5c03eeee,0xdd70eeee,0x4c0001dd,0xeeeeeeee,0xeeeeeeee,0xdddd73ee,
    0x999ddddd,0xeeeb8039,0xcdeeeeee,0x20000acc,0x0000aaaa,0x5555c000,
    0xaaaaaaaa,0x4402aaaa,0x8000aaaa,0x80abcaa8,0x8000aba9,0x00aacba9,
    0x54426662,0x7fffe41b,0x3fffea01,0x7fff406f,0x03ffff27,0xffff9800,
    0xffffffff,0x94ffffff,0xffffffff,0x7dffffff,0x3fffff20,0xffffffff,
    0xff0004ff,0x220001ff,0x25c1aba9,0x8070000e,0x002ffff8,0x3fffffaa,
    0xffe99dff,0x400cefff,0xfffffffc,0xfffe80ef,0x0fffff8a,0x407ffff5,
    0x0ffffffc,0x4bffff10,0x000ffffc,0x3ffffe60,0xffffffff,0xf94fffff,
    0xffffffff,0x7fffffff,0xffffff90,0xffffffff,0xf8001dff,0x44000fff,
    0xfffffffd,0x00e3ffbb,0xff880700,0xff7002ff,0xffffffff,0xffffffff,
    0x7fec0dff,0xffffffff,0x5ffff41f,0x226ffffe,0x3a05ffff,0x02ffffff,
    0x647ffff3,0x0000ffff,0x3fffffe6,0xffffffff,0xff94ffff,0xffffffff,
    0x5fffffff,0xffffffc8,0xffffffff,0x7c006fff,0x2e000fff,0xffffffff,
    0x01c5ffff,0xff100e00,0xff3005ff,0xffffffff,0xffffffff,0xf70bffff,
    0xffffffff,0xffe8dfff,0x3fffffff,0x8837fff4,0x4fffffff,0x43ffff70,
    0x99affffc,0xa8801999,0xffbaaaaa,0xaaaaadff,0x5ffff91a,0xf7333333,
    0xfc89ffff,0xaaaabfff,0xffffebaa,0x3ffe000f,0xfff7000f,0xffffffff,
    0x000383ff,0x3ffe201c,0xfffd802f,0xfffb30af,0x3ea23fff,0x7ffc4fff,
    0xffd511ef,0x7fff41ff,0x40fdcfff,0xb80ffffc,0x6fffffff,0xc8ffffb0,
    0xffffffff,0x00cfffff,0x1ffffcc0,0x0ffffe40,0x1bfffe20,0x003ffff9,
    0x005ffffb,0x4007fffc,0x0afffff8,0x89ffffb5,0x401c0003,0xa8009999,
    0xffa82fdc,0xff981fff,0xfd9710ff,0x3ffff701,0x237ffff4,0x2ffffa80,
    0xffefffd8,0xffff80ff,0x7ffffe45,0xffffffff,0x3e6001ff,0xfc803fff,
    0xfd801fff,0x7ffe47ff,0xfffa801f,0x9999985f,0x99affff9,0x3ff60999,
    0xfffe80ff,0x0000e1ff,0x00000007,0x037fffc4,0x8005fffd,0x3a1ffff9,
    0x9802ffff,0xff84ffff,0x2ffffaff,0x21ffffc4,0xfffffffc,0xffffffff,
    0xfff3001f,0xfff9007f,0xfffb003f,0x1ffffc8b,0x5ffff980,0x7fffffc4,
    0xffffffff,0xffff12ff,0xfffffb07,0x20001c9f,0xdddddd13,0xdddddddd,
    0xb98803dd,0x04fffffd,0x1013fff6,0xfffffb75,0x03ffff45,0x98bffff0,
    0xffd8ffff,0x7fffd44f,0x77fffe41,0xfffeeeee,0xf3005fff,0xf9007fff,
    0xf8803fff,0x7fe43fff,0xffb801ff,0x7ffc44ff,0xffffffff,0xf32fffff,
    0xffc81fff,0x0e5fffdb,0x3fe67000,0xffffffff,0x82ffffff,0xfffffec8,
    0xffffffff,0x5fffffff,0xffffeb98,0x3a1fffff,0x36006fff,0x7fdc7fff,
    0x8dfff76f,0xfc87fffc,0x3f600fff,0x9800ffff,0xc803ffff,0x999affff,
    0xffffca99,0x7fffe40e,0x7fffcc01,0x7fffc42f,0xffffffff,0xff72ffff,
    0x94ffb8ff,0x001cffff,0x7fffcce0,0xffffffff,0x7e42ffff,0xfeffffff,
    0xffffffff,0x45ffffff,0xfffffffd,0x3a1ffffe,0x2e006fff,0x3f61ffff,
    0xffff33ff,0x42ffff41,0x400ffffc,0x802ffffe,0x803ffff9,0xfffffffc,
    0xffffffff,0xffffc80d,0xeeedcccd,0x885fffff,0xffffffff,0xffffffff,
    0x54ffff72,0x3ffea5ff,0x3800070f,0xfffffff3,0xffffffff,0x7fffe45f,
    0xffff0bdf,0xdddddddd,0x7fec9ddd,0xf88acfff,0x3ffa1fff,0x3fe6005f,
    0x3fffe2ff,0xf8bfffe1,0xffc83fff,0x7fdc00ff,0xff9803ff,0xffc803ff,
    0xffffffff,0x901fffff,0xffffffff,0xffffffff,0xfff8001d,0x7ffd400f,
    0x5c6ff98f,0x000e7fff,0x2aaaa270,0xaaaaaaaa,0xff10aaaa,0xff881bff,
    0xfa8005ff,0xff983fff,0x3fffa1ff,0x7fffc005,0xd8ffff34,0xfff34fff,
    0xffff903f,0xffffb801,0xffff9803,0xffffc803,0xffffffff,0xfc83ffff,
    0xffffffff,0x04ffffff,0x01ffff00,0xfaffff98,0x7ffe40ef,0x070000e5,
    0xfff50000,0xffff101f,0x9026a01f,0x3e60dfff,0x3ffa1fff,0x7fec005f,
    0x8bfff96f,0xff76fffa,0xfff901ff,0xfffe801f,0xfff9801f,0xfffc803f,
    0xedccccdf,0x0efffffe,0x3ffffff2,0x1effffff,0x7fffc000,0x7fffc400,
    0x7fc41fff,0x0000e4ff,0xcccc8807,0x7fffdc01,0xfffffc81,0x2efffb83,
    0x360ffffb,0x3fa2ffff,0x7e4005ff,0xfffe8fff,0x47fffc43,0xf906fffd,
    0x7dc01fff,0xf3007fff,0xf9007fff,0xe8803fff,0x3f22ffff,0xfb99afff,
    0x000dffff,0x003fffe0,0x0bfffff2,0x383ffff6,0x2201c000,0x5402ffff,
    0x710dffff,0xbfffffff,0xfffff733,0x33ffff21,0xfffff930,0x02ffff45,
    0x2bfffea0,0xfe81ffff,0x4ffffaff,0x57ffff90,0xfffd9975,0x3e600dff,
    0xfc803fff,0xf8801fff,0x3ff25fff,0x7ff441ff,0xf0000eff,0xf1001fff,
    0x535bffff,0x387ffffd,0x2201c000,0x4402ffff,0xfeffffff,0xffffffff,
    0xffffffff,0x3ffffe63,0xffffffef,0x17fffa3f,0xdffff100,0x3f20ffff,
    0x2ffffdff,0xffffff90,0xffffffff,0x3e6001ff,0xfc803fff,0xfb001fff,
    0x3ff21fff,0xfff881ff,0xff0006ff,0x3f6001ff,0xffffffff,0x00385fff,
    0x3fe201c0,0xffa802ff,0xefffffff,0xffffffa9,0xfc83ffff,0xcfffffff,
    0x3fa5fffd,0xfe8005ff,0x05ffffff,0xfffffff5,0x3fff201f,0xffffffff,
    0x2001ffff,0x803ffff9,0x001ffffc,0x321ffffd,0xf501ffff,0x0009ffff,
    0x2a003333,0xffffffff,0x0704ffff,0x7c403800,0xd3002fff,0x85dfffff,
    0xffffffc8,0x3ffea01d,0xfff51eff,0x17fffa1f,0x3ffff200,0xff103fff,
    0x40dfffff,0xfffffffc,0x0cffffff,0x7fffcc00,0xffffc803,0xffff9801,
    0x07ffff27,0x1fffffc8,0x33333330,0x33333333,0x23bfe213,0xdffffffc,
    0x70000e01,0x31000000,0x2a620015,0x26a60009,0x40000000,0xfffffffa,
    0x3ffffa00,0x3ff204ff,0xabcccdff,0xf300009a,0xf9007fff,0x5c403fff,
    0x325fffff,0x2201ffff,0x886fffff,0xffffffff,0xffffffff,0x53303aa2,
    0x0000e001,0x00000007,0x00000000,0xf8800000,0x406fffff,0x2ffffffc,
    0x03ffff20,0x7fcc0000,0xffc803ff,0xffffffff,0xffffffff,0x07ffff22,
    0x7fffff50,0xffffff88,0xffffffff,0x000002ff,0x9999999b,0x99999999,
    0x00000009,0x00000000,0xfd000000,0xa809ffff,0x00ffffff,0x003ffff2,
    0x7ffcc000,0xfffc803f,0xffffffff,0x43ffffff,0x801ffffc,0x20fffffc,
    0xfffffff8,0xffffffff,0x0000002f,0x00000000,0x00000000,0x00000000,
    0x0bfffff6,0x1bffffe0,0x01ffff90,0x3fe60000,0xffc803ff,0xffffffff,
    0x84ffffff,0x801ffffc,0x25fffff8,0xfffffff8,0xffffffff,0x0000002f,
    0x00000000,0x00000000,0x00000000,0x03ffffee,0x13ffff60,0x01ffff90,
    0x3fe60000,0xffc803ff,0xffffffff,0x900adeff,0x2003ffff,0x02fffffa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0abba980,0x4ddcc400,0x2ea20000,0x9998800a,0x02666200,0x0cca2000,
    0xaa880000,0x26601abc,0x055d4419,0x22015730,0x5d440999,0x9999880a,
    0x26666201,0x4ccccc40,0x99999999,0x00333310,0x4c433331,0x26660099,
    0x02666201,0x3fffffee,0x7ec401df,0x00dfffff,0xffffdb30,0x7fec05ff,
    0x3fff206f,0x3f660006,0x0005df75,0x3ffff660,0xff84ffff,0xffffb1ff,
    0xffffc8bf,0x7ffe40ef,0xffffff54,0xfffff889,0xfffff982,0x7fffff40,
    0xffffffff,0x03ffff92,0x325fffe8,0xff705fff,0x3ffe03ff,0x3fff623f,
    0x2fffffff,0xffffff30,0xa805ffff,0xffffffff,0xffd80dff,0x3fff206f,
    0xffea8006,0x7ffff75f,0x3fe60001,0xffffffff,0x57fffc5f,0xfffffffe,
    0xfffffd8d,0x3ff20eff,0xfffffbcf,0x7fd46fff,0x7ff40fff,0xfffe82ff,
    0xffffffff,0xffff12ff,0x7fffcc09,0x41fffea2,0x983ffffd,0x3f61ffff,
    0xffffffff,0x7fc41fff,0xffffffff,0xfff501ff,0xffffffff,0xdfffb0df,
    0x037ffe40,0xfffffc88,0xfffff75f,0x7c40039f,0xfeefffff,0x3fe3ffff,
    0xffffffff,0xffffffff,0x25ffffff,0xfffffffc,0x2fffffff,0x92ffffe4,
    0x3a09ffff,0xffffffff,0x362fffff,0x3f206fff,0xffff87ff,0x5fffff82,
    0x2a6fffb8,0x98cfffff,0x645ffffc,0xb89cffff,0xf985fffe,0xb99cffff,
    0x6c3ffffe,0x3f206fff,0x7ecc06ff,0x5fffffff,0xfffffff7,0xff5005df,
    0xffe881ff,0x3ffffe7f,0xffff70af,0x3fee19ff,0xfff90fff,0x3f623bff,
    0xffe85fff,0xffff9aff,0x9999700e,0xfffff999,0x7fffd41d,0x09ffff01,
    0xf989fffb,0xfd87ffff,0x3fffa4ff,0x1ffffb06,0x213fffe6,0x6c1ffff9,
    0xe881ffff,0x3f61ffff,0x3ff206ff,0xfffd506f,0x85bfffff,0xffffffc9,
    0xf700bfff,0x2f660dff,0x3ffffe09,0x6ffffe82,0x91ffffb8,0xd10bffff,
    0xff30dfff,0xffffddff,0x3ff20003,0xfff80fff,0xffffa84f,0x46fffa80,
    0x1ffffffb,0x447fffe2,0x9302ffff,0xffffb835,0x89fffd01,0x2604ffff,
    0x3f63ffff,0x3ff206ff,0x3ffee26f,0x0befffff,0xffffda80,0x541cffff,
    0x01beffff,0x20dffff0,0xa82ffffc,0xff91ffff,0x3ff603ff,0xffff707f,
    0x0007ffff,0x07ffffee,0x6c3fffdc,0xff105fff,0x7ffec1ff,0x3fea4fff,
    0x3fffea7f,0xfffc8001,0x97fff207,0x401ffff9,0x3f65fffe,0x3ff206ff,
    0xfffff56f,0x0003bfff,0x3fffff22,0x3fe24fff,0xadffffff,0x0bffff00,
    0x207ffff2,0xf91ffff9,0x7fe40fff,0x3fffa07f,0x50006fff,0x405fffff,
    0x222ffff8,0x3602ffff,0x3ffe3fff,0x3f26fffd,0x3ffee4ff,0xffd8000f,
    0xffffffff,0x3ee6ffff,0x7ec00fff,0x3fff66ff,0x5bfff206,0xbefffffb,
    0x36a00000,0x5c5fffff,0xffffffff,0x7ffc1dff,0xffff904f,0x3ffff301,
    0xc81ffff2,0x3e207fff,0x000fffff,0x3fffff98,0x25fffd80,0x5c07fffb,
    0xfff35fff,0x3e1fffb7,0x3ff21fff,0xfe8000ff,0xffffffff,0x327fffff,
    0xfc807fff,0x3fff67ff,0x5bfff606,0x02effffb,0xffb10000,0xfff70bff,
    0xffffffff,0x827fffc7,0xf307fffc,0x3ff23fff,0x3ffee06f,0x7ffff407,
    0x7fc4000f,0xf5004fff,0x3ffa1fff,0x7ffc404f,0xf53fff77,0xffff35ff,
    0x00ffffb8,0xeffffe80,0xeeeeeeee,0x3fffee6e,0x37ffec00,0x6c0dfffb,
    0xfff76fff,0x0019ffff,0xffffb500,0x36e20bff,0xffffffff,0x09ffff1f,
    0x4c1ffff2,0xff91ffff,0x7ffdc0df,0x3fffee07,0x3a2006ff,0x4005ffff,
    0xff9bffff,0xffe800ff,0xf17ffd9f,0x9fff79ff,0x01ffffa8,0xfffb06ae,
    0x3fee000f,0x7ff401ff,0x1bfff64f,0x916fffd8,0xffffffff,0xfc98005b,
    0xefffffff,0xffd73002,0x3ffe9fff,0xffff904f,0x47fffe60,0x2e06fffc,
    0xff307fff,0x07ffffff,0x3bffffa0,0x7ffdc000,0x005fffbd,0xfff9fff7,
    0x7f77ff4b,0x7ffc42ff,0xffff504f,0x0bffff25,0x7fc404d4,0x3fea05ff,
    0x3fff23ff,0x1bfffe07,0xffffff71,0x22019fff,0xffffffea,0x75101cff,
    0x3fffe603,0x209ffff5,0xf307fffc,0x3ff23fff,0x3ffee06f,0xfffffd07,
    0xd803ffff,0x000effff,0xfeffff88,0xff3002ff,0x647fffff,0x07ffffff,
    0xd03ffffd,0x3e61ffff,0xff985fff,0x7fff43ff,0xfffe983f,0x3fffea0f,
    0x6ffffc81,0x3ffffaa0,0x912dffff,0xffffffff,0x3fe2017f,0x3ffa06ff,
    0x09ffff4f,0x4c1ffff2,0xff91ffff,0x7ffdc0df,0xbffffc87,0x206ffffa,
    0x00fffffc,0x3ffff600,0x7f4007ff,0x2a1fffff,0x05ffffff,0x59fffff3,
    0x8bffffd7,0x8aeffffd,0x41ffffea,0xbdfffffa,0x2fffffca,0x57ffffcc,
    0xfffffca8,0xfffd9806,0xff75ffff,0x05dfffff,0x37ffff20,0x3ffff261,
    0x209ffff2,0xf307fffc,0x3ff23fff,0x3ffee06f,0x37fffd47,0x509ffffb,
    0xffffffff,0x0dffffff,0x7fffffd4,0x7ffe4004,0x7ffc47ff,0x3f602fff,
    0xffffffff,0x7fcc0eff,0xffffffff,0xfff904ff,0xffffffff,0xffff10bf,
    0xfdffffff,0x64400dff,0xf75fffff,0x003bffff,0xfffffe88,0x5fffffff,
    0x6413fffe,0xff307fff,0x3fff23ff,0x9fffee06,0x21fffff8,0x42fffff8,
    0xfffffffb,0x6fffffff,0x7fffffc0,0x7ffcc001,0xfffe85ff,0x7fe400ff,
    0xffffffff,0xffffd101,0x809fffff,0xfffffffb,0x3e603fff,0xbfffffff,
    0x0006fffa,0x3eebffd7,0x20000cff,0xffffffe8,0x3e0effff,0xff904fff,
    0x3ffe60ff,0x0dfff91f,0xfb3fffdc,0xff707fff,0x7fdc1fff,0xffffffff,
    0x5c06ffff,0x0006ffff,0x905fffff,0x200bffff,0xffffffe9,0xffec800b,
    0x3002efff,0xbfffffb7,0xfffb3003,0x3ffea5bf,0xaed40006,0x00000beb,
    0x3fffffaa,0xffff82ef,0x0ffff904,0x647fffe6,0x3ee06fff,0xffff77ff,
    0x7fffec0d,0x3ffffee5,0xffffffff,0x7ffc406f,0xff90002f,0xfff501ff,
    0x3530007f,0x4d4c0001,0x054c0000,0x00033000,0x00084000,0x554c4000,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x44000000,0x00180999,0x7ffd4005,0x5eeb8005,0xed87bba6,0x017bae3e,
    0x99980000,0x30000000,0x3ff40013,0x0167f6c4,0x03bdfdb1,0xaaaa9800,
    0xaaaaaaaa,0x55532aaa,0x55555555,0x65c55555,0xdddd53cc,0x30eeeea5,
    0xb0f6003d,0x5fa8bfff,0xa8027dc0,0x4c005fff,0xffd12fff,0x11fffb8b,
    0xd7009fff,0x54009dff,0xb3006fff,0x8059dfff,0xfb004ff8,0xffff88ff,
    0xfff986ff,0xc881ffff,0x7e40dffe,0xffffffff,0x97ffffff,0xffffffff,
    0xffffffff,0xfbb7ffec,0xfff93fff,0x54fffccd,0xfd8beeed,0x97fff63f,
    0xf705fffa,0xff5009ff,0x7fc400bf,0x07fff26f,0xffc9bffa,0xfffd101f,
    0xd001dfff,0xd003ffff,0x5fffffff,0x5c04ff80,0x7ec7ffff,0x42ffeacf,
    0xffcadffc,0x7ffffc45,0x3fff21ff,0xffffffff,0xff97ffff,0xffffffff,
    0x6cffffff,0xfff76fff,0x5bfff27f,0xfffffff8,0xffffffff,0x4bfffb1f,
    0x5c5fffff,0x401fffff,0x2005fffa,0xff51fffd,0x3ffea09f,0x20dfff14,
    0xfffffffc,0x7ffcc05f,0x7fdc05ff,0x45ffebbe,0x098ffe0a,0x1fffffee,
    0x27fdcbb9,0xfff8fff1,0x3f7fffa0,0x3fff26ff,0xffffffff,0xff97ffff,
    0xffffffff,0x6cffffff,0xfff76fff,0x9bfff27f,0xfffffffa,0x4fffffff,
    0xf997fff6,0xff75ffff,0xf5005fff,0x3ea00bff,0xffff15ff,0x8ffff401,
    0x7c44fffb,0x3fff24ff,0x3ffff601,0x32e600ff,0xff1bfee1,0xfb55fd19,
    0x7fce7dc9,0x3ffee607,0x3ffcc101,0xffc8bff5,0xdddddd72,0xffdddddd,
    0x3bbbaeff,0xeeeeeeee,0x3ff65eee,0x5ffff75f,0xf71bfff2,0xffffffff,
    0xaa989fff,0x7fffcc2a,0x2fffffef,0x0bfff500,0x21ffff10,0x4c03fffd,
    0xffd0efff,0x07ffd45f,0x2605fff3,0x4fffffff,0xffd73100,0x7ffffd4f,
    0x266fffff,0xfd81ffe0,0xfe8803ff,0x307fee4f,0x260009ff,0x00007fff,
    0x7fcd3f20,0xff5001ff,0xff7139ff,0xf3000bff,0xffffffff,0xddddd705,
    0xdddffffd,0x7ffecbdd,0x00dfff73,0x7d53fff6,0xfff70fff,0x3609fff0,
    0xffffbfff,0x3fffae00,0x36e27fff,0xdeffffff,0xe81ffe03,0x2602fffe,
    0x7fdc6fff,0x0027fc41,0x007fff98,0x44ffe000,0x36007fff,0xff984fff,
    0xf98000ff,0x02ffffff,0xfffffff9,0xffffffff,0x43fffe6f,0x3003fffe,
    0x3fa3ffff,0x0fff73ff,0xff109fff,0x0ffff6ff,0x66f7ffe4,0x3ffa07ff,
    0x0fff002f,0x2a0fff30,0x7d40dfff,0x017fe45f,0x17fff980,0x33333333,
    0x33333333,0x3fa0ffc8,0x3ffe006f,0x3fffd00f,0x3fff2000,0x3ff206ff,
    0xffffffff,0x367fffff,0xfff54fff,0xfff9001f,0x43fffe6b,0x3e60fffa,
    0xfffc82ff,0x10ffff34,0x7fdc7fff,0xffdffb07,0x44fff003,0x0fff43ba,
    0xe813ffee,0xfffeceff,0xfff30000,0x3fffff2f,0xffffffff,0x0bffa7ff,
    0x7c009dd9,0x3ff607ff,0xffb8001f,0x905fffff,0xffffffff,0xffffffff,
    0xc8ffffc4,0x7cc04fff,0xfffd0fff,0x927ffc45,0xff883fff,0x3fffa1ff,
    0xd07ffd43,0x9ffb0fff,0xf801fff1,0xa8fff47f,0x3fee0fff,0x20aaaadf,
    0xfffffff9,0x3fe60002,0xfffff97f,0xffffffff,0x00f64fff,0x5fffd000,
    0x01ffff10,0xfffffb80,0xa985ffff,0xfffcaaaa,0x42aaaaae,0xfd15fffa,
    0x7fec01ff,0x0bfff52f,0xfffffff9,0xdfff909f,0xf86fffb8,0xfffebeff,
    0xc87ffcc7,0x3ffc04ff,0x3fffffea,0x7ffffc4f,0x6c41ffff,0x0000dfff,
    0xfcbfffcc,0xffffffff,0x07ffffff,0x7fe40000,0x3ff221ef,0x7fdc006f,
    0xffffbfff,0xfff5005f,0x7ffe400b,0x209fff32,0xff14fffa,0xffd101df,
    0x881dffff,0x7c42ffff,0x7fe42fff,0x0fffefff,0x00ba1744,0x3fae1ffe,
    0x7fd43fff,0x1fffffff,0x98000060,0xfff97fff,0xffffffff,0x000fffff,
    0xffff9800,0xfffffddf,0x3ffee004,0xffff32ff,0xfff500bf,0x6ffe800b,
    0x3a07fff2,0x3fff26ff,0x6ffedc01,0x0ffff703,0x261bfff6,0x19973efc,
    0x19980000,0x22026a20,0x99999999,0x00000001,0x00000000,0xffffd800,
    0xffffffff,0x8f332e1f,0x4c2ffffe,0x401fffff,0x4005fffa,0x3fa3fff9,
    0x8fffdc5f,0x0004fff8,0x81f776c0,0x000eeee9,0x00000000,0x00000000,
    0x00000000,0x36000000,0xffffffff,0x1fffffff,0x744bfffb,0xfff302ff,
    0xbfff5003,0x4bdd7000,0x3b61eee9,0x017bae3e,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0xffedfffc,0xefffcfff,0x88bfffb0,
    0x00fcc02e,0x005fffa8,0x00000000,0x6c9dddd1,0xdb986eee,0x41a802cd,
    0x880bddb8,0x22200888,0x02222088,0x3bba1111,0x516eeeee,0x55555555,
    0x55555555,0x44444435,0x88888888,0x00008888,0x7e400000,0xfa86aa24,
    0x17fff60e,0x64c00000,0x000002cc,0xff100000,0x7fff4bff,0x7ffffe47,
    0x1fc81cff,0x1fffffe4,0x403ffff6,0x3fa5ffff,0xfbfffc7f,0x7fffffff,
    0xfffffff3,0xffffffff,0x3fe67fff,0xffffffff,0xffffffff,0x00000003,
    0x81300140,0x0005fffd,0x00000000,0x44000000,0x3fa5ffff,0x3fff67ff,
    0xefffffff,0x041fffdd,0xfd81fff3,0xfffb83ff,0x3e3fff46,0xfffff7ff,
    0x3fe6ffff,0xffffffff,0xffffffff,0xffffff33,0xffffffff,0x0007ffff,
    0x00000000,0x00000000,0x00000000,0xff880000,0x3fffa5ff,0x3fffffa7,
    0xffffffff,0x7f401fff,0x86ffe81f,0x7f40effe,0xfbfffc7f,0x7fffffff,
    0x77777771,0x77777777,0x3fe63777,0xffffffff,0xffffffff,0x00000003,
    0x00000000,0x00000000,0x00000000,0xd2ffffc4,0x77f4ffff,0xffffdbac,
    0x10efffff,0xbffb5335,0xa8bffa20,0xeed80fff,0xccaf76c5,0x04cccccc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xc93fffe0,
    0x40fa6fff,0xfffffeb8,0x7ffffd44,0x376201ef,0x00037724,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x36000000,0x3fee2fff,
    0x5cc0065f,0xbbb9301b,0x00000059,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x3e61fffc,0x000003ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x77446eea,0x0000001e,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__arial_bold_37_latin1_x[224]={ 0,2,1,0,1,1,1,1,1,1,0,1,1,1,
2,-1,1,2,0,1,0,1,1,1,1,1,3,2,1,1,1,1,0,0,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,1,-1,0,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,0,0,2,0,0,0,0,0,0,2,0,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,1,0,0,0,
2,0,0,-1,0,1,1,1,-1,-1,1,0,0,0,3,1,-1,2,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-2,1,2,2,2,2,-1,1,-1,-1,-1,2,1,1,1,1,1,1,1,2,2,2,2,-1,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,-1,2,-1,-1,1,2,1,1,1,1,1,0,1,2,2,2,2,0,2,0,
 };
static signed short stb__arial_bold_37_latin1_y[224]={ 29,5,5,4,3,4,4,5,4,4,4,9,24,18,
24,4,5,5,5,5,5,5,5,5,5,5,11,11,8,11,8,5,4,5,5,4,5,5,5,4,5,5,5,5,
5,5,5,4,5,4,5,4,5,5,5,5,5,5,5,5,4,5,4,32,4,11,5,11,5,11,4,11,5,5,
5,5,5,11,11,11,11,11,11,11,5,11,11,11,11,11,11,4,4,4,14,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,29,11,5,4,8,5,
4,4,4,4,4,13,11,18,4,0,4,6,5,5,4,11,5,15,29,5,4,13,5,5,5,11,-1,-1,-1,-1,
0,0,5,4,-1,-1,-1,0,-1,-1,-1,0,5,-1,-1,-1,-1,-1,0,9,4,-1,-1,-1,0,-1,5,4,4,4,
4,5,4,4,11,11,4,4,4,4,4,4,4,4,5,5,4,4,4,5,4,8,10,4,4,4,4,4,5,4,
 };
static unsigned short stb__arial_bold_37_latin1_w[224]={ 0,6,14,19,16,27,23,6,9,9,13,17,6,9,
5,11,16,12,17,16,18,17,17,16,16,16,5,6,17,17,17,18,33,24,21,22,21,19,17,23,20,6,16,22,
18,24,20,24,19,25,22,20,20,20,24,32,23,24,20,9,11,9,17,20,9,17,17,17,18,17,12,18,16,5,
9,17,5,26,16,19,18,18,12,17,11,16,19,26,19,18,16,13,5,12,18,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,6,17,18,18,19,
5,18,11,26,12,16,17,9,26,20,11,18,11,11,8,17,20,5,10,8,12,16,27,26,28,18,24,24,24,24,
24,24,34,22,19,19,19,19,9,9,12,12,24,20,24,24,24,24,24,17,24,20,20,20,20,24,19,18,17,17,
17,17,17,17,27,17,17,17,17,17,8,8,12,12,19,16,19,19,19,19,19,18,19,16,16,16,16,18,18,18,
 };
static unsigned short stb__arial_bold_37_latin1_h[224]={ 0,24,9,26,30,26,26,9,32,32,13,17,11,5,
5,26,25,24,24,25,24,25,25,24,25,25,18,24,19,12,19,24,32,24,24,26,24,24,24,26,24,24,25,24,
24,24,24,26,24,28,24,26,24,25,24,24,24,24,24,31,26,31,14,4,6,19,25,19,25,19,25,25,24,24,
31,24,24,18,18,19,25,25,18,19,25,19,18,18,18,25,18,32,32,32,7,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,25,31,26,18,24,
32,32,5,26,13,15,12,5,26,4,12,23,13,13,6,25,31,5,7,13,14,15,25,25,25,25,30,30,30,30,
29,29,24,32,30,30,30,29,30,30,30,29,24,30,31,31,31,31,30,17,27,31,31,31,30,30,24,26,26,26,
26,25,26,26,19,25,26,26,26,26,25,25,25,25,25,24,26,26,26,25,26,19,21,26,26,26,26,32,31,32,
 };
static unsigned short stb__arial_bold_37_latin1_s[224]={ 246,153,96,167,206,49,77,242,20,49,140,
44,235,172,249,187,222,216,237,239,40,95,113,59,167,233,20,156,74,217,92,
21,134,212,75,172,1,113,163,216,76,97,150,229,23,42,67,101,133,51,97,
28,54,115,230,1,206,181,160,184,240,174,109,182,141,224,1,1,193,19,220,
155,139,250,215,104,250,128,155,37,136,174,242,110,28,57,209,229,172,131,192,
59,168,121,111,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,
159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,159,246,248,91,
153,1,1,115,96,160,126,127,62,199,172,1,203,187,120,175,163,151,1,194,
250,130,154,96,79,19,195,47,76,225,97,11,180,1,26,181,73,56,36,205,
236,246,1,168,223,88,76,134,109,41,66,181,26,77,225,159,20,147,122,34,
122,141,159,177,184,212,230,196,202,38,73,91,109,19,60,69,82,95,122,102,
1,147,40,127,177,139,21,195,56,199,30,1,1, };
static unsigned short stb__arial_bold_37_latin1_t[224]={ 32,258,343,127,66,154,154,328,1,1,328,
328,328,343,328,127,154,233,207,154,233,181,181,233,181,181,328,233,308,328,308,
233,1,207,283,154,258,258,233,127,233,233,181,233,258,258,258,154,258,97,283,
154,283,207,258,283,258,258,258,1,127,1,328,343,343,283,207,308,207,308,181,
207,233,181,1,233,34,308,308,308,207,207,283,308,207,308,308,308,308,181,308,
1,1,1,343,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,
283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,283,32,97,34,
154,328,233,1,1,343,154,328,328,328,343,154,343,328,283,328,328,343,181,1,
59,343,328,328,328,181,154,181,181,34,66,66,34,97,97,233,1,66,66,34,
66,1,66,66,66,258,66,34,34,34,34,66,328,97,1,34,34,66,66,283,
97,97,97,97,181,97,97,283,181,127,127,127,127,207,207,207,207,207,233,97,
127,127,207,127,283,283,127,97,127,127,1,34,1, };
static unsigned short stb__arial_bold_37_latin1_a[224]={ 147,176,251,295,295,471,383,126,
176,176,206,309,147,176,147,147,295,295,295,295,295,295,295,295,
295,295,176,176,309,309,309,324,517,383,383,383,383,353,324,412,
383,147,295,383,324,441,383,412,353,412,383,353,324,383,353,500,
353,353,324,176,147,176,309,295,176,295,324,295,324,295,176,324,
324,147,147,295,147,471,324,324,324,324,206,295,176,324,295,412,
295,295,265,206,148,206,309,397,397,397,397,397,397,397,397,397,
397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,397,
397,397,397,397,397,397,397,397,147,176,295,295,295,295,148,295,
176,390,196,295,309,176,390,293,212,291,176,176,176,305,295,147,
176,176,194,295,442,442,442,324,383,383,383,383,383,383,530,383,
353,353,353,353,147,147,147,147,383,383,412,412,412,412,412,309,
412,383,383,383,383,353,353,324,295,295,295,295,295,295,471,295,
295,295,295,295,147,147,147,147,324,324,324,324,324,324,324,291,
324,324,324,324,324,295,324,295, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_37_latin1_BITMAP_HEIGHT or STB_FONT_arial_bold_37_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_37_latin1(stb_fontchar font[STB_FONT_arial_bold_37_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_37_latin1_BITMAP_HEIGHT][STB_FONT_arial_bold_37_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_37_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_37_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_37_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_37_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_37_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_37_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_37_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_37_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_37_latin1_s[i] + stb__arial_bold_37_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_37_latin1_t[i] + stb__arial_bold_37_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_37_latin1_x[i];
            font[i].y0 = stb__arial_bold_37_latin1_y[i];
            font[i].x1 = stb__arial_bold_37_latin1_x[i] + stb__arial_bold_37_latin1_w[i];
            font[i].y1 = stb__arial_bold_37_latin1_y[i] + stb__arial_bold_37_latin1_h[i];
            font[i].advance_int = (stb__arial_bold_37_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_37_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_37_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_37_latin1_s[i] + stb__arial_bold_37_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_37_latin1_t[i] + stb__arial_bold_37_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_37_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_37_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_37_latin1_x[i] + stb__arial_bold_37_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_37_latin1_y[i] + stb__arial_bold_37_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_37_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_37_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_37_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_37_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_37_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_37_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_37_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_37_latin1_LINE_SPACING
#endif

