// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_38_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_38_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_38_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_38_latin1_BITMAP_HEIGHT        372
#define STB_FONT_arial_bold_38_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_38_latin1_FIRST_CHAR            32
#define STB_FONT_arial_bold_38_latin1_NUM_CHARS            224

#define STB_FONT_arial_bold_38_latin1_LINE_SPACING          25

static unsigned int stb__arial_bold_38_latin1_pixels[]={
    0x744eee88,0x5dd905ee,0xeeed8000,0x3ba2000d,0x00fbba0d,0x6ee5d4c0,
    0x80001acc,0xa802aaa9,0x000acddc,0x23d99710,0x000bcce9,0x2aa67ddd,
    0x201aaaaa,0x003eeeea,0x66664400,0x55544002,0x1002aaaa,0x0357b975,
    0xf1bffe20,0x3fea0fff,0x3fea0006,0x7e4002ff,0x027ffc5f,0xfffff930,
    0x7dffffff,0x3ff20001,0x3ffea07f,0x004fffff,0x97ffffdc,0x04fffff9,
    0xff94fff8,0x80bfffff,0x0007fffc,0x7fffff40,0x3ffea000,0x4c06ffff,
    0xfffffffe,0x7fc401ef,0x03fffc6f,0x20007fff,0x4002fffe,0x7fc1fff8,
    0xffe9804f,0xffffffff,0x03ffffff,0x07fffc80,0xfffffff5,0x2a00bfff,
    0x32ffffff,0x07ffffff,0xff94fff8,0x00bfffff,0x0007fffb,0x3ffffee0,
    0x3fea005f,0x206fffff,0xfffffffc,0x204fffff,0x7fc6fff8,0x1bfee07f,
    0x0fffe600,0x21bff600,0x7dc04fff,0xacceffff,0xfffecbaa,0x32000dff,
    0xff887fff,0xfffeffff,0xffe803ff,0xff32ffff,0xf80fffff,0xffff94ff,
    0x3600bfff,0x980006ff,0xfffabfff,0xffff5003,0xfd10dfff,0xffffffff,
    0x40bfffff,0x4ccc0999,0x0fffe201,0x007ffb00,0xf07fff30,0x3f6209ff,
    0x2001cfff,0x006ffffb,0x2a1ffff2,0x3a64ffff,0x7c407fff,0x209adfff,
    0x1ffffda9,0x7e53ffe0,0x01aaaeff,0x005ffd10,0x92fff440,0x31003fff,
    0x0dfff933,0xbdfffffb,0xffffffb7,0x8000007f,0x4c007ffd,0xffb00019,
    0x09fff01f,0x0037fff6,0x27ffe440,0xfff90000,0xffffb83f,0x3fffe600,
    0x2ffff800,0x7e53ffe0,0x220006ff,0x22000099,0x4ccc0999,0xfffb8000,
    0x7ffffd46,0xffffd503,0xb800000f,0x00003fff,0x0dfff300,0x3ee13ffe,
    0x700004ff,0x00005fff,0x113fffea,0x3fea0013,0xfffd007f,0xca7ffc05,
    0x55306fff,0x2aa00155,0x731002aa,0x000359b9,0x3a37ffdc,0x5402ffff,
    0xcaafffff,0x65400ccc,0x7fc40ccc,0x6666547f,0x66665400,0x81fffec0,
    0x7fcc4fff,0xbfd7303f,0xd8e66647,0xcca806ff,0xffff884c,0x3ea0004f,
    0xffd007ff,0xa7ffc07f,0xf906fffc,0x3e005fff,0x75c06fff,0xffffffff,
    0x7dc000cf,0x3ffee6ff,0xdffb005f,0x9ffff539,0x07fffe80,0x7d43fffd,
    0x7f404fff,0xffff87ff,0xe89fff01,0xffe885ff,0xff9dffff,0x3ffd11ff,
    0x07fffc80,0x3dfffff7,0xdfff5000,0x0ffffa00,0xff94fff8,0x3fff20df,
    0xffff002f,0x3fff620d,0xffffffff,0x3ee002ef,0x3fff66ff,0x0151001f,
    0x440dffff,0xfb04ffff,0xffff87ff,0x3fffe206,0x03fffcc4,0x7fcc9fff,
    0x7fff440f,0xffffffff,0x027fdc7f,0x4c1ffff2,0x4fffffff,0x37ffd400,
    0x03fffd80,0x7fe53ffe,0xffff906f,0x3fffe005,0xfffff986,0xffffffff,
    0xf7004fff,0x7fff4dff,0xff900007,0x3fee03ff,0xfff901ff,0x1ffffc89,
    0x83ffff70,0x3e06fffb,0x0fff24ff,0x17dffff3,0xbfffffd5,0x6406ff98,
    0xff987fff,0xefffffff,0xdfff7001,0x13fff600,0xff94fff8,0x3fff20df,
    0xffff002f,0xfffffd0d,0xffd979bf,0x7005ffff,0x7ffcdfff,0xf300007f,
    0x3fa09fff,0x3fee06ff,0x7fffcc6f,0x0dfffd04,0x7c0bfffb,0x1fff14ff,
    0xf05fffe8,0xf889ffff,0x7ffe407f,0x6ffffc47,0x3fffffff,0x04fffc80,
    0x40bfff90,0xfff94fff,0x3ffff20d,0xdffff002,0xdfffffc8,0xfffff300,
    0xfffb801f,0x0dffff16,0x7fff4000,0x3ffff886,0x21fffea0,0xf886fffe,
    0xffe83fff,0x53ffe04f,0x7fd46ffa,0xfffb01ff,0x01ffd05f,0x2e3fffe4,
    0xffb14fff,0xf807ffff,0xf5003fff,0x3fe03fff,0x0dfff94f,0x00bffff2,
    0xf337fffc,0x1007ffff,0x809ffffd,0xff36fffb,0x40000bff,0x5c1ffffb,
    0x2600ffff,0x7dc0ffff,0x7fdc1fff,0xffff80ff,0x646aaa04,0x7ffec3ff,
    0x3fffea04,0x200fff80,0x7ec7fffc,0x7ffdc1ff,0xfd882fff,0x3e001fff,
    0xff81efff,0x0dfff94f,0x00bffff2,0xf937fffc,0x4c00dfff,0x201fffff,
    0xff56fffb,0x40000bff,0x744ffff8,0x7c405fff,0x7fc42fff,0x7fff44ff,
    0x3ffff885,0x317fec00,0x5401ffff,0xff987fff,0x3fffe407,0x260ffffe,
    0x20fffffe,0x04fffffe,0x7ffffdc0,0x653ffe0f,0xff906fff,0x3fe005ff,
    0x3fffe6ff,0x7fec002f,0x3fee02ff,0xdffff16f,0xffd80000,0x3fffe26f,
    0x3ffff802,0x226fffd8,0xf882ffff,0x74002fff,0x3ffea1ff,0x2fffe407,
    0x3202ffdc,0x7fec7fff,0xffd880ef,0x3fffe2ff,0xff70004f,0x7ffc1fff,
    0x20dfff94,0x002ffffc,0x3e6dffff,0xa8007fff,0x2e04ffff,0x3ffe6fff,
    0x5400007f,0xff71ffff,0x3ffe00ff,0xffffa83f,0x20ffff71,0x001ffff8,
    0xff707ffc,0xfffd80bf,0x404ffc83,0x7d47fffc,0xfd00efff,0x7fffc9ff,
    0xff30001f,0x7ffc1fff,0x20dfff94,0x002ffffc,0x3eadffff,0x98006fff,
    0x2e05ffff,0x3ffa6fff,0x7d1000ff,0xa7fffc01,0xf004fffd,0x3fe05fff,
    0x9fffb4ff,0x017fffc0,0xfc83ffe0,0x7ffc04ff,0x0fffc41f,0x11ffff20,
    0x05ffffff,0x7fc9fff7,0x4002ffff,0x0ffffff9,0x7fe53ffe,0xffff906f,
    0x3fffe005,0x0bffff56,0xdffff100,0xb37ffdc0,0x2007ffff,0xc82efffb,
    0xfff8efff,0xffff001f,0x3bfff201,0x201ffff8,0x4003fffe,0x3ff21ffe,
    0x3ffee05f,0x02fff40f,0x5c3fffe4,0x0dffffff,0xca8bfff2,0x4006ffff,
    0x42bffffe,0xfff94fff,0x3ffff20d,0xdffff002,0x013fffee,0x03ffffc0,
    0x7d4dfff7,0xfd007fff,0xff305fff,0x0dfff9ff,0x81fffe20,0xffcffff9,
    0x7ffec06f,0x6d3ffe03,0x3ffee2ff,0x1bfffa07,0x9003fff9,0x3f20ffff,
    0x9affffff,0xfa80ffff,0xf3002fff,0x3fe05fff,0x0dfff94f,0x00bffff2,
    0xfbb7fffc,0x88004fff,0x2e07ffff,0x7ff46fff,0x7fe404ff,0x3ffa07ff,
    0x003fffff,0xe80dfff3,0x3fffffff,0x027ffdc0,0x3ff29fff,0x07fffea3,
    0xb97ffff2,0xf9004fff,0x7fd40fff,0xffffffff,0x3fff602f,0xdfff7004,
    0xfca7ffc0,0xfff706ff,0x3ffe005f,0xbffff36f,0xffff3000,0x37ffdc0d,
    0x3bffffe6,0x3fffae21,0x3fee04ff,0x000fffff,0xb80bfff5,0x0fffffff,
    0x02fffd40,0x3fea9fff,0x5fffff46,0xfffffd98,0x04fffebf,0x01ffff20,
    0xffffffd1,0xffb805ff,0xfff9005f,0xca7ffc09,0xff706fff,0xff1005ff,
    0x3ffe2dff,0xffa8006f,0x3fee05ff,0xffffc86f,0xffffefff,0x2200efff,
    0x06ffffff,0x013fff20,0xdffffff1,0x0dfff300,0xfff27ffc,0x7ffffcc5,
    0xffffffff,0x003fffff,0x803fffe4,0xeffffffb,0x37ffd400,0x03fffd80,
    0x7fe53ffe,0xffff706f,0xffff1005,0x07ffffcb,0x3fffee00,0x1bffee03,
    0x7fffffe4,0xefffffff,0xffffd800,0x3ff6003f,0xfffd802f,0xfff003ff,
    0x93ffe01f,0x7fd45ffc,0xfcbfffff,0x02ffffff,0x07fffc80,0x3ffff620,
    0x7ffd405f,0x7fffb006,0xfca7ffc0,0xfff506ff,0xfff3007f,0x7ffff4bf,
    0x3ffe2004,0x3fee02ff,0x3ffea06f,0xffffffff,0xfff5001e,0x7fc001ff,
    0xffa800ff,0xfb000fff,0x3ffe05ff,0x113ffe24,0x6439dfb9,0xa981bdfe,
    0x3fff202a,0xfffb8007,0x3fea01ff,0xfffd006f,0xca7ffc07,0xff306fff,
    0xff700dff,0x7ffdc9ff,0xff7000ff,0x7dc01fff,0x764406ff,0x2effffff,
    0x7fffcc00,0x3ffe6005,0xffff3005,0x7ffcc00b,0xb89fff04,0x00002fff,
    0x203fffa8,0x2607fffd,0xffffa819,0x1fffea03,0x017fff40,0x3ff29fff,
    0xffff106f,0x7ffc407f,0x7fff43ff,0x7fdc00ef,0x7dc03fff,0xd71006ff,
    0x6c0007df,0x2002ffff,0xb001fffc,0x8005ffff,0xfff06ffd,0x09fffb09,
    0x7ffdc000,0x3fffec05,0xf837fff4,0x3ea04fff,0xff800fff,0x3ffe02ff,
    0x40dfff94,0x1bfffffd,0x3ffff6a2,0x7fffcc0f,0x7ecc0bff,0xb806ffff,
    0xf7006fff,0x000dffff,0x00fffff7,0x7006ffe8,0x000fffff,0xff03fff3,
    0xfffd109f,0x7540005d,0x9980ffff,0xc86ffffb,0x7cc3ffff,0x3e603fff,
    0x7d403fff,0x3fe01fff,0x0dfff94f,0x7fffffcc,0xfffffeff,0xfffb04ff,
    0xffdfffff,0x03ffffff,0x00dfff70,0x17ff4c22,0x3fff32e0,0x26003fff,
    0x99702fff,0x07ffffff,0x213ffa00,0xfb104fff,0x137bffff,0x3ffb2a60,
    0xffd00dff,0xf30bffff,0xfb7dffff,0x4403ffff,0x1fffffff,0xffffffd3,
    0xca7ffc01,0x4eeeffff,0x7fffffe4,0xffffffff,0xfff9100f,0xffffffff,
    0x2605ffff,0x6fffeeee,0x09ff7000,0xffffffb8,0x7fe4007f,0x3fffee06,
    0x20007fff,0xfff87ffa,0x7fffd404,0xffffffff,0xffffffff,0x3fffe203,
    0xff902fff,0xffffffff,0xfff9009f,0x3fe65fff,0x7c05ffff,0xffff94ff,
    0xff50bfff,0xffffffff,0xd3001bff,0xffffffff,0x5401bfff,0x6fffffff,
    0xfb989980,0x7fd400ff,0x001fffff,0xa807ffe2,0x1fffffff,0x1fff4000,
    0x22013ffe,0xffffffeb,0xffffffff,0x7fcc00be,0x6404ffff,0xffffffff,
    0xffd1005f,0x3fe65fff,0x7c00ffff,0xffff94ff,0x3620bfff,0xffffffff,
    0xfdb8002e,0x2defffff,0xfffffa80,0x7fcc06ff,0x804fffff,0x0cfffff9,
    0x02ffdc00,0x33ffffe6,0xffa80000,0x0027ffc6,0x3ffbb6e2,0x01cdefff,
    0x37fffaa0,0xffdb1003,0x70003bdf,0x3e65fffd,0xff003eff,0x3bbbae9f,
    0x99804eee,0x000009aa,0x20006a62,0xeeeeeee9,0x77f74c05,0x008001ce,
    0x004cc400,0x20000010,0x04ccc199,0x00010000,0x08000080,0x20980000,
    0x13330001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x02eeeeb8,0xeeee9800,0x55530004,0xc8000005,0x8001eeee,0xaaaaaa98,
    0x001aaaaa,0x00059999,0x75400000,0x00003eee,0x2eeeeb80,0x01aa8000,
    0x99993000,0x80000003,0x0004ffff,0x03fffee0,0x1ffff600,0xff880000,
    0x754003ff,0xffffffff,0x805fffff,0x01fffffc,0x00f74000,0x07fffe40,
    0xff100000,0x200009ff,0xd00003fe,0x001fffff,0x3fee0000,0xc800005f,
    0xd8004fff,0x00007fff,0x013fff20,0xffffffd0,0xffffffff,0xfffa80bf,
    0x0000efff,0x0001ff10,0x000ffff6,0x5fffb800,0xffb98000,0x320000ae,
    0x05ffffff,0xffd00000,0x6c00000b,0x6c000fff,0x00007fff,0x00bfff10,
    0xffffffd8,0xffffffff,0x3fe205ff,0x04fff9df,0x00bf5000,0x007ffd80,
    0x17ffe000,0xfffd3000,0x0019ffff,0xfbbfffa8,0x000002ff,0x00077fd4,
    0x0fff6000,0x0ffffb00,0x3fee0000,0x7ffd4005,0xffffffff,0x05ffffff,
    0x7d43bff6,0xd80002ff,0xfd80003f,0xb800002f,0x540006ff,0xffffffff,
    0xf1000eff,0x7ffecbff,0x22000000,0x00000099,0xd8001330,0x00007fff,
    0x90003310,0xffffffff,0x037ffc7f,0x26604ccc,0xff800009,0x13300000,
    0x33100000,0xfff88000,0xffffffff,0x3331005f,0x00013330,0x372e6200,
    0x200001ac,0x1acdcb98,0x1ffff600,0xaaaa9800,0x55555000,0x7ffffff4,
    0x3ffe3fff,0x055554c6,0x02aaaa80,0x00037d40,0x006aaaa6,0x2aaa6000,
    0xffc8001a,0xfdcfeaff,0x4c001fff,0x0001aaaa,0x3fffae00,0x0cffffff,
    0xfffd7000,0x19ffffff,0x27fffd80,0x00bdfedb,0x005ffff9,0xff9bfffe,
    0xffffffff,0xf91bffe3,0x3e005fff,0x32a06fff,0x005ffffe,0x3fffff40,
    0x7ff40000,0xfe8007ff,0x3e7fd2ff,0x74003fff,0x0007ffff,0xffffd880,
    0xffffffff,0x3f62002e,0xffffffff,0x3602efff,0xffd8ffff,0xc81fffff,
    0xf002ffff,0x7ff4dfff,0x3fffffff,0xff91bffe,0x3fe005ff,0xffe886ff,
    0x0dffffff,0xffff9800,0x200002ff,0x2ffffff9,0x3fffe200,0x2b2a7fd0,
    0x3fe60009,0x0002ffff,0x3ffffe60,0xffffffff,0xf9804fff,0xffffffff,
    0x4fffffff,0xfdffffb0,0xffffffff,0x2ffffc85,0x4dffff00,0xfffffffd,
    0x1bffe3ff,0x005ffff9,0xf51bfffe,0xffffffff,0xc8003fff,0x06ffffff,
    0x3fff2000,0x22006fff,0x7fd0ffff,0xfff90000,0x0000dfff,0x7ffffff4,
    0xfffecbcd,0x7f402fff,0xbcdfffff,0xffffffec,0xfffffd82,0xfffedcef,
    0x3fff20ff,0xffff002f,0x7ffffd4d,0x3fe3ffff,0x7fffe46f,0xdffff002,
    0xdfffffe8,0x05fffffe,0x7fffffc0,0xf00001ff,0x3fffffff,0xa7fffc00,
    0xf80003fe,0x1fffffff,0xfffc8000,0xff300dff,0x3201ffff,0x00dfffff,
    0x1ffffff3,0x3fffffd8,0x27fffec4,0x005ffff9,0xfd1bfffe,0x7fffffff,
    0x3f237ffc,0xff002fff,0x7ffe4dff,0x3ffbfa4f,0xff5001ff,0x09ffffff,
    0xffff5000,0x4009ffff,0xfedffffd,0x7fd40003,0x04ffffff,0x7fffcc00,
    0xffe8803f,0xfff984ff,0xfe8803ff,0x7fec4fff,0xfff105ff,0x7fffe4ff,
    0xdffff002,0xfffffe88,0x1bffe3ff,0x005ffff9,0xff9bfffe,0x27fe26ff,
    0xb002efff,0xfffdffff,0xffb0000f,0x0ffffdff,0x7ffffcc0,0x20000dff,
    0xffeffffd,0x7e40007f,0x26006fff,0x641fffff,0x2006ffff,0x21fffff9,
    0x201ffffd,0xf90ffffc,0x3e005fff,0xfd706fff,0x7fc7ffff,0x7fffe46f,
    0xdffff002,0xb8ffffe6,0x8800155f,0xffbcffff,0x220002ff,0xffbcffff,
    0x3f6002ff,0xdfffffff,0x7ffc4002,0x2ffffbcf,0x3fffe000,0x7fec002f,
    0x7fffc2ff,0x7fec002f,0x3fff62ff,0x3ffee00f,0x5ffff91f,0x1bfffe00,
    0x47fff910,0x7fe46fff,0xfff002ff,0x3fffeadf,0x8000ff62,0xf89ffffb,
    0x20006fff,0xf89ffffb,0x64006fff,0xffffffff,0xff7000df,0xffff13ff,
    0x3fe6000d,0xfa8007ff,0x3fe64fff,0xfa8007ff,0x3ff64fff,0x7ffd407f,
    0x5ffff92f,0x1bfffe00,0xf8fffee0,0x7ffe46ff,0xffff002f,0x87fffeed,
    0x3a0000ff,0x3ffa6fff,0xfd0001ff,0x7fff4dff,0x7ed4001f,0xffffffff,
    0x6fffe800,0x007ffffa,0x1bfffea0,0x3fffe600,0x1bfffea5,0x3fffe600,
    0x01ffff65,0x327ffff3,0xf002ffff,0xf700dfff,0x37ffc7ff,0x00bffff2,
    0xfbb7fffc,0x0df51fff,0x7fffd400,0x13fffea3,0x3fffea00,0x13fffea3,
    0x7fffc400,0x5404ffff,0x3ea3ffff,0xa8004fff,0x8005ffff,0x2a6ffff8,
    0x8005ffff,0x366ffff8,0x2a00ffff,0xff92ffff,0x3fe005ff,0xffb806ff,
    0x91bffe3f,0x2005ffff,0xff76ffff,0x013f25ff,0x0ffffd80,0x01ffffe2,
    0x83ffff60,0x007ffff8,0x3ff73fa0,0x3f600fff,0x3fe20fff,0xfb8007ff,
    0xf0004fff,0x7fdcffff,0xff0004ff,0x7ffecfff,0x3ffee01f,0x5ffff90f,
    0x1bfffe00,0xf8fffee0,0x7ffe46ff,0xffff002f,0x4ffffead,0x26b2e1ff,
    0x3fffe200,0x2ffffd85,0x3fffe200,0x2ffffd85,0x2a7fd000,0xf101ffff,
    0xffb0bfff,0xfb8005ff,0x88004fff,0x3ee7ffff,0x88004fff,0x3f67ffff,
    0x3fa04fff,0x3fff27ff,0xffff002f,0x7fff700d,0x3f237ffc,0xff002fff,
    0x3ffe2dff,0x3e27f9ef,0x3ee06fff,0xffa82fff,0x3ee006ff,0xffa82fff,
    0x413006ff,0x3fffe3fe,0x5ffff702,0x0dffff50,0x5ffff980,0xffff9800,
    0x17fffe66,0x3fffe600,0x3fffff66,0x7fffe443,0x0bfffee5,0x037fffc0,
    0xff1fffdc,0xffffb8df,0xdffff002,0x7f7fffec,0x0fffff24,0x00ffffe8,
    0x003fffff,0x403ffffa,0x901fffff,0x1ff4dfff,0x3a03fffb,0xff00ffff,
    0x44003fff,0x8006ffff,0x225ffffa,0x8006ffff,0x365ffffa,0xbdffffff,
    0x0ffffffb,0x00bfffee,0x01bfffe2,0xff8fffee,0x7fffdc6f,0xffff8802,
    0x3ffffea6,0xffffebcf,0xffff300f,0xd999999f,0x3009ffff,0x999fffff,
    0xffffd999,0x3fffee09,0x3fe27fd1,0xfff980ff,0xccccccff,0x004ffffe,
    0x007ffffc,0x0ffffee0,0x001fffff,0x23ffffb8,0xfffffffd,0x4fffffff,
    0x017fffdc,0x02ffffc4,0xff1fffdc,0xffffb8df,0xffff8802,0x7ffffe45,
    0x2fffffff,0x3fffff20,0xffffffff,0xfc807fff,0xffffffff,0x7fffffff,
    0x1dffff10,0x3fff27fd,0xfffff906,0xffffffff,0xe800ffff,0x2004ffff,
    0x42fffff8,0x004ffffe,0x8bffffe2,0xff9ffffd,0x84ffffff,0x803ffffa,
    0x805ffff9,0x3fe3fffb,0x7fffd46f,0xffff9803,0xfffffc85,0x403fffff,
    0xffffffff,0xffffffff,0x7ffc02ff,0xffffffff,0x2fffffff,0xffffffb0,
    0x5ffffdbf,0x3fffffe0,0xffffffff,0x2002ffff,0x00fffffb,0x1fffff70,
    0x0fffffb8,0xfffff700,0x8bfffec1,0x02effffd,0x00dffff3,0x009ffff7,
    0x7fc7fff7,0x7fffcc6f,0xffffb806,0xfffff304,0xfa803bff,0xffffffff,
    0xffffffff,0x3ffea06f,0xffffffff,0x6fffffff,0xffffff10,0x0bffffff,
    0x3fffffea,0xffffffff,0x4006ffff,0x00effffe,0x1fffffdc,0x0effffe8,
    0x7ffffdc0,0x43fffec3,0x7fc400a9,0x3e203fff,0xb803ffff,0x3ffe3fff,
    0x7ffffc46,0x3fffe203,0x55ff103f,0x7fec0035,0xaaaaabff,0xffffaaaa,
    0xffffb01f,0x55555557,0x3fffff55,0x3ffffa60,0x204fffff,0xaabffffd,
    0xfaaaaaaa,0x2001ffff,0xbffffff9,0x7fffecc0,0x3ffe606f,0x6cc0bfff,
    0xd86fffff,0x40007fff,0x1bfffffd,0x3ffff6a2,0xfffb800f,0x361bffe3,
    0x21bfffff,0xfffffda8,0x000df500,0x01bfffe2,0x84ffffc8,0x006ffff8,
    0x013ffff2,0xbffffff9,0x7fffc405,0x3fff2006,0x7fec004f,0xfeffffff,
    0x1fffffff,0x7ffffec0,0xffffefff,0xfd81ffff,0x4c0007ff,0xffffffff,
    0xfffffffe,0x7fff7004,0x7cc37ffc,0xefffffff,0x4fffffff,0x4000ff20,
    0x003ffffc,0x21ffffe6,0x003ffffc,0x01ffffe6,0xc8027fcc,0x2003ffff,
    0x007ffff9,0x7ffffe44,0xffffffff,0xfc8802ff,0xffffffff,0x02ffffff,
    0x000ffffb,0xffffff90,0xffffffff,0x3fee001f,0x41bffe3f,0xfffffffc,
    0xffffffff,0x0007fe00,0x007ffffc,0x0bffffa0,0x001fffff,0x02ffffe8,
    0x3e007fd0,0x4000ffff,0x002ffffe,0xfffffe98,0x0dffffff,0x7fff4c00,
    0xffffffff,0x3fff600d,0xff500007,0xffffffff,0x5c001bff,0x3ffe3fff,
    0x3fffea06,0xffffffff,0x01fe600d,0x2ffffd40,0x7fffdc00,0x17fffea6,
    0x3fffee00,0x007fd006,0x00bffff5,0x0dffff70,0x7ffedc00,0x002defff,
    0x7fffedc0,0xd802deff,0x00007fff,0x3fffff62,0x8002efff,0x3fe3fffb,
    0x7fec406f,0x2effffff,0x0004fc80,0x005ffffb,0x3fffff10,0x00bffff6,
    0x3ffffe20,0x801aa801,0x002ffffd,0x1fffff88,0x1a988000,0x26200000,
    0xeec8001a,0x3000005e,0x00013553,0x322ccc98,0x266003cc,0x440009aa,
    0x0000001b,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x002cccc8,0x001dddd9,0x001ddddb,0x3bbba200,0xdd700005,0x6c4005dd,
    0x5c00deee,0x3baa2eee,0x664c003e,0x64c001cc,0x027ec1de,0x11f774c0,
    0xb8009ddd,0x3baa1eee,0x0000002e,0xeee88000,0x3ffff602,0xffe8801f,
    0xfff8804f,0xf700004f,0x00003fff,0x009ffff1,0x01ffffb8,0x2e2fffc8,
    0x22004fff,0x006fffff,0x3fffffe2,0x8003ffcd,0x3e64fffa,0x7e4005ff,
    0x3ffee2ff,0xf9100003,0x2000019f,0xf500fffa,0x00dfffff,0x003fffe2,
    0x003fffe6,0x07fffe00,0x7ffdc000,0xffff8005,0x5fff9001,0x0027ffdc,
    0x9ffffffb,0x3fffee00,0x00ffffff,0x24fffa80,0x4005fff9,0x3ee2fffc,
    0x900003ff,0x0009fbdf,0x441fff20,0xfff9cfff,0x7fff3004,0x0fffe600,
    0x3fff7000,0x7ffc0000,0xfffa8005,0x3fff2002,0x013ffee2,0x7e57ffd4,
    0x4fd801ff,0x05dffb51,0x93ffea00,0x4005fff9,0x3ee2fffc,0xf00003ff,
    0x00007ecb,0xfe82fff4,0x07ffee6f,0x003ffcc0,0x8000fff5,0x00002ffe,
    0x4001bfea,0x44002ffe,0x26620999,0xfff88009,0x003bff64,0x00310155,
    0x40999880,0x44000999,0x26620999,0xf8800009,0x00003f25,0x4cc0fffe,
    0x004ccc09,0x88003310,0x4cc00019,0x4c400000,0x13300009,0x65cc4000,
    0x22001acd,0x4ccc4199,0xb9731000,0x54c00359,0x55000aaa,0x54c00555,
    0x00001aaa,0x05fcdfc8,0x1fff9800,0x55555553,0x55555555,0x55530355,
    0x2aaaa615,0xaaaaaaaa,0x531aaaaa,0x55555555,0x55555555,0x15555543,
    0x2aaaaa00,0x02aaaa61,0x7ffff5c0,0x00cfffff,0x02aaaa60,0xffffeb80,
    0x00cfffff,0x017fffe4,0x006ffff8,0x01fffffa,0x3fffa000,0xfb80007f,
    0x3fffee7f,0xffffffff,0xc83fffff,0xff71ffff,0xffffffff,0x7fffffff,
    0x3fffffee,0xffffffff,0x3fee3fff,0xf7001fff,0x7e43ffff,0x6c401fff,
    0xffffffff,0x002effff,0x003ffff9,0xffffffb1,0x5dffffff,0x17fffe40,
    0x06ffff80,0xffffff30,0x7cc00005,0x002fffff,0xf72ffec0,0xffffffff,
    0xffffffff,0x3ffff907,0x3fffffee,0xffffffff,0xfff73fff,0xffffffff,
    0x87ffffff,0x806ffffe,0x43fffff8,0x201ffffc,0xfffffff9,0xffffffff,
    0xfffc804f,0x7ffcc01f,0xffffffff,0x904fffff,0x2005ffff,0x9006ffff,
    0x0dffffff,0x7ffe4000,0x40006fff,0x3fee3fff,0xffffffff,0x3fffffff,
    0x71ffffc8,0xffffffff,0xffffffff,0x3fffee7f,0xffffffff,0x4c3fffff,
    0x402fffff,0xc86ffffc,0x3a01ffff,0xcdffffff,0xfffffecb,0x7ffe402f,
    0x7fff401f,0xecbcdfff,0x82ffffff,0x002ffffc,0x200dffff,0xffffffff,
    0xfff00001,0x003fffff,0xb87ffe60,0xeeeeffff,0xeeeeeeee,0xffffc82e,
    0xddffff71,0xdddddddd,0x3fee5ddd,0xeeeeeeff,0x2eeeeeee,0x0fffffc8,
    0x3fffff30,0x03ffff90,0x37fffff2,0xfffff300,0x7ffe401f,0x3fff201f,
    0xff300dff,0xfc81ffff,0xff002fff,0xff500dff,0x09ffffff,0xffff5000,
    0x0009ffff,0xff71ffee,0x200005ff,0xf71ffffc,0x40005fff,0x002ffffb,
    0xfffff100,0x3ffff609,0x3ffff904,0x7fffff30,0xffffd100,0x7fffe409,
    0xfffff301,0xfffd1007,0xffffc89f,0xdffff002,0xdffffb00,0x0000ffff,
    0xffdffffb,0x3f6000ff,0x7fffdc5f,0xff900002,0x3ffee3ff,0x3ee0002f,
    0x00002fff,0x03ffffea,0x01fffff5,0x207ffff2,0x006ffffc,0x07ffffe6,
    0x80ffffe4,0x006ffffc,0x87ffffe6,0x002ffffc,0x880dffff,0xffbcffff,
    0x220002ff,0xffbcffff,0xff8002ff,0x7fffdc3f,0xff900002,0x3ffee3ff,
    0x3ee0002f,0x00002fff,0x22ffffec,0x202ffffe,0xf81ffffc,0x4002ffff,
    0x902ffffd,0x3e03ffff,0x4002ffff,0x322ffffd,0xf002ffff,0xfb80dfff,
    0xfff89fff,0x3ee0006f,0xfff89fff,0x7fcc006f,0x7fffdc1f,0xff900002,
    0x3ffee3ff,0x3ee0002f,0x00002fff,0x97ffffc4,0x405ffffb,0x4c1ffffc,
    0x8007ffff,0x904ffffa,0xf303ffff,0x5000ffff,0x7e49ffff,0xff002fff,
    0xffe80dff,0x3ffffa6f,0xfffd0001,0x0fffff4d,0x81fff500,0x002ffffb,
    0x3ffff900,0x00bfffee,0x2ffffb80,0xffb80000,0xffff8eff,0x7ffe400f,
    0x7fffd41f,0xfff98006,0xffff905f,0xdffff503,0xffff3000,0x17fffe4b,
    0x06ffff80,0xa8ffffea,0x8004ffff,0x2a3ffffa,0x2004ffff,0xffb86ffc,
    0xeeeeeeff,0x03eeeeee,0x2e3ffff9,0xeeeeffff,0xeeeeeeee,0x3bfffee3,
    0xeeeeeeee,0xfd003eee,0xffffffff,0xffff9007,0x5ffffa83,0xffff8800,
    0x3ffff906,0x0bffff50,0xdffff100,0x017fffe4,0x206ffff8,0x220ffffd,
    0x8007ffff,0x220ffffd,0x2007ffff,0xffb84ffe,0xffffffff,0x04ffffff,
    0x2e3ffff9,0xffffffff,0xffffffff,0x3ffffee4,0xffffffff,0xf3004fff,
    0xdfffffff,0x3ffff200,0x27fffdc1,0x7ffff800,0x03ffff90,0x009ffff7,
    0xc9ffffe0,0xf002ffff,0x3e20dfff,0xffd85fff,0x3e2002ff,0xffd85fff,
    0xff8802ff,0xffffb82f,0xffffffff,0xf904ffff,0x3fee3fff,0xffffffff,
    0x24ffffff,0xfffffffb,0xffffffff,0x3ff2004f,0x001fffff,0xb83ffff9,
    0x8004ffff,0x907ffff8,0xf703ffff,0x10009fff,0x7e4fffff,0xff002fff,
    0x3fee0dff,0xfffa82ff,0x3fee006f,0xfffa82ff,0xfffa806f,0xfffffb80,
    0xffffffff,0xff904fff,0x3ffee3ff,0xffffffff,0x2e4fffff,0xffffffff,
    0xffffffff,0x7fff4004,0x3f2004ff,0x7fcc1fff,0xf98005ff,0xff906fff,
    0xfff303ff,0xff3000bf,0x7ffdcdff,0xffff002f,0x3ffffa0d,0x3fffff00,
    0x3ffffa00,0x3fffff00,0x706ffc80,0x3337ffff,0x33333333,0x3ffff201,
    0x37ffff71,0x33333333,0x7ffdc133,0x999999bf,0x00099999,0x07ffffd4,
    0x3ffff900,0x06ffff88,0x5ffffa80,0x03ffff90,0x00dffff1,0x4bffff50,
    0x802ffffb,0x986ffff8,0xcccfffff,0xffffeccc,0xffff9804,0xeccccccf,
    0x7404ffff,0xfff704ff,0x3200005f,0xff71ffff,0x5c0005ff,0x0002ffff,
    0x7fffc400,0x7ffe4005,0xfffff81f,0x7ffdc000,0xffff903f,0x3ffffe03,
    0x7ffdc000,0x3fffee3f,0xffff8802,0xfffffc85,0xffffffff,0xfc807fff,
    0xffffffff,0x7fffffff,0x40bffe20,0x002ffffb,0x3ffff900,0x00bfffee,
    0x2ffffb80,0x7c400000,0x64005fff,0xfe81ffff,0x22004fff,0x902fffff,
    0x3a03ffff,0x2004ffff,0x22fffff8,0x803ffffa,0xf85ffff9,0xffffffff,
    0xffffffff,0x7fffc02f,0xffffffff,0x02ffffff,0x2e01fff5,0x0002ffff,
    0x23ffff90,0x002ffffb,0x0bfffee0,0xff100000,0xfc800bff,0xffb81fff,
    0xf7000fff,0x3201ffff,0xf701ffff,0x2001ffff,0x20fffffb,0x806ffff9,
    0x544ffffb,0xffffffff,0xffffffff,0x3fea06ff,0xffffffff,0xffffffff,
    0x40dff906,0x002ffffb,0x3ffff900,0x00bfffee,0x2ffffb80,0x7c400000,
    0x64005fff,0xfd01ffff,0xb801dfff,0x203fffff,0x201ffffc,0x00effffe,
    0x1fffffdc,0x0fffffe2,0x3fffff88,0x55ffffec,0xaaaaaaaa,0xb01fffff,
    0x5557ffff,0xff555555,0xffd03fff,0x7fffdc0b,0xff900002,0x3ffee3ff,
    0x3ee0002f,0x00002fff,0x2ffffc40,0x3ffff200,0xfffff301,0xffd9817f,
    0x7e406fff,0x3e601fff,0x40bfffff,0x6fffffd9,0x7fffffb0,0x7ffed443,
    0x3ffe20ff,0x3ff2006f,0xfff884ff,0x3ff2006f,0x1aaa84ff,0x2ffffee0,
    0x99999999,0xfc819999,0xfff71fff,0x3333337f,0x23333333,0x99bffffb,
    0x99999999,0x3e200199,0x64005fff,0x3601ffff,0xffffffff,0xfffffffe,
    0x7ffe401f,0x7ffec01f,0xffefffff,0x01ffffff,0xfffffff3,0xffffffdf,
    0xffffc89f,0x3ffe6003,0xffffc87f,0x3ffe6003,0x3ee0007f,0xffffffff,
    0xffffffff,0x1ffffc87,0xfffffff7,0xffffffff,0x3ffeefff,0xffffffff,
    0x07ffffff,0x17fffe20,0x3ffff900,0x7fffe440,0xffffffff,0xfc802fff,
    0x64401fff,0xffffffff,0x2fffffff,0x7ffffe40,0xffffffff,0x7fffc0ff,
    0x7ff4000f,0x7fffc2ff,0x7ff4000f,0xf70002ff,0xffffffff,0xffffffff,
    0x3ffff90f,0x3fffffee,0xffffffff,0xfff77fff,0xffffffff,0x0fffffff,
    0x2ffffc40,0x3ffff200,0xfffe9801,0xffffffff,0xfff9000d,0x3fa6003f,
    0xffffffff,0xf5000dff,0xffffffff,0xfa81bfff,0xb8005fff,0x3ea6ffff,
    0xb8005fff,0x0006ffff,0xfffffff7,0xffffffff,0xfff90fff,0x3fffee3f,
    0xffffffff,0xf77fffff,0xffffffff,0xffffffff,0x7ffc400f,0x7fe4005f,
    0x36e001ff,0xdeffffff,0x7ffe4002,0x7edc001f,0x2defffff,0xfffd8800,
    0x02efffff,0x005ffffb,0x3fffff10,0x00bffff6,0x3ffffe20,0xfffb8001,
    0xffffffff,0x87ffffff,0xf71ffffc,0xffffffff,0xffffffff,0x3ffffeef,
    0xffffffff,0x2007ffff,0x005ffff8,0x00ffffe4,0x001a9880,0x0ffffe40,
    0x03531000,0xaa998000,0x00000009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xeee88000,0x003776c5,0x360e764c,0xd710003f,0x83fd415b,0x3ae1eeec,
    0x000002ee,0x2e62000c,0x0001acdc,0x00002e20,0xddb00000,0x320001bd,
    0x9801eeee,0x3000bcdb,0x75400bdd,0x44003eee,0x7ffc6fff,0x7ffcc007,
    0x2ffccfff,0xffffd000,0x20dfd9bf,0x3f21fffd,0x731002ff,0xb01579b9,
    0xffd5005f,0xbfffffff,0x7fe40001,0x6e44004f,0x332e2cef,0xfff9802c,
    0xff10002f,0xff9007ff,0xb005ffff,0xfc8009ff,0x7c4007ff,0x3fffc6ff,
    0x3fffee00,0x00ffffff,0xfffff880,0xb03fffff,0x7fe43fff,0x7ff5402f,
    0xcfffffff,0x203fff90,0xffffffc8,0x2fffffff,0xdadf9800,0xfff5001f,
    0x3f6bffff,0xffd804ff,0x3f20003f,0xffb803ff,0x00ffffff,0x0003ffe6,
    0x800ffff6,0x7fc6fff8,0x9ff4007f,0x02effdb8,0x654df500,0x3f604fff,
    0x3fff21ff,0xffff9102,0xffffffff,0x209fffbf,0xffffffe9,0xffffffff,
    0x87e4005f,0xffb804f8,0xdfffffff,0x4c04fffe,0x20003fff,0xf004fff8,
    0xfff31bff,0x027fec0b,0x00dffb00,0x4cc09998,0x05540019,0x260000c4,
    0x8801301a,0x4ccc4199,0xffffe980,0xffffffff,0x205fffff,0xdffffffe,
    0xffffedbc,0x3ee003ff,0xf8805f52,0xecceffff,0x04ffffff,0x00027fe4,
    0x4c017ff2,0x3ff62fff,0x01fff307,0x02ffe800,0x2aaaaaa6,0xaaaaaaaa,
    0x26001aaa,0x4001aaaa,0x000aaaa9,0x53055553,0xfe801555,0xbcdfffff,
    0xffffffec,0x3fffee06,0xfff500df,0x22001fff,0xd807feff,0xfc84ffff,
    0x4c04ffff,0x98800019,0x3ffea001,0x203fff21,0x80004ffd,0x3ee00998,
    0xffffffff,0xffffffff,0x3fffa003,0x7fdc007f,0xffb006ff,0xffff90df,
    0x7fffdc03,0xffd300df,0xff101fff,0xd1007fff,0x4009ffff,0x4400bec8,
    0x3606ffff,0x0004ffff,0x5c000000,0x3fee0fff,0x07ffcc0f,0xf7000000,
    0xffffffff,0xffffffff,0x3ffe6007,0x2e002fff,0x802fffff,0xfc86fffd,
    0xff101fff,0xe8807fff,0xc84fffff,0x2006ffff,0x01fffffa,0xfff30000,
    0x7ffd407f,0x0999954f,0x00e66644,0x79dfd951,0x07ffd401,0xfd81fff7,
    0x332a004f,0x3332204c,0xfffffb9c,0xffffffff,0x9003ffff,0x0dffffff,
    0x7ffffdc0,0x7ffec00f,0x1ffffc86,0x0dffff90,0xfffffe88,0x7fff40ff,
    0x7fec002f,0x76d402ff,0x503defff,0x4405ffff,0xff94ffff,0x7ffcc0ff,
    0xffff902f,0x207fffff,0x3f21fff9,0x07ffcc7f,0x0ffff900,0x5d7fffcc,
    0xeeeeffff,0xeeeeeeee,0xffff002e,0x2003ffff,0x4ffffffb,0x437ffec0,
    0xd01ffffc,0xd805ffff,0xffffefff,0x03ffffc3,0x27fffd40,0xffffff98,
    0x5c0dffff,0x7c01ffff,0xfff94fff,0x7fffcc0f,0xfffffc82,0x85ffffff,
    0x3fa4fff8,0x027fec6f,0x81ffff20,0xfbaffff9,0x00002fff,0xffffff50,
    0x3ee009ff,0x01ffffff,0x321bfff6,0xff01ffff,0xffd80fff,0x4ffffbaf,
    0x01bfffe2,0x17fffe60,0x3fffffe2,0x0effffff,0x007fffee,0x3f29ffff,
    0x3fe607ff,0x7ffe42ff,0xffffefff,0xfffc84ff,0x262fffed,0x64000fff,
    0x3e607fff,0xfffbafff,0xb000002f,0xfffdffff,0x3ffee00f,0x3606ffff,
    0xffc86fff,0xfff881ff,0x3fff206f,0x4bffff53,0x005ffff9,0x86ffff88,
    0xcdfffffc,0x22fffffe,0x202ffffa,0xf94ffff8,0x7fcc0fff,0x3ffee2ff,
    0x7ffd42ff,0x7ff441ff,0x7ec5ffff,0xffc8004f,0x3ffe607f,0x2ffffbaf,
    0xff880000,0xffffbcff,0xffffb802,0xfb03ffff,0xfff90dff,0xffff503f,
    0x93ffee0b,0x2e6ffff9,0x0004ffff,0xf88fffff,0xffa85fff,0x3ffe64ff,
    0x3ffea04f,0x0ffff94f,0xb17fffcc,0x2603ffff,0xd906ffff,0xff985dff,
    0xffc8000f,0x3ffe607f,0x2ffffbaf,0xffb80000,0xffff89ff,0xffffb806,
    0xd80fffff,0xffc86fff,0xfffb81ff,0x5fffa84f,0x53ffffc4,0x0009ffff,
    0x10fffff1,0x3fe01973,0x3ffe24ff,0xfffd00ff,0x1ffff29f,0x22ffff98,
    0x6c04ffff,0x0000ffff,0xdc889ffb,0xfffc83de,0x3fffe607,0x02ffffba,
    0xfffe8000,0x07ffffa6,0xfbffff70,0xffb0bfff,0xffff90df,0x9ffff503,
    0x886fff98,0x3e67ffff,0x98005fff,0x0006ffff,0xc8bfffd3,0x223fffff,
    0x94fffffe,0x7cc0ffff,0xfff32fff,0xfffb805f,0xff98001f,0x3fffea0f,
    0x3ff20dff,0x3ffe607f,0xeffffbaf,0xeeeeeeee,0x7d403eee,0x3fea3fff,
    0x7fdc04ff,0xfffff9ff,0x437ffec2,0x981ffffc,0x3e66ffff,0xff980eff,
    0x3ffe26ff,0xffa8006f,0xb75004ff,0x8bffffff,0xfffffff9,0xfffffffe,
    0x40ffff94,0xf72ffff9,0xfa803fff,0xd8003fff,0x3ffe24ff,0x324fffef,
    0x3e607fff,0xfffbafff,0xffffffff,0x404fffff,0x220ffffd,0x5c07ffff,
    0xffb8ffff,0x7ffec6ff,0x1ffffc86,0x17ffff88,0x2a01fffd,0x7fc5ffff,
    0x5c0207ff,0x2e03ffff,0xfffffffd,0xffa85fff,0xcfffffff,0xff94ffff,
    0x7ffd40ff,0x3ffff92f,0x3ffff980,0x07ffcc00,0x3f21fff9,0xffff90ff,
    0x57fffd40,0xfffffffb,0xffffffff,0x3ffe204f,0xffffd85f,0x3fffee02,
    0x47ffffd0,0xfc86fffd,0xfff01fff,0x3fffd3ff,0x1ffffdc0,0x40fffffa,
    0x3ffe21ee,0xffe882ff,0xffdfffff,0xfff505ff,0x3fe7ffff,0xffff94ff,
    0x97fffd40,0x402ffffb,0x002ffffa,0x3fa27ff4,0x4bffe65f,0x2a07fffc,
    0xffbaffff,0xffffffff,0x04ffffff,0x20bfffee,0x206ffffa,0xf30ffffb,
    0x3f61ffff,0xfffc86ff,0xffffd01f,0xe805ffff,0x7dc2ffff,0x7d40ffff,
    0xfffb9dff,0x7ff440ff,0x3fa1beff,0x36e605ff,0xfff11bdf,0x3ffff27f,
    0x5ffff700,0x00ffffea,0x001ffff9,0x3e07ffcc,0x3ffe24ff,0x01ffff93,
    0x2ebfffee,0x999bffff,0x99999999,0x3ffffa00,0x3fffff00,0x83fffee0,
    0xfb5ffffc,0xfff90dff,0x3ffea03f,0x5c02ffff,0xe80fffff,0x2e0dffff,
    0xffffffff,0xfffa83ff,0xbfffd03f,0x7ffc4000,0x1ffff73f,0x4bffff20,
    0x00fffff8,0x00fffff1,0xff84ffe8,0x53ffe24f,0x900ffffb,0xff75ffff,
    0x200005ff,0xccfffff9,0xfffecccc,0xffff704f,0x7ffff441,0xc86fffda,
    0x3a01ffff,0x403fffff,0x03fffff9,0x3dfffff5,0x7ffffe44,0xfff906ff,
    0x3fffe01f,0x04d666c5,0x52ffff98,0xf509ffff,0x7ec5ffff,0x6c40dfff,
    0x2003ffff,0xff80fff9,0x4fffe24f,0xa84ffffa,0xfbafffff,0x00002fff,
    0xfffffff9,0xffffffff,0x3ffee0ff,0x7fffd40f,0xc86fffde,0x2a01ffff,
    0x01efffff,0x0dfffff7,0xffffffd8,0xffffedef,0xffb02fff,0xfff903ff,
    0xffffe8bf,0x1ffffb04,0x33ffffe2,0xfffffca9,0x3fffe62f,0xfffcacff,
    0x7f4005ff,0x4bffd04f,0xff12fff9,0xf9539fff,0xf75fffff,0x00005fff,
    0x3ffffffe,0xffffffff,0xffb82fff,0xfffd80ff,0xc86fffff,0x2e01ffff,
    0xefffffff,0xfffffecd,0x7e4401ff,0xffffffff,0xefffffff,0xdffffb82,
    0xfffff931,0xfffffc8d,0xfffedbbd,0x7ffff45f,0xffefffff,0x7ffd42ff,
    0xffffffff,0x3ea000ff,0xfff900ff,0xe87fff21,0xffffffff,0xbaffffef,
    0x0002ffff,0xffffffa8,0xffffffff,0xfb86ffff,0xff880fff,0x86ffffff,
    0x501ffffc,0xffffffff,0xffffffff,0x754005ff,0xffffffff,0xffffffff,
    0x3fffe61e,0xffffffff,0x7ffc47ff,0xffffffff,0x7f440fff,0xf5ffffff,
    0xff505fff,0xffffffff,0xffe8001b,0x3fffe204,0x7445fffe,0x5fffffff,
    0xff75ffff,0xb00005ff,0x5557ffff,0xff555555,0xffb83fff,0xfff700ff,
    0xf90dffff,0xff303fff,0xfffff7df,0xbfffffff,0x3f6e0001,0xacefffff,
    0x45fffffe,0xfffffffb,0x1ffffbdf,0x7fffff4c,0x02efffff,0x7dffffb1,
    0x8817fffc,0xefffffdb,0xfffa8003,0x7fffdc00,0xfd880eff,0x3fe3efff,
    0xffffbaff,0x9999999b,0x22199999,0x2006ffff,0x5c4ffffc,0x3a00ffff,
    0x86ffffff,0xc81ffffc,0xff710fff,0x5bdfffff,0x54c40000,0x3ffff701,
    0xdffffd50,0x827fffc7,0xeffffeda,0x02a6003d,0x01a88000,0x027ff400,
    0x03dfec98,0x2e001530,0xffffffff,0xffffffff,0x3ffff27f,0x3ffe6003,
    0x7fffdc7f,0x3fffe600,0xfffc86ff,0x403f901f,0x00001a99,0x5fd98000,
    0x00055440,0x00001100,0x00000000,0x00000000,0x3ffee000,0xffffffff,
    0x27ffffff,0x000fffff,0x717ffff4,0xd801ffff,0xc86fffff,0x0201ffff,
    0x00000000,0x00004400,0x00000000,0x00000000,0x00000000,0x7ffdc000,
    0xffffffff,0x57ffffff,0x000bffff,0x5cdffff7,0x4400ffff,0xc86fffff,
    0x0001ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ffffee0,0xffffffff,0xffb7ffff,0xf10005ff,0x3ee3ffff,0xfb800fff,
    0xffc86fff,0x000001ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xdd317bb2,0x7664c05d,0x74c002bc,
    0x00004eee,0x003dddd9,0x002f776c,0x20198044,0x76c5eee8,0x000000ee,
    0x07dddd50,0x3bbba600,0x76c40003,0xdd3004ee,0x2f77449d,0x893bba60,
    0x3b605eee,0xffd0002e,0x81fffb8d,0xffffffd8,0x3ee002ef,0x40000fff,
    0x003ffff8,0x13ffffee,0x5f7fe440,0x2201ff30,0x7ffc7fff,0xfeca800f,
    0x32002def,0x20007fff,0x000ffffb,0x3fffff60,0x5fff9802,0x301bffe2,
    0x7fc4bfff,0x17ff606f,0x13ffe200,0xfb01fffb,0xffffffff,0x7fe4003f,
    0x7e40004f,0x3e6004ff,0x01fffeff,0xffffffc8,0x3e207ffe,0x7fffc7ff,
    0x3fff6200,0x01efffff,0x005fffb0,0x01fffe40,0xfefffa80,0x7fcc00ff,
    0x1bffe25f,0x44bfff30,0x3ee06fff,0xff98007f,0x437ffc2f,0xfffffffc,
    0x4007ffff,0x0000fffc,0x4009fff1,0xfe8effe8,0xddff806f,0x04ffffff,
    0xff1fffe2,0x3fe601ff,0xffffffff,0xffb001ff,0xffd8000d,0xfff88007,
    0x405fff8c,0x3e25fff9,0x7fcc06ff,0x1bffe25f,0x000fff98,0xf10fffdc,
    0xfff889ff,0xffff31ef,0xffd8001f,0xbff70003,0x0fffc800,0x4c09fff1,
    0x17764c7f,0x260cccc0,0x3ffa0199,0xfffdefff,0xfd1006ff,0xfd80005f,
    0x7ff4003f,0x00fffe66,0x99981333,0x40999800,0x7fc00999,0x7fec002f,
    0x21fffd47,0x642ffffa,0x8001ffff,0x31000099,0x13330003,0x00019988,
    0x70000000,0x443bffff,0x002ffffd,0x00001331,0x99800133,0x004cc409,
    0x00000000,0x1027fec0,0xdffd3333,0x5fff9333,0x3fffee13,0x03fffe40,
    0x00000000,0x00000000,0x7c000000,0xff306fff,0x000007df,0x00000000,
    0x00000000,0x37fdc000,0xffffffb0,0xffffffff,0x3ff27fff,0x4ffff87f,
    0xfffdb500,0x36a007bd,0x03defffe,0xdfffdb50,0x3b6a007b,0x003defff,
    0xbdfffdb5,0x3fffe207,0x44006a03,0x02cefedb,0x77f65440,0x2e2000bc,
    0x002cefed,0x33bfb6e2,0x76544002,0x9800bcef,0xffb00fff,0xffffffff,
    0x7fffffff,0xf71ffff2,0xf9805fff,0xffffffff,0xfff300df,0xbfffffff,
    0x3fffe601,0x0dffffff,0xffffff30,0x201bffff,0xfffffff9,0x7d40dfff,
    0x80002fff,0xfffffffa,0xffc800df,0x3fffffff,0xfffffa80,0x5400dfff,
    0xffffffff,0xfffc800d,0x03ffffff,0xd817ffc4,0xffffffff,0xffffffff,
    0x8ffffb3f,0x4406fffe,0xffffffff,0x440effff,0xffffffff,0x440effff,
    0xffffffff,0x440effff,0xffffffff,0x440effff,0xffffffff,0x2e0effff,
    0x0001ffff,0x7fffffe4,0x201fffff,0xfffffffc,0x3205ffff,0xffffffff,
    0xff901fff,0xffffffff,0x7ffe403f,0xffffffff,0x827ff405,0xfffeaaa9,
    0xcfffcaaa,0xffffb1aa,0x017fffcc,0x37fffff2,0x2fffffec,0x6fffffe4,
    0x2fffffec,0x6fffffe4,0x2fffffec,0x6fffffe4,0x2fffffec,0x6fffffe4,
    0x2fffffec,0x007fffee,0xfffff980,0x6fffffcf,0xffffff90,0x9ffffffd,
    0xffffff30,0x0dfffff9,0x9ffffff3,0x20dfffff,0xeffffffc,0x04ffffff,
    0x7c01bff2,0x7ffdc5ff,0x27fffd81,0x202ffffc,0xa85ffff8,0x3e24ffff,
    0xffa85fff,0x3ffe24ff,0xffffa85f,0x17fffe24,0x893fffea,0xfa85ffff,
    0x3fea4fff,0x3a0002ff,0x7dc2ffff,0x7fdc2fff,0x7fd42fff,0x7ff41fff,
    0x7ffdc2ff,0x7ffff42f,0x17fffdc2,0x0bffffee,0x03fffff5,0x1003ffea,
    0xffd89fff,0x4ffffb07,0x00effffb,0x7c032e62,0x5cc44fff,0x9ffff00c,
    0xf00cb988,0xb9889fff,0x9ffff00c,0xf00cb988,0x7fcc9fff,0x2b2e03ff,
    0x3fffea09,0x8dfffd04,0x301ffffd,0x7d4dffff,0xffd04fff,0x7fffd4df,
    0x8dfffd04,0x301ffffd,0x220dffff,0x7d402fff,0x37ff42ff,0x227fffd8,
    0x00efffff,0x3fffa600,0xffe98005,0xfe98005f,0xe98005ff,0x98005fff,
    0x3e25fffe,0xff106fff,0x7ffdcdff,0xffff702f,0x027fffc1,0x5c3ffff6,
    0xf702ffff,0x3fee1fff,0xfff702ff,0x27fffc1f,0x03ffff60,0x2e027ff4,
    0x3fe21fff,0xffffb04f,0x5fffffa8,0x3ff6ea00,0xa805ffff,0xffffffdb,
    0xffdba805,0xa805ffff,0xffffffdb,0xffdba805,0x7ec5ffff,0xffc83fff,
    0x3fff23ff,0xbaaaaabf,0xff31ffff,0xffb805ff,0xffff91ff,0xf7555557,
    0x3ff23fff,0xaaaaabff,0xf31ffffb,0xfb805fff,0xff901fff,0xfffdd90b,
    0xfffddddf,0x3f65dddd,0xfffb87ff,0x3f6e04ff,0xffffffff,0xfffb705f,
    0xbfffffff,0x3ffff6e0,0x05ffffff,0xffffffb7,0x2e0bffff,0xfffffffd,
    0x7fc45fff,0xfebbdfff,0x3f60ffff,0xffffffff,0x72ffffff,0xa803ffff,
    0xffb3ffff,0xffffffff,0x365fffff,0xffffffff,0x2fffffff,0x803ffff7,
    0x503ffffa,0xfffb0fff,0xffffffff,0x27ffffff,0xf907fffd,0xe885ffff,
    0xdfffffff,0x7445ffff,0xdfffffff,0x7445ffff,0xdfffffff,0x7445ffff,
    0xdfffffff,0x7445ffff,0xdfffffff,0xfc85ffff,0xffffffff,0x7ff42fff,
    0xffffffff,0xf93fffff,0xf9803fff,0xfffd3fff,0xffffffff,0x3fa7ffff,
    0xffffffff,0x93ffffff,0x9803ffff,0xf103ffff,0xfffd83ff,0xffffffff,
    0xb3ffffff,0x7e40ffff,0x3fa27fff,0x3a1befff,0x3fa25fff,0x3a1befff,
    0x3fa25fff,0x3a1befff,0x3fa25fff,0x3a1befff,0x3fa25fff,0x3a1befff,
    0xff705fff,0xffffffff,0x9ffffb07,0x99999999,0x3ffee599,0x7ffd402f,
    0x9ffffb2f,0x99999999,0x3fff6599,0xcccccccf,0xff72cccc,0xffa805ff,
    0x3ffa02ff,0x7ffffec3,0xffffffff,0xffb3ffff,0xfffd80ff,0x7ffff51f,
    0xa97fffa0,0xfd03ffff,0x7ffd4bff,0xbfffd03f,0x81ffffd4,0x3ea5fffe,
    0xffd03fff,0x7fecc0bf,0x901dffff,0x0003ffff,0x807ffff5,0xf90ffffc,
    0x90003fff,0x0003ffff,0x807ffff5,0x200ffffc,0xff905ffd,0x27ffc43f,
    0x80ffffb0,0xf93ffff9,0x3fe01fff,0x3fff25ff,0xbffff00f,0x807fffe4,
    0x3f25ffff,0xfff00fff,0x7fffe4bf,0x0bffff00,0x019ffb30,0x03ffffb8,
    0xff881375,0xff100fff,0x7ffdcfff,0x8137503f,0x503ffffb,0xfff88137,
    0xfff100ff,0x7ffb80ff,0xf98fffb0,0x3ff602ff,0xff31c47f,0x3fff67ff,
    0xffffc81f,0x07ffff65,0xd97ffff2,0xfc81ffff,0x3ff65fff,0xfffc81ff,
    0x3ffff65f,0x5ffffc81,0xffffff80,0x3fffe202,0xfffff886,0x37ffff60,
    0x7fffec40,0x1bfffe23,0x43ffffe2,0x886ffff8,0x360fffff,0x440dffff,
    0x403ffffd,0xff81fff9,0x0fffdc5f,0x5cffffb0,0xfffebcff,0xbffff71f,
    0x3ffff263,0x3fffee6f,0xffff931d,0x7fffdcdf,0xffff931d,0x7fffdcdf,
    0xffff931d,0x7fffdcdf,0xffff931d,0x2e2300df,0x7fe406ff,0xfda9cfff,
    0x7fcc4fff,0xfcacffff,0xfc85ffff,0xda9cffff,0x7e44ffff,0xda9cffff,
    0x7cc4ffff,0xcacfffff,0x005fffff,0xff887fff,0x03ffec4f,0x7d5ffff6,
    0xffffffff,0x3ffffe65,0xffffffff,0x3fffe67f,0xffffffff,0x3ffe67ff,
    0xffffffff,0x3fe67fff,0xffffffff,0x3e67ffff,0xffffffff,0x007fffff,
    0x2200fff8,0xfffffffe,0xa80effff,0xffffffff,0x880fffff,0xfffffffe,
    0x440effff,0xfffffffe,0xa80effff,0xffffffff,0x000fffff,0xffa8bffb,
    0x037ff42f,0xfb9ffff6,0x0fffffff,0x7fffffdc,0xffffbdff,0x3ffffee1,
    0xfffbdfff,0x3fffee1f,0xffbdffff,0x3ffee1ff,0xfbdfffff,0x3fee1fff,
    0xbdffffff,0x3101ffff,0x0bffb513,0xfffffb10,0x401dffff,0xfffffffa,
    0x2200dfff,0xfffffffd,0xfb100eff,0xffffffff,0x7ffd401d,0xdfffffff,
    0x1ffee000,0x7c43fff9,0x7fec04ff,0x7ffedc7f,0xffd500df,0x7ffc7dff,
    0x7fff544f,0x3fffe3ef,0x7ffff544,0x13fffe3e,0x7dffffd5,0x2a27fffc,
    0x23effffe,0xfb04ffff,0x03ffffff,0x7ffff5c0,0xb8800bff,0x3efffffd,
    0x3fffae00,0xb800bfff,0xbffffffe,0xffdb8800,0x8003efff,0x2a60fff9,
    0x0d55442a,0x09a88000,0x00155100,0x00055440,0x00015510,0x00005544,
    0x40001551,0x03defeec,0x00cd4c00,0x0006a200,0x00066a60,0x00019a98,
    0x40000d44,0x00000aaa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xddb00000,0x65cc009d,0x07950002,
    0x000cca80,0xa800b322,0x322000cc,0x2ea0002c,0x0000bcdc,0xee89ddd1,
    0x4022005e,0xeed80019,0x2620005e,0xed80001a,0xa8800dee,0x50081aaa,
    0x64009999,0x803fffff,0x04fffffd,0x800ffe20,0x2001fff9,0xf3000ffc,
    0x7e4003ff,0xfe98000f,0x0cffffff,0x2fffcc00,0x2201fffe,0xf30beffd,
    0x7fe4001f,0x4c003fff,0x0dfffffe,0xffffa800,0x3ffee002,0x904fb8af,
    0x5001ffff,0x1fffdfff,0x7f7ffdc0,0xdfb002ff,0x3ffee200,0x7ff1001f,
    0xffff7100,0x0ffe2003,0x3fffe600,0x05ffffff,0x22fffcc0,0xfd807fff,
    0xffefffff,0x3ffe6007,0x7001fffe,0xffffffff,0xffd8003d,0xff98002f,
    0x903fffff,0x8801ffff,0xfff8dfff,0x543ffa06,0xff9806ff,0xffffa802,
    0xdfb001ff,0xfffff500,0x1bf6003f,0x7ffffc00,0x3ffffece,0x17ffe600,
    0xff00ffff,0xffffffbb,0x3ffa2009,0x806ffe8d,0xfffffffa,0x3000ffff,
    0x40007fff,0x406ffff9,0x400ffffc,0xff30effd,0xf70cc07f,0x0bfd00bf,
    0x3ff3fee0,0x2ff9801f,0xffcffb80,0x2ff9801f,0xffff9800,0x02fffe43,
    0x33026660,0x47f98033,0x2002eec9,0xff30fffd,0xfffe809f,0xffffebdf,
    0x09ffb003,0x3fff2200,0x3f203fff,0x4cc00fff,0x00ccc409,0x0077ffdc,
    0x5c007fea,0x003ffd0c,0x32e00dfd,0xd003ffd0,0x3ea000df,0x7fc41fff,
    0x0000007f,0x26000000,0x0ccc4099,0x87ffff30,0x3006fffe,0x3e600033,
    0xffff9aef,0x00000002,0x1bfff900,0x0004fe80,0xf5007ffa,0x3fa0003f,
    0x0ffd401f,0xffff9800,0x037ffe44,0x00000000,0x20000000,0x540ffffd,
    0x0002ffff,0xfa83b000,0x33101fff,0x02666540,0x20399991,0x00fffcaa,
    0x40001ff7,0x7f401ffe,0x3ffa0005,0x002ff401,0x47ffffe0,0x803ffff9,
    0x2204ccca,0x2201cccc,0x0bcefeca,0x7f654400,0x7fc00bce,0xffff05ff,
    0x7f6dc40b,0x544002ce,0xfffd8acb,0x201ff905,0x2607fffc,0xd802ffff,
    0x3ff883ff,0x0fff4000,0x0001ff70,0xf700fff4,0xfb80001f,0xfffbffff,
    0xffc800ff,0x3ffe607f,0xffff902f,0x007fffff,0x3ffffff2,0xff103fff,
    0x3ffa07ff,0xffff505f,0x001bffff,0xdffffff7,0xfb05ffff,0x3fff203f,
    0x3fffe607,0xfd8ffd12,0x006fc83f,0x101ffe80,0xe80009ff,0x9ff101ff,
    0x3ffa0000,0x2fffffff,0x0ffff900,0x417fffcc,0xfffffffc,0x6405ffff,
    0xffffffff,0xff985fff,0xfffb02ff,0xfffff90d,0x03ffffff,0x7fffffec,
    0x86ffffff,0xff902ffe,0x7ffcc0ff,0x2b7ff62f,0x7cc1fffc,0xfe80002f,
    0x01ff901f,0x01ffe800,0x00001ff9,0x3fffffe6,0x3f2001ef,0x3fe607ff,
    0x7ffe42ff,0xffffefff,0xfff904ff,0xffffdfff,0xfff989ff,0xffffb02f,
    0xffffff98,0x06fffffc,0xfffffff9,0x5fffffff,0xf903ffe8,0x7fcc0fff,
    0x3ffe22ff,0xfd84ffff,0xffd00006,0x007ff103,0x103ffd00,0x200007ff,
    0xffffffd8,0x7fe4000e,0x3ffe607f,0x3fffee2f,0x7fffd42f,0x7fffdc1f,
    0x7fffd42f,0x3fffea1f,0x1ffffb02,0x217ffff4,0x4c2ffffb,0x89cfffff,
    0x4fffffd9,0xfc81fffc,0x3fe607ff,0x7edc42ff,0x1ffa82df,0x3ffd0000,
    0x0000dfb0,0x3f607ffa,0xff700006,0x5fffffff,0x7fffc800,0x8bfffe60,
    0x301ffffd,0xfd8dffff,0xff301fff,0x7ffdcdff,0xffff902f,0x13fffea1,
    0x3a37fff4,0xf903ffff,0x7fc4ffff,0xffff904f,0x17fffcc0,0x80bfd000,
    0x20001eec,0xedb82ff9,0x260001ce,0x776402ff,0xfffff701,0x41ffffff,
    0xfff900ac,0x7fffcc0f,0x013fffe2,0x7c1ffffb,0x7ec04fff,0xfff70fff,
    0x3fff205f,0x5ffff70f,0x43fffee0,0x206ffff8,0x31fffff8,0x3f20bfff,
    0x3fe607ff,0xf70002ff,0x7ffdc01f,0x17fa0001,0xfffffff1,0x17fa0005,
    0x303fff70,0xd19fffff,0x3eadffff,0x7fe40fff,0x3ffe607f,0x5ffff32f,
    0x1ffffb80,0x805ffff3,0xf71ffffb,0x3f605fff,0xfff90fff,0x7555557f,
    0x3ea3ffff,0x7e403fff,0xfff32fff,0x1ffff20d,0x02ffff98,0x204ff880,
    0x001ffff9,0xfb83ff50,0x06ffdcef,0x201ffa80,0xe81ffff9,0x3e63ffff,
    0xffdcffff,0x7fffc86f,0x4bfffe60,0x401ffffb,0xf73ffffa,0xfa803fff,
    0xfff53fff,0x3fff605f,0x3fffff67,0xffffffff,0xffff72ff,0xffffb805,
    0x20ffff53,0x2a07fffc,0x8002ffff,0xff100ffc,0x20003fff,0x1fff84ff,
    0xf000bffa,0x7ffc409f,0x7ffcc1ff,0xffffa86f,0xc83fffff,0x3ea07fff,
    0xfff92fff,0xfff9803f,0x3ffff93f,0x3ffff980,0x205ffff3,0x3fa6fffd,
    0xffffffff,0x73ffffff,0xa803ffff,0xff72ffff,0x3fff20ff,0x3fffea07,
    0x1ffc4002,0x3ffddfd0,0x01ff7000,0x2ffe8533,0x803fee00,0x41ffdefe,
    0x903ffffa,0xffffffff,0x0ffff901,0xb97fffd4,0x5402ffff,0xff72ffff,
    0xffa805ff,0xffff12ff,0x97fffa07,0xcccffffd,0xcccccccc,0x05ffff52,
    0x91ffffb8,0xf901ffff,0x3ee01fff,0x6c002fff,0x27ff606f,0x44001ffd,
    0x3f2003ff,0xff1000ff,0x6cffec07,0x7ffdc1ff,0x3fff602f,0xff904fff,
    0x3fee01ff,0xffff52ff,0xffffc807,0x07ffff50,0x10ffffc8,0x3e0bffff,
    0x3ff25fff,0xf98001ff,0x7ec04fff,0xfffb0fff,0xffff703f,0x3ffff201,
    0x0bfe6002,0xffd97fdc,0x037e4001,0x005fffb0,0xff7037e4,0xf307ff65,
    0x7c40dfff,0x703fffff,0x3201ffff,0xff12ffff,0x3e201fff,0x3fe27fff,
    0xff100fff,0xfffd8fff,0x7fffd40f,0x0ffffee2,0x7fc04dd4,0xff100fff,
    0x7ffecfff,0xffffa81f,0xfffffa84,0x417fa002,0xfd99dffa,0xff3001af,
    0xfffd1005,0x17fcc005,0xd99dffa8,0x3fe21aff,0xfe882fff,0x84ffffff,
    0xa84ffffa,0x362fffff,0x440dffff,0x6c3ffffd,0x440dffff,0x543ffffd,
    0x7f44ffff,0x7ffc46ff,0xffff886f,0x3ffff20f,0x7fff440d,0x3ffff62f,
    0xfffff881,0xffffca9c,0xff5002ff,0x3ffff603,0x007fffff,0xfd300dfb,
    0xfd8003ff,0x3ffff206,0x647fffff,0xbcffffff,0xfffffffd,0x3e21efff,
    0xca9cffff,0x22ffffff,0xcffffff9,0x5fffffca,0xffffff98,0xfffffcac,
    0xbffffd05,0x07ffffd7,0x39fffff9,0x09ffffb5,0x59dffffd,0x8bfffff9,
    0xd01ffffd,0xffffffff,0x05ffffdf,0xfd813fa0,0xffffffff,0x01ffa807,
    0x0077ffc4,0xc807fea0,0xffffffff,0xffffe87f,0xffffffff,0x4fffffff,
    0x7ffffff4,0xffffefff,0x7ffffd42,0xffffffff,0xfffff500,0xffffffff,
    0x3fffee01,0x0fffffff,0xfffffe88,0x0effffff,0xffffff98,0x0fffffff,
    0x80ffffec,0xffffffe8,0x05ffff5f,0x4401ff70,0xffd99999,0x05fe801a,
    0xffffffd8,0x2ff403ff,0x26666620,0xd881affd,0xffffffff,0xffd89eff,
    0xfffe886f,0xfff5ffff,0xffff505f,0x1bffffff,0xfffffa80,0x00dfffff,
    0x7fffffd4,0x36201eff,0xffffffff,0x3fa600ef,0xffffffff,0xffffd80d,
    0x3fff6201,0x3fffe3ef,0x01ffc402,0x801ffd80,0x7c400ffb,0xffffffff,
    0x003fee03,0x200ffec0,0xffffffea,0x00ffb83e,0x7dffffb1,0x8817fffc,
    0xefffffdb,0x3f6e2003,0x003effff,0x3fffffa6,0xffd7000d,0x0017ffff,
    0x3fffffb2,0x3bbb203e,0x0153001e,0x00bd7000,0x40066540,0xcc9803ed,
    0x1ccccccc,0x8000fb60,0x26000cca,0x018801aa,0x00001530,0x80000d44,
    0x980001a8,0x54c0001a,0x26200019,0x0000001a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2aa20000,0x2ea20001,0x400aacdd,0x400cccca,0x000cccca,0xca880000,
    0x000bcded,0x01353100,0x6e5cc400,0x980001ac,0x800009aa,0xbcdedca8,
    0xaa980000,0x2aaa9800,0xdb880000,0x332a3def,0xfffd902c,0x2a001bff,
    0xffffffff,0x3fea03ff,0x7ff404ff,0xffff907f,0xdfffffff,0x3fff6600,
    0x2dffffff,0xfffd7000,0x5c001bff,0xfffffffe,0x22000cff,0xeffffffc,
    0xffd98002,0xdfffffff,0x7fe44002,0x3603efff,0x00006fff,0x7fffffcc,
    0x89fff95f,0xffffffe8,0x7dc02fff,0xffffffff,0xff00efff,0x7fc40dff,
    0xfffd04ff,0xffffffff,0xffff900d,0xffffdbff,0x362001bf,0xffffffff,
    0x7fec401f,0xffffffff,0xf9802eff,0xffffffff,0x3ff2005f,0xffedffff,
    0xa800dfff,0xffffffff,0xfffd80df,0x3ea00006,0xffffffff,0x224fffdd,
    0xffffffff,0xfb00ffff,0xffffffff,0x20dfffff,0x701ffffc,0x3e03ffff,
    0xffffffff,0x3a206fff,0x440bdfff,0x01efffda,0x7fffff44,0x00ffffff,
    0xfffffff3,0xffffffff,0xfffe809f,0xffffffff,0x7fff4403,0x7edc41bd,
    0x3e201eff,0xffffffff,0xfffd86ff,0x3fe00006,0xfeddffff,0x2e4fffff,
    0xfccfffff,0xf885ffff,0xbbdfffff,0x3ffffffd,0x04ffff98,0x220dfffd,
    0xffffffff,0xd106ffff,0x64001bff,0x3ee00fff,0xfebbefff,0xffd04fff,
    0x979bffff,0x5ffffffd,0x3ffffee0,0xfffffdac,0x037ffa00,0x00fffc80,
    0xd9fffffb,0xd87fffff,0x00006fff,0x81dffff7,0x24fffffb,0xfe86fffe,
    0x7fd40fff,0x3ff603ff,0xfffd06ff,0x7ffff10d,0x2bfffea0,0x2aaaaaaa,
    0x0007ffb0,0x7c41bfea,0xffe85fff,0xffffc86f,0xfff300df,0xffb01fff,
    0xffff50ff,0x80fff605,0x217fea00,0x544ffffa,0x7ec6ffff,0xf00006ff,
    0x3601ffff,0xff34ffff,0xfff705ff,0x7fffd83f,0x7ffffcc0,0x1ffffb80,
    0x807fffdc,0x0006fffc,0x3ba2bff5,0x82ceeeee,0xffb83ffb,0xeffb81ff,
    0x3fffe60d,0xffe8803f,0xffff84ff,0x07ffff04,0xd9309ff5,0xff705bff,
    0x07fffb87,0x6c5ffff7,0x80006fff,0x204ffff8,0x4c4ffff9,0xffff704a,
    0x1ffffd81,0x06677640,0x227fffc4,0x3605fffe,0xd0004fff,0x7fffc4df,
    0xd85fffff,0x6fffe87f,0xffff9000,0x7ffcc00d,0x7fff41ff,0x05fffd03,
    0xfff50dfd,0xfb09ffff,0x05fffd8f,0x6cbffff1,0x3f6e6fff,0x7cc00bdf,
    0x7fc03fff,0x7f4004ff,0xfffc86ff,0xb00002ef,0x7fc4dfff,0x3ffe02ff,
    0x3001313f,0x6ffc47ff,0x2fffbaaa,0x3fe17fcc,0xff0004ff,0xd8005fff,
    0x7dc2ffff,0xfff986ff,0x217fcc0f,0xeb9dfff9,0x17fd42ff,0x7c0bfffd,
    0x3ff66fff,0xffffd8ef,0x3ea02fff,0x7fc02fff,0xf93004ff,0xff507fff,
    0x159fffff,0x3ffea000,0x0ffff71f,0x76ffffc4,0x3204efff,0x13fe21ff,
    0x3fa13fea,0x4ffffe25,0x300acdca,0x000fffff,0x989ffff5,0xd50cffff,
    0xff90dfff,0xf883fff0,0x97fe20ff,0x3e05fffe,0x3ff67fff,0xffffffff,
    0xf502ffff,0xff803fff,0x7fcc04ff,0x3603ffff,0xffffffff,0x7c001bef,
    0xfffb4fff,0x7fffcc09,0xefffffff,0x7c47fe81,0x84ff984f,0x3ffe67fb,
    0xfffffdbf,0xffffa82f,0xfff98006,0xffffa85f,0x0effffff,0x7fc45fe8,
    0xfd013304,0x837ffe4f,0xb0fffff9,0x9dffffff,0x1ffffffb,0x05ffff30,
    0x404ffff8,0x02fffffa,0x7fffff44,0x1dffffff,0x1dfff900,0x5c03ffff,
    0xffffffff,0x7c0fffff,0x227fc45f,0xfa80ffd9,0xfffff50f,0xffffffff,
    0x5ffffa89,0xffff8800,0xffffd106,0x7fc0bfff,0x0017fd43,0xffb87fe4,
    0xfffc81ff,0xffffb0ff,0xfffd887f,0xffff884f,0x3fffe603,0x7fffdc04,
    0x7e4400df,0xffffffff,0xf9802fff,0x6fffcfff,0x77fffe40,0xfffffebc,
    0xf10ffe25,0xffffffff,0x5c7fe609,0xefffffff,0x21fffffe,0x004ffffb,
    0x20fffff0,0xfffffffa,0x2ff881ef,0x4000ffe4,0xfff11ffa,0x7ffd45df,
    0xfffb1fff,0x3ffe209f,0xdffff07f,0x27fffec0,0x3fff7b20,0xeb9803ff,
    0xffffffff,0xffe803ff,0x403fffff,0xfa85ffec,0x3fe1ffff,0x7ffffc43,
    0x3ea00cff,0xfffff71f,0x7fffd43d,0x13fffee6,0x3fffe200,0xfffffb87,
    0x82ffffff,0x17fe43ff,0x70ffd400,0xfddfffff,0x23ffffff,0x201ffffd,
    0xc80ffffc,0x540cffff,0x004fffff,0x0fffff22,0xfffdb980,0x400fffff,
    0xfffffffb,0xfa802000,0x1bfe3fff,0xfd739ff1,0x87fe403f,0x82fffffa,
    0xf31ffffa,0x3000bfff,0xfc8dffff,0x3f6a3fff,0x2ffc2fff,0x0040bfee,
    0xffd81ff9,0xffffffff,0xfffb0fff,0xffffb80f,0xfffff881,0xffffdacf,
    0xff8004ff,0x30000fff,0x05fffffd,0xffffff88,0x3e200006,0x3ffa4fff,
    0xf993fe20,0x4ffd00ff,0x00fffffa,0x3e25ffff,0xa8006fff,0x7fc5ffff,
    0xffff04ff,0x7cc7fe8b,0x819fb05f,0xfff707fe,0xfff97fff,0x037ffecf,
    0x40bfffea,0xfffffffb,0x4fffffff,0xffffc800,0xb8014cc1,0xd804ffff,
    0x003fffff,0x37fffc00,0x7fc45ff9,0x442ffdc4,0x3ffe65ff,0x3fffe05f,
    0x03ffffe4,0x7ffff700,0x817fffcc,0x7e47fffc,0x217ff41f,0x7fc45ffa,
    0x2f72e605,0x6cffffb1,0x7d407fff,0x3f602fff,0x9fffffff,0x8004ffff,
    0xf92ffffa,0xf1003fff,0xf500dfff,0x0001ffff,0x25ffff80,0x3fe24ff8,
    0x541ffe84,0x3ffe21ff,0x3fffa05f,0x13ffffa4,0xfffff880,0x81fffee2,
    0x221ffffa,0x7ffcc4ff,0x40fffdbe,0xd0001ffa,0x7fecdfff,0x7ffdc07f,
    0x7ffdc01f,0xffff0dff,0x81fb72a9,0xf51ffffc,0xf1009fff,0xf300dfff,
    0x5100bfff,0x3e203997,0x7fec4fff,0xf509ff10,0x437f44df,0x3e06ffff,
    0x3fee3fff,0xf7000fff,0x7dc1ffff,0xff701fff,0x0ffd83ff,0x7fffffd4,
    0x037f443f,0x5ffff880,0x807ffff6,0x000ffffc,0xffff0351,0x0ffffee9,
    0x887ffffc,0x401fffff,0x804ffffd,0x802ffffd,0x505ffff9,0xf987ffff,
    0x2059916f,0x5ffb1ccc,0x03ffff90,0xe85ffff3,0x400effff,0x43fffffb,
    0xd04ffffa,0xf981ffff,0xdfdc886f,0x42ffd80b,0xb82ffed9,0x3f61ffff,
    0x3fe04fff,0xf00007ff,0x3fe29fff,0x3f220eff,0x7ff46fff,0xfb883fff,
    0x5c01ffff,0x2007ffff,0x4c1fffff,0xb80ffffe,0xc8000dff,0xfff104ff,
    0x7fec43df,0x7ffcc0ff,0x6cc0bfff,0x886fffff,0x4c0effff,0xf706ffff,
    0xf90001bf,0xffff109f,0x6ffffa8b,0x17ffffec,0x13ffff22,0x7fffc000,
    0x3fffff64,0xffffffcd,0x7ffffcc1,0xfffeeeff,0xccb87fff,0x03ffffff,
    0x3fffff20,0xfffffdbd,0x0bbff603,0x037ff4c0,0x37fffff6,0x03fffffc,
    0xfffffffb,0xffffffdf,0x3ff603ff,0xffdbdfff,0x3f603fff,0xfd3002ef,
    0x7fff40df,0xffffebef,0x7fffec2f,0xfffcadff,0x00000fff,0x7449ffff,
    0xffffffff,0xff504fff,0xffffffff,0x701dffff,0xffffffff,0xffffd000,
    0xbfffffff,0xbffff900,0x3ff2a217,0x7c400dff,0xffffffff,0x3f2206ff,
    0xffffffff,0x02ffffff,0x3fffffa2,0x05ffffff,0xbdffffc8,0xffffb711,
    0x7ffcc01b,0xffffffff,0xfefffd85,0xffffffff,0x3e00003f,0x7f4c4fff,
    0xffffffff,0x7fffdc03,0xffffffff,0xffff500d,0x10003fff,0xfffffffd,
    0x7d4009ff,0xffffffff,0x2003ffff,0xffffffe8,0xe9800eff,0xffffffff,
    0x9800dfff,0xffffffff,0xf5000dff,0xffffffff,0x2007ffff,0xfffffffb,
    0xfffb03ff,0xffffff39,0x800009ff,0xf704ffff,0x03bfffff,0x3fffee20,
    0x403defff,0x0cfffff9,0x7ffd4000,0x8002dfff,0xfffffeb8,0x0000beff,
    0x7fffffd9,0xfffb7000,0x005bdfff,0xffffff70,0xd710005f,0xdfffffff,
    0xfea80017,0x202effff,0xfb14fffd,0x0005dfff,0x07dddd00,0x0001a988,
    0x0001aa98,0x44000002,0x200001a9,0x01abcba8,0x026a2000,0x0d4c4000,
    0x35310000,0x2a200001,0x0001abcb,0x0001a988,0x00002a60,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x30aaaa98,0x20015555,0x9802aaaa,0x0002bcdb,0x54000000,
    0x51001aaa,0x00357b97,0xcdcca880,0x800002ac,0xaaaaaaaa,0xaaaaaaaa,
    0x302aaaaa,0x55555555,0x80001335,0x009acb98,0x0b333200,0x1eeeec80,
    0x7fffec00,0x05ffff90,0x81bfffe0,0xfffffffb,0x5999502f,0x05eff654,
    0xffff0000,0xfffe9809,0x01efffff,0x7fffecc0,0x03efffff,0xffff7000,
    0xffffffff,0xffffffff,0x3ffee0df,0xffffffff,0x26000cff,0xfffffffd,
    0xfff8001e,0xfff3004f,0xffb0007f,0x3fff21ff,0xffff002f,0x3ffff20d,
    0x84ffffff,0xffb4fffd,0x003fffff,0x13fffe00,0xffffffc8,0x04ffffff,
    0xffffff90,0xffffffff,0xffe80001,0xffffffff,0xffffffff,0xff706fff,
    0xffffffff,0x005fffff,0xfffffff9,0x800bffff,0x9004ffff,0x20007fff,
    0xf90ffffd,0x3e005fff,0xffd86fff,0xffffffff,0x7ffec2ff,0xffffffdd,
    0x80002fff,0xe884ffff,0xffffffff,0x05ffffff,0x7ffffff4,0xffffffff,
    0xf50000ef,0xffffffff,0xffffffff,0x20dfffff,0xfffffffb,0xffffffff,
    0x3ffee05f,0xffffffff,0x3fe004ff,0xff8804ff,0x3f60004f,0xfff90fff,
    0x3ffe005f,0x7fffc46f,0xfffc98be,0x7fffec6f,0xfffddfff,0x40000fff,
    0xfd84ffff,0xdbdeffff,0x3fffffff,0xffffff90,0xffffb79d,0x2000dfff,
    0xfaaffffe,0xeeeeffff,0x5eeeeeee,0xddffff70,0xffffdddd,0xff305fff,
    0x3265bfff,0x002ffffe,0x9009ffff,0xd8000bff,0xff90ffff,0x3fe005ff,
    0x7ffd46ff,0xffffe81f,0x3fffff60,0x7ffff444,0x7ffc0004,0x7fffd44f,
    0xfffd503f,0xffff50ff,0x3f6601df,0x4002ffff,0x3e4ffffa,0x00006fff,
    0x405ffff7,0x0ffffffa,0x817fffec,0x006ffff8,0x00662000,0x3ffff600,
    0x05ffff90,0xb1bfffe0,0x3ea0dfff,0x3ff61eff,0xfff105ff,0xff8000ff,
    0x7fff44ff,0x7ffd402f,0x7fffc2ff,0xfff8804f,0x7ec005ff,0x3ffe0fff,
    0xf700006f,0xe8805fff,0x7fc4ffff,0x7fec06ff,0x5553007f,0x80000003,
    0xf90ffffd,0x3e005fff,0x7fec6fff,0xfd80605f,0x3f201fff,0xb9100fff,
    0x7ffc59df,0x3fffee4f,0x9dffb005,0x7ffffd43,0xbdff5000,0x7ffcc007,
    0x37fffc5f,0xfffb8000,0xfff9802f,0xfdb910ff,0xffffa805,0x5fffc800,
    0x04ccca80,0x3ffff600,0x05ffff90,0x91bfffe0,0x2000dfff,0x200ffffd,
    0xa81ffffa,0xdfffffff,0x364ffff8,0x1001ffff,0x3fff6015,0x004c003f,
    0x1ffffd80,0x0037fffc,0x2ffffb80,0x3ffffb00,0x7ffec000,0x9fffb006,
    0x1ffff900,0x3fff6000,0x5ffff90f,0x1bfffe00,0x000ffff7,0x301ffff6,
    0xfc85ffff,0xffffffff,0x3a4ffffe,0x00007fff,0x003ffffe,0x7fc40000,
    0xffff85ff,0xff700006,0x3f2005ff,0x50002fff,0x1009ffff,0x9005ffff,
    0x0001ffff,0x643ffff6,0xf002ffff,0xff98dfff,0xfd8002ff,0x7fcc07ff,
    0x3ffe23ff,0xffecceff,0x3fe4ffff,0x100007ff,0x000fffff,0x7ffe4000,
    0xfffff82f,0xeeeeeeee,0x3fee05ee,0xff7002ff,0xf70007ff,0x8803ffff,
    0x800ffffe,0x000ffffc,0x21ffffb0,0x002ffffc,0x3f6dffff,0xffffffff,
    0x7fec04ff,0x3fea00ff,0x3fff62ff,0xffffc85f,0xdffff14f,0x3fe60000,
    0x000006ff,0x0dffff10,0x3ffffffe,0xffffffff,0xfffeee87,0x83eeeeef,
    0x004ffffa,0x17ffffe4,0x3ffffa20,0xffff9005,0x3ff60001,0xffff90ff,
    0x3fffe005,0xffffffb6,0x809fffff,0x201ffffd,0xf10ffffb,0x7f40dfff,
    0xfff34fff,0x2a0000bf,0x2605ffff,0xffffffff,0x7fe402ff,0xffff03ff,
    0xffffffff,0xfff0ffff,0xffffffff,0xffff309f,0x7ffec00b,0x7f4402ff,
    0x9000efff,0x0001ffff,0x643ffff6,0xf002ffff,0x3ff6dfff,0xffffffff,
    0x7ffec04f,0x3fffa05f,0x0ffffe67,0x54ffffa8,0x000bffff,0x1bfffe60,
    0xffffff98,0x2202ffff,0x3e07ffff,0xffffffff,0x87ffffff,0xffffffff,
    0xf984ffff,0xf9006fff,0x9803ffff,0x00effffe,0x03ffff20,0x7fffec00,
    0x05ffff70,0x5dbfffe0,0xdffffdcc,0x7ec02ccc,0xfb82ffff,0x3fea5fff,
    0x3fe602ff,0xffff14ff,0x3e20000d,0x3e607fff,0xffffffff,0x3ffee02f,
    0x3fffe04f,0xaaaaaaaf,0xdaa82aaa,0xaaacffff,0xffff981a,0xffff8804,
    0xfffe801f,0x7e4000df,0xb0000fff,0x3ee1ffff,0xf8802fff,0xff986fff,
    0x7ec001ff,0xaadfffff,0x20fffffd,0x201ffffb,0x3e4ffff8,0x00007fff,
    0x40fffff1,0xfffffff9,0x3fe02fff,0xffffffff,0x06ffffff,0xffff7000,
    0x3ffea005,0xfffa803f,0xfffc802f,0xff90005f,0x360001ff,0xff70ffff,
    0xff1005ff,0xfff70bff,0xffd8001f,0xffffffff,0x7dc4ffff,0x7fc01fff,
    0x3fffa4ff,0x17d1000f,0x03ffffd0,0x2ffffc80,0xffffff50,0xffffffff,
    0x20000dff,0x002ffffb,0x005ffff7,0x200bfff9,0x0005ffff,0x983ffff2,
    0xfd02fedc,0x3fea1fff,0xff9803ff,0xfffd85ff,0xfffd8006,0xffffff9f,
    0xfffa84ff,0x3ffe201f,0x3ffff64f,0xdfff7003,0x2ffffdc5,0x3ffff200,
    0xfffffd02,0xffffffff,0x0000dfff,0x00bfffee,0x00fffff4,0x4027ffec,
    0x402ffff9,0x3f21abc9,0x3fe60fff,0xfffd03ff,0x37fffccf,0x27fffdc0,
    0x00bfffe2,0x45ffff60,0x02effffd,0x407ffff3,0x2a4ffffa,0xd007ffff,
    0x7cc5ffff,0x2002ffff,0xa82ffffc,0xffffffff,0xffffffff,0xf700006f,
    0xf3005fff,0x3200ffff,0xf9802eee,0x7ec02fff,0x3fff27ff,0x3fffe20f,
    0x6ffff885,0x0fffffe2,0x3fffff88,0x013fffa2,0x43fffec0,0x7fc400a9,
    0x3ff606ff,0x7fff44ff,0x7ffe404f,0xffffd87f,0xffea801f,0xfffe82ff,
    0x999999bf,0x06ffff99,0xffff7000,0xffff9805,0x4000002f,0x2606ffff,
    0x3f24ffff,0x7ffc0fff,0x3ff663ff,0x7ffec4ff,0x36a21bff,0xd10fffff,
    0x7997ffff,0x361dc415,0x40007fff,0xa83ffffd,0x4c4fffff,0x21efffff,
    0xfffffeb8,0xfffff884,0x7f5441cf,0x4c2fffff,0xf007ffff,0x3333dfff,
    0x33333333,0x7ffff701,0xf7333333,0x400dffff,0xb003cccb,0xa819ffff,
    0x321ffffe,0x7e40ffff,0xffefffff,0x7cc1ffff,0xefffffff,0x4fffffff,
    0x3ffffff2,0xfeffffff,0x3fff60ff,0x7fcc0007,0xfcabdfff,0xc84fffff,
    0xefffffff,0xefffffff,0xfffff500,0xffffdfff,0x85ffffff,0x003ffffd,
    0xffffffff,0xffffffff,0xffff705f,0xffffffff,0x003fffff,0x8037ffec,
    0xeffffff8,0x5ffffffd,0x207fffe4,0xfffffff8,0x904fffff,0xffffffff,
    0x1fffffff,0x7fffffcc,0xffffffff,0x3fff64ff,0xffd80007,0xffffffff,
    0xf904fffe,0xffffffff,0x801dffff,0xfffffffa,0xffffffff,0x7ffcc2ff,
    0xfff000ff,0xffffffff,0x05ffffff,0xfffffff7,0xffffffff,0xffd8007f,
    0x3fe6006f,0xffffffff,0xfffc84ff,0xffff980f,0x05ffffff,0x7fffffd4,
    0x0dffffff,0xffffffe8,0xffffffff,0xffffb0ff,0x3ff60000,0xd8efffff,
    0x3ea04fff,0xffffffff,0xd3001eff,0xffffffff,0x017fffff,0x009ffff9,
    0x7ffffffc,0xffffffff,0xfffb82ff,0xffffffff,0x8000dfff,0x4006fffd,
    0xffffffd8,0xff903fff,0x3f2201ff,0x02efffff,0xfffffb10,0x5405dfff,
    0xd95109cf,0x19ffffff,0x001ffff6,0xffffeb80,0x09fffb0d,0xffffec88,
    0x30002eff,0xfffffff9,0x7fc4059b,0x3e001fff,0xffffffff,0xffffffff,
    0xfffffb82,0xcceeffff,0x3ff60001,0xb930006f,0x40159bfd,0x800ffffc,
    0x00009aa8,0x0026aa66,0x33510008,0x00bddd90,0x00351000,0x03553000,
    0xaa988000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x55000000,0xa8801555,0x55531aaa,0x00000015,0x3bbb6200,0x1cccc885,
    0x4cf332e0,0xaaaaaaaa,0xaaaaaaaa,0x09aa9800,0xaaa98000,0x554c001a,
    0x555000aa,0x2aaaa655,0x2aaa8000,0x4c555530,0x80002aaa,0x980eeeeb,
    0x2aaa2aaa,0xffff902a,0xffffd807,0x05ffff72,0xffffc800,0xffffffff,
    0x3fe62fff,0x7ffc42ff,0x3fffa03f,0xffffff76,0xffffffff,0x3ee203ff,
    0x03ffffff,0x3ffffa00,0x7ffdc007,0xffff002f,0x07ffff2f,0x1ffff700,
    0x21ffff90,0x0007fffd,0x37ffffcc,0xf87fffe4,0xf880ffff,0x3e607fff,
    0x3fee6fff,0x640002ff,0xffffffff,0x2fffffff,0x2237ffcc,0x3a03ffff,
    0xfff76fff,0xffffffff,0x303fffff,0xffffffff,0x98001dff,0x02ffffff,
    0x0bfffee0,0xcbffffc0,0x2001ffff,0x80fffff8,0xfb0ffffc,0x44000fff,
    0x3fffeffe,0xf87fffe4,0xf900ffff,0x3f607fff,0x3fee2fff,0x640002ff,
    0xffffffff,0x2fffffff,0x222fffa8,0x3a03ffff,0xfff76fff,0xffffffff,
    0x883fffff,0xfffffffe,0x4006ffff,0x6ffffffc,0x3fffee00,0xfffff002,
    0x007ffff2,0x0fffffd8,0xb0ffffc8,0x4000ffff,0xffc8fffc,0x3ffff21f,
    0x01fffff0,0x21bfffe2,0x5c6ffff9,0x0002ffff,0x7fffffe4,0xffffffff,
    0x4dff701f,0x203ffff8,0xff76fffe,0xddddddff,0x81dddddd,0xbdfffffd,
    0x03fffffe,0x3fffffe0,0xff7001ff,0x3fe005ff,0xffff97ff,0x3ffee003,
    0xffc80fff,0xffffb0ff,0x3ffea000,0xfc9bffa2,0xffff0fff,0x7ffe401f,
    0x7fffec2f,0x77fffdc2,0xbccdeeee,0x2aaaa601,0xffbaaaaa,0x0cc403ff,
    0x407ffff1,0xff76fffe,0xf80005ff,0x7d40ffff,0xf5006fff,0x9fffffff,
    0x3fffee00,0xfffff002,0x007ffff2,0x3fffffe2,0xffffc80f,0x00ffffb0,
    0x31066620,0xfff00133,0x7fc401ff,0x3ffe26ff,0xffffb86f,0xffffffff,
    0x20001eff,0x0004fffd,0x407ffff1,0xff76fffe,0x4c0005ff,0xfd04ffff,
    0x3f600fff,0x7fffefff,0x5ffff700,0x5ffffe00,0x801ffffc,0xfffffffe,
    0x0ffffc80,0x000ffffb,0x3fe00000,0x7e400fff,0xfff92fff,0xffff705f,
    0xffffffff,0x0003ffff,0xa80dfff5,0x3fe24ccc,0x3ffa03ff,0x5ffff76f,
    0x7ff54000,0xffff901f,0xffff8801,0x02ffffbc,0x02ffffb8,0x32fffff0,
    0x5c01ffff,0xffffffff,0x0ffffc80,0x2e0ffffb,0x9503cccc,0x332a0999,
    0x1ffffa4c,0x37fffe20,0x706ffff8,0xffffffff,0xffffffff,0xfff8800d,
    0x7ffe401f,0x7ffff10f,0xbb7fff40,0x0002ffff,0xfffd8060,0xffffb807,
    0x06ffff89,0x02ffffb8,0x32fffff0,0x2601ffff,0xfffbffff,0xffffc80f,
    0x90ffffb0,0x201fffff,0xc80ffffc,0xffb0ffff,0x3ff200df,0x2ffffbff,
    0x59ffff70,0xffd95555,0x6c007fff,0xfc804fff,0xfff10fff,0x7fff407f,
    0x05ffff76,0xff100000,0xffd00bff,0x7ffff4df,0x7fffdc01,0xfffff002,
    0x807ffff2,0xffaafffe,0xfffc80ff,0x8ffffb0f,0x01fffffb,0x203ffff2,
    0xf90ffffc,0x3e200dff,0x6fffffff,0x0bfffee0,0x6ffffe88,0x1ffff300,
    0x1ffff900,0x813fffe2,0xff76fffe,0x555559ff,0x00035555,0x01ffffdc,
    0xa8ffffea,0x5c04ffff,0xeeeeffff,0xffeeeeee,0xffff97ff,0x57fff203,
    0xc80ffffa,0xffb0ffff,0x7fffd4ff,0x7ffe401f,0xffffc80f,0x20bfff70,
    0xfffeeee8,0xeeefffff,0x3fffee5e,0x7fffd402,0xbfffb007,0x3ffff200,
    0x0bffff10,0xfbb7fffc,0xffffffff,0x004fffff,0x1fffff30,0x0ffffd80,
    0x01ffffe2,0xfffffff7,0xffffffff,0x3ff2ffff,0xfff981ff,0x1ffff50f,
    0x21ffff90,0xff37fffd,0xf9003fff,0xff901fff,0x3ffee1ff,0xfffff104,
    0xffffffff,0x7fdcdfff,0xfff802ff,0x7fc400ff,0xff9002ff,0x3ffe21ff,
    0xffff507f,0x3ffffeed,0xffffffff,0xff98004f,0x7c402fff,0xffd85fff,
    0x3fee02ff,0xffffffff,0xffffffff,0x03ffff97,0x7d45fffd,0xffc80fff,
    0xffffb0ff,0x05fffff1,0x03ffff20,0x543ffff2,0xff103fff,0xffffffff,
    0x4dffffff,0x402ffffb,0x807ffff8,0x2007fffc,0xf10ffffc,0xf889ffff,
    0xff76ffff,0xffffffff,0x8009ffff,0x05fffff9,0x82ffffb8,0x206ffffa,
    0xfffffffb,0xffffffff,0xfff97fff,0x5fffc83f,0x407fffd4,0xfb0ffffc,
    0xffffdfff,0x7ffe4007,0xffffc80f,0x207fff30,0xfeeeeee8,0xeeeeffff,
    0x3fffee5e,0x7fffdc02,0x7fffc405,0x3fff2004,0xfffff10f,0xfffd97bf,
    0x3ffeedff,0xccccccdf,0x2a002ccc,0x00efffff,0x00ffffe8,0x203fffff,
    0xaacffffb,0xfaaaaaaa,0xfff97fff,0x7fffcc3f,0x07fffd40,0xd87fffe4,
    0xffffffff,0x3ff2003f,0xfffc80ff,0x05fff10f,0x09ffff00,0x05ffff70,
    0x1fffffdc,0x03fffee0,0x0ffffc80,0xfffffff1,0xffffffff,0x0bfffeed,
    0xfff50000,0xf3001dff,0x9999ffff,0x9ffffd99,0x0bfffee0,0xcbffffc0,
    0x3fa1ffff,0xfffa82ff,0xffffc80f,0xffffffb0,0x2001ffff,0xc80ffffc,
    0x3fe0ffff,0x2666601f,0x9dffff99,0x3ee09999,0xeeeeefff,0xffffffee,
    0x2fffec01,0x3ffff200,0xf9ffff10,0xff9fffff,0x3fffeedf,0x3ea00002,
    0x000effff,0xfffffff9,0xffffffff,0x3ffee0ff,0xffff002f,0x47ffff2f,
    0xfffffffa,0xffffffff,0xffff90ff,0x3fffff61,0x004fffff,0x901ffff9,
    0x7fc1ffff,0xffff100f,0xffffffff,0x7dcdffff,0xffffffff,0x3fffffff,
    0x02ffff80,0x87fffe40,0xf9bffff8,0xfffb9fff,0x05ffff76,0x3ffea000,
    0x7fc005ff,0xffffffff,0xffffffff,0x2ffffb82,0x2fffff00,0xf51ffffc,
    0xffffffff,0xffffffff,0x43ffff21,0xcdfffffd,0xc801ffff,0xfc80ffff,
    0x1ffa0fff,0xffffff88,0xffffffff,0x3ffee6ff,0xffffffff,0x9804ffff,
    0x4000ffff,0xf10ffffc,0x00cc7fff,0x017fffdc,0x7fffc400,0x7fd4005f,
    0xffffffff,0xffffffff,0x2ffffb86,0x2fffff00,0xf51ffffc,0xffffffff,
    0xffffffff,0x43ffff21,0xf15ffffd,0xf900dfff,0xff901fff,0x02f641ff,
    0xfffffff1,0xffffffff,0x7fffdcdf,0xffffffff,0xff9001df,0xff9000ff,
    0x3ffe21ff,0xffb8003f,0xe80002ff,0x8005ffff,0xaabffffd,0xfaaaaaaa,
    0x7dc1ffff,0xff002fff,0x3fff2fff,0xfffff51f,0xffffffff,0x3f21ffff,
    0xfffb0fff,0x2ffffb8f,0x07fffe40,0x007fffe4,0x55555540,0xaaaeffff,
    0x3ffee2aa,0xaaaaaacf,0xfffd8001,0xfffc8006,0x7ffff10f,0xffff7000,
    0xffc80005,0xaaaabfff,0x3e20aaaa,0x32006fff,0x7dc4ffff,0xff002fff,
    0x3fff2fff,0x3333311f,0xfff73333,0x7fe4333f,0xffffb0ff,0x80fffff0,
    0xc80ffffc,0x9970ffff,0xfff00099,0xfff7009f,0xe800005f,0xc8005fff,
    0xff10ffff,0xf70007ff,0x80005fff,0xffffffff,0x1fffffff,0x00fffff2,
    0x47ffff98,0x002ffffb,0x3f2fffff,0x54001fff,0xfc80ffff,0xfffb0fff,
    0x9ffff50f,0x07fffe40,0xd87fffe4,0xf8007fff,0xfb804fff,0x00002fff,
    0x0027fffc,0x887fffe4,0x8003ffff,0x002ffffb,0x3ffffe60,0xffffffff,
    0x3fffe1ff,0x7ff4000f,0x3ffee2ff,0xffff002f,0x07ffff2f,0x1ffff500,
    0x21ffff90,0xfd07fffd,0x3f201fff,0xffc80fff,0xffffb0ff,0x9ffff000,
    0x5ffff700,0x7fc40000,0xfc8003ff,0xfff10fff,0xff70007f,0x640005ff,
    0xffffffff,0x1fffffff,0x00bffff5,0x4dffff70,0x002ffffb,0x3f2fffff,
    0x54001fff,0xfc80ffff,0xfffb0fff,0x3fffe60f,0x1ffff905,0x21ffff90,
    0x8007fffd,0xb804ffff,0x0002ffff,0x07fffe60,0x3ffff200,0x05dddd10,
    0x5ffff700,0x7fffc000,0xffffffff,0xffb1ffff,0xf10005ff,0x3ee3ffff,
    0xff002fff,0x3fff2fff,0x7fd4001f,0xfffc80ff,0x0ffffb0f,0x40ffffec,
    0xc80ffffc,0xffb0ffff,0x000000ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2aaa9800,0x1ddd9000,
    0x100f775c,0x44359b95,0x3000aaaa,0x4c555555,0xaaaaaaaa,0xaaaaaaaa,
    0x1333311a,0x81a80000,0x2aaaaaa9,0xaaaaa980,0x1555532a,0x4aaaa600,
    0xaaaaaaa9,0x0099aaaa,0x5555554c,0x00199aaa,0x20660110,0xaaaaaaa9,
    0x00009aaa,0x003ffff2,0xc87fff60,0xff502fff,0x2e3fffff,0xa803ffff,
    0x21ffffff,0xfffffffb,0xffffffff,0xffff53ff,0x3a600007,0xffffc82f,
    0xffc807ff,0xff77ffff,0x3f600dff,0xffff76ff,0xffffffff,0x3ee05bff,
    0xffffffff,0x802effff,0x30beffd9,0xfffb81ff,0xffffffff,0x64000cff,
    0x8000ffff,0x3f21fffd,0xfff982ff,0x3ee7ffff,0x7d403fff,0x5c1fffff,
    0xffffffff,0xffffffff,0x7ffff53f,0xffc88000,0xffffc82f,0x7fc01fff,
    0xf77fffff,0xb005ffff,0x3feedfff,0xffffffff,0x84ffffff,0xfffffffb,
    0xffffffff,0x7fffec05,0xb87ffeff,0xffffffff,0x2fffffff,0x3ffff200,
    0xfffd8000,0x20bfff21,0xfefffffc,0x0ffffee6,0xffffff98,0xfffffb81,
    0xffffffff,0xff53ffff,0xa80007ff,0xfc82ffff,0x03ffffff,0x3fffffe2,
    0xfffff77f,0xfffd801f,0xffffff76,0xffffffff,0xffb87fff,0xffffffff,
    0x05ffffff,0x3fff77fe,0xffb84fff,0xffffffff,0x05ffffff,0x01ffff90,
    0x88333100,0xffd80999,0xfff700ff,0x3ffe607f,0xff702fff,0xddddddff,
    0x5ddddddd,0x00ffffea,0x5ffff500,0xffffff90,0x7ffdc0bf,0xff77ffff,
    0xd809ffff,0xfff76fff,0xdddddddf,0x1ffffffd,0x777fffdc,0xffffeeee,
    0x7f981fff,0xb816f64c,0xeeeeffff,0xffffffee,0xfffc802f,0x0000000f,
    0x206ffff8,0x883ffffb,0x02fffffe,0x00bfffee,0x3ffffa80,0x7ffd4000,
    0xffffc82f,0x3f607fff,0x77ffffff,0x3fffffff,0xbb7ffec0,0x4c02ffff,
    0x2e2ffffe,0x9102ffff,0x00bfffff,0xffff7000,0x7fffdc05,0x7fe400ff,
    0x000000ff,0x04ffff80,0x10ffffee,0x05fffffd,0x02ffffb8,0x3fffea00,
    0xfb930003,0x2599bfff,0xffeffffc,0xdffff01f,0x3feeffff,0x206fffff,
    0xff76fffd,0xff7005ff,0x7ffdc9ff,0x7ffdc02f,0xb800006f,0xe802ffff,
    0x6404ffff,0xd930ffff,0xca8039df,0xf99504cc,0x1999dfff,0x11ffffdc,
    0x05fffffd,0x05ffff70,0x7fffd400,0xfff70003,0x27ffffff,0xffcffffc,
    0xffff984f,0xff77fffc,0x07ffffff,0x7ddbfff6,0xf8802fff,0x3fee3fff,
    0x7fcc02ff,0x3332a7ff,0x33bf7263,0x2ffffb82,0xfffff980,0x3ffff200,
    0xffffffb8,0x3fff204f,0xffffc80f,0x20ffffff,0x363ffffb,0x003fffff,
    0x005ffff7,0x1ffffd40,0xffffb800,0xf93fffff,0xdfff5fff,0xf9bfff70,
    0x3ffeefff,0x80ffffff,0xff76fffd,0xff7005ff,0x7ffdc1ff,0xffff802f,
    0x657fff27,0x4fffffff,0x017fffdc,0x01ffffd8,0x3f7ffff2,0xffffffff,
    0x1ffff903,0xffffff90,0x7dc1ffff,0xfffb3fff,0x7dc007ff,0x20002fff,
    0x003ffffa,0xffffff70,0x3ff27fff,0x0ffff8ff,0x7e5fffec,0xffff77ff,
    0xb0bffffb,0x3feedfff,0x7f5402ff,0x7ffdc6ff,0x7ffd402f,0x37fff26f,
    0xfffffffd,0x3ffee4ff,0xfff7002f,0x7ffe405f,0xffdcffff,0xff907fff,
    0xfff901ff,0x1fffffff,0x65ffffdc,0x00ffffff,0x3bfffee0,0xeeeeeeee,
    0x3fea3eee,0x540003ff,0xfc82ffff,0x5fffd7ff,0xfc9ffff8,0xffff77ff,
    0x85fffff3,0xff76fffd,0x99999bff,0x3dffffdb,0x02ffffb8,0x93ffffa2,
    0xfffffffc,0xffffffdd,0x05ffff70,0x0ffffea0,0x3fffffc8,0x0fffff44,
    0x007fffe4,0xb813fffe,0xfffeffff,0x2005ffff,0xfffffffb,0xffffffff,
    0x3fffea4f,0x7fd40003,0xfffc82ff,0x4c9fff97,0xfff97fff,0x23fffeef,
    0x6c6ffffb,0xfff76fff,0xffffffff,0x701dffff,0x5559ffff,0xfffff955,
    0x7fffe45f,0x7fffc44f,0x5ffff71f,0x3fffe600,0x3ffff204,0x5ffff505,
    0x01ffff90,0x204ffff8,0xfffffffb,0x02ffffff,0xffffff70,0xffffffff,
    0x7ffd49ff,0x7d40003f,0xffc82fff,0x4dfff57f,0xff95fffb,0x3fffeeff,
    0x47ffffd0,0xff76fffd,0xffffffff,0x01bfffff,0xfffffff7,0xffffffff,
    0xffffc8bf,0x5ffff705,0x00bfffee,0x02ffffcc,0x205ffff9,0xc82ffff9,
    0x7c00ffff,0x3ee04fff,0xefffffff,0x800fffff,0xfffffffb,0xffffffff,
    0x3fffea4f,0x7fd40003,0xfffc82ff,0x21ffff17,0xff93fffd,0x3fffeeff,
    0x1fffff30,0x7ddbfff6,0xffffffff,0xffffffff,0x7ffffdc3,0xffffffff,
    0x7fe40eff,0xfff302ff,0x3fffee7f,0xffff3002,0x7fffe40d,0x7ffff301,
    0x01ffff90,0x204ffff8,0xfffffffb,0x4fffff8b,0xbffffb80,0x99999999,
    0x3fea0999,0x540003ff,0xfc82ffff,0x3fffa7ff,0x323ffff2,0xfff77fff,
    0x7fffe41f,0x2edfffb5,0xaaacffff,0xfffdbaaa,0x3ffee5ff,0xffffffff,
    0xfc80cfff,0xff300fff,0x3ffee7ff,0xfff5002f,0x7ffe409f,0xffff100f,
    0x1ffff907,0x04ffff80,0x3fffffee,0x3ffffee4,0x7fffdc02,0x3fea0002,
    0x540003ff,0xfc82ffff,0x3fff27ff,0x327fff9d,0xfff77fff,0x7fff441f,
    0x76fffdaf,0x3005ffff,0x2e1fffff,0xeeeeffff,0x200bcdee,0x300ffffc,
    0x3ee7ffff,0xf7002fff,0x7e407fff,0xff100fff,0xfff907ff,0xffff801f,
    0x3fffee04,0xffffe84f,0x7fffdc06,0x3fea0002,0x540003ff,0xfc82ffff,
    0x3ffea7ff,0x325fffcf,0xfff77fff,0xffffa81f,0xf76fffde,0x2e005fff,
    0xff72ffff,0xc80005ff,0xf100ffff,0x3fee7fff,0xff9002ff,0x7fe405ff,
    0xfff100ff,0xffff907f,0x4ffff801,0x13fffee0,0x27ffffcc,0x05ffff70,
    0x7fffd400,0x7fd40003,0xfffc82ff,0x3ffffe27,0x3ff23fff,0x1ffff77f,
    0xffffffb0,0x3ffeedff,0xfff3002f,0x3fffeebf,0x7fe40002,0x3ffe207f,
    0x5ffff73f,0x3ffffa00,0x3ffff201,0x7ffff100,0x01ffff90,0x204ffff8,
    0x203ffffb,0x01fffffd,0x005ffff7,0x1ffffd40,0x3ffea000,0x7fffc82f,
    0x7ffffff4,0x5ffff21f,0x880ffffb,0xffffffff,0x05ffff76,0x57fffee0,
    0x002ffffb,0x03fffe40,0x2e7ffff1,0xa802ffff,0x6406ffff,0xf100ffff,
    0xff907fff,0xfff801ff,0x3ffee04f,0x3ffe203f,0xfff706ff,0x7d40005f,
    0x40003fff,0xc82ffffa,0x7fe47fff,0x7e47ffff,0xffff77ff,0x3fffee01,
    0xfff76fff,0x3ffa005f,0xffff73ff,0xffc80005,0x3ffe207f,0x5ffff73f,
    0xffffe880,0x7fffe402,0x7ffff100,0x01ffff90,0x204ffff8,0x403ffffb,
    0x84fffffb,0x99bffffb,0x99999999,0xffff5199,0x33333339,0xf9813333,
    0x93dcefff,0xffa8ffff,0x7e45ffff,0xffff77ff,0x7ffff401,0xffff76ff,
    0x33333337,0x3fffffd5,0x00bfffee,0x0ffff900,0xb9ffffc4,0x999bffff,
    0xffffc999,0xfffc805f,0xffff100f,0x1ffff907,0x04ffff80,0x00ffffee,
    0x07fffffa,0xfffffff7,0xffffffff,0x3ffeafff,0xffffffff,0xf85fffff,
    0x94ffffff,0xff88ffff,0x7e43ffff,0xffff77ff,0x7fffcc01,0xffff76ff,
    0xffffffff,0x4dffffff,0x002ffffb,0x03fffe40,0x2e7ffff1,0xffffffff,
    0xffffffff,0xfffc800f,0xffff100f,0x1ffff907,0x04ffff80,0x00ffffee,
    0x1bffffea,0xfffffff7,0xffffffff,0x3ffeafff,0xffffffff,0xd85fffff,
    0x95ffffff,0xffd0ffff,0xffc83fff,0x1ffff77f,0xfffffd80,0xffffff76,
    0xffffffff,0x7dc1dfff,0x40002fff,0x2207fffc,0xff73ffff,0xffffffff,
    0x07ffffff,0x03ffff20,0x41ffffc4,0x400ffffc,0x2e04ffff,0xb003ffff,
    0x5c7fffff,0xffffffff,0xffffffff,0xfffff57f,0xffffffff,0x3f20bfff,
    0xff95ffff,0xffff90ff,0x2ffff90f,0x400ffffb,0x76fffff8,0xffffffff,
    0xffffffff,0xffffb83d,0x7fe40002,0x3ffe207f,0xfffff73f,0xffffffff,
    0x7e4001bf,0xff100fff,0xfff907ff,0xffff801f,0x3fffee04,0xffff3003,
    0x3ffee1ff,0xffffffff,0x57ffffff,0xffffffff,0xffffffff,0x2054c40b,
    0xfa87fffc,0xffc85fff,0x1ffff77f,0xdffff700,0x3fffffee,0xeeffffff,
    0xffff701c,0xffc80005,0x3ffe207f,0xfffff73f,0x99ddffff,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xaaa88000,0xaaaaaaaa,0x41aaaaaa,0x002aaaaa,0x50d55554,
    0x20035555,0x2a2aaaaa,0x4c00aaaa,0xa802aaaa,0x55542aaa,0x54c000aa,
    0xa9801aaa,0x555530aa,0x35555555,0x2aa20013,0xaaaaaaaa,0xaaaaaaaa,
    0x01e665c2,0x201fffec,0x99999998,0x99999999,0x20a00001,0xfffffff8,
    0xffffffff,0x7ffdc4ff,0xff7001ff,0x7fe43fff,0x7d400fff,0x3f62ffff,
    0x7fc02fff,0x7c02ffff,0x7fec6fff,0x7f4004ff,0xfe802fff,0xffff72ff,
    0xffffffff,0xf9809dff,0xffffffff,0xffffffff,0x3fff60ff,0x3fffd806,
    0x4cccce40,0x99999999,0x2e201a99,0x70ceffed,0xffff88bf,0xffffffff,
    0xe84fffff,0x8806ffff,0x443fffff,0x404fffff,0x5c5ffffe,0x2603ffff,
    0x04ffffff,0x513fffe6,0x400fffff,0x807ffff8,0xf72ffffb,0xffffffff,
    0xdfffffff,0x3fffe601,0xffffffff,0x0fffffff,0x201bfff6,0x1c03fffd,
    0x5c066000,0xffffffff,0x7c45ffdf,0xffffffff,0xffffffff,0xfffff984,
    0x7fffe402,0xfffff506,0x3fffee03,0x7fffcc0f,0x3fffee05,0x3fee06ff,
    0xffff82ff,0xfff7001f,0xfffa809f,0xffff72ff,0xffffffff,0x03ffffff,
    0xfffffff3,0xffffffff,0x7ec1ffff,0xffd806ff,0x0001c03f,0xfffb1066,
    0xffffffff,0xeee881df,0xeeeeeeee,0x03ffffff,0x01fffff9,0x07ffffe6,
    0x86ffffd8,0x02fffff8,0x6c0fffff,0x0fffffff,0x01ffffb0,0x009ffff9,
    0x807ffffa,0x2ffffffb,0xdddffff7,0xfffddddd,0xdd309fff,0xfffddddd,
    0xddddddff,0x37ffec1d,0x01fffec0,0x8330000e,0xcdfffffc,0x05fffffe,
    0x7fffd400,0x3ffe205f,0xfffb04ff,0xfff8809f,0x7ffec3ff,0x3fff605f,
    0xfffff00f,0x3fa05fff,0xfff306ff,0xfff100ff,0x3ffaa0df,0xf72fffff,
    0xd9805fff,0x8006ffff,0x0006ffff,0x1fffec00,0x330000e0,0x077fffcc,
    0x0bffffea,0x7fffcc00,0x7fd400ef,0x7fd40fff,0xfb800fff,0xff50ffff,
    0x7dc01fff,0xff982fff,0x84ffffff,0x204ffff8,0x401ffffe,0x444ffffb,
    0xfffffffd,0xffff72ff,0xffff1005,0xfff8001f,0xc880006f,0xfffccccc,
    0x3cccccdf,0x21980007,0xe80ffffe,0x006fffff,0xffffff88,0xffffb001,
    0x2ffffe8b,0x3ffff600,0x3fffff8d,0x27fffcc0,0x7ef7ffdc,0xfffa86ff,
    0x3fff202f,0x7fff404f,0x7fffcc1f,0x72ffffdf,0x2005ffff,0x002ffffd,
    0x0037fffc,0x7ffffc40,0xffffffff,0x00076fff,0xffff1198,0xffdffb07,
    0xfe8001ff,0x2002ffff,0x72fffff8,0x800bffff,0xfefffff8,0xff006fff,
    0xfffd0dff,0x81ffff79,0x200ffffc,0x207ffff9,0x986ffff8,0xff9affff,
    0xffff72ff,0x3fffa005,0x7ffc001f,0xf880006f,0xffffffff,0x6fffffff,
    0x31980007,0xfc83ffff,0x2ffff9cf,0x3ffff200,0xffb8003f,0xffff8eff,
    0xffb8000f,0x1fffffff,0x8ffffd00,0xf9affff8,0x7fec2fff,0xfffe807f,
    0xffff702f,0x21bff307,0xf72ffff9,0xf3005fff,0x8001ffff,0x0006ffff,
    0xffffff88,0xffffffff,0x800076ff,0x1ffff719,0xff8affd4,0xff7003ff,
    0x4000bfff,0xfffffffe,0x3a0003ff,0x4fffffff,0x3ffff200,0x43fffea1,
    0x7fc4ffff,0xffb805ff,0xfffb05ff,0x9819301f,0xff72ffff,0x2e6605ff,
    0x005fffff,0x006ffff8,0xeeeee880,0xeeeffffe,0x00075eee,0xffff7198,
    0xff1bfe61,0xff3009ff,0x0001dfff,0x7fffffcc,0x4c0006ff,0x06ffffff,
    0x1ffffd40,0x7e4dfff9,0x3ffe66ff,0xfff8803f,0xffff887f,0x7ffcc005,
    0xfffff72f,0xffffffff,0x001fffff,0x00dffff0,0xfffd8000,0x20001c03,
    0x3ffff519,0x7c41dff3,0x7c402fff,0x000fffff,0xfffffc80,0xe80001ff,
    0x003fffff,0xd2ffffc4,0x7fd49fff,0xffff50ff,0x3fff6003,0x7fffd42f,
    0x7ffcc002,0xfffff72f,0xffffffff,0x0003dfff,0x001bfffe,0x7fffb000,
    0x4c000380,0xd9ffff11,0xfffa83ff,0x7fff401f,0x200002ff,0x04fffffe,
    0xffffb800,0x74000eff,0xfff16fff,0x7fffc45f,0x00ffff92,0x22ffffdc,
    0x000ffffd,0xb97fffcc,0xffffffff,0x3effffff,0x7fffc000,0x3332e006,
    0x3fffd803,0x260001c0,0x3fffffe1,0x7fffd81f,0x7ffffec0,0x7d400003,
    0x0000ffff,0x7fffffc4,0x7e4004ff,0xfffa8fff,0xa7fff40f,0x2005fffe,
    0x10fffff8,0x000bffff,0x2e5ffff3,0xffeeffff,0x003fffff,0x0dffff00,
    0x037ffec0,0x201fffec,0x70cc0003,0x705fffff,0x5c07ffff,0x005fffff,
    0xffff8800,0xffd80005,0x2fffffff,0x3fffea00,0xc86fffca,0xfff8efff,
    0x7fec003f,0xffff52ff,0xfff30005,0x3fffee5f,0x7ffffdc2,0xfff80004,
    0x3ff6006f,0xfffd806f,0x20001c03,0x7ffff419,0xfffda9be,0x3ffe606f,
    0x000006ff,0x00bffff1,0xfffffa80,0x00effffe,0xd7ffff10,0xff507fff,
    0x3ffff5ff,0xffffa800,0x00ffffb5,0x4bfffe60,0xa82ffffb,0x005fffff,
    0x037fffc0,0x00dfffb0,0x3807fffb,0x320cc000,0xffffffff,0x101fffff,
    0x01ffffff,0x3fe20000,0x220005ff,0xf8dfffff,0x2004ffff,0xfffeffff,
    0xffff881f,0x0007fffe,0xff1fffff,0x260009ff,0xff72ffff,0x3ff205ff,
    0x20004fff,0x2006ffff,0x0005fffd,0x4c000380,0x3ffffea1,0xdfffffff,
    0x3ffffa00,0x2000001f,0x005ffff8,0x3fffff60,0x5fffff70,0x3ffff600,
    0x3fa07fff,0x05ffffff,0xdffff900,0x0003ffff,0x5cbfffe6,0x3a02ffff,
    0x001fffff,0x00dffff0,0x2aa29f90,0xaaaaaaaa,0x72aaaaaa,0xf1198000,
    0xfffd71df,0xfd807dff,0x0003ffff,0x7fffc400,0xfff50005,0xfffe87ff,
    0xffb800ef,0x205fffff,0xfffffffc,0xfff30004,0x00ffffff,0x97fffcc0,
    0x202ffffb,0x06fffff9,0x0dffff00,0x3e29ff00,0xffffffff,0x6fffffff,
    0x21980007,0x0d4c40ea,0xfffffb80,0x9999999d,0x00199999,0x02ffffc4,
    0x7ffffc40,0xfffff985,0xffff9804,0x3e603fff,0x02ffffff,0x3ffffe00,
    0x20004fff,0xf72ffff9,0xfb805fff,0x8004ffff,0x4006ffff,0xfff10ffc,
    0xffffffff,0x0edfffff,0x00033000,0x3ffff200,0xffffffff,0x0fffffff,
    0x3fffe200,0xfffd8005,0xfff700ff,0xfff003ff,0xf803ffff,0x00ffffff,
    0x3ffff200,0x20001fff,0xf72ffff9,0xfd005fff,0x8003ffff,0x2006ffff,
    0x3fe23ffe,0xffffffff,0x96ffffff,0x99999999,0xb9999999,0x32000003,
    0xffffffff,0xffffffff,0x22000fff,0x4005ffff,0x03fffffa,0x077ffff4,
    0x3fffff60,0xffffd807,0x7cc0006f,0x006fffff,0x97fffcc0,0x802ffffb,
    0x06fffff9,0x037fffc0,0xff885fb0,0xffffffff,0x06ffffff,0x00000000,
    0xffffffc8,0xffffffff,0x000fffff,0x017fffe2,0x6fffff88,0xfffff980,
    0x7fffdc04,0xfffb805f,0xe80004ff,0x003fffff,0x97fffcc0,0x002ffffb,
    0x07fffff7,0x037fffc0,0x00000010,0x00000000,0xfffffc80,0xffffffff,
    0x00ffffff,0x17fffe20,0xfffffc80,0xffff9001,0x7ffcc03f,0xff9802ff,
    0x80002fff,0x00fffffb,0x7fffcc00,0x05ffff72,0x7fffff40,0xdffff000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000004,0x40000000,0x2204ccca,0x0001cccc,
    0x20000000,0x2a04ccca,0xdd9300cc,0x5c45bdff,0x002deffd,0x3bfffb6a,
    0x3b2a003d,0x2002deff,0xeeffeeb8,0x4400000c,0xdb7101fb,0x754059df,
    0x51000002,0x0179dfd9,0x931e6654,0xf9059dfb,0x7fcc0fff,0x399972ff,
    0x0b3bf6e2,0x06f7fb2a,0x6d4b332e,0xfff90bdf,0x07ffe60f,0x3ffffff6,
    0xfffbefff,0x00efffff,0x3fffffe6,0x200dffff,0xffffffd8,0x7e401eff,
    0xffffffff,0xc980004f,0xffa81fff,0x0dffffff,0x00bfffa8,0xffff9000,
    0x207fffff,0xff95fffc,0xc89fffff,0x3e607fff,0xfffd2fff,0xfffffd35,
    0x7fffe49f,0x7fec1fff,0xfffff9cf,0x88ffff93,0x6c1ffffc,0xffffffff,
    0xffffffff,0x80efffff,0xfffffff8,0x80efffff,0xfffffff9,0x701fffff,
    0xffffffff,0x0009ffff,0x3fffff6a,0x7ffffe41,0x41ffffff,0x1cfffffa,
    0x3fff2000,0xffffffff,0xddfffc85,0xffffffff,0x1ffff24f,0xd2ffff98,
    0xffffbfff,0xfb9fffff,0xffffffff,0x7efffec1,0xf90fffff,0x7ffd4fff,
    0x3fea1fff,0xffecdfff,0xcdffffff,0xc85ffffe,0xecdfffff,0xe82fffff,
    0xfdefffff,0xf886ffff,0xdbacefff,0x000fffff,0xfffffd71,0x7ffcc3ff,
    0xffffcfff,0x7fffd46f,0x4002efff,0xeffffffc,0x44ffffff,0xfffffffc,
    0xffffffdd,0x40ffff90,0xfd2ffff9,0xd9bfffff,0xffffffff,0x9fffffdb,
    0x7fffffec,0x3ff25fff,0x3f3fee7f,0x3fffa1ff,0x7fffcc0f,0x7ffcc1ff,
    0x3fffe24f,0x4ffffa85,0x0effffdc,0x85ffffb1,0xf507fffa,0xc8805dff,
    0xffffffff,0x3fffa0df,0x7fffdc2f,0x3ffff662,0x00bfffff,0x17ffffdc,
    0x87ffffea,0x44fffffc,0x91fffff8,0x7cc0ffff,0xfffd2fff,0xfffe81ff,
    0x7ffd45ff,0x3ffff66f,0x002caadf,0x07ffe197,0x3fa05953,0xff703fff,
    0x0cb988df,0xf89ffff0,0xff306fff,0xfffb87df,0x5003502f,0xfffffffb,
    0xffa817df,0xfffd04ff,0xffff910d,0x039fffff,0x407ffff6,0x326ffff9,
    0xf705ffff,0x3ff25fff,0x3ffe607f,0x5ffffd2f,0x1fffff50,0x6cffffd0,
    0x0006ffff,0x0007ffe0,0x03ffffd3,0x007fffe2,0x4bfffd30,0x203ffff8,
    0x3ffe601a,0x000aceff,0xffffffd7,0x7dc039ff,0xff702fff,0x7ed401ff,
    0xdfffffff,0x027fffc2,0x643ffff6,0xf302ffff,0x3ff27fff,0x3ffe607f,
    0x0ffffd2f,0x417fffe6,0x3f67fffd,0x00002fff,0x98807ffe,0xffffffdb,
    0xaaaaaabf,0x5402ffff,0xffffffdb,0x0bfffea5,0xffff8800,0x1bdfffff,
    0xffffff50,0xf90017df,0x55557fff,0x03ffff75,0xffffd710,0x3fe63fff,
    0x7fdc02ff,0xffff91ff,0x3fffe601,0x40ffff93,0xfd2ffff9,0x3fe60dff,
    0xfff904ff,0x07fffecf,0x3fff0000,0xfffffb50,0xffffffff,0xffffffff,
    0xfffb707f,0xbfffffff,0x00ffffdc,0x3fffe600,0xdfffffff,0x7ffffd40,
    0x7fec001c,0xffffffff,0x002fffff,0x7ffffecc,0x03ffff71,0x93ffffa8,
    0x2601ffff,0xff93ffff,0x7ffd40ff,0x0dfffd2f,0x40ffffe6,0x3f67fffc,
    0x400007ff,0x7ff41fff,0xfedfffff,0xffffffff,0x23ffffff,0xffffffe8,
    0x25ffffdf,0x001ffffb,0xffffd980,0x0fffffff,0x37ffffea,0x7fff4002,
    0xffffffff,0x4003ffff,0x1fffffda,0x803ffff9,0xf93ffff9,0x3e201fff,
    0xfff93fff,0x7fffd40f,0x20bfffd2,0x903ffff9,0x7fecffff,0x7c00007f,
    0x3fff61ff,0x3ff61cff,0xccccccff,0xd12ccccc,0x437dffff,0x3ea5fffe,
    0x00002fff,0x3ffffae2,0x3ea6ffff,0xcfffffff,0xffffd800,0xcccccccc,
    0xc8802ccc,0xffffffff,0x05ffff71,0x92ffffa8,0x7c40ffff,0xfff93fff,
    0x3ffee01f,0x0bfffd2f,0x40bfffe6,0x3f67fffc,0x400007ff,0xfff11fff,
    0xfffb01bf,0xff50001f,0x3ffa07ff,0x3fffe65f,0x026b2e03,0xfffca880,
    0x3faa0fff,0xdfffffff,0x3ffff202,0xfb500001,0xbfffffff,0x1ffffd45,
    0x43ffff20,0x2207fffc,0xff73ffff,0x3ff201ff,0xbfffd2ff,0x0bfffe60,
    0xfb3fffe4,0x80000fff,0xfff51fff,0x3fffa03f,0x8157302f,0xf00ffffc,
    0x7fc4bfff,0xfff106ff,0x3ca988df,0x07ffff60,0x3fffff26,0x5c0cffff,
    0x7503ffff,0x3ff26013,0xcfffffff,0xfffff880,0xfffff100,0x103fffe4,
    0x3ea7ffff,0xffa84fff,0xfffd2fff,0x3fffe60b,0x4ffff902,0xa806fffd,
    0x5c004ccc,0xfa82ffff,0xe80effff,0xffb0ffff,0xfff903ff,0xffffd8bf,
    0x3ffffc83,0x80fffffc,0x4407fffc,0xfffffffc,0xfff10dff,0xffff10df,
    0x3fffa61f,0x0befffff,0x6ffffec0,0x7fffec40,0x81ffff23,0xf13ffff8,
    0x9539ffff,0x25ffffff,0xf305fffe,0x3f205fff,0x3fff67ff,0x7fffc806,
    0x7fffcc00,0xffff712e,0xb739ffff,0x7dcbffff,0xf931dfff,0xf88dffff,
    0xebbdffff,0x5c0fffff,0x30beffff,0x00dffff7,0x7fffff54,0x3fff21ff,
    0xffda9cff,0x3ffea4ff,0x002effff,0x3fffffe6,0xfffffcac,0x03fffe45,
    0x747ffff1,0xffffffff,0xd2ffffef,0x3e60bfff,0xff902fff,0x37ffecff,
    0x03fffe40,0x7fffff40,0xffffffff,0xffffffff,0x3fe60fff,0xffffffff,
    0xfc87ffff,0xffffffff,0xfe882fff,0xffffffff,0x8001ffff,0x1fffffd9,
    0x3fffffa2,0x0effffff,0x33ffffea,0xfff50001,0xffffffff,0xfffc81ff,
    0x3fffe207,0x3ffffa23,0xffff5fff,0x417fffa5,0x902ffff9,0x7fecffff,
    0xfffc806f,0xfff98007,0xbfffffff,0xffffffd8,0xfb81ffff,0xdfffffff,
    0xb81ffffb,0xffffffff,0x3fa203ff,0xffffffff,0x440002ff,0x6c41fffc,
    0xffffffff,0x7ffd40ef,0xfa80000b,0xffffffff,0xfffc80df,0x3fffe207,
    0x7fffec43,0x4bfffe3e,0xf305fffe,0x3f205fff,0x3fff67ff,0x7fffc806,
    0xfffb3000,0xea819dff,0x0cffffff,0x3ffffaa0,0x13fffe3e,0x7ffffecc,
    0xfd5001df,0x19ffffff,0x75c40000,0xffffd701,0x5d5017ff,0xb7100000,
    0x07dfffff,0x103fffe4,0x4c07ffff,0x3ffa000a,0xffff305f,0x9ffff205,
    0x0006fffd,0x1a988000,0x0066a600,0x00015510,0x0006aa20,0x009aa988,
    0x30000000,0x00080335,0x06a20000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0033332a,0x22399993,0x501ccccc,0xcb879999,
    0xcccccccc,0xf003cccc,0x00009fff,0x1e665c00,0x20599990,0x401cccc8,
    0x4004ccc8,0x220a2003,0x2aa61aaa,0xaaa88002,0x4c0aaa60,0xed8002cb,
    0x3726005e,0x2e200abd,0x7fd41bdc,0x7fec03ff,0x3fff60ff,0xffff986f,
    0x7fffec1f,0xffffffff,0xffff005f,0x401ec009,0x7fffb84c,0x0dffff30,
    0x003fffee,0x400ffff3,0x2aaa25fc,0xfb07fd10,0x3ffe61df,0x7ffec003,
    0xb07fff30,0x009fffff,0x00bfffee,0x3ffffff2,0xffffb81f,0x3ffe0dff,
    0x3ffe206f,0x7fffc44f,0x7ffff43f,0xfffffd83,0xffffffff,0x9ffff005,
    0x80fff600,0x7fc43ffc,0xfffb81ff,0xfffd80ff,0x7fff9805,0xdbfff900,
    0xfdbfffff,0xfff987ff,0x007fff64,0xfd1fffd4,0xdfff70ff,0xfd005fff,
    0xf980dfff,0x7fffffff,0x7fffffd4,0x3fff25ff,0xffff701f,0xfffff303,
    0x17fffee1,0x7fffffec,0x5fffffff,0x09ffff00,0x07ffffb0,0xe87ffff9,
    0xffd84fff,0x7fc42fff,0xff9803ff,0xfffd007f,0xffffffff,0xf909ffff,
    0x3ffe25ff,0x6fff8806,0x3a0bfff2,0x0dff50ff,0xffffffa8,0xa93fae02,
    0x3ffa0fff,0x2fffeabe,0x209ffff1,0x3206fffe,0xff9dffff,0x33100fff,
    0xffd33333,0x3a001fff,0xfc803eee,0x3f23ffff,0x7e42ffff,0xffff86ff,
    0x7ffd44ff,0xfff9800f,0xfffd1007,0xffffffff,0x3fe209ff,0x9fff90ff,
    0x51fffe80,0x0cc0dfff,0xfe80bff7,0x005fffff,0xf31fffa8,0x7ffc45ff,
    0x21ffff64,0x403ffff9,0xfffffffe,0xf90002ff,0x0003ffff,0xffff9000,
    0xfffff97f,0x1ffff305,0x7fffffcc,0x037ffe46,0x007fff98,0x3bffffe6,
    0x07fffffc,0xf8afffdc,0xff701fff,0x3fffe2bf,0xefffb801,0x3bffe600,
    0x5401ffff,0x1fffffdc,0xfe81fff5,0x3fffea5f,0x07fffe42,0x3ffffe60,
    0x90004fff,0x205fffff,0x99999999,0x99999999,0xfffffc80,0x202fffff,
    0x3f22ffff,0x20ffffff,0x4c43ffff,0xfffa9999,0x0999999f,0x217fffdc,
    0x401ffffb,0xff72fffe,0xffff30df,0x017fff61,0x006fffe4,0xff97fffb,
    0x3ffa20bf,0x71ffffff,0xdffb0fff,0x7c5ffff8,0xf7004fff,0x01dfffff,
    0xfffff700,0x3fffe207,0xffffffff,0xf906ffff,0x5fffffff,0x25fffc80,
    0xfffcfffe,0x81ffff32,0xfffffffc,0xffffffff,0x27ffec3f,0x404fffe8,
    0xfd0ffffa,0xfffe89ff,0x01ffff54,0x3fff2aa0,0x8ffff980,0xf80ffff9,
    0xff89beff,0x81fff51f,0x7fe46ffe,0xffff50ff,0x7ffec003,0xfa8001ff,
    0x2204ffff,0xffffffff,0xffffffff,0x3ffff206,0xff9802ff,0x3bfff17f,
    0x3fee9fff,0xffffc86f,0xffffffff,0x7f43ffff,0xfff501ff,0xffff880b,
    0x44ffff93,0xff92ffff,0x3f6000df,0x5fffd83f,0xf313fffa,0x7ffdc3ff,
    0x445fff31,0x7fc44fff,0xdfffb3ff,0xffffe800,0x7fcc004f,0x7c405fff,
    0xffffffff,0x6fffffff,0x3fffff20,0xffff003f,0x3e7fff53,0x7fffb6ff,
    0xffffff90,0xffffffff,0xfffe87ff,0x0bfff701,0xf16fffc8,0xffb85fff,
    0x7fffd16f,0xfb1ffa20,0xffff887f,0x83fffea1,0xfd33fff9,0x77ff43ff,
    0x82fffd9a,0xfff5fffd,0x7fdc007f,0x002fffff,0x0dfffff1,0xffffff10,
    0xffffffff,0x3ff20dff,0x03ffffff,0xfccfffd8,0x1fffb1ff,0xf903ffff,
    0xffffffff,0x7fffffff,0xd05fffd8,0x7c407fff,0xfff90fff,0x4ffff609,
    0xb00ffff9,0xfff95bff,0x86fffc83,0x7f43ffff,0xffffffff,0x3ffffea2,
    0xff505fff,0x1ffff7ff,0x3fffe600,0x400fffff,0x0effffe8,0x33333300,
    0x33333333,0xfff90133,0x7fffffff,0xeefffa80,0x3ffee7ff,0x3106fffd,
    0xfff53333,0x1333333f,0x0bffffa8,0x03ffff93,0xf99fffec,0xff100eff,
    0x3fff21ff,0xfffff104,0xfff889ff,0x7fffc83f,0x6fffffd4,0x7fd43ffd,
    0x200cffff,0xffffffff,0x3fffa005,0x05ffffef,0x07ffffec,0x90000000,
    0xf95fffff,0x4407ffff,0x5fffffff,0x3fffffe6,0x7fcc004f,0x3fe2007f,
    0xfffeffff,0x3fe607ff,0x07fff65f,0x749fff70,0xb7100fff,0xff905bff,
    0xfff301ff,0x2379305f,0xca881aa8,0xffc801bc,0x001fffff,0xf19ffff9,
    0x3205ffff,0x331fffff,0x20033333,0xc803eeee,0x322fffff,0x203fffff,
    0x3ffffffd,0x7ffffffc,0x7ffcc001,0xfffd1007,0xffffffff,0x3ffa0bff,
    0x09fff50f,0x4c7fff60,0x80005fff,0x2e03cccc,0x00003ccc,0x7ffc4000,
    0xf5006fff,0x3ea1dfff,0x7d40ffff,0xffffffff,0x01ffffff,0x804ffff8,
    0xc82ffffc,0x2a03ffff,0x41ffffff,0x07fffffc,0x07fff980,0xffffffd0,
    0xffffffff,0x2fffb8bf,0x8801bffa,0x3ff25fff,0x0000001f,0x00000000,
    0x7ffffec0,0xffff8803,0x7fffec2f,0x7ffffdc5,0xffffffff,0xfff801ff,
    0x5ffb004f,0x201ffe40,0x87fffff8,0x04fffffa,0x07fff980,0xf99fff50,
    0xffb7ffff,0x24eed85f,0x4001eeea,0x3b61eeea,0x0000004e,0x00000000,
    0x7ffffd40,0xffffd800,0xfffff884,0x3ffffee3,0xffffffff,0xfff801ff,
    0x00b6004f,0x7ff400f2,0xfff885ff,0xf98002ff,0x3ea007ff,0x3f604c44,
    0x00000002,0x00000000,0x00000000,0x0bffff00,0x1fffff70,0x3ffffee0,
    0xffffff71,0xffffffff,0xffff003f,0x00000009,0x03ffffb8,0x000ffffd,
    0x000aaaa2,0x00018003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xcb980000,0xeeeeb82c,0xeeeeeeee,0x3a02eeee,0x3bbae05e,0xeeeeeeee,
    0x982eeeee,0x32a02cdb,0x555534cc,0x31555543,0x22015555,0x2e204001,
    0xddc81bdc,0x4ccc40dd,0x0ddddc81,0x11111111,0x92666541,0xdddc8bbb,
    0xdddddd30,0xdddddddd,0x4c4ddddd,0x99999999,0x99999999,0xb0000019,
    0x43ffffff,0xfffffffc,0xffffffff,0x81bfe03f,0xfffffffc,0xffffffff,
    0x7fffe43f,0xfffc80ef,0x29ffff77,0x327ffff8,0x3223ffff,0x00befffe,
    0xffff716a,0xffff88bf,0x23fffdc3,0x3a3ffff8,0xffffffff,0x74ffff71,
    0x7ffec7ff,0xffffff31,0xffffffff,0x7ccfffff,0xffffffff,0xffffffff,
    0xa800007f,0x5fffefff,0x3ffffff2,0xffffffff,0xbfd023ff,0x7ffffe40,
    0xffffffff,0x3fee3fff,0xc86fffff,0xfff77fff,0x3fffe29f,0x4fffff27,
    0xffffffe9,0xf930adff,0xffd3088b,0x46fff983,0x7e47fffb,0x7fff43ff,
    0xf71fffff,0x3fff4fff,0x7cc7fff6,0xffffffff,0xffffffff,0x3fffe67f,
    0xffffffff,0x07ffffff,0x1ffe8000,0x7fe47ffa,0xffffffff,0x23ffffff,
    0x269fb1de,0x3ffff25c,0xffffffff,0xff13ffff,0x9ffd517f,0xf77fffc8,
    0x3fe29fff,0x3fff27ff,0xfffffd3f,0xffffffff,0xfc80bfff,0x2fff983f,
    0xf89fffee,0xfffe84ff,0xf71fffff,0x3fff4fff,0x9987fff6,0x99999999,
    0x99999999,0x37777661,0xdddddddd,0x005ddddd,0x22654400,0x55532ffe,
    0x55555555,0x227fffd5,0xddfedfff,0x55530fff,0x55555555,0x2a155555,
    0x37fc44ff,0x7ddbfff2,0xfff14fff,0x7fffe4ff,0xffffffd2,0xffffffff,
    0x22262bff,0x500fffb9,0x7ffdcdff,0x7417fee7,0xffffffff,0x4cffff71,
    0x4cccc199,0x00000000,0x00000000,0x00fffa80,0x4ffffa00,0xfffffff9,
    0x0002ffff,0xe81ffb80,0x2abf907f,0x3fe3ffff,0x3ffee6ff,0x3159fd1f,
    0xffffffb5,0x3fea3fff,0x403fffff,0x2eee6198,0xbb806623,0x0bbbbbbb,
    0x00000000,0x00000000,0x7dc00000,0x740003ff,0x6dc43fff,0x009bdfff,
    0x9ff50000,0xfd06ff88,0x8bfffe2b,0x3ea4fffe,0x403d0fff,0xcefffeb8,
    0x37bfb660,0x0000000c,0x00000000,0x00000000,0x00000000,0x009fff90,
    0x07fffd00,0x01dffff1,0x55555553,0x55555555,0x4fffe215,0xfb84ffd9,
    0x83fffe1f,0x3e23fffc,0x980027ff,0x00000009,0x00000000,0x00000000,
    0x00000000,0xffd88000,0xfd00003f,0xfff887ff,0xffc85ffb,0xffffffff,
    0x23ffffff,0xfffffffc,0x227ff40f,0x7fd47ffd,0x037ffc2f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ff40000,0x3a00001f,0x3fa23fff,
    0xc8bffb3f,0xffffffff,0xffffffff,0x7ffffe43,0x983fc81e,0x555442aa,
    0x000d5540,0x00000000,0x00000000,0x00000000,0x00000000,0x3fff6000,
    0x001ccccd,0x90ffffa0,0x21ffc4df,0xfffffffc,0xffffffff,0x3dec983f,
    0x00000220,0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,
    0xffffffff,0x3b20003f,0x541a82ee,0xeeeeeb80,0xeeeeeeee,0x00002eee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ffd4000,
    0x03ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_38_latin1_x[224]={ 0,3,1,0,1,1,1,1,1,1,0,1,1,1,
2,-1,1,2,0,1,0,1,1,1,1,1,3,2,1,1,1,1,1,0,2,1,2,2,2,1,2,2,0,2,
2,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,1,-1,0,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,0,0,2,0,0,0,0,0,0,2,0,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,1,0,0,0,
2,0,0,-1,0,1,1,1,-1,-1,1,0,0,0,3,1,-1,2,0,1,0,1,1,1,0,1,0,0,0,0,
0,0,-2,1,2,2,2,2,-1,1,-1,-1,-1,2,1,1,1,1,1,1,1,2,2,2,2,-1,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,-1,2,-1,-1,1,2,1,1,1,1,1,0,1,2,2,2,2,0,2,0,
 };
static signed short stb__arial_bold_38_latin1_y[224]={ 30,5,5,5,3,5,5,5,5,5,5,9,25,18,
25,5,5,5,5,5,5,5,5,5,5,5,12,12,8,12,8,5,5,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,33,5,11,5,11,5,11,5,11,5,5,
5,5,5,11,11,11,11,11,11,11,6,12,12,12,12,12,12,5,5,5,14,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,30,12,5,5,9,5,
5,5,5,5,5,13,12,18,5,1,5,7,5,5,5,12,5,15,30,5,5,13,5,5,5,12,-1,-1,-1,0,
0,0,5,5,-1,-1,-1,0,-1,-1,-1,0,5,0,-1,-1,-1,0,0,9,4,-1,-1,-1,0,-1,5,5,5,5,
5,5,5,4,11,11,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,9,11,5,5,5,5,5,5,5,
 };
static unsigned short stb__arial_bold_38_latin1_w[224]={ 0,6,14,19,17,28,24,6,10,9,13,18,6,10,
6,11,17,12,18,17,19,17,17,17,17,17,6,6,18,18,18,19,33,25,21,22,21,19,18,24,20,6,17,23,
18,24,20,25,20,26,23,21,21,20,24,33,23,24,21,9,11,9,17,21,9,17,18,18,18,17,13,18,17,6,
10,17,6,27,17,19,18,18,12,18,11,17,19,27,19,19,17,13,5,13,18,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,6,18,19,19,19,
5,18,12,27,12,17,18,10,27,21,12,18,11,11,8,17,20,6,10,8,12,17,28,27,29,19,25,25,25,25,
25,25,35,22,19,19,19,19,9,9,12,12,24,20,25,25,25,25,25,18,25,20,20,20,20,24,20,18,17,17,
17,17,17,17,28,18,17,17,17,17,9,8,12,12,19,17,19,19,19,19,19,18,19,17,17,17,17,19,18,19,
 };
static unsigned short stb__arial_bold_38_latin1_h[224]={ 0,25,10,26,31,26,26,10,33,33,12,18,11,6,
5,26,26,25,25,26,25,26,26,25,26,26,18,24,20,12,20,25,33,25,25,26,25,25,25,26,25,25,26,25,
25,25,25,26,25,28,25,26,25,26,25,25,25,25,25,32,26,32,14,4,6,20,26,20,26,20,25,27,25,25,
33,25,25,19,19,20,26,26,19,20,25,19,18,18,18,26,18,33,33,33,8,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,25,32,26,18,25,
33,33,5,26,13,16,12,6,26,4,11,23,13,14,6,25,32,6,7,13,13,16,26,26,26,25,31,31,31,30,
30,30,25,32,31,31,31,30,31,31,31,30,25,30,32,32,32,31,31,18,28,32,32,32,31,31,25,26,26,26,
26,26,26,27,20,26,26,26,26,26,25,25,25,25,26,25,26,26,26,26,26,18,21,26,26,26,26,33,32,33,
 };
static unsigned short stb__arial_bold_38_latin1_s[224]={ 166,245,92,1,206,209,106,85,51,21,32,
125,78,163,174,244,189,131,107,20,180,80,126,42,170,216,239,190,86,46,123,
207,68,126,167,98,228,70,88,121,152,173,1,46,90,121,146,144,189,107,144,
38,168,19,106,72,48,23,1,166,243,223,212,216,137,30,234,48,79,105,32,
152,1,238,102,207,200,198,162,142,60,1,226,67,109,180,1,97,21,60,41,
132,160,146,107,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,
216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,166,245,135,
40,144,1,62,113,181,188,230,182,13,163,98,194,65,197,1,200,154,70,93,
147,126,246,243,164,77,49,19,227,154,180,224,21,192,218,146,233,31,51,1,
1,21,96,132,68,182,47,27,1,197,145,106,78,81,176,72,114,171,71,21,
21,40,58,76,94,112,134,1,130,149,207,187,205,60,247,225,19,225,210,167,
189,169,149,223,59,235,238,171,1,131,31,53,1, };
static unsigned short stb__arial_bold_38_latin1_t[224]={ 34,239,357,131,35,100,158,357,1,1,357,
338,357,357,357,68,158,291,239,185,239,185,185,239,185,185,317,291,317,357,317,
212,1,239,265,212,265,265,239,212,239,239,212,265,265,265,265,185,265,100,291,
185,291,212,291,291,291,291,291,1,131,1,338,357,357,317,185,317,212,317,265,
100,265,239,1,239,239,317,317,317,212,185,317,317,265,317,338,338,338,185,338,
1,1,1,357,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,
291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,291,34,158,35,
212,338,239,1,1,357,185,338,338,357,357,185,357,357,291,357,338,357,239,35,
357,357,317,338,338,158,158,158,212,35,35,35,100,68,68,212,1,68,68,68,
100,68,68,68,100,212,100,35,35,1,68,68,338,100,1,35,35,68,68,239,
131,131,131,131,131,131,100,317,131,131,158,131,131,239,212,239,265,158,265,131,
100,158,158,131,338,291,100,100,158,158,1,35,1, };
static unsigned short stb__arial_bold_38_latin1_a[224]={ 151,181,258,303,303,484,393,129,
181,181,212,318,151,181,151,151,303,303,303,303,303,303,303,303,
303,303,181,181,318,318,318,332,531,393,393,393,393,363,332,423,
393,151,303,393,332,453,393,423,363,423,393,363,332,393,363,514,
363,363,332,181,151,181,318,303,181,303,332,303,332,303,181,332,
332,151,151,303,151,484,332,332,332,332,212,303,181,332,303,423,
303,303,272,212,152,212,318,408,408,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,408,151,181,303,303,303,303,152,303,
181,401,201,303,318,181,401,301,218,299,181,181,181,314,303,151,
181,181,199,303,454,454,454,332,393,393,393,393,393,393,544,393,
363,363,363,363,151,151,151,151,393,393,423,423,423,423,423,318,
423,393,393,393,393,363,363,332,303,303,303,303,303,303,484,303,
303,303,303,303,151,151,151,151,332,332,332,332,332,332,332,299,
332,332,332,332,332,303,332,303, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_38_latin1_BITMAP_HEIGHT or STB_FONT_arial_bold_38_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_38_latin1(stb_fontchar font[STB_FONT_arial_bold_38_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_38_latin1_BITMAP_HEIGHT][STB_FONT_arial_bold_38_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_38_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_38_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_38_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_38_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_38_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_38_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_38_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_38_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_38_latin1_s[i] + stb__arial_bold_38_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_38_latin1_t[i] + stb__arial_bold_38_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_38_latin1_x[i];
            font[i].y0 = stb__arial_bold_38_latin1_y[i];
            font[i].x1 = stb__arial_bold_38_latin1_x[i] + stb__arial_bold_38_latin1_w[i];
            font[i].y1 = stb__arial_bold_38_latin1_y[i] + stb__arial_bold_38_latin1_h[i];
            font[i].advance_int = (stb__arial_bold_38_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_38_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_38_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_38_latin1_s[i] + stb__arial_bold_38_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_38_latin1_t[i] + stb__arial_bold_38_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_38_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_38_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_38_latin1_x[i] + stb__arial_bold_38_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_38_latin1_y[i] + stb__arial_bold_38_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_38_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_38_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_38_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_38_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_38_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_38_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_38_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_38_latin1_LINE_SPACING
#endif

