// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_21_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_21_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_21_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_21_latin1_BITMAP_HEIGHT        138
#define STB_FONT_consolas_21_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_21_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_21_latin1_NUM_CHARS            224

#define STB_FONT_consolas_21_latin1_LINE_SPACING          14

static unsigned int stb__consolas_21_latin1_pixels[]={
    0x0003e8fa,0x54ddddd0,0x2e03eeee,0x001510ed,0x4400aa80,0x0660a81c,
    0x70159510,0x0d40015b,0x0000a880,0x00000000,0x00093000,0x00000000,
    0x24f80000,0x2005d14f,0x9fb3324e,0xb02ccdfb,0x0bea19ff,0x803fd800,
    0x8a7dc6fd,0xbfd300ff,0xffda85fd,0x2007f000,0xdfc800fa,0x807ff200,
    0x1d8aefe9,0x01ba2fa8,0x3ff306c8,0x01bf9000,0xf500ffe4,0xff983745,
    0x24f93e01,0x17ec00fe,0x007ee7d8,0x05f50bf3,0x4007b600,0xb174c4fc,
    0xf713e60b,0x8807f303,0x7c800bfa,0x6c03fc80,0x9902fdaf,0x2a0dffb3,
    0x7301fa3f,0x7ec409f7,0x00ff2001,0x205fb5fb,0x881fa3fa,0x7c9f01fd,
    0xfc81be24,0x1fb9f604,0x7d417d40,0x20000002,0x2f440001,0x20dd05d8,
    0x2fffffe9,0x04c036c0,0x01982620,0x08080110,0xbffffd30,0x4c001300,
    0x3304c400,0x4c004040,0x227c9f00,0x06f884fa,0x803f73ec,0x12fa81fb,
    0x40130155,0x26666609,0x09802609,0x07dc03ee,0x5ffc43ec,0xc881a9fc,
    0x7300dffd,0x37730037,0x00377300,0x3e203773,0x44ffb8af,0x5415102a,
    0x15415102,0x40aa0a88,0x377300a8,0x6c27c9f0,0x200fec1f,0x7007ee7d,
    0xf95f503f,0x07f81dff,0x3ffe67f7,0x41fe4fff,0xa993a3fb,0x7d80f9a9,
    0x40d92fc8,0x1eefdff9,0x6fffff4c,0xffffe980,0xfffe980d,0xffe980df,
    0x17e40dff,0x3f43fd9d,0x41fa3fa8,0x541fa3fa,0x7d41fa3f,0x7ffff4c3,
    0x84f93e0d,0x017e23f9,0x401fb9f6,0xfefa80fb,0x7e45fb8a,0x2660fd82,
    0x3f24fa99,0x3f30fd82,0x3e33fff2,0x2fd87c81,0x44ff40bb,0x8aff882f,
    0x7fc46fc9,0x446fc98a,0x6fc98aff,0x64c57fc4,0x5f13fc6f,0xa83f47f5,
    0x7d41fa3f,0x1fd41fa3,0x88fea0fd,0x6fc98aff,0xbf04f93e,0x3ec027dc,
    0x06d803f7,0x0fd81ff5,0x0bf117e6,0x17e64f88,0xfabdcbf1,0x82f8bf8a,
    0x577d42fa,0x267f504e,0xd82fc81f,0x360bf21f,0x360bf21f,0x360bf21f,
    0x7d49f11f,0x41fa4f88,0x541fa3fa,0x7d41fa3f,0x1fd41fa3,0x23fb05f9,
    0x3f40b24f,0x4fb005fb,0xeec981fb,0xf707f501,0x3ee0fe83,0x3a27c402,
    0x6c8bee0f,0x3e2be6db,0x5c7bf902,0x3f905fff,0x41fe03ea,0x541fe4fa,
    0x7d41fe4f,0xa7d41fe4,0x6f9764f9,0xd1fd41fa,0x7e8fea0f,0x83f47f50,
    0x541fe3fa,0x32009f4f,0xb001fd1f,0x74c0fdcf,0x05f500cf,0x23fa85f5,
    0x44f8807e,0xbb1fa3fa,0x7c4fd53e,0x98bfd501,0x7e43fffc,0x09f10f71,
    0x827c57e2,0x209f15f8,0x209f15f8,0x7c7f55f8,0x507e9be3,0xfa83f47f,
    0x1fd41fa3,0x44fea0fd,0x3ebf104f,0x3a5f5004,0x7dcfb007,0x541ba201,
    0xf81fb82f,0xf1009f36,0x13e6df09,0x5ee7f19d,0x03f980f9,0xa93fb3e6,
    0x9f30d93f,0x04f9b7c0,0xf027cdbe,0x6f813e6d,0xf83e69f3,0x1fd41fa5,
    0xe8fea0fd,0x3f47f507,0x09f33fa8,0x9004fb7c,0x2003f65f,0x7007ee7d,
    0x905f501f,0xf93f901f,0x909f1003,0xce83f93f,0x1eafb3f8,0x23ea03dc,
    0x1df10fe8,0x407f50bb,0x7c07f57f,0xbfc07f57,0x45fe03fa,0x27c4d95f,
    0xe8fea0fd,0x3f47f507,0x41fa3fa8,0x407f53fa,0x80d49f7f,0x005f71fd,
    0x200fdcfb,0x42fa81fb,0xf9f305f8,0x213e200d,0x4d86fcf9,0x9d1ff3bd,
    0x4f701f20,0x3fbf21fd,0x09f31cad,0x204f9b7c,0x7c09f36f,0x37c09f36,
    0x7dc9d1fd,0x1fd41fa2,0xe8fea0fd,0x3f47f507,0x09f33fa8,0x13e4fb7c,
    0x009f33fc,0x200fdcfb,0xbefa81fb,0x3a01ffba,0x9f1003ff,0x360fffa0,
    0xdff5ff75,0xd901f201,0x3faa1fe6,0x0bf11eff,0x82fc53e2,0x20bf14f8,
    0x20bf14f8,0x3f7ee4f8,0x07e8df11,0xa83f45f5,0x7d41fa2f,0x97d41fa2,
    0x29f105f8,0x3e613e4f,0x3ec02fc5,0x1fb803f7,0xdfffffa8,0x003fdc00,
    0x1fee09f1,0x06213364,0xdbdd0f90,0x2205ffdd,0x2e0ff03f,0x7dc1fe3f,
    0x1fdc1fe3,0xb0fee0ff,0x85ff97ff,0x6c3fb07d,0x3ec3fb07,0x41f61fd8,
    0x5c1fe1fd,0x427c9f3f,0x00fec1fc,0x401fb9f6,0x12fa81fa,0x001fdc00,
    0x0fee07f5,0xd8000fd4,0xefffeb87,0x407e600c,0x237c44fb,0x237c44fb,
    0x237c44fb,0x437c44fb,0x81dffff8,0x23fc42fc,0x23fc42fc,0x23fc42fc,
    0x23fc42fc,0xf37c44fb,0x17ea27c9,0x4fb01be2,0x27c401fb,0x220017d4,
    0x3f6000ff,0x200ff882,0x0df0005f,0x1f5003f8,0x32f7fa20,0x6ff442ff,
    0x7442ffcb,0x42ffcbdf,0xffcbdfe8,0x401bf882,0xffcacff8,0x6567fc42,
    0x67fc42ff,0x7c42ffca,0x42ffcacf,0xffcbdfe8,0x224f93e2,0x89f500ff,
    0x3ee7d999,0x9fb0099a,0x44017d43,0x2e01ffba,0x226fd99b,0x5401ffba,
    0x107511df,0x7c407fb5,0x880f7002,0x101dfffd,0x203bfffb,0x01dfffd8,
    0x03bfffb1,0x6c4003ea,0xb102efff,0x2205dfff,0x102efffd,0x205dfffb,
    0x41dfffd8,0x2fd93e4f,0xfff17e40,0x7fffdcff,0x23fd9304,0xffa802fa,
    0x7ffe401e,0x3bfea0df,0xfffd5001,0x09ff905d,0x75000a88,0x02000400,
    0x00800100,0x01000088,0x00400080,0x40100020,0x17c53e4f,0x26664e80,
    0x26666219,0x02620800,0x88002620,0x00988099,0x44013100,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4f800000,0x0200093e,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00260980,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5cc40000,0x555100ab,
    0x05500155,0x000037aa,0x00000000,0x00005440,0x00000000,0x73000000,
    0x98000037,0x00002cca,0x00000000,0x7d405510,0x261fffff,0x1ffffffd,
    0x7c41fcc0,0x7f4c05ca,0x6401d8ae,0x7fcc01ff,0x06fe4001,0x7e4000bd,
    0x0ffe400d,0x21ba2fa8,0x1d8aefe9,0x440dfc80,0x00dffffe,0xfb80ffe4,
    0x5f507fef,0x45f50374,0x0dfc806e,0x9803ff30,0x15ff706f,0x3fe21931,
    0x803f95ff,0xb8f980fc,0x7ece6405,0x6d7ec06f,0x0fec402f,0xfb83fc80,
    0x03fc8000,0x82fdafd8,0x321fa3fa,0x806ffd9c,0xaff883fc,0x3606fc98,
    0x7cc2fdaf,0x23fa8045,0xe8fea07e,0x401fe407,0x3e601fd8,0x400ef885,
    0xf95ffffc,0x9027c403,0x088003ff,0x03304c40,0x04c00260,0x98004f88,
    0x26098800,0x10010101,0x64026001,0x881fd82f,0x5f706609,0x20040400,
    0x004c0080,0x5f980260,0xfe803fc8,0x03f95fff,0x55300fdc,0x00154c00,
    0x55500553,0xaa835555,0x6c1aaaaa,0x30055407,0xaaaaa815,0x555541aa,
    0x06aa1aaa,0xaaa882a2,0x1be2aaaa,0x2aa227d4,0x262aaaaa,0x2a6001ef,
    0x55554402,0x55302aaa,0x30154c00,0x001fb0bf,0x32bffffb,0xb01ba01f,
    0x3f6005ff,0x5ffb002f,0xffffff80,0x7ffffc4f,0x01fcc4ff,0x3fe20bf7,
    0x7fffffc0,0x7ffffc4f,0x21ff64ff,0x3ffe62fa,0x9f15ffff,0xff317e20,
    0x4cbfffff,0xd800cfff,0x3fe602ff,0xb05fffff,0x3f6005ff,0xd0bf302f,
    0x3ffee00f,0x2603f95f,0x3fbe202f,0x4fef8804,0x04fef880,0x4ccccf7c,
    0x4cccf7c0,0x7406e809,0xf83fb81f,0x4099999e,0x099999ef,0x5f50fff6,
    0x99dfa998,0x37c07f30,0x4cefd4cc,0xdfb3df10,0x27f7c403,0x277ea660,
    0x4fef8809,0x04fef880,0x00df0bf1,0xfcaffff4,0xfa80fb01,0xafa807ea,
    0xeafa807e,0xf8037c07,0x807ea006,0x837c45fa,0x00df006f,0x2fa8ddfb,
    0x7f50bf10,0xbf103fc0,0x7fd43f70,0x0fd5f501,0xf5017e20,0x5f500fd5,
    0x213e20fd,0x7f5c007f,0x9f103f95,0x05f97d80,0x805f97d8,0x7c05f97d,
    0x800df006,0x917f405f,0x401be05f,0xfbfd806f,0x7c40bea2,0x3e04fa85,
    0x2e17e206,0xd837cc2f,0xf1005f97,0x5f97d80b,0x05f97d80,0x01fd09f1,
    0x40fe4200,0x57e200fc,0x57e204f9,0x57e204f9,0x01be04f9,0x3f20037c,
    0x7c5be600,0x7c01be05,0x4df7d806,0x0bf102fa,0x17e20bf3,0xef885f88,
    0x3e207ec0,0xf1009f35,0xf9afc40b,0x7cd7e204,0xfb84f884,0x0fe40004,
    0x8bea02fc,0xf8bea07f,0x7f8bea07,0x3bbbbfe0,0x7777fc2e,0x07f102ee,
    0x01fcafd8,0x3bbbbbfe,0x77777fc2,0x97ddf62e,0x0bf102fa,0x017dc1fe,
    0x3fea0bf1,0x8bea1f62,0x05f8807f,0x207f8bea,0x221fe2fa,0x02ff884f,
    0xf507f200,0x320fd803,0x641fb01f,0x641fb01f,0xdddff01f,0xeeff85dd,
    0x1f602eee,0x809fdf10,0x2eeeeeff,0x777777fc,0xab7c5f62,0x20bf102f,
    0x03fc44fc,0xfe9817e2,0x0fd83fcd,0xbf1007f2,0x3f907ec0,0x1fc83f60,
    0x66ffd400,0xfc801fcb,0x3e203741,0x7c427d45,0x7c427d45,0x6f827d45,
    0x5000df00,0x0ffc805f,0x6f8037c0,0x27f27d80,0x0bf102fa,0x3f2f7fa2,
    0x02fc401f,0x7c427fdc,0x22027d45,0xa8bf105f,0x545f884f,0x2601b84f,
    0x00cefffd,0x0fe60fd8,0x9999df50,0x99df50ff,0xdf50ff99,0x20ff9999,
    0x00df006f,0xbf1017a0,0x3e00df00,0x3e27d806,0xbf102fad,0x6fffe440,
    0x005f8801,0x9df50ff3,0x880ff999,0x99df505f,0xdf50ff99,0xb8ff9999,
    0x006e807f,0x007e47f8,0x3ffffff6,0x7ffec1ff,0x6c1fffff,0xffffffff,
    0xdf006f81,0x807ee000,0x06f805f8,0x8fb00df0,0xf102fbfd,0x00bf100b,
    0xfd002fc4,0xfffffd81,0x3e201fff,0xfffffb05,0xffd83fff,0x21ffffff,
    0x1fc406fa,0xfb537f30,0x22027c47,0x449f506f,0x449f506f,0xf09f506f,
    0x001be00d,0xbf1027c4,0x3e00df00,0x7cc7d806,0x0bf102fe,0x2028bfa0,
    0x99a885f8,0x37c45fc9,0x3e204fa8,0xf506f885,0xfa837c49,0x0fd40044,
    0x9ffffd30,0x7d401fb8,0x3fa9fe03,0x03fa9fe0,0x333fe1fe,0x67fc2ccc,
    0xc802cccc,0x00bf100f,0x599999ff,0xcccccff8,0x3ff61f62,0x3bf33222,
    0x3fe603cc,0x33221fff,0xf33ccefc,0xa81bffff,0x911fe03f,0x2799df99,
    0xa9fe03fa,0x001fe03f,0x01351000,0x01fb0031,0x00fd8fec,0x007ec7f6,
    0xffff83fb,0x7ffc4fff,0x8804ffff,0x2017e201,0x4fffffff,0x7ffffffc,
    0x3fe61f64,0x3ffffe62,0x65c405ff,0x7fffcc1c,0x2aa65fff,0x401fb00a,
    0x3ffe61fd,0x1fb5ffff,0x0fd8fec0,0x00007f60,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x82a00d40,0x40e5c419,0x0cc15029,0x2000aa20,0x01a980aa,0x202bca88,
    0x550001aa,0x300aa201,0x0d540435,0x0001aa80,0x1982a0aa,0x510002a2,
    0x4cd54c01,0x20551009,0x1a826009,0x2007fe60,0xf703fee8,0x7443fe29,
    0x17e22fee,0x07fc53ee,0x003ffe88,0x7f440ff6,0x7fcc2edb,0xfb105ffe,
    0x03fd8005,0x2e07ffd1,0x41fbdfff,0xd8802fd8,0x8df0002f,0x21ff14fb,
    0x7ec002fa,0xffffe985,0xffe885ff,0x7f707f83,0xd8803fee,0x69b5401f,
    0x72ec5d30,0x0fc97a1f,0x41762e98,0x03fa8de8,0xfd501ed8,0xee819dff,
    0xfc80bf60,0x203db002,0x83fa8de8,0x407dd51a,0x5f9002fc,0xe98df000,
    0x02fa9762,0x7f427e40,0x8815fb11,0x643fa8de,0xf50fd82f,0x3002600d,
    0x4000b95f,0x17cdb27c,0x00000000,0x27e5ed40,0x0fea1fcc,0x00000000,
    0x00000000,0x40037c00,0x818002fa,0x027cc3f9,0xf88bf300,0xaa880445,
    0x502aaaaa,0x554401bd,0x4e8fdc1a,0x155100bd,0x00155100,0xa8801551,
    0x217dc2ff,0x555101fd,0x0d554403,0x40355510,0x4401aaa8,0xaa9800aa,
    0x7cd4c400,0x42202626,0x015512fa,0x0fea0544,0x809889f3,0xf707f408,
    0xff301a85,0x10bfffff,0x3f603555,0x3a25ffff,0x00fc8fef,0x13ffff62,
    0x27fffec4,0x4ffffd88,0x6ffffd88,0x2fe88fdc,0xbfffffb0,0xbfffffb0,
    0xbfffffb0,0xbfffffb0,0x9ffffb10,0x3ffffa20,0x7ffe440d,0x20bea6ff,
    0xff95f56e,0x0be601df,0x0fec1df1,0x51ba0bea,0x27c3f47f,0x33bf5330,
    0xfffffd81,0xfb31ab85,0x7cc55447,0xc897ec03,0x912fd84f,0x225fb09f,
    0x4dff44fc,0x47ee2fc9,0x46ae01fd,0x8d5c3fd9,0x8d5c3fd9,0x8d5c3fd9,
    0x97ec3fd9,0x7fc44fc8,0x6c5fc88a,0x26f989df,0xf56e82fa,0x0bf715fd,
    0x3ff60be6,0x2fa84fee,0xf36f86e8,0xf1009f09,0xd98d5c0b,0x05f8803f,
    0x07f3017a,0xe83f98fd,0x3f41fcc7,0x26f887f5,0x000fd1fb,0xbf100bf1,
    0x100bf100,0x741fccbf,0x7ec17e47,0x4df09f51,0xf56e82fa,0x220fd81f,
    0x57d42fea,0x5f501bcb,0x93f90dd0,0x804f883f,0x7c4005f8,0x2e0df005,
    0x407e400f,0x203f21fc,0x203f21fc,0xb01fb1fc,0x7e47ee1f,0x006f8004,
    0x01be00df,0x901f937c,0xfa83f43f,0x4df05f92,0xf56e82fa,0x3e23f707,
    0x0fe41ccf,0x6e82fa80,0x886fcf98,0x05f8805f,0x76446f80,0xf986ffff,
    0x6c0dfd8b,0xffffffff,0x3fffff62,0x3ff62fff,0xd2ffffff,0x7dc7f20d,
    0x101bfd11,0x8dffffd9,0x6ffffec8,0x7ffff644,0x7fff6446,0x3ffff66f,
    0x1be2ffff,0x80fd9fcc,0x3a0bea6f,0x5f505f56,0xffa807ee,0x540bceee,
    0xfd06e82f,0x00bf107f,0x76440bf1,0x7f46ffff,0xe86faaab,0xd8dd7bd6,
    0xaaaaaabf,0x2aaaff60,0x2ff60aaa,0xd0aaaaaa,0x7dc7f20f,0x7f437e41,
    0x746faaab,0x46faaabf,0x6faaabfe,0x7d555ff4,0x2aaaff66,0x41be0aaa,
    0x3e0fd3f9,0x5ba0bea6,0xd1fb82fa,0xeefe880f,0x3ea0fffe,0xff706e82,
    0x22017e20,0x2affa05f,0x0be66faa,0xf33f71be,0x3fc83ee3,0x2007f900,
    0x0fd803fc,0x03f70fd8,0x417cc5fb,0x3e0be66f,0x9be0be66,0x326f82f9,
    0x20fd003f,0x983fb2fb,0x3e0fea6f,0x1f905f56,0x1fd807f6,0x0fea4fc8,
    0x81fdc1be,0x5f8805f8,0x4df05f30,0x137dc2fc,0x7d47e67f,0x4c01be60,
    0x0df3006f,0x5f987f70,0x8bea07ee,0x937dc2fc,0x326fb85f,0xf937dc2f,
    0x3e66fb85,0x887f7006,0xe88fee6e,0x3f62fc6f,0x5f885f56,0x3fc03bea,
    0x22fc3fa8,0x0ff886fd,0xf100df30,0xf70bf20b,0x6dd77d4d,0xf89b66ff,
    0xffd86e9d,0xfd83baac,0xd83baacf,0x43baacff,0x1ffbacfe,0x7dd5c7ee,
    0x2ebbea0f,0x3bea6ffd,0x2a6ffdba,0x6ffdbaef,0x3f6ebbea,0x567fec6f,
    0x67f443ba,0x3e22feba,0x46edfbcf,0x6efeacfd,0xff757df5,0x0bcffc83,
    0x2a66b3fa,0x567ec0ff,0xf7516efe,0x037cc03f,0xefa82fc4,0x5c6ffdba,
    0x76d8dfff,0x0effa83f,0x9fffff70,0x3ffffee0,0xfffff704,0xefffd889,
    0xfff8fdc1,0xdfffb81d,0x7ffdc6d8,0x7fdc6d8d,0x7dc6d8df,0xb86d8dff,
    0x884fffff,0x981efffd,0x98db4ffe,0x16d8dffc,0x01bffff9,0xd88bff6a,
    0x81dfffff,0x6d8dffc9,0x9803dff5,0x05f8806f,0x3637ffee,0x04000106,
    0x4c001300,0x20026000,0x08004001,0x00800200,0x02600020,0x00080040,
    0x00040022,0x06662022,0x09880440,0x64402600,0x03ccefcc,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xff980000,0x005fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00004000,
    0x15500155,0x5540a600,0x26026201,0x01982a00,0x44a26a62,0x9802aa21,
    0x5510021a,0x2a006aa0,0x02bba881,0x15555555,0x00157310,0x0d406ee6,
    0x40aa9800,0x200acca9,0x82a001aa,0xaaaaa819,0x3fff622a,0x01fec003,
    0x9d001fec,0x540bf620,0xf705f82f,0x3603fe29,0xf56fffff,0x01dfff93,
    0x3f7bfff7,0x20fffa20,0xf901effe,0x7fffd41f,0x7fffc1ff,0x7fcc1fff,
    0xd300dffe,0x441bffff,0x3f22004f,0x7ffc3fff,0xfb103fff,0x229f7005,
    0x7fffc0ff,0x2eff67ff,0x3db002fe,0x3003db00,0xfc805f75,0x5f82fa82,
    0x42ec5d30,0x6f989dfe,0xf715fdf5,0x3baa350b,0xf51bd103,0x2ffb9887,
    0xdf11ffd8,0xbf17ee23,0xfa833333,0x221bea0c,0x6fc98aff,0x744013e2,
    0x54099adf,0x401ff510,0x174c02fc,0x333330bb,0xf997e2fd,0x00000004,
    0x09ffffd3,0x7c17d400,0x27d40005,0x40ffab7c,0x000000fd,0x440ff980,
    0x3a0fea2c,0x2f402fc7,0x17e43f98,0x04f88fec,0x20005f90,0x000002fc,
    0x9f37e800,0x09881fcc,0x15530088,0x7f4bfe20,0x4404c44f,0x0bf05f50,
    0xfc80aa98,0x07f56f82,0x2aa603f7,0x00aa9800,0xf9802fc8,0x17e2fc44,
    0x3ff23f50,0x507f8fb5,0x2213e29f,0x0009f109,0x4cc40fdc,0x4ccc4019,
    0xff3f4001,0x2a01fd11,0x7446e82f,0x640dffff,0x1fb5f11f,0xab7417d4,
    0xd105f82f,0x741bffff,0x5f56f80f,0xfe885f50,0xe880dfff,0x200dffff,
    0x9fd001fb,0x5f85fd11,0x9cfbb640,0x13e21f52,0x44f8afc4,0x447ea5fb,
    0x0dd10009,0xd01ffffa,0xe800ffff,0x0bfbbee7,0x26e82fa8,0xfc88aff8,
    0x2af73745,0x3a0bea2f,0x0bf05f56,0xf9115ff1,0x56f83f4b,0x443f905f,
    0x5fc88aff,0x64457fc4,0x00dd105f,0x0f7ffec4,0x0e7ffffc,0x3e61babb,
    0xb7c09f31,0x917ee4f8,0x1bffff9f,0x40bfb950,0x4407e998,0x74007e99,
    0x003bfe67,0x64dd05f5,0x3e1fd82f,0x51fcd3a5,0x3eadd05f,0x7e42fc43,
    0x1fb1fd82,0x05f56f98,0x417e41fd,0x20bf21fd,0x3ffb61fd,0xff701302,
    0x975505ff,0x757a3ffd,0x7f52f885,0x74f8bfc0,0x37dfb0bf,0xdd70df93,
    0x0fd009ff,0x3a003f40,0x25fddf37,0x417d43fa,0x7d41fa6e,0x997c5be2,
    0x3a0bea3f,0x6fd8bf56,0x25f507e8,0x5bfa22fb,0x22fcc2fa,0x745f507e,
    0x7f45f507,0xd83fee02,0x007ff54f,0x3e576bf9,0x04f98fcc,0x7de7c5be,
    0xf901fb05,0x027e4403,0x07e801fa,0x98febf40,0x542fb8ff,0x1be6e82f,
    0x2efb1fcc,0x2fa8bee7,0x59ff56e8,0x6f87fbdd,0x3fe27f30,0xf56edfbb,
    0x81ffb57d,0x7c7f306f,0x3747f306,0x7d4bff20,0x2007fc44,0x3e6f97f8,
    0x221f55ce,0x229f105f,0xf900ffef,0xd007f503,0x2007e80f,0x4ff4007e,
    0x3f7bea3f,0x37417d40,0xb8fe60df,0x83fa4ebf,0xf56e82fa,0xff31bffb,
    0x47f306f8,0x2dd4ffe9,0x0cfffffa,0x47f306f8,0x6c7f306f,0xc9ffc405,
    0x801fc81f,0x2e25f36f,0x07f8bd2c,0x2f3e27f7,0x705f705f,0x80fd005f,
    0x01fa007e,0xc87f5df0,0x83fa86ff,0x7dc1fa6f,0x75e7fec2,0x7c1fd42f,
    0x20025f56,0x105f707e,0x025f56f8,0x8bee0fd0,0x005f707e,0x0bf23fd0,
    0x7f9003fa,0x0fdc076c,0x4df113ee,0x109f94f8,0x801fd0bf,0x03f405f9,
    0x2a040fd0,0x7c46f9df,0xfd8bf04f,0xdd10fee6,0x07bfffa0,0x55bf62fc,
    0x0fee002f,0x5be00dd1,0x7f7002fa,0x1fdc6e88,0x80551ba2,0x33fe65fa,
    0x2e24fdaa,0x445febaa,0x3fca9bfe,0xfcbdfe88,0xfd93e22f,0xdaadfc84,
    0x2eaae63f,0x3f400efd,0x3e20fd00,0xfb1ffdbc,0x5ffff97d,0xdfd59fb0,
    0x5d67f44d,0x03bd02fe,0xdfd59fb0,0x8800bead,0x2febacfe,0x0beadf00,
    0x5d67f440,0x67f442fe,0x3e62feba,0x0cffb81f,0x1fffff4c,0x0bbfffe2,
    0x02dffec8,0x077fff62,0x83fe89f1,0x542efffb,0x80beffff,0xaafeaaa8,
    0x7f555442,0x7ffec2aa,0x3fff221d,0x4c0ff9ae,0x46d8dffc,0x01efffd8,
    0x326003f1,0xf56d8dff,0xffd88005,0x5be001ef,0x362002fa,0xb101efff,
    0xf883dfff,0x800a880f,0x000cc009,0x88020002,0x817f444f,0x400cc400,
    0xfffffff9,0x7ffffcc7,0x100107ff,0x40011000,0x80018800,0x00131008,
    0x09800040,0x02000131,0x00880100,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x51000000,0x06ee6005,0x41579750,0x2015102a,
    0x0cb81aa9,0x80cb8298,0x98165c29,0x01555542,0x44010d4c,0x2200acb9,
    0x5100abb9,0xbcb98001,0x100aa802,0x002a2059,0x55100151,0x2ea01540,
    0x9aaa981b,0x55555500,0x7ffd1035,0x7ffff440,0xfffffa84,0x7d41fa2f,
    0x7ffff4c3,0x881fff54,0x03ffea5f,0x3fdc8bf1,0x3ffa2fc4,0x7ffdc07f,
    0xffb81fbd,0xfa82ffff,0xb81fffff,0x3ff6001f,0x1fec05ff,0xf501ff70,
    0x003fa805,0x07f701fd,0x37ffffa6,0x3fffff20,0x7ffffc1e,0x46f444ff,
    0x25fd03fa,0x3fe63fd8,0x3f41310a,0x3fe63fa8,0x7752a98a,0x2a0fc81f,
    0x07e40fbb,0x1f90fea2,0x46a03f40,0xefc83eea,0x5c1c988a,0x0c988aff,
    0xf7001fb8,0x3db0041b,0xf506fa80,0xaacfa805,0x88bf3009,0xa8bfa06f,
    0x5ccd7e44,0x267be2ff,0x20000999,0x327e83fa,0x507e802f,0x400ff47f,
    0x40be60fb,0x20be60fb,0x0be62ffd,0x20000fd0,0xdf1005f9,0xfc998801,
    0xfb01999b,0x02000003,0x7d402fa8,0xb04fffff,0x980fe43f,0x41fc804f,
    0x00df0ff8,0xd8066662,0xc97f440f,0x507e802f,0x4017e27f,0xb817a0fb,
    0xfd017a0f,0x03f402f4,0x74054c31,0x07f9001f,0xffffff50,0x01fa0fff,
    0x88066662,0x5f501999,0x37f502a6,0xf109fb33,0xfa817e2d,0xc81fc802,
    0x3a00df3f,0x1ba07fff,0x3ea7fff3,0xa83f402f,0x2007f33f,0x401f90fb,
    0x101f90fb,0x03f29fdd,0xafa81fa0,0x3e0dfffd,0x003f6006,0x26ff2662,
    0x00fd0199,0x740ffffd,0x7f507fff,0x2a1bfffb,0xb80fe83f,0x2a00fdaf,
    0x81fc802f,0x200df4f9,0x3e07e998,0x8febbee5,0xfd03effb,0x2fccfea0,
    0x07f32980,0x407f3298,0x007f31aa,0xeffa81fa,0xbf12fc89,0xd0555544,
    0x03f7000f,0x3bffbba2,0x4cc42eee,0x3a66207e,0x15dff507,0x20fea5f9,
    0x7ffd02fb,0x5567e540,0x777ff42a,0x77fd7e63,0x3a02eeee,0x3f637e07,
    0xfc989f15,0xa83f43ff,0x2001fe3f,0x02f4005e,0x7e8017a0,0xf883bea0,
    0x7fc49f34,0x001be2ff,0x664407ee,0x1ccccffc,0x3f401fa0,0x3e20efa8,
    0x3fb07f54,0xff01bea0,0xe8dfffff,0x3e23eeff,0xdddddff5,0xdf03f405,
    0x81fcc5ff,0x1fa3ffb8,0x05fb1fd4,0x70007dc0,0x07dc001f,0x7d40fd00,
    0x0bf16e82,0x007f8bea,0xfd001fb8,0xd007e800,0x3a0bea0f,0xff887f56,
    0x3ffbba60,0x05f505ee,0xbf303f90,0x1fa001be,0x7d41efe8,0xfd3fc402,
    0xfe98bea0,0xf984cabe,0x2601dd73,0x01efd8bf,0x03bae7f3,0x0bea07e8,
    0xf506f9ba,0x20007ec5,0x0fd001fb,0xfd007e80,0x5ba0bea0,0xfec99bfa,
    0x77e664c2,0x05f503cc,0x7f503f90,0x1fa001be,0x0fd81fd8,0x0fb0fd80,
    0x3ff207f6,0xf16e83ff,0x45ba01fd,0x2dd05eac,0x3a00fef8,0x3a0bea07,
    0x3ea07fa6,0x70013f22,0x01fa005f,0x1fa00fd0,0xab7417d4,0x02ffffff,
    0x7d402fc4,0xe81fc802,0xd000df1f,0x262fcc0f,0x27f8805f,0x03fc42fc,
    0x47ee01dd,0xfb80fbdd,0x1fb85e81,0x7401f7bb,0x3a0bea07,0xf503be66,
    0x0017fc45,0x1fa00bf1,0x3a00fd00,0xdd05f507,0x802ab3ea,0xeeffeee9,
    0x9005f505,0xf2fe443f,0x80fd000d,0x1ffbadfd,0x3f2ab376,0x2b3fe22f,
    0x7f102ffc,0x67d4fe20,0x21fc43fc,0x9fc40ee8,0x203fccfa,0x20bea07e,
    0x5effe46e,0x7fd42fdb,0xb01fcbcd,0x3a0757bf,0x803f4007,0xd05f507e,
    0x4400fead,0x3ccefccc,0xcccdfdc8,0x337f20cc,0x67fc5ffd,0x2a22cccc,
    0x02aafeaa,0xd81bfff9,0x82dfffff,0x02efffd8,0x536c07ea,0x6d8dfddd,
    0x360cf74c,0x9bfbbaa6,0xaafeaaa8,0x37417d42,0x6ffffed4,0xefffd980,
    0xffd9300c,0x5101fa0d,0x4555fd55,0xaafeaaa8,0x5ba0bea2,0xf88003fa,
    0x7ffffc05,0x3f21ffff,0xff82deff,0x264fffff,0x7fffffff,0x04c40040,
    0x70000100,0xb83ee03f,0x3fffdc1f,0x83ee03f7,0xfffffff9,0x37417d47,
    0x00800220,0x03f40080,0x3fffffe6,0x3fffe67f,0x0bea7fff,0x000001ba,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2aaaaa80,0x55555554,0x355551aa,
    0x81aa8001,0x809aaaa8,0xa8a600a9,0x542a600a,0x26015102,0x2aaa202a,
    0x2882aaaa,0x654402a2,0x80aa800a,0x400aaaa8,0xaa81aca8,0x531aaaaa,
    0x15555555,0x0a9802aa,0x0aa20551,0x55555555,0x2aaaa235,0x20035009,
    0x27fffffa,0xccccccf8,0xffffd4dc,0xff5003df,0xfffff30b,0x201fb87f,
    0xd80bf27c,0x3ea0fd1f,0x205ffb02,0xfffffff9,0x03ea7b85,0x0fffffee,
    0x540fff54,0x84efffff,0x43fffffa,0x4ffffffe,0xfffffff9,0x4417ee3f,
    0x207fa0ff,0x3ffe22fd,0x54ffffff,0x89ffffff,0xed800ffc,0x2a6d105f,
    0x99fea541,0x2202ffb9,0xcf985fef,0x2a2feb99,0xfa9f201f,0x07e9be05,
    0xfdf105f5,0x6fd4cc09,0x2e6c8099,0xf51cf887,0x77ff4c3f,0x99bfa81f,
    0x37e61fd9,0x9fe87f60,0x33109999,0xe8df5333,0x4c3fb81f,0x4c2fcc6f,
    0x999dfa99,0xb7337f50,0x00ffecbf,0x4417ebe2,0x2a3dd936,0x0df10fd4,
    0x4c2fcfec,0xf527dc4f,0x1fe36c05,0x20fd1fd4,0xeafa82fa,0x405f8807,
    0x4041f26d,0x6cfe63fb,0x443fa81f,0xf103f65f,0xd8003f4b,0x222fd41f,
    0x747f906f,0x82fc400f,0x87fc43fa,0xf7c802c8,0x5ae1a20b,0x3f20fd4a,
    0x5f8bfa82,0x2fcc4f98,0x236c05f3,0x20fd82fc,0xb05f507e,0xf100bf2f,
    0x3ffffe0b,0x400fffff,0x3fb044fa,0x4bf07f50,0x3f4fb07e,0xe827dc00,
    0x440bf22f,0x803fb8ff,0x07f505f8,0x9f0005f9,0x4434417e,0x20fd4a8f,
    0x8b7444fa,0x644f985f,0x3d8fe63f,0xf09f517a,0x5f507e8d,0x09f35f88,
    0xf5505f88,0x055dd55b,0x7ec07f70,0x7dc3fa81,0x87e41fa3,0x37c4007e,
    0x17e2df30,0x00dfbf50,0x1fd417e2,0x2a000fec,0x4799df1f,0x55b26268,
    0x17e60fd4,0x217e23f9,0x5fdbadf9,0x26fa9fc4,0x7d47f85e,0x77777f43,
    0x17d42fee,0x05f880ff,0x4009d1fc,0x07f600fe,0x3fb737ea,0x3621fe42,
    0x5555fd1f,0x007f6015,0x003f95fb,0x22003ffb,0x887f505f,0x26d8007f,
    0x9a24eeff,0x3a950ced,0x7ccbf107,0x3e617e23,0x7f02ffff,0x42747ff2,
    0xd03f21fc,0xfddddddf,0x3f20fd85,0x8817e201,0x64013e2f,0x40fec03f,
    0xeffeeefa,0x3737fe21,0xfffd0fff,0x9f505fff,0x09fdf100,0x4003ff20,
    0x59f505f8,0x8005ffb7,0x4417e3f8,0x3a950b66,0x374bf307,0x53e617e2,
    0x3e9f06fa,0xf509f4fb,0x83f437c9,0x517e22fa,0x02fc409f,0x401fc5f3,
    0x1fd804fc,0x7fd43fa8,0x2b3b7220,0x4401fa7d,0xff9000ef,0xbfdf3001,
    0x5417e200,0x40dfffff,0x2ff205e9,0x4d105faa,0x07ea5409,0x337ee7f7,
    0x24cefccc,0x213ea4f9,0xf6d8f9cf,0x1fcdfe07,0x22fa83f4,0xfccccefa,
    0x3217e207,0xffffffff,0x009f904f,0x0fea07f6,0x9ba00bf2,0x03fb007e,
    0xe802fc40,0x8802fd9f,0x137f505f,0xf80ffec0,0x105fffff,0x752a0dcd,
    0x3f21fd07,0xffffffff,0x1fd13e67,0x5f56cde8,0x327f207f,0xf507e80f,
    0x7ffffec5,0xbf101fff,0x533f7310,0x9f90135f,0x540fec00,0x401fd83f,
    0x201fa3fa,0x7c4004fa,0xf14fb805,0x05f8801f,0xdf7007f5,0x3337f501,
    0x4f9a20bf,0x6c47ea54,0x85f8804f,0x227dc4f9,0xfbf13eed,0x1bf3ea05,
    0x12fa83f4,0x413ea0df,0xa9ee05f8,0x009f900f,0x3fa81fd8,0xf5007fc4,
    0x7c407e8d,0x2fc4000e,0xfb83be60,0xa82fc405,0x7401003f,0x22aaef87,
    0x752a0268,0x05ffdccf,0x9f30bf10,0x7fec1ff0,0xf80bff60,0x20fd03ff,
    0x407f52fa,0x3f33227f,0x73643cce,0x3bbfea0f,0x9911eeee,0x2199bfd9,
    0xffeccdfa,0x3fb73222,0x3603f40d,0xeeeeeeff,0xe80bf102,0x202fe82f,
    0x07f505f8,0xf84f9800,0xff10ffff,0x9fffffff,0x077bfffa,0xf985f880,
    0x3f23fb84,0x900ffd46,0x41fa01ff,0x401fb2fa,0xffff31fd,0x26d8bfff,
    0xffff707c,0x3e25ffff,0x1fffffff,0x19dffff5,0x02ceff88,0xfffe80fd,
    0x102fffff,0x82fdc0bf,0x17e206fa,0x00001fd4,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xa8000000,
    0x510a881a,0x2a615501,0x55555400,0x2aa0aaaa,0x0040aa80,0x01b104a8,
    0x800d4010,0x55441aa9,0x54402a61,0x404c41aa,0x00aa8808,0x300d554c,
    0x32a60155,0x2151180a,0x404cc0a8,0x88031098,0x413004c1,0x09999999,
    0xfd814c13,0x5f52fa87,0x07f25fa8,0xffffffb0,0x227f43ff,0x07ee3ff8,
    0x3f60bf60,0x4407e401,0x7ff4c04f,0xffff14ff,0xd83fffbb,0x2a5fffff,
    0x3626e82f,0xe884ffff,0x440fffff,0x40dffffe,0x7c1ffeef,0xffe8ffea,
    0xfd117ee0,0x7c807ee1,0x13fb83fc,0x9fffffff,0x3fffa37e,0x2a1ffec3,
    0x7cc5f52f,0x1007f20e,0xfb333333,0x3ee3ffc1,0x00ffa23f,0xfbdfbfd1,
    0x81ff4407,0x3fe604f8,0x1712a98a,0x17e27ff2,0x4ff66357,0x366e82fa,
    0xd89f912f,0xff10622f,0x08bf9115,0x39df0fe2,0xd85f19bf,0xfa8bf22f,
    0x5f91b602,0x4ccc1fd0,0xfdf2fe99,0xfd8fd33b,0xfa97d46e,0xfc81fd12,
    0x89f10001,0x3f3a2fcf,0x2027ec43,0x07fecffa,0xf880bfa6,0x8007fa04,
    0x201f25f8,0xd05f55f8,0x1fa0fe6d,0x05f900df,0xfcb983fb,0x21ff3fc4,
    0x547fc44f,0x5b1fcc4f,0x117e62f4,0x24fb80bf,0xb0fdc4ff,0x97d45f7f,
    0x903fb2fa,0x3f20003f,0xf9af5fc0,0x1bf904f9,0x2fd87f60,0xcc81efa8,
    0x1cccefcc,0x9f000bf1,0xb7c007dc,0xf96e82fa,0x7ec3f901,0x541fa01c,
    0x3eafba2f,0x7c9f27c4,0x86edf984,0x7cdf34f8,0x3ee0fe84,0xdf17e602,
    0xfbec3930,0x57d4bea6,0x03f902fb,0xf88bf100,0x9f6c8fbb,0x7c077d40,
    0x3ee1fd46,0xfffff00e,0x3e67ffff,0xfffda803,0x220fffff,0x56ffffec,
    0x3f6dd05f,0x2fffffff,0x02fbff62,0x54fe60df,0x4f89f11f,0xf904f93e,
    0x7e57e03f,0xfb83f88f,0xef881ba3,0x7d8037c0,0x54bea5f7,0x3f204fdf,
    0x41fc8001,0x3fbf8bf8,0x86fc809f,0xf327cc6f,0x13e2001f,0x3e602fcc,
    0xaaadfabe,0x5555ff42,0xdd05f56f,0x2aaaaff6,0xffc980aa,0x7cc1be0f,
    0x9fd9df13,0x4f93e4f8,0x3605ffb0,0x5f37f7f6,0x0fe6df10,0x06f81fd8,
    0x55be2fb0,0x09fdf52f,0x22000fe4,0xfb2f885f,0xfb817e1f,0x2e0ff80d,
    0x00ffd42f,0x7f8827c4,0x0bf0fe40,0xab7c17cc,0x7f96f83f,0xd27dc000,
    0xc98bee0f,0xf27c2b8b,0x5fe427c9,0xf9fc81fe,0x901faed8,0x3201f93f,
    0x200df03f,0x3ea7f27d,0x05fb5f52,0xf90007f2,0x3ea5f303,0x27ec17e5,
    0xff53bf90,0x805fd301,0x0bfa04f8,0x0ff50fc8,0x9bee17e4,0xf9b7ec5f,
    0x97e60006,0x037443fb,0x7c9f27c0,0xef9afd44,0xfab67dc0,0xf9f300fc,
    0xf817ea0b,0x7c4fb006,0x15f52fad,0x03f903fd,0xf982fc40,0x22f43912,
    0x7e403fe8,0x101fffff,0x27c407fb,0x957dff30,0x37ef3ea9,0x3ea3aaef,
    0x26ffdbae,0x6efeacfd,0x2eab3ff6,0x2eaaf623,0x33fa22fe,0x3f62feba,
    0x3e1fffff,0x224f93e4,0x517ee0ff,0x03ffc7ff,0x3e20bffa,0xf4cccccf,
    0xfb1f600d,0x4cbea5f7,0x00fe40ef,0x3ea05f90,0xff99ba02,0x54e7d401,
    0x3200ef9a,0x6c40005f,0x3f23ffff,0x89fff93f,0x6d8dfffb,0x3637ff26,
    0x7ffffdc6,0x3ffffa24,0xfffd882e,0x55554c1e,0x4f93e0aa,0xd82fe93e,
    0xc83fe63f,0x83fdc05f,0xfffffffa,0x1f600df7,0x3ea5fdf3,0x3f917ee2,
    0xa81be200,0xea9ba02f,0xb80ed800,0x9875c02f,0xaaaaaaaa,0x30080200,
    0x01100080,0x266004c0,0x00001000,0x00000000,0x00000000,0x3ff61f60,
    0x3fd85f52,0x333337f2,0x2a02fc84,0x001ba01f,0x20002008,0xfffffffc,
    0x0000000f,0x00000000,0x00000000,0x00000000,0x00000000,0x2ff987d8,
    0x1fe885f5,0xfffffff9,0x2e037c41,0x001f601f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,
    0x5cc02a61,0x0274c01b,0x06a00590,0x44037950,0x79710543,0x01599701,
    0x982a0971,0x03501902,0x401a8026,0x55541bca,0x712aaaaa,0x95c4ae25,
    0x88888888,0x00cc1500,0x5edc1bb8,0x54020440,0x3fffa01b,0x0bf06e2f,
    0x7ffed7d4,0x3ffff20d,0x401ff202,0x07d004f8,0x13b2f7a6,0x14f98fe4,
    0xf81fffff,0x3f227fee,0x325f887f,0x5077cc1f,0x20df90bf,0xdfb00ffb,
    0x7ffec7fd,0xdf37ffff,0xcb7d5be6,0xffffffff,0x7f8a7dc0,0x7e43fd80,
    0xc97a0eff,0x17ec40ef,0xb1bbbba8,0x80fe23ff,0xfc89effa,0x1fa27f52,
    0xf1003d88,0x72e8e409,0x2b32be25,0xd27cc4d8,0x80ff228d,0xfd9f72fb,
    0x37c4fea0,0x2fd477d4,0x7c41ffd8,0x21fb84fb,0x333310fd,0x57e6fd33,
    0x26df35f9,0xaaaaaaaa,0x0bb174c0,0xa7c41ed8,0x24faaefa,0x5f902fff,
    0x52ffe800,0x077d403f,0xf91f29f1,0x3e200003,0x7b7fb104,0x57d327fd,
    0x9ba0f8bd,0x0fee01fc,0xd083baa6,0xfa87ec0f,0x05fffa83,0x2d90bfe2,
    0x2a36c1fb,0xf17d801f,0x2fcd7e2b,0x00000000,0x7ffcc5d3,0x003bf20e,
    0x00bd3000,0x96e82fa8,0x550fdc1f,0x35555555,0x56fdd554,0x7fecc1aa,
    0x2daf96c3,0x7c4fea5d,0x203be605,0x7e80dfff,0x06e93e60,0xff801ff9,
    0x45e87e60,0x400fdc7d,0x3e29f17d,0x2eeabf14,0x00bbbbbb,0x51000000,
    0x00001015,0x2fa80000,0x745f76e8,0x3ffffe27,0xff14ffff,0x9fffffff,
    0x21dfffb8,0x174dbf2e,0x20bee1dd,0x2e200efb,0x3607e85f,0xf505f70f,
    0x3ee01dfd,0x8bea2f44,0x06ea9cfa,0x350d4310,0xffffc8d4,0x0000ffff,
    0x00000000,0x50000000,0x3a2dd05f,0x4cc2feef,0x09999999,0x277e6666,
    0xb3df1099,0x7d329f75,0x260f8ad8,0xfd83f64f,0xd0bf3005,0x7c4bee0f,
    0xdf55fa85,0x2a27fdc1,0x320fd81f,0x0000dfff,0x00000000,0x00000000,
    0x40000000,0x226e82fa,0x00001bcb,0x745027c4,0x367e2312,0xfc84dd98,
    0x3feebf11,0x3ba27fff,0xfff31ffe,0xb27c4fff,0x545f881f,0x2202a65f,
    0x98813100,0xaaaaa880,0x33333332,0x00013333,0x00000000,0x00000000,
    0x3a0bea00,0x13a60006,0xe8027c40,0xd759f503,0x2130a01b,0x24ccccc9,
    0x220bccc8,0x4c4ccccc,0xa8140a20,0x00000000,0x2dfffff3,0xffffffff,
    0x00003fff,0x00000000,0x00000000,0x2dd05f50,0x1ffffffd,0x2200ff90,
    0x4013004f,0x0002cdb8,0x00000000,0x00000000,0x33331000,0x26666633,
    0x00999999,0x00000000,0x00000000,0x05f50000,0x2aaaa6dd,0x07b100aa,
    0x00000d40,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_21_latin1_x[224]={ 0,4,2,0,1,0,0,4,3,2,1,0,2,2,
3,1,0,1,1,1,0,1,1,1,1,1,4,2,1,1,2,3,0,0,1,0,1,2,2,0,1,1,1,1,
2,0,1,0,1,0,1,1,0,1,0,0,0,0,1,3,1,2,1,0,0,1,1,1,1,1,0,0,1,1,
1,1,1,0,1,0,1,1,2,1,0,1,0,0,0,0,1,1,4,2,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,1,0,0,0,
4,1,0,0,2,1,1,2,1,0,2,1,2,2,0,1,1,4,4,2,2,1,0,0,0,2,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,
 };
static signed short stb__consolas_21_latin1_y[224]={ 15,0,0,1,-1,0,0,0,-1,-1,0,4,11,8,
11,0,1,1,1,1,1,1,1,1,1,1,4,4,3,6,3,0,0,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,0,0,1,17,0,4,0,4,0,4,0,4,0,0,
0,0,0,4,4,4,4,4,4,4,1,4,4,4,4,4,4,0,-2,0,7,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,15,4,-1,1,2,1,
-2,0,0,1,1,5,8,8,0,1,0,2,0,0,0,4,0,7,15,0,1,5,0,0,0,4,-3,-3,-3,-3,
-3,-3,1,1,-3,-3,-3,-3,-3,-3,-3,-3,1,-3,-3,-3,-3,-3,-3,5,-1,-3,-3,-3,-3,-3,1,0,0,0,
0,0,0,-1,4,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,2,0,0,0,0,0,0,0,
 };
static unsigned short stb__consolas_21_latin1_w[224]={ 0,4,7,12,10,12,12,3,6,7,9,11,6,7,
5,9,11,10,10,10,12,9,10,10,10,10,4,6,9,10,9,7,12,12,10,11,10,8,8,11,10,9,8,10,
9,12,10,11,10,12,10,10,11,10,12,12,12,12,10,6,10,7,10,12,7,9,10,9,9,10,11,11,9,10,
8,10,10,11,9,11,10,9,9,9,10,9,11,12,11,11,9,9,3,8,11,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,0,4,9,11,11,12,
3,10,10,12,8,9,9,7,10,9,8,10,8,7,10,11,10,4,3,8,8,10,12,12,12,7,12,12,12,12,
12,12,13,11,10,10,10,10,10,10,10,10,11,11,11,11,11,11,11,10,11,11,11,11,11,12,10,10,10,10,
10,10,10,10,12,9,11,11,11,11,11,11,11,11,10,10,11,11,11,11,11,11,11,10,10,10,10,11,10,11,
 };
static unsigned short stb__consolas_21_latin1_h[224]={ 0,16,6,14,19,16,16,6,21,21,10,11,8,3,
5,18,15,14,14,15,14,15,15,14,15,14,12,15,13,6,13,16,20,14,14,15,14,14,14,15,14,14,15,14,
14,14,14,15,14,18,14,15,14,15,14,14,14,14,14,20,18,20,8,3,5,12,16,12,16,12,15,16,15,15,
20,15,15,11,11,12,16,16,11,12,15,12,11,11,11,16,11,20,22,20,5,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,16,19,14,13,14,
22,18,5,15,11,9,6,3,10,4,8,13,9,9,5,16,18,4,4,9,11,9,15,15,15,16,18,18,18,18,
18,18,14,18,18,18,18,18,18,18,18,18,14,18,19,19,19,19,19,9,19,19,19,19,19,18,14,16,16,16,
16,16,16,17,12,15,16,16,16,16,15,15,15,15,16,15,16,16,16,16,16,11,16,16,16,16,16,20,20,20,
 };
static unsigned short stb__consolas_21_latin1_s[224]={ 115,249,160,122,115,34,1,168,17,9,44,
32,123,150,217,24,13,146,135,212,38,155,201,33,144,168,248,137,79,172,57,
129,93,99,157,130,27,246,179,118,88,112,247,12,23,44,1,178,237,164,51,
25,225,36,75,62,212,199,188,32,95,24,130,158,223,123,194,100,173,143,153,
213,188,177,72,190,96,185,1,164,94,84,244,154,142,133,222,209,197,236,234,
39,1,106,205,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,115,248,126,
222,67,209,5,188,183,165,176,65,150,150,54,231,141,89,75,84,194,60,13,
241,246,92,11,101,57,70,83,205,236,223,60,47,199,34,1,1,73,84,119,
130,1,153,177,212,234,141,244,136,148,160,172,112,184,196,208,220,232,106,198,
94,105,116,127,138,23,12,110,47,149,71,59,47,223,165,1,235,83,107,161,
25,117,105,72,20,37,49,14,225,183,60,49,81, };
static unsigned short stb__consolas_21_latin1_t[224]={ 21,24,125,95,1,43,62,125,1,1,125,
125,125,132,125,24,79,95,95,62,95,62,62,110,62,95,95,62,110,125,110,
62,1,95,95,79,95,79,95,79,95,95,62,110,110,110,110,62,95,24,95,
79,95,79,95,95,95,95,95,1,24,1,125,132,125,110,43,110,43,110,79,
43,79,79,1,62,79,110,125,110,62,62,110,110,79,110,110,110,110,43,110,
1,1,1,125,95,95,95,95,95,95,95,95,95,95,95,95,95,95,95,95,
95,95,95,95,95,95,95,95,95,95,95,95,95,95,95,95,95,21,43,1,
79,110,79,1,24,125,62,110,125,125,132,125,125,125,110,125,125,125,62,24,
125,125,125,125,125,79,79,79,43,24,24,24,24,24,24,95,24,24,24,24,
24,43,24,24,24,79,24,1,1,1,1,1,125,1,1,1,1,1,24,79,
43,43,43,43,43,43,43,110,79,43,43,43,43,62,79,79,62,43,79,43,
62,62,62,62,125,62,62,62,43,43,1,1,1, };
static unsigned short stb__consolas_21_latin1_a[224]={ 185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,185,
185,185,185,185,185,185,185,185, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_21_latin1_BITMAP_HEIGHT or STB_FONT_consolas_21_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_21_latin1(stb_fontchar font[STB_FONT_consolas_21_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_21_latin1_BITMAP_HEIGHT][STB_FONT_consolas_21_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_21_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_21_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_21_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_21_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_21_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_21_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_21_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_21_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_21_latin1_s[i] + stb__consolas_21_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_21_latin1_t[i] + stb__consolas_21_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_21_latin1_x[i];
            font[i].y0 = stb__consolas_21_latin1_y[i];
            font[i].x1 = stb__consolas_21_latin1_x[i] + stb__consolas_21_latin1_w[i];
            font[i].y1 = stb__consolas_21_latin1_y[i] + stb__consolas_21_latin1_h[i];
            font[i].advance_int = (stb__consolas_21_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_21_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_21_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_21_latin1_s[i] + stb__consolas_21_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_21_latin1_t[i] + stb__consolas_21_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_21_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_21_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_21_latin1_x[i] + stb__consolas_21_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_21_latin1_y[i] + stb__consolas_21_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_21_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_21_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_21_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_21_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_21_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_21_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_21_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_21_latin1_LINE_SPACING
#endif

