// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_31_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_31_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_31_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_31_latin1_BITMAP_HEIGHT        265
#define STB_FONT_consolas_31_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_31_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_31_latin1_NUM_CHARS            224

#define STB_FONT_consolas_31_latin1_LINE_SPACING          20

static unsigned int stb__consolas_31_latin1_pixels[]={
    0x013b29d9,0x44000c06,0x55301301,0x2ea00000,0x2aa98000,0x401677dc,
    0x6ffffffc,0x00ab9880,0x3ffffff6,0x4feca804,0x22000000,0xc8800009,
    0x10000004,0x10000333,0x36bfb035,0x227d405f,0x3e2003fb,0x207fdc4f,
    0x800007fc,0x4c006ffc,0x7fdc1fff,0x7fe405ff,0x5c06ffff,0x81ffffff,
    0x4ffffffd,0x27fffec0,0x0017ec00,0x0009fff9,0xc9807f98,0x000bdefe,
    0x0007ffd3,0x360fffc4,0x4c0bfb5f,0x17fec5ff,0x747ffa80,0x03fe43ff,
    0x7fff4000,0x1dff3000,0x9ffd9310,0x6ccccc40,0x9ffd106f,0xd85ffb75,
    0x009999df,0x0273bfee,0x001ff100,0x0bf677e6,0x406fa800,0xfffffffb,
    0x3ff6000e,0xfff30003,0xbfb5fd89,0x741bfe60,0xfe8802ff,0x32077dc3,
    0xc800007f,0xff3006ff,0x03ff4009,0x7f41bf60,0x21ffb80d,0x7fc005fd,
    0x37d40006,0x3e63f700,0x17ee0003,0xcaceffd8,0x2001fffe,0x88003ffb,
    0xafec2fff,0x1dfd05fd,0x003ffa20,0xff900804,0x2ee00000,0x00131000,
    0x2000ffb8,0x05fc86fd,0x0bfb27e4,0x001ffc40,0x7ffffd93,0x64e7d400,
    0x3f20002f,0x20bff503,0x44005ffc,0x37100019,0x17f6bfb0,0xf3007ff2,
    0x2000009f,0x000007fc,0x4c000000,0x3f6002ff,0x2007fcc6,0x017f67f9,
    0x9001ff98,0xdfffffff,0x7ffe4003,0xfd730005,0x01dfd039,0x00007fec,
    0x5fd80000,0x4ff88bfb,0x303ff900,0x42660033,0x055447fc,0x33333310,
    0x19981333,0x22013300,0x3f6002ff,0xe801fec6,0x400bfb2f,0xfd800ff9,
    0xfffcacef,0x06a6001f,0x3fffee00,0x3fea5fff,0x027fd403,0x5ef7f64c,
    0x206a6000,0xd8bfb5fd,0xff1000ff,0x803ffb0d,0x2ff94ff9,0x0effffe8,
    0xffffffa8,0x7fec5fff,0x827fcc01,0x36002ff8,0x003fe66f,0x05fd9fe4,
    0x5003fe60,0xfffc8bff,0xddd5005f,0x3ff62005,0x25feffef,0x7c400ffc,
    0x7ffe406f,0x000effff,0x2bfb0bf7,0x13fe25fd,0xa81ff900,0x7fdc04ff,
    0xfff3ff91,0xf50dfffd,0xffffffff,0x404ffa8b,0xff101ffb,0x937ec005,
    0xddfeb89f,0x17f69f76,0x400ff980,0x57f40efe,0xfd801ffe,0xff9006ff,
    0x862ff31b,0xffd006fd,0x5677fec0,0x801fffeb,0xb5fd86fc,0x00ffdcbf,
    0x3a0ffe60,0x937f407f,0x2219ffff,0x7c003ffd,0x407fe85f,0x3fe206fe,
    0xe9bf6002,0x3ffff62f,0x3f69f75f,0x03fea005,0x7c43ffa8,0xf005ff57,
    0x9801ffff,0x41bea5ff,0xffb006fe,0x6417fea0,0x6fc805ff,0x4bfb5fd8,
    0xfd0006fd,0x205ff70d,0x3ff23ff9,0x00dff02f,0xffb85ff8,0x807ff302,
    0x3f6004fd,0x3ea1ff16,0x3ea9fd1f,0x5c00bfb5,0x07fe405f,0x04ff97ee,
    0x1ffdffd4,0xfb83ff20,0x200bff05,0xefe80ffc,0x403ff600,0xfd86feba,
    0x3fe2bfb5,0x1ff90004,0xf905ff88,0x01ffe41f,0x7c001ff9,0x05ff885f,
    0xfb801ff9,0x2dfb002f,0xe8ffa6fa,0x3f6df53f,0x07ff3005,0x2fd86fd8,
    0xdfb017fa,0xdfd01bfe,0xff884fc8,0x81ff9005,0x7d403ffa,0x7fff4c4f,
    0x535fd86f,0x000ffe63,0x7ec0ffdc,0x645ff80f,0x0ffd407f,0x360bff00,
    0x05ff80ff,0x3efffb88,0xa7ddbf60,0x4bfe0ff8,0x40bfb5fa,0x803ffeea,
    0x07fc46fe,0x4ff80ffb,0x7fc01ff9,0xff81fec5,0x90ffb005,0xdff001ff,
    0x55efffc4,0xf305fd82,0x3ea0005f,0x43ffa82f,0x3fe42ff9,0x800bfea0,
    0x7ff505ff,0x2002ff98,0x3604fffb,0x3ea7f96f,0x7d43fe27,0x7dc0bfb4,
    0xbff003ff,0x7fec6fa8,0x2a3ff500,0x17fe03ff,0x1bfe05fd,0x7ec37ec0,
    0x64ffd006,0x5fd803ff,0x0003ff50,0x7fc0ffe6,0x3207fe46,0x17fd407f,
    0x7c0bff00,0x007fe46f,0x0d5f7f4c,0x4ff6dfb0,0xb9fea5fc,0x4c0bfb4f,
    0x201ffeba,0x1fe45ff8,0x7ec03ff2,0xff02ffc7,0xfd01ff8f,0x217fe00f,
    0xffb006fe,0xfd803fec,0x003ff505,0x640ffe60,0x213fe1ff,0x7fdc07fc,
    0x817fe001,0x13fe1ffc,0xb0037e40,0x7ecbf6df,0x3fc9bee5,0x7f400bfb,
    0x3e37fc04,0xf03fec1f,0x00ffd89f,0x3fe23ffd,0x805ff900,0x5ff83ffa,
    0x3a1ff900,0x0bfb007f,0x4000bfe6,0xff102ffa,0x3207feab,0x03fe407f,
    0xf8817fe0,0x003ff55f,0xfd800ffa,0x97f65fd6,0x6c7f65fc,0x1fee005f,
    0x3fccdfb0,0xffa837f4,0xa81ffd42,0x07f98dff,0xfb017fe6,0x05ff881f,
    0x3f61ff90,0x05fd801f,0x20007ff1,0x3f601ffb,0xf906fd8f,0x006fe80f,
    0x3f602ffc,0x1006fd8f,0x7ec005ff,0x97f25fb6,0x6cff15fe,0x3fea005f,
    0xfc9ff200,0xfb05ff84,0x40bff10f,0x26fceffe,0x81fff429,0xbff04ffb,
    0xfb9ff600,0x35fd804f,0x013fe235,0x5007fe40,0x207ff7ff,0x3fee07fc,
    0x02ffc001,0x0ffeffea,0x0017fc40,0x64ff6dfb,0x96ffc8ef,0x002fec9f,
    0x7dc03ff3,0xfa85fd2f,0x20bff03f,0xfd100ffd,0xbffdffff,0x9acfff98,
    0xd00effda,0x1bfa00df,0xfd809ffd,0x3ff4bfb5,0x805fe800,0x900fffff,
    0x7e4c17ff,0x5ff8005f,0x0fffff80,0x005ff100,0x33fcb7ec,0xffd7ffff,
    0x02fec1df,0x4c03ff30,0xd87f8eff,0x2ffa80ff,0x4405ff70,0xeffffffc,
    0xfffffa84,0x3600efff,0x8bff007f,0x9abffff9,0x2fed7f60,0x98005ff7,
    0xffc803ff,0x3fff205f,0x0cffffff,0x805ff800,0x2005fffc,0x36002ff8,
    0x6cc9f76f,0x81bfb33e,0x3e6005fd,0x6fff401f,0x81ffdc5f,0xeeeeeffd,
    0xd005ffee,0xc980139f,0x00beffff,0x2a017fe4,0xffe884ff,0x57f62fff,
    0x17fe25fd,0x001ff900,0x6403fff1,0xdeffffff,0x17fe0002,0x007ffe20,
    0x2002ff88,0x00df56fd,0x2005fd80,0x7cc01ff9,0xfca8bfff,0xffff00ff,
    0xffffffff,0x03ff001f,0x400bfd00,0x7ec05ff9,0x3ff6a00f,0x7ed7f62f,
    0x800ffec5,0xf3004ff8,0x17fc80bf,0x3e000013,0x5ff9804f,0x017fc400,
    0x3fe2dfb0,0x17f60001,0x801ff980,0xfffffffa,0xbff500ef,0xb9999999,
    0xff8805ff,0x1ffc8000,0x40fff600,0x4c004ffb,0x2fed7f60,0x6c01bfe2,
    0xffb000ff,0x007fc805,0x03ff9800,0x4002ffd8,0x36001ffa,0x0013f66f,
    0x26005fd8,0xff7003ff,0xd807dfff,0x7fc400ff,0x003fcc05,0x222effa8,
    0xcfff980d,0x0fffca8a,0xdafec000,0x02ffb85f,0xb801ffcc,0x7fc805ff,
    0xffc80000,0x02ffdc01,0x0007fec0,0x0ffd4dfb,0x005fd800,0xfc8037fc,
    0x3fe0019c,0x01ffd005,0x900037d4,0xbfffffff,0x3ffffe60,0x7700efff,
    0x47777777,0x20bfb5fd,0xff101ffe,0xffc9840d,0x07fc800e,0x6d415b00,
    0xf93084ff,0x64c001df,0x7ec005ff,0x980ffec6,0x800bfb03,0x7c01cffd,
    0x7fd4001f,0x05ff7002,0x20002fdc,0x1efffffb,0x3fffb620,0x7fffc03e,
    0x3f67ffff,0x3e20bfb5,0x77f440ef,0xfffff100,0x1ff2003d,0x7ffffc00,
    0x7c40efff,0x001effff,0x03fffff7,0x7fffffe4,0xcdfffd86,0xffb06fee,
    0x4409ffff,0x984fffff,0xffd8007f,0x0bff3000,0x40001f5c,0x4001aa98,
    0x3ffe0018,0x367fffff,0x4c0bfb5f,0x07fec6ff,0x07ffff10,0x0007fc80,
    0x7ffffffb,0x0ffffe20,0x19fff700,0xfffffc80,0xfffd706f,0x3f6039ff,
    0x404fffff,0x884fffc8,0x00000009,0x00000000,0x00000000,0x17f6bfb0,
    0x1fa85f30,0x00009980,0x98000331,0x0998009a,0x00131000,0x4cccccc4,
    0x80099800,0x09999998,0x00026200,0x00000000,0x00000000,0x36000000,
    0x100bfb5f,0x00000020,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x57f60000,0x000005fd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x009884c4,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x44000000,0x4c400199,0x00000000,
    0x26620000,0x98800001,0x02620019,0x00199000,0x00000098,0x19988000,
    0x000ccc40,0x55555300,0x40013005,0x015541a8,0x00f7fdc0,0x007fff50,
    0x3ea17f44,0x0bfa200e,0xe9801df5,0x200003ff,0x5001effb,0x20007fff,
    0x3f2007f8,0x00b60dff,0x777f6dcc,0x7fdc001b,0x7ff4c01e,0x3fee0003,
    0x0fffffff,0x41bfff90,0x8fffc42d,0x5c007ff8,0x2e000dff,0x003ffdff,
    0xffd8bff5,0xb17fea02,0x3f6005ff,0xfb80003f,0xff7000df,0x30007ffb,
    0x3ff200df,0x4ffdfffd,0xfffffb80,0x2e007fff,0x36000dff,0x7d4003ff,
    0xeeefffff,0xdffc80ff,0x44ffdfff,0x3fe3fffa,0x0ffee007,0x2a5ff900,
    0x5fd004ff,0x7400efa8,0x0077d42f,0x0007ff70,0x9001ffdc,0x13fea5ff,
    0x3bfb2a20,0x89aa01bc,0x4404fffd,0xbabdfffd,0xff7007fc,0x3fee0007,
    0xffff1003,0x07fdcdff,0xfffb1354,0x43fff109,0x266007ff,0x40998000,
    0x00000198,0x44000000,0x26600019,0x204cc000,0x3f220198,0x6fffffff,
    0x80098800,0x0a00effc,0x00004cc0,0x7f400662,0x2e6fffff,0x262000ff,
    0xff06e600,0x0000000f,0x00000000,0x00000000,0x00000000,0xfedfffe8,
    0x00006edd,0x001bfe20,0x00000000,0xffffff10,0x007fdcdf,0x7ff80000,
    0xdefec980,0x3b26000b,0x2600bdef,0x774c01ee,0x3bfb2602,0x3ba600bd,
    0x31774c01,0xee9803dd,0x3007ba62,0x67fe45dd,0x98005fd0,0x00bdefec,
    0x0000bff6,0x00177754,0x402eeea8,0xfffffff9,0xe883fee6,0x3ba602ee,
    0xfff06a61,0xfffffc80,0xfc800eff,0x0effffff,0x9805ff50,0xfff902ff,
    0x201dffff,0x7cc02ffa,0x00bfea2f,0x7fd45ff3,0xf17fcc02,0x001ff8ff,
    0x3ffffff2,0x0dff00ef,0x7ffec000,0xfffb0006,0xffff980d,0x3fee6fff,
    0x81bffe60,0x17f21ff9,0x7fec0dff,0xfffebace,0x33bff601,0x81fffeba,
    0x7cc02ffa,0xceffd82f,0x81fffeba,0x7cc02ffa,0x00bfea2f,0x7fd45ff3,
    0x897fcc02,0x03fe25ff,0x5677fec0,0x4c1fffeb,0x200004ff,0x000fffff,
    0x00fffff8,0x3fffffe2,0x983fee6f,0xf302ffff,0x3a2fe43f,0x0bff506f,
    0x7d417ff2,0x0bff905f,0xf9805ff5,0x82ffd42f,0xffa85ffc,0x517fcc02,
    0xff9805ff,0x300bfea2,0x87ffc5ff,0xff5007f9,0x517ff20b,0x200007ff,
    0x03ffbffa,0x7fdffd40,0x7ffff403,0x83fee6ff,0x306ffff9,0x22fec3ff,
    0x1dfd06fe,0x7407fec0,0x3ff600ef,0x2017fd40,0x77f42ff9,0x503ff600,
    0xff9805ff,0x300bfea2,0x17fd45ff,0xfc8bfe60,0x006faaef,0x7ec01dfd,
    0x00bfee0f,0xffb7ec00,0xfb7ec006,0x7ffcc06f,0x3fee6fff,0x3ff3fe60,
    0x361ff981,0x5437f46f,0x7fd403ff,0x201ffd44,0x7fd44ffa,0x517fcc02,
    0xffa807ff,0x2017fd44,0x3fea2ff9,0x517fcc02,0xff9805ff,0x7fffff42,
    0x03ffa805,0xff927fd4,0x3fe00003,0x4001ff94,0x01ff94ff,0x6fffffb8,
    0xff983fee,0xff985fea,0xdfd1bf61,0xf001ff90,0x00ffc8df,0x7fd46ff8,
    0x917fcc02,0xdff001ff,0x4c02ffa8,0x0bfea2ff,0x7d45ff30,0x17fcc02f,
    0x67ffffe4,0x003ff200,0x2ffb9bfe,0x1ffa8000,0x2a007ff5,0x07ff51ff,
    0x4dfff910,0x3fe60ffb,0x7cc1ffb9,0xfd1bf61f,0x200dfb0b,0x037ec7fe,
    0x7fd47fe8,0xb17fcc02,0x1ffa00df,0xf9805ff5,0x00bfea2f,0x7fd45ff3,
    0x817fcc02,0x4fffffc8,0x3a00dfb0,0x00ffea7f,0xff1ff600,0xf1ff600b,
    0x433000bf,0x3fe60ffb,0x7cc5ff89,0xfb1bf61f,0x200dfd0b,0x037f47fd,
    0x7fd47fd8,0xd17fcc02,0x1ff600df,0xf9805ff5,0x00bfea2f,0x7fd45ff3,
    0x017fcc02,0x1bfffbfe,0x7ec01bfa,0x0017fe67,0xffb13fe0,0xd89ff001,
    0x5c0000ff,0x47fe60ff,0x3fe60ffc,0xbfb1ffa1,0x3200bff0,0x017fe0ff,
    0xff507fe4,0x22ff9805,0xff9005ff,0x2017fd41,0x3fea2ff9,0x517fcc02,
    0xff9805ff,0x74c7fc02,0x02ffc4ff,0x3fe0ffc8,0x3ea0000f,0x01ffd42f,
    0xff50bfea,0xffb80007,0x7c47fe60,0xe87fe64f,0x222fec7f,0xff9005ff,
    0x4017fe21,0x3fea0ffc,0x897fcc02,0xff9005ff,0x2017fd41,0x3fea2ff9,
    0x517fcc02,0xff9805ff,0xf89fe202,0x017fe27f,0xff907fe4,0x3fec0009,
    0x3602ffc4,0x05ff887f,0x307fdc00,0x87fec3ff,0x1ffa1ff9,0x0bff0131,
    0xbff1ff60,0xf51ff600,0x2ff9805f,0x7ec017fe,0x2017fd47,0x3fea2ff9,
    0x517fcc02,0xff9805ff,0xfb1be602,0x802ffc1f,0x7ffc47fd,0x5ff80404,
    0x7c01ffb0,0x01ffb05f,0x307fdc00,0x9ffcc3ff,0x1ffa1ff9,0xd006fe80,
    0x006fe8df,0x2ffa8dfd,0xfd17fcc0,0x51bfa00d,0xff9805ff,0x300bfea2,
    0x17fd45ff,0xa80bfe60,0x3a3ffc5f,0x0dfd006f,0x357dfff5,0xff50fb53,
    0x40bfee05,0xff702ffa,0x7fdc0005,0xfb07fe60,0x743ff31f,0x6c16547f,
    0x8bff007f,0xbff007fd,0x5402ffa8,0x01ff62ff,0x3fea2ffc,0x517fd402,
    0xffa805ff,0x500bfea2,0x3f2025ff,0xfb17fee4,0x417fe00f,0xfffffffa,
    0xeffd87ff,0xffeeeeee,0xdddffb05,0x0bffdddd,0x263fe400,0x5ffd41ff,
    0x3ffe1ff9,0xc83fff30,0x7fd402ff,0x2017fe44,0x7fcc4ffa,0x907fdc03,
    0xffa805ff,0x201ffcc4,0x3fe60ffb,0x307fdc03,0xffb807ff,0xfd59bf50,
    0x81ffffbb,0x7d402ffc,0x3fae204f,0xf82cdfff,0xffffffff,0xff80ffff,
    0xffffffff,0xb0000fff,0x81ff98df,0x21ff9efe,0xfff70fff,0x405ff985,
    0x7fcc0ffd,0x207fec05,0x7e404ff8,0x202ffcc7,0x7fc40ffd,0x223fe404,
    0x3fe404ff,0xf9013fe2,0x7ffffd4f,0x81efffff,0x7ec05ff9,0x1ffa800f,
    0x666ffd40,0xffdccccc,0x666ffd42,0xffdccccc,0x7fc40102,0x540ffcc4,
    0x3e1ffcff,0x1dfd10ff,0x2e07ffb0,0x7ffb04ff,0x7413fee0,0xbff300ff,
    0x2e07ffb0,0x1ffd04ff,0x3a17fe60,0xbff300ff,0x2601ffd0,0x3b6e25ff,
    0x01cdffff,0xfb81ffec,0x0df9004f,0x8801ffb0,0x07fec5ff,0x6c17fe20,
    0x07ff541e,0x7f407fe6,0x06661fff,0x7ffcc031,0xfffca8ac,0x59fff300,
    0x01fff951,0x442bffea,0xf980fffa,0xfca8acff,0xfff500ff,0x3ffea215,
    0x0afffa80,0x501fff51,0x2a215fff,0x3e200fff,0x3fe6000f,0xffca8acf,
    0x09fd000f,0x3a00bff0,0x017fe0ff,0x3ea07ff4,0xffffefff,0x701ff983,
    0x0003ffff,0x3ffffe60,0x4c00efff,0xffffffff,0x7ffe400e,0x02ffffff,
    0x3fffffe6,0x7e400eff,0xffffffff,0x3ffff202,0x202fffff,0xfffffffc,
    0x3fcc02ff,0x7fffcc00,0x000effff,0xfa803ff1,0x5ff7002f,0x5c00bfea,
    0xffe982ff,0xf302efff,0x7fffc03f,0x36200001,0x003efffe,0x3bfffb62,
    0x3ff66003,0x8800cfff,0x03efffed,0x3ffff660,0xfd9800cf,0x800cffff,
    0xcfffffd9,0x006fa800,0xdfffdb10,0x02a88007,0x3000ffd8,0x03ff6bff,
    0x102ffcc0,0xf9803575,0x3ffee01f,0x31000001,0x00310000,0x00013100,
    0x440000c4,0x26200009,0x02620000,0x00059300,0x00000310,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x10000000,0x04c00013,0x4cc40000,
    0x00055301,0x20000000,0x800001aa,0x00001998,0x8800ccc4,0x98800009,
    0x5dd4c019,0x2662009a,0x09880001,0x54400000,0x3ffea001,0x7ffe4003,
    0x4000b60d,0xf301effb,0x7440003f,0x0077d42f,0x103ff300,0x0efa85fd,
    0x007ffd30,0x07bfee00,0x00fffea0,0x01effb80,0xffffffd3,0x1fff4c05,
    0x7fff5000,0xa85fd100,0x3ffe60ef,0xfdffb802,0xbff9003f,0x09ffbfff,
    0x01bff700,0x20005fd8,0x7fec5ffa,0x1bf20002,0x3f62ffd4,0x1ffec02f,
    0x37fee000,0xfdffb800,0xffb8003f,0xbfff500d,0xb005db99,0xf70007ff,
    0xa807ffbf,0x17fec5ff,0xc80bfffb,0x09ff52ff,0x7fec4d50,0xffb8004f,
    0x01ff5003,0x2a17f400,0xf10000ef,0x217f405f,0xfb800efa,0xff70003f,
    0x4bff2007,0x2e004ffa,0x77fc03ff,0x7fdc0000,0x4bff2003,0x7f404ffa,
    0xf9077d42,0x09980bff,0x10000cc4,0x26600013,0x027f4000,0x80000000,
    0x000007fb,0x40006620,0x26600099,0x3000cc40,0x3ff98013,0x03310000,
    0x26204cc0,0x74400001,0x000000ef,0x00000000,0x0007fb80,0xfd000000,
    0x00000009,0x00000000,0xf3000000,0x0000009f,0x00000000,0xeea80010,
    0xdd50002e,0x2eec805d,0x109dd300,0xa80005ff,0x40002eee,0x3b600ffa,
    0xeeeeeeee,0x7777541e,0x2eeeeeee,0x77777754,0x542eeeee,0xeeeeeeee,
    0xeed82eee,0xeeeeeeee,0x001fff41,0x7777776c,0xed81eeee,0xeeeeeeee,
    0x7777541e,0x2eeeeeee,0x7ffec000,0xfffb0006,0x06ff980d,0x3605ffb0,
    0x7ec0006f,0x6c0006ff,0x7fffc05f,0x1fffffff,0x7fffffd4,0x543fffff,
    0xffffffff,0x7fd43fff,0xffffffff,0xfffff83f,0x41ffffff,0x001efffb,
    0x3ffffffe,0xff81ffff,0xffffffff,0x7fffd41f,0x3fffffff,0x7fffc000,
    0xfff8000f,0x7fec00ff,0x02ffcc03,0x40003ff3,0x000fffff,0xf805ff10,
    0xaaaaaaef,0x555440aa,0xaaaaffea,0x75555440,0x40aaaaff,0xffeaaaa8,
    0xff80aaaa,0xaaaaaaae,0x3fffee0a,0xff800cff,0xaaaaaaae,0xaaeff80a,
    0x40aaaaaa,0xffeaaaa8,0x0000aaaa,0x0ffeffea,0xff7ff500,0x0fff8807,
    0xd007ff60,0x3ea0009f,0x0003ffbf,0xbff00df9,0x1bfa0000,0x0037f400,
    0xff006fe8,0xaffcc00b,0x401efffa,0xff0005ff,0x3fa0000b,0x7ec00006,
    0xd800dff6,0x900dff6f,0x3fe609ff,0x00ffa804,0xdff6fd80,0x07ff1000,
    0x0000bff0,0x74001bfa,0xdfd0006f,0x8017fe00,0x7fec47fc,0x017fe02f,
    0x0002ffc0,0x00006fe8,0x0ffca7fc,0x7e53fe00,0x7ffc400f,0x000ffe80,
    0xff0007ff,0x0003ff29,0xff001ff7,0x3fa0000b,0x0dfd0006,0x401bfa00,
    0x3fa005ff,0x01fff505,0x7c0017fe,0xfd00005f,0x800a880d,0x7ff51ffa,
    0x547fea00,0xffb803ff,0x001ffd44,0xfa800df9,0x007ff51f,0xff004fe8,
    0x3fa0000b,0x0dfd0006,0x401bfa00,0x3f6005ff,0x413fea07,0xff0005ff,
    0x3fa0000b,0x07ffe606,0x5ff8ffb0,0xff8ffb00,0x43ffd005,0x7c4006fe,
    0x1ff6002f,0x7cc00bff,0x0bff001f,0x01bfa000,0x80037f40,0xbff006fe,
    0x01ffdc00,0x17fe0dfd,0x002ffc00,0x3606fe80,0x7fc05fff,0x4007fec4,
    0x07fec4ff,0xfaaffd40,0x5fd8002f,0xfb13fe00,0x1bf6001f,0xaaaeff80,
    0xd002aaaa,0x3fa000df,0x0dfd0006,0x2aabbfe0,0x7f42aaaa,0x20ff904f,
    0xaaaaaeff,0x5dff02aa,0x05555555,0xfd81bfa0,0x3fea05ff,0x201ffd42,
    0x7fd42ffa,0xd3ffb003,0x3ea000df,0x2ffa800f,0x4401ffd4,0x3fe002ff,
    0xffffffff,0x00dfd007,0x4001bfa0,0xfff006fe,0xffffffff,0x41effe88,
    0xffff05fe,0x0fffffff,0x3ffffffe,0xfd007fff,0x0fffcc0d,0xff10ffb0,
    0x887fd80b,0xff3005ff,0x40003fff,0x7fd804fe,0xb805ff88,0x7ffc007f,
    0x5eeeeeee,0x000dfd00,0x74001bfa,0xdfff006f,0x0bdddddd,0xb19fffb1,
    0x3ffe03ff,0x5eeeeeee,0xddddfff0,0x3a00bddd,0x004c406f,0x7fec17fe,
    0x6c17fe00,0xff9000ff,0xfb8000bf,0xb05ff807,0x3ff801ff,0x002ffc00,
    0x0006fe80,0x3a000dfd,0x0bff006f,0x7fff5400,0x17fe03ff,0x002ffc00,
    0x0006fe80,0xf702ffa8,0x0bfea05f,0x88017fdc,0x40000fff,0x3ea03ff8,
    0x05ff702f,0x20007fd4,0xd00005ff,0x3fa000df,0x0dfd0006,0x00017fe0,
    0xf013fff2,0x3fe000bf,0xdfd00005,0x80555440,0xeeeeeffd,0xfb05ffee,
    0xdddddddf,0x7f400bff,0xdf900006,0x7777fec0,0x05ffeeee,0x3e0017fa,
    0xfd00005f,0x1bfa000d,0x8037f400,0x300005ff,0x7fc01fff,0x0bff0005,
    0x81bfa000,0xff01fff8,0xffffffff,0xfff01fff,0xffffffff,0x3fa001ff,
    0xff300006,0x3ffffe03,0xffffffff,0x001ff980,0x00005ff8,0x3a000dfd,
    0xdfd0006f,0x0017fe00,0x202ffa80,0xff0005ff,0x3fa0000b,0x03ffe206,
    0x33337fea,0x2ffdcccc,0x6666ffd4,0x2ffdcccc,0x000dfd00,0x7d42ff40,
    0xccccccdf,0xfc82ffdc,0x0bff0006,0x01bfa000,0x80037f40,0xbff006fe,
    0x7fdc0000,0x0017fe02,0x80002ffc,0x7ffc06fe,0x400ffd80,0x7fec5ff8,
    0x02ffc400,0x00006fe8,0xffb03fea,0x45ff8801,0xf0003ff8,0x3a0000bf,
    0xdfd0006f,0x01bfa000,0x11002ffc,0xf01ffe60,0x3fe000bf,0xdfd00005,
    0xff07ff80,0x83ffa00b,0xffd005ff,0x00dfd001,0x7c3ff800,0x1ffd005f,
    0xf0003fdc,0x555555df,0xaaa88155,0xaaaaffea,0x75555440,0x40aaaaff,
    0xffeaaaa8,0xff80aaaa,0xaaaaaaae,0xbddff50a,0xf805ffff,0xaaaaaaef,
    0xaeff80aa,0x0aaaaaaa,0x7f555544,0x3a0aaaaf,0x02ffa87f,0x3ea5ff70,
    0x5ff7002f,0x000dfd00,0x3ea7fb80,0x5ff7002f,0xf00027f4,0xffffffff,
    0xfffa83ff,0xffffffff,0x7ffffd43,0x43ffffff,0xfffffffa,0xff83ffff,
    0xffffffff,0xfffff51f,0xff003bff,0xffffffff,0xfffff03f,0x83ffffff,
    0xfffffffa,0x3fa3ffff,0x000ffd86,0x3ff6bff3,0x0bff3000,0x0000dfd0,
    0x07fec330,0x265ff980,0x3fe00009,0xffffffff,0x7fffd41f,0x3fffffff,
    0x7fffffd4,0x543fffff,0xffffffff,0xfff83fff,0xffffffff,0x2af2aa61,
    0x3fffe000,0x1fffffff,0xfffffff8,0x7d41ffff,0xffffffff,0x017b23ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0002f2e2,0x0c406aa0,0x54c00098,0x06f2a002,
    0x55503550,0x53000003,0x0d554055,0x26031000,0x81550000,0x05544098,
    0x33555300,0x2a601333,0x555002bc,0xa9800003,0x0026a22a,0x1dfffd10,
    0x1ffc4000,0x3ee27fc4,0xfff7000f,0xfffe8807,0x01ff503f,0x0005fff3,
    0x00fffcc0,0x0005fff3,0xffb89ff1,0x43fcc000,0xfffd16fc,0x7f4c01df,
    0xffffffff,0x7ffff4c5,0x7fcc03ff,0xf300002f,0x7ffd43ff,0x2fb800be,
    0x440009f5,0x7ffa83ff,0x5c01fff4,0x203ffcff,0x0ffdadfd,0xb101ffc4,
    0x300005ff,0xb1001dff,0xfa8005ff,0x01fff47f,0x3f213f20,0xffeffe9e,
    0x9fff506f,0xbfffffb9,0x766fffcc,0x6c402fff,0x4c0002ff,0x7fd40eff,
    0x6402ffff,0x80017e0f,0xfe883ff8,0x20077dc3,0x7ff51ffb,0x7f41ff30,
    0xb8037e43,0x260002ff,0xfb8004ff,0x3fa2002f,0x20077dc3,0x81feaa98,
    0x10cffffc,0xff887ffb,0x227fd40e,0x7cc0efe8,0x5ff7006f,0x13fe6000,
    0x5fffb530,0x7dc67dc0,0x3fe20003,0x80040203,0x40cc4099,0x327e46fa,
    0x4c4003ff,0x02620001,0x00198800,0xe8801008,0x82ffffff,0xff02fffc,
    0xb01ffa8d,0x01ffa8ff,0x4c400ffb,0x01310001,0x00fffa80,0x001bfff6,
    0x0007ff10,0xfa800000,0x9fd27e47,0x00000000,0x00000000,0x3fffea00,
    0x642ffffe,0x3ff203ff,0x5c03ff20,0x81ff21ff,0x000007fd,0xff700000,
    0x002ba809,0xff89a988,0x00aa9803,0x40155300,0x4bfa0ff9,0xa98006fc,
    0x5530000a,0x2aa60001,0x40198800,0x3bfe2099,0x8bffffe1,0x7fd407fc,
    0x5c03ff21,0x41bf60ff,0x98804ffa,0x22001aaa,0x4001aaa9,0x53106ff8,
    0x3ee00355,0x3fffffff,0x3fffff20,0xfff9001e,0x3fa03dff,0xff36fdcf,
    0x3ff62003,0x9002ffff,0x03dfffff,0x3fffff20,0x01ff201e,0x07fec9ff,
    0x4dff1ff3,0x7fd407fc,0x740ffea2,0x6437ec6f,0x3ae00eff,0x3fffffff,
    0x3ffffae0,0x3e003fff,0x7fff5c6f,0xd103ffff,0xfffddfff,0xdffd107f,
    0x407fffd9,0xfeceffe8,0xffe983ff,0x009fd1ef,0x3fbfffea,0x3a204fff,
    0xfffeceff,0x3bffa203,0x903fffec,0x14ff80ff,0x74fc89ff,0x203fe4ff,
    0x7ff42ffa,0x85ffb30b,0x27fe46fd,0x777ffec0,0xfb03ffff,0xffffddff,
    0xb17fe007,0xfffddfff,0x07ffb07f,0xffb07ff5,0x00ffe885,0xfe885ffb,
    0x5c35300f,0xff8800ef,0x17ff4c2f,0x7442ffd8,0x5ffb00ff,0xc80ffe88,
    0xaa7fc07f,0x98ffc1ff,0x80ff91ff,0x7fec0ffa,0x83ffffff,0x13fe66fd,
    0x2a205dc0,0x0bb80fff,0x007ffd44,0x1770fff2,0x20fffa88,0xff102ffa,
    0x102ff987,0x5ff30bff,0x4017fe20,0xf9002ff9,0x1bfe201f,0x7c40bfe6,
    0x02ff985f,0xff90bff1,0xff74ff80,0xff13fcc1,0xf901ff27,0xfdbffa8f,
    0xdfb00cef,0x0000ffdc,0x8002ffc8,0x66642ffc,0xc8006ffe,0x81bfa2ff,
    0x37ec3ff8,0x3f61ff60,0x803fec06,0xff1004fe,0x41ffc809,0x3fec06fd,
    0x3f6037ec,0x7c07fc87,0xfc8ff94f,0x7fca7fc4,0x3f637f40,0x26fd8004,
    0x00003ffa,0x30007ff3,0xfffe87ff,0xf98000df,0x8813fe3f,0x027fc3ff,
    0x9ff03ff2,0x400ffc80,0xf3000ffb,0x2ff9805f,0x3f2027fc,0x2027fc0f,
    0x3fe40ffc,0x7fd53fe0,0xff887fa0,0x7dc0ff93,0x0037fc2f,0xfff137ec,
    0xff100005,0x7ff10007,0x000adfe8,0x7c4ffe20,0x8ffe203f,0xeeeeeff8,
    0x21ffeeee,0xeeeeeff8,0x01ffeeee,0x764cbfe2,0x00ffb82c,0xff11ffc4,
    0xdddddddd,0x7fc43ffd,0xeeeeeeee,0x3fe41ffe,0x7fc53fe0,0xff98ff32,
    0x4c17ff92,0xffd85ffc,0x1accccdf,0x7fd46fd8,0xdd97004f,0x407fffff,
    0xffffeecb,0x0027f43f,0xffffdd97,0x80bfe67f,0x3fe23ff8,0xffffffff,
    0x3fe21fff,0xffffffff,0x3f601fff,0x7fffff75,0x4400ffc8,0x3ffe24ff,
    0xffffffff,0x3ffe21ff,0xffffffff,0x03fe41ff,0x94ff93fe,0x90ffc89f,
    0xffffffff,0xffd101bf,0xdfffffff,0x7d437ec3,0x3fea05ff,0xffffffff,
    0xfffffa83,0x743fffff,0xfffa804f,0x3fffffff,0x7c405ff3,0x273fe23f,
    0x99999999,0x4ce7fc41,0x19999999,0x3e23fee0,0x20ffc9bf,0x7c401ffb,
    0x273fe23f,0x99999999,0x4ce7fc41,0x19999999,0x7fc07fc8,0x3fabff64,
    0xfc93fe61,0x2dffffff,0x333bfe20,0x0ffffedc,0x3fa20dfb,0xbfff984f,
    0x30ffe209,0x44137fff,0x01fec3ff,0x826fffe6,0x7ff13ff8,0x3e1ffcc0,
    0x3fe0005f,0x7fc40005,0x2ff8df52,0xf500bfea,0x005ff85f,0x80017fe0,
    0x3fe00ffc,0x5ffffa24,0x320fffa8,0x1001317f,0x7ec40dfd,0x440dfb3f,
    0x7fec0ffe,0xd87ff101,0x7ff101ff,0x7ec00988,0x47ff101f,0xffd105ff,
    0x000ffe87,0x0001ffd0,0x89f92fec,0x17fe23fd,0xfe81ffb0,0xffd0000f,
    0x3fee0001,0x889ff701,0xfffffffe,0x003fe41e,0x26017fd4,0x80dfb4ff,
    0x37f42ffa,0xfe87ff10,0x00ffe206,0xf1037f40,0x407fec7f,0x7d43fffe,
    0xff50004f,0x3fea0009,0x5fd17ee0,0xf301ffd8,0x09ff509f,0x013fea00,
    0x541ffd40,0xff884fff,0xc80cefff,0xffb8007f,0xd9ffd403,0x17fd406f,
    0x7f4c1bfa,0x9837f43f,0x165c3ffe,0x74c1bfa0,0x3bfea3ff,0x7fdbfd71,
    0x813bffd0,0xbffd01a9,0x441a9813,0x87fd43ff,0x7fcc0ff9,0xfff710bf,
    0x277ffa01,0xfe80d4c0,0x0d4c09df,0x445fffc4,0x984ffffc,0x640099ef,
    0xffa8007f,0x1fff501f,0x51089bf6,0xffd81ffd,0x3ffff264,0x9327fec3,
    0x7d47ffff,0x3ff600ff,0x3ffff264,0x7ffffec3,0xd107fd5f,0xffffffff,
    0x3ffa207f,0x3fffffff,0xffe837ec,0xff704ffe,0x3dffffff,0x7ffff440,
    0x103fffff,0xfffffffd,0x3ff207ff,0xfd9fffff,0x2004fc84,0xfb0007fc,
    0xffdddfff,0x937ec3ff,0x05ffffff,0xfffffff3,0xf987fd5f,0xafffffff,
    0x3fff23fe,0x3fffe601,0x3feaffff,0x23efffc8,0x3fae03fe,0x01dfffff,
    0x7fffff5c,0x07fea1df,0x01fffec4,0x3bffff62,0x3ffae004,0x401dffff,
    0xffffffeb,0x3ffee01d,0xd09fb0df,0x3fe4003f,0xfffd7000,0xd817ffff,
    0x3ffff26f,0x3ffa601d,0x07fd0dff,0x1bffffd3,0x6ff88ffa,0xffffe980,
    0x4407fd0d,0x99880000,0x13310000,0x00020000,0x22000062,0x31000099,
    0x09880013,0x10006600,0x31000033,0x10001353,0x01300013,0x10004c00,
    0x00130003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x1000aa60,0x55500035,0x1aaa8001,
    0x554c0000,0x00aa6002,0x4cc00666,0x00005530,0x26202a98,0x8004cc01,
    0x40661a98,0x20013018,0x400001a8,0x2a202aa9,0x13018801,0x0fffee00,
    0x8f7ffec0,0x3ff203e8,0x4c077315,0x00002fff,0x2003fff3,0x6c03fffb,
    0x7fcc01ff,0x0000ff94,0xc81fffdc,0x0ffe207f,0xfffffd70,0x9ff107ff,
    0x6c00ffb8,0x7d11efff,0x3fff3000,0x80bffe60,0x7fdc4ff8,0x7e7fdc00,
    0x6ffe403f,0x04ffefff,0x7fff7ff4,0x17fec405,0x3bfe6000,0xf9ff7000,
    0x27fd407f,0x7e47fee0,0xff700007,0xff907ff9,0x881ffc40,0xffeefffd,
    0x7ffa83ff,0xf901fff4,0xffdfffbf,0xeff98009,0x17fff600,0x7f47ffa8,
    0x47fee03f,0x96603ffa,0x304fffc8,0xdffffffb,0x3fee005b,0x9ff30002,
    0xa8ffdc00,0x1ffa03ff,0x3fe4dfd0,0x8ffdc000,0x3fe43ffa,0x3a07ff10,
    0x3ffa83ff,0x7dc3fe88,0xc896600e,0x4c004fff,0xffc804ff,0x0ffa205f,
    0x4cc01df7,0x4000cc40,0x7ffd4018,0x10006ffe,0x26200033,0x204cc000,
    0x3fee0198,0x647ff302,0x9980007f,0x3f20cc40,0x20ffe207,0xff102ffa,
    0x00080407,0x44000620,0xdfd10009,0x00201001,0x80000000,0x13fee1b9,
    0x00000000,0x7c400000,0x41ff905f,0x000007fc,0x2207fc80,0x06fe83ff,
    0x0000ffe2,0x00000000,0x00000200,0x1aaa9880,0x2aaa6200,0x7fd44001,
    0x0066201f,0x55300133,0x2aa60001,0x01ffb000,0x47fc8bff,0x4c400aa8,
    0xfc84cc01,0x20ffe207,0x3fe204ff,0x00aa9803,0x00155300,0x09980331,
    0x55310000,0xffd70035,0x407fffff,0xffffffeb,0x7ff6403f,0x3f206fff,
    0x8827fc07,0x2ffffffd,0xffffd880,0x7fd402ff,0x3217fcc3,0xffffd17f,
    0x01ff201d,0x81ff29ff,0x7fc43ff8,0x40ffe203,0xffffffd8,0xfffd8802,
    0x3f202fff,0x0027fc07,0x3ffffae0,0x3f603fff,0xffffeeff,0xddfffb03,
    0xd107ffff,0xffffffff,0xf01ff205,0xffff509f,0x409ffffd,0xffeffffa,
    0x37fc04ff,0xff903ff2,0xfffdfff3,0xf01ff20d,0x881ff29f,0x17fcc3ff,
    0xf507ff10,0xffffdfff,0x7fffd409,0x904ffffe,0x04ff80ff,0x77ffec00,
    0x703ffffe,0xfffa8817,0x5440bb80,0x7ff40fff,0xc837fc0b,0x227fc07f,
    0x74c2fff8,0xfff882ff,0x017ff4c2,0x27fc3ff9,0x867fffe4,0xfc83ffd8,
    0xfca7fc07,0x30ffe207,0x7fc405ff,0x217ffc43,0xf882ffe9,0x7ff4c2ff,
    0x7c07fc82,0x5dc0004f,0x07ffd440,0x017fe400,0xf517fe40,0x0bfee05f,
    0x9ff01ff2,0xf100ffc8,0x01ff90df,0xf881bfe2,0x903ff55f,0x3fe05fff,
    0x7c07fc86,0x201ff94f,0x7fc43ff8,0x90ffe603,0x3fe201ff,0x100ffc86,
    0x0ff90dff,0x00004ff8,0x0017fe40,0x4001ffcc,0x1bfa3ff9,0xfc85ff88,
    0xf127fc07,0x1ffc809f,0xf9013fe2,0x47fec03f,0x7ff906fd,0x3207fe40,
    0xca7fc07f,0x7ff901ff,0x3a20bff0,0x13fe23ff,0x7c43ff90,0x0ffe404f,
    0x9ff01ff2,0x0000fb20,0x10007ff3,0xf10007ff,0x00ffe27f,0x0ff90ffd,
    0x3fe64ff8,0x317fcc02,0xff9805ff,0x3effea02,0x80ff903f,0x3fe41ffa,
    0x7fe53fe0,0x83fffb84,0xffe80ffd,0x00bfe63f,0x7fcc5ff3,0x217fcc02,
    0x27fc07fc,0x001fffdc,0x5c07ff10,0xfffffeec,0x3fbb2e03,0xff33ffff,
    0x40ffc805,0x27fc07fc,0xf8801ff7,0x003fee3f,0xff807ff1,0xff900fff,
    0x642ffa80,0xca7fc07f,0xfc88bfff,0x7d41efee,0xfbfd71ef,0x007fdc7f,
    0xffb8ffe2,0x21ffc400,0x27fc07fc,0x4037ffe4,0xffffeecb,0xffffa83f,
    0x83ffffff,0xfffffffa,0x3ff53fff,0x641ffb80,0x927fc07f,0xff8801ff,
    0x1003ff24,0xffc809ff,0x01ff205f,0x7fc85ff5,0xffca7fc0,0xb9ffffff,
    0x7fec1fff,0x7ff5ffff,0x22007fe4,0x03ff24ff,0xfc89ff10,0x4427fc07,
    0x3ea07fff,0xffffffff,0x5fffcc3f,0x30ffe209,0x44137fff,0x05ff53ff,
    0x7e40ffc8,0xf727fc07,0x3ff8803f,0xf1007fee,0xfff8807f,0x701ff201,
    0x07fc83ff,0xcefca7fc,0x3f60dfff,0xefffc81f,0xffb8ffe3,0x71ffc401,
    0xff8803ff,0x3e03fe43,0x0fff704f,0x826fffe6,0x7fec3ff8,0xd87ff101,
    0x7ff101ff,0xfb00ffe6,0x401ff90f,0x0bfea4ff,0x7d45ff50,0x17fd402f,
    0x9017fe60,0x87fc80ff,0x3fe00ffc,0x004cff94,0x7c408803,0x00bfea3f,
    0x7fd45ff5,0x217fd402,0x3fe00ffc,0x20bff304,0xff101ffd,0x2206fe87,
    0x037f43ff,0x3fe27ff1,0x217fe205,0xff701ffb,0x202ffc49,0x3fe20ffd,
    0x007fec05,0xf900bff6,0xb86fe80f,0x9ff701ff,0x00001ff2,0x7c47ff10,
    0x07fec05f,0xfd80bff1,0x80ffdc0f,0xff704ffb,0x881bfa05,0x837f43ff,
    0x7f43ffe9,0x47ffd306,0xff902ffd,0x507ff505,0xffd89fff,0xb09ff301,
    0x3fe603ff,0x02ffdc04,0xff703fe4,0x507ff503,0x1ff29fff,0xff100000,
    0x301ffd87,0x3ffb09ff,0x2a13fe60,0xfffa83ff,0x02ffe444,0x3fa60dfd,
    0x327fec3f,0xd87ffff9,0x3ff264ff,0x3ffe23ff,0x0dff930b,0x222fffe2,
    0x4c4ffffc,0xf710bfff,0xfff301ff,0x3ffee217,0xeffc9840,0x0bffc800,
    0x4417ff26,0xfc88bfff,0x0ff94fff,0xff880000,0x85fffcc3,0x980fffb8,
    0xf710bfff,0xfff101ff,0xffff9117,0x37fffe69,0x993ff600,0x4c3ffffc,
    0xffffffff,0x7fcc3fea,0xeaffffff,0x7fffd43f,0x200effff,0xfffffffc,
    0xffb84fd9,0x1effffff,0x3ffffee0,0x7c41efff,0x001effff,0xfffffff9,
    0x7e4019ff,0xd9ffffff,0x000ff94f,0x83ff8800,0xfffffffb,0x3fee01ef,
    0x1effffff,0x3fffff20,0xf34fd9ff,0xff3005bd,0xd5ffffff,0xfffd307f,
    0x20ffa1bf,0x0dffffe9,0xffb107fd,0x2e007fff,0xfb0dffff,0x3fff6209,
    0xfb1004ef,0x2209dfff,0x4003ffff,0xeffffdb8,0xfff7002d,0x653f61bf,
    0x4000007f,0xfb103ff8,0x2009dfff,0x4effffd8,0xbffff700,0x00013f61,
    0x1bffffd3,0x01300ffa,0x00004c00,0x22000131,0x06200009,0x20031000,
    0x20000099,0x26200008,0x000cc400,0x004cc000,0x220000c4,0x02620001,
    0x02600000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x000154c0,
    0x00000000,0x40000000,0x53001aaa,0xdb700005,0x220003bd,0x0188001a,
    0x0264c013,0x00000d54,0x00aaa600,0x5db10000,0x77fff6dc,0x3fee000c,
    0xfb73003f,0x5cc005bd,0x01beefed,0x1677ee54,0x7f6dcc00,0xff301cef,
    0x0ff9005f,0x7fff4400,0x6c004fff,0x7d11efff,0xf713fe20,0xfffd981f,
    0x403fea00,0x0ceffedb,0x3fff3000,0xdefec980,0xfffd800b,0xfffffff2,
    0xff7007ff,0xfb807ff9,0x04ffffff,0xffffffb8,0xffb107ff,0x01dfffff,
    0x3fffff20,0xb101ffff,0x7fc805ff,0x33ff6000,0x001ffeba,0xdfffbff9,
    0x3fea09ff,0xf51fff47,0x2201ffff,0xffe983ff,0x03ffffff,0x0077fcc0,
    0x3ffffff2,0x7fec00ef,0x73559d5f,0x5c03fffb,0x07ff51ff,0x2a6fbfee,
    0xfb105ffe,0xf9757bff,0x37dfd30f,0x807ffae6,0xabdfffe9,0x5c01fecb,
    0x1ff202ff,0x227fc400,0xb3004ff9,0x027ffe44,0xefb87fd1,0x3fe6fa20,
    0xd10df900,0xf95359ff,0x3e6003ff,0xeffd804f,0x1fffebac,0x01bffea0,
    0x99813ff2,0x7c40cc40,0x1ffd80ef,0x200effc8,0x100efe82,0x7ff40dfd,
    0x2002a00d,0x1ff20198,0x417fd400,0x440005ff,0x00402001,0x3e603fe6,
    0x03ffb81f,0x22009ff7,0x5ffa8009,0xd80bff90,0xff8805ff,0x7e400006,
    0x8bff100f,0xa8006ff8,0x07fd006f,0x00009ff7,0x007fc800,0xff05ff50,
    0x00000009,0x03fe6000,0x7fec13fa,0x00bff100,0x01dfd000,0xf7007fec,
    0x17fa009f,0x0cccccc4,0xfb017fe0,0x017fec1f,0xd911ff40,0x11bee5bd,
    0x40001fff,0x01999998,0x35531ff2,0x2e2ffc40,0x098802ff,0x2200d54c,
    0x00199999,0x6fc81ff3,0x4403ff20,0x333103ff,0xffa80333,0x027fd403,
    0xf1003ffb,0x3fffa05f,0xff301fff,0x0fffe405,0xf3000dff,0x7ffffccf,
    0xffa8bfe4,0x7ff40003,0xf901ffff,0x3ffffa6f,0x23ffd00d,0xf9005ffb,
    0x3ffffa6b,0xffffd00d,0xff3003ff,0x300ffcc1,0x3ff209ff,0xfffffd01,
    0x07fe403f,0x64437fc0,0xffb004ff,0x3ffffa01,0x3ff501ff,0x5ffffd10,
    0x20013fe6,0x4bbfa5fb,0xfc8ff618,0x7f40000f,0x901fffff,0xfdfff5ff,
    0x3fe60bff,0x2005ffee,0xefffaefc,0xffd05fff,0x3003ffff,0x027f41ff,
    0xc886fff4,0x3ffa05ff,0x3601ffff,0x4ffd006f,0x304ffffa,0x01dfd753,
    0xb80ffd40,0x7ffd40ff,0x7ff53ffb,0x269f9000,0x93f201ff,0x800007fd,
    0xff901ffa,0x7ff4c7ff,0x5ffff901,0xffffc800,0x007ffa63,0x4c007fea,
    0x2003bee1,0xffdfffd8,0x7fd4004f,0x401bfa01,0x37bea7fd,0xfffff101,
    0xffa8003f,0xfc8ff901,0x2e9ff1ef,0xfd8002ff,0xfb80ff53,0x3ea1bfa5,
    0x802fffff,0xff901ffa,0x05ff705f,0x889ffff7,0xfff901aa,0x007ff705,
    0x30003ff5,0xfb8005ff,0x8003ffff,0x3fe01ffa,0x21ff9005,0xffdd1000,
    0x2001bfff,0xff901ffa,0xf837ffa6,0x003ff94f,0x1fea7fb0,0x37fcdf50,
    0x7fffffd4,0x01ffa802,0x3e605ff9,0x7f7fdc4f,0x0bfe62ff,0xf9817fe4,
    0x1ffa804f,0x004fe800,0x7ffffec4,0x7fd4003f,0x00bff101,0x00003ff2,
    0x401bff26,0xff701ffa,0xff07fff7,0x000bfee9,0x0ffcd3f2,0x3ff49f70,
    0x7fdcccc4,0x01ffa802,0x4ff80ff9,0x7fcd7fe6,0x203ff51f,0x27fc07fc,
    0x000ffd40,0x98003fee,0xffc8bfff,0x3fea005f,0x4017fe01,0x400007fd,
    0xfa803ffb,0xffff501f,0x27ff103d,0xb8003ffa,0x419ff15f,0x7fd8ff60,
    0x802ffa80,0xff901ffa,0x3f64ff80,0x23bfee0f,0xff901ffc,0xa804ff80,
    0x3e2001ff,0x21332e2f,0x7cc0eff9,0xff5003ff,0x8037f403,0x3bfa26fe,
    0x0bff0000,0x2603ff50,0xf300dfff,0x017fe65f,0xffc9bea0,0x8bfa4fef,
    0x7d401ffc,0x1ffa802f,0xff80ff90,0x3f217fe4,0x3207fddf,0x027fc07f,
    0xb000ffd4,0x3fffccbf,0xf9807fe4,0x3ff5007f,0xf803fec0,0x17fff65f,
    0x402ffc00,0xff101ffa,0x20ffc80b,0x44000fff,0x3ffee2ff,0x541ff33e,
    0x7fd405ff,0x01ffa802,0x4ff80ff9,0x3fa09ff1,0x3f204fff,0x4027fc07,
    0xf7001ffa,0x3feff41f,0x3f602ff4,0x1ffa800f,0x500bff20,0x7fffc9ff,
    0x3ff88007,0x201ffa80,0x2ffc07fd,0x20013ff2,0x6c0886fb,0x00ffe84f,
    0x2a00bfea,0x0ff901ff,0x1bfe4ff8,0x00ffffc4,0x4ff80ff9,0x801ffa80,
    0x37f22ff8,0x2ffc47fa,0x2003ff20,0x3e601ffa,0x07fec05f,0x000bfffb,
    0xf5003ffb,0x27fd403f,0x7c41ffc8,0x220404ff,0x7fe405ff,0x01effa80,
    0xf5005ff5,0x01ff203f,0x0fff49ff,0x201fffb8,0x27fc07fc,0x400ffd40,
    0x23fe65fd,0x0fff87fa,0x200dfd10,0x7ec01ffa,0x89ff703f,0x4cc0ded8,
    0x3ffae620,0x03ff5003,0x930cffe8,0x3fee0bff,0xda99abef,0x41dffa87,
    0x3602ffd9,0x999acfff,0xfa802ffc,0x80ff901f,0x3ffea4ff,0xfffc989b,
    0x0ff900ff,0xfa804ff8,0x07fd401f,0x5ff95bfd,0x8577fe41,0x003ffea8,
    0xf9803ff5,0xfca8acff,0x7dc000ff,0xffffffff,0x73333103,0x813335ff,
    0xffffffe8,0x7ffd405f,0x07ffffff,0xffdffff3,0xff7003ff,0xffffffff,
    0xb9999885,0x90999aff,0x44ff80ff,0xfffffffc,0x906ffddf,0x44ff80ff,
    0xffb99998,0x3e20999a,0x7ffff43f,0x7ff41fff,0x4fffffff,0xf7333310,
    0x3013335f,0xffffffff,0xff70001d,0x019dffff,0x7fffffd4,0x905fffff,
    0x007bfffd,0x3ffffb22,0x3b2202cd,0x000cefff,0x3ffffb66,0xfffa82df,
    0xffffffff,0xff80ff95,0xffffd984,0x213ffa2d,0x27fc07fc,0x3fffffea,
    0x365fffff,0xcaaaa86f,0xfea80aff,0x201dffff,0xfffffffa,0xb105ffff,
    0x007dfffd,0x00999880,0x3ffffea0,0x05ffffff,0x440000c4,0x00060000,
    0x54009980,0xffffffff,0x0ff95fff,0x04404ff8,0x407fc800,0x7ffd44ff,
    0xffffffff,0x5003ff55,0x026600ff,0x7ffffd40,0x05ffffff,0x00000188,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x98000000,0xaa800bcb,0xa804c981,0x2aa2001a,0x2e600aac,
    0x54000001,0x00aaaaaa,0x15510000,0x03dd3000,0x0002ee98,0xedcba800,
    0xeeeeed85,0x76c4eeee,0xeeeeeeee,0x00000001,0x026aa200,0xfffb9fee,
    0x83fea02f,0x200fffd9,0xf7000ffa,0x20dfffff,0x5001fff9,0x7bdfffd9,
    0xffffffd0,0x02ed4003,0x40017fcc,0x7cc02ffa,0x7ff5c02f,0xffb801cd,
    0xff87ffff,0xffffffff,0x7fffffc5,0xb701ffff,0x88039dfd,0x00defedb,
    0xffffff70,0x332fec1d,0x3e20bfd3,0x3fffea3f,0x07ff100f,0x33bfff20,
    0xfff706ee,0xfffe8807,0xd86fffff,0x01ffeeee,0x2601bf60,0xfa8002ff,
    0x17fcc02f,0xffffff98,0xffd103ff,0xf0999bdf,0x999999df,0xccccc859,
    0x4c1ffdcc,0xfffffffe,0xfffff503,0x74c07fff,0xfffeffff,0x3a20ffe1,
    0x88df904f,0x900ff9be,0x3fe600df,0x3fe6001e,0x3ffa201f,0x5dba9abd,
    0x001ffa80,0x3e601bf6,0xffa8002f,0x417fcc02,0xa99cfff8,0xffe885fd,
    0x07ff000c,0x0ffdc000,0x5337fff1,0xffa87ffd,0xfffcaace,0x81bffd01,
    0x43ff10b8,0x980ffff8,0x3fe601ff,0x001ff980,0x30005ff9,0x4ffc8039,
    0x1ffa8000,0x201bf600,0xa8002ff9,0x7fcc02ff,0x502ffc82,0x000bfee0,
    0x400007ff,0x3ff61ffb,0xbd0ffd01,0x70bff501,0x2e2007ff,0x7ffee443,
    0x26027f40,0x04fe80ff,0x0003ff60,0x00ffe800,0x01ffa800,0x3bfa6666,
    0x30999999,0xf50005ff,0x2ff9805f,0x44006fe8,0xff8004ff,0x3ee00003,
    0x409ff11f,0x20043ffa,0x37fc47fe,0x3fea0000,0x2601bf22,0x037e40ff,
    0x44017fa0,0x40199999,0x500006ff,0x7ffc03ff,0xffffffff,0x05ff34ff,
    0xff504cc4,0x82ff9805,0x7dc004ff,0x3ff8000f,0x3fee0000,0xf805ff31,
    0x7fec005f,0x000ffe60,0x3ffaeaa0,0x3003ff30,0x0ffcc1ff,0x4017fa00,
    0x1ffffffe,0x0007ffa0,0xf807fea0,0xffffffff,0xff34ffff,0x83bfee05,
    0x7cc02ffa,0x01ffc42f,0x0061bf20,0x80000ffe,0x5ff71ffb,0x4006fd80,
    0x3fea0ffd,0xffd80001,0x013fa2ff,0x9fd07fcc,0x00bfd000,0x3ffffffa,
    0x0bffee01,0x03ff5000,0x4c037ec0,0xeffb82ff,0x2017fd40,0x7fc42ff9,
    0x567f4003,0x03effffd,0x7bddffff,0x3ff70001,0xfb00bfea,0x47fe800f,
    0x80000ffc,0x77dc1aa9,0xfb866000,0x7ffec00e,0xffffffff,0x3fea03ff,
    0x77ffec01,0xffa8000b,0x01bf6001,0xff70bfe6,0x05ff501d,0x7c42ff98,
    0x7ffc003f,0xffffffff,0x7ffffc0e,0x4004ffff,0xbff11ffb,0x000ffc80,
    0xffb89ff3,0x26000001,0x260002ff,0xffd802ff,0xffffffff,0x3ea03fff,
    0xfffb801f,0x2a000cff,0x3f6001ff,0x22ff9806,0xf500effa,0x2ff9805f,
    0xfffffff9,0xff01ffff,0x7ecc15df,0x5555544f,0x004fffdb,0xffd87fee,
    0x0fffc884,0x40ffe880,0x00002ffa,0x00013fa0,0x262009fd,0x99efe999,
    0x2a009999,0xf91001ff,0x2007ffff,0x36001ffa,0x2ff9806f,0x5401dff5,
    0x7fcc02ff,0xffffff92,0x881fffff,0x7ff404ff,0x3fff3000,0x887fee00,
    0xfeeeffff,0xfb007fff,0x0dff105f,0x3fee0000,0x3fee0000,0x17fa0000,
    0x00ffd400,0x2ffff540,0x000ffd40,0xff300dfb,0x801dff55,0x7cc02ffa,
    0x9ff5312f,0x20333333,0x7fdc05ff,0x0ffea001,0x220ffdc0,0xbffffffd,
    0xffc806fd,0x00fff604,0x45ff1000,0xf8804ccb,0x05bd932f,0x40017fa0,
    0x20001ffa,0x5403fffa,0x3f6001ff,0xfdff9806,0xffa800ef,0x217fd402,
    0x74003ff8,0x1ffcc05f,0x00bff100,0xa9807fee,0x9013fa19,0xff9809ff,
    0xda988adf,0x32fec001,0xfb00ffff,0x3ffffe6b,0x005fe803,0x0003ff50,
    0x5406ff98,0x3f6001ff,0xebff9806,0xff9801ff,0x207fdc03,0x74003ff8,
    0x17fd406f,0x009ff300,0x20003ff2,0x3ff203ff,0xffff3005,0x003fffff,
    0xbfd07fdc,0x0ffb80ff,0x403fe4b2,0xf50005fe,0xfd00003f,0x01ffa80f,
    0x2601bf60,0x0fff9aff,0x2027fc40,0x3ff887fc,0x00ffe400,0x5c001ff7,
    0xfff002ff,0x01ff7000,0x10017ff2,0x9fffffd7,0x8bfe2001,0x207fadfc,
    0x3ea02ff8,0x005fe807,0x0003ff50,0xfa80dfd0,0x3ff6001f,0xa97fcc00,
    0x7f400eff,0x0bff300f,0x88007ff1,0xdff104ff,0x877fcc00,0x0bff3018,
    0x903ff980,0x540009ff,0xd80009ff,0x2a3fe65f,0x817f607f,0xfe804ff9,
    0x3ff50005,0x4ffa8000,0x000ffd40,0xf9807ff9,0x03bfee2f,0x10afffa8,
    0xf101fff5,0xffb0007f,0x0fff4c19,0x7e4c4131,0x2b7e61ff,0x01fffd99,
    0x641bfee0,0x640004ff,0xff50006f,0x7e56ff41,0x07fd40af,0xd004ffa8,
    0x3ea000bf,0x357d501f,0xfff93333,0x01ffa803,0x473ffe60,0x85ff3198,
    0x7e406ffc,0xffffffff,0x67fd4c42,0x19999999,0xfffffe88,0x7fcc2fff,
    0x1effffff,0x7fffffcc,0xaaa883ff,0x81efffcb,0xccccfffc,0x200ccccc,
    0xf88004fe,0x7ffff43f,0x3fe21fff,0x005ff703,0x4c402ff4,0x9affb999,
    0xffff5099,0x3fffffff,0xfb999988,0x400999af,0xfffffffc,0xfb05ff34,
    0xffd980bf,0xfc80cfff,0xffffffff,0xd900ffff,0x301bffff,0x5bffffff,
    0x7ffff5c0,0xffff301d,0x7ec07fff,0xffffffff,0xff101fff,0x0dfb0003,
    0x5ff95555,0xfa837ec1,0x401eeeef,0xffa805fe,0xffffffff,0xffffb35f,
    0x5017dfff,0xffffffff,0xd500bfff,0x267fffff,0xbffd02ff,0x90026200,
    0xffffffff,0x801fffff,0x99880098,0x04c40009,0x66f7fcc0,0x7ffec00a,
    0xffffffff,0x0055101f,0x5003ff50,0x01ffa8ff,0x5ffffff5,0xa805fe80,
    0xffffffff,0x99885fff,0xfffa8009,0xffffffff,0x20ccc005,0xfd102ff9,
    0x0000009f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xdeeeed80,0x320001ac,0xeeeeeeee,0x2003bb60,0x1dd70ded,0xb8000000,
    0xeeeeeeee,0xd54eeeee,0x159bdddd,0x3bbbba20,0xeeeeeeee,0x3bbbbba0,
    0x0eeeeeee,0x01777540,0x37bbbbae,0xddd301cc,0x403579dd,0xeeeeeeed,
    0x3b201eee,0x76c1f5c2,0xeeeeeeee,0xddddd51e,0x45dddddd,0xfffffffe,
    0x7c4000ef,0xffffffff,0x5013fea1,0x07fe47ff,0x40075400,0x3333b23e,
    0xcccccccc,0xfffff55e,0xf307ffff,0xffffffff,0x7fc1ffff,0xffffffff,
    0x7ec00fff,0x7fe406ff,0xefffffff,0x7ffffd40,0xf80dffff,0xffffffff,
    0x0bfa01ff,0xfffd07fb,0x3fffffff,0x3fffffea,0x3a3fffff,0xfedcaaef,
    0x3ee003ff,0xaaaacffe,0xd00fff40,0x00ffc8df,0x2027fdc0,0x00b93ffb,
    0x59ff55d8,0x87ffffb7,0xccccccc8,0x20ffeccc,0xcccccccc,0x400fffdc,
    0x200fffff,0xccaabffc,0x7fd46fff,0xffedcbac,0x5577fc2f,0x00aaaaaa,
    0x07fd0bfa,0x99999ffd,0x2aa21999,0xaaaffeaa,0x5c17fa0a,0xfd001fff,
    0xf3005ff7,0x0bfee0bf,0x9ddddff9,0x8ffec017,0x4bff1099,0x0337b65c,
    0x40ffd576,0x20007ffa,0xfd8005fe,0x5ffd402f,0x3ff203ff,0x22ffe880,
    0xff702ffa,0x002ffc1f,0x5fd07fe0,0x8000dfd0,0x2ff406fe,0x500bff30,
    0x005ff3ff,0xff10bff2,0xfffff90b,0x1019ffff,0xffffddff,0x52e41ffd,
    0x5d89ffb9,0x3fa03ff5,0xffb8001f,0x2ffd4001,0x6ffb7ec0,0x4c03ff20,
    0x0bfea4ff,0x3fe5ffa8,0x3fe20005,0x7f40ffc0,0x37f40006,0xfb017fa0,
    0x8cfd803f,0xff1002ff,0xc80ffc8d,0xfcbaabff,0xfff306ff,0x85ffffff,
    0x47fb105c,0x203ff55d,0xe8002ffb,0x7fc4005f,0x94ff800f,0x3ff201ff,
    0x547ff100,0x7ff402ff,0xb800bff1,0xeeeffeee,0xd2eeeffe,0xfe8000df,
    0x202ff406,0x3e203ffa,0x002ff89f,0x7fccffee,0x101ff903,0xff309ffb,
    0x7ffd713d,0x9be205c8,0x203ff55d,0x5c001ffc,0x7ec002ff,0x1ffa802f,
    0x3f207ff5,0x43ff500f,0x7d402ffa,0x800bff3f,0xfffffffc,0x2fffffff,
    0xe8000dfd,0x02ff406f,0xfb813fe2,0x8005ff16,0x06fd8ffe,0x74403ff2,
    0x40ffd87f,0x02e46ff8,0xff55d9fa,0x00dfd103,0xa800dfd0,0xffb005ff,
    0xff905ff8,0xa8ffd101,0x7fc402ff,0x8800bff4,0x999efb99,0xd0999ffb,
    0xfe8000df,0x5dff5506,0x0bff0155,0xcff89ffc,0x7cc02aaa,0x3202ffdf,
    0x3ff200ff,0xfe82ffc0,0xdf102e47,0x21ffaaec,0x002ffea8,0x10017fd4,
    0x3e001fff,0x407fec4f,0xcaaabffc,0x7fd40dff,0xff5ff802,0x5555555d,
    0x2a2fdc05,0x00dfd06f,0xff06fe80,0x03ffffff,0x3fea0dff,0xffffff10,
    0xbfff900f,0x200ffc80,0x3fe22ffb,0x641ff904,0x0ffee545,0x3fffeabb,
    0x002fffff,0x64006fe8,0xff5002ff,0xc83ffa85,0xffffffff,0x02ffa80e,
    0xffff6ff8,0x0fffffff,0x17ee27e4,0x7ffffff4,0x7f406fff,0xdfffdd06,
    0x0dff01dd,0xeff897f6,0xf8805eee,0x7fe400ff,0x883ff200,0x1ff905ff,
    0x33bf62e4,0xfffaaec1,0x000cffff,0x2002ffa8,0x36005ffa,0x85ff887f,
    0xfffffffc,0x7fd44fff,0xff6ff802,0xdddddddf,0x321fec0b,0xffffd04f,
    0x80dfffff,0x2ff406fe,0x7c437fc0,0x00bfe21f,0x3ff3332a,0x642ccccf,
    0x1ffa00ff,0x3fec1ffe,0x6c0f9172,0xb335ff55,0xfd0005ff,0x7ff4400d,
    0x417fe000,0x7fe40ffd,0x1fffdc40,0xf8805ff5,0x000bff6f,0x0ff617f4,
    0x4cccf7f4,0x7f400999,0x202ff406,0x6fc85ff8,0x5c017fc4,0xffffffff,
    0x7fe43fff,0xd07ff900,0x5ff883ff,0xd81f22e4,0xfd83ff55,0x3fea000f,
    0x0bff2003,0x702ffa80,0x0ffc85ff,0x2a1fff10,0x7fcc02ff,0x4c00bff5,
    0xccdffccc,0x22ccdfec,0x740006fe,0x02ff406f,0x3fe0ffea,0x2ffbaaad,
    0xeaaaa980,0x41aaaaff,0xb9999ffc,0xff506ffe,0x3ffd517f,0xb00445c8,
    0xf307feab,0x3ff400bf,0x00bff300,0xeeeeffd8,0x645ffeee,0x3ff200ff,
    0xa805ff51,0x00bff3ff,0x7fffffd4,0xffffffff,0x0001bfa4,0x5fe80dfd,
    0x2a0fff40,0xffffffff,0xdfd0002f,0xfffff900,0x2019ffff,0xfffffff9,
    0x222e42ff,0x7fd57601,0x801ffd81,0x3a003ffa,0x7fc000ff,0xffffffff,
    0x3ff20fff,0x547fee00,0x7ff402ff,0x4400bff0,0xaabffbaa,0x21aabffa,
    0x740006fe,0x02ff406f,0xffb0bff5,0x5ffddddd,0xd3333100,0x813333df,
    0xeffffffc,0x3ffe201c,0xffeefffe,0x1ff89720,0x07feabb0,0x3a017fe6,
    0x3ff2007f,0x6ffd4002,0xdccccccc,0x03ff22ff,0xff50ffd8,0xf2ffdc05,
    0x3e6000bf,0xe807fc47,0x7f40006f,0xb82ff406,0x7fcc1fff,0x802ff882,
    0xfffffffb,0x7e43ffff,0x3600099f,0x263311ff,0xff1726ff,0x7fd57603,
    0x403ffb01,0xf3003ffa,0xffb000bf,0x25ff8801,0xff500ffc,0xc817fd4b,
    0x17fe0fff,0x2637d400,0x01bfa07f,0xe80dfd00,0xfecbaaef,0x07fc82ff,
    0x33337ff1,0xfeeeea81,0x42eeeeff,0x5c000ffc,0x7fe404ff,0x20088b93,
    0x203ff55d,0x3fa05ff9,0xbffd000f,0x99999999,0x802ffc39,0x3ff90ffe,
    0xfffb5533,0x5567fd41,0x41fffecb,0xaaaaaeff,0x6fa80aaa,0xdfd037d4,
    0x55554400,0x0aaaaffe,0x3ffffffa,0x9ff01eff,0x3ffffe20,0x6fe802ff,
    0x000ffc80,0x47d006a8,0xaaaaaaec,0x55eaaaaa,0x7ff403ff,0x004ffa80,
    0xfffffff5,0x25ffffff,0xf7002ffa,0x3ffff25f,0x41efffff,0xfffffffa,
    0xfff80dff,0xffffffff,0x7d45fb81,0x801bfa06,0xfffffffa,0x3fa3ffff,
    0x01cdefff,0x7c407fea,0x02ffffff,0xfc806fe8,0x0000000f,0x7fffffe4,
    0x5fffffff,0x7d403ff5,0x00ffe84f,0xffffff50,0x5fffffff,0x4c003ff6,
    0xffff95ff,0x2a039ddf,0xbdefffff,0x3ffffe00,0x81ffffff,0x02fdc4fc,
    0x7d400dfd,0xffffffff,0x000003ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ba20000,0x03dd305e,
    0xdd11ee98,0x8f74c05d,0xd3002eec,0x00eed89d,0xdd32f744,0xc8f74003,
    0x3b6000ee,0x80fbaa05,0xeeeeeeec,0x74eeeeee,0x79bddddd,0xb01bae01,
    0x07baa1bd,0x205ee980,0x9801eee8,0x2880002a,0x06f332a2,0x0dfffb00,
    0xf500bfea,0x1bffe65f,0xff31ff98,0x0bff600d,0xfd80bff5,0x007fe62f,
    0xffb8ffc4,0x07ff3003,0x409fffd5,0xfffffffd,0x95ffffff,0xffffffff,
    0x07fc81bf,0xffb8fff6,0x3ffea001,0x05fff502,0x8000bfb0,0xfff93ff9,
    0x2a007fff,0xf506ffff,0x2ffa805f,0x205ffff3,0x3ff61ff9,0x82ffcc03,
    0xff502ffd,0x002ff88b,0x3fe23ff1,0x43ff9006,0x4fffffea,0x333332a0,
    0xcccccfff,0x9557ff93,0x641dfff9,0x89ff707f,0x2a001ffb,0xffb05fff,
    0x0bfb007f,0x8fffdc00,0xfffcbcdb,0x76ffc400,0x05ff506f,0xff32ffa8,
    0x3fe60dff,0x803ffe21,0xff101ffd,0x81ffd01f,0xf3002ff8,0x007ff41f,
    0xfffb37fc,0x0009ff7b,0xffc80dfd,0x25ffd880,0x5ff987fc,0x2001ffb8,
    0x440ffefb,0xd803feef,0xff90005f,0x2ffa801d,0x7f47fe40,0x805ff506,
    0x9ff32ffa,0x3ff303ff,0xf304ffc8,0x4ffb809f,0xff81ffdc,0x41ff3003,
    0x7cc03ffb,0x4cbbee3f,0xfe8004ff,0x007fe406,0x23fe4ffd,0xfb80eff8,
    0x33ee001f,0x767dc2fe,0x05fd803f,0x02ffec40,0x2600ffc8,0x20dfd2ff,
    0x7d402ffa,0xfd5ff32f,0x883ff30b,0xffe80fff,0x11ffe800,0x1ffc0dff,
    0x7c47fa80,0x0ffe405f,0x04ff9851,0x6406fe80,0x3ff200ff,0xffe8ff91,
    0x003ff700,0x22fde7dc,0x804fe9fe,0x3a2005fd,0x766404ff,0x2ff402ff,
    0x3fea0dfd,0x997fd402,0x41ffb9ff,0xffb81ff9,0x801ffd44,0x3ffb5ff9,
    0x26227f40,0x7f43fd40,0x01bfa00f,0x20013fe6,0x7fe406fe,0x64bfee00,
    0x807ff27f,0x32001ffb,0xf30ff9cf,0xcc993f6d,0xccffeccc,0x7fcc1ccc,
    0xffff802f,0x83ff203e,0x5ff506fe,0xf32ffa80,0x98bff13f,0x3ffd01ff,
    0x320037f4,0x403ffdff,0x227e44fe,0x2ffb86fb,0x3007ff30,0xfd0009ff,
    0x00ffc80d,0xbfe43ff2,0x7dc03ffa,0x53f2001f,0x367f93fe,0x3fffea4f,
    0xffffffff,0x07bfea3f,0x7fedd540,0x743ff984,0x59ff506f,0xf9555555,
    0x647fe65f,0x07fe60ff,0xffaaffd4,0x7ffc4002,0x44fd806f,0x437dc7ff,
    0xff705ff8,0x09ff3001,0xc80dfd00,0xffd100ff,0x27fcffe4,0x000ffdc0,
    0x7dbee9fb,0x64cbfb0f,0xcffecccc,0xff71cccc,0x7f40001d,0xfe85fe87,
    0xfffff506,0xffffffff,0x7c47fe65,0x807fe64f,0x06fe9ffd,0x05fff500,
    0x7fccbfb0,0x7417ee2f,0x00dfd07f,0x20013fe6,0x7fe406fe,0x22ffd880,
    0x006ffffc,0x6c003ff7,0xbf7ff14f,0x7ec02fe4,0x27ff4405,0x46ff8800,
    0x6fe80ffb,0xffffff50,0x5fffffff,0xffd87fe6,0x4c03ff30,0x001fffff,
    0x009fff70,0x7ffe4bf9,0x7dc17f25,0x01ffc42f,0x8004ff98,0x7fe406fe,
    0xfffcbaab,0x7ff7fe45,0x01ffb802,0xffd93f60,0x2017f22f,0xfd8805fd,
    0x5d5dc05f,0x3e23ffec,0x20dfd03f,0x7d402ffa,0x4c3ff32f,0x03ff33ff,
    0x005fffc8,0x3fffff30,0x3fa6fb80,0x413f27fb,0x7fdc5ff9,0x09ff3000,
    0xc80dfd00,0xffffffff,0xf8ffc83f,0x7fdc01ff,0xa8ffa001,0x037e47ff,
    0xf9002fec,0x3ffa01df,0x7ec4ffff,0x541bfa06,0x7fd402ff,0xfd83ff32,
    0x401ff98f,0x0000fff8,0x0dff5ffd,0x1df36fb8,0x813f65ff,0x037ec7fe,
    0x0009ff30,0xffc80dfd,0x00acdeff,0x3bfe6ff9,0x007fee00,0x27fc3fe8,
    0x3f601bf2,0x7ffdc005,0xaccccb81,0x666ffcc0,0xcfffcccc,0x05ff50cc,
    0xff32ffa8,0xf9bffa83,0x06fe801f,0x329ff700,0x5fea03ff,0x36bfb4fc,
    0x4bfee03f,0x26003ff8,0xfe8004ff,0x007fe406,0xffb9ff20,0x007fee05,
    0x0e543ff8,0x3f601fee,0xfff98005,0xfff50002,0xffffffff,0x3ea3ffff,
    0x97fd402f,0xefe81ff9,0xfe801ff9,0x6ff88006,0x5403ffe2,0x3ea3fd7f,
    0x2603fe8f,0x01ff74ff,0x0027fcc0,0x3f2037f4,0x3fe4000f,0x7dc0fff6,
    0x0ffe001f,0x5c03fdc0,0xfd10003c,0x9930009f,0xf9999999,0x2a1999ff,
    0x7fd402ff,0xf503ff32,0xd003ff9f,0xffb000df,0x305ffb85,0xff8df3ff,
    0x7f402feb,0x9800dfb7,0xfe8004ff,0x007fe406,0xfd11ff20,0x03ff703f,
    0xb801ffc0,0x0000007f,0x0009ffb1,0x541bfa00,0x7fd402ff,0x3a03ff32,
    0xe801ffff,0x7fdc006f,0x305ffd05,0xfd89f9ff,0x7dc02fed,0x4003ffaf,
    0xe8004ff9,0x07fe406f,0x261ff200,0x7fdc0fff,0x05ff1001,0x3331fee0,
    0x33333333,0x0ec80033,0xdfd00000,0x500bfea0,0x07fe65ff,0x00ffffdc,
    0xf10037f4,0x3fe601ff,0x7fffc40f,0x0ffffd41,0x3ffffe60,0x2aaaa200,
    0x2aaaeffb,0x6406fe80,0x7e4000ff,0xb8dff707,0xaaaaacff,0x05ff12aa,
    0xff83fee0,0xffffffff,0x008007ff,0x1bfa0000,0x2a017fd4,0x03ff32ff,
    0x400ffffc,0x3f6006fe,0x2ffe404f,0xff83fffc,0xffe801ff,0x7ffd406f,
    0xffffffff,0x037f400f,0x90003ff2,0x27fec0ff,0xfffffff7,0x3fe2dfff,
    0x41ff5002,0xffffffff,0x0007ffff,0x7f400000,0x805ff506,0x3ff32ffa,
    0x00fffdc0,0xfa8037f4,0xfff8806f,0xc827ffc2,0xfb800fff,0x7fd403ff,
    0xffffffff,0x37f400ff,0x0003ff20,0x7f440ff9,0xfffff72f,0x26dfffff,
    0xff5002ff,0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0001a800,0xa9880010,
    0x54c001aa,0xaa98000a,0x30066200,0x2aa62013,0x2aa601aa,0x00055441,
    0x33013551,0x44266003,0x84cc0019,0x05544099,0x88079700,0x4cc40099,
    0x55302620,0x2a213103,0xdb805441,0x000bfea3,0xb806fe88,0xfffffffe,
    0x3fff6203,0xfc802fff,0xc81effff,0x227fc07f,0xffffffc8,0x7fffdc3f,
    0xffffa8ef,0x7fffdc04,0x3ff60eff,0xaa7fcc01,0xff1001ff,0x7f4cffe5,
    0xfb004fff,0x1fff880d,0xfc8bffa0,0xbffffd35,0x7fcd7e41,0x89fff34f,
    0xff33fffd,0x3ee0007f,0x7fec02ff,0x3ffffeef,0xfeffffa8,0xfd104fff,
    0x7fffd9df,0x7fc07fc8,0x3bbffe24,0x7ec3ffee,0xffeffedf,0xe983ffee,
    0xfffeffff,0x9013fea1,0x0bfe63ff,0xff8ffcc0,0xffefff9b,0x06fd804f,
    0xf706ffa8,0xfaefc89f,0x25fffeff,0xffefebfc,0x20ffefe8,0x3a26ffff,
    0xfa8004ff,0x05dc01ff,0x883ffea2,0x7f4c2fff,0x42ffd82f,0x3f20ffe8,
    0xfb27fc07,0x3702205f,0x364fffa8,0x0dffe86f,0x1ffe05c4,0x3ff8dff0,
    0x3e1ff500,0x3aa3ffef,0x37ec00ff,0x4c4ffd80,0xfffc86ff,0x47ffa63f,
    0xbfd1fefc,0xff8bfa3f,0xdffd85ff,0x01f5c000,0x917fe400,0x3fe201ff,
    0x8817fcc6,0x01ff25ff,0x02ffc9ff,0x20fff800,0x3fee0ff9,0x17fe4003,
    0x7f43ff98,0x3ee0d4c4,0x207fffe7,0x7ec02ffc,0x3ffd1006,0x7e407ff4,
    0x3ffb82ff,0x7fec9ff9,0xffa93f64,0x1dff701e,0x20000000,0x9ff13ff9,
    0x361ffc80,0x93fec06f,0x24ff80ff,0xb00006fe,0x11ff88df,0xf1000dff,
    0x03ff20bf,0x45fd8bfb,0x0bffe6fc,0x36017fd4,0x3fe6006f,0x3205ff76,
    0x9ff302ff,0xffd83ff2,0x03113f60,0x003fff50,0xff100000,0x300bfe67,
    0x027fc5ff,0x3fe43ff2,0xffc93fe0,0x7e40002e,0xff32ff85,0x3ff60007,
    0xfc85ff80,0xd83ffe26,0x8817fe5f,0x555531cc,0x5555dfd5,0x37fee055,
    0x1ff204ff,0x17f29ff0,0x04fd8bfb,0x8fffe600,0xaaaaaaa9,0x82aaaaaa,
    0xffffeecb,0x801ff73f,0xdff13ff8,0xdddddddd,0x01ff23ff,0xfffe89ff,
    0x6e4402df,0xeeefffee,0x3ff53ffe,0x0ffea000,0xff705ff5,0xfd1fffd4,
    0x2002ffc7,0xfffffffd,0x05ffffff,0x901bfff6,0x94ff80ff,0x6c5fd8bf,
    0x7440004f,0xffffb4ff,0xffffffff,0x7fffd4bf,0x93ffffff,0xff8801ff,
    0xffffff14,0x3fffffff,0x9ff01ff2,0xffffff70,0xfffff505,0xffffffff,
    0x003ff25f,0x7ec6ff80,0x361ff506,0x8bfe6fdf,0x7ec005ff,0xffffffff,
    0x2605ffff,0x7e402fff,0xfca7fc07,0x3f62fec5,0x7fdc0004,0xfffffb0e,
    0xffffffff,0x26fffe6b,0x7dcffe20,0x9ffc401f,0x9999cff8,0x32199999,
    0x027fc07f,0x49ffff93,0xf90beff8,0x03ff700b,0x887fe400,0x3ff303ff,
    0x223fe7fe,0x017fe1ff,0x0037ec00,0x0077fff4,0x4ff80ff9,0x45fd8bf9,
    0x320004fd,0x00000dff,0x7c407ff6,0x805ff53f,0x17fe2ffa,0x803ff200,
    0xff5004ff,0x90bfea3f,0x5ff500ff,0x9ffcc000,0x3fe00ffb,0x37fd5faa,
    0x02ffc1ff,0x006fd800,0x2ffdffec,0xff80ff90,0x5fd8bf94,0x440027ec,
    0x00004ffd,0x3e206fe8,0x80bff13f,0x3ffa0ffd,0x0ffdc000,0x2004ffb8,
    0x0ff72ffa,0xf8801ffb,0x7f40006f,0xff80bfd6,0x5df72fdb,0x005ff8ff,
    0x400dfb00,0x9ff94ffb,0xff01ff20,0xbfb17f29,0x4c004fd8,0x44003ffe,
    0x837f4009,0x3f63ffe9,0x89ff301f,0x54004ffa,0xfffa83ff,0x4bfee004,
    0x3fe60ffa,0x3ffd802f,0x2ffee000,0x67ec02ff,0x3f3fe27f,0x0002ffc6,
    0xf3006fd8,0x82ffe8df,0xa7fc07fc,0x22fec5fc,0x3ea004fd,0x7c4002ff,
    0x3ff600ff,0x3ffff264,0x42fffe63,0xe80fffb8,0x54c09dff,0x22fffe21,
    0x14ffffc8,0xffb98359,0x2a7ff10f,0x221effff,0x56fffc42,0x201da988,
    0x807ffff8,0x7ec5fffc,0x02ffc5ff,0x806fd800,0x7c41ffe8,0x03fe40ff,
    0x22fe53fe,0x027ec5fd,0x001effb8,0x202fffb8,0xfffffff9,0x7dc3feaf,
    0xefffffff,0xffffd101,0xc87fffff,0x9fffffff,0xffff34fd,0x85ffffff,
    0x9afffffd,0x86ffffff,0xfffffffa,0x7fe401ff,0xfffb804f,0x227ffdc2,
    0xb00005ff,0x7ffb00df,0xf91bfee0,0xf94ff80f,0x7ec5fd8b,0x0dffb804,
    0x3fff3000,0xffffe980,0xb107fd0d,0x009dffff,0x3fffffae,0xfffb81df,
    0x269fb0df,0xfffffffe,0xeffe980c,0x3ffffaa2,0xfffd9104,0xf98019ff,
    0xffa801ff,0x17ffc40f,0x000017fe,0x80dff700,0x1ff25ffd,0x17f29ff0,
    0x04fd8bfb,0x80004e88,0x04c002ca,0x00031000,0x10009988,0x4ccc0013,
    0x40110009,0x0c400198,0x00000000,0x00000000,0x00000000,0x08000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4c000000,0x99999999,0x55d44019,
    0x7ff64c00,0x3f6e00ce,0x800881de,0x400d4c00,0x40200100,0x00664c00,
    0x80179751,0x2001aca8,0x000004ed,0x2aaaaaa2,0x21aaaaaa,0x55510aaa,
    0x4006aaa0,0x440000a9,0xf9801301,0xffffffff,0xffd881ff,0xf700efff,
    0x81ffffff,0xffffffe9,0xd803ba22,0x80fee01f,0x03fc86d9,0x0f7427dc,
    0x407fff66,0x3ffffffa,0xbfffff90,0x1fffa801,0x3fffffe0,0x27ffffff,
    0xfffffff9,0x3e5fffff,0x1fff11ff,0x405ffd30,0x80dffff9,0x9ff103b9,
    0x2600ffb8,0xffffffff,0x7fd41fff,0x05ff710b,0x43ff9853,0xfeb8aefe,
    0x01dff70f,0x7d405ffb,0x913fe203,0x3fe201ff,0xd88ffdc4,0xd01fffff,
    0x3fffdbdf,0xfcbcffc8,0x7eff406f,0x3ffffe06,0x7fffffff,0x3fffffe6,
    0x25ffffff,0xfff10fff,0x417fec40,0xeffffff8,0xfa83fdc0,0x017ff46f,
    0x88bff300,0x8accc8ef,0xfb000fe8,0x260ffd4b,0x3bfee2ff,0x5b0bff60,
    0xb8b517d4,0x82ff41ff,0x3fe60ffd,0x3f37fe63,0xfb85101f,0x30bfe63f,
    0x57ee07ff,0x333303fe,0x33333333,0x97fa0003,0x1ffe0fff,0xf90bfee0,
    0x3dff715f,0xfe882fec,0x00077dc3,0x6c0eff88,0x2bfbdf1f,0xcca885f9,
    0x1fee5fec,0x3fee27fc,0x4c2ffd8e,0x8af98dff,0x37ec2ffd,0xff50bfe6,
    0x1c85fe85,0x4c003ff5,0x41bf24ff,0x0ff884fd,0x00001ff5,0xd2ff4000,
    0x006ff8ff,0x45fe8333,0xffedfffa,0x00080402,0x7c0fff40,0xc87d4fe5,
    0x3fffe60f,0x1bf25fff,0x7fdc27f4,0xfb302fff,0x3bff9f9f,0xfc89ff10,
    0xc8bff10f,0x7fd400ff,0x8bff2001,0x0bfb05fd,0x05fe89f9,0x3a000000,
    0xfd1ffa5f,0x3fe8000d,0x5fffffa8,0x90000000,0x47f305ff,0x3ee7d9cf,
    0xfc837f61,0x3e03fee5,0x7fff703f,0xbfffb300,0x21ffa803,0x1ff94ff8,
    0x54017fcc,0xff7001ff,0xff06fc8b,0x4c0ff989,0x7776c1ff,0xeeeeeeee,
    0x4bfd0006,0x02ff46fd,0x36e20000,0x0000002c,0x2a09ff50,0x83bffe2f,
    0x83ff12fa,0x0ffea5fe,0x3f603ff5,0x64400eff,0x6400cfff,0x4bfe60ff,
    0x3fa22ffa,0x01ffa804,0x5c0effc8,0x17fd41ff,0x37e40ff6,0x3ffffffe,
    0x007fffff,0x2f643550,0x000013b2,0x00000000,0x881bfe60,0x8feafe4f,
    0x277fe1fb,0x7f45ffea,0x04ffcbef,0x1dff9ffb,0x9f9ff930,0xff503bff,
    0x7ec5fe85,0x2017fcc6,0x3a201ffa,0x3ffa05ff,0x545ffebc,0x8ffe207f,
    0xaaaaaaaa,0x0002aaaa,0x00000000,0x00000000,0x003ffa20,0x27d9fcdf,
    0x7fffe47d,0x7f445fbe,0xfb04ffff,0x83bfee5f,0xaf98dff9,0x3e22ffd8,
    0x207fe44f,0x7fe44ff8,0x407fea00,0x4402fffa,0x84fffffd,0x2f5c02ed,
    0x26000000,0x2ee602aa,0xff1bbbbb,0xffffffff,0x0fffffff,0x20000000,
    0xfb802ffd,0x2afe67f2,0x12cb984f,0x2f2ea035,0xb85ffb01,0xa8ba0eff,
    0xdfb16a2f,0xb81ffcc1,0x22ff41ff,0xeeffeeed,0xddfff31e,0x5303dddd,
    0x00000159,0xf3000000,0x7fd403ff,0xff3fffff,0xffffffff,0x0fffffff,
    0x70000000,0x7f4009ff,0x1bee609a,0xf5000000,0x0ffee05f,0x3ea03fa8,
    0x2037f41f,0x1ffcc6fe,0xffffffff,0x3fffe63f,0x002fffff,0x00000000,
    0x0eff9800,0x5ddddcc0,0x333331bb,0x33333333,0x00003333,0x5ff98000,
    0x5efec400,0x4c0efdba,0xaaaaaaaa,0x5555531a,0x16435555,0x7f7012e0,
    0x1d883a80,0x15c0ecc0,0x2aaaaaaa,0x555510aa,0x00155555,0x00000000,
    0x04ff9800,0x00000000,0x20000000,0x9999fff8,0xd7009999,0x3207dfff,
    0xffffffff,0xfffff94f,0x0009ffff,0x00035300,0x00000000,0x00000000,
    0x00000000,0x00000333,0x00000000,0xfffb8000,0xffffffff,0xca801805,
    0xcccccccc,0x99999952,0x00005999,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2e000000,0xffffffff,0x00005fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_31_latin1_x[224]={ 0,6,3,0,1,0,0,6,4,3,2,1,3,3,
5,1,1,2,2,2,0,2,1,1,1,1,6,3,2,2,3,4,0,0,2,1,1,3,3,0,1,2,2,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,5,2,4,1,0,0,2,2,2,1,1,0,1,2,2,
1,2,2,1,2,1,2,1,3,2,0,2,0,0,1,0,2,2,7,3,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,6,1,1,1,0,
7,2,0,0,3,2,1,3,1,0,3,1,3,4,0,2,1,6,6,3,3,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
 };
static signed short stb__consolas_31_latin1_y[224]={ 23,1,1,3,0,1,2,1,0,0,1,7,18,13,
18,1,2,3,2,2,3,3,3,3,2,2,7,7,6,10,6,1,1,3,3,2,3,3,3,2,3,3,3,3,
3,3,3,2,3,2,3,2,3,3,3,3,3,3,3,1,1,1,3,27,1,7,1,7,1,7,1,7,1,1,
1,1,1,7,7,7,7,7,7,7,2,7,7,7,7,7,7,1,-2,1,11,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,23,7,0,2,3,3,
-2,1,1,2,3,8,13,13,1,2,1,4,1,1,1,7,1,11,23,1,3,8,1,1,1,7,-3,-3,-3,-3,
-3,-4,3,2,-3,-3,-3,-3,-3,-3,-3,-3,3,-3,-3,-3,-3,-3,-3,8,-1,-3,-3,-3,-3,-3,3,1,1,1,
1,1,1,0,7,7,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,6,4,1,1,1,1,1,1,1,
 };
static unsigned short stb__consolas_31_latin1_w[224]={ 0,5,11,17,15,17,18,5,10,10,13,15,8,11,
6,14,15,14,14,13,17,13,15,15,15,15,5,9,12,14,12,10,17,17,14,15,15,12,12,16,15,13,12,14,
12,17,15,17,14,18,14,15,15,15,17,17,17,18,15,8,14,8,15,18,11,13,14,13,14,15,16,15,13,13,
13,15,13,15,13,15,14,14,13,13,15,13,16,17,16,16,13,12,3,12,17,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,5,13,15,15,17,
3,14,14,17,11,13,14,11,15,13,11,15,11,10,15,15,15,6,5,11,11,13,17,17,17,10,17,17,17,17,
17,17,18,15,15,15,15,15,15,15,15,15,16,16,17,17,17,17,17,13,17,16,16,16,16,18,14,14,15,15,
15,15,15,15,17,13,16,16,16,16,15,15,15,15,15,15,16,16,16,16,16,15,15,15,15,15,15,16,14,16,
 };
static unsigned short stb__consolas_31_latin1_h[224]={ 0,23,8,20,27,23,22,8,30,30,14,16,11,3,
6,26,22,20,21,22,20,21,21,20,22,21,17,22,18,9,18,23,29,20,20,22,20,20,20,22,20,20,21,20,
20,20,20,22,20,27,20,22,20,21,20,20,20,20,20,29,26,29,10,3,7,17,23,17,23,17,22,23,22,22,
29,22,22,16,16,17,23,23,16,17,22,17,16,16,16,23,16,29,32,29,7,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,23,27,21,20,20,
32,26,7,22,15,13,8,3,15,6,11,19,13,13,7,23,26,6,5,13,15,13,22,22,22,23,26,26,26,26,
26,27,20,26,26,26,26,26,26,26,26,26,20,26,27,27,27,27,27,14,28,27,27,27,27,26,20,23,23,23,
23,23,23,24,17,21,23,23,23,23,22,22,22,22,23,22,23,23,23,23,23,17,23,23,23,23,23,29,29,29,
 };
static unsigned short stb__consolas_31_latin1_s[224]={ 254,248,193,211,123,66,128,247,9,20,69,
185,247,243,248,89,31,124,221,1,1,178,162,117,197,205,247,244,232,163,1,
245,116,149,167,47,182,198,229,81,19,242,192,170,185,198,35,229,155,206,102,
68,139,130,106,88,70,51,133,134,56,107,147,208,205,30,132,122,17,60,37,
182,114,54,63,114,84,232,218,44,167,179,171,90,98,76,136,153,201,115,1,
143,1,94,217,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,
86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,86,254,242,192,
146,70,37,5,184,235,63,31,97,178,243,15,194,135,216,123,245,178,163,209,
247,250,111,43,83,179,19,1,243,191,173,1,19,71,174,18,157,199,168,215,
104,120,136,152,231,1,225,225,1,19,139,54,55,156,72,89,106,37,37,55,
198,213,229,17,33,1,1,104,236,118,101,49,32,98,213,15,163,49,147,84,
81,98,211,194,14,151,65,228,147,135,77,48,31, };
static unsigned short stb__consolas_31_latin1_t[224]={ 1,34,245,184,34,89,138,80,1,1,245,
226,138,25,226,62,138,205,161,138,205,161,161,184,138,161,62,113,205,245,226,
89,1,184,184,138,184,184,184,138,205,184,161,205,205,205,205,138,205,1,184,
161,205,161,205,205,205,205,184,1,62,1,245,254,245,226,113,226,89,226,161,
89,138,161,1,161,161,226,226,226,89,113,226,226,161,226,226,226,226,113,245,
1,1,1,245,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,
184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,1,34,1,
161,184,184,1,62,245,138,245,245,245,25,245,254,245,205,245,205,254,113,34,
150,161,245,245,245,138,161,161,1,34,34,62,62,62,1,184,34,62,62,62,
62,62,62,62,62,184,34,1,34,34,34,34,245,1,34,34,34,34,62,184,
89,89,89,113,113,114,89,226,161,89,89,89,89,138,138,138,138,113,138,89,
113,113,113,113,226,89,113,113,113,89,1,1,1, };
static unsigned short stb__consolas_31_latin1_a[224]={ 273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,273,
273,273,273,273,273,273,273,273, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_31_latin1_BITMAP_HEIGHT or STB_FONT_consolas_31_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_31_latin1(stb_fontchar font[STB_FONT_consolas_31_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_31_latin1_BITMAP_HEIGHT][STB_FONT_consolas_31_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_31_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_31_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_31_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_31_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_31_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_31_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_31_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_31_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_31_latin1_s[i] + stb__consolas_31_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_31_latin1_t[i] + stb__consolas_31_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_31_latin1_x[i];
            font[i].y0 = stb__consolas_31_latin1_y[i];
            font[i].x1 = stb__consolas_31_latin1_x[i] + stb__consolas_31_latin1_w[i];
            font[i].y1 = stb__consolas_31_latin1_y[i] + stb__consolas_31_latin1_h[i];
            font[i].advance_int = (stb__consolas_31_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_31_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_31_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_31_latin1_s[i] + stb__consolas_31_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_31_latin1_t[i] + stb__consolas_31_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_31_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_31_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_31_latin1_x[i] + stb__consolas_31_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_31_latin1_y[i] + stb__consolas_31_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_31_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_31_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_31_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_31_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_31_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_31_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_31_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_31_latin1_LINE_SPACING
#endif

