// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_34_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_34_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_34_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_34_latin1_BITMAP_HEIGHT        312
#define STB_FONT_consolas_34_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_34_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_34_latin1_NUM_CHARS            224

#define STB_FONT_consolas_34_latin1_LINE_SPACING          22

static unsigned int stb__consolas_34_latin1_pixels[]={
    0x00998266,0x00540000,0x0cc00000,0x2e000000,0x5530001c,0xca880015,
    0x0d54401b,0x30098000,0x3ba60001,0x04c40000,0x00f33220,0x04cc8800,
    0xf0009aa8,0x802ffcbf,0xa806fedb,0xbdff30ef,0x3ffe6003,0xff37ffff,
    0xffff9803,0xfb006fff,0xfa8001ff,0x362003ff,0x03ffffff,0x00007ff5,
    0xffb83ffb,0x0ffa8002,0x027ec000,0x0027ffcc,0x6ffffcc0,0x3bfffe00,
    0xff2ffc03,0xfffe880b,0x77fd406f,0xbfffff30,0xfffff300,0x3ffe6fff,
    0x3fffe600,0xff006fff,0x7d4005ff,0x3ea001ff,0xffecbdff,0x003ffa84,
    0x744fff80,0xfb8005ff,0x2ff80007,0x09ffb100,0x5f7fcc00,0xfff00eff,
    0x3e03dfff,0xb017fe5f,0x4015bfff,0x5cc0fff9,0x9802fffe,0x27fe9999,
    0xf300effb,0x0133339f,0x007fffa0,0x0006ffd4,0xf701bff5,0x03ffa87f,
    0x42ffd800,0xc8003ffc,0x7d40006f,0x7fdc000f,0x5ffa8004,0x2603bfa6,
    0x2ffffca9,0x17fe5ff8,0x800eff98,0x5401fff8,0xfd0007ff,0x305ffc8f,
    0x440007ff,0x991002ed,0x4ff88007,0x3ea3fe40,0x3500003f,0x6c0006a0,
    0x372a005f,0x0005feef,0x00000000,0x20fffec4,0x817fe5ff,0xf9004ffb,
    0x3ffa005f,0x87fe8000,0xff982ffd,0x00000003,0x01bfa000,0x7ff517fc,
    0x00000000,0x4027f440,0xffffffd8,0x000001ff,0xd8000000,0xf2ffc5ff,
    0x0ffe40bf,0x0037fcc0,0xd0003ff9,0x1fff30ff,0x0003ff98,0x50000000,
    0x3f6003ff,0x000ffea5,0xb5000000,0x0bffffff,0x33bfffe6,0x001ffffe,
    0x059bfb95,0x9bfb9500,0xfff30005,0xbff2ffc1,0xe803fe40,0x3ea001ff,
    0x7fe8002f,0xf989ff90,0x3332203f,0x4ccccccc,0xb801665c,0x02fec1cc,
    0x7fd4ff50,0x0b3bb2a3,0xb801665c,0x7fec41cc,0x07ffffff,0x7dc1bffd,
    0x6c406fff,0xefffffff,0xfffd8800,0x000effff,0xbff0fffc,0xff902ffc,
    0x00bff500,0x8002ffa8,0xfff107fe,0x101ffcc1,0xffffffff,0x6ffb8fff,
    0x20fff880,0x09881ff9,0x2a1ff113,0xffffb3ff,0xdff709ff,0x81fff100,
    0xffbcfffe,0x5ffb87ca,0x3fffcfe8,0x9dffff30,0x403ffffd,0xeceffff9,
    0x2001ffff,0x97fe1ffe,0x1ff205ff,0x0007ff60,0xd0005ff5,0x17fe40ff,
    0x74407ff3,0xfeeeeeee,0x0fffc47f,0xf913fee0,0xfffff98d,0xf51ff88f,
    0xd9bffd7f,0xff887fff,0x27fdc01f,0x7d43bff2,0x207ffc07,0x6ffb9ff8,
    0x881bffd0,0x3fa07ffe,0x7ff440df,0x8fff1007,0x817fe5ff,0x7ff807fc,
    0x02ffa800,0x2607fe80,0x0ffe65ff,0x90fff000,0xffe809ff,0xff327f41,
    0x7fcfffdf,0x3dffff51,0xfc86ffb8,0x0fff404f,0x7dc1fff3,0x21bfea06,
    0x03ffe7fb,0x7440bff7,0x5ffb82ff,0x00bffa20,0xff8bffb1,0xfd817fe5,
    0x027fd406,0x0017fcc0,0x3fe03ff4,0x007ff30f,0xf987ff80,0x1bfe207f,
    0x26fe8bfe,0x54bfe6fe,0xfb00efff,0x07ff985f,0xff71bfe2,0x2e05fc89,
    0x24fd83ff,0x7ffc3ffd,0x437fd400,0x7d400fff,0x7f774c6f,0x2ffc0fff,
    0x27f40bff,0x000bff20,0x740027fc,0x8ffec07f,0x40003ff9,0x5ffd07ff,
    0xf30ffee0,0xe87fea1f,0x7d4bfa5f,0x3fee00ef,0x702ffe84,0x2ffc87ff,
    0xff9027f4,0x7e45ff03,0x01bfea3f,0xff50fffc,0x87ffe00d,0x1dfffff9,
    0x17fe5ff8,0x36017fe4,0xfb0001ff,0x7fe8007f,0xf997fdc0,0x7fc0003f,
    0x20bff707,0x37dc0ffe,0x23ff8dfb,0x07ff52ff,0xfb85ff98,0x81ffd05f,
    0x1ffc0ffe,0xfa81ffd0,0xb93fee0f,0xffb003ff,0x801ffdc5,0x3fe62ffd,
    0x97fe00ad,0xffdd3099,0x1ffd005d,0x3ff22000,0x7fe806ef,0xf99ffdc0,
    0x7fc0003f,0x81fff107,0x5fc85ff9,0x2ff993fe,0x1ffd47fe,0x2217fe20,
    0x7fcc0fff,0x221ffe85,0x3ffe02ff,0x3ea2fe40,0x007ff25f,0xff91ffdc,
    0x8ffee003,0xff803ff9,0x3bffe605,0x00fff000,0x0ffff500,0xfa80ffd0,
    0x007ff34f,0x3207ff80,0x17fe43ff,0x3ff8afe4,0x1ff87fea,0xf8807ff5,
    0x87ff906f,0xffd82ffc,0xf807fe63,0x543ff87f,0x03ffa5ff,0xfd27fdc0,
    0x3fee001f,0x200bfe64,0x372205ff,0xff804fff,0x3f620007,0xfe804cef,
    0x9a7fcc07,0x7c0003ff,0x1bfe607f,0x53f60ffd,0x3fee2ff9,0x3ea1ff10,
    0x2ffc403f,0x7f46ff98,0x54bff907,0x3ffe00ff,0xf503fe60,0x007ffc7f,
    0x3fe5ffa8,0xbff5000f,0x7c017fcc,0x3ff2005f,0x007ff402,0x001ffc80,
    0x3ea03ff4,0x007ff34f,0x7407ff80,0x09ff31ff,0x17fcd3f6,0x53fd4ff9,
    0xffa807ff,0x4c7ffa04,0xfff504ff,0xfd01fee1,0x5c37dc3f,0x01ffe2ff,
    0x3fe5ffa8,0x97fea007,0xff801cc8,0x027f4005,0x40007ff6,0xfe8004ff,
    0x99ffdc07,0x7c0003ff,0xa7fdc07f,0x7fd01ffc,0x6fe8bfe6,0x3ffa93ee,
    0x7017fdc0,0x07ff29ff,0xfc9fffe8,0x8bffa046,0x1ffc84fe,0x54003ffa,
    0x03ffa4ff,0x0027fd40,0xd800bff0,0x0ffe407f,0x017fcc00,0x3203ff40,
    0x07ff32ff,0x407ff800,0x6ff8fff8,0x7fcd3f60,0x7f4dff53,0x880ffea2,
    0x3e200fff,0x406ff8ff,0xdfeffff9,0x7fe47daa,0xff03ff13,0x00fff41f,
    0x3fa3ffb8,0x7ff7001f,0x02ffc000,0xb803ff20,0xfa8003ff,0x7fe8002f,
    0xf987ff40,0x7fc0003f,0xfcffd807,0x457f203f,0xffee9eff,0x3ea0ffca,
    0x0fff203f,0x3ff3ff60,0xffff9803,0x4c7fffff,0x87fa8fff,0x7fec6ffa,
    0x43ff9002,0xf9002ffd,0x01ffd43f,0x0bff2ffc,0xf1007fe4,0xff5000df,
    0x0ffd0005,0xff337fc4,0x7ff80007,0xfffff980,0xfc97ee00,0xfffd9fff,
    0x5f7fd41f,0x6ffea999,0xfffff300,0x3fae2001,0xf83cefff,0xe85fdbff,
    0x27fe41ff,0x320fff80,0xfff004ff,0x007fffc1,0x05ff97fe,0xfd003ff2,
    0xffa8003f,0x07fe8002,0xff98ffee,0x3ffc0003,0x05fffe80,0x37aa37dc,
    0x5039d931,0xffffffff,0x74001bff,0x88005fff,0xffb802ff,0x7fec2fff,
    0x807ff985,0x7fcc6ffa,0x46ffa807,0x7c00ffff,0xc817fe5f,0x7fdc00ff,
    0x17fd4004,0xd03ff400,0x1ffcc1ff,0x01ffe000,0x200fffdc,0x80000ffa,
    0xfffffffa,0xfb8002de,0xf98001ff,0xfffd000f,0xfffd955f,0x00bffa03,
    0xffd05ffd,0x42ffe805,0xff805ffb,0xfc817fe5,0x7ffc400f,0x0bfea000,
    0x541ffa00,0x1ffcc4ff,0x01bfe000,0xf802ffdc,0xfa80003f,0x0000333f,
    0x2000bff7,0x362007fa,0xffffffff,0x3ffea00e,0x20bffb02,0xfb02fffa,
    0x400620bf,0x817fe5ff,0xfb800ffc,0x3fea005f,0x87fe8002,0x7cc0fff8,
    0x3e60003f,0xfff8804f,0x00df9001,0x007ff500,0x0fffc400,0x006fb800,
    0xeffffff8,0xbfffb004,0x3fffd957,0x5efffec0,0x01fffeca,0x3e5ff800,
    0x0bfee05f,0x800fff40,0xe8001ffc,0x83ffc87f,0x20003ff9,0xfd803ffc,
    0x3fe6005f,0x7fd40002,0x3f600003,0x3f20005f,0x4ffcc005,0xffb00019,
    0x1dffffff,0xfffffb00,0x0001dfff,0x5ff97fe0,0x4017fea0,0xf800fff9,
    0xfe8000ff,0x9837fcc7,0x402a03ff,0x2200fffa,0x4000effd,0x00c02ffe,
    0x00007ff5,0x001dffb1,0x20027f40,0x700006fb,0x09dffffb,0xffffdb80,
    0x7c00004e,0x8817fe5f,0xf7002fff,0x3ee201df,0xffd0006f,0x9807ffcc,
    0x3bfa03ff,0x2fffecbc,0xffffecd8,0xffe88001,0x7eba99bd,0x000ffea0,
    0x7ffff66c,0x1ffc0001,0x0013fa00,0x00006200,0x000000c4,0x02ffcbff,
    0x0f7ffff2,0x644bff90,0x402ffffd,0xffccccc8,0x403ffd17,0xccccdff9,
    0xffffffd3,0x3ffe05ff,0x20000dff,0xffffffd8,0x3fea06ff,0xffff0003,
    0x300001bf,0x1cc80013,0x00000000,0x40000000,0x017fe5ff,0x0dffff91,
    0x3e61ffb0,0x9803ffff,0x7fffffff,0xf9805ff5,0x36ffffff,0x17bdfdb7,
    0x0166f740,0xddb73000,0xee98037b,0x9bdd0002,0x00000005,0x00000000,
    0x00000000,0xbff2ffc0,0x17b2e600,0x9bd106c0,0x3ba20017,0x2e5eeeee,
    0xeeee9802,0x00005eee,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x017fe5ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x25ff8000,0x000005ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x04ee93ba,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xcc980000,0x0000440b,
    0x40079991,0x22004cc8,0x00003ccc,0x44003ba2,0x0005501b,0x401e6644,
    0x005501b8,0x0019db50,0x004cc880,0x003ccc88,0x66fee540,0x80dc4002,
    0x8aaa202a,0xff904fd8,0x3ba65fff,0xffe88000,0xfff3000d,0x3e6001bf,
    0x500004ff,0x7ff400ff,0x001ffe41,0x006fff44,0x3f20fff4,0x3fea003f,
    0x30000ffe,0x001bffff,0x004fff98,0xfffffd88,0xfd000eff,0x03ffc83f,
    0x7fe4fff5,0x667fd42f,0x05ffffff,0x03ffe880,0x3efbfe60,0xfb1000ef,
    0xf700009f,0x17ffc00f,0x10017ff2,0x7c007ffd,0x2ffe42ff,0x3ee3fd00,
    0xeff98003,0x4000effb,0x2004ffd8,0xfdeffff9,0xf801ffff,0x2ffe42ff,
    0x3f67ffa8,0x221d83ff,0x8004fffc,0x2001ffe8,0x3fa65ffa,0x3fee000e,
    0xeb988004,0x5400abff,0x01ee985e,0x007ffa20,0xdd30bd50,0xf33fc003,
    0x5ffa8009,0x0003bfa6,0x74013fee,0x7f4c0dff,0x85ea807f,0xff501ee9,
    0x007ffd4f,0x00000020,0x00000000,0x3fff6200,0x00ffffff,0x00000000,
    0xd8000000,0x002fdacf,0x00000000,0x8817fea0,0x00002ffe,0x223ffd40,
    0x0000000a,0x00000000,0xffa80000,0xffffffff,0x0000000f,0x00000000,
    0x5fffe880,0x00000000,0x07ff4000,0x001bfea0,0x0fff5000,0x37f72a00,
    0x1e64402c,0x3223cc80,0x4799003c,0x99003cc8,0x967ffc47,0x881512ff,
    0x799003cc,0xcdfdca80,0xfdca8002,0x2a0002cd,0xcb80001a,0x654002cc,
    0xcccccccc,0x17fea2cc,0x800fffc0,0x9802cccb,0x80d546ff,0xffffffd8,
    0xbff100ef,0xf89bfe00,0x4dff005f,0xff005ff8,0xf12ffe4d,0x5ff8803f,
    0x220dff00,0xfffffffd,0xffd8800e,0x00efffff,0x016665c0,0x1bfffe00,
    0xfffff900,0x49ffffff,0xfb003ffb,0x3ffe005f,0x6ff9806f,0x7fcc27fc,
    0xfffeceff,0x05ff881f,0x7fc4dff0,0x44dff005,0xdff005ff,0xff30fff4,
    0x05ff8801,0xff30dff0,0xfffd9dff,0x7ffcc03f,0xffffecef,0x3fffe001,
    0x3fea0006,0x32000fff,0xeeeeeeff,0x3ff23eee,0x07ff7001,0x1fffff50,
    0x7c6ff980,0x0dffe85f,0x443fff44,0xdff005ff,0xf802ffc4,0x017fe26f,
    0x5ffd37fc,0x7c403fd4,0x0dff005f,0xe881bffd,0x3ffa07ff,0x3fff440d,
    0xfffffa80,0xbffb0000,0x7e4007ff,0x7fec001f,0x09ff7000,0x7ffbffb0,
    0x7c6ff980,0x02ffdc5f,0xf885ffd1,0x4dff005f,0xff005ff8,0x802ffc4d,
    0x9bff26ff,0xff8806fb,0xb8dff005,0x3fa205ff,0x05ffb82f,0x200bffa2,
    0x03ffdffd,0xff3dff00,0x0ffe400b,0x801ffe00,0xff805ffa,0x4c05ff9e,
    0x22ffc6ff,0x7d400fff,0x02ffc46f,0x3fe26ff8,0x44dff005,0xdff005ff,
    0x6577ffcc,0x5ff8805f,0xff8dff00,0x37fd400f,0x2a007ffc,0xeff806ff,
    0xa8005ff9,0x01fff3ff,0x0007ff20,0x7d400fff,0x9ffd405f,0x3e200fff,
    0xf52ffc5f,0x3ffe00df,0x4017fe21,0x17fe26ff,0xff137fc0,0x71bfe00b,
    0x09ffffff,0x200bff10,0x1bfea6ff,0xf50fffc0,0x3ffe00df,0x7cffea01,
    0x7ec000ff,0x007ff91f,0xf0007ff2,0x3ea001ff,0x8ffec04f,0x3e203ffc,
    0xf737fc5f,0x3ff6007f,0x4017fe22,0x17fe26ff,0xff137fc0,0x21bfe00b,
    0xcfffffe9,0x017fe201,0x7ff737fc,0xb8bff600,0xffb003ff,0xc8ffec05,
    0x7fc003ff,0x4017fea6,0x74001ffc,0xff7001ff,0x2a6ff807,0x3fe205ff,
    0xfc9bfe25,0x7ff7001f,0xf802ffc4,0x017fe26f,0xbff137fc,0xa81bfe00,
    0x0cfffffd,0xf005ff88,0x00ffe4df,0x3f23ffb8,0x7ff7001f,0xff537fc0,
    0x27fd400b,0x32003ffe,0x7ec001ff,0x5ff9002f,0x3e27fd40,0xbff100ff,
    0xffd37fc4,0x93fee001,0xff005ff8,0x802ffc4d,0x17fe26ff,0x26037fc0,
    0x0effffff,0xf802ffc4,0x003ffa6f,0xffd27fdc,0x13fee001,0x3fe27fd4,
    0x3ffb000f,0xc802ffd8,0xaaaaacff,0x3ff20aaa,0x03fff004,0x3f60ffec,
    0x4bff102f,0x3ffe6ff8,0x4bff5000,0xff005ff8,0x802ffc4d,0x17fe26ff,
    0x2a037fc0,0x6fffb8ff,0xf802ffc4,0x003ffe6f,0xfff2ffd4,0x17fea001,
    0x3f60ffec,0x0fff002f,0xf900bff5,0xffffffff,0x3ffcc3ff,0x202ffd40,
    0x5ffa87ff,0xff893fe0,0xa801ffe7,0x17fe25ff,0xff137fc0,0x89bfe00b,
    0xdff005ff,0x3e26fb80,0x17fe21ff,0xfff37fc0,0xf2ffd400,0x7fd400ff,
    0xf50fff05,0x9ff500bf,0x801fff10,0xfffffffc,0x7f41ffff,0x17ff403f,
    0xf109ff50,0x8b3201ff,0x3ffa7ff8,0x49ff5000,0xff005ff8,0x802ffc4d,
    0x17fe26ff,0x32037fc0,0x11ffe45f,0x3fe00bff,0x4003ffa6,0x3ffa4ffa,
    0x09ff5000,0xff109ff5,0x2ffd801f,0xc805ffb0,0xfb8001ff,0xdffb02ff,
    0xb02ffd80,0x7cc005ff,0x007ffa7f,0xff11ffdc,0x89bfe00b,0xdff005ff,
    0xf802ffc4,0x227ec06f,0x3fe23ffc,0x74dff005,0xff7001ff,0x800fff47,
    0xffd83ffb,0x805ffb02,0x3fee07ff,0x00ffe405,0xbdfffd80,0x01fffeca,
    0xff703ffc,0x3ffcc00b,0x32005ffb,0x17fe21ff,0xff137fc0,0x89bfe00b,
    0xdff005ff,0x3e23fe80,0x17fe22ff,0xffb37fc0,0x87ff2005,0xf9002ffd,
    0x40fff03f,0x3ea05ffb,0xaaaaaaef,0x3200fffb,0x360001ff,0xffffffff,
    0x77fd400e,0xfbaaaaaa,0x27f4c0ff,0x7fe4fff3,0x41fff004,0xf8806ff8,
    0x01bfe25f,0xff897fe2,0x15ff8806,0xb32ff815,0x7fc41fff,0x25ff8806,
    0xff004ffc,0x027fe41f,0x7d40fff8,0xaaaaaaef,0xf900fffb,0xffffffff,
    0x6405ffff,0x540001ff,0x0beffffd,0xfffffc80,0xffffffff,0x997ffec2,
    0xfff30fff,0xf0dff500,0x9ff300ff,0xf9807ff8,0x403ffc4f,0xdff14ff9,
    0xfffdff9b,0x0fff03ff,0x7cc9ff30,0x6ffa807f,0x5403ffcc,0xfffc86ff,
    0xffffffff,0xffff02ff,0xffffffff,0x7fe40bff,0xff300001,0xffff800b,
    0xffffffff,0x7fff45ff,0x741fff32,0x7ff402ff,0x401ffe82,0x7ff42ffd,
    0x217fec01,0x7ec01ffe,0xfffff12f,0x3bffffff,0xb007ffa0,0x2ffe85ff,
    0x7417ff40,0x7ff402ff,0xffffff82,0xffffffff,0x99dffa85,0xf9999999,
    0x3ff900ff,0x7ffc0000,0x3bff5000,0x33333333,0x7fd41fff,0xa83bba66,
    0xffb02fff,0x03bfee0b,0x7dc37fd4,0xdff500ef,0x201dff70,0x6e546ffa,
    0x1cdefffe,0x8077fdc0,0xffa86ffa,0x0bffb02f,0x6c0bffea,0xdffa85ff,
    0x99999999,0x7e40fff9,0x5ffd002f,0x0007ff20,0x40dffd80,0x017fe429,
    0x0c42ffe8,0x37fff600,0x1fffecab,0x2afbffa0,0x01fffca9,0x5357dffd,
    0x3a03fff9,0xca9abeff,0x7dc01fff,0xeffe8006,0xfffca9ab,0x7bfffb01,
    0x03fffd95,0x55efffec,0xc81fffec,0xffd002ff,0x2007ff85,0xff905ffb,
    0x9999999b,0x3fe20059,0x0ffeceff,0xfb801ffe,0xfb00005f,0xdfffffff,
    0xfffe9801,0x03ffffff,0x3fffffa6,0x2603ffff,0xfffffffe,0x5fd803ff,
    0xfffe9800,0x03ffffff,0x7fffffec,0xfd800eff,0xefffffff,0x400fff00,
    0x3fea5ffb,0x1ffe2005,0x7fffffe4,0x004fffff,0x3fffffe6,0x0bff52ff,
    0x003ffc40,0xffffb700,0xfec8009d,0x000dffff,0xbfffffd9,0x3ffb2001,
    0xd000dfff,0x7640009f,0x00dfffff,0xdffffb70,0xffdb8009,0x3ea04eff,
    0x3fe2005f,0x000bff27,0xff905ffd,0xffffffff,0xdb88009f,0x7fe43dee,
    0x17ff4002,0x00c40000,0x00099800,0x00004cc0,0x3e000266,0x3300003f,
    0x01880001,0x20031000,0x74002ffc,0x000002ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xbccb9880,0x9910000a,0x33220079,0x406e2004,
    0x9910002a,0xc8800079,0xcc8803cc,0x2000003c,0x1003ccc8,0x55440999,
    0x99300001,0x00008817,0x98801554,0x01aaaaaa,0x20aa0371,0x7dc04fd8,
    0x04ffffff,0x0dffe880,0xdffff980,0x41ffe800,0x44003ffc,0x0000dffe,
    0x0037ffa2,0x0027ffcc,0x6fff4400,0xffff9800,0x00dfd00d,0xfffff900,
    0x0003ba65,0xb3027fc4,0xffffffff,0x07ffa09f,0xffe87ff9,0xdfffd04f,
    0x8009fddd,0x3003ffe8,0x1dff7dff,0x642fff80,0x3a2005ff,0x440003ff,
    0x88003ffe,0x00004ffd,0x400fffa2,0xeffbeff9,0x001ffb80,0x3f33fea0,
    0x005fffff,0x2207fee0,0xfffffffd,0xff04ffff,0x25ffc85f,0xb86ffff8,
    0x00100dff,0x800fff44,0x3fa65ffa,0x217aa00e,0xd1001ee9,0x880003ff,
    0x40001ffe,0x80004ffb,0x5001ffe8,0x77f4cbff,0x0027fc40,0xffc88760,
    0x7f40004f,0xfffffb06,0x827fd4df,0x1ee985ea,0x7427fffc,0x000000ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x001ffb00,0x00002000,
    0x3ee0bfea,0x26ffffff,0x00004ffa,0x7c077fcc,0x000000ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x007ff300,0x40000000,0xfffb07fd,
    0x7d4dffff,0x0000004f,0x8005ffd8,0xccccccc8,0x443ccccc,0xcccccccc,
    0x6443cccc,0xcccccccc,0x79973ccc,0x01ccb800,0x002cccb8,0x016665c0,
    0x333332a0,0x82cccccc,0xccccccca,0xfe82cccc,0x4ccc8006,0x2003cc80,
    0xfff03ff9,0x54dfffff,0xccca84ff,0xcccccccc,0x7ffcc002,0x3fe2000e,
    0xffffffff,0x7ffc46ff,0xffffffff,0x7fffc46f,0xffffffff,0x003fff56,
    0x2003ffea,0x0006ffff,0x0037fffc,0x3ffffff2,0xc84fffff,0xffffffff,
    0xffa84fff,0x7fffc002,0x002ffc02,0xff101ff9,0x4dffffff,0xffc84ffa,
    0xffffffff,0x7fd4004f,0xd1003fff,0xdfffdddd,0xee889ddd,0xeefffeee,
    0x777444ee,0xeeefffee,0x017ff64e,0x5401fff4,0x000fffff,0x1fffff50,
    0x777fe400,0x3eeeeeee,0xeeeeffc8,0xf03eeeee,0xfff800bf,0x02ffc06f,
    0x3e05ff88,0x6fffffff,0x3f213fea,0xeeeeeeef,0x3ea003ee,0x1efffdff,
    0x06ff8800,0x00dff100,0x301bfe20,0xfa803fff,0xbffb006f,0x360007ff,
    0x003ffdff,0x40007ff2,0x20001ffc,0x3e000ffc,0x3e01ffff,0x3ff7005f,
    0x7fffff40,0x13fea6ff,0x00007ff2,0xf50fff88,0x88009fff,0xf10006ff,
    0x3e2000df,0x6ffc806f,0x8017ff40,0x05ff9eff,0xff3dff00,0x0ffe400b,
    0x01ffc800,0x013fe200,0x05ffeff8,0x7f4017fe,0x7fffdc06,0x3fea6fff,
    0x001ffc84,0x10bfee00,0x400bfff9,0x10006ff8,0x22000dff,0xff8806ff,
    0x0bff502f,0x7fcffea0,0x7fd4000f,0x2001fff3,0x90001ffc,0xd80003ff,
    0x37fe007f,0xbff01ffd,0x007ff300,0xdffffffd,0x7e427fd4,0x3200001f,
    0xfff301ff,0x1bfe2007,0x037fc400,0x006ff880,0x3fa0dff7,0x3ffb001f,
    0xb000fff2,0x0fff23ff,0x000ffe40,0x0001ffc8,0xf8017fd4,0xf05ff9df,
    0x1ffb00bf,0xffffd300,0x427fd4df,0x44001ffc,0x1ffdc3dc,0x001fff30,
    0x2000dff1,0x10006ff8,0x7f400dff,0x027fdc3f,0x7fd4dff0,0x537fc005,
    0x3f200bff,0xff90001f,0xdfd00003,0x7f57fe00,0x405ff80f,0x54004ff8,
    0x3ea6fffe,0x01ffc84f,0x31fffec0,0x7ec01dff,0x6ff8801f,0x0dff1000,
    0x01bfe200,0xf10fffa8,0x3ea001ff,0x007ffc4f,0x7fc4ffa8,0x1ffc800f,
    0x03ff9000,0x03ff7000,0x3feabff0,0x6405ff84,0x310001ff,0x427fd455,
    0x22001ffc,0x7ec6ffff,0x5ff700ef,0x00dff100,0x001bfe20,0x20037fc4,
    0x7ff73ffe,0x20ffec00,0xfb002ffd,0x02ffd83f,0xaaacffc8,0xc80aaaaa,
    0xaaaaacff,0x7c400aaa,0x25ff805f,0x2ffc0fff,0x00017fe0,0x3213fea0,
    0xaaaaacff,0x3ffe0aaa,0x77ff445f,0x801ffc82,0x10006ff8,0x22000dff,
    0x7cc006ff,0x006ff8ff,0x7fd43ffc,0x50fff005,0xff900bff,0xffffffff,
    0xffff903f,0x3fffffff,0x801ff900,0x13fee5ff,0x7fd40bff,0xfa800002,
    0xffffc84f,0x1fffffff,0x2203bfea,0xf30dfffe,0x3fe200df,0xdff10006,
    0x1bfe2000,0x3fbff600,0x3fea002f,0x00fff884,0x7c427fd4,0x7fe400ff,
    0xffffffff,0xffffc81f,0x1fffffff,0x403ff980,0x3ffe25ff,0xfe817fe0,
    0xf5000006,0xffff909f,0x3fffffff,0x7dc00988,0x1fffcfff,0x00dff100,
    0x001bfe20,0x40037fc4,0x006ffff8,0xfd817fec,0x17fec02f,0x6402ffd8,
    0xf90001ff,0x7400003f,0x22ffc07f,0x17fe3ffc,0x0001ffcc,0xc84ffa80,
    0x000001ff,0x7ffffec4,0x1bfe2001,0x037fc400,0x006ff880,0x003fff90,
    0x3ee07ff8,0x03ffc05f,0xfc80bff7,0xff90001f,0x7d400003,0x117fe02f,
    0x82ffcfff,0x00000ffc,0xf909ff50,0x554c003f,0x3faa000a,0x7fc4006f,
    0xdff10006,0x1bfe2000,0x037fc400,0x2abbfea0,0xfffbaaaa,0x55dff500,
    0xfff75555,0x00ffe401,0x001ffc80,0xf02ffc00,0x25ff90bf,0x4ff885ff,
    0x3ea00000,0x01ffc83f,0x007ffee0,0x007ffd10,0x80037fc4,0x10006ff8,
    0x22000dff,0x7e4006ff,0xffffffff,0xf902ffff,0xffffffff,0x6405ffff,
    0xf90001ff,0xb800003f,0x0bff01ff,0x17fedff1,0x00007fee,0xc82ffb80,
    0x3ea001ff,0xfa8000ff,0x3fe2005f,0xdff10006,0x1bfe2000,0x037fc400,
    0x3fffffe0,0xffffffff,0xffffff05,0xffffffff,0x00ffe40b,0x001ffc80,
    0x827fc400,0x3ffb05ff,0x0dfd0bff,0xffc80000,0x001ffc81,0x0003ffea,
    0x88013fee,0xf10006ff,0x3e2000df,0xff10006f,0x6ffd400d,0x99999999,
    0x7d40fff9,0x999999df,0x00fff999,0x20003ff9,0x00001ffc,0xff80ffd8,
    0xffbff305,0x002ffa8b,0xfff10040,0x003ff901,0x0083ffd4,0x800bffe6,
    0x10006ff8,0x22000dff,0xf10006ff,0x7fe400df,0x85ffd002,0xfd002ffc,
    0x07ff205f,0x00ffe400,0x1ffcc000,0xffb02ffc,0x07fd8bff,0x441fd400,
    0xff904ffd,0x3ffcc003,0x6e66f7c4,0x2204ffff,0xfffccccc,0x6443cccc,
    0xcfffcccc,0x66443ccc,0xccfffccc,0xff8803cc,0x01ffe006,0x7fc5ffb8,
    0x17fee007,0x6666ffe4,0xc82ccccc,0xcccccdff,0xe8002ccc,0x205ff86f,
    0x225ffffa,0x220004ff,0xfdceffff,0x3ff206ff,0xcccccccd,0x10dff32c,
    0xffffffff,0xfff8809f,0xffffffff,0x7fffc46f,0xffffffff,0x7ffffc46,
    0x6fffffff,0x006ff880,0x4400bff5,0x17fea7ff,0x907ff880,0xffffffff,
    0xff909fff,0xffffffff,0xff70009f,0x7405ff83,0x3ff25fff,0x7f4c0000,
    0x0dffffff,0x3fffff20,0x14ffffff,0x3b2e0dff,0x800bceee,0xfffffff8,
    0x446fffff,0xffffffff,0x7c46ffff,0xffffffff,0xf8806fff,0x5ff9006f,
    0x92ffe800,0xfe8005ff,0xffffc82f,0x4fffffff,0xffffffc8,0x004fffff,
    0x5ff85990,0x92fffd40,0x54000079,0x801bdedb,0xfffffffc,0x2aa4ffff,
    0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x07999100,0x05e64c00,0x95300022,0x0037ddfd,
    0x40037b6a,0x00abcba8,0x000aaaa8,0x0aaa9800,0x00055500,0x26000153,
    0x13001300,0x30000260,0x26001555,0x2000000a,0x4fd882aa,0x027ffcc0,
    0x7ffffe40,0x2001dd32,0xfffffffc,0x7fdc03ff,0x7e400ffe,0x04ffffff,
    0x0077fec4,0x7fff5000,0x0ffff600,0x6ffffd40,0xffd81760,0xb017fdc1,
    0x2ffb83ff,0x7fff5000,0xbffff500,0x40002ec1,0xfffe87ff,0x27fec404,
    0xf99ff500,0x00bfffff,0xbdffffd1,0xf807fffd,0x740bf50f,0xfffdefff,
    0xeffb804f,0xffa80000,0xbffb001f,0xff9807ff,0xffdfffee,0x89fff00e,
    0x3fe05ffe,0x02fff44f,0x00fffd40,0x7ff77fcc,0x000effdf,0x3e23ffc0,
    0xf7006fff,0x10ec009f,0x1009fff9,0x2205ffff,0xf17e203c,0x037ff20d,
    0x3001fff5,0x40001dff,0xb000dffa,0x0fff23ff,0x3fea3f88,0x3f601fff,
    0x01ffe42f,0xffc85ffb,0x6ffd4003,0x547f1000,0x001fffff,0xff87ff80,
    0x000004ff,0xfc800200,0xf80000ef,0xf10bf50f,0x17ff40df,0x003cc880,
    0x40079910,0x66540cca,0x15d40201,0x03501a80,0x006a0350,0x00079910,
    0x000aea01,0xf987ff80,0x000000ef,0xff880000,0xf700000f,0xf303ffdf,
    0x17fe409f,0x00000000,0x00000000,0x00000000,0x00000000,0x3e000000,
    0x9910007f,0x99999999,0x99700799,0x3ff20059,0x6d400004,0x5ff501de,
    0x003ffa20,0x00000000,0x00000000,0x00000000,0x00000000,0xfff00000,
    0x3ffe2000,0xffffffff,0xffff806f,0x03ffd006,0x2e000000,0xffd882ff,
    0x7f65c404,0xb8803def,0x03deffec,0xeffecb88,0xecb8803d,0x8803deff,
    0x3deffecb,0x700b3260,0xfb950099,0x9500059d,0x80059dfb,0xfcdeeca8,
    0xdd10007f,0xddfffddd,0xffa809dd,0xff800fff,0x97100007,0x907bdffd,
    0xfff985ff,0x7fffd404,0x01ffffff,0xfffffff5,0x3ea03fff,0xffffffff,
    0xffff501f,0x03ffffff,0x3fffffea,0xfa81ffff,0x03ff403f,0xffffffd1,
    0xfd1003df,0x3dffffff,0xfffff700,0x000fffff,0x0037fc40,0x1ffeffec,
    0x001bfe20,0x3ffffea0,0x321fffff,0x3ffe22ff,0xdeffa803,0x0ffffecc,
    0xccdeffa8,0xa80ffffe,0xfeccdeff,0xffa80fff,0xfffeccde,0xdeffa80f,
    0x0ffffecc,0x3a01ffd4,0xffff307f,0x3ffffb9b,0x6ffffcc0,0x01ffffdc,
    0x99bfffd1,0x000ffffb,0x0037fc40,0x2ffcf7fc,0x0017fea0,0x337bfea0,
    0x90ffffec,0x1ffe45ff,0xd300a980,0x015309ff,0x2613ffa6,0x9ffd300a,
    0x3a601530,0x00a984ff,0xfa89ffd3,0x83ff403f,0xfd884ffe,0x13ffa06f,
    0x641bff62,0xfff00dff,0x7fc40000,0x9ffd4006,0x3ee00fff,0xa980005f,
    0x29ffd300,0x3ff62ffc,0x3ee00000,0xff70005f,0x3fee000b,0xbff70005,
    0x17fee000,0xfe807ff5,0x404ffb87,0xffb82ffe,0x217ff404,0x7fc06ff8,
    0x88003107,0x7ec006ff,0x407ff91f,0x00006ffa,0x32bff700,0x0fff22ff,
    0x7ff88000,0x0fff1000,0x01ffe200,0x003ffc40,0x7d47ff88,0x43ff403f,
    0x7d400fff,0x00fff85f,0x3f22ffd4,0x43ffc02f,0x1000effb,0xff800dff,
    0x9817fea6,0x000007ff,0x3f2fff10,0x0bffea2f,0x07ff8000,0x001ffe00,
    0x20007ff8,0x3e0007ff,0x01ffd47f,0xbff11ffa,0x88dff100,0xff8805ff,
    0x7c03fec6,0x5ffff87f,0x00dff100,0x3fe27fd4,0x0fff100f,0x7fc00000,
    0xfd85ff97,0x951004ff,0xfffdddd9,0x77665440,0x2207ffee,0xfeeeecca,
    0x332a207f,0x07ffeeee,0x3bbb32a2,0x7fd47ffe,0x263ff403,0xfff004ff,
    0xf004ff98,0x807ff8ff,0xfffe87ff,0x0dff1007,0x360ffec0,0x3ffe02ff,
    0x95100002,0xfffdddd9,0x3f20bff2,0x3f200dff,0xffffffff,0xffff907f,
    0x0fffffff,0x3ffffff2,0xf907ffff,0xffffffff,0x3fff20ff,0x7fffffff,
    0x3a01ffd4,0x01ffd47f,0x3ea0ffe8,0x1ffd003f,0x3e01bfe2,0xffffa87f,
    0x06ff8800,0x3ea1ffe0,0x1bff205f,0x3fff2000,0x7fffffff,0x3ee05ff9,
    0xfff905ff,0xff55557b,0x7bfff90f,0x0fff5555,0x557bfff9,0xf90fff55,
    0x55557bff,0xfff90fff,0xff55557b,0x403ffa8f,0x27fd47fe,0x7d47fe80,
    0x4ffd004f,0xff806ff8,0x00fffb07,0x5401bfe2,0xfff884ff,0x07fff100,
    0x6fffe400,0x7ffaaaab,0x7cc05ff9,0x7ffd43ff,0xf51ffe00,0x3ffc01ff,
    0xf803ffea,0x07ffd47f,0xffa8fff0,0x51ffe00f,0x7fe807ff,0xf802ffcc,
    0x02ffcc6f,0x37fc6ff8,0xfb83ffc0,0xdff1006f,0x40bff600,0x3f602ffd,
    0x20cc04ff,0x3e00fffa,0x805ff97f,0x7fe45ffa,0x323ffc03,0x3ffc03ff,
    0xff00fff2,0x403ffc8f,0x1ffe47ff,0xff31ffe0,0x23ffc409,0xf9806ff8,
    0x037fc45f,0x3fe2ffcc,0x83ffdc07,0xf1003ffd,0x1ffe00df,0x6c05ffb8,
    0xbabdefff,0x7fe43fec,0xfcbffc03,0x37fc402f,0xf9807ff6,0x00ffec7f,
    0xffd8fff3,0xb1ffe601,0x7fcc03ff,0x300ffec7,0x6ff88fff,0x3a1fff60,
    0x7fec02ff,0x402ffe82,0x7fec2ffd,0x0ffff502,0x4400dff9,0xffa806ff,
    0xbaaaaaae,0x7ec00fff,0xffffffff,0x00ffec3f,0x3ff2fff3,0x22ffcc02,
    0xff703ffc,0x03ffc8ff,0xfc8ffff7,0xffff703f,0xf703ffc8,0x3ffc8fff,
    0xf0ffff70,0xfffb01ff,0x01dff50f,0x7d41bfee,0xdff700ef,0xf30bff50,
    0x3f6effff,0x22000eff,0xffc806ff,0xffffffff,0xc9802fff,0xacefffff,
    0xb81ffe40,0x5ff97fff,0x7fdcccd4,0x5fffd42f,0xffffeb99,0x4dfffd47,
    0x7ffffeb9,0x4cdfffd4,0x47ffffeb,0xb99bfffa,0x547ffffe,0xeb99bfff,
    0xfd87ffff,0xffea9cff,0xfffb07fe,0xfffb5337,0x5fffec03,0x1fffda99,
    0xb55bfff0,0x3affb9ff,0x88004fff,0xfff806ff,0xffffffff,0x32005fff,
    0xffa801ff,0xffeb99bf,0x45ff97ff,0x4ffffffe,0xffffffb0,0xb0ffb5ff,
    0xffffffff,0xffb0ffb5,0xb5ffffff,0xffffb0ff,0xffb5ffff,0xffffffb0,
    0x10ffb5ff,0xffffffff,0x3620ff93,0xffffffff,0x7fec401e,0x1effffff,
    0x3ffffe60,0x2effb4ff,0xf100009b,0xdffa80df,0x99999999,0xd000fff9,
    0x7fec00df,0xdaffffff,0x745ff97f,0x401dffff,0x0ceffffb,0x3fee0ff9,
    0xff90ceff,0x3bfffee0,0x2e0ff90c,0x90ceffff,0x3ffee0ff,0x0ff90cef,
    0x37ffffa2,0xeb80ff90,0x00ceffff,0x3ffffae0,0xfe9800ce,0x1ff23dff,
    0x6ff88000,0x8017fe40,0xf8802ffe,0x7fdc004f,0xff90ceff,0x00013300,
    0x44000131,0x26200009,0x02620000,0x00098800,0x00026620,0x40000660,
    0x00c00019,0xccc88000,0xcccfffcc,0x801ffe3c,0xfa805ffb,0x1310001f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fffffe2,0x56ffffff,0x7c400bff,0x05ea807f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffe2000,0xffffffff,
    0x005ff96f,0x0002ffe8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x55554000,0x53000000,
    0x55400155,0x30098002,0x4c026001,0x00355100,0x00555300,0x000aaa00,
    0x00015555,0x2005e654,0xaaa80aa9,0x3000000a,0x54001555,0x2200002a,
    0x7fec4009,0x5400000e,0x36003fff,0x36003fff,0x17fdc1ff,0xf707ff60,
    0x07ff505f,0x9fff1000,0xd800654c,0x22003fff,0x4000effd,0x1effffd8,
    0x220bff10,0x0000effd,0x01fffd40,0x007fffb0,0x003ff100,0x0003bfee,
    0x00fffd40,0x7ffbffb0,0xd13ffe00,0xfff80bff,0x542fff44,0x300003ff,
    0xffffdfff,0xfbffb001,0xffb8007f,0x3ff2000e,0xf906ffcc,0xeffb801f,
    0xff500000,0x7fec003f,0x40003ffd,0x7cc007fa,0x540000ef,0x36000dff,
    0x07ff91ff,0xfc85ffb0,0x17fec03f,0x3ea0fff2,0x6dc0003f,0xffffffff,
    0x91ffd805,0xf98007ff,0xff8800ef,0xf507fea3,0x3fe6007f,0x7d40000e,
    0x3f6000df,0x007ff91f,0x40027ec0,0x20003cc8,0x54003cc8,0x0e6540cc,
    0x01a80d40,0x406a0350,0x40003ffa,0xffffffff,0x81995001,0x44001cca,
    0xff9803cc,0xfd0bfe20,0x3cc8800b,0x0f322000,0xa8199500,0xdca801cc,
    0x0002ffef,0x00000000,0x00000000,0xffa80000,0x5ef40003,0x003ffe89,
    0x00000000,0x3fe07fd4,0x0003ff23,0x00000000,0x7f4c0000,0x0effffff,
    0x00000000,0x00000000,0x40000000,0x00003ffa,0x000fff98,0x00000000,
    0xff88bfe6,0x0007ff31,0x00000000,0x3fea0000,0xffffacef,0xfb73000e,
    0xb980059d,0x4002cefd,0x02cefdb9,0x677edcc0,0x7ee54002,0x3fea02ce,
    0x0b3bb2a3,0x7ff65440,0x372a005f,0xa8002cef,0x402cefdc,0x1ff90dff,
    0x32601bfa,0x4265c02c,0x65c02cc9,0x402cc984,0x7ffc44cb,0x3ffbfe22,
    0x7ffe400e,0x800dffff,0xfffffffc,0xfffc800d,0x800dffff,0xfffffffc,
    0x7ff4400d,0x81efffff,0xfffb3ffa,0xfc809fff,0x2fffffff,0x7ffff440,
    0x8801efff,0xfffffffe,0xffff701e,0x07ff27ff,0xd00ffea0,0x07ff50ff,
    0xffa87fe8,0x323ff403,0x47fdc3ff,0xfd102ffe,0xffd957df,0x3ffa201f,
    0xfffecabe,0x7dffd100,0x01fffd95,0x2afbffa2,0x300fffec,0xfb9bffff,
    0xffa83fff,0xfecdffeb,0xffd883ff,0x6ffeccef,0x37fffe60,0x01ffffdc,
    0x337fffe6,0x701ffffd,0x3e65ffff,0x7ff5003f,0xfa87fe80,0x43ff403f,
    0x7f403ffa,0x3607ffc7,0x20bff34f,0xff904ffb,0x413fee09,0xff704ffc,
    0x413ff209,0xff904ffb,0x213ffa09,0x7d46ffd8,0x7dc1efff,0x0dffc86f,
    0xfd02ffe8,0xdffb109f,0x4427ff40,0x04406ffd,0xfa801bfa,0x43ff403f,
    0x7f403ffa,0x403ffa87,0x13fe27fe,0x3fe23ff1,0x406ff887,0x7fc40ffe,
    0x207ff406,0x7f406ff8,0x037fc40f,0xff703ffa,0x22ffe809,0xb00efffa,
    0x2ffcc5ff,0xf70bff50,0x2ffe809f,0x7404ffb8,0x3ee002ff,0x3fea001f,
    0x543ff403,0x3ff403ff,0x3a01ffd4,0x70ffe67f,0xb87fe8ff,0x7fdc02ff,
    0x2017fdc2,0x7fdc2ffb,0x217fdc02,0x7dc02ffb,0x007ffc2f,0xffa97fea,
    0x93fee00e,0x7f402ffd,0x007ffc0f,0x3fe17fea,0x2ffd400f,0x004ff880,
    0x3a01ffd4,0x03ffa87f,0x7fd43ff4,0xf53ff403,0x6c4fd87f,0x07fec0ff,
    0xfb0ffea0,0x3ffa801f,0x2a007fec,0x07fec3ff,0xf88ffea0,0x6ff8805f,
    0xf300ffea,0x403ffcbf,0x3fe22ffc,0x46ff8805,0xf8805ff8,0x0dfb006f,
    0x807ff500,0x3ffa87fe,0x7d43ff40,0x53ff403f,0x0ffc47ff,0x3ffa1ffa,
    0xcccccccc,0x7ff45ffd,0xcccccccc,0x7ff45ffd,0xcccccccc,0x7ff45ffd,
    0xcccccccc,0x3fe65ffd,0x54fff004,0x7fc403ff,0x700bff15,0x27fcc7ff,
    0x7cc7ff80,0x0fff004f,0x2e23ff70,0x3fea02cc,0x543ff403,0x3ff403ff,
    0x3a01ffd4,0xb97fe67f,0xf86ff87f,0xffffffff,0x7c5fffff,0xffffffff,
    0x7c5fffff,0xffffffff,0x7c5fffff,0xffffffff,0x2a5fffff,0xffd003ff,
    0x100ffea1,0x17fe6dff,0xfa93fea0,0x1ffd003f,0xe801ffd4,0x3fe200ff,
    0xbfffff34,0xd00ffea0,0x07ff50ff,0xffa87fe8,0xf13ff403,0x2627ecdf,
    0xcfff85ff,0xcccccccc,0x67ffc2cc,0xcccccccc,0x67ffc2cc,0xcccccccc,
    0x67ffc2cc,0xcccccccc,0x13fea2cc,0xff53ff40,0x35ff8807,0xff500bff,
    0x8027fd49,0x27fd47fe,0x6c07fe80,0xbeff88ff,0xffa82ffe,0x543ff403,
    0x3ff403ff,0x3a01ffd4,0x457ff47f,0x1ffe42ff,0x00007ff4,0x40001ffd,
    0x20000ffe,0x30000ffe,0x3fe00bff,0x500ffea6,0x1bfe29ff,0xf98ffee0,
    0x8dff005f,0xff005ff9,0xb97fd40d,0x21bfa0ff,0x7f403ffa,0x403ffa87,
    0x3ffa87fe,0x3ee3ff40,0x7d47fcff,0x03ffb06f,0x00ffec00,0x003ffb00,
    0x000ffec0,0x9806ff88,0x0ffea5ff,0x7fc5ff70,0x22ffc807,0xf9806ff8,
    0x037fc45f,0xf882ffcc,0xf717f65f,0x409ff30f,0xff987ff8,0x21ffe204,
    0x3e204ff9,0xffffc87f,0x2fffca9d,0x000bff70,0x0002ffdc,0x4000bff7,
    0x20005ffb,0x7ec02ffe,0x80ffea2f,0x3f60fff8,0x3ffe203f,0x2017ff40,
    0xffe82ffd,0x817fec02,0x17f60ffd,0xdff10ff5,0x443ffec0,0x3ff606ff,
    0x206ff887,0xff707ffd,0x5fffffff,0x003ffe80,0x000fffa0,0x0003ffe8,
    0x4000fffa,0xf700effa,0x03ffa8df,0xff30fff2,0x13ff603f,0x5c03bfea,
    0xdff506ff,0x41bfee01,0x37e42ffa,0x7ffc1bee,0x07fffd80,0xffb01fff,
    0x03ffe0ff,0xc81ffff6,0x0defffff,0xaefffa80,0x04ba9999,0x335dfff5,
    0x2a097533,0x999aefff,0xff504ba9,0x533335df,0x3fff6097,0xfffda99b,
    0x4df7fd41,0x06ffea99,0x7337fffb,0x3601dffd,0xda99bfff,0x3f601fff,
    0xfda99bff,0x5ff881ff,0xff13ffb8,0x33fff609,0x7feffea9,0x539fffb0,
    0x20ffdffd,0xea9cfffd,0x3607feff,0x700019cf,0xffffffff,0x7fdc0dff,
    0xffffffff,0x3fffee06,0x06ffffff,0x3fffffee,0xb106ffff,0xffffffff,
    0xffff503d,0x1bffffff,0x3ffff620,0x200effff,0xffffffd8,0x6c401eff,
    0xffffffff,0x01ff901e,0x3ffffffa,0xfffff100,0x0ff93fff,0x3fffffe2,
    0x107fc9ff,0xffffffff,0x3e20ff93,0xd880001f,0xeffffffe,0x7ff6c403,
    0x403effff,0xfffffed8,0x76c403ef,0x3effffff,0x7ffff5c0,0x3ae600ce,
    0x02deffff,0xfffffd70,0x7ff5c007,0x2000ceff,0xceffffeb,0x407ff300,
    0x00dfffd8,0x6fffff44,0x7440ff90,0xf90dffff,0x7fff440f,0x20ff90df,
    0x000007fb,0x40003333,0x20001999,0x20001999,0x30001999,0x00c40003,
    0x0004cc00,0x40000660,0x20000019,0x09988001,0x02662000,0x00998800,
    0x00016540,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0xaaaaaaa9,0x000aaa00,0xcefec880,
    0x20130001,0x02cc9809,0x55501e64,0xcb880015,0xaa9800ac,0x006fe400,
    0x00aaa980,0x9800aaa0,0xaa9802cc,0x802cc980,0x54c00aa9,0x0b32e000,
    0x900e65c0,0x3fffffff,0x00037fc0,0xffffffb8,0x7fec004f,0x2a17fdc1,
    0x37fc03ff,0x01dffb10,0x37fffd40,0x5017fe20,0x50009fff,0x6c007fff,
    0x64403fff,0x7c405fff,0x7ffe445f,0x02ffc405,0x41bffff5,0x06ffb85d,
    0x200fff88,0xfffffffc,0x001bfe01,0x2f7ffe60,0x2002fffe,0x7ff44fff,
    0x201ffd45,0xffb806ff,0xb553000e,0x7fe405ff,0x2fffdc00,0x07ffea00,
    0xffdffd80,0xfffff503,0x20ffc80b,0x05fffffa,0xf9807fe4,0xfdfffeef,
    0x7ffc40ef,0x027fdc01,0xf00ffe40,0xfb0000df,0x05ffb85f,0xf90bff60,
    0x03ffa87f,0xf98037fc,0x7d4000ef,0x07ff502f,0x003fff10,0x0006ffd4,
    0x3ff23ffb,0xfe9df883,0x10ffea05,0x40bfd3bf,0x3e203ffa,0x3ffffea3,
    0x809ff901,0xc8001ffe,0x1bfe01ff,0x21ffe000,0x54007ff8,0xff503501,
    0x006ff807,0x6c00f322,0x3fa04ffe,0x002a2005,0x4003cc88,0x66540cca,
    0x817fa181,0x7f4305fe,0x2017fa05,0x98057500,0x3fe207ff,0x3ff90006,
    0x00037fc0,0x7fc1bfe2,0xa8000006,0x37fc03ff,0x3fe00000,0xffc82fff,
    0x00000000,0xe8000000,0x01ff905f,0x3f20bfd0,0x0000000f,0x3ee05ffd,
    0xff90003f,0x0037fc03,0x7cc3ffc0,0x8000005f,0x7fc03ffa,0x88000006,
    0x7fcc7ff9,0x0154c003,0x00000000,0x3e617fa0,0x0bfd003f,0x00007ff3,
    0x82ffdc00,0x90000ffe,0x37fc03ff,0x740f32e0,0x3ffa23ff,0x99995001,
    0x7d401999,0x037fc03f,0x99999995,0x47ff8001,0xfd8006fe,0x33332a06,
    0x95000ccc,0x01999999,0x7f42ff40,0x217fa006,0xcc9806fe,0x077bf6e0,
    0x981fff10,0x320005ff,0x1bfe01ff,0x500effd8,0xffd31fff,0x7ffe4009,
    0x2a01ffff,0x37fc03ff,0xffffff90,0xfeeb803f,0x07ff24ff,0xc81bf600,
    0x1fffffff,0xfffff900,0x7f4003ff,0x000ffe45,0x1ffc8bfd,0xe99ffa80,
    0x03ffffff,0x3f21ffe4,0x3f20002f,0x41bfe01f,0x6c00effd,0x03ffffff,
    0x7f7775c0,0x3fea01ff,0x7037fc03,0x3fffdddd,0x3ffffc80,0x4000ffe6,
    0x3bae06fd,0x001fffee,0xfffdddd7,0x32ff4003,0xfe8007ff,0x400ffe65,
    0xcfffbffa,0x201ffffc,0x3ff46ff9,0x07ff2000,0xffd86ff8,0xfff9800e,
    0x900001ef,0x7fd403ff,0x0037fc03,0x26007ff2,0x006fe809,0x800dfd10,
    0x20001ffc,0x40001ffc,0xd00006fe,0x7fd400df,0x3f620dff,0x8fff405f,
    0x40004ff9,0x3fe01ffc,0x0077fec6,0x1fffff4c,0x32001554,0x3fea01ff,
    0x01bfe605,0x0003ff90,0x1000ffdc,0x00ffffd9,0x0001ffc8,0x80007ff2,
    0x80001ffb,0x2a001ffb,0xff305fff,0x94ffb80d,0xc80003ff,0x9bfe01ff,
    0x9800effc,0x1fffefff,0x320037fc,0x3fea01ff,0x0dffd107,0x001ffc80,
    0x4009ff10,0x7ffffff9,0x00ffe400,0x003ff900,0x0013fe20,0x0013fe20,
    0x2201dff5,0x7fc407ff,0x0006ff8f,0x3e01ffc8,0x01dff96f,0x7ecbffe0,
    0x0dff10ff,0x201ffc80,0x6c41fffa,0x64007fff,0xfb0001ff,0xdffe800d,
    0xff900009,0x7fe40003,0x0dfb0001,0x01bf6000,0xd00ffea0,0x9ffb00ff,
    0x900007ff,0x77fc03ff,0x7000effc,0x7ff449ff,0x800bff56,0x3ea01ffc,
    0xfeb9cfff,0x001cffde,0x70003ff9,0x5554c3ff,0x0037fd40,0x000ffe40,
    0x0003ff90,0x32e23ff7,0x3fee002c,0x402aaa61,0x7f403ffa,0xffff9807,
    0xfc80000f,0x37ffe01f,0x3fa005ff,0x67ffc40f,0x64004ffb,0x3fea01ff,
    0x8effffff,0x9006fff9,0xf88003ff,0x3fffe24f,0x0027fdc2,0x000ffe40,
    0x8003ff90,0xfff34ff8,0xff100dff,0x17fffc49,0x7403ffa8,0xfffd007f,
    0x3f20000b,0x75bfe01f,0xfff005ff,0x3fbffea0,0x7fe4001f,0x3affea01,
    0x3ea0cfff,0x3ff9006f,0x20ffd800,0x642ffefd,0xc80004ff,0x320001ff,
    0x7ec001ff,0x3f2b7a0f,0x07fec02f,0x205ffdfb,0x7f403ffa,0x3fff7007,
    0x3ff20000,0x745bfe01,0xfff804ff,0xdffff700,0x03ff9000,0x09897fd4,
    0x7e400220,0x3fea001f,0x3fe7fea2,0x0037fdc2,0x000ffe40,0x4003ff90,
    0x3e042ffa,0x8bfea04f,0x02ff9ffa,0xfe807ff5,0x0bff7007,0x0ffe4000,
    0x7fc4dff0,0x17ff404f,0x007fffb0,0x5403ff90,0x000003ff,0x22003ff9,
    0x2ffe25ff,0x7fcc2ff8,0x7e40001f,0x3f20001f,0xbff1001f,0x102ffa80,
    0x5ffc4bff,0xff502ff8,0x807fe807,0x0001fff8,0xf807ff20,0x1fffcc6f,
    0x201dff90,0x8006fffc,0x3ea01ffc,0x9000003f,0x3f6003ff,0x7c5bf20f,
    0x0effd82f,0x07ff2000,0x01ffc800,0x5401ffb0,0x3ff605ff,0x7fc5bf20,
    0x807ff502,0xffd807fe,0x7e400005,0x21bfe01f,0xf102fffa,0xd7557fff,
    0x00bfffff,0x2a01ffc8,0x000003ff,0xf5003ff9,0x777fc45f,0x7445effe,
    0x8000cfff,0x20001ffc,0xfa801ffc,0x13ff202f,0x3e22ffa8,0x5effeeef,
    0x7403ffa8,0x3ff6207f,0x2aa0000e,0xacffdaaa,0x0dff0aaa,0x4c0bffee,
    0xffffffff,0x03fffbdf,0xffb55555,0x2a155559,0xa80003ff,0xcffdaaaa,
    0x3e20aaaa,0x7fffc45f,0xe886ffff,0x83efffff,0xffdaaaaa,0xa80aaaac,
    0xcffdaaaa,0x3e20aaaa,0x5ffb105f,0x222ffc40,0xffffffff,0x403ffa86,
    0x7f66c7fe,0x20001fff,0xfffffff8,0xf1ffffff,0x7ffe40df,0xfffd9101,
    0x7ffdc3bf,0x7ffffc41,0xffffffff,0x0007ff51,0xffffff88,0x1fffffff,
    0x26603ff2,0x00bffa99,0x13ffffee,0xfffffff1,0x83ffffff,0xfffffff8,
    0x21ffffff,0xff500ffc,0xfc8dffff,0xa999980f,0xffa80bff,0x3e3ff403,
    0x000dffff,0x7ffffc40,0xffffffff,0xfd80dff1,0x009801ff,0xfffff100,
    0xffffffff,0x000bba63,0xffffff10,0x3fffffff,0x4400ffe6,0x993002ff,
    0xffff887b,0xffffffff,0x7fffc41f,0xffffffff,0x407ff31f,0x6ffffffa,
    0x4400ffe6,0x7ff502ff,0x7747fe80,0x000002cd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0xccefedb8,0x5c01cccc,0x5100001c,0x40155997,0xabdedca8,0x0035516c,
    0x65419930,0x26002cee,0x1beefeca,0x6400f322,0x3b72e03c,0x800bceff,
    0xceefecb9,0x99753001,0xdba88019,0xca801bdf,0xcccccccc,0xfedb884c,
    0x2000bdef,0x02cdfdb9,0xffffffa8,0x02ffffff,0x0007fff2,0xfffffc88,
    0xfff903ff,0x2fffffff,0xa8003ffa,0xffffb1ff,0xff9009ff,0x7fffffff,
    0x7c017fe2,0xfffea86f,0x00ffffff,0x3fffff62,0x2e05ffff,0x1ffffffe,
    0x3ffffe60,0x3200efff,0xffffffff,0xfffd87ff,0x03ffffff,0xffffffd8,
    0x3ffe604f,0xefffb9ac,0x3ffa01cc,0x3fa0004f,0x3ffeeeff,0x66fffec4,
    0xf57fffdc,0xff50007f,0xfd9bffd7,0x3fa207ff,0xffedefff,0x00bff13f,
    0xfff71bfe,0xffd999bf,0x3fffea01,0x5fffedef,0xffffff98,0xff701eee,
    0xffb7359d,0x3bff203f,0x6eeeeeee,0xecccefd8,0xb102ffff,0xffb9bfff,
    0x5ffd01bf,0x001fff10,0x0005fffb,0x2207bfee,0x806ffe40,0x07ff57ff,
    0xdffff500,0x886ffb83,0x9102ffff,0x4017fe27,0x3ffe66ff,0xffa80403,
    0x897101ef,0x01aefff9,0x201bff70,0xfc81fff9,0x20130007,0xfb06ffd8,
    0x7ffd10bf,0x2e05ff88,0xed8803ff,0x3ffe0003,0x0dff1001,0x7ff57ff8,
    0xdfff5000,0x90bff601,0x44001dff,0xdff005ff,0x00037fe4,0x2000bffd,
    0xf8003ffe,0x5ff9805f,0x00007fc8,0xf103ffe0,0x3fe601df,0x5027fd46,
    0x000009ff,0x801bfe20,0x7fc02ffc,0x0007ff57,0x5c01dff5,0x3ffe24ff,
    0x2ffc4000,0x3f66ff80,0xff70002f,0x3fee000d,0x0ffb8004,0xff704cc4,
    0x0007fc83,0x707ffa00,0xffd805ff,0xa813fea2,0x000003ff,0x400bff30,
    0x7ff807fe,0x50007ff5,0xff9807ff,0x0013ff25,0x7c017fe2,0x00fff66f,
    0x007ffe20,0x40037fc0,0x3f624ff8,0x17fe5fff,0x00000ff9,0x7ffc3ff4,
    0x12ffec00,0x7fec0dff,0xccccca81,0xf98000cc,0x1ffe004f,0x7fd5ffe0,
    0x077bf6e3,0xf100ffea,0x00fff4bf,0x802ffc40,0x3bff26ff,0x2ffcc000,
    0x03ff9800,0x3a0ff980,0x2e5eefff,0x003fe47f,0x44ff8800,0x3a205ff8,
    0x7fec6fff,0x837fe40d,0xfffffffc,0x4ff98001,0x00dff100,0x2ffeafff,
    0xffffffe8,0x201ffd43,0x1ffe6ff8,0x02ffc400,0x3fe26ff8,0x3ee002ff,
    0xff70003f,0x500d4c43,0x067fd4ff,0xf907fd41,0xd100000f,0x4ff983ff,
    0xffffff50,0xddffff98,0xd700fffe,0x03fffddd,0xfb999988,0x999999df,
    0x201bfe21,0xf9ff57ff,0xffff99ff,0x201ffd43,0xdff15ff8,0x17fe2000,
    0x3ea37fc0,0x400befff,0x99882ffc,0xffb09999,0xffffff93,0x366fb81b,
    0x0ffc407f,0xdffffff9,0x75530039,0xf501dff9,0x7fff907f,0xfffe8ffd,
    0x00dfffff,0x200ffe40,0xfffffffc,0x7fffffff,0x7fc037fc,0x1dffff57,
    0xf527fec4,0x3ff9807f,0x2000bff5,0xff005ff8,0xffffd30d,0x3ff6039f,
    0xfffffc81,0xfffffd5f,0x3fffffff,0x0bfd2fec,0x7fe45ff0,0xefffffff,
    0x3ffff200,0x7ff701ff,0xd8ffff44,0x13ff50ff,0x00013755,0xf9007ff2,
    0xffffffff,0xf8ffffff,0xbffdc07f,0xf306fffa,0x01ffd4df,0x7fd4bfee,
    0xbff10005,0xa81bfe00,0x84fffffe,0xffc81ffe,0xffd5ffff,0x3a6215bf,
    0xf97f66ff,0x23ff804f,0xecbaaaa9,0xf900efff,0x1dffffff,0xff52ffb8,
    0x87fec1bf,0x800007fc,0x4c401ffc,0x9dffb999,0x6c199999,0xfff502ff,
    0x803bfeaf,0x0ffea7ff,0x3ea1fff0,0xff10006f,0x01bfe00b,0x3bffff26,
    0x260bff60,0xf5ffbaaa,0xffe803ff,0x37f4df93,0x8007fe20,0x3004fffa,
    0x541fffd5,0x3fffdbff,0xffb0ffe8,0x64000019,0xf98001ff,0x3fea004f,
    0x7ffff986,0xfe807ff5,0xc80ffea7,0x1ffe63ff,0x02ffc400,0x22006ff8,
    0x3f25fffc,0x5ff8802f,0xfa801ffd,0x7ecff75f,0x03fe600f,0x00dff500,
    0x7ccdff90,0xd01fffff,0x7fffd4ff,0x0bceeeff,0x007ff200,0x0013fe60,
    0xfb55bfff,0x3eaffd9f,0x53ff403f,0x73337dff,0xff88dffd,0xbff10007,
    0x001bfe00,0x7dc3ffea,0x5ff8803f,0xf8803ffb,0x261ff56f,0x25dbdfff,
    0xf88007fa,0xfff0007f,0x37fffe21,0xf91bfe00,0xffffffff,0x3f200bff,
    0xff98001f,0x7ffcc004,0xffd4ffff,0xfd00ffea,0x7ffffd4f,0x80dfffff,
    0x88002fff,0xff8806ff,0x5ffd0005,0x2201bfea,0x03ff95ff,0x3fe2fff0,
    0x3ffffee3,0x4001bf65,0xd8000fff,0x0fffe1ff,0xfd8bff30,0xfecccccf,
    0xfc804fff,0xff98001f,0xffe98004,0x55ffa3df,0x3ff403ff,0xfffffff5,
    0x7fe405bd,0x0fff0006,0x0009ff30,0x7fc4fff2,0xaffc402f,0x7cc03ffb,
    0x731ff65f,0x3fe61599,0x6ff88002,0x41ffd000,0x7e401ffe,0x80bff62f,
    0xc807ffc8,0xf98001ff,0x80c0004f,0x07ff57ff,0x3fea7fe8,0x22001333,
    0xe8003fff,0x7fec01ff,0x3ffd0002,0x10077fdc,0x1bfe6bff,0x7cc7ff70,
    0x0dfb003f,0x013ff200,0xf51bfe60,0x3ffc40bf,0x3e00dff1,0x7fe401ff,
    0x4ff98001,0xfff00000,0xfd00ffea,0x001ffd4f,0x809fff90,0x03bfee19,
    0x00237fd4,0x7f43ffdc,0xbff101ff,0xf881ffec,0x1ffec0ff,0x000bff60,
    0x0003ffee,0xfd05ffd1,0x8fff605f,0xff005ffa,0x03ff900f,0x009ff300,
    0x55ffe000,0x3ff403ff,0x40007ff5,0xbdefffe8,0x743fecba,0xca9abeff,
    0x3be21fff,0xebaaaabc,0xff982fff,0xdaaaceff,0x3ffe65ff,0xfffb989c,
    0xadffd882,0x07ffd510,0x2ea666b2,0x5c41fffe,0xfdaa999a,0xfff704ff,
    0xdffd7359,0x017ffcc1,0x32017ff2,0xf98001ff,0xf000004f,0x00ffeaff,
    0x1ffd4ffd,0x7ffe4000,0x3fffffff,0x7fffff4c,0x7c43ffff,0xffffffff,
    0x36202fff,0xffffffff,0x7ffd45ff,0x03ffffff,0x7fffffe4,0x3fe02fff,
    0xefffffff,0xfffff981,0x403fffff,0xfffffffa,0xbfffd05f,0xfff97579,
    0xaaaaa81d,0xaaaacffd,0x027fcc00,0x57ff8000,0x7fe807ff,0x0000ffea,
    0x7ffff64c,0xfd900acd,0x101bffff,0xffffffdb,0x2a0017df,0xdfffffed,
    0xfffd980b,0x95000dff,0x019bfffd,0xfffffff8,0x3ffe602d,0x00ceffff,
    0xbffffb30,0x7fff4407,0xdfffffff,0x7ffffc40,0xffffffff,0x027fcc01,
    0x57ff8000,0x7fe807ff,0x0000ffea,0x980004c0,0x4ccc0009,0x98800009,
    0x04c40019,0x00062000,0x80026666,0x00099998,0x4c001880,0xcceffedc,
    0xfffff100,0xffffffff,0x04ff9803,0x2bdb0000,0x7f403ffa,0x000bba67,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x95000000,0x99999999,0x0f6e2059,0x7f6dc400,0x2a000bde,0x002cdfdc,
    0x6f776544,0x0059930b,0x7f6e4400,0x2ccb81bd,0xa8599500,0x9acccccc,
    0xccc80000,0x23cccccc,0xccccccca,0xcccccccc,0x99999950,0x22599999,
    0xabcccccc,0x66644009,0x402bcccc,0xccccccca,0xffb2cccc,0xffffffff,
    0x013fe609,0x3ffffee0,0x4403ffff,0xfffffffd,0xfffb800e,0xf54fffff,
    0x2a00009f,0xffffffff,0x007ffd44,0xfb03ffe2,0xffffffff,0x3ea0001b,
    0xffffffff,0x3bbbbee5,0xeeeeeeee,0xffff91fe,0x9fffffff,0x3fffffe2,
    0x100cffff,0xffffffff,0x3ff207ff,0xffffffff,0xddddd94f,0x209ffddd,
    0x5c004ff9,0xfdbcefff,0xff302fff,0xfffd9dff,0x3ffa203f,0x4fedcdef,
    0x00009ff5,0x979bfff5,0xffd85fff,0x427fe404,0xffeeeffd,0x8002ffff,
    0xccdffffd,0x001ee3cc,0x77fe47ea,0xeeeeeeee,0xdddfff13,0x05ffffff,
    0xfdddfff1,0xf907ffff,0xdddddddf,0x3ee007dd,0x09ff304f,0x80fffc40,
    0xffd07ffc,0x7ffe881b,0x205fff90,0x55bff529,0x22001355,0x07902ffe,
    0x2201fff3,0x3ffb06ff,0x2fffe988,0x3f3fe200,0x913dc03f,0x47ea0157,
    0x22001ffc,0xfea885ff,0x2ffc41ff,0x07fff6a2,0x00005ff9,0xf9827fdc,
    0x3fea004f,0x03ffe205,0x7440bff7,0x7ffcc2ff,0xffff5000,0x03bfffff,
    0x0004ffa8,0x3f60bff9,0x03ffb02f,0x90037fdc,0x807ff5ff,0x3fffe27b,
    0xfc8fd40c,0x3fe2001f,0x237fe405,0x3f605ff8,0x017fe43f,0x29ff7000,
    0xeffdcccc,0x44cccccc,0x7f403ffb,0x007ffc0f,0xffb1bfea,0x7ffd4007,
    0xffffffff,0x00bff205,0x20fffc40,0x3f605ff9,0x1fff401f,0xff9cff80,
    0x54c3dc03,0x47ea0ffd,0x22001ffc,0xffe805ff,0xa817fe22,0x17fe45ff,
    0x9ff70000,0x3ffffffe,0xffffffff,0x8817fe60,0x37fd45ff,0x3e1fff80,
    0x7fd4007f,0x7ffecc44,0x001ffb04,0x3a37fd40,0x3ff600ff,0x037fd401,
    0x7fccffd4,0x3203dc03,0x7e47ea6f,0x3fe2001f,0x26ffa805,0x3ea05ff8,
    0x017fe45f,0x29ff7000,0xfffeeeed,0x0eeeeeee,0xfc81fff4,0x01ffdc3f,
    0xff12ffd8,0x4ffa800d,0x207ffea0,0x40000ffe,0x9ff52ffe,0x801ffd80,
    0x6fd807ff,0x7b807ff3,0x3f50ff80,0x88007ff2,0xfff005ff,0xf702ffc4,
    0x02ffc89f,0x13fee000,0x20027fcc,0xd30dfffb,0xffc81dff,0x27ff7001,
    0x54005ffa,0x7fe404ff,0x000ffe83,0x7c77fcc0,0x1ffd806f,0x200ffe80,
    0x7ff32ff9,0xfe807b80,0x3ff23f51,0x17fe2001,0xf887ff40,0x3fff105f,
    0x0002ffc8,0x4c13fee0,0xfa8004ff,0x4fffdfff,0x2001ffd0,0xbff34ffb,
    0x04ffa800,0x7f427fd4,0xfc80000f,0x2a02ffef,0x2aacffea,0x6403ffd0,
    0x5bff30ff,0x03dc3555,0x91fa9fe6,0x555559ff,0x3fe21555,0x23ffd005,
    0x2e625ff8,0xffc84fff,0x9999999b,0x13fee001,0x80027fcc,0x4fffffe8,
    0x4003ffe0,0xdff15ffa,0x04ffa800,0xffbb7fcc,0xffffffff,0xff1002ff,
    0xfff80bff,0xb07fffff,0x27fc05ff,0xfffffff3,0x6e643dc7,0x647ea2ff,
    0xffffffff,0xbff11fff,0x44bff600,0xffffffff,0xfff903ff,0xffffffff,
    0x13fee001,0x80027fcc,0xfffffffa,0x400fff04,0x3ffe5ffa,0x13fea000,
    0x3ee9ff50,0xffffffff,0x2e002fff,0x7fc00fff,0x07ffffff,0x3ea07ff9,
    0x3fffe61f,0x11ee3fff,0xfa83bdff,0xffffff91,0x223fffff,0xff9005ff,
    0x3ffffe25,0x3200cfff,0xffffffff,0xf7000fff,0x13fe609f,0x2ffff200,
    0x40dfffea,0xf5000ffe,0x027fec9f,0xc809ff50,0xfd5533ff,0x5555557f,
    0x33332201,0xccccfffc,0x003ffb04,0x3fa05ffb,0x201ffcc6,0x2a05f87b,
    0x003ff91f,0xd802ffc4,0x5dff12ff,0x405fff95,0xaaaacffc,0x7000aaaa,
    0x3fe609ff,0x77fec004,0x22fffdc0,0xf7001ffe,0x1fffcc7f,0x027fd420,
    0xfd01fff3,0xff30001f,0xffffffff,0x3ff60fff,0x81ffe801,0x7fcc3ff9,
    0x2fc3dc03,0x3ff23f50,0x17fe2001,0xf88fffc0,0x07ffcc5f,0x0002ffc8,
    0x4c13fee0,0x3e6004ff,0x3ffea06f,0x400bff61,0x7fe41ffc,0xeba9abef,
    0x2e09ff54,0xffd02fff,0xddd30001,0xdddfffdd,0x07ff60bd,0x3203ffe0,
    0x1ffcc0ff,0x80b21ee0,0x03ff91fa,0x802ffc40,0xbff10fff,0x320bff70,
    0x200002ff,0xff303ffb,0x17fdc009,0xfc8fff60,0x1fff004f,0xffffff90,
    0x3fea9fff,0xfffeeeef,0x03ffa04f,0x37fc4000,0x803ffb00,0xff886ffb,
    0xffffffff,0x4003dc03,0x03ff91fa,0x402ffc40,0x3fe25ffb,0x905ffd05,
    0x400005ff,0xff302ffd,0x07ff400b,0xf997fee0,0x6ffa807f,0x3ffff260,
    0xfff51dff,0x3dffffff,0x000ffe80,0x00dff100,0x3a00ffec,0xfffb83ff,
    0x3fffffff,0x13623dc0,0x3ff91fa8,0x02ffc400,0xf88fffe2,0x0bff705f,
    0x00005ff9,0x4407ffe2,0xfd000fff,0x3ffc803f,0x3a017ff4,0xffc802ff,
    0xefffa809,0xd001acde,0x910001ff,0x9fff9999,0x3f609999,0x1bff201f,
    0x55557ff4,0x5c03ffca,0xa807fdc7,0x003ff91f,0x3602ffc4,0x2ffc46ff,
    0xfc83fff0,0x4076002f,0x7fc06ffb,0xbffb002f,0x20fffc40,0xfb02fffa,
    0x1bfa00bf,0x0004ffa8,0x40007ff4,0xfffffff9,0xb07fffff,0xffd303ff,
    0x09ff305f,0xf700ffe6,0x3ea05f98,0x4003ff91,0xfd305ff8,0x5ff883ff,
    0xf917fee0,0x6ffc005f,0x1ffffcac,0x5efffe40,0x3e60ca99,0xc999beff,
    0xffb05fff,0xffd957bf,0x9ff1003f,0x0027fd40,0x5fff554c,0xaaaaaaaa,
    0x66666441,0x4ccccfff,0xd99bffb0,0x205fffff,0xff300ffc,0x5c55555b,
    0x91fa8007,0x99999bff,0x3fe25999,0xfffeccce,0x5ff881ff,0xc87ffe20,
    0x3fe002ff,0x3fffffff,0xfffffd00,0xffa81fff,0xffffffff,0x7fffec05,
    0x000effff,0x7d403ff5,0xffb8004f,0xffffffff,0x8804ffff,0x3f6006ff,
    0xffffffff,0x0bff101d,0x7fffffcc,0x3333ee7f,0xcccccccc,0xfff91fdc,
    0xffffffff,0x3ffffe29,0x00dfffff,0xfc80bff1,0x00bff25f,0xfffffd98,
    0x7fdc000d,0x880effff,0xdffffffc,0xfffb7002,0xea8009df,0x027fd405,
    0x7ffffdc0,0xffffffff,0x6ff8804f,0x3ffff600,0x5c00bdef,0x3fe602ff,
    0x2e7fffff,0xffffffff,0x1fffffff,0xfffffff9,0x3e29ffff,0xbdeeffff,
    0x02ffc400,0x7e43ffe2,0x1310002f,0x06660000,0x00099880,0x00000c40,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2e200000,0x001cdfed,0x802cccb8,0xccccccc9,0x332200ab,
    0x1e65c02c,0x33333332,0x2ccccccc,0x32007991,0x0332203c,0x99910993,
    0x99999999,0x00b32679,0x66445997,0xc8800003,0x332e04cc,0xcccccccc,
    0x79972ccc,0x21ccb800,0x97002ccb,0x2a011039,0xffffffff,0x7fffc003,
    0xffffa806,0x0dffffff,0x206fff88,0x7fc6fff9,0xffffffff,0xff14ffff,
    0x0dff100b,0x3f207fcc,0xfffff886,0x6fffffff,0x7dc07ff5,0x1bfe20ef,
    0x3ff60000,0xfffd00ff,0xffffffff,0x3ffea9ff,0x1fff5001,0x2007ffd4,
    0x7dc0effa,0x3ffee0ef,0x4fffcbbc,0xfffff500,0xefffa801,0xeffffeee,
    0x07fffcc0,0x7c7fffc8,0xffffffff,0xf14fffff,0xdff100bf,0x7ec3fd40,
    0xeeeee885,0x4eeeefff,0x3e607ff5,0x37fc41ff,0x3fee0000,0xffd00fff,
    0xffffffff,0x7fec9fff,0x07ffd005,0x7c40bffb,0x7ffcc2ff,0x03fff35f,
    0xb001fff3,0x807ffbff,0xff504ffa,0xfeff989f,0x0ffdff03,0x897fe400,
    0xff8805ff,0x361fee06,0xdff1004f,0x441ffd40,0xff882ffe,0x3e200006,
    0x000ffeef,0x307ffd40,0xfa803fff,0x5fff106f,0x2e17ff20,0xffb6ffff,
    0x027fd405,0x2ffcf7fc,0xa813fea0,0x67fd46ff,0xfcffa86f,0xdff10007,
    0x4402ffc4,0x1bf206ff,0x7c4013fa,0x0ffea06f,0x7c40fff6,0x3600006f,
    0x00ffe9ff,0x0bffe200,0xfd01bff2,0x37fdc05f,0x4c07ffcc,0xfff5ffff,
    0xa80fff00,0x01fff3ff,0x3e027fd4,0x7cffd47f,0x7de7ec1f,0x5ff90007,
    0x4402ffc4,0x266626ff,0xf9999efd,0x220199cf,0x3fea06ff,0x102ffe43,
    0x20000dff,0x1ffd4ffa,0x2ffe4000,0x502fff88,0xffd00bff,0x203ffe87,
    0xff98effc,0x01ffd805,0x7fe47ff6,0x813fea03,0xbfd46ff8,0x27fe24ff,
    0x44000ffb,0x2ffc46ff,0xf737fc40,0xffffffff,0x0fffffff,0xf5037fc4,
    0x037fd47f,0x0001bfe2,0xffe9bfe2,0xfff50000,0x837fdc01,0xf9801ffe,
    0x0bff70ff,0x2ffcc310,0xf017fe40,0x02ffd4df,0x7d409ff5,0xfcbfdc3f,
    0x7fddbee7,0x1ffe4000,0x22017fe2,0x3ffee6ff,0xffffffff,0x2207ffff,
    0x3fea06ff,0x801dff33,0x80006ff8,0x3ffa1ffc,0xffe88000,0x43ffe802,
    0x32004ffb,0x1fff8dff,0x06ff8800,0xf503ffb8,0x00fff89f,0x3e609ff5,
    0x9bfdc1ff,0x2e7fd1ff,0x3e2001ff,0x05ff887f,0x3e06ff88,0x007fcc3f,
    0x2a06ff88,0x1ffe8bff,0x006ff880,0x3a27fcc0,0xfc8000ff,0xfff5005f,
    0x003ffe21,0xffefff88,0x7c7fd803,0x7fd401ff,0xd83ffb04,0xbff502ff,
    0xbffb9555,0x7f4ff901,0xff50ff8c,0x1ffdc003,0x6667ffc4,0xffcccccc,
    0xa85ff106,0x3fe2007f,0x36ffea06,0xff1002ff,0xffe8000d,0x0007ff40,
    0x8003ffe6,0x7ff73ffe,0xffff5000,0x717fe00d,0xf7103dff,0x1ffe07ff,
    0x7d417fea,0xffffffff,0x5cff901e,0x3ea6fbff,0xfff1001f,0xfffff101,
    0xffffffff,0x07fe60df,0x7c400ff7,0x3ffea06f,0x3e2004ff,0x3f20006f,
    0x00ffe82f,0x00bffa20,0xff1fff30,0x7fec000d,0x3ff9801f,0xddefffe8,
    0x82fffffe,0xff884ffa,0xffffa80f,0xdfffffff,0xff137e40,0x17fd45ff,
    0x103ffb80,0xffffffff,0x0dffffff,0xdf903fe6,0x037fc400,0x1fffdff5,
    0x01bfe200,0xe82ffcc0,0x3f2000ff,0xffb0005f,0x40005ffd,0xa803fffe,
    0xfff901ff,0xff9bffff,0x205ffb03,0xffa82ffd,0x7ffe4c44,0x3f637ec6,
    0x0bfea0ff,0x403ffe20,0xf8805ff8,0xb0ff506f,0x7fc400bf,0x32ffea06,
    0xff1006ff,0x3ffa000d,0x001ffd00,0x0003ffe6,0x037fffc4,0xfffff700,
    0x406eb803,0x91abcba8,0x0fff01ff,0x7d42ffdc,0x3ffe604f,0xff51bf62,
    0x802ff98b,0x3e204ffb,0x6ff8805f,0x27ff2666,0x99dfe999,0x037fc401,
    0x3ffa7ff5,0x06ff8805,0x202ffb80,0xfd000ffe,0xfc80005f,0xf10001ff,
    0x00dff9ff,0x1ffa0000,0x2aabbfea,0x0fffbaaa,0x2e027fd4,0x11bfa5ff,
    0x3ff985ff,0x200fff80,0xf8805ff8,0xfffff36f,0xffffffff,0x7c401fff,
    0x4ffea06f,0x4403fff8,0x7c4006ff,0xaaaaaaff,0x2aabffea,0x000bff90,
    0x000dff10,0xffe9fff4,0x44000003,0xfffc85ff,0xffffffff,0x27fd42ff,
    0xfe9bfea0,0x0ffe6006,0x8809ff70,0xff8805ff,0xffffff36,0xffffffff,
    0x7fc401ff,0x98ffea06,0x3e201fff,0x7fcc006f,0xffffffff,0x86ffffff,
    0x0000fff9,0x0006ff88,0x7fd4dff7,0x2000000f,0xfff81ffd,0xffffffff,
    0x7fd45fff,0xd27fd404,0x7fcc00bf,0x007ffc03,0x22017fe2,0x89fd06ff,
    0x22002ff8,0x3fea06ff,0x807ffdc3,0x4c006ff8,0xffffffff,0xffffffff,
    0x002ffe86,0x00dff100,0xd85fff10,0x000005ff,0xff509ff7,0x3333333b,
    0x541fff33,0x7fec04ff,0x88017fe2,0x3fee04ff,0x05ff8804,0xfd06ff88,
    0x001ff989,0xfa81bfe2,0x05ffd83f,0x3000dff1,0x33333333,0x1333ffd3,
    0x0005ffc8,0x001bfe20,0x3e217ff6,0x200002ff,0xc80fffea,0xffd002ff,
    0x7027fd45,0x2ffc1fff,0x409ff100,0xf8801fff,0x6ff8805f,0xff987ff0,
    0x1bfe2000,0xf883ffa8,0x6ff884ff,0x3fa00000,0x1fff300f,0x7fc40000,
    0x7ffd4006,0x01fff900,0xfedccc80,0xff01dfff,0x2ffdc00f,0x9755bff5,
    0xf83ffff9,0x3fe2005f,0x00bff705,0x22017fe2,0x2ff886ff,0x99103fd4,
    0x99fff999,0x0ffea799,0x2217ffcc,0xcccccfff,0x8001cccc,0xffd00ffe,
    0xdddddddf,0xf1009ddd,0x7fc400df,0x27ff403f,0x3ffffe00,0x3ea02eff,
    0x3fe2005f,0x3ffffea7,0x41dfffff,0x22005ff8,0x3fff05ff,0x017fe200,
    0x3e61bfe2,0x103fdc1f,0xffffffff,0x3eadffff,0x3ffee03f,0x3ffffe21,
    0x2fffffff,0x80ffe800,0xfffffff8,0x6fffffff,0x006ff880,0x2a01bff6,
    0x3e001fff,0x802bceef,0x74002ffc,0xffff52ff,0x2039bdff,0x7c004ff8,
    0x05ffb85f,0x2017fe20,0xff986ff8,0xf1037e40,0xffffffff,0x3feadfff,
    0x877fec03,0xfffffff8,0x002fffff,0xf880ffe8,0xffffffff,0x806fffff,
    0xf5006ff8,0x3f6005ff,0x0000006f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0b322000,0x32e79500,
    0x6654002c,0x02775c01,0x99999995,0x99999999,0x33333261,0x9800abcc,
    0x00cdfecb,0x32013332,0x0099803c,0x77001c88,0x00804000,0x7f6e5400,
    0x5cc03cee,0x9302cefd,0x84cb8059,0x20cefeca,0xf882dedb,0xb7ec004f,
    0x74005ffb,0xffd501ff,0x7ffe40bf,0xffffffff,0xff51ffff,0xffffffff,
    0x3fff2019,0xf03fffff,0xff805fff,0x405ff805,0xf8806ff9,0x7e4000ef,
    0x40017e41,0xffffffd8,0x3ff205ff,0x40dfffff,0x7f403ffa,0x7ffffe47,
    0xffffd9ff,0x027fc42f,0x7fcdbfa0,0xdff3000f,0xfffffd50,0x77775c0b,
    0xeeefffee,0xfff51eee,0xffffdddd,0x7fff441d,0x1fffedce,0x406ffff8,
    0x5ff805ff,0x403ffe80,0x6c003ffd,0x3ffe66ff,0x77ff4003,0x85eccbbc,
    0xcabeffe8,0x3ea0fffe,0x23ff403f,0xffebcdfc,0xffebcfff,0x2002ffc0,
    0x0bffa5fe,0xd31ffdc0,0xbffdffff,0x0dff1000,0x2a09ff50,0x3fa26ffe,
    0x86ffd80d,0x201fffff,0x5ff805ff,0xbafff880,0x5ffbbcee,0x3bffa200,
    0x027ffd40,0x8004ffb8,0xff904ffb,0x201ffd49,0x5c04c7fe,0x3fe63fff,
    0x2002ffc3,0x17fee4fe,0xf70fff40,0xbff719ff,0x0dff1000,0x4409ff50,
    0x80e22fff,0x7fc1fff8,0x3fe05ffe,0x005ff805,0xfffffff5,0x2001ffff,
    0x2605fff9,0x6c00dffe,0x7c4001ff,0x87ff406f,0x7f403ffa,0x0fff3007,
    0x06fe8bff,0xff327fc0,0x6ff8801f,0xff7067c4,0xdff1000b,0x809ff500,
    0x6c003ffb,0x6effc2ff,0x0bff01ff,0x6c00bff0,0xfffdefff,0xfff5003f,
    0xdffd1009,0x01ffe403,0x700bfee0,0x0ffea5ff,0x7c00ffd0,0x746fd85f,
    0x1ffc006f,0xf700bffa,0xff70107f,0xdff1000b,0x809ff500,0x64005ff9,
    0x4effc3ff,0x0bff05ff,0x7c00bff0,0x3ff662ff,0x2fffc806,0x17ffe400,
    0x00cfffa8,0xa801ffb0,0x07ff53ff,0x3e007fe8,0x6c7fd84f,0x440a987f,
    0x2ffdc3ff,0x4007ffa0,0x88005ffb,0xffa806ff,0x02ffcc04,0xff0bff20,
    0x3e03ffab,0xddddd35f,0xddddfffd,0x04ffb8bd,0x7ec03ffd,0xf70001ef,
    0x3ff207ff,0x3a00beff,0xccccccff,0xf55ffdcc,0x07fe807f,0xfffdd973,
    0x8fffdddd,0x44ff87fd,0x7fcc2ff8,0x01bfe207,0x8005ffb8,0xfa806ff8,
    0x27fdc04f,0xf07ffa00,0x213feabf,0xffff35ff,0xffffffff,0x1ffd8fff,
    0xd105ff90,0x80001dff,0xf704fffa,0x03bfffff,0xffffffff,0x2bffffff,
    0x7f403ffa,0x7fffec47,0xffffffff,0x23fe47ff,0x7fc47ff9,0x702ffe82,
    0x7dc007ff,0xff88005f,0x04ffa806,0x30017ff4,0x4bff0dff,0xaffc0fff,
    0xfcccccc8,0x4cccccef,0xfb807ff4,0x27ffcc3f,0xffd30000,0x3ff6a01b,
    0x7ffc4fff,0xcccccccc,0x7ff52ccc,0x7e47fe80,0xdffaacff,0x42aaaaaa,
    0x3ff20ffb,0x207fe62f,0xffb04ffb,0x2ffdc001,0x037fc400,0xc8827fd4,
    0x3a2005ff,0x25ff82ff,0x2ffc4ffb,0xe802ffc0,0x7ff701ff,0x00dffe88,
    0xbffd3000,0xfffd5100,0x0007ff45,0x3a01ffd4,0x21bfe27f,0x3ee005ff,
    0x97fffe0f,0xff981ff9,0x006ff887,0x4002ffdc,0xfa806ff8,0xfcaaaadf,
    0x36000fff,0x4bff04ff,0x3fe0fff8,0x005ff805,0x3f207ffb,0xeffd882f,
    0x7fd40001,0xffc8004f,0x0007ff65,0xf8813fe6,0x20ffea7f,0x3ea005ff,
    0xff9ff30f,0xfe807fd4,0x01ffd41f,0x0017fee0,0x2a01bfe2,0xffffffff,
    0x32000dff,0x17fe06ff,0x2ffc7ff9,0xc802ffc0,0x1fff05ff,0x017ffe40,
    0x02fffb80,0x5cdff300,0xf88005ff,0x9fff606f,0x7fc41ffb,0x47fea007,
    0x52ff9dfc,0x3fee01ff,0x0007fec4,0x20017fee,0xfa806ff8,0xdeffffff,
    0x77fe4002,0xf117fe00,0x402ffcff,0xff3005ff,0x05ffc87f,0x003fffb8,
    0x000fffec,0xfe89ff90,0xfff8003f,0x27fffd80,0x3fa23ffa,0xff3003ff,
    0xaffcbfa3,0x3fe607fb,0x40037fc6,0x88005ffb,0xffa806ff,0x2000199c,
    0x7c00effc,0xf2ffc85f,0x0bff00bf,0x6fffff40,0x5002ffff,0xd1009fff,
    0x67401dff,0xfcb999ab,0x7ffd41ff,0xba9999ae,0x4e7ffec4,0x27feffea,
    0xfe99eff9,0x988bfffd,0x4d7fcc1b,0x71ff90ff,0x1ffe80ff,0x70007ff5,
    0xf1000bff,0x9ff500df,0xdff90000,0x10bff001,0x017fedff,0x7cc017fe,
    0xffffffff,0xfd3000ff,0x3fe601bf,0xffff805f,0x3fffffff,0xffffff70,
    0xf88dffff,0x9fffffff,0x7ffec7fc,0xffff36ff,0xff887fff,0x3fe65fcb,
    0x7dc06fcb,0x001ffb4f,0x000bff70,0xf500dff1,0xfc80009f,0xbff000ef,
    0x3fe7ff60,0x80099805,0xedcafff8,0x005ffcbd,0x507bff62,0x36009fff,
    0xffffffff,0x7f6c401c,0x83efffff,0x0dffffe8,0xffd88ff9,0x3ffaa0df,
    0x7fc41eff,0x77f43feb,0x7fcc06fc,0x2000dff6,0x88005ffb,0xffa806ff,
    0x3ff20004,0x17fe000e,0x2ffeffcc,0x3ff60000,0x01fff403,0xf99fff20,
    0x988002ff,0x20000999,0x31001999,0x01880013,0xff004cc4,0xffc81ffb,
    0xffe805fd,0x70003ffb,0xf1000bff,0x9ff500df,0x3bff2000,0x02ffc000,
    0x54bffffb,0xaaaaaaaa,0xf31aaaaa,0xdff300df,0x41fb8001,0x000001fb,
    0x00000000,0xf8000000,0xff985fff,0xffc805ff,0xcc800fff,0xceffeccc,
    0x7c402ccc,0x4ffa806f,0xefffb800,0xeeeeeeee,0xa817fe4e,0x3f65ffff,
    0xffffffff,0x3623ffff,0x00079001,0x00000804,0x00000000,0x00000000,
    0x3a07fffd,0xf9804fff,0xff006fff,0xffffffff,0xf8809fff,0x4ffa806f,
    0xffffc800,0xffffffff,0xd017fe5f,0x7fecbfff,0xffffffff,0x00003fff,
    0x00000000,0x00000000,0x00000000,0x403fffa0,0xd004fffb,0x3e007fff,
    0xffffffff,0x4404ffff,0xffa806ff,0xfffc8004,0xffffffff,0x017fe5ff,
    0x000bfff5,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x2e2001cb,0x03deffec,0xbddd9510,0x7ee54017,0x332602ce,
    0x4265c001,0x0beeeeca,0x200e6644,0x3320ccc9,0xcccccccc,0x5132a2cc,
    0x97039dd9,0x332e0059,0x3b625931,0x30fbae0b,0x77edc199,0x76e4401d,
    0x000000ce,0x0d65cc40,0x7ffe4000,0xffffa801,0x01ffffff,0x3fffffee,
    0xffe884ff,0x81efffff,0x74004ff9,0xfffff87f,0x7fec0fff,0x21fff406,
    0xffffffff,0x3f24ffff,0x3fffff67,0x037fdc3f,0xbf73ffc4,0x2ebfffd1,
    0x3ea3ffff,0xffffe99f,0xfff503ff,0x2005ffff,0xb8005ff8,0x1effffff,
    0x3fffa000,0xdeffa803,0x0ffffecc,0x6f7fff44,0x7cc4fedc,0xffdcdfff,
    0x2ffc41ff,0x3a17fe00,0x4ffc999b,0xc827ff44,0xeeee85ff,0xfffeeeee,
    0x3fa3ff23,0x0ffffcdf,0x7003ffe2,0x66fdc9ff,0xef8ffdcf,0x3fea6ffb,
    0xffccfffb,0x7ffcc1ff,0x00fffdbb,0x2005ff88,0x989aefd8,0x90003ffb,
    0x53001fff,0x13ffa601,0x2605fff9,0x4427ff42,0x6ff86ffd,0x013fe200,
    0xff986fe8,0x07ffcc2f,0x237fdc00,0x20efeffc,0x7e44ffd8,0x0fff403f,
    0x3e29fff7,0x4ff90fef,0x20dffffa,0x7f45ffd8,0x027fd40f,0x9002ffc4,
    0x2155539f,0x70002fe8,0x5c000039,0x3ffe65ff,0x13fee000,0xfd85ffd0,
    0x7cc1cb87,0x6ccc403f,0x1fff707f,0x4000fff4,0x7e40fff9,0xff880dff,
    0x3037fcc6,0xfffb8dff,0xfb93ffe0,0x0bfff50f,0xff89bfe6,0x806ff884,
    0xf5005ff8,0x53fffead,0x00000ff8,0xfff10000,0x2001ffec,0x7d400fff,
    0x223fe45f,0x17fd45ff,0x7ffffe4c,0x57ff607f,0x88003ffc,0xffc82ffe,
    0x21ffe00e,0xff901ffe,0x7c3ffb87,0x47fee0ff,0xf100effa,0x81ffccff,
    0xff8807fe,0x2a3fb005,0xf70fd89f,0x00000007,0xfff3ffc0,0x05ff8800,
    0x7dc6ff88,0x83ffea0f,0x7fcc1ffb,0x07feccdf,0x3ff3ffa2,0x9ffb0005,
    0x9007ff20,0x09ff7099,0xff703ffe,0x7dc4ff81,0x807ff51f,0x13fe67fe,
    0x7c4037ec,0x54ff005f,0x3e61f71f,0x55555304,0x55555555,0x99510155,
    0x2fffdddd,0x4c006ff8,0xfff004ff,0x3f61ffa8,0x03ff22ff,0x7fc81ffb,
    0x7ffffcc0,0x5ffb8000,0x0007ff20,0xfa87ff88,0x40ffb84f,0x8ffdc4ff,
    0x7f403ffa,0x7c1bfe27,0x2aaaa65f,0xaaaeffba,0x4bf10aaa,0x224fddfa,
    0xffff906f,0xffffffff,0xffc83fff,0xffffffff,0x800bff57,0xfd003ffa,
    0xf17fcc1f,0x3fe4bfdf,0x3fa237f4,0x2fffc807,0x0fff9800,0x0007ff20,
    0xfd85ffb0,0x40ffb81f,0x8ffdc4ff,0x7f403ffa,0x2e0fff47,0x3fff22ff,
    0xffffffff,0xbf11ffff,0x1077efd4,0x3fff20df,0xffffffff,0x3f21ffff,
    0xaaaabdff,0x0bff37ff,0x004ffa80,0x3ff88ffd,0x21ff5ff5,0xcffb85fd,
    0x407fffca,0x005ffff8,0x200fffc4,0x40001ffc,0x3fe25ffa,0xf81ff706,
    0xa8ffdc4f,0x3ff403ff,0x373bffea,0x7ffe46ff,0xffffffff,0x9fe1ffff,
    0x264f99fa,0x3333104f,0x33333333,0x7ffd4333,0x7c5ffe00,0x7fcc006f,
    0xf0dff005,0x3e33f2bf,0xf109fd3f,0xff7bffff,0xffeffd80,0x0fffa004,
    0x0007ff20,0x7d43ffa0,0x81ff703f,0x8ffdc4ff,0x7f403ffa,0xfffffb87,
    0x4ccc40df,0x99eff999,0x8fec1999,0x321fb1fa,0x4000002f,0x7fc03ffc,
    0x8003ffe7,0xf9806ff8,0xff6fe85f,0x1ffdbf63,0x912cda88,0x46ffe409,
    0xfc802fff,0x3ff9005f,0x7ff70000,0x7dc03ff6,0x2e27fc0f,0x07ff51ff,
    0x97107fe8,0xf880057b,0x2df3005f,0xf39f31fa,0xb000000d,0x7fcc03ff,
    0x0013ff67,0xfd805ffd,0xfaffc82f,0x3fe7fea7,0x7d400002,0x1fff50ff,
    0x0077fd40,0x0001ffc8,0xff8eff88,0xf03fee05,0x51ffb89f,0x7fe807ff,
    0x3e200000,0x37ee005f,0x0ffdcc19,0x802db800,0xff703ffc,0x1fffccff,
    0x0effa820,0x2e0dff70,0x3e24fdff,0x9981ffdf,0x99999999,0x217ffc41,
    0xff106ffc,0x7fe4003f,0xffb00001,0x7dc05ff9,0x2e27fc0f,0x07ff51ff,
    0x4ccc7fe8,0x19999999,0x005ff880,0x5cd67fe4,0x90002ffd,0xfa803fff,
    0xfeb99bff,0x7fe47fff,0xeba9abef,0x4dfffec4,0x01fffda9,0xd83ffff5,
    0x7cc0ffff,0xffffffff,0x827ff47f,0xffe85ffe,0xaaaaaaad,0x007ff22a,
    0x7fffd400,0x207fdc07,0x8ffdc4ff,0x7f403ffa,0x3ffffe67,0x807fffff,
    0x98005ff8,0x0dfffffe,0x3fffa000,0xffffd803,0x7fdaffff,0xffffffc8,
    0x7ec44fff,0xefffffff,0x1fffe601,0x261fffea,0xffffffff,0x1bff27ff,
    0x263fff98,0xffffffff,0xf90fffff,0x7c00003f,0x7dc04fff,0x2e27fc0f,
    0x07ff51ff,0x3fe67fe8,0xffffffff,0x05ff8807,0x006aa200,0x07ffe400,
    0xeffffb80,0x220ff90c,0xdfffffed,0xffffd701,0xff88019d,0x0dfff04f,
    0x3ffee000,0x8fffdc01,0xfffffff9,0x90ffffff,0x400003ff,0x5c00fffc,
    0x227fc0ff,0x7ff51ffb,0x0007fe80,0x017fe200,0x20000000,0x988001ca,
    0x09980000,0x0000cc00,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xa8000000,0x406a001a,0x79973029,
    0x33b32a01,0x1995001c,0x12201620,0x4001501c,0x5e5cc019,0x0b322002,
    0x33333310,0x13333333,0xaa88aaa6,0x2aaaaa0a,0xaaaaaaaa,0x09804c02,
    0x15553000,0x00155550,0x00001573,0x8801fec0,0x25fe84ff,0xffffffd8,
    0x7ffffc44,0x3faa04ff,0x5fe881ff,0xe897fa20,0x005fe84f,0xfd30bffb,
    0x003dffff,0x6c01fff9,0xffffffff,0xf93fffff,0x17ffccdf,0xffffffff,
    0x01ffffff,0xff707ff6,0xfffa8005,0x1dffb103,0x3ffffa20,0x000b3204,
    0x7ec00bf6,0x71ffe41f,0xffffdfff,0x6e66fc45,0x7f540fff,0xe881ffff,
    0xffe885ff,0x2e0ffec4,0x7fc403ff,0x3ffe23ff,0x00fffecd,0x817fbfe2,
    0xfffffffd,0x93ffffff,0x7ffc4dff,0x3fffffe1,0xffffffff,0xe89fff00,
    0x3ea005ff,0xffb801ff,0xffffe80e,0x3ff985ff,0x8bf21d40,0x27fd40d8,
    0x0b217fe6,0xf700bffb,0xeefff87f,0xffd101ff,0x427ff44b,0xffe86ff8,
    0x3fffe200,0xf507ffa6,0x567ec09f,0x333102ff,0x33333333,0x97fee133,
    0x2661fff8,0x99999999,0xfb00ffd9,0x03ffc85f,0x001bff50,0xf5077fcc,
    0xbffd53bf,0x2017fd41,0x23f90efe,0x3fe24ffa,0x000ffe86,0xf700dff3,
    0xf91dc85f,0x7ff4403f,0x204ffe8d,0x7fcc4ffa,0xbfffe405,0xffb03ff8,
    0x7ec3fea0,0xf7000006,0x00fff8bf,0x401ffb00,0x2003501a,0x10003cc8,
    0x07fec799,0xf97dffd1,0xffd500ff,0xdffb3f77,0x320ffe45,0x3ee001ff,
    0xfb99885f,0x1ffc806f,0x7ffff440,0x1ffc804f,0x3e017fe4,0x03ff56ff,
    0x3fa03ff2,0x0013fe24,0xf13fea00,0x360001ff,0x000000ff,0x74000000,
    0xfffe886f,0x2a003fff,0x2efffffe,0x3ea27fcc,0x3fe6004f,0xffffb81f,
    0x1ffc800e,0x4fffe880,0xd03bfa00,0x7fec01ff,0x3603ff54,0x40ffb87f,
    0x55540ffc,0xaaaaaaaa,0x9ff51aaa,0x20007fe8,0x00000ffd,0x40000000,
    0x3fee02aa,0xf90002ff,0x3fe605ff,0x8027fcc4,0xf704fff9,0x805fffff,
    0xe8801ffc,0x3a005fff,0x07ff40ef,0x3e63fff0,0x46ff883f,0xff883ff8,
    0x7ffffec5,0xffffffff,0xfe87ff33,0x3ff60007,0x00000000,0x20000000,
    0xfb300009,0x9019ffff,0x2ffc83ff,0x01fffdc0,0x00fffb88,0xd1007ff2,
    0x00bfffff,0xffc83ff9,0x89ffb102,0x3f262ffe,0x7037e42f,0x7ffec5ff,
    0xffffffff,0x835513ff,0x220002aa,0x00000019,0x00000000,0xffd98000,
    0xcffeafcc,0x3a1bfe20,0xffd880ff,0xffe8002f,0x807ff201,0xfe8cffe8,
    0x13fea05f,0xfb90bff3,0xff981dff,0x45fffeef,0x7f402ff8,0x00000006,
    0x00000000,0x00000000,0xf8800000,0x2e3f91ef,0x27fd45ff,0xfd317fe6,
    0xf30001bf,0x7fe401ff,0x49ffd101,0xf885ffe8,0x80ffe86f,0x2603ffff,
    0x83fffffe,0xff9806fd,0x00000004,0x00000000,0x00000000,0x3b800000,
    0x01b117e4,0xffc83ffb,0x3fffffa3,0x9954ffff,0x89fffd99,0xefffeeeb,
    0x9ffd13ee,0xd8bffd10,0x1ffdc1ff,0x30009ac8,0x00001355,0x00000000,
    0x00000000,0x00000000,0x20000000,0xff1002fd,0x7f4bfd09,0xffffffff,
    0xffffff74,0xffff909f,0x229fffff,0x3fa204fe,0x3a13fa24,0x0000006f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x007fb000,0x5c2980d4,
    0xcccccccc,0x9bdd932c,0x3332a017,0x22cccccc,0x50488038,0x77000dc0,
    0x05777777,0x55555301,0x33215555,0xcccccccc,0xcccccccc,0x00000002,
    0x00000000,0x00000000,0x0072e000,0x00000000,0x00000000,0x3e000000,
    0x4fffffff,0xfc83bfea,0xffffffff,0xfffffff1,0xffffffff,0x00009fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0xcccccccc,0x4bffff13,0xfffffffc,0xddddd1ff,0xdddddddd,0x007ddddd,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffa8000,0x2aaaa67f,0x000aaaaa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x037fffcc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffc80000,0x0000001f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x000002a2,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_34_latin1_x[224]={ 0,7,4,0,1,0,0,7,4,4,2,1,3,4,
6,1,1,2,2,2,0,2,2,1,1,1,6,4,2,2,3,5,0,0,2,1,1,3,3,1,1,2,3,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,5,2,4,2,0,0,2,2,2,1,1,0,1,2,2,
2,3,2,1,2,1,2,1,3,3,1,2,1,0,1,0,2,2,7,3,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,7,2,1,1,0,
7,2,0,0,3,2,1,4,1,0,3,1,4,4,0,2,1,6,7,3,3,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
 };
static signed short stb__consolas_34_latin1_y[224]={ 25,1,1,3,0,1,2,1,0,0,1,7,19,14,
19,1,3,3,3,3,3,3,3,3,3,3,8,8,6,11,6,1,1,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,1,0,3,29,1,8,1,8,1,8,1,8,1,1,
1,1,1,8,8,8,8,8,8,8,3,8,8,8,8,8,8,0,-3,0,12,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,25,8,0,3,4,3,
-3,1,1,3,3,9,14,14,1,2,1,4,1,1,1,8,1,12,25,1,3,9,1,1,1,8,-3,-3,-3,-3,
-3,-4,3,3,-3,-3,-3,-3,-3,-3,-3,-3,3,-3,-3,-3,-3,-3,-3,9,-1,-3,-3,-3,-3,-3,3,1,1,1,
1,1,1,0,8,8,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,7,4,1,1,1,1,1,1,1,
 };
static unsigned short stb__consolas_34_latin1_w[224]={ 0,5,11,18,16,19,19,5,11,10,14,17,9,11,
6,16,17,15,15,15,18,15,15,16,16,16,6,9,14,15,14,11,19,19,15,16,17,13,13,16,16,14,12,16,
14,18,16,18,15,19,16,16,17,16,19,18,19,19,16,9,15,9,15,19,12,14,15,14,15,16,18,17,15,15,
13,15,15,17,15,17,15,15,15,13,16,15,17,19,17,18,15,13,4,14,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,5,14,16,17,18,
4,15,15,19,12,15,16,11,16,14,13,16,11,11,16,16,16,7,5,12,13,15,19,19,19,11,19,19,19,19,
19,19,20,16,16,16,16,16,16,16,16,16,18,17,18,18,18,18,18,15,18,17,17,17,17,19,15,15,16,16,
16,16,16,16,19,14,17,17,17,17,17,17,17,17,16,17,18,18,18,18,18,17,17,17,17,17,17,18,15,18,
 };
static unsigned short stb__consolas_34_latin1_h[224]={ 0,25,9,22,29,25,24,9,32,32,15,17,12,4,
7,28,23,22,22,23,22,23,23,22,23,22,18,23,20,10,20,25,31,22,22,23,22,22,22,23,22,22,23,22,
22,22,22,23,22,28,22,23,22,23,22,22,22,22,22,32,28,32,11,3,8,18,25,18,25,18,24,24,24,24,
31,24,24,17,17,18,24,24,17,18,23,18,17,17,17,24,17,32,35,32,8,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,24,30,22,20,22,
35,28,8,23,17,14,9,4,16,7,12,21,14,14,8,24,28,7,5,14,17,14,24,24,24,24,28,28,28,28,
28,29,22,27,28,28,28,28,28,28,28,28,22,28,29,29,29,29,29,14,30,29,29,29,29,28,22,25,25,25,
25,25,25,26,18,22,25,25,25,25,24,24,24,24,25,24,25,25,25,25,25,18,25,25,25,25,25,31,31,31,
 };
static unsigned short stb__consolas_34_latin1_s[224]={ 255,244,157,107,74,163,33,247,25,62,1,
216,101,124,249,196,238,40,90,222,173,206,170,73,31,1,247,245,158,141,173,
243,116,18,38,102,206,192,241,153,90,126,1,141,158,54,106,48,74,204,224,
136,56,119,20,1,229,209,192,73,162,52,125,136,219,19,92,34,229,202,35,
1,70,19,83,17,1,168,186,49,86,54,134,188,14,219,150,67,100,232,118,
11,1,37,232,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,
174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,174,255,250,171,
98,140,115,6,1,186,186,87,16,169,124,234,101,111,123,32,44,202,71,213,
116,249,56,202,85,194,174,106,126,108,88,167,18,224,147,153,38,187,128,145,
230,1,17,34,51,134,178,205,109,224,1,128,69,186,56,20,38,91,68,82,
72,88,105,122,139,156,55,235,67,1,19,37,55,88,138,156,53,108,214,144,
191,125,210,73,1,237,183,201,219,173,97,136,152, };
static unsigned short stb__consolas_34_latin1_t[224]={ 1,37,290,225,37,125,151,86,1,1,290,
271,290,303,225,67,176,248,248,176,225,176,176,225,201,225,67,96,248,290,248,
1,1,225,225,176,201,201,201,176,225,225,201,225,225,225,248,201,248,37,201,
176,248,176,248,248,225,225,225,1,67,1,290,303,290,271,125,271,96,248,176,
176,176,176,1,151,151,271,271,271,176,176,271,248,201,248,271,271,271,151,271,
1,1,1,290,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,
201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,201,1,37,1,
201,248,201,1,67,290,176,271,290,290,303,271,303,290,248,290,290,290,151,67,
303,233,290,271,290,151,151,151,151,67,67,37,96,37,37,201,96,37,67,67,
67,96,67,67,67,201,67,1,37,1,37,37,290,1,37,37,37,37,67,201,
96,96,96,96,96,96,96,248,201,125,125,125,125,151,151,151,151,125,151,125,
96,125,96,125,271,125,125,125,125,96,1,1,1, };
static unsigned short stb__consolas_34_latin1_a[224]={ 299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_34_latin1_BITMAP_HEIGHT or STB_FONT_consolas_34_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_34_latin1(stb_fontchar font[STB_FONT_consolas_34_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_34_latin1_BITMAP_HEIGHT][STB_FONT_consolas_34_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_34_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_34_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_34_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_34_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_34_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_34_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_34_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_34_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_34_latin1_s[i] + stb__consolas_34_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_34_latin1_t[i] + stb__consolas_34_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_34_latin1_x[i];
            font[i].y0 = stb__consolas_34_latin1_y[i];
            font[i].x1 = stb__consolas_34_latin1_x[i] + stb__consolas_34_latin1_w[i];
            font[i].y1 = stb__consolas_34_latin1_y[i] + stb__consolas_34_latin1_h[i];
            font[i].advance_int = (stb__consolas_34_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_34_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_34_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_34_latin1_s[i] + stb__consolas_34_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_34_latin1_t[i] + stb__consolas_34_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_34_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_34_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_34_latin1_x[i] + stb__consolas_34_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_34_latin1_y[i] + stb__consolas_34_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_34_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_34_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_34_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_34_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_34_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_34_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_34_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_34_latin1_LINE_SPACING
#endif

