// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_35_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_35_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_35_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_35_latin1_BITMAP_HEIGHT        334
#define STB_FONT_consolas_35_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_35_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_35_latin1_NUM_CHARS            224

#define STB_FONT_consolas_35_latin1_LINE_SPACING          23

static unsigned int stb__consolas_35_latin1_pixels[]={
    0x43fecffb,0xe8100000,0x1eeeeeee,0xddddddd1,0x65d4003d,0x0002661e,
    0x00566f44,0x19998000,0x00098800,0x00000198,0x05970000,0x70000000,
    0x00980059,0x20d44031,0xb1ff67fd,0xed80001f,0x3fffffe0,0xffff12ff,
    0x5005ffff,0x265ffffd,0xf10005ff,0x0007ffff,0x03fffc80,0x00fffcc0,
    0x6ffffed4,0x07be6003,0x20007fb1,0x4c0003ff,0xff0000ff,0x17fe4007,
    0x3e21bfe2,0xd9ff63ff,0x03bfea7f,0x91ffec00,0x5ffd9999,0x3333bfe2,
    0x7fcc01cc,0xff31ceff,0x7f64000b,0x00003fff,0x0003dff9,0xc80bfffb,
    0xfffeefff,0x8bffd004,0x4000fffb,0x40002ff8,0xf10006fc,0x7ff4005f,
    0x207ffd44,0x3f66fffb,0xff91ff67,0xffc8001d,0x12ffb805,0x3a000bff,
    0xff981cff,0xfb880005,0x640000ff,0xb0000dff,0x7f40bfff,0x3fee20bf,
    0x45ffe805,0x4000fffb,0x40001ff9,0xa88004fe,0x3ee002ff,0x42ffc42f,
    0x3f65fffa,0x3f61ff67,0x3fee005f,0x2ffb800e,0x1000bff1,0x3e601fff,
    0x3a00005f,0x320002ff,0x4c0003ff,0xff901fff,0x017fdc05,0x37203766,
    0x0ffa8002,0x2f32a200,0xdb3001ff,0x7dffffff,0x00c01100,0x3fec1df9,
    0x3ffa0ffb,0x0fff8802,0x225ff700,0xfa8005ff,0x17fe605f,0x3ffb8000,
    0x00000000,0x7fd40262,0x005fd802,0x3ee00000,0xffff3007,0x9003ffff,
    0xffffffff,0x000009ff,0xfd9ff600,0x01fff307,0x2002ffd8,0xbff12ffb,
    0x05ff5000,0x0002ffcc,0x0009ff30,0x20000000,0xf5005ff8,0x0000001f,
    0x67ffedcc,0xffff700a,0x05ffffff,0x75f7ffec,0x503dbaef,0x2aa60055,
    0x367fd800,0x13ff207f,0x4006ffa8,0xbff12ffb,0x05ff7000,0x54c2ffcc,
    0x2ffc4001,0x80026620,0x26666199,0x09999999,0x88007fdc,0x04cc42ff,
    0xb1033300,0xffffffff,0x59fff907,0x1fffff31,0x743fff50,0x6ff8804f,
    0x545ff900,0xfb3fec4c,0x0fffc40f,0x4001ffe8,0xbff12ffb,0x05ff7000,
    0xfd8a7fcc,0x1002ffff,0xffc80bff,0x4bff7005,0xffffffff,0x27f42fff,
    0xf913fa00,0x3fee00bf,0x77fffd45,0x443ffeff,0x7fd43fff,0xffd85ffe,
    0x4401ffc4,0xff9006ff,0x3f63fec5,0xf701ff67,0x0bff509f,0x225ff700,
    0xfb8005ff,0x33fe602f,0xffffffe9,0x5ff8803f,0x007ffcc0,0xfff17ff4,
    0xffffffff,0x260ffd45,0xf93cacdc,0x00fff98b,0x3e22ffe8,0x27ff0dff,
    0x427fe419,0x1fffadfd,0xff117ff4,0x0dff1005,0xfd8bff20,0xffb3fec7,
    0xc87ff980,0xfb8002ff,0x00bff12f,0x4c05ff70,0x9beffeff,0x400fffda,
    0xfe805ff8,0x3ffcc03f,0x2aaaaaaa,0x3f22ffda,0x7ffffdc6,0xfd0bf93f,
    0x7ff9807f,0xff327fec,0x03ffe205,0x1fff4ffe,0xff997ff6,0x06ff8801,
    0x7ec5ff90,0xffb3fec7,0xf83ffd00,0xfb8000ff,0x00bff12f,0x4c01ff70,
    0xd80dffff,0x6fe804ff,0x406ffa80,0x64004ffb,0xa93fa2ff,0x2ffebdff,
    0xdff50df7,0x264ffb80,0x3fea0fff,0x30bff501,0x1bfea1ff,0x3ea7fff7,
    0x6ff8800f,0x6c5ff900,0xd9ff60ff,0x4ffb807f,0x40017fe6,0xbff12ffb,
    0x80dfd000,0x2605fff9,0xffc807ff,0x01fff801,0x90007ffa,0x8bfe25ff,
    0x43fee6fe,0x3fff07fb,0xf70fff40,0x207fb89f,0x6fc83ffb,0x3fa1ffe6,
    0x007fdeff,0x3200dff1,0x83ffa2ff,0x01bb27fd,0xffb97fe6,0x5ff70003,
    0x44017fe2,0x4c03ffd9,0x7fc00eff,0x7ffcc00f,0x13ff201a,0x40037fcc,
    0x1ff52ffc,0x7fc8bfe6,0x7fe41fea,0xc8dff304,0x03fe42ff,0x9fd05ffb,
    0x2207ffc4,0x0ffffffe,0x006ff880,0x7ff45ff9,0x4001ff60,0x3ff26ff9,
    0x5ff70002,0xf3017fe2,0x3003bfff,0xffb00bff,0xfff91003,0x1fff307f,
    0x0007ff90,0x9fee5ff9,0x737ec7fc,0x3ffe60df,0x743ffc80,0x037ec1ff,
    0xff883ffd,0xb807ffc1,0x1dffffff,0x401bfe20,0x3ffa2ffc,0x4001ff60,
    0x3ff67ff8,0x5ff70002,0xf3017fe2,0x26007fff,0xffd805ff,0xfffd3002,
    0x20bffa07,0xc8000fff,0x74df92ff,0xf72ffc6f,0x417ff40d,0x7fec0fff,
    0xff027f43,0xf87fb81f,0x7fd401ff,0xf104ffff,0x3ff200df,0xfd87ffa2,
    0x3ffe0007,0x0003ffd0,0x7fc4bfee,0x7edd4405,0x7fcc02ff,0x02ffd805,
    0x55effec4,0x98dff701,0xf90005ff,0xff97f25f,0xfc93fe24,0x31bfee05,
    0xbff90bff,0x3fe03ff8,0x7c2fec1f,0xeff800ff,0xf885ffff,0x5ff9006f,
    0xffb0fff4,0xd3ffc000,0x2e0003ff,0x0bff12ff,0x405ff980,0xfe805ff9,
    0x17fdc00f,0x20fff880,0x90002ffc,0x457f65ff,0x8bfe64ff,0x3fe204fd,
    0x20bff20f,0x3fe27ffb,0x887ffa02,0x07ff82ff,0xfc89ff88,0x37fc43ff,
    0x3e2ffc80,0x01ff61ff,0xfb3ffc40,0x3ee0005f,0x00bff12f,0xf980ff90,
    0x07ff805f,0x64006fd8,0x01ffe4ff,0xfb2ffc80,0xfa8ffe29,0x900ffa1f,
    0x83ffc9ff,0xff32fff8,0x517ff403,0x6ff881ff,0x2e0ff980,0x37fc46ff,
    0x3e2ffc80,0x01ff61ff,0xf937fcc0,0x3ee0007f,0x00bff12f,0x4c03ff70,
    0x7fc405ff,0x005ff806,0xffabffcc,0x3ff20004,0x3fe29fb2,0x7c43ff24,
    0xbffcc00f,0x3f604ffa,0x20ffacff,0xc8fff608,0x05ff985f,0x7fc47fa8,
    0x01bfe20f,0xfff17fe4,0x3313fec3,0x5cbff300,0xf70004ff,0x017fe25f,
    0x980bfee0,0x7fec05ff,0x02ffc403,0x7ecfff40,0x3f20001f,0x7fcbfb2f,
    0x323fff14,0x3ffd006f,0x74403ffb,0xcbffffff,0x97fee3fd,0x4ffc83ff,
    0x7cc7fb80,0x037fc47f,0x3fe2ffc8,0xfd9ff62f,0x23ffc807,0x70006ffa,
    0x17fe25ff,0x80bfee00,0x3ea05ff9,0x5ff8806f,0xfdffb800,0x7e40006f,
    0x7f4bf92f,0xbcfefebf,0xff7002ff,0xd100dffb,0xffffffff,0x4fffcc7f,
    0xfff81ff9,0x6c6fc801,0x3ffc45ff,0x3e2ffc80,0xd9ff62ff,0x0ffe807f,
    0x40007ffc,0xbff12ffb,0x05ff7000,0x4d6fffcc,0x01fffda9,0x8005ff88,
    0x03fffff8,0xb97fe400,0x3fffee6f,0x04ffffaa,0x3ffffe20,0x3ff26003,
    0x740acdff,0xc86fcdff,0x6c0b85ff,0x0bffee4f,0x7ec01ffe,0xd8bffe1f,
    0x301ff67f,0x7ff90dff,0x25ff7000,0xb8005ff8,0x3fe602ff,0xffffffff,
    0xbff1001e,0x3fff2000,0x7e40000f,0xeb8ff52f,0x00f76e2d,0x03ffff20,
    0x2013fe00,0x44fffffa,0x7c41fffb,0xeeffdeff,0xfd04ffff,0x4fff001f,
    0x3f62fff8,0xf901ff67,0x0dff307f,0x225ff700,0xfb8005ff,0x3ffe602f,
    0x03dfffff,0x002ffc40,0x003fff98,0xf52ffc80,0x0000003f,0x0007fff3,
    0x7ec00ffe,0xfecacfff,0xfff884ff,0xffffffff,0x0fff603f,0x7c4dff50,
    0xd9ff63ff,0x3ffe207f,0x007ffd00,0xff12ffb8,0x5ff7000b,0x98affcc0,
    0x3fe20000,0xfff30005,0xffb00001,0x00027fc3,0x07ffcc00,0x017fcc00,
    0xffffff90,0x65405fff,0xcdffffed,0x1fffa802,0x005ffd10,0x07fd9ff6,
    0xf980bff6,0x3ee000ff,0x00bff12f,0x4c09ff50,0x200005ff,0xd0004ffa,
    0x200009ff,0x1ff20ffe,0x3fa00000,0xff50004f,0xfffe8001,0x4000deff,
    0xd8000ffa,0xca9acfff,0x36005fff,0x541ff67f,0xffc806ff,0x4bfee004,
    0x98005ff8,0x3fe607ff,0x3f600005,0xffb8003f,0xf980000f,0x01ffcc6f,
    0xfff70000,0x1fee0001,0x337ff100,0x3fdc0001,0xfffd8800,0x0dffffff,
    0xfd9ff600,0x01ffe887,0x002fff88,0x3fe25ff7,0x7fff0005,0x0017fe60,
    0x00fffcc0,0x007ffee0,0x7ffd100c,0x1005ffd0,0x1fffb800,0x01bf2000,
    0x0001ff50,0x0001bf20,0xbfffffd7,0x4ffb0005,0x3ffe87fd,0x07ffea00,
    0xffb55555,0x2abbfe25,0x7dc00aaa,0xf30acfff,0x654000bf,0xc805fffe,
    0x04fffecc,0x2aaf7f60,0xd106fffc,0x266159ff,0x666403fc,0x0004fffe,
    0x36002fec,0x3600005f,0x2200005f,0x7ec00009,0xffb1ff67,0xfff70009,
    0x7fffffc1,0xffff12ff,0x9005ffff,0x265fffff,0xf10005ff,0x001bffff,
    0x07ffffff,0xfffffd80,0x2200dfff,0xfffffffe,0x7ffc03ff,0x80003fff,
    0x66400098,0x00000002,0xb0000000,0xf33fecff,0x7dc0009f,0x3ffffe3f,
    0xfff12fff,0x005fffff,0x4cbffb26,0xf10005ff,0x7c005bdf,0x8000ceff,
    0xdfffffda,0x3fb2a002,0xf800bdff,0x0000ceff,0x00000000,0x00000000,
    0xb3fec000,0x0005b8ff,0x000004c8,0x00000000,0x00100000,0x00013000,
    0x00080000,0x00000000,0x00000000,0x7ec00000,0x0001ff67,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3f67fd80,0x00000007,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x10000000,0x00013795,0x00015550,0x0040aea2,0x00620130,0x00155544,
    0x00aaaa20,0xaaa98000,0x05554001,0x55530000,0xcdb88003,0x95300001,
    0x4c000557,0x00019999,0x26002662,0xefffffff,0xfffb0000,0xff98001d,
    0x07ea2eff,0xf10bff20,0x3fea00df,0x7d40004f,0x800004ff,0x4004fffa,
    0x000efffd,0x04fffa80,0x7ffffc40,0xffb10001,0x0bffffff,0xffffeca8,
    0x20007fff,0x7dc01ffc,0xffffffff,0x7fec001f,0x3000effd,0xdfffbdff,
    0xfd005ffd,0x0fffa89f,0x09ffd100,0x4ffe8800,0x3fea0000,0x7fec002f,
    0x0000effd,0x000bffea,0x1bea33f2,0x3fffea00,0x07ffffff,0xffffffd3,
    0x000fffff,0x3f2037fc,0xeb98acff,0xe8801fff,0x3ffd32ff,0x6c49d100,
    0x7003ffff,0x5ff885ff,0x04ffc800,0x04ffc800,0x0effa800,0x4bffa200,
    0x8001ffe9,0x0000effa,0x003fc1fb,0x2afbfff2,0xa87eba98,0xafffffff,
    0x0007ff99,0x7c405ff5,0xfff103ff,0x8133100b,0x01000998,0x10002aa2,
    0x10000c01,0x22000033,0x99800019,0x09988001,0x40004cc4,0x64000199,
    0x400df54f,0x1805fff9,0x7fffffc4,0x01ffe0ff,0x3203ff40,0x7fcc04ff,
    0x0000000f,0x00000000,0x00000000,0x00000000,0x00000000,0x3ffe2000,
    0x3f6002ff,0xff90004f,0x41ffffff,0xf98007ff,0x3ffe204f,0x04ffd800,
    0x026f2a20,0x9bca8800,0x32a20000,0x2200009b,0x50009bca,0x2aa60055,
    0x98015540,0x015540aa,0x8800aa98,0x00009bca,0x80073722,0x0000fffa,
    0xfffffffd,0x003ffc1f,0xf5007fec,0x3fee00bf,0xffff9806,0x2000efff,
    0xfffffff9,0x3fe6000e,0x00efffff,0x3ffffe60,0x3e200eff,0x5ff9006f,
    0xc8037fc4,0x1bfe22ff,0x3017fe40,0xdfffffff,0x55510001,0x27fec005,
    0xfffff000,0x7fc1ffff,0x2ffc4007,0x400ffee0,0x7dc07ff8,0xffffffff,
    0xfffb801f,0x1fffffff,0xfffffb80,0x801fffff,0xfffffffb,0xff101fff,
    0x8bff200d,0xf9006ff8,0x037fc45f,0xf702ffc8,0xffffffff,0xffd8003f,
    0x3ffa007f,0x3ffe0001,0x20ffffff,0x7dc007ff,0x17fe401f,0x640fff00,
    0xb98acfff,0x3201fffe,0xb98acfff,0x3201fffe,0xb98acfff,0x3201fffe,
    0xb98acfff,0xf881fffe,0x5ff9006f,0xc8037fc4,0x1bfe22ff,0x6417fe40,
    0xb98acfff,0x2001fffe,0x002fffff,0x40001fff,0xfffffffe,0x001ffe0f,
    0xffd00dfd,0x07ffc003,0x881fffc4,0xff105ffe,0x3ffa207f,0x07fff105,
    0x4417ffa2,0xfd103fff,0x0dff10bf,0xf88bff20,0x5ff9006f,0xc8037fc4,
    0x7ffc42ff,0x0bffd103,0x3ffbfea0,0x07ff8805,0x7fffec00,0x3fe0ffff,
    0x0ffea007,0x8003ffe0,0xffc81ffe,0x07ffcc04,0x26027fe4,0xffc80fff,
    0x07ffcc04,0x26027fe4,0x7fc40fff,0x45ff9006,0xf9006ff8,0x037fc45f,
    0x7e42ffc8,0x7ffcc04f,0xfaffd800,0x6ffa807f,0x7ffcc000,0x3e0fffff,
    0x3ff6007f,0x01fff800,0xf107ffa0,0xffb001ff,0x00fff889,0x7c44ffd8,
    0xffd800ff,0x007ffc44,0x3e227fec,0x5ff9006f,0xc8037fc4,0x1bfe22ff,
    0xf117fe40,0xffb001ff,0x3adff009,0x7fd402ff,0xffb80006,0x3e0fffff,
    0x9ff3007f,0x007ffa00,0x7d40fff8,0xdff7005f,0x7005ffa8,0x5ffa8dff,
    0xa8dff700,0xff7005ff,0x006ff88d,0x7fc45ff9,0x45ff9006,0xf9006ff8,
    0x02ffd45f,0x5406ffb8,0x09ff74ff,0x0007ff98,0xffffff70,0xc803ffc1,
    0xffb001ff,0x1ffe2005,0x4400ffee,0x1ffdc7ff,0x5c7ff880,0xff1003ff,
    0x003ffb8f,0xff88fff1,0x45ff9006,0xf9006ff8,0x037fc45f,0x3ee2ffc8,
    0xfff1003f,0xf11ffd80,0xfff880ff,0xd7100000,0x3ffc1ffd,0x002ffc40,
    0x26007ffb,0x2ffd86ff,0xfb1ffe00,0x3ffc005f,0xf800bff6,0x017fec7f,
    0xff88fff0,0x45ff9006,0xf9006ff8,0x037fc45f,0x3f62ffc8,0x1ffe002f,
    0xffe8fff0,0x00fffc02,0xff830000,0x02ffb807,0x401bfee0,0xffe84ffc,
    0x83ffe001,0x3e001ffe,0x07ffa0ff,0x3a0fff80,0x3fe001ff,0x01bfe20f,
    0xff117fe4,0x8bff200d,0xf9006ff8,0x00fff45f,0x2a01fff0,0x27fe44ff,
    0x0013ffa0,0x07ff8000,0x44007fe8,0xff800fff,0x00fff81f,0xff87ffa0,
    0x3ffa000f,0x8003ffe1,0x3ffe1ffe,0x87ffa000,0xf9006ff8,0x037fc45f,
    0x3e22ffc8,0x5ff9006f,0xd0007ffc,0x3ff603ff,0x203ffcc2,0x0000fffb,
    0x80fff000,0xd8003ff9,0x7fe405ff,0x003fff05,0xfff07ff4,0x07ff4003,
    0x74003fff,0x07ffe0ff,0x220ffe80,0xff9006ff,0x8037fc45,0x3fe22ffc,
    0x45ff9006,0x3a001fff,0x0fff00ff,0xff007ffe,0x000001bf,0xfd80fff0,
    0xffa8000f,0x3fff704f,0x8007ffa0,0x0fff47ff,0xfe8fff00,0x1ffe001f,
    0x7c003ffd,0x037fc47f,0x3e22ffc8,0x5ff9006f,0xc8037fc4,0x07ffa2ff,
    0xf507ff80,0x13ff20bf,0x03dfff70,0x3e0001c4,0x17fe207f,0xefffc800,
    0x3fffecac,0x400bff60,0x7fec6ff8,0x8dff1002,0xf1002ffd,0x02ffd8df,
    0xf88dff10,0x5ff9006f,0xc8037fc4,0x1bfe22ff,0xfb17fe40,0x3fe2005f,
    0x205ff906,0xfc807ff9,0xccbcefff,0x7c0007fe,0x07ff207f,0xffff9000,
    0x805fffff,0xf3003ffc,0x03ffc8bf,0xfc8bff30,0xbff3003f,0x3003ffc8,
    0x7ff88bff,0x445ff900,0xff9007ff,0x803ffc45,0x3ff22ffc,0x0bff3003,
    0xff803ffe,0xfffc801f,0x7fffffff,0x03ffc000,0x20000dff,0xcfffffc9,
    0x06ffb801,0xfb89ff90,0x9ff9006f,0x9006ffb8,0x6ffb89ff,0xf09ff900,
    0x3ff600ff,0xd803ffc1,0x03ffc1ff,0x3ee1ffd8,0x9ff9006f,0x999fff50,
    0x9ffd9999,0x3ffee200,0x001bdeff,0xfa837fc0,0xf800002f,0x3e2000ff,
    0xfff800ff,0x007ffc41,0x3e20fffc,0xfff800ff,0x007ffc41,0x7f40fffc,
    0x87ff800f,0xff800ffe,0x800ffe87,0x7ffc47ff,0x81fff800,0xfffffffc,
    0x07ffffff,0x0067fd40,0x0bff3000,0x00001ffa,0x2001ffec,0x7e405ffd,
    0x0bffb05f,0xfb05ffc8,0x5ffc80bf,0xc80bffb0,0x7ffb05ff,0xd86ffa80,
    0x7fd403ff,0x403ffd86,0xffd86ffa,0x82ffe405,0xffffffff,0x1fffffff,
    0x003ff200,0x3ffc8010,0x0004ff98,0x03dff700,0x9fff3015,0x407ffee0,
    0xf704fff9,0x3fe603ff,0x3fff704f,0x413ffe60,0xf501fffb,0x3fa203ff,
    0x1fffa82f,0x505ffd10,0x3a203fff,0xfff982ff,0x03fff704,0x3333dff5,
    0xffb33333,0x037f4009,0x2e033e60,0xffc80fff,0x3a000000,0xfecbefff,
    0x9dfff904,0x09fffd95,0xacefffc8,0x404fffec,0xcacefffc,0x6404fffe,
    0xecacefff,0x7ec04fff,0xfca9acff,0x3ff605ff,0xffca9acf,0x3fff605f,
    0xfffca9ac,0x3bfff205,0x4fffecac,0x2007ff90,0xf1006ffa,0xffe8009f,
    0xfffeccef,0x005ff882,0x7ffcc000,0x206fffff,0xfffffffb,0xff7002ff,
    0x5fffffff,0x3fffee00,0x002fffff,0xfffffff7,0xfb1005ff,0xffffffff,
    0x7fec401b,0xdfffffff,0x3fff6200,0x0dffffff,0x7ffffdc0,0x3e02ffff,
    0x3fe000ff,0x2ff9801f,0x7fff4c00,0x702fffff,0x000005ff,0x3bfffae0,
    0xffeda802,0x54000def,0x0defffed,0x7ff6d400,0x54000def,0x0defffed,
    0x7fff5c00,0x2e002dff,0x2dfffffe,0x3fffae00,0x2a002dff,0x0defffed,
    0x001bfea0,0x00009ffb,0x3bf72a00,0x132e00bd,0x04000000,0x00131000,
    0x00026200,0x00004c40,0x00000988,0x10000131,0x31000013,0x13100001,
    0x00fff200,0x000dff50,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20130000,
    0xba880018,0x2a200102,0x4cc002aa,0x98000000,0x80001aaa,0x1001aaa9,
    0xa8801353,0x000002aa,0x001aaa98,0x0040aea2,0x000aaaa2,0x0d554c00,
    0x80155500,0x3f200999,0x037fc42f,0x5dffff30,0xfa800fd4,0x3fe004ff,
    0x54000006,0x80004fff,0x4404fffa,0x7ffffffc,0x027ffd40,0xfff50000,
    0x7ffcc009,0x007ea2ef,0x0009fff5,0x04fffa80,0x03bfff60,0xd017ffcc,
    0xfffa89ff,0xdeff9800,0x2ffeefff,0x13ffa200,0x000ffe40,0x2fffa800,
    0xfffa8000,0x7fffd402,0x8807ffff,0x00004ffe,0x002fffa8,0x3ff7bfe6,
    0x802ffeef,0x0004ffe8,0x005fff50,0x77feffec,0x02fff880,0xff10bfee,
    0x893a200b,0x003ffffd,0x1009ff90,0x00000bff,0x0001dff5,0x801dff50,
    0x899cfff8,0x3f2003a9,0x2a00004f,0x44000eff,0x3fff624e,0x7fe4003f,
    0x7fd40004,0xffd1000e,0x107ffa65,0x08805fff,0x20100060,0x40000aa8,
    0xffb00198,0x99800001,0x26600001,0x07ff9001,0x00cc4000,0x00333000,
    0x0aa88040,0x00331000,0x40019980,0x4cc40998,0x00fffc40,0x00000000,
    0x54000000,0x000003ff,0x80000000,0x00001ffd,0x00000000,0x00000000,
    0x00000000,0x3fff1000,0x0aaaa200,0x2aaa2000,0xaaa98002,0xaaaaaaaa,
    0x800dfd02,0x44001aaa,0xaa980aaa,0xaaaaaaaa,0x04ffd82a,0x55551000,
    0x55510000,0x2aaa8005,0xa80aa980,0xaaaaaaaa,0xaa80aaaa,0xaaaaaaaa,
    0xaa980aaa,0xaaaaaaaa,0x07ffe22a,0x03fffec0,0x3fffec00,0x7fffe400,
    0xffffffff,0x002ffb80,0x8003ffee,0xff905ffd,0xffffffff,0xfffa81ff,
    0xffd80003,0xfd80007f,0x7fc007ff,0x7fe402ff,0xffffff81,0x1fffffff,
    0xfffffff8,0x81ffffff,0xfffffffc,0x3e0fffff,0xfff001ff,0xf80005ff,
    0x4002ffff,0xfffffffc,0x880fffff,0x7f4005ff,0xfff3004f,0x3ffff203,
    0xffffffff,0x1efffe80,0x3fffe000,0x7fc0002f,0x3e002fff,0x7e406fff,
    0xfffff81f,0xffffffff,0xffffff81,0x1fffffff,0xffffffc8,0x20ffffff,
    0xfa801fff,0x0005ffef,0x17ffbfea,0x339ff900,0x03333333,0x5000ffe4,
    0xfb003fff,0x67fe409f,0x99999999,0xfffffd81,0xffa8004f,0x20005ffe,
    0x05ffeffa,0x07ffffe0,0x9981ffc8,0x9afff999,0x33330199,0x3335fff3,
    0x273ff203,0x19999999,0x6c007ffc,0x007ffaff,0x3febff60,0x1ffe4007,
    0x13fe6000,0x80bffd00,0x3200fff9,0xfc8003ff,0xefffe9df,0x2bff6002,
    0x360007ff,0x007ffaff,0x817ffffe,0xfd001ffc,0x7f40001f,0x7ff9000f,
    0x01fff000,0x3ffadff0,0x2dff0002,0x32002ffe,0xd80003ff,0x3e6000ff,
    0x3ff601ff,0x01ffe403,0xf71bfe20,0x3e007fff,0x005ffd6f,0x7ff5bfe0,
    0xfbdff002,0x07ff203f,0x0007ff40,0x2001ffd0,0xf8003ffc,0x7fd400ff,
    0x0009ff74,0x3fee9ff5,0x0fff2004,0x0ffea000,0x20dffb00,0xfc806ffa,
    0x7fdc003f,0x3fffd883,0xfba7fd40,0xffa8004f,0x2009ff74,0x05ffaeff,
    0x3a003ff9,0x3a0000ff,0xff9000ff,0x1fff0007,0xf11ffd80,0xffb000ff,
    0x801ffe23,0x00003ffc,0xf8800dff,0x2ffe82ff,0x003ffc80,0xf9017fdc,
    0x7fec03ff,0x000fff11,0x3fe23ffb,0x3adff007,0x1ffc80ff,0x001ffd00,
    0x8007ff40,0xe8003ffc,0x3ffc00ff,0xf000bffa,0x02ffe8ff,0x0007ff90,
    0x0007fee0,0xffa8dff9,0x07ff9006,0x405ffa80,0x3fe04ffc,0x0017ff47,
    0x5ffd1ffe,0x3eedff00,0x01ffc84f,0x0001ffd0,0xc8007ff4,0xfe8003ff,
    0x227fd407,0x2a004ffc,0x27fe44ff,0x003ffc80,0x00bff100,0x3a3fff88,
    0xff9001ff,0xfff88007,0x41bfe602,0x7fe44ffa,0x13fea004,0xff009ff9,
    0x903ffe2d,0x3fa003ff,0x3fa0000f,0x7ff9000f,0x80ffd000,0x7fcc2ffd,
    0x0bff6007,0x3200fff3,0xeeeeeeff,0xfb004eee,0xffb8001f,0x400bff56,
    0xeeeeeffc,0x7dc4eeee,0x1bfe02ff,0x3e617fec,0x3ff6007f,0x403ffcc2,
    0x13ff26ff,0x3a003ff9,0x3a0000ff,0xff9000ff,0xdddddddd,0x407fe89d,
    0x3fff07ff,0x7c1ffe00,0xffc801ff,0xffffffff,0x9ff3005f,0xd7ffd000,
    0x7e4001ff,0xffffffff,0xfffc85ff,0x827fcc0d,0x3fff07ff,0x7c1ffe00,
    0x37fc01ff,0x7e41fff1,0x1ffd001f,0x07ff4000,0xfffffc80,0x45ffffff,
    0x3fea07fe,0x009ff905,0x3f20bff5,0xeffc804f,0xeeeeeeee,0x01ffa004,
    0x3ffffea0,0x77fe4004,0xeeeeeeee,0x7ffff704,0x2a07ffa2,0x9ff905ff,
    0x20bff500,0x7fc04ffc,0xf91ffe46,0x3ffa003f,0x3ffa0000,0xddff9000,
    0x9ddddddd,0x3f202aa8,0x0fff302f,0x2605ff90,0xffc807ff,0x7d400003,
    0xffd8002f,0x7e4000ff,0x74c0003f,0x4fffefff,0x2605ff90,0xffc807ff,
    0x80fff302,0x3ffcc6ff,0x3a003ff9,0x3a0000ff,0xff9000ff,0x3e000007,
    0x3ffe00ff,0x007ffc01,0xfc803fff,0xf800003f,0xff98006f,0xffc8003f,
    0xff700003,0x7fc07fff,0x07ffe00f,0x7c01fff0,0x1bfe01ff,0x7fe4bff6,
    0x01ffd001,0x007ff400,0x0003ffc8,0x67ffd401,0xfecccccc,0x3ffea04f,
    0xeccccccc,0x7fe404ff,0xfc800003,0xffe8001f,0x3ffc8000,0x3f620000,
    0xfff502ff,0xd9999999,0x7fd409ff,0xcccccccf,0x3fe04ffe,0xf96ff986,
    0x3ffa003f,0x3ffa0000,0x07ff9000,0x80efe880,0xfffffffc,0x07ffffff,
    0x3ffffff2,0x7fffffff,0x001ffe40,0x027fc400,0x0007ff40,0x0001ffe4,
    0xc83ffdc0,0xffffffff,0x207fffff,0xfffffffc,0x07ffffff,0x7ff41bfe,
    0xd001ffc9,0x740001ff,0xff9000ff,0xfffc8007,0xffffff85,0xffffffff,
    0xfffff01f,0xffffffff,0x7fe403ff,0xfb000003,0xffe8001f,0x3ffc8000,
    0xfff00000,0xffffff01,0xffffffff,0x3fffe03f,0xffffffff,0xdff01fff,
    0x3f37fea0,0x1ffd001f,0x07ff4000,0x003ffc80,0x2a2fffe4,0x99999eff,
    0x4ffd9999,0x999effa8,0xfd999999,0x0fff204f,0x7fd40000,0x07ff4003,
    0x01ffe400,0x3ffc4000,0x4ccf7fd4,0xfd999999,0x9effa84f,0x99999999,
    0xdff04ffd,0x7fefff40,0x01ffd001,0x007ff400,0x4003ffc8,0x7e41fff8,
    0xdff5003f,0x2007ff90,0x3f206ffa,0x2000003f,0x7f4006fe,0xffc8000f,
    0x22008003,0xffc85ffd,0x0dff5003,0x2a007ff9,0x0dff06ff,0x0fffffd4,
    0x000ffe80,0x4003ffa0,0x88003ffc,0x00fff809,0xff07ffe0,0x7ffc001f,
    0x99bff901,0x19999999,0x05ff7000,0x0007ff40,0x6666ffe4,0x20cccccc,
    0xfecccdef,0xfff81fff,0x07ffe000,0x7c001fff,0x06ff81ff,0x40fffff4,
    0xfffccccc,0xc80ccccc,0xcfffcccc,0xfc80cccc,0xccccccdf,0xfa800ccc,
    0x7fec006f,0x001bfea4,0x3f209ffb,0xffffffff,0x88000fff,0x3fa005ff,
    0xffc8000f,0xffffffff,0x3fffe0ff,0x81efffff,0x6c006ffa,0x1bfea4ff,
    0xf09ffb00,0xfffb80df,0xfffff81f,0xffffffff,0xffffff81,0x1fffffff,
    0xffffffc8,0x00ffffff,0x4003ffc8,0x3ff26ffa,0x37fd4003,0xffffffc8,
    0x00ffffff,0x40099700,0xc8000ffe,0xffffffff,0x36e0ffff,0x01cefffe,
    0x5000fff2,0x1ffe4dff,0x21bfea00,0x7fc406ff,0xffff81ff,0xffffffff,
    0xfffff81f,0xffffffff,0xfffffc81,0x0fffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x18804c00,0x00aaa800,0x018804c0,0x000aaa80,0x00179500,0x80013530,
    0x133001a9,0x99800000,0x40000099,0x80000098,0x26601999,0x00000099,
    0x54006666,0x217fe402,0x36006ff8,0x9000efff,0x6ff885ff,0x3bfff600,
    0x3fa20000,0xd8801fff,0x03ffffff,0x077fffd4,0x2607ff50,0x1fec41ef,
    0x03bffa60,0x7ffcc000,0x3f200003,0x3fa603ff,0x800000ef,0xe803fffc,
    0x3ffa04ff,0x007ffd44,0x77feffec,0x44ffe800,0xd800fffa,0x00effdff,
    0xf739fb00,0xffffb80d,0x505fffff,0x0dffdfff,0xfe81bfe2,0x07ffdc5f,
    0x03bff620,0xffff3000,0xf900007f,0xfb1003df,0x400001df,0x9801effc,
    0x3ee07fff,0x02ffc42f,0x74cbffa2,0x7fdc01ff,0x202ffc42,0xfd32ffe8,
    0x8ff0003f,0xfff301fd,0xfff73139,0x7dcdfd05,0x01ffc82f,0xff717ffa,
    0x3fee001f,0xff30000e,0x007ffb1d,0x006ffe40,0x003bfee0,0x037ff200,
    0x03fffc40,0x88018022,0x04cc4099,0x00300440,0x99881331,0x20ff8000,
    0x5ffd00fe,0xf117ff20,0x4c4ff85f,0x6ecc03ff,0x4002dc80,0x4000eff9,
    0x7fe45ff9,0x3ffc8003,0x3bfe6000,0x3ff20000,0x1ffb8003,0x00000000,
    0x00000000,0x77e40000,0xff106fdb,0x237fcc0d,0x2fec0ff9,0x00001bfa,
    0x00000000,0x00000000,0x00000000,0x55530000,0x55555555,0x2aaaaa05,
    0xaaaaaaaa,0xaaaaaa80,0x0aaaaaaa,0x02aaa880,0xefffd800,0x409ff300,
    0x7fcc5ffa,0xff927f42,0x00000003,0x00000000,0x00000000,0x00000000,
    0xfffffc80,0x0fffffff,0xfffffff8,0x81ffffff,0xffffffff,0x801fffff,
    0x0007fffd,0xfa803510,0x5ffd103f,0x3e24ff88,0x009ff33f,0x0002aa20,
    0x00015510,0x0000aa88,0x80005544,0x009aaa98,0x4d554c40,0x0664c000,
    0xffffffc8,0x80ffffff,0xffffffff,0xf81fffff,0xffffffff,0xf801ffff,
    0x0002ffff,0x026aaa62,0x7cc1ffdc,0x9ffb04ff,0x3fa1ffd7,0x7fec4006,
    0x2003ffff,0xffffffd8,0x3ff62003,0x2003ffff,0xffffffd8,0xffec8803,
    0x00cfffff,0x3ffffb22,0x7000cfff,0x3ff201ff,0x9999999c,0x33333019,
    0x33335fff,0x3e666660,0x01999aff,0x5ffeffa8,0x7ff64400,0x40cfffff,
    0x7fd43ffb,0x3ffa203f,0x3ff72fff,0x7fff4c00,0x00efffff,0x7fffff4c,
    0x4c00efff,0xfffffffe,0x7f4c00ef,0xefffffff,0x3fffe600,0x0fffffff,
    0xffffff30,0x001fffff,0x3f203ff7,0x7400003f,0x3a0000ff,0xfd8000ff,
    0x4007ffaf,0xfffffff9,0x3ee0ffff,0x0bffe23f,0x43377220,0x22004ff9,
    0xd310cfff,0x7fc40bff,0xffd310cf,0x67ffc40b,0x0bffd310,0x8867ffc4,
    0x2605ffe9,0xda899bdf,0xbf306fff,0xffb51337,0x3ff700df,0x000fff20,
    0x001ffd00,0x0007ff40,0x2ffeb7fc,0x26f7e600,0x6fffda89,0xffa8ffee,
    0xefe80004,0x0fff2000,0xc817ff44,0xffd103ff,0x40fff205,0xf902ffe8,
    0x3ffa207f,0xff500202,0xf500201f,0x7ecc01ff,0x07ff901f,0x0ffe8000,
    0x03ffa000,0x2e9ff500,0x004004ff,0x7dc3ffea,0x00ffee3f,0x005ff700,
    0x2a037fcc,0x6ff985ff,0x4c2ffd40,0x7fd406ff,0x406ff985,0x40005ffa,
    0x20001ffe,0x7ec41ffe,0xf901ffff,0xe800007f,0x3a0000ff,0x7ec000ff,
    0x00fff11f,0x23ffd000,0x3fea3ffb,0xff10000e,0x3ffb800b,0xfb86ff80,
    0x86ff803f,0xff803ffb,0x803ffb86,0x640006ff,0x320002ff,0x3ffe62ff,
    0xf902ffff,0xe800007f,0x3a0000ff,0x7fc000ff,0x0017ff47,0x5cbff200,
    0x77ff43ff,0x0ffd8000,0x00ffec00,0x7fec3ffc,0xd87ff801,0x7ff801ff,
    0xf801ffd8,0x7e40007f,0x3f20002f,0x07bffa2f,0x001ffe40,0x003ffa00,
    0x000ffe80,0xff913fea,0xfc800009,0x987ff72f,0x2002ffff,0xdd912ffb,
    0x3fffa03b,0xffffffff,0x7ff41fff,0xffffffff,0x7f41ffff,0xffffffff,
    0x741fffff,0xffffffff,0x01ffffff,0x3ffffb26,0x2602ffff,0xffffffec,
    0x1fff32ff,0x777fe400,0x4eeeeeee,0x003ffa00,0x000ffe80,0xff30bff6,
    0xfec9800f,0x2fffffff,0xfd307ff7,0xff1009ff,0x3ffffe6b,0xfffff83f,
    0xffffffff,0x7fffc1ff,0xffffffff,0x7ffc1fff,0xffffffff,0x7fc1ffff,
    0xffffffff,0xb01fffff,0xffffffff,0x3f605fff,0xffffffff,0x0bff52ff,
    0xfffffc80,0x05ffffff,0x0003ffa0,0x2000ffe8,0x3fff07ff,0x3ffff600,
    0x2fffffff,0x36207ff7,0x7ec03fff,0xd55dfd0f,0xbffe81ff,0xaaaaaaaa,
    0x7ff40aaa,0xaaaaaaab,0x7f40aaaa,0xaaaaaabf,0x740aaaaa,0xaaaaabff,
    0x80aaaaaa,0x99abfffd,0xd82ffc99,0x999abfff,0xff72ffc9,0xeffc800b,
    0xeeeeeeee,0x03ffa004,0x00ffe800,0x320bff50,0xffd804ff,0xc9999abf,
    0x07ff72ff,0x500fffc8,0x87fe67ff,0x7fec2ff9,0x7fec0001,0x7fec0001,
    0x7fec0001,0x7fd40001,0x0bff200f,0x6401fff5,0x0fff52ff,0x003ffc80,
    0x007ff400,0x001ffd00,0x7cc0bff2,0x7ffd407f,0x5cbff200,0xffe803ff,
    0x2a5ff881,0x643ff87f,0x640003ff,0x640003ff,0x640003ff,0x5c0003ff,
    0x7fe404ff,0x2027fdc2,0xfff12ffc,0x1ffe4005,0x3ffa0000,0x3ffa0000,
    0x01fff000,0xf700fffc,0x2ffc809f,0xf9007ff7,0x41ffb05f,0x43ff87fb,
    0x0000effa,0x0003bfea,0x000effa8,0x003bfea0,0x203ffd80,0x7ec2ffe8,
    0x3ffa203f,0x007fff22,0x0001ffe4,0x0003ffa0,0xa800ffe8,0xcccccfff,
    0x204ffecc,0x3a203ffd,0x07ff72ff,0xfa83ffd0,0x10ffd43f,0xbffd05ff,
    0x7ff40001,0x3fa0000d,0x3a0000df,0x90000dff,0x3fea0bff,0x2ffe42ff,
    0x22ffffa8,0x00cfffe8,0x0001ffe4,0x0003ffa0,0xc800ffe8,0xffffffff,
    0x207fffff,0xff505ffc,0x8ffee5ff,0xffeba9aa,0x4437fc45,0x1ffb0dff,
    0x57ffff30,0x03b75333,0x2affffe6,0x01dba999,0x357ffff3,0x203b7533,
    0x9abffff9,0x981dba99,0xdb99cfff,0x4c2fffff,0xdb99cfff,0x442fffff,
    0x4efffffe,0x0003ffc8,0x0007ff40,0xf001ffd0,0xffffffff,0x03ffffff,
    0x2673ffe6,0x2fffffdb,0x7fe47ff7,0x640effff,0xfff901ff,0x75407fff,
    0xffffffff,0x3faa01ff,0xffffffff,0x3ffaa01f,0xffffffff,0x3fffaa01,
    0x1fffffff,0xffffffb0,0x05ff37ff,0xfffffffb,0x205ff37f,0x87fffffc,
    0x00003ffc,0x00007ff4,0xfa801ffd,0x999999ef,0x04ffd999,0x3ffffff6,
    0x72ff9bff,0x7ffe47ff,0x3ff983ef,0x17fffdc0,0x7fff6440,0x400defff,
    0xfffffec8,0x64400def,0xeffffffe,0x7f64400d,0x0defffff,0x3ffffee0,
    0x205ff31d,0x1dfffffb,0xda805ff3,0x3ffc87ee,0x7ff40000,0x3ffa0000,
    0x01ffe400,0x5c06ffa8,0x31dfffff,0x131005ff,0x01100000,0x04cccc00,
    0x13333000,0x4cccc000,0x26660000,0x04c40009,0x00262000,0x3ff20000,
    0xcccccccd,0xcccc80cc,0xccccfffc,0xccccc80c,0xcccccfff,0x8003ffe0,
    0x98801fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfff90000,0xffffffff,0xfffff01f,0xffffffff,0xffffff03,0x3fffffff,
    0xb001bfea,0x000009ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffffff90,0x01ffffff,0xffffffff,0xf03fffff,0xffffffff,
    0x3f23ffff,0x7fd4003f,0x00000006,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x02000098,0x01998800,
    0x01333300,0x2aaa2000,0x00999999,0x4c400000,0x98099800,0x0266201a,
    0x00019980,0x44003333,0x00400009,0x00000000,0x30009988,0x44007fff,
    0x2c43fffc,0x213ffe20,0x3ffa6019,0x3aa0000e,0xffffffff,0x3df306ff,
    0x2003fd88,0x2603fff9,0xfffb12ff,0xbff905ff,0x017fee00,0x00ffff20,
    0x001fffcc,0x10ffff22,0x83df300b,0x40003fd8,0xf9802ffc,0xb003ffff,
    0x77dfffff,0xffa809fd,0x03ffdcbf,0x0077fec4,0x77fffec0,0x6fffffff,
    0xfb8bffd0,0xff9800ff,0xff303fff,0xfffffd17,0xfff987ff,0x02ffe800,
    0x00f7fe40,0x3fffff98,0x3ffff600,0x04febbef,0x3ee2fff4,0x320000ff,
    0x7fcc02ff,0x403ffd8e,0xffc9aef9,0x3100efff,0xfffffff7,0x3fee007f,
    0x3fea000e,0x57ffdc1e,0x8bffd009,0x4c00fffb,0x3ffd8eff,0xeffdff98,
    0x0fffda9b,0x2601fff4,0x7e4007ff,0xff3000df,0x007ffb1d,0xff935df3,
    0xe801dfff,0x7ffdc5ff,0x3ff20000,0x917fe602,0x41a807ff,0x200beed9,
    0xfffffffe,0x260009bd,0xff000eff,0x17fee03f,0xb901bb30,0x45ff9805,
    0x7fcc3ffc,0xffd80dff,0x2037fd44,0x32004ffb,0x3e6003ff,0x01ffe45f,
    0x3bb660d4,0x0dd9800b,0x40002dc8,0x00002ffc,0xfd000000,0x07fff9bf,
    0x7c400000,0x1ffe206f,0x00000000,0x40bfff30,0xfff87ff9,0x007ffa01,
    0x00000000,0x00000000,0x3ff20000,0x00000002,0xfa835000,0x000001ff,
    0xf80bff30,0x0000007f,0x77fcc000,0x207ffc00,0xff304ffc,0x0000000d,
    0x00000000,0x20000000,0x98802ffc,0x40009aaa,0x009aaa98,0x6ffe9880,
    0x01553000,0x440dff30,0x026606ff,0x33013310,0x30998801,0xffb00bff,
    0x80fff983,0x26603ffc,0x004cc400,0x0000aa98,0x8000554c,0x009aaa98,
    0xf9135300,0x3fb2205f,0x0cffffff,0x3fffb220,0x400cffff,0xfffffec8,
    0xffb3003f,0xf809ffff,0x9ff901ff,0x7017fe60,0x5ff987ff,0xf99ffdc0,
    0x2ffd805f,0xff82ffe8,0x0bff300f,0x2603ffb8,0x4ffffffd,0x3fff6600,
    0xc8804fff,0xfffffffe,0xffeb800c,0x02ffffff,0xfffffff3,0x2601ffff,
    0xffffffff,0xfd300fff,0xffffffff,0xffffb801,0x01efffff,0x5c45fff7,
    0xff300fff,0x43ffb80b,0x7dc05ff9,0x00bff33f,0xff705ffb,0x205ff98d,
    0x7dc05ff9,0xffff703f,0x03dfffff,0xffffffb8,0x2601efff,0xffffffff,
    0xfd300fff,0xffffffff,0x2f7e605f,0xfffda899,0x337bf306,0x0dfffb51,
    0x337bfff3,0x5c09ffb5,0xb98acfff,0xff306fff,0xffffffff,0x02ffcc05,
    0xff30ffee,0x33ffb80b,0xffb00bff,0x41fff101,0x3e602ffc,0x1ffdc05f,
    0x4567ffdc,0x206fffb9,0x98acfffb,0x2606fffb,0xda899bdf,0xff886fff,
    0xeb999adf,0x500202ff,0x00201fff,0xfd81fff5,0x0fff304f,0x440bffe2,
    0xefe83ffe,0x0dfffffe,0x202ffcc0,0x7fcc3ffb,0x99ffdc05,0x7fe805ff,
    0xff93ff20,0x02ffcc07,0xff10ffee,0x3ffa205f,0x02fff883,0x0407ffd1,
    0xb03ffea0,0x7fe407ff,0x7ff40002,0x3ffa0001,0xd017fe61,0x7ff905ff,
    0x20fff980,0x35312ffa,0x02ffcc00,0xff30ffee,0x33ffb80b,0xff880bff,
    0x55ffe606,0x7fcc04ff,0x21ffdc05,0x7cc03ffc,0x1ffe40ff,0x003ffe60,
    0x261ffe80,0x7fe406ff,0x7fe40002,0x3ff20002,0x500bff62,0x1fff0bff,
    0x643ffd00,0x4c0001ff,0x7fdc05ff,0x202ffcc3,0xbff33ffb,0x403ffc80,
    0x1ffd9ffe,0x202ffcc0,0x7ffc3ffb,0x41ffe800,0xfe800fff,0x3f20001f,
    0x00bff22f,0x80005ff9,0x20002ffc,0x1ffe2ffc,0xf11ffe60,0x3ff200df,
    0x0077ff22,0x405ff980,0x7fcc3ffb,0x99ffdc05,0x3fee05ff,0xfdffb806,
    0x5ff9806f,0xf11ffdc0,0x3ff200df,0x401bfe22,0x20002ffc,0x3ff62ffc,
    0x017fe400,0x3ffffb26,0x2602ffff,0xffffffec,0x0dff12ff,0xff31ffe0,
    0x8ffee00b,0xfffffff9,0x2603ceef,0x7fdc05ff,0x202ffcc3,0xfff33ffb,
    0xffb7335b,0xfff1003f,0xff3007ff,0x23ffb80b,0xf7005ff9,0x02ffcc7f,
    0x2603ffb8,0xffffffec,0x01ffe2ff,0xfd80bff2,0xffffffff,0xfffb02ff,
    0xffffffff,0x401bfe65,0x3fea0ffe,0x89ff5004,0xfffffffb,0x982fffff,
    0x7fdc05ff,0x202ffcc3,0xfff33ffb,0xdfffffff,0x7ffe4003,0x5ff9800f,
    0xf51ffdc0,0x3fea009f,0x4013fea4,0xffb04ffa,0xffffffff,0x01ffe25f,
    0x7ec0bff2,0x9999abff,0xffd82ffc,0xc9999abf,0x0dff32ff,0xf983ffe0,
    0x7ff7005f,0xcccdffd8,0x1fffffdc,0x2e02ffcc,0x2ffcc3ff,0x7ccffee0,
    0xefffffff,0xfff98003,0x0bff3003,0x3e63ffb8,0x7ff7005f,0xb802ffcc,
    0xfffd83ff,0xfc9999ab,0x201ffe2f,0xffa82ffc,0x0bff200f,0x6401fff5,
    0x01ffe2ff,0xff11ffe2,0x8bff200d,0x7cc03ffd,0x2ffcc3ff,0xf30ffee0,
    0x3ffb80bf,0x0262bff3,0x1fff3000,0x017fe600,0x7fc47ff7,0x45ff9006,
    0xf9006ff8,0x0fffa85f,0xff8bff20,0x82ffc807,0x7e404ffb,0x027fdc2f,
    0xffe8bff2,0x42ffd401,0xfe800fff,0x00fff10f,0xff317ff2,0x43ffd80d,
    0x7ec06ff9,0x00bff33f,0x04ffe800,0xb01bfe60,0x0fff87ff,0x7c0ffe80,
    0xffe800ff,0x2027fdc0,0x3ffa2ffc,0x0bffe601,0xe880fff6,0x1ffec2ff,
    0x6c5ffd10,0x7fec05ff,0x404ffd83,0x3fea5ffa,0x87ff9006,0xf700fff8,
    0xfff887ff,0x27fff700,0x00005ff9,0x8003ffee,0xf700fff8,0x4ffd87ff,
    0x6c2ffd40,0x7fd404ff,0x203ffd85,0x3f22ffe8,0xffff103f,0x20bff905,
    0x642ffffa,0xfff505ff,0x1fffc45f,0xf307ffb8,0x3fe605ff,0x03ffe61f,
    0xf03fff30,0xfff705ff,0x05fff07f,0x267ffff7,0x700005ff,0xf0003fff,
    0xfff705ff,0x2fff987f,0x303fff30,0x3e605fff,0x5ffc81ff,0x45ffff50,
    0x7440fff9,0xf982ffff,0xfdb99cff,0x7cc2ffff,0xfdb99cff,0x7e42ffff,
    0xfdb9adff,0x3ff202ff,0xffca9adf,0xcfffe84f,0xffda99ab,0xbfff904f,
    0xffbffb55,0x5bfff907,0x7ffbffb5,0x40017fe6,0x4fffeccc,0xbfff9000,
    0xffbffb55,0x5bfff907,0x09fff953,0x4d6fffe4,0x304fffca,0xb7339fff,
    0xe85fffff,0xffdabeff,0xfb02ffae,0x7fffffff,0xffb05ff3,0x37ffffff,
    0xfff905ff,0x05ffffff,0xffffff90,0x3a207fff,0xffffffff,0x3e204fff,
    0xbfffffff,0xff883ff9,0x9bffffff,0x0bff33ff,0x3ffffe00,0x3e20003f,
    0xbfffffff,0xff903ff9,0x7fffffff,0xfffff900,0xd807ffff,0xffffffff,
    0x7442ff9b,0x8effffff,0x3ee02ff9,0xf31dffff,0x3ffee05f,0x5ff31dff,
    0x3ffffaa0,0x36a000df,0x01dfffff,0xfffffda8,0xd8800bef,0xf11effff,
    0x3ff6207f,0x7ff11eff,0x40017fe6,0x000cefff,0xffffd880,0x407ff11e,
    0xdfffffda,0x3ff6a001,0x7001dfff,0x23bfffff,0xfd882ff9,0xff30beff,
    0x00131005,0x00009880,0x80000988,0x44000098,0x09980001,0x004cc000,
    0x00100000,0x00998000,0x00098800,0x00009880,0x30000262,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x35300000,0x980004c1,0x00998199,0x09980cc4,0x00000000,
    0x0004cccc,0x4ccc0001,0x2a600009,0x00133002,0x31066660,0x01333333,
    0x98000200,0x2133002a,0x44000198,0xffec801a,0x02ffefff,0x43fffc80,
    0x7e405ff9,0x02ffcc1f,0x41ef9800,0x74c03fd8,0xfd000eff,0x260039df,
    0x4000effe,0xa806ffe9,0xfc8003ff,0x7ffdc3ff,0x2004ffff,0x443fffc8,
    0x0dffd305,0x3fa7ff50,0xff50000f,0x3ffa207f,0xffffffff,0x77fe4002,
    0x405ff981,0x7fcc1ffc,0xffd00005,0x00fffb8b,0x0077fec4,0x77fffff4,
    0xeffd8800,0xfffd8800,0x37fc406f,0x0f7fe400,0x7fffffdc,0x3ff6004f,
    0xfebbefff,0x3ffff624,0xd37fc406,0x3a0001ff,0x7cc0ffff,0xb988adff,
    0x32002ffe,0xff300dff,0x41ffc80b,0x00005ff9,0xffb8bffd,0xdff7000f,
    0xfedcb801,0xf7002fff,0xff9801df,0x7e406fed,0x7fe4001f,0x3333100d,
    0x26009ff7,0xfffc9aef,0x3fe60eff,0x7e406fed,0x003ffa1f,0x07ffffc0,
    0xfc80fff6,0x7ff9002f,0x405ff980,0x7fcc1ffc,0xbb300005,0x8005b901,
    0x2000eff9,0x001fffea,0xc801dff3,0x7cc0dfb1,0x7fe4003f,0x4ffa8003,
    0xdb306a00,0x3639017d,0x0ffe606f,0x20001ffd,0x7cc5fffc,0x17fe406f,
    0x7fcc0000,0x20ffe405,0x00005ff9,0x00000000,0x006ffe80,0x06fd8000,
    0x00001bfa,0x013fea00,0x3f600000,0x3a1bfa06,0x2e0000ff,0x17fe40bd,
    0x000bff20,0x017fe600,0xff983ff9,0x00000005,0x88000000,0x00002fff,
    0xfc837ec0,0x0000001f,0x0004ffa8,0x06fd8000,0xffd03ff9,0x3a000001,
    0x7fe400ff,0x01553002,0x6405ff98,0x2ffcc1ff,0x30000d4c,0x4cc00155,
    0x004cc400,0x4c427fec,0x00999999,0x3e61bf60,0x9998804f,0x80009999,
    0x33004ffa,0x009aa981,0xff986fd8,0x801ffd04,0x3e000999,0x2ffc807f,
    0x3ffff660,0xbff304ff,0x4c1ffc80,0xfffb14ff,0x366005ff,0x04ffffff,
    0x2e02ffcc,0xffb803ff,0xfffffb85,0x3f6004ff,0x7006fe86,0x9fffffff,
    0x09ff5000,0x3a65ff30,0x402fffff,0x06fe86fd,0xfd803ffa,0xff1000ef,
    0x05ff900f,0x3fffffee,0x7cc1efff,0x0ffe405f,0x3fa73fe6,0x03ffffff,
    0x7fffffdc,0xf301efff,0x3ffb80bf,0xb84ffc80,0x4fffffff,0xf71bf600,
    0x3fee003f,0x004fffff,0x9804ffa8,0xffffabff,0x3602ffff,0x00ffdc6f,
    0x3f601ffd,0x7fc000ef,0x82ffc807,0x98acfffb,0x7cc6fffb,0x0ffe405f,
    0x3bffbfe6,0x0fffda9b,0x159fff70,0x20dfff73,0x7dc05ff9,0x2ffe803f,
    0xfcaaaa98,0x8f2e004f,0x26004ff9,0x4ffcaaaa,0x04ffa800,0xeffeff98,
    0x06fffb99,0x4ff98f2e,0x6c07ff40,0xf8000eff,0x2ffc807f,0x8817ffc4,
    0x3fe63ffe,0x20ffe405,0x80dffff9,0xff884ffd,0x7ffd102f,0xb80bff30,
    0xfd5303ff,0x7fd400df,0x77f40004,0x7fd40000,0x4ffa8004,0x4ffff980,
    0x001fff88,0xfd003bfa,0x0effd81f,0x03ffd000,0x3217ffcc,0x7fcc03ff,
    0x80dff30f,0x7fcc1ffe,0x1ffe605f,0xf300fff2,0x5ff981ff,0xf11ffdc0,
    0x03ffffff,0x0027fd40,0x0005ff70,0x0009ff50,0xf3009ff5,0x7ff409ff,
    0x05ff7002,0x7ec1ffd0,0x320000ef,0xfff103ff,0x00fff85f,0xff31ffe8,
    0x3fff201f,0x0077fcc2,0xfff03ffe,0x83ffd001,0x7dc05ff9,0x3fffe23f,
    0x7d4000cf,0xff10004f,0x3ea0000b,0xffa8004f,0x06ff9804,0x4401ffe4,
    0xffd005ff,0x003bff61,0xff3037b2,0xfffe881f,0x01bfe22f,0xff997fe4,
    0xffffc83f,0x402ffcc3,0x3fe21ffd,0x85ff9006,0x7dc05ff9,0x006ffc3f,
    0x009ff500,0x0003ff60,0x0027fd40,0x4c027fd4,0x7fdc05ff,0x00ffd803,
    0xffb1ffd0,0xfff9001d,0x57dffd0d,0x5ff7dffb,0xb802ffcc,0xffff33ff,
    0xf7ffd75d,0x3fe617ff,0x22ffd805,0xf7005ff9,0x05ff987f,0x3fe1ffdc,
    0x7fd40005,0x2ffb8004,0x005dfd91,0x8004ffa8,0xf9804ffa,0x1ffdc05f,
    0xe98bfee0,0x6fff45ee,0xff000eff,0xfe881fff,0xb8efffff,0x13fea2ff,
    0xf9a7fd40,0xffffffff,0x265fffd2,0xffd805ff,0x4013fea2,0x7fcc4ffa,
    0x21ffdc05,0x540005ff,0x7c4004ff,0x3ffffe5f,0x3fea003f,0x4ffa8004,
    0x405ff980,0x3e203ffb,0x37fff45f,0x3ffebffa,0xffffd002,0xdfffb101,
    0x98bfee17,0xff7005ff,0x3f73fe67,0x3fa21eff,0x00bff32f,0x7fcc1ffd,
    0x87ff7005,0x7dc05ff9,0x0027fc3f,0x0013fea0,0x4edc1ffb,0x2a007fe9,
    0xfa8004ff,0x5ff9804f,0xb01ffdc0,0x77fdc1ff,0x5c7ff46f,0xf9801fff,
    0x809802ff,0x3fe22ffb,0x25ff9006,0x01314ff9,0x017fe618,0xdff11ffe,
    0x30bff200,0xffb80bff,0x0000d543,0xa8013fea,0x7fe403ff,0x09ff5000,
    0x009ff500,0xfb80bff3,0x47ff503f,0x46fdaff9,0xfff90ffe,0x00131003,
    0x7c2ffc80,0xffe800ff,0x0009ff30,0x2202ffcc,0x0fff86ff,0x4c0ffe80,
    0x7fec06ff,0xf5000003,0x3fe2009f,0x037f4405,0x0009ff50,0xf3009ff5,
    0x3ffb80bf,0x7f45ff88,0xffe8dfb5,0x003fff60,0x7fe40000,0x2027fec2,
    0x3fe65ffa,0x3fe60005,0x41ffec05,0x7d404ffd,0x0fff885f,0x107fff70,
    0x9ff50000,0x803ff600,0x2000ffe9,0xa8004ffa,0xff9804ff,0x41ffdc05,
    0x3fee0ffd,0xffe8dfb0,0x0077fec0,0x7fe40000,0x817ffcc2,0x3e61fff9,
    0x3e60005f,0x1bfea05f,0x9817ffcc,0xfff01fff,0x7ffff705,0x00037fcc,
    0x2a013fea,0x3fea03ff,0x7fd4000e,0x4ffa8004,0x405ff980,0x7fd43ffb,
    0x7fffff43,0x1ffd2fff,0x00effe88,0x7fe40000,0xadfffc82,0x44fffca9,
    0x20005ff9,0x99adfff9,0x201fffda,0xa9adfffc,0x3204fffc,0xfdaadfff,
    0x3fa3ffdf,0x555002ff,0x55bff955,0x37fc4355,0x333bff90,0x95555501,
    0x35555bff,0x7e555554,0x41aaaadf,0x7dc05ff9,0x21bfe23f,0xfffffffe,
    0x101ffd2f,0x0000dfff,0x902ffc80,0xffffffff,0x0bff307f,0x7fffcc00,
    0x1effffff,0xfffffc80,0x4403ffff,0xffffffff,0x3fa3ff9b,0xfff003ff,
    0xffffffff,0x0ffe4bff,0xffffff88,0xfffff83f,0xffffffff,0x3fffffe5,
    0x5fffffff,0x2e02ffcc,0x07ff23ff,0x3fa66662,0x01ffd09e,0x0017ffe6,
    0x02ffc800,0x3fffff6a,0x0bff301d,0xffeb9800,0x4003dfff,0xdfffffda,
    0xfffb1001,0x8ffe23df,0xf000effa,0xffffffff,0x3e6bffff,0x3ffe203f,
    0xff83ffff,0xffffffff,0x3ffe5fff,0xffffffff,0x2ffcc5ff,0x7ccffee0,
    0x1bf6003f,0x7d401ffd,0x000005ff,0x00262000,0x26000000,0x13100000,
    0x00998000,0x00000620,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x000acca9,0x31000000,0x09880001,0x00009980,
    0x98002aa6,0x53100009,0x3ae00013,0x32ea6004,0x55501abc,0x002aa600,
    0x0006f2a2,0x155e54c0,0x2000d440,0x99881aa9,0x3ff62009,0x8003ffff,
    0x7ec41ef9,0x2fff8803,0x7fff3000,0x002ffcc0,0x06ffffa8,0x2003ffa8,
    0xffffffd8,0x03ff8007,0xffffffb8,0x7fc44fff,0x05ff9006,0x7fffff5c,
    0x6c4000df,0xffffffff,0x07fff505,0xfffffeb8,0x0fffe65f,0xffffffe8,
    0x7f4003ff,0x07ffdc5f,0x01bfff20,0x3ffffe60,0x00bff303,0x3ffb3660,
    0x01bfe203,0xffffffa8,0x7cc007ff,0x3ffa201f,0xffffffff,0x8037fc44,
    0xfd882ffc,0xfffedeff,0xfff5001e,0xffffffff,0x03ffffa0,0x3fffffa6,
    0x3fe67fff,0x1dff703f,0x003fff22,0x7dc5ffe8,0x7fe400ff,0x7fcc006f,
    0x983ffd8e,0x880005ff,0x3ff204ff,0xdfff1001,0x00955335,0x80dfb553,
    0x4c1beffd,0x37fc42b9,0x442ffc80,0x5c40cffe,0x7e401fff,0xa98abeff,
    0xffff07eb,0xffff881f,0x27ca99ab,0xfd02fff8,0x03fff03f,0x6406ecc0,
    0xfff8802d,0x17fe6002,0xff987ff9,0x36aa0005,0x7ff302ff,0x02ffe400,
    0x7ffff4c0,0x3fea06ff,0xff88001f,0x85ff9006,0x7cc02ffc,0x3ffe606f,
    0xff901805,0x1dffb0bf,0x5fff1040,0x7e41ffe0,0x0000002f,0x00002620,
    0x02ffcc00,0x1bfffd00,0xd001bfa0,0xfc8003ff,0xffffffff,0x00bff905,
    0x401bfe20,0x3fe62ffc,0x07ff3003,0x00013ff6,0xff502f6e,0xfff8001f,
    0xb01fff01,0x000003ff,0x00000000,0x002ffcc0,0x0fffb970,0xf8003ff9,
    0x7fe4007f,0xffff91bf,0x007ffb0b,0x401bfe20,0x1ff62ffc,0x2179db71,
    0xfffa86fd,0x6c000000,0xff8003ff,0x85ffd01f,0x22007ff9,0x09999999,
    0x4ccccc40,0x33100099,0x40133333,0x554c5ff9,0x87ff6001,0x44004ff9,
    0x3e2007ff,0x767fc1ff,0x2ffe44ff,0x06ff8800,0x3e25ff90,0x3fffa63f,
    0x85ff30ff,0x00004ffd,0x000fff80,0xf701fff8,0x17ff4cdf,0xfffff700,
    0xffb809ff,0x004fffff,0xfffffff7,0x9affcc09,0x82fffffe,0x0fffb999,
    0x22001bfa,0x3f6006ff,0x4cffcc3f,0x7ffd47ff,0x6ff88004,0x265ff900,
    0x37ffa0ff,0x0ffe0daa,0x00003ffd,0x007ff880,0x2201ddb0,0xfffbcfff,
    0x7ffdc004,0x5c04ffff,0x4fffffff,0xfffff700,0x7fcc09ff,0xffffffac,
    0x7ffdc2ff,0x07fee3ff,0x01bfe200,0x7e40fff8,0xfb0bff66,0x44005dff,
    0xff9006ff,0xffb9fee5,0x3e2ff403,0x000000ff,0x00037fcc,0x3fffea00,
    0xa98002ff,0x04ffcaaa,0x7e55554c,0x5553004f,0x4c09ff95,0x9aeffeff,
    0x7546fffb,0x3fe60cde,0xcccca804,0xccccfffc,0xbff11ccc,0x7fe47ff0,
    0x7fffec43,0x7fc400cf,0x25ff9006,0x03ff26fc,0x7fc4df90,0x98000007,
    0x260007ff,0x3ffe602b,0x200000df,0xa8004ffa,0x2a0004ff,0x3fe604ff,
    0xfff885ff,0x03bfa001,0x3fffff20,0xffffffff,0x89ff33ff,0x3fee1ff9,
    0xfffff704,0x3fe203bf,0x25ff9006,0x01bfa5fd,0x6ffa9fee,0xf8800000,
    0xfb8000ff,0xfffa84ff,0x66540eff,0x27fd4001,0x027fd400,0x409ff500,
    0x3a05fff9,0xff7002ff,0x3bbae005,0xeeefffee,0xff52eeee,0x7d46fc89,
    0x7ff5404f,0xff883fff,0x25ff9006,0x01bfa6fd,0x6ffa9ff2,0x06a60000,
    0x2000bffe,0x2a1fffff,0x5fffbfff,0x20017fe4,0xa8004ffa,0x2a0004ff,
    0x3fe604ff,0x01ffe406,0x0002ffc4,0x5401bfe2,0x21ffc5ff,0xb3003ffa,
    0xf889ffff,0x5ff9006f,0x0ffd9ff2,0xff32fec0,0x3ea0000f,0x37fe43ff,
    0x3fffe200,0x23fff12f,0x3fa4fff9,0x7fd4001f,0x4ffa8004,0x13fea000,
    0x5c05ff98,0xffd803ff,0x7fc40000,0x4dff3006,0x7fdc1ff9,0x7ff44002,
    0x01bfe22f,0xffa97fe4,0x0419ff70,0xfff893fa,0xffd80000,0x3ffe20ff,
    0xffd0600d,0x13ff21ff,0x3fe5fff7,0x7fd4000f,0x4ffa8004,0x13fea000,
    0x5c05ff98,0x7fdc03ff,0x017bba62,0x88037fc4,0x21bf27ff,0xb0001ffe,
    0x3ffc4bff,0xf32ffc80,0x6ffffc3f,0xf0ffe0fe,0x900003ff,0xfb85ffff,
    0xcaabcfff,0x17ff4c7e,0xffb03ffd,0x000fff5f,0x50009ff5,0x540009ff,
    0x3fe604ff,0x01ffdc05,0xffe8bff1,0xdff1006f,0xfa7fec00,0x037fcc3f,
    0xf8fff500,0x3ffb007f,0xfe997fe2,0xff50ffff,0x004ffe83,0x3ffff880,
    0xffffffa8,0xf0107fff,0x3ffa01ff,0xa8004fff,0xfa8004ff,0x3ea0004f,
    0x17fe604f,0x6c07ff70,0x3bfee0ff,0xdff1006f,0x67ffcc00,0x3ffa61ff,
    0x3fe60001,0x4007ff46,0x07fe47ff,0xfe826ea6,0x00fffb86,0x2fffb800,
    0xffffd710,0x7fc007df,0xffff101f,0xff50003f,0x9ff50009,0x27fd4000,
    0xb80bff30,0x7ff503ff,0x37ed7fcc,0x006ff880,0x4fffffd4,0x005fffca,
    0x362ffdc0,0x7fd403ff,0x802ffc46,0xffd01ffa,0xff30000b,0xcffa801f,
    0xb0bfee01,0x7fcc07ff,0xff50006f,0x9ff50009,0x27fd4000,0xb80bff30,
    0x5ff883ff,0x06fdaff4,0x000dff10,0xfffffff5,0x400609ff,0x7d42fff9,
    0xffd101ff,0x01bff905,0xf502ffdc,0x1c403dff,0x900dff70,0xffd803ff,
    0x80fffdc0,0x003ffffb,0x8004ffa8,0x20004ffa,0x3e604ffa,0x1ffdc05f,
    0xff707fec,0x4401bf61,0xf70006ff,0x03bfffff,0x2b337fe2,0x5fffecba,
    0x359fffb0,0x40bfff95,0x511beffc,0xd801dffb,0xcbceffff,0xff507fec,
    0x0dfd003f,0x3fa0dff0,0xfecaacff,0x001fffff,0x40027fd4,0x20004ffa,
    0x3e604ffa,0x1ffdc05f,0xffd0ffea,0x05ffffff,0x0006ff88,0x00133df9,
    0xfffffff1,0x40bfffff,0xffffffd8,0x5c00dfff,0xffffffff,0x3fea004f,
    0xffffffff,0x3fffb2e7,0x04ff8803,0xe981ffc4,0xffffffff,0x00fffeae,
    0xff955555,0x5435555b,0xdffcaaaa,0xaa81aaaa,0xadffcaaa,0xbff31aaa,
    0x223ffb80,0xfffe86ff,0x402fffff,0xf0006ff8,0xfdb0007f,0x9fffffff,
    0x3ffae003,0x2002dfff,0xcefffec9,0xfec88002,0x21bcefff,0x001efffd,
    0xfa805ff3,0x7ff5c01f,0x3fe23eff,0xfffff06f,0xffffffff,0x7fffffcb,
    0x5fffffff,0xfffffff8,0x35ffffff,0xffb80bff,0x2207ff23,0x9efe9999,
    0x037fc400,0x0007fcc0,0x00666660,0x00026200,0x000004c0,0x57990062,
    0x08800000,0x00004c00,0x3ffffffe,0x25ffffff,0xffffffff,0xf85fffff,
    0xffffffff,0xff35ffff,0x33ffb80b,0x7ec007ff,0x0dff1006,0x00079500,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xa9880000,
    0x55554c1a,0x0aaaaaaa,0xabccba88,0xbca88001,0x03980009,0x59975100,
    0x654c0003,0x554c0abc,0xaaaaaaaa,0x9bca8802,0x00d54400,0x65d44000,
    0x06aaa01b,0x4c0aaa80,0x009aaaaa,0x2aaa6000,0x40aaaaaa,0xfb5000a8,
    0xfc8bffff,0xffffffff,0x7ffdc3ff,0x02efffff,0xfffffe98,0xdff1004f,
    0xfffc8800,0x003effff,0xffffffd3,0x3ff21bff,0xffffffff,0x3fffe607,
    0xf300efff,0xb80000bf,0x3fffffff,0x5006ffc8,0xfff90dff,0x07dfffff,
    0xfffff800,0x2e1fffff,0x3ee02fff,0x5fffffff,0x7fffffe4,0x643fffff,
    0xffffffff,0x3fe602ff,0xdfffffff,0x037fc400,0xdfffff10,0x807fffff,
    0xfffffffb,0xff90ffff,0xffffffff,0x3fffee0f,0x81ffffff,0x00005ff9,
    0x3ffffffa,0xffe86fff,0x81fff803,0xfffffffc,0x8001efff,0xfffffffa,
    0xfff11fff,0xfff701ff,0x8133579f,0x9999affc,0x5dc09999,0x3ffae609,
    0xcfffa80f,0x017ffea1,0x6c00dff1,0x9310adff,0x3fa03fff,0xa98abeff,
    0x33310feb,0xfff33333,0x159fff90,0x83fffd73,0x00005ff9,0xd985fff7,
    0x0fffa82f,0x6417fee0,0xcba99bff,0x4003ffff,0x406ffefd,0x41fffff9,
    0x2003fffb,0x00001ffc,0xe83ffe88,0xfff303ff,0x037fc401,0x200fff88,
    0xffb83ffe,0x0009804f,0xff88fff1,0xbffd103f,0xffffff98,0xf1003def,
    0xb00c03ff,0x3fe209ff,0x05ff900f,0x003fff62,0x37fd7fcc,0x3ffffe20,
    0x003ffe20,0x0003ff90,0x313ff200,0xffb80bff,0x3e666664,0x999999ef,
    0x80bff509,0x7fc44ffb,0x8800002f,0x27fe47ff,0x983ffe60,0xffffffff,
    0x7d403fff,0x3e60004f,0x3ffc81ff,0xb00bff20,0x3f2009ff,0xf500dff7,
    0x2ffc85ff,0x01ffc800,0x7ff70000,0x4402ffd8,0xffff0fff,0xffffffff,
    0x3fea9fff,0x217fe405,0x00005ffd,0x7c4fff10,0xffd800ff,0x333bfe64,
    0x4ffffdcc,0x000ffee0,0xf98bff90,0x17fe406f,0x007ffe60,0x037fd3fe,
    0x6ff80988,0x03ff9000,0x3ff20000,0x2203ffc1,0xfff1fffd,0xffffffff,
    0x7fc9ffff,0x83ffe01f,0x0001fff8,0x54fff100,0xff7005ff,0x882ffccd,
    0xf902fffc,0xf880005f,0x07ff61ff,0xb005ff90,0xffa807ff,0x8000dff1,
    0x90004ff9,0x000003ff,0xff88dff1,0x3fffe606,0xf755552f,0x555555df,
    0x0fffe435,0xf317ff62,0x400000bf,0x3fee7ff8,0x4fff1003,0x7e405ff9,
    0x05ffb06f,0x2dff5000,0xfc805ffa,0x4ffc802f,0xdff37f40,0x2ffb8000,
    0x0379b973,0x2aaafff2,0x3a600009,0x2ffcc1ff,0xffffffb8,0x00dff103,
    0x46ffff44,0x5c0dfffa,0x000004ff,0xffd9ffe2,0x99ffe002,0x7fc405ff,
    0x005ffb07,0x3abffa00,0xffc800ff,0x05ffb802,0x6ff8ffe6,0x67fec000,
    0xfffffffe,0x7fffe40d,0x402dffff,0xefffeeea,0x444ffa80,0xffabfffd,
    0x00dff104,0xffffff90,0x0fff209f,0x2aaaaaa2,0xfff1000a,0xf000fff4,
    0x17fe61ff,0x5447ffa0,0xaaacffea,0x26002aaa,0x403fffff,0xeeefffee,
    0x06ffa81e,0xfff83ff2,0x2006eeee,0xdefffffd,0x20ffffed,0xfffffffc,
    0x3ee04fff,0x82dfffff,0x3fea3ffb,0x0bff31ef,0x4001bfe2,0x0efffffc,
    0xf305ffb0,0x03ffffff,0xff9ffe20,0x3ffa000f,0xd00bff31,0x3ffea3ff,
    0xffffffff,0x7fe4005f,0xffff806f,0x981fffff,0xbff107ff,0xfffffff8,
    0x3fffa007,0x4ffe980b,0x7ff5ccc0,0xdddd504f,0x541bffff,0xbfff93ff,
    0x8827fd41,0xfb8006ff,0x3fffffff,0xf982ffe8,0x01ffffff,0x7fcfff10,
    0x3ffa001f,0xf00bff30,0x3ffea1ff,0xffffffff,0x7fc4005f,0xffee802f,
    0x981eeeef,0x5ff707ff,0xccccfff8,0x07ffa004,0x001fff30,0x0007ffe4,
    0x7d4bffd5,0x83fffedf,0xff104ffa,0x7fec400d,0x9ffff72e,0xb003ffd8,
    0x3e2003ff,0x007ffa7f,0x3fe67ff8,0x137fd405,0x337ffb33,0x44013333,
    0xfffeeeee,0x902eeeee,0xff5005ff,0x3e1ffa0d,0x7ec0006f,0x1ffe801f,
    0x017ff400,0x4cbffa20,0x01efffff,0x3e207ff7,0x3ffa006f,0x7ffec40d,
    0x4013fee2,0xf1001ffd,0x017fecff,0x3e66ff88,0x3ffe205f,0x005ffb02,
    0x3ffffe60,0xffffffff,0x005ff902,0xff30bff7,0x000dff09,0xd802ffc8,
    0x7e4002ff,0xffb8004f,0x1bffff14,0x8817fe40,0xff3006ff,0x26ffd80d,
    0xfb005ffa,0x3fe2003f,0x400fff27,0x3fe65ff9,0x5fffb985,0x000bff60,
    0x7e666644,0x1cccccff,0xb005ff90,0x5ff907ff,0x0dff3333,0x03ffb800,
    0x4002ffc8,0xa8003ffc,0x0fffe5ff,0x4407ffa0,0xff7006ff,0x27ff9805,
    0xd800fff9,0xff1001ff,0x8037fdcf,0x3fe64ffc,0xffffffff,0x3ff600df,
    0x7f400002,0x3ff2000f,0x0fffc402,0x3fffffe2,0x0006ffff,0x7402ffd4,
    0x7f4001ff,0xffb8001f,0x300fff63,0x7fc40dff,0x03ffd007,0x7f41fff0,
    0x1ffd804f,0x44bff300,0xff800fff,0x3fffe61f,0x02efffff,0x0002ffd8,
    0x0007ff40,0xfc805ff9,0xffffb86f,0x06ffffff,0x07ffc400,0x800fff30,
    0xd0007ffa,0x37fcc3ff,0xf00bff60,0xffd005ff,0x47ff9807,0x6c01fffa,
    0xff9001ff,0x405ffd89,0x7fcc5ffc,0x00abccce,0x000bff60,0x7f777744,
    0x2eeeeeff,0x5c05ff90,0xffe82fff,0xff999999,0xffc80006,0x00fffa05,
    0x002fffa8,0x742ffec4,0xfff904ff,0x00bffb00,0x6c01fff9,0xfffd85ff,
    0x6c7ff603,0x83fff302,0xf704fff9,0x5ff983ff,0x2ffd8000,0xffff1000,
    0xffffffff,0x0bff205f,0x217fff62,0x3fe04ff9,0xff880006,0xfeb99aef,
    0x4d55e46f,0x44fffeba,0xba9aaac8,0x980efffd,0xdb9befff,0xfa801fff,
    0xcaaadfff,0x59ffff13,0x3fffd753,0xbffffd10,0x3fff9559,0x32ef3bfa,
    0xff904fff,0xffd959df,0x0bff309f,0x3fb32600,0xccccccdf,0xccc884cc,
    0xcccfffcc,0xbff901cc,0xfffffd99,0x807ff609,0xaaaaaeff,0x7ffcc001,
    0x0dffffff,0x7ffffffc,0xff983fff,0xffffffff,0x3ffe600d,0x01ffffff,
    0x3fffff60,0x3fe64fff,0xffffffff,0x7ffe401f,0xffffffff,0xffffffd1,
    0x7dc01bff,0xffffffff,0x00bff302,0x3ffffea0,0xffffffff,0x3ffa007f,
    0x3fff2000,0x2effffff,0xf80dff10,0x3fffffff,0xfffd8800,0xfff02dff,
    0x407dffff,0xfffffff9,0xdb1001de,0x0019dfff,0xfffffd50,0xfffb887f,
    0x2003ffff,0xfffffed9,0x3ff261ce,0x5002dfff,0x1bdfffdb,0x002ffcc0,
    0xffffffa8,0xffffffff,0x03ffa007,0xfffffc80,0x7dc01cde,0x7fffc03f,
    0x0003ffff,0x998004c4,0x4cc00099,0x88000099,0x22000009,0x33300099,
    0x26660000,0x00098800,0x00004c40,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55555553,0x55555555,0x2aaaaa63,0x42aaaaaa,
    0x01aaaaaa,0x0de5cc00,0x55555540,0x1aaa8009,0x542aa800,0x1553002a,
    0x55555554,0x00aaaaaa,0x002aaa88,0x2aaaaaaa,0x2aaaaaaa,0x51006aa2,
    0x1aa80155,0x55500aa8,0xaaaa8800,0x000099aa,0xfffffff7,0xffffffff,
    0x3fffff2b,0x0fffffff,0xfffffff1,0xb1007bff,0x5dffffff,0x3ffffe20,
    0x901dffff,0xfa800bff,0x01ffe26f,0xfff17fe4,0xffffffff,0xffb003ff,
    0x7ffc00ff,0xffffffff,0xff50ffff,0x05ffd80b,0x7fc42ff8,0x800fff02,
    0xfffffff9,0x2000bfff,0x999999fb,0xe9999999,0xffffff95,0x21ffffff,
    0xfffffff8,0x501effff,0xffffffff,0xfff107ff,0xffffffff,0x01fff509,
    0xf11ffe40,0x3ff200ff,0x3fffffe2,0x1fffffff,0x2fffff80,0xffffff00,
    0xffffffff,0x817fea1f,0x4400effc,0x0ffcc2ff,0x4c007ff8,0xffffffff,
    0x7000ffff,0x2bd0018f,0x9999cffc,0x3e219999,0xcba999ff,0x7c42ffff,
    0xe988acff,0x7fc40fff,0xffdb999f,0x2fff82ff,0x887ffe00,0xff9007ff,
    0x7cccccc5,0x01999aff,0x5ffeffa8,0x55555500,0xff755555,0xa82ffd4f,
    0xf9800fff,0x807fd41f,0x7cc007ff,0xda9999df,0xf7006fff,0xd02dfff8,
    0x000fff2b,0x7440dff1,0x0fd40fff,0xf889ffd0,0x1bff607f,0x4c017ff2,
    0x3ffc46ff,0x402ffc80,0xd8000ffe,0x007ffaff,0x24ffb800,0xff885ffa,
    0x1ff5002f,0x3fe07fb8,0x2ffcc007,0x003fff50,0xffecc8f7,0xffcaf40e,
    0x37fc4003,0x0427ff40,0xf117fee0,0x7ffc40ff,0x803ffd40,0x7fc43ffc,
    0x05ff9007,0x8000ffe8,0x05ffd6ff,0x0ffe8000,0x3fa17fea,0x1fee003f,
    0x7ff81ff2,0x02ffcc00,0x2e00fff6,0xd1bf6207,0x000fff2b,0xf300dff1,
    0xf98001ff,0x03ffc47f,0x3fe07ffe,0x1ffe802f,0xc803ffc4,0x7ff402ff,
    0xa7fd4000,0x00004ffb,0xff513fee,0x404ffd8b,0xcffeccc9,0xccffeccc,
    0x001ffe1c,0xfc80bff3,0x807b803f,0x7e57a2fe,0x7fc4003f,0x07ffd006,
    0x447ff980,0x7ffc07ff,0x404ffc80,0xff886ff9,0x05ff9007,0x4000ffe8,
    0xfff11ffd,0x7ff40000,0xf72ffd40,0xfff500bf,0xffffffff,0x7c7fffff,
    0x7fcc007f,0x007ff405,0x27e403dc,0x00fff2bd,0x200dff10,0x54004ffc,
    0x3ffc45ff,0x2a0fff50,0x7fe407ff,0x007ff883,0xfe805ff9,0x3ffc000f,
    0x0000bffa,0x3ea17fee,0x01dff35f,0xdff99930,0x9dff9999,0x03ffc399,
    0x9817fe60,0x0f7006ff,0xcaf47fb0,0x7c4003ff,0xbff7006f,0x44ffd800,
    0xff307ff8,0x0fffc07f,0xf103ffd0,0x3ff200ff,0x007ff402,0xfc89ff50,
    0xfe80004f,0x8dffa81f,0xd0001fff,0x407ff09f,0x7cc007ff,0x3fff505f,
    0xf501ee00,0xffcaf43f,0xeeeeeeee,0x01bfe24e,0x30037fd4,0xff881fff,
    0xffdbaaaf,0x27fe405f,0xf106ff98,0xddddddff,0x05fffddd,0x2000ffe8,
    0x7fcc2ffd,0x7fd40007,0xfdbff505,0x7fc0005f,0xf017fc43,0xff9800ff,
    0xfffeeeef,0x21ee000d,0x743fffed,0xffffff95,0x44bfffff,0xff3006ff,
    0x27ff400f,0x7fffffc4,0xa803ffff,0x7ff707ff,0x3ffffe20,0xffffffff,
    0x7ff402ff,0x41ffe000,0x20001fff,0xff501ffe,0x4000dfff,0x7fc43ff8,
    0x001ffe02,0xfffffff3,0x40039fff,0x0bcfe87b,0xddff95e8,0x9ddddddd,
    0x98037fc4,0xffb006ff,0x3fffe20b,0x000effff,0x3fa07ffe,0xdfff100f,
    0xdddddddd,0xfe805fff,0xbff5000f,0x0013ff20,0xf502ffd4,0x009ffdbf,
    0xf30bfe60,0x03ffc03f,0x3bbffe60,0x4fffffee,0x0fd0f700,0x07ff95e8,
    0x006ff880,0xf900dff5,0x3fe201df,0x03bff267,0x2227fe40,0x3fe206ff,
    0x05ff9007,0x9000ffe8,0x3fe605ff,0x3ffd0007,0x7ceffd40,0xf98002ff,
    0x007fd41f,0xf9800fff,0xfff9305f,0xfd0f7007,0x7ff95e80,0x06ff8800,
    0xc80bff70,0x3e200fff,0x05ffc87f,0xfb8dff50,0x1ffe203f,0x2017fe40,
    0xff000ffe,0x0fffc01f,0x01bfea00,0x3feabff5,0x5554401f,0xdaaabffc,
    0x7c1aaaff,0x7fcc007f,0x03ffe405,0x201543dc,0x007ff95e,0xb006ff88,
    0x7fe407ff,0x3ffc401f,0x8017ffc4,0x3ff61fff,0x01ffe200,0x3a017fe4,
    0xffa800ff,0xcccccccf,0x74004ffe,0x7fd402ff,0x803bff25,0xfffffff9,
    0xffffffff,0x003ffc4f,0xf1017fe6,0x07b803ff,0x3ff2bd00,0x37fc4003,
    0x80fffc40,0x8801fffc,0xdff707ff,0x453ff200,0x7fc406ff,0x05ff9007,
    0xc800ffe8,0xffffffff,0x007fffff,0x2a01bfea,0x2fff45ff,0xfffddd30,
    0xdfffdddd,0x07ff87dd,0x402ffcc0,0x3dc01ffe,0x5e803ba2,0x88007ff9,
    0xffd806ff,0x01fff906,0x441ffe20,0xfa801fff,0x807ff76f,0xf9007ff8,
    0x0ffe805f,0xffffff80,0xffffffff,0x5ffd001f,0x88bff500,0xfb003fff,
    0xf80bfd0d,0x7fcc007f,0x00fff805,0x0ffea3dc,0x07ff95e8,0x406ff880,
    0xfc81fffb,0x3e2000ef,0x17ff207f,0x7ec7ffc0,0x3ffc400f,0x402ffc80,
    0x7d400ffe,0x999999ef,0x04ffd999,0x5006ffa8,0xfff50bff,0xd0bfb005,
    0x07ff809f,0x202ffcc0,0x7b806ffa,0xbd006ec4,0x1000fff2,0x3fa60dff,
    0xeffc84ff,0x3ffc4000,0x003fff10,0x0dff9ff9,0x200fff10,0x7f402ffc,
    0x1ffe400f,0x806ffa80,0xf5002ffe,0x3fff20bf,0x7c27f400,0x03ffc03f,
    0xa817fe60,0x7b803fff,0x3f2bd000,0xccccccdf,0xfff10ccc,0xffffdb99,
    0xdfff509f,0xdddddddd,0x1ffe21dd,0x500bff90,0x007fffff,0x3200fff1,
    0x333322ff,0xccccfffc,0x003ffe0c,0x2a01fff8,0x3ea006ff,0x1bffa05f,
    0xff887ff0,0x667ffc02,0x3ccccccc,0x9999dff3,0x009fffdb,0x333333ee,
    0xcccccccc,0xfffff95f,0x1fffffff,0x3fffffe2,0x702effff,0xffffffff,
    0x23ffffff,0x7c407ff8,0xfff801ff,0xff8800ff,0x45ff9007,0xffffffff,
    0xf51fffff,0xffd800df,0x00fffa04,0x2205ffa8,0xff104fff,0x402ff987,
    0xffffffff,0xff36ffff,0xffffffff,0x7fdc007f,0xffffffff,0xf95fffff,
    0xffffffff,0x3fe21fff,0x1bdeffff,0x7ffffdc0,0xffffffff,0x00fff11f,
    0xfb00bffb,0x3e200dff,0x5ff9007f,0x7ffffffc,0x91ffffff,0xfa8007ff,
    0x0fff506f,0x405ffa80,0xf883fffa,0x00ffcc2f,0x3ffffffe,0xf36fffff,
    0x9ddfffff,0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xb9880000,0x2a6009bc,0xaaaaaaaa,
    0x2aaa22aa,0xa8019aaa,0x544001aa,0x06aaa0aa,0x88555440,0x544001aa,
    0x00d5541a,0x4002aaa2,0x554c02aa,0xaaaaaaaa,0x552aaaaa,0x15530055,
    0x1aaaa800,0x2aaaaaa0,0xaaaaaaaa,0x0a000982,0x2e01c800,0x2fffffff,
    0xffffff70,0x21ffffff,0xfffffff9,0xff702eff,0x7fec001f,0x007ffe45,
    0xff12ffec,0x2ff9800b,0xb01bffe2,0xfa805fff,0x7fdc07ff,0xffffffff,
    0xff5fffff,0xffc805ff,0x3ffe6001,0x3fff603f,0xffffffff,0xbf910fff,
    0x0037ee00,0x441ffd88,0xffeffffe,0xfffb84ff,0xffffffff,0xfffff30f,
    0x1dffffff,0x2009ffd0,0xfe81fff9,0x7ffd404f,0x0017fe20,0x7fc45ff5,
    0xfff101ff,0x3ffaa05f,0x7fdc07ff,0xffffffff,0xff5fffff,0xffc80dff,
    0x3fffa001,0x3fff603f,0xffffffff,0xfff10fff,0x2fff8805,0x3dffd100,
    0x540dffd8,0x7fdc2fff,0x9999999d,0x277fe619,0xfffda999,0x0fffd40e,
    0xa827fec0,0x3fa01fff,0x005ff83f,0xff30ffd4,0x3fee07ff,0x7ff543ff,
    0x4407ffff,0xff999999,0x099999af,0x403fffff,0xf9001ffc,0x5407ffff,
    0xaaaaaaaa,0x545ffeaa,0x43530fff,0xf3004ffd,0xffb81bff,0x71bfe606,
    0xf98009ff,0x3ffe605f,0x405ffe84,0x3600fff9,0xdff906ff,0x7001bfe0,
    0x6ffcc3ff,0xffbfd06f,0x67fffdc7,0x20007ffa,0x7fc00ffe,0x3f205fff,
    0xeff9801f,0x80003ffb,0xfc80fffa,0xefffffef,0xff7006ff,0x07ffa09f,
    0x7dc5ffd0,0x7fcc004f,0x43ffd405,0x3601fff9,0x7fc403ff,0x0fffcc3f,
    0x5c006fe8,0x2ffe60ff,0x57fcc1ff,0x37fe23ff,0x000fff30,0x3e007ff4,
    0x901ffdef,0xffd003ff,0x0007ff73,0x203fff88,0xfffffffe,0xfc800fff,
    0x1ffe03ff,0xfb93fea0,0x7fcc004f,0x80fff805,0xff506ffd,0x3ffee00d,
    0xe813ff60,0x7fdc007f,0x3fe3fea0,0x7fc77e44,0x3fe60e44,0x3ffa0007,
    0x7d77fc00,0x03ff905f,0xff74ffb8,0xffc80007,0x5fffe406,0x00ffffc9,
    0x807fff62,0xf9806ff9,0x013fee5f,0xd00bff30,0xfff103ff,0x005ffd05,
    0xffaa7ff4,0x003fec06,0x1ff51ff2,0xf3ff8ff9,0xfff3009f,0x07ff4000,
    0x7ff5bfe0,0x201ffc80,0x3fee6ff8,0x3fea0003,0x3ffe200f,0x81fff441,
    0x400effe8,0xf8807ff8,0x013fee6f,0xf00bff30,0x3ff201ff,0x0037fd46,
    0x3febffe6,0x43fec01f,0x47fc84eb,0x2ff98ffb,0x13fe1ff5,0x001ffe60,
    0x7c00ffe8,0x909ff76f,0x7fec03ff,0x000ffee1,0x201fff44,0xff505ffb,
    0x0bfff30b,0x4007ffc0,0x13fee7ff,0x80bff300,0x3e207ff8,0x07ffa3ff,
    0x3ffff200,0x0ffc804f,0x3f607ff4,0xff87fdc6,0x2ffcbfb5,0x003ffcc0,
    0xf801ffd0,0x81fff16f,0xff501ffc,0x003ffb89,0x900dff90,0x3fe205ff,
    0x02fffd46,0x3013ff60,0x3fee1fff,0xaaaaaaad,0x017fe61a,0xfb809ffb,
    0x00bff56f,0x07ffff40,0xf307fe40,0x46fd87ff,0x1ff90ffb,0x02ffc5ff,
    0x0003ffcc,0xff801ffd,0xf913ff26,0x0dff103f,0x30007ff7,0xfb001fff,
    0x43ffc03f,0x2002fffc,0x109dfff9,0x5cffffb5,0xffffffff,0x3fe64fff,
    0x1fffb105,0xfd7ffd00,0x7d40001f,0xff7004ff,0x22fffdc3,0x33fe45fe,
    0xff8ffbff,0x07ff9806,0x003ffa00,0x7ffc4dff,0x3607ff20,0x3ffb81ff,
    0x03ffe800,0x2205ffb0,0xfff707ff,0x7ffdc009,0xffffffff,0x3fffee6f,
    0x4fffffff,0x3333bfe6,0x01ffffed,0x9fffff50,0xfffe8000,0x1ffa800f,
    0xe83ffffa,0x3a3fe45f,0x37f44fff,0x003ffcc0,0xf801ffd0,0x91ffe46f,
    0x4ffa83ff,0x8007ff70,0x32006ffc,0xbff303ff,0x02fffd40,0xfffffd30,
    0x5cbff39f,0x7cc004ff,0xffffffff,0x7ec000df,0x20000fff,0x05fffffb,
    0xff12ffa8,0x27fc7ff5,0xfff71ff6,0x9806fe83,0x3a0007ff,0x37fc00ff,
    0xffc9ffe6,0xb807ff41,0x3e6003ff,0x3ee000ff,0x07ffb06f,0x00effe98,
    0x9866a620,0x13fee4ff,0xfffff300,0x000379df,0x000fffe6,0xffafff88,
    0x97fcc02f,0x7cdfd6fb,0x223fec4f,0x07fe86ff,0x0007ff98,0xff003ffa,
    0x325ffb0d,0x0bff21ff,0x2003ffb8,0xf8003ffe,0xff912dff,0xffb1001f,
    0xf700003f,0x027fdc5f,0x0017fe60,0x007ff400,0x2e9ffb00,0x3e600fff,
    0x3f29fd3f,0xfd87ff0f,0xfe83ec87,0x07ff9807,0x003ffa00,0xdff30dff,
    0x7fc47ff2,0xcccccccf,0x1ccceffe,0x000dff90,0x3fbffff6,0x64006fff,
    0x40002fff,0x3fee0ffd,0x2ffcc004,0xffe80000,0xfff70000,0x1027ff41,
    0x23ff17ff,0x3ff8bff9,0x36003ff4,0x7ff9807f,0x03ffa000,0x3fa0dff0,
    0xf31ffc9f,0xffffffff,0xffffffff,0x03fff305,0xfffff500,0x09ffffff,
    0x04fffb80,0xb87ff700,0x7cc004ff,0xd000005f,0xf10001ff,0xfffa87ff,
    0xf79ff101,0xff8efe8f,0x20037f42,0xff9807fd,0x3ffa0007,0xa837fc00,
    0x31ffcdff,0xffffffff,0xffffffff,0x07ffd05f,0x55fff100,0xfff37bd9,
    0xfffa8005,0x37fd4002,0x20027fdc,0x00005ff9,0x0001ffd0,0x3f60dffb,
    0x373fe06f,0x7d7fdc4f,0x0037fc2f,0xf3003ff6,0x7f4000ff,0x037fc00f,
    0x03ffbffd,0x807ff700,0xd0006ffc,0xffa809ff,0x274c000f,0x5fffd500,
    0x8009ff70,0x00005ff9,0x8001ffd0,0xf101fffa,0x37fe09ff,0x6ffcc1ff,
    0x037fc1ff,0x3003ff60,0x74000fff,0x37fc00ff,0x3fffff50,0x07ff7000,
    0x000fffcc,0xd8037fcc,0x008002ff,0xfffdd999,0x3fee05df,0x2ffcc004,
    0xffe80000,0x3ffe2000,0x0fffdc04,0xe83ffff4,0x7fc1ffff,0x0ffe4006,
    0xffdddddb,0x00dddddf,0xff003ffa,0xffffe80d,0x3ffb8001,0x3bbfffa0,
    0xeeeeeeee,0x400b221e,0x400000d8,0xffffffff,0x027fdc03,0x0017fe60,
    0x007ff400,0x001fffb0,0xffd0dffd,0x3ffee09f,0x01bfe20f,0x7fc3ff90,
    0xffffffff,0xfd007fff,0x06ff801f,0x00ffffdc,0x881ffdc0,0xffffffff,
    0x2fffffff,0x00000000,0xabcefff8,0x04ffb800,0x002ffcc0,0x00ffe800,
    0x005fff50,0xfb0fffea,0x3fe203ff,0x17fe20ff,0x7c3ff900,0xffffffff,
    0xd007ffff,0x6ff801ff,0x0ffffc40,0x81ffdc00,0xfffffff8,0xffffffff,
    0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80376400,0x200000c8,0x22000aa8,
    0x1a880aaa,0x20003000,0x009aaa98,0x20355300,0x4cc40099,0x2aaaa600,
    0x0554c001,0x4cccccc0,0x21999999,0x88009998,0x02662099,0x22133100,
    0x26600099,0x04d554c1,0x100ffd00,0x40003dfd,0xffffffd8,0x3fff6603,
    0xfffd15ff,0x3fa2005f,0xfec8801f,0x0cffffff,0xffffeb80,0x17fe65ff,
    0xd887ff70,0xffffffff,0x3fff6600,0x3fe04fff,0xffffffff,0x3ffe27ff,
    0x17ffcc05,0xa8009ff3,0x0bff93ff,0xff97fee0,0x004fffff,0xfb100ffd,
    0xd30005ff,0xffffffff,0xffff701d,0xfffdbfff,0xf9003fff,0xff300bff,
    0xffffffff,0x3ffa601f,0x27ffffff,0x7dc05ff9,0x3fffea3f,0x00ffffff,
    0xfffffff7,0xfff03dff,0xffffffff,0x3fff98ff,0xf117ffa0,0xffb800bf,
    0x001fff32,0x7ffc5ffd,0x802fffff,0x3f2007fe,0x3e2003ff,0xfd310cff,
    0x215b70bf,0x52ffffea,0xff900bff,0x7bf300bf,0xfffb5133,0x7ffff10d,
    0x4cf95335,0x7fdc05ff,0x139fff13,0x2e032a62,0xb98acfff,0xaaa86fff,
    0xfeaaaaaa,0x0fffb85f,0xf80effb8,0x7fe4006f,0x300fffa1,0x5c0a8fff,
    0x7fe806ff,0x27ffd400,0x103ffc80,0x22005ffd,0x7fec4fff,0x0fff4400,
    0x7fd40080,0x077fec0f,0x02ffcc10,0x7fdcffee,0xfff88004,0x07ffd102,
    0x00fffa80,0xff98bffb,0x00ffd01f,0x3ee0ffd8,0x27fe406f,0x4037fc40,
    0xf98007fe,0x3e600dff,0x2ffd406f,0xa83fff00,0x013002ff,0x1ffe8000,
    0x8003ffea,0x7dc05ff9,0x007ff93f,0x9807ff90,0xf3000fff,0x7fc403ff,
    0x80fffa3f,0x275c0ffd,0x3fe23ff4,0x03ffe01f,0x9993fee0,0x9ffe9999,
    0x20099999,0x701effe8,0xdff007ff,0x4c3fec00,0x000003ff,0xd8bff200,
    0x7cc003ff,0x9ffdc05f,0x4000effa,0xfe800fff,0xffe8801f,0x9fffa803,
    0x7e405ffb,0x207ffc1f,0x4ffc86ff,0x260bff50,0x264fffee,0xffffffff,
    0x3fffffff,0x17ffec40,0x7c00ffec,0x1ff6007f,0x0000ffe6,0x2ffc8000,
    0x30003ffe,0xffb80bff,0x39ffff13,0x00dff100,0x3600bff2,0x3f2005ff,
    0x400effef,0x3fe62ffa,0x4c2ffc3f,0x5ffb07ff,0x3ffffe60,0xfffff31d,
    0xffffffff,0x3f2007ff,0x7fff43ff,0xffffffff,0xedb81fff,0xffffffff,
    0x9954ffff,0x99999999,0x30799999,0xffffffd9,0x1ffe25ff,0x017fe600,
    0x7fcc7ff7,0x300befff,0x3ee00bff,0x77fdc03f,0x7fff4000,0x3ff9801f,
    0xf89bfff2,0x85ffd03f,0x2a207ff8,0x89fffecb,0xfeaaaaaa,0x0aaaaaaf,
    0x93ffee00,0xffffffff,0x1fffffff,0x3fffffa2,0xffffffff,0xffff93ff,
    0xffffffff,0xffd8dfff,0xffffffff,0x00dff32f,0xb80bff30,0x7fe443ff,
    0x540dffff,0xff5004ff,0x0fffcc09,0x27ffd400,0x3a4ff880,0xff30ffdf,
    0x717fee05,0xfd8009ff,0x03ff404f,0x77ff4400,0x2aafffa0,0xaaaaaaaa,
    0x2fbff60a,0x999ffd99,0xff909999,0xffffffff,0x6cdfffff,0x999abfff,
    0xff12ffc9,0xbff3000f,0x103ffb80,0x3fffffb7,0xb802ffcc,0xfff103ff,
    0xffd10005,0x3fe003ff,0x7ff1ff35,0x7c407fea,0x07ffa0ff,0x809ff900,
    0x540007fe,0xffd85fff,0xdff30001,0x0000ffb0,0x0fffa800,0xff8bff20,
    0x7fcc000f,0x01ffdc05,0x137ffdc4,0x3f200dff,0x09ffb02f,0x3f7ff600,
    0x6fe800ff,0x5dbf6bf7,0x3ff600ff,0x020dff12,0x00bffea2,0x5c000ffd,
    0xff903fff,0x3fea0007,0x000ffd84,0x3fee0000,0xd17fe404,0xf98005ff,
    0x1ffec06f,0x41fff100,0xfe800fff,0x06ffc80f,0x32dff900,0x7fd806ff,
    0x27fea7fd,0x7fd407fc,0x2a07ff96,0xffffffff,0x007fe805,0x405fff90,
    0x8000effa,0x7f442ffb,0x0000002f,0xe880fff6,0x1bff22ff,0x01fff100,
    0x000fffee,0x7fec3ffd,0x42ffd404,0x8000fffa,0x3fa1fffa,0x4ffe404f,
    0x373fe0ff,0x8ffe806f,0xff500ffe,0x007fffff,0xd1001ffa,0xfd003dff,
    0xfa8001bf,0x37ffec4f,0x013b2000,0x7d417ff2,0x3fe22fff,0xff0600df,
    0xffff705f,0x7ffd4007,0x40bffe60,0x7c41fff9,0xf88002ff,0x7ffcc3ff,
    0x3f7fee02,0x2ff77ec6,0x7feffdc0,0x2aaaa204,0x3ff4001a,0x1dffd300,
    0x3fffe600,0xdba999ab,0x2abffe21,0xadffdefd,0xfb804b99,0x7fcc04ff,
    0xffdb99cf,0x7fdc2fff,0xecaabcff,0x56fffe47,0x3ffdffda,0x733559bd,
    0xf909fff9,0xf9535bff,0xdffd09ff,0x99999999,0x05ffe859,0x2603fff7,
    0x7d43ffff,0xf8803fff,0x0001ffff,0xfa800000,0xea8005ff,0xffffffff,
    0x7ffec1ff,0xffe88fff,0xc807ffff,0xfd805fff,0xbfffffff,0xffa82ff9,
    0x7fffffff,0x7fffffc4,0xd3ff9bff,0xffffffff,0x3f201bff,0xffffffff,
    0xfffff983,0xffffffff,0x803fff24,0xf880effe,0xfff80fff,0xfffb002f,
    0x0000000d,0x07fff100,0x7ff64400,0x40deffff,0x21dfffd8,0x5fffffd8,
    0x03fffa80,0xbfffff70,0x440bfe63,0xefffffec,0xffffd883,0x327ff11e,
    0xfffffffe,0xffda802d,0xf301dfff,0xffffffff,0x3ea9ffff,0x7fc402ff,
    0x0dfff05f,0x4007fff2,0x0003fffa,0x555554c0,0xaaaaaaaa,0x00017d42,
    0x00266660,0x33300262,0x002c9800,0x00000988,0x4cc00131,0x26662000,
    0x26200019,0x00000000,0x00000000,0x00000000,0xfffffffb,0x0fffffff,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ffec000,0xffffffff,0x000007ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x30198800,
    0x204cc035,0x4c009aa9,0x1002acba,0x80015775,0x440004cb,0x26200009,
    0x20000000,0x00009a98,0x00d54000,0x44004002,0x02aa001a,0x000154c0,
    0x015104c4,0x0ffc8353,0x5fffffb1,0xfd32ff98,0x3a05ffff,0x1effffff,
    0x3fffff20,0x3ffa002f,0x7fe44000,0x4000dfff,0x2ea806fb,0x3a606d98,
    0x803fffff,0x03e882ec,0xa813ffee,0x8274402f,0x0dfffffa,0x00bfff20,
    0x0003fff1,0xfff56fb8,0x927ffec9,0xfffd13ff,0x7cc5ffff,0xfffffabf,
    0xdff82fff,0xd06ffecc,0xffffdfff,0x03ffa003,0xaceffa80,0x2003ffdc,
    0x7fc405fb,0x41ffe40f,0xfffffffa,0x1bfe603f,0xff70bff6,0x3e609fff,
    0xffd102ff,0xfffffd85,0xfff01fff,0xfffd80df,0x77dc0006,0xb8fffff9,
    0xf90fffff,0x735dff7f,0x7fccdfff,0xfb99effe,0xfb0186ff,0x25ffb83f,
    0xd006ffb8,0x3e6001ff,0x07fd303f,0x444fa831,0x222ffd41,0xaee80ffe,
    0x207ffda9,0x7fdc1ffe,0x7fffff44,0x3fff204f,0x227ff442,0xf711dffb,
    0x3fffa0df,0xf7ff300f,0x7dc0007f,0xbff8afde,0x93ffa8ef,0x3e0bffff,
    0xffff31ff,0x03fff109,0xfd0bfea0,0x003ffa0f,0x74003ffa,0x3dfff99f,
    0x3fc83ff1,0x86fa93ea,0x7fd42ffc,0xfff88085,0x444ffb81,0x9efc86ff,
    0x7dc04ffa,0x9ffd12ff,0x3f20dff0,0xffffa81f,0x3f69fd01,0xff70000f,
    0x8ffff47f,0xfff94ff8,0x997fe40b,0x3fa04fff,0xeccb882f,0x2ffc2ffe,
    0xe802ffc8,0x4fb800ff,0x23fb7bf3,0x77ff45fa,0xffd8bf99,0x40ffe81f,
    0xff002ffd,0x86ff881f,0x21881ffe,0xfb804ffa,0x84ffebff,0xff303ff8,
    0x03fff607,0x7fc43fee,0xfff70004,0x7fc5ffd8,0xb80dff95,0x0dff33ff,
    0x7dc3ffc8,0x2fffffff,0x7d413fe2,0x0ffe802f,0x7f30fd80,0xa87e93e2,
    0xffdfcffe,0x17fe603f,0xb801fff1,0x1ffd86ff,0xa801ffdc,0xff7004ff,
    0x3ea09fff,0x07ff303f,0x3e21ffee,0x00ffe43f,0x361ffdc0,0xcaffc1ff,
    0x554c03ff,0xb80bff31,0x37fea3ff,0x22ffb999,0xff706ff8,0x333332a3,
    0xccccfffc,0xf99fe3cc,0x3f62fc9c,0xffffd501,0x0bff2007,0x7d409ff7,
    0x2ffd42ff,0xa801bfe2,0x3f2004ff,0x3fe605ff,0x205ff704,0x7fc84ffd,
    0x8006ff88,0x3fec1ffb,0x3ffcaffc,0x05ff9800,0xffb1ffdc,0x7c2ffa81,
    0x0ffe80ff,0xfffffff9,0xffffffff,0xff99be2d,0x817e42ff,0x01dfffc8,
    0xfd81ffd0,0x7fff901f,0xe81dff10,0xff5000ff,0x3ffa2009,0x3ffe02ff,
    0xb80ffe80,0x7fc40fff,0x007ff503,0x7ec1ffb8,0xff95ff87,0xbff30007,
    0x323ffb80,0x3ffe61ff,0x916ffe42,0x7ffe49ff,0xffffffff,0x9fe6ffff,
    0x6c4fbcf9,0x77fe441f,0x201dffef,0x7fd42ffc,0x2fffd884,0xf113fea0,
    0x3fea00df,0xeffe8804,0xff702fff,0x7fff735d,0x0ffffe5c,0x3fa037ec,
    0x3fee000f,0x7fc3fec1,0x0007ff95,0xfb80bff3,0x37ffe63f,0x442ffefe,
    0xffffffff,0x1ffd000e,0x3e61fb00,0x23fc3fb3,0xbf9aeffc,0x540effe9,
    0x7ffc45ff,0x077ff4c0,0x2e0ffec0,0xffa804ff,0xa7ff4404,0xfb02fffb,
    0x8bffffff,0x980dffff,0x7fcc02ff,0x07fee004,0x2bff0ffb,0x98003ffc,
    0x7fdc05ff,0x6ffffe43,0xfd882ff8,0x4004ffff,0xfb800ffe,0x53e67f34,
    0x867ec5fb,0x11bee4fa,0xffd81fff,0x5f7ffd42,0xf882aaaa,0x41ffd86f,
    0xcffb9998,0x7ff44199,0x817ffdc4,0x82dfffea,0x32e01acd,0x01997003,
    0xfb07fee0,0x3f2bff0f,0xff98003f,0x81ffdc05,0x802660aa,0x80009aa8,
    0xfd000ffe,0x4eec5d15,0x2a0cc0ff,0x3f60cc4f,0x42ffd42f,0xfffffffd,
    0xffb80fff,0x7077fc44,0xffffffff,0x27ff44ff,0x002fffc8,0x00000000,
    0xb07fee00,0x32bff0ff,0xf98003ff,0x1ffdc05f,0x00000000,0x98007ff4,
    0x7ff503ff,0x1017ee00,0x1ff909fb,0xffffffb0,0x3a01ffff,0x21efa86f,
    0xfffffffb,0x027ec7ff,0x00003bf2,0x00000000,0x7ec1ffb8,0xff95ff87,
    0xbff30007,0x2a3ffb80,0xaaaaaaaa,0x2aaaa0aa,0x0aaaaaaa,0x000ffe80,
    0x3737ffa6,0x2e002ffe,0x2015005f,0x33331029,0x40333333,0x2620a029,
    0x99999999,0x01700381,0x00000000,0x1ffb8000,0xaffc3fec,0x98003ffc,
    0x7fdc05ff,0xffffff13,0x225fffff,0xffffffff,0xfe802fff,0xfeb8000f,
    0x4000ceff,0x000002a9,0x00000000,0x00000000,0x00000000,0x0ffdc000,
    0x57fe1ff6,0x98003ffc,0x7fdc05ff,0xdddddd13,0x225ddddd,0xeeeeeeee,
    0xfe802eee,0x04c0000f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7fdc0000,0x7fc3fec1,0x0007ff95,0xfb80bff3,0x0000003f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff700000,0xff87fd83,
    0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xcccc8000,0xcccccccc,0x833312cc,
    0x99970999,0x99999999,0x00000999,0x80cccc00,0x44009999,0x0000cddc,
    0x99999988,0x37776a19,0x773ddddd,0x77777777,0x77777777,0x00000017,
    0x00000000,0x00000000,0xffffff80,0xffffffff,0x741fff74,0xffffb5ff,
    0xffffffff,0x07be60ff,0x20007fb1,0xd303fffc,0x3ea01dff,0x902fffff,
    0xfffe80dd,0x3ee7ffff,0xffffffff,0xfffffff5,0xffffffff,0x0003ffff,
    0x00000000,0x00000000,0xfff80000,0xffffffff,0xfff74fff,0xfdafff41,
    0xffffffff,0xfd07ffff,0x0fffb8bf,0x0f7fe400,0x03bff620,0x3ffffffe,
    0x407fe83f,0xfffffffe,0x3ffffee7,0xfff5ffff,0xffffffff,0xffffffff,
    0x00000003,0x00000000,0x00000000,0xa7fcc000,0x7fec7ffb,0xfd000005,
    0x0fffb8bf,0x037ff200,0x20effb80,0x3ff24ffb,0x01bfe23f,0x22222222,
    0x44444440,0x00000088,0x00000000,0x00000000,0x00000000,0x54ff9800,
    0x4ffd8fff,0xbb300000,0x4005b901,0x30003ffc,0x3ff61dff,0x6f7ffdc0,
    0x00002fff,0x00000000,0x00000000,0x00000000,0x00000000,0x54ff9800,
    0x4ffc8dff,0x00000000,0x00000000,0x3fea0ffb,0x0005ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x9ff30000,0xff91bfe6,0x333332e7,
    0xcccccccc,0x00000004,0x13100000,0x277fec40,0x00000000,0x00000000,
    0x00000000,0x00000000,0x30000000,0x17fe69ff,0x3ff67ff7,0xffffffff,
    0x00007fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x77440000,0xfd977544,0xffffffff,0x0007ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__consolas_35_latin1_x[224]={ 0,7,4,0,1,0,0,7,5,4,2,1,4,4,
6,1,1,2,2,2,0,3,2,1,2,1,7,4,2,2,3,5,0,0,2,1,1,3,3,1,1,2,3,2,
3,0,2,0,2,0,2,1,1,1,0,0,0,0,1,5,2,4,2,0,0,2,2,2,1,1,0,1,2,2,
2,3,2,1,2,1,2,1,3,3,1,2,1,0,1,1,2,2,8,3,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,7,2,1,1,0,
8,2,0,0,3,2,1,4,1,0,3,1,4,4,0,2,1,6,7,3,3,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
 };
static signed short stb__consolas_35_latin1_y[224]={ 25,0,0,2,-1,0,1,0,-1,-1,0,7,19,14,
19,0,2,2,2,2,2,2,2,2,2,2,7,7,6,11,6,0,0,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,2,29,0,7,0,7,0,7,0,7,0,0,
0,0,0,7,7,7,7,7,7,7,2,7,7,7,7,7,7,0,-3,0,12,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,25,7,-1,2,3,2,
-3,0,0,2,2,8,14,14,0,1,0,4,0,0,0,7,0,12,25,0,2,8,0,0,0,7,-4,-4,-4,-4,
-4,-5,2,2,-4,-4,-4,-4,-4,-4,-4,-4,2,-4,-4,-4,-4,-4,-4,8,-2,-4,-4,-4,-4,-4,2,0,0,0,
0,0,0,-1,7,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,4,0,0,0,0,0,0,0,
 };
static unsigned short stb__consolas_35_latin1_w[224]={ 0,5,11,19,17,19,20,5,10,11,15,17,9,11,
7,16,17,16,16,15,19,14,16,17,16,17,6,9,14,15,14,11,20,20,16,17,17,14,14,17,17,15,12,16,
14,19,16,19,16,20,16,17,17,17,20,19,19,20,17,10,16,10,16,20,12,15,16,15,16,17,18,17,15,15,
13,16,15,17,15,17,16,16,15,14,16,15,17,19,18,17,15,14,4,14,18,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,5,14,17,17,19,
4,15,16,20,13,15,16,11,17,15,13,17,12,11,17,17,17,7,5,13,13,15,19,19,19,12,20,20,20,20,
20,20,20,17,17,17,17,17,17,17,17,17,18,18,19,19,19,19,19,15,19,18,18,18,18,20,16,16,17,17,
17,17,17,17,19,15,18,18,18,18,17,17,17,17,17,17,18,18,18,18,18,17,17,17,17,17,17,18,16,18,
 };
static unsigned short stb__consolas_35_latin1_h[224]={ 0,26,9,23,31,26,25,9,34,34,16,17,12,4,
7,29,24,23,23,24,23,24,24,23,24,23,19,24,20,9,20,26,33,23,23,24,23,23,23,24,23,23,24,23,
23,23,23,24,23,30,23,24,23,24,23,23,23,23,23,33,29,33,12,4,8,19,26,19,26,19,25,26,25,25,
33,25,25,18,18,19,26,26,18,19,24,19,18,18,18,26,18,33,36,33,8,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,26,31,23,21,23,
36,29,8,24,17,15,9,4,17,7,13,21,15,15,8,26,29,7,6,15,17,15,25,25,25,26,29,29,29,29,
29,30,23,29,29,29,29,29,29,29,29,29,23,29,30,30,30,30,30,15,31,30,30,30,30,29,23,26,26,26,
26,26,26,27,19,24,26,26,26,26,25,25,25,25,26,25,26,26,26,26,26,19,25,26,26,26,26,33,33,33,
 };
static unsigned short stb__consolas_35_latin1_s[224]={ 254,248,18,197,211,111,1,248,23,11,115,
79,220,129,247,236,49,132,52,33,184,18,1,162,84,1,248,222,240,30,19,
109,136,141,232,204,34,19,19,101,107,125,119,180,217,112,167,132,34,1,69,
147,149,165,86,92,72,51,204,45,61,34,230,141,81,90,55,106,237,34,110,
74,74,40,122,231,177,1,35,153,128,1,19,138,67,122,226,206,187,145,171,
56,1,88,94,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,254,248,176,
169,222,187,6,117,46,183,51,160,1,129,97,113,206,1,147,244,63,37,218,
248,248,176,65,131,211,139,90,243,133,154,55,22,1,179,226,200,43,99,230,
1,194,212,19,37,207,175,82,159,22,42,62,190,191,102,121,140,229,78,152,
94,207,225,1,19,219,76,52,232,150,188,169,131,121,159,56,22,37,193,55,
18,181,200,72,72,129,91,163,110,92,103,71,157, };
static unsigned short stb__consolas_35_latin1_t[224]={ 1,69,323,234,1,99,183,183,1,1,303,
303,303,323,209,38,209,258,234,209,258,209,209,234,209,258,156,183,258,323,282,
156,1,234,234,183,234,234,258,209,234,234,209,234,234,258,258,209,258,38,234,
183,258,183,234,258,258,258,258,1,69,1,303,323,323,282,156,282,129,282,183,
129,183,183,1,156,156,304,303,282,129,156,303,282,209,282,282,282,282,129,282,
1,1,1,323,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,
234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,1,1,1,
209,258,209,1,69,323,183,303,303,323,323,303,323,303,282,303,282,323,156,38,
193,201,303,303,303,156,156,183,99,69,69,99,69,69,38,209,38,69,69,69,
99,69,69,99,99,209,69,38,38,38,38,38,303,1,38,38,38,1,69,209,
99,99,99,129,129,129,99,282,183,99,99,99,99,156,156,183,183,129,156,129,
156,129,129,156,282,183,156,129,129,129,1,1,1, };
static unsigned short stb__consolas_35_latin1_a[224]={ 308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_35_latin1_BITMAP_HEIGHT or STB_FONT_consolas_35_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_35_latin1(stb_fontchar font[STB_FONT_consolas_35_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_35_latin1_BITMAP_HEIGHT][STB_FONT_consolas_35_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_35_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_35_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_35_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_35_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_35_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_35_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_35_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_35_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_35_latin1_s[i] + stb__consolas_35_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_35_latin1_t[i] + stb__consolas_35_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_35_latin1_x[i];
            font[i].y0 = stb__consolas_35_latin1_y[i];
            font[i].x1 = stb__consolas_35_latin1_x[i] + stb__consolas_35_latin1_w[i];
            font[i].y1 = stb__consolas_35_latin1_y[i] + stb__consolas_35_latin1_h[i];
            font[i].advance_int = (stb__consolas_35_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_35_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_35_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_35_latin1_s[i] + stb__consolas_35_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_35_latin1_t[i] + stb__consolas_35_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_35_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_35_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_35_latin1_x[i] + stb__consolas_35_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_35_latin1_y[i] + stb__consolas_35_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_35_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_35_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_35_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_35_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_35_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_35_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_35_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_35_latin1_LINE_SPACING
#endif

