// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_41_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_41_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_41_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_41_latin1_BITMAP_HEIGHT        443
#define STB_FONT_consolas_41_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_41_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_41_latin1_NUM_CHARS            224

#define STB_FONT_consolas_41_latin1_LINE_SPACING          27

static unsigned int stb__consolas_41_latin1_pixels[]={
    0x3ba6bdd3,0x71071005,0x33000000,0xfff30133,0x29ffffff,0x40000998,
    0xfffffff8,0xb98005ff,0x20000002,0x003ceffa,0xfedc9800,0x0aa98007,
    0x7ff80000,0x0aaa0000,0x540004cc,0x0dff56ff,0xfe893fa0,0x36000003,
    0xf980efff,0xffffffff,0x000bffb4,0xffffff88,0x54005fff,0x7dc05fff,
    0x0efd882f,0xdfffff50,0x3f200005,0x1007ffff,0xbffffffb,0xff100003,
    0x3e60000d,0xdffff04f,0xdff50017,0x3601bfea,0xfff70fff,0xfb000005,
    0x774409ff,0x4fffeeee,0x8000bffb,0xeeeefff8,0x7f4004ee,0xff101fff,
    0xfffb81ff,0xffffd505,0xd80003ff,0x05efffff,0xffffffa8,0x0001ffff,
    0x00027fcc,0xff02ffb8,0x01bfffff,0xffab7fd4,0x0fffec06,0x000bfff6,
    0x02fffd80,0x6d3ff600,0x440005ff,0x00001fff,0x205fffff,0x640ffff9,
    0xf7005fff,0x4c000dff,0x2001efff,0x511cfffd,0x0003fff9,0x0001ffd4,
    0xfb00ffe8,0x5fffffff,0x7d5bfea0,0x3fff206f,0x1fffe882,0xeffd8000,
    0x7fec0001,0x000bffb4,0x001fff88,0x1ffff900,0x4427fec0,0x2e001fff,
    0xb0001fff,0xfb800dff,0x3fee01ff,0xff70000f,0x57510005,0x2600bff5,
    0x81fffffc,0xdff56ffa,0x80fffea0,0x0006fff8,0x00026654,0xffb4ffd8,
    0xff88000b,0x3200001f,0x019801df,0x3a0002a2,0xfd0002ff,0x7fcc005f,
    0x3ffc800e,0x03ff9000,0x3fffb220,0x8003ffff,0x540ffffc,0x0dff56ff,
    0x26017ffa,0x00003fff,0x7fec0000,0x000bffb4,0x001fff88,0x00000000,
    0x09ffb000,0x007ffe00,0x000fffc4,0xd1000dff,0xfd3001ff,0xffffffff,
    0xff90005f,0x56ffa89f,0xfff70dff,0x3fff6001,0x00000000,0x7ed3ff60,
    0x7c40005f,0x000001ff,0x00000000,0x1000bff9,0x32001fff,0x7e4004ff,
    0xffdb801f,0x80ceffff,0xcefffffb,0x03fffffd,0x20fffe80,0xdff56ffa,
    0x004fff88,0x0017ffe2,0xfd800000,0x20bffb4f,0x7fc401a9,0x0000001f,
    0x90000000,0xf1000bff,0xff1001ff,0x9ff5000d,0x7ffff4c0,0x40ffffff,
    0x20bffff9,0x0ffffffa,0x0fffe400,0x3feadff5,0x007ffec6,0x20bffee0,
    0x4003fffb,0xfb006fff,0xa93ff69f,0x04fffffd,0x9003fff1,0xffffffff,
    0xfb8dffff,0x7fc003ff,0x5ffc806f,0x0fff8800,0x003ffb80,0xf905ff88,
    0xfffdffff,0xffd81fff,0xfdffc82f,0x7d4005ff,0x5bfea2ff,0x3fe26ffa,
    0xfff0003f,0x0dfff10b,0x01fffcc0,0xffb4ffd8,0x3ffffee9,0xff885fff,
    0xfffc801f,0xffffffff,0x37ffc46f,0x07fff300,0x000bff90,0xd001fff1,
    0x555101ff,0x437f42a2,0xa8bffffa,0x4c1934ff,0xfff03fff,0x003ffff1,
    0xf517ffd4,0xb9bfeadf,0x90000fff,0x3ff20fff,0xfff9001f,0x53ff6001,
    0xfffccffd,0x4ffffece,0x400fffc4,0xeeeeeeeb,0xc86fffee,0xf9001fff,
    0xff9001ff,0xfff1000b,0x85ff9801,0x7ffffffc,0xfff11ffa,0x01ffdc3f,
    0xf301fffb,0x0fffee9f,0x20fffc80,0xdff56ffa,0x0002ffec,0xf305fff3,
    0x3fe009ff,0x3ff6005f,0xdfffffb4,0x0ffff883,0x0007ffe2,0x986ffd80,
    0xff004fff,0x3ff200bf,0x7ff98005,0x6c2ffb80,0x6fffffff,0xfff91ff6,
    0x102ffc85,0x3ee0bfff,0x0bfff12f,0x51bffe60,0x5bfeadff,0x0003fff8,
    0xfe82fffc,0xfffa807f,0x53ff6002,0x205ffffd,0x3e23fff9,0x200001ff,
    0xffd06ffd,0x5fff500f,0x01bfee00,0x201ffe60,0x3fea0ffd,0x25ffd8ae,
    0x3ffa0ffd,0x301ffd86,0x3fa05fff,0x21fff60f,0xfffdbaaa,0xab7fd42f,
    0x1fff56ff,0x7ffc8000,0x805fff70,0x6c007ffd,0xbfffb4ff,0x44dffd00,
    0x00001fff,0x7dc1bff6,0x7fec02ff,0x3ffe6007,0x2ffec002,0x3fa37fc0,
    0xc93fee1f,0x7fff11ff,0x2a01ffd0,0xff880fff,0x207ffe45,0xffffffff,
    0xf56ffa84,0x01fff2df,0x03ffee00,0x8817ffe2,0x6c004fff,0x1dffb4ff,
    0x44fff700,0x00001fff,0x7c41bff6,0x3fe205ff,0x7fec004f,0x7e4c00bf,
    0x7fcc01ff,0xfb1bfe65,0x98ffe47f,0x7ff82fff,0x541ffee0,0x7ffe43ff,
    0x7fffff41,0x2555101d,0xdffb6ffa,0xfff50000,0x03fff203,0x000fffd4,
    0x7fed3ff6,0x1fff5005,0x0007ffe2,0x206ffd80,0xf500fffc,0xd88003ff,
    0xb2ffffff,0x03ffffff,0x7e47ff50,0x90fff43f,0x3ffea1ff,0x9037fc40,
    0x3ff60fff,0x20fffdc0,0x0001cffe,0x3ff6dff5,0xff980005,0x9fff302f,
    0x001bff60,0x7fed3ff6,0x3fff3005,0x0007ffe2,0x206ffd80,0xfb04fff9,
    0x754000df,0xffb2ffff,0x2e0019ff,0x07ffa2ff,0x3fec1fff,0xf983fff5,
    0x1bff605f,0x7fd437fc,0x017ff42f,0x3adff500,0x880004ff,0x3fa03fff,
    0x3fff887f,0xb4ffd800,0x3e600bff,0x3fff12ff,0x7fec0000,0x43fff406,
    0x0003fff8,0x3dfffffb,0x3ffffff2,0x11ffb802,0x7ff88fff,0xfff33fec,
    0x204ffa85,0xffa86ffe,0x41fffa84,0x20002ffe,0x9fff6ffa,0xfff10000,
    0x17ffdc07,0x0003ffee,0x7fed3ff6,0x3fff3005,0x0007ffe2,0x406ffd80,
    0x7dc2fffb,0xfd8000ff,0xfd9802ef,0x7fe401ff,0xf98fff31,0xf137f46f,
    0x2ffb89ff,0x321fff60,0xfffa81ff,0x0017ff40,0x3fadff50,0xf880005f,
    0x3fe202ff,0x02fff45f,0xfb4ffd80,0x3fea00bf,0x03fff10f,0x37fec000,
    0xd17ffe20,0xf1000bff,0xfe8003ff,0x87fec05f,0x7fd46ff9,0x3fe37fc5,
    0x00ffe47f,0xfe81fffb,0xb0fff707,0x540003ff,0x0dffb6ff,0x3fff3000,
    0x10fffd80,0x20005fff,0xbffb4ffd,0x89ffee00,0x00001fff,0x3601bff6,
    0xfff10fff,0xdff50005,0x0fff5000,0xff50ffd8,0x224ffc8d,0x7ffe44ff,
    0x401ffb0d,0x3e61fffc,0x0dff905f,0x40001553,0xdff96ffa,0xfff50000,
    0x3fff9803,0x4000fff9,0xbffb4ffd,0x897ff600,0x00001fff,0x2601bff6,
    0xfff93fff,0x17fee000,0x03ffe600,0xff50ffd8,0x2a3ffd8d,0x7ffc41ff,
    0xa87fe9ef,0x5c5fff70,0xbffd02ff,0x7d400000,0x00fff76f,0x01fff700,
    0x3febffd0,0x3f60004f,0x00bffb4f,0x7c45fff3,0x200001ff,0xfd006ffd,
    0x013ffebf,0x002ffe40,0x9007ffc4,0x9ffe61ff,0x3f63fff9,0xfffff507,
    0xff975fff,0xe93ffe61,0xfff980ff,0x99300004,0x7d5bfea7,0x6c0001ff,
    0xff7006ff,0x003fff5f,0xfda7fec0,0x6ffe805f,0x000fffc4,0x00dffb00,
    0x3febffee,0xff90001f,0xfff1000b,0x88ffe401,0xffe89fff,0x409ff54f,
    0xfffffffa,0x3a0fffff,0x5ff88fff,0x703fff90,0x3ea003bd,0x22dff56f,
    0x40004fff,0xf1003fff,0x00dfffff,0xfb4ffd80,0x3fa603df,0x7ffc41ff,
    0x3f600001,0xfff1006f,0x4000dfff,0x88005ffc,0x3ee00fff,0x3ffff62f,
    0xfffffccf,0x7fe4c00e,0xdeffffff,0x2b3fff20,0xfff883ff,0x0ffffb85,
    0xf56ffa80,0x03ffecdf,0x03fff500,0x7ffffec0,0x7fec0003,0xbdffffb4,
    0x7ffffdb9,0x003fff10,0x037fec00,0x7fffffb0,0x2ffe4000,0x07ffc400,
    0x7cc5ff50,0xfff36fff,0xfc8001ff,0xf1009adf,0x83ffdfff,0xe80fffe8,
    0xa801ffff,0x4dff56ff,0x0001fffa,0xa800dffb,0x0006ffff,0xffb4ffd8,
    0xffffffff,0x3fe203df,0x3600001f,0x3ea006ff,0x40006fff,0x88005ffc,
    0x3e600fff,0x0565cc3f,0x00015971,0x2e005ff9,0x226fffff,0xb04fffea,
    0x5003ffff,0x1bfeadff,0x1000bfff,0xd0007fff,0x00007fff,0x3ff69ffb,
    0xdeffffff,0x0fffc403,0xdffb0000,0x3fffe800,0x2ffe4000,0x07ffc400,
    0x000dff30,0x1ffd8000,0x3ffff600,0xfffffeef,0x9fff100d,0x55bfea00,
    0x7ffe46ff,0x7ffec001,0x7ffe8000,0x9ffb0000,0x4cc57ff6,0x3ffe2000,
    0x3fa00001,0x7ff4005f,0xffc80007,0xfff88005,0x007ff400,0xffd00000,
    0xfffc8001,0x3fffffff,0x2001a880,0xdff56ffa,0x006fff88,0x000bffe6,
    0x000fffee,0xfda7fec0,0x7c40005f,0x200001ff,0x2e003fff,0x80003fff,
    0xf0004ffd,0xffb803ff,0x20000003,0xff0007ff,0x3bdfffff,0x7d400000,
    0x50dff56f,0x3a007fff,0xf88006ff,0x00000fff,0x3ff69ffb,0x7fc40005,
    0xf100001f,0x3e2005ff,0x80000fff,0xf0003ffe,0xff8805ff,0x10000006,
    0xf3000dff,0x001353bf,0x5dddddd4,0x2a0bbbbb,0x0dff56ff,0x7003fff6,
    0xd0003fff,0x00005fff,0xffda7fec,0x7fc40005,0xfb00001f,0x3fa001ff,
    0x980002ff,0xb0002fff,0xffb00dff,0x3000000b,0xf70009ff,0x7ec0005f,
    0xffffffff,0x5bfea1ff,0xff106ffa,0x3fea01df,0x7f4c004f,0x400004ff,
    0xbffb4ffd,0xfff88000,0x90065401,0xd3007fff,0x00009fff,0x000fffd3,
    0x0067ffdc,0x300bfff3,0x3fea0009,0x0ffe8003,0x3fff6000,0xffffffff,
    0x7d5bfea1,0x3ffea06f,0x05fff985,0xffffeec8,0x9910006f,0x9ffd9999,
    0x00017ff6,0x999bfff1,0x3bfea799,0xffffdccd,0xfffdd906,0x26000dff,
    0x2ffffedc,0x7fff4000,0xff984cef,0xba99acef,0xf70007fe,0xff88005f,
    0x6edc0005,0xdddddddd,0x55bfea0d,0x7fdc06ff,0x17ffe24f,0x7fffff40,
    0x3e60003f,0xffffffff,0x000bffb4,0xffffff88,0xfff55fff,0xbfffffff,
    0x3ffffa01,0x2a0003ff,0x03ffffff,0xfffe8800,0xfff307ff,0xffffffff,
    0x0000000d,0x00003551,0xb7fd4000,0xfb806ffa,0x1dff70ff,0x3ffffa00,
    0x7cc0000d,0xffffffff,0x000bffb4,0xffffff88,0xff915fff,0x05dfffff,
    0x0dffffe8,0x7ffd4000,0x400000de,0x207fffea,0xfffffdb8,0x000002df,
    0x00000000,0xab7fd400,0x3f9006ff,0x22000ec8,0x4000009a,0x99999999,
    0x00133109,0x33333300,0x53301333,0x4d440035,0x26200000,0x20000000,
    0x26200198,0x00000009,0x00000000,0x55bfea00,0x402006ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf56ffa80,0x000000df,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0xdff56ffa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26200000,
    0x00133109,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xba880000,0x2620000a,
    0x00000199,0x00001351,0x00020044,0x00066620,0x33331000,0x06662000,
    0x99880000,0x33310019,0x08800003,0x2e000040,0x00000ced,0x7ffff644,
    0x44000def,0x0005fffe,0x3ffffa60,0x32004d83,0x3ffb02ff,0x3ffe6000,
    0x3000005f,0x0007ffff,0x00bffff3,0xffff3000,0x3ffa2007,0xf900005f,
    0x07ff605f,0x3ffff600,0xd300002f,0xffffffff,0xf90003ff,0x10000bff,
    0xdfffffff,0x003ffd77,0xf50ffff1,0xf3000bff,0x00bfffff,0xefff9800,
    0xfff98001,0x00005fff,0x007bffe6,0x017fff20,0x0ffff100,0x800bfff5,
    0x7fd9bffa,0xfffa8000,0xffffdeff,0xfa8002ff,0x6c0005ff,0xfffb9bff,
    0x2003ffff,0xff986fff,0x7fd4004f,0x0effe9cf,0xfff98000,0xffa8000d,
    0x0effe9cf,0x7ffcc000,0x3ea0000d,0x7c0005ff,0xfff986ff,0x127e4004,
    0x440003ff,0x4c0bffff,0x000ffffd,0x005ffe88,0xf9107620,0xa8007dff,
    0x1df901fe,0x17ffdc00,0x001dffb1,0x01fffcc0,0x22fffb80,0x000effd8,
    0x007fff30,0x17ffa200,0x01fea800,0xc8001df9,0x003fe24f,0x02fffd80,
    0x0027ffec,0x40000000,0x00000009,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffa80000,0x0007fdab,0x400fffe6,0x0000fffe,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ffff600,
    0x3f60001f,0xff5000ff,0x7510007f,0x44000015,0x00000aba,0x0002aea2,
    0x00aba880,0x0004cc40,0x33102666,0x09998001,0x02aea200,0x00133100,
    0x4c409998,0x4ccc0009,0x3376a000,0x3fe20000,0x3fe2005f,0xfd91006f,
    0x01bdffff,0xfffd9100,0x0001bdff,0xfffffd91,0x910001bd,0xbdfffffd,
    0x0bffd001,0x217ffc40,0x22005ffe,0x64402fff,0xdefffffe,0x05ffe800,
    0xd0bffe20,0x7c400bff,0x266002ff,0x26000099,0x6c002fff,0xfe9807ff,
    0xffffffff,0x3fa6001f,0xffffffff,0x3fa6001f,0xffffffff,0x3fa6001f,
    0xffffffff,0x2fff401f,0x85fff100,0x22005ffe,0x3a602fff,0xffffffff,
    0x7ff401ff,0x3ffe2005,0x002fff42,0x2005fff1,0x007ffffa,0x003ffea0,
    0x401fff90,0xcefffffb,0x02fffffe,0xefffffb8,0x2fffffec,0xfffffb80,
    0xfffffece,0xffffb802,0xffffecef,0x17ffa02f,0x42fff880,0x22005ffe,
    0xff702fff,0xffd9dfff,0x7f405fff,0x3fe2005f,0x02fff42f,0x005fff10,
    0x0bfffff2,0x03ffdc00,0x80fffdc0,0x40bffff9,0x00ffffc8,0x02ffffe6,
    0x01ffff91,0x05ffffcc,0x03ffff22,0x0bffff98,0x07fffe44,0x2005ffe8,
    0x7f42fff8,0x3fe2005f,0xffff982f,0x7ffe440b,0x0bffd00f,0x217ffc40,
    0x22005ffe,0xff002fff,0x0009ffff,0x2001fff2,0xfb01fffa,0xffc805ff,
    0x3fff604f,0x27ffe402,0x805fffb0,0x3604fffc,0x7e402fff,0xbffd04ff,
    0x17ffc400,0x88017ffa,0xffd82fff,0x7ffe402f,0x00bffd04,0x3a17ffc4,
    0x3e2005ff,0xffa802ff,0x0007ffdf,0x5000dffb,0xff305fff,0x3ff6007f,
    0x3fff980f,0x01fffb00,0x2007fff3,0xf980fffd,0xffb003ff,0x0bffd01f,
    0x217ffc40,0x22005ffe,0x7fcc2fff,0xfffb003f,0x00bffd01,0x3a17ffc4,
    0x3e2005ff,0xffc802ff,0x001fffad,0x8006ffe8,0xfd82fff9,0xff5000ff,
    0x1fffb07f,0x0fffea00,0x4003fff6,0xfd83fffa,0xff5000ff,0x0bffd07f,
    0x217ffc40,0x22005ffe,0x7fec2fff,0xfff5000f,0x00bffd07,0x3a17ffc4,
    0x3e2005ff,0xfff802ff,0x004fff8b,0x8007ffd8,0x7c41fffa,0x3e2005ff,
    0x7ffc46ff,0x3ffe2005,0x02fffc46,0x88dfff10,0x22005fff,0xffe86fff,
    0x3ffe2005,0x002fff42,0x7c45fff1,0x3e2005ff,0x5ffe86ff,0x0bffe200,
    0x4400bffd,0x7d402fff,0x0fffb0ff,0x01fff900,0x40fffb80,0x4002fff9,
    0x7fcc7ffd,0x7fec002f,0x017ffcc7,0xf31fff60,0xfd8005ff,0x05ffe87f,
    0xd0bffe20,0x7c400bff,0x3ffe62ff,0x3ffec002,0x1002fff4,0xffe85fff,
    0x3ffe2005,0x737fe402,0xb8003fff,0x64000fff,0xfffa87ff,0x3ffe4000,
    0x0003ffea,0xffa8fff9,0x7fe4000f,0x007ffd47,0x3a1fff20,0x3e2005ff,
    0x2fff42ff,0x45fff100,0x4000fffa,0xffe87ffc,0x3ffe2005,0x002fff42,
    0xf805fff1,0x3ffe23ff,0x7ffdc004,0x37ff4002,0x4003ffdc,0x3ee0fffb,
    0xffb8007f,0x01ffee0f,0xb83ffee0,0xfb8007ff,0x2fff40ff,0x85fff100,
    0x22005ffe,0x3fee2fff,0xfffb8007,0x002fff40,0xfe85fff1,0x3fe2005f,
    0x3ffea02f,0x003fff41,0x8017ffe6,0xfc84fff8,0xffa8007f,0x01fff21f,
    0xc87ffea0,0xfa8007ff,0x1fff21ff,0x07ffea00,0x4400bffd,0x7ff42fff,
    0x3ffe2005,0x001fff22,0xfd07ffea,0x7fc400bf,0x02fff42f,0x405fff10,
    0xffb86ffc,0x7ff4001f,0x3ffee007,0x006ffd81,0x362fffa8,0xfa8006ff,
    0x1bff62ff,0x8bffea00,0xa8006ffd,0x7ff42fff,0x3ffe2005,0x002fff42,
    0x7ec5fff1,0xffa8006f,0x02fff42f,0xe85fff10,0x3e2005ff,0x3ffe02ff,
    0x04fff884,0x01fffdc0,0xe82fffc4,0xf98006ff,0x1bffa2ff,0x8bffe600,
    0x98006ffe,0x3ffa2fff,0xfff98006,0x002fff42,0xfe85fff1,0x3fe2005f,
    0x01bffa2f,0xd0bffe60,0x7c400bff,0x2fff42ff,0x05fff100,0x7407ffea,
    0x7c4006ff,0x3a202fff,0xffb01fff,0xfff5000f,0x003ffec3,0xfb0fffd4,
    0xff5000ff,0x03ffec3f,0x20fffd40,0x22005ffe,0x7ff42fff,0x3ffe2005,
    0x001fff62,0xfd07ffea,0x7fc400bf,0x02fff42f,0x205fff10,0x3f207ffc,
    0x7e4001ff,0x2a21bfff,0x3205fffe,0xfb8007ff,0x03ffe47f,0x323ffdc0,
    0xfb8007ff,0x03ffe47f,0x743ffdc0,0x3e2005ff,0x2fff42ff,0x45fff100,
    0xb8007ffc,0x5ffe87ff,0x0bffe200,0x4400bffd,0xfff02fff,0x27ffcc09,
    0x7fffe400,0xfffffeff,0x07ffdc04,0x71fff200,0xc8001fff,0x7ffdc7ff,
    0x3ffe4000,0x0003ffee,0xffd0fff9,0x7ffc400b,0x002fff42,0x7dc5fff1,
    0x7e4000ff,0x05ffe87f,0xd0bffe20,0x7c400bff,0xfff982ff,0x037ffc02,
    0xfffffc80,0x804fffff,0x4002fffa,0x7fd45ffe,0x7ff4002f,0x017ffd45,
    0xf517ffa0,0xfe8005ff,0x05ffd85f,0xb07ffe60,0x7cc00bff,0x3ffea1ff,
    0x2fff4002,0x3002ffec,0xffd83fff,0x3ffe6005,0x807ffc81,0x0001fffc,
    0xffffff93,0x3fe60039,0x3fe2005f,0x2fffcc4f,0x89fff100,0x2005fff9,
    0x7cc4fff8,0x3e2005ff,0x6ffd84ff,0x03ffea00,0x5400dffb,0x3fe60fff,
    0x3fe2005f,0x06ffd84f,0xb03ffea0,0x7d400dff,0xffff80ff,0xeeeeeeee,
    0x0003fffe,0x0006ffc8,0x5c00fffd,0xffe81fff,0x3ffee007,0x007ffe81,
    0x3a07ffee,0x3ee007ff,0x7ffb81ff,0x21ffee00,0x2e007ffb,0x7ffe87ff,
    0x07ffee00,0xb801ffee,0x7ffb87ff,0x21ffee00,0xfffffff9,0xffffffff,
    0xfa80006f,0xfb8001ff,0xff8803ff,0x7fff705f,0x0bfff100,0x200fffee,
    0xf705fff8,0xff1007ff,0x3ffea0bf,0x0dffd002,0x2005fff5,0xffb86ffe,
    0xfff8803f,0x05fff505,0x2a1bffa0,0xfd002fff,0xffff90df,0xffffffff,
    0x003fffff,0x05fff880,0x2ffff802,0x07fffa20,0x202ffff8,0x201fffe8,
    0x2202ffff,0x3e01fffe,0x3a202fff,0xff101fff,0xfff700df,0x0dfff105,
    0x205fff70,0x2202ffff,0xf101fffe,0xff700dff,0xdfff105f,0x05fff700,
    0x3333bfff,0xf5333333,0xb00007ff,0x2217bfff,0xfff903fa,0x7f54437f,
    0x7fe404ff,0x3aa21bff,0x7e404fff,0x2a21bfff,0x6404fffe,0x221bffff,
    0x404fffea,0x900efffc,0x7e40bfff,0xff900eff,0x7ffe40bf,0x3faa21bf,
    0x7fe404ff,0xfff900ef,0x77ffe40b,0x0bfff900,0x8005fff3,0x80006fff,
    0xfffffff8,0xf900ffff,0xffdfffff,0x9001bfff,0xfdffffff,0x001bffff,
    0xdffffff9,0x01bfffff,0xffffff90,0x1bfffffd,0xfffff880,0xffffecde,
    0x3ffe200f,0xffecdeff,0x7e400fff,0xffefffff,0x4400dfff,0xcdefffff,
    0x00fffffe,0x3bffffe2,0xfffffecd,0x007ffc80,0x000fffc8,0xffffe980,
    0x200effff,0xfffffffb,0x5c003fff,0xffffffff,0x7dc003ff,0xffffffff,
    0x7fdc003f,0xffffffff,0x3ff62003,0xffffffff,0xffd8800d,0xffffffff,
    0xfff7000d,0x7fffffff,0x7ffec400,0xdfffffff,0xfffd8800,0xdfffffff,
    0x00bfff00,0x007fff50,0x7fff5c00,0xd93002df,0x03bdffff,0x3ffb2600,
    0x0001deff,0xdffffd93,0x3260003b,0x1deffffe,0xfffd5000,0x0005dfff,
    0xffffffd5,0xd930005d,0x03bdffff,0x3fffaa00,0x8002efff,0xffffffea,
    0x3ffe602e,0xdfff0002,0x02200000,0x00266000,0x00266000,0x00266000,
    0x00266000,0x01331000,0x04cc4000,0x02660000,0x13310000,0x4cc40000,
    0x1fff9000,0x3fff6000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5ff98000,0x0cccc400,
    0x4c400000,0x44000199,0x88001999,0x00000400,0x00199988,0x00019988,
    0x00010022,0x00cccc40,0x00666200,0x03333100,0x13331000,0x27fd4000,
    0x3fffa200,0x26000005,0x0003ffff,0x00ffffe6,0x3605ff90,0x200001ff,
    0x003ffff9,0x02ffffcc,0xd817fe40,0x4c0001ff,0x0003ffff,0x017fffe6,
    0x5fffe880,0x7fff4000,0x3fee0001,0xfff90002,0xf300000b,0x40003dff,
    0x001efff9,0x543fffc4,0x00005fff,0x003dfff3,0xffffff98,0x3ffe2005,
    0x05fffa87,0x3bffe600,0x3fe60001,0x0005ffff,0x002fffe4,0x003fffd0,
    0x000ffe40,0x00bfff50,0x6fffcc00,0x3fe60000,0xff0000df,0x9fff30df,
    0xfff30000,0xffa8001b,0x0effe9cf,0x30dfff00,0x20009fff,0x000dfff9,
    0x273ffea0,0x0000effe,0x0017ffea,0x000ffff4,0xfffffb95,0x880017bd,
    0x80005ffe,0x0003fff9,0x001fffcc,0x6407faa0,0x4c0000ef,0xb8003fff,
    0x3f622fff,0xfea800ef,0x001df901,0x007fff30,0x22fffb80,0x000effd8,
    0x017ffa20,0x007fff60,0x3fffffa6,0x01ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x6401fffd,
    0xffffffff,0x001fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x6c000000,0x3ea00fff,0xff88aeff,0x98017515,
    0x99999999,0x30099999,0x33333333,0x00133333,0x0004cccc,0x02666600,
    0x4cccc400,0x99999999,0x33310199,0x33333333,0x26203333,0x99999999,
    0x26199999,0x10000999,0x4c001333,0x00000999,0x0004cccc,0x4403fff6,
    0x3e60ffff,0xfff8004f,0xffffffff,0xfff06fff,0xffffffff,0x2a00dfff,
    0x0007ffff,0x1ffffea0,0x7fffe400,0xffffffff,0xffc80fff,0xffffffff,
    0xc80fffff,0xffffffff,0x0fffffff,0x0009fff9,0x4003fffa,0x007ffffa,
    0x3fffea00,0x7ffec007,0x89fff300,0xf8003ffa,0xffffffff,0xf06fffff,
    0xffffffff,0x00dfffff,0x0bfffff2,0x7ffe4000,0xfc8002ff,0xffffffff,
    0x80ffffff,0xfffffffc,0xffffffff,0xfffffc80,0xffffffff,0xffff10ff,
    0xfffa8003,0x3fff2004,0x900002ff,0x005fffff,0xb807ffe4,0x7fdc1fff,
    0xffff8002,0xeeeeeeee,0xffff05ee,0xdddddddd,0x3fe00bdd,0x0004ffff,
    0x9ffffff0,0xdddd7000,0xdddfffdd,0xdd701ddd,0xdfffdddd,0x701ddddd,
    0xffdddddd,0x1ddddddf,0x002fffdc,0x8003fffa,0x04ffffff,0xfffff000,
    0x7fe4009f,0x9fff500f,0x8001ffc8,0x80004fff,0x00004fff,0x7fefffd4,
    0xffa80007,0x0007ffdf,0x001ffee0,0x003ffdc0,0x007ffb80,0x4007fffa,
    0x2003fffb,0x7ffdfffa,0xfffa8000,0x32007ffd,0x3fe607ff,0x03ff60ff,
    0x013ffe00,0x013ffe00,0x5bff9000,0x80003fff,0xfffadffc,0xff700001,
    0x3ee0000f,0xf700007f,0x7fd400ff,0xdfff006f,0xadffc800,0x40001fff,
    0xfffadffc,0x0fff9001,0xf2ffffe8,0x3fe000ff,0xff80004f,0x7c00004f,
    0x4fff8bff,0x5fffc000,0x0004fff8,0x000fff70,0x001ffee0,0x003ffdc0,
    0x700bfffa,0xf8005fff,0x4fff8bff,0x5fffc000,0x9004fff8,0xff880fff,
    0x06ffefff,0x009fff00,0x009fff00,0x87ffd400,0x20007ffd,0xffb0fffa,
    0x3ee0000f,0xf700007f,0x2e0000ff,0x7cc007ff,0x3fe206ff,0x7fd4005f,
    0x00fffb0f,0xd87ffd40,0xff7007ff,0xfffd300f,0x0001dfff,0x00009fff,
    0x00009fff,0xff737fe4,0x3f20003f,0x07ffee6f,0x1ffee000,0x3ffdc000,
    0x7ffb8000,0x3fffd800,0x003fff90,0x3ee6ffc8,0xf90001ff,0x0fffdcdf,
    0x003ffdc0,0xfffffff7,0x7ffc003b,0xfff80004,0x3fe00004,0x13ffe23f,
    0x11fffc00,0x00009fff,0x0000fff7,0x0001ffee,0x4003ffdc,0x440ffff8,
    0xf8004fff,0x3ffe23ff,0x7fff0004,0x4027ffc4,0x44007ffb,0xffffffeb,
    0x4fff800d,0x4fff8000,0xfff50000,0x007ffe83,0x741fffa8,0xb80007ff,
    0x700007ff,0x20000fff,0x90007ffb,0xffc87fff,0x7fd4000f,0x03fff41f,
    0x20fffd40,0xfb807ffe,0xff90007f,0x01ffffff,0x0004fff8,0x0004fff8,
    0xf70dff90,0xfc8003ff,0x1fffb86f,0x3ffdc000,0x7ffb8000,0xfff70000,
    0x3ffe2000,0x07fff10f,0x70dff900,0xc8003fff,0xfffb86ff,0x037fdc01,
    0xfb9ffd80,0x3e00efff,0xffffffff,0xf03fffff,0xffffffff,0x407fffff,
    0xff884fff,0x7ffc004f,0x04fff884,0x03ffdc00,0x07ffb800,0x0fff7000,
    0xa7ffdc00,0x8000fffc,0xff884fff,0x7ffc004f,0x04fff884,0x80037fd4,
    0x3ffa27fe,0x3fffe03f,0xffffffff,0xffff03ff,0xffffffff,0x3fea07ff,
    0x0dffd01f,0x80fffd40,0x40006ffe,0x00007ffb,0x0000fff7,0x0001ffee,
    0xfff3fffd,0xfff50005,0x01bffa03,0xd01fffa8,0xffa80dff,0x8dff0006,
    0x3e05fff8,0xffffffff,0xf03fffff,0xffffffff,0x207fffff,0x3f207ffc,
    0xff9001ff,0x0fffe40f,0x0fff7000,0x1ffee000,0x3ffdc000,0x3ffea000,
    0x90006fff,0x7fe40fff,0xfff9001f,0x00fffe40,0x10005551,0xfffb0bff,
    0x0027ffc0,0x0027ffc0,0x3027ffc0,0x3e009fff,0x3fe604ff,0x3ee0004f,
    0xf700007f,0x2e0000ff,0xd80007ff,0x001fffff,0x4c09fff0,0xff004fff,
    0x7ffcc09f,0x26000004,0x7ffd84ff,0x0013ffe0,0x0013ffe0,0x805fff30,
    0xf9806fff,0x7ffc02ff,0x3fee0006,0xff700007,0x3ee0000f,0xf980007f,
    0x30005fff,0xff805fff,0xfff9806f,0x037ffc02,0x7ff50000,0x205fff88,
    0x80004fff,0x40004fff,0xfc807ffc,0x7fe401ff,0x1fffc807,0x0fff7000,
    0x1ffee000,0x3ffdc000,0xfffc8000,0xfff90001,0x03fff900,0xc807ffc8,
    0xdb301fff,0xffb80407,0x0ffff622,0x0004fff8,0x0004fff8,0x7777fffc,
    0xffeeeeee,0x7fffc03f,0xeeeeeeee,0x0003fffe,0x0000fff7,0x0001ffee,
    0x0003ffdc,0x0007ffb8,0x3bbbfffe,0xffeeeeee,0x7fffc03f,0xeeeeeeee,
    0xf883fffe,0x9db03fff,0x55ffb355,0x80bffff7,0x80004fff,0x20004fff,
    0xfffffff9,0xffffffff,0x3ffe606f,0xffffffff,0x006fffff,0x000fff70,
    0x001ffee0,0x003ffdc0,0x007ffb80,0xffffff30,0xffffffff,0x7fcc0dff,
    0xffffffff,0x86ffffff,0xb05ffffa,0xffffffff,0x0dffffff,0x0009fff0,
    0x0009fff0,0x7fffffe4,0xffffffff,0xff901fff,0xffffffff,0x3fffffff,
    0x0fff7000,0x1ffee000,0x3ffdc000,0x7ffb8000,0xffff9000,0xffffffff,
    0x203fffff,0xfffffffc,0xffffffff,0x7ffcc1ff,0xffffb04f,0xffffffff,
    0x3ffe005d,0xfff80004,0x3ffe0004,0x9999999d,0x3fffa999,0x333bfff0,
    0x53333333,0x70007fff,0x20000fff,0x00007ffb,0x0000fff7,0x4001ffee,
    0x9999dfff,0xfa999999,0xbfff03ff,0x33333333,0x07fff533,0x2201dff9,
    0xffffedca,0x7c002bde,0xf80004ff,0xf30004ff,0xff8005ff,0x2fff986f,
    0x037ffc00,0x003ffdc0,0x007ffb80,0x00fff700,0x01ffee00,0x00bffe60,
    0xf30dfff0,0xff8005ff,0x0015306f,0x0005ff98,0x00027ffc,0x80027ffc,
    0xc8007ffc,0x7fe40fff,0xfffc8007,0x3ffdc000,0x7ffb8000,0xfff70000,
    0x3fee0000,0x7ffc8007,0x0fffc800,0x4003ffe4,0x0000fffc,0x0013fea0,
    0xfffffff0,0xdfffffff,0x3fffffe0,0xffffffff,0x0017ffe6,0xff0fffea,
    0xff5000bf,0x3fff207f,0xffffffff,0xfc80ffff,0xffffffff,0x80ffffff,
    0xfffffffc,0xffffffff,0x1ffee000,0x017ffe00,0xf0fffea0,0xf5000bff,
    0x400007ff,0x40003ffb,0xffffffff,0x06ffffff,0xffffffff,0x2dffffff,
    0x0002fff9,0x7fccdfff,0xfff0002f,0x3ffff20d,0xffffffff,0xffc80fff,
    0xffffffff,0xc80fffff,0xffffffff,0x0fffffff,0x01ffee00,0x005fff30,
    0xf99bffe0,0xff0002ff,0x640000df,0x7c0001ff,0xffffffff,0xf06fffff,
    0xffffffff,0x32dfffff,0xb0000fff,0x3ff21fff,0xffb0000f,0xffff901f,
    0xffffffff,0xff901fff,0xffffffff,0x901fffff,0xffffffff,0x1fffffff,
    0x03ffdc00,0x003fff20,0xc87ffec0,0xb0000fff,0x00001fff,0x00003bb2,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x99999988,0x00133119,0x04d44000,0x2a620000,
    0x220019ab,0x00000400,0x4cc40333,0x44000019,0x0000009a,0x00cd54c4,
    0x22000000,0x0009aba9,0x44000153,0xc9800199,0xfffffffe,0x0dff77ff,
    0xffd30000,0x009b07ff,0x7fffffe4,0xffc804ff,0x003ffb02,0x207ff980,
    0x005fffe8,0xffffe980,0x50004d83,0xffffffdb,0x322005bf,0x44002efe,
    0xfffffffd,0x3fff200c,0xfff98001,0xffb3005f,0xffffffff,0x3ffe2fff,
    0x3e200001,0xbeffffff,0x4c01ffeb,0xffffffff,0x7fc404ff,0x5fffa87f,
    0x27fec000,0x02fffe40,0xfffff100,0xffd77dff,0xfffc8003,0xffffffff,
    0xfffe8806,0xff7003ff,0xffffffff,0xffff101f,0xfff9800d,0x7dc05fff,
    0xcfffffff,0x327ffecc,0x200005ff,0xffb9bffd,0x403fffff,0xabdffff8,
    0xf804dbaa,0xfff986ff,0x3fe20004,0xfff5000f,0x3ff6000b,0xfffffb9b,
    0x3a2003ff,0xedffffff,0xc806ffff,0x1ffc89ef,0x67fffd40,0x6fffecaa,
    0x06ffff98,0x273ffea0,0xf980effe,0xffffffff,0xf99ffee0,0x100000ff,
    0xfffc883b,0xfffd803e,0xfea80001,0x001df901,0x002ffdc0,0x0017ffa2,
    0xff910762,0x7c4007df,0x500aefff,0x85fd00db,0x3fe203fe,0xfffb00df,
    0x07fffd03,0x88bffee0,0x7f40effd,0xffffffff,0xfb1ffee0,0x0000007f,
    0xfff0004c,0x00000009,0x5fff0000,0x00000000,0x36000260,0x1000dfff,
    0xfe85ff00,0x07ffee03,0x883fff98,0x000003ec,0xffffff30,0x7dc1ffff,
    0x03ffd47f,0x80000000,0x0003fff8,0x40000000,0x00006ffa,0x00000000,
    0x002fffcc,0xa8f7ec00,0x3ff201ff,0x03fff805,0x70000000,0xffffffff,
    0x3ffdc1ff,0x00017ffc,0x40033331,0xdfff0199,0x99980001,0x99999999,
    0xe8000999,0x4cc403ff,0x99999999,0x40019999,0x80009999,0x0001fffd,
    0xfffff880,0x27ff405f,0x00bffe60,0x4ccccc00,0x99999999,0xfffffb09,
    0x5c1fffff,0x5ffb87ff,0x3fff2000,0xfff8801f,0x0efffc80,0x3fffe000,
    0xffffffff,0x7cc006ff,0x7fe400ff,0xffffffff,0x000fffff,0x00fffff5,
    0x005fff98,0x3ffa6000,0x3fff803f,0x03fffa20,0x7c00aaa2,0xffffffff,
    0xfb6fffff,0xffffffff,0x43ffdc1f,0x0001fff8,0x00bffff9,0x3a01fff1,
    0x0003ffff,0xffffffff,0x0dffffff,0x804ffc80,0xfffffffc,0xffffffff,
    0xffff9000,0x7fdc005f,0x8000001f,0x3ffe0008,0x5fffd303,0x401bfe60,
    0xffffffff,0x96ffffff,0xffffffff,0x3ffdc1ff,0x0004ffd8,0x03fffff9,
    0xc80fff88,0x1effffff,0x77fffc00,0xeeeeeeee,0x3fe2005e,0xeeeb801f,
    0xeefffeee,0xf000eeee,0x009fffff,0x0003ffe4,0x2aaaa600,0x1fffc009,
    0x017fffd4,0x3e00dff3,0xeeeeefff,0xf55eeeee,0xffffffff,0x83ffdc1f,
    0x8000fff9,0x05fffffc,0x3207ffc4,0xffffdfff,0xfff000cf,0x2e000009,
    0x5c0006ff,0x540007ff,0x07ffdfff,0x001fff60,0xfffd7100,0x019fffff,
    0xff30fffe,0xffa801df,0x09fff006,0xfffff100,0x5c1fffff,0x3ffa07ff,
    0xfffc8003,0x3e200fff,0x3ffea0ff,0xdffffb13,0x09fff003,0x3ffa0000,
    0x7fdc0002,0x7fe40007,0x001fffad,0x0000dffd,0xffffffc8,0x82ffffff,
    0x7fec3fff,0x7ffa800e,0x009fff00,0x3ffffee0,0x3ee0ffff,0x1bfea07f,
    0x3b7ff200,0x3fe204ff,0x217ff60f,0x02ffffea,0x00027ffc,0x003ffd40,
    0x003ffdc0,0x3e2fffe0,0xfff004ff,0xfc80000b,0xfdccdeff,0x7fc0ffff,
    0x01fffc3f,0xf007ffa8,0x740009ff,0xffffffff,0xf01ffee0,0xfc8005ff,
    0x00fffbdf,0x7fc1fff1,0x3fff202f,0x13ffe01f,0x3ff60000,0xffb80004,
    0x3fea0007,0x00fffb0f,0x000bfff1,0x6401cc80,0x7ffc5fff,0x00fffe23,
    0xf803ffd4,0x220004ff,0xfffffffc,0x901ffee0,0xfc800bff,0x209fff5f,
    0xff10fff8,0xfffb805f,0x013ffe06,0x1fff1000,0xfff70000,0x37fe4000,
    0xf003fff7,0x00000dff,0x1fffe200,0xffe87fff,0x7ffa800f,0x009fff00,
    0xffffb100,0x03ffdc1f,0x8003ffe2,0xfff95ffc,0x41fff101,0xfb804fff,
    0x9fff02ff,0xffc80000,0xff700005,0x7ffc000f,0x013ffe23,0x0001bffa,
    0xfffc8000,0xf70fffe0,0xfb801dff,0x9fff007f,0xa9880000,0x403ffdc3,
    0x32004ffd,0x7fff15ff,0x6c1fff10,0xff800fff,0x09fff04f,0x1fff8000,
    0xfff70000,0x3ffea000,0x403fff41,0x00007ffe,0x3ffe6000,0x3a0fffe1,
    0x2e02ffff,0xff800fff,0x0000004f,0x2a01ffee,0x3f2007ff,0x21fff65f,
    0x3e60fff8,0x7e400eff,0x09fff05f,0x37fd4000,0xfff70000,0x1bff2000,
    0xb007ffee,0x00003fff,0x3ffe6000,0x220fffe1,0x704ffffd,0xff001fff,
    0x0000009f,0xe803ffdc,0xff9002ff,0x217ffccb,0x7e40fff8,0x3f602fff,
    0xfffff05f,0xffffffff,0x3ffe807f,0x3fee0000,0x9fff0007,0x809fff10,
    0x0005fffb,0xddb97300,0x43fffddd,0x3f203fff,0xffb85fff,0xffff800f,
    0xffffffff,0x5c0003ff,0xff7007ff,0x17ff200d,0xff88dffb,0xffffc80f,
    0x17ffc40d,0xfffffff8,0x3fffffff,0x003ffe60,0x07ffb800,0x01fffa80,
    0xf880dffd,0x00000fff,0x3fffffaa,0x1fffffff,0xf500fffe,0xffb87fff,
    0xffff800f,0xffffffff,0x5c0003ff,0xff1007ff,0xbff9003f,0x222fffa8,
    0xff700fff,0x7fec7fff,0x3ffffe07,0xffffffff,0x13ff603f,0xfff70000,
    0x0fff9000,0x200fffe4,0x0005fffc,0xffffff90,0xfffddddd,0x401fffc3,
    0x7e47fff9,0xfff801ff,0xffffffff,0x40003fff,0x32007ffb,0xffc804ff,
    0x226ffe85,0x3a200fff,0xffeeffff,0x13ffe01f,0x3ffe2000,0x7dc00001,
    0xfff8007f,0x13ffe604,0x1dffff30,0x3fea0200,0x3fe602ef,0x00fffe1f,
    0xf90fffdc,0xfff003ff,0x40000009,0x26007ffb,0x7e400fff,0x2fffa85f,
    0x5001fff1,0x5fffffff,0x004fff80,0x005ffb80,0x07ffb800,0x017ffcc0,
    0x2e01bffe,0x09bfffff,0x7f4375cc,0x7fcc00ff,0x00fffe1f,0xf917ffcc,
    0xfff003ff,0x40000009,0x74007ffb,0x7fe403ff,0x22bffd05,0x32000fff,
    0xf804ffff,0xf80004ff,0x800002ff,0x64007ffb,0xffc807ff,0xfffb801f,
    0xfffeffff,0x7ffc46ff,0x1fff9803,0x4c00fffe,0x3ff21fff,0x4fff801f,
    0x32000000,0x7d4006ff,0x2ffe406f,0xf89fffb8,0x7cc000ff,0x7fc01fff,
    0x7d40004f,0x7000007f,0xff800fff,0xeeeeeeff,0x03fffeee,0xffffff50,
    0x8dffffff,0xb802fff9,0x3ffe1fff,0x7ffe9803,0x4017ffe4,0x00004fff,
    0x017ff600,0xc80bffe0,0x3ffe05ff,0x000fff8c,0x404fff98,0x40004fff,
    0x00003ffd,0x400fff70,0xfffffff9,0xffffffff,0x7ed4006f,0xabdfffff,
    0x01fffcc0,0x43ffffb1,0x37a63fff,0x2ffffedc,0x4017ffec,0x00004fff,
    0x00fffa00,0xc817fee0,0x3fee05ff,0x000fff9f,0xf80bffd0,0x260004ff,
    0x00000fff,0x400fff70,0xfffffffc,0xffffffff,0xff8001ff,0xfff000cf,
    0xfffd503f,0x1fffc3ff,0xfffffff3,0x5fffb07f,0x009fff00,0xff500100,
    0xff10005f,0x17ff203f,0xffcfff88,0xff98000f,0x27ffc04f,0x0bff9000,
    0x7fdc0000,0x37ffe007,0x99999999,0x03fffa99,0x007ffc40,0x9bffff90,
    0xffbffffb,0x31fffc3f,0x1bdfffff,0x00bfff60,0x00013ffe,0x3e6019f3,
    0x360006ff,0xbff904ff,0xfffffc80,0x7ec0020f,0x7ffc01ff,0xfff10004,
    0x5c000003,0xff3007ff,0xfff8005f,0x37fd4006,0x7ffff400,0xff2fffff,
    0x2662003f,0x13331001,0x009fff00,0x6ffff440,0xffffdbab,0x3fe60001,
    0x05ffc80f,0x7fffffc4,0x26af7ae0,0x5fffeba9,0x004fff80,0x000dff70,
    0x07ffb800,0x000fff90,0x4001fff9,0x70004ffc,0x19dfffff,0x0000fff4,
    0x3fe00000,0x3620004f,0xffffffff,0x80003fff,0xffc83ffe,0xffffd805,
    0x3fffee0f,0x5fffffff,0xffffff00,0xffffffff,0x0017ff4d,0xfffffc80,
    0xffffffff,0x17ffe0ff,0x0fffea00,0x001ffe80,0x0004cc40,0x00000000,
    0x7ffffffc,0x6fffffff,0xfffffd50,0x00001bff,0x3f21bfee,0xfff9805f,
    0x3ffee0ff,0x2effffff,0x3ffffe00,0xffffffff,0x00fff36f,0x7fffe400,
    0xffffffff,0xfff30fff,0x3ffe0005,0x01ffe006,0x00000000,0x3e000000,
    0xffffffff,0x406fffff,0x00abcba8,0x0aaa8000,0xd802ffe4,0x54c0ffff,
    0x01accccc,0xffffff80,0xffffffff,0x00035536,0x7ffffe40,0xffffffff,
    0x1fff90ff,0x3fff6000,0x00000000,0x00000000,0xffff8000,0xffffffff,
    0x000006ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33000000,0x00000133,0x004cccc0,
    0x00026620,0x00000260,0x00000000,0x00998800,0x01333100,0x03530000,
    0x00999980,0x4cc00000,0x98800099,0x3ee00009,0x00002fff,0x0efffd80,
    0x3fffa200,0xffd88003,0x802c82ef,0xfd882ffb,0x2ffb800e,0x000efd88,
    0x01ffff44,0x0ffffc40,0x3ff604c4,0x3ffff6a2,0xfff7004f,0x0000005f,
    0x003bfff6,0x07fffd10,0x7fff4c00,0x36000002,0x44004fff,0x03fffffe,
    0x3ffffa20,0xffc9adff,0x3fffe201,0x02fffdc0,0x703fffe2,0x4400bfff,
    0x03fffffe,0x9efffa80,0x6c1ffecb,0xffff72ff,0x200bffff,0x002fffe9,
    0x7ffec000,0xffe88004,0x20003fff,0x002fffd8,0x2fffd800,0x6fff4400,
    0xb003fffa,0xfffb7bff,0x980bffff,0x7e40ffff,0x7fcc05ff,0x7ffe40ff,
    0xbffd1005,0x8007fff5,0xffffffd8,0x7fec1fff,0xecefffcb,0x1004ffff,
    0x0005fffb,0x0bfff600,0x37ffa200,0x0003fffa,0x0017ffdc,0x03dffb00,
    0x24ffe880,0x8803fff9,0x7fff543f,0x9ffb005f,0x003fff10,0xff109ffb,
    0xffd1003f,0x01fffcc9,0x3fffff62,0x0cefffff,0x77ffffec,0x07fffc41,
    0x05fff700,0xeffd8000,0xffe88001,0x00fffe64,0x01999300,0x09995000,
    0x20b32e00,0x0801ccc8,0x0002ea60,0x00544033,0x05440330,0x882ccb80,
    0x3e201ccc,0xffffffff,0x7fffec03,0x0fffe605,0x01999300,0x1332a000,
    0x82ccb800,0x0001ccc8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x6ffc4000,0x06fffaab,0x402fffec,0x00006ffe,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xff900800,0x77fec09f,
    0x07ffb800,0x00000000,0x00000000,0x35555300,0x554c0001,0x200009aa,
    0x009aaaa9,0x2aaaa600,0x2a600009,0x00009aaa,0x98800000,0x8800009a,
    0xb01ffff9,0x3ea00bff,0x54c000ff,0x26000009,0x2000009a,0x100009a9,
    0xffffffd7,0x710019ff,0xfffffffd,0xd710019f,0xffffffff,0xfd710019,
    0x9fffffff,0xffd71001,0x19ffffff,0x805ffd80,0x4402fff8,0xffffffec,
    0x3b6a000c,0x06ffffff,0x2600bffb,0xeb801fff,0x04ffffff,0xffffd700,
    0x2e0009ff,0x4ffffffe,0x7fffe400,0xffffffff,0x7fffe402,0xffffffff,
    0x7fffe402,0xffffffff,0x7fffe402,0xffffffff,0x7fffe402,0xffffffff,
    0x017ff602,0x980bffe2,0xffffffff,0x6c402eff,0xffffffff,0x5ffd82ff,
    0x05fff300,0x7ffffec4,0x001effff,0xffffffb1,0x2003dfff,0xffffffd8,
    0x9001efff,0xb99bdfff,0x401fffff,0xccdefffc,0x00fffffd,0x337bfff2,
    0x0fffffdc,0x37bfff20,0xfffffdcc,0x3bfff200,0xffffdccd,0x0bffb00f,
    0x205fff10,0xcdeffffb,0x02fffffd,0x9dffffd1,0xb0dfffd9,0x3e600bff,
    0xffd101ff,0xffd957bf,0xfe8801ff,0xfecabdff,0x74400fff,0xecabdfff,
    0xc800ffff,0x7ffe401c,0x90073205,0x6640bfff,0x2fffe401,0xfc803990,
    0x073205ff,0x20bfff90,0xf8805ffd,0xfff882ff,0xffff901f,0x02ffffa0,
    0xfb0fffea,0x3fea00bf,0x0bfff607,0x202fffdc,0xf702fffd,0xffd80bff,
    0xbfff702f,0x7fc40000,0xf880007f,0x880007ff,0x80007fff,0x0007fff8,
    0xb07fff88,0xff100bff,0x1dffb05f,0x43fffb80,0x7c02fffa,0x2ffec6ff,
    0x306ffb80,0xfb805fff,0xfff301ff,0x1fffb805,0x805fff30,0x0001fffb,
    0x003fff20,0x03fff200,0x3fff2000,0xffc80000,0xfc80000f,0x5ffd80ff,
    0x42fff880,0xd003fffa,0x5ffe8fff,0x21fffb80,0xfb005ffd,0x17ff60bf,
    0xd827ff40,0xffd005ff,0x017ff609,0x00027ff4,0x003fff30,0x03fff300,
    0x3fff3000,0xfff30000,0xff300003,0x0bffb03f,0xc85fff10,0x3ea007ff,
    0x3fff51ff,0x49fff100,0xf9805ffd,0xfff883ff,0x0dff9002,0x2005fff1,
    0xff886ffc,0xdff9002f,0x7fcc0000,0xf980001f,0x980001ff,0x80001fff,
    0x0001fff9,0xd81fff98,0xff8805ff,0x02ffec2f,0x2e5fff10,0x3fa006ff,
    0x017ff66f,0x260dffd1,0xf7000fff,0x1fff30ff,0x21ffee00,0x7000fff9,
    0x5cc00fff,0xfeeeeedc,0xcb9801ff,0xffeeeeed,0xdcb9801f,0xfffeeeee,
    0xedcb9801,0x1fffeeee,0xeedcb980,0x81fffeee,0xf8805ffd,0x27ff42ff,
    0x6cfffe00,0x3f6005ff,0x03bff67f,0x80ffff4c,0xccccfffa,0xfdcccccc,
    0x7ffd40ff,0xcccccccc,0x40fffdcc,0xccccfffa,0xfdcccccc,0x7f5400ff,
    0xffffffff,0x3aa01fff,0xffffffff,0x2a01ffff,0xfffffffe,0x201fffff,
    0xffffffea,0x01ffffff,0x3fffffaa,0x1fffffff,0x8805ffd8,0x7ffc2fff,
    0xa7ffc003,0x32004ffe,0x3fff67ff,0xffedcdef,0x3ff203ff,0xffffffff,
    0x0fffffff,0x7fffffe4,0xffffffff,0x7fe40fff,0xffffffff,0x0fffffff,
    0x3fffff20,0xffeeeeef,0xffff901f,0xfdddddff,0x3ff203ff,0xeeeeffff,
    0xf901fffe,0xdddfffff,0x203fffdd,0xeffffffc,0x1fffeeee,0x8805ffd8,
    0x3fe22fff,0x7ffc003f,0x4009fff4,0xffb0fffb,0xffffffff,0xffc803df,
    0xffffffff,0x0fffffff,0x7fffffe4,0xffffffff,0x7fe40fff,0xffffffff,
    0x0fffffff,0x05dfff50,0x540fffcc,0x2602efff,0xffa81fff,0x3fe602ef,
    0xefffa81f,0x07ffe602,0x80bbffea,0xfd81fff9,0xfff8805f,0x0027ffc2,
    0x7ff4fffe,0x9fff2005,0xfffffffd,0xf7003def,0x5c0000ff,0x200007ff,
    0x00007ffb,0x400fffe8,0xfe81fff9,0x7fcc00ff,0x0fffe81f,0x40fffcc0,
    0x4c00fffe,0xffe81fff,0x7ffcc00f,0x805ffd81,0x7f42fff8,0x3fe2005f,
    0x00dffb1f,0xffb37fec,0x0002662b,0x0007ffea,0x00fffd40,0x1fffa800,
    0x3fe20000,0xfff9803f,0x01fffc41,0x220fffcc,0xf9803fff,0x7ffc41ff,
    0x1fff9803,0x401fffc4,0xfd81fff9,0xfffa805f,0x003ffec2,0x3f21fff7,
    0xfff000ff,0x002ffec9,0x02fff980,0x5fff3000,0x3fe60000,0x2600002f,
    0xfb802fff,0x7ffcc1ff,0x1fffb802,0x4017ffcc,0x7cc1fffb,0xffb802ff,
    0x17ffcc1f,0x40fffdc0,0x7cc06ffc,0x7fdc2fff,0xdffd003f,0x4027ffd4,
    0x3f62fffa,0x3e00005f,0x200006ff,0x00006fff,0x0001bffe,0x203fff98,
    0x41ffffd8,0x2203fff9,0x4c1ffffd,0x36203fff,0x7cc1ffff,0x3f6203ff,
    0x7fcc1fff,0x3ff6203f,0xfffb81ff,0xfffff301,0x01dffd05,0x741fffc8,
    0x3a200fff,0x2ffec6ff,0xfff70000,0x3ee00007,0x700003ff,0x00007fff,
    0x540ffffc,0x81fffffe,0xea81ffff,0xf81fffff,0xfea81fff,0xff81ffff,
    0xffea81ff,0xfff81fff,0xfffea81f,0xfff981ff,0x7fffd40e,0xfffa82ff,
    0xfffd881f,0x2ffffa84,0x42fffe88,0x00005ffd,0x006ffff4,0x3fffa00c,
    0x7401800d,0x1800dfff,0x6ffffe40,0xfdffffdc,0xfffc81ff,0xffffdcdf,
    0xfc81fffd,0xffdcdfff,0x81fffdff,0xdcdffffc,0xfffdffff,0xdffffc81,
    0xfdffffdc,0xfffb01ff,0x5fffd9bf,0x3fa05ffd,0xfecdffff,0xfb00efff,
    0xfdbbdfff,0xffb09fff,0xfa80000b,0xccdeffff,0x200ffedc,0xdefffffa,
    0x0ffedccc,0x3ffffea0,0xfedcccde,0x7fff400f,0xf2ffffff,0x3ffa03ff,
    0x2fffffff,0x3fa03fff,0xffffffff,0x3a03fff2,0xffffffff,0x203fff2f,
    0xfffffffe,0x03fff2ff,0x3fffffe6,0x5ffd2fff,0x7ffffdc0,0x804fffff,
    0xfffffffb,0xffb04fff,0xd300000b,0xffffffff,0x9801ffff,0xfffffffe,
    0x400fffff,0xffffffe9,0x00ffffff,0xefffffb8,0x807ffa0c,0xcefffffb,
    0xb807ffa0,0x0cefffff,0xfb807ffa,0x20ceffff,0x3ee01ffe,0x20ceffff,
    0x36201ffe,0x20dfffff,0x6cc02ffd,0x2defffff,0x3fff6600,0x3600dfff,
    0x000005ff,0x3fffffae,0x2004dfff,0xffffffeb,0x2e004dff,0xfffffffe,
    0x4c4004df,0x31000009,0x22000013,0x10000099,0x20000133,0x00000998,
    0x000026a6,0x00009988,0x10009a88,0x00000133,0x0666a620,0x26a62000,
    0x98800019,0x0000199a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x99980000,0x544004c0,
    0xaaa98001,0x26000000,0x00266219,0x00000000,0x400004c0,0x00009999,
    0x4cccc000,0x00000000,0x00009988,0xff700153,0x01dfb105,0x3fffb2a0,
    0x01ffdeff,0x402fffcc,0xffffffd9,0x06ffffff,0x47ffe600,0x00005ffd,
    0xd882ffb8,0xfb1000ef,0x05905dff,0x05ffff70,0x3f600000,0x7fec0eff,
    0x0fffa805,0x7fff4400,0x7ffec003,0x3fffe202,0x02fffdc0,0x7fffffe4,
    0x01ffffff,0x00ffffec,0xfffffff9,0xdfffffff,0x7ffcc000,0x000bffb1,
    0x0ffff880,0x402fffdc,0xffffffe8,0x01ffc9ad,0x02fffe98,0x7fec0000,
    0x0bffb04f,0x001fff50,0x7fffff44,0xffff7003,0x3ffe601f,0x2fffe40f,
    0xbffffd10,0xfffffb99,0xffffe803,0x7dfff701,0xffffd733,0x4c000bdd,
    0xbffb1fff,0xff980000,0x7ffe40ff,0xbdffd805,0xfffffffd,0x3ff62005,
    0xb000002f,0x7ec05fff,0xfffa805f,0xbffd1000,0xb007fff5,0x403fffff,
    0xff884ffd,0x3fffa01f,0x07ffee03,0x20dfff70,0xb00dfff8,0x00001fff,
    0x3f63fff3,0xd800005f,0xfff884ff,0x543f8801,0x005ffffe,0x005fff70,
    0x1effd800,0x402ffec0,0x8800fffa,0x3fe64ffe,0x7ffe403f,0x00cc00ff,
    0x7fd40151,0x7ffcc02f,0x00ddb801,0x4401fff7,0x80003fff,0xffb1fff9,
    0x2600000b,0x8002a201,0x002ea600,0x01999300,0x1332a000,0x402ffec0,
    0xb800fffa,0xccc882cc,0x3fffe201,0xd0000004,0xff300bff,0x3200003f,
    0xffe806ff,0xff980005,0x00bffb1f,0x00000000,0x00000000,0x80000000,
    0xfa805ffd,0x000000ff,0x002cb880,0xfff30000,0x3fff3003,0x3ffa0000,
    0x06ffd805,0x1fff9800,0x0000bffb,0x00000000,0x00000000,0xfd800000,
    0xfffa805f,0x00000000,0x13530000,0x00fff500,0x2007ffe6,0xffd00aaa,
    0x09ffd00d,0x989a9880,0xbffb1fff,0x00006a60,0x00026a62,0x004d4c40,
    0x09a98800,0x35310000,0x0bffb001,0x001fff50,0x00000000,0x7fffff5c,
    0x1ffee04f,0x00fffcc0,0xfc80ffec,0x3fe600ff,0xfed9803f,0xffffffff,
    0x6d49ffb1,0x004fffff,0x7ffff644,0x44000cff,0xffffffec,0x7644000c,
    0x0cffffff,0x7ff64400,0xb00cffff,0xff500bff,0x2ffec01f,0x017ffc40,
    0xfffd8800,0x1effffff,0x3006ffd8,0xfd003fff,0x3ffe603f,0xfffe880e,
    0x7fffe400,0xffffffff,0x3ee9ffb1,0x5fffffff,0xfffff300,0x05dfffff,
    0x3ffffe60,0x02efffff,0xffffff30,0x005dffff,0x3fffffe6,0xd82effff,
    0xffa805ff,0x17ff600f,0x00bffe20,0x3fffa200,0xfffecabd,0x02ffec0f,
    0x801fff98,0x3f202ffe,0xfbaabfff,0x3a202fff,0xdccdffff,0xfb1fffff,
    0x9dfff99f,0x809ffffd,0xcdeffffb,0x02fffffd,0x6f7fffdc,0x2fffffdc,
    0x77fffdc0,0xfffffdcd,0x7fffdc02,0xffffdcde,0x02ffec2f,0xb007ffd4,
    0xff100bff,0xfb00005f,0x3fee05ff,0x037fec5f,0x801fff98,0x3f602ffe,
    0xffffffff,0x7fec03ff,0x3ffee03f,0xdfffffb1,0x0ffff883,0x03ffff10,
    0x881ffff2,0xf901ffff,0x7fc40fff,0xfff901ff,0x7fffc40f,0x8ffff901,
    0xfa805ffd,0x3ff600ff,0x2fff8805,0x7ffcc000,0x0fffdc02,0x2600fff9,
    0x2a601fff,0xff702fff,0xffffffbd,0xfffa801b,0x8fffcc02,0x205ffffd,
    0xfb03fff9,0xffb801df,0x1dffb03f,0x03fffb80,0xb801dffb,0xffb03fff,
    0xfffb801d,0x2017ff63,0x3600fffa,0xff8805ff,0x7ec0002f,0x9ffd005f,
    0x2007ffdc,0xc81fffe8,0x02ffffff,0x2a623ffd,0x3ffa000a,0x1fff9805,
    0xd00bfffb,0xfff50dff,0x1fffa007,0x400fffea,0xffa87ffe,0xfffd003f,
    0x007fff50,0xffd9fffa,0x0fffc805,0x2017ff60,0x2a02fff8,0x5fff100a,
    0xa9bff200,0x7f402fff,0x3fe61fff,0x82ffffff,0x80007ff8,0x9801fff9,
    0xdffb1fff,0x0fff7001,0x5400fff9,0x7fe41fff,0x3ffea007,0x003ffe41,
    0xfc83fff5,0x3fea007f,0x80dffb1f,0x200ffffa,0xf8805ffd,0xffe882ff,
    0x0fff981f,0xf8fff700,0x3ff606ff,0x3ffa1fff,0x8099aaef,0x0003fff9,
    0x9803ffd4,0xbffb1fff,0x03ffea00,0x4400bffb,0x7fec2fff,0x3ffe2005,
    0x002ffec2,0xfd85fff1,0x3fe2005f,0x03fffb2f,0x07ffffe6,0x8805ffd8,
    0xffb82fff,0xfffa87ff,0xcccccccc,0x20fffdcc,0x6d44fffb,0x71fffdff,
    0x44009fff,0xbcceffff,0x2e009aaa,0xff3007ff,0x017ff63f,0x3a0fffcc,
    0x7fc004ff,0x027ff43f,0xfd0fffe0,0xfff8009f,0x0027ff43,0x7fecfffe,
    0x7ffdc0ef,0x3f604fff,0xfff8805f,0xfffffb82,0x7ffffe42,0xffffffff,
    0x3e20ffff,0xffedffff,0x91fff8df,0xc8001fff,0xffffffff,0x40cfffff,
    0xf3006ffc,0x17ff63ff,0x217ffcc0,0x7c003fff,0x1fffc4ff,0xf13ffe00,
    0xff8007ff,0x01fffc4f,0x7ed3ffe0,0xfedeffff,0xefffc9ff,0x805ffd83,
    0xf982fff8,0x7e43ffff,0xffffffff,0xffffffff,0x7ffffcc0,0xfff14fff,
    0x001bffa3,0x7fffffe4,0xffffffff,0x4017ff62,0xffb1fff9,0x3ffe600b,
    0x00fffe21,0x7c49fff0,0x7fc003ff,0x0fffe24f,0x449fff00,0x7c003fff,
    0xffffb4ff,0x23ffffff,0xd84ffff9,0xff8805ff,0xffff902f,0x007ffb89,
    0x7ffec400,0x3ffe62df,0x000fffd1,0x995bfff5,0xfffffb99,0x01bff63f,
    0xfd8fffcc,0xfff5005f,0x004fff81,0x3fe1fffc,0x7ffc004f,0x0027ffc3,
    0xfff0fffe,0x3fff8009,0xfff97ffb,0xfffa819f,0x805ffd84,0x3e02fff8,
    0x7fd43fff,0x3000001f,0x47ffe603,0x2000fffd,0x8804fff9,0xff93fffe,
    0x3ffe600f,0x200bffb1,0xffe87ffb,0x3ffe2005,0x002fff41,0xfe83fff1,
    0x3fe2005f,0x02fff41f,0x363fff10,0x002663ff,0x17ff6031,0x80bffe20,
    0x7cc1fffd,0x000002ff,0x71fff980,0x64007fff,0x3e6006ff,0x1fff75ff,
    0x1fffe880,0x3600bffb,0x7ffd85ff,0x03ffee00,0x5c00fffb,0x7fec0fff,
    0x3ffee007,0x003ffec0,0x3f61fff7,0x6c00004f,0xffa805ff,0x1fffe02f,
    0x00037ffc,0x7ffcc000,0x03ffff11,0x0013ffe0,0x3fea9fff,0x7fff402f,
    0x00bffb1f,0xf705fff3,0x3fa007ff,0x3fffb86f,0x70dffd00,0x3a007fff,
    0xfffb86ff,0x4dffd003,0x00005ffd,0x26037fe4,0xf702ffff,0x3fee05ff,
    0x0000003f,0xf90fffcc,0xff005fff,0x7fd400bf,0x81bffe2f,0xb1fffffd,
    0xffd00bff,0x077ff40d,0x407fff20,0x6400effe,0xffd01fff,0xfffc801d,
    0x01dffd01,0x361fffc8,0x400005ff,0xf301fffb,0xd985ffff,0x7f405fff,
    0x01800dff,0x1fff9800,0x577fffec,0x3fffe809,0x0ffffa80,0xb513ffee,
    0x23fff9ff,0xd301effd,0x7d403fff,0xfd881fff,0x3fea04ff,0xffd881ff,
    0x3ffea04f,0xfffd881f,0x3fffea04,0x4fffd881,0x0002ffec,0x03bffe60,
    0x5ffffff5,0x37fffffe,0x7fffd400,0xedcccdef,0x4c0000ff,0xffc81fff,
    0x23ffffff,0xcefffffa,0xfffecbab,0x7fffc41f,0xf4fffedf,0x3fff63ff,
    0xffedcdef,0xffe803ff,0xffecdfff,0x7f400eff,0xfecdffff,0x7400efff,
    0xecdfffff,0x400effff,0xcdfffffe,0x40effffe,0x00005ffd,0xcdffffd8,
    0xffeafffe,0x05dffff2,0x7ffff4c0,0xffffffff,0x7fcc0000,0xfffd501f,
    0xffb87fff,0xffffffff,0xf302efff,0x9fffffff,0xffd8fffc,0xffffffff,
    0x3ee001ef,0xffffffff,0x3fee004f,0xffffffff,0x3ffee004,0x4fffffff,
    0x3fffee00,0x04ffffff,0x0000bffb,0xffffff30,0x3ffa5fff,0x000359b2,
    0x7fffff5c,0x0004dfff,0x401fff98,0x83fffec9,0xfffffeb8,0x8802dfff,
    0x42dffffd,0x36e61ffe,0x3defffff,0xfffb3000,0x0005bdff,0xdfffffb3,
    0xfb30005b,0x05bdffff,0xffffb300,0x7ec05bdf,0x1000005f,0x1bfffffb,
    0x00017fec,0x33353100,0x33300000,0x10026000,0x00135533,0x80000cc0,
    0x40000099,0x00000998,0x00002662,0x00009988,0x40026620,0x00000998,
    0x0009a980,0x0000054c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x05fffb00,0x002aee60,0x40001998,
    0x99801aa8,0x00000099,0x98000000,0xa8800999,0x0000abcc,0x00026666,
    0x80000000,0x26000998,0x98001bca,0x13322019,0x7dc33300,0x2200ffff,
    0x02fffffd,0x0004ffd8,0x5c00ffe4,0x4002ffff,0x4003fffb,0x40006fff,
    0x200efffd,0xffffffc8,0xff70003f,0x700005ff,0xdfb105ff,0xffe88001,
    0xffff003f,0x3f6003ff,0xfffc884f,0x93ff6007,0x01fffffd,0x3ffffffa,
    0x3bfea02f,0x37fc0000,0x5fffd300,0x37ffc400,0x07fff300,0x27ffec00,
    0x3ffffa20,0x004fffff,0x05fffd30,0x7fffc400,0x02fffdc0,0xfffffd10,
    0xffddf007,0xdff500bf,0xfffffb81,0x1dff5007,0x07ffffe4,0xc88dffb8,
    0xfff106ff,0xffa80005,0x7fec4004,0x3ff2002f,0xfff9001f,0x3ff60001,
    0xfffc802f,0xffffdaad,0xffb10001,0x3e60005f,0x7fe40fff,0xffd1005f,
    0x007fff5b,0x2203ffdc,0x7fcc2fff,0x8807ffef,0x7fc42fff,0x3ffe04ff,
    0x640fffc0,0x988005ff,0x001ffdaa,0x005fff70,0x4013ffe6,0xb0005fff,
    0xf1003dff,0xfff30bff,0xffb80009,0xffb0002f,0x03fff109,0x4c9ffd10,
    0xf7003fff,0x5ffc80df,0x1ffe5dd0,0x4417ff20,0x3fe202cb,0x4c2ffd85,
    0xb1000fff,0xffffffff,0x664c0001,0xfffd000c,0x05fff500,0x00999500,
    0xe80fffd4,0x980006ff,0x30000ccc,0x80054403,0xcc882ccb,0xfffd501c,
    0x7ffcc01d,0x07ff8100,0x0007ffcc,0x2e17fe60,0x17ff42ff,0xfffffa80,
    0x02ffffff,0x7dc00000,0x7fec02ff,0x40000007,0x3f207ffb,0x0000006f,
    0x00000000,0xfffb8000,0x3ffa04ff,0x01ffe002,0x00005ffd,0xff90fff1,
    0x802ffe43,0xaceffffc,0x02ffffff,0x3e200000,0x3fe205ff,0x0000004f,
    0xe807ffdc,0x000004ff,0x00000000,0xba980000,0xfc83fffc,0x3ffc005f,
    0x000bff90,0x3a07ffc0,0x1fff30ff,0x1dfff300,0xfffffff8,0x20000000,
    0xf500fffc,0x000003ff,0x82fff980,0x0003fff9,0x00000000,0x80000000,
    0x7fcc5ffe,0x3ffc000f,0x000fff98,0x2bbff200,0x3fa4ffd9,0xdffd002f,
    0xfbcffa81,0xbffb04ff,0x05fff100,0x3609fff3,0xffd806ff,0x2fff8805,
    0x2237ffc4,0xe8006ffe,0xffffffff,0x7fff4004,0x004fffff,0x7ffffff4,
    0x221004ff,0x7f44fffa,0x7ff8002f,0x0005ffd0,0xfffff880,0xbff70fff,
    0x0bffea00,0x7ff47ff6,0x00bffb07,0x3a05fff1,0xfff887ff,0x05ffd803,
    0xc82fff88,0xfff54fff,0xffd0003f,0x09ffffff,0xfffffe80,0x74004fff,
    0xffffffff,0xffff9804,0x3fee0eff,0x0fff0005,0x0000bff7,0x3ffff620,
    0x01fff30d,0x7c1bff20,0x0bffea6f,0x22017ff6,0xff702fff,0x0fffb85f,
    0x805ffd80,0xf882fff8,0xefffefff,0xdddb0001,0x009fffdd,0xfeeeeed8,
    0x76c004ff,0x4fffeeee,0xfffff980,0x03ffe60d,0x263ffc00,0x00000fff,
    0x3a055440,0x3f6003ff,0x24ffa84f,0xfd83fff8,0xfff8805f,0x8bfff102,
    0xfb005ffe,0xfff100bf,0x3fffea05,0x00000dff,0x0004fff8,0x0009fff0,
    0x4013ffe0,0xfe809aa9,0x2660003f,0x001fff41,0xff700000,0x3fff800d,
    0x7fc1ffd8,0x05ffd84f,0x202fff88,0xff10fffd,0x3ff6005f,0x2fff8805,
    0x5fffff70,0x7fc00000,0xff00004f,0x3e00009f,0x700004ff,0x00000dff,
    0x8800dff7,0x440003dc,0x22001fff,0x6ff82fff,0xfd84ffe8,0xfff8805f,
    0x4fffe602,0x36007ffc,0xff8805ff,0xffffd82f,0x399905ff,0x13ffe000,
    0x27ffc000,0x4fff8000,0xfff88000,0x7c400001,0x3e2001ff,0x20004fff,
    0x44003ffd,0x7fd42fff,0xd84ffe84,0xff8805ff,0xafff402f,0x36004fff,
    0xff8805ff,0x6fffec2f,0x7c43ffff,0xff0002ff,0x3e00009f,0xf00004ff,
    0xb00009ff,0x000007ff,0xc8007ffb,0x000fffff,0x0006ffa8,0xffd89fff,
    0xd83fff81,0xff8805ff,0x7ffdc02f,0x2001fffa,0xf8805ffd,0x3fff22ff,
    0x43ffff33,0x0001fffa,0x00009fff,0x00013ffe,0x00027ffc,0x0001bfea,
    0x001bfea0,0x07fffff6,0x43fff100,0x3e02bcb9,0x437fc5ff,0xfd81fff8,
    0xfff8805f,0x7fffc402,0x7ec006ff,0xfff8805f,0xb8bfff12,0xff70ffff,
    0x3fe0001f,0xff00004f,0x3e00009f,0x220004ff,0x55541fff,0x7fc4001a,
    0x0d55541f,0x07ffffdc,0xc93ff600,0x80dfffff,0x3fea6ffd,0x80fffa84,
    0xf8805ffd,0xffd802ff,0x6c003fff,0xff8805ff,0x01fff72f,0x3f2dfff9,
    0x3fe0007f,0xff00004f,0x3e00009f,0x360004ff,0x7ffdc4ff,0x7fec005f,
    0x2ffffdc4,0x002fffd8,0xffb37fd4,0x50bfffff,0x3ff65fff,0xb06ffe81,
    0xff100bff,0xfff5005f,0xffb000df,0x5fff100b,0xfe81bff2,0x06ffddff,
    0x013ffe00,0x027ffc00,0x04fff800,0x88dff500,0x005fffff,0xff11bfea,
    0x54c0bfff,0x7ffc4000,0x2a1dff31,0x7fc42ffe,0xb86ff9ff,0xffb01fff,
    0x5fff100b,0x0ffffa00,0x017ff600,0x7ecbffe2,0x3ffe206f,0x0003ffff,
    0x00013ffe,0x00027ffc,0x8004fff8,0x7ec1fff8,0x1005ffcf,0xffd83fff,
    0x00005ffc,0x3f24ffd8,0x427fe42f,0x4ffffffb,0xb02fffdc,0xff100bff,
    0x3ffa005f,0xbffb0007,0x25fff100,0x7cc07ffd,0x000fffff,0x0013ffe0,
    0x0027ffc0,0x004fff80,0x7d44ffd8,0x005ff9cf,0xffa89ffb,0x2205ff9c,
    0xff5002cb,0x207fec1d,0xffb05ffa,0xffb9bfff,0x7ec01dff,0xfffa805f,
    0x3fffb802,0x0bffb000,0x325fff50,0x7dc00fff,0x40005fff,0x00004fff,
    0x00009fff,0x50013ffe,0x7fc41dff,0x805ff98e,0x3e20effa,0x05ff98ef,
    0x80bffff3,0x7f42ffe8,0x02ffc40f,0xfffffff9,0xc801bfff,0x7fcc06ff,
    0x7fc402ff,0xf90000ff,0xfff980df,0x0bfff52f,0x0effff88,0x13ffe000,
    0x27ffc000,0x4fff8000,0x0bffa200,0x3fe65ffb,0x17ff4405,0x7fccbff6,
    0xfffffb05,0x42ffe405,0x7fcc1ffd,0x7fffdc04,0x7002dfff,0x3e603fff,
    0x7402ffff,0x20002fff,0xf301fffb,0x7f45ffff,0xffb80dff,0x0005ffff,
    0x00013ffe,0x00027ffc,0x2004fff8,0x7fcc5ffc,0xceffdccf,0x98bff902,
    0xffdccfff,0x7fffc2ce,0xfff303ff,0xc87ff901,0x7fe402ff,0x980009aa,
    0x7d40efff,0x302fffff,0x0009fffd,0x40efff98,0x2ffffffa,0x3bffffe6,
    0xffffffee,0xf0003fff,0x200009ff,0x00004fff,0x26009fff,0x7fcc0fff,
    0xffffffff,0x40fff984,0xfffffff9,0x7ff44fff,0xffd02fff,0x37ffe605,
    0xf806ffca,0xfb00006f,0xffd9bfff,0x325ffd5f,0x6fffffee,0xfffb0000,
    0x5fffd9bf,0xffa85ffd,0xffffffff,0x2ffff99d,0xffffff90,0xffffffff,
    0xffff909f,0xffffffff,0xff909fff,0xffffffff,0xe89fffff,0xeee982ff,
    0x3efffeee,0xe982ffe8,0xfffeeeee,0x7fffdc3e,0x05ffc80e,0x7fffffe4,
    0x27fd401f,0xfff98000,0xd2ffffff,0x3fffa5ff,0x00003fff,0x3fffffe6,
    0x5ffd2fff,0xffffd910,0xfffb85bd,0xffffc80f,0xffffffff,0xffc84fff,
    0xffffffff,0xc84fffff,0xffffffff,0x4fffffff,0x30017ff2,0x3ff20bff,
    0x2ffcc005,0x301bfd70,0xf7001fff,0x9001bfff,0x400003ff,0xdfffffd8,
    0x7f4bff60,0x0000dfff,0xffffd880,0x0bff60df,0x40000660,0xfffffffc,
    0xffffffff,0xfffffc84,0xffffffff,0xfffc84ff,0xffffffff,0xff34ffff,
    0xff98001f,0x00fff985,0x002ffcc0,0x03100000,0x0002aa80,0x0026a600,
    0x00004d44,0x01353000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x91000000,0x19980099,0x00006662,0x4cccccc4,
    0x00000099,0x40013333,0x80000009,0x09aaba98,0x10037500,0x00000133,
    0x80055d44,0x4c000998,0xa9880099,0x00009aac,0x026aae62,0x8804cccc,
    0x2007fffc,0x3fea4ffd,0xfe80000f,0x4fffffff,0xffd80000,0x7ec400ef,
    0x02c82eff,0x3fffa600,0xd807ffff,0x7ec02fff,0x4400005f,0xefffffec,
    0x17ffa00d,0x02fff880,0xffffffb1,0x2003dfff,0xffffffdb,0x7ffc3dff,
    0xffffb83f,0xdff5007f,0x007ffd41,0x7ffff400,0x0004ffff,0x027ffec0,
    0x7fffff44,0x1ffc9adf,0xffffd800,0x407fffff,0x406ffffa,0x00005ffd,
    0x3fffffa6,0xd01fffff,0x7c400bff,0x7fe442ff,0xffffffff,0x7ec401ff,
    0xffffffff,0x3ffa0fff,0x77ffcc3f,0xff8807ff,0x07ffd42f,0x6665c000,
    0x004fffcc,0x0bfff600,0x6deffec0,0x5fffffff,0xffffb800,0x06ecbabc,
    0x03ffffd4,0x00017ff6,0x77ffffdc,0x2fffffec,0x2005ffe8,0x7ec2fff8,
    0xcccdefff,0x2a01ffee,0xdfffffff,0x20ffffee,0xee82fffe,0xf900fff2,
    0x1fff50bf,0x7fc00000,0xfb00004f,0x7c4003df,0x7ffff543,0xfff88005,
    0x3e20000e,0x7ec04fff,0xf980005f,0x6440bfff,0x7f40ffff,0x3fe2005f,
    0x37ffee2f,0xb804c401,0x00aeffff,0x7fec1f93,0x3ffc082f,0x203ffe60,
    0x0000fffa,0x013ffe00,0x01332a00,0x17530040,0x3ffee000,0xfd980001,
    0x05ffd804,0x2fffd800,0x227ffe40,0x22005ffe,0x3ffe2fff,0xff880006,
    0xb02004ff,0xff003fff,0x02ffe80f,0x0001fff5,0x027ffc00,0x00000000,
    0xffc80000,0x00000006,0x8000bffb,0xb003fff9,0x7ff41fff,0x3ffe2005,
    0x007fff32,0x07fff900,0x1fffc800,0x3207ff80,0x3fea05ff,0x2000000f,
    0x00004fff,0x00000000,0x00bffb00,0x3f600000,0x7ec0005f,0xff5000ff,
    0x02fff47f,0x2a5fff10,0x40002fff,0x0006fff9,0x800fffc8,0xfff307ff,
    0x07ffd401,0xfff00000,0x00000009,0x01aa9800,0x013ffa00,0x7ec00000,
    0x01aa985f,0x8017ffe2,0x3fa6fff8,0x3fe2005f,0x09fff32f,0x1fffd800,
    0xfffb8000,0xd07ff800,0xffa805ff,0x7ffdc00f,0x9fff001f,0xffffe800,
    0x2004ffff,0x3fee2ffd,0x8003ffff,0xe8004fff,0xffffffff,0x727fec04,
    0x07ffffff,0x8005fff3,0x3ffa7ffd,0x3ffe2005,0x03ffff12,0x02fffc00,
    0x07ffb800,0xff70fff0,0x1fff500b,0x0ffffd40,0x009fff00,0xffffffe8,
    0x3f6004ff,0xffffe8af,0x4005ffff,0xe8004fff,0xffffffff,0x467fec04,
    0xfffffffd,0x07ffd45f,0xe9fff200,0x3e2005ff,0x3fff62ff,0xff88003f,
    0x3100003f,0x1ffe0033,0x5001fff3,0x3ea01fff,0x7c001fff,0x76c004ff,
    0x4fffeeee,0x3afff600,0xffdcdfff,0x4ccc42ff,0x9dfff999,0x09999999,
    0x7f77776c,0x7fec04ff,0xfcdfffec,0x3ee2ffff,0xffb8007f,0x00bffd0f,
    0xd117ffc4,0x017dffff,0x00bffe60,0x99800000,0x801fff41,0xfa80fffa,
    0xf8000fff,0xf00004ff,0x7ec009ff,0x4c0dffff,0x7fd46fff,0xffffffff,
    0xffffffff,0x09fff002,0xdfffffd8,0x937ffdc0,0xf5000fff,0x17ffa3ff,
    0x42fff880,0xffffffe8,0x7ffd401c,0x99999501,0x03101999,0x037fdc00,
    0xa81fff50,0x0000efff,0x00009fff,0xd8013ffe,0x3204ffff,0x7ffd47ff,
    0xffffffff,0x2fffffff,0x809fff00,0x204ffffd,0x3ff67ffc,0xfffa8006,
    0x400bffd2,0xf702fff8,0x3bffffff,0x403fff20,0xfffffffc,0x3bffa21f,
    0x7ffc4001,0x3ffea001,0x03bffea0,0x04fff800,0x09fff000,0x02fffec0,
    0xea83ffe6,0xfffeeeee,0xeeeeeeef,0x9fff002e,0x05fffd80,0xfe87ffcc,
    0xff98006f,0x00bffd2f,0x1017ffc4,0xffffffd7,0x0fffc819,0xffffff90,
    0x7ffec3ff,0x3f6000ff,0x7fd4003f,0x1dfff50f,0x4fff8000,0x9fff0000,
    0x037fec00,0x800fffcc,0x00004fff,0xfb013ffe,0xfff300df,0x001fff63,
    0x7f47ffea,0x3fe2005f,0xffb5002f,0x7dc1dfff,0x555301ff,0x223fff95,
    0x02ffffff,0x000dff50,0xff51fff5,0xf00001df,0x200009ff,0x36004fff,
    0xff8805ff,0x9fff002f,0x7ffc0000,0x02ffec04,0xfc97ffc4,0xffb8007f,
    0x8017ffa7,0x4002fff8,0x25ffffd9,0x2002fffa,0xff11fff9,0x1005ffff,
    0x65cc3fff,0x5fff502c,0x0001dfff,0x0013ffe0,0x0027ffc0,0xf100bffb,
    0x3fe005ff,0x3e00004f,0x7fec04ff,0x2fff8805,0x8001fff7,0x3ffa7ffc,
    0x3ffe2005,0xfff50002,0x0bffe65f,0x21fff980,0x00fffffe,0x3f24ffd8,
    0x540effff,0x4fffdfff,0x3ffe0000,0xfff00004,0x2ffec009,0x017ffc40,
    0x0004fff8,0xb013ffe0,0xff100bff,0x0bffea5f,0x6cbffd00,0x3e6005ff,
    0x2a0001ff,0xfff14fff,0x7ffcc009,0x07fffa21,0xfd1bfea0,0xa8dfffdf,
    0xfffd8fff,0xfff00003,0x3fe00009,0x3ff6004f,0x2fff8805,0x009fff00,
    0x027ffc00,0x22017ff6,0xfff32fff,0x7ffc400b,0x801bff64,0x0000fffa,
    0xfff37ffc,0x3fe6001f,0x8009981f,0x24c1fff8,0x7d41fff1,0x7fffd0ff,
    0x9fff0000,0x3ffe0000,0x17ff6004,0x00bffe20,0x00027ffc,0xd809fff0,
    0xff8805ff,0x01fffa2f,0x2e1fffb8,0x3ee007ff,0xfe80007f,0x13ffee6f,
    0x00fffcc0,0x013ff600,0xff507ffc,0x3fffa21f,0x7ffc0002,0xfff00004,
    0x2ffec009,0x017ffc40,0x0004fff8,0xb013ffe0,0xff100bff,0x1fffdc5f,
    0x22fffc40,0xd002fffa,0xf0000dff,0xffff89ff,0x1fff9800,0x2a017ffc,
    0xfa800eff,0x07ffd46f,0x005ffff3,0x0027ffc0,0x004fff80,0x22017ff6,
    0xff002fff,0x7c00009f,0x7fec04ff,0x2fff8805,0x1017fffc,0xf883fffd,
    0xffb806ff,0x7e40002f,0x7ffd42ff,0x7ffcc02f,0x101ffe61,0xf7005ffd,
    0xfffa83ff,0x0ffffcc0,0x04fff800,0x09fff000,0x402ffec0,0xf002fff8,
    0x400009ff,0x7ec04fff,0xfff8805f,0x5ffffe42,0x3fffaa21,0x1dfff904,
    0xb17fff20,0xfda80159,0xfffd06ff,0xff50159f,0x02ffdc3f,0x32017ff2,
    0xffa81fff,0xffffa80f,0x4fff8001,0x9fff0000,0x02ffec00,0x8017ffc4,
    0x00004fff,0xfb013ffe,0xfff100bf,0xfffff905,0xbfffffdf,0x3fffe201,
    0xfffecdef,0x7ffec0ff,0xfffeeeff,0xb100efff,0xdfffffff,0x43fffffd,
    0x3e603ffd,0x3fa200ff,0xfff500ef,0x3bfff201,0x27ffc000,0x4fff8000,
    0x017ff600,0x400bffe2,0x00004fff,0xfb013ffe,0xfff100bf,0x3fffee05,
    0x03ffffff,0xfffffd88,0x80dfffff,0xfffffffd,0x0dffffff,0xfffffb80,
    0xffffffff,0xe807ffa1,0x3fe202ff,0x22ccccff,0x3600fffa,0x7e40efff,
    0xffffffff,0x84ffffff,0xfffffffc,0xffffffff,0x805ffd84,0xf002fff8,
    0xfc8009ff,0xffffffff,0xb4ffffff,0xff100bff,0x7f64c05f,0x001defff,
    0x7fffff54,0x3f6a02ef,0xffffffff,0x644000cf,0xfffffffd,0x1bfe20bd,
    0x4c05ffc8,0xffffffff,0x003ffea4,0x641dfffb,0xffffffff,0x4fffffff,
    0xffffffc8,0xffffffff,0x05ffd84f,0x002fff88,0xc8009fff,0xffffffff,
    0x4fffffff,0xf100bffb,0x4cc005ff,0x33100000,0x2a660001,0x4000019a,
    0x00009a98,0x2007ffcc,0xfffffff9,0x03ffea4f,0x4bfffd10,0xfffffffc,
    0xffffffff,0xfffffc84,0xffffffff,0x5ffd84ff,0x02fff880,0x8009fff0,
    0xfffffffc,0xffffffff,0x100bffb4,0x00005fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x53100000,0x22000335,0x998001aa,0x99999999,
    0x20000999,0x99980998,0x99999999,0x04c00199,0x5d4c4000,0x4400009a,
    0x44000ab9,0x009abbaa,0x15753000,0x99a98000,0x0004cc40,0x4cccccc0,
    0x99999999,0x54009999,0xffffffed,0x764c02df,0x0bdfffff,0xffffff80,
    0x4fffffff,0xffdd9300,0xffff07ff,0xffffffff,0xffb001ff,0x7f540005,
    0x2effffff,0x7fff6400,0x7e403eff,0xffffffff,0xfc88000c,0x04ffffff,
    0xffffdb10,0x3ffa7dff,0x7fcc0005,0xffffffff,0xffffffff,0x3ffff205,
    0x6fffffff,0x3ffffee0,0x01efffff,0x7ffffffc,0x04ffffff,0x7fffff54,
    0xfff83fff,0xffffffff,0x7c400fff,0xd88002ff,0xffffffff,0xe8805fff,
    0xffffffff,0x3fffe05f,0xffffffff,0x3ffea003,0xefffffff,0x3fffee02,
    0xd6ffffff,0x98000bff,0xccccccef,0xcccccccc,0xffe885fc,0xffedffff,
    0xfffb06ff,0xffb7357b,0x7ffc05ff,0xffffffff,0xffd104ff,0xdddfffff,
    0xdddfff05,0xdddddddd,0x2fff8801,0xffffd800,0xffffdbce,0x3ffa204f,
    0xfffdbdff,0xdeff80ef,0xffffdccc,0xfff9801f,0xffdcacef,0xfffe885f,
    0xffedcdff,0x000bffd6,0x20004f98,0x7ffc45f8,0xdb500aef,0x805fffd0,
    0x0002fffd,0x74427ffc,0x01abffff,0x0003fff0,0x017ffc40,0x033ffea0,
    0x807fff4c,0xd883fffe,0x00a84fff,0x4037ffe4,0xb102fffe,0x3ffff20d,
    0x7ff52a02,0x0009999d,0x135513e6,0x7ec5f880,0x81000dff,0x9001effa,
    0xf8000dff,0xfffe84ff,0xfff8000c,0x3e200001,0x7ec002ff,0xfff9806f,
    0x03fffa82,0x0007fff4,0x200fffd8,0x0803fffa,0x00efff98,0x3fffffa0,
    0x01ceffff,0xffff13e6,0x997e205d,0x40005fff,0x6c001ffe,0x3e0003ff,
    0x7ffdc4ff,0x3ffe0002,0x3e200001,0x7fc002ff,0x7fff004f,0x300bffb0,
    0x20007fff,0x3202fffa,0x3a0007ff,0x74001fff,0xffffffff,0x981dffff,
    0x7fee644f,0xb2fc40ef,0x40003fff,0xcb985ffa,0xdff30abd,0x27ffc000,
    0x00013ffa,0x20003fff,0xfffffffd,0xffffffff,0x13ffa2ff,0x30fffe60,
    0x36005fff,0xf30006ff,0x7fec03ff,0xfff30005,0xdffd0009,0xfffdb999,
    0x4f981fff,0x2237fdc0,0x0bfff35f,0x41ffe800,0x2ffffffb,0x4000bff6,
    0x3fee4fff,0xfff80007,0xfffb0001,0xffffffff,0x45ffffff,0x6400fffc,
    0x7fe41fff,0xfffd3007,0xfff70001,0x004ffe80,0x003fff50,0x540bffd0,
    0x260efffe,0x3ff9804f,0x7ffdd7e2,0x3fe20001,0x77fffe46,0x13fea2fe,
    0xb27ffc00,0xf0000bff,0x320003ff,0xfffeeeee,0xeeeeeeee,0x37ffe62e,
    0x0dfff100,0xf700bffb,0x0003ffff,0xff809ffb,0xff70004f,0x3ffa000f,
    0x4fffd805,0x7ec013e6,0x7fe57e26,0x7fcc0007,0x833ffe24,0x017fe218,
    0xff27ffc0,0xff00007f,0x4400003f,0xe8002fff,0x7dc1efff,0xffe81fff,
    0x3fff6204,0x54002fff,0x7fc01fff,0xffb0004f,0x3ffa000d,0x6fff8805,
    0x7e4013e6,0x7fed7e27,0x7fd40007,0x4017ff23,0xff0007ff,0x27ffe29f,
    0xefffedb8,0x3bffe01c,0x002bcdee,0x002fff88,0xdffffe88,0x00efffea,
    0x3e607fff,0x3fffefff,0x3fff9300,0x009fff00,0x001bff60,0xc802fff4,
    0x013e67ff,0x2bf12ff4,0x40006ffe,0x3ff62ffb,0x01ffd003,0x2a9fff00,
    0xffffdfff,0x04ffffff,0xffffffff,0x20019fff,0x0002fff8,0xffffffb1,
    0xfff80bff,0x4ffffb82,0xff709ffd,0x01dfffff,0x3ffeaaa2,0xaaaaaaad,
    0x07ffd80a,0x00bffd00,0x7cc7ffee,0x17fe4c04,0x17ffebf1,0x43ffb000,
    0xfb000fff,0xfff0003f,0x3ffffea9,0xfffeeeff,0xffff85ff,0xffffffff,
    0xfff8801f,0x7fdc0002,0x201fffff,0x3622fff8,0x3f62ffff,0xffffb85f,
    0xf102dfff,0xffffffff,0x05ffffff,0x0001fff9,0x2a00bffd,0x09f31fff,
    0x89fffff9,0x5fff8df8,0x0ffec000,0x36001fff,0xff8001ff,0xbffff74f,
    0x3fffea05,0x4cccccc2,0xfffffdaa,0x17ffc400,0xffff9000,0x209fffff,
    0xff31fff8,0xffd81bff,0xfffffb85,0x441effff,0xffffffff,0x2fffffff,
    0x002fffb8,0x9005ffe8,0x427ccfff,0x881ceffc,0x00dfff5f,0x3a2ffb80,
    0xffd001ff,0x9fff0001,0x2007ffee,0x8006fff8,0x405fffd8,0x8002fff8,
    0xaaffffe8,0x80effffe,0xfffcafff,0x09ffd03f,0x3fff6a60,0x3eaaa21f,
    0xaaaaadff,0xff880aaa,0x7f4000ff,0xdffd005f,0x1fe427cc,0x7ff57e20,
    0x7fd40006,0x4013ff63,0xff0007ff,0x03ffee9f,0x007ffe40,0x03fff440,
    0x000bffe2,0x709fffd1,0xff0dffff,0x03ffffff,0x4001fffc,0x3e06fffa,
    0x320004ff,0x74004fff,0xffb805ff,0x3213e63f,0xdafc403f,0x4c0007ff,
    0x3ffea4ff,0x7c43511d,0xfff0005f,0x007ffea9,0x000fffd4,0x201fffb8,
    0x4002fff8,0x2603fffc,0x7f42ffff,0x400dffff,0x70002fff,0x3fe05fff,
    0x3e20004f,0x7102efff,0x5017ffab,0x4f98dfff,0x7c403fc8,0x003fff95,
    0x3637fc40,0x2fffffff,0x40013fea,0xfff34fff,0x3ffe6005,0xfff30003,
    0x17ffc407,0x0bfff100,0xd8dfff50,0x9803ffff,0x10001fff,0x3fe07fff,
    0x7cc0004f,0xeeefffff,0xbffd6fff,0xfd753333,0x4f983fff,0x7c400988,
    0x00bfff75,0x222ffe80,0x2ffffffc,0x2000bff6,0xff13fff8,0x3fe6005f,
    0xff50002f,0x7ffc405f,0x3ffea002,0x8fffd002,0x7002fffc,0x40001fff,
    0xfff04fff,0xff300009,0xffffffff,0x3ffffadf,0xffffffff,0x004f981e,
    0x7fc57e20,0x2a0000ff,0xbca886ff,0x01bfe60a,0xf17ffcc0,0x3ea00bff,
    0xf90000ff,0x7fc401ff,0x3fee003f,0xfff9000f,0x017ffd41,0x0005ffe8,
    0x7c0bffe6,0x200004ff,0xffffffda,0xffffd1ce,0x9fffffff,0x7ec27cc0,
    0xf92fc403,0xe8000bff,0x7ec002ff,0xff70002f,0x07ffec1f,0x003ffec0,
    0x806ffe88,0x2e004fff,0xfb002fff,0x0dffd0ff,0x003fff30,0x807ffdc0,
    0x00004fff,0x809cffe8,0xeffffffe,0x7cc00abc,0x203ffcc4,0x3ffe25f8,
    0xa81000ef,0xfb002fff,0x880530df,0x7fcc6fff,0x7ffcc03f,0xfffb0004,
    0x1fffb005,0x17ffe600,0x217ffe60,0x2203fffa,0x20006fff,0x3e05fff9,
    0x400004ff,0x3a01fff8,0x4c0005ff,0x037fc44f,0xfff717e2,0xb98137ff,
    0x3fffd86e,0x07fffa20,0xd502bbea,0xffb05fff,0x3ffea09f,0x7f540046,
    0xff7004ff,0xf82201bf,0xf501dfff,0x3fe05fff,0xffe983ff,0xfc98002f,
    0x3fe00fff,0x5400004f,0x7ff406ff,0x27cc0005,0x3e200544,0xfffffb85,
    0xfffffeff,0xbffff906,0xdfffd957,0x3fffea03,0x5fffffef,0xbdffff30,
    0x3ffffd99,0xdceeefb8,0x05fffffe,0x77ffff40,0x262feedd,0xcdefffff,
    0x03fffffe,0x37ffffe6,0x82fffffd,0xedcdeefd,0x41ffffff,0xfffffff8,
    0xffffffff,0xffc807ff,0x02fff404,0x0013e600,0xfd305f88,0xffffffff,
    0x7fd40dff,0xffffffff,0x3ffea00d,0x3fffffff,0x7ffff440,0x80efffff,
    0xfffffffb,0x8002efff,0xfffffff9,0x7fd42fff,0xffffffff,0xfe8804ff,
    0xffffffff,0xfffffb02,0x19ffffff,0xffffff10,0xffffffff,0xfd00ffff,
    0x5ffe805f,0x77fcc000,0xeeeeeeee,0x5feeeeee,0x7fff65c0,0x4009bdef,
    0xeffffdb9,0xff93002c,0x003bdfff,0x7fffff64,0x3ffee03e,0x02dfffff,
    0xfffeb800,0xd702efff,0x7fffffff,0x7f644001,0x201cefff,0xfffffffd,
    0x3e200cef,0xffffffff,0xffffffff,0x807ff807,0x40005ffe,0xfffffff9,
    0xffffffff,0x4c005fff,0x18800009,0x09988000,0x00a98000,0x26aa6620,
    0x26000000,0x4cc00199,0x2600001a,0x54cc4001,0x0000009a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x10003331,0x33301333,0x00001333,
    0x33333300,0x26133333,0x99999999,0x31099999,0x00133333,0x13573000,
    0x33333100,0x33100033,0x4cc40003,0x00133109,0x33109998,0x33333333,
    0x80033333,0x20009999,0x99999998,0x99999999,0x4fffb819,0x07ffec00,
    0x3fffffe6,0x001bceff,0x3fffee00,0x3fffffff,0xffffffff,0x2dffffff,
    0xfffffffe,0x8001bcef,0xffffffeb,0x3fff200d,0xbeefffff,0x17ffec00,
    0x1fffb800,0x4c00bffb,0xfff92fff,0xffffffff,0x2001ffff,0x007ffffa,
    0x3ffffff2,0xffffffff,0xfffd07ff,0x3ffe6001,0xfffff984,0xdfffffff,
    0xffe80000,0xffffffff,0xffffff3f,0xffffffff,0x3fffffad,0x4fffffff,
    0xffffd100,0x07ffffff,0x3ffffff2,0x03ffffff,0x0013ffea,0xffb37ff4,
    0x7ffcc00b,0xffffff92,0xffffffff,0x3ff2001f,0xf9002fff,0xffffffff,
    0xffffffff,0x017ffea0,0xf9837ff4,0xffeeeeff,0x002fffff,0x3ffffe60,
    0x1ccccccf,0xddddffff,0x2bdddddd,0xfeeefffe,0x2effffff,0x3ffffea0,
    0xfffffdce,0xeefffc81,0xffffffee,0x01fffe03,0xd93ffe20,0x3e6005ff,
    0xdddd72ff,0xdddfffdd,0x3e001ddd,0x004fffff,0xfffffff9,0xffffffff,
    0x7ffec0ff,0x17ffd401,0x982fff98,0x02ffffea,0xff9ffb00,0x09fff00f,
    0x10bffd00,0x5ffffd73,0x40bffee0,0xfc86fffc,0xfff9107f,0x3fff603f,
    0x7ffdc001,0x8017ff61,0x5c02fff9,0x540007ff,0x07ffdfff,0x7fec0000,
    0x1bffe206,0x4c0bfff0,0x7dc02fff,0xf88007ff,0x807ffaff,0xe8004fff,
    0xffc805ff,0x0037206f,0xfc83fffb,0x7ffdc07f,0x09fff504,0x6c6ffe80,
    0x3e6005ff,0x7fdc02ff,0x7fe40007,0x001fffad,0x5fff3000,0x02fffc80,
    0x4c01fff7,0xfb802fff,0x7dc003ff,0x807ff9cf,0xe8004fff,0xff7005ff,
    0xf980007f,0x3ffe43ff,0xf037ffc0,0x7c400dff,0x2ffec3ff,0x05fff300,
    0x0007ffb8,0x7fc5fffc,0xb000004f,0x3fa00dff,0x4fff887f,0x017ffcc0,
    0x000ffff8,0x3fe67ffa,0x04fff807,0x005ffe80,0x001ffff1,0x227ffc40,
    0xfd807ffc,0x3fff607f,0x3fff7001,0x2005ffd8,0x5c02fff9,0x2a0007ff,
    0xfffb0fff,0xff300000,0x3fea005f,0x037fec3f,0x8017ffcc,0x5002fffb,
    0x1ffe6dff,0x0013ffe0,0xb8017ffa,0x40002fff,0x7fe45fff,0x07ffd807,
    0x400fffea,0xffd86ffd,0x3ffe6005,0x03ffdc02,0x5cdff900,0x00001fff,
    0x20037fec,0xff30fffd,0xfff3005f,0x3ffe2005,0x25ffb003,0xff807ff9,
    0xffe8004f,0x3ffe2005,0x3fe20003,0x03ffe44f,0x3e02fffc,0xff8806ff,
    0x05ffd83f,0x00bffe60,0x4000fff7,0x3fe23fff,0x2600004f,0x4c003fff,
    0xbffb4fff,0x0bffe600,0x804fff80,0xff30fff8,0x09fff00f,0x00bffd00,
    0x0004fff8,0xf90bffe6,0xfffb80ff,0x07ffec03,0x207ffea0,0x26005ffd,
    0x7dc02fff,0xff50007f,0x07ffe83f,0x1fff6000,0x5fffe400,0xf3000fff,
    0x7fc005ff,0x4ffb805f,0x3e01ffe6,0xfe8004ff,0x7ffc005f,0x3ff60005,
    0x03ffe40f,0x500dfff7,0xfd807fff,0x0bffb06f,0x017ffcc0,0x4001ffee,
    0xffb86ffc,0xf880001f,0xf10003ff,0x009fffff,0xffffffff,0x7ff40dff,
    0x21ffe807,0xfffffff9,0xfffff0ff,0xffffffff,0x017ffa7f,0x000dffd0,
    0x3213ffe6,0xdccccfff,0x800effff,0x7c06fff8,0xfffb03ff,0xffffffff,
    0x05ffffff,0x0007ffb8,0xff109fff,0xf900009f,0xfa8000ff,0xff006fff,
    0xffffffff,0x03ffec0d,0xff31bfea,0x1fffffff,0x3ffffffe,0x3fffffff,
    0xd800bffd,0xe88007ff,0xffc80fff,0xffffffff,0x3f6000df,0xfff500ff,
    0x3ffff603,0xffffffff,0x402fffff,0xa8007ffb,0xffd01fff,0xff88000d,
    0xfe80003f,0xfff002ff,0xdfffffff,0x203ffec0,0x7fcc3ffd,0x0eeeeeef,
    0xffffffff,0x27ffffff,0x6c005ffe,0xfd8007ff,0xfff902ff,0x1dffffff,
    0x7fff5000,0xd81bff60,0xffffffff,0xffffffff,0x3ffdc02f,0x03ffe400,
    0x0003fff9,0x0007ffe4,0xfb555553,0x555557ff,0x0bffe601,0x207ffe80,
    0x7cc0fff8,0x4fff807f,0x05ffe800,0x003fff40,0xc813fff6,0xfdaaafff,
    0x44000dff,0xfff05fff,0x02ffec07,0x805fff30,0xf8007ffb,0x3fe604ff,
    0xff10004f,0xffd8009f,0xffffffff,0x301fffff,0x7c005fff,0x3ff206ff,
    0x807ff985,0xe8004fff,0x7fc005ff,0x3ff2006f,0x3ffe405f,0x002fffd4,
    0x2a07ffec,0x3f600fff,0x3fe6005f,0x3ffdc02f,0x0bffe600,0x000dfff0,
    0x0003fff2,0xfffffffb,0xffffffff,0x0bffe603,0x02fffc40,0xff305fff,
    0x09fff00f,0x00bffd00,0x802fffc4,0xc805fffc,0xfff707ff,0xfffa8005,
    0x2037fe42,0x26005ffd,0x7dc02fff,0x7fe4007f,0x1fffc807,0x27ffc400,
    0x4cccc400,0x999fffc9,0x3fe60199,0xfff5002f,0x2bffea07,0x7ffcaaaa,
    0x004fff80,0x2005ffe8,0xc802fffa,0xf9005fff,0x37ff40ff,0x17ffe200,
    0xfd807fff,0x3fe6005f,0x3ffdc02f,0x3bfffe00,0xeeeeeeee,0x64003fff,
    0x00000fff,0x2001ffee,0xd002fff9,0x3f601fff,0xffffffff,0xfff807ff,
    0x5ffe8004,0x03fffa00,0x00bfff90,0xf703ffe4,0xfd8005ff,0x1fff50ff,
    0x005ffd80,0x700bffe6,0x7cc00fff,0xffffffff,0x6fffffff,0x13ffe200,
    0xfff70000,0x5fff3000,0x0dfff500,0x3fffffe2,0x07ffffff,0x8004fff8,
    0xf5005ffe,0xffc80bff,0x7fe4005f,0x1bffe207,0x25fff500,0xfd806ffc,
    0x3fe6005f,0x3ffdc02f,0xfffff900,0xffffffff,0x2003ffff,0x0000fffc,
    0xfd999995,0x999999ff,0x0bffe601,0x03fffd10,0x2aabbff2,0x07ffcaaa,
    0x8004fff8,0xe9805ffe,0x3f201fff,0xfc8005ff,0x7ffdc07f,0x3ffe2002,
    0xb007fff4,0x7cc00bff,0x7fdc02ff,0x37ffe007,0x99999999,0x03fffa99,
    0x005fff88,0x3fffff20,0xffffffff,0xfff301ff,0x7fffd405,0x80bffe05,
    0xff807ff9,0xffe8004f,0x7fffdc05,0x13fff204,0x03ffe400,0x001bffe2,
    0xfff5fffb,0x0bffb001,0x017ffcc0,0x4c01ffee,0x7c002fff,0xffc806ff,
    0x3f20001f,0xffffffff,0x01ffffff,0x54c5fff3,0x0dffffdc,0x980fff50,
    0xfff807ff,0x5ffe8004,0x3ffb2a62,0x3ff205ff,0xaaaaaaef,0x90aaaaaa,
    0xff900fff,0x7fd4005f,0xb006ffef,0x7cc00bff,0x7fdc02ff,0x0fff9007,
    0x01fff900,0x002fffc4,0x26666620,0x9999fffc,0x3ffe6019,0xffffffff,
    0x7ff404ff,0x77ffcc04,0xff4eeeee,0xffffffff,0x3fadffff,0xffffffff,
    0x7c03ffff,0xffffffff,0xffffffff,0x100fff90,0x4400dfff,0x03ffffff,
    0x400bffb0,0xff92fff9,0xffffffff,0x7c1fffff,0xfa8005ff,0x3ff203ff,
    0x7000001f,0xf3000fff,0xffffffff,0xf9805bff,0x7fcc01ff,0x5fffffff,
    0xffffffff,0x2dffffff,0xfffffffe,0x801cffff,0xffffffff,0xffffffff,
    0x00fff90f,0x8007fff6,0x00fffffd,0x400bffb0,0xff92fff9,0xffffffff,
    0x261fffff,0xf0002fff,0x3fe20dff,0x2000005f,0x98007ffb,0xdeffffff,
    0xff9000bc,0xffff300d,0x3ebfffff,0xffffffff,0xfd6fffff,0x9bdfffff,
    0x7ffc0017,0xffffffff,0x90ffffff,0x3e600fff,0x3ea005ff,0x36006fff,
    0x3e6005ff,0xffff92ff,0xffffffff,0x3ff21fff,0xffb0000f,0x3fff901f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01331000,0x00266620,0x0cc40666,0x00019988,
    0x33333331,0x5d4c0000,0x99988009,0x99999999,0x33331099,0x99800333,
    0x31000099,0x4ccc4133,0x4ccc4000,0x0000ccc0,0x99881331,0x33330009,
    0x01998800,0x02fff400,0x0077ffcc,0x7ff837fc,0x003fff50,0xffffffd0,
    0x005bdfff,0x7fffff4c,0x3ffa01ef,0xffffffff,0xfffd6fff,0x9dffffff,
    0x27ffe401,0x0fffe800,0x8017ffee,0x7c0efff8,0xf90001ff,0x5fffd89f,
    0x2ffff980,0x1ffff700,0x2fff4000,0x03fffe20,0x7c1bfe20,0x3fff506f,
    0xffffd000,0xffffffff,0xfffc803d,0x3fffffff,0xffffffd0,0xdfffffff,
    0x3ffffffa,0x1dffffff,0x01ffff88,0x427ffd40,0xb001fffe,0xfff05fff,
    0x3ff20005,0x07ffff43,0x0bffff20,0xffffff50,0x7ff40001,0x0fffec05,
    0x885ff980,0xfff506ff,0xfffd0003,0xffffdddd,0x3fa01fff,0xfcbaceff,
    0xffe84fff,0xeeeeeeef,0xfffd5eee,0xffffdddd,0xff701fff,0xffe800bf,
    0x6fff980f,0x05fffa80,0x20005ffd,0x7ff43ffd,0x3fe202ff,0xfd502fff,
    0x01ffffff,0x02fff400,0x4007fff9,0xff984ffa,0x03fff505,0x20bffd00,
    0x86fffea8,0xd104fffb,0xffe81fff,0x5ffe8005,0x3bfffaa0,0x01fffe80,
    0x407fff70,0x7403fffc,0xffd00fff,0x3ff60007,0x2fffff42,0x7fffff50,
    0xfffffea8,0x0000ffff,0x7d417ffa,0x7d4004ff,0x04ffa83f,0x0003fff5,
    0xf880bffd,0x3fe20fff,0x4fff805f,0x4002fff4,0xfd805ffe,0xfffa84ff,
    0x0dfff006,0x00ffff88,0x6c07fff7,0xfb0003ff,0xfdeff85f,0xf9ffb00f,
    0x7fffc47f,0x0fffd8cf,0x17ffa000,0x0017ffe6,0x3ee0bfee,0x3fff503f,
    0x0bffd000,0x5c3fff70,0xfc800fff,0x17ffa0ff,0x017ffa00,0x741bffe2,
    0x7dc02fff,0xffa802ff,0x5fff885f,0x0027fec0,0x7fc1ffe8,0xf883ffbe,
    0x6c3ffccf,0x3ff60dff,0x3fa0000f,0x77ff445f,0x66664400,0xccccdffe,
    0x2cccdffe,0x0003fff5,0xf500bffd,0x37fe43ff,0x22fff880,0xe8005ffe,
    0xff9005ff,0x1bffe60f,0x005fff88,0xfb0bfff6,0xffc801ff,0x3ffd0004,
    0x6ff9eff8,0xffc9ffb8,0x7ec0ecc4,0x3a0000ff,0x7ffec5ff,0xffff8800,
    0xffffffff,0x4fffffff,0x0003fff5,0xf700bffd,0x05ffe8ff,0xfe8fffa0,
    0xffe8005f,0x3fff7005,0x40ffff60,0x2001fffc,0x3ea6fff8,0xffc803ff,
    0x1fff0004,0xffeb7fc4,0xffbbff41,0x3fff6004,0x3ffa0000,0x00bffee5,
    0x7fffffc4,0xffffffff,0xf54fffff,0xfd0003ff,0xbffb00bf,0x2005fff8,
    0x3ffa4ffe,0x5ffe8005,0x03fff700,0x103fffe2,0x70009fff,0xfff17fff,
    0x17fee00d,0xfff80d54,0x7ddbfe20,0x5d3fe64f,0x3f6005ff,0x3a0000ff,
    0x7fff55ff,0x07ff8000,0x7fd40ffd,0xffe8001f,0x1fffd405,0xd801bff6,
    0x17ffa5ff,0x017ffa00,0x3203ffe4,0x7fe43fff,0xffd0000f,0x003fffbf,
    0x3e617fee,0x98fff05f,0x4dff16ff,0xbff71ffc,0x07ffec00,0x1bffd000,
    0x00009fff,0x1ffe0dff,0x001fffa8,0x9885ffe8,0xfc85fffd,0xff9000ff,
    0x002fff4d,0xe802fff4,0x7fc406ff,0x7fff10ff,0x7ffcc000,0x2a004fff,
    0xfffc86ff,0x263ffc40,0x47ff65ff,0x17fea6ff,0x00fffd80,0x3b7ffa00,
    0x880005ff,0x0dff06ff,0x000fffd4,0x7ffffff4,0x03efffff,0x100bfff5,
    0x7ff4fffd,0xccccccce,0xbffd0ccc,0x05fff900,0x329fff70,0x40000fff,
    0x00fffffc,0x3a1bfe60,0x7fc43fff,0xf52ffcc6,0x547ff59f,0x3f6006ff,
    0x3a0000ff,0x02ffffff,0x85ff9800,0x3ea05ff8,0xfe8001ff,0xffffffff,
    0x3f602dff,0x6d441eff,0x3fa7ffff,0xffffffff,0xffd1ffff,0x7ffe440b,
    0x3fffa005,0x0002fff9,0x03ffff88,0x263ffcc0,0x7cc5ffff,0x12ffd46f,
    0x41ffbfff,0x36006ffa,0x20000fff,0xffffeffe,0x7fd40000,0x204ff984,
    0x8001fffa,0xfffffffe,0x1effffff,0xffffff88,0xfffffffe,0x3ffffa6f,
    0xffffffff,0x55dffd1f,0xffffb975,0x7fd4001f,0x0006ffff,0x1fffff70,
    0x23ffc400,0x20fffffb,0x7fd45ff9,0x2ffffec5,0xd801bfea,0x20000fff,
    0xfff9dffe,0x7fdc0006,0x204ffa83,0x8001fffa,0xb9885ffe,0x880fffff,
    0xfffffffd,0x26ffddff,0xaaaaeffe,0xd0aaaaaa,0xffffffff,0x001bffff,
    0x3fffffb0,0xfff10000,0x44009fff,0x677f47ff,0x17fea3ff,0xffa8bff7,
    0x3ffcc2ff,0x01fffb00,0xbafff400,0x20005fff,0xffb82ffc,0x07ffea03,
    0x017ffa00,0xa817fff6,0x0bceeedb,0x7ff4bffb,0xfffe8005,0xefffffff,
    0x3fe60002,0xb00005ff,0x3fffdfff,0x987ffc00,0x26ffacff,0x7fdc4ffa,
    0x987fff84,0x3f6007ff,0x3a0000ff,0x3fff65ff,0xffff8803,0xffffffff,
    0x4fffffff,0x0007ffea,0x74017ffa,0xf80007ff,0x17ffa3ff,0x33bffa00,
    0x0001abcc,0x007fff20,0x2fffee00,0x2006fff8,0x3ff70fff,0x3ee1fff1,
    0x427fdc4f,0xff984ffc,0x3fff6007,0x3ffa0000,0x07fffa25,0xffffff10,
    0xffffffff,0x549fffff,0xe8001fff,0xff9005ff,0x7cc0003f,0x17ffa1ff,
    0x017ffa00,0x3fee0000,0xff880007,0x13fff26f,0xfe8fff40,0x7dcfff67,
    0x427fe43f,0xff980aa8,0xfffb000f,0x7ff40001,0x07fffcc5,0xff999910,
    0xff99999f,0x5459999f,0xe8001fff,0xff7005ff,0x7dc0003f,0x02fff46f,
    0x002fff40,0x3ffdc000,0x7ffec000,0x00ffff42,0x7fc57ff4,0x7ddbfea4,
    0x027fe43f,0x007ffc40,0x000fffd8,0x2e17ffa0,0x7c005fff,0x80ffd07f,
    0x8001fffa,0xf9005ffe,0x7cc000ff,0x2fff41ff,0x02fff400,0x7fdc0000,
    0x7fd40007,0x6fffa85f,0xfbaffd80,0x64fffc2f,0x27fec2ff,0x07ffc400,
    0x00fffd80,0x417ffa00,0x2004fffd,0x0fff06ff,0x001fffa8,0xd005ffe8,
    0x22000dff,0xffe84fff,0x5ffe8005,0xfb800000,0x3e20007f,0xffb00fff,
    0xbffd807f,0xcffc87fd,0x7fec2ffc,0xfff88003,0x1fffb001,0x2fff4000,
    0x02fffe88,0xf886ff88,0x7ffd406f,0x5ffe8001,0x03fffc80,0x7fffdc40,
    0x005ffe80,0x0005ffe8,0x07ffb800,0x0ffff600,0x00ffff88,0x13ff3ff2,
    0x3ff3ffea,0x001ffec1,0x800fffc4,0x0000fffd,0xf9817ffa,0x7cc01fff,
    0x05ff885f,0x000fffd4,0x4c42fff4,0x405fffeb,0xfffcaa98,0xbffd02ff,
    0x0bffd000,0xff700000,0x3fea000f,0xfffc806f,0x3fffee05,0xfffff02f,
    0x03ffe83f,0x443fff00,0xfe999999,0x199999ff,0x80bffd00,0x200efffb,
    0xff984ffa,0x7fffd404,0xffffffff,0xffffd5ff,0xffffffff,0xfff501df,
    0x9fffffff,0x02fff401,0x002fff40,0x3ffdc000,0x7fffc400,0x5fffd002,
    0x1ffffee0,0x0fffffc8,0x8001fff4,0x3fee2fff,0xffffffff,0x007fffff,
    0xfb00bffd,0x7fdc0bff,0x404ffa83,0xfffffffa,0x5fffffff,0xfffffffd,
    0x405dffff,0xfffffffa,0xffe801ef,0x5ffe8005,0xfb800000,0xffc8007f,
    0x3fea005f,0xfffa80ff,0x3ffe605f,0x1fffc0ff,0x22fff800,0xfffffffb,
    0xffffffff,0x0bffd007,0x40ffffa0,0xffb82ffb,0x7fffd403,0xffffffff,
    0xffffd5ff,0x059bdfff,0x79ddff50,0x7ff40035,0x5ffe8005,0xfb800000,
    0x7fcc007f,0x7ec000ff,0xfffa85ff,0x7fffc02f,0x002fff87,0x7dc5fff0,
    0xffffffff,0x07ffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x99999998,0x99999999,
    0x33310999,0x00ccc003,0x03333300,0x4cccccc4,0x99999999,0x00010199,
    0x05551000,0x00000000,0x13530000,0x15551000,0x0002aa20,0x98000188,
    0x0009aaaa,0x3fe60d44,0xffffffff,0xffffffff,0x03ffff96,0x001fff10,
    0x0fffff50,0x7fffffd4,0xffffffff,0x01fb87ff,0xa800f640,0x000007ff,
    0x007a6172,0xfffeb800,0xeb804fff,0x11ffffff,0x01dffffb,0x00effc80,
    0x3fffae20,0x00cfffff,0x30efff98,0xffffffff,0xffffffff,0x3fff2dff,
    0xfff8805f,0x7ffc4000,0x3fea07ff,0xffffffff,0x27ffffff,0x2006ffe8,
    0xa803fff9,0x000007ff,0x7fccbffb,0x6c40002f,0xffffffff,0xfff301ef,
    0xd3ffffff,0x1dffffff,0x3fffe600,0x3fff2004,0xffffffff,0x7ffec02f,
    0xddddd35f,0xddfffddd,0x329ddddd,0x401fffff,0x4000fff8,0x07fffffd,
    0x3fffffea,0xffffffff,0x7ffe47ff,0x1fffd004,0x00fff500,0xfffe8800,
    0x7ffff50d,0x3ffa2000,0xffecabdf,0xdff980ff,0xffffebac,0x4fffcbef,
    0xbffff500,0x77ffe400,0xffffdccd,0x3fff600f,0xffb800ff,0xffff9007,
    0xfff880bf,0x3ffea000,0x00007ffd,0x741fffe4,0x57551fff,0x00bffee1,
    0x0003ffd4,0x09ffff30,0x009fffd3,0x205fffb0,0xb985fffb,0xeffff880,
    0x401ffea0,0x003ffff8,0xff900732,0x7ffdc0bf,0xffb801ff,0xffff9007,
    0x7fc401ff,0xffd1000f,0x000fff79,0x82fffcc0,0xfffefff8,0x4fffffff,
    0x01ffea00,0x7fffd400,0x3fffa203,0xfff3000d,0x1fffb805,0x17ffec00,
    0x98017ffc,0x000003ed,0xe80ffff1,0xb802ffff,0xff9007ff,0x4409ffdb,
    0xf9000fff,0x01ffeedf,0x0fffe800,0x3ffffea0,0x6fffffff,0x03ffd400,
    0x7fffdc00,0xdfff9001,0x0bffb003,0x0013ffa0,0xfb01fff7,0x0000007f,
    0x0fffc800,0x07fffe60,0x401ffee0,0xfffbdffc,0x01fff100,0x2e3fff30,
    0x900007ff,0xfb007fff,0xffb9bfff,0xfa8007ff,0x7ec0007f,0x5c000eff,
    0x2202ffff,0xf9002fff,0xffa800df,0x009ff907,0x98000000,0x7fc01fff,
    0xfff7007f,0x7d7ff200,0xfff104ff,0x49ffd001,0x80007ffb,0x8805fff9,
    0x7cc0efff,0xcccb86ff,0xcfffdccc,0x01cccccc,0x00bfffd1,0x1ffffd40,
    0x000fff98,0x9800fff7,0x9ff706ff,0x00000000,0x201fff98,0x7005fff8,
    0x3f200fff,0x01fff95f,0xb801fff1,0x3fee0fff,0xffe80007,0xfffc800f,
    0x85fff700,0xfffffffe,0xffffffff,0xffe983ff,0xe980004f,0xffa84fff,
    0xcccccccf,0x0fffdccc,0xfddb9750,0xddddddff,0x2aaa2bff,0xaaaaaaaa,
    0x2aaaaaaa,0x3bb72e60,0x01fffeee,0x4007fff6,0xf9007ffb,0x0fffe2bf,
    0x8803ffe2,0x7fdc2fff,0x7fe40007,0xbfff003f,0x21fffc40,0xfffffffe,
    0xffffffff,0x7ffd43ff,0x2200002f,0x320dfffe,0xffffffff,0xffffffff,
    0x7fff4c0f,0xffffffff,0x55ffffff,0xffffffff,0xffffffff,0xffd50dff,
    0xffffffff,0xffd503ff,0x7fdc007f,0x4bff9007,0xff887ffd,0x17ff600f,
    0x8001ffee,0x1006fff9,0xff807fff,0x5555544f,0xaafffcaa,0x2e0aaaaa,
    0x0001efff,0x3dfff900,0x3ffffff2,0xffffffff,0x3fe20fff,0xffeeefff,
    0xeeeeeeef,0xfffff54e,0xffffffff,0xc8dfffff,0xeeffffff,0x31fffeee,
    0x09ffffff,0x007ffb80,0x7fccbff9,0x07ffc42f,0xb80fffb8,0x3a0007ff,
    0xf3000fff,0xffe805ff,0x1ffea005,0x0efffd80,0xff500000,0x1ffee5ff,
    0x7ffec000,0x01bfe60b,0xcccccc98,0xcccccccc,0x3ea3cccc,0x3e602eff,
    0xffff31ff,0xff70003d,0x17ff200f,0xff88dffb,0x2fff880f,0x000fff70,
    0x800fffee,0x7402fff9,0x3ea005ff,0x7fe4007f,0x400001ff,0x2a1efffc,
    0x40001fff,0xf983fff8,0x0000006f,0x00fffe80,0xd98fffcc,0x2e0001ac,
    0xff9007ff,0x22fffa8b,0xfd80fff8,0x1ffee05f,0x1bffe600,0x07fff100,
    0x2003fff8,0xa8007ffa,0x0002ffff,0x81dfffb0,0x0002fff9,0x4c0fffcc,
    0x000007ff,0x1fffc400,0x00fffcc0,0x3ffdc000,0xe85ffc80,0x3ffe26ff,
    0x007ffd40,0xd000fff7,0xf0001fff,0x7fd40dff,0x3fea002f,0xfff30007,
    0x7440009f,0x3fe05fff,0x7d40006f,0x3fff707f,0x40000000,0xb802fff9,
    0x00001fff,0x9007ffb8,0xfff50bff,0x883ffe25,0x7dc03fff,0x7fdc007f,
    0xff90003f,0xdffd105f,0x07ffa800,0x3fffa200,0x7fcc000d,0x7fdc03ff,
    0x3e60003f,0x7ffcc0ff,0x9100004f,0x3fe6005b,0x3ff6203f,0x800001ff,
    0xf9007ffb,0x57ffa0bf,0x3f20fff8,0x7ffb806f,0x1bffe600,0xffff9800,
    0x7fffd50b,0x07ffa800,0xefffd800,0xffff5000,0x3fffa005,0x7c41800d,
    0x3ffe22ff,0x00102fff,0x00bfffa2,0x540ffffc,0x01fffffe,0x7ffb8000,
    0x20bff900,0xff89fffb,0xddfff10f,0xdddddddd,0x5ddddfff,0x003fffa0,
    0xffffff00,0x07ffffff,0x007ffa80,0x3ffff900,0x1efffc80,0x3fffea00,
    0xedcccdef,0x7fff40ff,0xfd9fffdd,0x7eccceff,0xbffff500,0x3ffff200,
    0xdffffdcd,0x00001fff,0x9007ffb8,0x7ffc0bff,0xf10fff8c,0xffffffff,
    0xffffffff,0xff707fff,0xfc80007f,0xffffffff,0x0001ffff,0xffa80000,
    0xffd882ff,0xe98000ef,0xffffffff,0x7d40ffff,0x11ffffff,0xfffffffd,
    0x3ffea00f,0x3ffa005f,0x2fffffff,0x00003fff,0x200fff70,0x3ee05ffc,
    0x10fff9ff,0xffffffff,0xffffffff,0xf887ffff,0x540006ff,0xffdbcfff,
    0x0efffadf,0x80000000,0x224ffff9,0x0005fffe,0xfffffeb8,0xf504dfff,
    0xd983bfff,0x04ffffff,0x007fffa0,0xdfffff70,0x00fff419,0x3ffdc000,
    0x205ffc80,0xfffcfff8,0x26666660,0xfc999999,0x409999ff,0x0001fffe,
    0x2017ffe6,0x0005fffa,0xfd100000,0x3ffea1df,0x98800003,0x2600199a,
    0x09a9800a,0x00175000,0x0004cc40,0xffb80000,0x0bff9007,0xffffffc8,
    0x3fee0000,0x1fffdc07,0x3fffa000,0x7fffb000,0x3fffffea,0xffffffff,
    0x220006ff,0x017dc0ed,0x00000000,0x00000000,0x00000000,0x1ffee000,
    0x202ffe40,0x0ffffff8,0x1ffee000,0xaaffff88,0xaaaaaaaa,0x3fea0aaa,
    0x37fe2003,0xffffff50,0xffffffff,0x10000dff,0x00000020,0x00000000,
    0x00000000,0x20000000,0xf9007ffb,0xfffb00bf,0x5c0001ff,0x3ff607ff,
    0xffffffff,0x1fffffff,0x15400244,0x3fffffea,0xffffffff,0x000006ff,
    0x00000000,0x00000000,0x00000000,0x7dc00000,0xbff9007f,0xfffff300,
    0x7fdc0001,0x3ffff607,0xffffffff,0x001fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x03ffdc00,0xb005ffc8,0x0001ffff,
    0xfb03ffdc,0xffffffff,0xffffffff,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x54c00000,0x00000099,
    0x1aaaa980,0x13531000,0x00000000,0x00000000,0x00000000,0x55101a88,
    0x03530001,0x00d54c00,0x0026a620,0x009aaa98,0xffdb1000,0x367dffff,
    0xff8805ff,0xffff702f,0x00bfffff,0xfffffd91,0x3fee019f,0xffffffff,
    0x7ec6ffff,0xffb004ff,0x0fffc47f,0x75ffd800,0xf8007fff,0x4ffe66ff,
    0x2e2efffa,0x3fe1ffff,0x3fff661f,0x2ffd84ff,0x3fffffee,0x7fff4c03,
    0x3f601eff,0x0dffffff,0x3ffee000,0x6fffffff,0xf100bffb,0xffe985ff,
    0xffffffff,0x7fffcc05,0x2effffff,0xffffffb8,0xffffffff,0x17fffc46,
    0x217ffea0,0xd0002fff,0x3ffe29ff,0x3ffea006,0x3e2ffe63,0xff36ffff,
    0x7ffcffff,0xffffff51,0xaffd8dff,0xffffffe8,0xfff705ff,0x05ffffff,
    0x3ffffffe,0xe88006ff,0xdcdfffff,0xbffb6ffe,0x45fff100,0xbceffff8,
    0x205feccb,0xcdeffffb,0x42fffffd,0xeeeeeeea,0x5fffeeee,0x00ffffa8,
    0xd01ffff1,0x3a0007ff,0x3fff23ff,0x1fffb001,0x77ee7fcc,0xdfe9fffb,
    0xfff2fffb,0xb9dfff73,0x7ec7ffff,0xcdfffebf,0x4c2ffffd,0xfdabefff,
    0x9ce80fff,0x07fff731,0x2ffffc80,0x2ffed2a0,0xb17ffc40,0x01003fff,
    0x407fffe2,0x0007fffc,0x6403fffa,0xffb05fff,0x13ff603f,0x30fffc00,
    0xf1009fff,0xeff989ff,0xfbff70ef,0xffa7fe4d,0x441effdf,0x3ff66ffe,
    0x7cc0dfff,0x2fff46ff,0x0027ffc4,0x98017ff6,0x2000efff,0xf8805ffd,
    0x13ffe2ff,0x1dffb000,0x03fffb80,0x02fffc80,0x2a17fff4,0x3f204fff,
    0xff88005f,0x03fff40f,0x260fffd4,0x3ea2ffff,0x3fee1fff,0x1dfffff4,
    0x6c7ffee0,0x3204ffff,0x3ffe67ff,0x00dff700,0x2006ffa8,0x4001fffe,
    0xf8805ffd,0x13ffe2ff,0x3fffa800,0x00fffd00,0x804fffa8,0xf10ffff8,
    0xffb80bff,0x985ff986,0xfffb87ff,0x437fec02,0x7d45fff9,0xaffdc4ff,
    0x200effff,0xffb2fff8,0xfff980bf,0x4c0dff50,0x332a07ff,0x006ffeed,
    0x0009fff3,0xf100bffb,0x7fff45ff,0xfff90000,0x0fffd400,0x06fff980,
    0x6d7ffea0,0x7d400fff,0x87ffb87f,0xff886ffa,0x3ffe205f,0x41fff983,
    0x7dc0fffa,0x01ffff5f,0x3f67fff0,0xfff9806f,0x4c0bff71,0x7fdc0fff,
    0x6fffffff,0x03fff500,0x00bffb00,0x7dc5fff1,0x4000cfff,0x22005ffd,
    0xe8802fff,0x64000fff,0x2fffdfff,0x40fff880,0x7dc2fffe,0x1fffb05f,
    0x203ffee0,0xffa87ff9,0xff5ffb86,0x3332007f,0x100bffb1,0x3fee5fff,
    0x51ffe606,0x9557bfff,0x3ee00dff,0xffb0007f,0x5fff100b,0xefffffd8,
    0x4ffe800b,0x01fffc00,0x000fffec,0x4fffffe8,0x887ffe00,0x7e45ffff,
    0x5fff504f,0x4c17ffa0,0x6ffa87ff,0xfff5ffb8,0x7fec0007,0x2fff8805,
    0x7dc0fff3,0x41fff45f,0xfb006ffa,0x3f6000df,0xfff8805f,0xfffffc82,
    0x3fe02dff,0x7ffc003f,0x1fffdc04,0xffff1000,0x2ffe800d,0x83ffffee,
    0x3fa03ffd,0x2fff986f,0xf50fff30,0x2bff70df,0x20003fff,0xf8805ffd,
    0x7fff12ff,0xf87fff10,0x6ffc81ff,0x00dffb00,0x2017ff60,0x9302fff8,
    0xdfffffff,0x03fff883,0x3027ffc0,0x8000bfff,0x006ffff9,0xdfd1ffec,
    0x7ff47ff7,0x03ffee02,0x7cc0dff9,0x86ffa87f,0x7fff5ffb,0x2ffec000,
    0x917ffc40,0xd515bfff,0x9fff0dff,0x037ffec4,0x0007ffc8,0xf100bffb,
    0xfb5005ff,0xf81fffff,0x7fc004ff,0xdfff103f,0x7fc40001,0x2004ffff,
    0x9ff14ffc,0x7ffcbff3,0x0fffe200,0x7cc07fff,0x86ffa87f,0x7fff5ffb,
    0x2ffec000,0x117ffc40,0xffffffff,0xfffb03ff,0xdffdffdf,0x03ffee00,
    0x017ff600,0x000bffe2,0xe8bfffd5,0x3e2005ff,0xfffd01ff,0xffd80003,
    0x002fffdf,0x3feebff7,0x3fe1ffd1,0x26ffd807,0x2600fffa,0x6ffa87ff,
    0xfff5ffb8,0x7fec0007,0x2fff8805,0x7ffffec4,0xffb100ef,0x1bfe9fff,
    0x017ffd40,0x402ffec0,0x8002fffa,0x7ec7ffe8,0x3fee007f,0x2fffc80f,
    0x7ffe4000,0x003fffd3,0x9ffadff5,0x6ff8bffc,0xb1fffa80,0xff980bff,
    0xb86ffa87,0x07fff5ff,0x02ffec00,0x9817ffc4,0x1001acca,0x15541597,
    0x0ffff880,0x037fe400,0x00bfffe6,0x707ffe40,0x3a007fff,0xfffa86ff,
    0x7fd40004,0x3bffe65f,0x47ffc400,0x3bfe64ff,0xff005ff9,0x05fff19f,
    0xfa87ff98,0xf5ffb86f,0x6c0007ff,0xff8805ff,0x0000002f,0xfffc8000,
    0x7ffdc004,0xfffff301,0x3ffa0005,0x00effe87,0x220fffe4,0x40006fff,
    0x5c0ffff8,0xff805fff,0x7f41ffbf,0x9004ffbf,0x0fff5fff,0xf50fff30,
    0x2bff70df,0x20003fff,0xf8805ffd,0x000002ff,0xff880000,0xb7102eff,
    0x503bffe6,0x25ffffff,0xffc801a9,0xffffa84f,0x4fffd881,0x000fffe8,
    0x817fff40,0x7403fffd,0xfb87feff,0x1003ffff,0x09ffffff,0xf50fff30,
    0x2bff70df,0x20003fff,0xf8805ffd,0xdddd52ff,0xdddddddd,0x7777754d,
    0x6eeeeeee,0x3fffea00,0xfffeeeff,0x37ffff66,0xfeafffec,0xddfff52f,
    0xffffb999,0x3fffa01f,0xfffecdff,0x7ffe40ef,0xffffffff,0x7e43ffff,
    0x3fe204ff,0x3ff602ff,0xfff984ff,0x3fa002ff,0x9801ffff,0x6ffa87ff,
    0xfff5ffb8,0x7fec0007,0x2fff8805,0xfffffff7,0x5cffffff,0xffffffff,
    0x4007ffff,0xffffffe8,0x3e66ffff,0xffffffff,0x3ea5ffd2,0xffffffff,
    0x5c00efff,0xffffffff,0xfffb04ff,0xffffffff,0x7dc7ffff,0x7d400eff,
    0xff900fff,0x3ffa03ff,0x3ea000ff,0xf3006fff,0x0dff50ff,0x3ffebff7,
    0x3ff60003,0x2fff8805,0xddddddd5,0x54dddddd,0xeeeeeeee,0x0006eeee,
    0xfffffdb5,0xffd8839d,0x3f60dfff,0xffffb32f,0x05bfffff,0x7fffecc0,
    0x3f602def,0xffffffff,0x33ffffff,0x2003ffff,0xf706fffd,0x7fdc0fff,
    0xfff8007f,0xfff3002f,0xf70dff50,0x00fffebf,0x805ffd80,0x0002fff8,
    0x00000000,0x26001998,0x9880009a,0x0001aa99,0x00009988,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x64c00000,0xa880004c,0x4c00009b,0x00000009,0x16a00c88,0x0abca980,
    0xb8076600,0xcccba883,0x554c001a,0x01330001,0x0d5d4400,0x98133310,
    0xddd30999,0xdddddddd,0x26bddddd,0xaaaaaaaa,0xaaaaaaaa,0xffb80000,
    0xff910007,0x005dffff,0x4009ff10,0x1d3000eb,0xfe82ffdc,0x7ff4c03f,
    0x800cffff,0xff883ffe,0xfffff10e,0xa801bfff,0x8004fffe,0x4000fffc,
    0xeffffffa,0x43fffd82,0xff52ffff,0xffffffff,0x2dffffff,0xfffffffc,
    0xffffffff,0xfb80003f,0xfea8007f,0xfffdcdef,0x27fc000d,0x00effb80,
    0xf9877fcc,0xfffb82ff,0xfffff900,0xb80bffff,0xffe80fff,0x3ffffe25,
    0xd506ffff,0x009fffff,0x04ffff98,0x3fffff60,0x7ec4ffff,0x7fffc3ff,
    0xffffff51,0xffffffff,0x3fff2dff,0xffffffff,0x003fffff,0x007ffb80,
    0xb8077fd4,0x3e000eff,0xffc8083f,0xfff300ef,0x07ffdc1d,0xf982fff4,
    0xfffdbbdf,0x7fff102f,0x441fff70,0xfea999bc,0x3ffa21ff,0x004fffff,
    0x0fffffec,0x567ffdc0,0x21fffea9,0x7f42fffc,0x800001ff,0xccccccca,
    0xffcccccc,0xfb80003f,0x3fe2007f,0x44379994,0x40cd84fe,0x40fd43fe,
    0x4c0efffc,0xfd80efff,0x2fff985f,0xfff50550,0x217ff609,0x2002fff9,
    0x3e22fff9,0x4fffaeff,0x2effea00,0x7fc405ff,0x4bffb02f,0x7f42fffc,
    0x000000ff,0x0fffe000,0x1ffee000,0x3fe6fd80,0xff31ffff,0xd17ffd45,
    0x1bff225f,0x9877ffe4,0xf100efff,0xfff907ff,0x5fff8001,0xe80fffb8,
    0x7d4004ff,0xd17640ff,0x7f4009ff,0x405ffd0f,0x3e606ffa,0x07ffee7f,
    0x0001fffb,0x7fc00000,0xfb80003f,0x3ff3007f,0x25fd8bfc,0x3ff665fc,
    0xe9afd8cf,0x3f204fff,0xefffaeff,0x07ffd400,0x10027ff4,0xff887fff,
    0x06ffc83f,0x17ffaa20,0x013ffa02,0xff31ffdc,0x13ff201f,0x3ee1fff0,
    0x3ffec1ff,0x00000000,0x0000fffe,0x5c01ffee,0xdf33fc6f,0x7ecc3fcc,
    0xfffdfeef,0xfffc800c,0xb000efff,0xfff30bff,0x3fff6003,0x4c37fec1,
    0x7c401fff,0x004fffff,0x22013ffa,0x4ffd86ff,0x4407ffb0,0xfff70fff,
    0x2a7ffc81,0xffffffff,0xffffffff,0x7ffc0006,0xaaaa8803,0xafffdaaa,
    0x92aaaaaa,0xfb37f89f,0x9807fc47,0x0cfffffd,0x7fffe400,0x3fee000e,
    0x1fffc40f,0x427ffec0,0xffb84ffe,0x7ffc400f,0xd002dfff,0xff9009ff,
    0x03fff105,0x7d40bff7,0x03ffea7f,0x7fd4dff9,0xffffffff,0x06ffffff,
    0x01fffc00,0x7fffffd4,0xffffffff,0x7fd6ffff,0x82fffff8,0x3faa02ff,
    0x98000cff,0x000effff,0xfb05fff3,0xffe880bf,0x3fff305f,0x880bffb0,
    0xffffeccc,0x04ffe803,0xf9037fcc,0x1fff50bf,0xfa97ff60,0x37fdc0ff,
    0xfffffff5,0xffffffff,0xcc8000df,0xfffa801c,0xffffffff,0x6fffffff,
    0xecff89fb,0xa81ff82f,0xfffffffe,0xfff3000c,0xd001dfff,0xfff509ff,
    0x7fffcc01,0x437fe404,0x4003fff8,0xe807ffe8,0x7fec04ff,0x0bffe201,
    0x4c1dffd1,0x4cc1fffd,0x00099881,0x00000000,0x666664c0,0xccfffdcc,
    0xf73ccccc,0x1ff37f8b,0x3faa3fcc,0xfcafdaff,0x3e600cff,0xefffceff,
    0x03bff200,0x5c07fff1,0x8803ffff,0xffa84fff,0x7fdc000f,0x27ff401f,
    0x500bff50,0xffa81fff,0xffffefff,0x00000004,0x00000000,0x01ffee00,
    0x4ff07fcc,0xb9bee3fd,0x5fd0cfff,0x4c1fffea,0xff90efff,0xfff301df,
    0x40dffb03,0x001efffd,0x3607ffea,0x7f4006ff,0x4ffe807f,0x4007ffa0,
    0xffa84ffe,0x03ffffff,0x00000000,0x00000000,0xd003ffdc,0xff33fc9f,
    0xef88ffe2,0xf9117f41,0x1dfff307,0x20efffc8,0xfa84fff8,0xfffd01ff,
    0xdddddddf,0x21bff607,0x2664fff8,0xffdb9999,0x6666545f,0x2cccefff,
    0x4c007993,0xd97104cc,0x0000179d,0x00000000,0xf7000000,0x7fcc00ff,
    0xeaed8bd2,0x7ff0185f,0xdfff3030,0x3bfff201,0x3a0dff90,0x3ffe04ff,
    0xffffffff,0x7fff104f,0x2e1fff50,0xffffffff,0x7ffe40ef,0xffffffff,
    0x00000004,0x00000000,0x00000000,0x07ffb800,0x3027fe40,0x7c001ffd,
    0xdff9003f,0x1fffc801,0x7ecc07ee,0x3ffffe00,0x4fffffff,0xdd80fee0,
    0x3ffffee1,0xfc80cfff,0xffffffff,0x000004ff,0x00000000,0x00000000,
    0xffb80000,0xeffb8007,0xeffdbabc,0x027fc001,0x32001d90,0x8010001f,
    0xaaaaaaaa,0x0401aaaa,0x66664c00,0x2a600abc,0xaaaaaaaa,0x000001aa,
    0x00000000,0x00000000,0xffb80000,0xffd30007,0x009fffff,0x80059910,
    0x00004000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x1ffee000,0x7b953000,0x00000013,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0bdd5000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26000000,0x00000999,0x80099998,0x99999999,
    0x99999099,0x99999999,0x99999999,0x00000059,0x00000000,0x00000000,
    0x00000000,0xfdb80000,0x200002ef,0xfd882ffb,0xffff700e,0x7ec00005,
    0xff800eff,0xffffffff,0xfffffff3,0xffffffff,0x7fffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fff6200,0x3e00dfff,0xfff100ff,
    0x5fffb81f,0x0bfffa60,0x3fff6000,0x3fffe004,0xf3ffffff,0xffffffff,
    0xffffffff,0x007fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ffffff2,0xff980eff,0xffff300f,0x05fffc81,0x017ffec4,0x05fffb00,
    0xaaaaaa80,0x3331aaaa,0x33333333,0x33333333,0x00001333,0x00000000,
    0x00000000,0x00000000,0xf1000000,0xffb33bff,0x7ffa81df,0x4427fec0,
    0xf7001fff,0xfb0005ff,0x000003df,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfb87ffa8,0xffb8afff,0x2019804f,0x64c000a8,
    0x32a000cc,0x0000004c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ee0dff7,0xffffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x13ff2000,0xffffffa8,
    0x0000002f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x01dfffc8,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_41_latin1_x[224]={ 0,8,5,0,2,0,1,8,6,5,3,1,4,5,
7,2,1,2,2,3,0,3,2,2,2,2,8,5,2,2,4,6,0,0,3,1,2,4,4,1,2,3,3,3,
4,0,2,1,3,1,3,2,1,2,0,0,0,0,2,6,3,5,2,0,0,2,3,3,2,2,0,1,3,3,
2,3,3,1,3,1,3,2,4,3,1,3,1,0,1,1,3,3,9,4,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,8,2,1,1,1,
9,2,0,0,4,2,2,5,2,0,4,2,4,5,0,3,2,7,8,4,4,3,0,0,0,4,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,1,0,0,0,0,0,3,2,0,0,
0,0,0,0,0,3,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1,1,0,0,0,0,0,3,0,
 };
static signed short stb__consolas_41_latin1_y[224]={ 30,1,1,3,0,1,2,1,0,0,1,9,23,17,
23,1,3,3,3,3,3,3,3,3,3,3,9,9,7,14,7,1,1,3,3,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,1,1,1,3,35,1,9,1,9,1,9,1,9,1,1,
1,1,1,9,9,9,9,9,9,9,3,9,9,9,9,9,9,1,-3,1,14,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,30,9,0,3,4,3,
-3,1,1,3,3,11,17,17,1,2,1,5,1,1,1,9,1,15,30,1,3,11,1,1,1,9,-4,-4,-4,-4,
-4,-5,3,3,-4,-4,-4,-4,-4,-4,-4,-4,3,-4,-4,-4,-4,-4,-4,10,-1,-4,-4,-4,-4,-4,3,1,1,1,
1,1,1,-1,9,9,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,8,5,1,1,1,1,1,1,1,
 };
static unsigned short stb__consolas_41_latin1_w[224]={ 0,6,13,22,19,23,22,6,12,12,17,20,11,13,
8,18,20,18,19,17,22,17,19,19,19,19,7,10,17,18,16,13,23,23,18,19,20,15,15,20,19,17,15,18,
16,22,19,21,18,22,19,18,20,19,23,22,23,23,19,11,18,11,19,23,14,18,18,16,18,19,22,20,17,17,
16,19,17,20,17,20,18,18,17,17,19,17,21,22,21,21,17,15,4,16,21,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,6,17,20,20,21,
4,18,18,23,15,18,18,13,19,17,15,19,14,13,20,19,18,8,6,14,15,17,23,23,23,13,23,23,23,23,
23,23,23,19,19,19,19,19,20,20,20,20,22,21,22,22,22,22,22,18,21,21,21,21,21,23,18,19,20,20,
20,20,20,20,22,16,21,21,21,21,20,20,20,20,19,20,21,21,21,21,21,20,20,20,20,20,20,22,18,22,
 };
static unsigned short stb__consolas_41_latin1_h[224]={ 0,30,11,27,35,30,29,11,39,39,18,20,14,4,
8,34,28,27,27,28,27,28,28,27,28,27,22,28,24,11,24,30,38,27,27,28,27,27,27,28,27,27,28,27,
27,27,27,28,27,35,27,28,27,28,27,27,27,27,27,38,34,38,14,4,9,22,30,22,30,22,29,30,29,29,
38,29,29,21,21,22,30,30,21,22,28,22,21,21,21,30,21,38,42,38,10,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,0,30,36,27,25,27,
42,34,9,28,20,17,10,4,19,8,14,25,17,17,9,30,34,8,6,17,20,17,29,29,29,30,34,34,34,34,
34,35,27,33,34,34,34,34,34,34,34,34,27,34,35,35,35,35,35,18,36,35,35,35,35,34,27,30,30,30,
30,30,30,32,22,27,30,30,30,30,29,29,29,29,30,29,30,30,30,30,30,22,30,30,30,30,30,38,38,38,
 };
static unsigned short stb__consolas_41_latin1_s[224]={ 254,244,196,20,1,1,110,246,11,24,42,
1,244,240,246,120,139,228,107,160,42,81,61,233,119,79,244,244,126,210,144,
240,176,209,60,1,86,70,99,225,171,191,45,1,43,205,22,164,115,1,127,
206,1,186,147,182,158,134,65,91,40,60,160,96,42,225,96,1,77,161,105,
56,146,128,103,25,45,160,199,54,169,23,181,36,99,18,138,115,93,67,75,
160,6,143,1,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,
235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,235,254,245,200,
178,85,1,1,81,23,21,233,112,229,240,22,78,180,106,97,131,57,203,21,
244,246,145,217,79,220,1,196,42,220,61,196,160,85,227,46,184,21,41,1,
100,139,109,130,151,23,59,24,160,93,47,70,60,218,183,116,138,205,172,216,
225,1,22,43,64,85,204,181,199,188,210,232,1,133,63,175,154,149,84,159,
181,127,137,115,204,25,46,89,223,106,37,72,120, };
static unsigned short stb__consolas_41_latin1_t[224]={ 1,80,410,331,80,213,213,244,1,1,410,
410,359,32,256,115,274,331,303,274,359,274,274,303,274,331,211,182,359,410,359,
1,1,303,331,274,303,303,331,244,303,303,274,331,331,331,359,244,331,44,303,
244,359,244,303,331,331,331,359,1,115,1,410,431,431,359,182,387,182,359,244,
182,244,244,1,244,244,387,387,387,151,182,387,387,274,387,387,387,387,213,387,
1,1,1,431,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,
274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,1,115,1,
274,359,303,1,115,431,274,387,410,410,32,410,431,410,359,410,410,431,182,115,
234,265,410,387,410,213,244,213,182,80,80,80,115,80,44,303,115,80,80,116,
115,115,80,80,80,303,115,44,44,44,44,44,410,1,44,44,44,44,80,274,
115,151,151,151,151,151,115,359,274,151,151,151,182,213,244,213,213,151,244,182,
182,151,182,182,359,213,213,213,182,151,1,1,1, };
static unsigned short stb__consolas_41_latin1_a[224]={ 361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,361,
361,361,361,361,361,361,361,361, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_41_latin1_BITMAP_HEIGHT or STB_FONT_consolas_41_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_41_latin1(stb_fontchar font[STB_FONT_consolas_41_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_41_latin1_BITMAP_HEIGHT][STB_FONT_consolas_41_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_41_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_41_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_41_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_41_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_41_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_41_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_41_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_41_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_41_latin1_s[i] + stb__consolas_41_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_41_latin1_t[i] + stb__consolas_41_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_41_latin1_x[i];
            font[i].y0 = stb__consolas_41_latin1_y[i];
            font[i].x1 = stb__consolas_41_latin1_x[i] + stb__consolas_41_latin1_w[i];
            font[i].y1 = stb__consolas_41_latin1_y[i] + stb__consolas_41_latin1_h[i];
            font[i].advance_int = (stb__consolas_41_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_41_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_41_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_41_latin1_s[i] + stb__consolas_41_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_41_latin1_t[i] + stb__consolas_41_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_41_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_41_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_41_latin1_x[i] + stb__consolas_41_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_41_latin1_y[i] + stb__consolas_41_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_41_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_41_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_41_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_41_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_41_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_41_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_41_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_41_latin1_LINE_SPACING
#endif

