// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_23_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_23_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_23_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_23_latin1_BITMAP_HEIGHT        164
#define STB_FONT_consolas_bold_23_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_bold_23_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_bold_23_latin1_NUM_CHARS            224

#define STB_FONT_consolas_bold_23_latin1_LINE_SPACING          15

static unsigned int stb__consolas_bold_23_latin1_pixels[]={
    0x006aa355,0x540c4000,0x5532aaaa,0x98801555,0xa980a20a,0x001c0009,
    0x6f75c000,0x0007baa0,0x80000000,0xdb7102eb,0x0000017b,0x1f76c400,
    0x0fbb6000,0x4c09db10,0x7d3fe5ee,0xa877c44f,0xbff1005f,0x96fffff8,
    0x205fffff,0xd11fffc8,0x3fff207f,0x40bf9003,0x003effd8,0xf7037fee,
    0xffd8003f,0xfd000913,0x207f2005,0xeffffff9,0x3fffae01,0x27ffb04f,
    0x7ffb1048,0x0fff6000,0x0bfdff30,0x4ff9bfe6,0x3ffb89ff,0xf5001ffd,
    0x7f7741ff,0xdddff96f,0x3bbff203,0x705ffd10,0xc803fffd,0xfff504ff,
    0xf700bfff,0x07fee07f,0xfffffc80,0x3e2001ff,0x103fa007,0xffd9bfff,
    0x3ffff60f,0xfffc85ff,0x2a01ffff,0x764001ee,0x976c401d,0x6ff884ec,
    0x227fd3fe,0x0bf50ee8,0xc817fe20,0x100ff96f,0x3fe609ff,0x0bff100f,
    0xf9837fd4,0x00bfe64f,0x007fee00,0x7dfb1488,0xfefdc880,0x321fe005,
    0x1ffec2ff,0x4c437fe6,0xdfb14882,0x00000007,0x3fe20000,0x27fd3fe6,
    0x01880000,0x07fcb7e4,0x2a01ff98,0x1bf206ff,0xe807ffc4,0x265fb84f,
    0x155300aa,0x32a27fee,0x5400000b,0x0effffff,0x3ffffb20,0xf10dff11,
    0x04ffb8df,0x6e440000,0x64400bde,0x4400bded,0x880bdedc,0x7d3fe5ff,
    0x2015534f,0x55510aa9,0x64055555,0x500ff96f,0xffc801ff,0x320ff702,
    0x0df501ff,0x7fd43fe2,0x2e1ffd04,0xfffffaff,0x7bdb9101,0x37ffe201,
    0xe985fffc,0x31ffffff,0x1ffa07ff,0xc807fff3,0x42cb82cc,0xeffffffa,
    0xfffff501,0x3fea03df,0x441effff,0x7d3fe5ff,0x209ff54f,0xfff30ffe,
    0x640dffff,0x500ff96f,0xff8801ff,0x3e0ff705,0x54ffa05f,0x21feabbc,
    0x4ff987ff,0x3bbfffee,0xfffa87ff,0xfc81efff,0x7ffff72f,0xdfceffe8,
    0x205ff51c,0x3fee0ffd,0xfff02eff,0x7c49fd0f,0x7ffecdff,0xecdfff88,
    0xfff887ff,0xf87ffecd,0x7fd3fe5f,0x3e61ffe4,0x3bbba64f,0x3f206ffe,
    0xf500ff96,0x1ffd001f,0xfa81ff50,0x91ff103f,0x5fb7ffff,0x3f217fe4,
    0x8fffee1f,0x3fe22ffc,0x47ffecdf,0x2ff65ff8,0x57fea5ff,0x17fdc3fb,
    0xff51ffd8,0xf0bffffd,0x4fe85fff,0xffb0bff6,0x6c2ffd87,0x17fec3ff,
    0x9ff0fff6,0x24ffa7fc,0x7fe42ffc,0x206fe801,0x00ff96fc,0x3f200ff9,
    0x42ff882f,0xdf501ffc,0xb7ff9ff1,0x22ffc47f,0x27fdc6ff,0xffd93fe6,
    0xf31ffec2,0x363fe27f,0x64ffee6f,0x817fdc2f,0x1ffd0ffd,0xf8bfffb1,
    0xa7f46fff,0xff886ff8,0x221bfe26,0x1bfe26ff,0x9ff1bfe2,0x24ffa7fc,
    0x37fc5ff8,0x3206fe80,0x220ff96f,0x5004ffdc,0x3ffa07ff,0x640ffb4d,
    0x5ff6fbcf,0x0ffd87f9,0xffb87ff3,0xf8affc41,0x26ff886f,0x2bf52ffa,
    0x47ff67fd,0x1ffd41fd,0x3ffe7fe8,0xf8bffea0,0x3fa2ffef,0x3a07ff34,
    0x40ffe67f,0x0ffe67fe,0x13fe3ff4,0x7fec4ff8,0x2007ff30,0x5bf206fe,
    0xfff307fc,0x27fc4005,0x3fafffb0,0x3f2ff606,0x87fb3ff4,0x1ff93ffa,
    0x7c41ffb8,0x207ff35f,0x47fee7fe,0x21ff93fd,0x81fd2ffc,0xff885ffa,
    0xf713ff66,0x7f67fc9f,0x7fd53fa5,0x2a1ffb02,0x1ffb02ff,0x7ec0bfea,
    0xf813fa0f,0xc9ffd44f,0xdfd000ff,0x7fcb7e40,0x05fff910,0x7413fe20,
    0x0dfd4dff,0x45fed7ec,0xf82fe8ff,0xf70bff6f,0x54ff983f,0x3ff605ff,
    0x3fe3ff70,0x3ee1ff90,0x3fe0ff5f,0x51ffdc0f,0x3e63dfff,0x3ef3fe5f,
    0x3ee9fd1f,0x23ffb02f,0xffb02ffb,0x6c0bfee3,0x806aa1ff,0xf6ff84ff,
    0x37f400bf,0x1ff2df90,0x54017f60,0x2ff983ff,0xfe807fec,0xd7f9bfea,
    0xf7ff903f,0x83ff705f,0x5ff72ffc,0x7cc7ff60,0x3f66faaf,0x3f7ffe27,
    0x3ff21b9e,0x0fffc9be,0x667fffdc,0x233fe2ff,0x2e9fd5ff,0x1ffb02ff,
    0x7ec0bfee,0x205ff70f,0x00620ffd,0x7ff909ff,0x7f4005ff,0x7e5bf206,
    0x007fb807,0xff705ff9,0x3a05ff90,0xffabfdaf,0xfff307f9,0x8bfee0df,
    0x3fee6ffb,0x221ffb02,0x3e3fccff,0x7fffd46f,0x7ff42fff,0x301fffff,
    0x8bfffffd,0xd1ff94ff,0x40ffea9f,0x0ffea7fe,0x7ff53ff4,0xff89ffa0,
    0x27fd3fe5,0x037fffcc,0xfc81bfa0,0xf500ff96,0x1ffb001f,0xff50ff70,
    0x3f2bf607,0x05fefffe,0x5c0ffffa,0xffffffff,0x740ffea1,0x7ffffc7f,
    0x2e07ff51,0x441effff,0x01dffffc,0xf87fffb8,0xfd9ff14f,0x2217fe69,
    0x17fe66ff,0xff99bfe2,0x2a6ff885,0x7d3fe7ff,0x7fffd04f,0x206fe800,
    0x00ff96fc,0xff001ff5,0x221fee0b,0x37f905ff,0x1dff9dff,0x807ffd40,
    0xdffffffb,0x442ffcc0,0x7ffdc6ff,0x407ffb9f,0x9ff003fb,0x1fff8800,
    0xdffb27fc,0x207ffc9f,0x7ffc3ffb,0x3e1ffdc0,0x1ffdc0ff,0xa7fcbff1,
    0xfff504ff,0x06fe8001,0x03fe5bf2,0x32007fd4,0x0ff701ff,0x3ee0bff2,
    0x02aa1535,0x5c09ff70,0x7c009aff,0x1ffdc0ff,0x7fffffe4,0x00fe402f,
    0x498affe8,0x207ff402,0x3ffe64ff,0x2fbfee4f,0xfb87ffc9,0x7ffc9bef,
    0xc9beffb8,0x7c1887ff,0x2e09ff4f,0x7c4004ff,0x65bf205f,0x1ff9807f,
    0xc817fea0,0x3fff106f,0x0000ff98,0x5c01fff3,0xff7001ff,0x0fff937d,
    0x06fffffc,0xa8007ec0,0xb2ffffff,0xdffb779d,0xffe89ff0,0x3fffa24f,
    0xe882ffff,0x2fffffff,0xfffffe88,0x9ff002ff,0x3fe613fe,0x3ea0200f,
    0x65bf204f,0x4ff8807f,0x201fff10,0x3ea05fe8,0x82ff40ef,0xfffdc980,
    0x00ffdc01,0xfffffe88,0x3ff302ff,0x007e8003,0x86ffffd4,0xeffffffd,
    0x7d44ff80,0xfffc84ff,0x7fe400df,0x7e400dff,0x2000dfff,0x269ff4ff,
    0x401fffdc,0xfffebcec,0xb7f66640,0x01cccffc,0x7419dffb,0xffda82ff,
    0x2ffec02f,0x2e6b7fea,0xffffa85d,0x01ffb802,0x6ffffe40,0x0013f200,
    0x988002f4,0x66665440,0x3a13fe02,0x006204ff,0x22000620,0x29ff0001,
    0xffff54ff,0xffff9005,0xffff05ff,0x3ffff2df,0xfffb102f,0x640bfa23,
    0xfb003fff,0xfffff50b,0x179b30bf,0x002aa200,0xaa800c40,0x00000000,
    0x00000000,0x00000000,0xfa7fc000,0x0179b34f,0x2b332e20,0x55555500,
    0x02aaaaa6,0x14415510,0x80013530,0x2f32e203,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x013fe9ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x25990000,
    0x000002cc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0bf32f4c,0x05f997a6,
    0x1fdc0000,0x2001ba80,0x36204ed8,0x360003ee,0x054c03ee,0x5f997a60,
    0xeeeecb80,0x001dd54e,0x003eed80,0x3a60775c,0xd8817e65,0x4ed8804e,
    0x5f997a60,0x6c7ddb00,0xff900bce,0x3207ff65,0x03ffb2ff,0x0489ffec,
    0xfb005f90,0xff3007fd,0x7ec40bfd,0xffd8003f,0x17ffec03,0x3f65ff90,
    0xffff501f,0x3e2bffff,0x3f60004f,0x5fe8003f,0xffb2ffc8,0xbfdff303,
    0x2ff7fcc0,0xffb2ffc8,0x43ffd803,0x40cffffe,0x1df50efa,0x3ea1df50,
    0xffff900e,0x2a203fff,0x100acfeb,0xb1017a7f,0x5013b25d,0x764003dd,
    0x4e7cc01d,0x43bea06e,0xff980efa,0x5ff9cfff,0x64001ff2,0xfa8001de,
    0x50efa81f,0x2ed881df,0x5db109d9,0x3bea13b2,0x6401df50,0xfeeb81de,
    0x000005ff,0x7ec52200,0xffff503e,0x77c07fff,0x000004fb,0x4c000000,
    0x0000fb2f,0x4fffffe8,0x17fccbff,0x6c000000,0x0000006f,0x00000000,
    0x9fffcc00,0x059903cc,0x017bdb91,0x7ffd4000,0x203fdffe,0x3200dfe9,
    0x6459903c,0x6459903c,0x2059903c,0xa803fefe,0x3fe01ccc,0xbff4ffff,
    0x65406fe8,0x0399501c,0xc983ff98,0x4ccccccc,0x33333326,0x666644cc,
    0x6643cccc,0x43cccccc,0xcccccccc,0x7d7fea03,0x44ff885f,0xeffffffa,
    0x0e665401,0x5f99ffd8,0x1ccca802,0x3e217fe0,0x2217fe4f,0x217fe4ff,
    0x97104ff8,0x3fffe005,0xfffff104,0xf517fe9f,0x2ffcc03f,0x64037fc4,
    0xfffa80ff,0x2a7fffff,0xffffffff,0x7fffffc7,0x7fffc6ff,0x7fc6ffff,
    0x06ffffff,0x2ffd7fe6,0xff127fc4,0x0fffd9bf,0xd04ffff8,0x009f51ff,
    0xf813fffe,0x24ff885f,0x4ff885ff,0x3fe217fe,0x2bccb984,0x37fffcc0,
    0x9ffffff0,0x17fe17fe,0xfb83ffd0,0x27fc402f,0xeffccc98,0x333264cc,
    0x7c4cceff,0x3cccccff,0x66667ffc,0x667ffc3c,0x3f203ccc,0xf10bff4f,
    0x217fec9f,0xff303ffd,0x3ff60dff,0xf9803fde,0x3fe06fff,0x3e4ff885,
    0x24ff885f,0x4ff885ff,0x7ffffff4,0xfbff700e,0x3fff201f,0x70bff4ff,
    0x7fcc01ff,0x201bfe25,0xf8800ffb,0x5ff8805f,0x7c01bfe0,0x0dff006f,
    0x3fffbb60,0xff10bff0,0x221bfe29,0xbff706ff,0xfff301ff,0xfb803bff,
    0xff00ffdf,0x7c9ff10b,0x24ff885f,0x4ff885ff,0x7edde774,0xf5bfd05f,
    0x7fff407f,0xf10bff4f,0x0ffe807f,0xfd005ff7,0x17fe200b,0xf817fe20,
    0x0dff006f,0x7401bfe0,0x3fe0efff,0xf34ff885,0x41ffa07f,0x03ffadfe,
    0xbfffffd5,0x3eb7fa01,0x10bff03f,0x42ffc9ff,0x17fe4ff8,0x20113fe2,
    0xbff887fe,0x75c05ff8,0x20bff4ff,0x7fcc07fd,0xf500dff4,0x3fe2005f,
    0x05ff8805,0x7fc01bfe,0x00dff006,0x3fe03bf6,0xf54ff885,0x03ff605f,
    0xbff17ff1,0xfffffa80,0xf8bff886,0x10bff05f,0x42ffc9ff,0x17fe4ff8,
    0x6c013fe2,0xd1ffa87f,0x426001ff,0x5ff305ff,0xffbffe80,0x006fd802,
    0x22017fe2,0x3ffe05ff,0x7c2ccccc,0x2cccccff,0x66667ffc,0xf82fec2c,
    0x74ff885f,0x3ff605ff,0xfe8ffd41,0x2fbe200f,0x7fd42fff,0xff01ffd1,
    0x7c9ff10b,0x24ff885f,0x4ff885ff,0xffffeda8,0x3ee7fd87,0x5ff8002f,
    0xf301bfa0,0xf100dfff,0x7fc4007f,0x05ff8805,0x3ffffffe,0x7ffffc4f,
    0x7ffc4fff,0x4c4fffff,0x10bff01a,0x0bfee9ff,0x3f607fec,0x980bfee7,
    0xd87ff75f,0x20bfee7f,0x4ff885ff,0x3fe217fe,0x3e217fe4,0x7fffec4f,
    0x5ff87fff,0x20013fe6,0x3fea05ff,0x17fff401,0x0007fe40,0xf100bff1,
    0x67ffc0bf,0x7fc2cccc,0x42cccccf,0xcccccfff,0xff804c42,0xf54ff885,
    0x21ffa07f,0x13fe65ff,0x5ff93fa8,0x3fe65ff8,0xf885ff84,0x2217fe4f,
    0x217fe4ff,0x3fee4ff8,0xf31ff20d,0xfff3337f,0x80bff000,0x7fd404ff,
    0x04ff8806,0x402ffc40,0x3fe05ff8,0x00dff006,0x3a201bfe,0x85ff80ef,
    0xbff33ff8,0xf98dff10,0x7ff999bf,0x6e7ee6fc,0x3fe60fff,0x87ff999b,
    0x3ff885ff,0x3fe217fe,0x3e217fe3,0xb03ff63f,0xffffc8ff,0x001fffff,
    0xf9013fe6,0x2ffc401f,0x000ffdc0,0x22017fe2,0x1bfe05ff,0xf8037fc0,
    0xfff9806f,0xfa87fe81,0x703ffe2f,0xfffc87ff,0x21ffffff,0xffffffff,
    0x7fffe41f,0x741fffff,0x22ffa87f,0x2ffa87fe,0x3fea1ffa,0x6c4fff22,
    0x7fff47ff,0x03ffffff,0x02ffc813,0xf101ffc4,0x0bfd00bf,0x00bff100,
    0x7fc0bff1,0x00dff006,0x7f401bfe,0x21bff906,0x3ee0ffe9,0x7ffc9bef,
    0xffffffe8,0x3b6e3fff,0xfd03deff,0xffffffff,0x30dffc87,0x7fe41ffd,
    0x41ffd30d,0xfd30dffc,0x7fffd41f,0x3e27feff,0xf99999cf,0xcdfe886f,
    0xfb006ffe,0x02ffc40f,0x4400bfe6,0x99dff999,0x3fe66621,0x7ffc199d,
    0x7c2aaaaa,0x2aaaaaff,0x55557ffc,0x3e20182a,0x2fffffff,0x7fffff44,
    0x67fc42ff,0x6ff99999,0xff880ff0,0xff99999c,0x7ffffc46,0x7fc42fff,
    0x42ffffff,0xfffffff8,0xffffb82f,0x3fee7f9b,0x881ffd01,0x1efffffe,
    0x205ff300,0x7ec05ff8,0x3ffea006,0x2a7fffff,0xffffffff,0x7fffffc7,
    0x7fffc6ff,0x7fc6ffff,0x06ffffff,0xffffd880,0x3fff201e,0x1ffb80df,
    0xf881ffd0,0x80ffdc06,0x7ec40ffe,0xb101efff,0x203dffff,0x1effffd8,
    0x3f600cc0,0x40bff207,0x8002bcba,0xbff101aa,0x2001aa80,0xfffffffa,
    0x3fffea7f,0x7fc7ffff,0x46ffffff,0xffffffff,0x7fffffc6,0x440006ff,
    0x200c4001,0x3ff207fd,0x360274c2,0x0bff207f,0x0c400188,0x00006200,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ddb0000,0x007ddb10,0x9bdd9710,0x01f76c41,0x0009db10,0xdb10fbb6,
    0x0000007d,0x00000000,0x00000000,0x88000000,0xeb8004ed,0x37b660de,
    0x3bae0000,0xb0072a0d,0x7ec407ff,0x3fea003f,0x441fffff,0xf9803ffd,
    0x6c005fef,0xffb103ff,0x50ef8807,0x3ff620bf,0x3be20914,0xfd50bf50,
    0x883db03b,0x20bf50ef,0x0914ffd8,0x077fff66,0xbf50ef88,0x27f7f440,
    0x01bff700,0x0001ffd3,0x7cc1bff7,0x077b206f,0x400f7540,0xeccefffb,
    0x03dd501f,0x4ec976c4,0x003bd900,0x7dc03dd5,0x901ffd3f,0x5fffffff,
    0x3fa7ff70,0x3f7fe20f,0x7dc2fdc6,0x901ffd3f,0x5fffffff,0xffffffa8,
    0x27ff701f,0xfe880ffe,0xb804fe8b,0x7ec403ff,0x3fee000f,0x007ffa83,
    0x3e200000,0x000883ff,0x00000000,0x43ba2000,0x269105fa,0xdd103ffd,
    0x7f717ea1,0x07fc47f6,0x5fa87744,0x3ff66910,0xf52eff83,0x43ba20bf,
    0x000005fa,0x00000000,0x99502ec8,0x332a0039,0x13fee01c,0xcccccc80,
    0x999503cc,0x66664c03,0x64c4cccc,0x4ccccccc,0x00000000,0x7f92fc80,
    0x00000ff6,0x227fcc00,0x800006ff,0x9801bcb9,0xb9801bcb,0x65cc01bc,
    0xff0002bc,0x3fe009ff,0x3ff604ff,0x3fffe001,0xff06ffff,0x7fd409ff,
    0x47ffffff,0xfffffffa,0x3797307f,0x2bccb980,0x15e65cc0,0x4fec6fcc,
    0xcb9805fa,0xbcb9802b,0x2a2ffa82,0x0aa884ff,0xffc8154c,0xf900dfff,
    0x201bffff,0x0dfffffc,0xffffffe8,0x4c176c0e,0x9806ffff,0x3a06ffff,
    0x3fe000ff,0x83cccccf,0x206ffff9,0xceffccc9,0x7e664c4c,0xfc84ccef,
    0xe80dffff,0x0effffff,0xffffffe8,0x77fffc0e,0x3a200ff8,0x80dfffff,
    0xdfffffe8,0x7cc7fee0,0x1ffb80ef,0x3f207fe4,0x84ffdbdf,0xffdbdffc,
    0xdbdffc84,0xbcee84ff,0x7f45ffdb,0xffdffb83,0x7effdc00,0x00fff00f,
    0x2e006ff8,0x800ffdff,0xf1005ff8,0x6ffe40bf,0xee84ffdb,0x85ffdbbc,
    0xffdbbcee,0xfd9edc45,0x3bffe203,0x7c45fffe,0x5fffeeff,0x3fe27fee,
    0x83ff700e,0x3fe60ffc,0xf307fe44,0x20ffc89f,0x7fe44ff9,0x47fe8040,
    0xadfe84ff,0x6ff403ff,0xfff03ffa,0x006ff800,0x0ffeb7fa,0x4017fe20,
    0xff305ff8,0x040ffc89,0xd0087fe8,0x06fa80ff,0xfd327fe4,0x327fe45f,
    0x3fee5ffd,0x2e03ff99,0x07fe41ff,0xffa81ff7,0xf503fee2,0x207fdc5f,
    0xfb002ffa,0x7c44ff8f,0x205ff8bf,0x5ff8bff8,0x4001ffd0,0xff1006ff,
    0x100bff17,0x3e200bff,0x81ff705f,0xfb002ffa,0x03fec00f,0xfe801ff1,
    0x3a4ffb87,0x74ffb87f,0x1dff13ff,0xf907fee0,0x7fffec1f,0x363fffff,
    0xffffffff,0x3ffff63f,0xa83fffff,0x47ffffed,0x8ffd44ff,0xff500ffe,
    0x3603ffa3,0x3fe003ff,0x42cccccf,0x1ffd1ffa,0x005ff880,0x3f60bff1,
    0xffffffff,0xfffeda83,0xffdb507f,0x5fec0fff,0x5ff80bb8,0x3fe5ff98,
    0xf75ff985,0x07bff63f,0xff907fee,0x7fffff41,0x3fa3ffff,0xffffffff,
    0x3fffffa3,0x7ec3ffff,0x47ffffff,0x73fec5ff,0x9ff605ff,0xffa82ffb,
    0xffff000f,0xfd89ffff,0x100bfee7,0x3e200bff,0xffffd05f,0xd87fffff,
    0x7fffffff,0xffffffd8,0xf1df507f,0x7fc47fff,0x3e2bff05,0x2ebff05f,
    0xfffd11ff,0x641ffb83,0x01ff60ff,0x36007fd8,0x3fee007f,0xff1ff20d,
    0x3e65ff8b,0x4cbff04f,0xfffd04ff,0xf83d7559,0x2cccccff,0x9ff32ffc,
    0x005ff880,0x3f60bff1,0x37fee007,0xff71ff20,0x443fe41b,0xf9cfc9ff,
    0x7c43ffc6,0x221ffe4f,0x83ff74ff,0x7fdc5ffd,0xf707fe41,0x3fee003f,
    0x03ff7001,0xfb03ff60,0xf32ffc4f,0xfff3337f,0x3337ff30,0x3fa60fff,
    0x41ffffff,0xff9806ff,0x07ff999b,0x8802ffc4,0x3ff705ff,0xb03ff600,
    0x40ffd8ff,0xb3fc87fd,0xfe87f63f,0xd1ffdc1f,0x3ffb83ff,0xfff03ff7,
    0x3e62ffa8,0x3bfe20ff,0x3fe21442,0x3e21442e,0x321442ef,0xfffb13ff,
    0xff92ffc4,0x3fffffff,0xffffffc8,0xf9101fff,0xf81bffff,0xfffc806f,
    0x01ffffff,0x44017fe2,0xdff105ff,0x7fe42885,0xc8fffb13,0xfffb13ff,
    0x47f26fa8,0x3ffee0fe,0x5c7ffb9b,0xffb9bfff,0x8827fee7,0x6ffcc6ff,
    0x40ffffb9,0xfffffffb,0xfffffb86,0xfffb86ff,0x7d46ffff,0x7fefffff,
    0xffe9bfe2,0x3fffffff,0x7ffffff4,0x7dc03fff,0x01bfe00f,0x3ffffffa,
    0x3e203fff,0xbff1005f,0x7ffffdc0,0x7ffd46ff,0x547fefff,0xfeffffff,
    0xfa87fa27,0xffe86fde,0xe82fffff,0x2fffffff,0x3fea7fee,0xffe83fff,
    0x80ffdfff,0x5fffffea,0xfffffd50,0x3fffaa0b,0xfffb85ff,0x3e67f9bf,
    0x339ff16f,0x44dff333,0x99999cff,0x27ec06ff,0x2aabffe0,0x39ff12aa,
    0x8dff3333,0x9dff9998,0x7cccc419,0xea8199df,0xb85fffff,0x7f9bffff,
    0x9bffffb8,0x3213f27f,0xff901eff,0x7e403bff,0x7dc1dfff,0x2efffa9f,
    0x35fffd30,0x099801ff,0x80026600,0x01980099,0xffb95544,0x2e1ffd01,
    0x1ffd01ff,0x3e00ff40,0x6fffffff,0x3fa03ff7,0x3fffea0f,0x7d47ffff,
    0x7fffffff,0x4c004cc0,0x000cc001,0x01880040,0x22000c40,0x00310009,
    0x00000000,0xfb000000,0xd97fe40f,0x0bff207f,0xfff802a8,0xfb6fffff,
    0x517fe40f,0xffffffff,0xfffffa8f,0x00007fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xd9813b62,
    0x6c4000de,0x032e004e,0x00000000,0x64c0775c,0xdd7003cd,0x0007951b,
    0x00009880,0x0deeb800,0x2aa81553,0x00276c40,0xa986f75c,0x0155300a,
    0x0e6b32a6,0x5fd005cc,0x74403be6,0x3a604fef,0xfd1000ff,0xff7009fd,
    0x82fffccd,0x7f5c01ed,0xff9004ff,0xfffffa81,0x7ffd4406,0xfd884fff,
    0x7440914f,0x3db8806f,0x06ffdc00,0x7fd83ff7,0x13fbfa20,0x20dffb80,
    0xffd04ffa,0xffffd881,0x7fd40fff,0x95ff980f,0x7fd105ff,0x6c409fd1,
    0x7f4400ff,0x6404fe8b,0x3af266ff,0x202fdc2f,0x05fffffd,0x7c41ff90,
    0x03ffcadf,0x3bfffff2,0xffffc81b,0xff302fff,0x3ff9803f,0x20ffee00,
    0x3fec1ffb,0xfe8bfe88,0x03ffb804,0x9ff30fff,0xf99dffd0,0xfffc81ff,
    0x3e63fd01,0x0000000e,0xdb100000,0x21feb983,0x3ea00ff8,0x001989df,
    0x7fdc1ff9,0xdc817fa0,0x100fffbc,0x00fff669,0xff300dfd,0x7dc00007,
    0x003fec1f,0xff900000,0x5c1ffc85,0x07fe44ff,0x0003ffea,0x2bccb980,
    0x15e65cc0,0x015e5cc0,0x87bff200,0x7fe403fd,0xb9953000,0x07fdc1ff,
    0xd73009fd,0x00000bff,0xfcaa8806,0x302aaadf,0xff705797,0xa887fd83,
    0x22154c0a,0x2154c0aa,0x37fc5ff8,0x3f207ff4,0x500b980f,0xe8055555,
    0x0effffff,0xffffffe8,0xfffe880e,0x77400dff,0x3eadf701,0x807fd805,
    0xffffffd8,0x64ffe60f,0x3f6202ff,0x442fffff,0x0179712a,0x20555555,
    0xfffffffa,0x7ff447ff,0x3ee0dfff,0x5c3fec1f,0x07fe41ff,0xffc83ff7,
    0xf987fec0,0xc86ff83f,0xff8000ff,0x77407fff,0x85ffdbbc,0xffdbbcee,
    0x777ffc45,0x7fc05fff,0x2bffbaa2,0xfd800ff8,0xceffe807,0x7f40fffc,
    0x7403ffef,0x6ffdceff,0x7ffcffdc,0x7fffc1ff,0xfddd307f,0x44bddddf,
    0xfffeefff,0xfb07fee5,0xc83ff70f,0x07fee0ff,0xffa81ff9,0xf881ff93,
    0x00ffc85f,0x7ffeed80,0x87fe8040,0xfc8ffd00,0x0bffa64f,0xea8fff2a,
    0x207fb2bd,0xefffeee8,0x3fee2eee,0x2607fe44,0x5c02efff,0x07ff44ff,
    0xfddffff7,0xffeed8bf,0x03ff9807,0xfe993ff2,0xe83ff72f,0x41ffb87f,
    0x3fee0ffc,0x7c07fe41,0x3e0bff6f,0x00ffc86f,0x01ff6001,0xb003fec0,
    0xb87fe8ff,0x3ff624ff,0x37d403ff,0xffffff10,0x7f47ffff,0x107fe40f,
    0x65cbfffd,0x3207ff42,0x3ffee2ff,0xfd81ffa3,0x03ff9807,0x3fee1ffa,
    0x7dc5ff74,0x41ffb87f,0x3fee0ffc,0x6407fe41,0xd02ffbff,0x0fff98ff,
    0x6c02ffc4,0xfeda807f,0xdb507fff,0xff8fffff,0x325ff985,0x201abeff,
    0x55400ff8,0xaaaaffea,0x3f21bfe0,0x3f7ffa0f,0xff89fd4f,0x2e3ffb86,
    0x07fe44ff,0xf9807fd8,0x217fe03f,0xbff75ff9,0x83ffff73,0x7fe41ffb,
    0xf907fee0,0xffff301f,0x467fe40d,0x5c0ffffa,0x7ec02fff,0x7fffec07,
    0xffd87fff,0x227fffff,0x4bff05ff,0xfb000fff,0xd802aa67,0x17fe207f,
    0x7fd43ff2,0x7ff7ffb2,0x7d42ffc4,0x907fee3f,0x1ff601ff,0x440ffe60,
    0x2bff05ff,0xdffffffb,0x3fee0fff,0xf707fe41,0x00ffc83f,0x4407fffd,
    0xfeffffff,0x1fffd40f,0xfb81ff60,0x71ff20df,0x3fe41bff,0x3fe21ffe,
    0x200dff14,0x3fff36fa,0x3e03fec0,0x90ffc86f,0x3ffa21ff,0x43ffc1ff,
    0x3fee3ffb,0xd807fe41,0x3ff9807f,0x3e21ffe0,0xfffff74f,0x5c1ffd15,
    0x07fe41ff,0xffc83ff7,0x01fff500,0xcafffe98,0x3ffc80ff,0xfb03fec0,
    0x6c7fd81f,0x23fec0ff,0x7fdc1ffe,0x1007ffe3,0x3f7fa3ff,0xd01ff601,
    0x0fff98ff,0x7fc43ff9,0x41ffe86f,0x3fee1ffd,0xd807fe41,0x4ff9807f,
    0xf707ffa0,0x067fee7f,0x45ff5026,0x3ea0fff9,0x03ffe62f,0x10027fdc,
    0x5407fe43,0x3fec01ff,0x3627ff90,0x9ffe47ff,0x7dc7ffd8,0x7ffb9bff,
    0x04dfffe4,0xdafb9fe4,0x01ff601f,0xff519ff9,0x37fea1ff,0x90dffb10,
    0xff915dff,0x641ffb8d,0x0ffb00ff,0x043fff10,0xf737fff7,0x00ffdcff,
    0xf73bff30,0x7fcc1fff,0x0ffffb9d,0x000fff98,0xd103ff20,0xd33310bf,
    0x541333ff,0xfeffffff,0x7ffffd47,0xffe87fef,0xe82fffff,0x2a3fffff,
    0x3fb3fe6f,0x80ffb00d,0xdffffff8,0x3fff60ff,0x45ffffff,0xfffffff8,
    0x20ffdc1f,0x33310ffc,0x01333ffd,0x1ffffff6,0xfffffffd,0x000ffdc5,
    0x37fffffa,0x7fff40ff,0x930ffdff,0x0003fffb,0xfd50ffc8,0xfff501df,
    0x85ffffff,0xf9bffffb,0xbffffb87,0xfff907f9,0x7fdc03bf,0x43fd13ff,
    0x00effeee,0xfd300ffb,0x41ff37ff,0x9effffc8,0x7ec43ffd,0xfb81dfff,
    0xa87fe41f,0xffffffff,0xfffb102f,0xffff90ff,0x01ffb83b,0x57fff4c0,
    0x7f4c0ff9,0x50ff9aff,0x0005ffff,0x3ae1ff90,0x3ffea02c,0x02ffffff,
    0x01980033,0x4c001880,0x409f91a9,0x1ff601fd,0x44001880,0x80330001,
    0x7fe41ffb,0xffffff50,0x33005fff,0x26018801,0x310000aa,0x4c018800,
    0x00000bcd,0x00000553,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x6cc00000,0xed9800de,0x0f75400d,
    0x03ba2000,0xaaabcca8,0x32e25512,0x76e4c00b,0x97101bde,0x22019bdd,
    0x6642ccca,0x20cccccc,0x9802eed8,0x03db04fd,0x102b32a6,0x039dddb9,
    0x039ddd93,0x99999999,0x9903cc83,0x6f7f6dc5,0x6f74c002,0x2005dd31,
    0x3fa65ee8,0xffe9800f,0x007fee00,0x260bf700,0xfffffffe,0xfff3ff76,
    0x3ff203ff,0xa84fffff,0x1fffffff,0x7ffffec4,0x7fffffc4,0x7ff440ff,
    0x13ffea02,0x3fa217ee,0x3ee5ffff,0x42ffffff,0xfffffffb,0x7fffffc2,
    0x42ffc3ff,0x3ffe4ff8,0x3005ffff,0x7fd41dff,0x8bff1002,0x8800ffd8,
    0xff700ffd,0xd9730003,0x2bbfa07f,0xf73dffea,0xfffddfff,0x99bfffb0,
    0xfffb89fd,0x261fecce,0x2cceeffe,0x7f666664,0x05ff900f,0xf113eee2,
    0xffff881f,0xfff35fee,0x4c5d9579,0xffb9aeff,0x7fffffc7,0x42ffc3ff,
    0x2f3a4ff8,0x402fffca,0xffa84ff9,0x017fe002,0xffb80000,0x3ffa2001,
    0xff985fff,0xfb8ffe22,0x8bff23ff,0x1881effa,0x220fffe2,0x000fff60,
    0x00007fe4,0x0ff627dc,0x23113ff6,0xfb802ffc,0xf07fe41f,0x17fe009f,
    0xf7013fe2,0xfa80009f,0x53fe002f,0x154c0aa8,0x70579730,0x179513ff,
    0xfdbfff10,0x1ffa8bff,0x9ff727f4,0x3fa4ff98,0x9ff7001f,0x009ff300,
    0x2a07fe40,0x5c02aaaa,0x2217ea4f,0x7fec06ff,0x42ffb802,0x027fc7fc,
    0xff885ff8,0x41ffcc04,0x502aaaaa,0x1aaa85ff,0x1ffba7fc,0x3a207fe4,
    0x20dfffff,0xffffaffb,0xe97fe41f,0x3e61ffef,0xb8ffe64f,0xaffc41ff,
    0x36006ff8,0xffb801ff,0xfc800111,0x7ffffc0f,0xf8a7dc07,0x03ffa80f,
    0x005fffdc,0x3ee5fff1,0x0067fc4f,0x7fc42ffc,0x407fe404,0x507fffff,
    0x77fd45ff,0xffb96e40,0xf107fe41,0xbfffddff,0x777fffdc,0x8b7f47ff,
    0x6c3ff8ff,0x0effdeff,0xff107fee,0xa993fe6b,0x3ffa1aaa,0xfdffd800,
    0xc800cfff,0x7f76c0ff,0xd964c07f,0x07ff703f,0xdfffff88,0xfffff701,
    0xfffff0bf,0x0bff039f,0xdca89ff1,0xddb02ffe,0x3fea0fff,0x001fff32,
    0xffc83ff7,0xe993ff20,0x7fff72ff,0x9ff17fe4,0x12ffd7ee,0x1bfffffd,
    0x7cc1ffb8,0x647ff54f,0x3fe4ffff,0xffffd007,0x900dffff,0x3fec01ff,
    0x4c0df500,0xfe9804ff,0xb80dffff,0xf81fffff,0x1fffffff,0x7fc42ffc,
    0x77fffe44,0x507fd803,0x3ffd15ff,0x7fdd7f60,0xfd07fe41,0x2e9ff70f,
    0xa7fcc4ff,0x25fd3ff8,0x45bee5fe,0x907fee00,0x8ffea5ff,0x3e4ffeeb,
    0x9ffd007f,0x05ffd333,0x3600ffc8,0x1ff1007f,0x000fff80,0x8bffffb5,
    0xfffefffa,0x6dccccc2,0x42ffc6ff,0x5d4c4ff8,0x6c05fffc,0xb7ff507f,
    0x97f405ff,0x7fe41ffb,0x3e617fe0,0x883ff75f,0x233fe5ff,0xfc93fe7f,
    0xf70199af,0x337fdc5f,0x9ff109ff,0x74007ff4,0x27fcc0ff,0xd803ff20,
    0x27fb007f,0x7fe40aa9,0x204b99bf,0xf31fffc8,0x3ffee1bf,0x07ffc400,
    0x9ff10bff,0x01ffe880,0x7fd41ff6,0x3e203fff,0xf907fee7,0x417fe21f,
    0x83ff75ff,0x3bf65ff8,0x47ff54fc,0xfffffff9,0x3fffee2e,0x3e21ffff,
    0x24ff887f,0xfd803ffd,0x02ffc40f,0xfd803ff6,0xf36fa807,0xffd883ff,
    0xd805ffff,0x81ffb2ff,0xfd802ffb,0x2217fe1f,0xffb803ff,0x541ff602,
    0x205ffeff,0x07fee1a8,0x3ffc1ff9,0xffba7fc4,0xf727fcc1,0xfff55fff,
    0x777ff441,0xff72ffff,0xb01bffff,0x4ff887ff,0x7003ffea,0x4ff987ff,
    0x3603ff40,0x8ffc407f,0xf501fdfe,0xb007ffff,0x21ffa3ff,0x7c402ffa,
    0x543ff47f,0xffd802ff,0x541ff601,0x04ffdaff,0xf98bfea0,0x07ffa0ff,
    0x3fee7ff7,0x3617fe41,0x2fffffff,0x3ea07fec,0x135ff75f,0xadfff980,
    0x7f44ffa9,0x1ebaacff,0xd315fff1,0x44d743ff,0x7ec05ffc,0xfb9fe407,
    0x3f201fda,0x4cd6740e,0x3f27ffc9,0x3ffb10cf,0x3ae626a2,0x6ffe44ff,
    0x221ffd30,0xffc98899,0xa83fec06,0x2ffe8aff,0x73bff300,0x7dc1ffff,
    0x7ffb9bff,0xffb8bfee,0xbffffd06,0x885ff883,0x03ff75ff,0x7ffffdc0,
    0x7f4c4fff,0x21ffffff,0xfffffffc,0x7fffffc4,0x74ccc41f,0x2a0999ff,
    0x3fb3fe6f,0xd07fd00d,0xffffffff,0x7ffffcc3,0x3fe64fff,0x885fffff,
    0xffffffff,0x3ffffee2,0x4cc41fff,0x0999ffe9,0x3fe65ff5,0xfffd001f,
    0xe81ffbff,0x2fffffff,0x3fffffee,0x35fd01ff,0x9abfff80,0xff72ffea,
    0xffd98003,0xd901dfff,0xa81bffff,0xd82effff,0xa81dffff,0xffffffff,
    0x743fd12f,0xf00effee,0xffffb01f,0xfb303bff,0xf987dfff,0x202effff,
    0x1effffd8,0x7fffffdc,0xffffa80b,0xf52fffff,0x077fdc5f,0x57fff4c0,
    0xffc80ff9,0x7ecc1dff,0x300dffff,0x3fea00ff,0x22ffffff,0x20001ffb,
    0x04c00098,0x44004c40,0x7fffd401,0xf92fffff,0x880fec09,0x04cc402a,
    0x98013300,0x01880009,0x54004cc4,0xffffffff,0xd85ff52f,0x062005ff,
    0x44006200,0x01a98009,0x33332a20,0x000aa882,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x6dc40000,
    0x3bb603de,0x3f6606ee,0x9103db04,0x88017bdb,0x1002cedb,0x3baa09db,
    0x00cc9801,0x401880a0,0x40cdedb8,0x0abccccb,0x32079930,0xcccc804c,
    0x333224cc,0x3ccccccc,0x2af33332,0x99999500,0xeec98037,0x00ccb82d,
    0x332a5993,0x4c02cccc,0x0efffffe,0x07fffff8,0xf709fff5,0xfffff50b,
    0x3fe603df,0x200dffef,0xb84fefe8,0xffb801ff,0x03fe9801,0x3fe609fb,
    0x3a1fffff,0x3fffffff,0xfa81ffd0,0x7ffcc04f,0x3be27fff,0xfeeeeeee,
    0x3fffffe5,0xfffc83ff,0xd885ffff,0x45ffffff,0xff903ffc,0x3fffff23,
    0xff881fff,0x86ffdbbf,0x107fe999,0xff889f77,0x66fffc40,0xff987ffe,
    0x441bf222,0x44fe8bfe,0xfb801ffb,0x881accdf,0xb8989ffe,0xbffd04ff,
    0xffe8dd75,0x84fffedc,0x7ff45ff9,0x7fffe400,0x22fe24cc,0xff2f42bc,
    0x9fffdb9d,0xfecdffc8,0x77fcc4ff,0x2a3fffcc,0x4ffd05ff,0xfeccdffc,
    0x42ffb86f,0x3f601ffd,0x3627dc07,0x42ffd83f,0x0fec3ffd,0x005f9131,
    0x801ffb80,0xfffffffb,0x7fffcc0d,0xf106ffff,0x7fe810bf,0x6c0fffd4,
    0x05ff51ff,0x07fcff88,0xdfff37f1,0x45ff97a3,0x3f21fffa,0x21bfea1f,
    0x22ffd42b,0x4ff987ff,0xffd03ff2,0xfa86ff81,0x01ff604f,0x42fd49f7,
    0xff886ff8,0x7f457e66,0xaa86f8bf,0xff702aaa,0xb8179713,0xfffecdff,
    0xfffffb86,0x5ff301ff,0xf70ffd00,0x2bff109f,0xefb806fe,0x27f107fa,
    0x4bd6fc98,0x4ffb85ff,0xfff07ff2,0xb1bfe200,0x2ffb83ff,0xffb03ff2,
    0x2e27fc41,0x3f605fff,0xf8a7dc07,0x03ff980f,0xe97dcffd,0x81fb2cef,
    0x707fffff,0xfffff7ff,0xd10ffdc3,0x0efc85ff,0x3ea07ff7,0x87fe801f,
    0xff905ff8,0xfd003ffb,0x3e20ff57,0x25e8fe83,0x5ff885ff,0xff887ff2,
    0x8bff3006,0x7fec4ffa,0xf883ff20,0x89ffcc6f,0x206ffffd,0x964c07fd,
    0x5ff503fd,0x7e43ff60,0x7e40ff99,0x3fff76c1,0xeeffffb8,0x07fee5ff,
    0x3fe89ff7,0x7dcc2ffc,0x640999bf,0x3e2ccfff,0xffff106f,0x51ff3009,
    0x7c4799ff,0x2f47fcc3,0x9bfe0bff,0xfeb9affc,0x5ff9002f,0x7fc6ff88,
    0x6e6ffe45,0x7fd40eff,0xfdbfffaa,0x801ff607,0x3fee06fa,0x363ffb02,
    0xfb86fa8f,0x5c1ff602,0x9ffa3fff,0x7fcc1ffb,0xfb0bfe24,0xfffff88b,
    0x7ffc6fff,0x1ffe4fff,0x800fffa8,0xffff56fc,0xffc9fc4d,0x2ffcbd3f,
    0x3ff27ff8,0x002effff,0x3fa0dff3,0xc87ff50f,0xdfffffff,0x7ff7fd40,
    0x6c0ffb1e,0x1ff1007f,0xd817fdc0,0xf51fb0ff,0x202fb81f,0x9ff707fd,
    0xff70ffc8,0x7c3ffb83,0x221ff44f,0xeeeeffee,0x667ffe45,0x9931bfe2,
    0x0999dff9,0xcffa9ffc,0x7e4fe23c,0x5ff97a0b,0x7fe4dff0,0x3004ffff,
    0x3ee03fff,0xc81ff92f,0xffeccdff,0x3fffe60f,0xfb037f44,0x22ff600f,
    0x3fea0acb,0x7e4ffd03,0x91adff89,0x83fec03f,0x7fe41ffb,0x2e23ff70,
    0x77ec0fff,0x2a03ff30,0x7fe801ff,0x7d45ff88,0x7fffffff,0x3ea1ff50,
    0x1f27f107,0x885ff97a,0x27ff25ff,0x4402ffe8,0x3e601fff,0xf90dfd5f,
    0x24ffd81f,0x7c42fff8,0x01ff605f,0x7fff5bea,0x2217fe64,0x5d3ee6ff,
    0x80ff3fff,0x3ff707fd,0xff70ffc8,0x05ffffff,0xfffdfff7,0x007fea01,
    0x3fee1ffa,0x7fcccc44,0xffb0199d,0x220fffff,0x4bd0513f,0x4ffb85ff,
    0x7fc47ff2,0x0bffa206,0x3fe3ffa0,0x4c0ffc84,0x0fff45ff,0xfd80bfee,
    0x98ffc407,0x7ffc7f88,0xf11ffdc0,0x2a72e61f,0x83fec04f,0x7fe41ffb,
    0xffffff70,0xffff103d,0x2a0bffff,0x7fe801ff,0x2207ffc4,0x99dff999,
    0xfffff881,0x27f107ff,0xff2f42fe,0x20fff88b,0x3ff61ffc,0x01ffe882,
    0x3ff9ff90,0xfb81ff90,0x8f7fd44f,0x7ec06ffa,0x641fe407,0x5f7fdc5f,
    0xfb87ffc9,0x007fcc0e,0x7fdc1ff6,0xfb87fe41,0x7ec01acf,0xffc9aaaf,
    0x567fe543,0x3fa0aaaa,0x4fffcaaf,0xffffffa8,0x47fb87ff,0x22199ffa,
    0x5e81f93f,0x3f2abbfe,0x0ffe44ff,0xfe88dff3,0x1cccccef,0x07ffff98,
    0xf9535ff9,0xfffb05ff,0x9883ffff,0x999ffe99,0xfb11bea0,0xffffd10b,
    0x3f605fff,0x81ffdcdf,0x9ffe9998,0x83ff7099,0x3ff70ffc,0x109ff300,
    0x7ffc4dfd,0x2fffffff,0x3ffffffa,0xf555103f,0xfd0555df,0xfffffa89,
    0x5555bf10,0x7fcbd555,0x83ffffff,0x7ff41ffc,0x3fffff22,0xff02ffff,
    0x3ff209ff,0x04ffffff,0x037fffee,0x3fffffea,0x3fd12fff,0x80ccffe8,
    0x00dffffc,0x06ffff5c,0xffffffa8,0x3ff72fff,0xff70ffc8,0x980e2003,
    0x7ffffc42,0x3a2fffff,0x00cdefff,0xf9813fe0,0x7fffd41f,0xfffff10f,
    0x7cbfffff,0x00cdefff,0xffa83ff9,0x3fffff26,0xfb02ffff,0x3ff205ff,
    0x001defff,0xfffa8031,0x92ffffff,0xffff889f,0x0006201f,0x3fea0062,
    0x2fffffff,0xffc83ff7,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xccccccc8,0x9999973c,0x33239999,
    0x932cc883,0x99999999,0x0e545950,0x33333332,0xa819953c,0xdd9302cc,
    0x9995007b,0x33332a03,0x951ccccc,0x4732a039,0xcc983cc9,0x9900f2a3,
    0x640132e1,0xcccccccc,0x9999933c,0x0732e037,0x2e203997,0x2ccc81ee,
    0x66402cb8,0x7fffc04c,0xffd5ffff,0x5fffffff,0x3fe21bfe,0xffffff54,
    0x49f90fff,0x7fffc2fd,0xff96ffff,0x407ffc43,0x5ffffffc,0x827fffc0,
    0xfffffffc,0x0bff32ff,0xfff8dff1,0xf91ffec1,0xd8ffc40d,0xfff8807f,
    0x5fffffff,0xfffffff7,0x25ffe81d,0xfb83fff8,0xfff81fff,0x2e04fe87,
    0x7fc07fff,0xd3cccccf,0xffffffff,0x221bfe5f,0xf99934ff,0xfb0999df,
    0x3fe0ff47,0x93cccccf,0x1ffec3ff,0x75df7fdc,0xfff303ff,0x3bbae0df,
    0x22fffeee,0x7fdc1ffe,0xf32ffd42,0x206fb8df,0x0ffb0ff8,0x3ff33320,
    0xff73ccce,0x8dfffb9b,0x3fee7ffe,0x3fffaa3f,0xffff81ff,0xf8827f42,
    0x7fc07fff,0xfff10006,0x7fc437fc,0x305ff884,0xff337fd3,0x2037fc35,
    0xbff51ffc,0xf883ffa0,0xfbff707f,0x7fe4001f,0xf12ffcc5,0x47ffa0df,
    0x37dc2ffd,0x3f61ff10,0x5ff88007,0x7443ff70,0x3fffe2ff,0x549fffb2,
    0x81ffccff,0x7f46ffff,0xffbdfb04,0x0006ff80,0x37fc7ff7,0x7c427fc4,
    0xfffff05f,0x21ffffff,0x7fe406ff,0x880fff89,0x0ffc85ff,0x3ffadfe8,
    0x01fff300,0x3fee1ffd,0xf3bff502,0x44ff50df,0x7fd9fe61,0x05ff8800,
    0xffa83ff7,0x233f3fe4,0x8ec4fcff,0xeff81ffc,0x213fa2ff,0x07fdaffa,
    0xf80037fc,0x21bfe0ff,0xff884ff8,0xffffff05,0x3e1fffff,0x4ffe406f,
    0xff102ffd,0x883ff70d,0x05ff8bff,0x2605ffd0,0x80dff4ff,0x81ffeffd,
    0x4cff67fa,0x001ff67f,0x7dc17fe2,0xf27fcc1f,0x99f5df5f,0x0ffe409f,
    0xd2ff67fc,0xb5ff889f,0x9eff80ff,0x2e009999,0x77ffc4ff,0x84ffeeee,
    0x3e205ff8,0xff0df30f,0x2599999f,0x04ffcffc,0xf9117ffc,0xd1ffa85f,
    0xffb801ff,0x7dfff405,0x7ffcc02f,0x7cff305f,0x7ecff35f,0x5ff88007,
    0xfb83ff70,0xff1ff13f,0x40bf95fd,0xcff81ffc,0x89fd1ffb,0x0ffb0ffc,
    0xfffffff8,0x03ffa02f,0xffffffff,0xbff109ff,0xdf53fc40,0xfffffff0,
    0x3ffff29f,0x7ffdc01f,0x42ffffef,0x0bfee7fd,0x400fff98,0x006ffff9,
    0x2603fffd,0x31fff37f,0x003fecdf,0xfb82ffc4,0x1fff711f,0x3ff23fe2,
    0x7e40bf77,0xf8cff81f,0x7cc9fd5f,0xf01ff63f,0x5fffffff,0x3e13fee0,
    0xfdccccff,0x05ff884f,0x85fb9be6,0xcccccfff,0xbff9ff92,0xfffff900,
    0x5ff85fff,0xfe813fe6,0xfffd002f,0xffff3005,0x323fe20b,0x26faafff,
    0xf88007fd,0xffff705f,0x7c45ffff,0x3eebff57,0x207ff206,0xd1ff94ff,
    0x3637f49f,0x037fc07f,0x3e03ffa0,0x84ff886f,0xeea85ff8,0xeffeeeff,
    0xf901bfe3,0x007ffb3f,0xff915551,0x4cdffcc3,0xff707ff9,0x37fd4009,
    0xffeffe80,0xfe8ff882,0x365fadfb,0xff88007f,0xfffff705,0x17f983bf,
    0x81bee5ff,0x4ff81ffc,0x29fd9ff1,0xeaaacffa,0xff80aaff,0x13fea006,
    0x7fc437fc,0xb85ff884,0xffffffff,0x01bfe4ff,0xfff13ff9,0x8dfd0001,
    0xfffffffc,0x7ffcc1ff,0x17fe2000,0x3eb7fea0,0xfaff886f,0x25fbff9d,
    0xf88007fd,0x37ff705f,0x973fcc01,0xfc81bee1,0x364ff81f,0xff94feff,
    0xffffffff,0x00dff01f,0xff807ff4,0x884ff886,0xfd9885ff,0x09bfe99c,
    0xff901bfe,0x001bfee3,0xffe87ff7,0x3fffffff,0x20017ff4,0xfe805ff8,
    0xf07ffb1f,0x37fa5fbf,0x001ff65f,0x7dc17fe2,0x07fa801f,0xffc81fea,
    0x3e64ff81,0xfff94fff,0xffffffff,0x200dff01,0x3fe05ffa,0x314ff886,
    0x333bff33,0x07fa3fd8,0x2aaabffe,0x743ff92a,0xaaa883ff,0x220effec,
    0x99999cff,0x3ffee6ff,0x01cccccc,0xfb80bff1,0x03ffe65f,0x3f21ffff,
    0x2bff64ff,0x100aaaaa,0x3fee0bff,0x207fa801,0x2aaa27fa,0xf1aabffd,
    0x4fffe89f,0x7c07fd80,0x3ffd006f,0x7c437fc0,0xfffff54f,0x2fd8ffff,
    0x3ffe03fe,0xf96fffff,0x0fffcc3f,0x3fffffea,0x80ffdc0e,0xfffd0ffe,
    0x07ffffff,0xf8817fe2,0x27fec1ff,0xff997ffe,0x3ffff64f,0xf101ffff,
    0x07fee0bf,0xfa81bea0,0x3ffffe67,0x9ff3ffff,0x804fffa8,0x37fc07fd,
    0x202ffd40,0x4ff886ff,0xfffffff5,0xf11fe8ff,0xfffff01f,0x3ff2dfff,
    0x2a37fe41,0xb02cefff,0x97fe40ff,0xfffffffe,0xbff103ff,0x4c2ffe40,
    0x3ffa1fff,0xfb1fffc3,0x3fffffff,0x5c17fe20,0x6fb801ff,0x7cc3fea0,
    0xffffffff,0xffd09ff3,0x00ffb009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x00c00008,
    0xcb880fb6,0x0037731b,0x332e6002,0x40aa882b,0x32a602a9,0xccba80ac,
    0x3797302c,0x05797300,0x105cc000,0x02f2e255,0x55555551,0x40aaa255,
    0x776dc2aa,0x200d541d,0x015531aa,0x8d542aa6,0x4d442cca,0x01950bb8,
    0x8000f744,0x13fa05fb,0x6fffffc4,0x2202ffff,0x3ffa04fe,0x2e0effff,
    0x07fe41ff,0x3fffffa2,0x3ffffa25,0x7ffe40ff,0xfe880dff,0x300dffff,
    0xa819dffb,0x3ff70fff,0x443fffff,0xffffffff,0xf90fff66,0xfeeef87f,
    0xf01bf61f,0x413fea5f,0xb9ff0ffe,0x7d49ffff,0xffadffdd,0x5fff702f,
    0x0fffc800,0x3a209fd0,0xdcfffcab,0x1ffea06f,0xfdbbcee8,0x907fee5f,
    0x7ffc41ff,0x3fa5feef,0x20dbaacf,0xffdbdffc,0x777ffc44,0xefb85fff,
    0x321ffcab,0xfff71fff,0x44bffddf,0xffffffff,0x4c7ffe25,0x7ec085ff,
    0xf881ff23,0x261ffe1f,0x3fffe4ff,0xf51fffdf,0xddfff9ff,0x7ffd409f,
    0xeffd8803,0x8013fa00,0x01ff15fe,0x00813fe2,0x0ffdcffd,0xffd83ff2,
    0x6ff88c44,0x3227fcc0,0x93ff20ff,0x3e62ffe9,0x6e9ceecc,0x7dc3ffea,
    0x01ffa3ff,0xfa81fff3,0x80ffe8ef,0x23ffdcb8,0x4c2627fb,0x0bff20ff,
    0x7ffc3ff9,0x2a7ff50e,0x51ffd4ff,0xfff980df,0x17ffa204,0x3fffbbb2,
    0x3f602eee,0x01007fe3,0xfb9ff600,0x887fe41f,0x7fc406ff,0x1ff700bf,
    0x3fa2ffa8,0x3a4ffb87,0xf37f7db6,0xff705cc7,0x100ffc89,0x3f205ffd,
    0xe882ffef,0x2a3fecef,0x2a9ff1ff,0x22ffc47f,0x07ffc6ff,0x3fea9ff1,
    0x1fea9fd0,0x037ffa20,0x3a07fff3,0xffffffff,0x3fb6e23f,0x22ffeeef,
    0x99999999,0x7f6d4099,0x3fee7fff,0xfa87fe41,0xfffd803f,0x7ffec2df,
    0x23ffffff,0x5ff985ff,0x9fceecfe,0x0ffdc05e,0x7ec03ff2,0x7fff404f,
    0x7ecdf705,0x3e6bfe63,0xfb0df77f,0xf0ffe61f,0x4ff500df,0x00ff53fe,
    0xfa877fec,0x2aaa02ff,0x1aaadffa,0xdffdfff1,0x3e23dddd,0xffffffff,
    0x3ffff65f,0x3fee7fff,0xfb87fe41,0xfff7003f,0x3ffa1dff,0x3fffffff,
    0x3fe0bff1,0x3ff65f15,0xff701b64,0xb80ffc83,0xffc805ff,0xd9ff502f,
    0x5ffc47ff,0x5fcafffc,0xff93ffa8,0xa806ff81,0x7d4ffa7f,0xbffd1007,
    0x0027ff4c,0x3bf209fd,0x7c405fb0,0xffffffff,0x41bff75f,0x07fee7fc,
    0x3fea1ff9,0x7fe4c004,0x400ffb5f,0x4ff887ff,0x87de6cfe,0x0ffdc04e,
    0xff303ff2,0xfff9801f,0xbffb00ff,0xecff87f7,0x04fddfdf,0x217fedff,
    0x7fa806ff,0x03fd4ffa,0x4427ffcc,0xe800dffe,0x749fb04f,0x6c00004f,
    0x53fec0ff,0x7ffcc5ff,0x001fff10,0x3eefff30,0x3ffd001f,0x5b63ffb8,
    0x47f39f4d,0x07fee2db,0x7fc41ff9,0x7ffc401f,0x40005ffc,0xff9efefd,
    0x7ff903fe,0x0dff05ff,0x9ff4ff50,0x7fd407fa,0x77fec02f,0xc827f400,
    0x41fff55f,0xf9014c01,0x9fff627f,0xffb9dff9,0x3fff60ff,0x1714b99b,
    0xff15ffa8,0x7dc2885d,0x7ffb9bff,0xc98d6fcc,0x43ffee6e,0x7fe41ffb,
    0x2ab7ffa0,0x97fec2aa,0x66543ffd,0x320ccccc,0xffff4fff,0x3fffe605,
    0x500dff06,0xfa9ff4ff,0x07fff207,0x017ffdc0,0x3fe60131,0xeeffeefe,
    0x417fe607,0xeffffffa,0x7ffff47f,0x3e20ffdf,0x35ffffff,0xffffdfff,
    0x7ffffdc5,0xfffe86ff,0xfa82ffff,0x20efdbcf,0xff71fffc,0xf50ffc83,
    0xffffffff,0xff12ffdc,0x7fffe43f,0x3fee1fff,0x01fff91f,0xf81ffff4,
    0x27fa806f,0x20ff53fe,0x4000effb,0x3311fffa,0x83333333,0xfe98effc,
    0x3fea06ff,0x3fffee07,0x7f4c7f9b,0x40ff9aff,0x3fffffc8,0xbffffff3,
    0xffffd503,0x3fff20bf,0x3b2201df,0x6ff983df,0xff907fee,0x3ffffea1,
    0xfff37fff,0x10effb81,0x83333333,0x3fe67ffa,0x07ffd407,0xfa806ff8,
    0x3fd4ffa7,0x20001bb0,0x3ffee3f9,0x80ffffff,0xd8009980,0x0019802e,
    0x26200062,0x01333100,0x44002660,0x18800001,0x00000000,0x00000000,
    0x00000000,0x08000000,0x7fffffdc,0x00000fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xbdb70000,
    0x00599005,0x02e00000,0x5d900007,0x00ea1440,0x0ffd5002,0x2aaa6044,
    0x402aaaaa,0x333102cc,0x10333333,0x000732a0,0x6cbbaa00,0x2a05cc6e,
    0x2ea00eee,0x0001bbbb,0x7ec00000,0x7c04ffff,0xfffd104f,0xe884c85d,
    0xf90ffb82,0x3fffda8d,0x3025fb04,0x07fee3ff,0x833fff62,0x307fffe9,
    0x7ffdc9ff,0x00ffffff,0xfd01fff7,0xffffffff,0x3f22ffcc,0x1fe64fff,
    0x2fd43ba2,0x9ff65ff5,0x74c0fffa,0xfffb00ef,0x000005ff,0x4ffd4000,
    0x3e00ffc8,0xfddf104f,0x93fea1ff,0x3e20ffe8,0x445ff34f,0x22ffffff,
    0xfa9fc8de,0xdfd37ec3,0xffefff88,0x83ff77c5,0xdd50fffc,0x1ddddddd,
    0x09fbff10,0xfffffffd,0x97ffecff,0xcffeeff8,0xffb87fb8,0x3e61ffd3,
    0x7ecffb2f,0xefd883ff,0xbbbbba80,0x00000001,0x3ff13f20,0xb8027fc0,
    0x33ff61ff,0x7ec2ffe8,0x2aa17fa6,0xff34ffb8,0x8bffbfdf,0x7ff34ff8,
    0xffa877e4,0xb83fec21,0x80002fff,0x01ff8bfc,0xffd9fe60,0x7e4ff52f,
    0xe884ffff,0x7ccbf50e,0x7e4df91f,0x002201ff,0x00000000,0x7fc4fd80,
    0x3fe66661,0x2a20999d,0xffd85feb,0x7fd42fff,0xb801ff91,0x7ff5c3ff,
    0x3ff501df,0x1fec3fee,0x1ff60ffe,0x0002ffd8,0x0df93fcc,0xff33fcc0,
    0x3ee1e4cb,0x20000eff,0x4df91ff8,0x00003ec8,0x00000000,0xfa87fdc0,
    0xfffff10f,0x44bfffff,0xd80bffff,0xffa82fff,0x5401ff72,0x7fdc46ff,
    0xff702dff,0x5fd9bf61,0x3fec17fc,0x3ee1ff70,0xffffffff,0xff117f40,
    0x11fe6007,0x00d44003,0xa86ec400,0x0000004d,0x00000000,0xffdfff10,
    0x7ffffc49,0x4c5fffff,0x7444ffca,0xffb04fff,0x7dc1bfa1,0x3ffe60df,
    0x4c6ffdfd,0x43ff52ff,0xffd9bffb,0x27ff6660,0xf727f4c1,0xffffffff,
    0x7d437dc1,0x0011000f,0x00000000,0x00000000,0x00000000,0x007dffd3,
    0x3e2009ff,0x3bffa26f,0x4ff884ff,0xffc87ff1,0x237a199d,0x743fa9fc,
    0xd09ff15f,0x447fffff,0x77ffffff,0x9988bffd,0x41999999,0x035501aa,
    0xbdd70000,0x55555541,0x77777771,0x00577777,0x00000000,0x40000000,
    0x413fe000,0x3fffeefa,0x3f65ffd1,0x70efa84f,0x7fffccbf,0x2fd827ff,
    0xf50fe981,0x3372e01d,0x7ffffc41,0x0039d97f,0x00000000,0x20dffb80,
    0x5ffffff8,0xffffffff,0x0009ffff,0x00000000,0x65400000,0x00cccccc,
    0x7fd413fe,0x3fea2dff,0x14077ec2,0x3fffe60c,0x05d907ff,0x0000c408,
    0x00000000,0xb8000000,0xfff883ff,0x99995fff,0x99999999,0x00000005,
    0x00000000,0x7ffffe40,0x13fe01ff,0x32055000,0x00000000,0x00000000,
    0x00000000,0x08800000,0x44444440,0x00000000,0x00000000,0x99880000,
    0x54019999,0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_23_latin1_x[224]={ 0,4,2,0,1,0,0,4,3,2,1,0,2,2,
4,0,0,1,1,1,0,1,1,1,1,0,4,2,1,1,2,3,0,0,1,0,0,2,2,0,1,1,1,1,
2,0,1,0,1,0,1,1,0,0,0,0,0,0,1,3,1,2,0,0,0,1,1,1,0,1,0,0,1,1,
1,1,1,0,1,0,1,0,2,1,0,1,0,0,0,0,1,1,5,2,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,1,0,0,0,
5,1,0,0,2,1,1,2,0,0,2,1,2,2,0,1,0,4,4,2,2,1,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,
 };
static signed short stb__consolas_bold_23_latin1_y[224]={ 17,1,1,2,0,0,1,1,0,0,1,5,12,9,
12,1,2,2,2,2,2,2,2,2,2,2,5,5,4,7,4,1,0,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,2,19,1,5,1,5,1,5,0,5,1,0,
0,1,1,5,5,5,5,5,5,5,1,5,5,5,5,5,5,0,-2,0,8,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,17,5,0,2,2,2,
-2,0,0,2,2,6,9,9,0,1,0,3,0,0,1,5,1,8,17,1,2,6,1,1,0,5,-2,-2,-2,-3,
-2,-3,2,2,-2,-2,-2,-2,-2,-2,-2,-2,2,-3,-2,-2,-2,-3,-2,5,-1,-2,-2,-2,-2,-2,2,0,1,1,
1,0,0,-1,5,5,1,1,1,0,1,1,1,0,1,0,1,1,1,0,0,4,3,1,1,1,0,1,1,0,
 };
static unsigned short stb__consolas_bold_23_latin1_w[224]={ 0,5,9,13,11,13,13,4,8,8,11,12,7,8,
5,12,13,11,11,11,13,11,11,11,11,12,5,7,10,11,10,8,13,13,11,12,13,9,9,12,11,10,10,12,
10,13,11,13,11,13,12,11,12,12,13,13,13,13,11,7,11,7,12,13,8,11,11,10,12,11,12,12,11,11,
10,12,11,12,11,12,11,12,10,10,11,11,13,13,13,13,10,10,3,9,13,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,5,10,12,13,13,
3,11,11,13,9,11,11,8,12,10,9,11,8,8,12,12,12,5,4,8,9,11,13,13,13,9,13,13,13,13,
13,13,14,12,11,12,11,11,11,12,11,11,13,12,13,13,13,13,13,11,13,12,12,12,12,13,11,12,12,12,
12,12,12,12,13,10,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,13,11,13,
 };
static unsigned short stb__consolas_bold_23_latin1_h[224]={ 0,17,6,15,20,18,17,6,22,22,10,12,9,4,
6,19,16,15,15,16,15,16,16,15,16,15,13,16,14,8,14,17,22,15,15,16,15,15,15,16,15,15,16,15,
15,15,15,16,15,20,15,16,15,16,15,15,15,15,15,22,19,22,8,3,5,13,17,13,17,13,17,17,16,17,
22,16,16,12,12,13,17,17,12,13,17,13,12,12,12,17,12,22,24,22,6,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,17,20,15,15,15,
24,20,6,16,12,10,7,4,13,5,9,14,10,11,5,17,19,5,4,9,12,10,16,16,17,17,19,19,19,20,
19,20,15,19,19,19,19,19,19,19,19,19,15,20,20,20,20,21,20,11,21,20,20,20,20,19,15,18,17,17,
17,18,18,19,13,16,17,17,17,18,16,16,16,17,17,17,17,17,17,18,18,13,17,17,17,17,18,21,21,22,
 };
static unsigned short stb__consolas_bold_23_latin1_s[224]={ 255,249,220,46,42,132,103,251,80,61,100,
45,143,201,188,173,1,214,216,213,238,188,103,11,176,83,146,246,12,151,1,
247,89,96,242,90,189,60,1,77,23,35,115,70,164,200,226,41,188,168,203,
164,175,200,228,150,136,122,110,42,147,34,163,210,236,62,27,86,90,108,77,
52,82,143,23,238,15,238,152,120,65,233,227,97,155,74,213,199,175,219,164,
50,5,70,194,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,
176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,176,255,250,157,
120,106,147,1,182,208,55,189,79,176,201,133,245,124,23,91,58,188,180,134,
230,251,134,35,112,139,27,63,53,15,1,54,28,120,54,161,29,42,234,210,
222,81,68,198,186,133,194,207,221,235,129,14,67,143,81,94,68,1,159,94,
172,27,237,14,106,119,107,35,153,224,211,198,93,126,225,69,1,117,130,14,
167,40,159,146,49,39,1,206,193,185,103,117,9, };
static unsigned short stb__consolas_bold_23_latin1_t[224]={ 1,1,150,120,26,47,67,85,1,1,150,
150,150,157,150,26,103,120,103,85,120,85,85,120,85,120,136,67,136,150,136,
26,1,120,103,85,103,120,120,85,120,120,85,120,120,120,120,103,120,1,103,
85,120,85,103,120,120,120,120,1,26,1,150,157,150,136,85,136,67,136,67,
85,103,67,1,85,103,136,136,136,85,67,136,136,67,136,136,136,136,67,136,
1,1,1,150,103,103,103,103,103,103,103,103,103,103,103,103,103,103,103,103,
103,103,103,103,103,103,103,103,103,103,103,103,103,103,103,103,103,1,47,1,
103,103,103,1,1,150,103,136,150,150,157,136,150,150,136,150,150,157,67,26,
150,92,150,150,150,85,103,67,67,47,47,47,26,26,26,103,47,47,26,26,
26,47,47,26,26,103,1,1,1,1,1,26,150,1,26,26,26,26,26,103,
47,67,47,67,47,47,26,136,85,47,47,47,47,85,85,103,67,67,67,85,
67,67,47,47,136,85,85,67,67,47,1,1,1, };
static unsigned short stb__consolas_bold_23_latin1_a[224]={ 202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_23_latin1_BITMAP_HEIGHT or STB_FONT_consolas_bold_23_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_23_latin1(stb_fontchar font[STB_FONT_consolas_bold_23_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_23_latin1_BITMAP_HEIGHT][STB_FONT_consolas_bold_23_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_23_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_23_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_23_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_23_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_23_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_23_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_23_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_23_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_23_latin1_s[i] + stb__consolas_bold_23_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_23_latin1_t[i] + stb__consolas_bold_23_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_23_latin1_x[i];
            font[i].y0 = stb__consolas_bold_23_latin1_y[i];
            font[i].x1 = stb__consolas_bold_23_latin1_x[i] + stb__consolas_bold_23_latin1_w[i];
            font[i].y1 = stb__consolas_bold_23_latin1_y[i] + stb__consolas_bold_23_latin1_h[i];
            font[i].advance_int = (stb__consolas_bold_23_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_23_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_23_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_23_latin1_s[i] + stb__consolas_bold_23_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_23_latin1_t[i] + stb__consolas_bold_23_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_23_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_23_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_23_latin1_x[i] + stb__consolas_bold_23_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_23_latin1_y[i] + stb__consolas_bold_23_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_23_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_23_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_23_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_23_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_23_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_23_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_23_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_23_latin1_LINE_SPACING
#endif

