// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_24_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_24_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_24_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_24_latin1_BITMAP_HEIGHT        182
#define STB_FONT_consolas_bold_24_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_bold_24_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_bold_24_latin1_NUM_CHARS            224

#define STB_FONT_consolas_bold_24_latin1_LINE_SPACING          16

static unsigned int stb__consolas_bold_24_latin1_pixels[]={
    0x00662331,0x00000000,0x30110000,0x9906dc00,0x59d93001,0x00073260,
    0x201e6640,0x260001a8,0x66440ccc,0xba88002c,0x3c88001a,0x0547db50,
    0x3720dd88,0x33326000,0x7fd80800,0xefb80ffb,0x3fffffd0,0x17ffffea,
    0xf74ffd88,0x744003bf,0x200bf20e,0x9ff74ffa,0x7fffec40,0x03ffa85f,
    0x04ffd800,0x0027ffdc,0x880f7fd4,0x2e003ffe,0x01efffff,0x3ea17e60,
    0x05fdefff,0x3fea7ff7,0x3dff5005,0x6c5fe880,0x440ffb7f,0xfffd3fff,
    0x3ffea3ff,0xfff305ff,0x3fffee9f,0x1ffe8802,0x9805fff1,0x07ff54ff,
    0x7dd5ffec,0x01ffd45f,0x00bff600,0x003f237e,0x800dff98,0xfd803ffb,
    0x1fffffff,0xd309f700,0x03fffd53,0x7fccbfea,0x0dff9804,0x22fffa80,
    0x80ffb7fd,0x73312fff,0x2bfea3ff,0x7ffb0099,0x3fea6213,0x43ffe807,
    0x4c01fffa,0xff701542,0x2a0ffa83,0x2a0003ff,0x1df000cc,0x000001f9,
    0x7ffd4000,0x05ffd98a,0x26007f90,0x14c19801,0xff300000,0xfdbfec1f,
    0xa81e4c07,0x03ff51ff,0xfb809ff0,0x17fee00f,0x00037fe4,0x740ffe20,
    0x08ffea3f,0xfa800000,0x155403ff,0x5100aa98,0x7ff40357,0x101fff81,
    0x203bfd95,0x1001aba8,0x22003575,0x26001aba,0xfdbfec1c,0x7fd40007,
    0x8803ff51,0x7fcc03ff,0x01dff301,0x3f21ffec,0x4bff304f,0xbf7106fb,
    0x7f557fd4,0x27fe41ef,0x7105ff98,0x6ff8039b,0xf901ffb0,0x883dffff,
    0x7ff906ff,0xffffff50,0xfffff90b,0x7ffe403d,0x3f201eff,0x801effff,
    0xdbfec098,0xfffff37f,0xff505fff,0x1007fea3,0xff9807ff,0x803ff902,
    0x7fc47ff8,0x7c5ff907,0xfeffc8bf,0x37fea6fa,0x20ffffff,0xff907ff8,
    0x1bfff205,0x3f60dff0,0x7fffec0f,0x3e61ffff,0x89ff504f,0xfffffffa,
    0x7ffffec5,0xffd81fff,0x81ffffff,0xfffffffd,0x22fec01f,0x26ffb7fd,
    0xffffffff,0xf51ffa82,0x3ff8803f,0xf817fcc0,0x3ffb007f,0xff82ffd8,
    0x3f23fe27,0x27f9efff,0xdacffffa,0x17fec4ff,0xfff03ffc,0x37fc01ff,
    0x3ea0ffd8,0xffd98aef,0x540ffea5,0x3ffe24ff,0x7d437f8b,0xffd98aef,
    0x4577fd45,0x7d45ffd9,0xffd98aef,0x362ff405,0x2a2ffb7f,0x2ffdaaaa,
    0xff51ffa8,0x02ff9803,0xffa84ff8,0x89ff7005,0x7fd45ffa,0x3fe3bea4,
    0x27f9efcb,0x3e22fffa,0x22ffd47f,0xff304ffa,0x7fc07fff,0x741ffb06,
    0x7ffc41ff,0x2607ff70,0x5bfea5ff,0x1ffe86f9,0xfd07ffc4,0x0fff883f,
    0xff107ffa,0xdffb701f,0x0ffb7fd8,0xfa82ffc8,0x803ff51f,0xfe800ffc,
    0x01ffdc1e,0xff86ff98,0xc87ff60f,0xbf97fadf,0x27fd4ff3,0x3fe07fec,
    0x407ff60f,0x05ffaffb,0x7fec1bfe,0x320dff10,0x09ff73ff,0xffb93fea,
    0xff88bf53,0x227ff906,0x7ff906ff,0x7e41bfe2,0x3fffa23f,0xfda6546f,
    0x417fe407,0x3ff51ffa,0x09fffd10,0x4bbffaa0,0x3e001ffc,0x12ffc86f,
    0xccfd8dff,0xff59fb6f,0x7ec1ffd4,0x897fe41f,0x5bfa06ff,0x1bfe07ff,
    0xff987fec,0x2a9ff504,0x7ff704ff,0x3fb97fe4,0xfa827fcc,0x209ff34f,
    0x9ff34ffa,0xfc93fea0,0x6c009aef,0x17fe407f,0xffa8ffd4,0x03fff981,
    0xd97ffdc0,0x3ff4007f,0xffab7fcc,0xafe5fec3,0x2a6fabfe,0x1ffd83ff,
    0xffab7fcc,0x369ff103,0x0dff02ff,0x7fdc3ff6,0x269ff503,0x5ffb07ff,
    0x2fca7fdc,0xfa81ffdc,0x207ff74f,0x7ff74ffa,0xff93fea0,0x1ff6001f,
    0xf505ff90,0x207fea3f,0x006ffdb8,0x36159ffb,0x3fa001ff,0xfb1ffb07,
    0xfdafe81f,0x4bf77fd5,0x7fe83ffa,0xffb1ffb0,0x54bfea01,0x0dff04ff,
    0x7fdc3ff6,0x74bff303,0x37fcc2ff,0x3f63bfea,0x981ffdc1,0x07ff75ff,
    0x7fdd7fe6,0x7cbff303,0x3f6000ff,0x417fe407,0x3ff51ffa,0x400ffb80,
    0xffc84ff8,0x0dff1002,0x13ff3fea,0x277f2ffa,0x2a3feaff,0x37fcc3ff,
    0x4ffcffa8,0x7c43ff60,0x20dff06f,0x9ff70ffd,0xfb93fea0,0xfffbacff,
    0xfffffe83,0x09ff75cb,0x7fdd3fea,0x2e9ff504,0x9ff504ff,0x3101fff4,
    0xf901ff63,0x23ff505f,0x7cc01ffa,0x17fcc02f,0xa8027fdc,0x3ffe05ff,
    0xbbfd81ff,0xffffffff,0x2233fea0,0x3e02fffa,0x3e01ffff,0x407ff46f,
    0x1ffb06ff,0x7dc13fea,0x7fffec3f,0xff304fff,0x2adfffff,0x7ff704ff,
    0x7dc13fea,0x209ff53f,0x3ff23ffb,0xbfec09cf,0x7fe407fd,0xf51ffa82,
    0x3ff8803f,0x4c17fcc0,0xff7006ff,0x37ffe407,0xfff8cfc8,0x7d43fffb,
    0x4fffffff,0x037ffe40,0xb555bff3,0x0ffd07ff,0x7ff99ffa,0xd705ffb0,
    0x8805dfff,0x33efffec,0x3ff60fff,0x360fff32,0x0fff32ff,0xffb0bff6,
    0xbfecdfff,0x7fe407fd,0xf51ffa82,0x3ff8803f,0xe817fcc0,0xffd800ff,
    0x0bffe600,0x10a8b7dc,0xffff5015,0xf3005dff,0x7fe405ff,0x5fffffff,
    0x7c41ffd8,0x217ff46f,0x7f406ff9,0x82fcc007,0x7fcc2ffe,0x2617ff46,
    0x17ff46ff,0x7dc1bfe6,0x5ff66fff,0x7fe407fd,0xf51ffa82,0x3ff8803f,
    0xb817fcc0,0x7fd405ff,0x037fcc04,0xa8003ff3,0x40009bff,0x7f406ff9,
    0xffffffff,0x577fdc0f,0x542ffd99,0xffbacfff,0xa7fe402f,0x13ea00b8,
    0x5d67ffd4,0x7fd42fff,0x2fffbacf,0x5d67ffd4,0x2a202fff,0x6dff63ca,
    0x0ffec07f,0xffa8ffd4,0x403ff801,0x3fa01ffa,0x1fff103f,0x017ff440,
    0xf50017fa,0xfd10007f,0x27fc405f,0xfe82ffd8,0x05ffffff,0xfffffffb,
    0xffff3009,0x1fdc0dff,0xffffffb0,0x3fff609f,0xfb04ffff,0x09ffffff,
    0xfdbfec00,0x0fff1017,0x7fd47fea,0x406ff801,0x3e600ffc,0x2ffe81ff,
    0x4ffecb98,0x9adffa80,0xffa80fb9,0xfd973003,0x2ffb809f,0x3209ff70,
    0x403fffff,0x02efffeb,0x3ffffea0,0x700bf604,0x805dfffd,0x02efffeb,
    0x177fff5c,0x6dff6000,0xf957d97f,0x6e65c9ff,0x9bff51ff,0x3bfee079,
    0xbffb932c,0x41fff700,0xff505ffd,0x7dc00bff,0x80ffffff,0xf5003ffa,
    0xfb00bfff,0x03ffc40f,0x31000262,0x554c0001,0x800ff400,0x4c400098,
    0x004c4000,0xfb7fd800,0x3fffff2f,0x7ffff45f,0xfffff51f,0xa7ffec0b,
    0x000efffb,0x3fe23ff7,0x0b3be605,0x3bb72600,0x0399301b,0x00b3be60,
    0x00000000,0x00000000,0x00000000,0xb0000000,0x64dff6ff,0xcb82deee,
    0x9930cccc,0xb9807999,0x0057932c,0x00488570,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2ffb0000,0x000007fd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x05ecaf64,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x32e00000,0x06ec400c,
    0x999101b9,0x332e0005,0x09d50000,0x22007910,0x0ccccca9,0xcb880040,
    0x4000bcdd,0x3eda82cc,0x7db5002a,0x66644054,0xcc980002,0x5953000c,
    0x0665c013,0x80019930,0x03720dd8,0x1dfffb00,0xfa9ffdc0,0x7ffd105f,
    0xefffd800,0x03fd8000,0x64405f98,0xffffffff,0x05fff301,0x7fffffcc,
    0x3fea000f,0x77fffd42,0x3fea05fd,0x105fdeff,0x40007ffd,0xc801effa,
    0x05ffffff,0x201dfffb,0x5c004ff8,0x0bff53ff,0x7e46fec0,0x25ff500e,
    0x7dc04ff9,0x1bfb003f,0xa8801df9,0x4401ffbc,0x7ff405fc,0x1ffecfff,
    0x01fd7df0,0x9559fff1,0x37f4001d,0x7ff54f4c,0x2a7a601f,0x5c01fffe,
    0xf98003ff,0x7f4400df,0x85ffffff,0x0efc8dfd,0x4001ffb0,0x9ff32ffa,
    0x33000000,0x00000298,0x7ffe4000,0xff700fff,0xf90dffff,0x3f2dffff,
    0xf54f881f,0x00bff305,0x003ff980,0x06600033,0x00000000,0x985fffe4,
    0xf300004b,0x4198007f,0xba880029,0x40aaa01a,0x0aaa0aa9,0x5550554c,
    0xfb02aa60,0x0dffffff,0xfffffffd,0xfffffd0f,0x7c07ff2d,0xf980febf,
    0x360001ff,0x2aa200ff,0x0d55401a,0xa8805544,0x2aaa01aa,0xf30aaa00,
    0xa88003ff,0x6fe801aa,0x1aaa8800,0xffffc800,0x06ff81ef,0x37fc1ffb,
    0x3fe0ffd8,0x541ffb06,0xffff1eff,0x7d77fe4b,0xfff83a9f,0x3ff96fff,
    0x80bffa60,0x000cffff,0x32027fc4,0x7f406fff,0x00ffb87f,0x5c0dfff9,
    0x9ff505ff,0x8004ffc8,0xb806fffc,0x7e4002ff,0x7ec006ff,0x1fffffff,
    0xffd837fc,0x7ec1bfe0,0x6c1bfe0f,0x43ffa0ff,0xd0ffeffa,0xf01fe3ff,
    0x32dfffff,0x201401ff,0x2ffffffe,0x007fee00,0x401fffff,0x7dc3fffe,
    0xfffff00f,0x407ffc01,0x7fec0ffe,0xffff8002,0x2ffc400f,0x3ffffe00,
    0x5dff5000,0xf8bffb31,0x41ffb06f,0x1ffb06ff,0xffd837fc,0x7e4bff10,
    0xffd1ffbc,0xfe80df39,0xff96ffff,0xffffda83,0x37fee0cf,0x004ffffc,
    0xff980dff,0x3fa03fff,0x07fdc6ff,0x1fffffcc,0xfa89ff70,0x01ffe84f,
    0x7ffffcc0,0x00ffc803,0x7fffff30,0x107ffa00,0x37fc1fff,0x3fe0ffd8,
    0x7c1ffb06,0x21ffb06f,0x2bfe3ff9,0xfff93ffa,0xffa80bff,0x3ff96fff,
    0xffffffd8,0x4c3ffa5f,0x5403fffe,0x7fdc02ff,0x3fa05ffa,0x3fee2fff,
    0xffaffb80,0xd07ffc05,0x1fff01ff,0xfaffb800,0x4ff8805f,0xff5ff700,
    0x0dff100b,0x6ff8fff2,0x7fc1ffb0,0x7c1ffb06,0x21ffb06f,0x2ff33ffa,
    0x3ffa4ff9,0x2e01dfff,0xff96ffff,0xd309bc83,0x0bffa5ff,0xfe80fff9,
    0xff6fe807,0x7feff40f,0x3a03fee6,0xb80fff6f,0x09ff54ff,0xd0007ffa,
    0x401ffedf,0xdfd007fd,0x3e601ffe,0x49ff504f,0x1ffb06ff,0xffd837fc,
    0x7ec1bfe0,0x325ff70f,0xb8bff35f,0x04ffffff,0x7e5bbae2,0x7ff5001f,
    0xff07fff2,0x0ffe603f,0x3f69ff10,0xf9bfd02f,0x103fee3f,0x0bff69ff,
    0xffd1fff0,0x00bff601,0xffb4ff88,0x07ff5005,0xffb4ff88,0x03ffb805,
    0x37fc9ff5,0x3fe0ffd8,0x7c1ffb06,0x21ffb06f,0x25fd3ffa,0xffd04ff9,
    0xc8009fff,0x2a6201ff,0xfff13ffc,0x03ffa19f,0x2a007fe4,0x09ff52ff,
    0x57fe37fa,0x7fd40ffb,0xb809ff52,0x204ffdff,0x2a005ffc,0x09ff52ff,
    0xf501bfa0,0x013fea5f,0x3e607ff7,0x6c1bfe5f,0x41bfe0ff,0x1bfe0ffd,
    0xff987fec,0xff50ff9b,0x3f67fe07,0x7fe4006f,0x7fffdc41,0x3fe63fff,
    0x06ffcfff,0xfb00bff1,0x41bfe21f,0x71ffb5fe,0x0ffd81ff,0xff00dff1,
    0x7cc01fff,0xfd8103ff,0x00dff10f,0xfd807fee,0x80dff10f,0xff504ffb,
    0xfd837fc9,0x6c1bfe0f,0x41bfe0ff,0xdff10ffd,0x17fe4bf7,0x7ff8bfc4,
    0x20ffe400,0xfeeefffe,0x7ffe443f,0xff701fff,0xe8dff003,0x35fe80ff,
    0x81ff79ff,0x07ff46ff,0x013ffee0,0x2af7fff6,0x237fc5eb,0xf8800ffe,
    0xd1bfe05f,0x7fd401ff,0x7c7ff704,0x41ffb06f,0x1ffb06ff,0xffd837fc,
    0x4fffffa0,0xf9826ff8,0x800dff36,0x3fee1ffc,0x981ffd45,0x3e02fffe,
    0xdff9806f,0x83ffdaaa,0x2fffa5fe,0x37fe60ff,0x03ffdaaa,0x8800fff8,
    0xfffffffe,0x2ab7fe65,0x9003ffda,0xbff301ff,0x07ffb555,0xfd83ffcc,
    0x741ffa2f,0xe83ff47f,0xe83ff47f,0x7fffcc7f,0x3e2ffeba,0xffcefdde,
    0x7ff4003f,0xf90bff20,0x4ffd807f,0x9005ff50,0xffffffff,0x54bfd0bf,
    0x320ffeff,0xffffffff,0x07fe805f,0x7ffff5c0,0x3ffff22e,0x005fffff,
    0xff909ff3,0xbfffffff,0x4c2ffe80,0x0ffec6ff,0xffb1bfe2,0x6c6ff883,
    0x37fc41ff,0x7fffffdc,0x7ffffc4f,0x2204ffff,0x3237fcc2,0xffc88dff,
    0x3fee013f,0x200ffd04,0xfffffffe,0x2ff40fff,0xe83ffffa,0xffffffff,
    0x3ff400ff,0x81ffcc00,0xfffffffe,0xfb000fff,0xfffffd0f,0x401fffff,
    0xfbacfffa,0x77fdc2ff,0x42ffd99a,0xd99aeffb,0x77fdc2ff,0x02ffd99a,
    0x05dffffd,0x9bfffd97,0xdcefe801,0x7fcc2fff,0x3ffeffff,0xff9779db,
    0x09ff303f,0x3609ff10,0x22ff42ff,0xf10ffffb,0x0bff609f,0x7000ffd0,
    0x13fe20ff,0xa8017fec,0x13fe22ff,0x36017fec,0x4fffffff,0xffffffd0,
    0x3fffa0bf,0xfd05ffff,0x0bffffff,0x00267fe2,0xe8800ff4,0x04ffffff,
    0xf19ffff5,0x3ffff67f,0xff903fff,0x05ff7001,0xbfd13fee,0x70ffff88,
    0x3fee05ff,0x003ff404,0xffb827e4,0x009ff702,0x5ff737f4,0x2013fee0,
    0x02efffeb,0x1fffffe4,0x3fffff20,0x7fffe403,0x01bee03f,0x50003fe0,
    0x300179b9,0x6e5cc013,0x33200bce,0x40ffb003,0x2ff47ff8,0xfd87ffe4,
    0x01ffe207,0x55000ffd,0x881ff601,0x32a007ff,0x440ffb0c,0x262007ff,
    0x004c4000,0x10002620,0x05950013,0x0007f880,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0ccc9800,
    0x200ccb80,0x03720dd8,0x006664c0,0x7006664c,0x33220199,0x1bb1002c,
    0x332206e4,0x3ca8002c,0x4405ee40,0x3332004c,0x0f332003,0x00019995,
    0x1b700795,0xdda80664,0x20db8062,0x999500cc,0xffa80144,0xfffd801e,
    0x27ff700e,0xfa805ffa,0xffa801ef,0x3fff601e,0x7ffd100e,0x2a7ff700,
    0xffe885ff,0x3ffee003,0x1ffffd05,0xfb003fe8,0x7fec009f,0x01dff704,
    0x02fffdc0,0x3fee9ff5,0xeffffa84,0x4ffa85fc,0x3a209ff7,0x807ffeff,
    0xd800dff9,0x80efc8df,0x9ff32ffa,0x00dff980,0x200dff98,0x0efc8dfd,
    0x500ffee0,0x13fe65ff,0xa803ffb8,0x544feaff,0x2e2fd8ef,0x5ffb006f,
    0x017fec00,0x2003bfe6,0x04feaffa,0x3fea9ff3,0xffbafa83,0x4ff982ff,
    0xfd507ff5,0x00bfffff,0x4c000000,0x000014c1,0x00000000,0x02983300,
    0x47322000,0x4fee1cc8,0x03ff14fa,0x40019950,0x91000cca,0x1cc88079,
    0x0a603991,0x75104055,0x0aa14c03,0x7fff7fe4,0x1aaa8801,0xaaaaaa80,
    0x55540aaa,0x40aaaaaa,0xaaaaaaaa,0x2aaaa20a,0x220aaaaa,0xaaaaaaaa,
    0x5555540a,0x2a20aaaa,0xaaaaaaaa,0x2aaaaa20,0x0400aaaa,0x53ee9f50,
    0x006003fd,0x00800040,0x01800180,0x00800180,0xdff90998,0x0dfff900,
    0xffffffd0,0xfffe85ff,0x742fffff,0xffffffff,0x3ffffe62,0x3e63ffff,
    0xffffffff,0x7fffff43,0x3fe62fff,0x3fffffff,0x3fffffe6,0xec883fff,
    0x7fc43eff,0x06faafeb,0x7ffffed4,0x3fb2200c,0x764403ef,0xfb503eff,
    0x5019ffff,0x19fffffb,0xfffffb50,0x3fb22019,0x3f6203ef,0x7c03ffff,
    0x7400ffff,0xffffffff,0x7fffff42,0x7ff42fff,0x22ffffff,0xfffffff9,
    0x3ffe63ff,0x43ffffff,0xfffffffe,0x3fffe62f,0x263fffff,0xffffffff,
    0x7fff443f,0x7fe45fff,0x401ff8cf,0xfffffffd,0xffffd105,0x3fa20bff,
    0xd85fffff,0x5fffffff,0xffffffd8,0xffffd85f,0xfe885fff,0xa85fffff,
    0x7fffffff,0x3ffffe60,0x4cfff403,0x7f409999,0x0999999f,0x4cccfff4,
    0x1ffa0099,0x7407fe80,0x999999ff,0x801ffa00,0x7fec07fe,0x82ffd88b,
    0x9009fb0a,0x3ffa6137,0x88bffd82,0xffd82ffd,0x42ffd88b,0xffd309bc,
    0xd309bc85,0x09bc85ff,0xfd85ffd3,0x2ffd88bf,0x2673ffe2,0xff703ffe,
    0xfe80bff5,0x1ffd000f,0x003ffa00,0xe801ffa0,0x07ff407f,0x003ff400,
    0x7fcc0ffd,0x502ffc44,0xfa8000df,0x227fcc3f,0x7fcc5ff8,0x802ffc44,
    0xf5003ffa,0x3fea007f,0xf113fe63,0x227fe4bf,0xdfd05ffb,0xffd01ffe,
    0x03ffa001,0x0007ff40,0xfd003ff4,0x00ffe80f,0x2007fe80,0x3fee07fe,
    0x6ff9999a,0x0003ff10,0x87ff9531,0x9999affb,0x57fdc6ff,0x06ff9999,
    0x0fff2a62,0x3ffca988,0x3ff2a620,0x266bfee3,0x3fa6ff99,0x43ffc40f,
    0x5ffb4ff8,0x8007ff40,0xfd000ffe,0xffd0001f,0x203ff400,0xe8000ffe,
    0x1ffa007f,0xffffffd8,0x9fb07fff,0x22039db1,0xfffffffb,0x7ffffec3,
    0x7ec7ffff,0xffffffff,0x7fffdc47,0x7dc43fff,0x43ffffff,0xffffffb8,
    0x3ffff63f,0x3e7fffff,0x50fff07f,0x13fea5ff,0xffffffe8,0x7fff40ff,
    0x740fffff,0xffffffff,0x801ffa00,0x7ff407fe,0x00ffffff,0xfe801ffa,
    0x3bbff607,0xa85eeeee,0xffffe8ef,0xeefffe80,0x7fec3ffe,0x5eeeeeee,
    0x77777fec,0x7ff45eee,0x43ffeeef,0xfeeefffe,0x77fff43f,0x3f63ffee,
    0xeeeeeeef,0x7fc1ffe5,0xf10ffd87,0x7fff40df,0x740fffff,0xffffffff,
    0x7fffff40,0x3fa00fff,0x01ffa007,0xfffffffd,0x03ff401f,0x7e40ffd0,
    0x3fe2001f,0x87f95fa9,0x7fd45ffb,0x000ffe43,0x2e003ff9,0x1ffd45ff,
    0xffa8bff7,0xf517fee3,0x00ffe47f,0x7c41fff8,0x746ff86f,0x7ffd00ff,
    0xfd055555,0x0555557f,0x55557ffd,0x007fe805,0xffd01ffa,0x80555557,
    0x3fa007fe,0x013fee07,0x29f74fc8,0x17fe45fa,0xff70fff2,0x27fdc009,
    0x642ffc80,0x0bff23ff,0x7fe47ff9,0xf71ffe42,0x3ffa009f,0x262ffdc2,
    0xfdaaadff,0x01ffd03f,0x4003ffa0,0xe8000ffe,0x1ffa007f,0x0001ffd0,
    0x7f400ffd,0x33ffe207,0x7d435310,0x3eebf50f,0x446ffe45,0x7c43fffc,
    0x35310cff,0x10cfff88,0x6ffe4353,0x23fffc88,0xfc88dffc,0x37ff23ff,
    0x23fffc88,0x310cfff8,0x67ffdc35,0x641fffb9,0xffffffff,0x01ffd05f,
    0x4003ffa0,0xe8000ffe,0x1ffa007f,0x0001ffd0,0x7f400ffd,0x7fffd407,
    0xfd12ffff,0x2ffdff85,0x7fffffcc,0xffa83ffe,0x82ffffff,0xfffffffa,
    0x3fffe62f,0x263ffeff,0xfeffffff,0x3fffe63f,0x543ffeff,0xffffffff,
    0x7fffff42,0xfffe84ff,0x0fffffff,0xd000ffe8,0x3fa001ff,0x7fe8000f,
    0xd01ffa00,0xfd0001ff,0x03ff400f,0x7fffff4c,0xd50bf91e,0x3fea07ff,
    0x03ff8cff,0xdfffffd3,0x3fffa603,0x7fd41eff,0x43ff8cff,0xf8cffffa,
    0x7fffd43f,0xe983ff8c,0x81efffff,0x83effffc,0xffb04ff8,0x557ffd05,
    0xffe81555,0x40aaaaab,0xaaaabffe,0x3eaaa20a,0x220aabff,0xabfffaaa,
    0x55fff40a,0x2a20aaaa,0xaabfffaa,0x3feaaa20,0x4c00aabf,0x00100019,
    0x4c000266,0x0ccc0019,0x30004cc0,0x04cc0013,0x800ccc00,0x3fee0098,
    0xd09ff702,0xffffffff,0xfffffe85,0x7ff42fff,0x22ffffff,0xfffffff9,
    0x3ffe63ff,0x43ffffff,0xfffffffe,0x3fffe62f,0x263fffff,0xffffffff,
    0x0000003f,0x00000000,0x00000000,0x00000000,0x07fd8000,0x3fa1ffe2,
    0x2fffffff,0x7ffffff4,0x7fff42ff,0x262fffff,0xffffffff,0x3fffe63f,
    0x743fffff,0xffffffff,0x3ffffe62,0x3e63ffff,0xffffffff,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x33320000,
    0x17bb9503,0x003332a0,0x80003332,0x9800ccca,0xdb8001cc,0xc8003320,
    0x2aa603cc,0x03ca8000,0x80c5bb50,0x2000ccca,0x403320db,0x16644000,
    0x1aba8040,0x001e5400,0x7ec00002,0xfffe884f,0xff702fff,0x1fff801d,
    0x5c01df70,0x7d400eff,0x7fd4003f,0x2009ff74,0xfb104ffd,0x2001bfff,
    0x5405fffb,0x5fceffff,0x001dff70,0x3fee9ff5,0x000efd84,0xd9109ff3,
    0x369ddfff,0xb803ffff,0x75405fff,0x3fffffff,0x40bff600,0xffcbeffd,
    0x1dff300f,0xf80fffc0,0x7fcc04ff,0x0ffea00e,0x2a9ff300,0xffd803ff,
    0x3bbff602,0xffa805ff,0x3ea04fea,0x02ffffba,0x3003bfe6,0x0ffea9ff,
    0x2005fff1,0x7fd44ff9,0xb4ffffff,0x40dfffff,0x04feaffa,0xfffffff5,
    0x32a007ff,0x8dff100c,0x32202ffc,0x03ffe03c,0x4401fff4,0x3fea03cc,
    0x54298003,0x00cca802,0xffd8ffe6,0x44732200,0xa88201cc,0x3cc8801b,
    0x81542980,0xf3000fff,0x67ffc49f,0x314ffb99,0x10bfff93,0x07322399,
    0x7fcc3bfe,0x0020009e,0xffd89ff3,0x7f401801,0x0079300f,0x1ffd4008,
    0x00000001,0xf70ffdc0,0x0004001f,0x00000008,0x006a2002,0x3f24ff98,
    0x827fcc4f,0x80007ffa,0x7fe42ff9,0xfffd9800,0x23ffa83e,0xfb506ffa,
    0xe819ffff,0x980000ff,0xa83efffd,0xeffeaaff,0x4c3ffa81,0x0ffea4ff,
    0xffa89ff3,0x2601ffa3,0x403efffd,0x03efffd9,0xff987ff5,0xefffd984,
    0x22013103,0x4fffffec,0xff303ffa,0x50fffc09,0x4ff987ff,0xff90ffe6,
    0xfffff700,0x3ffa8dff,0x3601dff5,0x5fffffff,0x3ffa3ff4,0x3ee02fff,
    0x46ffffff,0xffffdffa,0x1ffd40ff,0xffa93fe6,0x2227fcc3,0x2ffd9fff,
    0x7ffffdc0,0xfff706ff,0xf50dffff,0x44ff987f,0xfffffffb,0xfa86fc86,
    0x4fffffff,0x3fe61ffe,0xa83ffe04,0x27fcc3ff,0x3e63dff1,0x7ffc406f,
    0x23fffdac,0x1ffd3ffa,0xe984de40,0xd1ffa2ff,0x205fffff,0xfdacfff8,
    0x3ffea3ff,0x44ffdacf,0x7fcc3ffa,0xf30ffea4,0xffff709f,0xfff8807f,
    0x43fffdac,0xfdacfff8,0x1ffd43ff,0xff893fe6,0x3fffdacf,0x3fe237e4,
    0x4ffb99cf,0xff30fff1,0x7feccc49,0x261ffd46,0x7ffdc4ff,0x6c01ffff,
    0x3ffd43ff,0x1ffe7ff5,0xb1ffd400,0xfdaaa8ff,0x87ffb02f,0x3fea7ffa,
    0x51ffe22f,0x4ff987ff,0xff30ffea,0x1dfff309,0xa87ffb00,0x1ffec7ff,
    0xff51ffea,0x364ff987,0x3ffd43ff,0x9ff91bf6,0x3fe4ff98,0x364ffa87,
    0x541fffff,0x27fcc3ff,0x9dffdff1,0x20ffd001,0x7ff50fff,0x44013ffa,
    0x363ffca9,0x0bfee07f,0xfff83ff4,0xfb09ff50,0x21ffd41f,0x3fea4ff9,
    0x2627fcc3,0xf72fffff,0xf07fe81f,0x83ff41ff,0x3fea0fff,0xfd27fcc3,
    0xd83ffe0f,0x207ff47f,0x3ffa4ff9,0xc93ffa21,0xfa80ceff,0x727fcc3f,
    0x7fc000ff,0x2a3ffb06,0xdfff53ff,0xffff7101,0x37ec7fff,0x3e05ff70,
    0x23ffb06f,0xffd83ffa,0xf30ffea1,0x21ffd49f,0x7ffc4ff9,0x7fb9fffa,
    0xffb06ff8,0xfd837fc3,0x30ffea1f,0x837fc9ff,0x1ff61ffd,0x9ff30fff,
    0x754f7fdc,0x1ff24fff,0xf987ff50,0x2b3fee4f,0xff880199,0x2a3ff907,
    0x3ffea3ff,0xeefffe86,0x1bf23ffe,0xf882ffb8,0x23ff907f,0xffd83ffa,
    0xf30ffea1,0x21ffd49f,0x3fea4ff9,0xffbdff53,0xf907ff88,0x41ffe23f,
    0x3fea1ffc,0xf8a7fcc3,0x43ff907f,0x1ffe27fe,0xff893fe6,0x4ffeffff,
    0xff501ff2,0x224ff987,0xfffffffe,0x07ffe00d,0x7fd43ffa,0x717ffcc3,
    0x3ffa8bff,0xffb80262,0xd03fff02,0x0ffea1ff,0x7ff51ffa,0x3ea4ffa8,
    0x927fd43f,0x7ffdc3ff,0x81fff84f,0x3ffe0ffe,0x2a0ffe81,0x27fd43ff,
    0xffd03fff,0x3fe3ff41,0x444ffa87,0xff9cfffe,0xf5006624,0x24ffa87f,
    0xffeeffd8,0x3ffa06ff,0xf537fcc3,0x47ff707f,0x7fe42ffc,0xfb802a23,
    0x87ffd02f,0x3fea6ff9,0x2a37fcc3,0x3ffa24ff,0xe893fea4,0x0bfee4ff,
    0xfd03fffb,0x46ff987f,0x7fcc3ffe,0xd127fd46,0x1fff49ff,0xffd1bfe6,
    0xd10fff41,0x426209ff,0x06a24ff9,0x7449ff50,0x07ff64ff,0x2a03ffd1,
    0xffa9dfff,0x8cffea2f,0x3f22ffd8,0xfffc88df,0x5c03ffa3,0xfff502ff,
    0x45fff53b,0xfa88cffa,0x7ffcc2ff,0x24fffeaa,0xfeaafff9,0x3bfe64ff,
    0x07fff932,0xf53bfff5,0xfffa85ff,0x42fffa9d,0xfeaafff9,0x3ffea4ff,
    0x42fffa9d,0x3fee0ffe,0x4fffea9e,0x749ff300,0x3fe602ff,0x4fffeaaf,
    0x7fec1bfe,0x3ffff601,0x7fd45fff,0x6fffff8b,0x7fffffcc,0xfff13ffe,
    0x7fe4ccc5,0x7fec099b,0x545fffff,0xffffffff,0xfffffd04,0xffe89ffb,
    0x44ffdfff,0xfffffffd,0xffd81fff,0xb05fffff,0xbfffffff,0x3fffffa0,
    0x7fec4ffd,0xf85fffff,0x3ffe20ff,0x04ffdfff,0x3e29ff30,0x7ff404ff,
    0x24ffdfff,0xb989cfff,0xffb806ff,0xffa83eff,0x0cffff8b,0x8cffffa8,
    0x43bfa3ff,0xfffffff9,0xfffb86ff,0xffd983ef,0x2202efff,0x9ff4fffe,
    0xf4fffe88,0xffff709f,0x01fff35f,0x07dffff7,0x3effffb8,0x53fffa20,
    0xfffb84ff,0x3fff03ef,0xd4fffe88,0x3fe6009f,0x1007ff64,0x3fe9fffd,
    0x3ffffea4,0x2000efff,0x4c400098,0x00133000,0x7fffcc13,0x206fffff,
    0x02600098,0x40013100,0x4c400098,0x01310000,0x20009880,0x4c400098,
    0x80666400,0x22000098,0x0004c2cc,0xd9100131,0x00059ddd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x26000000,0xaaaaa81a,0x95302aaa,0x54c40057,0x055d4402,
    0x03575100,0x10f32e00,0x50157975,0x2ffb87ff,0x000e664c,0x8006eea2,
    0x1e5403ca,0x3b504c88,0xba880edc,0x80000abc,0x099103ca,0x3aa3fea0,
    0x3f201eff,0x05ff000d,0xfffffffd,0xffffd88f,0xff9302ff,0x7fe40fff,
    0xfc805fff,0x001effff,0xff037ff2,0xa89fffff,0x17fdc3ff,0x800fffd4,
    0x0efffffb,0x42fffdc0,0xfd06ffe9,0x26dff107,0x7fec45ff,0xb106ffff,
    0x261dfffd,0x7fd06ffe,0x3ea0dfc8,0xffffffcf,0x04fffa80,0xfe83fd44,
    0x47ffffff,0xffedeffe,0x7fffdc1f,0x7dfb07ff,0x201dfd75,0xfffffffd,
    0x4ffc801f,0xfffdfff0,0x21ffd49f,0xfd102ffb,0xfffc803f,0x500ffffe,
    0x889fd5ff,0x6fb86fde,0x3e2bff10,0x7ffff45f,0xffb86fff,0xd11fffff,
    0x8df70dfb,0x3ea4fffa,0xffdacfff,0x84fffb84,0x06ffffd9,0x55555dfd,
    0x2e27fcc5,0x3ffea4ff,0xfb81999c,0xa84fd80e,0xfd98aeff,0x1664c05f,
    0x7ffb8150,0xff70ffea,0x204cb805,0xfb10eff9,0x2399107f,0x6fa81cc8,
    0x5100ffc4,0x3fea14c1,0x3e61441e,0x1ecabdff,0x3fe237d4,0x527ffdc1,
    0x7fc45fff,0xb81dfd07,0x4fffffff,0xfb805fe8,0xd27fc42f,0x3fe003ff,
    0x3fa7b710,0x220fff40,0x00000fff,0xffa9ffe0,0x0017fdc3,0x220ffec0,
    0x500007ff,0x003fd8df,0x007ff900,0x5400fffa,0xe81fec6f,0x13fea0ef,
    0x40403ff6,0xffbbfff8,0x02ff43ff,0xf9077fd4,0x013fea5f,0xfff9a7d4,
    0x7fc49f76,0xe87ff906,0x002fffff,0x3fea5ff8,0x7417fdc3,0xf02fffff,
    0x3fff50df,0x2fffffe8,0x6fa9bea0,0x7fffff40,0x00effc82,0x50037fc4,
    0x2037d4df,0xd83ffa80,0x3f6001ff,0xdffbfb1f,0x0aacefe8,0xf95dffd0,
    0x4d7fe4bf,0x2fb80abb,0x3e653bfd,0x5413fe65,0x7fff44ff,0x366002ff,
    0x0ffea2ff,0xffd05ff7,0xff105fff,0x7fffec49,0x7fffff42,0x7c5bea02,
    0x7fff401f,0xfffa82ff,0xbff500cf,0xf8b7d400,0xffa8001f,0x001ffd83,
    0xc9ff9bfa,0x7ffff47f,0x7f440dff,0x7ec4ffff,0x4fffffff,0x0ffc4fec,
    0x3ffb9be2,0xaa89ff50,0x5c02ffda,0x541fffff,0x17fdc3ff,0x17fed554,
    0xfe9a7fcc,0x5543ffef,0x2202ffda,0x5009fb09,0x205ffb55,0x1dfffffd,
    0x1002ffd4,0x0013f613,0x7f41ffd4,0xff815107,0x3feeff55,0x3ffbbb61,
    0x7fd40eff,0x3f61efff,0xffffefff,0x3fe67f63,0x3fee7f80,0x40bff303,
    0x7dc02ffb,0x2a2effff,0x3ffe64ff,0x417fdc03,0xfffbbffa,0x2e03ffaa,
    0xdf5002ff,0x05ff7000,0x7fffffdc,0x001bfe64,0x500037d4,0x6ff987ff,
    0xf11fff88,0x7dd3f6bf,0x3fea201f,0x2fbfee3f,0xffd0ffff,0x327ffa87,
    0x442ff8af,0x413fee6f,0x3ee04ffa,0x54cc402f,0xff52fffc,0xbffff75d,
    0x417fdc01,0x0efffff9,0x7dc05ff5,0x1ff8802f,0x02ffb800,0x2ffffda8,
    0x8007fff1,0xec801ff8,0x233fea0d,0xa82fffa8,0x3bfa5fff,0x1ff91ff8,
    0x269ff900,0x3ff625ff,0xfd03ffb5,0x7f4fee1f,0x54bf34df,0x7ff704ff,
    0x0017fdc0,0xffab7fd4,0xfffcffff,0x20bfee05,0x5c4ffff8,0x3fee01ff,
    0xd54fd802,0x5ff7007d,0x2fff4c00,0x7559fff9,0x273f603b,0x7fd43ded,
    0x3fffea3f,0xf104ffff,0x67fe4fff,0x00dff16f,0x7fe57fea,0xfcb7fc41,
    0x51ffd82f,0x5bffa6df,0x1ffe63fc,0xf7017fec,0xff10005f,0x3ffffead,
    0x5c0bff94,0x5fff02ff,0x5c01ffb0,0xb7d402ff,0xb804fff8,0x7d4002ff,
    0x3fff226f,0xfa81ffff,0x43ffdf76,0x3ea4fffb,0x02efffff,0xff537fd4,
    0x5ffd39ff,0x6cfffa00,0x76ff81ff,0x8fff0bff,0x135311fe,0x2ffe81ff,
    0x2e037fcc,0xfa8002ff,0x035ff55f,0x2ffb8031,0xf987ffb0,0x17fdc05f,
    0x3f23ff10,0xffb804fb,0x2ffd4002,0x6fffff4c,0x210ffc40,0x3ffa23fd,
    0x026ffea1,0x644ff880,0x5fffffff,0x6dcccd44,0xbff90fff,0xf93ff223,
    0xffd99cff,0x220ffd45,0xfffa83fe,0x02fffbac,0xa8817fdc,0xfffc9999,
    0x0005ff52,0xf9817fdc,0xfffa8bff,0x017fdc01,0x273e69f9,0x2ffb804f,
    0xcaaabde8,0xff502fff,0x5427e405,0x540980ff,0xfc8003ff,0xffffd80f,
    0xffff883e,0x3e21ffff,0xefffffff,0x3ffffea0,0xffc80eff,0x204ffdce,
    0xfffffffd,0xff933304,0x7fd41337,0x24ffffff,0x4c003ffa,0x99bffc99,
    0x7ffffe40,0x933303ff,0x541337ff,0xfddfb0ff,0xf933307f,0x3fa1337f,
    0x5fffffff,0xfa81bf20,0x00ffe40f,0x2007ff50,0xb02fffe9,0x7c40139f,
    0x80bfffff,0xcfffffc8,0xffffe980,0x7fff5404,0xffeb802e,0xfff302ef,
    0x4dffffff,0xdffffffa,0x001ffd41,0xfffffff3,0xffd50dff,0x3fe605df,
    0x6fffffff,0x77645fd1,0x7fcc3ffe,0x6fffffff,0xdffffff9,0x103fe805,
    0xdffc85fd,0x7ff5003c,0x033bea00,0x30007fc4,0x09980033,0x20002600,
    0x09880009,0x7ffffcc0,0x4c46ffff,0x0e64c019,0xfffff300,0x440dffff,
    0xffff9801,0xf96fffff,0x4c27cc0b,0xffffffff,0x00ccc46f,0x3f201550,
    0x5ffffd85,0x00399300,0x003c9800,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x5509aca9,0x642aa605,0xbff304ff,0x440f3b22,0x45bb504c,0x55555541,
    0x2ea201aa,0x1d4401ac,0x40059910,0x01cccccb,0x337b2e20,0x00039930,
    0x4c06eea2,0x4c01aaaa,0x355101aa,0x00006aa2,0x5554c000,0x2aaa1aaa,
    0xaaaaaaaa,0xfffff900,0x6c1bfebf,0x0fff10ff,0x77ccbff2,0x83fe83ff,
    0xfceffffa,0x3fffffa5,0xffd884ff,0xf107ffff,0x27fcc0df,0xfffffd00,
    0x3ffe6005,0x7ff52fff,0xffff7000,0xfffd83df,0xf882efff,0x2ffd80ff,
    0x54007ff5,0x007f102f,0x9ffffffd,0x3fffffe2,0x441fffff,0xfffffffe,
    0x3f60dff5,0x20bff60f,0x89f907ff,0x75f506fb,0x7f45ffff,0x44ffffff,
    0xfffffffa,0x0dff107f,0x70027fcc,0x005ffd99,0xb97bfff1,0x000ffea3,
    0xffddfff5,0xfffffd8b,0xffb85fff,0xf52ffcc4,0xf980339f,0x2ffd80ff,
    0x3ffffe60,0x53bf14ff,0x3f733333,0x30bfffc8,0x6c1bfe97,0x17fea0ff,
    0xffc89ff5,0x807fe20e,0x2006ea20,0x3fe24ffa,0x0b530aef,0xf981bfe2,
    0xff70004f,0x09ff5005,0x2001ffd4,0x21222fff,0xfc988ffd,0x1ffe82ff,
    0xffa83ffa,0x703effff,0xfbbdbdff,0xfefd809f,0xf8cf883f,0x43f50cef,
    0x7c01fff9,0x81ffb06f,0x3ff60fff,0xb3fee541,0x0008007f,0xffc93fea,
    0xffff3005,0x27ffffff,0x70004ff9,0xff7005ff,0x11ffd405,0x006ff880,
    0xffb81ffb,0xf55ffa86,0xffffa89f,0xd80effff,0x6fffffff,0x7fdffc40,
    0xfb94f883,0x643f51df,0x6ff804ff,0xfc81ffb0,0x98dff12f,0xdf56fb99,
    0x7547fd40,0x7d400eff,0x007ffe4f,0x7fffffcc,0xff33ffff,0x00effc89,
    0xf9005ff7,0x57fd403f,0x980effea,0xffb004ff,0xb03fff01,0x81ffd3ff,
    0xfca9cffa,0xeffa85ff,0x5c05ffec,0x883ff8ff,0xfabfd84f,0x200bff61,
    0x1ffb06ff,0xff56ff98,0xaffffb87,0x3ea01ff8,0x6fffffcf,0xf8a7fd40,
    0x2aa2006f,0xaaaaeffb,0x7d49ff30,0x3fee00ff,0xffb33302,0x7d433335,
    0x6fffffdf,0xb003ff98,0x5ffb01ff,0x5fffff30,0xfa87ff50,0x6c6fc87f,
    0x33fa00ff,0x4f883ff8,0x21facfb8,0xff801ffe,0xb01ffb06,0x81ffb1ff,
    0x13f60aa8,0x79ffff50,0x7d405ffd,0x4cbff34f,0x880eeeee,0x3fe606ff,
    0x803fff34,0xfff02ffb,0xffffffff,0x5e7fffd4,0x3f722ffe,0x40ccccef,
    0x26ffffff,0xff903ffc,0x0ffea0df,0x9fd03ffe,0xf301ffb8,0xfffff13f,
    0x5cc53e25,0x3e1fa9fe,0x6ff800ff,0xf501ffb0,0x2009ff9f,0xffa806fa,
    0x80ffee2f,0x9ff54ffa,0x07ffffd4,0xf3037fc4,0x05fff19f,0x3e05ff70,
    0xffffffff,0x8bffea7f,0xfff13ffb,0x83ffffff,0x26ffffff,0xff103ffb,
    0x0ffea03f,0x13fe1ffe,0x3f203ff5,0x5fffff16,0x7ffdd3e2,0x7ff43f53,
    0xb06ff801,0x3ffe01ff,0xff8801ff,0x44ffa801,0x3ea04ff9,0x4cbff54f,
    0x880ffecc,0x3fe606ff,0x7002ffec,0xff9005ff,0x227fd403,0x3f2a4ff9,
    0x40aaaadf,0x22abffea,0x3ba62ffc,0x2eeefffe,0xff30ffea,0xfb8dfb0d,
    0x7c4ffe07,0x9f1099cf,0x43f50bea,0xff802ffd,0x201ffb06,0xb006fffc,
    0x20fbaa9f,0x7fcc3ffa,0x453fea04,0x1ffb06ff,0x4c0dff10,0x005fffff,
    0x3200bfee,0x3fea01ff,0x2627fcc3,0xffb003ff,0x4c3ffb01,0xffffffff,
    0x273fea2f,0xb82fffb9,0x4ff98bff,0xf335ff50,0x269f107f,0xf90fd41e,
    0x0ffd00bf,0xff981ffa,0x16fa802f,0xff509fff,0x204ff987,0x3ffe4ffa,
    0x880ffd81,0x3fe606ff,0x7001fffd,0xff9005ff,0x21ffd403,0x7fcc4ff9,
    0x81ffb003,0x3a00fff9,0x3ffea07f,0x504fffff,0x9fffffff,0x3fffff60,
    0x14f883ff,0x261fa819,0x36103fff,0x37fc41ff,0x100dff30,0x3eff23ff,
    0x4c3ffa84,0xff9014ff,0x206ffe45,0xfff00ffd,0x7d67fcc0,0xffb800ff,
    0x01ffc802,0xff30ffea,0x003ff989,0x7ec41ffb,0x7555443f,0x2a0aaaff,
    0x1dffffff,0xffffff10,0xff883fff,0x83ffffff,0xa89fb4f8,0x6fffec1f,
    0xff75ebab,0x5ffb335d,0x00bffa20,0x4e7cd3f2,0x43ffa84f,0x337f4ff9,
    0x7c41fff7,0xfeaaceff,0x19fff00f,0xca7fcc26,0xffb806ff,0x01ffc802,
    0xff30ffea,0x56ffe549,0x7ec2aaaa,0x6fffcbbf,0xffffff98,0x3fea2fff,
    0xffe8009c,0xfff9999a,0xf883fee0,0x9f11aadf,0x83f50baa,0xffffffd8,
    0x3ffffa5f,0x65cc5fff,0xfa804ffe,0xffddfb0f,0x4c3ffa87,0xfffff4ff,
    0xfff507ff,0x01ffffff,0x3fffffee,0x7f49ff33,0xfc99985f,0xf90099bf,
    0x1ffd403f,0x7fc53fe6,0xffffffff,0x7ffffec6,0xaa880dff,0x0aaaffea,
    0x4c00ffea,0x5ff705fe,0x3fe22ff4,0x9df15fff,0xfb999999,0x3fffae03,
    0x7ffe42df,0xfffa83ff,0x2fe8805f,0x0fffbbb2,0xff987ff5,0x5dffff94,
    0x7fffec40,0x7fe403ef,0x9ff32fff,0xf31fffc4,0xffffffff,0x807ff20d,
    0x7fcc3ffa,0xffffff14,0xfd8dffff,0x002cdeff,0xffa81ffa,0x7005c003,
    0x2217fcc1,0xf15fffff,0xffffffff,0x011003ff,0x7cc01310,0xbf9002ce,
    0x7d427cc0,0x227fcc3f,0x19880018,0x4c199800,0x7ffd44ff,0xffffff32,
    0x3f20dfff,0x0ffea01f,0x00009ff3,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2aaa0000,0x544001aa,0x2aaa01aa,0x50aaaaaa,0x55555555,
    0x5540aaa1,0x2aaaaa22,0x5530aaaa,0x26155501,0x2a2000aa,0x2a60aa22,
    0x0155441a,0xa8803551,0xaaa881ac,0x2aa6009a,0x2aaaaaaa,0x55555553,
    0x02aaa555,0x2aa62aa8,0x4c355502,0xa954c02a,0x0aaa00aa,0xffff8544,
    0xc802efff,0x3fa06fff,0x2fffffff,0xfffffffd,0x6c1ffa3f,0xffff30ff,
    0x2e7fffff,0x37fdc3ff,0x54003ffb,0x361bea6f,0x3ffe45ff,0x304fffb8,
    0x8bfffffd,0xfffffffa,0x7fffec0c,0xf96fffff,0xffffffff,0x5417feed,
    0x3ffe24ff,0x907ffc41,0xb5fc80ff,0x3fe207ff,0xf8eff987,0xffffffff,
    0x7ffffc05,0xfffffd00,0x3ffa5fff,0xd1ffffff,0x43ff60ff,0xfffffff9,
    0x47ff73ff,0x3f61fff8,0x97ee001f,0xfffe85fb,0xf71fffe0,0xf309ffff,
    0x9fffffff,0x7fffffd4,0x3ff60fff,0x6fffffff,0xfffffff9,0x07ffcdff,
    0x3f207ff4,0x227fe45f,0xafec07fb,0xff505ffb,0xf9fff709,0x3ff262df,
    0xffff302f,0x27ffa07f,0xfd099999,0x4333333f,0x1ffb07fe,0x7dc1ffa0,
    0xb0fffa3f,0x7e4003ff,0x3fa17f25,0xffff32ff,0x7ff7ffdc,0x2e15fb04,
    0x7ff50fff,0x997ffaa2,0xfdaaaaaa,0x3333315f,0x7dc9fff3,0x427fd44f,
    0xff11fff8,0x407fb81f,0x0fff14fd,0x3e60bff2,0xb86ffdff,0x5ff706ff,
    0x3ffa0bff,0x007ff400,0x7fec1ffa,0x2e0ffd00,0x0bff73ff,0x97003ffb,
    0xdfd99dfd,0xaff7f459,0xf10ffdfc,0x209ff53d,0x51ffe808,0x7ff887ff,
    0x803ffd00,0xfff86ffc,0x5c03ffa0,0x07ffb5ff,0x4fd80ff5,0x3fe0bffa,
    0x3f7fee07,0x03fff06f,0x41ffedfd,0x7f400ffe,0x83ff400f,0xffd00ffd,
    0x3e2ffee0,0x1ffd80ff,0xfffffe80,0x3e5fffff,0xf7fd7fbf,0x9ff50c1f,
    0x51ffd800,0x1ffd07ff,0x405ffa80,0xfb81fff9,0x809ff54f,0x07ffbffe,
    0x8b261ff5,0x13fee4fd,0x7cc0bff3,0xfb06ffbf,0xb4ff885f,0x1ffd05ff,
    0x400ffe80,0x99999ffe,0xffd00ffe,0x3f6ffee0,0x03ffb02f,0x99bff970,
    0x7fc59bff,0xf9efbff9,0x09ff500f,0xf50fff80,0x00fff07f,0xfe803ffd,
    0x23ffe03f,0x7d400ffe,0xf303ffff,0xfe9ff21f,0xf71bfe63,0x3ff6207f,
    0xff906ff8,0xf52ffa87,0xffffd09f,0x3fa1ffff,0x23cccccf,0xfffffffe,
    0xffd00fff,0x3ffbfee0,0x007ff605,0x07fe1ff8,0x3fff27fe,0xf501ff8c,
    0x7fdc009f,0xf50ffea5,0x6ffa80df,0x2037fe40,0x04ffdffb,0x40dfffd0,
    0x3ffd0ff9,0x1fff0ffa,0x3aa07ff4,0x0dff1fff,0xffb0ffee,0x3a1bfe21,
    0xffffffff,0xffffffd0,0x7ffff4df,0x00ffffff,0x3fee0ffd,0x3f604fff,
    0x1ff1001f,0xff107fe2,0xf13fff53,0x13fea03f,0x507ffcc0,0xff955bff,
    0x2ffe805f,0x003ffe60,0x003ffffe,0x302fffec,0x7fff33ff,0x7ff90bfa,
    0x3ee1bfe2,0x41bfe0ce,0x37fc2ffc,0xffd03ffa,0x74555557,0x5eeeeeff,
    0x2aaabffa,0xfd00ffea,0x3effee0f,0x3ffb02ff,0x9ffa9880,0x2219ffa9,
    0x17ff88ff,0x3fea05ff,0x2fff9804,0x7fffffd4,0x7fd403ff,0x01fff406,
    0x004fffb8,0x03fffff3,0x3bee7fe2,0xfa85ff6f,0x007ff55f,0xffb06ff8,
    0x556ffcc3,0x7f43ffda,0x07ff400f,0x7ec1ffa0,0x20ffd00f,0xfffabffb,
    0x401ffd80,0xfffffffb,0x3fe67fff,0x17fc9fb0,0x4404ffa8,0xffa82fff,
    0x801defff,0x3ee02ffe,0x7ffc005f,0xfbffd000,0x27fe20df,0xff8ffafe,
    0xff97ff81,0x86ff8003,0x3f20fff9,0xffffffff,0x2007ff45,0x7f400ffe,
    0x201ffb07,0x7ff707fe,0x3f617ff6,0x7ffdc01f,0x7fffffff,0x054c3fe6,
    0x3fea07ff,0x0bffe204,0x4001ffd4,0x3e606ff9,0x7f4000ff,0x2dff5007,
    0x7ff03ffe,0x3feffadf,0xfe9ffd81,0xf833ae06,0x1ffec46f,0x3ffffffa,
    0x3fa0ffff,0x07ff400f,0x7ec1ffa0,0x20ffd00f,0xfff13ffb,0x001ffd85,
    0x42fdcbf7,0x3fe00ff9,0x209ff503,0x2a02fff8,0xfd8003ff,0x0fffa02f,
    0x401ffa00,0xfff52ffe,0x29fbff01,0xa80ffdfb,0x504ffdff,0x7ffc9fff,
    0x46fffcba,0xffb04ff8,0x555fff45,0x1ffd0aaa,0xfb07fe80,0x3eaaa21f,
    0xf70aabff,0x07ffdc7f,0x55557ffb,0x324fc835,0x407fa85f,0xb99913ff,
    0x22999dff,0xccccefff,0x007ff53c,0x2e06ff98,0xcccccfff,0x01ffa04c,
    0xffd1bfee,0x23ffff09,0x880ffff9,0x902fffff,0x7ffcdfff,0x40dfffff,
    0xff702ffb,0x7fffff49,0x1ffd2fff,0xfb07fe80,0x3fffe61f,0xf73fffff,
    0x25ffe87f,0xfffffffd,0xfb27ec5f,0xf80ff509,0xfffff34f,0x3eefffff,
    0xffffffff,0x8007ff56,0x3f603ffd,0xffffffff,0x101ffa07,0xffa85fff,
    0x23fff41f,0xfd00fffe,0x7fcc0fff,0x3bfffe3f,0x0ffb02cd,0xffd3ffc4,
    0x25ffffff,0x7f400ffe,0x261ffb07,0xffffffff,0x987ff73f,0xfffb2fff,
    0xe8bfffff,0x2e0ffa3f,0x9a7f407f,0xffffffff,0xfffff77f,0x3eadffff,
    0x3fe6003f,0x7fffec07,0x207fffff,0x7fe407fe,0xe8bffd06,0x3ffe44ff,
    0x80bfff70,0x000003ca,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x55553000,0x55540135,0xaaaaaaaa,
    0x03595300,0x03355553,0x5440d554,0x5554c00a,0x2a600000,0x04400002,
    0x40018004,0x00040018,0x22004000,0x1000acba,0xff500800,0x204ff987,
    0x7fdc0040,0x81dfffff,0xffffffff,0x7f4c1fff,0x2e0cffff,0xcfffffff,
    0x5c3fff40,0x3fe200ff,0x12e002ff,0x16a06fd8,0x4f7ffe40,0x6d42effb,
    0x80cfffff,0x3fffffd9,0x7dfffb30,0xfffed880,0x7ff6440e,0xffffe83e,
    0x3637fa2f,0x7fd43fff,0x20effea8,0x7fcc3ffa,0xbff3df34,0xfb80bbf2,
    0xffffffff,0x7fffffc0,0x221fffff,0xfffeffff,0x3ffffee5,0x7ff45fff,
    0x007fdc3f,0x005ffff9,0x7ec13ff6,0x01dff506,0xfffffff8,0x3f60ffff,
    0x45ffffff,0xfffffffa,0xfffffb84,0xfff706ff,0x7443ffff,0x45ffffff,
    0x26fd99ab,0xffffeefe,0x3f3fea3f,0x3ea6ffff,0x9a7fcc3f,0xfcfffeef,
    0x3fee07ff,0x00fffa62,0xffd80ffd,0x5c7ffe24,0xfff732ff,0x237fff43,
    0xff300ffb,0xe8805ffd,0xdfb01eff,0x07bff620,0x7ffd10c8,0x4de47fd1,
    0x7c5ffd30,0x220cc2ff,0xffdacfff,0x6fffcc3f,0x3f61ecab,0x2ffd88bf,
    0x3a7fb988,0xffbaefff,0x33fffea6,0xff52ffeb,0xf34ff987,0x3bffd5ff,
    0x3fee03ff,0x2027fd42,0x3ffc07fe,0xffba7fdc,0xfd1ffec2,0x7fdc5fff,
    0xff7dfd00,0x6fff4c05,0x3f666620,0x7e41999e,0xff9002ff,0x7d402fe4,
    0x01fff13f,0xfa87ffb0,0x01fff47f,0xff113fe6,0x7ffff54b,0xfd1bffa7,
    0x717ffd4f,0x0ffea7ff,0x3fe69ff3,0x3fe3ff94,0xb85ff703,0x3ff403ff,
    0xf30dff10,0x90bfeebf,0x7eff47ff,0x203fee6f,0x2ffaaffb,0xb09fff50,
    0xffffffff,0x7fff70ff,0x99efc880,0x953106fc,0x77ffc7ff,0x41ffa00b,
    0xdff10fff,0x335ff700,0x3e6dff33,0x3a7fb9bf,0x877640ff,0x7fcc4ffa,
    0xf987ff54,0x321ff34f,0x5c0ffe6f,0x3ffa62ff,0x203ff400,0x7fc41fff,
    0x7445ff76,0x337fa1ff,0x81ff71ff,0x5ff55ff8,0x207fff70,0xfffffffd,
    0xfff507ff,0xffffd989,0x226fffff,0xfffffffb,0x3ffffea3,0xb06ff82e,
    0x17fea3ff,0x3fffff60,0xff57ffff,0x7f4ff911,0x87ff5007,0x7ff54ff9,
    0xff34ff98,0x3ff9bf21,0xffffff70,0xffd003df,0x9adffe80,0xff77ffda,
    0x87fffb9b,0x75ff8dfe,0x0ffd81ff,0xffb85ff5,0x1bf6002f,0x15fff980,
    0x9dfd9dff,0x7ff47999,0x43ffeeef,0x5fffffd9,0x7e41ffe2,0x00bff51f,
    0xdddddffb,0x3ffe2bdd,0x1ffa7fff,0x261ffd40,0x87ff54ff,0x1ff34ffa,
    0x03ff9bf2,0xfffffff7,0x7fe801bf,0x7ffffcc0,0xff76ffff,0xd03bffff,
    0x2e3ff6bf,0x8ffea0ff,0xffd82ffa,0x0dfb001f,0x43bffa20,0x817f26fc,
    0x7fd45ffb,0x3fff6a03,0x3a07ffe1,0x0dff30ff,0x2003ff90,0x24c8cdd9,
    0xff5007fe,0xf54ff987,0xa7ff449f,0x4df90ff9,0x7ff703ff,0x0bffd753,
    0xe9807fe8,0x5ffdffff,0xfffdbff7,0x3e6bfd03,0x3a0ffbcf,0x817fd45f,
    0xd802fffb,0xfff9806f,0xff92fec5,0x3217fe40,0xffd803ff,0xf30fffa2,
    0x1fffc4df,0x0013fee0,0x5007fe80,0x4ff987ff,0xfd55fff3,0x43fe69ff,
    0x40ffe6fc,0x7fcc2ffb,0x01ffa00f,0x53fea330,0xdff52ffb,0x7ff4bfd0,
    0xbff70ffb,0x9bffb999,0x09fff505,0x7d406fd8,0x36fc84ff,0xc8447fff,
    0xffc88dff,0xf983913f,0x3ffea0ff,0x42fffa9d,0xbaacfffc,0x19fff11d,
    0x7fdc6a62,0xfd4fffff,0x0ffea00f,0x7ff49ff3,0x34ffdfff,0xf9bf21ff,
    0x05ff703f,0x7f403ffd,0x3ff20007,0x7ec5ff72,0xf52ff43f,0x3ee1ffdf,
    0xffffffff,0xfff305ff,0x8026201b,0xf302fffc,0xfffbffff,0x3ffe67ff,
    0x13ffefff,0xffffffff,0xfffffb0b,0x3ffa0bff,0x2a1fffff,0xffffffff,
    0xffffff72,0x401ffa9f,0x7fcc3ffa,0x53fffa24,0x21ff34ff,0x40ffe6fc,
    0x7fcc2ffb,0x01ffa00f,0xf73ffd40,0x237fcc5f,0x7fff45fe,0xddddd50f,
    0x09ddffdd,0x98a7ff44,0x99999999,0x803fff70,0xfd89fffc,0x3fea2fff,
    0x13ff8cff,0x7dfffffd,0x77fffdc0,0x7fff5c03,0x7ff4c0df,0x4001efff,
    0xff5007fe,0x884ff987,0x43fe6009,0x40ffe6fc,0xfbaacffb,0x3ff405ff,
    0x3b2eaa20,0x3fee1fff,0xfd17ff42,0x0ffffb8b,0x002ffa80,0x7ffdcbb1,
    0x24ffffff,0x202000ec,0x02660198,0x00266620,0x98000988,0x00333000,
    0x00000000,0x70000000,0xffffffff,0x07fe801d,0x7fffffcc,0x217fdc2f,
    0x17fa6ffb,0x001ffff1,0x40005ff5,0xfffffffb,0x000004ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0xefffffb8,0x0ffd002d,0x3defff98,
    0xff05ff70,0x3217fa5f,0xfa800fff,0x0000002f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x200b2a00,
    0x5401bca8,0xff103cec,0x5fffffff,0xff901bfa,0xf9827fe4,0x05fff15f,
    0x40005ffd,0x54031018,0x2008003c,0xdb82ceca,0x32a01cde,0x7bd9500c,
    0x54035300,0xeeeeeeee,0x542eee3e,0xbbbbbbbb,0x8000102b,0x3e2007fd,
    0x3fe601ff,0xfd884fff,0x441efeef,0xffffffff,0xc80ffb2f,0x41ffe26f,
    0x3fea2ffc,0x413fee0f,0x443360de,0x0ff442fe,0xd9105fb8,0xf107f221,
    0xf89fffff,0x5c1fffff,0xfc81ffff,0x100effff,0x3ee01fff,0xffffffff,
    0x7ec3ffe4,0xffffffff,0x077ff624,0x7fd80353,0x07ffe200,0x7edf7fc4,
    0x5567f42f,0x6640fe9a,0x0fffeccc,0x7ec01ff9,0x7c17fec5,0x35ffc87f,
    0x3ff20dff,0x3e65ff71,0x5ffd12ff,0xb54fb9dc,0xfe8affc4,0xffcbec86,
    0x7fdccdc7,0x3ffffe24,0x64e7fd41,0xfff904ff,0x2aaaa20b,0x3a1aaaaa,
    0x3bbbb27f,0x364ffeee,0x3a1fffff,0x03fec03f,0xfb80faa0,0x3f927f47,
    0xbf1bfdf9,0x21fff980,0x47951ffa,0x2ffd44fe,0x3a213fea,0x81ffebff,
    0x9ff13ff9,0xfeafffa8,0x2f7fe22f,0x2a2ffccf,0x07ff52ff,0x3ea07ff8,
    0x7fdd5c3f,0x3f637e41,0xff9ff986,0xffd00002,0xf8a7f400,0xbbfffbcf,
    0x3fec02ff,0x2fe40000,0xf95e97f2,0x8807ddf6,0x7fcc3ffe,0x3fe1ffd2,
    0x360fff83,0xfff301ff,0x9bfa09ff,0xfff506fe,0xffd505ff,0xd817ffff,
    0x01ff90ff,0x3fe13ff2,0x3fee04ff,0x3f22fec1,0xdf73fe86,0x33333310,
    0x3fec1333,0x3ea9fd00,0xfffff30f,0xfd99990f,0x6419999f,0xcccccccc,
    0xd8ff70cc,0x3f27f14f,0x203f53fc,0xff885ffd,0xff3fff8b,0x225ff905,
    0x7fdc06ff,0x23ff706f,0x3ee01ffb,0x7fe404ff,0x9ff100df,0x3f217fe2,
    0xfffdd05f,0x907fee0b,0x22ff41ff,0x21ffc6fa,0xfffffffb,0x01bf64ff,
    0x85514fe8,0x441effe8,0xffffffff,0xfff11fff,0xffffffff,0x3273fe63,
    0x327f12ff,0x03f50edf,0x3e01dff7,0x8efffbcf,0x6ff981ff,0xfb807ff5,
    0xbff106ff,0x74417fe2,0xea82ffff,0x0bffffff,0xffb8ffe4,0x8027fec1,
    0xffb81ffd,0x7efffcc1,0x0bfe21ff,0x7fdc1ff5,0x4fffffff,0x00000662,
    0xddd10088,0xddddfffd,0x3bbbba23,0x21eeeeee,0x45fffffd,0x5d7ef95e,
    0x0fffcc0f,0xf9fbbfd0,0x7ec0ff7f,0x200ffd8f,0x04fffff9,0x3fea5ff7,
    0x7e7ff442,0x37fe22ff,0x22ffdcfb,0x9ff33ff9,0x6677ff44,0xd533511c,
    0x7ee641ff,0x3fea1cdf,0x37e43fff,0x00005fe8,0x00000000,0x00007fd8,
    0x20b3b6a0,0x3f97c9fc,0x2fff88bf,0x47fffec0,0x2a07feff,0x204ffcff,
    0xfffaffe8,0x361ffd02,0x5ffd10ff,0x3c8bffea,0xe896a9f5,0xf11bfa6f,
    0x25ffffff,0x4ffffff9,0x7ffffffc,0x404d4c42,0x03310099,0x00000000,
    0x0ffb0000,0x0001c980,0xfd30bfa0,0xccfffd81,0x3ff21ccc,0x0bfff95f,
    0x01fffff8,0x7fd4fff6,0x11ff980f,0x0bfe63df,0x3ee05ff5,0x221fb105,
    0x666441fe,0xdb11cccc,0x9990379d,0x00039999,0x00000000,0x80000000,
    0x3e2007fd,0xfff701ff,0xd889ffff,0x41effeff,0xfffffff9,0x3ffee3ff,
    0x809fff33,0x2e06fffc,0x2ffec6ff,0x02980818,0x01e54055,0x00000602,
    0x00000000,0x00000000,0x36000000,0x3fe2007f,0xffff701f,0x32a09fff,
    0xfff302cd,0x47ffffff,0x3fe0fff9,0x7ffcc03f,0x83fff303,0x0003fff8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00553000,0x00004eb8,
    0x00000000,0x00000000,0x77777770,0x41777777,0x0ccccccc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2ee65771,0x002eee61,
    0x40664197,0x20888888,0x2ee00098,0xf87fdc2b,0xffffffff,0x3fe0ffff,
    0x001fffff,0x00000000,0x00000000,0x00000000,0x00000000,0xf3000000,
    0x70ffee9f,0x3ea01dff,0x907ff74f,0x22dfffff,0xfd801fff,0x3a5fc84f,
    0xeeeeeeee,0x3ba0eeee,0x001eeeee,0x00000000,0x00000000,0x00000000,
    0x00000000,0xf3000000,0x20bfea9f,0xf980eff9,0x907ff53f,0x32bddddd,
    0x7ec05fff,0x005fd02f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xff880000,0x2205ff53,0x985302bb,0xfff90002,0x00ddcc0b,
    0x00000077,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3e67ff10,0x0000001f,0x07ffa200,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x265ff000,0x000001ff,0x00098000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x06609980,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_24_latin1_x[224]={ 0,4,2,0,1,0,0,4,3,2,1,0,2,2,
4,0,0,1,1,1,0,1,1,1,1,0,4,2,1,1,2,3,0,0,1,0,1,2,2,0,1,1,2,1,
2,0,1,0,1,0,1,1,0,1,0,0,0,0,1,3,1,3,0,0,0,1,1,1,0,1,0,0,1,1,
1,1,1,0,1,0,1,0,2,1,0,1,0,0,0,0,1,1,5,2,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,1,0,0,0,
5,1,0,0,2,1,1,2,0,0,2,1,2,2,0,1,0,4,4,2,2,1,0,0,0,1,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,
 };
static signed short stb__consolas_bold_24_latin1_y[224]={ 17,0,0,1,-1,0,0,0,-1,-1,0,4,12,9,
12,0,1,1,1,1,1,1,1,1,1,1,4,4,3,7,3,0,0,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,-1,0,-1,1,19,0,4,0,4,0,4,0,4,0,-1,
-1,0,0,4,4,4,4,4,4,4,1,5,5,5,5,5,5,-1,-3,-1,7,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,17,4,-1,1,1,1,
-3,0,0,1,1,5,9,9,0,0,0,2,0,0,0,5,0,8,17,0,1,5,0,0,0,4,-3,-3,-3,-3,
-3,-4,1,1,-3,-3,-3,-3,-3,-3,-3,-3,1,-3,-3,-3,-3,-3,-3,5,-1,-3,-3,-3,-3,-3,1,0,0,0,
0,0,0,-2,4,4,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,4,2,0,0,0,0,0,0,0,
 };
static unsigned short stb__consolas_bold_24_latin1_w[224]={ 0,5,9,13,12,14,14,5,8,9,11,13,7,9,
5,12,13,11,11,11,13,11,12,11,11,12,5,7,10,11,10,9,14,14,12,12,12,10,10,13,12,11,9,12,
10,13,12,13,12,14,12,11,13,12,14,13,14,14,11,7,12,7,13,14,9,11,12,11,12,11,13,13,11,11,
10,12,11,13,11,13,12,12,11,11,12,11,13,14,13,13,11,10,3,10,13,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,5,10,13,13,13,
3,12,11,14,9,11,11,9,13,10,9,11,9,9,13,12,13,5,5,9,9,11,14,14,14,9,14,14,14,14,
14,14,14,12,12,12,12,12,12,12,12,12,13,13,13,13,13,13,13,11,13,13,13,13,13,14,12,12,12,13,
12,12,12,12,13,11,12,13,12,12,12,13,12,12,13,12,13,13,13,13,13,13,13,12,13,12,12,13,12,13,
 };
static unsigned short stb__consolas_bold_24_latin1_h[224]={ 0,18,7,16,21,18,18,7,23,23,11,13,10,3,
6,20,17,16,16,17,16,17,17,16,17,16,14,18,15,8,15,18,22,16,16,17,16,16,16,17,16,16,17,16,
16,16,16,17,16,21,16,17,16,17,16,16,16,16,16,23,20,23,9,3,6,14,18,14,18,14,17,18,17,18,
23,17,17,13,13,14,18,18,13,14,17,13,12,12,12,17,12,23,25,23,7,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,18,21,16,16,16,
25,20,6,17,13,11,7,3,12,6,9,15,10,10,6,17,20,5,4,10,13,11,17,17,17,18,20,20,20,20,
20,21,16,20,20,20,20,20,20,20,20,20,16,20,21,21,21,21,21,11,21,21,21,21,21,20,16,18,18,18,
18,18,18,20,14,17,18,18,18,18,17,17,17,17,18,17,18,18,18,18,18,13,18,18,18,18,18,22,22,22,
 };
static unsigned short stb__consolas_bold_24_latin1_s[224]={ 254,41,39,100,71,133,113,222,58,67,132,
1,248,123,82,124,154,128,140,116,67,36,60,165,48,28,248,14,81,210,104,
215,91,14,1,1,1,29,40,79,51,64,69,76,89,114,54,88,152,176,41,
209,14,14,233,219,204,189,177,28,224,20,196,108,49,129,73,167,189,179,131,
238,145,47,9,106,119,237,213,153,1,202,201,141,93,225,80,65,94,27,53,
36,5,47,240,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,
241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,254,183,191,
157,212,185,1,111,59,73,191,108,228,123,39,71,186,92,156,166,88,128,84,
248,102,176,29,144,181,233,41,244,166,1,209,137,237,133,226,196,81,42,16,
29,107,55,68,94,171,152,162,230,1,202,216,120,57,29,148,43,15,181,199,
15,28,148,189,215,202,98,115,221,176,162,120,228,141,102,168,196,241,56,59,
1,128,142,169,15,22,156,99,225,86,119,106,77, };
static unsigned short stb__consolas_bold_24_latin1_t[224]={ 1,70,173,126,27,49,70,160,1,1,160,
160,126,172,173,27,89,126,126,89,143,89,89,126,89,143,89,89,143,160,143,
70,1,126,143,108,126,126,126,108,126,126,108,126,126,126,143,89,126,1,143,
89,143,108,126,126,126,126,126,1,27,1,160,172,173,143,70,143,70,143,108,
70,108,70,1,108,108,143,143,143,89,70,143,143,108,143,160,160,160,108,160,
1,1,1,160,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,
108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,108,1,70,1,
108,108,108,1,27,173,89,143,160,160,172,160,173,160,143,160,160,173,89,27,
137,173,160,160,160,89,89,108,1,27,49,27,27,27,1,108,27,49,49,49,
49,49,49,49,49,108,27,1,1,27,1,1,160,27,27,1,27,27,27,108,
70,70,49,49,49,49,27,143,89,49,49,49,49,89,89,89,89,49,108,70,
70,70,70,70,160,89,70,70,70,70,1,1,1, };
static unsigned short stb__consolas_bold_24_latin1_a[224]={ 211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_24_latin1_BITMAP_HEIGHT or STB_FONT_consolas_bold_24_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_24_latin1(stb_fontchar font[STB_FONT_consolas_bold_24_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_24_latin1_BITMAP_HEIGHT][STB_FONT_consolas_bold_24_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_24_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_24_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_24_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_24_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_24_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_24_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_24_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_24_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_24_latin1_s[i] + stb__consolas_bold_24_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_24_latin1_t[i] + stb__consolas_bold_24_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_24_latin1_x[i];
            font[i].y0 = stb__consolas_bold_24_latin1_y[i];
            font[i].x1 = stb__consolas_bold_24_latin1_x[i] + stb__consolas_bold_24_latin1_w[i];
            font[i].y1 = stb__consolas_bold_24_latin1_y[i] + stb__consolas_bold_24_latin1_h[i];
            font[i].advance_int = (stb__consolas_bold_24_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_24_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_24_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_24_latin1_s[i] + stb__consolas_bold_24_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_24_latin1_t[i] + stb__consolas_bold_24_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_24_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_24_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_24_latin1_x[i] + stb__consolas_bold_24_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_24_latin1_y[i] + stb__consolas_bold_24_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_24_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_24_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_24_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_24_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_24_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_24_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_24_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_24_latin1_LINE_SPACING
#endif

