// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_27_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_27_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_27_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_27_latin1_BITMAP_HEIGHT        222
#define STB_FONT_consolas_bold_27_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_bold_27_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_bold_27_latin1_NUM_CHARS            224

#define STB_FONT_consolas_bold_27_latin1_LINE_SPACING          18

static unsigned int stb__consolas_bold_27_latin1_pixels[]={
    0x03cc8f32,0x99998810,0x33333099,0x98660033,0x20c40000,0x93aa0009,
    0xcc881dd8,0xedb80004,0xc88000bd,0xe9800ccc,0x00000005,0x10000000,
    0xd1000035,0xf800000d,0x201bfe6f,0xfff71ffc,0x3ffe5fff,0x3a607fff,
    0xdfff17ff,0x1ff88003,0x3e001df3,0x0dff72ff,0x4000fff1,0xefffffe9,
    0x3ffa2000,0x0df7001e,0x004fffb8,0x05fffb00,0x005fff70,0x22bbffee,
    0x3fd4004c,0x007fd400,0x06ff9bfe,0xfbb7ffcc,0xff2fffff,0x2e0fffff,
    0xff17ffff,0x22003fff,0xdffb4fff,0x25fff001,0xff886ffb,0xfff30007,
    0x01fffb79,0x01bffd10,0x4c02fec0,0x40004ffe,0xb800effd,0x402ffeff,
    0xfffffff9,0x3ee000ff,0x06fd8006,0x1bfe6ff8,0x22bfff10,0xf2ffc999,
    0x103333ff,0x4c35bfff,0xd006ffda,0x7ffc4dff,0x21ecc00e,0x7ff881dc,
    0x1ffe8800,0x6401ffd4,0xec8803ee,0x01efffff,0x0013ff62,0xc8027fec,
    0x07ff72ff,0xfffd33d8,0x05fc8005,0x3ffaba88,0x3fe6ff80,0x01efb806,
    0x1ffe5ff9,0x2017fea0,0x7e400ffe,0x7ffcc0ff,0xf8800004,0xffc8007f,
    0x000df901,0xfffffa80,0x0001ffff,0x00000000,0x00022000,0x2019fd31,
    0xffffffd8,0x3e6ff802,0xf900006f,0x201ffe5f,0xfc803ffb,0x3ffea01f,
    0x83fff702,0x55402aa9,0x22fff11a,0xff102cca,0x98ffd409,0x555402aa,
    0xfbffff11,0x8803fbbf,0x44000aba,0x44000aba,0x44000aba,0xd3000aba,
    0x81ffffff,0xfffffff9,0x37fc00ef,0x55554dff,0x901aaaaa,0x01ffe5ff,
    0x2e00bfee,0x3ffa02ff,0x237fec04,0xf301fffa,0x3ffe23ff,0x0dffffe8,
    0xaa887fdc,0xf52ff9b9,0x3fe603ff,0x26fff91f,0xfd8800ff,0x401effff,
    0xefffffd8,0x7ffec401,0x6c401eff,0x01efffff,0x3ffffff2,0x77ff40ff,
    0x05ffffbb,0x4dff37fc,0xffffffff,0x25ff904f,0xffb807ff,0x02ffb802,
    0xf100fff3,0x4fff83ff,0x7c4dff90,0xffffffff,0xfbb7f45f,0x3ff9ffff,
    0x7e413ffe,0x557ff66f,0xfff9807f,0x02ffffff,0xfffffff3,0x3fe605ff,
    0x2fffffff,0xffffff30,0xff505fff,0x1d9ff9ff,0xfa877fdc,0x3e03ffff,
    0xff9bfe6f,0x4fffffff,0x3fe5ff90,0x02ffb807,0xf903ffb8,0x3ffa00bf,
    0xe83ffe44,0x3ffe23ff,0xfffc8aef,0xff37ff11,0x9ff1ffff,0xfe83ffe4,
    0x2ffff23f,0xffe806fb,0x7fffcbcf,0x979fffd0,0x3fa0ffff,0xfffcbcff,
    0x79fffd07,0xfd0ffff9,0x20ff31bf,0x3ff23ffe,0x3fe05ffc,0x9999bfe6,
    0x04ffd999,0x1ffe5ff9,0x2007ff20,0xfff05ff9,0x1bff2007,0xf985fff1,
    0x3ffe20ff,0xaa7ffc0e,0xc9ffc9ff,0x7c4bfd7f,0x7ffcc2ff,0x3ffffe60,
    0x7ffdc05f,0x21fffcc1,0x7cc1fffb,0x7ffdc3ff,0x21fffcc1,0x7cc1fffb,
    0x3ffe23ff,0xff10df52,0x7ce7fc1f,0xf9bfe06f,0x4ffc806f,0x3fe5ff90,
    0x07ffcc07,0x441fff80,0xf5001fff,0x8bffb0ff,0x7fc44ffc,0x95ffc80f,
    0x36bff1ff,0xfd89fd7f,0x427fe45f,0xeffffffc,0x207fff02,0x7ffc6ffd,
    0xf8dffb03,0xdffb03ff,0xfb03fff8,0x87ffd4df,0x7ff985fb,0x3fe2bfe6,
    0xff8aaa07,0x04ffc806,0x1ffe5ff9,0x01ffff6c,0x2bffff70,0x22007ff9,
    0x7fd40fff,0x107ffe0f,0x3fee0fff,0x9ff1df96,0x227f5bfa,0x3fe0fffa,
    0xfffd501f,0x7c41dfff,0xfff501ff,0xa80fffc4,0x3ffe27ff,0x44fff501,
    0xff501fff,0xf93ffdcf,0x64dff509,0x007ffe7f,0xfc806ff8,0x25ff904f,
    0xffff07ff,0xfff50003,0x001bfead,0xfff03fff,0x221bfea5,0xdff707ff,
    0x4ffe7bf6,0xf07ff5fe,0x1bfea5ff,0x3ffffea0,0x81ffe66f,0xff30fff9,
    0x87ffcc0f,0x3e607ff9,0x0fff30ff,0xfa87ffcc,0x707fd0ff,0xf2ff4dff,
    0x7fc003ff,0x04ffc806,0x1ffe5ff9,0x01ffff64,0x27bfffb0,0x74006ffa,
    0x5ffc81ff,0xff107ffb,0x753ff20f,0xff2ff9df,0xf907ff19,0x00fff6bf,
    0x3ffabfe6,0x40fff52f,0xff51fff8,0x8fffc40f,0x3e207ffa,0x0fff51ff,
    0xf98fffc4,0x505ff3ff,0x8bfe6dff,0x3e000fff,0x4ffc806f,0x3fe5ff90,
    0x037fcc07,0x4c0eff98,0xf1000fff,0xfff101ff,0xf101fff3,0x4fffa0ff,
    0x8aff9dfe,0x81ff9cff,0xfff9fff8,0xf16fa800,0x1ffee7ff,0xf72fff88,
    0x7ffc40ff,0x440fff72,0xfff72fff,0xd17ffc40,0x13ff7fff,0x5dffe617,
    0x0fff10ff,0xc806ff80,0x5ff904ff,0x3fa01ffe,0x3ffa800f,0x002fff88,
    0x7ec0fff5,0xf105ffef,0x3fff70ff,0x2ffe3bf6,0x07fccffc,0x17ffbff6,
    0xfff2fdc0,0x881ffea5,0xfff51fff,0xa8fffc40,0x3fe207ff,0x40fff51f,
    0x3ea1fff8,0xffffffff,0x3fa3ffe0,0xe81bfea5,0x201bfe5e,0xff904ffc,
    0x3201ffe5,0xffb802ff,0x009fff02,0xfa81bff2,0xf102ffff,0xffb557ff,
    0xffb7e47f,0x3fffffff,0x3ffffea0,0x3f615702,0x263fff94,0xff300fff,
    0x807ffccf,0x3fe67ff9,0x4fff300f,0xf300fff9,0xffff50ff,0x7f41ffff,
    0x3f23ffcf,0xf9bfe04f,0x4ffc806f,0x3fe5ff90,0x02ffb807,0xf902ffb8,
    0x3ffa00bf,0x37fffc03,0xffffff10,0x7fc8bfff,0xfff3dff5,0xdffff00b,
    0x7fffff40,0x224ffffe,0xff501fff,0x80fffc4d,0x3fe26ffa,0x4dff501f,
    0xf501fff8,0x3faa20df,0x7fe42cef,0xfff50fff,0xff37fc01,0x09ff900d,
    0x3ffcbff2,0x4017fdc0,0xff302ffb,0xfff8801f,0x17ffe400,0xffffff10,
    0x3ff705df,0x000a88a6,0x7405fff9,0xffffffff,0x04fff84f,0xfff8bffb,
    0xf8bffb04,0xbffb04ff,0xfb04fff8,0x05fc80bf,0x6e7ffff4,0x7fc04fff,
    0x3201bfe6,0x5ff904ff,0x3ee01ffe,0x2ffb802f,0xb017ffa0,0xff900bff,
    0x8fff880d,0x27fc4009,0x6ffc8000,0x7ff6e540,0xff700cde,0x1fffb85f,
    0x2e17ffdc,0x7fdc1fff,0x0fffdc2f,0xf70bffee,0x4fd803ff,0x7ffffc40,
    0x7c00dfff,0x201bfe6f,0xff903ffe,0x2e01ffe5,0xffc803ff,0x0fffe601,
    0x2007ffdc,0x4403fff9,0x7ec007ff,0x7cc0001f,0x3e6003ff,0xffff1007,
    0x09fffd9d,0xd9dffff1,0xff109fff,0xfffd9dff,0xdffff109,0x009fffd9,
    0xff7005fd,0x2007dfff,0x01bfe6ff,0x3205fff1,0x00fff2ff,0xfd00bff3,
    0xfffc801f,0x41fffcc1,0x5fffb998,0x007ff880,0x260f7fd4,0xfb99882c,
    0x7dc005ff,0x3ffe6006,0x00dfffff,0xfffffff3,0x3fe601bf,0x0dffffff,
    0xffffff30,0xff001bff,0x33dfb003,0x26ff8001,0x115956ff,0x221fffd7,
    0xf2ffc999,0x103333ff,0x4c35bfff,0x8806ffda,0xff10fffe,0x3ffe60bf,
    0xf8800eff,0xffc8007f,0x83fffeff,0x0efffff9,0x002fe400,0x3bffff62,
    0xfffd8803,0xfd8803ef,0x8803efff,0x03effffd,0x8801ff10,0x3e0003ff,
    0x7ddbfe6f,0x2fffffff,0x3fffffee,0xfffffff2,0x5ffffee0,0x01fffff8,
    0x36bffd10,0xff300eff,0x7c4009ff,0xff70007f,0x303bffff,0x0009ffff,
    0x88000262,0x13100009,0x00262000,0x40004c40,0x1ee98019,0xf9bfe000,
    0xfffff56f,0xfffb85df,0xffff2fff,0x7f540fff,0x3dfff17f,0x30ee8800,
    0x5dc401df,0x1998000a,0x55dcc000,0x02aee200,0x00000000,0x00000000,
    0x00000000,0xff800000,0xaa89bfe6,0x333101ab,0x26661333,0x33001999,
    0x220000cc,0x000004c0,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0dff37fc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x15540000,0x00000555,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x31030000,0x00310300,0x000efed4,
    0x0c40c000,0x00000000,0x00000000,0x0000c40c,0x00000000,0xb80b2e00,
    0x80004fff,0x5c02fffd,0xfe802fff,0xe817fe26,0x017fe26f,0x03ff7fe6,
    0x009fff70,0xbff137f4,0x0bffee00,0x013ffee0,0x05fffb00,0x402fffb8,
    0x17fe26fe,0x02fffd80,0x40bfff60,0x0004fffb,0x4c03fff7,0x20004ffe,
    0x5c00effd,0x202ffeff,0xff51fff9,0x3fff301f,0x7003ffea,0x200bf25f,
    0x9804ffe9,0xfff51fff,0xfeffb801,0xffe9802f,0xdffb0004,0xfeffb801,
    0x3fff302f,0x2003ffea,0x2000effd,0x4c00effd,0xd8004ffe,0x6c403fff,
    0xfd8004ff,0x2ffc804f,0x7f407ff7,0x40bff10e,0xbff10efe,0xfd3bf500,
    0x3ff62003,0x10efe804,0xffc80bff,0x1007ff72,0xd8009ffb,0xffc804ff,
    0x3a07ff72,0x0bff10ef,0x8009ffb0,0x22004ffd,0x54004ffd,0x00001fff,
    0x00000000,0x006204c4,0x00188131,0x0013fff6,0x88131000,0x00000001,
    0x00000000,0x06204c40,0x00000000,0x37300000,0x44026620,0x02662099,
    0x33104cc4,0x88266201,0x13310099,0x0055d440,0x002b2a20,0x26666666,
    0x26200999,0x4c400099,0x99880099,0x09999999,0x4cccccc4,0x99880999,
    0x09999999,0x4cccccc4,0x4ccc0999,0x09999999,0x31002662,0x4ccc4013,
    0x7f400000,0x4bff702f,0xff702ffe,0xb817ff4b,0x0bffa5ff,0x6c42ffdc,
    0x01efffff,0x06ffff88,0xfffffff8,0xff106fff,0x7c400dff,0xfc806fff,
    0xffffffff,0x7ffffe45,0xfc85ffff,0xffffffff,0x7ffffe45,0x7fc5ffff,
    0xffffffff,0x403ffee6,0xf102fff8,0xf800dfff,0x05ffd06f,0xffe97fee,
    0x74bff702,0xbff702ff,0xfb817ff4,0x7fffcc5f,0x402fffff,0x01fffffa,
    0x7ffffffc,0xff506fff,0x2a003fff,0x401fffff,0xfffffffc,0x7ffe45ff,
    0x85ffffff,0xfffffffc,0x7ffe45ff,0x45ffffff,0xffffffff,0x1fffc6ff,
    0x2a06ffc8,0x001fffff,0x7ff41bfe,0x74bff702,0xbff702ff,0xfb817ff4,
    0x40bffa5f,0x7ff45ffb,0x7fffcbcf,0x7ffffe40,0x7dd55403,0x902aabff,
    0x007fffff,0x0ffffff2,0x999dff90,0xffc87999,0x3cccccce,0xccceffc8,
    0x7fe43ccc,0x3cccccce,0x7ffdd554,0x7fdc2aab,0x0fffc40f,0x7fffff90,
    0x0dff7100,0x7dc0bffa,0x40bffa5f,0x3ffa5ffb,0x74bff702,0xbff702ff,
    0x260fffdc,0x3fe03fff,0x2005ffcf,0xff007ff9,0x200bff9f,0x05ffcfff,
    0x9002ffe4,0xfc800bff,0x3ff2005f,0xfff30005,0xc87fff00,0x7ffc05ff,
    0x36205ffc,0xfd07ffff,0x97fee05f,0xff702ffe,0xb817ff4b,0x0bffa5ff,
    0xfff2ffdc,0x41bff607,0xfff9eff9,0x0fff3000,0xff3dff30,0xeff9801f,
    0x3200fff9,0x3f2005ff,0x7fe4005f,0x17ff2005,0x03ffcc00,0xff13ffdc,
    0x77fcc03f,0xfd00fff9,0x3a0fffff,0xbff702ff,0xfb817ff4,0x40bffa5f,
    0x3ffa5ffb,0x22bff702,0xff501fff,0x7d3fee0f,0xff3002ff,0x29ff700f,
    0x7dc02fff,0x405fff4f,0x32005ffc,0x7e4005ff,0x3ff2005f,0xfff30005,
    0x64fffe00,0x7fdc05ff,0xf705fff4,0xffd007ff,0xe97fee05,0xbff702ff,
    0xfb817ff4,0x40bffa5f,0xfff35ffb,0x407ffcc0,0x9ffb1ffe,0x01ffe600,
    0x7fec7ffa,0xd8fff404,0x3ff204ff,0x0999999d,0x4cceffe4,0xffc80999,
    0x0999999d,0x4cceffe4,0x3e600999,0xdff7007f,0xe803fff1,0x09ffb1ff,
    0x3a00dffb,0xbff702ff,0xfb817ff4,0x40bffa5f,0x3ffa5ffb,0x2abff702,
    0x3fe207ff,0x73ffc41f,0x3e600fff,0x3ffc407f,0x7c40fff7,0x81ffee7f,
    0xfffffffc,0x7ffe43ff,0x83ffffff,0xfffffffc,0x7ffe43ff,0x03ffffff,
    0x4401ffe6,0x05ffdfff,0xff73ffc4,0x00bffd0f,0x7dc0bffa,0x40bffa5f,
    0x3ffa5ffb,0x74bff702,0xbff702ff,0xf881ffee,0x2ffd42ff,0x3003fff1,
    0xffa80fff,0x407ffe25,0x3fe25ffa,0xffff901f,0xc87fffff,0xffffffff,
    0xffffc83f,0x643fffff,0xffffffff,0x1ffe603f,0xfffffb80,0x12ffd401,
    0xffc83fff,0x2ffe800f,0x7f4bff70,0x4bff702f,0xff702ffe,0xb817ff4b,
    0x0fff55ff,0x360fffc4,0x1fff43ff,0x203ffcc0,0x7ff43ffd,0xe87ffb03,
    0xdff903ff,0x83555555,0xaaaaeffc,0xeffc81aa,0x41aaaaaa,0xaaaaeffc,
    0x3fe601aa,0x3ffe2007,0x3ffd805f,0x3ea1fff4,0x7f402eff,0x4bff702f,
    0xff702ffe,0xb817ff4b,0x0bffa5ff,0xff9affdc,0x0fff300f,0xffc81fff,
    0x07ff9806,0x3f207ffc,0x81fff06f,0xff906ffc,0x2ffe400b,0x017ff200,
    0x0005ffc8,0xb800fff3,0xff801fff,0x437fe40f,0xeefffffc,0xc81fff40,
    0x0fffa4ff,0xffd27fe4,0xe93ff207,0x9ff903ff,0x5407ffe2,0x7ffcc6ff,
    0xffffffff,0x03ffcc00,0xfffffff3,0xf981ffff,0xffffffff,0x5ffc80ff,
    0x017ff200,0x400bff90,0x30005ffc,0xf9800fff,0xfff9807f,0xffffffff,
    0xfffffc80,0x827fec0f,0x3ff62ffd,0x6c5ffb04,0x5ffb04ff,0xfd827fec,
    0x413ffe2f,0x7fe45ffd,0xffffffff,0x3ffcc02f,0xffffff90,0xc85fffff,
    0xffffffff,0xffc82fff,0x17ff2005,0x00bff900,0x8002ffe4,0x4c007ff9,
    0xffc807ff,0xffffffff,0xffd9102f,0x0fffb81f,0xf70fffc4,0xfff881ff,
    0x103ffee1,0x7fdc3fff,0x0fffc40f,0xfb85fff7,0x6fff41ff,0xffeccccc,
    0x03ffcc05,0x9999bffd,0xfe8bffd9,0xecccccdf,0x5ffc85ff,0x017ff200,
    0x400bff90,0x30005ffc,0xf9800fff,0xdffe807f,0xffeccccc,0xf1031005,
    0xff757dff,0xefff889f,0x44fffbab,0xbabefff8,0x7fc44fff,0xfffbabef,
    0x77fffc44,0x444fffec,0x3fee07ff,0xffdccc87,0xff13cccf,0x13ffdc0f,
    0x7fdc0fff,0xeefffc87,0x7e44eeee,0xeeeeeeff,0xeefffc84,0x7e44eeee,
    0xeeeeeeff,0x7fee6644,0x4c03cccf,0x7fc407ff,0x01ffee07,0x3fffee00,
    0xb80effff,0xffffffff,0xffffb80e,0xb80effff,0xffffffff,0xffff980e,
    0x5c0dffff,0x3fe605ff,0x7ffffc1f,0xf76fffff,0x7ffcc0bf,0x4c0bff71,
    0x7fe41fff,0x5fffffff,0x7fffffe4,0xffc85fff,0x5fffffff,0x7fffffe4,
    0x7ffc5fff,0x6fffffff,0x203ffcc0,0x3e605ffb,0x980001ff,0x04fffffe,
    0x7fffff4c,0x7fff4c04,0x7f4c04ff,0x4404ffff,0x03effffd,0xff805ffb,
    0x7ffffc4f,0xfb6fffff,0x4fff805f,0xff805ffb,0x7fffe44f,0x645fffff,
    0xffffffff,0xffffc85f,0x645fffff,0xffffffff,0x7ffffc5f,0x406fffff,
    0x7ec07ff9,0x27ffc02f,0x02660000,0x00026600,0x26000266,0x09880009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x88000000,0x00000aba,0x40188180,0x1ceeedc9,0x00006a20,
    0x006a2000,0xcccba880,0x079913cc,0x00353000,0x400ccc80,0xb809aaa9,
    0x0b3202dd,0x1dd893aa,0x003cc880,0x03333220,0x073bb722,0x7fffec40,
    0xff7001ef,0x26fe805f,0xffb05ff8,0x209fffff,0xc8aefffb,0x7ffec004,
    0x3bffee02,0x74c04c8a,0xffffffff,0x0003ffe5,0x004fffd8,0x220dff50,
    0xfffffffc,0x17ffff61,0x3fe03fee,0x00dff72f,0x000bfffb,0x703dffd1,
    0x9fffffff,0xfffff980,0x5c02ffff,0x302ffeff,0x3fea3fff,0x6fffe40f,
    0xf984fdcc,0xffffffff,0x1dffb000,0x7ffffcc0,0xf700ffff,0xfddfffff,
    0x027fdcbf,0xfeadfb80,0x2ffd8002,0xfffffe98,0x5ff31fff,0x7fc41ff5,
    0x2e5fff03,0x7fec06ff,0x22004ffb,0xf980dffe,0xfffecfff,0x33fffa02,
    0x207fffcb,0x7ff72ffc,0x7c43bfa0,0x04ffe85f,0x7f4cf601,0xffb002ff,
    0x74cf6009,0xff302fff,0x3eadffff,0x01ffe25f,0x3fb8fec0,0x43ffc400,
    0xacdffff8,0x4df71fdc,0x817fa2fe,0x00ee43d9,0x3ba63bd7,0x07dd9002,
    0x3f627fec,0x3fff505f,0x003fff98,0x2204c400,0x009fff01,0x00001100,
    0x90022000,0x2dffffff,0x7fe45ffa,0xadfb8003,0x7e4002fe,0x2fffc83f,
    0xd9bee110,0x001ff74f,0x00000000,0x707ffe00,0x3ffa0bff,0x30dffb04,
    0x33333333,0x99999813,0x6c099999,0x4400cfff,0x02660199,0x00099988,
    0x2004ccc4,0x6ffffffe,0xff98bff5,0xffe88006,0x7fc4005f,0x1fffcc0f,
    0xf88ff880,0x003ff8af,0x00157973,0x002af2e6,0x4055e5cc,0x3a20fff8,
    0xfff883ff,0xf0fff501,0xffffffff,0xfffff8df,0x226fffff,0x02fffffd,
    0x260ffff6,0xfff105ff,0x7fc400df,0x7ffc06ff,0xff56ffff,0x003ffd0b,
    0x2000aea0,0xffb85ffb,0x3ffa000f,0x00dfb6ff,0xffffffb1,0x7ffec405,
    0x36202fff,0x42ffffff,0x3fa27ff8,0x0fff306f,0x3e07ffcc,0xffffffff,
    0x7ffffc6f,0x3a6fffff,0xdfffffff,0x87fffd80,0xff505ff9,0x2a003fff,
    0x201fffff,0x6ffffffe,0xff50bff5,0x65d4400b,0x3a000acc,0x6ffc81ff,
    0x77fe4c00,0x4401ffa8,0xffeefffe,0xfffe881f,0x881fffee,0xffeefffe,
    0xd9ffe21f,0x3fea05ff,0x07ffe207,0x7fff7555,0xbaaa8555,0x52aabfff,
    0xfff93fff,0xfffd83ff,0x82ffcc3f,0x03fffffc,0x7fffff90,0x7ffffe40,
    0x20bff56f,0xfb800fff,0x3fffffff,0xb06ff980,0x84000bff,0xfc803ff8,
    0x1bff20df,0xfc837ff2,0x0dffc86f,0xff89bff2,0x401fff37,0x3e207ffb,
    0x3fe602ff,0x1ffe6007,0xfd32ffec,0x7fec1fff,0x2ffcc6ff,0x5ffcfff8,
    0xff9fff00,0x7fffc40b,0x0bff56ff,0x2e013fee,0xfffeefff,0x17fec02f,
    0x0004ffe8,0xf8806fd8,0x1fff81ff,0x3e07ffe2,0x3ffe21ff,0xf11fff81,
    0x03ffe6ff,0x2207ffa8,0x3e601fff,0x3fe6007f,0x90dffb07,0x7fec7fff,
    0x3fe62fff,0xf9eff985,0x7fcc00ff,0x200fff9e,0x56fffff9,0x3fe20bff,
    0xd80ba807,0x3fe205ff,0x017ffa07,0x003ff500,0x3333dff5,0x7d45ffd3,
    0xe99999ef,0x3bfea2ff,0xffe99999,0x3e2fff12,0xff500dff,0x3ffe601f,
    0x01ffe600,0xf707ff98,0xbffd09ff,0x37fe7fec,0xff70bff3,0x700bffe9,
    0x0bffe9ff,0x2dfff710,0x3f605ffa,0x3e60002f,0x13ff207f,0x0006ffc8,
    0x66dd3fe2,0xfffffb81,0x23ffffff,0xfffffffb,0x3ee3ffff,0xffffffff,
    0x4fff13ff,0x981efffc,0xff501fff,0x07ff980f,0x441ffe60,0x361dffff,
    0x27ff65ff,0xbff31fff,0x3f63ffd0,0x8fff404f,0x44004ffd,0x4c0bff50,
    0x998006ff,0x3fe07ffa,0x3ffee00f,0x2dfb0000,0x643ffffe,0xffffffff,
    0x3ff23fff,0xffffffff,0x3ffff23f,0x3fffffff,0xffd8fff1,0x4fff80ff,
    0x9809ffb0,0x3e6007ff,0x3ffe607f,0x3fff8cff,0x3fee3ff6,0xf88bff35,
    0x81ffee7f,0x3fee7ff8,0x3fea0007,0x00fff405,0x3fffff22,0xbff507ff,
    0x04fff980,0xfa9ffa80,0x7dc6fcaf,0x999999df,0x37fee099,0x99999999,
    0x2677fee0,0x10999999,0xfff70fff,0x85fff90b,0x4c01fffb,0x3e6007ff,
    0x7ff4c07f,0x20efffff,0xfff88ffd,0x7d45ff98,0x07ffe25f,0xff12ffd4,
    0x3ea0003f,0x2ffd405f,0xffffff50,0x3fa0ffff,0xfffe801f,0x7c40a884,
    0x3e2bf94f,0x01bfea1f,0x800dff50,0x22006ffa,0xfff907ff,0xbdffff10,
    0x3009fffd,0x7cc00fff,0xfff7007f,0xffd83dff,0xff39ff90,0x743ffd8b,
    0x7ffb03ff,0x0003ffe8,0xff00bff5,0xbfff101f,0x21ffe613,0xf3006ff9,
    0xfdbdffff,0x326fc83f,0xf88bfe4f,0x3e2003ff,0x3e2003ff,0xff1003ff,
    0x41ffe60f,0xfffffff9,0xfff3005f,0x03ffcc00,0x0bfffb10,0x3fe21ffb,
    0x7fc5ffaf,0x837fe40f,0x7fe40fff,0xbff70006,0x507ff900,0xfff30fff,
    0x4005ffb0,0xfffffffa,0x87fea1ff,0x83ff36fa,0xa9adfffc,0xfffc84cb,
    0x84cba9ad,0xa9adfffc,0x5ffe24cb,0x6ffdaab9,0x3ffff260,0x3fe6003e,
    0x1ffe6007,0x21fff600,0x3ff60ffd,0x3fe65ffd,0xffffffff,0x7fffcc0f,
    0x0fffffff,0x03ffd800,0xfb87ff88,0x3fff447f,0x2001ffe2,0xefffffc8,
    0x889fd10c,0xd05fffff,0xffffffff,0x3ffffa0b,0xfd05ffff,0xbfffffff,
    0xffabffc4,0x9801ffff,0xf98007ff,0x3fe6007f,0x7fe40107,0x260ffd86,
    0x325fffff,0xffffffff,0x7fe42fff,0xffffffff,0xf102e02f,0x3f6005ff,
    0x6fffd42f,0x47fffeba,0x20004ffb,0xfc80bffb,0xdffda80e,0x3fffee00,
    0x3ee04fff,0x04ffffff,0x3fffffee,0x55ffe24f,0x001dffff,0x0288fffe,
    0x3003ffcc,0x33ee0fff,0x4fffcbab,0x7f40ffd8,0x3ffa5fff,0xfecccccd,
    0x66fff45f,0x5ffecccc,0xfb7bff50,0x7cc00dff,0xffffe86f,0x7c7feeff,
    0x360000ff,0x0880007f,0x02666200,0x00999880,0x00266620,0x90000988,
    0x3ffddfff,0xfffdccc8,0x66643ccc,0x3cccfffd,0xfffffff7,0x1ffb01df,
    0x15ffffa8,0x7fdc0fff,0xb81ffe27,0xfffb07ff,0x003fffff,0x6c41ffe8,
    0xffb4ffff,0x0002ffd4,0x000013fe,0x00000000,0x00000000,0x7ffff440,
    0x7fffc4ff,0x46ffffff,0xffffffff,0xfffb56ff,0x7ec07dff,0x5ffff80f,
    0x7cc0bff7,0x0bff71ff,0xa80fffcc,0x003efffd,0x2207dd50,0x1eec8019,
    0x07ba2000,0x00000000,0x00000000,0xd7000000,0xfff05bff,0xdfffffff,
    0xfffffff8,0x00206fff,0x7dc07fec,0x05ffb5ff,0xffb4fff8,0x04fff805,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x33220000,0x8006a24c,0x200cccc8,0x32603cc8,0xc88003cc,0x930262de,
    0xd5000799,0x260eec49,0x10003ccc,0x3aa00799,0x91077624,0xc8800099,
    0x49d5003c,0x44001dd8,0x3100cccc,0x10000357,0x08019999,0x3ffee000,
    0x1002fffe,0xd803dffd,0x3ea05fff,0x3a2004ff,0xfebdffff,0x027ffd40,
    0x7dcbffe0,0x4fffa86f,0x5fffd800,0xf72fff80,0x07ff88df,0x2fffec00,
    0xfb97ffc0,0x3fa2006f,0xfff701ef,0x20001bff,0x401effe8,0x22000efd,
    0xffffffec,0xffe8802f,0x5ffec00d,0x3fa204ff,0x7df3004f,0x20bffffd,
    0x2004ffe8,0xdff72fff,0x013ffa20,0x4ffbffd8,0xfb97ffc0,0x03ffc46f,
    0xff7ffb00,0x72fff809,0x3a200dff,0xff500dff,0x00dfffff,0x01bffd10,
    0x004fffa8,0x3fffffe6,0xdd9000bf,0x23bd7007,0x76402ee9,0x5413003e,
    0x76400bdd,0x87b3003e,0x776401dc,0x31deb803,0x1ecc05dd,0xfff10772,
    0x477ae000,0x36602ee9,0xc800ee43,0x7ffc03ee,0x003fff32,0x5003eec8,
    0x4c009fff,0x6fff9acd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x003ffc40,0x00000000,0x37fcc000,0x0000fff2,0x0077ec00,0xfffeb980,
    0x332ea203,0x5d4400ac,0x9800accc,0x4400abcb,0x00acccba,0x055e5cc4,
    0x3332ea20,0x32ea200a,0x4c400acc,0x8800abcb,0x880abcb9,0x599517ff,
    0x220aaa20,0x155442aa,0x2a215544,0x42aa882a,0x7fec6ff9,0x79731002,
    0x00000015,0xffffffd3,0xffff701f,0x2e07ffff,0xffffffff,0xffffb103,
    0x3fee05ff,0x03ffffff,0xffffffd3,0x3fffee05,0xfb83ffff,0x3fffffff,
    0xfffffd30,0x7ff4c05f,0x7c42ffff,0xffffe8ff,0x43ffc40d,0x7fc47ff9,
    0x447ff987,0x7ff987ff,0xff51fff8,0xffd3001f,0x5305ffff,0x00155555,
    0x7fffffcc,0xffb83fff,0x2ffffeef,0xfeefffb8,0x7f442fff,0x1fffeeff,
    0xfeefffb8,0x7fd42fff,0x3fffffff,0xfeefffb8,0x7fdc2fff,0x2ffffeef,
    0x7fffffd4,0xffa83fff,0x3fffffff,0x3fffffe2,0x7c45ffff,0x47ff987f,
    0xff987ff8,0x4c3ffc47,0xeffc87ff,0xa802fffb,0xffffffff,0x7fffe43f,
    0x3fa003ff,0x1fff61ef,0x3ff602ea,0xfd80ba85,0x06ffe45f,0x1750dff9,
    0x7c4bffb0,0xffc9aeff,0x405d40ff,0x05d45ffd,0xff12ffec,0xfff935df,
    0x77ffc41f,0x0ffffc9a,0x15dffff1,0x7c43fff9,0x47ff987f,0xff987ff8,
    0x4c3ffc47,0xfff887ff,0xf8802fff,0xffc9aeff,0x3fff20ff,0xf7003fff,
    0xfffa81ff,0x1ffe6001,0x44fff300,0xfff81fff,0x9ffe6001,0x7c40fffb,
    0x3e6003ff,0x3fe6007f,0x103ffee7,0x7fdc7fff,0x9fffc40f,0x7c0efff8,
    0x1ffe24ff,0xff11ffe6,0x88fff30f,0x7ff987ff,0x0efffe88,0x81fff700,
    0x2623fff8,0x003ffe99,0x3fe09ff9,0xfa99802f,0xf533007f,0x4f7fd4ff,
    0x2ffe9999,0x7ffa9980,0x7f40fff6,0xfa99804f,0xfa99807f,0x40fff67f,
    0x3ff64ffe,0x229ffd03,0xffc80fff,0x261ffe25,0x3ffc47ff,0x3e23ffcc,
    0x47ff987f,0x1fffffe8,0xffb0bff3,0x813ffa07,0xfd003ffe,0x0fffe07f,
    0x3fffff22,0xff9107ff,0x5cffffff,0xffffffff,0xfc883fff,0x27ffffff,
    0xff902ffe,0xffff910b,0xf910ffff,0x4fffffff,0xff902ffe,0xc817ff4b,
    0x0fff15ff,0xff89bfee,0x447ff987,0x7ff987ff,0x7cc3ffc4,0x6effec7f,
    0x4ff98fff,0xf902ffe8,0x1fff40bf,0xd02fff80,0xfffa87ff,0x87ffffff,
    0xfffffffa,0x3fff27ff,0xffffffff,0x7ffffd43,0x3fe7ffff,0x8dff702f,
    0xfffffffa,0x7ffd47ff,0x27ffffff,0xff702fff,0xb817ffcd,0x0fff16ff,
    0xff89bfee,0x447ff987,0x7ff987ff,0x7cc3ffc4,0x43ffe67f,0x3ffbeffe,
    0xf702fff8,0x1fff40df,0xf04ffe80,0x7ffc47ff,0x8fff309d,0x309dfff8,
    0x6ffdcfff,0x99999999,0x277ffe20,0x7f4fff30,0x4bff904f,0x309dfff8,
    0x7ffc4fff,0x4fff309d,0xff904ffe,0xc827ff4b,0x0fff15ff,0xff893ff2,
    0x447ff987,0x7ff987ff,0x7cc3ffc4,0x897fee7f,0x81ffffff,0xff904ffe,
    0x01fff40b,0xf886ffd8,0x1ffea1ff,0xff51ffe6,0x54fff30f,0x7d4006ff,
    0x27ff987f,0xffd06ffd,0x4c3ffd47,0x1ffea7ff,0xffd9ffe6,0x6c7ffd06,
    0x7ffd06ff,0x7f41ffe2,0x03ffe23f,0xff88fff9,0x23ffe40f,0x7e40fff8,
    0x313fee7f,0x360dffff,0x7ffd06ff,0x801fff40,0x7ec1fffc,0x23ffdc7f,
    0x7dc7ffe8,0x3fff447f,0x4007fff1,0x7f447ffb,0x0bffee7f,0x7dc3fff5,
    0x3fff447f,0xfe88fff7,0x0bffee7f,0x7dc3fff5,0x7ffd42ff,0xf70fff11,
    0x7ffc43ff,0x11fffee1,0x7fdc3fff,0x0fffc47f,0x7d4ffff7,0x7ffdc0ff,
    0x85fff704,0x3a01fffa,0xff1003ff,0xfffb7dff,0xadfffa87,0x547fffeb,
    0xfebadfff,0x7ffe47ff,0x44cba9ad,0xebadfffa,0x3fe27fff,0xfffdceff,
    0x56fffd44,0x2a7fffeb,0xfebadfff,0x3ffe27ff,0x4fffdcef,0x677fffc4,
    0x3e24fffd,0xffdaabff,0xcfffe83f,0xe87ffffe,0xfffecfff,0xcfffe87f,
    0x227ffffe,0xfbabefff,0xf881ffff,0xffdcefff,0x1fff404f,0xfffff700,
    0x3fa0bfff,0xfeefffff,0xfffffe87,0xfe87feef,0x5fffffff,0xffffffe8,
    0x7fd47fee,0x0dffffff,0xffffffe8,0x7ff47fee,0x7feeffff,0x7fffffd4,
    0xffa80dff,0x0dffffff,0x3fffffe2,0xff705fff,0xffdbffff,0xffffff70,
    0xff70ffdb,0xffdbffff,0xffffffa8,0x80efffff,0xfffffffa,0x666640df,
    0x1cccdfff,0x7ffff4c0,0x3ff6203f,0x10ffb4ff,0x369ffffb,0xffff707f,
    0xfb109fff,0x1ff69fff,0x3bffff62,0x3fff6203,0xd88ffb4f,0xffb4ffff,
    0xdffffb10,0xfffd8807,0xfec883ef,0x402effff,0xfb3ffffb,0x3fffee0f,
    0x3ee0ffb3,0x0ffb3fff,0x5dffffd3,0x220bffd1,0x83effffd,0xfffffff8,
    0x2002ffff,0x26200099,0x01988001,0x01333100,0x20003310,0x26200099,
    0x00cc4001,0x80009980,0x26200099,0x00998000,0x80009980,0x99800099,
    0x04cc0000,0xffffff10,0x005fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,0x54007999,
    0x4333262c,0xaa882aa8,0x201554c2,0x22001aaa,0x6654c019,0x2aa23a9b,
    0x00599711,0x22099910,0xaaaaccca,0x00357912,0x098b7b22,0x00ab9880,
    0x00266200,0x10003731,0x80001575,0x7301cccb,0x99999883,0xffa81999,
    0xfffa804f,0x263fff51,0x6ffa87ff,0x980fffd4,0x3a001fff,0xfffd105f,
    0x7c4fffff,0xfffff9cf,0x3fe2000d,0xfffffb87,0xff37ffff,0x74407fff,
    0xfebdffff,0xffffb100,0xf93001df,0x2205ffff,0x05fffffd,0xfffffd88,
    0xffc8001e,0x5fff702f,0x7fffffe4,0xfe881fff,0x7ffe404f,0x263fff52,
    0x6ffa87ff,0xf904fff8,0x7fc400df,0xfffffa82,0x3e27ffff,0xffffffef,
    0x3fe2005f,0x6efffd47,0xf37fffff,0x01dfffff,0xfffd7df3,0x3ffa20bf,
    0x01ffffff,0x3ffffff2,0xdffe982f,0x300effec,0xffffffff,0x7fe4005f,
    0x3fffa00e,0x3fffff25,0x3201ffff,0x3fe603ee,0x21fff50f,0xffa87ff9,
    0xd07ffc86,0x5cc407ff,0xfe80ffdc,0x9ffe61ef,0x8aeffff8,0x1001fffc,
    0x2ffe8fff,0xa883ffe2,0x05ffffcb,0x05eed413,0xb9aeffd8,0xffb05fff,
    0x81559bdf,0xfe885ff8,0x79fffd06,0x200ffff9,0xfe804eea,0x3bff24ff,
    0x01eeeeee,0x4c151000,0xfff30fff,0xf10dff50,0xfff985ff,0xfffff300,
    0xfffb83ff,0xf13ffc40,0xfff81dff,0x8fff1004,0x3ffc87ff,0x017ffec0,
    0x0fff9800,0x2a0fffcc,0xf9003fff,0x5fd1130b,0x4c1fffb8,0x00003fff,
    0x320eff98,0x551002ff,0x00555105,0x3e61fff3,0x06ffa87f,0xffc8bffb,
    0xfffff704,0x7ec3ffff,0x27ff884f,0xfc80fff8,0x9995305f,0x87ff8fff,
    0xff803ffb,0x7973104f,0x13ff6015,0x3fa27fec,0x3ff1003f,0x7ddfff62,
    0xd81fffc6,0xaaa986ff,0x06000aaa,0x4400bff2,0x7ff987ff,0xfff337fc,
    0x2a1ffe61,0xfff506ff,0x440fffc1,0xffc8cfff,0x7ffd0fff,0x7c4fff10,
    0x8dff707f,0xffffffe9,0x11fff47f,0xfd003ffd,0xfffd309f,0xfff05fff,
    0x4bfffb03,0x5000fff9,0xbffff4df,0xfff11ff8,0x21ffea03,0x3ffffffc,
    0x17fe4000,0x987ff880,0x337fc7ff,0x3ffccfff,0xff037fd4,0x41bfea5f,
    0x37fa5ffc,0x5fff2ffe,0x7c4fff10,0x4dff707f,0xfffffff9,0x7ffd47ff,
    0x805fffde,0x7d43fff8,0xffffffff,0xd307ffc3,0x7d4dffff,0x2cdcb9ef,
    0x7ff75fb8,0xff32fe82,0x07ffcc0f,0x3ffffff2,0x7fe40003,0xf101bccd,
    0x8fff30ff,0x9ffe26ff,0xffa87ff9,0x6d7ff206,0x5ffb03ff,0x3feebfe6,
    0xf107ffd3,0x83ffc4ff,0x3ffa4ffc,0x71ffe61e,0x9fffffff,0xfd755101,
    0x7ffc41ff,0xffffc9ae,0x7dcfff10,0x327ffeff,0xffffffff,0x653f21ef,
    0x2a7fb07f,0x3fe207ff,0x74ccc41f,0x640003ff,0xefffffff,0x4c3ffc42,
    0x13ffc7ff,0x3ffccfff,0xf1037fec,0x01fff3ff,0xbfe47ffa,0x9ffb5ffa,
    0x7c4fff70,0x27ffd07f,0x7c40fffb,0x277fe27f,0x3e200abb,0x5c2fffff,
    0x7fc40fff,0xb1fff33f,0xfff17fff,0x3fffff21,0x366fffff,0x320ffb3f,
    0x40fff74f,0x7402fff8,0xed8803ff,0x7ffffe43,0x3e21ffff,0x27ff987f,
    0x3fe27ff8,0xc87ffe67,0x7ec06fff,0x3e05ffef,0x269ff0ff,0x1fff96ff,
    0xf13fffd4,0x3fff70ff,0x3e213ff2,0x013fea7f,0x3bffff10,0x3a07ffb0,
    0xffff14ff,0x3fe63dff,0x82bfff67,0x9f93fffb,0x3f603ff6,0x440fff53,
    0x7f401fff,0xfffc803f,0x3ff2a203,0x21ffe26f,0x3fe27ff9,0xff337fc7,
    0xffffd9ff,0x3fea019f,0x3fa02fff,0xf51ff99f,0x3bffe2bf,0x27ffffdb,
    0xdaabfff8,0x3ffa3fff,0x267ff883,0xbcccdfff,0x80fff00a,0xff902ffe,
    0x6fffffcb,0xfc9bfe60,0x29ffb05f,0x5bff75fb,0xff997f47,0x0fff300f,
    0xb007ffd0,0x3600dfff,0x1ffe27ff,0xff89ffe6,0xff337fc7,0xfd7fffff,
    0x7ffc03ff,0x5ffe406f,0x93ff67fc,0xdffffffc,0x3ffe27ff,0x45ffffff,
    0xff882fff,0x7ffffe47,0xff83ffff,0x817ffc06,0x3ffe6ffb,0x25ffb82f,
    0xff906ffb,0xffe9feab,0x221ff17f,0xff501fff,0x07ffd00d,0x00ffff50,
    0x7c47ffe6,0x27ff987f,0x1e647ff9,0x7ffffff3,0xc807ffea,0x7d402fff,
    0xff34ffef,0xffffb83f,0x3e27ff8b,0x2effffff,0xf883ffe8,0x777fe47f,
    0x43fffffe,0x7ff403cc,0x6cbff904,0x7ffd05ff,0x6407ffd4,0x25ff14ff,
    0xdf76fec8,0xfb04fff8,0x7ffd00bf,0x01fff200,0xff13ffe4,0x27ffc81f,
    0x4c00fff9,0x98818eff,0x037fe400,0x67ffff44,0x2605fffc,0x44fff109,
    0x40098fff,0xffb84ffd,0x2217fee7,0xb0005ffd,0x3ffa0dff,0x707ffea3,
    0xfff88fff,0x91fffc43,0x3fe601df,0x217ffdc1,0xe801fffb,0xff5003ff,
    0xbfff100b,0xf70fffc4,0x7ffccfff,0xff98bae0,0x7fcc0007,0xffd1003f,
    0x01bfffff,0xf13ffc40,0x7fe400ff,0x9fffea0f,0xff702ffe,0x5c04ec8b,
    0x7fd42fff,0x67fff41f,0xc83fffca,0xffcbdfff,0x0f7fc46f,0x3e217fea,
    0xffecefff,0x7ffd004f,0xd87ff600,0xfffecacc,0x67fff41f,0x267ffffe,
    0xfff50fff,0x001ffe63,0xbfff7331,0xffff9800,0xf88003ef,0x01ffe27f,
    0xdbefff88,0x3fa7ffff,0x3ffe885f,0x880bffee,0xfdceffff,0xffe984ff,
    0x104fffff,0xfffffffd,0xfffd303f,0x4c0bfffd,0xffffffff,0xf999900d,
    0x43999bff,0x7c4ffecb,0xffffffff,0xfffffb82,0x3ea7fedf,0x5fff91ff,
    0x3001ffe6,0x01dfffff,0x09affa80,0x9ffe2000,0x64007ff8,0xedffffff,
    0x3fffee7f,0x46fffeee,0x5403fffc,0xffffffff,0xfff9100d,0xff9005df,
    0x44019fff,0x03efffec,0xeffffd88,0x3fffe203,0x2fffffff,0x3e0bbffe,
    0x0befffff,0x4ffffee0,0x3ffea7fd,0x261dff11,0x7cc007ff,0xb0004fff,
    0x220000df,0x1ffe27ff,0x3fffee00,0xffb8ffb3,0x0bffffff,0x4007ffcc,
    0x3effffd8,0x40006200,0x18800098,0x00262000,0x3fffffe2,0x322fffff,
    0x04cc401a,0x2004cc00,0x40c41998,0x5c400199,0x360000ab,0x2600003e,
    0x000ccc19,0x4c001330,0x4401abba,0x09980009,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0d5d4c00,0x00799100,0x01559551,
    0x3202ed98,0x3333222c,0xbba98000,0x3762009a,0x6cc0fae0,0x20b3202e,
    0x0262dec8,0x26201331,0x39ddb109,0x99896640,0x01999999,0x004d554c,
    0x40d5d4c4,0x22000ccc,0x440004cc,0x80dcc02a,0xffffffea,0x5fffd803,
    0x3fffff20,0x7f440cff,0x1ff703ff,0x00effe88,0xfffffd30,0x3ff601ff,
    0x441fff34,0xf703fffe,0xfffe881f,0x3a0febdf,0xbff702ff,0x03ffffe6,
    0x7fe43fee,0x87ffffff,0xffffffc8,0xfffd301f,0x7fc7ffff,0x3fe2000f,
    0x3ff20007,0x0bffee04,0xfffffff5,0x7fec07ff,0xffb04ffb,0x8bffffff,
    0x883ffef8,0x3ff203ff,0x7ffd400e,0x00ffffff,0x3fe69ffb,0x3ffbe20f,
    0x983ff883,0xffffebef,0xb817ff45,0x7fc425ff,0xf91ffc42,0xffffffff,
    0xfffffe98,0xffc81fff,0x4fffffff,0x88003ffe,0x320007ff,0x3ffa04ff,
    0x867ffc5f,0xd706ffd9,0x20bba63b,0xfeb99acc,0x3ff8c1ff,0xea805fe8,
    0x3ffe204e,0x0dba9abe,0x6d419b10,0xd07ff182,0xb504c0bf,0x2ffe817b,
    0x754bff70,0x45fe85ff,0xfcaaaaa9,0x3fffe27f,0x41fdcacd,0xabdffffb,
    0x3ffe4fdc,0x1ffe2000,0x04ffc800,0xf893fffa,0x0fff887f,0x7c400000,
    0x87ff03ff,0x00000ffb,0x0003ffea,0x87ff0000,0x00000ffb,0x7dc0bffa,
    0x3fffea5f,0x4003fee2,0x3ff27ffa,0x7c41102f,0x43100eff,0x22000fff,
    0x2a2007ff,0xaaeffdaa,0x1dff32aa,0x7c43ffcc,0xaaaa987f,0xfd0000aa,
    0x88ffe05f,0x2aa603ff,0xf700aaaa,0xa98001ff,0x800aaaaa,0x0ffe23ff,
    0xcb88d544,0x02ffe82c,0x3f60bff7,0x4007ff16,0xfff37ffa,0x7ffe4007,
    0x03ffe000,0x7c435551,0x0599717f,0xfffffff3,0x018dffff,0x7ec1bfff,
    0xffffc84f,0xf88003ff,0xd8ffe07f,0x7ffe406f,0xff503fff,0x7e4001bf,
    0x803fffff,0x81bf63ff,0xfff9cff8,0x17ff45ff,0x9955ffb8,0x1bf67ff9,
    0x2efff500,0x3e000fff,0x7fc004ff,0x07fff40f,0xfff3fff1,0xfff98bff,
    0xffffffff,0xffff7006,0x901dffd7,0x07ffffff,0xffd53330,0xfa9ffc07,
    0x7ffe401f,0xff103fff,0x9003bfff,0x07ffffff,0x3fea7ff0,0x3fbfe201,
    0x23ffffff,0xff702ffe,0x53bffeeb,0x54001ffa,0x0dff97ff,0x017ffc40,
    0xfd83ffe0,0x7ffc41ff,0x3fffffff,0x6ffecccc,0x20009999,0xdffffffb,
    0xfd333100,0xfff8807f,0x22002fff,0x998803ff,0x2a03ffe9,0x3effffff,
    0x3fa66620,0x7fc4003f,0x7fffc403,0x26ffd9ae,0xff702ffe,0x3fe20ccb,
    0x7ffa8003,0x4c00bffb,0x3fee1fff,0x3ffe4fff,0x105fff70,0xb35dffff,
    0x7fe40dff,0x7ec40004,0x001effff,0xf8807ffd,0x04ffffff,0x2000dfb0,
    0x74c03ffe,0x0dffffff,0x003ffe80,0x7c4037ec,0x3fea0eff,0x5c0bffa7,
    0x37ec05ff,0xd7ffa800,0x7d4009ff,0x3ffee0ff,0x23ffe4ff,0xf102fffa,
    0x7fd41dff,0x013ff207,0xffd10153,0x05ffffbd,0x5007ffd0,0xbfffd755,
    0x001ffa80,0x2007ffd0,0x5fffffc9,0x003ffe80,0x22007fea,0x7fcc0fff,
    0x5c0bffa7,0x3fea05ff,0xfff50001,0x98017ffa,0x3baa0fff,0x3ffe4fff,
    0x2203fffa,0x7fcc0fff,0x813ff207,0x7f41fffa,0x3fffea5f,0x01fff400,
    0x01fffb80,0x33229ff1,0x3ffe800c,0x7ffdc400,0x1fff400f,0xb8cff880,
    0x7fc40add,0x3a7ff887,0xbff702ff,0x6453fe20,0xffa800cc,0x400dff97,
    0xf901fff8,0x7ffffc9f,0x3ffc405f,0xf903ffc4,0x7fff409f,0x261bfea5,
    0x7f402fff,0x3fe0003f,0x74dfb02f,0xfe800fff,0xff70003f,0x3ffe805f,
    0x3f6dfb00,0x7fc44fff,0x3a7ff887,0x9ff903ff,0xffe9bf60,0x7ffa800f,
    0x4001fff7,0xff904fff,0x7ff7ffc9,0x1ffe200f,0xfc81ffe2,0x3fffa04f,
    0x7413ff24,0x7ff403ff,0xfff10003,0x2e3ff503,0xe800ffdf,0xf10003ff,
    0xffe803ff,0x11ffa803,0xf88ff917,0x27ff887f,0xffb04ffd,0x2e3ff505,
    0xb800ffdf,0x9fff56ff,0x83ffec00,0x3ffe4ffc,0x2206ffe9,0x7ff887ff,
    0xa817ff20,0x3fee1fff,0x803fff07,0x90003ffe,0xff881fff,0x1ff1ff14,
    0x207ffd00,0x3fff201a,0x01fff400,0x7ec13fe2,0x443ffc46,0x3ffee7ff,
    0x20fffc40,0x1ff14ff8,0x220541ff,0x3ff64ffe,0x260a884f,0x7e40efff,
    0x263ffe4f,0xff105fff,0x40fff10f,0x4c407ffb,0x5efffcc0,0x807ffeb9,
    0x9b103ffe,0xffff9757,0x7ecdf909,0xe802ff9c,0xbffb03ff,0xbfffd999,
    0x807ffd00,0x5ff906fc,0xf887ff88,0x3bffe27f,0x84fffbab,0x273f66fc,
    0x2f7f62ff,0x261fffeb,0xedefffff,0x7ffe41ff,0x4fffccef,0x7fdc3ffe,
    0x87ff883f,0x3ea07ff8,0x03aaadff,0xffffff90,0x99903fff,0x999bfff9,
    0x3ffffe23,0xfa85ffff,0x3ffffe1f,0x666641ff,0x1cccdfff,0xfffffffb,
    0x33320dff,0xcccdfffc,0xd107fea1,0xfff103ff,0xfb8fff10,0xefffffff,
    0xff0ffd40,0x363fffff,0x4fffffff,0xffffffa8,0x7e441fff,0xffffffff,
    0xfd83ffe4,0x3ffc42ff,0x3a03ffc4,0x06ffffff,0x3ffffaa0,0xfff880cf,
    0xffffffff,0xffffff12,0x9fd103bf,0xcffcccc8,0x3ffffe20,0x72ffffff,
    0xdffffffd,0x3fffe205,0x2fffffff,0xffd09fd1,0x7fc45fff,0x987ff887,
    0x84fffffe,0x66644fe8,0xfd50cffc,0x4405dfff,0xbeffffec,0xffffd500,
    0x7ffc39ff,0x83fffa20,0xff887ff8,0x7ffe4407,0x988006ff,0x7ffc4019,
    0xffffffff,0x00666622,0xff003bf2,0xfffff881,0x42ffffff,0x88019998,
    0xffffffff,0x1df92fff,0x5fffffd0,0x7c43ffc4,0x004cc07f,0xff801df9,
    0x20003300,0x99880019,0x981fff00,0xff10efff,0x00fff10f,0x00004ccc,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x54000000,0x01cccccc,0xdeedc880,0x06aea203,0x4cc40000,
    0x26000199,0x260abcca,0x26620019,0x004ccc01,0x4ccccccc,0x26666661,
    0x10999999,0x40033333,0x00199999,0x300aba88,0x99880133,0x26666660,
    0x26666200,0x31099999,0x33333333,0x33326133,0xffffff90,0xfffb8007,
    0xfc886fff,0x442fffff,0x2066c04c,0xeffffffc,0xffe9801d,0xff34ffff,
    0x7ffc400f,0x00dff703,0xfffffff3,0x3ffffe1f,0x6fffffff,0xdffffffd,
    0x3ffe603b,0x00beffff,0x3fffffee,0x037fec0c,0x7fcd3ffa,0x1dffffff,
    0x7fffffe4,0xfff94fff,0xffffffff,0x5c3ffe65,0x03fffeee,0x37fffe60,
    0xfffd86ed,0xf31fffff,0x3fee05ff,0x3ffff20f,0x204fffff,0xfffffffa,
    0x00fff34f,0x440fffb8,0xfc802fff,0x0fffffff,0x999999ff,0x3fadf999,
    0xffffffff,0xfffff984,0xe886ffff,0xffffffff,0x807ffdc5,0xff32fff8,
    0xffffffff,0x7ffffe43,0xff94ffff,0xffffffff,0x03ffe65f,0xb001fff4,
    0xff500bff,0x89f7139f,0xaaa9fffc,0x7e43fff9,0xfffdcadf,0xffff884f,
    0xf33ca99b,0x179dddff,0x3227ff40,0xfff006ff,0x21555bff,0x4179b76f,
    0x59ffd6f8,0x89ffffb9,0xfdbafff9,0xffd83fff,0x2fffebbc,0x540fffe2,
    0x3ffe67ff,0x6fffcaaa,0x3333bff2,0xddd72ccc,0xfffddddd,0xe81ffe25,
    0x3fa003ff,0x5ffc802f,0xffffd008,0x90bfffff,0xffe889ff,0x07ffe40f,
    0x3ffffe60,0xf504ffff,0x3ffe21ff,0xfcffa801,0x3f2df04f,0x2df13fff,
    0x7f442ffe,0x1ffe60ff,0x36217ffe,0x227ffc40,0xff905ffe,0x5c37fccb,
    0x17ff27ff,0x9bff2000,0x3fa07ff8,0x3ffe003f,0x02ffe801,0x3ffffe20,
    0xfc80ffff,0x4fff884f,0x4c01fff4,0xfffeefff,0xbffb04ff,0x6c013ff2,
    0xf04ff9ff,0x3ff6a62d,0x5ffd6f8a,0x4c9fff10,0x7ffc87ff,0x22ffec00,
    0xfff07ffc,0x4c37fcc5,0xbff90fff,0xfff88000,0xfd037fc3,0x7ffc007f,
    0x01fff800,0x26bffe20,0xfc80fffc,0x4bffb04f,0x9802fff8,0x3f6a27ff,
    0xfff981ff,0x8800fffa,0x04ff9cff,0x237f60df,0x205ffd6f,0x3fe65ffd,
    0x006ffc87,0x3e627fec,0x7ffcc1ff,0x2e1bfe60,0x17ff26ff,0x0fff9000,
    0x7ff40bff,0x3eaaaa03,0x0aaaabff,0x5000fffc,0x3ffd87ff,0x4ceffecc,
    0xf99ffee0,0xff9801ff,0x03fff987,0x07fffff9,0x3e67fee0,0x1be199df,
    0xeb7c6fe4,0xfff702ff,0x3e63ffcc,0x3e2003ff,0x3fff83ff,0x3e637fdc,
    0x3ffee66f,0x0017ff22,0x003fff88,0x7c07ffd0,0xffffffff,0xffdb3fff,
    0x07dddddf,0xff703ff2,0xffffff89,0x89ffea5f,0xf9802fff,0x0bffd07f,
    0x01bfffe2,0xfff36fe8,0x5537cfff,0x2df17ff9,0xff502ffe,0x6e7ffccf,
    0x4005fffe,0xff907ffc,0x4c3ffd8d,0xffffffff,0x77ffe42f,0x400eeeee,
    0xffb07ffc,0x80fffa01,0xffffffff,0xfff3ffff,0x9fffffff,0xf303ff60,
    0xfffff89f,0x3ffea5ff,0x2017ffe0,0xffb07ff9,0x17ffdc09,0xf33ff980,
    0x37cfffff,0x3e29fffd,0x2a05ffd6,0xfff30fff,0x005bffff,0x503fffa8,
    0x3fe21fff,0x7fffcc1f,0x21efffff,0xfffffffc,0x3fe201ff,0x40bff03f,
    0x3e003ffe,0x3f3200ff,0x2ccccdff,0xfa85ff70,0x6ffed42f,0x1ffee1aa,
    0x4207fff9,0xff887ff9,0x7e66642f,0x203cccff,0xbff30ffc,0xfd37c555,
    0xfeb7c415,0x4fff702f,0xfffefff9,0x3fe6001f,0x97ffc04f,0xff986ffa,
    0xfffdbaaf,0xfffff90f,0x5c03ffff,0xff880fff,0x00fffa02,0xf800fff8,
    0x3e6001ff,0x03ffa0df,0x7e413ff2,0x7fffc46f,0xf34fdcce,0xfffe98ff,
    0x7fffffc0,0x3e06ffff,0x413fe66f,0xf103f66f,0x640bffad,0x5ffe66ff,
    0x800fffd8,0xd805fff9,0x09ff95ff,0xff30dff3,0x017ff29f,0x413ffe20,
    0x3fa00ee9,0x3ffe003f,0x01fff800,0x33fffe20,0xff906ffe,0x217ffa09,
    0xfffffffa,0xddfff34f,0x505fffff,0x55fff755,0x3ffea055,0xf04fffff,
    0xd6f8808d,0x3ffa05ff,0xf89ffe65,0x7fcc04ff,0xfff7005f,0x3e607ffa,
    0x2bffd06f,0xb8005ffc,0x40000fff,0x3e003ffe,0xfff800ff,0x3ffea001,
    0x81ffffff,0xffa84ffc,0xfff9301f,0x3fe65dff,0x2effffff,0x007ff880,
    0xfffffffb,0x745be09f,0xfeb7c41f,0x1fffa82f,0xff91ffe6,0x3ffe601f,
    0x3ffe2005,0xff307ffa,0x653ffa0d,0xff8005ff,0xfe80004f,0x3ffe003f,
    0x01fff800,0xffdfff10,0xc81fffbd,0x7ffdc4ff,0x82ffc805,0xcdeefff9,
    0x7f777402,0x885eeeff,0xfdccceff,0x3e6df04f,0xfeb7c43f,0x2fffdc2f,
    0xff11ffe6,0xbfff307f,0xfdffd000,0x1bfe60bf,0x7e4fffee,0x7fdc005f,
    0xfe80000f,0x3ffe003f,0x3fffb600,0x1eeeeeee,0x7f417ffa,0x77ffe45f,
    0x00fffffe,0xff306fe8,0xffff000f,0x0dffffff,0xff985ff9,0x4df0ccce,
    0xfd6f883a,0xffffdddf,0x87ff981f,0x7fc47ffd,0xffffffff,0xffff702f,
    0x3ffe605f,0xefffedcc,0x800bff90,0x90004ffe,0x9bfff999,0x7ffc0399,
    0x3ffffe00,0x2fffffff,0x2601ffb1,0x7ffe44ff,0x00cfffff,0xf303ff88,
    0x333000ff,0x1333fff5,0xff30fff0,0x3fe3ffff,0xeeeeeeee,0xffffd6fe,
    0x3019ffff,0xfff30fff,0x7ffffcc7,0x02ffffff,0x01fffff3,0x3fffffe6,
    0x3f21ffff,0x3fee005f,0xff88000f,0xffffffff,0x03ffe02f,0xfffffff8,
    0x4c2fffff,0x7e405401,0x01bdefff,0x4c03ba60,0x440007ff,0x7fd407ff,
    0xfffff984,0xffffff1f,0x2dffffff,0xbdeffffe,0x41ffe601,0x3fe66ffe,
    0xffffffff,0x3fffe02f,0x3fffe605,0xfc82deff,0x3ffa005f,0xfff10005,
    0xffffffff,0x007ffc05,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x33100998,
    0x4cccccc1,0x31009999,0x4c409981,0x99999999,0x4cc06660,0x55d4c019,
    0x26662000,0x26666200,0x09999999,0x98801331,0x40333109,0x06621998,
    0x4c426620,0x33330009,0x33333333,0x04ccccc1,0x440ccc40,0x54400999,
    0x0333101a,0x7d9104cc,0x7e40fff6,0x3ffffe4f,0xf06fffff,0x20ffcc9f,
    0xfffffffc,0x0fff35ff,0x2a07fff5,0x04ffffff,0x06ffff88,0x3fffffea,
    0xf72fffff,0x3fe201ff,0x09fff12f,0xffb97ffe,0xa97fd402,0xfff006ff,
    0xffffffff,0x3fffe6bf,0xc80befff,0x7fe42fff,0xfff9102f,0x0ffff60b,
    0xffe97fe6,0x903ffdbf,0x7fffc9ff,0x06ffffff,0x07fd49ff,0x3ffffff2,
    0xfff35fff,0x906ffe88,0xffffffff,0xffffa80d,0xffff501f,0x5fffffff,
    0xfc81fffc,0x07ffe46f,0xfb87ffee,0x97fd402f,0xff006ffa,0xffffffff,
    0x3ffe6bff,0x1fffffff,0x3a27ffe4,0xffb83fff,0xffb05fff,0x2bff30ff,
    0xfdeffff8,0x49ff903f,0xbfffbaaa,0x3ff882aa,0xff903fee,0x7999999d,
    0xff91ffe6,0xbfff301f,0x05fff933,0x1fffffe4,0xeeeeee98,0x2e1ffffe,
    0x7fc40fff,0x27ffc41f,0xff517ffe,0x51ffa805,0x2aa00dff,0xabfffbaa,
    0x5fff32aa,0x1dfffb95,0xf13fffec,0x7fcc7fff,0xb05fffff,0xf987ffff,
    0x37fffe5f,0xff903ffd,0x01ffe609,0x7fc8bfe6,0x9805ffc8,0x3ffe67ff,
    0x90bffb02,0x7ffc0dff,0x98005ffc,0xfff84fff,0xb82ffe43,0xfff70fff,
    0x402ffa81,0xdff51ffb,0x3ffe6000,0x70fff300,0x7fec5fff,0xffff71ff,
    0x667ffc49,0xfffb05ff,0x25ff98df,0xffd9fffa,0x209ff903,0x3f607ff9,
    0xffffffff,0xbff91fff,0x74fff300,0x3ffa05ff,0x80fff982,0xfff9eff9,
    0x37ff4000,0x3e27ffb8,0x3ffa01ff,0xf309fff5,0x0ffb807f,0x2000dff5,
    0xf300fff9,0x93ffa0ff,0xfd4ffdfd,0x0cd89ff9,0x3f60bff9,0x3e62ffff,
    0xffb0c45f,0x413ff207,0x3f607ff9,0xffffffff,0xbff91fff,0x32fff300,
    0x3fe00fff,0x1fff883f,0xfff4ffb8,0x7ffe4005,0x64fffe01,0x7fd405ff,
    0x980fffdf,0xb93f23ff,0x0dff50ff,0x03ffe600,0xfd83ffcc,0x3f77fa5f,
    0x4ff9ff8e,0xd82ffe40,0x266ffcff,0x7fec05ff,0xfdaaaaad,0x0fff304f,
    0x557fed4c,0x90aadffa,0x33333bff,0x27ffe613,0x7f401fff,0x05fff05f,
    0x3ff63ffd,0x9fff3004,0xf8effb80,0xffe801ff,0xff303fff,0xff93ffc7,
    0x80037fd4,0xf300fff9,0x8fffa0ff,0xfbffacfe,0xfc80bff7,0xf3ffb05f,
    0x17fe63ff,0xffffffb0,0x209fffff,0xfc807ff9,0x7e427fc7,0xffffffff,
    0xffdfff33,0xbfff9009,0x7fffb535,0x3ee7ff88,0xdffd007f,0xfbfff100,
    0x3fe600bf,0x3fe206ff,0x323fff34,0x01bfea7f,0x807ffcc0,0xffa87ff9,
    0x3e33fe2f,0x0bfd4fff,0xfb05ffc8,0x26bff71f,0x7fec05ff,0xffffffff,
    0x0fff304f,0x7fc4dfb0,0xfffffc83,0xff33ffff,0x1009ffff,0xffffffff,
    0xffa85fff,0x007ffe25,0x2003fff9,0x01fffffb,0x0bffff10,0xffca7fc4,
    0x7d4ff94f,0xff30006f,0x3ffe601f,0x5fffca99,0xfffea7fc,0xfc80dfd2,
    0x11ffb05f,0xbff31fff,0xaadffd80,0x04ffdaaa,0xfd00fff3,0x6417fccb,
    0xaaaaaeff,0xf7fff31a,0xfd3003ff,0xffffffff,0x743ffd83,0x3fe603ff,
    0x3fe2004f,0x3f2005ff,0x3e02ffff,0x2dfffd4f,0x1bfea6fc,0x07ffcc00,
    0xffffff98,0x7fc0ffff,0x7f4fff74,0x82ffe406,0x9ff90ffd,0xfd80bff3,
    0x09ff903f,0x7541ffe6,0xfeeefffe,0x3ff23eef,0xd7ff9805,0x54c00dff,
    0x0fff89ab,0x3f207ffc,0x1bffa06f,0x07ffee00,0x7ffffcc0,0x273fe06f,
    0xfd9ffbff,0x001bfea6,0x9807ffcc,0xffffffff,0xf33ff884,0x2037f49f,
    0xffb05ffc,0x3ebffe21,0x1ffec05f,0xf304ffc8,0x3ffee0ff,0xffffffff,
    0x017ff24f,0x7fcdffe6,0x3ea0004f,0x7fffcc6f,0x0fffffff,0x001fffc8,
    0x2007ff98,0xfff9effd,0xbf7bff03,0x4bfb7ff1,0x30006ffa,0x3e601fff,
    0x201aaaff,0x87b63ff8,0x7fe407fe,0x6c1ffb05,0x405ffdff,0xff903ffd,
    0x41ffe609,0xccdffcc9,0x322ccffe,0xff9805ff,0x007fff27,0x321fff40,
    0xffffffff,0x7fcc2fff,0xff30003f,0x3ffea00f,0xd01fffb2,0x3fa7fdbf,
    0x3fea5fde,0xfff30006,0x01ffe601,0x6c03ff88,0x2ffe407f,0x3e60ffd8,
    0x6c05ffff,0x9ff903ff,0x301ffe60,0x83fe45ff,0xf9805ffc,0x1bffe27f,
    0x1fffd300,0xcccdffe8,0x745ffecc,0x260006ff,0xffd007ff,0x427ffccd,
    0xf70ffefe,0x7fd4bfdf,0xfff30006,0x01ffe601,0x6c03ff98,0x2ffe407f,
    0x7f40ffd8,0x7ec05fff,0x49ff903f,0xcfffdccc,0x0ffd43cc,0x3ff20dfb,
    0x4eeeeeef,0xffa8fff3,0xfdddd04f,0xf883ffff,0x9ffee07f,0xfffffffb,
    0x2603ffff,0xffb807ff,0x0fffec2f,0xf89bfff6,0x3fea4fff,0xeeeeeeef,
    0x01fff300,0x9801ffe6,0x7fec02ff,0x3ffbbb60,0xfb2eeeff,0xffffa81f,
    0x81ffec05,0x3ffe4ffc,0x6fffffff,0xbfd07fdc,0x3fffff20,0xff35ffff,
    0x05fffb0f,0xdfffffff,0x40bff703,0xff91fff9,0xffffffff,0x3ffcc07f,
    0x21bffe20,0x7ec6fff8,0x7fff43ff,0x3ffffea4,0x300fffff,0x3e601fff,
    0x3fea007f,0xf07fec02,0xffffffff,0x03ff67ff,0xb017fffe,0x3ff207ff,
    0x3fffffe4,0x7dc6ffff,0xfc827f47,0xffffffff,0xf10fff35,0xfff81dff,
    0x3f602cef,0xa7ffc02f,0xfffffffc,0x2603ffff,0x7fe407ff,0x5fff901f,
    0x2e0fffe4,0x3fea3fff,0xffffffff,0x01fff300,0xa801ffe6,0x7fe402ff,
    0x3fffffe1,0xfb3fffff,0xbfff701f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x13331000,
    0x20026600,0x5100000a,0x446f32a0,0x18800bcb,0x99975100,0x82aa8815,
    0x54c02aa8,0xba80abcc,0x2601bccc,0x8800abcb,0x880abcb9,0x599711aa,
    0x32615530,0xaaaa81bc,0x22aaaaaa,0x55301aaa,0x15775105,0x4400aaa8,
    0x7cc001aa,0xff004fff,0x00efb80d,0x217fcc00,0xecfffffe,0x2601ffff,
    0x3ee00eff,0x3fffffff,0x3e61ffe2,0xfffd307f,0x7fd49fff,0x886fffff,
    0x2ffffffd,0x3ffffa60,0x67fc42ff,0x45fffff9,0xfffcaffc,0x7fff42ff,
    0x25ffffff,0x7c41fffc,0x7ffd44ff,0x3ff62fff,0x027fcc01,0x13ffffa0,
    0xf1037fc0,0x20003fff,0x3e0ffffa,0xfffffddf,0x3f206ffe,0x3fee02ff,
    0x2ffffeef,0xff30fff1,0xfffff50f,0x3fea9fff,0x46feedff,0xfeefffe8,
    0xfffa81ff,0x23ffffff,0xffffeff8,0x3ff23fff,0xfffffffe,0x3fffffa0,
    0x3a25ffff,0x37fec6ff,0x7f5d5ed4,0x500bff27,0x7d4007ff,0xf004ffff,
    0xffe980df,0x7fdc002f,0xf305c0ef,0x03ff23ff,0x500fffd4,0x2bffb017,
    0xff987ff8,0x5ffffc47,0xffb3ca99,0xbff9060d,0x2237fe41,0xfc9aefff,
    0xfff10fff,0xdffb35df,0x467fffe4,0x2aa2fff9,0xfffeaaaa,0xaa7ffcc1,
    0xf5001fff,0x00ffee1f,0x22005ff7,0x04ffcfff,0xd100dff0,0x32007fff,
    0x3e005fff,0x80bfe67f,0x260002cb,0x0fff17ff,0xffc8fff3,0x2fff400f,
    0x40fffc40,0x3fee1fff,0x9fffc40f,0x2a0efff8,0x3fff27ff,0x2027fe43,
    0xf703fffa,0x07fff5ff,0x7ff6e5c4,0x65c9ff50,0x4003ff23,0x4ffabffc,
    0xffaaaa98,0xb01aaaaf,0x6c40bfff,0x74003fff,0x00ffe25f,0x7d4cc000,
    0x30fff17f,0x3ffe8fff,0xadfffd80,0x33dff500,0x45ffd333,0xffd03ffd,
    0x303ffe29,0x2ffe4fff,0xf101f75c,0xffd80bff,0x3ea05fff,0x30ffeeff,
    0x3ffe2bff,0x2600ffb0,0x09ff56ff,0xfffffff9,0x5c07ffff,0x74c0efff,
    0xeb802fff,0xffffffff,0x999993ff,0x79999999,0xfffffc88,0x0fff17ff,
    0x7fc4fff3,0xfff9802f,0x7dc1dfff,0xffffffff,0x0bffa3ff,0xff8affe4,
    0x327ff887,0x3a0004ff,0x7c400eff,0x3e00ffff,0xf83fea6f,0x27fff76f,
    0xffd006fe,0x3213fea3,0xffffffff,0x7d403fff,0xfff30eff,0xfffd003f,
    0xffffffff,0x3ffffe7f,0x6fffffff,0x3fffffea,0xfff17fff,0x7ccfff30,
    0xfb3001ff,0x64bfffff,0xffffffff,0x3ffe3fff,0x22dff702,0x7ff887ff,
    0x40013ff2,0xb001fffd,0xff80dfff,0x20ffe98e,0xdfffd7fe,0x3ee017fa,
    0x013fea4f,0x640037fc,0x3f624fff,0x7fd404ff,0xf809fd0c,0xffffffff,
    0xfff16fff,0x5ffe613b,0xff987ff8,0x00bffe27,0xffffd710,0x2677fee7,
    0x20999999,0xff904ffe,0x221ffe2b,0x13ff27ff,0x0bffee00,0x7ffffdc0,
    0x3ffff603,0x3ff60fff,0xf9ffeff9,0x7ffc404f,0x4013fea0,0x3a2006ff,
    0xff903fff,0x3ff201bf,0x33017fa0,0x33333333,0x1ffea133,0x7fc5ffe6,
    0x23ffe40f,0x20005fff,0xff55fff9,0x6ffd800d,0x3e27ffd0,0x27ff887f,
    0x4c004ffc,0xf3004fff,0x03fffdff,0x322f7b22,0x3f7ff20c,0x3ffcff9f,
    0x2a17fec0,0xdff004ff,0x3fffa600,0x77ffdc02,0xf10ffd80,0x000001ff,
    0xfe88fff7,0x43fff17f,0x7e47fffb,0xb00103ff,0x3ffe2bff,0x3ffee003,
    0x88fffd42,0x7ff887ff,0x88013ff2,0xd1006ffe,0x1bffabff,0x3ffee000,
    0x5ffffd5f,0x557ffcc0,0xaaeffcaa,0x201bfe00,0x001efffa,0xa83ffff5,
    0xfffe9bff,0x2204989e,0x3fea04fd,0xfffebadf,0x3b3fffa7,0x7c47ffff,
    0xfdccefff,0x73337bd4,0x7fe47fff,0x4cba9adf,0x677fffc4,0x3e24fffd,
    0x27ff887f,0x36004ffc,0xeeeeefff,0x87ffec5e,0x6444fff9,0x4ccccccc,
    0x64bfffea,0x2e01ffff,0xffffffff,0x201fffff,0x7fdc03cc,0x74c000ef,
    0x3fe22fff,0xfffddfff,0x3fee07ff,0x3fffa02f,0x27feefff,0xdffffffb,
    0xfffa87fe,0xff4fffff,0xdfffffff,0xfffffe81,0xffa85fff,0x0dffffff,
    0x3e21ffe2,0x013ff27f,0xfffffff8,0x3fee6fff,0x17ffe42f,0xfffffff1,
    0x7fffccff,0x01ffff30,0x7fffffdc,0x1fffffff,0x7ffc4000,0x3fa20005,
    0x3ffae0ef,0xdffffb15,0x00fffdc0,0x29ffffb1,0x7ffdc7fd,0x220ffb3f,
    0x2efffffc,0xfffffffb,0x3ffee017,0xb104ffff,0x107dffff,0xfff10fff,
    0xf0027fe4,0xffffffff,0x13ffe6df,0xc887fff4,0x4ccccccc,0x3fa2fffc,
    0x5554c07f,0xeffdaaaa,0x999910aa,0x89999999,0xb00004f9,0x2202201d,
    0x76c40099,0x00331003,0x10000998,0x4cccc033,0x26662000,0x00266000,
    0x00000000,0x00000000,0x40000000,0xff984ffb,0xffffffff,0x0000040f,
    0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7dc00000,0xffff984f,0x0fffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x009ff700,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x80bdedb8,0x0bc88aa8,0x99001771,0x2aea2007,0x09800000,
    0x88288038,0x403cb800,0x102dedc9,0xeda83dd9,0x99801dee,0x05db1000,
    0x017bdb91,0x8e664000,0x77733cca,0x77777777,0x200004c0,0x55402aa9,
    0xefffb81a,0x7fcc2fff,0xfe8efffa,0x37fc01ff,0x7ffffdc0,0xd301e884,
    0xf52fec41,0x1efc809f,0xbfd013fa,0x7ffffe40,0x3fff665f,0x7fffe42f,
    0x3fea02ff,0xfffd800f,0x3ffffe62,0x3ffe61ff,0xffffffff,0x7dcbffe0,
    0xfffff95f,0x90ffffff,0xa881bfff,0x0fffd402,0x5c1fff98,0xfa899bef,
    0x3fbfe62f,0xffffefff,0x2037fc04,0xfffefffb,0x307ffa23,0x7fec1dff,
    0x203ffd13,0x3fee6ff9,0x29fb2444,0x33bea0c8,0xffb1fffe,0xaba85fff,
    0x3a06ffda,0xff804fff,0x33ffa5ff,0x3e66ffdb,0xffffffff,0x47ffa0ff,
    0xfff95ffb,0xffffffff,0xefffffb8,0xf003ff20,0x3ff209ff,0xfffb7cc6,
    0xf30ff8bf,0xbfff17ff,0xdff01bfa,0x3e26ff80,0x3fffa27f,0x889fff31,
    0xdff50fff,0x7cc7ffa0,0xc9efd86f,0x0c4ffabf,0x3aa3fff1,0x5402ffea,
    0x9ff705ff,0xffb803ff,0xd87ff36f,0x555510ff,0x85555555,0x9ff51ffe,
    0x22222222,0x7fc7fe88,0x8afffecf,0xffc807fe,0xc87ffd07,0x2fd3bf1f,
    0x4fff33fa,0x0ffb1fff,0x3e606ff8,0x107fe42f,0xfff5fffd,0xc97fea09,
    0x1ffe43ff,0xffb03ffd,0x9fffdfdf,0x407ffdc0,0xcca82ffd,0xff881eff,
    0xfb00dfd3,0x707feabf,0xb00003ff,0x13fea1ff,0x3e67fd80,0x3ffff63f,
    0xff8804ff,0x07ffcc2f,0x7e8cf9fa,0x93fe6bf1,0xc9ff66ff,0xcfffcccc,
    0x5ff33ccc,0x7440ffc8,0x404fffff,0xfff13ffc,0xfc9bfe61,0x3ff2203f,
    0x2a00cfff,0xffb03fff,0xbffff705,0x7d4df903,0xa7fdc03f,0x7fe43ffa,
    0xffd80000,0x4007ff30,0x0bba67fd,0x01dffff9,0xf917ff60,0x7fcbf09f,
    0x7cdbe1ef,0xfd9bfe4f,0x3fffffe7,0x16ffffff,0x07fe8bff,0x00bfffd1,
    0x3fe63ffd,0x543ffe26,0x3ee205ff,0x2e02efff,0x3f603fff,0xfdba982f,
    0x0bfe61ff,0x3a201ffb,0x3dff10ff,0xee99ffea,0xeeeeeeee,0xf99ff20e,
    0x1bb2003f,0x00bdca80,0xf83ffea0,0x3e6f81ff,0x4d7e2fcd,0xd9bfe4ff,
    0x3ffffe7f,0x6fffffff,0x3f6f7ffa,0xffff303f,0x1ffe403f,0xffa83ffd,
    0x320bff65,0xffffffff,0x0fffe43f,0x200bff60,0x1bfa4ffd,0xcb897fe6,
    0x7fe42fff,0x262fffff,0xffffffff,0x00000fff,0x00000000,0x7fd4bffe,
    0x53e1fb06,0x3e69f36f,0xfd9bfe4f,0x3e666667,0x209999ff,0x5ffffff9,
    0xffffff30,0x4dff503f,0xffb04ffc,0xb03ffe25,0xf77f95ff,0x77ffe49f,
    0xfdd74eee,0x2ae9ddff,0x72fffbaa,0x3ff203ff,0x03dfff31,0x0bfffff2,
    0x99999991,0x00009999,0x00000000,0xffb5ffc8,0xa7d7ea07,0xf31feafc,
    0xfb37fc9f,0x806ff80f,0x303deec8,0xffd19fff,0x87ffc43f,0x3e206ff9,
    0x8bff50ff,0x269fb0d9,0x3ffffa0e,0xfff95fff,0x3fabffff,0x225fffff,
    0x42662019,0x98801ab8,0x0000001a,0x00000000,0x9fff8800,0x3f600fff,
    0x31fec40d,0xb37fc9ff,0x06ff80ff,0x3ffe2000,0x83fffa24,0x07f223ea,
    0x6ec19f70,0x702ff401,0x59999999,0x3333332a,0x9ddddb2c,0x00000003,
    0x00000000,0x00000000,0x7f7fec00,0x7fec405f,0x4c4ffecd,0xd9bfe4ff,
    0x037fc07f,0x99999991,0x884fd899,0x002003fe,0x9db00004,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffffa80,0xfffb5002,0x49ff303b,
    0x01ff66ff,0x7fc40dff,0x87ffffff,0x0000a203,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x000dffff,0x49ff3002,0x01ff66ff,
    0x66440133,0x04cccccc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfc800000,0x000003ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40666640,0x30ee44ea,0x26007999,0x44199999,0x22220dfd,0x88888888,
    0x99950888,0x00039999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x407bff60,0xdff72fff,0x404fffa8,0x7ffffff9,0xff2fffec,
    0xffffffff,0x3f2dffff,0x03ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0dffd800,0x7dcbffe0,0x4ffe886f,0x3ffffe60,
    0x3ffffc7f,0xffffffff,0x2dffffff,0xfffffffc,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x77640000,0x643d9803,0x0fbb201d,
    0x08888888,0x552ffff4,0x55555555,0x26255555,0x00999999,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26000000,
    0x00000efe,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000400,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_27_latin1_x[224]={ 0,5,2,0,1,0,0,5,3,3,1,1,2,3,
4,0,0,1,1,1,0,2,1,1,1,0,5,2,1,1,2,3,0,0,1,1,1,2,2,0,1,1,2,1,
2,0,1,0,1,0,1,1,1,1,0,0,0,0,1,4,1,3,1,0,0,1,1,1,1,1,0,1,1,1,
1,1,1,0,1,0,1,1,2,2,0,1,0,0,0,0,1,2,5,2,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,5,1,1,0,0,
5,1,0,0,2,1,1,3,0,0,2,1,3,3,0,1,0,4,5,3,2,1,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,0,0,0,0,0,0,1,0,
 };
static signed short stb__consolas_bold_27_latin1_y[224]={ 20,1,1,2,0,1,1,1,0,0,1,6,15,11,
15,1,2,2,2,2,2,2,2,2,2,2,6,6,5,8,5,1,1,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,2,22,1,6,1,6,1,6,1,6,1,0,
0,1,1,6,6,6,6,6,6,6,2,6,6,6,6,6,6,0,-2,0,9,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,20,6,0,2,2,2,
-2,1,1,2,2,7,11,11,1,1,1,3,1,1,1,6,1,10,20,1,2,7,1,1,1,6,-3,-3,-3,-3,
-3,-3,2,2,-3,-3,-3,-3,-3,-3,-3,-3,2,-3,-3,-3,-3,-3,-3,6,-1,-3,-3,-3,-3,-3,2,1,1,1,
1,1,1,-1,6,6,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,5,3,1,1,1,1,1,1,1,
 };
static unsigned short stb__consolas_bold_27_latin1_w[224]={ 0,5,10,15,13,15,16,5,9,9,13,13,8,9,
6,14,15,13,13,13,15,12,13,13,13,14,5,9,12,13,12,10,15,15,13,13,14,11,11,14,13,12,10,14,
12,15,13,15,13,15,14,13,13,13,15,15,15,15,13,7,13,8,13,15,10,12,13,12,13,13,14,13,13,13,
11,14,13,15,13,14,13,13,12,11,13,13,15,15,15,15,12,10,4,11,15,13,13,13,13,13,13,13,13,13,
13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,13,0,5,12,13,15,15,
4,13,12,15,10,13,13,9,14,12,11,13,9,9,14,14,14,7,5,9,11,13,15,15,15,10,15,15,15,15,
15,15,16,13,13,14,13,13,13,14,13,13,15,14,15,15,15,15,15,13,15,14,14,14,14,15,13,14,13,14,
13,13,13,13,15,12,14,14,14,14,14,14,14,14,13,14,14,14,14,14,14,13,14,14,14,14,14,15,13,15,
 };
static unsigned short stb__consolas_bold_27_latin1_h[224]={ 0,20,7,18,24,20,20,7,26,26,12,14,10,4,
6,22,19,18,18,19,18,19,19,18,19,18,15,19,16,9,16,20,25,18,18,19,18,18,18,19,18,18,19,18,
18,18,18,19,18,23,18,19,18,19,18,18,18,18,18,26,22,26,10,4,6,15,20,15,20,15,19,20,19,20,
26,19,19,14,14,15,20,20,14,15,19,15,14,14,14,20,14,26,28,26,7,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,20,24,18,18,18,
28,23,6,19,14,12,7,4,14,6,10,17,11,11,6,20,23,6,4,11,14,12,19,19,19,20,23,23,23,23,
23,23,18,22,23,23,23,23,23,23,23,23,18,23,24,24,24,24,24,13,24,24,24,24,24,23,18,20,20,20,
20,20,20,22,15,18,20,20,20,20,19,19,19,19,20,19,20,20,20,20,20,15,20,20,20,20,20,25,25,25,
 };
static unsigned short stb__consolas_bold_27_latin1_s[224]={ 252,22,209,28,145,178,205,250,63,73,116,
48,174,77,249,149,156,221,180,30,1,243,172,236,1,71,248,233,44,195,31,
130,113,86,210,176,150,44,224,190,1,15,165,56,164,205,235,202,191,1,165,
75,177,135,194,148,132,116,102,32,121,23,160,61,29,87,146,114,102,139,15,
116,220,237,11,205,1,32,168,153,88,74,182,127,234,100,1,235,208,43,195,
40,6,51,234,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,252,16,223,
30,44,103,1,45,16,186,224,102,220,77,17,40,183,17,130,150,1,28,106,
53,250,140,62,88,44,104,149,243,227,74,123,90,107,77,119,164,139,153,168,
182,93,196,17,31,60,59,159,175,191,207,61,74,236,1,16,31,46,211,89,
239,102,15,30,59,88,135,57,76,44,224,209,194,60,218,15,89,1,120,73,
222,116,141,131,73,59,1,190,160,175,129,99,83, };
static unsigned short stb__consolas_bold_27_latin1_t[224]={ 1,100,198,161,1,55,79,141,1,1,198,
198,198,214,161,55,100,161,141,121,180,100,100,141,121,161,121,100,180,198,180,
100,1,161,141,121,141,161,141,121,161,161,121,161,161,161,161,100,161,55,141,
121,161,121,141,161,161,161,161,1,55,1,198,214,214,180,79,180,100,180,141,
100,121,79,1,121,141,198,180,180,100,100,180,180,121,180,199,180,180,100,180,
1,1,1,198,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,
141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,141,1,100,1,
141,141,141,1,55,214,100,180,198,198,214,198,214,198,180,198,198,214,100,55,
214,149,198,198,198,121,121,121,30,30,55,30,55,30,30,141,55,30,30,30,
30,30,30,55,55,141,55,1,1,1,1,30,198,1,30,30,30,30,30,141,
55,79,79,79,79,79,55,180,141,79,55,55,55,121,100,121,121,79,121,79,
79,79,100,79,180,100,100,79,79,79,1,1,1, };
static unsigned short stb__consolas_bold_27_latin1_a[224]={ 238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,238,
238,238,238,238,238,238,238,238, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_27_latin1_BITMAP_HEIGHT or STB_FONT_consolas_bold_27_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_27_latin1(stb_fontchar font[STB_FONT_consolas_bold_27_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_27_latin1_BITMAP_HEIGHT][STB_FONT_consolas_bold_27_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_27_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_27_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_27_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_27_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_27_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_27_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_27_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_27_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_27_latin1_s[i] + stb__consolas_bold_27_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_27_latin1_t[i] + stb__consolas_bold_27_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_27_latin1_x[i];
            font[i].y0 = stb__consolas_bold_27_latin1_y[i];
            font[i].x1 = stb__consolas_bold_27_latin1_x[i] + stb__consolas_bold_27_latin1_w[i];
            font[i].y1 = stb__consolas_bold_27_latin1_y[i] + stb__consolas_bold_27_latin1_h[i];
            font[i].advance_int = (stb__consolas_bold_27_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_27_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_27_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_27_latin1_s[i] + stb__consolas_bold_27_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_27_latin1_t[i] + stb__consolas_bold_27_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_27_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_27_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_27_latin1_x[i] + stb__consolas_bold_27_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_27_latin1_y[i] + stb__consolas_bold_27_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_27_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_27_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_27_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_27_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_27_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_27_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_27_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_27_latin1_LINE_SPACING
#endif

