// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_28_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_28_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_28_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_28_latin1_BITMAP_HEIGHT        232
#define STB_FONT_consolas_bold_28_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_consolas_bold_28_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_bold_28_latin1_NUM_CHARS            224

#define STB_FONT_consolas_bold_28_latin1_LINE_SPACING          18

static unsigned int stb__consolas_bold_28_latin1_pixels[]={
    0x2aaa1555,0x01000040,0x05555300,0x20001555,0x00dcc2b8,0x40176c40,
    0xff52feca,0x3fabffff,0x3e2fffff,0x10000cde,0x40003795,0x399001aa,
    0x40001000,0x00000000,0xfd008000,0xd87ffa3f,0x2fb8000e,0x3bffe600,
    0x00fffc40,0xf13ffd80,0xfe8001ff,0xffd100ff,0x3ffea5ff,0xfffd5fff,
    0x7ffc5fff,0x7dc002ff,0x001fffff,0xf8802ff8,0xfdb3001f,0xd30019df,
    0x03623bff,0x3ee0efc8,0x83bf200e,0xffd80efb,0xfe8fff41,0x01dff91f,
    0x007ffdc0,0x8827ffcc,0xf0001fff,0x3ffe69ff,0x7fffc002,0x9dfff901,
    0x3f733263,0x99bffd5f,0x7ffee439,0xfffb000f,0x003ffffd,0x4c00ffc4,
    0xffb800ff,0x02ffffff,0x3fffffe2,0xff104ffe,0x0fffe27f,0xf89fffc4,
    0x7ffd43ff,0xfe8fff45,0x1dffd11f,0x09fff500,0x405fff30,0x0001fff8,
    0x77f43ff7,0x37fe4000,0x3005fff0,0x07ffabff,0x00bffa20,0xfa837fee,
    0x3fe6006f,0xffd97300,0x3ff20379,0xffffffff,0xf53bd101,0x7c01dfff,
    0x0bffe2ff,0x3fe2fff8,0x2fffcc2f,0x7ff47ffa,0x013ffe21,0x200bfff1,
    0x7c400998,0x220001ff,0x2a000180,0x0dff100a,0x7f57fe60,0x9ff7001f,
    0x705ff980,0x3ea003ff,0xffffc887,0xf885ffff,0x3fea0eff,0x7502205f,
    0x98593005,0x2164c03c,0x1df903c9,0xffd1ffe8,0x02fff983,0x0003fff6,
    0x07ffe200,0x00000001,0x05ff9800,0x3fabff30,0xbff3001f,0x100ffe80,
    0x765409ff,0x3f62dfff,0xffffffff,0x80effc85,0x1001fffb,0x00008000,
    0xffe80000,0xf903ffd1,0x3ffee0df,0x00eeea81,0xff897bae,0x4effd98f,
    0x200eeea8,0x776c5eeb,0x06eeeeee,0x26009ff5,0x03ffd5ff,0x9817fe60,
    0x37f403ff,0x7ffffec4,0x9fff54ff,0x05517fd3,0x3e209fff,0x3f6603ff,
    0x9800ceff,0x00cefffd,0x3a207dd9,0x20aa60ee,0x3ffd1ffe,0xd05fff10,
    0x3fe207ff,0x93ffe03f,0xfffbfff8,0x7fc45fff,0x13ffe03f,0xffffffff,
    0x13fea0ff,0xfeaffcc0,0xbff3001f,0xeb87fe40,0x87fcdedf,0xfffffffe,
    0x7cfff94f,0x3ffe202f,0x413ffa01,0xfffffffc,0x3fff202f,0xe82fffff,
    0xfff104ff,0x3a07fec3,0x03ffd1ff,0xff317ff6,0x37fec01f,0x220fffa8,
    0xedffffff,0x7fec2fff,0x81fff506,0xfeeeeeed,0x09ff507f,0x7f57fe60,
    0xdff1001f,0xffdaffc0,0x0ffbcfff,0x3a77ffee,0xfff929bf,0x4c03ff31,
    0x3f600fff,0xffffc85f,0x81ffffff,0xfffffffc,0x7ff41fff,0x43fff104,
    0x7ff41ffd,0x2e03ffd1,0x3ff20fff,0x0fffd407,0x3e22ffec,0xfd10dfff,
    0x1fffa8df,0x2005ffd8,0xff907ffa,0x57fe6007,0x3e001ffe,0xbff880ff,
    0xbffdeff9,0x3ffe0ffb,0xff70bfe5,0x401ff9ff,0x3600fffa,0x7ffc46ff,
    0x17ffee0d,0x5c1bfff1,0x7ff45fff,0x43fff104,0x7ff41ffe,0x2603ffd1,
    0x3ffa2fff,0x44fff805,0x7c42fff8,0xfffb86ff,0x2227ffc0,0x2a002fff,
    0x3ee667ff,0xff3001ff,0x8007ffab,0x509beffd,0x53ff93ff,0x23ff55ff,
    0xff13fff8,0xffffe883,0x3fee02ff,0x1bff600f,0x3ee0dffb,0x1bff60ff,
    0xfd07ffdc,0x3ffe209f,0xfd07ffa1,0x807ffa3f,0x3ffe3fff,0x47ffc803,
    0xff887ffa,0x1fff981f,0x3ea3ffe4,0x7fd4007f,0x0fffffe7,0xfd5ff980,
    0x7e44003f,0x1ff92fff,0x2bfeeffd,0xfff50ffa,0x74c1fe61,0x2effffff,
    0x200fffa8,0x7ffc5ffd,0x47fff104,0xff104fff,0x827ff47f,0x3fa1fff8,
    0x00fff41f,0x7c53ffa0,0xff8801ff,0x213ff62f,0xf881fff8,0x7ffc42ff,
    0x0013ff62,0x7ffcfff5,0x7fcc003f,0x8003ffd5,0xf92fffeb,0x7fdd7fef,
    0xff50ffb9,0x701fee1f,0xbffffffd,0x201fff98,0x3fe24ffe,0x53ffa01f,
    0x3a01fff8,0x13ffa4ff,0xff0fffc4,0x01ffe85f,0xf9affe40,0x3ff6007f,
    0x103fff15,0xff103fff,0x2bffb03f,0x4001fff8,0x3f2a7ffa,0x3e6006ff,
    0x003ffd5f,0x8567ffe4,0x94ff8efd,0x4cff71ff,0x0bf92fff,0x3fffffe0,
    0x0fffe23f,0xf31fffc4,0x7fec01ff,0x401fff35,0x3ffa5ffd,0x43fff104,
    0x7ff42fff,0xa7fe4001,0x5001fff9,0xdff71fff,0x207ffe20,0xfa80fff9,
    0x06ffb8ff,0xd07ffa80,0x3e6003ff,0x003ffd5f,0x3a03ffe2,0xfb4ff8ef,
    0xff89ff2f,0x804fd8df,0xfffbaff8,0xb837ff46,0x3fea0fff,0x5bff600f,
    0x3600fffa,0x13ffa6ff,0xff0fffc4,0x01ffe85f,0xf89fff40,0x3fe002ff,
    0x103ffeaf,0xff903fff,0x757ffc0f,0xfa8003ff,0x07ff907f,0x7f57fe60,
    0xdff3001f,0x3fe3bfa0,0x17faffd4,0x9fddfffb,0x3fe60773,0xfb8fffb0,
    0x7ffd44ff,0x007ffdc4,0x3feedffb,0x9bff600f,0xff104ffe,0x217ffc3f,
    0x22001ffe,0x3ffe2fff,0x3bff2004,0xff100fff,0x4fff983f,0x3ffbff20,
    0xffa8000f,0x009ff507,0x7ff57fe6,0x0bff3001,0x5f7fdbf6,0x42ffafff,
    0xfffffff8,0x4ff504ff,0x7f446ffc,0xfffeefff,0x07ffd40f,0x3eabffb0,
    0x3ff600ff,0x4413ffa5,0x3ffe1fff,0xfe8fff43,0x3fff501f,0x10037ff4,
    0x409fffff,0xcaadfff8,0x7c406fff,0x0004ffff,0x3ea0fff5,0xbff3004f,
    0x4c007ffa,0x2ff905ff,0xfffffffd,0xffe880ef,0x794fffff,0x7fd5bee3,
    0xffff884f,0x980fffff,0x3fa01fff,0x03fff33f,0xffd1fff4,0x43ffe209,
    0x7f43fff8,0x203ffd1f,0x7fdc6ffc,0x3ff6000f,0x3fe201ff,0xefffffff,
    0xffffd801,0xfff50001,0x4013fea0,0x3ffd5ff9,0x417fe600,0xfff98ffc,
    0x400fffc9,0x0acdffc9,0xfffffffb,0x2201dfff,0x0cfffffc,0x207fff10,
    0xff12fff8,0x3ffe207f,0x4c13ff62,0x3ffe27ff,0xfe8fff43,0x87ffd01f,
    0x2002fff8,0x4405fffa,0xefffffff,0x3ffea004,0x3fea0005,0x00bff507,
    0x7ff57fe6,0x0bff3001,0x04c4bfee,0x3fd40033,0xffffffd8,0xf001efff,
    0xffd003ff,0x83ffee0d,0xff706ffe,0x82ffe41f,0x3fe26ffa,0xe8fff44f,
    0xfffb81ff,0x006ffd80,0x1007ffea,0x00333fff,0x007ffea0,0x307ffc80,
    0x3e600bff,0x003ffd5f,0x7c413fea,0x2e00005f,0xfdb7506f,0x80039dff,
    0x20545ffd,0x7d44fffa,0x7ffd44ff,0x227ffd44,0xfe81fffb,0x06aaa24f,
    0x3ffa3ffd,0x81fffcc1,0x8804fff8,0xf8806fff,0x220001ff,0x40006fff,
    0xff105ffe,0xbff3001f,0x64007ffa,0x3ff603ff,0xbf900001,0x003ff100,
    0x6ffffdc0,0xfffe85fe,0x0ffffeef,0xeeffffe8,0xff80ffff,0xffecbcff,
    0x3ffa000f,0x7c43ffd1,0x7fd406ff,0xfe98881f,0xff8800ff,0x4c44001f,
    0xa800fffe,0x3fff261c,0x27bffa03,0xf7333109,0x26bffabf,0x3f266099,
    0x3fea01ff,0x2005a81f,0xff9804fd,0x7fec0000,0x441fffff,0xfffffffe,
    0xfffd101e,0x203dffff,0xfffffffa,0x7f4002ff,0x6c3ffd1f,0xfd800fff,
    0x3ffe61ff,0xf1002fff,0x7cc003ff,0x002fffff,0xfffffff5,0xfff980bf,
    0xffff52ff,0x3fffabff,0x3ffe2fff,0xffc805ff,0x06ffecef,0x2a00ffa0,
    0xf700007f,0x2203bfff,0x0cfffffc,0x7fffe440,0x7ec400cf,0x000dffff,
    0xffd1ffe8,0x00bfff23,0x987fff44,0x001effff,0x8007ffe2,0x01effff9,
    0x3ffffea0,0xea800dff,0xfff52fff,0x3ffabfff,0x3fe2ffff,0x3f2004ff,
    0x04ffffff,0x26002aa0,0x1800002a,0x0004c400,0x10000988,0xfe800033,
    0x263ffd1f,0x744002ff,0x0af7624f,0x00555400,0x0057bb10,0x2f373260,
    0x0aa98001,0x55555551,0x2aaaaaaa,0x00026aa0,0x02f372a2,0x00000000,
    0x00000000,0x00000000,0x3a3ffd00,0x000a61ff,0x000001c4,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x23ffd000,
    0x00001ffe,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x32e19970,0x0000000c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0x0001cdb8,0x00007db0,0x00000200,0xeee98000,0x65d4c00d,
    0xed8801ab,0x0000003e,0x3bae0002,0x775c004e,0x0100004e,0x37bba600,
    0x1f76c400,0x5554c400,0x7ff400aa,0x4c0001ff,0x3bf202ff,0x3003bee0,
    0x3623bffd,0x7077e400,0x3e6001df,0x7f4c05ff,0x407fffff,0x03ffffe8,
    0x3ee0efc8,0xbffd300e,0xfa803623,0x7d4004ff,0xc88004ff,0x02dffffd,
    0x805fff98,0x03ffffe8,0xfffffea8,0x3e601fff,0x20009f55,0x100ffc88,
    0x3fe27fff,0x3ffe203f,0x04ffefff,0x7c4fffe2,0xff9803ff,0x7ffcc02f,
    0x207fffff,0xffc8eff9,0x4fffe204,0xf883fff8,0xffefffff,0x27ff4404,
    0x13ffa200,0xfffffb80,0x7cc05fff,0xff9802ff,0x104ffc8e,0xfffffffd,
    0x7cc03fff,0x4c009f55,0x05fffffd,0xfff17ffc,0x54ef4405,0x400effff,
    0x3ffe2fff,0x00998802,0x221fffd8,0x10662039,0x2fff8033,0x3a20bffe,
    0xeffffa9d,0x00333000,0x64006660,0xffefffff,0x04cc405f,0x4c419880,
    0xfffffd01,0x03fff35f,0x01ffffe8,0xffffff90,0x164c01ff,0x02200f26,
    0x32600575,0x1001e4c2,0x02fff400,0x26000400,0x101e4c2c,0x8002ba81,
    0x30000000,0x4415ffff,0x0000003b,0xfffff700,0x07ffe3ff,0x400732e0,
    0xffeffffc,0x00000eff,0x00000000,0x77ffecc0,0x3fffa00c,0xffd98002,
    0x00000cef,0x6cc00000,0x900cefff,0x3ba207dd,0x03fffa0e,0x881f7640,
    0x3bb20eee,0x21ddd103,0xfffffffd,0xc803fff1,0x4400eeee,0xffd0dfff,
    0xeec80bff,0x764000ee,0xea800eee,0xeeeeeeee,0xffffc81e,0xf702ffff,
    0x20019fff,0xfffffffc,0xddddb02f,0x43dddddd,0xdb03eeec,0xffff901d,
    0xfd05ffff,0x3ffe209f,0x007fff31,0xf8827ff4,0x13ffa1ff,0xfe8fffc4,
    0xf1ffffff,0xfff803ff,0x7fe403ff,0x3ffbfe66,0x3fffe00f,0x7ffc003f,
    0xffb803ff,0xffffffff,0x7ffffe41,0x4c1fffff,0x3fffffff,0x7ffffe40,
    0xf81fffff,0xffffffff,0x3fff62ff,0x41ffe80f,0xfffffffc,0x7ff41fff,
    0x23fff104,0x2000fffb,0xff104ffe,0x827ff43f,0xffd1fff8,0x3e3fffff,
    0x3fea01ff,0x7fc05fff,0x3e7fee3f,0xfff502ff,0x7d400bff,0xb805ffff,
    0xffffffff,0x3ffe21ff,0x97ffee0d,0xfffefff8,0xff880eff,0x3ffee0df,
    0xffeeed85,0x361eeeef,0xfe83ffff,0x37ffe21f,0xd17ffee0,0x3fe209ff,
    0x00fff91f,0xf104ffe8,0x27ff43ff,0xfb1fff88,0x23ffffff,0x3f201fff,
    0x2207ffef,0x5bfa0fff,0xff903ffd,0x6400fffd,0x807ffeff,0x36007ffb,
    0xfff706ff,0x223ffee1,0x40effffd,0xff706ffd,0x2fff801f,0x1bffff60,
    0xffd87ffa,0x41fff706,0xff104ffe,0x01bff63f,0x2209ffd0,0x3ffa1fff,
    0x23fff104,0xfffffffa,0x7c03fff1,0x02fffaff,0x3e21fff3,0x209ffb3f,
    0x2fffafff,0xff5fff00,0x7ffb805f,0x413ffe00,0xffb3fff8,0x5fffe98d,
    0xf8827ffc,0x7ffc03ff,0x3ffff602,0xf0fff42f,0x3fe209ff,0x413ffa3f,
    0xffd1fff8,0x4ffe800d,0x743fff10,0xfff104ff,0x7ffffec3,0x203fff1f,
    0x9ffd7ff9,0xfb9ffea0,0x30dff91f,0x13ffafff,0x7f5ffe60,0x3ffdc04f,
    0x01fff880,0x7fe53ffa,0x7fff440f,0x403fff10,0x7fc04ffe,0x37ff602f,
    0x8fff46ff,0x3a01fff8,0x13ffa4ff,0xfd8fffc4,0x7ff4007f,0x43fff104,
    0xff104ffe,0x7ffe443f,0x03fff1ff,0x7fe57fee,0x6cfff706,0x21bff26f,
    0xdff95ffb,0x32bff700,0x7fdc06ff,0x1fff3007,0xfaaffec0,0x7fd41eff,
    0x01fff31f,0x3e02ffec,0x3ff602ff,0x3fa1fffa,0x01fff31f,0xffd2ffec,
    0x47ffe209,0x2000fffc,0xff104ffe,0x827ff43f,0xb881fff8,0x3fff1fed,
    0x7ccbffa0,0x7ff981ff,0x7fe49ff1,0xf32ffe84,0xffe803ff,0x403fff32,
    0xccccfffb,0x3ffea4cc,0xe9bff600,0x3ea4ffff,0x1fff51ff,0x2037fec0,
    0x3f602fff,0x3a5ffcaf,0x1fff51ff,0xfd37fec0,0x3ffe209f,0x007fff71,
    0xf8827ff4,0x13ffa1ff,0x000fffc4,0x3e207ffe,0x0fffe0ff,0x3ea3ffe2,
    0x10fff61f,0x7ffc1fff,0x83ffe203,0x3ee03fff,0xffffffff,0x803ffee7,
    0x3fa26ffd,0xffeaefff,0x803ffee6,0x7fc06ffd,0x2bff602f,0xffd1fff8,
    0x803ffee3,0x3ffa6ffd,0x23fff104,0x000efff8,0x3e209ffd,0x13ffa1ff,
    0x000fffc4,0x3ea07ffe,0x82ffec6f,0x47fdafff,0x7fd42fff,0x502ffec6,
    0x5ffd8dff,0x3ffffee0,0x3ea7ffff,0x3ff600ff,0xfffffc85,0x3fea2fff,
    0x17ff600f,0x6c05fff0,0x29ffb2ff,0xfff51ffe,0xd2ffec01,0x3fe209ff,
    0x3bfff21f,0x3ffa3a81,0x43fff104,0xff104ffe,0xfff8003f,0x5c4ffd81,
    0xffe80fff,0x3fea4ffd,0x227fec0f,0xfb00fffb,0x0fffb89f,0x333fff70,
    0x7fcc3333,0x0fffa01f,0x7fffff4c,0x00fffcc2,0xff807ffd,0x4bff602f,
    0xffe8fff9,0x403fff31,0x3ffa3ffe,0x41fff104,0xeffffff8,0x3ffa5ffe,
    0x41fff104,0xff104ffe,0xfff8001f,0x99bfff81,0xb82fffa9,0xf12fffff,
    0x7fff09ff,0x5fff5333,0x266fffe0,0x702fffa9,0x3e200fff,0xfff103ff,
    0xffffa805,0x81fffc41,0x7c02fff8,0x3ff602ff,0x3fafffa2,0x07fff11f,
    0xfd8bffe2,0x0fff304f,0xffffffd3,0x27fecbff,0x7ec7ff98,0x0fff304f,
    0x41fff880,0xfffffff9,0xf904ffff,0xfffb9fff,0xffff981f,0x4fffffff,
    0xffffff98,0x704fffff,0x7f400fff,0x1fff706f,0x07fff500,0x3ee0dffd,
    0x7ffc00ff,0xa8bff602,0x21ffefff,0xff706ffe,0x82ffe41f,0xd7106ffa,
    0x45bfffff,0xff505ffc,0x505ffc8d,0xfa800dff,0xffffc87f,0x7fffffff,
    0x3fffffa0,0xffc81eff,0xffffffff,0xffffc87f,0x7fffffff,0x400fff70,
    0x7d44fffa,0xf98024ff,0xfffa82ff,0x027ffd44,0xfb017ffc,0xffffe85f,
    0x13ffea1f,0xfb89fff5,0x4ffe81ff,0x806ffcc0,0xfe81fffb,0x0fffdc4f,
    0x1b827ff4,0x7437fec4,0xaaaaacff,0xf501fffc,0x01bfffff,0x2aab3ffa,
    0x41fffcaa,0xaaaacffe,0xb81fffca,0x7f4007ff,0xfffeefff,0x2af7ee0f,
    0x00fffeca,0xfddffffd,0xff001fff,0x17fec05f,0x07ffffee,0xfddffffd,
    0xfff01fff,0xfffd979f,0x02ffb801,0x65e7fffc,0xff80fffe,0xffecbcff,
    0xbdff980f,0x442ffffc,0xff100fff,0x27ff209f,0x7ffc4009,0x49fff100,
    0xf100fff8,0xfff709ff,0x3ddddddd,0xfffffe88,0x7fdc1eff,0x2fffffff,
    0x3ffffa20,0xdb01efff,0xdddfffdd,0x217fec3d,0x41fffff8,0xffffffe8,
    0xfff501ef,0x05ffffff,0xf500ffb0,0xffffffff,0x3fffea05,0x902fffff,
    0xffffffff,0x80dff709,0xbff06ffd,0x037fdc00,0xffb9bff6,0x437fec06,
    0xfffffffb,0xfc881fff,0xa80cffff,0xcffffffe,0xfffc8801,0x3fe00cff,
    0xffffffff,0x20bff62f,0x881ffffc,0x0cfffffc,0x7fffec40,0x9fd000df,
    0x3fff6200,0x6c400dff,0x00dfffff,0x6fffff54,0x807ffb01,0x7cc0fffb,
    0x3ff6003f,0x87ffdc03,0x7dc03ffd,0x7ffdc0ff,0x1fffffff,0x30004c40,
    0x44000133,0xffff0009,0x5fffffff,0x7c417fec,0x4c401fff,0x03310000,
    0x98800000,0x03310001,0x00002200,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xa8800000,0x3000002a,
    0x3a600355,0x26000dee,0x776c4000,0x774c0003,0xddd700de,0xddd70009,
    0xdd300009,0x3a6001bd,0x36200dee,0x362003ee,0x775c03ee,0x5553004e,
    0x2ee60005,0x2a980040,0xf86aaa20,0x800001ff,0xf9802ffe,0x3ea005ff,
    0xfd1004ff,0x20007fff,0xa805fff9,0xa8004fff,0x20004fff,0x2005fff9,
    0x4405fff9,0x803ffffe,0x03ffffe8,0x8027ffd4,0x4004fffc,0xa8cffffc,
    0x7ffd401f,0x49fff305,0x00004ffc,0x4c03ffcc,0x26002fff,0x404ffdff,
    0xffc8eff9,0x7ffcc004,0x3ffa2002,0xffe88004,0xfff98004,0x3ffe6002,
    0x477fcc02,0x3e604ffc,0x04ffc8ef,0x8027ff44,0x3004fffa,0xfffffdff,
    0x77fcc07f,0xfff884ff,0x003ffe24,0x04ffc800,0x40009988,0x80df14fb,
    0x00cc4198,0x00026620,0x30000ccc,0x33100033,0x09988001,0x4c419880,
    0x31066201,0x00666003,0x004ffe88,0x3fff2277,0x557fe605,0x7ffc44ff,
    0x001ffec3,0x00fff880,0xafdc0000,0x000006f9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x10000ccc,0x41988013,0x7ffc4198,0x0037fd43,
    0x5c5ffb80,0x3ae00dee,0x3bfe205e,0xdd9003ff,0xec8001dd,0x64000eee,
    0xa800eeee,0xeeeeeeee,0x777541ee,0x1eeeeeee,0x7777776c,0x76c1eeee,
    0xeeeeeeee,0x7777541e,0x41eeeeee,0xeeeeeeed,0x4c401eee,0x00988000,
    0x7c009880,0x2ffe83ff,0x1ffe8000,0x881fffc4,0x6cc03fff,0x3fe003ef,
    0x7c003fff,0x4003ffff,0x803fffff,0xfffffffb,0x7fdc1fff,0xffffffff,
    0x7fffffc1,0x7c2fffff,0xffffffff,0x7ffdc2ff,0x1fffffff,0x7ffffffc,
    0x5c42ffff,0x1dfffffe,0xffffd710,0x3ae203bf,0x81dfffff,0xffb83fff,
    0x7fd40005,0x20fff906,0x8800fffb,0x3fea0009,0x2a005fff,0x005fffff,
    0x17ffffea,0x3ffffee0,0x5c1fffff,0xffffffff,0x7776c1ff,0x1eeeefff,
    0x7fff776c,0x7dc1eeee,0xffffffff,0x7f776c1f,0x41eeeeff,0xfffffffa,
    0xfffa82ff,0x82ffffff,0xfffffffa,0x17ffc2ff,0x0007ffc4,0x2207ffb0,
    0x7fc43fff,0xffd7103f,0xc803bfff,0x007ffeff,0x1fffbff2,0xffeffc80,
    0x07ffb807,0x003ffdc0,0x000bffe0,0xfb805fff,0x7fc0007f,0x66fd402f,
    0x0ffffbaa,0x5d566fd4,0x7d40ffff,0xfffbaacd,0x40bffe0f,0x30004ffc,
    0x7ec01fff,0x03ffdc6f,0xfffffff5,0x7ffc05ff,0xf002fffa,0x05fff5ff,
    0x3febffe0,0x3ffdc02f,0x01ffee00,0x005fff00,0x5c02fff8,0x7c0007ff,
    0x804402ff,0x0441fff8,0x441fff88,0x43fff100,0xff302fff,0xff90001f,
    0x2fff8809,0x5407fff1,0xffbaacdf,0x7ff980ff,0xf3009ffd,0x013ffaff,
    0x7ff5ffe6,0x03ffdc04,0x001ffee0,0x8005fff0,0x7dc02fff,0x7fc0007f,
    0x7f40002f,0x7ff4003f,0x1fff4003,0x7ec03ffd,0x7fc4003f,0x6ffd800f,
    0x0880fff7,0x703fff10,0x1bff2bff,0x7e57fee0,0x5ffb806f,0xfb80dff9,
    0x7fdc007f,0x7ffc0007,0x17ffc002,0x001ffee0,0x4005fff0,0xfffccaa8,
    0x332aa203,0x2a203fff,0x23fffcca,0x3ea01ffe,0x7fdc006f,0x5fff1005,
    0x80007ffd,0xffe83ffe,0x803fff32,0xfff32ffe,0x32ffe803,0x7dc03fff,
    0xccccccff,0xccfffb84,0xf804cccc,0x7fc002ff,0x7ffdc02f,0x04cccccc,
    0xa802fff8,0xfffffffe,0xfffea83f,0xa83fffff,0xfffffffe,0x007ffa3f,
    0x74003ffd,0x3f6002ff,0x4007ffff,0xfffccaa8,0xf07ffc43,0x7fc407ff,
    0x80fffe0f,0x3fe0fff8,0x3ffee03f,0x87ffffff,0xfffffffb,0xfff807ff,
    0x17ffc002,0x3ffffee0,0xf807ffff,0x7fdc02ff,0xfffeefff,0x7ffffdc3,
    0x5c3fffee,0xfeefffff,0x07ff63ff,0x200bff70,0x4c006ffa,0x003fffff,
    0xffffffd5,0x6ffa87ff,0xf502ffec,0x05ffd8df,0xffb1bfea,0x7fffdc0b,
    0xb87fffff,0xffffffff,0x2fff807f,0x017ffc00,0x3fffffee,0xff807fff,
    0x3ffe202f,0x11fff40d,0xfe81bfff,0x37ffe23f,0x551fff40,0xfff88015,
    0x03ffd800,0x06fffd80,0xdfffff70,0xfd87fffd,0x07ffdc4f,0x7dc4ffd8,
    0x9ffb00ff,0x700fffb8,0x33333fff,0x3fff7033,0x00333333,0xf8005fff,
    0x7fdc02ff,0x1999999f,0x202fff80,0xfe80fffa,0x03ffea3f,0xffa8fffa,
    0x03ffe80f,0x013ff200,0x0001fff3,0x1007fff3,0xfe81bfff,0x4dfffc3f,
    0x02fffa99,0x53337fff,0x3fe05fff,0xffa999bf,0x0fff702f,0x007ffb80,
    0x0017ffc0,0xf700bffe,0xff8000ff,0x3ffee02f,0x71fffec1,0xffd83fff,
    0x07ffee3f,0x75c7fffb,0x7ff9800d,0x0027fe40,0x5005fff0,0xffd01fff,
    0x7ffffcc7,0x84ffffff,0xfffffff9,0xf984ffff,0xffffffff,0xfff704ff,
    0x07ffb800,0x017ffc00,0x700bffe0,0xf8000fff,0x3fe602ff,0xfffebbef,
    0x3bffe63f,0x3ffffebb,0x2efbffe6,0xf33ffffe,0x3fa009ff,0x3fff102f,
    0x17ffc000,0x20fffdc0,0x3f23fffd,0xffffffff,0xfffc87ff,0xffffffff,
    0xfffffc87,0x07ffffff,0xb800fff7,0x7c0007ff,0x7fc002ff,0x3ffdc02f,
    0x0bffe000,0xffffffb0,0xfd87ff9f,0xfcffffff,0x7fffec3f,0x53ffcfff,
    0x2a00bfff,0xbff706ff,0x2fff8000,0xbefff980,0x23ffffeb,0xaaaacffe,
    0x741fffca,0xaaaaacff,0x7f41fffc,0xcaaaaacf,0xffb81fff,0x3ffdc007,
    0x0bffe000,0x805fff00,0x40007ffb,0x6c402fff,0xfa8dffff,0x7ffec43f,
    0x43ffa8df,0x8dffffd8,0x3ffa3ffa,0x07ffe002,0x0000bffa,0x36005fff,
    0xcfffffff,0x1fff13ff,0x893ffe20,0xff100fff,0x07ffc49f,0xb84fff88,
    0xeeeeefff,0x7ffdc1ee,0x1eeeeeee,0x7fff776c,0x76c1eeee,0xeeefffee,
    0x77ffdc1e,0x41eeeeee,0xefffeeed,0x33101eee,0x09988001,0x004cc400,
    0x7dc00098,0x037fd45f,0x017ffc00,0xdffffd88,0xff73ffa8,0x26ffd80d,
    0x7ec06ffb,0x01bfee6f,0xff70dffb,0xffffffff,0xfffffb83,0x7c1fffff,
    0xffffffff,0x7fffc2ff,0x2fffffff,0x7fffffdc,0x7fc1ffff,0xffffffff,
    0x0000002f,0x00000000,0x6c1fff10,0xf80003ff,0x4c4002ff,0x1ffec009,
    0x6c3ffee0,0x7fdc03ff,0x807ffb0f,0x7dc0fffb,0xffffffff,0x7fffdc1f,
    0x41ffffff,0xffffffff,0x7ffc2fff,0xffffffff,0x7ffffdc2,0x7c1fffff,
    0xffffffff,0x000002ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x215554c0,
    0x4002aaa9,0x0082aaa8,0x02aaa980,0x002aeea2,0x03730ae2,0x4400aa60,
    0x880dcc2b,0x2aa200bb,0x00004400,0xb8800aa6,0x1000dcc2,0xb8801000,
    0xaa80dcc2,0x26a2000a,0x7fcc0000,0xfffc80ef,0x7ffe4004,0x4006fdbd,
    0x880efff9,0x4ffffffd,0xf89ffec0,0x7fd400ff,0x3ffd805f,0xfa81fff1,
    0xdfd05fff,0x3ffff220,0x7fd4000c,0x7ffb005f,0x4c03ffe2,0xfdefffec,
    0x407ff603,0xfff13ffd,0x01fff881,0x37fffe20,0x7ffcc001,0x27ffd404,
    0xffffb980,0x26006fff,0x3fa04fff,0x4fffffff,0x7cd3ffe0,0x3fe602ff,
    0x7fc04ffe,0x45fff34f,0x3ffdeff8,0x7440ffdc,0x0effffff,0xffdff300,
    0x29fff009,0xfb82fff9,0xffffffff,0x0dfff503,0x7fcd3ffe,0x0fffc42f,
    0xfffff100,0xff3001bf,0x3fa2005f,0x7ffc404f,0x02ceffff,0x405fff30,
    0xc88bfffc,0x3fee07ff,0x4c03bfa1,0x09ff55ff,0xdfd0ffdc,0xfd87fd41,
    0x6c0ffe25,0xfffbbeff,0x55ff9804,0xffb809ff,0xf703bfa1,0xff999dff,
    0x3ffea07f,0x743ff706,0x7ffc40ef,0x3fba2001,0x8806ffff,0x99800099,
    0x677fc401,0x44006fff,0x7ff40099,0x00fffc44,0x98803011,0x2200cc41,
    0x27fb8180,0x81bfa6fc,0x3fea0fff,0x44198806,0x18088019,0xe85fff88,
    0x3ff603ff,0x40602201,0x0001fff8,0x013fffaa,0x44000131,0x3ee09800,
    0x044004ff,0x2a17ffc0,0x98800fff,0x00110000,0xff980220,0x3feebfb0,
    0x98fff301,0x088006ff,0x3ee00000,0x3ffe80ff,0x02200040,0x083fff10,
    0x3fff4400,0x3ffffae2,0xed8801df,0x2600deff,0x1ffffffd,0x77ff6c40,
    0x1fff880d,0x4413ffe2,0xdfffffeb,0x7ff6c401,0x76c400de,0xff80deff,
    0xff8bffbd,0x83ffe204,0xb5004ffc,0x201bffff,0xec80eee8,0x20bffb2e,
    0x2a603ffe,0x3ff6a00a,0xff880dff,0x4effd98f,0x83fff200,0xfffffffa,
    0x3fea02ff,0x82ffffff,0xfffffffc,0x3ffea05f,0x442fffff,0xffd11fff,
    0x7fffd40b,0x502fffff,0xffffffff,0x3fffea05,0x7e42ffff,0x0dfb6fff,
    0x3ee9ffd0,0xffc800ff,0x83ffffff,0xfe81fff8,0x209ffd3f,0x3f603ffe,
    0xffff901f,0xf887ffff,0xfffffbff,0xfff9005f,0xbaacdfa8,0xf880ffff,
    0xffeabeff,0x3bffee0f,0x81fffdcc,0xeabefff8,0x3fe20fff,0x80dffb1f,
    0xfbaacdfa,0x7fc40fff,0xfffeabef,0x5f7ffc40,0x440fffea,0x03ff53db,
    0xffdfff50,0xfff9005f,0x1fffffbf,0xe81fff88,0x09fff3ff,0xfd80fffa,
    0xffffc81f,0x20fffffd,0xdffffff8,0x4402fffe,0x80446fff,0xfd81fff8,
    0x13ffe84f,0xff98bfff,0x84ffd83f,0x3fe23ffe,0x805fff1f,0x3fff1008,
    0xfe84ffd8,0x427fec3f,0x7c403ffe,0x3ff6004f,0xf8801eff,0x3fee25ff,
    0x0fffc45f,0xffe9fff4,0x507ffd04,0xf883fff9,0x3fee25ff,0x3fffe25f,
    0x0dffd10d,0x5ffffd99,0x43ffe800,0xfb81fff8,0x01fff75f,0xff88bffd,
    0x25ffb81f,0xfff1fff8,0xffe80009,0x207ffe23,0x3fe25ffb,0x05ffb81f,
    0x980077ec,0x2a0ffffe,0x3ffe40aa,0x7c47ffd8,0x3ffe81ff,0xff50dffb,
    0x7ffec47f,0x3ffe42ff,0x3e27ffd8,0xfffb86ff,0x7fffffc0,0x66554403,
    0x7fd43fff,0xfcaaaaaf,0x20bff96f,0x7fd47ffc,0xfcaaaaaf,0x47ffe26f,
    0x1004fffd,0x7fff9955,0x5557ffd4,0x2a6ffcaa,0xaaaaafff,0x3ea06ffc,
    0xfff3002f,0x7ff4bfff,0xb827fec0,0x3fe21fff,0x73ffe81f,0x7fcc3fff,
    0x3fffa3ff,0x7fec2eef,0x23fff704,0xf981fff8,0x77ff41ff,0x3ffaa00b,
    0x43ffffff,0xfffffffb,0xffd7ffff,0x71ffee09,0xffffffff,0x7fc4ffff,
    0xbffff31f,0x3fffaa01,0x2e3fffff,0xffffffff,0x3fee7fff,0xffffffff,
    0x29ff107f,0xfe81cffc,0xf4fff9df,0x3ffe81ff,0x445fff30,0xffe81fff,
    0xb9ffff13,0x2a7fffff,0x7f404fff,0x5fff303f,0x2207ffe2,0x7ff42fff,
    0x7fffdc01,0x43fffeef,0xfffffffc,0xffd7ffff,0x91ffee09,0xffffffff,
    0x7fc4ffff,0x3fffe61f,0xfffffb86,0x323fffee,0xffffffff,0x3ff27fff,
    0xffffffff,0xb1ffb07f,0x4c3fffff,0xfff70fff,0xfff0fff7,0x8bffe209,
    0xfe81fff8,0x3fffee3f,0x93ffdeff,0xfff00fff,0x4bffe209,0xf881fff8,
    0x07ff41ff,0x81bfff10,0x7fd43ffe,0x13ffa006,0x3ea3ffe4,0x7fc4006f,
    0x7fff441f,0x037ffe22,0x7fd47ffd,0x37fd4006,0x9affa800,0x25fe8bff,
    0x7fe46ffb,0xffe84fff,0x41fff306,0xfe81fff8,0x7fffd43f,0xfb3ffd8d,
    0xdffd00ff,0x443ffe60,0xff981fff,0x2015540f,0xfe80fffa,0x07ffcc3f,
    0xd06ffd80,0xfff98bff,0x3ffe2000,0x24fff881,0xfe80fffa,0x03ffe63f,
    0x00fff980,0xfaaffc40,0xffb9bf27,0x1ffffe86,0xb80fffd8,0x7ffc47ff,
    0x81fffd41,0x4fff6098,0x6c01fffb,0xffb80fff,0x207ffe27,0x20007ffc,
    0x7ec1fffb,0x7ffc43ff,0x7fff7005,0x443fffb8,0x22005fff,0xffd01fff,
    0x20fffdc7,0x3e23fffd,0x3e2005ff,0x7e4005ff,0x7e4ff50f,0x107ffea6,
    0x3ea0ffff,0x3fe60cff,0x23fff84f,0x003ffff9,0x7fccfffa,0x3fea02ff,
    0x3ffe60cf,0x307ffe24,0xdf909fff,0x77ffcc03,0x3ffffebb,0xabefffb8,
    0x3fe1ecba,0xfffdcfff,0x7dfff706,0x443d9755,0xaac89fff,0x3e62fffc,
    0xffebbeff,0x7ffdc3ff,0x1ecbaabe,0x55f7ffdc,0x3ea1ecba,0x74bfe22f,
    0x3fffe25f,0xffffebac,0xbffffd05,0xd01ffffb,0xfffbbfff,0x7f4007ff,
    0x3ffff23f,0x7ff42def,0xffffddff,0x2b7ffe20,0xa86fffca,0x7ec05fff,
    0xfcffffff,0xffffb03f,0x543fffff,0xffffffff,0x3fff601f,0x21ffffff,
    0xff89fff8,0xfd85ffff,0xfcffffff,0xffffd83f,0xd81fffff,0xffffffff,
    0xb0bfd11f,0xa83fffff,0xffffffff,0xf983ffff,0xffffffff,0xfffff502,
    0x007ff9df,0x3f61fff4,0x4c4fffff,0xffffffff,0x7fffc42f,0x81efffff,
    0x4406fffb,0xa8dffffd,0x3faa03ff,0x40efffff,0xcfffffd8,0xfffea800,
    0x3e20efff,0xffff89ff,0xfffb103f,0x07ff51bf,0x3fffffaa,0xffd500ef,
    0x321dffff,0xffc880ff,0xfffb302f,0xfff919ff,0xffff9105,0xffa801bf,
    0x3ffa8dff,0x20fffa00,0x84ffffd9,0xdfffffc8,0xffffd700,0x7f4409df,
    0x1331002f,0x19a98000,0x00033300,0x2000cd4c,0x31000998,0x54c00013,
    0x4d4c0019,0x00040001,0x88000133,0x09980009,0x1aaa8000,0x200d4c40,
    0x4c400098,0x0004c001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x98040bb9,0x26002aaa,
    0x00002aaa,0x8015554c,0x54c00008,0x009802aa,0x00055300,0xdd11aaa8,
    0x03ddd01d,0x00000020,0x4c400553,0x00040000,0x03000004,0x33ffff20,
    0xff901fa8,0x7fe4009f,0xf300004f,0x77441dff,0x09dffd54,0x1dfff300,
    0x3ffffaa0,0x2a02eeee,0x20005fff,0xfff13ffe,0x405fff01,0x0ceffed9,
    0x200f7e40,0x2a05fffa,0x2efffffd,0xfffdc880,0xfd9302df,0xda8007bf,
    0x83dffffe,0xffffeff9,0x3fea03ff,0x3fea004f,0x7cc0004f,0xeff884ff,
    0x5ffffffb,0x13ffe600,0xffffffd8,0xf303ffff,0x0009ffdf,0x7fc4fffa,
    0x02fff80f,0xfffffff5,0x3ffee03d,0x3fbfe606,0xffff904f,0x5c0bffff,
    0xffffffff,0xfffffb85,0x6c400eff,0xffffffff,0xf913b80f,0xfd100bff,
    0x7f44009f,0xff30004f,0x3ffe205f,0xfffedfff,0x2fff9802,0x26bffee0,
    0x81cdfffb,0x9ff55ff9,0x27ffd000,0xff80fff8,0xefffb82f,0xb07fffec,
    0xf301ffff,0x213feabf,0xffecdefc,0xfffc83ff,0x45fffeff,0xf711cffc,
    0x3fe201df,0xfffeffff,0x0131000f,0x80019980,0x31000199,0x7ffc4013,
    0xdffd10df,0x80133100,0x7fdc1ffe,0x31066205,0x7ffd0003,0x3e03ffe2,
    0x5fff82ff,0x5c1fffd4,0x33106fff,0x80981988,0x7cc6fff8,0x2e20afff,
    0x440ffe63,0xfffb04fe,0x00da883b,0x00000088,0x40001100,0x7ffc4008,
    0x00fffb86,0x03ffe000,0x0000fff1,0x9fff4200,0xff80fff8,0x83ffdc2f,
    0xbd707ffc,0x20000001,0x7ff46ffc,0x49fb000f,0xff99ccb8,0x027ffcc0,
    0xffffb500,0x3bba201b,0x502eec80,0x01bffffb,0xbffffb50,0x03fff101,
    0x7443fff3,0x2eec80ee,0x3e60fffc,0x0eee886f,0xd882eec8,0x3ffffffe,
    0xff01fff1,0x04ffe85f,0x0003fff9,0x9dddddd5,0x93ff2000,0x3003fff9,
    0x3ffe63ff,0xfd89fd2f,0xf90000ff,0x7fffffff,0xd03fff10,0xfff907ff,
    0x407fffff,0xfffffffc,0x0fffc43f,0xf117ffc4,0x7ffd03ff,0xd11dffd8,
    0xfff109ff,0xc87ffd03,0xffffffff,0x01fff13f,0xfff85fff,0x7ffff442,
    0xfffb8002,0x88005fff,0x3fee2fff,0x4df5000f,0xf71ddfff,0x004fff8b,
    0xfbffff90,0xf881ffff,0x3ffe81ff,0x7effffe4,0xfc80ffff,0xffffdfff,
    0x07ffe20f,0xf887ffe2,0x3ffe81ff,0x7fffffc4,0xff880eff,0x23ffe81f,
    0xcccefffb,0xfff13fff,0xf85fff01,0x3ffea1ff,0xa8003fff,0x05fffeee,
    0xfffdccc8,0x003ffe43,0x0ffeabf7,0xfff89fea,0x2aaaaa22,0x12fffc42,
    0xf88bfff7,0x3ffe81ff,0xb897ffe2,0x7fc45fff,0x3ffee25f,0x207ffe25,
    0x3e20fff9,0x3ffe81ff,0x7fffffdc,0xfff100cf,0x227ffd03,0xffe85fff,
    0xc83fff13,0x3fe22fff,0xbbfffb0f,0x900009ff,0xfff00bff,0xfd819fff,
    0x53f6006f,0xff981ffb,0x4c3fff30,0x20ffffff,0xffb07ffc,0x81fff88f,
    0x3ff23ffe,0xc8fffb07,0xfffb07ff,0x640fffc4,0x7ffc47ff,0x223ffe81,
    0x013536ff,0xe81fff88,0x1fff73ff,0x3e27ffd0,0x3ffee3ff,0x2bffe62f,
    0xffb3fffe,0x01efd889,0xf805ffc8,0x3fffffff,0xd801bffa,0x303ff94f,
    0x3ffea1ff,0x3ffffe61,0x413ff60f,0x3e21fffb,0x3ffe81ff,0x7dc13ff6,
    0x13ff61ff,0xf88fffdc,0x7ffcc1ff,0x40fffc44,0x3fe63ffe,0xfff88006,
    0xf93ffe81,0x4fffa0bf,0xfedffff8,0xf13effff,0x43dfffff,0x7fdc3ffe,
    0x5ffc806f,0x3faa6200,0x0fffb2ff,0xffbafe40,0x3e67f983,0x2eaa22ff,
    0x3ffa0fff,0x45fff303,0xfe81fff8,0x40fffa3f,0x3fa2fff9,0x5fff303f,
    0x2ab7ffe2,0xf886fffc,0x3ffe81ff,0x337bffe2,0xff102bcc,0x27ffd03f,
    0xffd04ffe,0x3ffffe27,0x6fffcdff,0x213ffffe,0x7fe42ffe,0x7fe401ff,
    0xffd10005,0x003fff2b,0xfff9b7dc,0xf8df51cd,0xfff103ff,0x8827ffc1,
    0x3fe22fff,0x23ffe81f,0xff104fff,0x827ffc5f,0xff12fff8,0xdfffffff,
    0x03fff103,0xffb87ffd,0xefffffff,0x40fffc41,0x9fff3ffe,0x7c4fffa0,
    0xd15fffff,0x7fff4dff,0x41fff882,0x402ffff8,0x20005ffc,0xfff76ffc,
    0x43fea007,0xfb2ffffc,0x106fff89,0x7ff41fff,0x41fff306,0xfe81fff8,
    0x41bffa3f,0x3fa0fff9,0x1fff306f,0x3fffffe2,0x3fe204ef,0x43ffe81f,
    0xfeeefffc,0x7fc46fff,0xd3ffe81f,0x3ffa09ff,0x131fff13,0x7fe41330,
    0x20dff706,0x6401fffa,0x360005ff,0xdfff35ff,0xa93fa001,0x1ff99dec,
    0x440fffe4,0x3ff60fff,0x47ffb80f,0x7d41fff8,0x3fff63ff,0x6c7ffb80,
    0xffb80fff,0x267ffe27,0x3fff1001,0x2e3fffa8,0xffb80eff,0x07ffe21f,
    0x3f67fff5,0x3fffa86f,0x8001fff1,0x7cc4fff8,0xfff103ff,0x05ffc801,
    0x47fff700,0xa81efffc,0x4407fee3,0xfff885fe,0x07ffc42f,0x4c19fff5,
    0xfff84fff,0x8ffffe63,0x260cfffa,0x7fd44fff,0x3ffe60cf,0x007ffe24,
    0xf98fffe0,0x3ffa3fff,0x85fff103,0x3fe63fff,0x3fff73ff,0x89ffffcc,
    0xd8000fff,0xffcbefff,0x17fee06f,0x4417ff20,0xfeccccce,0x3fe20eff,
    0xffeeffff,0x305fff45,0x3ee03ffd,0xfedeffff,0x7fff40ff,0x0ffffddf,
    0xfddfffe8,0x7f43ffff,0xfffddfff,0xffffe80f,0x20ffffdd,0x8001fff8,
    0xffddfffe,0x3ffa3fff,0x81fff906,0xffddfffe,0xfff13fff,0xfffffb9f,
    0x003ffe27,0x3ffffa20,0x5d40efff,0xcc80effd,0xccfffecc,0xfffff13c,
    0x301dffff,0xfffffffd,0xfffd88bf,0x401efffe,0xfffffffb,0x7fcc0fff,
    0x2fffffff,0xffffff50,0xf987ff9d,0xffffffff,0xfffff302,0xf885ffff,
    0xfa8001ff,0xfcefffff,0x3fffee3f,0x3fffedcd,0xffffffa8,0x3ee3ffce,
    0xfcefffff,0x01fff13f,0x7fffe400,0x9ffff04e,0x3ffffe01,0x16ffffff,
    0xbfffffff,0xfffd7005,0x3b205bff,0x000cefff,0xffffffb3,0x3ff2205b,
    0x5400dfff,0xfa8dffff,0xfffc883f,0x64400dff,0x80dfffff,0x0001fff8,
    0x51bffff5,0xfffc87ff,0x02efffff,0x237fffea,0x7fd43ffa,0x3ffa8dff,
    0x00002aaa,0x79b00262,0xfffff803,0x26ffffff,0x00099998,0x30002620,
    0x99880001,0x004c4001,0x80004cc0,0x31000098,0x01555001,0x00099800,
    0x2f3732e2,0x00266002,0x00001310,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55440000,0x37aa00aa,0x201aa800,0x77300aa8,
    0xaaa88081,0x43a8000a,0x06aa02b8,0x32a0aa88,0x2aa200ac,0x20000800,
    0x05554008,0x3dd30000,0x3baa0000,0x17bae00e,0x0c0004c0,0x3a200000,
    0x3e202fff,0x3faa06ff,0x41bfa04f,0xa8cffffc,0x5fffa81f,0xb2ffdc00,
    0xffea87ff,0xf89bfa04,0xfd00ffff,0x7ffecc0d,0x7f5c00ce,0x7c41dfff,
    0x200001ff,0xec9807fd,0x3e25ffff,0x3ffe03ff,0xffffb504,0x7ecc05df,
    0x01efc807,0x03bffa20,0x20ffff30,0x704ffff9,0xdff303ff,0x07ffffff,
    0x8017ffa6,0x3ffe7ffd,0x13fffe64,0x5710ffdc,0xff709ff5,0x3ffff203,
    0xe882ffff,0xffffffff,0x007ffe24,0x13fe6200,0xffffff70,0x06ffd8ff,
    0xe881fff5,0xffffffff,0x01ffee04,0x200dfff7,0x2004ffe8,0x27204ffe,
    0x3ff884ff,0x7fe44ee0,0x5ffc805f,0x647ff300,0x7fce41ff,0x883ff884,
    0x7c42ffba,0xffff903f,0x83ffffff,0xecbdfffd,0xfff11fff,0x3f6a0003,
    0x3202ffff,0xfeeeffff,0x40fffd47,0xffd85ffd,0x4ffeeeff,0xb01ffee0,
    0x1001ffff,0x55000133,0x3a13fe00,0x0988006f,0x00266600,0xf0044044,
    0x20dfd09f,0x741dfffa,0xbfff106f,0x22fffdc1,0xfff82fff,0x003fff13,
    0xffffffb0,0xfff303ff,0xff83883d,0x17ffc44f,0x2033ffe2,0x1ffee018,
    0x00dfff70,0xf0000000,0x01ffb89f,0x00000880,0x3fe00000,0x880ffdc4,
    0x3ee7feba,0x0dffb01f,0x7c43ffee,0x3ffc80ff,0x0443fff1,0x37bfff20,
    0x6c0fffff,0x32000fff,0x3ffd47ff,0x800fffd4,0xfffeeee8,0x2e1eeeee,
    0xddd500de,0xea809ddd,0x804eeeee,0x13fe24ff,0xfd54ee88,0x3baa07ff,
    0x5404eeee,0x04eeeeee,0x3fe24ff8,0x3f623104,0x204ff88f,0xff104fff,
    0x0fffe27f,0x3e25fff1,0xfffea8ff,0x53fff883,0xe8bfffff,0x7c4004ff,
    0x13ff62ff,0x400fffea,0xfffffff8,0x002fffff,0x7fffffdc,0x7fffdc05,
    0x4ff805ff,0xff101bf6,0xffffff7d,0xfffff709,0xfffb80bf,0xff805fff,
    0xfa81bf64,0xdfb3ffff,0x00fffc40,0x7fec9ffd,0x6ffd88cf,0x3ff3ffe2,
    0x7e44ffff,0x3ebbf66f,0x01fffc6f,0xf8affec0,0xfff981ff,0x774401cf,
    0xeeefffee,0x754001ee,0x405fffee,0x5fffeeea,0xff52cc80,0xffff8803,
    0x0ffffdff,0x7fff7754,0x7f775405,0x2cc805ff,0x6cc03ff5,0x3ff51ace,
    0x007ffcc0,0x7f44bffb,0x0effffff,0x3fffffe2,0x360ffffd,0x29ff13ff,
    0xfff10fff,0xfff50007,0x6c0dff71,0x02dfffff,0x000fff70,0x017ff200,
    0x800bff90,0xf8804ff8,0xff30dfff,0x5ffc805f,0x02ffe400,0x0013fe20,
    0x2a027fc4,0x3f600fff,0x7ffec46f,0x7fc40fff,0xfff30dff,0xfb97ff45,
    0x7c5fff1f,0xff0004ff,0x407ffd5f,0xffffffd8,0x3ffdc03f,0xffc80000,
    0x2ffe4005,0x003bf600,0x3e1bffe2,0x7fe403ff,0x2ffe4005,0x003bf600,
    0x20077ec0,0x3600fffb,0x7ff4c6ff,0x220effff,0xfff86fff,0x7ecbffe3,
    0xfe8bffe6,0xfc8000ff,0x800fffef,0xffffffeb,0x01ffee04,0xfc800b26,
    0x7fe4005f,0x0bfea005,0x40fffc40,0x7e403ffe,0x7fe4005f,0x0bfea005,
    0x017fd400,0xb007ffd4,0x7ffccbff,0x0ffffead,0xfd03fff1,0x457fec7f,
    0x87ffe3ff,0x180efffb,0x3ffffe20,0x7fecc004,0xff702fff,0x5fffa80f,
    0x00bff900,0x1005ffc8,0x3bb629ff,0x81fff883,0x7e403ffe,0x7fe4005f,
    0x19ff1005,0x8807dff9,0x7ddb14ff,0x201fff98,0x3ffa3ffe,0x8a7ffe44,
    0xffe81fff,0x3ef7fee3,0x88fff51f,0xecefffff,0x3ff600ff,0xb10001ff,
    0x3ee0bfff,0x7ffec07f,0x5ffc800f,0x02ffe400,0xff90ffd8,0x3fff109f,
    0xc807ffd0,0x7e4005ff,0x1ffb005f,0x03fffff5,0xffc87fec,0x1fffc44f,
    0xf52fff88,0x5bff60ff,0xfe81fff8,0x3bffea3f,0x09ffd16f,0xffffffd3,
    0x7fd401ff,0xff80005f,0x0fff706f,0x007fffc8,0xc800bff9,0xffa805ff,
    0x09fbdf32,0xfd03fff1,0x5ffc807f,0x02ffe400,0x7c517fd4,0x25ff504f,
    0xe84fdef9,0xfff706ff,0x541bfee1,0x3fff17ff,0xfe87ffd0,0xfffcdfff,
    0xfff7100f,0xfa80bfff,0xe80001ff,0xfff705ff,0x03ffe880,0x800bff90,
    0x7c405ffc,0x3f2bfa5f,0x81fff884,0x7e403ffe,0x7fe4005f,0x82ffc405,
    0xff882ffa,0x13f2bfa5,0xf513ffea,0x7ffdc9ff,0xf15ffc81,0x7ffd03ff,
    0xfffffe88,0xfb802fff,0xff8800cf,0x00aa806f,0x2a07fff5,0x09802fff,
    0x017ff200,0xc80bff90,0xb3df70ff,0xfff881bf,0x403ffe81,0x64005ffc,
    0x7fe405ff,0x904ffb80,0x27bee1ff,0xffe80dfd,0xffffeeff,0x33bffe60,
    0x12fffdaa,0xffd03fff,0xfffff107,0x3f2001bf,0x3a62201f,0xfc800fff,
    0xffedceef,0xfff100ff,0x0039559f,0xffecccc8,0x6643cccf,0xccfffecc,
    0xd8bfea3c,0x45ffffff,0xfe81fff8,0x7666643f,0x43cccfff,0xfffecccc,
    0x3fea3ccc,0x503ffc82,0x7ffec5ff,0xfe885fff,0x1effffff,0xffffffb8,
    0x3fe24fff,0x83ffe81f,0x000abff9,0x3e606fe8,0x002fffff,0xfffffff9,
    0xfc803fff,0x02ffffff,0x7fffffc0,0x7c6fffff,0xffffffff,0x8bfd16ff,
    0x3efecccb,0x740fffc4,0x7fffc3ff,0x6fffffff,0x7ffffffc,0xfd16ffff,
    0xfffff90b,0x2e2ff44d,0x03efeccc,0x9fffff91,0x7fff5401,0x7fc42eff,
    0x83ffe81f,0x20000ffc,0x3fe603ff,0x2e001eff,0xfffffffe,0xfff7000c,
    0xf8005fff,0xffffffff,0x7fffc6ff,0x6fffffff,0xfc801ff9,0x81fff884,
    0x7ffc3ffe,0xffffffff,0x7fffffc6,0xf96fffff,0xffff901f,0x007fe4df,
    0x4c4013f2,0x01998000,0x3a07ffe2,0x05fe83ff,0xdd880000,0x4cc0002b,
    0x26000099,0x00000199,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2a600000,0x502aaaaa,0x40000155,
    0x00abcba8,0x3bb20088,0x01ddd103,0x2f76e5c4,0x3bbbbbaa,0x00804eee,
    0x77777754,0x00801eee,0x000f7744,0xeeeeed80,0x2014c4ee,0xeeeeb838,
    0xd100acde,0x776c05dd,0xddddddb3,0x23dddddd,0xeeeeeeed,0x5c1eeeee,
    0x05ffffff,0x00005fff,0xffffff91,0x3fff2205,0x27ff41df,0x881fff88,
    0x6ffffffd,0x7fffffdc,0xdb885fff,0xfb83efff,0xffffffff,0xdfffd702,
    0x03fff107,0xffff3000,0x322bffff,0x3bf601ff,0x3fffff22,0xf903ffff,
    0xfff701ff,0x3fffffe1,0x2fffffff,0xfffffffd,0xb85fffff,0x05ffffff,
    0x00005fff,0xfffffffb,0xfffff305,0x7ff49fff,0x83fff104,0xfffffff9,
    0x7fffdc6f,0x545fffff,0xfffffffe,0x7ffffdc6,0x74c2ffff,0xefffffff,
    0x2afffe20,0xfc80009a,0x4eeeffff,0x2e0dffd1,0x3ff21fff,0xffffffff,
    0x84fff885,0x45fe3fff,0x3a5f901a,0xffffffff,0x4c42ffff,0xf05ffd99,
    0xa80005ff,0x1531cfff,0xb9dfffd0,0x27ff47ff,0x221fff88,0x009bffff,
    0x26673fee,0x3fe20999,0xffffefff,0x85fff004,0xfedefffe,0x3ffe24ff,
    0x02efffff,0x1fffbfe0,0xfddfff98,0x643fffde,0x3fea26ff,0xfffb82ff,
    0xff1bfee0,0xc877ffee,0x0bffe02f,0x417ff200,0x40002fff,0xf7005ffc,
    0x743983ff,0xfff104ff,0x007ffe43,0x2004ffb8,0x3fe61dfa,0x5fff007f,
    0x3217ffdc,0xfff10fff,0xbfffffff,0xff7ff500,0xffffb80f,0xc85fffff,
    0xfff886ff,0x229ffd06,0xabfc2fff,0xf92fffee,0x017ffc05,0xf82ffe40,
    0x6c0002ff,0xff9003ff,0x13ffa00d,0xff0fffc4,0x7fdc007f,0xfb80c004,
    0xfff800ff,0x2217ff62,0xfff13fff,0xffffd757,0xf8ffd807,0xfffe807f,
    0xc82ffffe,0xfff906ff,0x71fff503,0x10ff0dff,0x80bf2ffb,0xc8002fff,
    0x5fff05ff,0x405eed88,0xfb003ffe,0x3ffa007f,0x23fff104,0x0021fff9,
    0x00009ff7,0x2003ffea,0x3ffe2fff,0x229ffb03,0x7fc41fff,0x57fe206f,
    0x7fc407ff,0x0bff910f,0x3e60dff9,0xbffb02ff,0x0ff03fff,0x0bf23fe6,
    0x8002fff8,0xfff05ffc,0x0ffff445,0x400fffa0,0xfd003ffe,0x3ffe209f,
    0xfd7fff71,0xff707dff,0x017bffff,0x007ffb80,0x7ff45fff,0x22bff905,
    0xffc81fff,0x25ff700f,0x41cccfff,0x7fcc3ffa,0x67fff647,0x0fffe24c,
    0x27ffffcc,0x1ff707f8,0x7ffc05f9,0x5ffc8002,0x7ec5fff0,0xeeed81ff,
    0xeeeeefff,0x003ffe85,0x3e209ffd,0xffff71ff,0x1dffffff,0x7fffffdc,
    0x3a000fff,0xfff005ff,0x407ffec5,0xfff16ffd,0x01fff503,0xffff9ffa,
    0x17fe43ff,0xfff07ffc,0xff8fffff,0x3fff204f,0x65cff00f,0x05f94ffe,
    0x40017ffc,0xfff05ffc,0x40bfff25,0xfffffffe,0x3fe7ffff,0xffffffff,
    0x104ffe87,0x3ff23fff,0xfffdceff,0x33332a4f,0x00effffe,0x001fffc8,
    0x7fdc5fff,0xfffccdff,0x03fff17f,0x3e60fff7,0x3ffffe4f,0x417fe43f,
    0x7fffc7ff,0x7ffc7fff,0x0fffe204,0x3bff67f8,0xff80bf23,0xffc8002f,
    0xf55fff05,0x776c07ff,0xeeeefffe,0x3ffffe5e,0xe87fffff,0xfff104ff,
    0x107fff23,0xb100fffd,0xfa805fff,0x3fe004ff,0x7fffec2f,0x16ffffff,
    0xffd03fff,0xf87ff20d,0x540999ff,0x2ffc45ff,0x267bff26,0xf0fffe21,
    0xffffffff,0xf93fc5ff,0x7c05f905,0xfc8002ff,0xf9fff05f,0xfe8009ff,
    0x7f55403f,0x82aaaadf,0xff104ffe,0x41ffee1f,0x9801fff9,0x3e604fff,
    0x7fc006ff,0xffffb82f,0xf15ffedf,0x3fa623ff,0xfff882ff,0x407ff999,
    0x3f62fff8,0x06ffc83f,0xff83fff3,0xffffffff,0x1eb9fe2f,0x3fe02fc8,
    0xffc8002f,0xffffff05,0x7ffd000f,0x00fffa00,0xf9827fec,0x41ffea7f,
    0xf001fff8,0x3fe60bff,0x3e2000ef,0x866202ff,0xfff14ffe,0x9fffffff,
    0x3ffffee0,0xff807fff,0x1ffffeff,0xf906ffc8,0x999981ff,0x0999bfff,
    0xf90189fe,0x017ffc05,0xf82ffe40,0x04fffcff,0x801fff40,0xf9003ffe,
    0x9bfea0bf,0xf982fff9,0xff9800ff,0xefff983f,0x7ffcc000,0x3ffe2001,
    0xffffff11,0x7f405fff,0x7fffffff,0x7ffffd40,0xfc86ffff,0x4fff886f,
    0x202fff80,0x3213fa7f,0x0bffe02f,0x417ff200,0xfffcafff,0x0fffa002,
    0x801fff40,0xfe81fffb,0x437ff44f,0xe8806ffe,0x7fcc1fff,0x206e00df,
    0x6c007ffd,0x3ffe26ff,0x200abcee,0xaaaaeff9,0x3fe607ff,0xffceeddf,
    0x237fe44f,0xf80ffffa,0xffffffff,0xff9fe2ff,0x3e02fc85,0xfc8002ff,
    0x25fff05f,0xd001fffe,0x3fa007ff,0x3ffe003f,0xfffecbcf,0x677ffd40,
    0x362fffec,0xffffdccd,0x2fffcc4f,0x76677e40,0xb5004fff,0x7fc47fff,
    0x7fe4001f,0xeeefff83,0x20bffd14,0x3f22fffb,0xffffeeff,0xfffff03f,
    0x45ffffff,0x3202e67f,0x0bffe02f,0x417ff200,0xfff12fff,0x7ffd001f,
    0xefffed80,0x44eeeeee,0xfffffffa,0xfffb02ff,0xe89fffff,0xffffffff,
    0x7ffffc44,0x96ffffff,0xdfffffff,0xfffddb01,0xff889fff,0x7ffc001f,
    0xffffff80,0x401ff916,0x3ff21efd,0x1effffff,0x3fe66660,0x3e0999bf,
    0xeeeeeeef,0x3e02ffee,0xccc802ff,0xcccfffec,0x7d45fff3,0xffe806ff,
    0x7ffffc03,0x6fffffff,0xfffffd88,0x7ff5c00d,0xffe81eff,0x980cffff,
    0xffffffff,0xffb56fff,0x7fc07fff,0x83ffffff,0x2001fff8,0xfff05ffa,
    0x0298dfff,0x7ffe4144,0x8002cdef,0x3fe02fff,0xffffffff,0x3fe02fff,
    0xffff802f,0x6fffffff,0xffc85fff,0x1fff404f,0x3fffffe0,0x06ffffff,
    0x44000cc4,0x19988019,0xfffff980,0x86ffffff,0xfff80099,0x0000bcef,
    0x00000000,0x00000000,0x00000000,0xffffff00,0x3edfffff,0xfffe82ff,
    0x00fffa03,0x00000000,0x00000000,0x00000000,0x77776400,0x77777440,
    0xdd701cde,0x2f75c01b,0x2a07ddd3,0x3baa2eee,0xdb5ed802,0xeee980bd,
    0xdddddd51,0x0000dddd,0x40000000,0xcdeeeeec,0xddddb00a,0x03dddddd,
    0x89db17b2,0xec80eee9,0xff9101ee,0x03bba60f,0x3bbbbaa0,0x401eeeee,
    0x40fffffa,0xfffffff8,0x7fc41eff,0x7fff103f,0xe80fffd8,0x1ffdc7ff,
    0xffcb7fc0,0x9fff201f,0xfffffffb,0x3bba67ff,0x80bceeee,0xeeeeeeeb,
    0xdd95eeee,0x43bba607,0xfffffffe,0xffff83ff,0x2fffffff,0x4ff8dfd0,
    0x2a07ffcc,0xff704fff,0x3fe60fff,0xfffb800f,0x1fffffff,0x7fffff40,
    0x7ffffc40,0x40ffffff,0xff707ffc,0x4fff981f,0x2a17ffd4,0x6ff803ff,
    0x7407fff3,0x3ffee4ff,0x27ffffff,0xfffffff9,0x7fe42fff,0xffffffff,
    0x209ffb6f,0xffd0fff9,0xffffffff,0xffeeed8b,0xf01eeeef,0x227fc4bf,
    0x3e20fff9,0xfffb86ff,0xff307fff,0xfff7001f,0x3fffffff,0x7ff7fdc0,
    0x0fffc40f,0x88bfff91,0x7fc43fff,0x1fffb03f,0x7d437ff4,0x25ff803f,
    0xff105fff,0x03ffdc5f,0xeeefff98,0x320fffff,0xffffffff,0x9ffb6fff,
    0x743ffe60,0x3fea23ff,0x3ffe02ff,0x4c9ff002,0x7ffcc3ff,0x307fff20,
    0xfffdffff,0x003ffe60,0x4001ffee,0xfff9fff8,0x40fffc40,0xffd87ffd,
    0x103ffdc6,0x3fea9fff,0x04ffa82f,0x3ff25ff8,0x41fff507,0xf3007ffb,
    0xfffc81ff,0x2aaaaa63,0xb4fffbaa,0x3fe609ff,0x107ffd0f,0x7fc0dfff,
    0x3f32a02f,0xdffdccef,0x21fff33c,0xfd03fffa,0x20fff51b,0xb800fff9,
    0xfb0007ff,0x81fff17f,0xfa81fff8,0x7ffc40ff,0x807fff12,0xffe9fffc,
    0x449ff305,0xa93fe22a,0xffd81fff,0x803ffdc5,0xff80fff9,0x3fee004f,
    0x209ffb0f,0xffd0fff9,0x07fff207,0xfb017ffc,0xffffffff,0x3fe6dfff,
    0x05ffe88f,0x07ffa86a,0x7001fff3,0xf5000fff,0x03ffe2df,0xf503fff1,
    0xdffb01ff,0x2201ffee,0x1fffffff,0x7e49ff30,0x449ff10f,0xfff84fff,
    0x803ffdc3,0xff80fff9,0x3ffe003f,0x4c13ff65,0x7ffd0fff,0x40bffe60,
    0x3f602fff,0xffffffff,0xfff36fff,0x001fff91,0xf983ffd4,0xffb800ff,
    0x7ffc4007,0x881fff11,0xffc81fff,0xd5fff107,0x3ee007ff,0x2205ffff,
    0x4fffa4ff,0x7fec4ff8,0x207ffcc6,0xf3007ffb,0xfffa81ff,0x3fff7000,
    0xf9827fec,0x07ffd0ff,0x7c0fffe2,0xffb802ff,0x3e61ff21,0x02fffbff,
    0x983ffd40,0xfb800fff,0xccccccff,0x224ffc84,0x7fc40fff,0x2fffd41f,
    0xffffffb0,0xffffe800,0x457fe200,0x7ff15fff,0x320fffb8,0xfffb86ff,
    0x25ffffff,0xdbabfff9,0x3e003fff,0x77fec5ff,0xffdccccc,0x407ffd0f,
    0xfff04fff,0x41ff7005,0xfff987fd,0xa8005fff,0xfff307ff,0xffff7001,
    0x98ffffff,0x3fe20fff,0x6fffc40f,0x0ffffdcc,0x3ffffe60,0x3ffe2003,
    0xaffc02ff,0xf98ffffb,0x17ffc43f,0xff709ffd,0xbfffffff,0x7fffffcc,
    0x2e003fff,0x7fec1fff,0xffffffff,0x07ffd0ff,0xff827ffc,0x47fc802f,
    0xfff986fe,0x4000fffe,0xff307ffa,0xfff7001f,0x8fffffff,0x7fc42ffe,
    0x7fffc40f,0x01efffff,0x006fffd8,0x37ffffe4,0x77ed7fe0,0x82ff9aff,
    0xfff15ffe,0x99fff703,0x7cc59999,0xffffffff,0xffe800ef,0xfffffd85,
    0x0fffffff,0x3e207ffd,0x5fff03ff,0x3ff66620,0x19eff999,0x3febffe6,
    0x7fd4005f,0x01fff307,0x333fff70,0x7fd43333,0xffcccccf,0xfff13ccf,
    0x009dffff,0x001fffcc,0xfffdfff3,0x7c77fc07,0xff9cffaf,0xf57ffc82,
    0x1ffee0ff,0x887ffcc0,0x405fffdb,0xfd81fffa,0xa99999df,0x7ffd0fff,
    0x407ffe60,0xff702fff,0xffffffff,0x3fe61fff,0x03fffb8f,0x4c1ffea0,
    0xfb800fff,0xfff7007f,0xffffffff,0x3ffe2dff,0x3e00019a,0x3f6002ff,
    0x0fffe8ff,0x2ff5dfd0,0x81ffaffd,0xffc9fff9,0x00fff704,0x3603ffe6,
    0x3fa00fff,0x09ffb06f,0x7f43ffe6,0x1fff903f,0x5c0bffe0,0xffffffff,
    0xf30fffff,0x3fffa1ff,0x0fff5000,0x2003ffe6,0xf7007ffb,0xffffffff,
    0x3e2dffff,0xf80001ff,0xff5002ff,0x13ffea7f,0xba7ef7f4,0xf01ffcff,
    0x05fff7ff,0x4c01ffee,0xffa80fff,0x5fff501f,0x4c13ff60,0x7ffd0fff,
    0x409fff10,0x75102fff,0xff755bff,0x7ffcc559,0x00bfff30,0x7cc1ffea,
    0xffb800ff,0x55551007,0x7fff7555,0x07ffe255,0x0bffe000,0x3a3fff40,
    0xffd81fff,0xffff12ff,0x3fff201f,0x3fee07ff,0x1fff3007,0x201fff70,
    0x3f606ffe,0x1fff304f,0xff50fffa,0x7ffc01ff,0x31ffc402,0xfff305ff,
    0x01fffe41,0xf983ffd4,0xffb800ff,0xff100007,0x1fff881f,0x2fff8000,
    0x43fffb80,0xfd86fff9,0x7fff47ff,0xffff500f,0x3ffdc0bf,0x40fff980,
    0xf507fff9,0x7fec05ff,0x21fff304,0xffeeeffe,0x776c3fff,0xeeeefffe,
    0xf517fcc1,0x1fff303f,0x207fffc4,0xffffffff,0xfff37fff,0x7ddddddd,
    0x3bbbffee,0x1001eeee,0xff881fff,0xff80001f,0x7ffc402f,0x85fffb06,
    0x7dc5fffc,0x3fe00fff,0x3ee03fff,0xfff3007f,0xffffdddd,0x01bffa05,
    0x3e609ffb,0xffffd0ff,0xf03dffff,0xffffffff,0x2ffa85ff,0x3e603fee,
    0x7ffd40ff,0x7fffffc6,0xf37fffff,0xffffffff,0x3fffee9f,0x01ffffff,
    0x881fff10,0x80001fff,0x7e402fff,0xfff303ff,0x42fffc8d,0x6c07fff8,
    0x2e00ffff,0xff3007ff,0xffffffff,0x0bffea07,0x2609ffb0,0xfffd0fff,
    0x7c059bdf,0xffffffff,0x0ffdc2ff,0x3fe60ff9,0x3fffd80f,0x3ffffffe,
    0xff37ffff,0xffffffff,0x3ffffee9,0x001fffff,0x00000000,0x00000000,
    0x00000000,0xfffff980,0x3a00bdef,0xffd806ff,0x01fff304,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x77640000,0x775400ee,0x2f77442e,0xbdddddd3,0x3bbb2039,
    0x261ddb03,0xeeeeeeee,0x00005eee,0x00007764,0x40026200,0x10001101,
    0x01310001,0x04400000,0xd1008800,0x5dd901dd,0x2a201100,0x7ffc01aa,
    0x7fe403ff,0x3fffd45f,0xfffffff3,0xffd81dff,0x1ffe80ff,0xfffffff5,
    0x200dffff,0x7ff402f9,0x0013a201,0xdfffffb5,0xefffeb83,0x01effe99,
    0x6ffffed4,0xfffd7100,0xc9803bff,0x105ffffe,0x81bdffdb,0xffd54ee8,
    0x1fff887f,0xdd53ffe8,0x07bfff25,0x5407fff1,0x405fffff,0x7ec7fffc,
    0x3ffe67ff,0x5fffffff,0x41ffffec,0xfff51ffe,0xffffffff,0x3fff500d,
    0x880fff40,0xd800dffe,0xffffffff,0x7fffff42,0x0fffffff,0xffffff90,
    0xfff507ff,0x05ffffff,0x3fffffee,0xffffa87f,0x3e22ffff,0xfffffbef,
    0x07ffe24f,0x7fdcfffa,0xffffffec,0x901fffc1,0x80fffdff,0x3e2ffffc,
    0x3fe67fff,0xfffd510f,0x37fffec1,0x9988fff4,0xffd99999,0x7ffe402f,
    0x07ffa01e,0x00efffc8,0x2ab7ffee,0x56742dba,0xdbffffc9,0xfffc83ff,
    0x0fffffdf,0x5d566fd4,0x7e40ffff,0x7feeefff,0x55f7ffc4,0xff10fffe,
    0xfffbffff,0x07ffe21f,0x7fdcfffa,0xfffdefff,0xf017ffc5,0x05fff5ff,
    0xaa7ff7ec,0xf30ffdff,0xfffb81ff,0x3fffff62,0x400fff42,0x6c05fff9,
    0x7400dfff,0x7fdc01ff,0xdffb01ff,0x7ff40400,0xff11bfe2,0x7ffdc4bf,
    0xff880445,0x3bffe61f,0x3ff61c41,0xf13ffe84,0x3e61bfff,0x3fff12ff,
    0x3ee7ffd0,0x3fee2fff,0x9817ffc7,0x09ffd7ff,0xcbfef7ec,0xf30ffcef,
    0xfff881ff,0x3ff7ff62,0x400fff46,0xd100fffe,0xff909fff,0xffffffff,
    0xffff50ff,0x03fffb05,0xd0ffe400,0x07ffc8ff,0xe800fffb,0x3fff63ff,
    0x1fff8800,0xff15ffb8,0x27fff0df,0xfe81fff8,0x87fff73f,0x3fa0fff9,
    0x2bff701f,0x3fa06ffc,0xbff9ffae,0xfff31ffc,0x21fffa81,0x1fffaffd,
    0xf9007ffa,0x3fe605ff,0xfff903ff,0xffffffff,0x3fffa60f,0x6ffffe43,
    0xfb53000b,0x8ffd555f,0xff704ffd,0x32aa203f,0x3fa3fffc,0xfff5004f,
    0xff955555,0x207ffe2d,0xfff13ffe,0x2e7ffd03,0xccc886ff,0x7407ffa0,
    0x3fff32ff,0x3fe37fa0,0x1ffb9ffc,0x2e21fff3,0x7fec5fff,0x3fa5ffca,
    0x3ffe601f,0x3ffff505,0x7e666540,0x04cccdff,0xd17fff62,0x3bffffff,
    0xfffffb10,0x8fffffff,0xff303ffe,0xfffea85f,0x3e3fffff,0xff7003ff,
    0xffffffff,0x07ffe2ff,0x7fc4fffa,0x73ffe81f,0xa9800dff,0x41fff102,
    0xbfd03fff,0x7ddbfffa,0xfffff31f,0xd81bffff,0x1fff8aff,0x7f403ffd,
    0xfff980ff,0xffe8001f,0xfffe8001,0x7ffff5c5,0x77ff43ff,0xeeeefffe,
    0x827ffc6e,0x3ee2fff8,0xffeeffff,0x07fff13f,0x3fffff20,0x17ffffff,
    0xffd03fff,0x207ffe27,0xdff73ffe,0xffa80000,0xf82ffec6,0x29fff75f,
    0xfff32ffb,0x203dffff,0x9ffb2ffd,0x7e407ffa,0x3fee02ff,0x7f4001ef,
    0x7fe4001f,0xfd7300df,0x3fee1fff,0x7401ff24,0xfff306ff,0x037ffe21,
    0x7ffc7ffd,0x0dff5004,0x40fffc40,0xfff13ffe,0x73fffa83,0x98800dff,
    0xb89ffb00,0x5ff80fff,0x3ee3fff3,0xd9fff32f,0x3f60dfff,0xd1fff32f,
    0xfff303ff,0xffff5009,0x0fff4005,0x4fffd880,0x47fff200,0x3ff21ffc,
    0x0fffd800,0x3ea7ffb8,0x3ffe80ff,0x2003fffa,0x1000fff9,0xffd03fff,
    0xf31fffc7,0x3fee7fff,0x3ffe6006,0x99bfff84,0xf82fffa9,0xfa9bfe4f,
    0x21fff33f,0xfd83fffa,0x3afffa2f,0xfffe81ff,0xfffd3000,0x07ffa007,
    0x0ffffa60,0x1fffb802,0x3fa23ffb,0xfffa803f,0x93ffe60c,0x7ec1fffb,
    0x3ffee3ff,0x3fe2180e,0xfff1005f,0x747ffd03,0xfffddfff,0x0dff73ff,
    0x07fffec0,0xfffffff3,0xf889ffff,0xfa8b2a4f,0x41fff33f,0x7ec0fffc,
    0x3bffea2f,0x7ffe41ff,0x7ff44002,0x0aaa805f,0x17fffd40,0xba9abee8,
    0x3ff27fff,0xbffffe9d,0xffe82b99,0xffffddff,0x2fbffe60,0x43ffffeb,
    0xeceffffe,0x3ffee0ff,0x1ecbaabe,0xfd03fff1,0x7fffd47f,0x73ffceff,
    0x7f400dff,0x3ff22fff,0xffffffff,0x027fc47f,0x7fccffea,0x13ffe60f,
    0xffe85ffb,0x3fe61fff,0x3f60004f,0x80000eff,0x201efffb,0xfffffffe,
    0x3ffe61ff,0xffffbeff,0xfff983ff,0x82ffffff,0xfffffffd,0x7f4c3ffc,
    0x0fffffff,0x7fffffec,0xfff11fff,0xa87ffd03,0xfa8dffff,0x00dff73f,
    0xd07fffe4,0x555559ff,0x7cc3fff9,0xa7fd404f,0x7ec0fff9,0x0bff60ff,
    0x43fffff7,0x0000effe,0xc897ffdc,0xcccccccc,0xdffd12cc,0xffffd801,
    0xea81dfff,0xfff90eff,0x3f2205ff,0x100dffff,0x51bffffb,0x3fae07ff,
    0xd504ffff,0x1dffffff,0x3a07ffe2,0x013303ff,0x4006ffb8,0x3fe21efc,
    0x9fff100f,0x2601ffcc,0x1fff34ff,0x363fffa8,0x7ffc42ff,0xffff71ff,
    0xffffffff,0xf88bea00,0xffffffff,0x017a24ff,0x00333330,0x06662022,
    0x20009880,0x20000998,0x2a600099,0x00000019,0x70000000,0xffd80dff,
    0x300ffe66,0x3ffe6bff,0x367ffe80,0xfffc82ff,0xfffff91f,0x0fffffff,
    0x3ffe2040,0xffffffff,0x00000044,0x00000000,0x00000000,0x00000000,
    0x20000000,0x7dc03ffd,0x07ff50ff,0xff35ff98,0x7fff701f,0x3e20bff6,
    0xfff91fff,0xffffffff,0x0000000f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x04000000,0x00044004,0x2200136a,
    0x20080019,0xeeeeeeec,0x3dd91eee,0x6c1dd900,0xee980dee,0x2f2a601e,
    0x1ddd5009,0x202f75c0,0x000002a9,0x4c018000,0x81bca980,0x00accca8,
    0x0000d54c,0x7744ffee,0xfd35ffb9,0xfffd883b,0x7fcc01ef,0x7ff4004f,
    0xfffc8801,0x7fffec3e,0xb1ffffff,0xffd007ff,0xe85fff98,0xffb105ff,
    0xf105dfff,0x7ffc07ff,0x203fe404,0x026cc4c8,0x83b10fa2,0x1df305fa,
    0x3fffffa6,0x7ffffdc5,0xfffd983f,0x06ff4404,0x7fc43ff6,0xfebffffc,
    0x77fcc7ff,0x2a01fffe,0x74005fff,0x7fc401ff,0x364fffff,0xffffffff,
    0x09ff70ff,0xff90fff0,0x07ffe45f,0x54d6ffcc,0xffd83ffc,0x01fff506,
    0x8113fe43,0xfff11fff,0xb1ffec03,0x3ffe25ff,0xb9fffcc5,0x3fffffff,
    0x3ffbbbee,0x3ffff20f,0x7ffe404f,0xff12ff45,0xbffff9ff,0x20c43ffd,
    0x3a203ff9,0x7f4001ff,0x67fec01f,0x401fffb9,0x3ea3fffc,0x2ffc405f,
    0xf98fffe8,0x97fd02ff,0x3fd15bdd,0xd81fffa8,0x74fa85ff,0xf517eadf,
    0x837fdcdf,0x3fee6ffa,0x9afffdc5,0x45645fff,0x1025ffe8,0x77d43fff,
    0x7ec04ffe,0x5ff10fff,0xfd9fffc4,0x207ff56f,0x804ff998,0xffe80009,
    0x2e2ffc01,0x3fea03ff,0xb37fcc4f,0x13fe63ff,0x7f6fffc4,0x3a9f704f,
    0x6f99ffcf,0x7c44fff8,0xeffe82ff,0x2fffcefc,0xffb27fe4,0x11fff887,
    0xff701fff,0x00bfffbf,0x99889ffd,0xf9287ffb,0xfff9809f,0x37fc401f,
    0x3fe65ffb,0x7ffffdc4,0x2000004f,0x3e601ffe,0x827fcc3f,0xf886fff8,
    0x54fffe7f,0x3fea03ff,0xfb00efff,0xd9fddba1,0x23ffe40f,0xf9107ffa,
    0x5bffffff,0x223ffd10,0x3ff60fff,0xb80bffa3,0x805fffff,0x7d41fffc,
    0x3200efff,0xffb804ff,0x2ffc400f,0x3fe61ffb,0x2eb7ff24,0x3bbb64ff,
    0xeeeeeeee,0xfddddb1e,0x3dddddff,0xff517fe2,0x03fffa07,0x7fd47ffc,
    0x805ff56f,0x201ffffd,0x3bf3fa7f,0xff885f90,0x013ff62f,0x03ffffb1,
    0x3f26ffa8,0x54fff34f,0xffc806ff,0xfffd807f,0xfffffa82,0x09ff902e,
    0x100fff30,0x87fecbff,0x9bfe4ff9,0x3ffe4ff8,0xffffffff,0xfffff2ff,
    0xffffffff,0xd88fffc5,0xfffc81ff,0x367ffa02,0xffb9ffff,0x7fffec01,
    0xefe9be02,0x360bee1f,0x3fff15ff,0x7ffff540,0xffd00cff,0xe87ffe23,
    0x07ffa2ff,0x5fffff98,0x03fffb10,0x20dffb10,0xfc804ffc,0x5ff8803f,
    0x7fcc3ff6,0x3f2fffa4,0x3fffe4ff,0xffffffff,0xffffff2f,0x5fffffff,
    0x7ff7ffe4,0x4fffb85f,0x7fd7fec0,0x0ffccffd,0x3ffffee0,0x3a1fb00f,
    0x40fe4df6,0xffb8fffa,0x37fffa06,0x41fffeef,0x3ff64ffc,0x987ffcc3,
    0xff980eff,0x445fffef,0x199afffe,0x313ffdc0,0x833bff93,0x005ffeba,
    0x7fecbff1,0x7d49ff30,0x04feefff,0x3ffa0000,0xffffd801,0x7ffcc0df,
    0xfdffc805,0x7fdffe9f,0x3f7ffe60,0x27f905ff,0xff15f96e,0x7f57ffc0,
    0x23bee03f,0xa8df76fb,0x1bfea6ff,0xff92ffe4,0x75fff989,0x7fecbfff,
    0xb0ffffff,0x9fffdddd,0x7fffffdc,0xffff10ff,0x2ffc4007,0x3fe61ffb,
    0xa995dcc4,0xd0000801,0x2e6003ff,0xffe881bc,0xfffa800f,0xdffff97f,
    0x5dbffa20,0xff883fff,0xfb7913b8,0x7f7fe407,0xf71c00ff,0x3ffe0ccf,
    0x403fff11,0x3ffa2ffe,0xb8bfff12,0xfffb3fff,0x361fffff,0x44ffffff,
    0xfffffffb,0x0159b10f,0x365ff880,0x09ff30ff,0x0ffec000,0x007ffa00,
    0xffffd800,0x22ffffff,0xf34ffff9,0x3f60bfff,0x3fffa1ff,0x20bffa81,
    0x7c405fe9,0x4004ffff,0x26c407fc,0x9f3013aa,0x3ee174c1,0x54cbf705,
    0x22aaaaaa,0x80aaccca,0xaaaaaaa9,0x3e200002,0x4c3ff65f,0x3fffe4ff,
    0x502fffff,0xe800bfff,0x7ffc01ff,0xf2ffffff,0xffffffff,0x7ffc45ff,
    0x13fffa1f,0xf30fffea,0x3fea0dff,0x004fffff,0x003ffffb,0x00002a98,
    0x01400080,0x0000000a,0x22000000,0x43ff65ff,0x3ffe4ff9,0x02ffffff,
    0x8009fff3,0x7fc01ffe,0x2fffffff,0xffffffff,0xfff85fff,0x217ffe47,
    0xf706fff8,0x36e209ff,0x2a001cde,0x00006fff,0x00000000,0x00000000,
    0x80000000,0x3ff65ff8,0x5549ff30,0x0aaaaaaa,0x00037b20,0x55500331,
    0x01555555,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0xb002bca9,0x554401dd,0xaaaaaaaa,
    0x2235551a,0x2aa20aaa,0xdddd701a,0x5ddddddd,0x1b885710,0x0d554400,
    0x0de54400,0xeeeee800,0x200002ee,0xfffffffb,0x00000006,0x00000000,
    0x32000000,0x01efffff,0x8817ffee,0xffffffff,0x9ffd4fff,0xf907ffe6,
    0xfff909ff,0xffffffff,0x225ffb07,0xf3000fff,0xfd881dff,0x7fff441e,
    0xf03cc84f,0x27ffffff,0xffffffff,0x2fffffff,0xfffffff7,0x0000000f,
    0x00000000,0x2e000000,0xffffefff,0xffeff880,0xfffff102,0x29ffffff,
    0xfff14ffd,0x89fff501,0xfffffffc,0xff83ffff,0x05fff34f,0x209fff30,
    0x7e47fffd,0x265fffff,0x777704ff,0x3ffe3777,0xffffffff,0xff72ffff,
    0x00ffffff,0x00000000,0x00000000,0x1dff1000,0x320fff62,0x206fe8ff,
    0x99999999,0x7ffb0999,0x4403ffe2,0x54004ffe,0x1ffb83ff,0xf3003bf6,
    0x7ffc05ff,0x2bbfe1ff,0xfdadfffb,0x3320002f,0xcccccccc,0x221ccccc,
    0x00888888,0x00000000,0x00000000,0x4ff98000,0x3e62ffcc,0x007ff53f,
    0xf1ffe400,0x033300ff,0x103ffa80,0x26600101,0x7fff4009,0x4c9ff30f,
    0x0fffffff,0x00000000,0x00000000,0x00000000,0xa8000000,0x2ffc43ff,
    0x1ffb1bfa,0x3ff20000,0x0001ffe2,0x003ffa80,0xf9800000,0x073223ff,
    0x05fffff3,0x00000000,0x00000000,0x00000000,0x26000000,0x1ffdc6ff,
    0xff985ff5,0x7ffffc45,0x74ffffff,0x037fc5ff,0x5bb30000,0x00000000,
    0x2a000262,0x000000ac,0x00000000,0x00000000,0x00000000,0x5f7ff400,
    0xff11fffd,0x88bff20b,0xffffffff,0x15534fff,0x00001554,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x98000000,0x3fffffff,
    0x74407baa,0x3333225e,0x2ccccccc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xc8800000,0x0001defe,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__consolas_bold_28_latin1_x[224]={ 0,5,3,0,1,0,0,5,3,3,1,1,2,3,
4,0,0,1,1,1,0,2,1,1,1,0,5,3,1,1,2,3,0,0,1,1,1,2,2,0,1,2,2,1,
2,0,1,0,1,0,1,1,1,1,0,0,0,0,1,4,1,3,1,0,0,1,1,1,1,1,0,1,1,1,
1,2,1,0,1,0,1,1,2,2,0,1,0,0,0,0,2,2,6,2,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,5,1,1,0,0,
6,1,0,0,2,1,1,3,0,0,2,1,3,3,0,1,1,5,5,3,2,1,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,0,0,0,0,0,0,1,0,
 };
static signed short stb__consolas_bold_28_latin1_y[224]={ 20,0,0,2,-1,0,0,0,-1,-1,0,5,14,11,
14,0,1,2,1,1,2,2,2,2,1,1,5,5,4,8,4,0,0,2,2,1,2,2,2,1,2,2,2,2,
2,2,2,1,2,1,2,1,2,2,2,2,2,2,2,0,0,0,2,22,0,5,0,5,0,5,0,5,0,0,
0,0,0,5,5,5,5,5,5,5,1,6,6,6,6,6,6,0,-3,0,9,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,20,5,-1,1,2,2,
-3,0,0,1,1,6,11,11,0,1,0,3,0,0,0,6,0,9,20,0,1,6,0,0,0,5,-3,-3,-3,-4,
-4,-4,2,1,-3,-3,-3,-4,-3,-3,-3,-4,2,-4,-3,-3,-3,-4,-4,6,-1,-3,-3,-3,-4,-3,2,0,0,0,
0,0,0,-2,5,5,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,5,3,0,0,0,0,0,0,0,
 };
static unsigned short stb__consolas_bold_28_latin1_w[224]={ 0,5,10,15,14,16,16,5,10,9,13,14,9,9,
7,14,15,13,13,13,15,12,14,13,13,14,6,8,12,13,12,11,16,16,14,13,14,12,12,15,14,12,11,14,
12,15,14,15,14,16,14,13,14,14,16,15,16,16,13,8,14,8,14,16,10,13,14,13,13,13,15,14,13,13,
12,13,13,15,13,15,14,13,13,12,14,13,16,16,15,16,12,11,4,12,15,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,5,12,14,15,15,
4,14,13,16,11,13,13,9,15,12,11,13,10,10,15,14,14,6,5,10,11,13,16,16,16,10,16,16,16,16,
16,16,16,13,14,14,14,14,14,14,14,14,15,15,15,15,15,15,15,13,15,15,15,15,15,16,14,14,14,15,
14,14,14,14,16,13,14,15,14,14,14,15,14,14,14,14,15,15,15,15,15,14,15,14,15,14,14,16,14,16,
 };
static unsigned short stb__consolas_bold_28_latin1_h[224]={ 0,21,8,18,25,21,21,8,27,27,13,15,11,4,
7,23,20,18,19,20,18,19,19,18,20,19,16,20,17,9,17,21,26,18,18,20,18,18,18,20,18,18,19,18,
18,18,18,20,18,25,18,20,18,19,18,18,18,18,18,26,23,26,9,4,7,16,21,16,21,16,20,21,20,20,
26,20,20,15,15,16,21,21,15,16,20,15,14,14,14,20,14,26,29,26,7,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,21,25,19,18,18,
29,24,7,20,15,13,7,4,14,6,11,17,12,12,7,20,24,6,5,12,15,13,20,20,20,21,23,23,23,24,
24,24,18,24,23,23,23,24,23,23,23,24,18,24,24,24,24,25,25,13,24,24,24,24,25,23,18,21,21,21,
21,21,21,23,16,20,21,21,21,21,20,20,20,20,21,20,21,21,21,21,21,15,20,21,21,21,21,26,26,26,
 };
static unsigned short stb__consolas_bold_28_latin1_s[224]={ 253,249,112,73,167,123,140,248,21,11,150,
44,239,232,178,16,154,104,103,194,144,90,75,16,143,129,247,170,78,98,105,
244,137,1,1,208,45,131,242,239,30,60,117,89,118,18,49,127,160,182,34,
218,239,60,225,209,192,175,64,115,1,106,83,215,123,164,229,178,125,192,29,
95,157,17,81,15,1,1,206,148,64,188,234,118,232,220,133,84,101,201,71,
94,1,124,186,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,
224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,224,253,247,154,
45,176,208,6,99,148,222,17,178,134,232,117,202,71,91,206,217,162,139,239,
248,249,228,59,164,31,93,110,202,97,80,63,51,34,1,159,193,114,129,174,
68,189,144,159,130,192,145,161,83,114,199,215,192,18,177,207,223,231,31,144,
63,204,1,234,219,78,48,131,187,17,47,93,108,63,1,179,78,32,48,32,
48,157,1,213,29,171,17,79,110,173,32,49,64, };
static unsigned short stb__consolas_bold_28_latin1_t[224]={ 1,56,219,165,1,80,80,185,1,1,204,
204,204,219,219,56,102,165,145,102,164,145,145,166,124,145,124,102,185,219,185,
80,1,185,166,102,165,165,164,102,166,165,145,165,165,185,185,124,164,1,185,
124,145,145,164,164,164,164,185,1,56,1,219,219,219,185,80,185,102,185,145,
102,124,124,1,145,145,204,185,185,102,80,185,185,124,185,204,204,204,124,204,
1,1,1,219,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,
145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,145,1,1,1,
145,145,145,1,31,219,102,204,204,219,219,204,219,219,185,204,204,219,102,31,
194,204,204,204,204,124,124,124,80,56,56,56,31,31,31,145,31,56,56,56,
31,56,56,56,31,145,31,31,31,31,1,1,204,31,31,31,31,1,56,145,
80,56,80,56,56,80,56,185,124,80,80,80,80,124,124,102,124,80,124,102,
102,80,102,80,204,124,102,102,102,80,1,1,1, };
static unsigned short stb__consolas_bold_28_latin1_a[224]={ 246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,246,
246,246,246,246,246,246,246,246, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_28_latin1_BITMAP_HEIGHT or STB_FONT_consolas_bold_28_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_28_latin1(stb_fontchar font[STB_FONT_consolas_bold_28_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_28_latin1_BITMAP_HEIGHT][STB_FONT_consolas_bold_28_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_28_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_28_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_28_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_28_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_28_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_28_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_28_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_28_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_28_latin1_s[i] + stb__consolas_bold_28_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_28_latin1_t[i] + stb__consolas_bold_28_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_28_latin1_x[i];
            font[i].y0 = stb__consolas_bold_28_latin1_y[i];
            font[i].x1 = stb__consolas_bold_28_latin1_x[i] + stb__consolas_bold_28_latin1_w[i];
            font[i].y1 = stb__consolas_bold_28_latin1_y[i] + stb__consolas_bold_28_latin1_h[i];
            font[i].advance_int = (stb__consolas_bold_28_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_28_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_28_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_28_latin1_s[i] + stb__consolas_bold_28_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_28_latin1_t[i] + stb__consolas_bold_28_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_28_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_28_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_28_latin1_x[i] + stb__consolas_bold_28_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_28_latin1_y[i] + stb__consolas_bold_28_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_28_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_28_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_28_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_28_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_28_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_28_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_28_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_28_latin1_LINE_SPACING
#endif

