// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_30_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_30_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_30_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_30_latin1_BITMAP_HEIGHT        258
#define STB_FONT_consolas_bold_30_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_30_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_bold_30_latin1_NUM_CHARS            224

#define STB_FONT_consolas_bold_30_latin1_LINE_SPACING          20

static unsigned int stb__consolas_bold_30_latin1_pixels[]={
    0x3feadff5,0x40001226,0x00e60009,0x5554c000,0x1000aaaa,0x006aa153,
    0x55555550,0x445db103,0x220003ed,0x6642cccc,0x2200002c,0x33000019,
    0x20664401,0x262002da,0x5530009a,0xccb80055,0x2adff50c,0x0bfd16ff,
    0x04ffd800,0x9803ff98,0x701cdfec,0x1fffffff,0x2ffffb80,0x801bfffd,
    0xfffffff8,0x90fffc83,0x10001fff,0xff07fffd,0x5c00009f,0x540000ff,
    0x3ff603ff,0x007ffe66,0xdfffffd3,0xbfff9003,0x8fffec00,0xdff56ffa,
    0x0017ffea,0x007fffd4,0xb80dfff3,0x2fffffff,0xffffffb8,0x3fff600f,
    0xffffd2ff,0x7ffc403f,0xfd83ffff,0x3fff90ff,0xfffe8800,0x009fff01,
    0x003fe400,0xf007fec0,0x7ffdcfff,0x3fffee02,0x802fffff,0xb005fffa,
    0x3fea3fff,0x7dcdff56,0xfa8005ff,0xff100fff,0x7fec01df,0x2fffecdf,
    0x55577fdc,0xdfff300a,0x3f6aa157,0x555405ff,0xe983ffea,0x013fa23f,
    0x01bffd10,0x00027ffc,0x1000bfd0,0x80dff555,0x3fa23ffb,0xffff700e,
    0x3fffffdf,0x07ddb100,0x2a3fffb0,0x8dff56ff,0x8002fffc,0x3f604ffe,
    0x3fee00ef,0x237fd41f,0x32005ffb,0xffa806ff,0x3ff6000f,0x10000003,
    0xfff00333,0x764c0009,0x02deffff,0x7fffff4c,0x3008804f,0x22ffff80,
    0x005fffc8,0x1fff9000,0x7fd5bfea,0x00fffe86,0x3ee01980,0x3fe602ff,
    0x43ff900f,0x36005ffb,0xfff003ff,0x1ffec003,0x00000000,0x0444fff8,
    0x7ffffe40,0x2e04ffff,0xffffffff,0x0099880f,0xff706662,0x3fff605f,
    0x01a98801,0xf50fffc8,0x21bfeadf,0x0005fff9,0x02fffc40,0xf980fff2,
    0x017fee5f,0xd002ffe8,0x7ec005ff,0x05ddd53f,0x3aa5eec8,0x776402ee,
    0x764fffe5,0xff903eff,0xffffffff,0x3fffee09,0x0effffde,0xf5037fec,
    0x3fff43ff,0x407fff50,0xefffffe9,0x21fff901,0xdff56ffa,0x903fff20,
    0xdddddddd,0x1fff70bd,0x4037fc40,0x17fee7ff,0x001fff80,0x6c007ffb,
    0xdfff13ff,0x127ffc40,0x7c40dfff,0x33ffe4ff,0x4ffffffd,0x54f7ffcc,
    0x882a88ff,0xff50ffff,0xffd8bfff,0x87ffea06,0x3e204fff,0xfff904ff,
    0x05ffffff,0x3ea1fff9,0x20dff56f,0x7ec3fff8,0xffffffff,0x404ffe87,
    0xbd913ffb,0x5cffb7b9,0x3fe005ff,0x7ffb001f,0xb1ffec00,0x3ee03fff,
    0x7ffec1ff,0x43fff701,0xffffffff,0x3ee1ffff,0x00ff72ff,0x7e43fff7,
    0x360fffef,0x3fea06ff,0x07fff11f,0xfb85fff8,0xfffeffff,0x3ffdc1ff,
    0x3feadff5,0xb1bff606,0xffffffff,0x1fff98ff,0x7cc7ff40,0xfcbfffff,
    0x00bff70f,0xd800fffc,0x3f6003ff,0x13ffea3f,0x7d437ff4,0xdffd04ff,
    0x0cfffff8,0x7e4bfff7,0x00dfb2ff,0xeff8dffd,0x3f62fff9,0x3ffea06f,
    0x805fff31,0x7fc46fff,0x3ff222ff,0x53ffdc5f,0x1bfeadff,0x000fffb8,
    0xffb8fffb,0xeb7fc407,0xcafffeff,0x0bff71ff,0x003ffe20,0xb0037fdc,
    0x6ffe87ff,0xd03fff98,0xfff30dff,0x84ffff87,0xff50fffe,0x00bfd7ff,
    0x7fcc7fff,0x7ec7fff4,0x3ffea06f,0x805fff51,0x7fe46ffe,0x1fffb02f,
    0xff53ffdc,0x981bfead,0xfb001fff,0x05ffc8ff,0x7fce7fcc,0xff73ffb6,
    0x4017fee5,0x26006ffc,0xd800afff,0x7ffdc3ff,0x807ffe41,0x7e41fffb,
    0x2fffc0ff,0xf11fffb8,0x0bffffff,0x322fff88,0x49ffd1ff,0x3ea06ffd,
    0x5fff51ff,0x746fff80,0x3fea06ff,0xa9ffea3f,0x013316ff,0x8017ffc4,
    0x7fec7ffd,0x5d7fdc04,0x71ffd3ff,0x17fee3ff,0x2ffffec8,0x7fffe400,
    0x0fff601e,0xff89fff1,0x3ffe205f,0x7c2fffc4,0xfff504ff,0x7ffffcc5,
    0xff303fff,0xfd3ff43f,0x037fecdf,0x3e63fff5,0x7ffc03ff,0x1027ffc5,
    0x7fd49fff,0x001bfea6,0x6c00fffe,0x27ff47ff,0x3f27ff20,0xf71ffd2f,
    0x817fee3f,0x001dfffd,0x03ffff50,0x7ec1ffec,0x0bffe67f,0x7ccfffb0,
    0x4fff82ff,0x885fff50,0xfffffffd,0x8fffd41f,0x3ff64ff9,0xa81bff66,
    0xfff11fff,0x27ffc409,0xf807fff1,0x9bfea5ff,0xf8006ffa,0xffb003ff,
    0x404fff8f,0x0ffd8ffd,0x43ff2fff,0x3f605ffb,0x4000dfff,0x01fffffc,
    0x3ea0fff6,0x0dffb2ff,0x365fff50,0x9fff06ff,0x407ffee0,0xffffffd8,
    0x47ffea1f,0x3ffa2ffb,0xa81bff65,0x3ffe1fff,0x8bffee07,0x7c02fffa,
    0x9bfea6ff,0xf8006ffa,0xffb002ff,0x404ffe8f,0x8ffe8ffd,0x1ffb6ff8,
    0x71017fee,0x5400bffd,0xd800bfff,0xbfff03ff,0x2007fff1,0xfff8dfff,
    0x209fff03,0x7e407ffc,0x25ffffcf,0xffd2fff8,0x3f64ffe8,0x3ffea06f,
    0x40bfff21,0x7fd46ffe,0x37ff402f,0x0037fd40,0x4007ffe2,0x7fec7ffd,
    0xfebff405,0xfd5ff88f,0x802ffdcd,0x32007ffa,0x3f6004ff,0x7fff903f,
    0x32001fff,0x0fffbfff,0xf109fff0,0x6fd80dff,0xff8ffff3,0x7c5ff8bf,
    0x1bff63ff,0x261fffa8,0xb30affff,0xffa87fff,0x2fffc02f,0x2dff5022,
    0x3e603cc9,0xffb000ff,0x407ffc8f,0x71ffb7fd,0x49ff1bff,0xf1005ffb,
    0x3f6001ff,0x3ff6003f,0xfffff103,0x7fc400bf,0x3e05ffff,0x7fec44ff,
    0xd2ff402f,0xeffe8fff,0x3fea2ffb,0x81bff62f,0x7ec1fffa,0xffffffff,
    0x3fff985f,0xf527ffc0,0xab7fd4bf,0x3ff206ff,0x1fff6007,0x6c03fff5,
    0xfcffd8ff,0x22ffdeff,0x3e005ffb,0xffb001ff,0x1ffec007,0x5fffffb0,
    0xffffd800,0x3fffe02f,0x5fffedcd,0xff13ff80,0xefffc8df,0x1bff60ff,
    0x7d40dffb,0xfffd80ff,0x80efffff,0x2204fff8,0x3ffa3fff,0x2adff52f,
    0x3ffe06ff,0x1fff6004,0x6409fff1,0xffffa9ff,0x5c5ffffe,0x3fe005ff,
    0x7ffb001f,0x01ffec00,0x00dffff5,0x0dffff50,0xfffffff8,0x7640dfff,
    0xeabffaab,0x7fcc3fff,0xff916fff,0x07ffc85f,0xea81ffee,0x403effff,
    0x3ee07fff,0x3fffe2ff,0x3eadff53,0x1fff506f,0x43ffec00,0xf700fffd,
    0x237ff65f,0x7dc0effe,0x3ffe005f,0x07ffb001,0x201ffec0,0x0003ffff,
    0xf807ffff,0xefffffff,0xfffff902,0x0bffffff,0x3bffffea,0xfb86ffff,
    0xdffb01ff,0x00fff900,0x740bfff2,0x77fdc7ff,0x3eadff50,0x0bffd06f,
    0x986ffd80,0xff504fff,0x402604c9,0x3e005ffb,0xffb001ff,0x1ffec007,
    0x001fffe0,0xf807fff8,0x80098cff,0xfffffffc,0x3200cfff,0xffffffff,
    0xefff980d,0x01fffd40,0x0617ffd4,0x42bfffe2,0x883fffd9,0xfab7fd41,
    0x1fffb86f,0x82fffc00,0xf881fffd,0x3ee0007f,0x3ffa005f,0x05ffd002,
    0x901ffec0,0x20007fff,0xf803fffc,0x5cc004ff,0xbdefffec,0xffff8800,
    0x7ec03eff,0xffecdfff,0xfff1006f,0xb09fb9bf,0xffffffff,0x7d400dff,
    0x98dff56f,0x4c003fff,0xff104fff,0x7ffb01df,0x17fee000,0x804ffd80,
    0x2001fff8,0xff903ffd,0x3f2000bf,0xfff005ff,0x6fd80009,0x9cffa800,
    0xffd10009,0x3fffffff,0x7fffdc00,0xfc81ffff,0xdfffffff,0x5bfea000,
    0x3fe26ffa,0x9817306f,0x2a02fffd,0xffa85fff,0x2e07302f,0x3ee005ff,
    0x3f6203ff,0x7fec007f,0xffffdf13,0x3be2001f,0x000fffff,0x80009fff,
    0xfd8004fe,0x3f20000f,0x00cfffff,0xfffffb80,0xffd700cf,0x50007dff,
    0x5bfeadff,0x300fffe8,0xfffdddff,0xfff700bf,0x7dfffb0b,0x2e0bfd95,
    0x0fffffff,0x3fffffa0,0x7fffffd2,0x7ffffc40,0xffff13ff,0x7c4003df,
    0x001effff,0x00013ffe,0xff0007ff,0x2620000d,0xa8800009,0x26000aba,
    0x3ea00009,0x26dff56f,0x3e600eff,0xefffffff,0x0bff7000,0x3ffffff6,
    0xfff705ff,0x4c01ffff,0xfd2ffffe,0xf8809fff,0x13ffffff,0x0007dfff,
    0x007dfff1,0x0007ddb0,0x4000e644,0x00000099,0x00000000,0x3fea0000,
    0x74cdff56,0x7ff64400,0xb8002dff,0x7ff6dc05,0x3baa02df,0x800eeeee,
    0x9d91edca,0xddd10037,0x0445dddd,0x00044000,0x00000000,0x3ba00000,
    0xeeeeeeee,0x02eeeeee,0x00000000,0x7d5bfea0,0x0880006f,0x04000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7ffffc00,0xffffffff,
    0x00003fff,0x2a000000,0x0dff56ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fc00000,0xffffffff,0x03ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x007ba600,0x5000aaa6,
    0x014419d9,0x5b503322,0x015554c0,0x2aaa6000,0x2aa9800a,0xaaa98000,
    0x1aa8800a,0x55544000,0x6654c401,0x500ccccc,0x014419d9,0x80b32e00,
    0x4deffedb,0x00555300,0x50019997,0xff9801ff,0xff7005ff,0x5fd59fff,
    0xf337fec0,0x7fe403ff,0xf300005f,0xf3003fff,0x4000bfff,0x801ffff9,
    0x005ffff9,0x7ffffec4,0x7fdc44ff,0xffffffff,0xfffffb81,0x0002feac,
    0xf303fff3,0xffffffff,0xbffff300,0x00fffd80,0x7d407fb8,0x00dffdef,
    0x3ff7bfe2,0x3e01ffff,0x3ffee7ff,0x2fffd402,0x3ffe6000,0xeffa800d,
    0x4000dffd,0x000dfff9,0x05fd59fd,0x3ffffea0,0x3e25ffff,0xffffffff,
    0x7fc41fff,0xffffffde,0xdff90001,0xdfffff10,0xfa80ffdd,0x00dffdef,
    0x9001fff9,0x6f6cc0df,0x9809dd50,0x0bbff665,0x7447ff70,0xed8800ef,
    0xdb10003e,0x3b66007d,0x009dd50d,0x001f76c4,0x01fe43fe,0x7fffffdc,
    0x3f65fffe,0xf36fffff,0x4cb303ff,0x0002effd,0xf705fff1,0x405107ff,
    0xdd50ded9,0x01fff209,0x00002ff4,0x44001000,0x00000300,0x00000000,
    0x74000000,0x401ffbcf,0x40cffff8,0xffff53b8,0x3fe6dfff,0x0004001f,
    0x6c1ffee0,0x00000fff,0x83ffdc00,0xeffffec9,0x00d4c401,0x001a9880,
    0x10035310,0x4cc40133,0x1004cc41,0x09988333,0x20066620,0x98001a98,
    0xc804fffe,0xf9004fff,0x2dffffff,0x4c01fff9,0x40000999,0xff904ffe,
    0x4c0001bf,0x7d400999,0xffffc87f,0xd303ffff,0x03dfffff,0xfffffd30,
    0xffd3003d,0x3603dfff,0x3fea06ff,0x81bff61f,0x3f61fffa,0x3ffea06f,
    0xffffd301,0x5cc003df,0x7fc400ac,0x3ffa007f,0xf36fffff,0x7fdc03ff,
    0x2a0007ff,0xff300fff,0x70005fff,0xa80fffff,0x7ffe46ff,0x83ffffff,
    0xfffffffc,0x3ff202ff,0x2fffffff,0x3fffff20,0xfd82ffff,0x3ffea06f,
    0xa81bff61,0x3ff61fff,0x07ffea06,0x3ffffff2,0xfb802fff,0x7d407fff,
    0x3fa004ff,0x36ffffff,0x7ec03fff,0x0001ffff,0x3a20bffb,0x1effffff,
    0x3ffff600,0x8f32601f,0xfacffff9,0x7fdc1baf,0xffffefff,0xffffb81f,
    0x1fffffef,0xefffffb8,0x6c1fffff,0x3fea06ff,0x81bff61f,0x3f61fffa,
    0x3ffea06f,0x7ffffdc1,0x01fffffe,0x0fffffec,0x005fff70,0x7fffffe4,
    0x03fff36f,0x1ffffffc,0x0fffcc00,0xffffffd8,0xff003fff,0x0007ffff,
    0x3ee3fffd,0xffff880f,0x17fff222,0x445ffff1,0x7c45fffc,0x3f222fff,
    0x37fec5ff,0x6c3fff50,0x3fea06ff,0x81bff61f,0x3e21fffa,0x3f222fff,
    0x7ffc05ff,0x3f203fff,0x3ea001ff,0x36ffffff,0x3ea03fff,0x006ffeff,
    0xf506ffc8,0xfff919ff,0xffa80bff,0x7c06ffef,0x4dfff0ff,0xfff907fc,
    0x83fff605,0xfb02fffc,0x7ffe41ff,0x41fffb02,0x3ea06ffd,0x1bff61ff,
    0x361fffa8,0x3fea06ff,0x0bfff21f,0xa807ffec,0x06ffefff,0x0003fff6,
    0xdffffffb,0x6407ffe6,0x0fffcdff,0x0bffe200,0xd307ffe4,0x6407ffff,
    0x0fffcdff,0x3e2dff30,0x41bf64ff,0x3ea06ffe,0x1bffa3ff,0x3a3fffa8,
    0x3fea06ff,0x81bff63f,0x3f61fffa,0x3ffea06f,0xa81bff61,0x3ffa1fff,
    0x0fffea06,0x7fe6ffe4,0x3fffb00f,0xfffe8800,0x3fff36ff,0x3e6fffe0,
    0x3ee002ff,0x3fff207f,0x07fffc82,0x3fe6fffe,0x27ff702f,0x3fa3fff9,
    0x409fff05,0x3fe4fff8,0x3ffe204f,0x8813ffe4,0x3ff64fff,0x87ffea06,
    0x3ea06ffd,0x1bff61ff,0x3e1fffa8,0x3fe204ff,0x37fff04f,0x3f205fff,
    0xd50002ff,0x3fe6dfff,0x1fff981f,0x7400bfff,0x3fea04ff,0xfffe80ef,
    0xf1fff981,0x3ff20bff,0x7cbfff30,0x3fff884f,0xf8afffc0,0x7ffc03ff,
    0x807fff15,0x3ff65fff,0x87ffea06,0x3ea06ffd,0x1bff61ff,0xf11fffa8,
    0xfff807ff,0xf1fff985,0x3fea0bff,0x4cc0004f,0x03fff33a,0x7fecfff7,
    0x1fff5007,0x7ffffc40,0x40fffdc2,0x3ff67ffb,0x7c435307,0x05ff16ff,
    0xf805fff5,0x5fff56ff,0xf56fff80,0xfff805ff,0xa81bff66,0x3ff61fff,
    0x87ffea06,0x3ea06ffd,0x5fff51ff,0xb86fff80,0x1fff67ff,0x007fffcc,
    0x3ffe6000,0x2e4ffe81,0xfd801fff,0xfffa805f,0xfffb0dff,0x5c9ffd01,
    0x3a001fff,0x1ff9dfff,0x017ffd42,0x7fd5bffa,0xb7ff402f,0x7402fffa,
    0x1bff66ff,0x361fffa8,0x3fea06ff,0x81bff61f,0xff51fffa,0x6ffe805f,
    0x3ee4ffe8,0xfffd01ff,0xf9800009,0x7ffc41ff,0x013ffe62,0x2003fff1,
    0xdffffffa,0xff885fff,0x13ffe62f,0xfffff980,0xf53fccff,0xfff805ff,
    0x805fff55,0xfff55fff,0x25fff805,0x3ea06ffd,0x1bff61ff,0x361fffa8,
    0x3fea06ff,0x05fff51f,0x7c45fff8,0x3ffe62ff,0xbffff504,0x0132a215,
    0xa83fff30,0x7ff40fff,0x037fe406,0x3ffff620,0xfa80ffff,0x37ff40ff,
    0x3ffff200,0xf33fffff,0xfff807ff,0x807fff34,0xfff34fff,0x24fff807,
    0x3ea06ffd,0x1bff61ff,0x361fffa8,0x3fea06ff,0x07fff31f,0x7d44fff8,
    0x37ff40ff,0xffffffb0,0x800bffff,0x7e41fff9,0x0fffc86f,0x007fff10,
    0x3ffffa60,0x0dff900f,0x8001fff9,0xfffffffa,0x09fff13f,0xf89fffc4,
    0x3fe204ff,0x09fff13f,0xfb1fffc4,0x7ffd40df,0xa81bff60,0x3ff60fff,
    0x43ffea06,0x2204fff8,0x7fe43fff,0x00fffc86,0x3ffffff2,0x54005fff,
    0x7ffc1fff,0xffeeeeef,0x1fff703f,0xfffc8000,0xdffff00f,0x7fffdddd,
    0x3bfa6000,0x3fffc0ab,0x7c5fff70,0x3fee07ff,0x81fffe2f,0x3f22fffb,
    0x1ffee07f,0x7dc0fff9,0x03ffe47f,0xfff8fff7,0x0bffee07,0xddddffff,
    0xa807fffd,0xcffffffd,0x3ffec001,0x3fffffe6,0x05ffffff,0x00009ffd,
    0x260bfff2,0xffffffff,0x0005ffff,0xffc813fa,0x8fffd02f,0xfd02fffc,
    0x2fffc8ff,0xfb8fffd0,0xdffb01ff,0xb01fffb8,0xfffb8dff,0xc8dffb01,
    0xffd02fff,0xfffff98f,0x5fffffff,0x017ffb00,0xfff88398,0x7ffffe46,
    0x7fffffff,0x000fff98,0x1fffc801,0xffffffc8,0x07ffffff,0x880ffe00,
    0xb30affff,0xff887fff,0xffb30aff,0xffff887f,0x7fffb30a,0x40efff98,
    0x7cc3fffa,0x7fd40eff,0x77ffcc3f,0x21fffd40,0x30affff8,0xfc87fffb,
    0xffffffff,0xff007fff,0xefe8801f,0x2ffffdbc,0x4ccefff4,0x2fffc999,
    0x5002ffec,0xf97557bf,0x3ffa0fff,0xc999999d,0x88002fff,0x7fec02ff,
    0xffffffff,0xfffffb06,0x20dfffff,0xfffffffd,0xffb06fff,0xfffd9bff,
    0x3ffff60d,0x06fffecd,0xd9bffffb,0x3f60dfff,0xffffffff,0x9dffe86f,
    0xffc99999,0x2ffcc02f,0x7ffffdc0,0x7c44ffff,0x3fe602ff,0x0bffe24f,
    0xfffffa80,0x881fffff,0x3e602fff,0xf98004ff,0xfffc801f,0x00dfffff,
    0x3ffffff2,0x3f200dff,0xdfffffff,0xffffd100,0x203fffff,0xffffffe8,
    0xfd101fff,0xffffffff,0x7fffe403,0x440dffff,0x3e602fff,0x7fd404ff,
    0xfffd5002,0xff705dff,0x7fff801f,0x5001bff2,0xffffffff,0x3ffee03b,
    0x03fffc00,0x8007fdc0,0x3effffeb,0xffffd700,0x3fae007d,0x9003efff,
    0x19ffffff,0xfffff900,0xff90019f,0x0019ffff,0x7dffffd7,0x003ffee0,
    0xa980ffff,0x9aa88002,0x017ff601,0x4c47fff6,0x55300009,0xfd801355,
    0xfffd805f,0x02654001,0x00009980,0x98000266,0x33100009,0x26620001,
    0x13310000,0x004cc000,0x36017ff6,0x00001fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x55300000,
    0x03322005,0x530005b5,0xaa981555,0x3220002a,0x8016d40c,0x00003dc9,
    0x00aaaa98,0x0aaaa980,0x00555530,0x0000e664,0x2da81991,0x419d9500,
    0x2aa60028,0x2aaa9802,0x2aa60000,0x3fe600aa,0xffd805ff,0x007ffe66,
    0x01ffff98,0x000bfff9,0xff99bff6,0x7ffd401f,0x2600006f,0x8001ffff,
    0x401ffff9,0xb005fffc,0x6c000bff,0x3ffe66ff,0x7fffdc01,0x802feacf,
    0x805ffff9,0x0005fffc,0x01ffff98,0x3ff7bfea,0x9fffe00d,0x3002fffb,
    0xa801bfff,0xf8005fff,0x3ffee7ff,0x7567fc02,0xf980003f,0x98000dff,
    0x5000dfff,0xf500bfff,0x3e0001ff,0x3ffee7ff,0x37bfe202,0x01ffffff,
    0x7fef7fd4,0x7ffd400d,0x3fe60005,0x3b6600df,0x409dd50d,0x3fa23ffb,
    0xeed8800e,0x3bb62003,0x1ffdc003,0x4c01dfd1,0x0017ee7f,0x007ddb10,
    0x00fbb620,0x00fbb620,0x40013ffa,0x3fa23ffb,0xb32cc00e,0xd9805dff,
    0x09dd50de,0x007ddb10,0x007ddb10,0x40220000,0x00000001,0x0c022000,
    0x6c57fc40,0x0000004f,0x00000000,0x003ffdc0,0x00060110,0x00000020,
    0x00000000,0x26666662,0x98819999,0x99999999,0x33333019,0x00333333,
    0x40013333,0x99999999,0x7fe40199,0x40000fff,0x44009999,0x99880199,
    0x33333301,0xf1033333,0x980005ff,0x98800999,0x06660099,0x4ccccccc,
    0x99881999,0x99999999,0x99999881,0xd8199999,0xffffffff,0x7fec1fff,
    0xffffffff,0x7fffcc1f,0x1fffffff,0x1ffffee0,0x7ffffcc0,0x01ffffff,
    0x0006f75c,0x1ffffee0,0x807fff70,0xff987ffe,0xffffffff,0x06ffc81f,
    0x3fffee00,0xffffc807,0x983fff00,0xffffffff,0x7fec1fff,0xffffffff,
    0x7fffec1f,0x1fffffff,0x7fffffec,0x6c1fffff,0xffffffff,0x7fcc1fff,
    0xffffffff,0x3fff601f,0xff9801ff,0xffffffff,0x0019801f,0xfffffb00,
    0x37ffc403,0x307fff50,0xffffffff,0xff303fff,0x3f60003f,0x6401ffff,
    0xff03ffff,0xffff983f,0x1fffffff,0x7fffffec,0x6c1fffff,0xffffffff,
    0x77641fff,0xeeeffffe,0x7f77641e,0x1eeeefff,0x7fffffcc,0x201fffff,
    0x03ffffff,0xffffff98,0xb81fffff,0xcffffffd,0xffff0000,0xffb807ff,
    0x0fffd02f,0x3fffffe6,0xb01fffff,0x3e000bff,0x403fffff,0xf07ffffc,
    0xfff983ff,0xffffffff,0x7ff77641,0x41eeeeff,0xffffeeec,0x6401eeee,
    0xfc8007ff,0xfff9807f,0xfff50002,0xf300dffd,0xf98005ff,0xffffffff,
    0x7fd4001f,0x4406ffef,0xffa86fff,0x5fff303f,0x3ffea000,0x7ffd4000,
    0x7e406ffe,0xff83ffff,0x17ffcc1f,0x1fff2000,0x01fff200,0x001fff20,
    0x2601fff2,0x90002fff,0x1fff9bff,0x02fff980,0x6677fcc0,0x006fffec,
    0x7fe6ffe4,0x7ffdc00f,0x3037ff42,0x40005fff,0x64003ffe,0x0fffcdff,
    0x3fffff20,0x4c1fff86,0x40002fff,0xc8007ffc,0xfc8007ff,0xffc8007f,
    0x2fff9807,0x37fff000,0xf9805fff,0x544002ff,0x03fff900,0x7cdfffc0,
    0x7fc402ff,0x0fffea6f,0x002fff98,0x001ffee0,0xfff37fff,0x7f7fe405,
    0x0fffc2ff,0x000bffe6,0x000fff90,0x9000fff9,0xf9000fff,0xfff300ff,
    0xfff30005,0x3017ffe3,0x00005fff,0x002fff98,0x3fe3fff3,0xfffb805f,
    0x980dffd1,0x20002fff,0x3002fff8,0x3ffe3fff,0x373ff205,0x0fffc6ff,
    0x000bffe6,0x000fff90,0x9000fff9,0xf9000fff,0xfff300ff,0x55555559,
    0xfd9ffee0,0x7ffcc07f,0x2aaaaaac,0x3fea6200,0xfff7002f,0x4403ffec,
    0xfff9dfff,0x67ffcc03,0x02aaaaaa,0x7006ffc8,0x3ffecfff,0xff59ff90,
    0x20fffc3f,0xaaacfff9,0xfc802aaa,0xffc8007f,0x7ffc8007,0x07ffc800,
    0xffffff98,0xfd06ffff,0x0fffdc9f,0xffffff30,0x4c0dffff,0xffffffed,
    0x9ffd002f,0x400fffdc,0x6ffefffb,0xfffff980,0x806fffff,0xe801fff9,
    0x3ffee4ff,0x3a9ff901,0x07ffe5ff,0xfffffff3,0xf900dfff,0xff9000ff,
    0xfff9000f,0x0fff9000,0xffffff30,0xf10dffff,0x7ffcc5ff,0x3fffe604,
    0x06ffffff,0xfffffffb,0xf1005fff,0x7ffcc5ff,0xffff8804,0xff9802ff,
    0xffffffff,0x09ffd006,0x262fff88,0xff904fff,0x7c3ffea9,0x7ffcc1ff,
    0x6fffffff,0x007ffc80,0x8007ffc8,0xc8007ffc,0xff9807ff,0xccccccdf,
    0x40fffa83,0x3e606ffe,0xcccccdff,0xefffd83c,0x2fffbaac,0x40fffa80,
    0xf7006ffe,0x2600dfff,0xccccdfff,0xff5003cc,0x7ffd401f,0xc837ff40,
    0x53ffe4ff,0x7fcc1fff,0xccccccdf,0x07ffc803,0x007ffc80,0x8007ffc8,
    0xf9807ffc,0x7e4002ff,0x0fffc86f,0x005fff30,0x442fffc4,0xfc802fff,
    0x0fffc86f,0x2ffff880,0x05fff300,0x0fffe000,0xfc86ffc8,0x4ffc80ff,
    0x3fe3ffee,0x17ffcc1f,0x1fff2000,0x01fff200,0x001fff20,0x2601fff2,
    0x7c002fff,0xeeeeefff,0xff303fff,0x7fd4005f,0x2fffa82f,0xeeffff80,
    0x03fffeee,0x400fff90,0x0002fff9,0x7c0dff70,0xeeeeefff,0xffc83fff,
    0x3efffe24,0x7ffcc1ff,0x7fe40002,0x7ffc8007,0x07ffc800,0x807ffc80,
    0x2002fff9,0xfffffff9,0x305fffff,0x4c005fff,0x7fd45fff,0x7fcc02ff,
    0xffffffff,0xff9005ff,0x7ffcc00f,0xff100002,0xffff305f,0xffffffff,
    0xc89ff90b,0x41ffffff,0x0002fff9,0x4003ffe4,0xc8007ffc,0xfc8007ff,
    0xfff9807f,0x3fff2002,0xffffffff,0x5fff307f,0x7fffc400,0xfffffecd,
    0x7fffe402,0xffffffff,0x0fff9007,0x017ffcc0,0x0bff9000,0xfffffff9,
    0x90ffffff,0xfff989ff,0x7fcc1fff,0x7e40002f,0xffc8007f,0x7ffc8007,
    0x07ffc800,0x002fff98,0x26677ffa,0x2fffc999,0x002fff98,0x7fffffe4,
    0x402ffddf,0x9999dffe,0x02fffc99,0x2007ffc8,0x0002fff9,0xd07ffe60,
    0x33333bff,0xc85fff93,0xfffd84ff,0x7ffcc1ff,0x7fe40002,0x7ffc8007,
    0xfffffd80,0x41ffffff,0xfffffffd,0x7cc1ffff,0xffffffff,0x5fff11ff,
    0x427ffcc0,0xfffffff9,0xfb81ffff,0xff93ffff,0x17ffc405,0x009fff30,
    0x4c00fff9,0xffffffff,0x74001fff,0x3ffe24ff,0x13ffe602,0xff509ff9,
    0xff983fff,0xffffffff,0x7fffec1f,0x1fffffff,0x7fffffec,0x6c1fffff,
    0xffffffff,0x7fec1fff,0xffffffff,0x7fffcc1f,0x1fffffff,0xf801fff7,
    0xfff987ff,0xffffffff,0x0006a601,0x2007ffdc,0xfc807fff,0x3fe6007f,
    0xffffffff,0x7fd4001f,0x01fff70f,0x7e47fff8,0xffffd04f,0xfffff983,
    0x41ffffff,0xfffffffd,0x7ec1ffff,0xffffffff,0x7ffec1ff,0xffffffff,
    0x7ffffec1,0x41ffffff,0xfffffff9,0xffb1ffff,0x3fffb00b,0xffffff98,
    0x001fffff,0x17ff6000,0x007fff60,0x4c00fff9,0xffffffff,0x98001fff,
    0x0bffb099,0x643fffb0,0xfff504ff,0xffff983f,0x1fffffff,0x7fffffec,
    0x6c1fffff,0xffffffff,0x00001fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x88000000,0x40000001,0x3b622ed8,0x039fb503,0x26006654,
    0x440004cc,0x6442cccc,0xa8002ccc,0x202defed,0x002cccc8,0x443bfd70,
    0x8f332e02,0xc88002a8,0xc9802ccc,0x6664404c,0x3332002c,0x80200002,
    0xeeffffd9,0x36002eee,0x3ff200ff,0x81fff90f,0x84fffffb,0x7cc05ff9,
    0x10005fff,0x2607fffd,0x1002fffe,0xfffffffd,0x7fff4c0d,0x7ffe4002,
    0x02febdff,0xfddfffd1,0xfe8800bf,0xff9803ff,0x7f4c05ff,0xfff002ff,
    0xff500009,0xffffb81d,0x3fffffff,0x80dff100,0xff90fffd,0x577fc43f,
    0x7ff40ffe,0x33bfe600,0x744004ff,0xfd801fff,0xffe802ff,0x5ffffeff,
    0x017ffec0,0xffdefe88,0xca81ffff,0xfffffffe,0x3ffa2005,0xeff9801f,
    0xfd804ffc,0xfff802ff,0xfff80004,0x37ffe64f,0xeefffeba,0x3ffb9802,
    0xd11ff4c0,0x51ffa89f,0x17fdc5ff,0x321fff10,0xfd1004ff,0x7d4001bf,
    0x3fee02ff,0xfffb10bf,0x05fff500,0xffd99220,0xfffff02e,0x0015bfff,
    0x0037ffa2,0x7e43ffe2,0xfffa804f,0x027ffc02,0x27fffc00,0xffd0dff9,
    0x7ff64409,0x00001fff,0xff30ffb8,0x1017fe25,0x01998133,0x00033310,
    0xfd806662,0x0fffb87f,0x00199880,0x77fc0080,0x005fffdc,0x1000ccc4,
    0x01998133,0xf8033310,0xb80004ff,0x3ffa1fff,0x506ffb83,0xffffffff,
    0x4018001d,0x3ff51ffa,0x20003ff6,0x000c0001,0x3ffa00c0,0x007ffc85,
    0x19800066,0xffe81300,0x00cc003f,0x00006600,0x89fff003,0x0a980008,
    0x7dc1fff4,0xffffa86f,0x0efffffe,0x77fff5c0,0xeaeff984,0x02ffb8ff,
    0x3bfffae0,0xfffd7004,0x7f5c009d,0xfff84eff,0x027ffd44,0xffffffb7,
    0x7fedc019,0x200cffff,0xfffffec8,0x3ff6e00f,0x400cffff,0xffffffdb,
    0x7f64400c,0xfff04eff,0x0fbffb27,0x1bff2000,0x3fa13ffa,0xffffd1ff,
    0x3ff6209f,0x40efffff,0x8bfffffc,0xfb1005ff,0x1dffffff,0x3ffff620,
    0x2200efff,0xfffffffd,0xa93ffe0e,0x3e605fff,0xffffffff,0xffff981f,
    0x81ffffff,0xfffffffa,0xfff304ff,0x3fffffff,0x3ffffe60,0x501fffff,
    0xffffffff,0xdcfff83d,0x04ffffff,0x7cc6ff88,0xffebceff,0x8fffd41f,
    0x6ffddff8,0xb7dfffd0,0xd930dfff,0x003ff65b,0x6df7fff4,0xffd06fff,
    0xdfffb7df,0x5f7fff40,0x3fe6fffd,0x0bfff14f,0xccceff98,0xf986fffe,
    0xffecccef,0x7fffcc6f,0x0ffffede,0xccceff98,0xf306fffe,0xffd999df,
    0xffff50df,0x1fffffff,0x7ffffffc,0x401fffff,0xffe87ff9,0x83ffffff,
    0x3fee6ffc,0xfa87ffaa,0x7ffd41ff,0x03ffa802,0xa83fff50,0x7fd42fff,
    0x17ffd41f,0x2a0fffd4,0x9fff2fff,0x1003ffee,0x3fff2015,0xfc805441,
    0x3fff61ff,0x417ffe43,0xfff900a8,0x32015103,0x7ff41fff,0xfffb10bf,
    0x67ffffc9,0x80bfff70,0x7fe47ffa,0x00ceffed,0x7ff4bffb,0x741fff88,
    0xbffd05ff,0x006ff880,0x7f417ffa,0x82fff45f,0xffe85ffe,0x3ebffd05,
    0x3fff74ff,0xfff98000,0x7ffcc002,0x309fff52,0x3000bfff,0x30005fff,
    0x7fd45fff,0x4ffff03f,0xfe84ffff,0xffeb80ff,0x003ffc7f,0xff8a7ff4,
    0x445fff15,0xffb02fff,0x00ffd80d,0x205fff10,0x3fe26ffd,0x8dffb02f,
    0xfb02fff8,0x553ffedf,0x8000efff,0x02fffa98,0x5fff5310,0x7c07ffee,
    0x262006ff,0x2002fffa,0x22fffa98,0xf700fffc,0x17ffe1ff,0xd10fffdc,
    0x21ffffff,0x4002fff8,0x5ff74ffd,0xf987ffe2,0xffffffff,0x3ea07fff,
    0x2017953f,0xfffffff9,0x267fffff,0xffffffff,0x7cc7ffff,0xffffffff,
    0x9fff7fff,0x00fffff4,0x3ffffb66,0xdb302fff,0x5fffffff,0xfe81fff2,
    0x3fb6607f,0x02ffffff,0x3ffffb66,0x3ff62fff,0x47ffea06,0xff504fff,
    0x7fffec5f,0x3ffe0ccc,0x2cdeeeff,0xffd5ffc8,0xf707ffd4,0xffffffff,
    0x3e20ffff,0xbffffb6f,0xfffffb81,0x7fffffff,0x3fffffee,0x47ffffff,
    0xfffffffb,0xff7fffff,0x7fffcc9f,0xffffb02f,0x05ffffff,0xfffffffb,
    0x3ffa5fff,0x41fff606,0xfffffffd,0xffb02fff,0xffffffff,0x3037ff45,
    0x3ffe5fff,0x25fff504,0x4c06fff9,0xffffffff,0x3fea1fff,0x3f65ffaf,
    0x5fffd47f,0xaaaaaaaa,0xf53ffb02,0xa89ffddf,0xaaaabfff,0x3ea2aaaa,
    0xaaaaabff,0x7fd42aaa,0xaaaaaabf,0x89fff2aa,0x40ffffe8,0xaacefffd,
    0x7ec2fffb,0xfbaaceff,0x0fffd2ff,0x7ec3ffec,0xfbaaceff,0xfffd82ff,
    0xfffbaace,0xa81bffa2,0x9fff1fff,0x5c7ffee0,0x7dc02fff,0xfffeeeff,
    0xfff10fff,0x3fee5fff,0x0fffcc3f,0xb3ffa800,0x2637f4df,0x4c001fff,
    0x98001fff,0x3e001fff,0xfffb04ff,0x42fffc47,0x3e22fff8,0xfff885ff,
    0x7c0fffb2,0x7ffc46ff,0x42fff885,0xf885fff8,0x1fff62ff,0xff0fffc8,
    0x9fff209f,0x2a02fffc,0xfd882fff,0x3ffee1ff,0x6fffedff,0x004fff88,
    0x3fa6ff88,0xff11ff25,0xff88009f,0xff88004f,0x3ffe004f,0x49fff304,
    0xfa82fffa,0x3ffea2ff,0x92fffa82,0xff505fff,0x2fffa89f,0x542fffa8,
    0xffa82fff,0x0bffee2f,0xfff3fff4,0x4dfff109,0x3605fffa,0x3fe606ff,
    0x7fffe42f,0xb00effff,0x40407fff,0x97fa1ffc,0xfffd86fd,0x3ff60203,
    0x7ec0203f,0xff8203ff,0x7fff104f,0x2a2fffcc,0x3e62ffff,0x7ffd45ff,
    0x5dfff32f,0x20ffff44,0x7d45fff9,0x7fcc2fff,0x7fffd45f,0x33fffe62,
    0xf8ffff60,0x7fec44ff,0x3fffe22f,0x0fffe80c,0xb01fff90,0x09dfffff,
    0xceffff88,0x2a0feccc,0x4ffec4ff,0xff885ff9,0xecccceff,0x7fffc40f,
    0x0fecccce,0xceffff88,0xff0feccc,0x3f336e9f,0x3fe21fff,0xfffecdff,
    0x3ffe22ff,0xffffecdf,0x3ffff62f,0x85ffffef,0xecdffff8,0x442fffff,
    0xfecdffff,0x7e42ffff,0xfffeffff,0x6ffffc6f,0x85fffedc,0xcdfffffb,
    0xcefffc9c,0x4fffebaa,0x0135fff0,0x7ffffd40,0xd10fffff,0xffff30df,
    0x3fea03ff,0xffffffff,0xfffffa80,0x500fffff,0xffffffff,0x53ffe1ff,
    0x4ffffffc,0xffffffc8,0x642ffddf,0xdfffffff,0x3fa22ffd,0xefffffff,
    0xfffff900,0x05ffbbff,0xfffffff9,0xd885ffbb,0xffffffff,0x7ffffc0e,
    0x00dfffff,0xfffffffb,0x3fffff65,0x304fffff,0x440009ff,0xfffffffd,
    0x203ff90d,0x402fffda,0xffffffd8,0xffb100df,0x01bfffff,0x7ffffec4,
    0x9fff0dff,0x0bbffff2,0x3fffffb8,0xff705ff9,0x3ff27fff,0xfffffc82,
    0x7fdc00bf,0x5ff93fff,0x3ffffee0,0x2e05ff93,0x03efffff,0xffffffb7,
    0xffd5005d,0x7ed45fff,0x00ceffff,0x00007ff2,0x0004d4c4,0x22000220,
    0x440009a9,0x880009a9,0x220009a9,0x0d4c0019,0x001a9800,0x00013310,
    0x4c000353,0x2620001a,0x26620009,0xb9530000,0x0004405d,0x00000331,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x10000000,0xcc800101,0x2b2a601c,0x2eeea801,0x882f7640,
    0x0fb622ed,0x33332200,0x16666442,0xdb100400,0x001f6c45,0xfeb80026,
    0x4400a21d,0xcc980009,0x00000004,0xed88bb62,0x09993003,0x7fffedc0,
    0x22003fdd,0xfd883fff,0x200dffff,0x2206fff8,0xff904fff,0x03fff21f,
    0x3fffe880,0x05fffd30,0x6417fea0,0xfff90fff,0xc88eed81,0x6403efff,
    0xebdfffff,0x7ffcc02f,0x3ffe6001,0x9fd5005f,0x9009fd50,0x3ff21fff,
    0x7ffcc00f,0x7ff4c05f,0x3fffffff,0x0fffe200,0xfffffff1,0xfffd80df,
    0x03fff701,0x7e43fff6,0xfd1001ff,0xffb003ff,0xfffd005f,0x21fffb05,
    0x7fc1fffc,0xfffffe9f,0xbdfd104f,0x03ffffff,0x005fffd8,0x9ff9dff3,
    0x4ffff880,0x013fffe2,0x3f21fffb,0x3fe601ff,0xf304ffce,0xffdbffff,
    0x7c4007ff,0x7ffe43ff,0x03fffc9a,0x7413ffea,0x3fa606ff,0x4013fa23,
    0x000dffe8,0xf00bffea,0xfd307fff,0x7c27f447,0xffffffff,0x49101fff,
    0x802effd9,0x8805fffd,0x9ff90fff,0x37fffd40,0x80dffff5,0x3fa23fe9,
    0x43ffe204,0xffd84ffc,0x1fffc43f,0x87fff100,0x7fec3fff,0x437ff405,
    0x0003fff9,0x03331000,0x00666200,0x0001dff7,0x67ffffc0,0x00bfff70,
    0x7fd40010,0x0998801f,0xff100ccc,0x7ffc4bff,0x4000005f,0x0ccc0998,
    0x2213ffe6,0x88803fff,0x3e23fff8,0x2ffe41ff,0x907ffee0,0x4c001fff,
    0x00000001,0x00062000,0x9ffff003,0x001fffd0,0x05440006,0xb8003000,
    0x7fdc0eff,0x0000000e,0x1fffb800,0x703fff88,0xfffffffd,0x223fff87,
    0x7c403ffe,0x2fffc4ff,0x3ffff6e0,0xddb00cff,0x05ddd107,0xdd107ddb,
    0xd910005d,0x3e09dfff,0xfff705ff,0x3ffb2203,0x000004ef,0x77fff644,
    0x44031004,0x83eed801,0x76c2eee8,0x2eee883e,0x3e20fffb,0x7ff4c3ff,
    0x3fffffff,0x6c47ffec,0xfd800fff,0x0bffe67f,0xffffff98,0xff81ffff,
    0x3fff884f,0xf884fff8,0x1bfe63ff,0x7fffffd4,0x7ffc1eff,0x05fff504,
    0xfffffff5,0xeee983df,0xa802eeee,0xffffffff,0x0000001e,0xff109fff,
    0x84fff87f,0xffd3fff8,0x8fffe20d,0xedfffff8,0x7cc3ffff,0x1ffffdff,
    0x25fff500,0x7cc06ffd,0xffecccef,0x84fff86f,0xff83fff8,0x3fff884f,
    0x3ea1bfea,0xffffffff,0x13ffe0ff,0x2a17ffd4,0xffffffff,0x3fea0fff,
    0x403fffff,0xfffffffa,0x0000ffff,0x84fff800,0x7fc3fff8,0x3fff884f,
    0x3e20fffd,0x3fff63ff,0x41fffc43,0x1efffffc,0x46fffc00,0x54403fff,
    0x83fff900,0xff884fff,0x84fff83f,0x3ea3fff8,0xbfffe86f,0x49fffb10,
    0xff704fff,0xbfffe83f,0x49fffb10,0xfffffffa,0x5ffff403,0x09fffb10,
    0xfff00000,0x87fff109,0xff884fff,0x20fffb3f,0xff53fff8,0x7fff109f,
    0x09ffff70,0x2ffff200,0x40000fff,0x7fc2fff9,0x3fff884f,0xf884fff8,
    0x1bfea3ff,0x3e07fff5,0x13ffe7ff,0x3ea3ffe4,0xffff03ff,0x01fffc40,
    0x3e07fff5,0x02aa07ff,0x09fff000,0xff87fff1,0x3fff884f,0xe883fff9,
    0xfff73fff,0x87fff103,0x0ffffffd,0xf8807ffe,0x005fffff,0x3ffea620,
    0x4427ffc2,0xfff83fff,0x23fff884,0x7fe47ffa,0x1fff700f,0x3e213ffe,
    0x7ffe46ff,0x01fff700,0xc80fffe2,0xff700fff,0x3fffb01f,0x7c04ed98,
    0xfff884ff,0x4427ffc3,0xfff33fff,0x7fffec4b,0x220fff93,0x3fee3fff,
    0x88efffcf,0x7ec00fff,0x2002ffff,0xfffffed9,0x27ffc2ff,0x7c1fffc4,
    0xfff884ff,0xfb1ffee3,0x7ffd40df,0xd889fff1,0x7fec2fff,0x07ffea06,
    0xb01fffc4,0x7fd40dff,0x7fffc41f,0x0ffffe25,0xf884fff8,0x27ffc3ff,
    0xfd1fffc4,0xffffdfff,0x1bffa7ff,0xf89fffc4,0xbfff74ff,0xf500fff3,
    0x6c00dfff,0xffffffff,0x27ffc2ff,0x7c1fffc4,0xfff884ff,0xfd1ffee3,
    0x7ffcc0df,0xb9bffff2,0xfd0bfffd,0x7ffcc0df,0x07fff102,0xf3037ff4,
    0xfff885ff,0xffff50ff,0x427ffc0d,0x7fc3fff8,0x3fff884f,0x3fffffe6,
    0xfd3fffcf,0x3ffe20ff,0x643fff53,0x06ffefff,0x007ffff0,0x2b3bfff6,
    0x7c2fffba,0xfff884ff,0x884fff83,0x3fee3fff,0x5037ff47,0x3ffe3fff,
    0xdfffffff,0x206ffe80,0xf101fffa,0x7ff407ff,0x07ffea06,0x4c3ffff2,
    0x3e05ffff,0xfff884ff,0x4427ffc3,0x7f4c3fff,0x7fff3fff,0x7c41fff6,
    0x0fff73ff,0x07fffffb,0x401fffe0,0xf885fff8,0x27ffc2ff,0x7c1fffcc,
    0xfff984ff,0xd83fff23,0x3ff207ff,0xffffff0f,0x7ec05dff,0x3fff207f,
    0x07fff100,0xf903ffec,0x3ffa01ff,0x0077fe47,0xff309fff,0x84fff87f,
    0x3103fff9,0xf93fff83,0xffe883ff,0x81fff53f,0x00ffffe8,0x003fffc8,
    0xf505fff5,0x5fff85ff,0x41ffff44,0x7f445fff,0x3fff23ff,0x40bffee0,
    0x3ffe7ffe,0xf700098c,0x3ffa05ff,0x0fffe207,0xd02fffb8,0x7fe40fff,
    0x7c009886,0x7ff445ff,0x22fffc3f,0x003fffe8,0x7ccfffe2,0x3ff625ff,
    0xbfff33ff,0x01ffff70,0x005fffc8,0xf517ffe6,0xffe85fff,0xffffb30f,
    0x21fffd07,0x23ffffd9,0x3e60fffc,0x3f60cfff,0x13ffe3ff,0x3fffe600,
    0x0ffff60c,0x203fff88,0x20cffff9,0x3a03fffd,0x3a0003ff,0xffb30fff,
    0xfffe87ff,0x7ffffb30,0x1fffc400,0xffdffffd,0x7f47ffff,0xffecceff,
    0x77c46fff,0x000fffff,0x337fffe2,0x42fffffe,0xffeffffc,0xfc83ffff,
    0xffffefff,0x3fff23ff,0x7ffffe40,0x7c6ffffe,0xf90004ff,0xfffdffff,
    0xfff880df,0x7fffe403,0x46ffffef,0x45ffeb98,0xbbbbbbb8,0x3ffff22b,
    0x3ffffffe,0x7f7fffe4,0x003fffff,0xf98fffe2,0xccffffff,0x3ffe23ff,
    0xfeffffff,0x3ffe25ff,0xc8001eff,0xdfffffff,0x7fc42ffd,0xfdcfffff,
    0xffff883f,0x3ffdcfff,0xb107fff6,0xffffffff,0x04fff81d,0xffffb100,
    0xd81dffff,0xefffeeee,0x7ec44eee,0xefffffff,0x67fffec0,0x7ffffcc0,
    0x3fe25fff,0xfdcfffff,0x7fffc43f,0x3ffdcfff,0x0fffe200,0x27ffffd3,
    0x7e443ffc,0xfb2effff,0x3ffe27ff,0x7dc0003e,0xff93ffff,0xffffd305,
    0x4c0fff27,0xf93ffffe,0x0fffec7f,0xefffffb8,0x009fff03,0xfffffb80,
    0xffffd03e,0xbfffffff,0x3ffffee0,0x3bdfb03e,0x3ffffe60,0x7f4c5fff,
    0x7ff93fff,0x7ffffd30,0x8800fff2,0x33102eee,0x02662000,0x00000880,
    0x10001a98,0x4c400033,0x3ddd9001,0x40099880,0x00003eed,0xfe801331,
    0xffffffff,0x4cc405ff,0xc8800400,0x3ccccccc,0x20003310,0x00000198,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xabcb8000,0xcc880001,0x333262cc,0x2001cccc,
    0x8001aaa9,0x220000a9,0x665c01a9,0x31000003,0x99999881,0x88099999,
    0x2009aaaa,0xee983eee,0x4cc9801e,0x01353000,0x9aaa9880,0x1004cc40,
    0x27640333,0x7f4013ae,0x0002efff,0xa87fffd1,0x3fffffff,0xfffffb80,
    0x7f5403ef,0x2004ffff,0xefffffe9,0x005ffe81,0xfffec880,0x7fffd45f,
    0x24ffffff,0xfffffffa,0x4fff80bf,0x401fff98,0x005ffff9,0xbfffffd3,
    0xffffa801,0x3f63ffff,0x3ffea06f,0x32fffa81,0xfd007fff,0x01dfffff,
    0x0ffff440,0x7fffffd4,0x7fff403f,0x04ffffff,0xffdffff7,0xffc801df,
    0x2fffffff,0x0002fff4,0xffffffb1,0xffffa8bf,0x24ffffff,0xfffffffb,
    0x4fff85ff,0x201fff98,0x4ffceff9,0x7ffffd40,0xfd01ffff,0xffffffff,
    0x5037fec7,0xff703fff,0x0fffea5f,0x3fffb6e0,0xfd1006ff,0x3e2001bf,
    0x3ff203ff,0xffecabdf,0x0effe41f,0x201fff71,0xfefffffb,0x3fa1ffff,
    0xfd10005f,0x9ddfffff,0xffffffa8,0x3ee4ffff,0xfffeccde,0x427ffc3f,
    0xf101fff9,0x13ff21ff,0x5e7fffd4,0xfc87fffe,0xedccefff,0x81bff63f,
    0xfb01fffa,0x000efd8b,0x04ffffa8,0x40019988,0x3a03fff8,0xfff985ff,
    0x9817fe23,0xfff884ff,0x3fff222f,0x0017ffa5,0x04effff4,0x267ffea0,
    0x22099999,0x8bfff500,0xff984fff,0x8133101f,0xfffd0199,0x23fffc81,
    0x100efff8,0x5037fec3,0x00003fff,0xdfff3000,0x44000c00,0x3fe03fff,
    0x47fff03f,0x665cc6fc,0x7e40ffb8,0xfffb02ff,0x0017ffa1,0x8013ffea,
    0x00007ffa,0xfff1bffe,0x03fff309,0xfffa8000,0x4cfffd02,0x36004fff,
    0x3fea06ff,0x0000001f,0x201ffff0,0x4efffec8,0x07fff100,0x7cc2fffc,
    0x47ff12ff,0xf88ffffc,0x037ff44f,0x3fa7fff5,0xdeeea85f,0x001bffa0,
    0x0000fff5,0x3fe27ff4,0x1fff984f,0xeeeeee98,0x1fff602e,0xf31fffd8,
    0x7ec00dff,0x3ffea06f,0x777774c1,0xd00002ee,0x3fea0fff,0x1effffff,
    0x01fffc40,0x221bfff9,0x3fea6ffe,0x1fdfff70,0x9fff1bf2,0xea7ffc40,
    0x7ffcc5ff,0x13ffe21f,0x00fff500,0x07ffe600,0xff309fff,0xffff503f,
    0x7f407fff,0xfffe984f,0xbffff12f,0x0dffb003,0x2a0fffd4,0x3fffffff,
    0xfff98000,0xfffffa86,0x00ffffff,0x880fffe2,0xffcfffff,0xf9fee1ff,
    0x27fb81ff,0x7c03fff8,0x4bffd5ff,0x4c2fffe8,0xeedbbfff,0xfffa80cd,
    0x200bceee,0xfffca998,0x984fff84,0xffa81fff,0x203fffff,0x7fdc4fff,
    0x3f63ffff,0x00aeffff,0x7d40dffb,0x7ffd41ff,0x8003ffff,0xffffcba9,
    0x0bfffe82,0x409fffb1,0x4c03fff8,0xeffffffe,0xff9b7e40,0x2a1ff505,
    0x7fc02fff,0x74bffd6f,0xffa82fff,0xffffffff,0x7fffd43f,0x904fffff,
    0x05ffffff,0x3ee13ffe,0xff8801ff,0x7fff103f,0x3fbfff62,0x3ffa24ff,
    0x40cfffff,0x3ea06ffd,0x7fc401ff,0xffc8003f,0xfa84ffff,0xffff03ff,
    0x01fffc40,0x7fffffd4,0xf9afec3f,0x23ff305f,0x7402fffa,0x2bffd6ff,
    0xf703fffc,0xffffffff,0x7fd45fff,0xffffffff,0xfffffc84,0x7ffc0cff,
    0x0ffffcc5,0x81fffc40,0xff9afff8,0x8bffd4ff,0xffffffc8,0x1bff61ef,
    0x401fffa8,0x8003fff8,0x02effffc,0x2e01fff9,0xff100fff,0xfffc807f,
    0x24ffffff,0x0dff36fc,0x7fd43fea,0xafffc02f,0xfffbdffe,0x3bffee04,
    0xdfff930a,0xfffd9880,0x6e5d4c1f,0x3e0effff,0xffd30fff,0xff1007ff,
    0x3ffe207f,0x3e2ffffe,0xff9104ff,0x361fffff,0x3fea06ff,0x7ffc401f,
    0xeffb8003,0x037fec00,0x2203fff5,0x3ee03fff,0xfff914ff,0x7c5fee3f,
    0x3fdc13ff,0xf807fff3,0xffffd4ff,0xffb80bff,0x1fffb01f,0x0bfffa00,
    0x93fff620,0xffefffff,0x405fffff,0x3e03fff8,0x40dfffff,0xea803fff,
    0xffb4ffff,0x0fffd40d,0x00fffe20,0x2017fee0,0x3e606ffe,0xfff102ff,
    0x17ffe207,0x7d57ffea,0xfffff90f,0xff89bf21,0x3ffe204f,0xffffffd3,
    0x2fffa80d,0x003fff70,0x8013ffea,0x3ffe6fff,0xfdafffff,0x7fc406ff,
    0x3fffa03f,0x2fff983f,0x57fff200,0x3ea06ffd,0x7fc400ff,0xffb8003f,
    0x06ffe805,0x4407ffea,0xff503fff,0x5bff603f,0xffb14ff8,0x89ff11ff,
    0x3ee07fff,0x7bffd2ff,0x7cc0bfff,0xfff503ff,0x3ffe6003,0x9bffa004,
    0x2fffffff,0x880dfff3,0x3f603fff,0xfff701ff,0x7ffc4001,0x5c0fff96,
    0xff8807ff,0x8000003f,0x3f207ffd,0xfff100ff,0x07ffee07,0xffb37fec,
    0xff72ba98,0x02fffc81,0x7ff4fffd,0x207fffb5,0xf906fff8,0x3f6001ff,
    0xff1002ff,0x4d7ffc9f,0x40099881,0x2a03fff8,0xffd03fff,0xfff8800b,
    0x203fff74,0xf8806ffd,0x330003ff,0x0bffee00,0xf103fff4,0x3fe607ff,
    0x4fff885f,0xfa817fe6,0xffff884f,0x7fffb30a,0xff8afff4,0xfff901ff,
    0x26fffa87,0xffff7300,0xfffd3001,0x001fffc7,0x03fff880,0x360ffff4,
    0x2b2e1fff,0x3fffe980,0xa81dfff3,0xf8803fff,0xfc8003ff,0x7fcc00ef,
    0x3ff60cff,0x3ffe203f,0xfffff103,0x3ffff99b,0x30aeffc8,0x3601dff9,
    0xffffffff,0x2fff46ff,0x101ffff5,0xfdbdffff,0x77ec3fff,0xffffffee,
    0x3bbbbbe2,0x7c5ffffe,0x100003ff,0xfb807fff,0xfffcefff,0x7fffe45f,
    0x6fffffee,0x66ffffec,0x1006fffe,0x88007fff,0xc803ffff,0xffefffff,
    0x7776c6ff,0xeeeefffe,0x3ffffe64,0x703fffff,0xffffffff,0xfffc801b,
    0x40dfffff,0x7fe45ffe,0xffff506f,0xd85fffff,0xffffffff,0x7ffffc2f,
    0x40dfffff,0xb0004fff,0xdfffdddd,0xff709ddd,0x0bffffff,0xfffffff9,
    0xe881dfff,0xffffffff,0xddddb01f,0x9ddddfff,0x3ffff880,0xffffd880,
    0x740effff,0xffffffff,0x7e445fff,0x01dfffff,0x77fffed4,0x3ffae003,
    0xffd03eff,0x0bfffd0b,0x3fffff66,0xffffd80c,0xfff03eff,0x039fffff,
    0x40013ffe,0xfffffffe,0xd305ffff,0x207dffff,0xffffffea,0x7fe402ef,
    0x200cffff,0xfffffffe,0xc805ffff,0x2e000eff,0x03efffff,0xfffffffd,
    0x440bffff,0x31000199,0x01330000,0xf885ffe8,0x4cc03fff,0x09998800,
    0x03333300,0x000fbba0,0x7ffffff4,0x805fffff,0x4ccc0019,0x99880019,
    0xffffd000,0xbfffffff,0x80006200,0x00000998,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xcb800000,0xd70003cc,0x981443bf,0x665406ed,0x20376cc0,0x01000cca,
    0x00cdffd8,0x2200332a,0x4c001aaa,0x22001aaa,0x64c0002a,0x311deffe,
    0x33333333,0x99970003,0x00166647,0x00002666,0x200554c4,0x4401aaa9,
    0x4004fffd,0xbdfffffc,0x3ff622fe,0x97fe607f,0x207fffd8,0x6dc05ff9,
    0x225efffe,0x305fffff,0x7ec40bff,0x04ffffff,0x3fffffaa,0x3fa205ff,
    0x3f20003f,0x52ffffff,0xffffffff,0x7e4003ff,0x3ffe0dff,0x27ffc004,
    0x3ff62000,0xff83ffff,0x402fffff,0x1004fffb,0xffffbdfd,0x7ffc43ff,
    0x83ffa07f,0x207ffff8,0xfd300ffe,0x8fffffff,0x3a03ff61,0xfff500ff,
    0x0bffffff,0xffffffb1,0x2201ffff,0x70003fff,0xffdfffff,0x3ffffea5,
    0x001fffff,0xff07fff9,0xfff8009f,0x3fe20004,0x5fffffff,0x7ff66ffc,
    0x7ff4c00f,0x6cc91004,0xd8a82eff,0x05ff707f,0x2e0ffb15,0xfff302ff,
    0x8fffffff,0xb84ffcc8,0xfff702ff,0xbfffdfff,0xffffff88,0x00ffffee,
    0x0007fff1,0x883dfff1,0xdddddd30,0x9003fffd,0x3fe03dff,0x7ffc004f,
    0x0009abce,0xb79ffffb,0xfc8185ff,0x1998802f,0xd8008000,0x05ff887f,
    0x7fc43fec,0x37fffa05,0xff316a21,0x5ff887ff,0x19ffff10,0x7fe43b88,
    0x01b502ff,0x000fffe2,0x000bffe6,0x801fffa8,0x3fe00999,0x7ffc004f,
    0x1dffffff,0x217ffe60,0x7dccc03a,0x0000002f,0x3fec004c,0x36007fec,
    0x00ffd87f,0x400bfff7,0x23ffdaa8,0xff900ffd,0x7fc4009f,0x3a2000ff,
    0xeefffeee,0x2a01eeee,0x20000fff,0x0001fffa,0x1313ffe0,0x7fffffc0,
    0x504fffff,0x4c005fff,0x2ffffffd,0xeeeeee98,0x4776c02e,0x02efffc8,
    0x5ff71ff6,0xfb8ffb00,0x3fff202f,0x7d411000,0x205ff73f,0x4007fff8,
    0x4003fffc,0xfffffff8,0x01ffffff,0x0003ffee,0x4c1fffa8,0x2eeeeeee,
    0x322fffe0,0xff82efff,0xffecbadf,0x7ffb82ff,0x33ffe600,0xfa82ffcb,
    0x03ffffff,0x7ff4fffc,0xfb03ffff,0x802ffc4f,0x17fe27fd,0x400fffd0,
    0x16fffffa,0x7fd40bff,0x7ff4004f,0xfff88007,0xffffffff,0x3fee01ff,
    0x3ea0000f,0x7ffd41ff,0x3e03ffff,0xffffecff,0x27ffc3ff,0x6437ffdc,
    0x3f6007ff,0x20bfee2f,0xfffffffa,0x7ffffc03,0x07ffffff,0x07fec997,
    0x3f64cb80,0x37ffc00f,0x9dfff300,0xb803ff63,0x7c002fff,0x880005ff,
    0xec803fff,0xeefffeee,0xf5005eee,0xfffa83ff,0x3e03ffff,0xffffffff,
    0x27ffc7ff,0x643fffc4,0x3f6007ff,0x2fffb9cf,0x03fff880,0x467ffffc,
    0x801fffc8,0x20003ffa,0xff803ffa,0xf500007f,0xfffc807f,0x3ffe2001,
    0x7ffffe44,0x7fff100f,0xfffffd00,0xffffffff,0x07ffea00,0x407fff10,
    0x88cfffff,0x3fe1fffc,0x3fff904f,0x3bffffb6,0xfa85eeee,0x2ffeffff,
    0x03fff880,0x2627fffc,0x7c402fff,0x3e20006f,0xfffd006f,0xff880001,
    0x0fffd806,0x0fffe600,0x1ffffff9,0x00fffe20,0x3ffffffa,0x07ffffff,
    0x803fff50,0x3e03fff8,0x7fcc4fff,0x413ffe2f,0xffd0fffc,0xffffffff,
    0x4fbfaa0d,0xff8802ed,0x2fffc03f,0x201fffc4,0x20000ffd,0xf9000ffd,
    0xd8000bff,0xffd800ff,0x3fe6001f,0x7f775c4f,0xfff100ff,0xfff70007,
    0x7fd40001,0x7ffc401f,0x217ffe03,0x3fe3fff8,0x4fffd04f,0xeeffffed,
    0x00005eee,0x00fffe20,0xff109fff,0x9ffd407f,0xa801aaa8,0x159753ff,
    0x1bffff30,0x7fd40398,0xc8355513,0x7c002fff,0x3fea05ff,0x7fff100f,
    0x1fff7000,0x7ffd4000,0x1fffc401,0xf109fff0,0x27ffc7ff,0x6427ffe4,
    0x2aa007ff,0xaaaaaaaa,0x1fffc400,0x2213ffe0,0xff103fff,0x027ffe4d,
    0x7fedbfe2,0xffd80fff,0x7ffeffff,0xfc9bfe20,0x7ffd44ff,0x37ffc004,
    0x201fff50,0x8003fff8,0x0000fffb,0x1007ffea,0x7fc07fff,0x3fff884f,
    0x3333bffe,0xc80efffe,0x3fa007ff,0xffffffff,0x1fffc402,0x2213ffe0,
    0xffb03fff,0x13fffe63,0x3aa3ffb0,0xfb03ffcb,0xffffffff,0xf98ffec0,
    0x7fcc4fff,0x3f6000ff,0xfff502ff,0x0fffe201,0x03ffee00,0x1fffb800,
    0x01fffc40,0xff109fff,0x7ffffc7f,0x01ffffff,0x7400fff9,0xffffffff,
    0x7ffc402f,0x427ffc03,0xfa83fff8,0x3faffa3f,0x40ffea04,0x36a03ff9,
    0x04efffff,0x5ff47ff5,0xfffe84fe,0x3ffea004,0x0fffa80e,0x00bfff10,
    0x001fff70,0x403ffec0,0x3e03fff8,0xfff884ff,0x3fffffe3,0x3200cfff,
    0x000007ff,0x03fff880,0x7c427ffc,0x37fc43ff,0x413fadf7,0xfd106ff8,
    0x5fff003f,0x737fc401,0x2a13fadf,0x10adffff,0xfffe8995,0x3ffee0ae,
    0x03fffe00,0x01fff700,0x7fdc0cb8,0xfff8806f,0x213ffe03,0x3fe3fff8,
    0x001aaadf,0x0000fff9,0x7fff1000,0x884fff80,0x7fe43fff,0xfd59ff11,
    0x03ff905b,0x1005ffd1,0xff900dff,0x3ab3fe23,0xfffd82df,0x5fffffff,
    0x7fffffcc,0x00ffffff,0x337ffff6,0x3fee01ec,0x77fdc00f,0x02ffffee,
    0x203fff88,0xff884fff,0x013ffe3f,0xffffffd0,0x0dffffff,0xddddb000,
    0x9ddddfff,0xf884fff8,0x93fea3ff,0xfffffff9,0x5427fd46,0x4019bfff,
    0x7d403ffa,0x3fffe64f,0xff906fff,0xbfffffff,0xfffffd30,0x401fffff,
    0xfffffff8,0x3ffee01f,0x7fffdc00,0xdb04ffff,0xddfffddd,0x27ffc9dd,
    0xff1fffc4,0xffe8009f,0xffffffff,0xe80006ff,0xffffffff,0x7ffc5fff,
    0x13fff884,0xccc88dfd,0x3a23effc,0xfffff06f,0x0ffc80ff,0x911bfa20,
    0x07dff999,0x7ffff6cc,0x3fb201cf,0x02dfffff,0xfffffd98,0x3ffee01f,
    0x7ffecc00,0x3fa01eff,0xffffffff,0x13ffe5ff,0xff8fffe2,0x7ff4004f,
    0xffffffff,0xe80006ff,0xffffffff,0x7ffc5fff,0x93fff884,0x9fd003ff,
    0xff01ffc8,0x980fffff,0x0ffe402a,0x20027f40,0xa9800099,0x53100009,
    0xfff70033,0x00cc4001,0xffffffe8,0x3e5fffff,0xfff884ff,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4ccc4000,0x10cccc00,0x00033333,0x4cccccc0,
    0x33331099,0x33333333,0x4ccccc13,0x22199999,0x00019999,0x8804d54c,
    0x99999999,0x31099999,0x06660013,0x33333333,0x0cccc333,0x804ccc40,
    0x04cc0998,0x04cccccc,0x13333000,0x02662000,0x3fe21540,0x3ffe606f,
    0x3ffffee4,0x8000ceff,0xfffffffb,0xfffffd5f,0xffffffff,0x3ffffe65,
    0xb1ffffff,0xdfffffff,0xfff90019,0xffd09fff,0xffffffff,0x3fee5fff,
    0x4cfff005,0xffffffff,0x3fffa7ff,0x0fffdc01,0x3e62ffb8,0x7fffc44f,
    0x01ceffff,0x0fffff70,0x5fffc880,0x20effe80,0xfb03fffb,0x7ffdc1ff,
    0x3fffffff,0x7ffff400,0xdfd5ffff,0xdddddddd,0x3fe65ffd,0xffffffff,
    0xfffffb1f,0x207fffff,0xfffffff8,0x3ffa0eff,0xffffffff,0xbff52fff,
    0x4cfff100,0xffffffff,0x3ffee7ff,0x03fff403,0x7fcc3ff9,0x7ffffc44,
    0x02ffffff,0x1fffffd8,0xffffb880,0x7ffd405f,0x07fff44f,0xf70fffe6,
    0xffffddff,0x3e600bff,0xeeefffff,0x26aa3fd4,0xff32fd80,0xffffffff,
    0x3bfff63f,0x5ffffffe,0xdcefffe8,0x3b24fffe,0xeffffeee,0xff51eeee,
    0x4dff100b,0xfffffff9,0x3fe67fff,0x3ffe206f,0xa87ff205,0x7ffc43ff,
    0xffffeeee,0x7fffc00f,0x7fdc03ff,0x405fffff,0x546ffffa,0x7ff44fff,
    0x20fffb86,0x01ffffc9,0x6ffdffc8,0xfff13fd0,0x997ec19f,0xfb002fff,
    0xfffc98df,0x13ffee1f,0x401fffd1,0x2a00fffc,0xff8805ff,0x00bffe66,
    0x500fffe8,0x7ec05fff,0x10bfee0f,0xfd887fff,0x3fea02ff,0x2206ffef,
    0xfffeffff,0x7fffe805,0xf50fffd8,0xfff703ff,0x0dfff701,0xffafff88,
    0xdd13fd06,0x3f61ffff,0x005fff32,0x7dc1bff6,0x1fff26ff,0x901fffd4,
    0x7cc01fff,0x5ff9806f,0x800bffe6,0xf902fffc,0xfcca81ff,0xffecccff,
    0x7fff13cd,0x409fff30,0xfffcdffc,0x74bbf600,0xff8805ff,0x4fff886f,
    0x3ee0bffd,0xfffd00ff,0x567fd403,0x03fd06ff,0x4bf6bff7,0xb002fff9,
    0x7ff40dff,0x20dffd1f,0x3204fff8,0x3e600fff,0xf30d546f,0x17ffccbf,
    0x09fff300,0x3f217ffe,0xffffffff,0xff16ffff,0x7fff307f,0x7cdfffc0,
    0xd0e602ff,0x3f600bff,0x7fff904f,0x3ee01fff,0xfff700ff,0x54fff405,
    0x03fd06ff,0x997edff2,0xfb002fff,0x7ffdc0df,0x7c0fffd2,0x3ff205ff,
    0x1bfe200f,0x27fccbff,0x8005fff3,0xff987fff,0xffffc83f,0xffffffff,
    0x07fff16f,0x2601fff9,0xbfff1fff,0x05ffe800,0x101fff88,0x09ffffff,
    0x2affff2a,0x0fffea1a,0xffab7fc4,0x3fd0999e,0x97edbf60,0xaaacfff9,
    0x3ff62aaa,0x4fffea06,0xfd02fffd,0x7ffe40df,0xa9ffe200,0x93fe67ff,
    0x4002fff9,0x7dc1fffd,0xfa9880ff,0xfff999df,0x9fff1099,0x9fff9533,
    0xfb3ffdc0,0xffe800ff,0xfff73105,0xffffb809,0x3ffffe06,0x3fe64fff,
    0x27ff904f,0x3ffffffa,0x36aa23fd,0x265fb4ff,0xffffffff,0x1bff66ff,
    0xf74fff98,0xb7339fff,0x7e40ffff,0x3ffc00ff,0x3ea5fff9,0x3bffe64f,
    0x83eeeeee,0x7ec3fffa,0x27fcc06f,0x3fe21bfe,0xffffffff,0x727ff402,
    0x74003fff,0xfffd05ff,0x3ffa007f,0x3fffe02f,0x3e24ffff,0x1fff04ff,
    0x3fffffea,0x3fea3fd3,0x4cbf65ff,0xffffffff,0x1bff66ff,0x3a4fff88,
    0xffffffff,0x3f206fff,0x3ffc00ff,0x3ea9ffff,0x3fffe63f,0x84ffffff,
    0x3e25fff8,0x7fd404ff,0x2217fe23,0xffffffff,0xff103fff,0x27ffcc5f,
    0x20bffd00,0x2a00cefe,0xafffdaaa,0x3f720aaa,0x262cccff,0xffa83fff,
    0x333ffea6,0x3e63fd2c,0x997ec0af,0xccccdfff,0x1bff63cc,0x223fff98,
    0xfffffffe,0x3f205fff,0xbffc00ff,0xf57ffff9,0x7fffcc7f,0x04ffffff,
    0x7fd4fffb,0x17fdc01f,0xff109ff3,0xfffb99bf,0xfff507ff,0x006ffe81,
    0x00417ffa,0xffffffb0,0xb83fffff,0xff500fff,0x47ffb05f,0x3fd06ffa,
    0x97ec1be6,0xb002fff9,0x7fd40dff,0xcedc982f,0x204fff8b,0x7400fffc,
    0xff9df97f,0x7cc5ff53,0x99999bff,0x5fff7009,0x64c1fff2,0xdccdffec,
    0x3e24ceff,0xfffa83ff,0x437fe40f,0xd000fffc,0x90000bff,0xdfffdddd,
    0xffb83ddd,0x3fff900f,0xccdfff88,0x3fd06ffd,0x97ec0aa2,0xb002fff9,
    0x7fe40dff,0x3fe6001f,0x3fff203f,0x747ff400,0xfbcffacf,0x0bffe62f,
    0x53ffe200,0xff504ffe,0xffffffff,0x3e21ffff,0xfffd03ff,0xeeffff83,
    0x03fffeee,0x980bffd0,0x3fee000a,0x0fffb807,0xb87fff88,0xffffffff,
    0x223fd06f,0x265fb03c,0xfb002fff,0x3ffe20df,0x7ffe4007,0x03fff200,
    0x5ff5ffb0,0x3ff7dff1,0x0017ffcc,0xff8effe8,0xffff502f,0xffffffff,
    0x3ffe21ff,0x43fff903,0xfffffff9,0x005fffff,0x7ec0bffd,0x333101ff,
    0x3333fff9,0xb01fff70,0xffd07fff,0xdfffffff,0x7fe47fa0,0xff32fd82,
    0x3ff6005f,0x07fffb06,0x02fffd40,0xb003fff2,0x7ecff9ff,0x3e61ffdf,
    0xf90002ff,0x01fff9ff,0xffc8ffd0,0x03fff881,0x7e41fffd,0xffffffff,
    0xfd007fff,0x3ffea0bf,0xffffb06f,0x3fffffff,0x530fffb8,0xf30dfffd,
    0xf73333ff,0x5c7fa0df,0x32fd81ff,0x36005fff,0x3faa66ff,0x54c406ff,
    0x401ffffd,0x6400fffc,0x3ea5ffff,0x3e60ffff,0xf30002ff,0x00bfffff,
    0x1ffb1bfe,0x987fff10,0x7f46fffd,0x999999df,0x4c42fffc,0x9effe999,
    0xffff9199,0x3ffff60f,0x1fffffff,0x7fffffdc,0xc81effff,0xfffa84ff,
    0x43fd6fff,0x265fb009,0xffffffff,0xfffb1fff,0xdfffffff,0xfffffb03,
    0x9003ffff,0xfc801fff,0x3fe22fff,0x3fe60fff,0x3fe0002f,0xf003ffff,
    0x107fe8bf,0xffffffff,0x7c43ffff,0x3fe602ff,0x7fffec4f,0x7fffffff,
    0x00bffff5,0x2e01ffee,0xffffffff,0x07ffe04f,0x3fffffea,0xffffffd6,
    0x5fffffff,0x3fffffe6,0xfb1fffff,0xffffffff,0x7fffec09,0x9001dfff,
    0xfc801fff,0x7fec0fff,0x3ffe60ff,0x3ff20002,0xf8800fff,0x883ffc5f,
    0xffffffff,0x7fdc2fff,0x3fffc00f,0x3ffffff6,0x367fffff,0xf7001eff,
    0xfff700ff,0x40379dff,0xff506ffa,0x3fadffff,0xffffffff,0xff32ffff,
    0xffffffff,0x3ffff63f,0x6c01bcef,0x01bdefff,0x007ffe40,0x2e17ffee,
    0x7fcc7fff,0x3ea0002f,0xf3006fff,0x106ff89f,0xdfffffff,0x17ff605b,
    0xd87fff60,0xffffffff,0x00cc7fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0004d544,
    0x88199998,0x99999999,0x33109999,0x20ccc403,0x99999999,0x33109999,
    0x43331003,0x22009998,0x26620999,0x30666009,0x4cc00133,0x13331009,
    0x26666662,0x4cc19999,0x22001999,0x33300999,0x19999981,0x2a000000,
    0x2065400d,0xffffffc8,0x3fea000c,0xfffb87ff,0xffffffff,0x40fff96f,
    0xff30fffb,0xffffffff,0x3ffeedff,0x13fff403,0x3601ffff,0x3ff22fff,
    0x3fff00ff,0x400fffe2,0xf884fff8,0xfffb1fff,0xffffffff,0x7fffffc3,
    0x3ee02def,0xfffb86ff,0x3ffffe26,0x2002dfff,0x3a206ffa,0x3fe204ff,
    0xfffff53f,0x400dffff,0xb87ffffe,0xffffffff,0xff96ffff,0x87ffdc0f,
    0xfffffff9,0xf16fffff,0x7fd40dff,0x27ffe43f,0x3237ffcc,0xff03ffff,
    0x0fffe23f,0x427ffc40,0x3f63fffd,0xffffffff,0x3fffe1ff,0x1effffff,
    0x40ffffb8,0x3e27fffd,0xffffffff,0xffa800ef,0x17ffec06,0xfd1fffd8,
    0xfffddfff,0xfff9009f,0xfff70fff,0xffffffff,0x81fff2df,0xff30fffb,
    0xffffffff,0x7ffdcdff,0x10fffd02,0xfd81ffff,0x7ffe42ff,0x23fff07f,
    0x1003fff8,0xffb89fff,0x7f77645f,0x1eeeefff,0x3fbbfffe,0x5c0fffff,
    0x3e23ffff,0x3fe27fff,0xfffffeef,0x6ffa805f,0x6ffffc40,0x3fffdfff,
    0xff707be2,0xfff980df,0xaa887ffe,0xfcaaaaaa,0x0fff94ff,0x3307ffdc,
    0xff333333,0x7ffc45ff,0x03fffa86,0x7cc9fff7,0xfffc85ff,0x1fff83ff,
    0x2007fff1,0x3e24fff8,0x7e400fff,0x27ffc07f,0x917fff66,0x7d4bffff,
    0x3fe27fff,0x3ffee23f,0x37fd400f,0x7ffffcc0,0x185fffff,0x803fffa0,
    0x7ffbdffd,0x1fffd000,0xfb81fff2,0xff9000ff,0x5fff70bf,0x7406ffe8,
    0xfffb0fff,0xfffff903,0x223fff0d,0xf1003fff,0x7ffec9ff,0x07ffc802,
    0x7c427ffc,0x6ffe47ff,0xfdffb0ff,0x0fffe21f,0x5007fff6,0x3f600dff,
    0xffffffff,0x7ffec001,0x71fff500,0xf5000fff,0x3ffe49ff,0x001fff70,
    0x101ffff3,0x7fd4dfff,0x7ffd403f,0x905fff9c,0x85fffdff,0xfff11fff,
    0x3ffe2007,0x009fff54,0xff01fff2,0x3fff209f,0x3fefff60,0x1ffb9ff2,
    0x2a0fffe2,0x3baa2fff,0xeefffeee,0x4ffe85ee,0x0013ffaa,0x3e20fffd,
    0x0fff73ff,0x41fffd00,0x3ee07ffc,0xffe800ff,0x3ffee02f,0x200dffd1,
    0xfffefffe,0xfb9ff900,0x11fff8df,0x22007fff,0xfff8cfff,0x1fff2006,
    0x3209fff0,0x3ff60fff,0xaffacff9,0xfff11ffd,0x43fff907,0xfffffffb,
    0x447fffff,0x6ffc87ff,0x17ffe200,0xff737fe4,0xfff9800f,0x557ffe45,
    0xfffdaaaa,0x27ffe400,0x277ffe20,0xf3003fff,0x409fffff,0xfffacffc,
    0x7c47ffe1,0xff1003ff,0x03fffb9f,0x203ffe40,0xffb04fff,0xfe8ffd8f,
    0x3ffb7fce,0xf50fffe2,0xfffb8dff,0xffffffff,0x42ffd47f,0x36007ffa,
    0xff982fff,0x01ffee1f,0xc83fffb0,0xffffffff,0x200fffff,0x800efff9,
    0x6ffefffb,0x7fffec00,0x53ff200f,0x3ffe5ffe,0x007fff11,0x3ffbffe2,
    0x7fe4003f,0x427ffc07,0x7f45fff9,0x2bffff77,0xfff11ffd,0xdffffddd,
    0x0dff5003,0xf30bff70,0x3fee00ff,0x89ffd05f,0x26007ffb,0xffc85fff,
    0xffffffff,0x3fa00fff,0xff1001ff,0x8005ffff,0x406ffffc,0xfff54ffc,
    0x7c47ffe1,0xff1003ff,0x007fffff,0x7c07ffc8,0xfc999dff,0xbff41fff,
    0xf92ffff9,0x3fffe25f,0x00beffff,0x700dff50,0xbff50fff,0x1dfff500,
    0xb81fff70,0x3f6007ff,0xfffc81ff,0xfecccccc,0xfff900ff,0xfffb8009,
    0x7fc4006f,0x3202ffff,0x53ffe4ff,0xfff11fff,0x3ffe2007,0x000fffec,
    0xff01fff2,0xffffffff,0x7cfff09f,0x5ff90fff,0x3fffffe2,0x2a001eff,
    0xffa806ff,0x01ffec1f,0x207fffe6,0xfb82fff8,0xfff3007f,0x81fff20b,
    0xf980fffb,0xf88006ff,0x64002fff,0x0fffffff,0x7dc9ff90,0x11fff8ff,
    0x22007fff,0xfffacfff,0x1fff2006,0xfffffff0,0x3fe05dff,0xfc97ff27,
    0x17fff13f,0x001ffff7,0x7c01bfea,0xffc9cfff,0x3ffe601f,0xffff501f,
    0xffffffff,0x7fec0dff,0x0fff901f,0x7407ffdc,0x90001fff,0xf9800fff,
    0x4fffceff,0x7c49ff90,0x11fffbff,0x22007fff,0xfffb4fff,0x1fff2007,
    0xbddffff0,0x26ff8059,0x3ff22ffa,0x5c7fff13,0xf5004fff,0x3ff600df,
    0x1fffffff,0x03ffff30,0x7fffffd4,0xffffffff,0x0dfff106,0xf703ffe4,
    0xfffc81ff,0x3ff20004,0x7ffec007,0x80ffff89,0x7fe44ffc,0xff11ffff,
    0x3fe2007f,0x3ffff14f,0x80fff900,0x44004fff,0x82aa26ff,0xfff13ffb,
    0x00fffe87,0xb8009988,0xffffffff,0x7fcc0fff,0x7fd400ef,0xffffffff,
    0xf906ffff,0x7fe405ff,0x83ffee07,0x0006fff9,0x5003ffe4,0x7fe4bfff,
    0x44ffc85f,0x1ffffff9,0x2007fff1,0x3ee4fff8,0xffc806ff,0x027ffc07,
    0x201bfe20,0xfff14ffb,0x04fffb87,0x7ffcc000,0xffabccbd,0x3fffe65f,
    0x0999999a,0x33333331,0x133fff93,0x80dfff10,0x3ee07ffc,0x3fffa0ff,
    0x9999999b,0x03ffe401,0x443fffd0,0x7e42ffff,0xffffd84f,0x07fff11f,
    0xd13ffe20,0xfc807fff,0x27ffc07f,0x01bfe200,0x7fc53fee,0x0ffff83f,
    0x77777774,0xd12eeeee,0x3f201fff,0xffff8bff,0xffffffff,0x1ffee006,
    0x805fff90,0x3ee07ffc,0xffff70ff,0xffffffff,0x07ffc80f,0x70bfff70,
    0xffc8dfff,0xfffffa84,0xffffff11,0x229fffff,0x7fcc4fff,0x3fff61ff,
    0xffffffff,0x0013ffe1,0xf700bff3,0x0fffe2bf,0xff13fff2,0xffffffff,
    0x17fdc7ff,0x3e277fa0,0xffffffff,0x2e006fff,0x3fe207ff,0x7ffc806f,
    0x5c3ffee0,0xffffffff,0x6407ffff,0xff8807ff,0xffff01ff,0xe827fe47,
    0xff11ffff,0xffffffff,0x13ffe29f,0xfd9bfff2,0xffffffff,0x13ffe1ff,
    0x00bff300,0x3fe2bff5,0xffff883f,0x3fffffe0,0x43ffffff,0x22198028,
    0xffffffff,0x2006ffff,0x3f207ffb,0xffc802ff,0x43ffee07,0xfffffffb,
    0x407fffff,0xfc807ffc,0x3fee05ff,0x09ff90ff,0x447fffea,0xffffffff,
    0xfff14fff,0x9ffff109,0x3ffffff6,0x3e1fffff,0x7d4004ff,0x5ffa805f,
    0x3607fff1,0x00003fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00800000,0x00c00002,
    0x08800200,0x03300010,0x00026600,0x10080006,0xd107ddb0,0x006005dd,
    0xb10004c0,0x0000005d,0x00135510,0x00002662,0x903f9000,0x3ae0001d,
    0x7004efff,0x8bdfffdb,0x74ffffda,0x2e01bfff,0xcffffffd,0xffff9100,
    0x32201dff,0x104efffe,0x5dfd35dd,0xff8bffea,0x3fff884f,0x3f66bdd3,
    0x776c0dff,0x2efffc88,0x01fffe80,0x66ff6dc0,0x7ffec401,0xffa804ff,
    0x7ff6c406,0x7ec002de,0x3fff21ff,0x3ff62001,0x00efffff,0xffffffd3,
    0xffffe8ff,0xffffffff,0x7fffcc0e,0x41ffffff,0xfffffffa,0xfffa81ff,
    0x41efffff,0xfffecff8,0x27ffff9e,0xff884fff,0xf5fff53f,0x41ffffff,
    0xfffe9fff,0x7fc03fff,0xfd1002ff,0x07ffffff,0x7ffffff4,0x37fd404f,
    0x3ffffe60,0xfe8803ff,0x3ff21eff,0xffd003ff,0xdfffb7df,0xffffff30,
    0xcee8ffff,0xbfffffca,0x7fcc3fff,0xfffeccce,0x37fffe66,0x541fdcbb,
    0xffffffff,0x3fe20fff,0xffffeeff,0xfff1fffe,0x27fff109,0xeffffffa,
    0x3fe4ffff,0xffffffff,0x7ffe407f,0x1dff8800,0x2e13fee2,0xffb89eff,
    0x1bfea00f,0xfd979d30,0xffe980ff,0xfffa80df,0x7ffd404f,0x217ffd41,
    0x221dfffe,0x7fdc145a,0x88dff31f,0x3fff900a,0x800bffee,0xb10bfffe,
    0x7fc49fff,0x2bfff56f,0x9fff2ffc,0x2a7fff10,0x3a2fffff,0x3fffe7ff,
    0xfffc88cf,0x8005d401,0xefffbcfe,0x7f42ff8a,0x017fec0f,0x7000dff5,
    0x7fd40fff,0x7fcc04ff,0xffd00dff,0xb97ffa0b,0x40005fff,0x3ffc7ff9,
    0x4bffe600,0x5002fffc,0x3fe07fff,0x4bffe27f,0xff70fff9,0x2213ffe9,
    0xfff53fff,0x27ffb83f,0x7cc4ffff,0x200002ff,0xf9bf76fa,0xff8df51f,
    0x203ffb87,0x33006ffa,0x2e09ffd5,0x1003ffff,0x881dfffd,0xffb02fff,
    0x007ffe4d,0xd17fe200,0x2a6200ff,0xfff72fff,0xffc8039f,0x1fff700f,
    0xff99ffe2,0x7fd3fee6,0x3fff884f,0xf507fff5,0x17ffe1ff,0x554fffe2,
    0xaaaaaaaa,0x3f20aaaa,0x47fa5f72,0x03ffe0fe,0x2aaa5ff9,0xaafffcaa,
    0x7ffc0aaa,0xfff904ff,0xffb0003f,0x7ffcc3ff,0xffffffff,0x01fffa7f,
    0x3ffb7220,0xffffffff,0xfffed980,0xff12ffff,0x039dffff,0x7d40dffb,
    0x4fff11ff,0x3fee5ff9,0xf109fff4,0x3ffea7ff,0x13ffe001,0x7f4fffe2,
    0xffffffff,0x3fa2ffff,0x4bfbbf70,0x0fff62fc,0x3ffa3fff,0xffffffff,
    0x7ffc2fff,0xfb11efff,0x40001dff,0xf72ffffc,0xffffffff,0x7ffcffff,
    0x7ffdc006,0xffffffff,0x7fec0fff,0xffffffff,0x3ffffa62,0x3fa0cfff,
    0x3ffe606f,0x7ccfff12,0x7d3fee5f,0xfff884ff,0x003fff53,0x7c427ffc,
    0xffffd3ff,0xffffffff,0xfb87fc5f,0x71fe46ff,0xfff9bfff,0x7fffff4b,
    0xffffffff,0x9fff5102,0x03bfffa2,0xffffb800,0x557fff52,0x45555555,
    0x22007fff,0xffbacfff,0x42aaaaad,0xaacefffd,0xc982fffb,0x25ffffff,
    0x3ea06ffe,0x4fff11ff,0x3fee5ff9,0xf309fff4,0x3ffea7ff,0x13ffe001,
    0x554fffe2,0xaaaaaaaa,0x3f60aaaa,0x47f75f71,0x7ffec1fd,0x2aa0efff,
    0xafffcaaa,0x7400aaaa,0x7ffec6ff,0xffc8001f,0x3ffe61ff,0x7ffec001,
    0x49ff7000,0xf8805ff8,0xfff885ff,0x7ffecc02,0x40fffb0f,0xff10fffc,
    0xf72ffccf,0x117ffe9f,0x3ea7fffd,0x3fe001ff,0x3fff884f,0x53ee0000,
    0x88ff8afb,0xdffd707f,0x1bfea007,0xfb979950,0xfff709ff,0x3f62005f,
    0x7fc40eff,0x7fe4004f,0x5ff9005f,0x54037fcc,0xffa82fff,0xfffb002f,
    0x40bffee3,0x3fe27ffe,0xfb97fe67,0x21fffd4f,0x53ffffd9,0x7c003fff,
    0xfff884ff,0x40055403,0x92fb9ff8,0x0009fb7f,0x80dff500,0xfffffffb,
    0x3fffea05,0x7fff4c04,0x7fffb00d,0x3ffe6040,0xf91cc0df,0x17ffec7f,
    0x517ffe60,0x0265ffff,0xf30fffe8,0x7ec19fff,0x9ffe23ff,0x3fee5ff9,
    0xfdffff94,0x2a7fffff,0x3e001fff,0xfff884ff,0x03fff203,0x640bbee0,
    0x555540ef,0x00aaaaaa,0xd501bfea,0x005bddff,0x01bffff3,0x809ffff5,
    0xcceffff8,0x7e40fecc,0xffefffff,0x36fbfee7,0xaabfffff,0x3fffe24d,
    0xfffffecd,0x9579dfb2,0xfc8dfffd,0xfffeffff,0x33ffc46f,0xa7fdcbff,
    0xfffffff8,0xff53ffdc,0x7ffc003f,0x03fff884,0x400bfffe,0xfdbceffc,
    0xfffe81ef,0x02ffffff,0x0001bfea,0x3fffa200,0x3fffee0e,0xffff5003,
    0x01ffffff,0xfffffff9,0x7fffc4ff,0xffffeaff,0x7ffe44ff,0xffddffff,
    0xffffffb2,0xd881dfff,0xffffffff,0x33ffc40e,0x27fdcbff,0x27ffffd3,
    0xfff53ffc,0x27ffc003,0xd01fffc4,0x4c003fff,0x04fffffe,0x3ffffffa,
    0x3ea02fff,0x0000006f,0x643fffb1,0x44002fff,0xfffffffd,0xfffb300d,
    0xfd989dff,0xfffb12ff,0xfff705ff,0x4bff27ff,0xfffffffc,0x3fee00cf,
    0xf103efff,0x72ffccff,0x033109ff,0x003fff50,0x7c427ffc,0x3b6603ff,
    0x35510003,0x22000000,0x00000099,0x76c0fe40,0x54c40001,0x4cc40009,
    0xa880c400,0x01a98019,0x066a6620,0x00133100,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01004000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x801f7640,0xddd71eed,0xdddddddd,0x00bbbaa1,0xeed8bdd9,0x5ddd702e,
    0x00000000,0x20060044,0x5c403cc8,0x500befed,0x00003ddb,0x54004cc0,
    0xaaaaaaaa,0x55531aaa,0x55555555,0x01531035,0xa8666540,0xed880ccc,
    0xfb0fb622,0x3ffe00bf,0xffffff90,0x221fffff,0x3e206fff,0x7ffcc4ff,
    0x2fffc40f,0x02ea85a8,0x064c0cc8,0x7d403ba2,0x027fc404,0xfffffff5,
    0x7fff541d,0x3fb6a02f,0xffc800ce,0xfffff806,0x3fffffff,0xfffffff7,
    0xb87fffff,0x440cffff,0x1fff92aa,0x3203fff2,0x3ffee7ff,0x201bfee0,
    0x3ff27ff8,0xffffffff,0x07fff60f,0x5c0fffdc,0x7ff45fff,0x23ffe80f,
    0x7d406ffc,0x4bffa0ff,0x540effe8,0x885c3fff,0xf886a4ff,0x2ffffeff,
    0x5ffffff7,0x3fffff60,0x3fe202ff,0x7ffc03ff,0xffffffff,0xfffff73f,
    0x7fffffff,0x7fffffd4,0x5d7fea0e,0x1ffee7ff,0xfc87ffec,0x1ffea1ff,
    0x989bfe60,0xffe99999,0x27ffd43f,0x3606ffe8,0xfff72fff,0x47ffea05,
    0xd104ffe8,0x37fe47ff,0x543bffee,0x3e60efff,0xfb17ff2f,0x3fe6298b,
    0xff9ff14f,0x9fff705f,0x201ffff9,0x00ffeffd,0x33333332,0x532ccccc,
    0x55555555,0x7ff47ffb,0x90efffef,0x9ffee9ff,0xfd307ffb,0x2627f447,
    0x9dd10fff,0x5c02ffd4,0xffd05fff,0x07fff30d,0x7d7fffc4,0x7fe405ff,
    0x207ffea6,0x3fe66ffc,0xefffb81f,0x6c0efffb,0xecffcfff,0x3ea01fff,
    0x7fc462ff,0x42ffe82f,0xffa83ffe,0x0005ffab,0x3ff20000,0x7d4fff13,
    0x1fffefff,0x7fd4dff5,0x3e200006,0x1fff71ff,0xf5013fee,0x3ee01dff,
    0x7ffe41ff,0x7fffd400,0xfe800fff,0x31bff23f,0x3fa23fff,0x3ffee03f,
    0xd700efff,0x9fffffff,0x37ffcc03,0x442fff88,0x4ffb87ff,0x3ff66fe8,
    0x00000002,0x3fe67ff9,0x7ffffd46,0xa9bfea6f,0x400006ff,0xfffd2fff,
    0x880ffee7,0x2201ffff,0x7ffc4fff,0xffff9005,0x3fe6005f,0x47ffd11f,
    0x3ff23ffe,0xffffb805,0xfffb800e,0x7fcc00ef,0xfff101ff,0xb87ff885,
    0x17fdc4ff,0x3320dff3,0xcccccccc,0x7e4002cc,0x2602663f,0x7cc5fffe,
    0x017fe65f,0x17ffd000,0x3f2dffff,0x3fffa02f,0x27ffd803,0x1002fff9,
    0x400dffff,0xfd11fff9,0x8bffe27f,0xfa805ffd,0x2200efff,0xeffffffc,
    0x1dfff502,0x417ffc40,0x7fec1fff,0x321bfe23,0xffff84ff,0xffffffff,
    0x0e654003,0x64406200,0x00f3222c,0x79ffb000,0xfb1fffff,0x3fff203f,
    0x5fff5004,0xc801bff6,0x802fffff,0x3f23ffe8,0x87ffd46f,0x2a02fff8,
    0x0effffff,0xffefffc8,0x2e1ffffd,0xf8805fff,0xfffd82ff,0x20fffdab,
    0xff881ffd,0x7ffffc1f,0x3fffffff,0x00000000,0x20000000,0xcffddffb,
    0x507febff,0xf800dfff,0x3fff8dff,0xfffff500,0xffc801ff,0x207ffea6,
    0x3fea5ffd,0xefffa80f,0x5c0efffb,0xd37ff4ff,0x7fffd4df,0xff37ffff,
    0x4fffffff,0xfffffff8,0x817fe63f,0x55545ffb,0xaaaaaaaa,0x3333101a,
    0xc8800333,0x44002ccc,0x0002cccc,0x6fff7fd4,0x87ffeff9,0x000ffff9,
    0x7fdfffe4,0xfff8800f,0x206fffbe,0xff10fffa,0x3ffe207f,0xf517ff63,
    0x3fee1dff,0xff16c0ef,0xffb8b629,0x37ffffff,0xffffffff,0xffffd88f,
    0x004cc41e,0x00000666,0x7ffffff4,0xffd1001f,0x1bff507f,0x05fffd30,
    0x7fffcc00,0xbffffd2f,0x9bfffe88,0x22019999,0x05ffffff,0x363fffd0,
    0xffb03fff,0x2037fe47,0xff10fffb,0x3bffe25f,0x01fffdc0,0x75409ff1,
    0x5eeeeeee,0xddddddd3,0x004cc0bd,0x00000000,0x7ffffff4,0xffe8801f,
    0xffff981f,0x0bfff205,0x7fffc400,0x13ffff27,0xfffffff9,0x6c03ffff,
    0x802fffff,0x3e23fffc,0x09501fff,0x19d003d5,0x77cc0da8,0x9807f700,
    0x000005ff,0x00000000,0xa9800000,0x00aaaaaa,0x806fff44,0x407ffffb,
    0x0002fffa,0x7ccbffff,0x7fec3fff,0xffffffff,0x3ffea01f,0xfffa807f,
    0x0efffa86,0x00000000,0x00030026,0x00000000,0x00000000,0x20000000,
    0x7fd40088,0x888807ff,0xfffd0000,0x42fffe85,0xfffffffd,0x7c01ffff,
    0x7c404fff,0xffb00fff,0x000000bf,0x00000000,0x00000000,0x00000000,
    0x00000000,0x07fffd00,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x65c00000,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_30_latin1_x[224]={ 0,5,3,0,1,0,0,6,3,3,1,1,3,3,
5,1,0,1,1,2,0,2,1,1,1,1,5,3,1,1,2,4,0,0,1,1,1,2,2,0,1,2,2,1,
2,0,1,0,1,0,1,1,1,1,0,0,0,0,1,4,1,3,1,0,0,1,2,1,1,1,0,1,2,2,
1,2,2,0,2,1,2,1,2,2,0,2,0,0,0,0,2,2,6,3,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,5,1,1,0,0,
6,1,0,0,3,1,1,3,0,0,2,1,3,3,0,1,1,5,6,3,2,1,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,2,0,0,
0,0,0,0,0,1,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
 };
static signed short stb__consolas_bold_30_latin1_y[224]={ 22,1,1,2,-1,1,1,1,0,0,1,6,16,12,
16,1,2,2,2,2,2,2,2,2,2,2,6,6,5,9,5,1,0,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,1,0,2,25,1,6,1,6,1,6,1,6,1,0,
0,1,1,6,6,6,6,6,6,6,2,7,7,7,7,7,7,0,-2,0,10,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,22,6,0,2,3,2,
-2,1,1,2,2,7,12,12,0,1,0,3,1,0,1,7,1,10,22,1,2,7,1,1,1,6,-3,-3,-3,-3,
-3,-4,2,2,-3,-3,-3,-3,-3,-3,-3,-3,2,-3,-3,-3,-3,-3,-3,7,-1,-3,-3,-3,-3,-3,2,1,1,1,
1,1,1,-1,6,6,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,6,3,1,1,1,1,1,1,1,
 };
static unsigned short stb__consolas_bold_30_latin1_w[224]={ 0,6,11,16,15,17,17,5,11,10,14,15,9,10,
7,14,16,14,14,13,16,13,15,14,14,14,6,9,13,14,13,11,17,17,15,14,15,13,13,16,15,13,12,15,
13,16,15,16,15,17,15,14,15,15,17,17,17,17,14,9,15,9,15,17,11,14,14,14,14,14,16,15,13,13,
13,14,13,16,13,15,14,14,14,13,15,13,17,17,17,17,13,12,4,12,16,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,6,13,15,16,16,
4,15,14,17,11,14,14,10,16,13,12,14,10,10,16,15,15,7,5,10,12,14,17,17,17,11,17,17,17,17,
17,17,17,14,15,15,15,15,15,15,15,15,16,16,16,16,16,16,16,14,16,16,16,16,16,17,15,14,15,16,
15,15,15,15,17,14,15,16,15,15,15,16,15,15,15,15,16,16,16,16,16,15,15,15,16,15,15,17,14,17,
 };
static unsigned short stb__consolas_bold_30_latin1_h[224]={ 0,22,8,20,27,22,22,8,29,29,13,16,12,4,
7,25,21,20,20,21,20,21,21,20,21,20,17,22,18,10,18,22,29,20,20,21,20,20,20,21,20,20,21,20,
20,20,20,21,20,26,20,21,20,21,20,20,20,20,20,28,25,28,11,4,7,17,22,17,22,17,21,23,21,22,
29,21,21,16,16,17,22,22,16,17,21,16,15,15,15,22,15,28,31,28,8,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,22,26,20,19,20,
31,25,7,21,16,14,8,4,16,7,12,19,12,13,7,21,25,7,5,12,16,14,21,21,21,22,25,25,25,25,
25,26,20,25,25,25,25,25,25,25,25,25,20,25,26,26,26,26,26,14,27,26,26,26,26,25,20,22,22,22,
22,22,22,24,17,21,22,22,22,22,21,21,21,21,22,21,22,22,22,22,22,16,23,22,22,22,22,28,27,28,
 };
static unsigned short stb__consolas_bold_30_latin1_s[224]={ 255,248,227,180,163,49,63,250,36,11,114,
228,246,245,246,201,185,231,1,139,16,125,109,33,44,99,245,235,1,180,15,
1,48,213,197,102,83,69,148,117,48,161,167,145,131,191,115,77,175,213,208,
202,114,217,162,130,97,79,64,66,53,102,164,196,234,77,229,44,48,29,150,
1,197,204,22,94,30,122,168,106,172,33,153,92,134,139,33,1,51,81,19,
76,1,89,210,53,53,53,53,53,53,53,53,53,53,53,53,53,53,53,53,
53,53,53,53,53,53,53,53,53,53,53,53,53,53,53,53,53,255,148,1,
227,239,1,6,216,239,59,243,84,195,245,198,195,151,224,129,244,209,153,167,
226,250,140,215,69,33,51,84,244,200,1,232,183,69,134,35,152,37,184,104,
218,120,136,152,168,18,87,231,117,15,32,49,99,179,66,83,100,196,19,211,
116,131,179,196,147,99,234,59,69,100,83,67,33,1,180,169,233,163,17,212,
13,218,187,155,182,17,132,115,17,1,130,148,112, };
static unsigned short stb__consolas_bold_30_latin1_t[224]={ 1,1,239,178,1,86,109,33,1,1,239,
220,178,127,191,33,133,178,199,133,199,133,133,199,133,178,109,109,220,239,220,
133,1,178,178,156,178,178,178,156,199,199,156,199,199,199,199,133,199,1,199,
133,178,133,178,178,199,199,199,1,60,1,239,28,248,220,86,220,109,220,156,
86,156,109,1,133,133,220,220,220,109,109,220,220,156,220,239,239,239,109,239,
1,1,1,239,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,
178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,178,1,109,33,
156,199,178,1,33,239,133,156,239,239,127,220,248,239,199,239,220,248,133,33,
248,42,239,220,239,156,156,156,86,59,60,33,33,60,33,178,33,60,59,60,
59,60,60,59,59,178,60,1,33,33,33,33,239,1,33,33,33,1,60,156,
86,86,86,86,86,109,59,220,156,86,86,86,86,156,156,133,133,86,156,86,
133,109,109,109,220,86,109,109,110,110,1,1,1, };
static unsigned short stb__consolas_bold_30_latin1_a[224]={ 264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,264,
264,264,264,264,264,264,264,264, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_30_latin1_BITMAP_HEIGHT or STB_FONT_consolas_bold_30_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_30_latin1(stb_fontchar font[STB_FONT_consolas_bold_30_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_30_latin1_BITMAP_HEIGHT][STB_FONT_consolas_bold_30_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_30_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_30_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_30_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_30_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_30_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_30_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_30_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_30_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_30_latin1_s[i] + stb__consolas_bold_30_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_30_latin1_t[i] + stb__consolas_bold_30_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_30_latin1_x[i];
            font[i].y0 = stb__consolas_bold_30_latin1_y[i];
            font[i].x1 = stb__consolas_bold_30_latin1_x[i] + stb__consolas_bold_30_latin1_w[i];
            font[i].y1 = stb__consolas_bold_30_latin1_y[i] + stb__consolas_bold_30_latin1_h[i];
            font[i].advance_int = (stb__consolas_bold_30_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_30_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_30_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_30_latin1_s[i] + stb__consolas_bold_30_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_30_latin1_t[i] + stb__consolas_bold_30_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_30_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_30_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_30_latin1_x[i] + stb__consolas_bold_30_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_30_latin1_y[i] + stb__consolas_bold_30_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_30_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_30_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_30_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_30_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_30_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_30_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_30_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_30_latin1_LINE_SPACING
#endif

