// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_32_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_32_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_32_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_32_latin1_BITMAP_HEIGHT        298
#define STB_FONT_consolas_bold_32_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_32_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_bold_32_latin1_NUM_CHARS            224

#define STB_FONT_consolas_bold_32_latin1_LINE_SPACING          21

static unsigned int stb__consolas_bold_32_latin1_pixels[]={
    0x33325999,0x00040002,0x4c400000,0x00001980,0x01e54000,0xb002a620,
    0x3ddddddd,0x3bbbbba2,0xdca8805e,0x0579d70e,0x0154c000,0x31000220,
    0x00000333,0x22000797,0x3e9fff00,0x2f4404ff,0x00002744,0x405ffff9,
    0x3f21fff8,0x0fffd04f,0xfff70000,0xfffd300b,0x3ffa07df,0xf31fffff,
    0x0fffffff,0x1fffffb8,0x03dffff9,0x00ff9000,0x003bffee,0x02ffff4c,
    0x017fe000,0x3e13ff60,0x09fff4ff,0xd12fff44,0x900009ff,0xb801dfff,
    0x3ffe4fff,0x07ffe80f,0xfffe8000,0x7fffdc07,0xfe83ffff,0x31ffffff,
    0xffffffff,0x7ffffd40,0xfffff91f,0xdfd0000d,0xfddff500,0xfffc800d,
    0xff100005,0xfffa8009,0xfa7ffc2f,0xffd104ff,0x7fff447f,0x3ff20004,
    0xfff7004f,0xe83fff47,0x800007ff,0x3207fffd,0xfdbbdfff,0x4ccc43ff,
    0xff31fffa,0x4033335f,0x219cfffe,0x3fffd998,0x02ffc000,0x1ff8a7e4,
    0x2fffd400,0x3fee6000,0x3fee000c,0xa7ffc3ff,0xffb04fff,0xfffd109f,
    0xfff90007,0x44ec8005,0xffd02ee9,0xf300000f,0x3fea05ff,0x07ffb83f,
    0xf98fffcc,0xff3001ff,0x3ffa007f,0x3fe20006,0xf15fc804,0x5510003f,
    0xfd980035,0x3fffffff,0x0ffff980,0xfffa7ffc,0x04fffa84,0x003fffa2,
    0x00000000,0x0007ffe8,0x7c402600,0x3ff603ff,0x47ffe602,0x5001fff9,
    0x2e001fff,0x2a0007ff,0xff9804ff,0x00006ffe,0xffffd800,0x04ffffff,
    0xff039b30,0x113ffe9f,0xf500dfff,0x00000bff,0x7f400000,0x0000087f,
    0x406ffb80,0x3e605ffa,0x3fff31ff,0x01ffee00,0x000fffa8,0xfffffd91,
    0xffea803f,0xb988000d,0x64009bcd,0xffffffff,0x00004fff,0x3ffe9fff,
    0x017ffec4,0x543fffd8,0xed804eee,0x9ddd50ee,0x21dddb00,0xffb36ffe,
    0x3bae03bf,0xeeeeeeee,0x401fff84,0x3e607ff8,0x3fff31ff,0x01ffee00,
    0x800fff98,0xfffffffa,0x555402ff,0x7cc001aa,0x1fffffff,0x15ffff10,
    0x00aa2dfd,0x7fc16654,0x449fff4f,0x22005fff,0x7fc46fff,0x3fe600ff,
    0x3fffe25f,0x97ffe600,0xfffaeffe,0xfc82ffff,0xffffffff,0x537fd45f,
    0xfd5b79d9,0x3ffe601f,0x003fff31,0x9801ffee,0x7d400fff,0xffffffff,
    0x3ffe202f,0x3f2005ff,0xffffffff,0x5fffa83f,0x6c0017fe,0x4fff84ff,
    0x7fdc9fff,0x7fe4001f,0x1fffec1f,0xd85fff90,0x3f203fff,0x3fffa2ff,
    0xffffffff,0x7fffe40f,0x45ffffff,0xfff93ffd,0x3ffb3fff,0x4c7ffe60,
    0xf7001fff,0x7fcc00df,0x3ffe201f,0xc9ffdaef,0x3fffee01,0xfff5007f,
    0xffffddff,0x5fffb83f,0x20009ff1,0xfff85ffd,0x7f49fff4,0xff98006f,
    0x37ffcc4f,0xf30ffff0,0x7ffc0dff,0x7fffff47,0x4fffe98c,0x22fffc00,
    0xfffa8fff,0xffd9ffff,0x23fff301,0x9001fff9,0x7c400dff,0x3ff203ff,
    0x401bfa5f,0x2ffffffd,0x44fffe80,0x4c5fffe8,0xffacffff,0x7f544002,
    0xf4fff85f,0x3ffe69ff,0xffff0004,0x503fffd0,0x3fa09fff,0xfffa81ff,
    0x0fffff44,0x001fffe2,0x7fc4bfff,0xff39ffb6,0x205ff91f,0xff31fff9,
    0xfff1003f,0x5fff8009,0xf8bfffa0,0xdfff005f,0xfb809fff,0xfff105ff,
    0x7fffc41f,0x1001ffff,0x0dfffffb,0x3ffe9fff,0x005fff54,0x2e1fff20,
    0xffd84fff,0x9fff700f,0xe81fffb0,0xffd02fff,0x7ffc001f,0x3e37fea5,
    0x97ff88ff,0x3fe605ff,0x03fff31f,0x3ffff2a6,0x7ffe4001,0x3ffe0adf,
    0x009ff10f,0xfff5fff5,0x1fffe80f,0x50ffff60,0xffffffff,0x7ffc4017,
    0xaa86ffff,0x2e9fff1a,0x70001fff,0xff881fff,0x2fffc47f,0x88ffff10,
    0xffe85fff,0x07fff207,0x325fff80,0x36ffabff,0x0bff2fff,0xf98fffcc,
    0xfff901ff,0x260003bf,0xf11ffffe,0x1ffccdff,0xfdbffe40,0x3ffe01ff,
    0x27ffd407,0x7fffff54,0xffb03fff,0x005559ff,0x7fe53ffe,0xff70000f,
    0x3fffb03f,0x2017ffdc,0x3ee1fffd,0x7ffe82ff,0x00bfff20,0x3f25fff8,
    0xf55ffbaf,0x407ff2df,0xff31fff9,0x3fff203f,0x3ae0003f,0xff11ffff,
    0x017fd4ff,0xffbafff4,0xdfff103f,0x05fff980,0x3fffffae,0x7ffc45ff,
    0xfff0001f,0x001fff69,0xa82fffa8,0x3ffa4fff,0x4fffa807,0x7f41fffa,
    0x3fff207f,0x97ffe002,0x4ffbaffd,0x3ff6bff7,0x23fff301,0x9501fff9,
    0x001ffffd,0xccefffc8,0x5c3fffe0,0x7fcc00ff,0x0dfff33f,0x1017ffe6,
    0xf880dfff,0x3fffffff,0x001bffea,0xff94fff8,0x3ea0001f,0xfffd01ff,
    0x4013ffe6,0xfff37ffe,0x81fffa09,0x2000fffd,0x3ff65fff,0xff74ffc9,
    0x4c03ffa9,0xfff31fff,0x9fff5003,0x05fff800,0x7e53fffa,0x1fffb807,
    0x2a03fffa,0x7c404fff,0x7fcc07ff,0x26fffeab,0x0006fffa,0x7fdd3ffe,
    0xff70001f,0x3ffee01f,0x001fffca,0xff95fff7,0x1fffa03f,0x4007fff8,
    0x3ffa5fff,0xff94ffc9,0xf981bfe7,0x3fff31ff,0x017ffa00,0x201fff98,
    0xfedffffb,0xffb03516,0x82fffc8d,0x4405fffa,0x7d406fff,0x4ffff52f,
    0x000ffff9,0x3ee9fff0,0xf90002ff,0x7ffc40ff,0x2006ffed,0xffedfff8,
    0x41fffa06,0x4006fffb,0x3ff65fff,0xff8cffb9,0x204ffabf,0xff31fff9,
    0x3ff2003f,0x3ffe6006,0x7ffff400,0x42ffffff,0x7d44fff8,0xfff984ff,
    0x2fffc405,0x7c47fee0,0x7fffc7ff,0xa7ffc01e,0xfff54fff,0x3ff60009,
    0x7fffec07,0x7ec003ff,0x203fffff,0xffa87ffe,0x7fc001ff,0x2abff25f,
    0xefffefff,0x3e602fff,0x3fff31ff,0x01ffee00,0x400fff98,0xffffffe8,
    0x7fd42fff,0x3fffc42f,0x2037ffc4,0x0264fff9,0x7ffdcff9,0x7ffffd45,
    0x3fe0aacd,0x7c9fff4f,0xf88006ff,0x7fd404ff,0x4000ffff,0x0ffffffa,
    0x3bffffa0,0x04fffffe,0x325fff80,0xfffff3ff,0x809ffffd,0xff31fff9,
    0x3fee003f,0x3ffe6007,0xfffc8800,0x641effff,0x99999fff,0xff81fffe,
    0x3fee00ff,0x2f3bf23f,0xfffdbffe,0xffffc82f,0x3fe1ffff,0x649fff4f,
    0x5c001fff,0xff801fff,0xf0004fff,0xe809ffff,0xffffffff,0xff0004ff,
    0xaa7fdcbf,0xfff99fff,0x1fff9805,0x2003fff3,0x26007ffb,0x5c000fff,
    0xff00acff,0xffffffff,0xffd09fff,0x7fff405f,0x3fffff21,0x4fffffff,
    0x3ffffaa0,0x53ffe1ff,0x3fe64fff,0x7ff4004f,0xffff9006,0x3ff20001,
    0x7ff400ff,0x1dffffff,0xbfff1000,0x03137fd4,0x7ffcc003,0x003fff31,
    0x9801ffee,0x5c000fff,0x3fe601ff,0xffffffff,0xffa86fff,0xfffa80ef,
    0x7ffffe46,0x03ffffff,0x3fffdb50,0xfffa7ffc,0x00ffff44,0x003fffb8,
    0x0009fff9,0x4027ffe4,0x0998fffe,0xfffa8000,0x007ffe24,0x1fff9800,
    0x2003fff3,0x2a007ffa,0xfc8007ff,0x3fff200f,0xffffffff,0xffe80fff,
    0xffc99aef,0x6e5441ff,0x02ceffff,0x3fe0c400,0x989fff4f,0xf8806fff,
    0xff1006ff,0x220001ff,0xe800ffff,0x800007ff,0x7e43fffc,0x2600005f,
    0xfff31fff,0x3ffe6003,0x0dff9001,0xe80ffb00,0x7fec06ff,0xffffb83f,
    0x5fffffff,0x002ffa80,0xa7ffc000,0xffc84fff,0x7ffec03f,0xfffe9801,
    0xffd30003,0x3ffa007f,0x80a88007,0x4c1ffff9,0x0a604fff,0x98fffcc0,
    0xf1001fff,0xfa801dff,0xfe8005ff,0x13ffe206,0x20bfff50,0xfffffffa,
    0xff9004ff,0xf8000003,0x09fff4ff,0x207fffd1,0xb104fffc,0x0bffffb9,
    0x7fee6c40,0x3fa005ff,0xff88007f,0xffffeccd,0x7bfffd05,0x209fb733,
    0xfffeeeed,0xdddfff31,0x7ffe40bd,0xfdd70eef,0xf0003fff,0x7ffdc0bf,
    0x3fffc401,0xfffffb30,0x3fec005d,0x7fc00000,0x209fff4f,0x642ffff9,
    0x3e206fff,0x00efffff,0x3ffffe20,0x3fa000ef,0xff88007f,0xefffffff,
    0x3ffff600,0xd04fffff,0x3fffffff,0x3fffffe6,0x3ffa207f,0xfff91fff,
    0xf10009ff,0x3ffec09f,0x02fffe80,0x90001a88,0x000000bd,0x3ffe9fff,
    0x9bffe604,0x200efff8,0x03fffff8,0xfffff880,0x7ffe8003,0xffff8800,
    0x9003ffff,0x9fffffff,0x3ffffa03,0xfff31fff,0x700fffff,0x3f23fffd,
    0x00001dff,0x00000000,0x00000000,0xf4fff800,0xef9809ff,0xb802fd40,
    0x5c0001ac,0x220001ac,0x26000199,0x0009acba,0x009aba98,0x4cccccc4,
    0x4cccccc1,0x10c40019,0x00000013,0x00000000,0x00000000,0xff4fff80,
    0x2013009f,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3e9fff00,0x000004ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2aaa3555,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x10000998,0x44000155,
    0x0002980a,0x4405dd70,0x00001999,0x01333310,0x00026620,0x00530151,
    0x09999880,0x00266200,0x2a200000,0x44002980,0x400000aa,0xfff50008,
    0xffe8001d,0x00b90bff,0x7d41dff5,0xfe80006f,0x3ffa601f,0x4c00005f,
    0x5004ffff,0x2001dfff,0x3ea0effa,0xff30006f,0x7d4009ff,0x00000eff,
    0xf507fff3,0x37fd41df,0xbffffe80,0x3fea0b90,0x01ffec7f,0x3fffffee,
    0xffffb001,0x07ffffff,0x3a2fffd8,0x20002fff,0xf9006ff8,0x20000bff,
    0x002ffff9,0x3ffffff7,0x45fffb00,0x4002fffe,0x002ffff9,0x3fffffee,
    0xffc80001,0x2fffd80f,0xb00bfffa,0xffffffff,0xfff507ff,0x07fffdcf,
    0xfb9effb8,0xcfb801ff,0x5fffffb9,0x21fffc80,0x1001fffd,0x9ffbbb73,
    0x2fffd400,0x3ffe6000,0xdff7000d,0x803fff73,0x3f61fffc,0x3e6001ff,
    0x2e000dff,0xfffb9eff,0x3fe20001,0x3fff904f,0x200fffec,0xfffb9cfb,
    0xfff505ff,0x07fffe4f,0x2a615544,0xb885002a,0xd91002dd,0x002ed887,
    0xfffffff3,0xaa88007f,0x2aa0001a,0x2aa2002a,0x201554c2,0x76c43ec8,
    0x15554002,0x30aaa200,0x5c000555,0xd9101fff,0x002ed887,0x02ddb885,
    0xf99bffe6,0x000005ff,0x00000000,0x3fffee00,0x03ffffff,0x00000000,
    0x00000000,0x00000000,0x7f400000,0x0000006f,0xfff30000,0x8803c98d,
    0x009bcdb9,0x5e6dcc40,0x5cc40009,0xa8009bcd,0xfeceffff,0xa981ffff,
    0x2aa600aa,0x02aaa60a,0x260aaa98,0x2a600aaa,0x2aaa60aa,0x02aaa600,
    0x9bcdb988,0xaaaa8000,0x7d40001a,0x555002ff,0x2a000355,0x4c01aaaa,
    0x30006fff,0xffffffff,0x3ffe6003,0x001fffff,0xfffffff3,0xfffe803f,
    0x3fffff63,0x01fffc86,0xfc87fff2,0x3ff201ff,0x07fff21f,0x321fffc8,
    0x3f201fff,0xfff301ff,0x003fffff,0x2fffffc4,0x1fff6000,0x7ffffc40,
    0xfff88005,0x7fc405ff,0x80e65c5f,0xfffffffc,0x7e403fff,0xffffffff,
    0x7ffe403f,0x3fffffff,0x449fff50,0x0fffefff,0x900fffe4,0x7fe43fff,
    0x3fff201f,0x807fff21,0x3f21fffc,0x3ff201ff,0xffffc81f,0x03ffffff,
    0xffffff70,0x7ffc4000,0xffff7003,0xff7000ff,0xf880ffff,0x1fff45ff,
    0x77ffffd4,0x01fffffe,0xddfffff5,0x203fffff,0xeefffffa,0xe81fffff,
    0x3fea0fff,0x642fffbd,0x3f201fff,0x3fff21ff,0x87fff201,0x3201fffc,
    0x3ff21fff,0x3fff201f,0x7ffffd41,0x1fffffee,0xfffffd80,0xff90002f,
    0x3ff6001f,0x4002ffff,0x2ffffffd,0xd17ffe20,0xfffd07ff,0x5fffe889,
    0x889fffd0,0xfd05fffe,0xffe889ff,0x46fff85f,0xfff9affd,0x00fffe43,
    0x7e43fff9,0x3ff201ff,0x07fff21f,0x321fffc8,0x3f201fff,0x7fff41ff,
    0x2ffff444,0x7ff7ffc0,0xff88004f,0x3ffe004f,0x4004fffe,0x4fffefff,
    0xf17ffe20,0xfffb87ff,0x1ffff105,0x105fffb8,0xfb81ffff,0xfff105ff,
    0x2fffc41f,0x3fe23ffe,0x0fffe44f,0x643fff90,0x3f201fff,0x3fff21ff,
    0x87fff201,0x3201fffc,0x3fee1fff,0xffff105f,0x57ffd401,0xb8007fff,
    0xf5001fff,0x0ffff5ff,0x7d7ffd40,0x7ffc07ff,0x3a27ffc4,0x3f601fff,
    0x7fff43ff,0x0ffff601,0x6c03fffd,0x3fe63fff,0xf97fea4f,0x7ffe46ff,
    0x87fff201,0x3201fffc,0x3ff21fff,0x3fff201f,0x807fff21,0x3fa1fffc,
    0x3ff601ff,0x5fff203f,0x4001fffd,0x32006ffe,0x3fffb7ff,0x6dfff200,
    0x3fe01fff,0x227ffc4f,0x7d407fff,0x3fffc4ff,0xf13ffea0,0xffa80fff,
    0x8fffea4f,0x3ffe3ffc,0x00fffe47,0x7e43fff9,0x3ff201ff,0x07fff21f,
    0x321fffc8,0x3f201fff,0x1fffe1ff,0x409fff50,0xfff75ffe,0x7ffcc007,
    0x57ffa002,0xd003fffb,0x3ffeebff,0xf13ffe03,0x7ffc49ff,0x2fffcc06,
    0x980dfff1,0x3fe25fff,0x7ffcc06f,0xf93ffea5,0x1bffe0ff,0x6403fff9,
    0x3ff21fff,0x3fff201f,0x807fff21,0x3f21fffc,0x3ff201ff,0x0dfff11f,
    0x305fff98,0x3fe67fff,0x3ff6006f,0x3ffe6007,0x00dfff33,0x3e67fff3,
    0x3ffe06ff,0xf327ffc3,0xff880bff,0x17ffe66f,0x4cdfff10,0x7c405fff,
    0x3ffe66ff,0xff8dff34,0x0fffe45f,0x643fff90,0x3f201fff,0x3fff21ff,
    0x87fff201,0x3201fffc,0xfff31fff,0x6fff880b,0x743fff70,0xf8800fff,
    0x3ee004ff,0x3fffa1ff,0x0fffdc00,0x3a01fffd,0x3ffe23ff,0x013ffea5,
    0x7d4ffff1,0x7fc404ff,0x13ffea7f,0x4cffff10,0x7ff95fff,0x3227ffc4,
    0x3f201fff,0x3fff21ff,0x87fff201,0x3201fffc,0x3ff21fff,0x3fff201f,
    0x809fff51,0xfb07fff8,0x2fffc8df,0x00fffc80,0xf91bff60,0xffd805ff,
    0x817ffe46,0x3fe21ccb,0x17ffea5f,0x54dfff10,0x7c405fff,0x3ffea6ff,
    0x37ffc405,0x3faffff1,0x0fffea0f,0x6403fff9,0x3ff21fff,0x3fff201f,
    0x807fff21,0x3f21fffc,0x3ff201ff,0x0bfff51f,0x886fff88,0x7fd44fff,
    0x5fff804f,0x13ffe200,0x4409fff5,0x7fd44fff,0x7fc4004f,0x17ffe65f,
    0x4cbfff10,0x7c405fff,0x3ffe65ff,0x2fffc405,0x3feffffa,0x20fffec6,
    0x3201fffc,0x3ff21fff,0x3fff201f,0x807fff21,0x3f21fffc,0x3ff201ff,
    0x0bfff31f,0xa85fff88,0x7fc42fff,0x7ffd407f,0x3ffea001,0x03fffc42,
    0xf885fff5,0x857107ff,0x3e26fff9,0x7fcc06ff,0x1bffe24f,0x449fff30,
    0x7cc06fff,0x7ffdc4ff,0x3fe64fff,0x1fffc85f,0xc87fff20,0x3f201fff,
    0x3fff21ff,0x87fff201,0x3201fffc,0xfff11fff,0x4fff980d,0x999fffc8,
    0x01fffe99,0x9001bffa,0x33333fff,0x3203fffd,0x99999fff,0x7c41fffe,
    0x3ffe65ff,0x007fffc6,0xff87fff7,0x3fee00ff,0x07fffc3f,0x887fff70,
    0x89ffffff,0xc81ffffa,0x3f601fff,0x3fff20ff,0x83fff601,0x3601fffc,
    0x3ff20fff,0x3fff601f,0x803fffe0,0xff83fffb,0xffffffff,0xff304fff,
    0xfff8005f,0xffffffff,0xffff04ff,0xffffffff,0xffffb89f,0xe8dfff30,
    0x3fa02fff,0x7fff41ff,0x07fffa02,0x7405fffd,0xffb81fff,0xffffffff,
    0x5fff705f,0x2e3fff40,0x3fa02fff,0x17ffdc7f,0xfb8fffd0,0x3ffa02ff,
    0x017fff47,0xf983fffd,0xffffffff,0xfb06ffff,0xff9800ff,0xffffffff,
    0xff986fff,0xffffffff,0x7fdc6fff,0xdfff30ff,0x80efffa8,0xfa86fffa,
    0xffa80eff,0xefffa86f,0x06fffa80,0x3fffffee,0x3ea04fff,0xfff105ff,
    0x05fffa8b,0xfa8bfff1,0xfff105ff,0x05fffa8b,0xfa8bfff1,0xffa80eff,
    0xffffc86f,0xffffffff,0x7ffc40ff,0x7ffe4004,0xffffffff,0x7fe40fff,
    0xffffffff,0x3a20ffff,0x3ffea4ff,0xaefffe87,0x1ffffc99,0x35dfffd0,
    0x03ffff93,0x26bbfffa,0x01ffffc9,0x7ffffff4,0x7ffc402e,0x7fff443f,
    0x1ffffc42,0x10bfffa2,0xe887ffff,0x7fc42fff,0x7ff443ff,0xefffe82f,
    0xffffc99a,0x406ffe81,0x7e43fffd,0x7f4000ff,0x7ffec06f,0x2037ff43,
    0x1983fffd,0x5c0cccc4,0xffffffff,0x3ee05fff,0xffffffff,0x3fee05ff,
    0xffffffff,0x7ffc405f,0x7dc001a9,0xfffeffff,0xfff705ff,0xfffffdff,
    0x3fffee0b,0x5fffffef,0xdfffff70,0x20bfffff,0xfffffffb,0xf885ffff,
    0x7fd404ff,0x02fffc5f,0x013ffe20,0x7c4bfff5,0x7fd404ff,0x5400005f,
    0xffffffff,0xfffa804f,0x04ffffff,0xffffffa8,0xfb804fff,0x7ec0004f,
    0xffffffff,0x3fff600e,0x0effffff,0x3fffff60,0x200effff,0xfffffffd,
    0x3ea00eff,0xffffffff,0x03fff704,0x2a7fff88,0x5c001fff,0x7c401fff,
    0x3ffee7ff,0x3fffc401,0x7ecc0000,0x002effff,0x3fffff66,0x3f66002e,
    0x002effff,0x00005ffb,0xffffffd5,0x3ffaa007,0x5003ffff,0x7ffffffd,
    0x3fffaa00,0xb3003fff,0x05dfffff,0xe803ffec,0x55532fff,0x0fffb000,
    0x6cbfffa0,0xffd007ff,0x4000005f,0x880001a8,0xa880001a,0x02aa8001,
    0x01a98000,0x000d4c00,0x00006a60,0x88000353,0x0000001a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x99988000,0x33331009,0x33100000,
    0x00000133,0x13333100,0x79b73100,0x26200013,0x55440009,0x4ccc4000,
    0x98800001,0x98800999,0x53100009,0x00000133,0x0a602a20,0xff980000,
    0x3fa604ff,0x200005ff,0x744ffff9,0x000006ff,0x009ffff3,0xffffffd3,
    0xffa8003f,0xffd000ef,0x817217ff,0x005fffe9,0x3fffe600,0xefffa804,
    0xfff91000,0x880dffff,0xfffffedc,0xeffa81ff,0x881bfea0,0xf3002efc,
    0x32005fff,0x80005fff,0xb82ffff9,0x00001fff,0x017fffcc,0x7fffffdc,
    0x7003ffff,0x03ffffff,0xffffffd8,0x6403ffff,0x80005fff,0x802ffff9,
    0x1ffffffb,0x7ffffcc0,0x9106ffff,0xffffffff,0xffb03fff,0x17fff45f,
    0x01ffffc8,0x006fffcc,0x017ffea0,0x0dfff980,0x009fff10,0x6fffcc00,
    0xffffa800,0xfffffeef,0x4f7fdc01,0x2e01fffb,0xffffb9cf,0xfff5005f,
    0x7fcc000b,0xffb800df,0x01fffb9e,0x99dffff1,0xff10dfb9,0xdddfffff,
    0xff903fff,0x0fffec3f,0x03fffff8,0x00015554,0x00035551,0x3200aaaa,
    0x00000fff,0x74005555,0x7f444fff,0x2aa205ff,0x201554c2,0x016edc42,
    0x006aaa20,0x80155540,0x554c2aa8,0x0dfff302,0x7fffec04,0xfff53fff,
    0x887d9103,0x3ffa02ed,0x000003ff,0x00000000,0x001fffcc,0xff500000,
    0x3ffe20bf,0x0000001f,0x00000000,0x00000000,0x8013ffee,0xfffffffa,
    0x03fff53f,0x3fea0000,0x2aaa00ef,0x2aa001aa,0xaaaaaaaa,0xaaaa80aa,
    0xaaaaaaaa,0x006ffd80,0x2006aaa6,0x3fa0aaaa,0x3ff601ff,0x5555503f,
    0x15555555,0x8055554c,0x54c0aaa8,0xaaaaaaaa,0x554c0aaa,0xaaaaaaaa,
    0x5554c0aa,0xaaaaaaaa,0x7fffd40a,0xffff7003,0x3ea7ffff,0x5554c1ff,
    0xaaaaaaaa,0x0177300a,0x2fffffc4,0xfffff880,0x0fffffff,0x7fffffc4,
    0x80ffffff,0x5002fffa,0xf880dfff,0x3fffc6ff,0x213ffea0,0xfffffff8,
    0x2e0fffff,0xf304ffff,0xfffc83ff,0xffffffff,0x7fffe41f,0xffffffff,
    0x7ffffe41,0x1fffffff,0x0dfffff8,0x7ffffec0,0xfff53fff,0xfffffc83,
    0x1fffffff,0x7ffdc000,0xff1007ff,0xffffffff,0xfff881ff,0xffffffff,
    0x0bffd00f,0x017fff40,0x7c45fff9,0x7fcc06ff,0xffff885f,0xffffffff,
    0x3ffffee0,0x41fff980,0xfffffffc,0x641fffff,0xffffffff,0x7e41ffff,
    0xffffffff,0x7fe41fff,0x204fffff,0xfffffffd,0x83fff53f,0xfffffffc,
    0x001fffff,0x7ffffec0,0xfff8802f,0xeeeeeeef,0x7fffc40e,0xeeeeeeee,
    0x03fff700,0x41bffea0,0x7cc6fff8,0x7fc405ff,0xffff886f,0xeeeeeeee,
    0x3ffffee0,0x41fff983,0xfffeeeeb,0x5c1eeeef,0xffffeeee,0x75c1eeee,
    0xeffffeee,0x3fee1eee,0xefffffff,0xfffffc81,0xfff53fff,0xfeeeeb83,
    0x1eeeefff,0x77ffc000,0xf8804fff,0xf88005ff,0x220005ff,0x3a004fff,
    0xffc81fff,0x27ffd42f,0x21fffe20,0x4005fff8,0x87fffffb,0x4401fff9,
    0x88005fff,0x88005fff,0x3e205fff,0xfffb9fff,0x7fd42fff,0x53ffffff,
    0xf8803fff,0x400005ff,0xfffafffa,0x5fff8807,0x5fff8800,0x7ffe4000,
    0xbfff5000,0xa86fff88,0x7c405fff,0xfff886ff,0x7ffdc005,0x7fcc2fff,
    0x7ffc401f,0xfff88005,0xfff88005,0x93ffee05,0x1fffffd8,0x7ffffff4,
    0x03fff53f,0x005fff88,0x7e40336e,0x03fffb7f,0x005fff88,0x005fff88,
    0x01fffcc0,0x643fffd0,0xff982fff,0x7ffc405f,0x05fff885,0x7f7ffdc0,
    0x0fffcc6f,0x017ffe20,0x017ffe20,0x817ffe20,0xfb84fffb,0x7fc46fff,
    0xf53fffff,0xff8803ff,0xfff7005f,0x2bffd01f,0x4403fffb,0x88005fff,
    0x80005fff,0x2a006ffd,0xfff15fff,0x1bffe20d,0x10bfff30,0xb800bfff,
    0x2fffbfff,0x1007ffe6,0x1000bfff,0x1000bfff,0x7d40bfff,0xffa80fff,
    0x7fecc0ff,0xfff53fff,0x5fff8803,0x9ffffd00,0xf33fff98,0xff880dff,
    0xff88005f,0xfa80005f,0x3fa002ff,0x2fffc8ff,0x01ffff10,0x4427ffdc,
    0x5c005fff,0x5fff8fff,0x1007ffe6,0x1000bfff,0x1000bfff,0x7c40bfff,
    0xfe81efff,0xdb9102ff,0x07ffea7f,0x00bfff10,0x71bffff6,0x7ff43fff,
    0x3ffe200f,0xffffffff,0xfffff885,0x05ffffff,0x400bffd0,0xfffcfffa,
    0x17fff406,0x103fffd0,0xffffffff,0xffb8bfff,0x263fff97,0x7c401fff,
    0xf88005ff,0xf88005ff,0x7fe405ff,0x7ff44fff,0xffa8001f,0x7ffc401f,
    0xffff3005,0x646ffd8f,0x3e202fff,0xffffffff,0xfff885ff,0xffffffff,
    0x1fff7005,0x7ffff400,0x7fdc02ff,0xfffa80ef,0xfffff105,0x8bffffff,
    0xfff17ffb,0x007ffe6b,0x000bfff1,0x000bfff1,0xb00bfff1,0x35dfffff,
    0x2000ffff,0x4401fffa,0x2a005fff,0x3fe25fff,0x27ffd44f,0xffffff10,
    0x10bfffff,0xffffffff,0x2200bfff,0x2a004fff,0x806fffff,0x9aeffff8,
    0x02ffffc9,0xfffffff1,0xfb8bffff,0x23fff67f,0x4401fff9,0x88005fff,
    0x88005fff,0xf7005fff,0xffffffff,0x3ea0007f,0x7fc401ff,0x3fe2005f,
    0x0bffea4f,0x440ffff1,0x88005fff,0x00005fff,0x8003fff2,0x002ffffe,
    0xfffffff5,0x4409ffff,0x5c005fff,0x3ffe67ff,0x401fff9c,0x8005fff8,
    0x8005fff8,0x2005fff8,0xffffffe9,0x3ea0005f,0x7fc401ff,0x3fea005f,
    0x27fff21f,0xfffe9999,0x0bfff101,0x0bfff100,0x7ffcc000,0x3ffea003,
    0x7ffdc006,0x04ffffff,0x002fffc4,0xffd1ffee,0x803fff3f,0x8005fff8,
    0x8005fff8,0x8005fff8,0x06fffffa,0x0fffd400,0x017ffe20,0xf0fffee2,
    0xffffffff,0x2209ffff,0x88005fff,0x00005fff,0x30037ff4,0x3000bfff,
    0x3bfffff9,0x0bfff100,0x547ffb80,0x1fffdfff,0x02fffc40,0x02fffc40,
    0x02fffc40,0xffffd880,0x3ff20000,0x7ffc400f,0x3fffee05,0x7fffcc4f,
    0xffffffff,0xbfff106f,0xbfff1000,0xffa80000,0xfff3001f,0x7fc4000b,
    0x3fe2004f,0x7fdc005f,0xfffffe87,0x7ffc401f,0xfff88005,0xfff88005,
    0x7ffc0005,0x3fe0001f,0xfff8807f,0x37ffee05,0xfffffc81,0xffffffff,
    0x5fff880f,0x5fff8800,0xfff80000,0xbfff3005,0xefff8000,0xfff88040,
    0x3ffdc005,0x7fffffdc,0x2fffc401,0x2fffc400,0x2fffc400,0xfff88020,
    0x2032200f,0x8806fffa,0x2a605fff,0x037ff401,0x220ffff6,0x9999efff,
    0xff881999,0x999999ef,0xffb80019,0xfff9800f,0x7fec0005,0x83fcabef,
    0x999efff8,0x7dc19999,0xffff887f,0x4ccc41ff,0x999efffa,0xfa999881,
    0x81999eff,0xfffa9998,0x3e61999e,0xfdb9aabd,0x7fe406ff,0xffffebbd,
    0xfa999882,0x01999eff,0x027ffc40,0x2217ffea,0xffffffff,0x7c40ffff,
    0xffffffff,0x44000fff,0xf9804fff,0x440005ff,0xffffffff,0x7fffc41f,
    0xffffffff,0x641ffee0,0x641fffff,0xffffffff,0x7e41ffff,0xffffffff,
    0x7fe41fff,0xffffffff,0xffff31ff,0x3fffffff,0x7ffffcc0,0x904fffff,
    0xffffffff,0x4003ffff,0x4401fffb,0xff887fff,0xffffffff,0x7ffc40ff,
    0xffffffff,0xffd8000f,0x5fff9807,0xfffa8000,0x441effff,0xffffffff,
    0x3ee0ffff,0xffff107f,0xffffc83f,0xffffffff,0x7ffffe41,0x1fffffff,
    0x7fffffe4,0x31ffffff,0xffffffff,0xfd5003bf,0x05ffffff,0x7fffffe4,
    0x01ffffff,0x401fff60,0x7c42fffe,0xffffffff,0x7fc40fff,0xffffffff,
    0xa88000ff,0x7fcc00aa,0x7100005f,0x2207bddb,0xffffffff,0x3ee0ffff,
    0x3fff607f,0x7fffe41f,0xffffffff,0x7ffffe41,0x1fffffff,0x7fffffe4,
    0x21ffffff,0xbccccca9,0xccb98001,0xfffc802b,0xffffffff,0x0000001f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26620000,0xa8800019,0x98002980,0x97310000,0xa8803799,
    0x01310001,0x09a88033,0x80988000,0x00000019,0xaa980000,0x00000001,
    0x00000000,0xfffd3000,0x7fd4000b,0x01bfea0e,0x0077ffdc,0xfffffd88,
    0xffb05fff,0x1025c5df,0x7fe43fff,0x7ffff904,0x440fff40,0x3ff21fff,
    0xfff90004,0x3ffea05f,0x04db98cf,0xffffff91,0x3ff62019,0x4c0001ff,
    0x80005fff,0x322ffffc,0x000bceff,0x000bfff9,0xfe8bfff6,0x7fd402ff,
    0x5400efff,0xffffffff,0xfffc85ff,0x2ffeefff,0x7c9fff70,0x7fe40fff,
    0xfb81ffff,0x9fff704f,0x0007fffc,0x003bfff2,0xfffffff7,0xffff10bf,
    0x01dfffff,0x00ffffdc,0xfffff880,0x3ff20005,0x7ffe40ef,0xa800cfff,
    0xc8005fff,0x3ff61fff,0x8afec01f,0x3fea02ff,0xfeddffff,0xdadfc85f,
    0x00efffff,0x7f47fff7,0x477fc47f,0x7fcc5ffa,0x8fffee06,0x64007ffe,
    0x75c04fff,0xffffffff,0xffffd85f,0x05ffffcd,0x00ffff4c,0x36bffa20,
    0xfc8004ff,0xfff904ff,0x001fffff,0x80035551,0x76c43ec8,0x3a3fe802,
    0x3fffa03f,0x703a882f,0x00dffd98,0x3ba62764,0xff1ffd42,0x401ffe8d,
    0x1774c4ec,0x05fff900,0xffffffb0,0xff5015ff,0x7ffc41bf,0xfffd8807,
    0x5ffd1001,0x90027fec,0x5cc05fff,0x6fffffdc,0x00000000,0x5d77ec00,
    0xfff701ff,0x0000001d,0xffb80000,0xffb9ffa2,0x00000004,0x79dfb000,
    0x2e09fffd,0xffd82fff,0x0000000f,0x00000000,0x0fffff22,0x03555550,
    0x55555540,0x00aaaaaa,0x13ffffe2,0x002ffff8,0x00013100,0x3ea004c4,
    0x7c5bfe3f,0x0110006f,0x20008800,0x7fffd408,0x80fffd81,0x22007fff,
    0x04400009,0x00131000,0x02fffe40,0x0bfffff1,0x3ffffe20,0x0fffffff,
    0x016f6440,0x000ffff3,0x7ffff654,0x765403ef,0x83efffff,0xffcaeff8,
    0x4003ffb4,0x2efffed9,0xfffdb300,0x3f6a005d,0xe86fffff,0xfffd87ff,
    0x3ffb2a03,0x3003efff,0x05dfffdb,0xffffeca8,0x7cc003ef,0x3fee07ff,
    0xf1007fff,0xffffffff,0x31001fff,0x5fffa801,0x3fffe000,0x0fffffff,
    0xfffffff0,0xfc81ffff,0xfb8fffff,0x3fee004f,0x0dffffff,0x3ffffee0,
    0xb100dfff,0xffffffff,0x47ffe87f,0x7c05fffd,0xffffffff,0x3fee00ff,
    0x0dffffff,0xfffffff0,0x2001ffff,0x3607fff9,0x02ffffff,0xeeffff88,
    0x80eeeeee,0xfffffeca,0x4fffb83e,0x3bffe000,0x5ffffece,0xd9ddfff0,
    0xf90bffff,0xdff11bff,0x3ffee001,0x4ffffdef,0xbdffff70,0x3a09ffff,
    0xffefffff,0x3fff46ff,0xf00bfff7,0xffd9ddff,0x3fee0bff,0xffffdeff,
    0x9ddfff04,0x00bffffd,0xf817ffee,0x04fffeff,0x005fff88,0xfffffff0,
    0x7e41ffff,0x360003ff,0x1ffff302,0x3fe605b0,0xfd8100ff,0xfff1002f,
    0x7fff443b,0x0efffc41,0xb83fffd1,0x7fc2ffff,0x9fffa1ff,0x5b007fff,
    0x03fffe60,0x443bfff1,0x2d81fffe,0x01ffff30,0xffff9533,0x2bffea05,
    0xf8807fff,0xff0005ff,0xfffd9ddf,0x27ffe4bf,0xff900000,0xff90003f,
    0x9ff5003f,0x0fffe400,0x3227ffcc,0xff981fff,0x3fffe24f,0x24fffc81,
    0xfff17ffe,0x3f20000d,0x7ffe41ff,0x04fff981,0x41fffc80,0xfffffff9,
    0x6dfff205,0x7c401fff,0x5b0005ff,0x43fffe60,0x0004fffb,0x0bffea00,
    0x0bffea00,0x001fff10,0xff037ffc,0x06fff8bf,0xffa97ffe,0xdfff305f,
    0xfff3fff4,0xf500005f,0x6fff85ff,0x0017ffe0,0xf30bffea,0x809fffff,
    0xfff75ffe,0x5fff8807,0xff900000,0x17ffea3f,0x32ea2000,0x02fffeed,
    0x3bb72ea2,0x7ec02fff,0xf880222f,0xeeeeefff,0x3e27fffe,0xeeeeefff,
    0x3ee7fffe,0xfff102ff,0xf93fff4f,0x22007fff,0xffeedcba,0x3fffe22f,
    0xffeeeeee,0x32ea207f,0x42fffeed,0x00adfff8,0xf99fffcc,0x7fc406ff,
    0x5000005f,0x3fe65fff,0x910000ff,0xffffffff,0xff9105ff,0xffffffff,
    0xbaffd405,0xf982ffff,0xffffffff,0x3e67ffff,0xffffffff,0x3f27ffff,
    0x3ffe01ff,0xe89fffa7,0x2205ffff,0xfffffffc,0x3fe62fff,0xffffffff,
    0xfc887fff,0xffffffff,0x17ffc42f,0x21fffb80,0x2200fffe,0xffffffff,
    0x54405fff,0xfffeedcb,0x09ffff12,0xffffd100,0x5fffffff,0xfffffe88,
    0x02ffffff,0xff71fff1,0xfa83ffff,0xffffffff,0x3ea7ffff,0xffffffff,
    0x3f67ffff,0x3ffe01ff,0xd11fffa7,0xd10bffff,0xffffffff,0x7fd45fff,
    0xffffffff,0x7f447fff,0xffffffff,0x7ffc42ff,0x8dffb002,0x2202fffc,
    0xffffffff,0xf9105fff,0xffffffff,0x7fffe45f,0x3ffa0403,0x7ffd41df,
    0x0effff42,0x6c0bffea,0xaeff8aff,0x7fcc5ffb,0xff98003f,0xffd8003f,
    0xffff101f,0xfd83fff4,0x7ff42fff,0x7ffd41df,0x00fffe62,0x0effff40,
    0x320bffea,0xff8800cc,0x27ffd44f,0xffffff10,0x10bfffff,0xfffffffd,
    0x7c45ffff,0x99bdffff,0x3fe25eca,0x5fff506f,0xa837ffc4,0xffa82fff,
    0x7f49ff35,0x02fffc47,0x02fffc40,0x81fffe40,0x3fa5fff9,0x3fff607f,
    0x41bffe24,0x3e22fffa,0xf88005ff,0xfff506ff,0xff500005,0x7fff885f,
    0x017ffe20,0x077fffa0,0xfa85fff5,0xffffffff,0x3ffe65ff,0x2fffd886,
    0x221bffe6,0x7c42fffd,0x45ff50ff,0xffff87fd,0xffff8001,0x7ffd4001,
    0x47fffb06,0x3ea07ffe,0x3ffe65ff,0x2fffd886,0x000ffffc,0x221bffe6,
    0xc982fffd,0x3fff9003,0xfffd3333,0x17ffe203,0x0dfff100,0x2a0bffea,
    0xffffffff,0x3ffe25ff,0x3fffa21f,0x3fffe22f,0x3ffffa21,0xf317fe42,
    0x5c3ff49f,0x5102efff,0x05dfff70,0xffff10a2,0x3fff221b,0x81fffa0f,
    0x3e23fffb,0x3fa21fff,0x7fdc2fff,0x885102ef,0x3a21ffff,0x7dc2ffff,
    0xfff805ff,0xffffffff,0xfff104ff,0xfff9800b,0x2fffd886,0xffffd710,
    0xffe839df,0xffffeeff,0x7fff42ff,0xfffffeef,0x117fe62f,0xbff73dff,
    0x3bffffa0,0x80ffeedd,0xddeffffe,0x7dc0ffee,0xffffffff,0xbfff44ff,
    0xfffeeef8,0x7ffff41f,0xffffffee,0xeffffe82,0x40ffeedd,0xfeeffffe,
    0x742fffff,0x2600ffff,0xffffffff,0x106fffff,0x8800bfff,0x3a21ffff,
    0x4c02ffff,0x2a009fff,0xffffffff,0x7d42fffa,0xafffffff,0x3ffa2fff,
    0xfffffc80,0xfffd100f,0x1fffffff,0xfffffd10,0xb01fffff,0xffffffff,
    0x2fffd09f,0xfffffff8,0xfffffa83,0x2fffafff,0xfffffe88,0x540fffff,
    0xffffffff,0x7ec2fffa,0x3f200fff,0xffffffff,0x880fffff,0xe8005fff,
    0xffeeffff,0x5c02ffff,0xff5005ff,0x3fa3bfff,0xffffa82f,0x25ffd1df,
    0xf9103ffc,0xd7003dff,0xbfffffff,0x7fff5c01,0x500dffff,0x5dfffffd,
    0x7c5fffa0,0x201dffff,0x1dfffffa,0x75c05ffd,0xdfffffff,0xfffffa80,
    0x985ffd1d,0x7f403fff,0x7ffec06f,0x9efff883,0x81999999,0xfffffffa,
    0x402fffaf,0x44002ffd,0x5100009a,0x88000013,0x55300009,0x55300013,
    0x9a980013,0x13310000,0x009a8800,0x09aa9800,0x00135100,0x7c400a88,
    0x7fd404ff,0xffff885f,0xffffffff,0xfffffa80,0x805ffd1d,0x00000fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ffdc000,
    0x3fffc401,0x7fffffc4,0x00ffffff,0x800026a2,0x000003cc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x07ffd800,0x885fffd0,
    0xffffffff,0x0000ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x000cc400,0x1980080c,0x00000000,0x00000000,0x404c4000,0x00c40019,
    0xa8800000,0x00000001,0x80bfff30,0x01ffffd8,0x7ffe4000,0x7fc4002f,
    0xffeca807,0x883fddff,0xeeffffeb,0x54003eee,0xfffd3fff,0x7fcc0000,
    0xffd8805f,0xf88001ff,0x13ff21ff,0x3faa5dd9,0x26001dff,0x36005fff,
    0x12e2efff,0x0ffffec4,0xffff1000,0xfff700bf,0x3200003f,0x8000efff,
    0x32204ffb,0xffffffff,0x7ffcc3ff,0xffffffff,0x7fd4004f,0x00fffd3f,
    0x3fffe200,0xfff7005f,0xffb8003f,0x83fffe4f,0xfffbbffe,0x8802ffff,
    0x805fffff,0xeffffffc,0x3ee02ffe,0x88001fff,0x4ffdaffe,0x1fffe980,
    0x7ffe4000,0xfe988004,0x3fffa01f,0xfffffeff,0x33fffa23,0xffffffeb,
    0x7ffd4004,0x000fffd3,0xfb5ffd10,0x3fa6009f,0x3ee001ff,0x1fffa3ff,
    0xffffdffd,0x401fffff,0xffdaffe8,0x6d6fe404,0x00efffff,0x00ffff4c,
    0x6c5ffd10,0xfd8804ff,0xf90001ff,0x6dc005ff,0x207fffff,0x5c2ffffb,
    0x3fea3fff,0x17ffd42f,0x3fffa800,0x8000fffd,0x3f62ffe8,0xffb1004f,
    0x2764003f,0xffd0bba6,0xfd319fff,0x3fa209ff,0x013ff62f,0x0dffd987,
    0x3fffb100,0x00000000,0x10000000,0xfffffffd,0xffff109f,0x47fff503,
    0xfff06ffc,0x3fea000b,0x00fffd3f,0x00000000,0xfd000000,0xff883fff,
    0x0000007f,0x00000000,0x80001310,0x00000008,0x3fffffe2,0x544fffff,
    0xff505fff,0x837fec7f,0x8c006ffd,0xffd3fffa,0x8800010f,0x00000000,
    0x3fffa000,0x01fffd02,0x04400000,0x00044000,0xfffffd95,0x3b66007d,
    0x3602efff,0xddd305ee,0x8dfffc85,0x3ffffff8,0x540bffee,0x3ff23fff,
    0x04ffe80f,0x7ffff6cc,0xdffd3fff,0x077fff66,0x7fffedc0,0x2f76c03e,
    0x6c2eee98,0xddd305ee,0xc81fffa5,0x776c1fff,0x05ddd305,0x77fffedc,
    0x3ff6e003,0x7fc03eff,0xffffffff,0x3ffee00f,0x80dfffff,0xff507ffe,
    0x37ffcc5f,0xbfffbff7,0xa80fffec,0x3fea3fff,0x3fff21df,0xffff9102,
    0x27ffffff,0xfffaeffe,0x2202ffff,0xfffffffd,0xfffd00df,0xd0bffea0,
    0x3fea0fff,0x40fffd2f,0x7f42fffc,0x5fff507f,0xfffffb10,0x4401bfff,
    0xfffffffd,0xdfff00df,0xbffffd9d,0x3bfffee0,0xe84ffffd,0xfff507ff,
    0xd17ffdc5,0x4fff93ff,0xf501fffd,0xfffd87ff,0x05ffffff,0x3bfffffa,
    0xfd3fffff,0xffffffff,0xff101fff,0xffffffff,0x1fffa0df,0x3a17ffd4,
    0xfff507ff,0xc81fffa5,0x7ff42fff,0x85fff507,0xfffffff8,0xf106ffff,
    0xffffffff,0x40b60dff,0x440ffff9,0x3a21dfff,0x7ff41fff,0x45fff507,
    0x3fe67ffc,0x361fff76,0xff501fff,0x7fff447f,0x00cfffff,0xb85ffff7,
    0xfffd3fff,0xffd319ff,0xdfff909f,0xffff7315,0x20fffd05,0x7f42fffa,
    0x5fff507f,0xfd81fffa,0x3fff40ff,0x642fffa8,0xb98aefff,0xfc82ffff,
    0xfb98aeff,0xc8002fff,0x7fe41fff,0x4fff981f,0xfa83fff4,0x9fff62ff,
    0xfff53ffb,0x40bfff25,0x3f23fffc,0x0bcccadf,0x07fffe20,0x7f4fffea,
    0x7fc41fff,0x7fffcc7f,0x86fffa80,0xff507ffe,0x07ffe85f,0x3fa5fff5,
    0x1fffe07f,0x7d41fffa,0x3ffe62ff,0x6fffa80f,0x407fffcc,0x8006fffa,
    0x7fc2fffa,0x17ffe06f,0x3ea0fffd,0x9fffa2ff,0xfff50ffe,0x217ffea5,
    0x3e3ffffb,0xfa8002ff,0xfff505ff,0x40bfffa7,0x3ee0fffe,0x3ffa04ff,
    0x83fff40f,0x7f42fffa,0x5fff507f,0x7dc1fffa,0x7ffe86ff,0x5c5fff50,
    0x3fa04fff,0x3ffee0ff,0x03fffa04,0x776e5d44,0x3fe22fff,0xeeeeeeff,
    0x7ff47fff,0x45fff507,0xdff37ffc,0xf88fffdc,0xff913fff,0x7ffc7fff,
    0x3ee0009e,0xfff502ff,0xc81fffa7,0x3ff21fff,0x3fff201f,0xa83fff41,
    0x7ff42fff,0x25fff507,0xffa87ffe,0x7ffe81ff,0x645fff50,0x3f201fff,
    0x3fff21ff,0x07fff201,0xffffff91,0x7cc5ffff,0xffffffff,0x7f47ffff,
    0x5fff507f,0x7e4fffd4,0x83fff63f,0xfffffffc,0x363fffff,0xffffffff,
    0x7fe40bde,0x7fff501f,0xfc81fffa,0x3fff62ff,0x0bfff200,0x3ea0fffd,
    0x3fff42ff,0xfd2fffa8,0xfffddfff,0x3ffa09ff,0x45fff507,0x3200fffd,
    0x3ff62fff,0x3fff200f,0x3ffffa22,0x2fffffff,0x3fffffea,0x7fffffff,
    0xfa83fff4,0x3ffe62ff,0xff10ffec,0xfffe88df,0xfffbffff,0x3ffffa23,
    0x1fffffff,0x5407fff6,0xfffd3fff,0xd17ffe40,0x7dc01fff,0x3fff42ff,
    0x742fffa8,0xfff507ff,0x3fffffa5,0x204fffff,0xff507ffe,0x07fff45f,
    0x745fff70,0x3ee00fff,0x3fffa2ff,0x17ffd41d,0x0007fff3,0x7d41fffa,
    0x7fffc2ff,0xfffd36ff,0x3ffff605,0x23fff98e,0xeeeefffa,0xb0ffffff,
    0x3ea03fff,0x0fffd3ff,0xfb07ffec,0x7fe403ff,0x83fff41f,0x7f42fffa,
    0x5fff507f,0x3ffffffa,0x7f401dff,0x5fff507f,0x900fffec,0x7fec3fff,
    0x3fff201f,0x20dfff11,0x3e22fffa,0xfd0005ff,0x3fff60ff,0x7ffffcc2,
    0x05ffffef,0x3fea0a98,0x0bfff33f,0x64bfffa6,0xff902fff,0x81fffa7f,
    0x7fdc7fff,0x3fffa03f,0xd83fff40,0x7ff42fff,0x25fffb07,0x0998fffe,
    0x41fffa00,0x3ee2fffd,0x3ffa03ff,0x0fffee0f,0xf30fffe8,0xffb10dff,
    0x1ffff85f,0x1fffd800,0x417fffdc,0xfffffff9,0x50000dff,0x3ff27fff,
    0x3ffee00f,0x70bfff52,0x3fa7ffff,0xdfff707f,0x506fffa8,0xffb0dfff,
    0xffffb83f,0x20fffec2,0xfd2ffffb,0x7ec000ff,0x7ffdc1ff,0x1bffea2f,
    0x2a37ffd4,0xff506fff,0x7fffc4df,0x3ffffa21,0x177ffdc2,0xfffc8288,
    0xffffc88c,0xffff702f,0x80005dff,0xffb3fffa,0x7ffec05f,0x27ffff10,
    0x3fffffc8,0xff50fffd,0xfffd03ff,0x3ffea23d,0xcfffc81f,0xfffffc88,
    0x467ffe42,0x2fffffc8,0x4000fffd,0xc88cfffc,0x742fffff,0xf511efff,
    0xffd03fff,0x3fea23df,0x7fff41ff,0xfffffeef,0xffffe82f,0x0ffeedde,
    0x7fffffd4,0x02ffffff,0x00359ff9,0x9fffd400,0x89bffffb,0x45fffda9,
    0xfffffffc,0xfd3fffff,0xfffddfff,0x3fea09ff,0xffffffff,0xffff505f,
    0xffffffff,0xfffffa85,0x2fffffff,0x4000fffd,0xfffffffa,0x542fffff,
    0xffffffff,0xff505fff,0xffffffff,0xffff50bf,0xfff5ffff,0xffffd105,
    0x01ffffff,0xfffffffd,0x3e05fff3,0x800000ff,0xfd13fffa,0xffffffff,
    0xfe881dff,0xe9ffffff,0xffffd3ff,0x09ffffff,0xffffffb8,0x3a00cfff,
    0x9fffffff,0xffe82fff,0xff9fffff,0x00fffd2f,0xfffffe80,0x82fff9ff,
    0xfffffffb,0x3ee00cff,0xffffffff,0xffff500c,0x0bffa3bf,0xfffffeb8,
    0xffb00dff,0x3ffa3bff,0x005ffa82,0x7fff5000,0x7ffffe44,0x6c03efff,
    0xfd1dffff,0x3ffb2a7f,0x001dffff,0xdfffffb3,0x3fff6005,0x05ffd1df,
    0x477ffff6,0xfffd2ffe,0xfffb0000,0x0bffa3bf,0x7ffffecc,0xffb3002e,
    0x2005dfff,0x800009a8,0x10009aa9,0xa9800133,0x1000001a,0x2a601333,
    0x4001aacb,0x998000a9,0x54c00009,0x13310001,0x02662000,0x00066620,
    0x0004cc40,0x00006a60,0x00000353,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x19809880,
    0x2e0bddb0,0x00000eee,0x03101300,0x0f7bb6e0,0x00000000,0x00353100,
    0x001a8800,0x00001330,0x00000133,0x00000000,0x7fffe400,0x43fff102,
    0xffe84ffc,0x03fff907,0x9ffff500,0xf31ffec0,0x3fa601df,0x01efffff,
    0x0bfff300,0x0007ffe4,0x02fffffc,0x7ec07ffa,0x412e2eff,0x7403fffb,
    0x7ffdc1ff,0x20fff403,0x003ffffb,0x1000fffd,0xc8005df9,0x2e00efff,
    0x3ffe4fff,0x83fff40f,0x4001fffc,0x202ffffa,0x3f66fff9,0xfffd03ff,
    0x00dfffff,0xbfffff10,0x003fff20,0x3fffbbe0,0x209ff702,0xeffffffc,
    0x3fe22ffe,0x3ee03fff,0x3fffe24f,0x13fee03f,0x01ffff4c,0x4003fff4,
    0x001ffffc,0x7009fff9,0x7ff47fff,0x907ffe87,0x4c003fff,0x4400efff,
    0x3ff26fff,0x3fffb82f,0x005fffb1,0x7ed7ff44,0x0fffc84f,0x1ffd4000,
    0xf9037fcc,0xfffffb5b,0xffeff81d,0xf0dff303,0x2607ffdf,0x7ec406ff,
    0x7ff403ff,0xffff8007,0xfffc803f,0x313b2002,0xfffd05dd,0x007fff20,
    0x0027ffcc,0x76c43bd5,0x88bffd04,0xd1004fff,0x27fec5ff,0x0003fff2,
    0x03bffba2,0x87007ffa,0x180dffd9,0x3fa07ff7,0x7ff7181f,0x4007ffa0,
    0x3a03fffb,0xfe8007ff,0x00003fff,0xffd00000,0x07fff20f,0x00000000,
    0xff09fff0,0x8000007f,0x8000fffc,0x41dffff8,0x00004ffb,0xb83ffb80,
    0x7fdc04ff,0x004ffb83,0x0fffd000,0x1dfff500,0x00002200,0x3ffa0022,
    0x03fff907,0x00000000,0x7d46ffe8,0x000002ff,0x0007ffe4,0x27ffcaa8,
    0x20006ff8,0x7ff70018,0xb806ff88,0x37fc43ff,0xffd00000,0xb980188f,
    0x7fedc00b,0x2e003eff,0x03effffd,0x3f20fffd,0xeee881ff,0x800eeeee,
    0xeeeeeee8,0x7ffe400e,0x00dfff32,0x3bbbbba2,0xfff900ee,0x1bddd901,
    0x21fff102,0x76401ffd,0xdfffd52e,0x21ffdc03,0xfb801ffd,0x00ffec3f,
    0x3bbbbba2,0xdffd00ee,0x07bfffaa,0xfffd8800,0x00dfffff,0x3fffff62,
    0x7f40dfff,0x3fff907f,0xffffff10,0xff1003ff,0x03ffffff,0xfcffff88,
    0xf1001fff,0x3fffffff,0x703fff20,0x7d43ffff,0xf73fffff,0x7ffd009f,
    0xfffffff7,0xb8ffee03,0xff7004ff,0x4027fdc7,0xfffffff8,0x7dffd01f,
    0x3fffffff,0xffff1000,0xdfffffff,0x3ffffe20,0x46ffffff,0xff907ffe,
    0xffff103f,0x1003ffff,0xffffffff,0xffff7003,0x44001dff,0xffffffff,
    0x41fff901,0x542ffff9,0xf14fffff,0xffd001df,0xfffffffd,0x4bbaa0df,
    0x5000eff8,0x3bfe25dd,0xffff8800,0xfd01ffff,0xffffffff,0xf9000dff,
    0xf7315dff,0xff905fff,0xff7315df,0x3fff45ff,0x00ffff44,0x001fffd8,
    0x003fffb0,0x07fffff1,0x3fff6000,0x21fff901,0x103ffff8,0x05ffb033,
    0x3fffffa0,0x1ffffa8c,0x005ffb00,0x002ffd80,0x407fff60,0x8cfffffe,
    0x001ffffa,0x203fffe6,0x7cc6fffa,0xffa80fff,0x03fffa6f,0x003ffffb,
    0x0007fff6,0x200fffec,0x3ffffff9,0x80033322,0xf901fffd,0xfffd11ff,
    0x9ff50009,0x7ffff400,0x017ffe41,0x00027fd4,0x00013fea,0x3a03fffb,
    0x7e41ffff,0xb80982ff,0x3fa04fff,0x3ffee0ff,0x43fffa04,0xd98cfffe,
    0x003fffff,0x0003fffb,0x8807fff6,0xffffffff,0x001fff31,0xc80fffec,
    0xfffd8fff,0xfff88004,0x3fffa000,0x03fffa82,0x0007ffc4,0x001fff10,
    0x01fffd80,0xf505fffd,0x7ff447ff,0x00fffe44,0x7e43fff9,0x3ff201ff,
    0xfffffd1f,0xffffffff,0x3fffb00f,0x3fff6000,0x2bfff601,0xfa8ffffa,
    0x3f6000ff,0xfff901ff,0x000bfffb,0xd000bff6,0x3fea0fff,0x17fec03f,
    0x8bff6000,0xffd80008,0x0fffd01f,0xfd8fffea,0x3ff62fff,0x3fff200f,
    0x803fff62,0xffd2fffc,0xf1dfffff,0xfb00ffff,0x360003ff,0xff101fff,
    0x77ffe49f,0x6c007ffc,0xff901fff,0x003fffff,0x7e4bff50,0xfffd04ff,
    0x80fffea0,0x3ff25ffa,0xdffa804f,0x04efffc8,0x407fff60,0xff507ffe,
    0x7ffffc7f,0x803fffa4,0x3fa2fffb,0x3fee00ff,0xfffffd2f,0x3ffea1df,
    0x1fffd807,0x3fffb000,0xb0bffea0,0x0bffffff,0x01fffd80,0xfff9fff9,
    0x7fc4001d,0x9ffff30f,0x541fffa0,0xff103fff,0x3fffe61f,0x47ffc404,
    0x1ffffff8,0x03fffb00,0x7d41fffa,0x3fffa3ff,0x07fff62f,0x361fffc8,
    0x3f201fff,0x1bffd1ff,0x01331015,0x003fffb0,0x407fff60,0x7441fffb,
    0x001fffff,0xc80fffec,0xfffd8fff,0x8bff6005,0xd04ffdfe,0x3fea0fff,
    0x45ffb03f,0x404ffdfe,0x54aa2ffd,0xffb004ff,0x1fffa03f,0xf31fffd4,
    0xfffb8bff,0x83fffa03,0x3a03fffb,0xdffd0fff,0xffd80000,0xffb0001f,
    0x3ffea03f,0x6ffff984,0x1fffd800,0xf11fff90,0xf5007fff,0x7c7fdcbf,
    0x0fffd04f,0x2a0fffea,0x23fee5ff,0x3fea04ff,0x00ffee05,0xe80fffec,
    0xfff507ff,0xfa819887,0xfff506ff,0x06fffa8d,0x7f4dfff5,0x6c00006f,
    0xb0001fff,0x3e203fff,0x7f4c2fff,0x6c001fff,0xff901fff,0x3fffea1f,
    0x43ffe202,0x09ff2ff9,0x7d41fffa,0x7ffc43ff,0x3fe5ff30,0x01fff104,
    0x4003ffea,0xfd01fffd,0x3ffea0ff,0x7fff4003,0xffff511e,0x3dfffd03,
    0x87fffea2,0x00007ffe,0x000fffec,0x201fffd8,0xeeeffffc,0x0effffff,
    0x07fff600,0xf907ffe4,0x3f203fff,0x3bbff62f,0xffe85fff,0x87fff507,
    0x3ff62ffc,0xc85fffee,0xdff902ff,0x7ffec001,0x20fffd01,0x4003fffa,
    0xfffffffa,0xf505ffff,0xffffffff,0x7ffe8bff,0x3fff6000,0xffffffff,
    0xffffd85f,0xffffffff,0x7fffff45,0xfffeffff,0xfffffb05,0xbfffffff,
    0xfd03fff2,0xff981dff,0x7ffffec5,0x7ffe86ff,0x4c7fff50,0x7ffec5ff,
    0x7cc6ffff,0xeffd885f,0xfffd8199,0xffffffff,0x20fffd5f,0x8003fffa,
    0xfffffffb,0x3ee00cff,0xffffffff,0x03fff40c,0xfffffb00,0xbfffffff,
    0xffffffb0,0x0bffffff,0xbffffff7,0x213fffa1,0xfffffffd,0xf95fffff,
    0xfff881ff,0x207ff45f,0xdffaaaa9,0x507ffe82,0x7ff47fff,0x7d5554c0,
    0x07ff42df,0x7fffffd4,0xfffffd87,0x5fffffff,0x3ea0fffd,0xb30003ff,
    0x05dfffff,0x3ffff660,0x333102ef,0x7ffec000,0xffffffff,0xffffd85f,
    0xffffffff,0x006a6205,0x7ffffec0,0x5fffffff,0xf501fff9,0x3ff29fff,
    0x209ff003,0xff507ffe,0x00fff27f,0x3ff227fc,0xfffff503,0xffffb0ff,
    0xffffffff,0x541fffab,0x80003fff,0x4c0001a9,0x0000001a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2a620000,0x5000009a,0xdb009ddd,0x664401dd,0x6dcc4001,
    0x220009bc,0xabcdecba,0x55555540,0x3002aaaa,0x8379bb95,0x2600aaa9,
    0x01000aaa,0x159b7300,0xddca8800,0x988000ac,0x73001aaa,0xaaa8801d,
    0xaaaaaaaa,0x3fa60001,0xf12fffff,0x3fffffff,0x03fffe20,0x205fff98,
    0x000ffff8,0xfffffff3,0xfff7003f,0x47ffffff,0xfffffff8,0x2a00ffff,
    0xffffffff,0x3fff90ff,0x80fffe40,0xeffffec9,0x3fffe604,0x4400dfff,
    0xfffffffc,0xffc9804f,0xe805ffff,0x7c400fff,0xffffffff,0xf70004ff,
    0x5fffffff,0x3fffffe2,0x3ff601ff,0x3fff203f,0x3fffea02,0xffffc803,
    0x03ffffff,0x3ffffff6,0x3e23ffff,0xffffffff,0xffd880ff,0xffffffff,
    0x03fff90f,0x640fffe4,0xffffffff,0xbffff707,0x401dfffd,0xfffffffd,
    0x3f604fff,0x5fffffff,0x00fffe80,0x7fffffc4,0x004fffff,0xdeffff98,
    0xddd12fed,0x403ffffd,0x3e06fff9,0x7fcc07ff,0x7fd402ff,0xfffeefff,
    0xfffb81ff,0xfedcccef,0x3bbbba23,0x80ffffee,0xdefffffe,0xf90fffee,
    0x7fe403ff,0x7ffff41f,0xb87fffff,0x7dc41eff,0xfffb80ff,0xfffca9be,
    0x7ffec41f,0x04eeefff,0x400fffe8,0xfffffff8,0x8004ffff,0x8004fffd,
    0x7401fffd,0xffa81fff,0x5ffd804f,0x44fffe80,0xf85fffe8,0x02203fff,
    0x40fffd80,0x00dffffb,0x3fff21b5,0x87fff201,0x9adffffb,0x7fc46ca9,
    0x13fee00e,0x2e03fff6,0x7fe43fff,0xd0000bff,0xf8801fff,0x99999bff,
    0xfe800099,0xffb0007f,0xfffb803f,0x00fffd84,0xff700110,0x3ffe20bf,
    0x1fffe20f,0xfffb0000,0x1ffffc41,0x07fff200,0xf11fffc8,0x5c007fff,
    0x32ea21ff,0xff81ff93,0x7fff106f,0x007fffcc,0x3ffbbba0,0xeeeeeeff,
    0x005fff11,0x0bfff000,0x07fff600,0x88ffff10,0x00005fff,0x201fffe8,
    0x3e63fffd,0x00000fff,0xfb83fff6,0xfc8006ff,0x3ff201ff,0x0bfff71f,
    0xd32ffc40,0x3fe6dfff,0x407fff44,0x3f22fffb,0xff8002ff,0xffffffff,
    0xff11ffff,0x8800005f,0xb0005fff,0xfb003fff,0x7ffdc3ff,0xeeeee882,
    0x3fe00eee,0x7ffd407f,0x0f7fffc4,0xfffd8000,0x00bfff60,0x807fff20,
    0xff91fffc,0x7fcc005f,0xdfffff12,0x3ff237ec,0x3ffe61ef,0x003fff46,
    0xfffffff8,0x1fffffff,0x0005fff1,0x05fff880,0x03fffb00,0x749fff50,
    0xfff107ff,0x203fffff,0x4c06fff8,0x7fec5fff,0x000aefff,0xe83fff60,
    0xc8000fff,0x3f201fff,0x3fffb1ff,0xc87fd400,0x7e410eff,0x7ffffc47,
    0x21ffffbc,0xcb8efff8,0x3a002bcd,0x7c400fff,0x0abccdff,0x33332e00,
    0xccccefff,0x7ffec04c,0x2fffd001,0xf104fff9,0x3fffffff,0x017ffe60,
    0xf88dfff1,0xcfffffff,0xfffd8000,0xd11fffe0,0x21dddddd,0x3201fffc,
    0xfffd1fff,0xd3fdc003,0x3fee05ff,0x7ffffcc0,0x7cc1efff,0xffffffff,
    0xfe801dff,0x7fc400ff,0xdfffffff,0xffffd801,0xffffffff,0x7ffec07f,
    0x5fff7001,0x4003fff9,0xf501fffd,0xff8809ff,0xfffe887f,0x003fffff,
    0xf887ffec,0x7ffc46ff,0xff90ffff,0x7ffe403f,0x005fffb1,0x3fff3fec,
    0x2207fea0,0x4ffffffe,0xffffffa8,0x0fffffff,0x007fff40,0x3fffffe2,
    0x401fffff,0xfffffffd,0x07ffffff,0x800fffec,0xffedfff8,0x7ffec006,
    0x0bfff501,0x206fff88,0xffffffea,0x3ff6004f,0x8dfff30f,0xfffffff8,
    0x403fff90,0xff91fffc,0x3fe400bf,0x3ea05fff,0x7ffec41f,0x20efffff,
    0xbdfffffa,0x05ffffdb,0x2007fff4,0xecbaaaa8,0x4c07ffff,0xefffbaaa,
    0x402aaaaa,0x2001fffd,0x3ffffffd,0x0fffec00,0x405fff98,0x9805fff8,
    0x2ffffffc,0x21fffb00,0xaa87fff8,0xf90fffda,0x7fe403ff,0x5ffff51f,
    0x743fee00,0x1ff704ff,0x56ffff44,0x2a6ffffd,0xff505fff,0xfffe80ff,
    0x7fd40000,0x3e2001ff,0xfb0005ff,0x7d4003ff,0x000fffff,0x880fffec,
    0x7cc06fff,0x322004ff,0xb004ffff,0x7ffc1fff,0x3fff200f,0x403fff90,
    0x3fa1fffc,0x9889cfff,0x5c7fea6b,0x324bdfff,0x1fffe47f,0x54ffffea,
    0x3f604fff,0x3ffa01ff,0xfc80000f,0x3e2003ff,0xfb0005ff,0xff8003ff,
    0xd8004fff,0x3fe01fff,0x3fee00ff,0xffc8003f,0xfffd006f,0x017ffec1,
    0x3f21fff9,0x3ff601ff,0x3fffea0f,0x27ffffff,0xfff13ff9,0x137f4dff,
    0x3ea0dfff,0xbfff36ff,0x017ffe40,0x0001fffd,0x009fff50,0x002fffc4,
    0x001fffd8,0x007fffe4,0x00fffec0,0x7405fffd,0xa8001fff,0xff005fff,
    0x6fffc8ff,0x5c3fff20,0x3fa02fff,0xffffa87f,0x7c7fffff,0x3fff627f,
    0x7cc7ff56,0x3ffe03ff,0x40ffff17,0x3a01fffd,0x80000fff,0x2003fffb,
    0x0005fff8,0x8003fffb,0x0004fffc,0x5403fffb,0xfa80efff,0xc80046ff,
    0x4c014fff,0x7fc46fff,0xfff904ff,0x417ffea1,0x7105fff8,0x7dffffff,
    0x1983ffb8,0xfff51bfa,0xd37ffc0b,0xff105fff,0xfffd80ff,0x7f440002,
    0x3e2001ff,0xfb0005ff,0x7c4003ff,0xb0000fff,0xfe803fff,0xfc99aeff,
    0x6fdc1fff,0xff93109b,0x82fa65ff,0xb84fffe9,0x31aeffff,0x3e21fffb,
    0x7f443fff,0x7fdc02ff,0x17ffc01f,0xf887ffb0,0xffc82fff,0x3fffea4f,
    0x17fff621,0x01bfff90,0x7f5440cc,0x7c4006ff,0xfb0005ff,0x3a6003ff,
    0x20003fff,0x5c01fffd,0xffffffff,0xffb85fff,0xffffffff,0x3ffe64ff,
    0x0fffffff,0xffffffd0,0x41ffffff,0xfefffffb,0xd805ffff,0xffa804ff,
    0xfeb98acf,0xffffb05f,0xfffffbbf,0xfffffe81,0x00efffff,0x77ffffd4,
    0xfff91fee,0xdfffffff,0xfff88001,0xfffb0005,0x3f736203,0x40005fff,
    0xa801fffd,0xffffffff,0xffff704f,0xbfffffff,0xffffff98,0x7e402fff,
    0xffffffff,0x7ffec0ff,0x0effffff,0x001ffe80,0xfffffff3,0x7f4409ff,
    0xffffffff,0xfffe981f,0x01efffff,0xffffffb0,0x3fff23ff,0x1effffff,
    0x5fff8800,0xfffffd80,0x5fffffff,0xdffffff1,0x7ffec001,0xffffffff,
    0xfffb305f,0x6cc05dff,0xffffffff,0xfffc881d,0x5000cfff,0xfffffffb,
    0x3ffaa039,0x1003ffff,0xc8800dff,0x02dffffe,0xffffff70,0xffc8019f,
    0x8003ffff,0xfffffffb,0xffffff91,0x440003bf,0xfd805fff,0xffffffff,
    0xfff15fff,0xfb0007ff,0xffffffff,0x5100bfff,0x53310003,0x4cc40013,
    0x4cc40000,0x0d4c0009,0x01664400,0x00033100,0x0004d4c4,0x00004cc4,
    0x4404d4cc,0x00009999,0x00bfff10,0xfffffffb,0x5cbfffff,0x360001ac,
    0xffffffff,0x0005ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xb9880000,0x9801bccc,0x4401bdcb,
    0x0bcdedca,0x80555510,0x5442aaa8,0x009aaaaa,0x3372e600,0x0000400a,
    0x00005555,0x55555550,0x2aaaa555,0xaaaaaaaa,0x55530aaa,0x20013555,
    0xaaaaaaaa,0x2aa0aaaa,0xaaaaaaaa,0x5555402a,0x5554c01a,0x40aaa600,
    0xffffffd8,0xffd305ff,0x301dffff,0xffffffff,0xfffd019f,0x1fffe405,
    0x3fffffea,0x1001dfff,0xfffffff9,0x200bee09,0x1fffa1ed,0xfff10000,
    0x2bffffff,0xfffffffd,0x2fffffff,0xfffffff9,0x3e203bff,0xffffffff,
    0xfff10fff,0xffffffff,0x7fffc40f,0x7ffdc05f,0x03fff602,0xfffffff5,
    0xff50bfff,0xffffffff,0xfffff985,0x985fffff,0xff106fff,0xffff50df,
    0x9fffffff,0xfffffd00,0x744bffff,0x3ea00fff,0x0fffd4ff,0xfffc8000,
    0xb5ffffff,0x999999bf,0x25ff9999,0xfffffffc,0xf884ffff,0xffffffff,
    0xfff10fff,0xffffffff,0x7fffdc0f,0x7ffdc07f,0x83fff602,0xdffffffa,
    0x7cc5ffed,0xffcbdfff,0x677cc7ff,0xfffffdbc,0x83fffd83,0xfa82fffc,
    0xfffeeeff,0x3ee05fff,0xfdbadfff,0x2fffe41f,0xd1ffff88,0x55999fff,
    0x3ffe0001,0x3cccefff,0x06aee7fb,0xfffc97f4,0xfffffeee,0x7fffc45f,
    0xeeeeeeee,0xddffff10,0x40bddddd,0x2ffffffd,0x80bffee0,0x3fa0fffd,
    0x3a882fff,0x741fffec,0xb0043fff,0xff109fff,0x7ffc41ff,0x87fff505,
    0x01ffffe9,0x5501ffff,0x3f7fffa0,0x3fffeeff,0x3ffffffa,0x2001dfff,
    0x4ffeeffa,0x3ff67fb0,0xc97f43ff,0x7f4c0fff,0x3fe21fff,0x3fe2005f,
    0x3fe0005f,0x204fffef,0x3602fffb,0xfff70fff,0x7fc4001d,0xffff305f,
    0x2fffcc00,0x364fffc8,0xff501fff,0x3fff607f,0x06fff886,0xfffff880,
    0x45ffffff,0xfffffffe,0xb003ffff,0x09ffd7ff,0x7ff64ff6,0x64bfa5ff,
    0xffb00fff,0x2fffc4df,0x0bfff100,0x2bffea00,0x3ee07fff,0x3ff602ff,
    0x05ffff0f,0x02fffc80,0x003fffd1,0xf80fffe2,0xfff98fff,0x0fffea04,
    0x20ffffc4,0x0003fff9,0xfffffff7,0xffe81fff,0xfffecccf,0x7fc401ff,
    0xb04ffe8f,0x7ffd307f,0x7ffe4bfa,0x3ffff100,0x8017ffe2,0x0005fff8,
    0x3ff6fff9,0x5fff701f,0x4c7ffec0,0xd8007fff,0xffd307ff,0x3ee005ff,
    0x3fea01ff,0x00fffdcf,0xd80fffea,0x7fd42fff,0xff90002f,0x3fff665f,
    0x443fff43,0x5c06fffe,0x09ffd6ff,0x7fc40ff6,0x3ff25fd5,0x3fff600f,
    0x00bfff12,0x002fffc4,0xff75ffe8,0x3ffee07f,0x23fff602,0x8005fffa,
    0xffb86ffe,0x2203ffff,0x805fffc9,0x3ffffffe,0x01fffd40,0xfa87fff9,
    0xfd0002ff,0x8dfff07f,0xff507ffe,0x3ffe80ff,0x3f609ffd,0x7f57fe03,
    0x401fff92,0xff13fffc,0x7fc400bf,0xff98005f,0x0dfff33f,0x266fffee,
    0xfffd9999,0x004fffb8,0x3a25fff8,0x4fffffff,0x7fffffd4,0xfff3003f,
    0xfff80dff,0x20ffffff,0xb974fffb,0x9999bfff,0x7ffc4079,0x747ffd80,
    0x3ffe07ff,0x1fff301f,0x3ffffffa,0xf9307fb3,0x7e4bfa7f,0x3fee00ff,
    0xfffff14f,0x4bffffff,0xcccefff8,0xfb81cccc,0x3fffa1ff,0xfffffb80,
    0xffffffff,0x03fffc8f,0xaafffc40,0xff9dffff,0x7fffd45f,0x9001cfff,
    0xf803ffff,0xffffffff,0x757ffea0,0xffffffff,0x3ea05fff,0x7ffb80ff,
    0xfd03fff4,0x3ff201ff,0x3fffffa5,0x7fc7fb3f,0x4bfa6fff,0x2a00fffc,
    0xfff15fff,0xffffffff,0x7ffffc4b,0x83ffffff,0x7fe46ffd,0xffffb82f,
    0xffffffff,0x4fffc8ff,0x6fffc400,0xf13ffffc,0xfffa89ff,0x03ffffff,
    0x805fff88,0xffffffff,0x53ffee0f,0xfffffffe,0x2a05ffff,0xffb81fff,
    0xf03fff46,0x7ffc0fff,0x3fffffa2,0x7f47fb3f,0xc97f43de,0x3ee00fff,
    0xffff14ff,0xbfffffff,0x7fffffc4,0x443fffff,0x7fd44fff,0xffffb84f,
    0xffffffff,0x4fffb8ff,0xfffff800,0x3fe61eff,0xffc9803f,0x7ffe41ff,
    0xffffffff,0x3fffa81f,0x54fffee0,0xaacfffca,0x3e601aaa,0x3ffd83ff,
    0xfb83fff4,0xfff506ff,0xfb04ffe8,0xfe817f47,0x401fff92,0xff13fffb,
    0x7fc400bf,0xccccccef,0x17ffd41c,0x2e1fffe2,0x9999bfff,0xa8fffd99,
    0xe8005fff,0xa85fffff,0x32003fff,0x7fe45fff,0xffffffff,0xfffa81ff,
    0x0bfff203,0x0005fff5,0xfa87bffe,0x3fff41ff,0x07ffff22,0x3fa27fec,
    0x747fb04f,0x325fd02f,0x3f200fff,0xbfff12ff,0x2fffc400,0x27fff200,
    0xfffe9999,0x017ffdc1,0xff31fffb,0xfd8001ff,0xff702fff,0x7fc4005f,
    0x5d554c6f,0xaaaaefff,0x03fffa80,0xa83ffff1,0x90002fff,0xffbbffff,
    0xffffd0ff,0x9fffffff,0x3ffffe20,0xb04fffff,0x97f4007f,0xf100fffc,
    0x3fe23fff,0x3fe2005f,0x7ffc005f,0xffffffff,0x7ffdc4ff,0x23fff602,
    0x004ffff8,0xd01fffe4,0x4c001fff,0x7c405fff,0xff5005ff,0x3ffee07f,
    0x02fffa86,0xfffffb00,0xe85fffff,0xffffffff,0x3fee04ff,0xffffffff,
    0x3a27fb04,0x325fd03f,0xff700fff,0x2fffc4df,0x0bfff100,0x7ffffcc0,
    0xffffffff,0x017ffdc6,0x3f21fffb,0x10403fff,0xf501ffff,0xfc8009ff,
    0x666544ff,0xcccefffc,0x3fffa80c,0x81ffffb8,0x8002fffa,0xfffffffb,
    0x3a1fffff,0xefffffff,0x7fff400d,0x4fffffff,0x3fea7fb0,0x3f25fd07,
    0xfffb80ff,0x17ffe21f,0x05fff880,0x3fffff20,0xffffffff,0x0bffee0f,
    0xf10fffd8,0x337bffff,0xffd8bd95,0x3ffea1df,0x64c0220f,0x7e41ffff,
    0xffffffff,0xffa81fff,0xffdba9cf,0x7dcc45ff,0x99999bff,0x7ffcc099,
    0xfa8aaa8e,0xfffd0eff,0x7cc00333,0xdffe80ff,0x27fb1999,0x5fd04fe8,
    0x2a6bfff2,0x45ffffdb,0x999efff8,0x3e219999,0x3fa005ff,0x7ffec06f,
    0x80bffee3,0x3ee0fffd,0xffffffff,0x7ffcc5ff,0xfffffeff,0x7fffff44,
    0x83ffffff,0xfffeeeeb,0xa80eeeef,0xffffffff,0x7f40dfff,0xffffffff,
    0x3e26ffff,0x3f601fff,0x0fffd4ff,0x41bff200,0x7ffffffe,0x3a0087fb,
    0xfffff92f,0x1bffffff,0xffffff88,0x10ffffff,0x2200bfff,0x7d404fff,
    0x3ffee5ff,0x03fff602,0xffffffd3,0xff30bfff,0x7fffffff,0xffffffd0,
    0x2009ffff,0x5005fff8,0xffffffff,0x3ffa05ff,0xffffffff,0x7f546fff,
    0x867fc404,0xf0007ffe,0x3ffa07ff,0xffb7ffff,0xffffffff,0x3f25ffff,
    0xffffffff,0xffff102f,0xffffffff,0x017ffe21,0x200fffdc,0x3ee7fff8,
    0x3ff602ff,0xfffd900f,0x22039dff,0x1dfffffd,0xffffffd0,0x440017df,
    0xf5005fff,0x57bdffff,0x7ffff401,0xffffffff,0x2600506f,0x003fff41,
    0xe807ffd4,0xb7ffffff,0xffffffff,0x25ffffff,0xdefffffc,0x3fe200ab,
    0xffffffff,0xbfff10ff,0x01fff600,0xfb97fff4,0x3ff602ff,0x0198800f,
    0x3000a880,0x00013533,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xaaaaa980,0x0aaaaaaa,
    0x55405555,0x0aaaa1aa,0x88555000,0xaaa881aa,0x05555302,0x00399910,
    0x06f372a2,0x55555554,0x55544009,0xaaaaaaaa,0x2aaaa2aa,0xaaaaaaaa,
    0x0355532a,0x22155550,0x55402aaa,0x0aaa61aa,0x55155440,0x55300155,
    0x2aaaaa35,0x32009aaa,0xffffffff,0xfff1ffff,0x3ffff20f,0x001fffe0,
    0x7dc6ff88,0xffffa84f,0x06fffe82,0x0fffff22,0xfffffb10,0xffe81bff,
    0xbfffffff,0xfffffa80,0xffffffff,0x3fffffe6,0x6fffffff,0x880dfff5,
    0x7ffc6fff,0xffff103f,0x803ffdc5,0x3ff67ff9,0xfffd804f,0xfffffff1,
    0xf905bfff,0xffffffff,0x3ffe3fff,0x1ffff987,0x0003fffc,0xffc8bff3,
    0x4ffffa83,0x43ffffc4,0xffffffc8,0x3fffea03,0x46ffffff,0xfffffffe,
    0x7d42ffff,0xffffffff,0x3fe6ffff,0xffffffff,0x3ffa6fff,0x3fff202f,
    0x07fffd42,0x2a2fffe4,0xff3007ff,0x037ffd4f,0xfff3fffc,0xffffffff,
    0xeeeeb85f,0xeeeeffff,0xfd0ffff1,0xffff09ff,0x27fd4000,0x3ee0bff6,
    0x7fdc7fff,0x7ffdc7ff,0x203fffff,0xeddffffc,0x3fa3ffff,0xfffeeeff,
    0x3fea0fff,0xffffffff,0x3ffe6fff,0xffffffff,0x3ffea6ff,0x0dfff106,
    0xf10ffffa,0xffa83fff,0x4fff3007,0x200ffff8,0x3fe5fffa,0xffecccff,
    0x3e200fff,0x3ffe05ff,0x837ffdc7,0x20007fff,0x7ff44ffb,0xfffffb81,
    0x1fffff61,0xffbfffff,0x83fe807f,0x3fa6fffd,0xfffea87f,0x26666625,
    0xfffd9999,0x3ffea004,0x0ffff41f,0xa817ffe4,0x3f20ffff,0x7ff985ff,
    0xe8dff300,0x3f203fff,0x1bffe2ff,0x80bfffe6,0x3e05fff8,0x3ffe67ff,
    0x0ffff01f,0xffecca80,0xdfffccce,0x3f7fee4c,0xffbff14f,0x467fe41f,
    0x4403fffa,0x4ffff100,0xff307ffe,0xff8800ff,0xfd1000ff,0xfff509ff,
    0x06fff88b,0xf8a7ffec,0xff980fff,0x6ffa800f,0xd02fffdc,0x7ffc1fff,
    0x07fff706,0xf02fffc4,0x7fff4fff,0x01fffe03,0xffffff70,0xffffffff,
    0x7fdffe4f,0xfff7ff56,0xff50ec41,0xff80007f,0x0fffd0ff,0x0007fff4,
    0x4009fff9,0x3a06fffc,0x3ff21fff,0x7ffcc02f,0x04fffc8f,0x4c41fff1,
    0x262ffd41,0xff107fff,0x06fff8bf,0x4407fff7,0x3fe05fff,0x0bfff77f,
    0x4007fff8,0xfffffffb,0x7fffffff,0x3ffabff2,0xfff8ffd8,0x1fffd401,
    0xffff1000,0xfb03fff4,0x3e2003ff,0xf5000fff,0x7d403fff,0xdfff15ff,
    0x37fff200,0xf100ffff,0x17fdc1ff,0xffd0bff5,0x7fff703f,0xfb06fff8,
    0x7fc401ff,0x3fffe05f,0x400ffff8,0x4c007fff,0xaabfffaa,0x22aaeffb,
    0xaffcaffd,0x03ffd6ff,0x003fffa8,0xe97ffea0,0x3ffe07ff,0x3fff2007,
    0xfffd1004,0x1fffd009,0x2005fff9,0xfffffff8,0xd07ffc03,0x27fdc9ff,
    0x6c27ffe4,0x7ffc0fff,0x27ffe4c6,0x817ffe20,0xfffdffff,0x07fff802,
    0xf51ffe00,0x2bff60bf,0xd3ffeff9,0xffa803ff,0x3fa0003f,0x1fffa2ff,
    0x8037ffd4,0x000ffff8,0x200dfff9,0xfffcfffa,0x7ffe4006,0xfff806ff,
    0x5cffff11,0xfff984ff,0xf86fff86,0xffffffff,0xff8804ff,0x3fffe05f,
    0xff006fff,0x3e2000ff,0x827fd47f,0xffff1ffd,0x00bffa1f,0x0007fff5,
    0xfd1bfff2,0xffff50ff,0x3fff2005,0xffff3005,0x7fff4003,0x44002fff,
    0x803fffff,0xfff71fff,0x413fee3f,0x3e60ffff,0xffff84ff,0xcfffffff,
    0x2fffc400,0xffdffff0,0xffff007f,0x1bfe2000,0x3fa09ff7,0x4dfff91f,
    0x7d402ffe,0xfa8003ff,0x7ff40fff,0xffffeeef,0xfff1005f,0xffd1003f,
    0xffa8007f,0xb8006fff,0x806fffff,0xfffb1ffe,0x40ffee9f,0x3f22fffd,
    0xffff81ff,0xffffffff,0x3ffe200e,0x27fffe05,0x7c01ffff,0x262007ff,
    0x999effa9,0x7419cffd,0x7fff51ff,0x2a01ffec,0x54003fff,0xfe82ffff,
    0xffffffff,0xff7000df,0x3ff200bf,0xffd0006f,0xf88005ff,0x03ffffff,
    0x7fc4fff4,0x7ff96ffd,0xe97ffea0,0xdfff07ff,0x5fffeb98,0x817ffe20,
    0xfff97fff,0x07fff80d,0x3ffffea0,0xffffffff,0x47ffe0ff,0x3f61fff8,
    0x7ffd403f,0x3ffea003,0xffffd02f,0x005dffff,0x801ffff8,0x001ffff9,
    0x00dfff50,0xffdfff90,0x7fec01ff,0xfffaffaa,0xf102ffc8,0x3ffe2fff,
    0x20dfff04,0x100ffffa,0x7fc0bfff,0x9fffd17f,0x003fffc0,0xfffffff5,
    0xffffffff,0xfd07ffc1,0x403ffd8d,0x5003fffa,0x7405ffff,0x01aaafff,
    0x0bfff700,0x00ffffa0,0x05fff980,0x47fffcc0,0x3604fffe,0xf97fdaff,
    0x405ffb7f,0xffa9fffd,0x0dfff02f,0x8817fff4,0x3fe05fff,0x3fffea7f,
    0x00ffff01,0x6fff664c,0xccfffccc,0x4007ffc4,0x7d404ffd,0xff9803ff,
    0x7ff402ff,0xfff00007,0xfff9003f,0xff98000d,0x7fec005f,0x3ffff34f,
    0x3fefff60,0xffbbff55,0x5fffdc03,0xff00fffd,0x7fff40df,0x0bfff101,
    0x3f63fffc,0xffff06ff,0x0bff6000,0x3fe20fff,0x4ffc800f,0x01fffd40,
    0x00bfffe6,0x0001fffa,0x201bffee,0x000ffff9,0x02fffcc0,0x41ffff50,
    0xf906fffd,0x7fc5ffbf,0x2201ffdf,0x5fffefff,0x541bffe0,0x26627fff,
    0x99efffa9,0x11fffe19,0xff09ffff,0x333333ff,0x3ffb0133,0xf883ffc4,
    0xffc800ff,0x32aaaa65,0x2aaadfff,0x33bfffe6,0xd3cccccc,0xd0000fff,
    0xfd005fff,0x55555bff,0xf9805555,0x3fa005ff,0x7ffcc4ff,0xffffc82f,
    0x3ffff60f,0x7fff400f,0x3fe03fff,0xfc9999ef,0x3ff25fff,0xffffffff,
    0x0ffff1ff,0xf83ffff7,0xffffffff,0xffe84fff,0x441bfe60,0xff9007ff,
    0x7ffffe4b,0x7fffffff,0x3ffffffe,0xd6ffffff,0xa8000fff,0xfa806fff,
    0xffffffff,0x4c07ffff,0xf7005fff,0xffb01fff,0xfffb81ff,0x7fffd45f,
    0x7ffe400f,0x3fe00fff,0xffffffff,0x3ff20fff,0xffffffff,0x0ffff1ff,
    0xf83bfffa,0xffffffff,0x7ff84fff,0xf982ffd4,0xbff9007f,0x7fffffe4,
    0x27ffffff,0xffffffff,0xfd6fffff,0xfe8000ff,0xffa802ff,0xffffffff,
    0x7cc07fff,0xff8805ff,0xfff303ff,0xffffb89f,0x7ffffc43,0x7fffcc00,
    0x7fffc06f,0xefffffff,0x7ffffe41,0x1fffffff,0x3e60ffff,0x3ffe4fff,
    0xffffffff,0x23ffc44f,0xff304ffa,0x9bfee00f,0xfffffffc,0x3e7fffff,
    0xffffffff,0xffd6ffff,0x7fd4000f,0xfff5006f,0xffffffff,0xff980fff,
    0xfffc805f,0x3fff600f,0x3fffea0f,0x07fffd80,0x09fffff0,0xfffffff8,
    0x00001cde,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55540000,0xaaaaaaaa,0x5100aaaa,0x2a0379b9,
    0x19aaaaaa,0x055554c0,0x000aaa88,0x00555553,0x04004ccc,0x00100000,
    0x31000262,0x010000c0,0x80002200,0x88000998,0x82f76c00,0x2a22eee9,
    0x6c0bcddc,0xffffffff,0x42ffffff,0xffffffc8,0x7fffc0cf,0x0bffffff,
    0x04ffffb8,0x1003fff3,0x00dfffff,0x2a01fffc,0x4400003f,0xfeca80ee,
    0x303effff,0x23bffffb,0x400dfffc,0xeffffec9,0x3fff6e04,0xfeb803ef,
    0x406fffff,0x2efffed9,0xf507ffe8,0x7ffec5ff,0x3f62ffff,0xffffffff,
    0x222fffff,0xffffffff,0x3ffe0eff,0xffffffff,0x7fffdc0e,0x1fff980f,
    0xfffffc80,0x0fffe006,0x004fffa8,0x1dffd300,0xfffffff8,0x7ec0ffff,
    0xfeffffff,0x900effff,0xffffffff,0xffffb10f,0x101bffff,0xfffffffd,
    0x7ffdc0ff,0x20dfffff,0xff507ffe,0x66676c5f,0x3bb27ffe,0xeffffeee,
    0x3f61eeee,0xffdbcfff,0x3fffe3ff,0xffffffee,0x7ffffdc5,0x01fff983,
    0x7fffffcc,0x0fffe006,0x0dffffb8,0x3ffea000,0x77ffc0ef,0x5ffffece,
    0x7fe677ec,0xfffdffff,0xfffffe82,0x7c47ffff,0xffffffff,0xfffe86ff,
    0x07fedcdf,0xfbdffff7,0x7ff49fff,0x45fff507,0x401ffd00,0x5405fff8,
    0x7cc0efff,0xdfff0fff,0x47fffd98,0x87fffffb,0x7401fff9,0x06ffefff,
    0x300fffe0,0x001dffff,0x1bffff70,0x3fe605b0,0xf306e0ff,0x3fee1dff,
    0x6ffffdc5,0x646ca99a,0xb98aefff,0x3ea2ffff,0x220606ff,0x3a21dfff,
    0xfffd1fff,0x40bffea0,0x01ffea98,0x9017ffe2,0x3f605fff,0x0dfff3ff,
    0x5c3ffff1,0x42ffffff,0x2a01fff9,0x6ffeafff,0x00fffe00,0x07ffffa2,
    0x4ffffc80,0x3fff2000,0x24ffe801,0x3fe27ff8,0xff3003ff,0xfff501ff,
    0x027ffdcd,0x207fff20,0xffd4fff9,0x8bffea0f,0xffffffc8,0x3ffe201f,
    0x07ffec05,0xff4fffa8,0x3fff60df,0x3fbffee2,0x0fffcc6f,0xfd5fff88,
    0x999930df,0x999dfff9,0xfffb1099,0xffd8807f,0x540003ff,0xfd802fff,
    0xb87ffc3f,0x2e005fff,0x3fa04fff,0xffff50ff,0x3ffe0017,0x757ffe06,
    0xfff507ff,0x33bffa25,0x2201fffc,0x7f405fff,0xfff301ff,0x741bffeb,
    0x3fee0fff,0x262fffbf,0xff901fff,0x21bffa1f,0xfffffffa,0x07ffffff,
    0x413ffff2,0x01ffffe8,0x3b72ea20,0x9882fffe,0xccdffeca,0xff90fffc,
    0x7fe4005f,0x3fff201f,0xffffff11,0x7ffc405b,0xfeeeeeef,0x0fffd7ff,
    0x7d4bffea,0x00ffec6f,0xc80bfff1,0xff104fff,0x21bffedf,0x7dc6fffb,
    0x25fff8ff,0xf981fff9,0x1bffa3ff,0x3fffffea,0x7fffffff,0x6ffffdc0,
    0x3bfffe60,0xfff91000,0x5fffffff,0x7ffffe44,0xffffffff,0x03fffb1f,
    0x007ffec0,0x7d45fff9,0xcfffffff,0x7ffffcc0,0xffffffff,0x2a0fffd7,
    0xdff72fff,0x807ffee2,0x5c05fff8,0x260bffff,0xfff7fffc,0xfffd975d,
    0x97ffb83f,0x3fe63fff,0x46ffe81f,0xaa886ffe,0xadfffaaa,0xfb802aaa,
    0xfff15fff,0x3a2001ff,0xffffffff,0x3ff62fff,0xeefffeff,0xfd0eeeee,
    0x7f4003ff,0x3fee00ff,0x7ffecc2f,0x2a1fffff,0xffffffff,0xfd7fffff,
    0x3ffea0ff,0xffffff32,0x7c403fff,0x7f4405ff,0xfffeffff,0xffff6fff,
    0x3dffffff,0x3e2fff70,0x3fff35ff,0x741fffb8,0x3fe006ff,0xffa8003f,
    0x7ffcc5ff,0xffe800ef,0x7ffd41df,0x6c5fff52,0xffd801ff,0x3ff6002f,
    0x3fff201f,0xfffb5101,0x7ffccdff,0x3fff4003,0x322fffd8,0xffbdffff,
    0x17ffe201,0x3ffffe60,0x5fffffff,0xffffffff,0x3ffdc07f,0xff31fffb,
    0x27ffc43f,0xf0037ff4,0xfc8007ff,0xfd104fff,0x7c405fff,0xfff506ff,
    0xfb17fee5,0xfff9005f,0x7ffdc00b,0x03fffa03,0x3ffff220,0x00bfff10,
    0x5c1fffd8,0x5442ffff,0xf1006609,0x32200bff,0xfcefffff,0x9ffff5ff,
    0x207ffffd,0x3fe67ffb,0x21fff9cf,0xffd06ffd,0x1fffc00d,0xffffd880,
    0x7ffec402,0xdfff303f,0x25fffb10,0x7ff44ffd,0xffffa804,0xdfff5002,
    0x01bffea0,0x7c3ffff0,0x32001fff,0xfc88cfff,0x0002ffff,0x017ffe20,
    0x7d426620,0x4dfff4ff,0xb80ffffa,0x7fff47ff,0xff31fff9,0xf99999df,
    0x80999fff,0xe8803fff,0x2001ffff,0x884ffffc,0x3a21ffff,0xff92ffff,
    0x0ffffdcd,0x3ffffa04,0x46b9889c,0x511efffe,0x5543ffff,0x8ffff500,
    0x102efffb,0x7ffffd45,0x2fffffff,0xfffffff9,0x3e203fff,0x900005ff,
    0x3ffe3fff,0x42fffe46,0x7fd47ffb,0xf51fffdf,0xffffffff,0x0fffffff,
    0x4c02eed8,0x000effff,0x0dffffb8,0x777ffff4,0x72ffffff,0xfffbbfff,
    0x9d979fff,0xffffff98,0x7d47ffff,0xffffffff,0x77fe45ff,0xffffeccd,
    0xeffffe84,0x20ffeedd,0xfffffffe,0xff92fff9,0xffffffff,0x17ffe203,
    0x3ffe2000,0xf11bffe6,0xffb83fff,0xfffffe87,0xfffff51f,0xffffffff,
    0x20000fff,0x00dffffb,0x3fffe600,0x3fffea1e,0xfffaffff,0xffffff12,
    0xffffff3b,0xffff509f,0x70ffffff,0xffffffff,0xfffc819f,0x5fffffff,
    0xfffffd10,0xd81fffff,0xfd1dffff,0x3bbbae5f,0x00eeeeee,0x000bfff1,
    0x23fffe98,0xffc86fff,0x43ffdc4f,0x1ffffffb,0xddddddd3,0xddffffdd,
    0x3ea0000b,0x300004ff,0xfa81dffd,0xfd1dffff,0x7fff4c5f,0x3ffffea4,
    0xffd9102f,0x2607dfff,0x2efffffd,0xffffff70,0xd7007dff,0xbfffffff,
    0x00133101,0x3fe20000,0xa998805f,0x6ffffdba,0x7cc37ffc,0x3fee0fff,
    0xfffff887,0x7ff4001f,0xffffff06,0x7fffffff,0x00001fd4,0xa8803b62,
    0x014c0009,0x98001353,0x0d4c0019,0x35533100,0x2aa60001,0x00000009,
    0x5fff8800,0xfffffc80,0x7c0effff,0xfffb06ff,0xc83ffdc9,0x001fffff,
    0xff837ff4,0xffffffff,0x00043fff,0x00001000,0x00000000,0x00000000,
    0x00000000,0x3e200000,0xffc805ff,0x03ffffff,0x3ea0dfff,0xfff70fff,
    0x3ffffe20,0x37ff4001,0xfffffff8,0x03ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x88000000,0xfc805fff,0x00aceeff,0xfe81bffe,
    0x0fff74ff,0x00ffffec,0x001bffa0,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40006200,0x80880018,
    0x37ae0008,0x13330001,0x026a2000,0xdddddd50,0x21dddddd,0x3a004eec,
    0x3bbb21ee,0x8bbbb204,0xd804eeea,0xdb980eee,0x400c01bc,0x00000001,
    0x00d554c0,0x74409a98,0xffff71ee,0x52eec81b,0xd03dfffd,0x437ff69d,
    0x5401fffc,0xf0006fff,0xfc8009ff,0x702effff,0xffffffff,0x3f61ffff,
    0xfff1007f,0x17fffcc3,0x2237ffd4,0x2600ffff,0x7ec45fff,0xb04fffff,
    0x01fdc03f,0x9100bff6,0x3e01d501,0x84ffffff,0xdfffffd9,0xfb5fff10,
    0x41dfffff,0xfffbbffe,0x7fc1ffff,0xbbffffcd,0x200fffff,0x000ffffc,
    0x3004fff8,0xffb9dffd,0xfffb81bf,0xffffffff,0x00fff70f,0xf703ffe6,
    0x7fc41fff,0xfffd81ff,0x0bfff203,0xfffffffb,0x1fffd87f,0x203fffb8,
    0x3f201ffd,0x827ff45f,0xffffffff,0x3ffffe23,0xfff16fff,0xfffffffd,
    0x7f7ff47f,0x6fffffff,0x7ffffffc,0xffffffff,0x1bffea02,0x027ffc00,
    0x4cd77fc4,0xa88bff51,0xffbaaaaa,0x3ffea4ff,0x07ffa800,0x7ecbfffb,
    0xfff303ff,0x23fffc0d,0xf912fffa,0x7ffe41ff,0x3bffee1f,0x1ffc8f20,
    0x7ffd43b1,0x207ffee3,0xfffb9abc,0x7ee77e46,0xfff89fff,0xfff52eff,
    0x7fffff4d,0x1ffffa8c,0x7fcbfffe,0x09ffd4ff,0x0000cda8,0xfb009fff,
    0x3dffff1b,0x36005ff1,0x7fcc6fff,0xb82aa61f,0xfff106ff,0x0bfff57f,
    0xa81fffe8,0x7fe44fff,0x20fffc43,0xfb9ffffc,0x3fe60eff,0xfa8ffb8d,
    0x07ffe46f,0x3a00dffd,0x7e4285ff,0xffff8aff,0xd3fff40e,0xfc83ffff,
    0x9bffe2ff,0x3ff27ffe,0xf8000004,0x7fd404ff,0x2dfb7ff0,0xffb807fb,
    0x7ffc40ff,0xfc93ffa2,0x3ffea05f,0x400fffff,0xfd84fffb,0x17fec0ff,
    0x7e417ff4,0x0effffff,0x7effffe4,0x41ffffcf,0x3fe65ffe,0xfda9883f,
    0xffe802ff,0x0ffff89f,0xfd0fffc8,0xfff505ff,0xfd17ffc7,0x027fe49f,
    0x7ffc0000,0xdf27e404,0x00ff9fe6,0x407fffe6,0xfff34fff,0x2027fe4f,
    0x2ffffffc,0x47fff880,0xfd85fff8,0x02ffe83f,0x1dfffff9,0x3ffff660,
    0x980cffff,0x3fee3fff,0x7fffec1f,0xfffc802f,0x20bfff15,0x3ffa1998,
    0x47fff507,0x3ffa1fff,0x7ed3ff23,0xffffffff,0xfb2fffff,0xffffffff,
    0x365fffff,0x3faffe2f,0x7c40bf64,0x3fa03fff,0x5ffff95f,0x3a00bff6,
    0x2005ffff,0x3ee1fffd,0x5ffc82ff,0xd007ffcc,0x3005ffff,0x019ffffd,
    0x3e27ffd8,0x7ffec4ff,0xfb00dfff,0x3fe21dff,0x7ff4005f,0x47fff507,
    0x3ffa1fff,0x7ed3ff23,0xffffffff,0xfb2fffff,0xffffffff,0x3a5fffff,
    0x0ffffe1f,0x3ffa07fb,0xb7fec05f,0xfd5ffffe,0xfffd003f,0x7fd400bf,
    0x41fffa4f,0xfbadfffa,0x3fee05ff,0x2a01ffff,0xdffffffe,0x45fff301,
    0x3300fffc,0xd887fffb,0x3e20dfff,0x7f4005ff,0x7fff507f,0xffd0fffc,
    0xfda7fe47,0xffffffff,0xfb2fffff,0xffffffff,0x365fffff,0x3fe3be3f,
    0x3f207fa0,0x7dc00eff,0xffeff9ff,0x400fff8f,0x3ffffffc,0x4dfffa00,
    0x3f604fff,0x0fffffff,0xffffff70,0xfffb83ff,0xfffeffef,0x97ffa20d,
    0x9803fff9,0x3fa25fff,0xfff883ff,0x3fff4005,0x3e3fffa8,0x8fffa1ff,
    0x00004ffc,0x404fff80,0x7e5be5fb,0xfa81ff14,0xfa801fff,0xfeaffcff,
    0x5407ffbf,0xffffffff,0x5fff7001,0x4403fff9,0x0dfffffc,0x91dfff70,
    0x7d43ffff,0xd8ffbaff,0x3ff60fff,0x11bffa0f,0xffd53355,0x3fffa27f,
    0xf8deeeef,0x7f4005ff,0x7fff507f,0xffd0fffc,0x0027fe47,0x27ffc000,
    0xb7c7fe60,0x46fc8ff8,0x003ffff9,0x1ffffff3,0x0dffdff7,0x64ffffc4,
    0xf1006fff,0x0dffdbff,0x8026a620,0x320efffb,0x3ba1ffff,0x3ea1ff90,
    0xc8bffea3,0x7fcc0fff,0x0effffff,0xfffffff3,0xbfff1dff,0x07ffe800,
    0x7fc7fff5,0xc8fffa1f,0x66d404ff,0x9fff0000,0x553df700,0x107fe554,
    0x555dfffd,0x7c415555,0xff35ffff,0x7f40bfff,0xfffd13ff,0x3fff6009,
    0x00003fff,0xc80effd8,0xf9021fff,0x3fee043f,0x20fffa24,0xeffffff9,
    0x3fffe60c,0xf8efffff,0x7f4005ff,0x7fff507f,0xffd0fffc,0x5027fe47,
    0x2000dfff,0xfd004fff,0x3f6a237f,0x7fffe43f,0xffffffff,0x1fffffc1,
    0x209ffffd,0x7d46fffc,0xfa802fff,0x200fffff,0xfffffffc,0x076c1fff,
    0xfd803f90,0x4064402f,0x2aaa605a,0x26666019,0xf8899999,0x7f4005ff,
    0x7fff507f,0xffd0fffc,0x9027fe47,0x0001ffff,0x64009fff,0xefffffff,
    0xfffffc82,0x1fffffff,0x707ffff4,0xf507ffff,0xff901fff,0xfff001ff,
    0xffc809ff,0xffffffff,0x80180081,0x00000aaa,0x88000000,0x74005fff,
    0xfff507ff,0xfd0fffc7,0x027fe47f,0x000dfff5,0x30013ffe,0x017bffd9,
    0x3ffffff2,0x41ffffff,0x7cc6fffd,0x7fc42fff,0xffd103ff,0xfff900bf,
    0xeeeb803f,0x0eeeeeee,0x00000000,0x00000000,0x017ffe20,0x2a0fffd0,
    0x3ffe3fff,0xfc8fffa1,0x0ef5c04f,0x00999800,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x03330000,
    0x05503b30,0x4c00cec8,0x333301aa,0x33333333,0x0aaa8013,0x00000000,
    0x20262000,0x00000019,0x80002000,0x2e601ddb,0x0bbbbbbb,0x3f2066dc,
    0x4ccccc6f,0x99909999,0x99999999,0x05999999,0x01fffee2,0xff88fffa,
    0x6fffd81e,0xdfffff70,0xffffff85,0x3fffffff,0x017ffe60,0x3eadfff3,
    0xffffffff,0xff53ffff,0x83fffc9f,0x3f21fff8,0x7ffec44f,0x3f20001f,
    0xfd882fff,0x32000cff,0xf701ffff,0x1fffffff,0xb07fffe4,0xffff87ff,
    0xff4fffff,0xffffffff,0x9fffffff,0xfffffc88,0x0fffe407,0xff01dffb,
    0xffd85fff,0x22ffffff,0xffffffff,0x203fffff,0x202ffffe,0xff56fff9,
    0xffffffff,0x3fea7fff,0x41fffe3f,0x3fe4fffb,0xfffb80ff,0xffc8001f,
    0xffe880ef,0x7dc1ffff,0x3ffffe5f,0xfffff705,0x3fe21fff,0x3ffe4fff,
    0x7fffffc0,0xffff4fff,0xffffffff,0x889fffff,0x07ffffff,0xfa8fffe6,
    0xfffd01ff,0x67ffd49f,0xf0ffffca,0xffffffff,0x2e07ffff,0x206ffdff,
    0xff55fff8,0xffffffff,0x3fe67fff,0x41bffa3f,0x3fa3fffb,0x3ffa607f,
    0x3ff2001f,0x3fff204f,0x321fffff,0xffff15ff,0x266620bf,0x3e619999,
    0xff15ffff,0xffffff0b,0x2aaa9fff,0xaaaaaaaa,0x81aaaaaa,0x07ffdbfd,
    0xff89bffa,0x3ffea04f,0x113ff65f,0x00005fff,0xffb7ff88,0x17ffe207,
    0x4cfffa00,0x3ffa2fff,0xd313b206,0xffd8805d,0xfffc801f,0x4e7ffc02,
    0xfbcffffc,0x3fffa3ff,0xff00003f,0x33267fff,0x99999981,0x00000999,
    0x0fff9040,0xfd83ffee,0xfffc806f,0x3a0bffa4,0x400003ff,0xfff12ffc,
    0x013ffe01,0x7c4fffa0,0x17ff62ff,0x00000000,0x3ffe2000,0x3ffffea0,
    0x3fa60fff,0x2a00005f,0x00005fff,0x20000000,0xfff07ffc,0x017ffd49,
    0xff17ffcc,0x07ffb05f,0x37fcc000,0x7fc17ff2,0xffe8004f,0x6c3fff13,
    0x000005ff,0x88000000,0xfffa86ee,0x01303fff,0x03310000,0x00000000,
    0x07ffc800,0x7f41fff9,0xfffc806f,0xf113ffa0,0x3fffe5ff,0xffffffff,
    0x20fff43f,0xff82fff8,0xffe8003f,0xfc87ffe3,0x0000004f,0x00000000,
    0x005bddb1,0x00000000,0x00000000,0xd03ffe40,0x7ffccbff,0x5fff9303,
    0xa9cfffb8,0xfff0fffe,0xffffffff,0x2ffd47ff,0x6c0fffb8,0xaa8002ee,
    0xb83bb60a,0x000003ee,0x00000000,0x00000000,0x00000000,0xf9000000,
    0x7ffcc0ff,0xd87ffee3,0xd03fffff,0xffffffff,0x7fffffc5,0x3fffffff,
    0x7403fff1,0x000004ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0xdd000000,0xbddffffd,0x741fff90,0x3fff66ff,0x3ff6200c,0x0002ffff,
    0x300f3260,0x00000999,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3e000000,0xffffffff,0x23fff886,0x3531eff9,0x9bca9800,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ffc0000,
    0x06ffffff,0x007703b5,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x99999999,0x00000009,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__consolas_bold_32_latin1_x[224]={ 0,6,3,0,1,0,0,6,4,3,2,1,3,3,
5,1,0,1,1,2,0,2,1,1,1,1,5,3,1,2,3,4,0,0,2,1,1,2,2,0,1,2,2,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,4,1,4,1,0,0,1,2,2,1,1,0,1,2,2,
1,2,2,0,2,1,2,1,2,2,0,2,0,0,0,0,2,2,7,3,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,6,1,1,0,0,
7,1,0,0,3,1,1,3,1,0,2,1,3,3,0,2,1,5,6,3,3,2,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
 };
static signed short stb__consolas_bold_32_latin1_y[224]={ 23,0,0,2,-1,0,1,0,-1,-1,0,6,17,12,
17,0,2,2,2,2,2,2,2,2,2,2,6,6,5,9,5,0,0,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,2,26,0,6,0,6,0,6,0,6,0,0,
0,0,0,6,6,6,6,6,6,6,2,7,7,7,7,7,7,0,-3,0,10,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,23,6,-1,2,2,2,
-3,0,0,2,2,8,12,12,0,1,0,3,0,0,0,7,0,11,23,0,2,7,0,0,0,6,-4,-4,-4,-4,
-4,-5,2,2,-4,-4,-4,-4,-4,-4,-4,-4,2,-4,-4,-4,-4,-4,-4,7,-1,-4,-4,-4,-4,-4,2,0,0,0,
0,0,0,-2,6,6,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,3,0,0,0,0,0,0,0,
 };
static unsigned short stb__consolas_bold_32_latin1_w[224]={ 0,6,12,17,16,18,19,5,11,11,14,16,9,11,
7,15,17,15,15,14,17,14,16,15,15,15,7,9,14,14,13,12,18,18,15,15,16,14,13,17,16,14,13,16,
13,17,16,18,15,18,15,15,16,16,18,18,18,18,15,9,16,9,16,18,11,15,15,14,15,15,17,16,14,14,
14,15,14,17,14,16,15,15,15,14,16,14,18,18,18,18,14,13,4,13,17,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,6,14,16,17,18,
4,16,15,18,12,15,15,11,16,14,13,15,11,11,17,15,16,7,6,11,12,14,18,18,18,12,18,18,18,18,
18,18,18,15,16,16,16,16,16,16,16,16,17,17,18,18,18,18,18,15,18,17,17,17,17,18,15,15,16,17,
16,16,16,16,18,14,16,17,16,16,16,17,16,16,16,16,17,17,17,17,17,16,16,16,17,16,16,18,15,18,
 };
static unsigned short stb__consolas_bold_32_latin1_h[224]={ 0,24,9,21,28,24,23,9,31,31,15,17,12,5,
7,27,22,21,21,22,21,22,22,21,22,21,18,23,19,11,19,24,30,21,21,22,21,21,21,22,21,21,22,21,
21,21,21,22,21,27,21,22,21,22,21,21,21,21,21,30,27,30,11,4,8,18,24,18,24,18,23,24,23,23,
30,23,23,17,17,18,24,24,17,18,22,17,16,16,16,23,16,30,33,30,8,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,24,28,21,21,21,
33,27,8,22,16,13,9,5,17,7,12,20,14,14,8,23,27,7,5,14,16,14,23,23,23,24,27,27,27,27,
27,28,21,26,27,27,27,27,27,27,27,27,21,27,28,28,28,28,28,15,28,28,28,28,28,27,21,24,24,24,
24,24,24,26,18,22,24,24,24,24,23,23,23,23,24,23,24,24,24,24,24,17,24,24,24,24,24,30,30,30,
 };
static unsigned short stb__consolas_bold_32_latin1_s[224]={ 254,241,107,47,224,104,88,85,11,23,202,
67,29,222,207,187,17,83,99,35,67,236,202,131,186,18,247,246,115,53,101,
243,104,220,239,1,174,191,206,117,239,1,103,16,33,65,50,68,115,90,34,
87,1,135,220,201,182,163,147,133,54,123,68,234,136,130,119,165,103,212,1,
86,232,53,89,125,19,32,17,180,187,70,1,197,219,228,154,116,135,34,101,
143,6,157,166,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,
157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,157,254,248,171,
87,104,50,1,195,120,167,243,13,91,222,84,192,39,85,244,232,148,37,212,
184,215,1,173,217,177,196,141,241,1,1,168,222,203,186,138,54,20,37,109,
20,144,161,178,229,69,126,205,149,1,20,39,186,58,77,95,113,131,71,122,
175,191,225,1,70,87,37,146,152,18,140,208,123,215,53,108,71,158,160,238,
1,135,220,19,50,53,153,35,203,170,35,73,54, };
static unsigned short stb__consolas_bold_32_latin1_t[224]={ 1,35,279,217,1,92,145,279,1,1,261,
261,279,279,279,35,194,217,217,194,239,170,170,217,170,239,145,64,239,279,239,
92,1,194,217,194,194,194,194,170,194,217,170,217,217,217,239,170,217,64,239,
170,239,170,217,217,217,217,217,1,64,1,279,279,279,239,120,239,120,239,170,
120,145,170,1,145,170,261,261,239,120,120,261,239,170,239,261,261,261,170,261,
1,1,1,279,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,
194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,194,1,35,1,
194,194,194,1,64,279,170,239,279,279,279,261,279,279,239,261,261,279,145,64,
279,279,279,261,261,145,145,145,1,92,64,35,35,35,1,194,92,64,64,64,
92,64,64,64,64,194,64,1,35,35,35,35,261,35,35,35,35,35,64,194,
92,92,92,120,92,92,92,239,170,120,92,92,92,145,145,145,145,92,145,120,
145,120,120,145,261,120,120,120,120,120,1,1,1, };
static unsigned short stb__consolas_bold_32_latin1_a[224]={ 282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,282,
282,282,282,282,282,282,282,282, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_32_latin1_BITMAP_HEIGHT or STB_FONT_consolas_bold_32_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_32_latin1(stb_fontchar font[STB_FONT_consolas_bold_32_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_32_latin1_BITMAP_HEIGHT][STB_FONT_consolas_bold_32_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_32_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_32_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_32_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_32_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_32_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_32_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_32_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_32_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_32_latin1_s[i] + stb__consolas_bold_32_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_32_latin1_t[i] + stb__consolas_bold_32_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_32_latin1_x[i];
            font[i].y0 = stb__consolas_bold_32_latin1_y[i];
            font[i].x1 = stb__consolas_bold_32_latin1_x[i] + stb__consolas_bold_32_latin1_w[i];
            font[i].y1 = stb__consolas_bold_32_latin1_y[i] + stb__consolas_bold_32_latin1_h[i];
            font[i].advance_int = (stb__consolas_bold_32_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_32_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_32_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_32_latin1_s[i] + stb__consolas_bold_32_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_32_latin1_t[i] + stb__consolas_bold_32_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_32_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_32_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_32_latin1_x[i] + stb__consolas_bold_32_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_32_latin1_y[i] + stb__consolas_bold_32_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_32_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_32_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_32_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_32_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_32_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_32_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_32_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_32_latin1_LINE_SPACING
#endif

