// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_34_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_34_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_34_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_34_latin1_BITMAP_HEIGHT        326
#define STB_FONT_consolas_bold_34_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_34_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_bold_34_latin1_NUM_CHARS            224

#define STB_FONT_consolas_bold_34_latin1_LINE_SPACING          22

static unsigned int stb__consolas_bold_34_latin1_pixels[]={
    0x4cc43331,0x80002621,0x08000028,0x4cccccc4,0x26666619,0x17000999,
    0xa9866000,0x000000aa,0x55300000,0x54400555,0x2001bcdc,0x66cc0cc9,
    0x2f6c0000,0x10000000,0x3fff7000,0x7d47ffee,0x22003eff,0x500003fe,
    0x3ff21dff,0xf0ffffff,0xbfffffff,0x001df900,0x21fffd91,0x0002fffd,
    0x004ffa80,0xdffffa80,0xfffd3000,0xf100bfff,0x7ffc4dff,0x3fe20005,
    0xfecb8806,0x26000bde,0x0dc3fffd,0xf71fffb8,0x3ffea3ff,0xfe800eff,
    0x440003ff,0xff95ffff,0x21ffffff,0xffffffff,0x2fffe405,0x3ffffea0,
    0x05fffb0f,0x5ff70000,0xfffa8000,0x3ff2003f,0x5fffffff,0x87fffd40,
    0x0007fffa,0xd3017fe6,0xffffffff,0xffff1005,0x3ffb7dff,0x2e3fff70,
    0xfff51fff,0xf500bfff,0x40007fff,0xf97ffff9,0x1fffffff,0x3ffffffe,
    0x3fff205f,0x3ffe200f,0xffb0ffff,0x9000005f,0x540003ff,0x2001ffff,
    0xa8aefffb,0x2204fffc,0x3fe66fff,0x3ea0006f,0x3ffee03f,0xffffffff,
    0x777fe404,0x0effffff,0xf71fffb8,0xffd503ff,0xfff7003f,0x3e20003f,
    0x3f205fff,0x0bfff0ff,0x0ffffd40,0x077fff20,0x000bfff6,0x7ff5d440,
    0x6c4000ab,0x26000dee,0xff905fff,0x06ecc01f,0x8000336a,0xff302ffb,
    0xffd9dfff,0x3d803fff,0x07bfffaa,0xfb8fffdc,0xfff501ff,0x3ffee007,
    0x3fea0006,0x3fff200e,0x200bfff0,0x801ffff8,0xfb00fffe,0xa80005ff,
    0xfffffffe,0x000003ff,0xd017ffa0,0x000005ff,0x3ff66200,0x1dfffb03,
    0x05ffff98,0xb8015300,0xfff71fff,0x027ffc03,0x007fffd0,0xffc80080,
    0x00bfff0f,0x4013fff6,0x3f605fff,0xb00082ff,0xffffffff,0x00007fff,
    0x03ffea00,0x000dff70,0xffeb8000,0x261fffff,0xf500ffff,0x00003fff,
    0xb8fffdc0,0x3fa01fff,0x3fe6005f,0x000001ff,0xff87ffe4,0xfffa805f,
    0x9fff1006,0xb8fffec0,0x700dfffe,0xffdfffff,0xea87ffff,0xee8805ee,
    0x27ff40ee,0xa87ffcc0,0xe8805eee,0xfe980eee,0xffffffff,0x013fff61,
    0x8809ffff,0x0bdefedb,0x5c7ffee0,0x3fa01fff,0x7fe4006f,0xeeeea84f,
    0x3eeeeeee,0x7c3fff20,0xffd805ff,0xfff1002f,0x4fffec07,0xfffffffd,
    0x67fffc41,0x3513ffa8,0x02ffff88,0x2637ffdc,0x99710fff,0x1fff3b77,
    0x00bfffe2,0xf30dfff7,0xffffffff,0x7fff43ff,0x2fffe402,0xffffff30,
    0x3ee05fff,0x3fff71ff,0x0037ff40,0x2e1fffe2,0xffffffff,0x3f204fff,
    0x0bfff0ff,0x006fff88,0xd80fffe2,0xffffffff,0x260fffff,0xff70ffff,
    0xbfff9005,0x43fffe80,0xffd36ffc,0xffd1ffff,0x02fffe43,0x360ffffa,
    0xffadffff,0x3ffe1dae,0x7ffdc00f,0xfffff905,0x07ffffff,0x3ee3fff7,
    0x3ffa01ff,0xfffe8006,0x7ffffdc2,0x04ffffff,0x7fc3fff2,0x7ffdc05f,
    0x3ffe2003,0x3ffff603,0xfffcacff,0x3fffea3f,0x3003ffb0,0x2601ffff,
    0x7f40ffff,0xfffffd3f,0x98bffaff,0xf300ffff,0xffa81fff,0x09ff32ff,
    0x500ffff1,0xff30dfff,0xffd9dfff,0xffb83fff,0x03fff71f,0x0007ffec,
    0x3113ffee,0xf9333333,0x7fe409ff,0x80bfff0f,0x2000fffe,0x3603fff9,
    0x640effff,0x3fe66fff,0x0ffe8dff,0x07fffd00,0xf113fff2,0x7fff53ff,
    0x3ff6fffb,0x81ffff43,0xfc84fffc,0x0ffea6ff,0x201fffe6,0xfe87fff9,
    0x7fcc0eff,0x7ffdc5ff,0x403fff71,0x4002fffc,0x4006fff8,0x3204fffb,
    0xbfff0fff,0x006fff80,0xb017ffdc,0xf101ffff,0x7ffc1fff,0x007fffff,
    0x741bffee,0x7fcc1fff,0x3eebffb7,0xb87ffb6f,0xffd06fff,0x7fffd03f,
    0x7d417fdc,0xff9807ff,0x7fffd47f,0x1ffff500,0xfb8fffdc,0x3fe601ff,
    0x3e001cff,0x7dc007ff,0x3ff204ff,0x40bfff0f,0x8805fff8,0x407fffb9,
    0x3e02fffd,0x3fea1fff,0x0cffffff,0x1ffff880,0x5c37ffcc,0x27fff6ff,
    0x7ffb5ffc,0x41ffff88,0xff06fff9,0x0ffe43ff,0x403fffcc,0x7ec6fffa,
    0x7ffc04ff,0x47ffee3f,0x5400ccca,0x00fffffe,0x4007ffe8,0x3204fffb,
    0xbfff0fff,0x027ffcc0,0x3fffffee,0x17ffec01,0xb85fffd0,0xffffffff,
    0x7fec00df,0x1fffe44f,0x7fc67fe4,0x36bffb1f,0xfffd82ff,0x41fffe44,
    0x361ffff8,0xfff880ff,0x7ffd400f,0x00ffff45,0xfb93fff2,0x260001ff,
    0x800ffffe,0x2000fffd,0x3204fffb,0xbfff0fff,0x027ffd40,0x033fffee,
    0x80bfff60,0xd882fffd,0xffffffff,0x3ffe602f,0x407fffc7,0xfff9cffc,
    0x3f69ffb0,0x7fff982f,0xf807fffc,0x1ffe3fff,0x00ffffc4,0xff13ffee,
    0xffb801ff,0x07ffee5f,0x7fffe400,0xffd800ff,0x3fee000f,0x3fff204f,
    0x5c0bfff0,0x7dc04fff,0x401dffff,0x3a02fffd,0x36201fff,0xffffffff,
    0x4bfffa01,0xfb05fffa,0x21fff37f,0x3ffd3ffe,0x54bfffa0,0x3fa05fff,
    0x81bfe5ff,0x7403ffff,0x3fe23fff,0xfffa807f,0x007ffee6,0x2bbffe60,
    0x1fffa000,0x09fff700,0xff87ffe4,0x3ffea05f,0xfffb5004,0x2fffd80d,
    0x003fffe0,0xffff9ffb,0x7ffdc0bf,0x203fffb4,0x7ffabffd,0x7ffcbffe,
    0x29fff700,0x3201fffd,0xff9bffff,0x1bfff204,0x20ffff88,0x9807fff9,
    0x3fee7fff,0xffc8001f,0xfff8001f,0x7ffdc007,0x43fff204,0x3e605fff,
    0x7ec005ff,0x3ff602ff,0xffff502f,0x3a2ffd00,0x3e207fff,0x6fff8fff,
    0x3e6fff60,0x9fff88ff,0x3e206ff9,0x6fff8fff,0x7ffffc40,0x1ebacffe,
    0x213fffe6,0x544fffe8,0xf9807fff,0x3ffee7ff,0x7ffd8001,0x0dfff000,
    0x04fffb80,0x7fc3fff2,0x3ffe205f,0x7ffd4006,0x0bfff603,0x013fffa2,
    0xfffa9bfe,0x3fff600f,0x3603fffd,0x9fff8bff,0xffcafffc,0x6fffec04,
    0xfb803fff,0xffffffff,0x7fff41ff,0xffecabdf,0x7ffcc1ff,0x6fffa807,
    0x54c7ffee,0x3ffa00aa,0xfff98006,0x7ffdc005,0x43fff204,0x7fc05fff,
    0x3e2001ff,0x3ff603ff,0x7fff4c3f,0x2ffc400f,0xa80dfff5,0x0fffffff,
    0x7fd3ff20,0xffffffff,0x7fd401ff,0x000fffff,0xfffffff7,0xff883fff,
    0xffffffff,0xfff882ff,0x7ffd400f,0x5c7ffee5,0x3fa01fff,0xffc8006f,
    0x7fdc002f,0x3fff204f,0xc80bfff0,0x22003fff,0x3f603fff,0xffffffff,
    0x054c2fff,0x3fa29ff3,0xffe804ff,0x7dc05fff,0xbffff95f,0x007fffff,
    0x17fffffa,0xffff9300,0xf3019fff,0xffffffff,0x7fffc05f,0x27ffdc01,
    0x3ee3fff7,0x3ffa01ff,0x7fff8006,0x4fffb800,0x7c3fff20,0x7fcc05ff,
    0x3fe2006f,0x3fff603f,0xffffffff,0xddeffb82,0xffffdeff,0xfffb801f,
    0x7fd401ff,0x2a9ffd16,0x2e003eff,0x001fffff,0x0027ffa0,0x3ffffae2,
    0x7ff400cf,0x7fff403f,0x5c7ffee3,0x3fa01fff,0x7fd4006f,0xffb8004f,
    0x3fff204f,0xd00bfff0,0x22005fff,0x3f603fff,0xefffffff,0xffff700c,
    0xffffffff,0x3fe2005f,0xffa806ff,0x0004020f,0x037fffc4,0x001bfe00,
    0x800fffec,0x2206fffc,0x3ee1ffff,0x3fff71ff,0x0037ff40,0x001ffff1,
    0x409fff70,0xfff0fffc,0xdfff700b,0x0fffe200,0x99afffd8,0xffff7001,
    0xbfffffff,0x7ffc4003,0x7fff002f,0x3e200000,0x20002fff,0x70005ff8,
    0x10109fff,0xd109ffff,0xffb89fff,0x03fff71f,0x9002fffc,0x20009fff,
    0x3203fffd,0xbfff0fff,0x0ffffa00,0xb027ffc0,0x10005fff,0xdfffdb75,
    0xfb00037b,0x7e400dff,0xb000006f,0x8000dfff,0x30004ff9,0x7339ffff,
    0xffffb07f,0xfffd957b,0x1fffb81f,0x2203fff7,0xf3004fff,0x7c000dff,
    0x3f202fff,0x0bfff0ff,0x07fffe60,0xd81bffa0,0x80002fff,0x40006ff8,
    0x001ffffc,0x1017ffe6,0x7ffe4003,0x7d40001f,0x3f60003f,0xffffffff,
    0x7ffffcc0,0x3fffffff,0xf71fffb8,0x3ff603ff,0xfff9803f,0xfa80a01f,
    0x3f200fff,0x0bfff0ff,0x07fffe40,0x40ffff60,0x0002fffd,0x4005ff98,
    0xffffebac,0xfffe8003,0x5f9310ad,0x7ff5d640,0xb80003ff,0x220002ff,
    0xffffffff,0xfffe883f,0x02ffffff,0x3ee3fff7,0xfd9931ff,0xf8801fff,
    0x7fc04fff,0xfffca9ac,0x33332a4f,0xfff0fffe,0x4079999f,0x200efffe,
    0x4cdffff9,0x000bfff6,0x8013fea0,0xfffffff8,0xffd10005,0xffffffff,
    0x3fffe205,0x00005fff,0x80003ff9,0xdfffffb8,0x7fff6401,0x3ee00dff,
    0x3fff71ff,0x3fffffea,0x4fffe802,0xffffff80,0x7e46ffff,0x0fffffff,
    0xffffffff,0x7fff440b,0x7fffec05,0x5fffb0ff,0x5ff70000,0x7fffc400,
    0xd80002ff,0xffffffff,0xffff101e,0x400005ff,0x40000198,0x53000198,
    0x3ffee001,0x2a3fff71,0x001effff,0x3e009ff5,0xffffffff,0x7fffe40d,
    0xfff0ffff,0x80bfffff,0xb800efe8,0x950fffff,0x10000399,0x74400133,
    0x0000bdef,0x37bf6e60,0x77f4401c,0x000000bd,0x00000000,0xfff70000,
    0x4c7ffee3,0xa8001abc,0x3bb26004,0x9501cdef,0x49999999,0xcccccccc,
    0x000d8803,0x00132a62,0x00000000,0x00000000,0x55400000,0xaaaaaaaa,
    0xaaaaaaaa,0xdddddd91,0x00005ddd,0x47ffee00,0x0001fffb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fffc000,0xffffffff,
    0xb4ffffff,0xffffffff,0x0000007f,0x7dc7ffee,0x000001ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fffffc0,0xffffffff,
    0xffb4ffff,0x7fffffff,0x2a000000,0xddd50eee,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0xeeeeeeee,0xeeeeeeee,
    0xbbbb93ee,0x005bbbbb,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x09988000,
    0x20000000,0x0001dedb,0x00000004,0x00000000,0x00020000,0x77774c00,
    0xddd7000d,0x3bb66005,0x000000de,0x01bdddd3,0xf503bf20,0x3e00005f,
    0xefc801ff,0x0017fd40,0x05fffffb,0x3fffd980,0xefc800dc,0x8017fd40,
    0x7fd40efc,0x2077e402,0x6cc02ffa,0x00dc3fff,0xdffff980,0xffff9000,
    0x3fa6005f,0x00000eff,0x06ffffcc,0x25fffa80,0x000ffff8,0x403ffcc0,
    0x3e25fffa,0xf9800fff,0x006fd9bf,0x3fffffe2,0x401ffdbe,0x3e25fffa,
    0x7d400fff,0x3ffe25ff,0xbfff500f,0x807fffc4,0xeffffff8,0x4001ffdb,
    0x002ffff9,0x3ff3fff2,0x3ff2003f,0x300000ef,0x8005ffff,0x3e66fffb,
    0x40001fff,0xfb804ffc,0x3ffe66ff,0x27fa801f,0x3f2007fa,0xfffffeef,
    0x7fdc00ef,0x3fffe66f,0x37ffdc01,0x203ffff3,0x3e66fffb,0xff901fff,
    0xffffffdd,0x7fcc001d,0x3f6000ef,0x7fff50ef,0x77ffd400,0x7fcc0000,
    0xf88000ef,0x37fec3ff,0xffdb7100,0xf1005fff,0x6ffd87ff,0xb39ff100,
    0x23d800df,0x01efffea,0x6c3fff88,0xff8806ff,0x037fec3f,0xfd87fff1,
    0xd51ec06f,0x0003dfff,0x00000000,0x00000000,0x20351000,0x3fe6002a,
    0x3fffffff,0x2a035100,0x7ffe4002,0x300001ff,0x1a880015,0x54400550,
    0x51005501,0x8000aa03,0x000000a9,0x00000000,0x00000000,0xf7000000,
    0xffffffff,0x000007ff,0x06765400,0x00000000,0x00000000,0x00000000,
    0x01666540,0xca83332e,0x665c02cc,0x3b6e200c,0x4000bdef,0xbdefedb8,
    0xdb710000,0x30017bdf,0xf7bfffff,0x503fffff,0xcb805999,0x665400cc,
    0x50001ccc,0x00399999,0x333332a0,0x33332001,0xcccccccc,0x66664c0c,
    0xcccccccc,0x3333260c,0x83332603,0x7403fffc,0x3ff21fff,0x7fff403f,
    0xfffff301,0x2005ffff,0xfffffff9,0x7cc002ff,0xffffffff,0x2fffec02,
    0xdffffff3,0x807fff90,0x7401fffe,0x004fffff,0x9fffffd0,0x3fffa000,
    0x3fe004ff,0xffffffff,0x7fdc0fff,0xffffffff,0x3fee1fff,0xff700fff,
    0x1fffe43f,0xc87fffa0,0x7f403fff,0xfffc81ff,0xffffffff,0x7fffe403,
    0x3fffffff,0xfffff900,0x07ffffff,0xf71bffe6,0x83ffffdf,0x7403fffc,
    0x3e201fff,0x006fffff,0xffffff88,0xfff88006,0x3e006fff,0xffffffff,
    0x7dc0ffff,0xffffffff,0x3ee1ffff,0xf704ffff,0x7ffe43ff,0x0ffff403,
    0xe807fff9,0x7fcc1fff,0xffecefff,0xff301fff,0xffd9dfff,0xf9803fff,
    0xfeceffff,0xfd81ffff,0x5fff43ff,0x7e43fffd,0x7ff403ff,0x3ffee01f,
    0x4000ffff,0xfffffffb,0x7ffdc000,0xf000ffff,0xdddddfff,0xc981dddd,
    0xdfffeccc,0x3ee0cccc,0xb80fffff,0x3ff21fff,0x7fff403f,0x00ffff21,
    0xfe83fffd,0x7fcc0eff,0xfffd05ff,0xffff981d,0x77fff405,0x2ffffcc0,
    0xf10ffff4,0xbfff71ff,0x403fffc8,0x3601fffe,0x3fffefff,0x77ffec00,
    0x6c003fff,0x3fffefff,0x03ffff00,0x3fff6000,0x7fffdc02,0xfffb83ff,
    0x00ffff21,0x7e43fffd,0x7ff403ff,0x3fffea1f,0x1ffff500,0x00ffffa8,
    0x201ffff5,0x500ffffa,0xff81ffff,0x9b7fdc7f,0x7fe46fff,0x7fff403f,
    0x2fbffe01,0x7c005fff,0x5fffbeff,0x5f7ffc00,0xff005fff,0x200003ff,
    0x5c02fffd,0x86ffffff,0x3f21fffb,0x7ff403ff,0x0ffff21f,0x6c3fffd0,
    0x7fc04fff,0x7ffec3ff,0x1ffffc04,0x404fffd8,0x3e23ffff,0x9ffec7ff,
    0x7e47fff9,0x7ff403ff,0x9fff501f,0x400ffff3,0xff9cfffa,0x3fea007f,
    0x07fff9cf,0x003ffff0,0x0bfff600,0xffdfff70,0x1fffb85f,0xd00ffff2,
    0x7fe43fff,0x7fff403f,0x007fffa1,0xfe89fff9,0x7fe401ff,0x3fffd04f,
    0x24fffc80,0x3e26fff9,0xffff11ff,0x403fffc8,0xf901fffe,0x3fffe3ff,
    0x3fff9001,0x4007fffe,0xfff1fffc,0xffff003f,0x3f600003,0x7fdc02ff,
    0x5c6fffbf,0x3ff21fff,0x7fff403f,0x00ffff21,0x7fc3fffd,0x7fdc00ff,
    0x07fffc5f,0x417ffee0,0x5c00ffff,0x3fea5fff,0x89bfea6f,0x7fe47fff,
    0x7fff403f,0x64fffd01,0xfd004fff,0x27ffe4ff,0x327ffe80,0xff804fff,
    0xb00001ff,0xfb805fff,0x1fffd9ff,0xfc87ffee,0x7ff403ff,0x0ffff21f,
    0x223fffd0,0xfa807fff,0x3ffe26ff,0x6fffa807,0x807fff88,0x3e66fffa,
    0x93ff66ff,0x7e46fff9,0x7ff403ff,0x5fff981f,0x201bffea,0x3ea5fff9,
    0xff9806ff,0x1bffea5f,0x3bbfffe0,0x04eeeeee,0x805fffb0,0xffa9fffb,
    0x87ffee5f,0x7403fffc,0x3ff21fff,0x7fff403f,0x00ffff31,0x7ccffff3,
    0xff9807ff,0x7fff987f,0x27fff980,0x3fe7fff9,0x17ffe61f,0xe807fff9,
    0xffb81fff,0x3fffe23f,0x1fffdc00,0x801ffff1,0x3e23fffb,0x7fc00fff,
    0xffffffff,0xffb005ff,0xfffb805f,0x2e3fffd1,0x3ff21fff,0x7fff403f,
    0x00ffff21,0x3ea3fffd,0xff9807ff,0x1fffea7f,0x21fffe60,0x9807fffa,
    0x3fe27fff,0x47ffa8ff,0x7e44fffa,0x7ff403ff,0x0fffd81f,0x201ffff4,
    0x7f40fffd,0x7fec03ff,0x1ffff40f,0x3fffffe0,0x05ffffff,0x805fffb0,
    0xff71fffb,0x87ffee9f,0x7403fffc,0x3ff21fff,0x7fff403f,0x00ffff31,
    0x7ccdfff5,0xffa807ff,0x7fff986f,0x46fffa80,0xffcafffe,0x21fffec4,
    0x7403fffc,0x7fc41fff,0x5fffb86f,0x21bffe20,0x2205fffb,0xffb86fff,
    0x7fffc05f,0xcccccccd,0x5fffb002,0x21fffb80,0xffb8ffff,0x0ffff21f,
    0x643fffd0,0x7f403fff,0xffff11ff,0x5fffa801,0x003fffe2,0xf10bfff5,
    0xfa801fff,0x7ffe45ff,0x3e22fffd,0x7fe40fff,0x7fff403f,0x427ffd41,
    0x500ffff9,0xff309fff,0x3fea01ff,0xffff984f,0x07fffe00,0x7ffec000,
    0x0fffdc02,0xff79fff7,0x1fffdc3f,0xb83fffa0,0x7f403fff,0x3fffe0ff,
    0x27ffdc01,0x7007fffe,0x3fe09fff,0x7fdc01ff,0x7fffd44f,0x7ffec7ff,
    0x03fffb84,0x3207fff4,0xccccdfff,0x902ffffc,0x9999bfff,0x205ffff9,
    0xcccdfffc,0x02ffffcc,0x0007fffe,0x017ffec0,0xf887ffee,0x1fffbfff,
    0xf013ffee,0xfffb8fff,0x23fffc04,0x7403fffe,0x7ff43fff,0x7fff403f,
    0x07fffd03,0xd83fffe8,0xb9dfffff,0xb80ffffd,0x7fc04fff,0xfffff87f,
    0xffffffff,0xfffff04f,0xffffffff,0x3fffe09f,0xffffffff,0x3ffe04ff,
    0xfb00001f,0xffb805ff,0x77ffe41f,0x3fea1fff,0x3ffe205f,0x02fffd46,
    0xfc8dfff1,0x3fe206ff,0x7ffe41ff,0x3fffe206,0x0dfff901,0x40ffffc4,
    0xfffffff9,0x503fffff,0x7c40bfff,0x7ffcc6ff,0xffffffff,0xff987fff,
    0xffffffff,0xf987ffff,0xffffffff,0x207fffff,0x0001ffff,0x805fffb0,
    0x7cc1fffb,0x21ffffff,0x901ffff9,0xff98bfff,0xfff901ff,0x4ffff88b,
    0x84fffe88,0x884ffff8,0x2204fffe,0xe884ffff,0x3e604fff,0xffffffff,
    0x3ffe602f,0xbfff901f,0xeeefffb8,0xfffeeeee,0x77ffdc1f,0xfeeeeeee,
    0x7fdc1fff,0xeeeeeeef,0xf01ffffe,0x00003fff,0x700bfff6,0xffb03fff,
    0xfe83ffff,0xf710afff,0xffd01fff,0x3ee215ff,0xffd80fff,0xfecabdff,
    0xffb00fff,0xfd957bff,0xfd801fff,0xecabdfff,0x6400ffff,0xdfffffff,
    0xffffe800,0xffff710a,0x00fffe81,0x3a1ffff4,0x7f400fff,0x7fff43ff,
    0x1ffff400,0xaabffff8,0x982aaaaa,0xfffeaaaa,0x2e0aaaac,0xffa81fff,
    0x7cc1ffff,0xffffffff,0xff304fff,0xffffffff,0x3fe609ff,0xffffffff,
    0x3fe603ff,0xffffffff,0xff9803ff,0xffffffff,0xffe803ff,0x4c000aab,
    0xffffffff,0x7c44ffff,0xffc806ff,0x1bffe26f,0x89bfff20,0xfc806fff,
    0xffff06ff,0xffffffff,0xffffb81f,0xffffffff,0x07ffee1f,0x0ffffff4,
    0x7fffffdc,0x5c04ffff,0xffffffff,0x7f4404ff,0xffffffff,0xfffe8802,
    0x02ffffff,0x3ffffa20,0x802fffff,0x0000fff8,0x7fffffdc,0xfa84ffff,
    0xff9804ff,0x9fff50ff,0x1ffff300,0x2013ffea,0xf80ffff9,0xffffffff,
    0x7dc0ffff,0xffffffff,0x3ee1ffff,0xfff701ff,0x3f6203ff,0x01efffff,
    0xfffffb10,0x764003df,0x00dfffff,0x7ffff640,0xd90000df,0x01bfffff,
    0x0017fee0,0x7fffec40,0xffb01eff,0x3ffe003f,0x03fffb2f,0x6cbfffe0,
    0xff001fff,0xffff05ff,0xffffffff,0xffffb81f,0xffffffff,0x07ffee1f,
    0x01fffff8,0x0001a988,0x0000d4c4,0x8000054c,0x400000a9,0xcb8000a9,
    0x8800002c,0x000001a9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xb8000000,0x26002eee,0x000deeed,
    0xcedcb980,0x220001bc,0x4c001aaa,0xa80deeee,0x4c0002aa,0x000deeed,
    0x02eeeb80,0x0deeed98,0xaa988000,0x000aaaaa,0x06f7774c,0x017775c0,
    0x1bdddb30,0x35555000,0xc806aaaa,0x002fffff,0x03bfffa6,0x7ffecc00,
    0x006fffff,0x00bfff20,0x0dffff98,0x005fff90,0xefffe980,0x3ff20000,
    0xe9802fff,0x8000efff,0xffffffea,0x2002ffff,0x00dffff9,0x2fffffc8,
    0x3fffa600,0x7ffc000e,0x09fffd4f,0x3ff3fff2,0x7fe4003f,0x7c4000ef,
    0xffffffff,0xff10006f,0x7fcc00df,0x7fcc02ff,0xf900005f,0x90001dff,
    0x7fff9fff,0x3bfff200,0xfffd3000,0xffffffff,0x3fe6005f,0xff9002ff,
    0x007fff9f,0x00efffc8,0x753fffe0,0xffd83fff,0x07fff50e,0x0efffa80,
    0x3bfffa00,0x06ecaaac,0x07fff700,0x03bffe60,0x007ffec0,0xefffa800,
    0x3bff6000,0x007fff50,0x003bffea,0xfffffff1,0x5fffd9bf,0x1dfff300,
    0x43bff600,0x4003fffa,0x000efffa,0x3f69fffd,0x000002ff,0xff100000,
    0x000003ff,0x0001fffd,0x9fff5000,0x00000000,0x00000000,0x7fffffec,
    0x5fff90ff,0x00000000,0xd0000000,0x3ff29fff,0x0000002f,0xfff30000,
    0xa800003f,0x00004fff,0x01fffa00,0x00000000,0x4c000000,0xffffffff,
    0x05fff90f,0x00000000,0xfd000000,0x3fff27ff,0xdfdb7101,0xcca8017b,
    0x6665c02c,0x77fffc40,0x3f600000,0x666541ff,0x19999003,0x007fff70,
    0x33333320,0x0ccccccc,0xccccccc8,0x40cccccc,0xccccccc9,0x70cccccc,
    0xffffffff,0x0bfff21f,0x99999993,0x01999999,0x1ccccca8,0x99995000,
    0xfffb0039,0x207ffee7,0xfffffff9,0x3ff202ff,0x7fff403f,0xfffffd81,
    0xff880003,0xffff985f,0x37ffdc01,0x006fff88,0xfffffff0,0x01ffffff,
    0xffffffff,0xb81fffff,0xffffffff,0xf91fffff,0xffffffff,0x70bfff21,
    0xffffffff,0x803fffff,0x04fffffe,0xfffffd00,0x7fffb009,0xf903ffee,
    0xffffffff,0x3ff207ff,0x7fff403f,0x7ffffd41,0x20002eff,0xfb02fffc,
    0xffe80bff,0x3fff202f,0xffff8001,0xffffffff,0xfffff80f,0xffffffff,
    0x7ffffdc0,0xffffffff,0xffffffb1,0x3ff21fff,0x7fffdc2f,0xffffffff,
    0x3ffe201f,0x88006fff,0x06ffffff,0xd52fffd8,0x7ffcc1dd,0xfffeceff,
    0xfffc81ff,0x0ffff403,0xfffffff3,0x0001bfff,0x7cc0dfff,0xff701fff,
    0xfff980df,0xffff8005,0xeeeeeeee,0xeffff80e,0xeeeeeeee,0x766664c0,
    0xccccdfff,0xffffff70,0x3ff21fff,0x66664c2f,0xcccdfffe,0x3ffee00c,
    0x4000ffff,0xfffffffb,0x17ffec00,0x077fff40,0x217fffe6,0x7403fffc,
    0x3ffa1fff,0xfffffbdf,0x3ee000ef,0x7fec03ff,0x5ffff05f,0x01fffb00,
    0x01ffff80,0x03ffff00,0x3fff6000,0x3fffea02,0xf90fffff,0xffb005ff,
    0xffd8005f,0x003fffef,0x7ff7ffec,0x7ffe403f,0x7fffd402,0x1ffff500,
    0x403fffc8,0xff31fffe,0x3ff621ff,0xd000ffff,0xf9801fff,0x7fdc0fff,
    0xfff5006f,0xffff8009,0xffff0001,0x3f600003,0x3fa202ff,0x0fffffff,
    0xb005fff9,0xf8005fff,0x5fffbeff,0x5f7ffc00,0x7e405fff,0x7fec02ff,
    0x7fffc04f,0x01fffe43,0x7dc7fffa,0xfffa86ff,0xff9804ff,0xfffb004f,
    0x02ffff89,0x001fffa0,0x0003ffff,0x0007fffe,0x017ffec0,0x3fffffe6,
    0x5fff90ff,0x05fffb00,0x4e7ffd40,0x2a007fff,0xfff9cfff,0x0fffe407,
    0x007fffa0,0xfc89fff9,0x7ff403ff,0x3ffff51f,0x1ffffd10,0x01fffd80,
    0x21ffff30,0x4006fffb,0x2002fffb,0x0001ffff,0x0003ffff,0x00bfff60,
    0x3fffffea,0x05fff90f,0x005fffb0,0xff8fffe4,0xff9001ff,0x07fffe3f,
    0x401fffb8,0x5c00ffff,0x7fe45fff,0x7fff403f,0x1dffff31,0x03ffff30,
    0x0037ffc4,0x7f4ffff6,0x7c4002ff,0x3fe006ff,0xff0001ff,0x200003ff,
    0x2002fffd,0x90fffffb,0xfb005fff,0x7f4005ff,0x13fff27f,0xf93fff40,
    0x7fdc09ff,0x3ffe201f,0x6fffa807,0x201fffe4,0x3f61fffe,0xff82ffff,
    0x3ff202ff,0x7fcc002f,0x06fffaff,0x03fff900,0x3bbfffe0,0x04eeeeee,
    0xddddffff,0x2009dddd,0x8002fffd,0xff90ba98,0xfffb005f,0x3ffe6005,
    0x01bffea5,0xfa97ffe6,0x3fee06ff,0x3ffe601f,0x7fff9807,0x201fffe4,
    0x3e21fffe,0x10dfffff,0x7c03ffff,0xfb0007ff,0x05ffffff,0x17ffe600,
    0x7fffffc0,0x05ffffff,0xffffffff,0x200bffff,0x0002fffd,0x00bfff20,
    0x400bfff6,0x3e23fffb,0x7dc00fff,0x3ffe23ff,0x1fff700f,0x03fffd40,
    0x323fffcc,0x7f403fff,0x7ff4c1ff,0xffdbffff,0x3ffea06f,0xfff30003,
    0x8000dfff,0xf800fffe,0xffffffff,0xfff05fff,0xffffffff,0x3ff600bf,
    0x3200002f,0xfd802fff,0xffb002ff,0x3fffe81f,0x207ffec0,0x3103fffe,
    0xfff98033,0x6fffa807,0x201fffe4,0xd881fffe,0xffffffff,0x3ffa01ff,
    0x3f60000f,0x0001ffff,0x401fffd4,0xcccdffff,0xff02cccc,0x99999bff,
    0x3f600599,0x200002ff,0xd802fffc,0xf8802fff,0xfffb86ff,0x1bffe205,
    0x0017ffee,0x03fffe20,0xc8bfff50,0x7f403fff,0x3faa01ff,0x02ffffff,
    0x0013ffe6,0x0bffff30,0x1fffe000,0x007fffe0,0x00ffffc0,0x2fffd800,
    0x3ff20000,0xfffd802f,0x4fffa802,0x00ffff98,0xf309fff5,0xb9101fff,
    0x3ffff007,0x44fffb80,0x7403fffb,0xfb800fff,0x6c04ffff,0x80001fff,
    0x0002fffe,0x805fff70,0x0001ffff,0x0003ffff,0x00bfff60,0x1fffc800,
    0x02fffd80,0xccdfffc8,0x2ffffccc,0x99bfff90,0x5ffff999,0x807fffd0,
    0x7403fffe,0x7fdc3fff,0x3fffc04f,0xffffd100,0x037ffc40,0x2fffd800,
    0xfff10000,0x1ffff80d,0x3ffff000,0x3ff60000,0x3e00002f,0xfd800fff,
    0xfff802ff,0xffffffff,0xfff04fff,0xffffffff,0xff889fff,0x7fe406ff,
    0x3ffe206f,0x2fffd41f,0x00dfff10,0x00ffffa8,0x0005fff7,0x00bfff60,
    0x1fffd800,0x007fffe0,0x00ffffc0,0x2fffd800,0xfff30000,0x3fff600f,
    0x7fffcc02,0xffffffff,0xfff987ff,0xffffffff,0x7fc47fff,0x7fc405ff,
    0xffe884ff,0xffff984f,0x8bfff901,0x3fffd400,0x000ffff0,0x017ffec0,
    0x9fff3000,0x00ffffc0,0x01ffff80,0x5fffb000,0x64416400,0xfb006fff,
    0xffb805ff,0xeeeeeeef,0x5c1ffffe,0xeeeeefff,0x1ffffeee,0x400fffdc,
    0xabdffffd,0x00ffffec,0x215ffffd,0x20ffffb8,0xa99abef8,0x505ffffc,
    0x00009fff,0x0017ffec,0x03fffa00,0x555ffffc,0xf02aaaaa,0x55557fff,
    0x55305555,0x59fffd55,0xff501555,0xffff959d,0x5555303f,0x5559fffd,
    0x07fff415,0xd0ffffa0,0xfe801fff,0x00a883ff,0xffffff30,0x07ffffff,
    0x7fffffcc,0x44ffffff,0xfffffff8,0xd00fffff,0x00001fff,0x0017ffec,
    0x0fffea00,0x7ffffffc,0x80ffffff,0xffffffff,0x5c0fffff,0xffffffff,
    0x441fffff,0xffffffff,0xff704fff,0xffffffff,0x3fe23fff,0xfffc806f,
    0x01bffe26,0x001bfff2,0x7ffff440,0x802fffff,0xfffffffb,0xff884fff,
    0xffffffff,0xbfff300e,0xffd80000,0xf800002f,0xffff06ff,0xffffffff,
    0xfffff01f,0xffffffff,0xfffffb81,0xffffffff,0xffffe981,0x2e03ffff,
    0xffffffff,0xf51fffff,0xff3009ff,0x3ffea1ff,0xffff9804,0x3b200000,
    0x00dfffff,0x3ffff620,0x32a01eff,0x1cdeeeed,0x00e66540,0x3fff6000,
    0xca800002,0xffff80cc,0xffffffff,0xfffff80f,0xffffffff,0x7ffffdc0,
    0xffffffff,0x3bb72a01,0x7fdc00bc,0xffffffff,0xfffb1fff,0x3fffe003,
    0x003fffb2,0x000bfffe,0x00054c00,0x000d4c40,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5c000000,0x80002eee,0x00deeee9,0x6f7774c0,0x33726000,0xecb98000,
    0x301bdeff,0x00379d97,0x3660664c,0x2aa2000c,0x3372a002,0x00d54c00,
    0x155554c0,0x00555554,0x05555540,0x7b951000,0xcc980081,0x40066cc0,
    0x02fffffc,0x3fffe600,0x7fcc000d,0x32000dff,0x001fffff,0xffffffb1,
    0xfd889fff,0x1effffff,0x137ffc40,0x2200bfff,0x4405fffe,0x02fffffe,
    0x8001fff3,0x80dffffa,0x00effff9,0x77fffcc0,0xfffb0000,0x0bd317ff,
    0xf137ffc4,0xffc80bff,0x003fffcf,0x02ffff98,0x2ffff980,0x677fcc00,
    0xff9807fe,0xffffffff,0x3fffe24f,0x1fffffff,0x43fffea0,0x8807fffa,
    0x05fffffe,0x3ffffff6,0x005ffd07,0x03ffffa8,0x077ffec4,0x3fff6200,
    0x7fe4000e,0xffffffff,0xffff502f,0x81fffea1,0xff50effd,0x7fcc007f,
    0xf98000ef,0xb8000eff,0x807fe67f,0xeffffff9,0x364ffedc,0xfbacffff,
    0x3e205fff,0x3ffe66ff,0x6fff4406,0xf884ffe8,0x85ffd0ef,0x54005ffb,
    0x2001ffff,0x000efffb,0x00efffb8,0x3a67be60,0x204fffff,0x3e66fff8,
    0x000006ff,0x00000000,0xf33fdc00,0x7ffec03f,0x33a880cf,0xf981ffff,
    0x6ecc07ff,0x20066d40,0x3b624eec,0x727fd42e,0x7ffcc7ff,0x3bb62000,
    0xed98000d,0xdb30004e,0x4098009d,0x9803deda,0x066d40dd,0x00000000,
    0x20000000,0x7febdff9,0x0ffffea0,0x05fffa80,0x0000ffff,0xfa800000,
    0xe8ffea4f,0x000003ff,0x00000000,0x00000000,0xcccc9800,0xcccccccc,
    0xccccc80c,0xcccccccc,0x66665400,0xff90001c,0x7f403fff,0x7e4006ff,
    0xfffa83ff,0x00000006,0xff980133,0x7dcbff25,0x1330005f,0x00260000,
    0x00013300,0x40000998,0xffb80099,0xffffffff,0xfff81fff,0xffffffff,
    0x7ff400ff,0x20004fff,0x7c00cdca,0x6c003fff,0x7fc42fff,0xddd903ff,
    0x07bbae03,0x3ffffae6,0xff882dff,0x88fffabf,0xb9800fff,0xdffffffe,
    0x7ff64002,0x5cc01def,0xdffffffe,0x7ff5cc02,0x402dffff,0xfffffeb9,
    0xfff702df,0xffffffff,0xffff03ff,0xffffffff,0x7ffc401f,0x40006fff,
    0x7fcc0099,0x7ec000ff,0x3ffa22ff,0x3fff605f,0x05fff902,0xfffffffd,
    0xff90dfff,0x3f69ffff,0xfffd003f,0xdfffffff,0xffffd300,0x7407ffff,
    0xffffffff,0x3ffa06ff,0xffffffff,0x3ffffa06,0x86ffffff,0xffecccc9,
    0x80ccccdf,0xeeeeffff,0x200eeeee,0xfffffffb,0xffd73000,0x505bffff,
    0xb000ffff,0x7ff45fff,0x7ffec04f,0x05fff902,0xfddffffd,0xf909ffff,
    0x3fee9fff,0x3fffa006,0xfffffeef,0x3fffe604,0x3fffffef,0xddffffd0,
    0x209fffff,0xfeeffffe,0xfd04ffff,0xfffddfff,0xffb009ff,0x3ffe005f,
    0x7ec0001f,0x03fffeff,0xffffffd0,0xfb8dffff,0xfd8006ff,0xdfff52ff,
    0x05fffb00,0x3a0bfff2,0x7fe440ac,0x2133107f,0x2001fff8,0x7e440ace,
    0x3ffa07ff,0x3ffee1cf,0x40ace80f,0xd07fffc8,0xffc88159,0x8159d07f,
    0x807fffc8,0xf002fffd,0x80003fff,0xfffbefff,0xffffd005,0x9fffffdd,
    0x0037ffe4,0xfc97ffec,0xffd804ff,0x5fff902f,0x3fffa000,0x07ffb000,
    0xfffd0000,0x0bfff501,0x000ffff2,0x0007fff4,0x000fffe8,0x801fffd0,
    0xf002fffd,0x40003fff,0xff9cfffa,0x159d007f,0x27fffc88,0x8007fffb,
    0xff72fffd,0xfffb00df,0x0bfff205,0x17ffec00,0x0037fd40,0x2fffd800,
    0x302fffd8,0x2000bfff,0x0002fffd,0x0005fffb,0xb00bfff6,0x3e005fff,
    0x20001fff,0xfff1fffc,0x3a00003f,0xfff50fff,0xffd8001f,0xbffff32f,
    0x17ffec01,0x002fffc8,0xfffd5533,0x1fff8805,0x55330000,0xff05fffd,
    0x555557ff,0x200dfff7,0xfffeaa99,0xd5533002,0x26005fff,0x2fffeaa9,
    0x017ffec0,0x001ffff8,0xfc9fffa0,0xb00004ff,0x3fe65fff,0x7ec001ff,
    0x3fff62ff,0xfffb01ff,0x0bfff205,0x7ffffdc4,0x402fffff,0xbd934ffd,
    0xfff71007,0x5fffffff,0xffffff88,0xffffffff,0xffff7107,0x05ffffff,
    0x3ffffee2,0x102fffff,0xfffffff7,0xfd805fff,0xfff002ff,0xdddddddf,
    0x3ffe609d,0x01bffea5,0x7f554cc0,0xffff12ff,0xfffd800b,0x3ffffa22,
    0x2fffd82f,0x505fff90,0xffffffff,0x5405ffff,0xffff76ff,0x3fea01df,
    0xffffffff,0x7ffcc2ff,0xffffffff,0xffa87fff,0xffffffff,0xfffa82ff,
    0xffffffff,0xffffa82f,0xffffffff,0x17ffec02,0xffffff80,0x05ffffff,
    0x7c47fff7,0xb8800fff,0xffffffff,0x3fff62ff,0x3ff6001f,0x7ffec42f,
    0x7ffec0ff,0x85fff902,0xcdfffff9,0x02fffecc,0xff13fff1,0x309fffdf,
    0x99bfffff,0x985fffd9,0xccccffff,0x43cccccc,0xcdfffff9,0x42fffecc,
    0xcdfffff9,0x42fffecc,0xcdfffff9,0x02fffecc,0x8017ffec,0xffffffff,
    0xfb05ffff,0xfffe81ff,0x7fffd403,0xffffffff,0x3ffffe62,0x7feca602,
    0xffff902f,0x02fffd87,0xfe85fff9,0xffd80dff,0x29ffb02f,0xfff33ffc,
    0x01bfffd0,0xff05fffb,0x7f4000ff,0xffd80dff,0x6ffff42f,0x42fffd80,
    0xd80dfffe,0x7ec02fff,0xfff002ff,0x999999bf,0xdfff1059,0x40bfff70,
    0xcdfffff9,0x42fffecc,0xcefffffd,0xfb4fecaa,0x7fec05ff,0x17ffec5f,
    0x217fffcc,0xfb00ffff,0xdff505ff,0xfff0ffec,0x201ffff0,0xfe82fffd,
    0xff0000ff,0x3ff601ff,0x07fffc2f,0x7c2fffd8,0xffb00fff,0xfffd805f,
    0x3ffff002,0x9fff5000,0x01ffff30,0x2037fffa,0x7442fffd,0xffffffff,
    0xfffb4fff,0x2fffdc05,0xf313fff2,0x7c45ffff,0xffb81fff,0x7ffc42ff,
    0xfe83ffa1,0x3fffe20f,0x2ffffb81,0x005fffd8,0x81ffff88,0x222ffffb,
    0xfb81ffff,0x3fe22fff,0xfffb81ff,0x7ffec02f,0x3ffff002,0xbfff9000,
    0xfff99999,0x3fffe05f,0x05fffb00,0xffffffb1,0x3f69ffff,0xfe8812ff,
    0x7ffdc3ff,0xffffc9bf,0x7fffc2ff,0xffff910d,0x44ffc85f,0x1ffe2ffd,
    0x4437fffe,0x82fffffc,0x81dffff8,0xffff83a8,0xffff910d,0xdffff85f,
    0xfffff910,0x0dffff85,0x5fffff91,0x02fffd80,0x003ffff0,0xfffffff0,
    0x9fffffff,0x03ffff10,0x405ffff7,0xffffffda,0x5fffb0be,0x3ffffff2,
    0x7ffc40ff,0xfeffffff,0x7ffec2ff,0xfffffeff,0x3bfe62ff,0x6d77fdc0,
    0xfffd85ff,0xfffffeff,0xfff902ff,0xffffdfff,0xffffd81f,0xffffffef,
    0x7fffec2f,0xffffffef,0x7fffec2f,0xffffffef,0x7ffec02f,0x3ffff002,
    0xffff9800,0xffffffff,0xffff07ff,0x3fff221b,0xffe802ff,0x5fffb01e,
    0x3ffffff2,0xffff702f,0xfff3dfff,0xfffff885,0xfffaefff,0x220bffa2,
    0x0fffffff,0xffffff88,0x2fffaeff,0x3fffff20,0x40ffffff,0xfffffff8,
    0x42fffaef,0xfffffff8,0x42fffaef,0xfffffff8,0x02fffaef,0x8017ffec,
    0x4001ffff,0xeeeefffb,0xffffeeee,0xfffffd81,0xfffffffe,0x03fff802,
    0x7e4bfff6,0x400dffff,0x14fffffb,0xfd105fff,0x3e29ffff,0x09ff92ff,
    0x0f7fff4c,0xfffffd10,0x00bffe29,0xffffffb3,0x3fa20bff,0xff14ffff,
    0xfffd105f,0x3ffe29ff,0xffffe882,0x45fff14f,0xffeaaaa9,0x80aaaacf,
    0xaaabffff,0x7f42aaaa,0x7ff400ff,0xffff883f,0xffaeffff,0x7ffcc02f,
    0x13330000,0x00353000,0x000d4c40,0x00098800,0x00006a62,0x009aaa88,
    0x00035310,0x0000d4c4,0x5c003531,0xffffffff,0xf81fffff,0xffffffff,
    0xff10ffff,0xfff900df,0x3fffa20d,0x5fff14ff,0x005ffb80,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffffffb8,0x1fffffff,
    0xfffffff8,0x50ffffff,0xf3009fff,0x4c401fff,0x75c0001a,0x0000002e,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffb80000,0xffffffff,
    0xfff81fff,0xffffffff,0x3fffb0ff,0x0bfffe00,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000988,0x55544000,0x4000882a,0xaa980001,0x2aa8800a,0x5ee54400,
    0x4c400040,0x664c0000,0xa8066cc0,0x0000aaaa,0x00555100,0x3660664c,
    0x54c0000c,0x51002aaa,0xfda80055,0xeeeeffff,0x3ffa203e,0x3fff6001,
    0x04fedbcf,0x005fff30,0x017ffe40,0x017fffa2,0xbfffffd8,0xc8805e98,
    0x00cfffff,0x137ffc40,0x3e60bfff,0x0000efff,0x005ffb80,0x7c4dfff1,
    0x2a0005ff,0x800dffff,0x005fffe8,0xfffffffb,0x409fffff,0x2007fffe,
    0xfffffff9,0xffd004ff,0x320001ff,0x3a202fff,0x805fffff,0xfffffffc,
    0x2602ffff,0xffffffff,0x3fea000f,0xffff50ff,0x77ffec40,0x7f400000,
    0xfff5003f,0x1fffea1f,0x7fffd400,0xfffd1003,0xffc80bff,0xffffddff,
    0x3fe04fff,0x7d400fff,0xffffffff,0xff8803ff,0x90001fff,0x3a205fff,
    0x4ffe8dff,0x74cf7cc0,0x404fffff,0xffeffffe,0x3e2006ff,0x3ffe66ff,
    0xefffb806,0xf9980000,0xff1000ff,0x37ffccdf,0x7fffd400,0xbffd1001,
    0x2609ffd1,0x3620efff,0xfe800fff,0xffb807ff,0x0effffff,0x3ffff400,
    0x5fff9000,0xd893bb20,0x204c02ee,0x5c03deda,0x3fa25fff,0x366001ff,
    0x0066d40d,0x004eed98,0xffffed98,0x6ecc006f,0x00066d40,0x0037bb62,
    0x3624eec8,0xfffa82ee,0x04fffa82,0x802ffe98,0xffbbcefb,0x744003ff,
    0x320001ef,0x00002fff,0xfd800000,0x7ffdc0ff,0x00000003,0x3ff20000,
    0x3fffffff,0x00000000,0x40000000,0xff00fffc,0x000400bf,0xffffd011,
    0x40000001,0x05fff918,0x03000000,0xa87ffe80,0x40002fff,0x01800009,
    0x7ffffec0,0x02ffffff,0x80000600,0x13000009,0x05fff700,0x0009fff1,
    0xffec8800,0x4005ffff,0x5c400999,0xfffffffe,0x0f77642f,0x201eeeb8,
    0xdefffed9,0x0fffec01,0x0003fff6,0x37bfffb2,0xffdb3001,0x7d403bdf,
    0xffc9bfff,0x3002ffff,0x3bdfffdb,0xfffec800,0x764001de,0x501defff,
    0xff90bfff,0xddddd07f,0x2e00bddd,0xffffffff,0xff1001ff,0x7ffd405f,
    0xffffffff,0x817ffec2,0xf702fffc,0xffffffff,0x27ffdc09,0x800bfff7,
    0xffffffe9,0x7fdc03ff,0x4fffffff,0x745fffd0,0x05fffeff,0xffffffb8,
    0xe9804fff,0xffffffff,0xfffe9803,0xd03fffff,0xfb79ffff,0xfff01dff,
    0x00dfffff,0xfffffff9,0x200bffff,0xf902fff9,0xffffffff,0xffd85fff,
    0x5fff902f,0xffffffb0,0x20bfffff,0xfdbffff8,0x26000fff,0xffefffff,
    0xffb03fff,0xffffffff,0x6fffa8bf,0x3fe3ffe6,0x7ffec06f,0xffffffff,
    0x3fffe605,0x3fffffef,0x3ffffe60,0x83fffffe,0xfffffffb,0xfff01fff,
    0x80dfffff,0x89dffff9,0x01ffffb8,0x983fff98,0x30aeffff,0xfd85fffb,
    0xfff902ff,0xdffffa85,0xffffebab,0xfffff701,0xe8001dff,0x3ee1cfff,
    0x7fd40fff,0xfebabdff,0x3fee1fff,0x6d7ff23f,0xff500fff,0xfd757bff,
    0x3fa03fff,0x3fee1cff,0xfffd00ff,0x7fffdc39,0x3ffffe20,0x200cffff,
    0xfffa9999,0x2ffff406,0x01ffffc4,0x07ffffb5,0x320bfffd,0x7fec2fff,
    0x5fff902f,0x885fffe8,0x3a06fffe,0x004fffff,0x905fffa8,0xffe87fff,
    0xfffe885f,0xe8bfff26,0x3fff92ff,0x217fffa0,0xa86fffe8,0xff905fff,
    0xbfff507f,0xc8ffff20,0x035516ff,0x1bffe600,0x01ffff88,0xd10bfffb,
    0x89ffffff,0x901ffff9,0xffd85fff,0x5fff902f,0x807fffd4,0xf907fff9,
    0xa88bffff,0xfffb00aa,0x97ffe605,0x300ffffa,0x7fecffff,0x5cfff31f,
    0xffa83fff,0xfff300ff,0x05fffb0f,0x3617ffe6,0xff302fff,0x02fff4bf,
    0xdfff3000,0x037ffd40,0xf88dfff7,0x4fffffff,0x9037ffd4,0xffd85fff,
    0x5fff902f,0x2027ffdc,0x7e41ffff,0x24ffffff,0xff01fffb,0x555557ff,
    0x7dcdfff7,0x7ffc04ff,0x23fffb1f,0x3ff24ffc,0x4fffb82f,0x20ffffc0,
    0xaaabffff,0x86fffbaa,0xaaabffff,0x26fffbaa,0x99acfffe,0xff980019,
    0x3ffee06f,0x1fffea04,0x339ffff9,0x4fffb813,0xb0bfff20,0x3f205fff,
    0x3fff22ff,0x17fff403,0xff7ffff5,0x3ffee5ff,0xfffff880,0xffffffff,
    0x0ffff27f,0x325fffd0,0x5fff2fff,0x640fffec,0x7f403fff,0x3ffe22ff,
    0xffffffff,0x7fc47fff,0xffffffff,0x3ee7ffff,0xffffffff,0xf9800cef,
    0x3ff206ff,0x3ffe603f,0x01ffffc7,0x901fffe4,0xffd85fff,0x5fff902f,
    0x201fffec,0x3fa3fffd,0xffff91ff,0x260fff93,0xffffffff,0x27ffffff,
    0x6c03fffd,0xfff73fff,0x7c4fff39,0xffd80fff,0x7ffec03f,0x3ffffe63,
    0xffffffff,0x7fffcc7f,0xffffffff,0x7ffec7ff,0xffffffff,0x7ffcc01f,
    0x13fff206,0x227fff98,0xc801ffff,0x3f204fff,0x7ffec2ff,0x45fff902,
    0x7403fffd,0xfff32fff,0xeefffd8d,0xfff306ff,0x9999999f,0x7fec7999,
    0x7fff403f,0xfbffff12,0x2fffe49f,0x403fffd8,0x3e62fffe,0xcccccfff,
    0x4c3ccccc,0xccccffff,0x23cccccc,0xeeeffff9,0x0ffffffe,0x81bffe60,
    0x2a04fffb,0x3fe66fff,0xffb801ff,0x3fff204f,0x817ffec2,0x3ee2fffc,
    0x7ffc04ff,0x89fff50f,0xffffffe8,0x01fffe03,0x027ffdc0,0xfd83fffe,
    0xc89fffff,0xf700ffff,0xfff809ff,0x03fffc0f,0x01fffe00,0x07fffe20,
    0x017fffd4,0x540dfff3,0x3f606fff,0x7fffc5ff,0x6fffa803,0x85ffff30,
    0xf982fffd,0x3fea2fff,0x3ffe607f,0x213ffea7,0x0ffffff8,0x003fffa0,
    0x81fffea0,0x7447fff9,0xffffffff,0x3ea04fff,0x3fe607ff,0x0fffe87f,
    0x3fffa000,0x7ffdc000,0x1fffec03,0x40dfff30,0x982ffff9,0x7f42ffff,
    0x7cc02fff,0x7fc41fff,0x7fe42fff,0x7fffcc4f,0x3fffe62f,0x4bfffb03,
    0xa80ffff9,0x6c05ffff,0x98005fff,0xfb03ffff,0xffd10bff,0x7fffffff,
    0x3ffff980,0xb0bfffb0,0x4000bfff,0x4005fffd,0x7404fffd,0x3e601fff,
    0x7fec06ff,0xffb89bff,0xfffa86ff,0x419abeff,0xb9aefffe,0x42ffffff,
    0xc9bffffb,0x42ffffff,0x99cffffc,0x40ffffea,0x221effff,0x01fffffc,
    0x077fffe2,0x3ff20ea2,0xfea99cff,0xff100fff,0x03bfffff,0x33ffff20,
    0xffffea99,0xdffff880,0xf103a881,0x5103bfff,0x57fffdc7,0x37ffecc0,
    0xff533331,0x413333ff,0xfffffff9,0x702fffff,0xffffffff,0xfffffa8f,
    0xfffeffff,0x7ffffc42,0xfffeffff,0x7ffffc42,0x3fffffff,0xffffffb8,
    0xffffffff,0x3fff200f,0xffffefff,0x7fffc40f,0xffffffff,0x2bbfea03,
    0xff88000a,0xffffffff,0x3ff203ff,0xfffeffff,0xfff900ff,0xffffdfff,
    0x3fffe21f,0xffffefff,0x3fff20ff,0xffffffff,0x7ffdc5ff,0x3fffffff,
    0x7ffffdc0,0xfffc87ff,0xff9effff,0xffffb82f,0xfff9efff,0xffffe982,
    0x203fffff,0xfffffffd,0xefffeeff,0x3ffff200,0x0fffffff,0xfffffe98,
    0x6c03ffff,0x980003ff,0xfffffffe,0xffc803ff,0xffffffff,0x3fff200f,
    0xffffffff,0x3ffffa60,0x1dffffff,0x7fffffe4,0x5fffffff,0xfffffd88,
    0xf71001df,0x2e0fffff,0xf14fffff,0x3fee05ff,0xfff14fff,0x7fffe405,
    0xe9801dff,0x13ffffff,0x980bffff,0xfffffffd,0x7ffe405f,0x4401dfff,
    0x00001fff,0x3ffffff2,0x3f66001d,0x5fffffff,0xffffd980,0x9305ffff,
    0x199dffdd,0x3fffff20,0xffffffff,0x00d54405,0x132a6200,0x80003510,
    0x880001a9,0x260000a9,0x4000009a,0x0009aaa8,0x300054c4,0x00000999,
    0x00002a62,0x0026aaa2,0x04d55440,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40001100,
    0x80002aa8,0x30001018,0x00055555,0x00aaaaa6,0x1eeec800,0x201dddb0,
    0xa9803cc9,0xaa88001a,0x000002aa,0x80c40000,0x000aaaaa,0x0002aaa6,
    0x40026aa2,0x3ff24eec,0x22000dff,0x4005fffe,0xefffedc8,0x54002fdc,
    0x000dffff,0x0dffffa8,0x7ffff654,0xfffb01de,0x03fffa03,0x80dfffb3,
    0x4000fff9,0x01ffffe8,0x66ff6544,0x6ff54002,0x077fd400,0x03bfffe6,
    0x017ffec0,0x7ffffd40,0x3bff601d,0xffffffe8,0xffe8801f,0xf5005fff,
    0xffffffff,0x7d4005ff,0x50003fff,0xf107ffff,0xffffffff,0xfffd81bf,
    0x41fffd01,0x06fffff8,0x20017ff4,0x00dfffe8,0x7fffffcc,0xf9800eff,
    0x7fc06fff,0xffd885ff,0xffd800ef,0xffa8002f,0x80dfffff,0xfffefffd,
    0x00ffffff,0x3a37ffa2,0x7fe404ff,0xffffffff,0xff5002ff,0x2a0003ff,
    0xf101ffff,0xffffffff,0xfffd8bff,0x81fffd01,0x206ffcee,0x44005ffb,
    0xa803fffe,0xfecdffff,0x7dc01eff,0xf101ffff,0x7dc0dfff,0x7ec00eff,
    0xfa8002ff,0xffffffff,0x7ffffec0,0xffffcacf,0x893bb203,0xff302eed,
    0x36615dff,0xd8802fff,0x10000dee,0x4401bddb,0xfdbabcef,0x3f62ffff,
    0xfffd01ff,0x0dff3081,0x0003ffe6,0x5003bdd9,0xf9105fff,0x7fdc01ff,
    0x3fa01fff,0x76cc04ff,0x7ffec04e,0xbaa88002,0x46fffffd,0x40effffd,
    0x0006fffc,0x17fff600,0x0017ffe4,0x40000000,0x3fffe200,0x407fff64,
    0xf300fffe,0x0fffa0df,0x7f400000,0x27fe401f,0x0dffff10,0x0004ed88,
    0x02fffd80,0xfffb1000,0x7fffec7f,0x0ffff880,0x7cc00600,0xff901fff,
    0x000c005f,0xc8000000,0x3ff65fff,0x1fffd01f,0x2e1bfe60,0x000005ff,
    0xa887ff50,0x01ffd1cc,0x0006f6cc,0x3f600000,0x000082ff,0x6cbfffd1,
    0x3fe02fff,0x3b6601ff,0x501defff,0x7e40dfff,0x3b6602ff,0x401defff,
    0xd701eeec,0xfb8003dd,0x3fff63ff,0x01fffd01,0xff11bfe6,0xdddd001f,
    0xd00bdddd,0x7ffe41ff,0x009ff54f,0x40ccc400,0xd701eeec,0x3fff63dd,
    0x1bfffd71,0x7fffc800,0xe80bfff6,0xff702fff,0x9fffffff,0x409fff70,
    0xf702fffc,0xffffffff,0x17ffec09,0x002fffc8,0xfb07ffec,0x3ffa03ff,
    0x8dff300f,0xff003ffd,0x0dffffff,0x3f24ff98,0x3fe4ffff,0x3ea00006,
    0x7ffec0ff,0x25fff902,0xffd9fffd,0x001fffff,0xfd9bffee,0x3ff602ff,
    0xffffd82f,0x5fffffff,0x901fffe4,0xffb05fff,0xffffffff,0x3fff60bf,
    0x05fff902,0x17fff220,0x3a03fffb,0xff300fff,0x0037fdcd,0xffffffff,
    0x12ffa80d,0x4333bfff,0x200007fd,0x7ec0fffa,0xfff902ff,0x3fffff65,
    0xffffffff,0xbfffb000,0xd017ffec,0xffa83fff,0xfebabdff,0x3ff21fff,
    0x3fff204f,0x6ffffd42,0xffffebab,0x02fffd81,0x3a05fff9,0x4fffffee,
    0xd01fffd8,0x44001fff,0x26001fff,0x6fffa999,0xfb8ffdc0,0x03ff207f,
    0x7ffdc000,0x817ffec0,0xffb2fffc,0xf959ffff,0xc8807fff,0x3f62ffff,
    0x3ffe02ff,0x2ffff40f,0x737fff44,0x7e409fff,0x7fff42ff,0x6fffe885,
    0x902fffd8,0x3fe05fff,0x81dfffff,0xfc82fffd,0x36000fff,0x4c0003ff,
    0x7e406fff,0x40bff90f,0x00402ffb,0x6c1fffb8,0xff902fff,0x3ffff65f,
    0x37ffe40e,0x7ffffff4,0x17ffec5f,0x547fffa8,0xf300ffff,0x7ffd4fff,
    0x5ffff306,0x807fffd4,0xfd87fff9,0xfff902ff,0x3ffffe05,0x360dffff,
    0x7fd44fff,0xf5001fff,0xf30000df,0xffd80dff,0x5c0bffb0,0xdff702ff,
    0x1fffb801,0xc817ffec,0xfffb2fff,0xffff101f,0xfffffe81,0x7ffec0df,
    0x4fffe882,0x2027ffdc,0xff31ffff,0xfff883ff,0x3ffee2ff,0x0ffffc04,
    0x640bfff6,0x55502fff,0xdffffd95,0x4dffffec,0xcffffffc,0x0fffc401,
    0x7ffcc000,0xc8ffe406,0x3fee07ff,0x6ffff981,0x20fffe40,0xf902fffd,
    0x3fff65ff,0x07fffe02,0x05bffffd,0xd30ffff6,0xfc81ffff,0x7ff403ff,
    0x3bfffa2f,0xfffffb9a,0x0ffff22f,0xd85fffd0,0xff902fff,0xffa8005f,
    0xffffb3ff,0xffdfffff,0xffd80fff,0x00b332e4,0x406fff98,0xfff52ffa,
    0x0ffc8217,0x2fffffb8,0xb0bfff20,0x3f205fff,0x5fffb2ff,0x217fff40,
    0xfd807ffd,0xffffffff,0xffd82fff,0x7ffec03f,0x3ffffea3,0xffffffff,
    0x00ffff62,0xfd87fffb,0xfff902ff,0xfff90005,0x3fffff6b,0xfff8cfff,
    0x9bfea07f,0x004ffff9,0x301bffe6,0x7fff47ff,0x41ffa4ff,0x04fffff9,
    0xfb0bfff2,0x3ff205ff,0x05fffb2f,0x3617ffec,0xffd807ff,0xffffffff,
    0x7fffb02f,0x42fffe80,0xfffffffc,0x362fffbd,0x7f403fff,0x7ffec2ff,
    0x05fff902,0x2dfff500,0xfffefffd,0x41fffee4,0x3fa1fff8,0x26004fff,
    0x7c406fff,0x3fffea6f,0x40bff34f,0x204ffffc,0x7ec2fffc,0xfff902ff,
    0x80bfff65,0x7ec1fffe,0xfffd806f,0x0cefffff,0x013ffee0,0xf701ffff,
    0x3ee9ffff,0x3ffee2ff,0x07fffc04,0x640bfff6,0xc8002fff,0xfffb5fff,
    0x26620331,0x5c9ffb00,0x004ffbff,0x201bffe6,0x3b222ffd,0x03ff92ef,
    0x203fffe8,0x7ec2fffd,0xfff902ff,0x80bfff65,0x4c40ffff,0xfffd8009,
    0x2a00199a,0x3e607fff,0x0d4407ff,0xfa8bfff2,0x3fe607ff,0x2fffd87f,
    0x02ffff98,0x9ffffcc0,0x0000fffd,0xff137fd4,0x4009ff39,0x9806fff9,
    0x7cc00eff,0xfffc806f,0x0ffff601,0xf305fffb,0x3ff65fff,0xffff502f,
    0xfffb0000,0x3fe60005,0xfffb03ff,0x3ff2000b,0x3fffe62f,0x0bfffb03,
    0xf989fff9,0x2a62ffff,0xfc998899,0xffb0ffff,0x7c40003f,0x4dbfa1ff,
    0x3e6004ff,0xffb006ff,0x3ffea01d,0x0effe801,0x90ffff60,0xff989fff,
    0xfffb2fff,0x9fffd105,0xb007dd50,0x40005fff,0x99cffffc,0x00ffffea,
    0x85fff900,0x99cffffc,0x80ffffea,0xc9bffffb,0x22ffffff,0xfffffffd,
    0x362fffff,0x20001fff,0x3fe64ffc,0x87ffffff,0xffa99998,0x809999ff,
    0x9adfffe8,0x403fffdb,0x401fffd9,0x7dc3fffe,0xffc9bfff,0xffb2ffff,
    0xfffe987f,0x7fffcc0f,0x17ffec03,0xffff1000,0xffffffff,0x7fe40007,
    0x7fffc42f,0xffffffff,0xfffff103,0xfffdffff,0x7ffffec5,0x42efffff,
    0x0001fffd,0x7cc1dff3,0x7fffffff,0xffffffc8,0x5fffffff,0xfffffb10,
    0x2605ffff,0x03fffffe,0x443fffe8,0xffffffff,0xfb2fffef,0xffffffff,
    0xff705fff,0xffd80bff,0x74c0002f,0xffffffff,0x7e40003f,0xffe982ff,
    0x3fffffff,0x7ffffdc0,0x2fff9eff,0x3ffffff6,0xffb02dff,0x3fa0003f,
    0x5555442f,0xfc82dffb,0xffffffff,0x5c05ffff,0x1ceffffd,0x37fffe60,
    0x9fffd001,0xffffff70,0x25fff3df,0xfffffffd,0xf502ffff,0xfd809fff,
    0x900002ff,0x3bffffff,0xfff90000,0x7fffe405,0xf7001dff,0x3e29ffff,
    0x54ccc2ff,0x99970019,0x9ff90001,0x413fe600,0xfffffffc,0x05ffffff,
    0x4c002a60,0x74001acd,0xff704fff,0x3fe29fff,0xfffd932f,0x8019dfff,
    0x5400effd,0x00001ccc,0x000054c4,0x007332a0,0x80002a62,0x000001a9,
    0x00000000,0x00000000,0x00000000,0x300b3332,0x26200035,0x02980019,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x001aaaaa,0x00555100,0x64400000,
    0x00e6441d,0x33260000,0x21aa9803,0x801bdecb,0x00001aa9,0x00155530,
    0x0bdca880,0x00080004,0x37b2ea00,0x333320bc,0x4ccccccc,0x7fee5440,
    0xd881bdef,0x0002ffff,0x02ffff44,0x3bfb2a20,0xffb000bd,0x07fff41f,
    0xdfffd930,0x3ff6603b,0x7ffcc06f,0x3fffffe0,0x03ffe603,0xdefedb88,
    0x3fff600b,0x7fec0002,0x5e98bfff,0x04fdb880,0xfffe9800,0x3fe3ffff,
    0xffffffff,0x3ffea07f,0xffffffff,0x3ffff700,0x3ffa2000,0xd3005fff,
    0xdfffffff,0x5ffff003,0x20bfffe2,0xffffffd8,0x7fc45fff,0x7f406fff,
    0x7ede6c2f,0x0bffa07f,0xffffff98,0xffb02fff,0x7e40005f,0xffffffff,
    0x7fdc02ff,0x7cc0004f,0xffffffff,0x3fffffe3,0x887fffff,0xfffffffc,
    0x200fffff,0x001ffff9,0x746fff44,0x7fd404ff,0xffffffff,0x7ffec02f,
    0x203fffa1,0xfffffffd,0x7745ffff,0x3ee06ffc,0x3ffcc05f,0x3205ffb8,
    0xffffffff,0xffd83fff,0x3e60002f,0xffffe99e,0xfffb804f,0x3fa20004,
    0xdcbbcfff,0x33333322,0xd87fffcc,0xcdffffff,0x400fffed,0x000deed8,
    0xed893bb2,0xffff102e,0xffff957d,0x42dc880d,0xffa82dd8,0xfca89bff,
    0x7cc21fff,0x1fff306f,0x07bfff60,0x4c03ffe6,0xecefffff,0x6c1fffff,
    0x40002fff,0x1ef6d409,0x04fffb80,0x3fffea00,0x7fc40000,0x7fffd47f,
    0x0036a01f,0x00000000,0xf10dfff9,0x00007fff,0x40ffff20,0xf983fffd,
    0x07ffd06f,0x067ffffc,0xfe80fffa,0x7fcc0eff,0x7ffec5ff,0x00000002,
    0x013ffee0,0x03fffb80,0x7fff8800,0x0077fff4,0x00000000,0x7fffc400,
    0x0dfff700,0x3ff60000,0x7fff700f,0xf70dff30,0xebaa80bf,0x17fee3ff,
    0x00ffffa8,0x6c1ffff5,0x00c42fff,0x3a00c400,0xffffeeee,0x00eeeeee,
    0x0017ffec,0x53fffc40,0x0003ffff,0xeeeeeee8,0xdddd005e,0xb80bdddd,
    0x3e205fff,0xeee81fff,0x405eeeee,0xf903fffd,0xdff303ff,0x000fff88,
    0x7fc53ff6,0x3fff600f,0x1ffffc04,0x3f23fffb,0xd900dfff,0x7fffe49d,
    0xfffff80d,0xffffffff,0x7fec01ff,0xf880001f,0x3fff27ff,0xfff80005,
    0x006fffff,0xffffffff,0x2fffc80d,0x5fffff50,0xfffffff0,0xfffb80df,
    0x37ffd42f,0x7ec6ff98,0x3bfe603f,0xffb2ffff,0x1fffe807,0xb27ffe40,
    0xfffd5fff,0xfb01ffff,0xffffd1df,0xfff81fff,0xffffffff,0x6c01ffff,
    0x80001fff,0x3f67fff8,0xf80003ff,0x6fffffff,0xffffff00,0xffd80dff,
    0xffffc81f,0xffff83ff,0x4406ffff,0xb9dfffff,0xf302ffff,0x037fdcdf,
    0x3bffffe6,0xf00dff72,0xfb801fff,0x3fff65ff,0xffffffff,0xefffd85f,
    0xffffffff,0x7e4cccc5,0x99999dff,0x755554c1,0xaaaacfff,0x3fe2002a,
    0x0bfffe7f,0x99999995,0xf5333301,0x26600dff,0x06fffa99,0xd307fff4,
    0x9fffffff,0xff533330,0xfff300df,0x5fffffff,0x1fff8800,0x209aa980,
    0x4401fff8,0xfa807fff,0x3fff66ff,0xffdacfff,0x7ffec0ff,0xffdacfff,
    0x3fee00ff,0xfff9004f,0xffffffff,0x4400ffff,0xfff17fff,0xffffc83f,
    0xf9800fff,0xf30006ff,0xfff80dff,0x3bfffee7,0x9805fffb,0xd1006fff,
    0x5fffffff,0x07ffb000,0x07ffb000,0x00ffff30,0x7ecffff3,0x7fc0efff,
    0x7ffec1ff,0x7fffc0ef,0x13ffee01,0x7ffffe40,0xffffffff,0x3fe2007f,
    0x1ffff17f,0xffffffc8,0xfff9800f,0xfff30006,0x7fffc40d,0x34ffffd8,
    0xf300bfff,0x3a200dff,0xffffffff,0x1bfea003,0x1bfea000,0x03fffd40,
    0xfb3fffcc,0xffb01fff,0xffffd85f,0x02fffd80,0x4013ffee,0xfffeeeeb,
    0x5eeeeeef,0x5fffe200,0x5c1ffff8,0x0ffffeee,0x06fff980,0x0dfff300,
    0xfffffff8,0x3ffea2ff,0x6fff9804,0xeffff980,0x03fffffe,0x001fff88,
    0x00fffc40,0x807fff98,0x3f66fffa,0xfff902ff,0x02fffd85,0x5c05fff9,
    0x20004fff,0x0001fffd,0x3e7fff88,0x7f402fff,0xff9800ff,0xff30006f,
    0xfffe80df,0x7dc0efff,0xff9803ff,0x7ffcc06f,0x3fffee3f,0xa7fec01f,
    0x000addc9,0x665c9ffb,0x7fffc42c,0x2fffd400,0x3205fffb,0x7fec2fff,
    0x5fff902f,0x027ffdc0,0x03fffb00,0xffff1000,0x201ffff4,0x9800fffe,
    0x30006fff,0xfd80dfff,0xf903ffff,0xff3005ff,0xfffd80df,0x4ffff983,
    0x7e5bfea0,0x400fffff,0x3fe66ffa,0xffff84ff,0x27ffdc01,0x3205fffb,
    0x7fec2fff,0x5fff902f,0x027ffdc0,0x03fffb00,0xffff3000,0x2037ffe4,
    0x9800fffe,0x30006fff,0xfc80dfff,0x3fa01eff,0xff9801ff,0x3ffe206f,
    0x1bffea07,0xf98fffc4,0x203ffecd,0x3fa1fff8,0xffe84fff,0x7fff403f,
    0x40bfff63,0x7ec2fffc,0xfff902ff,0x27ffdc05,0x3fffb000,0xfff50000,
    0x17fffd4d,0x001fffd0,0x000dfff3,0x501bffe6,0x2601dfff,0xf3006fff,
    0x7fcc0dff,0x3ffe206f,0x189ffb07,0xfd817fee,0x3effee4f,0x6fffc84f,
    0x87fffe20,0xf902fffd,0xfffd85ff,0x05fff902,0x002fffdc,0x003fffb0,
    0x7fff4031,0x17ffff45,0x800fffe8,0x0006fff9,0xd00dfff3,0x3fa09fff,
    0xff3003ff,0x7ffc40df,0xbfff501f,0xe80dff50,0xdff502ff,0x7fce7fc4,
    0x4ffff884,0x44fffe88,0xf902fffd,0xfffd85ff,0x05fff902,0x003fffd4,
    0x003fffb0,0xb3137bf1,0xf985ffff,0x9acdffff,0x800ffffb,0x0006fff9,
    0x700dfff3,0x2639ffff,0x2007fffd,0x7c06fff9,0x7cc1dfff,0x7fc43fff,
    0xdffd101f,0x43fff101,0x09ff36fe,0x2f7ffff6,0x0ffffeca,0xc817ffec,
    0x7fec2fff,0x5fff902f,0x67fffcc0,0x3f6004c1,0xff8801ff,0xffffffff,
    0xfffff905,0xffffffff,0xa9999881,0x9999ffff,0x54cccc40,0x9999ffff,
    0xfffffe80,0x02ffffff,0xff533331,0x413333ff,0xeffffffb,0x40efffff,
    0xfd304ffc,0x27fe40bf,0xfffffff3,0xffff30ff,0xffffffff,0x05fffb07,
    0xfb0bfff2,0x3ff205ff,0x7fff402f,0x01fffeff,0x400fffec,0xfffffff8,
    0x3ea00eff,0xffffffff,0x7fe40fff,0xffffffff,0x7fe45fff,0xffffffff,
    0xfd885fff,0xffffffff,0x3ffff201,0xffffffff,0x7fffec5f,0x0effffff,
    0x54077fcc,0x42aaefff,0x3e60eff9,0x7fffffff,0xfffffd10,0x3605ffff,
    0xff902fff,0x2fffd85f,0x805fff90,0xfffffff9,0x7fec01ff,0xffd7001f,
    0x2007dfff,0xfffffec8,0xffc81cef,0xffffffff,0x7fe45fff,0xffffffff,
    0x3ae05fff,0x00ceffff,0x7fffffe4,0x5fffffff,0xfffffd98,0x5ffd02ef,
    0x3fffff60,0x0bffa0ff,0xff755551,0xffec805b,0x3600dfff,0xff902fff,
    0x2fffd85f,0x005fff90,0xffffffb3,0xfffd801f,0x01998001,0x099a9800,
    0x7ffffe40,0xffffffff,0x7ffffe45,0xffffffff,0x00998805,0x3fffff20,
    0xffffffff,0x04d4cc05,0x6c09ff90,0x0fffffff,0x26009ff9,0x54c004ff,
    0x5fffb000,0xb0bfff20,0x3f205fff,0x262002ff,0xfb0009aa,0x000003ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00035553,0x2017bbaa,0x000eeee8,0x55555400,
    0x00002aaa,0x02ccca80,0x0006665c,0x33333200,0x1ccccccc,0xb9800000,
    0x1bdeffec,0xccbaa880,0x0008002c,0x99999950,0x66447999,0x664c01cc,
    0xfff7003c,0x3fe20007,0x7fdc02ff,0x3b72206f,0x40cdefff,0xffffffff,
    0xfec98006,0xffc82cef,0x7fff403f,0xdffd9301,0x7fffc05b,0xffffffff,
    0xdffb7503,0x3f62005b,0xffffffff,0x3fff2604,0xb804ffff,0x3effffed,
    0xfffffd00,0xfc8dffff,0x7ff406ff,0x86ff542f,0x0003fffb,0xd017fff2,
    0x3f207fff,0xffffffff,0x7ffffc2f,0x22006fff,0xfffffffc,0x3fff20df,
    0x0ffff403,0x3fffff62,0xff80dfff,0xffffffff,0x7fec43ff,0x0effffff,
    0x3ffffe60,0x04ffffff,0xfffffff9,0x7f4c09ff,0x6fffffff,0xfffff980,
    0x446fffff,0xf702ffff,0xfff98dff,0x07fff76f,0x7fffcc00,0x1ffff300,
    0xffffffb0,0xc85fffff,0x6fffdccc,0x3ffff200,0x26ffffff,0x7403fffc,
    0x3fa21fff,0xffffffff,0xfffff86f,0x3fffffff,0x3fffffee,0x306fffff,
    0x9dffffff,0xfb09ffdb,0xdddfffff,0x3ffee07d,0x6fffffff,0xfffffc80,
    0xb83cccdf,0xfff06fff,0xffffb83f,0x03fffb9f,0x1ffff400,0xb84fffc8,
    0xabcfffff,0x4c02fecb,0xf3006fff,0xd537dfff,0x7ffe41ff,0x0ffff403,
    0x759ffffb,0xf87ffffb,0x99999eff,0x3fee0999,0xfffdceff,0xfffd83ff,
    0x43a880cf,0x01dffffb,0x3ffffe20,0x06fcbabd,0xfffcfff8,0x7fffd002,
    0xb85fffb8,0xfb9fffff,0x5c0003ff,0xffd06fff,0xbfffd03f,0x7cc00880,
    0xffb006ff,0xf906e09f,0xffe807ff,0x5ffff31f,0x41ffff90,0xc8005fff,
    0xffff884f,0x1ffffd45,0x3fffe200,0xfffd8003,0xf500601f,0x05fff5ff,
    0x43fffea0,0x880ffff8,0xff76ffff,0xf880007f,0x7fcc1fff,0x5ffff06f,
    0xfff30000,0x3fffa00d,0x3fff2002,0x8ffff403,0x3e05fffb,0x3ffe2fff,
    0x5c050005,0x7ff47fff,0xffb8006f,0xff98006f,0x6c0002ff,0x2fff9dff,
    0x4ffff600,0x2603fffc,0xfff70ded,0x37bbb607,0x89fffb00,0xf883fffc,
    0x80003fff,0xf006fff9,0xfc800fff,0x7ff403ff,0x07fff91f,0xff1fffe4,
    0x500000bf,0xfff8ffff,0xffd8003f,0xffa8002f,0x7c40006f,0x2fff9aff,
    0x3fffe600,0x0006fff9,0xfb07fff7,0x7cc03fff,0x7fffc7ff,0x5fffff00,
    0xfff98000,0x6fff8806,0x1fffe400,0x6c7fffa0,0x3ee04fff,0x3bffe4ff,
    0x00009aaa,0xf337ffd4,0xf0001fff,0x75513fff,0x7ffe4035,0x7fdc0005,
    0x005fff37,0xffffffc8,0xff70002f,0xffffb87f,0x2fffe802,0x6c0bfff5,
    0x0aefffff,0x6fff9800,0x06fff880,0x01fffe40,0x7e47fffa,0x3fea07ff,
    0x3ffffe5f,0x002dffff,0x54bfff90,0x88007fff,0xfffdffff,0xfd82ffff,
    0x740004ff,0xdfff34ff,0xf8807ddd,0x005fffff,0xa8fffee0,0x7003ffff,
    0x3ff69fff,0x3ffe201f,0x01cfffff,0x81bffe60,0x9efff998,0xc8099999,
    0x7f403fff,0xffff51ff,0xdfff9107,0x7ffffffc,0x4005ffff,0x2e2ffff8,
    0x98006fff,0xffffffff,0x6c5fffff,0x20005fff,0xff31fff9,0x009fffff,
    0x03fffff7,0x9fffdc00,0x004ffff9,0x3e3fffe2,0xff9806ff,0xdfffffff,
    0x6fff9800,0x3fffff60,0x4fffffff,0x403fffc8,0xff11fffe,0xfb9bffff,
    0x774dffff,0xfffffeee,0x3f6004ff,0x7ffe46ff,0xfff98006,0xfffeffff,
    0x3ff23fff,0x3f20006f,0x3fffe66f,0xfd004fff,0xb80009ff,0xffe8bfff,
    0xffd8005f,0x003fffdf,0xffffff91,0xf9803fff,0x3ff606ff,0xffffffff,
    0xfffc84ff,0x0ffff403,0xfffffff5,0x0dffffff,0xffffd710,0xffff7001,
    0x07fffb83,0xcffffa80,0x3ffff4c1,0x005ffff7,0xf98fffe0,0x81aaacff,
    0xffecccc9,0x00ccccdf,0x7ffdc395,0x005fffeb,0xffffff50,0xeb88001f,
    0x0effffff,0x81bffe60,0xeffffeec,0xc83eeeee,0x7f403fff,0x7ffdc1ff,
    0xffffffff,0x3fe6005f,0x7fdc02ff,0xfffa83ff,0x7fcc000f,0x3ffe607f,
    0xdffff10f,0x7fd40403,0x0bffe60f,0x3ffffee0,0xffffffff,0x74fffe80,
    0xdfffffff,0x7ff40001,0x40005fff,0x3fffffd9,0x01bffe60,0x001bffe2,
    0xe807fff7,0xcb880fff,0xffb9bded,0x7fec004f,0x3ffea04f,0xffff304f,
    0xfff88003,0x0ffff407,0x59fffff9,0xfb0fb733,0xff7555ff,0xfff7005f,
    0xffffffff,0xfffb81ff,0xffffb8ff,0x0001ffff,0x07ffffee,0x7ffd4000,
    0x3ffe605f,0x6fff8806,0x27ffdc00,0x001fffe0,0x001fffec,0x5413fff6,
    0x2204ffff,0x8005ffff,0x3a00ffff,0x3fa22fff,0xffffffff,0x7fffc47f,
    0x2fffffff,0x5fff9000,0xfffff900,0xfb7fff73,0x20001dff,0x006ffff8,
    0x37ffec00,0x00dfff30,0x800dfff1,0x2205fffa,0x88006fff,0x4000ffff,
    0xfa82fffe,0xfe804fff,0x7c001fff,0x3fe03fff,0x7ff440ff,0x7fffffff,
    0x7fffffdc,0x002fffff,0x005fff90,0x71fffff5,0xfff17fff,0x3e2000bf,
    0x00002fff,0x302fffe4,0xf100dfff,0xf9800dff,0xff901fff,0xffb000bf,
    0xffb800bf,0x7ffd40ff,0xfff3004f,0x914c05ff,0x3ee0dfff,0x3f6a07ff,
    0x43efffff,0xcccceffe,0xa802fffd,0xffffeeee,0xd80eeeee,0xfff72fff,
    0x13fffe67,0x1bfff600,0x7c400c40,0x3e603fff,0xff8806ff,0xffe8006f,
    0xff710aff,0x6cc001ff,0x2e61ffff,0xfda98999,0x7fd44fff,0x7ec003ff,
    0xaaceffff,0x3fe24fec,0xff711dff,0xfff007ff,0x3ffe603b,0xacfff982,
    0xfffb82aa,0xffffffff,0x415300ff,0x3f23fffb,0x32002fff,0x5001ffff,
    0x53357bff,0x03fffff9,0x3037ffcc,0x55dfff75,0x85555555,0xfffffff9,
    0x984fffff,0xffeccbaa,0x7fd43fff,0xffffffff,0x7fffd45f,0xeeeeeeef,
    0x7fff445e,0xffffffff,0x7ffffe44,0x05ffffff,0x201fff98,0xff307ffd,
    0x50ffffff,0xffffdddd,0x001ddddd,0x3a1fffdc,0x5901ffff,0x07ffffd7,
    0x7ffffd40,0xffffffff,0x2a666623,0x9999ffff,0xffffffb0,0xffffffff,
    0xfffff70b,0x209fffff,0xfffffffb,0xffa84fff,0xffffffff,0xfffffe84,
    0xffffffff,0xffffc886,0x84ffffff,0xfffffffc,0xfa800dff,0x3ffe206f,
    0xfffff304,0x3f200fff,0x5c0002ff,0x7fc43fff,0x7fc40eff,0x005fffff,
    0x7fffffd4,0x44ffffff,0xfffffffc,0xb5ffffff,0xffffffff,0x0bffffff,
    0x3fffff62,0x3fee01ef,0x1effffff,0xffffff50,0x3fa019df,0xffffffff,
    0x2a06ffff,0xefffffed,0xfffd500b,0x64005dff,0x3fee03ff,0xffff301f,
    0x3200ffff,0x40002fff,0xfa83fffb,0x7fc46fff,0x8002ffff,0xfffffed9,
    0xfc80cfff,0xffffffff,0xffb5ffff,0xffffffff,0x100bffff,0x3ee00353,
    0x01bdefff,0x009a9988,0xffffffd0,0xdfffffff,0x000ccc00,0xc8000d4c,
    0x000000ee,0x00000000,0x640fffee,0x3a24ffff,0x0000bdef,0x09aa9988,
    0x7ffffe40,0xffffffff,0x00000005,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x10000000,0x2e026001,0x10001ccc,
    0x79999999,0xccca8035,0xcccccccc,0x9951cccc,0x99999999,0x2e399999,
    0xcccccccc,0x3332202a,0xcccccccc,0x99933ccc,0x24ccc805,0xccccccca,
    0x664c01ab,0xcccccccc,0x32e00ccc,0x21665c1c,0x9300cccb,0x91003999,
    0x32e01ddd,0x200001cc,0xf8805fc8,0x17ffec3f,0xffff9800,0x1effffff,
    0xffffffb0,0xffffffff,0x3ffff65f,0xffffffff,0xfffd2fff,0xdfffffff,
    0xfffff307,0xffffffff,0x13ffeadf,0x321ffff0,0xffffffff,0xff701eff,
    0xffffffff,0x7f403fff,0x21fff42f,0xf881fffe,0x64406fff,0xb01fffff,
    0xb8005fff,0xfff11eff,0xfffd807f,0x00bfff65,0x7ffffcc0,0xcfffffff,
    0x66677ec0,0xcccccccc,0xffffb2ff,0xffffffff,0x3ffa5fff,0xffffffff,
    0x7ffcc3ff,0xffffffff,0xfff56fff,0x0ffff809,0xfffffff9,0x819fffff,
    0xfffffffb,0x01ffffff,0xffd07ffe,0x81fffe85,0x100ffffc,0xfffffff9,
    0x0bfff603,0xfffffb80,0x43ffff70,0x83fffea1,0xcdeefffd,0x7fcc00ab,
    0xfffeeeff,0xa7ec5fff,0xff01abc9,0x3bbbbb25,0xeeeeffff,0xbfffd1ee,
    0xffffd999,0x7fffcc1f,0xffffffff,0x9fff56ff,0x90ffff80,0xfddddfff,
    0x98bfffff,0xfffecccc,0x100ccccd,0xfff81fff,0x20ffff41,0x703ffff9,
    0xffffffff,0x3fff603f,0x3fffa002,0x3fff62ff,0xffefffee,0x7ffec2ff,
    0xcfffffff,0x0dfff300,0x43fffff5,0xffff74fd,0x402ff85d,0x7403fffd,
    0xffa80fff,0x4cccc2ff,0xff999999,0x9fff53ff,0x90ffff80,0xff507fff,
    0xfd803fff,0x3e6002ff,0x07ffc47f,0xfd07fffa,0x7ff40bff,0x1ffffdff,
    0x005fffb0,0x1ffffff4,0xffffffd1,0xb09fffff,0xffffffff,0xf305ffff,
    0x3fa20dff,0x553f66ff,0x23fffffe,0x7fec02ff,0x7fff403f,0x07fffd00,
    0x1ffff700,0xf013ffea,0x3ff21fff,0xfffd103f,0x2fffd80d,0x7fe55440,
    0xfffbaaaf,0x3fffd2ab,0x007fffe4,0x3fe3dff5,0xfffb01ff,0x7ffe4005,
    0x7ffd40ff,0x7fffffff,0x99bfffb0,0x1ffffffd,0x206fff98,0xfb1ffffb,
    0x3fff9109,0xffb00bfe,0xfffe807f,0x05fffb00,0x49fffd00,0x7c04fffa,
    0xfff90fff,0x7fffdc07,0x0bfff601,0xffffff70,0xffffffff,0x47fffaff,
    0x802ffff9,0x0ffffc2e,0x002fffd8,0x20bfff62,0xc99efffb,0xfd82ffff,
    0xfffb82ff,0x37ffcc5f,0x25ffff10,0x3fee04fd,0xfd805ff3,0x7ff403ff,
    0x1ffff00f,0xffffa800,0x013ffea0,0x3f21ffff,0x3fe203ff,0x3ff602ff,
    0x7ffdc02f,0xffffffff,0xffd7ffff,0x13fffa3f,0x1ffff800,0x005fffb0,
    0x3fa01530,0x7ffd40ff,0x02fffd85,0xf98ffffb,0x7ff406ff,0x5409fb3f,
    0x805ff4ff,0x7403fffd,0x7ec40fff,0xfe8005ff,0x7ffd44ff,0x87fffc04,
    0x7403fffc,0x3f603fff,0x664c02ff,0xeccceffe,0xfd4cceff,0xdfff93ff,
    0xffff8000,0x05fffb01,0xfff88000,0x86fff884,0xf502fffd,0x3fba1fff,
    0x44eeefff,0x9fb4fffd,0x7cbff620,0x7ffec02f,0x77fff403,0xdffffeee,
    0x7ffd4000,0x7fffd40f,0xffffffff,0xfff90fff,0x4fffd807,0x00bfff60,
    0x7e43ffd8,0xbfffe84f,0x0001ffff,0xd80ffffc,0xa8002fff,0x3fff982b,
    0xfb0fffd0,0x7ffc05ff,0xffffff1f,0xffc8bfff,0x75c9fb5f,0x3fe6fffe,
    0x1fffec02,0x3fffffa0,0x00efffff,0x84fffe80,0xfffffffa,0xffffffff,
    0x807fff90,0x3605fffc,0x3a002fff,0x1ffec3ff,0x7ffffff4,0xff80004f,
    0xfffb01ff,0x7ff44005,0x1fffcc4f,0xfd86ffd8,0xfff102ff,0x3ffffe1f,
    0x7e45ffff,0x5c9fb5ff,0x3e0dffff,0x7ffec02f,0x7ffff403,0xffffffff,
    0x3ffea004,0xffffa80f,0xffffffff,0xfff90fff,0x5fffc807,0x00bfff60,
    0x7f42ffe8,0xffffe83f,0x80006fff,0xfb01ffff,0x7dc005ff,0x3e22ffff,
    0xbffd06ff,0x205fffb0,0x3726fffb,0x2cccffff,0xfda7ffec,0x2027fee4,
    0x7fec02ff,0x7fff403f,0xfffecaab,0xffd003ff,0x3ffea0bf,0xccccccce,
    0xff90ffff,0xfffd807f,0x0bfff604,0x741fff80,0xfffe82ff,0x004ffffa,
    0x80ffffc0,0x2002fffd,0x43fffffd,0x7cc0ffff,0xfffd84ff,0x4ffff982,
    0x2037ffcc,0x9fb3fffe,0x5ff03fdc,0x03fffd80,0x4407fff4,0x400ffffe,
    0x501ffffa,0xff809fff,0x7fff90ff,0x03fffe80,0x980bfff6,0xccfffccc,
    0x4cdfffcc,0x3ee7fffa,0x20001fff,0xfb01ffff,0x7e4005ff,0x7e43ffff,
    0xffa8beff,0xfffd81ff,0xfffdbaac,0x6fff986f,0xd97fffc0,0xf80f264f,
    0x7ffec02f,0x07fff403,0x01ffffa8,0x502fffec,0xff809fff,0x7fff90ff,
    0x02ffff80,0xa80bfff6,0xffffffff,0xffffffff,0x3a3fffd0,0x20006fff,
    0xfb01ffff,0x7cc005ff,0x7cc0efff,0xffffffff,0xffffb07f,0xffffffff,
    0x0dfff303,0xd87fffdc,0xf806a24f,0x7ffec02f,0x07fff403,0x405ffff0,
    0x201ffff9,0x7c04fffa,0xfff90fff,0x7fffdc07,0x0bfff600,0xffffffa8,
    0xffffffff,0x3fffd0ff,0x013fffe6,0x80ffffc0,0x4002fffd,0xfe80ced9,
    0xffffffff,0xfffd84ff,0xdfffffff,0x0dfff300,0xd93fffe2,0x407ffa4f,
    0x7fec02ff,0x7fff403f,0x1ffff300,0x02fffec0,0xf013ffea,0x3ff21fff,
    0xffff103f,0x2fffd809,0x3ff2aa20,0xfffcaaae,0x3fffa2aa,0x0bffff21,
    0x07fffe00,0x0017ffec,0x3bfff200,0xfffeffff,0x7fffec2f,0x401cdeff,
    0xe986fff9,0x3f60ffff,0x7c0fffe4,0x7ffec02f,0x07fff403,0x207fffe8,
    0x401ffff9,0x7c04fffa,0xfff90fff,0xffffd307,0x2fffd801,0xa8bff700,
    0xfffd06ff,0x77fffc43,0x7fffc000,0x05fffb01,0x24fff880,0x330ffffa,
    0x83fffee1,0x0002fffd,0x975dfff3,0x87fffffd,0x03bee4fd,0x3f6017fc,
    0x7ff403ff,0xffcaaabf,0x3f604fff,0xffa806ff,0x7fffc04f,0x75bfff90,
    0x7fffffd9,0xfeaaaa98,0x0aaaacff,0x7dc4ffc8,0x3fffd05f,0x04ffffa8,
    0xff999993,0x29999bff,0xcccdfffd,0x262ccccc,0xfff11fff,0xfffe807f,
    0x00bfff65,0x7ffffcc0,0x3fffffff,0x9999dfd8,0xf9999999,0x7ffec02f,
    0x7ffff403,0xffffffff,0x3fffe606,0x4fffa802,0xc87fffc0,0xffffffff,
    0xfb83ffff,0xffffffff,0xfd81ffff,0x827fe43f,0xfd81fffe,0xffb82fff,
    0xffffffff,0xfffb7fff,0xffffffff,0x237fdc9f,0xf8805fd8,0x17ffec3f,
    0xffff9800,0x0dffffff,0xffffffb0,0xffffffff,0xfffd805f,0x7ffff403,
    0xcfffffff,0x1bfff600,0x027ffd40,0x7e43fffe,0xffffffff,0xfff700df,
    0xffffffff,0x7ffd03ff,0xfd03ffd8,0xfff103ff,0xfffb81ff,0xffffffff,
    0xffffb7ff,0xffffffff,0x981ffec9,0xfb015000,0x260005ff,0xcdffffff,
    0x7ffec01a,0xffffffff,0x6c02ffff,0x7f403fff,0xdeffffff,0x7ffc400b,
    0xfff5002f,0x0ffff809,0xbffffff9,0xffb80359,0xffffffff,0xfff81fff,
    0xe817ff42,0xff701fff,0xfffb8bff,0xffffffff,0xffffb7ff,0xffffffff,
    0x000776c9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x66400000,0xcccccccc,0x91000ccc,0x97059999,
    0x57999999,0x1e665401,0x10cccc80,0x44059999,0x3262cccc,0x993000cc,
    0x0f332e19,0x016665c0,0x0733332a,0x99999990,0x44799999,0x9902cccc,
    0x6665c799,0x00abcccc,0x80f33326,0x3320ccc9,0xcccccccc,0x4c03cccc,
    0x7fc00aaa,0xffffffff,0xf9000fff,0xfb0bffff,0xffffffff,0xfff3019f,
    0xfffb803f,0x037ffec6,0x543ffff7,0xf5001fff,0x3fff21ff,0x5ffff007,
    0xfffffe80,0x7ffffc04,0x6fffffff,0x217fffe6,0x3a7ffff9,0xffffffff,
    0xffb80cff,0xff700fff,0x7ffffc3f,0xffffffff,0x7ffdc06f,0x7ffffc00,
    0xffffffff,0xffff9800,0xfffd85ff,0xffffffff,0x5fffd82f,0x217fff40,
    0x883ffff9,0x7d44ffff,0xff5001ff,0x0ffffd4f,0x01fffe60,0xdffffff1,
    0xffffff80,0x26ffffff,0x40fffff9,0x3a7ffffb,0xffffffff,0x7dc0efff,
    0xf704ffff,0x7fffc3ff,0xffffffff,0x7fdc06ff,0x7fffc00f,0xeeeeeeee,
    0xfffe800e,0xffd85fff,0xfffedcdf,0x7fcc0fff,0xfff701ff,0x1ffff60d,
    0x303fffee,0x2a003fff,0x7fffc7ff,0x2fffe403,0x3ffffee0,0x3ffe00ff,
    0xeeeeeeef,0x3fffea5e,0x7ffff42f,0x3bbfffa7,0x5ffffffe,0x7fffffdc,
    0x21fffb80,0xffffffff,0x05ffffff,0x2007ffdc,0x0001ffff,0xffdfffb8,
    0x2fffd85f,0x85ffffb8,0xff05fffd,0x3fe205ff,0x3ffe23ff,0x1fff984f,
    0xd8fff700,0x7f406fff,0x7fec02ff,0x203fffef,0x2001ffff,0x25fffffa,
    0x0ffffff8,0xe983fffd,0x7fdc7fff,0xfb83ffff,0x7e4001ff,0x7dc01fff,
    0x7ffc00ff,0x7c40001f,0x5fff9eff,0x902fffd8,0xff30ffff,0xfffb81ff,
    0x7fffe406,0x01ffff70,0x2005fff1,0x7fd46ffb,0xfff100ff,0xefff801f,
    0x3e05fffb,0x2e001fff,0x2e7ffdff,0xd0fffdff,0xff703fff,0x7ffdc1ff,
    0xffb86fff,0x3fea001f,0xffb804ff,0x7fffc00f,0x7fe40001,0x85fff9af,
    0xf102fffd,0xffb01fff,0x2ffff89f,0x5ffffc40,0x103ffff8,0x2e005fff,
    0x7ffc46ff,0xdfff502f,0x9cfffa80,0x3fe07fff,0x3ee001ff,0xfb2ffecf,
    0x3a1fff5f,0xff881fff,0x3ffee1ff,0x7dc2fffe,0xff1001ff,0xaaa88dff,
    0xabfffdaa,0x3ffe2aaa,0x3e60001f,0xbfff35ff,0x405fffb0,0xf981ffff,
    0xfff70fff,0x3ffee00d,0x406fffcf,0x37fc2fff,0x3fa17fee,0xfffb04ff,
    0x1fffc807,0x3e03ffff,0x2e001fff,0x8cffccff,0x1fff8fff,0xf103fffd,
    0x7fdc1fff,0x5c6fffbf,0xf9001fff,0xff983fff,0xffffffff,0x3fe7ffff,
    0x3a0001ff,0xfff30fff,0x05fffb0b,0x403fffe2,0xffd3fffd,0x7ff4005f,
    0x402fffff,0x3fea2fff,0x217ff21f,0xff06fffb,0xffe803ff,0x413fff27,
    0x2001ffff,0xeff9cffc,0xfff8cffa,0x903fffd1,0xffb8dfff,0x21fffd9f,
    0xa801fffb,0xf983ffff,0xffffffff,0x3e7fffff,0xeeeeefff,0xff704eee,
    0x2fffcc7f,0xb817ffec,0x3e606fff,0x6fffafff,0x7fffd400,0xfff806ff,
    0xc8ffff23,0xfff984ff,0x37ffcc0f,0xa97ffe60,0xfff06fff,0x3333335f,
    0xfa7fe413,0xff2ffdff,0x2bfffa5f,0xffffda99,0x54fffdc2,0x3fee5fff,
    0x7ffc401f,0x9999106f,0x99bfffb9,0x7fffc999,0xffffffff,0x46fff885,
    0xfd85fff9,0xfff982ff,0x7ffec04f,0x8002ffff,0x01fffffe,0x3fe3ffe8,
    0x13ff26ff,0x2e1ffff4,0x7dc04fff,0x3ffe23ff,0xfffff80f,0x2fffffff,
    0x7fecfff6,0x4bffe7ff,0xfffffffe,0xfb82ffff,0x3fffd1ff,0x9007ffee,
    0x8001ffff,0x7c00fffb,0xffffffff,0xffd85fff,0x2fffcc1f,0x5567ffec,
    0x06ffffdb,0xffffff98,0xfffd0006,0xffd005ff,0x3ffffe67,0x3209ffb0,
    0x7ff45fff,0x7ffec01f,0x41ffff40,0xffffffff,0x3f62ffff,0x9ffff53f,
    0xffe97ffc,0xafffffff,0x23fff700,0xff74fffb,0x7ffd403f,0xffb8003f,
    0x7fffc00f,0xcccccccd,0x427ffd42,0xfd85fff9,0xffffffff,0xfb001fff,
    0x0003ffff,0xfffffff7,0x74ffd801,0x367fffff,0xfff303ff,0x03fffc4f,
    0x2e1bffe2,0xfff85fff,0xffffffff,0x44fff62f,0x3fe2ffff,0xfffffd3f,
    0x201bffff,0x3fe1fffb,0x1fffb8ff,0x0bfffd10,0x03ffee00,0x003ffff0,
    0xf306ffe8,0xfffb0bff,0xbfffffff,0x7ffcc001,0xff88005f,0x04ffffff,
    0xffea7fec,0x7ffb5ffb,0xa97fffc0,0x7d405fff,0xfff984ff,0x57fffc0f,
    0x09999999,0xffe8fffa,0xfe9fffc7,0xfffb89ff,0x3fff704f,0x7de7ffdc,
    0xfff901ff,0x3ee0001f,0x7ffc00ff,0x3fea001f,0xffffffff,0xb7ffffff,
    0xbdffffff,0x3fa00039,0xfc8002ff,0xffffceff,0x233ff600,0x8fff9dff,
    0x3f602ffe,0x5fff94ff,0xcdfffc80,0xffffcccc,0x00ffffc2,0x7dc7ffd0,
    0xea7ff45f,0x3fea1fff,0xfffb81ff,0x2ffffe21,0xffa81fff,0x2e0003ff,
    0x7fc00fff,0x3ea001ff,0xffffffff,0x7fffffff,0x0005fffb,0x02fffd80,
    0x57fffcc0,0x205ffff8,0x2ffbdffc,0x5ffd5fff,0xfb7ffd40,0x7fc00fff,
    0xffffffff,0x7fc4ffff,0x3fe001ff,0xd073222f,0x3fffa9ff,0x42fffec1,
    0x7e41fffb,0x41fffeff,0x005fffe8,0x005554c0,0x8007fffe,0xfffffffa,
    0xffffffff,0x05fffb7f,0xfffd8000,0x7ffec002,0x0bfffee6,0x7feeffe4,
    0xffd9ff90,0x7fffc403,0x4c05fffa,0xffffffff,0x47ffffff,0x2001ffff,
    0xfd002fff,0x07fffa9f,0xb83ffff5,0x7fcc1fff,0x641fffff,0x0000ffff,
    0x7fffc000,0x33326001,0xfdcccccc,0xfb4cceff,0x800005ff,0x2002fffd,
    0x7c2ffffa,0xff706fff,0x7fccbffd,0x6c01ffef,0x3fffefff,0x777ffdc0,
    0xffeeeeee,0x3fffe1ff,0x0bffe001,0xfeafff40,0xfffe81ff,0x40fffdc5,
    0x1ffffffd,0x00bfffe6,0x33333310,0x13333333,0x555ffffc,0x002aaaaa,
    0xd85fff98,0x00002fff,0x0017ffec,0xf70dfffd,0xff707fff,0xfff87fff,
    0x7dc00fff,0x00ffffff,0x2007fff4,0x3fe3fffe,0xff1001ff,0x3ff6005f,
    0x703fffd5,0x7dc3ffff,0xfffa81ff,0xffd11fff,0xddddddff,0x7fecbddd,
    0xffffffff,0x3ffe3fff,0xffffffff,0x7cc000ff,0xfffd85ff,0x7ec00002,
    0xff7002ff,0x3ffa05ff,0x7ffd40ff,0x7ffe40ff,0x7fc400ff,0x4406ffff,
    0xfc806fff,0x3fffe6ff,0x3fff1001,0x75bff600,0xff881fff,0x3ffee4ff,
    0xfffffd01,0x3ffffe63,0xffffffff,0x3ffff67f,0xffffffff,0x3ffffe3f,
    0xffffffff,0x7ffcc000,0x02fffd85,0x7ffec000,0xffff8802,0x3fffea06,
    0x37fffd44,0x07ffffd4,0x7fffff40,0x27ffd404,0x87fffcc0,0x1001ffff,
    0x36003fff,0x3fffd6ff,0x43ffff20,0xf701fffb,0x3e63ffff,0xffffffff,
    0x367fffff,0xffffffff,0x3e3fffff,0xffffffff,0x4000ffff,0xfd85fff9,
    0x400002ff,0xc802fffd,0x7402ffff,0x3e61ffff,0xfff03fff,0x3ff200ff,
    0x7ec01fff,0xfff001ff,0x07fffe5f,0x00fffcc0,0xffd6ffd8,0x3ffe203f,
    0x03fff74f,0x98fffffc,0xffffffff,0x07ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00800000,0x33000002,0x004c4003,0x000c0001,0x00004cc0,0x00980004,
    0xd900c400,0x3bae03dd,0x0026001e,0x00088040,0x4fe98000,0x06662000,
    0x17e60000,0x40003be6,0xffffffd9,0xfffc985f,0xfffd33ef,0xffdb300b,
    0xb9803bdf,0xdffffffe,0xffdb7002,0x76407dff,0xc81defff,0x3fff24ee,
    0x7ffec0df,0x45fff902,0xffb13eee,0x57ba09ff,0xfb12effb,0xfec983df,
    0x2000deff,0x0004ffff,0x0003fff7,0x12fffdc0,0x8003dfff,0xfffffffd,
    0xfffc87ff,0xfffeffff,0x3ee05fff,0xffffffff,0x3ffffa04,0x06ffffff,
    0x3fffffa6,0xfe986fff,0x3fffffff,0x7f477fec,0x20ffffff,0xf902fffd,
    0x6fffc5ff,0xfffffff9,0xffafff86,0xfffd8fff,0x7fffdc7f,0x9801ffff,
    0x0006ffff,0x0003fff7,0x3bffff20,0x5fffff50,0x3ffff200,0x87ffeeef,
    0xfffdeffc,0xffffffff,0xfffffd82,0x05ffffff,0xfddffffd,0xf709ffff,
    0xffffffff,0xffff98df,0x3fffffef,0x3ffbfff6,0x25ffffff,0xf902fffd,
    0x77ffc5ff,0xffffffff,0x7f7ffc2f,0xfffeffff,0x33ae2fff,0x06ffebaa,
    0x009ffff0,0x007ffee0,0xffffb100,0xffff981b,0x7ffc403f,0x7907304f,
    0x77fff441,0x545ffd88,0xbabdffff,0xe81ffffe,0x7fe440ac,0x7fffc47f,
    0x6fcbabdf,0x70e7fff4,0x3f61ffff,0xdacfffff,0xffb0ffff,0x3fff205f,
    0x3fffffe2,0x6fffd9ae,0x6c77fffc,0xff8bffff,0x7fcc024f,0x09fd3007,
    0x0fffdc00,0xfffd1000,0x7ff4409f,0x3fea04ff,0x700000ff,0x7fd45fff,
    0x42ffff47,0x006fffe8,0x6c1fffd0,0x8601ffff,0xf905fffa,0x3fff67ff,
    0x7fffc0ef,0x205fffb1,0x3fe2fffc,0x7fc45fff,0x8ffffc7f,0x3fa6fffa,
    0xf753104f,0x000000ff,0x001fffb8,0x5fffff30,0x3ffff600,0xffff980d,
    0xff300003,0x87ffc41f,0x300ffffa,0x2000ffff,0xff32fffd,0x7ec005ff,
    0xfff302ff,0x03ffff6b,0x7ecbfff6,0xfff902ff,0x837fffc5,0x3fe0fffe,
    0x8bffea5f,0x7f5c5ffd,0x007fffff,0x7fdc0000,0xffa8001f,0x5c001fff,
    0x440effff,0x1befffff,0x1ffe6000,0x7fdc7ffe,0x7fffc04f,0xeaa99801,
    0xfff52fff,0xffff800d,0xfbaaaaab,0x5fffb6ff,0x6cbfff20,0xff902fff,
    0x07fffc5f,0x3e0cccb8,0x3ffea3ff,0xfc97ff60,0x7ffcdeff,0x77777764,
    0xeeeeeeee,0xddddd92e,0xddddfffd,0x3fee05dd,0x50000eff,0xb83fffff,
    0xefffffff,0x3fb2200b,0xffffffff,0xff91ffff,0xfffe807f,0xffffb882,
    0x92ffffff,0x4400bfff,0xffffffff,0xb7ffffff,0x3f205fff,0x5fffb2ff,
    0xf8bfff20,0xf8000fff,0x3ffea3ff,0x7c57ff60,0x1ffe22ff,0xfffffffb,
    0xffffffff,0x3fffff65,0xffffffff,0xfffd82ff,0xf980005f,0x7dc3ffff,
    0xffffffff,0xfffff983,0xffffffff,0xfffb1fff,0x3fffd807,0x7fffffd4,
    0xb2ffffff,0x4c009fff,0xffffffff,0xb7ffffff,0x3f205fff,0x5fffb2ff,
    0xf8bfff20,0xf8000fff,0x3ffea3ff,0x7cd7ff60,0x1ffee1ff,0xfffffffb,
    0xffffffff,0x3fffff65,0xffffffff,0xfffc82ff,0x4c0000ef,0x882fffff,
    0xffffffeb,0x67fff43f,0xaaafffca,0xffb0aaaa,0xfffe807f,0x3ffffe62,
    0xfffecccd,0x00bfff92,0x667fffcc,0xcccccccc,0x205fffb3,0xffb2fffc,
    0x3fff205f,0x003fffe2,0xfa8fffe0,0x57ff60ff,0xffcefff8,0x666547ff,
    0xcccccccc,0x9951cccc,0xbfffd999,0x20399999,0x01effffb,0xfffff500,
    0xffd71003,0x7ffd4fff,0x401ffe61,0x7c04fffb,0x3ffa0fff,0xfffd80df,
    0x00dfff72,0x8007fff8,0xf902fffd,0x3fff65ff,0x2ffff982,0x0003fffe,
    0xffa8fffe,0xc97ff60f,0xfedfffff,0x40000007,0x8001fffb,0x02fffffa,
    0x77fffe40,0xfffc8000,0x98dff90f,0xfa800fff,0x3fe607ff,0x07fffc7f,
    0xf52fffd8,0x74005fff,0x6c000fff,0xff902fff,0x13fff25f,0x45fffff3,
    0x8000ffff,0x3fea3fff,0x517ff60f,0x132a59b9,0xf7000000,0x260003ff,
    0x803ffffe,0x05ffffd8,0x3fffe600,0xfb8dff90,0xff9803ff,0xfffb03ff,
    0x0ffffc4b,0x897fffdc,0x201effff,0x017fff60,0x205fffb0,0xff72fffc,
    0xfff937ff,0x7ffc5fff,0xfff8000f,0xd83ffea3,0x000005ff,0x0001bfd5,
    0x0007ffee,0x5ffffe88,0x3ffffa20,0x202b6a04,0x326fffe8,0xfff30fff,
    0x641881ff,0xa99cffff,0x7c0ffffe,0xf910dfff,0x7dc5ffff,0x99acffff,
    0x3ffe27db,0x23a881df,0xf902fffd,0x3ffe25ff,0xfeffffff,0x3fffe2ff,
    0x3fff8000,0xfd83ffea,0x5555515f,0x80555555,0x004ffff8,0x003fff70,
    0xdffffb00,0xfffff981,0x7fffd402,0xfffffeee,0x37fffea3,0xdfffffff,
    0x7fc44fec,0xffffffff,0xfffd83ff,0xfffffeff,0x7fff42ff,0x7fffffff,
    0x7fffffe4,0xb0fffffe,0x3f205fff,0x3ffee2ff,0xff9effff,0x03fffe2f,
    0xa8fffe00,0x3ff60fff,0xffffff55,0x401fffff,0x006ffff9,0x003fff70,
    0x3fffee00,0xfffff50e,0xffff5003,0x9fffffff,0xffffffd0,0xffffff93,
    0xfffd309f,0x07ffffff,0x3fffffe2,0x2fffaeff,0x7ffffec4,0xfc87ffff,
    0xffffffff,0x5fffb0ff,0x70bfff20,0x229fffff,0x3ffe2fff,0xfff8000f,
    0xd83ffea3,0xffff55ff,0x1fffffff,0x04ffff80,0x03fff700,0x7ffd4000,
    0x03bffa25,0x7ffff540,0x301dffff,0x643dfffd,0x03efffff,0x3ffffff2,
    0x7ff4401d,0xfff14fff,0x3fff6a05,0xb303dfff,0xffffffff,0x817ffecb,
    0x5302fffc,0x7fffc003,0x3fff8000,0xfd83ffea,0x5555515f,0x00555555,
    0x00009db3,0x7cc00000,0x000de885,0x13555330,0x4402a600,0x220009a9,
    0x988000a9,0x9880001a,0x55440019,0x0000009a,0x00000000,0x00000000,
    0x00000000,0x10040000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,
    0x80159d97,0x200deeec,0x3aa3eeed,0xee8805ee,0x0ddd90ee,0x99777440,
    0xeeeeeeee,0x180eeeee,0x55100300,0x20590005,0x376ea01a,0xddb7302c,
    0x9710039b,0x4415c079,0x0022004b,0x0179db73,0xfffffffb,0x07ffffff,
    0x05bdfdb5,0xfffffd88,0x3fe203ff,0xfff905ff,0x2ffff88d,0x937ffdc0,
    0x26001fff,0xfff32fff,0xffffffff,0x03fb81ff,0x3e6017e4,0x7fdc007f,
    0x837fe60e,0xffffffea,0x7fffec0e,0xf9305fff,0xfd50bfff,0x17ffd41f,
    0x406ffec0,0xfffffffc,0x7ffffec3,0xffffffff,0x7ffffec3,0xfff505ff,
    0xdffd957b,0x3fffea01,0x0ffffcc2,0x202fffe4,0x3ee3fffe,0xff5001ff,
    0x3fffe63f,0xffffffff,0x0fffee0f,0x3017ffe4,0x22008dff,0x7ff46fff,
    0x3ffffa0f,0x7ec6ffff,0x3fffffff,0x7fffffec,0x25fffa85,0x200efff8,
    0x645ffffa,0xffffffff,0x3ffff63f,0xffffffff,0x3ffff23f,0x443ffffe,
    0x2aaabeff,0x7ec0bff5,0x3ffa0fff,0xffff303f,0x3fffe601,0x00bffea0,
    0x9913ffdc,0xffb99999,0xfffc8bff,0x7fffe43f,0x7fc47ae1,0x7ec07ea6,
    0x3fff20ff,0x6d5f7cc2,0x26a0ffff,0x8bfff910,0x5ffffffd,0x545fff90,
    0x3f204fff,0xff30ffff,0xfff713bf,0x2666621f,0x99999999,0x49fff109,
    0x7ec7ffe9,0x1fffffb6,0x3e207ff3,0xfff95fff,0x3fffe80d,0x989fff90,
    0x0ccc3fff,0x4401fff2,0xf906fffe,0x3ff27fff,0x3ffe21ff,0xffb1bff3,
    0x47fff70d,0x0304fff9,0xa803ffff,0x67d43fff,0x3a05fff9,0x3ff60fff,
    0xffff701f,0x21ffee5f,0x0001fffa,0xf50dff50,0x47fe61ff,0x74febcfd,
    0x7ffcc0ff,0x00ffffcf,0xe837ffdc,0x7fc41fff,0x83ffea4f,0xfb005ffd,
    0x7e401fff,0xffffdfff,0x6ffffdc1,0xffffeeff,0xd1bffe21,0x2a001dff,
    0xaa887fff,0x080ffffb,0x4c0bfff1,0x3fe25fff,0x3fffa06f,0x10bffb3f,
    0x00007fff,0x3e217ff2,0x6cdf71ff,0x3e2bf92f,0x3fff201f,0x8803ffff,
    0x7cc1ffff,0xbfff06ff,0xfb1fffec,0xfff7009f,0xfff9005f,0x2203ffff,
    0xfffffffc,0xfffd83ff,0x007fff20,0x41ffffcc,0x0efffffa,0x02fffc40,
    0xfa8bffee,0xfff103ff,0x217ff63f,0x5552fff8,0x55555555,0x3ff23555,
    0xb1fff986,0x7e67ec9f,0xd00bfa2f,0x00bfffff,0x3227ffec,0xffd03fff,
    0xd37fffcd,0xff9807ff,0x3f2004ff,0x8801ffff,0x03fffffc,0xfc83fff6,
    0xff9801ff,0xfff505ff,0x4409ffff,0x7e405fff,0x3ffee1ff,0x43fffa02,
    0x7d40fffc,0xffffb1ff,0xffffffff,0x03ffea7f,0x1ff4fff7,0xd81ffffb,
    0x7ffd403f,0x3e6001ff,0x7fffc7ff,0x2afffb00,0xff1fffff,0x7ffc405f,
    0x7fe4006f,0x64403fff,0xbfffffff,0x26fff880,0x200effe8,0x204ffffa,
    0xfffb9998,0xbfff101f,0x327ffd40,0x7c40bfff,0x3ffea5ff,0x7fffb8ad,
    0x3ffffff6,0x3fffffff,0x715dfff3,0x27e4bfff,0xf8bf97fb,0x7fff402f,
    0x7f4005ff,0xbfff52ff,0x6c7ffdc0,0xf8cfffff,0x3ffa01ff,0x3f2000ff,
    0x83ffffff,0xffffffd9,0x40cfffff,0x3e63fffb,0xfff704ff,0xff90005f,
    0x3ffe209f,0x8dfff105,0xd300fffe,0xffd81fff,0x2fffffff,0x3bbbbbb2,
    0x2eeeeeee,0x3ffffff2,0x9bee0fff,0x11ff8afd,0x7fe401ff,0x003fffff,
    0x7ed3ffee,0x3fea01ff,0xffcfffaf,0x900fff9f,0x4003ffff,0xffdffffc,
    0x7ffd43ff,0xffacff9e,0xfffe80ff,0x90bfff21,0x999bffff,0xd304cc79,
    0x554c5fff,0x1aaefffb,0xfb87fff6,0x7ff543ff,0xfd882fff,0x03ffffff,
    0xffd88000,0x4c1effff,0x325fb2ff,0x540df95f,0xfffdffff,0xfff1001f,
    0x80dfff1f,0xeffdfff9,0x7ffcfff8,0x07ffff50,0x8ffffe40,0x743ffffc,
    0x7457fe4f,0xdfff303f,0xf07fff44,0xffffffff,0x3fffe2bf,0x20efffff,
    0xfffffffd,0x7fff75ff,0x5c2fffcc,0x400cffff,0x00bcedca,0x6e540000,
    0x3ff202ce,0x59931ca8,0x3fe205ff,0xdfffd3ff,0x3fff6001,0x4403fffd,
    0xd3ffffff,0x30dfffff,0x400bffff,0x641ffffc,0x8a62ffff,0x201c6ff8,
    0x3e60dffc,0x3fffe0df,0x15ffffff,0xffffffff,0xffffd81d,0xd35fffff,
    0x0ffe98df,0x000acda8,0x00000000,0x02ffe800,0x7f409ff9,0x3ffe66ff,
    0xfff5005f,0xf001ffff,0x2e1fffff,0x445fffff,0xccdffffe,0x2e0ccccc,
    0xff901fff,0x3ffcc01d,0x1b80ec00,0xccccccc8,0x3b723ccc,0x9700bcde,
    0x99999999,0x05500a87,0x00000000,0x55554400,0x82aaaaaa,0xdcdfffe9,
    0x3f205fff,0x7fdc0fff,0xffd002ff,0x3a00bfff,0x3e66ffff,0x7dc4ffff,
    0xffffffff,0x7dc1ffff,0x20076401,0x00006ee9,0x00000000,0x00000000,
    0x00000000,0xfffffa80,0x00ffffff,0xfffffff7,0x7fffd405,0x1ffffd03,
    0xfffff700,0x3fff6005,0x7ffff43f,0x7ffffdc2,0xffffffff,0x00100081,
    0x00000000,0x00000000,0x00000000,0x50000000,0xffffffff,0xb9801fff,
    0x7fc401ac,0x3fe605ff,0xff8806ff,0x3ee007ff,0x7fdc1fff,0x7ffdc1ff,
    0xffffffff,0x000001ff,0x00000000,0x00000000,0x00000000,0x40000000,
    0xaaaaaaa8,0x00002aaa,0x00000000,0x00000000,0x32a00000,0xaaa8804c,
    0x44aaaa22,0xcccccccc,0x41cccccc,0x000aaaaa,0x2aaaa980,0xb3033260,
    0x3bb2a019,0x3a60000c,0x6eeeeeee,0x00000000,0x00000000,0x00000000,
    0x00000000,0x807ffff1,0x3ea7fff8,0xffff36ff,0xffffffff,0xfff985ff,
    0x2a0000ef,0x100dffff,0x7fc4dfff,0xffffc85f,0x5eeb82ff,0xffffff30,
    0x00000fff,0x00000000,0x00000000,0x00000000,0x3fff2000,0x3fe200ff,
    0x5bffe67f,0xfffffff9,0x2fffffff,0x0efffd88,0xffffa800,0x7fffd403,
    0xa8ffff50,0xffffffff,0x982ffec3,0xffffffff,0x00000007,0x00000000,
    0x00000000,0x00000000,0xffdfff98,0x33fffc05,0x3322bfff,0xcccccccc,
    0x2e02fffc,0x2000efff,0x801ffffa,0x3e66fff8,0x7ffec6ff,0x13ffffed,
    0x00009ffd,0x00000000,0x00000000,0x00000000,0x80000000,0xfff8bffd,
    0x89bffe02,0x88004fff,0x6cc02fff,0xdb1004ee,0x6cc001bd,0x2066d40d,
    0x3fee4fff,0x2fffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x9bfea000,0x3fa06ffb,0x13ffe26f,0x0bffe200,0x00000000,0xfff88000,
    0x7ffffdc2,0x000006ff,0x00000000,0x00000000,0x00000000,0x74000000,
    0x3ffe22ff,0xf8bffd04,0xf88003ff,0x000002ff,0x20000000,0xfa80aaa8,
    0x000effff,0x00000000,0x00000000,0x00000000,0x00000000,0x2a17ff20,
    0xffd81fff,0x001fffc4,0x0017ffc4,0x00000000,0x65440000,0x0000002b,
    0x00000000,0x00000000,0x00000000,0x7c400000,0xbffd01ff,0xed87dd90,
    0x3330002e,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffb00000,0x17ffcc09,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1fff5000,0x00fffd80,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_34_latin1_x[224]={ 0,6,3,0,1,0,0,7,4,3,2,1,3,4,
6,1,0,1,2,2,0,2,1,1,1,1,6,3,1,2,3,4,0,0,2,1,1,3,3,0,1,2,2,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,5,1,4,1,0,0,1,2,2,1,1,0,1,2,2,
1,2,2,0,2,1,2,1,2,2,0,2,0,0,0,0,2,2,7,3,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,6,1,1,0,0,
7,1,0,0,3,1,1,4,1,0,3,1,3,3,0,2,1,6,6,3,3,2,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
 };
static signed short stb__consolas_bold_34_latin1_y[224]={ 25,1,1,3,-1,1,1,1,0,0,1,7,18,14,
18,1,2,3,2,2,3,3,3,3,2,2,7,7,6,11,6,1,1,3,3,3,3,3,3,2,3,3,3,3,
3,3,3,2,3,2,3,2,3,3,3,3,3,3,3,0,1,0,3,28,1,7,1,7,1,7,1,7,1,0,
0,1,1,7,7,7,7,7,7,7,2,8,8,8,8,8,8,0,-3,0,12,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,25,7,0,2,3,3,
-3,1,1,2,2,9,14,14,1,2,1,4,1,1,1,8,1,12,25,1,2,9,1,1,1,7,-3,-3,-3,-4,
-4,-4,3,3,-3,-3,-3,-4,-3,-3,-3,-4,3,-4,-3,-3,-3,-4,-4,8,-1,-3,-3,-3,-4,-3,3,1,1,1,
1,1,1,-1,7,7,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,7,4,1,1,1,1,1,1,1,
 };
static unsigned short stb__consolas_bold_34_latin1_w[224]={ 0,6,12,18,17,19,20,5,11,12,15,17,10,11,
7,16,18,16,15,15,18,15,17,16,16,16,7,10,15,15,14,13,19,19,16,16,17,14,13,18,17,15,14,17,
14,18,17,19,16,19,16,16,17,17,19,19,19,19,16,9,17,10,17,19,12,16,16,14,16,16,18,17,15,15,
14,17,15,18,15,17,16,16,16,15,17,15,19,19,19,19,15,14,5,14,18,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,6,15,17,19,19,
5,17,16,19,13,16,16,11,17,14,13,16,12,12,18,16,17,7,6,12,13,15,19,19,19,13,19,19,19,19,
19,19,20,16,17,17,17,17,17,17,17,17,18,18,19,19,19,19,19,16,19,18,18,18,18,19,16,16,17,18,
17,17,17,17,19,14,17,18,17,17,17,18,17,17,17,17,18,18,18,18,18,17,17,17,18,17,17,19,16,19,
 };
static unsigned short stb__consolas_bold_34_latin1_h[224]={ 0,25,9,22,31,25,25,9,32,32,15,18,13,4,
8,28,24,22,23,24,22,23,23,22,24,23,19,24,20,10,20,25,31,22,22,23,22,22,22,24,22,22,23,22,
22,22,22,24,22,30,22,24,22,23,22,22,22,22,22,32,28,32,11,4,8,19,25,19,25,19,24,25,24,25,
32,24,24,18,18,19,25,25,18,19,24,18,17,17,17,24,17,32,35,32,8,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,25,30,23,22,22,
35,28,8,24,18,14,9,4,17,7,12,21,14,14,8,24,28,7,5,14,18,14,24,24,24,25,28,28,28,29,
29,29,22,27,28,28,28,29,28,28,28,29,22,29,29,29,29,30,30,16,30,29,29,29,30,28,22,25,25,25,
25,25,25,27,19,23,25,25,25,25,24,24,24,24,25,24,25,25,25,25,25,18,25,25,25,25,25,31,31,31,
 };
static unsigned short stb__consolas_bold_34_latin1_s[224]={ 255,243,127,179,121,145,177,250,77,28,126,
235,214,219,248,58,56,216,141,148,16,125,174,110,93,108,248,240,1,239,17,
43,159,132,93,157,145,1,152,1,127,163,241,198,233,166,202,150,35,215,185,
39,75,90,112,92,72,52,220,67,95,56,109,199,157,86,26,103,123,118,222,
57,170,75,41,1,56,184,135,68,57,93,167,32,204,151,53,73,33,19,93,
89,1,13,206,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,
57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,57,255,1,199,
72,1,228,7,40,189,220,203,142,140,219,15,225,225,237,159,172,170,164,167,
248,248,185,1,198,181,110,130,109,223,37,203,80,100,60,207,75,113,19,131,
120,149,185,1,138,38,156,213,233,1,235,1,109,21,21,175,194,41,75,21,
92,202,165,127,220,238,57,48,192,184,20,39,198,20,201,38,75,91,186,216,
110,74,158,1,217,235,8,129,140,109,139,104,179, };
static unsigned short stb__consolas_bold_34_latin1_t[224]={ 1,68,313,229,1,98,126,68,1,1,296,
275,296,32,229,68,179,229,204,152,252,204,204,229,179,204,204,152,275,296,275,
153,1,252,229,204,229,252,252,179,229,229,179,229,229,252,252,179,252,1,252,
204,229,204,252,252,252,252,252,1,68,1,313,32,313,275,153,275,126,275,179,
126,179,126,1,204,204,275,275,275,152,152,275,275,179,275,296,296,296,204,296,
1,1,1,313,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,
229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,229,1,153,1,
204,229,204,1,68,313,152,275,296,313,32,296,313,296,252,296,296,313,152,68,
238,246,296,296,296,152,179,179,126,68,98,68,37,37,37,204,98,68,98,68,
37,68,68,98,37,229,37,37,37,68,1,37,296,37,68,37,37,37,68,229,
98,98,98,98,98,98,98,275,204,98,127,127,126,179,152,179,179,126,179,126,
152,152,126,127,275,126,153,152,126,98,1,1,1, };
static unsigned short stb__consolas_bold_34_latin1_a[224]={ 299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,299,
299,299,299,299,299,299,299,299, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_34_latin1_BITMAP_HEIGHT or STB_FONT_consolas_bold_34_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_34_latin1(stb_fontchar font[STB_FONT_consolas_bold_34_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_34_latin1_BITMAP_HEIGHT][STB_FONT_consolas_bold_34_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_34_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_34_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_34_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_34_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_34_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_34_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_34_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_34_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_34_latin1_s[i] + stb__consolas_bold_34_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_34_latin1_t[i] + stb__consolas_bold_34_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_34_latin1_x[i];
            font[i].y0 = stb__consolas_bold_34_latin1_y[i];
            font[i].x1 = stb__consolas_bold_34_latin1_x[i] + stb__consolas_bold_34_latin1_w[i];
            font[i].y1 = stb__consolas_bold_34_latin1_y[i] + stb__consolas_bold_34_latin1_h[i];
            font[i].advance_int = (stb__consolas_bold_34_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_34_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_34_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_34_latin1_s[i] + stb__consolas_bold_34_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_34_latin1_t[i] + stb__consolas_bold_34_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_34_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_34_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_34_latin1_x[i] + stb__consolas_bold_34_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_34_latin1_y[i] + stb__consolas_bold_34_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_34_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_34_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_34_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_34_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_34_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_34_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_34_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_34_latin1_LINE_SPACING
#endif

