// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_35_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_35_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_35_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_35_latin1_BITMAP_HEIGHT        344
#define STB_FONT_consolas_bold_35_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_35_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_bold_35_latin1_NUM_CHARS            224

#define STB_FONT_consolas_bold_35_latin1_LINE_SPACING          23

static unsigned int stb__consolas_bold_35_latin1_pixels[]={
    0x3e69fff3,0x011004ff,0x9800000c,0x54009999,0x00015302,0x20006f5c,
    0xfb801ba9,0x3fffffff,0xfffffffb,0x3726003f,0x133313fe,0x9bdf3000,
    0xca800005,0x0000001c,0x8002f740,0x41aaaa98,0xff34fff9,0x1dd1009f,
    0x00005f90,0x0dffffc8,0xf91bff60,0xf90001df,0xf7001fff,0x40bfffff,
    0xfffffffb,0xfffffb3f,0xf9003fff,0x3f27ffff,0xf98003ff,0x000dffff,
    0x003ffb00,0x0037fdc0,0x20037fc4,0xffffffea,0x9fff31ff,0x1013ffe6,
    0x7e41dffd,0x900002ff,0x9807ffff,0xff11ffff,0xff0007ff,0x74405fff,
    0xffffffff,0xfffff705,0x3ff67fff,0x01ffffff,0x7fffffe4,0x007fff93,
    0xffffff30,0x3fa0000d,0x3fa0000f,0xffa8003f,0x3fff2005,0x1fffffff,
    0x3e69fff3,0x3fa204ff,0x7ffe46ff,0x7e40002f,0xf8801eff,0x3ffe1fff,
    0xffe8002f,0xfff102ff,0xfffd99df,0x9555530d,0x3ff67fff,0x00aaaaaf,
    0x2b7fffe6,0x07fff909,0x3ff2a600,0xf80003ff,0x3e20007f,0x644001ff,
    0xff7004ff,0xfddbdfff,0x53ffe63f,0x3604fff9,0xfc80efff,0x90001fff,
    0x4001bfff,0x7fdc5ffc,0xfff70005,0x1fffec0d,0x4017ffdc,0xffb3fffa,
    0xfff9000f,0x0ffff209,0x3ffea000,0x7fc40006,0x99731006,0x2a00dffb,
    0xfffffffd,0x3fffa04e,0x3e615105,0x9fff34ff,0x03bffee0,0x006fffd8,
    0x002aaa88,0x00620110,0x5c079300,0x3f602fff,0xfffa805f,0x000fffb3,
    0x3201fffb,0x00003fff,0x8000fffd,0xfb805ff9,0x5fffffff,0x7ffff4c0,
    0x07ffffff,0x005ffff1,0x7cd3ffe6,0xfff984ff,0xfffe801f,0x00000004,
    0x00000000,0x9809fff1,0x7d400fff,0x0fffb3ff,0x40fffd00,0x0003fffc,
    0x001fffb0,0xffffdca8,0xfffd882d,0x3fffffff,0xffffff10,0x0fffffff,
    0x017fffe2,0xf9a7ffcc,0xfffe84ff,0xffff5004,0x02aaa983,0x26555530,
    0x53002aaa,0x2aaa2555,0xaaaaaaaa,0x00fffb82,0x5403fff8,0xfffb3fff,
    0x0dfff000,0x731fffe4,0x32001579,0xd5000fff,0xffffffff,0xfffffd0b,
    0x7fffffff,0x7bffffd0,0x0db75fff,0x06fffff4,0x4d3ffe60,0x7fd44fff,
    0x7fec006f,0x7fffcc5f,0x4fffe802,0x005ffff3,0x3ea9fffd,0xffffffff,
    0x7ffc0fff,0xf9110c43,0xfffa809f,0x000fffb3,0x7e40dfff,0xfffe8bff,
    0xfc800eff,0xffc800ff,0xffffffff,0x67fffdc5,0xffffffb1,0x9ffffc41,
    0x32005ff9,0x04ffffff,0x7cd3ffe6,0x7ffec4ff,0x7ffc4002,0x2ffff40f,
    0x83fffe60,0x4c05fffe,0xff50ffff,0xffffffff,0x7ffd41ff,0xfdfffd30,
    0xa80bff79,0xfffb3fff,0x0dfff000,0x7f67ffe4,0x1fffffff,0x007ffe40,
    0x37ffffea,0x7c5fefff,0x3fe23fff,0x2a4fffff,0xff50ffff,0x3fff6009,
    0x82ffffff,0xff34fff9,0x3fffc49f,0x3fffd800,0x007fffdc,0xfb8bfff9,
    0x3f200fff,0x3bbaa5ff,0xfffeeeee,0x4d7ff20f,0xbfffffff,0x7d406ffa,
    0x0fffb3ff,0x40dfff00,0xfffffffc,0x05fffffe,0x100fffdc,0x3a1dffff,
    0x3ee288ff,0x7ffd46ff,0x3e66fffc,0x7ff72fff,0xfffff700,0x8bffffff,
    0xff34fff9,0x27ffdc9f,0x6fffa800,0x01ffffc4,0xf885ffff,0x3fe03fff,
    0x3e2002ff,0x3ffa0fff,0xffffffd3,0x80fff57f,0xffb3fffa,0xfff8800f,
    0x3ffff205,0x3fff61df,0x3ffee00f,0x3fffee04,0x7ec1ffe1,0x67fec3ff,
    0xf10ffff9,0xffb9ffff,0x9ffff005,0x3ffffff2,0x29fff30e,0x3f64fff9,
    0xf10002ff,0xffc81fff,0xffff506f,0x41bfff20,0x4007fffa,0xf10ffff8,
    0x7fff53ff,0xff35fff1,0x3fffa80f,0xc800fffb,0x3f203fff,0xfff06fff,
    0x7ffcc07f,0xdfff900e,0xfe837fc4,0x97ffc1ff,0x3f62ffff,0x1fffffff,
    0x07fffd40,0xbfffffd1,0x7cd3ffe6,0x3fffa4ff,0x3ff60000,0x7fffcc1f,
    0x04fffd80,0xb01ffff3,0x88009fff,0xff50ffff,0x26dff91f,0x7ff99fff,
    0xd9fffd40,0x5d4407ff,0x200ffffd,0xb00efffc,0xfd80bfff,0x3a1bdfff,
    0x3fe64fff,0x41ffff04,0x3ffa7ffa,0x3fffa23f,0x01cfffff,0x701ffff5,
    0x265fffff,0x9fff3099,0x0003fffc,0x3a0bfff2,0x7fc43fff,0x3ffa01ff,
    0x7fffc43f,0x7ffc4001,0x3adff70f,0x1fff54ff,0xfa80fff3,0x0fffb3ff,
    0xefffffa8,0x1fffe401,0x00dfff70,0x49ffffd5,0x3ea2ffff,0x7fff883f,
    0xffd2ffe4,0xfffd887f,0x0dffffff,0x81ffffcc,0x204ffffa,0xff14fff9,
    0xfc8000df,0xfffb83ff,0x037ffd46,0xf51bffee,0xf1000dff,0x3ff21fff,
    0x3ea7fff5,0x80dff57f,0xffb3fffa,0xffffa80f,0xfffc800d,0x1fffee03,
    0x3ffff6a0,0xc8ffffe4,0xfff982ff,0xfb17ffc7,0x3f6a09ff,0xefffffff,
    0x3ffffe20,0x0dfffd03,0xf9a7ffcc,0x5c0005ff,0xff884fff,0x3fff61ff,
    0x7fffc403,0x00ffff61,0x43fffe20,0xfff8cffc,0x3eafff72,0x7ffd406f,
    0xa80fffb3,0x04fffffe,0x501fffe4,0xfb80dfff,0x3a3effff,0x3ff65fff,
    0x27fffa81,0x3f60fff9,0x7fdc03ff,0x46ffffff,0x0dfffffb,0x3037ffe4,
    0x3fe69fff,0x7dc0006f,0xfffb04ff,0x03fffe29,0x453fff60,0x8000ffff,
    0xfb0ffff8,0x25fff19f,0xbff76ffc,0xb3fffa80,0x2e200fff,0x3202fffe,
    0x3ee03fff,0x3fe205ff,0xfffb01ff,0x203ffa1f,0x3f27fff9,0x17fff45f,
    0x3f33ff20,0x7ec1ffff,0x3a3fffff,0x3e604fff,0xffff14ff,0xfffb8000,
    0x2ffff303,0x3004fffb,0x3feeffff,0xff10004f,0x2fff61ff,0xff91fff8,
    0x5013ff2b,0x3ff67fff,0x7ffdc007,0x0ffff204,0x204fffd8,0x2a03fffa,
    0xff8effff,0xffff8847,0xfe87ffd0,0x7fec01ff,0x07ffff51,0xdffffffb,
    0x403ffffb,0x3fe4fff9,0x7e40007f,0x3ffa02ff,0x01fffeaf,0x3abfffa0,
    0x10001fff,0x3f61ffff,0xd2fff8bf,0x0bffabff,0x367fff50,0x7c4007ff,
    0x3ff205ff,0xffff103f,0x0fffdc05,0x3fffffa0,0x15ecbfff,0xff33ffff,
    0x7fffc41f,0xf07ff400,0x3ea07fff,0xffffffff,0x2599914f,0x3fe4fff9,
    0x360001ff,0x3ee01fff,0x06fffeff,0x7f7ffdc0,0x220006ff,0xffb0ffff,
    0x3eefffe9,0x07ff9dff,0xfb3fffa8,0xfff000ff,0x1fffe40d,0x00ffffd8,
    0x5003fff2,0xffffffff,0x7ff4bfff,0x546ffbcf,0xff807fff,0x017fffc7,
    0xffffff91,0xa7ffcc9f,0x3f64fff9,0xf10003ff,0x7c401fff,0x03ffffff,
    0x7ffffc40,0x220003ff,0xff90ffff,0x3fffffab,0x05ffffff,0xfb3fffa8,
    0xfff000ff,0x6fffe40d,0x3ffff660,0x07ffe403,0x7ffffcc0,0x325fffff,
    0x3ffeffff,0x7527ffec,0xd8b7fc43,0x9800ffff,0x20fffffe,0xff34fff9,
    0x37ffdc9f,0x5fffa800,0xfffffd80,0xffd8000f,0x0000ffff,0x5c3fffe2,
    0xffff76ff,0x1dffffbd,0x27fff500,0xf8007ffd,0x3ff206ff,0xffffffff,
    0xffc805ff,0xfb71000f,0x45bfffff,0xfffffff9,0x83fffee1,0xffdefffb,
    0x4fffffde,0x7fffe400,0x4d3ffe63,0x3fe24fff,0xfd8001ff,0xffa802ff,
    0x50004fff,0x009fffff,0x0ffff880,0x7fe4fff5,0x0dffe88e,0x27fff500,
    0xf8007ffd,0x3ff206ff,0xffffffff,0xffc800cf,0xffc8000f,0x7fffe403,
    0xfffdb9ff,0x7fffdc3f,0xffffffff,0xfff0005f,0xa7ffcc9f,0x7ec4fff9,
    0x7c4004ff,0x3fa006ff,0x20000fff,0x000ffffe,0x33fffc40,0x40443fff,
    0xfffa8000,0x000fffb3,0x7e40dfff,0xffffffff,0x3ff2001d,0xffd8000f,
    0x7fff4401,0xffffffff,0x7fffdc0e,0xffffffff,0xff880103,0x3ffe62ff,
    0xa89fff34,0x2001ffff,0x2003fffd,0x0005ffff,0x002ffffc,0x23fffd40,
    0x00004fff,0x367fff50,0xfe8007ff,0x3fff207f,0x0000999b,0x0001fffb,
    0xd1001ffd,0xffffffff,0x32ea209f,0x2cdffffe,0x26b3be20,0xffffeb99,
    0x4d3ffe60,0xffd84fff,0xfff5006f,0x3fee001d,0x2e0001ff,0x0001ffff,
    0x645fffd8,0x00000fff,0xfb3fffa8,0xffb000ff,0x3fff201f,0xffd00003,
    0x1ffe000f,0xfffffb80,0x74002eff,0xff1000ff,0xffffffff,0xfff987ff,
    0x109fff34,0x8807ffff,0x5001ffff,0x0009ffff,0x027fffd4,0x3ffe2018,
    0x37ffcc4f,0x3ea000c0,0x0fffb3ff,0x0bfff700,0x000ffff2,0x01bffee0,
    0x801bfe20,0x01aacffd,0x801ffe00,0xfffffff8,0xf983ffff,0x9fff34ff,
    0x0bfffea0,0x027fff44,0xffffb555,0xdaaa800d,0x2006ffff,0xeb99abef,
    0xfe80ffff,0x75c41dff,0x2aaaa606,0xffb3fffc,0x0155555f,0x677fffc4,
    0x07fff91a,0xffb75100,0xf30005ff,0x3fe200bf,0xf880001f,0x765c006f,
    0x0beefffe,0x269fff30,0x3f204fff,0xffe82fff,0x7fffc06f,0x4000ffff,
    0xffffffff,0x3fffe000,0x2fffffff,0xfffffd10,0x40dffffd,0xfffffffb,
    0xfffffb3f,0xfb803fff,0xf93fffff,0xf30007ff,0x00dfffff,0x400ffea0,
    0x00007ffa,0x0000bff5,0x4fff9800,0xd809fff3,0x3f61ffff,0x7fc00eff,
    0x000dffff,0xdffffff8,0x7fffc000,0x03ffffff,0x7fffff44,0x2e05ffff,
    0xffffffff,0xffffffb3,0xff7003ff,0x3ff27fff,0xff98003f,0x0000cfff,
    0x2a001331,0x100003cc,0x00000133,0x34fff980,0xfb009fff,0x0effa89f,
    0x2defff80,0x3bffe000,0xfb70002d,0x019dffff,0x7fff65c0,0x775401ce,
    0x92eeeeee,0xdddddddd,0x372a2001,0x05ddd72e,0x379bd300,0x00000000,
    0x00000000,0xfff30000,0x013ffe69,0x00ea826c,0x00001310,0x00000262,
    0x44000022,0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,
    0xfff34fff,0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf9800000,0x9fff34ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x5cc00000,0xa8001acc,0x1f6440de,
    0x19999930,0x664c0000,0xdb88002c,0x801442df,0x76440dea,0xccb80003,
    0x999302cc,0x00000199,0x01333333,0x59999700,0x0b332600,0x2cdc9800,
    0x99530000,0xff700379,0x03ffffff,0x91bffe60,0x7d407fff,0x0000efff,
    0x3fffff98,0x7fffec00,0x03feaaef,0x3237ffcc,0x20003fff,0x403ffffd,
    0x00effffa,0x3ffb2a00,0x06ffffff,0x1ffffec0,0xfffff980,0xfffa8003,
    0xd30004ff,0xffffffff,0xfffb101f,0x7fffffff,0x1ffff700,0x202ffff4,
    0x00efffd8,0x3bffe600,0xf9004fff,0xffffffff,0xffb809ff,0x3fffa0ff,
    0xfffb0005,0x3f62003d,0x54000eff,0xfffffffe,0x2006ffff,0x001efffd,
    0xfffdfff3,0xaeff8009,0x5c001ffc,0xffffffff,0xffe80fff,0xffffffff,
    0x7fcc03ff,0x1fffe46f,0x0efffb80,0x3fffa800,0x1009fff5,0xfff711dd,
    0xff300dff,0x3fffc8df,0xdfffc800,0xfffb8000,0xfff9000e,0xffffffff,
    0x3f200dff,0xf5000dff,0x3ffea7ff,0x43ff1004,0x3f6002ff,0xffffffff,
    0x7fd40fff,0xfb98adff,0xda807fff,0x003ec80d,0x0004ccc4,0x26204ccc,
    0x88110019,0x2a001ccb,0x03ec80dd,0x00333300,0x00999880,0xffffffa8,
    0xdfff33ff,0x00666600,0x98813330,0x7ff10019,0x54007fe6,0x8acfffff,
    0x740fdb98,0xff505fff,0x000007ff,0x00000000,0x00000000,0x00000000,
    0x22000000,0xffffffff,0x0dfff33f,0x00000000,0x3ffff200,0x3ffa006f,
    0x2e0402ff,0x7ec07fff,0xaaa986ff,0x0d554401,0x2b32e620,0x97310001,
    0x22000359,0x001accb9,0x35997310,0x32e62000,0xaa9801ac,0x5554401a,
    0xffffff51,0x3fe67fff,0x06aaa66f,0x4c355510,0x54401aaa,0xffc801aa,
    0xff7000df,0xfb0005ff,0xffa809ff,0x7ffdc0ff,0x2fffdc05,0xffffff70,
    0x7dc003ff,0x1fffffff,0x3fffee00,0x2001ffff,0xfffffffb,0x3fee001f,
    0x01ffffff,0x7017ffee,0x3feebfff,0x3fffffff,0x7dcdfff3,0x7fdc05ff,
    0x17ffee5f,0x80bfff70,0x01aabaa8,0x00dfffd0,0x00bfffa0,0xb83ffff1,
    0x7dc05fff,0xffd885ff,0xffffffff,0x7ffec403,0x3fffffff,0x7fffec40,
    0x03ffffff,0x7ffffec4,0x403fffff,0xffffffd8,0xf703ffff,0xffb80bff,
    0xfffffb5f,0x3e67ffff,0x3ffee6ff,0x2fffdc05,0xb80bfff7,0x7e405fff,
    0xf006ffff,0x20007fff,0xf801ffff,0x7fdc2fff,0x7ffdc05f,0xfffffe85,
    0x3fffffff,0x3fffffa0,0x3fffffff,0x3fffffa0,0x3fffffff,0x3fffffa0,
    0x3fffffff,0x3fffffa0,0x3fffffff,0x405fffb8,0xff95fffb,0x7fffffff,
    0xfb9bffe6,0x7fdc05ff,0x17ffee5f,0x80bfff70,0x0ffffffe,0x0ffffcc0,
    0x7fffc400,0x3ffff800,0x202fffdc,0x7dc5fffb,0xc98adfff,0xf707ffff,
    0x9315bfff,0x2e0fffff,0x98adffff,0x707ffffc,0x315bffff,0x20fffff9,
    0x8adffffb,0x87ffffc9,0x5c05fffb,0xfff55fff,0x27ffffff,0x3ee6fff9,
    0x7fdc05ff,0x17ffee5f,0x40bfff70,0xfffffff8,0x7fffd402,0xfff98000,
    0xfffe800f,0x02fffdc4,0xf897ffee,0xff504fff,0xfff887ff,0xffff504f,
    0x4ffff887,0x87ffff50,0x504ffff8,0xf887ffff,0xff504fff,0xfffb87ff,
    0xafffdc05,0xfffffff8,0xdfff33ff,0x202fffdc,0x3ee5fffb,0x7fdc05ff,
    0x3ffee05f,0x5c04ffff,0x50007fff,0xd001ffff,0xffb87fff,0x7ffdc05f,
    0x01fffee5,0xfb8dfffb,0x7fec07ff,0x3fffdc6f,0x71bfff60,0xfd80ffff,
    0x7ffdc6ff,0x37ffec07,0x7017ffee,0x7fe4bfff,0x33ffffff,0x7fdcdfff,
    0x7ffdc05f,0x017ffee5,0x6c0bfff7,0x7fffcfff,0x07fffdc0,0x7fffcc00,
    0x2ffff801,0x202fffdc,0x3f65fffb,0x7fd404ff,0x3fff60ff,0x7fffd404,
    0x013fff60,0x6c1ffff5,0x7d404fff,0x3ff60fff,0x7ffd404f,0x17ffee0f,
    0xe8bfff70,0x3fffffff,0x7dcdfff3,0x7fdc05ff,0x17ffee5f,0x40bfff70,
    0xfff8ffff,0x3ffea01f,0xff88000f,0xfff801ff,0x2fffdc1f,0xe97ffee0,
    0x7c402fff,0x3ffa1fff,0x7ffc402f,0x0bfffa1f,0x43ffff10,0x4402fffe,
    0x3fa1ffff,0x7fc402ff,0x3ffee1ff,0x2fffdc05,0x3fffff22,0x4dfff33f,
    0x5c05fffb,0x3fee5fff,0x7ffdc05f,0x2bfff505,0x2604fffd,0x0001ffff,
    0x8807ffff,0x7dc0ffff,0x7fdc05ff,0x07fffe5f,0xf8bfffe0,0xff801fff,
    0x3fffe2ff,0x2ffff801,0x2007fffe,0x3fe2ffff,0xfff801ff,0x17ffee2f,
    0x20bfff70,0x33fffec8,0x7fdcdfff,0x7ffdc05f,0x017ffee5,0x320bfff7,
    0xfff72fff,0x7fffc40d,0xfffd0003,0x7fffb80b,0x405fffb8,0xff15fffb,
    0xfff001ff,0x3fffe27f,0x3ffff800,0x001ffff1,0x3e27ffff,0xff800fff,
    0xffff13ff,0x7ffff001,0x202fffdc,0x1005fffb,0x9bffe613,0x5c05fffb,
    0x3fee5fff,0x7ffdc05f,0x21fffd05,0x200ffff9,0x0007ffff,0x401ffff7,
    0xfb83fffe,0x7fdc05ff,0x1ffff35f,0x29fffd00,0x800ffff9,0xff34fffe,
    0xffd001ff,0x3fffe69f,0x4fffe800,0x001ffff3,0x7dc9fffd,0x7fdc05ff,
    0xff30005f,0x2fffdcdf,0xb97ffee0,0x7dc05fff,0xfff985ff,0x01ffffc6,
    0x007ffff9,0x1dffff10,0x01ffffb0,0xb80bfff7,0xfff35fff,0xfffd001f,
    0x03fffe67,0x4cffffa0,0xe800ffff,0xfff33fff,0xfffd001f,0x03fffe67,
    0xb8ffffa0,0x7dc05fff,0xf30005ff,0x7ffdcdff,0x2fffdc05,0xb80bfff7,
    0xffb85fff,0x2fffe44f,0x9fffff10,0x3f605c40,0xecbdefff,0xf704ffff,
    0xffb80bff,0x3ffff35f,0x25ffff00,0x801ffff9,0xff32ffff,0xfff003ff,
    0x3fffe65f,0x2ffff801,0x003ffff3,0x7dc5ffff,0x7fdc05ff,0xff30005f,
    0x2fffdcdf,0xb97ffee0,0x7dc05fff,0xfffd85ff,0x03fffd41,0x3ffffff2,
    0x0ffecbcd,0x7fffff44,0x05ffffff,0x7017ffee,0x3fe2bfff,0xfff801ff,
    0x3ffff11f,0x23ffff00,0x801ffff8,0xff11ffff,0xfff003ff,0x3fffe23f,
    0x1ffff801,0x7017ffee,0x2000bfff,0x3ee6fff9,0x7fdc05ff,0x17ffee5f,
    0x88bfff70,0xff887fff,0x3f6202ff,0xffffffff,0xfe880fff,0xffffffff,
    0x2fffdc05,0xf93ffee0,0x7c403fff,0x3ffe0fff,0x7ffc403f,0x0ffffe0f,
    0x41ffff10,0x4403ffff,0x3fe0ffff,0x7fc403ff,0x3ffee0ff,0x27ffdc05,
    0x6fff9800,0x7017ffee,0x7fdc9fff,0x7ffdc05f,0x82fffd44,0xc804fffe,
    0xffffffff,0x3aa00fff,0x02dfffff,0x406fffa8,0x3fa3fffc,0x7fdc05ff,
    0x2ffff47f,0xd1fffee0,0xfb80bfff,0x7fff47ff,0x3fffdc05,0x7017fffa,
    0xffa8ffff,0x7ffe406f,0xfff50003,0x037ffd49,0xfa8ffff2,0x7fe406ff,
    0x7fffe43f,0xfffeeeee,0xff93006f,0x059fffff,0x013ffee0,0x407fff98,
    0x3ee2fffd,0x3fa00fff,0x7ffdc4ff,0x3fffa00f,0x07fffdc4,0xb89fffd0,
    0x3a00ffff,0x7fdc4fff,0x3ffa00ff,0x3fffcc4f,0x00bfff60,0x31fffe40,
    0xfd80ffff,0x3ffe62ff,0x17ffec07,0x3ffffffe,0xffffffff,0x3fff2001,
    0xff98000a,0xff10106f,0x3fe607ff,0x3ffe20ff,0xfffd80ef,0x7fffc40f,
    0xffffd80e,0x77fffc40,0x0ffffd80,0x077fffc4,0x207fffec,0x80effff8,
    0x440ffffd,0xf303ffff,0x0ee01fff,0x117fffcc,0x2607ffff,0x3e20ffff,
    0xff303fff,0x7ffcc1ff,0xffffffff,0x2003ffff,0x20006ffd,0x89effff8,
    0xfffb06c9,0xff73139f,0xfff909ff,0xffd979df,0x3ff207ff,0xfecbceff,
    0xff903fff,0xfd979dff,0x3f207fff,0xecbcefff,0xf903ffff,0xd979dfff,
    0x3607ffff,0x989cffff,0x304ffffb,0xf9559dff,0xffb0bfff,0xf73139ff,
    0xffb09fff,0xf73139ff,0xffb89fff,0xccccccdf,0x005fffec,0x0000fffe,
    0xfffffff9,0xfff109ff,0xffffffff,0xffd101df,0xffffffff,0x3fa201df,
    0xffffffff,0xfd100eff,0xffffffff,0x3a201dff,0xffffffff,0xd100efff,
    0xffffffff,0x2201dfff,0xffffffff,0xd00effff,0xffffffff,0xff101fff,
    0xffffffff,0xff101dff,0xffffffff,0xffe81dff,0x7ffdc01f,0xfff8800f,
    0xffe80000,0x0fffffff,0xffffffa8,0x201effff,0xffffffd8,0xd8804fff,
    0xffffffff,0xffd8804f,0x4fffffff,0xffffd880,0x804fffff,0xffffffd8,
    0xfa804fff,0xffffffff,0x3fa601ef,0xefffffff,0x3fffea01,0x1effffff,
    0x3ffffea0,0x41efffff,0x8807fff8,0xa802ffff,0x100005ff,0xbffffff7,
    0x7ffe4401,0x2003ffff,0xefffffeb,0x7ff5c002,0x4002efff,0xefffffeb,
    0x7ff5c002,0x4002efff,0xefffffeb,0x3ff22002,0x003fffff,0x33bffb2a,
    0xfff91002,0x2007ffff,0xffffffc8,0x9fff503f,0x13fffa00,0x10000000,
    0x80013553,0x00009a98,0x80000d4c,0x300001a9,0x26000035,0x5300001a,
    0x53100003,0x00000013,0x01353100,0x04d4c400,0x00bfff60,0x003fffe4,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xbfb71000,0x2a002885,0x1f6440de,0x666664c0,
    0x19998000,0x97000000,0x80005999,0x4c2ccccb,0x000ccccc,0xccccb800,
    0x99880002,0xccccc981,0xcb800000,0xc9802ccc,0x2e2002cc,0x01442dfd,
    0x7ffffec0,0x803feaae,0x7e46fff9,0xffa803ff,0x6c000eff,0x00002fff,
    0x1ffffec0,0x3fff6000,0xffff503f,0x6c00001d,0x0003ffff,0x507fff88,
    0x001dffff,0x7fffec00,0xffff9803,0xfffb003f,0x7fd55dff,0x7fffe400,
    0x4fffffff,0x0ffffb80,0x4017fffa,0x00efffd8,0x017ffe60,0xfffd8000,
    0x7ec0001e,0x6c401eff,0x0000efff,0x01efffd8,0x7fff7000,0x77ffec40,
    0xffd80000,0xff9801ef,0x404fffef,0xfffffffc,0x2004ffff,0xffb88ee8,
    0xf3006fff,0xfffc8dff,0x7ffdc003,0x3ffa000e,0xc800001f,0x0000dfff,
    0x006fffe4,0x01dfff70,0x6fffe400,0x3fe00000,0xffb800ff,0x320000ef,
    0xa800dfff,0xfff53fff,0x44774409,0x06fffffb,0x65c40880,0x6ed4001c,
    0x0003ec80,0x40013331,0x0004fffa,0x00199980,0x00333300,0x00266620,
    0x00199980,0x27ffd400,0x01333100,0x00cccc00,0x98813330,0x22044019,
    0x00001ccb,0x00000000,0x3e000000,0x00000fff,0x00000000,0x00000000,
    0x7ff40000,0x0000001f,0x00000000,0x20000000,0x01aaaaa8,0x2aaaa200,
    0x2a20001a,0x2001aaaa,0x4003fffc,0x3002aaa9,0x2aa05555,0xaaaaaaaa,
    0xaaa81aaa,0xaaaaaaaa,0x554401aa,0x00001aaa,0x440dfff3,0xaaaaaaaa,
    0x441aaaaa,0xaaaaaaaa,0x441aaaaa,0xaaaaaaaa,0x221aaaaa,0x5402aaaa,
    0x7e4002aa,0x0006ffff,0x1bfffff2,0xffffc800,0x3fe2006f,0x7fd4006f,
    0xffe801ff,0xffffd04f,0xffffffff,0xfffffd09,0x9fffffff,0xfffffc80,
    0xff900006,0x7ffdc05f,0xffffffff,0x7ffdc4ff,0xffffffff,0x7ffdc4ff,
    0xffffffff,0x3ffea4ff,0x3ffe00ff,0x7fff4005,0xd0000fff,0x01ffffff,
    0x3ffffa00,0x3f6000ff,0x7f4002ff,0x7fd405ff,0xfffd00ff,0xffffffff,
    0xffffd09f,0xffffffff,0xffffe809,0x440000ff,0x7dc07fff,0xffffffff,
    0x7dc4ffff,0xffffffff,0x7dc4ffff,0xffffffff,0x3ea4ffff,0x3e04ffff,
    0x3e2005ff,0x02ffffff,0xfffff880,0xf88002ff,0x02ffffff,0x017ffe60,
    0x01ffff50,0xd027fff4,0xffffffff,0xfd09ffff,0xffffffff,0x7c409fff,
    0x02ffffff,0x1fffdc00,0x3ffffee0,0xffffffff,0x7ffffdc4,0xffffffff,
    0x7ffffdc4,0xffffffff,0x3ffffea4,0x0bfff00f,0x7ffffdc0,0xfb8004ff,
    0x04ffffff,0xfffffb80,0x7f4004ff,0x7f4000ff,0xfff504ff,0x7fff401f,
    0x9999999b,0xbfffe809,0x99999999,0x3fffee00,0x40004fff,0x8000fffe,
    0x0005fffb,0x000bfff7,0x5017ffee,0x07ffffff,0xd8017ffe,0x7fffcfff,
    0xcfffd800,0xd8007fff,0x7fffcfff,0x27ffdc00,0x3fffea00,0x04fffe80,
    0x0017fff4,0x002fffe8,0x7e7ffec0,0x2a0007ff,0x70005fff,0x2000bfff,
    0x0005fffb,0xa80bfff7,0x07ffffff,0x7c00bfff,0xffff8fff,0x7fffc001,
    0x001ffff8,0x7fc7fffc,0x7fc001ff,0x7f4000ff,0x7ffd44ff,0x7fff400f,
    0xfffd0002,0xfff80005,0x01ffff8f,0x03fffb00,0x17ffee00,0x2fffdc00,
    0x5fffb800,0x7ffffd40,0x5fff82ff,0x2bfff500,0x2004fffd,0xffb5fffa,
    0x7fd4009f,0x09fffb5f,0x03fffc80,0x07fffd40,0xd009fffd,0x20005fff,
    0x0002fffe,0x7ed7ffea,0xf98004ff,0x2e0006ff,0x70005fff,0x2000bfff,
    0x5405fffb,0x6fffdfff,0x9005fff8,0x3fee5fff,0x3ff2006f,0x0dfff72f,
    0xb97ffe40,0x44006fff,0xe8006fff,0xfff53fff,0xfffd001f,0x3ffa0005,
    0x3f20002f,0xdfff72ff,0x5fff9000,0x7ffdc000,0xfff70005,0x3fee000b,
    0x7ffd405f,0x7c2fffeb,0xffd005ff,0x3fffe61f,0x1fffd000,0x003fffe6,
    0xf987fff4,0x6c000fff,0x54001fff,0xfffb7fff,0x3fffa007,0x9999999b,
    0x37fffd01,0x03333333,0xf987fff4,0x22000fff,0x40007fff,0x0005fffb,
    0x000bfff7,0x5017ffee,0xfff57fff,0x805fff8b,0x7fc6fff9,0xff9803ff,
    0x1ffffc6f,0x237ffcc0,0x4003ffff,0x8005fffa,0xfffcfffe,0xfffd000f,
    0xffffffff,0xffffd01f,0xffffffff,0x8dfff301,0x2003ffff,0x0004fffb,
    0x002fffdc,0x005fffb8,0x80bfff70,0xfff3fffa,0x02fffc3f,0x3227ffdc,
    0xfb805fff,0x7ffe44ff,0x4fffb805,0x002fffe4,0x0007fff4,0x3fffffea,
    0x3ffa003f,0xffffffff,0xfffe80ff,0xffffffff,0x4fffb80f,0x002fffe4,
    0x0001fffd,0x005fffb8,0x00bfff70,0x017ffee0,0x3ee7fff5,0x17ffe5ff,
    0x507fff60,0xfb00ffff,0xfffa83ff,0x1fffd807,0x003fffd4,0x0027ffdc,
    0x7ffffff4,0x3fffa000,0xffffffff,0xffffe80f,0xffffffff,0x41fffd80,
    0x5007fffa,0x0000bfff,0x000bfff7,0x0017ffee,0x202fffdc,0xff13fffa,
    0x17ffe1ff,0x10ffff10,0x4405ffff,0xff887fff,0x3fe202ff,0xffff887f,
    0x7ffc4002,0xfffb8007,0x7f4003ff,0x99999bff,0xfffd0199,0x33333337,
    0x0ffff103,0x005ffff1,0x0003fffb,0x00bfff70,0x017ffee0,0x02fffdc0,
    0xfc8fffea,0x0bfff4ff,0xd05fffa8,0x7d409fff,0xfffd05ff,0x2fffd409,
    0x004fffe8,0x002fffc8,0x007fffe8,0x002fffe8,0x005fffd0,0x20bfff50,
    0x4404fffe,0x00006fff,0x000bfff7,0x0017ffee,0x202fffdc,0x3e23fffa,
    0x5fff8fff,0x77fffe40,0xffffeeee,0x3ffff206,0xfffeeeee,0x3fff206f,
    0xffeeeeef,0xf98006ff,0xfc8006ff,0xfe8005ff,0xfd0002ff,0xf90005ff,
    0xdddddfff,0xc80dffff,0x00003fff,0x000bfff7,0x0017ffee,0x202fffdc,
    0x7ec3fffa,0x05fffbff,0x7ffffffc,0xffffffff,0xffffff01,0xffffffff,
    0x3fffe03f,0xffffffff,0xd8001fff,0x64001fff,0xe8005fff,0xd0002fff,
    0xf0005fff,0xffffffff,0x03ffffff,0x003fffe2,0x2fffdc00,0x5fffb800,
    0xbfff7000,0x43fffa80,0xfffefff9,0x3fffe605,0xffffffff,0xff983fff,
    0xffffffff,0x983fffff,0xffffffff,0x3fffffff,0x5fffa800,0x2fffe400,
    0x17fff400,0x2fffe800,0x7fffcc00,0xffffffff,0xff703fff,0x5c00009f,
    0x70005fff,0x2000bfff,0x5405fffb,0xffe83fff,0x2e05ffff,0xccccdfff,
    0x5fffeccc,0xccdfffb8,0xffeccccc,0xdfffb85f,0xeccccccc,0xd0005fff,
    0x64001fff,0xe8005fff,0xd0002fff,0xb8005fff,0xccccdfff,0x5fffeccc,
    0x001fffd0,0x2fffdc00,0x5fffb800,0xbfff7000,0x83fffa80,0x5ffffffa,
    0x007fffa0,0xe81ffff7,0x7dc01fff,0x7ff40fff,0x7ffdc01f,0xffb8000f,
    0x3ff2003f,0xffe8005f,0xccccccdf,0xfffe82cc,0xcccccccd,0x07fffa2c,
    0x81ffff70,0x0005fff9,0x3f6aaaa2,0x1aaaaeff,0x7ed55544,0x1aaaaeff,
    0x7ed55544,0x1aaaaeff,0x7c0fffea,0x105fffff,0xf100ffff,0x7fc45fff,
    0xfff8807f,0x1fffe22f,0x0bfffe20,0x1fffe200,0x05fffc80,0xfffffe80,
    0x4fffffff,0xffffffe8,0x14ffffff,0xf100ffff,0xffd85fff,0x3ee0002f,
    0xffffffff,0x7dc4ffff,0xffffffff,0x7dc4ffff,0xffffffff,0x3ea4ffff,
    0xfff703ff,0x3fea0bff,0xfffd004f,0x027ffd49,0x2a4fffe8,0xfd004fff,
    0x320009ff,0xf9002fff,0xfd000bff,0xffffffff,0xffd09fff,0xffffffff,
    0x3ffea9ff,0x9fffd004,0x0037ffc4,0x3ffffee0,0xffffffff,0x7ffffdc4,
    0xffffffff,0x7ffffdc4,0xffffffff,0x40fffea4,0x05fffff8,0x2005fffb,
    0x3f67fffc,0xff9002ff,0x17ffecff,0x07fffc80,0x07999100,0x017fff20,
    0x3fffffa0,0x4fffffff,0xffffffe8,0xb4ffffff,0x32005fff,0x33267fff,
    0x7dc0002c,0xffffffff,0x7dc4ffff,0xffffffff,0x7dc4ffff,0xffffffff,
    0x3ea4ffff,0x3ff203ff,0x000005ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x32600000,0x930002cc,
    0x2a000599,0x1f6440de,0x91037aa0,0xaba8007d,0x01a98000,0x00333000,
    0x33333000,0x00355101,0x33310666,0x2a000033,0x00015302,0x00999998,
    0x0026aa62,0x80066662,0x03fffff9,0x7ffffcc0,0x7ffcc003,0x81fffe46,
    0x7e46fff9,0xfe9803ff,0xf5002fff,0x2d45dfff,0x0bfff700,0x7ffe4000,
    0x7ffdc0df,0x3ff201ef,0x5ffffb86,0x37fec000,0x0003bff2,0x06ffffe4,
    0x7fffff54,0x3ff601df,0xfff3007f,0x2009fffd,0xfffefff9,0x3ffee004,
    0x17fffa0f,0xd07fffdc,0xfd00bfff,0x803fffdf,0xfffffff9,0xb805ffde,
    0x005fffff,0x3ffffc80,0xffffffb8,0x0fff980f,0x0bffff30,0x3fffe600,
    0x07ffff11,0x7ffff900,0x3fffff20,0xb01fffff,0xf500ffff,0x3ffea7ff,
    0x9fffd404,0x3004fffa,0xffc8dfff,0xdfff303f,0x403fffc8,0x7ff12ff9,
    0xfcdffb80,0x02ffffff,0x7fdfffd4,0x3f20005f,0xfff01eff,0xd07ffd57,
    0xfd8807ff,0xf88005ff,0x3ffe1fff,0x7fe4002f,0xfff501ef,0xffffddff,
    0xffffb01f,0x88133300,0x4ccc0199,0x000ccc40,0x7d901bb5,0xc80dda80,
    0x0ffa803e,0x8ee013fa,0x03ffffc8,0xf897ffd4,0xfc8004ff,0xff300dff,
    0x2e2ffd4d,0x3f2006ff,0xfc8005ff,0x02ffdc5f,0x037fff20,0x20cffff8,
    0xc82ffff9,0x00007fff,0x00000000,0x00000000,0xfa8cff98,0x2620003f,
    0x83555001,0x2000aaa8,0x5402aaa8,0x9bfe64ff,0x4001fff9,0x8001aaa9,
    0x80031008,0x4c02aaa8,0xfd80ffff,0xfffc83ff,0x55555406,0xaaaaaaaa,
    0x55554401,0x5554001a,0xaaaaaaaa,0x555441aa,0xaaaaaaaa,0x7fec01aa,
    0x0000efff,0x00000000,0x5ffa8000,0xffe97fea,0x00000003,0x00000000,
    0x360dfff5,0xffc83fff,0x7fff406f,0xffffffff,0x7ffe404f,0x7f4006ff,
    0xffffffff,0x7fdc4fff,0xffffffff,0x64404fff,0x2000dfff,0xabcdcca9,
    0x665cc000,0x9730001b,0x7fcc0379,0x2e9ff90f,0x730006ff,0x98003799,
    0x0abcdcca,0x9b995300,0x3ff20157,0xffff984f,0x06fffc80,0x7ffffff4,
    0x04ffffff,0x7ffffff4,0x3fffa000,0xffffffff,0x7fffdc4f,0xffffffff,
    0x0026004f,0xffffffc8,0x9804ffff,0xefffffff,0xffff3001,0x3a03dfff,
    0x8fffefff,0x4001fff8,0xfffffff9,0x7ffe401e,0x4fffffff,0x3fffff20,
    0xc84fffff,0x7fcc3fff,0xfff704ff,0xffffe80b,0xffffffff,0x3fffe204,
    0x3a002fff,0xffffffff,0x7dc4ffff,0xffffffff,0x2604ffff,0x0abcdcca,
    0x7ffffec0,0x04ffffff,0x3fffffee,0x5c03ffff,0xffffffff,0xfff983ff,
    0x9ffb3fff,0xffffb800,0x03ffffff,0x3ffffff6,0xb04fffff,0xffffffff,
    0xffc89fff,0x3fffe63f,0x17ffee04,0x337fffd0,0x01333333,0x7fffffdc,
    0x3ffa004f,0x999999bf,0xffb80099,0xfff9005f,0x9fffffff,0x5e6ffec0,
    0x1fffffca,0xbeffffa8,0x01ffffeb,0x77dffff5,0x103ffffd,0x3ee3bddb,
    0x7fd4006f,0xffebbeff,0xbffb01ff,0xffff9579,0x9bffb03f,0xfffff957,
    0xd1fffe43,0xfb809fff,0x7ff405ff,0x7ec0002f,0x07fffcff,0x00bfffa0,
    0x2fffdc00,0xfffffd80,0x04ffffff,0x7ff44037,0x2fffe84f,0xd05fffd8,
    0xffb05fff,0x7fc400bf,0x7ff4001f,0x5fffd82f,0x7f440370,0x201b84ff,
    0x324fffe8,0xfff33fff,0xbfff500f,0x02fffe80,0x47fffc00,0xd001ffff,
    0x00005fff,0x4017ffee,0xcabcdffd,0x001fffff,0xb8bfff70,0xff106fff,
    0xfffb81ff,0x1ffff106,0x013ff600,0x20dfff70,0x000ffff8,0x00bfff70,
    0xc97ffee0,0xfff53fff,0x9fff500f,0x02fffe80,0x57ffea00,0xd004fffd,
    0x00005fff,0x4017ffee,0x3ffa201b,0xff50004f,0x2fffd8df,0xb07fffa0,
    0x7f405fff,0xffa801ff,0xfffd8006,0x07fffa02,0x37ffd400,0x6fffa800,
    0x7c4ffff2,0x7d403fff,0x7ff404ff,0x3f20002f,0xdfff72ff,0x0bfffa00,
    0x7ffdc000,0x3ee00005,0x554405ff,0x6fffdccc,0x6667fff4,0xfffecccc,
    0x667fff42,0xffeccccc,0x7ffc402f,0xfffe8001,0xeccccccc,0x54402fff,
    0xfffdccca,0x66554406,0x326fffdc,0x3ffa3fff,0x3fea04ff,0x7fff404f,
    0x9999999b,0x43fffa01,0x800ffff9,0x999bfffe,0x70019999,0x0000bfff,
    0x9837ffd4,0xfffffffd,0x7ffc6fff,0xffffffff,0x7fc3ffff,0xffffffff,
    0x403fffff,0xffd34ffd,0x7fffc07d,0xffffffff,0xfb303fff,0xffffffff,
    0x3ff660df,0xffffffff,0x98ffff26,0x80efffff,0x7403fff9,0xffffffff,
    0xf980ffff,0x7fffc6ff,0xffffe803,0xffffffff,0x5fffb800,0xccaa8800,
    0xb86fffdc,0xffffffff,0x3e66ffff,0xffffffff,0x23ffffff,0xfffffff9,
    0xffffffff,0x23ffea03,0x4ffffffa,0xffffff98,0xffffffff,0xffffb83f,
    0xffffffff,0xfffffb86,0x6fffffff,0xf50ffff2,0x981dffff,0x7f403fff,
    0xffffffff,0xffb80fff,0x2fffe44f,0x7fffff40,0x0fffffff,0x05fffb80,
    0x3ffff660,0x46ffffff,0xabeffffa,0x26fffcaa,0xaaaffff8,0xaaaaaaaa,
    0x2bfffe20,0xaaaaaaaa,0xfff100aa,0xfbbfff15,0xfff883ff,0xaaaaaaaf,
    0x7d40aaaa,0xaaabefff,0x7d46fffc,0xaaabefff,0x3f26fffc,0xfff983ff,
    0x7ffcc5ff,0x7ffff403,0xffffffff,0x41fffd80,0xe807fffa,0xffffffff,
    0xb800ffff,0xf7005fff,0xffffffff,0xffd8dfff,0xdfff505f,0x000ffff8,
    0x003fffe0,0x557ff600,0x0fff65ff,0x0003fffe,0x505fffd8,0xffd8dfff,
    0xdfff505f,0x881fffe4,0x0007fffe,0x4cdffff4,0x88199999,0xff887fff,
    0x7ff402ff,0x999999bf,0xfff70019,0xffff500b,0xff95557d,0x2ffff8df,
    0xe8dfff50,0x20002fff,0x0002fffe,0xfb87ffd4,0x213fee3f,0x0002fffe,
    0x540bfffe,0x7ffc6fff,0xdfff502f,0x501fffe4,0x0003ffff,0x0017fff4,
    0xe82fffd4,0x7f404fff,0x700002ff,0xfb00bfff,0x3fea0bff,0x1ffffc6f,
    0x237fffd4,0x000ffffc,0x01ffff90,0x8bffe200,0x3fea3ffc,0x0ffffc84,
    0x7ffff000,0x8dffff50,0xfa83ffff,0x3ff26fff,0x3ffe203f,0x037b221f,
    0x005fffd0,0xddffff90,0xdffffddd,0x02fffe80,0xbfff7000,0x05ffff00,
    0xfd1bffea,0x3ee23dff,0x7c46ffff,0x440bffff,0xfff882ba,0x5d440bff,
    0x5c5ffc82,0x0fff25ff,0x2fffffe2,0x7415d440,0xf711efff,0xfe8dffff,
    0xff711eff,0x7fe4dfff,0xffc8313f,0x37ffec7f,0x00bfffa0,0x3fffffe0,
    0xffffffff,0x3fffa01f,0xff700002,0xffff00bf,0xdffff507,0xffffffc8,
    0x6fffffff,0xffffffa8,0x04ffffff,0xfffffff5,0x989fffff,0x7fcc0fff,
    0x00fffbcf,0xfffffff5,0x909fffff,0xffffffff,0xc8dfffff,0xffffffff,
    0x326fffff,0xfff53fff,0xf89fffff,0x3a01ffff,0x4c002fff,0xffffffff,
    0x3fffffff,0x00bfffa0,0x2fffdc00,0x8f7fff40,0x6fffffb8,0x7fffffc4,
    0x6ffeafff,0xffffff70,0x409fffff,0xfffffffb,0x7f44ffff,0xffffb02f,
    0xffb809ff,0xffffffff,0xffff884f,0xfeafffff,0x7fffc46f,0xfeafffff,
    0x4ffff26f,0xfffffffa,0x0ffffe85,0x00bfffa0,0x99bfff70,0xffd99999,
    0x7fff40bf,0xff700002,0xfff900bf,0xffffffff,0xffb10dff,0x3f61bfff,
    0x3ff6206f,0x2dffffff,0x7fffec40,0x322dffff,0x7fe405ff,0xfb1003ff,
    0xbfffffff,0x3fff6205,0xdffb0dff,0xfffffb10,0xc9bff61b,0xfff53fff,
    0x3ea05dff,0x7ff403ff,0xccccccdf,0x3fffa2cc,0x7fffdc01,0x9bfffd00,
    0x59999999,0xfdaaaa88,0x1aaaaeff,0x7fffffc4,0x6ffeafff,0x0026a620,
    0x26aa6200,0x55310000,0x4c000013,0x2a620001,0x2620009a,0x3100009a,
    0x10000135,0x2a200333,0xffffe800,0xffffffff,0x00ffff14,0x205ffff1,
    0xfffffffe,0x5c4fffff,0xffffffff,0x884fffff,0x0dfffffd,0x0000dffb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fa00000,0xffffffff,
    0xfff54fff,0x3fffa009,0xfffffd04,0x9fffffff,0xffffffb8,0x4fffffff,
    0x0026a620,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fffffa0,0x4fffffff,0x2005fffb,0xfd07fffc,0xffffffff,0xffb89fff,
    0xffffffff,0x00004fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00ccccc4,0xa9815400,0x99980000,
    0x13331099,0x26662000,0x00000019,0x0ccccc40,0x99530000,0x55555579,
    0x15302a80,0x99998000,0x06660009,0x00000000,0x310006a6,0xfffb8333,
    0x3f60005f,0x077fe46f,0xffff9000,0x0ffff21b,0xffffb800,0xff000005,
    0x7ffdc05f,0x6c40005f,0xffffffff,0xfb00ffff,0x0effc8df,0xffff9000,
    0x3fee001b,0xd930005f,0x20007bdf,0x22effffa,0xdfff905a,0x0bffff30,
    0x3ffff300,0x00ffffe2,0x1ffffe40,0x000ffff2,0x0bffff30,0xfffa8000,
    0x7fffcc00,0xfff10005,0xffffffff,0xff301fff,0x3ffe23ff,0xffc8003f,
    0x3ee003ff,0x4005ffff,0xfffffffc,0x3fe6001e,0xfdefffff,0x6fffc85f,
    0x0bfffb10,0x1ffff880,0x000bfffe,0x207bfff2,0x0003fffc,0x05fffd88,
    0x17ff2000,0x2fffec40,0x6ffff400,0xdffffc9a,0xfff880cc,0x0bfffe1f,
    0x3dfff900,0x5fffd400,0xf9005fff,0xffffffff,0x3fee001d,0xffffffcd,
    0x5fffb82f,0x02fffe40,0xf717ff20,0xff9000bf,0x3ff201bf,0x3200003f,
    0x88005fff,0x2fffddba,0x2fffe400,0x0dfff300,0x900dfff3,0x5ffb8bff,
    0x6fffe400,0x3ffea000,0x809fff12,0xb9bffff9,0x2004ffff,0x3fff223b,
    0xbfff703f,0x03555300,0x03100880,0x05555100,0x003fffc8,0x0d554c00,
    0xfffff900,0x30005fff,0x2a003555,0xffd02fff,0x2011001f,0x55440018,
    0xaaa8002a,0x00555441,0xfa87fff7,0x880005ff,0x7ffd4019,0x00000004,
    0x90000000,0x00007fff,0xffd30000,0xffffffff,0x20000005,0xf902fffb,
    0x000003ff,0x00000000,0x0fffd800,0x0006fff8,0x3ffea000,0x3732a604,
    0x4c000abc,0x9801bccb,0x55101aaa,0x1fffe455,0x40157973,0x5101aaa9,
    0xfffe8555,0xfffffdef,0xb751001f,0xfa801379,0xfffd04ff,0x80d554c0,
    0x4402aaa8,0x009bcdba,0xbcdba880,0xfffd8009,0x02fffcc1,0x5e6dd440,
    0x3ffe6009,0xfffffc83,0x804fffff,0xfffffff9,0x3fff201e,0x4dfff303,
    0xfe8bfffc,0x900effff,0x3e607fff,0x3ffee6ff,0xfffff51f,0xffc801ff,
    0x02ffffff,0x707fffe2,0x7e40dfff,0xfff303ff,0x7fffe40d,0x2002ffff,
    0xfffffffc,0x7ffdc02f,0x01fffec4,0x3fffff20,0xff302fff,0xffffb07f,
    0x9fffffff,0x7ffffdc0,0x903fffff,0x3e607fff,0x3fff26ff,0xffffffec,
    0xfffc81ff,0x2dfff303,0x362ffff8,0x3ffffcff,0xfffffd30,0x40bfffff,
    0xeceffffc,0x3201ffff,0xff303fff,0xfffd30df,0xbfffffff,0xffffe980,
    0x05ffffff,0x227fffe6,0x2006fffd,0xffffffe9,0xa885ffff,0xdffd80aa,
    0xffffcabc,0xffffa81f,0xffffebbe,0x03fffc81,0x7e4dfff3,0xfeffffff,
    0xfc85ffff,0xfff303ff,0x89bffead,0xfffb9fff,0xfffffd05,0x5fffffff,
    0x3ffffea0,0x403fffff,0xf303fffc,0xfffd0dff,0xffffffff,0x7fff405f,
    0xffffffff,0x3fff602f,0x00effffe,0x3fffffa0,0x2fffffff,0x2201b800,
    0xfe84fffe,0xfffd82ff,0x03fffc85,0x7e4dfff3,0x361dffff,0x7e40ffff,
    0xfff303ff,0xb8fffeed,0xdfff36ff,0x19ffff70,0x437fffd4,0xfffefff8,
    0xfc800cff,0xfff303ff,0xcffffb8d,0x1bfffea0,0x067fffdc,0x40dffff5,
    0xfffffff8,0x3fee000d,0x3fea0cff,0x6ffe86ff,0xbfff7000,0x106fffb8,
    0xfc81ffff,0xfff303ff,0x37fffe4d,0x643ffff8,0xff303fff,0x8ffff2df,
    0xfff14ffd,0x4ffff88f,0x87ffff30,0x00627ffc,0x40ffff20,0x3e26fff9,
    0xff304fff,0xfff887ff,0xffff304f,0x7fffec07,0x7fc4002f,0xfff304ff,
    0x1fffc47f,0x6fffa800,0xd017ffec,0xffc83fff,0xdfff303f,0x8077ffe4,
    0x7e45fffd,0xfff303ff,0x44bfff6d,0xfff11fff,0x0ffffa8f,0xd13fff60,
    0x90000fff,0x3e607fff,0x3ffea6ff,0x3fff600f,0x07fffd44,0x109fffb0,
    0x5ffffffd,0xfa83ccc8,0x3f600fff,0x3ffe64ff,0x66554400,0x746fffdc,
    0xcccccfff,0x42fffecc,0xf303fffc,0x7ffe4dff,0x1bffee03,0x2607fff9,
    0xfff96fff,0xf99bfee7,0x7ffdc6ff,0x2fffdc05,0x2afbfff6,0xf900199a,
    0x3fe607ff,0x17ffee6f,0xb8bfff70,0x7dc05fff,0xfffd85ff,0xf10fffff,
    0xfff70bff,0x5fffb80b,0xd981bfee,0xffffffff,0x7fffc6ff,0xffffffff,
    0x7fe43fff,0xdfff303f,0x701fffe4,0xffc8ffff,0xdfff303f,0x7ed3fff2,
    0x17ffea4f,0xa809fff9,0x7fdc6fff,0xffffffff,0x3ff202ef,0xdfff303f,
    0x2027ffe4,0x7e46fffa,0x7fd404ff,0x77ffdc6f,0x88efffe8,0xffc84fff,
    0x7ffd404f,0x5c0fff66,0xffffffff,0x3e66ffff,0xffffffff,0x43ffffff,
    0xf303fffc,0x7ffe4dff,0x1bffea03,0x2607fff9,0xfff56fff,0x6c3fff1d,
    0x7fec3fff,0x7ffd404f,0xfffffc87,0x5fffffff,0x207fff90,0x3f66fff9,
    0x7fd404ff,0x27ffec7f,0xf1fffea0,0x3fe23fff,0x3fffadff,0x404fffd8,
    0x0447fffa,0xbeffffa8,0x6fffcaaa,0x2abfffe2,0xaaaaaaaa,0x1fffe40a,
    0x326fff98,0x3ee03fff,0x7ffe45ff,0x2dfff303,0xffeffff8,0x03fffea6,
    0xb80bfff9,0x7f4c6fff,0xffeeeeff,0xfc83ffff,0xfff303ff,0x02fffe4d,
    0xf91bffee,0xffb80bff,0x1bffe66f,0xffdffff5,0xbfff905f,0x06fffb80,
    0x417fff60,0x7fc6fffa,0x320000ff,0xff503fff,0x1fffe4df,0xc89fffb0,
    0xff503fff,0x7fffe4df,0xfffb9bff,0x6fffb84f,0x127ffe40,0x2605fffd,
    0xfc86fffe,0xfff503ff,0x037ffdcd,0xf713fff2,0xffc80dff,0x17ffea4f,
    0x3fffffee,0x0dfff706,0x004fffc8,0x540bfffe,0x7ff46fff,0x3f20002f,
    0xfff884ff,0x0ffff26f,0x217fffc4,0xf884fffc,0x7fec6fff,0xffffffff,
    0xfffa80ff,0x3fffe01f,0x017ffee3,0xf90ffff5,0xfff109ff,0x7fffd4df,
    0x0ffffe01,0x403ffff5,0x3ea3ffff,0xfffb06ff,0x3fea07ff,0x3ffe01ff,
    0x3ffe003f,0xffffa83f,0x07fffe46,0x6fffb800,0x37ffff44,0x3607fff9,
    0x7dc0ffff,0x7ff446ff,0xfffd86ff,0x0dffffff,0x0bffff10,0xc83ffff2,
    0x7dc05fff,0xfffb85ff,0x7ffff446,0x17fffe26,0x207fffe4,0x905ffff8,
    0x7c41ffff,0xffd01fff,0x3fe203ff,0xfff905ff,0x7ff4001f,0xfff711ef,
    0xfff88dff,0x5d440bff,0xdffffa82,0xffffffb9,0x837fff26,0x83ffffd9,
    0xb9dffffa,0x06ffffff,0xdfffffff,0xffff7007,0xfffb537d,0xffffb87f,
    0x7ffff503,0x3bffff50,0xdffffff7,0xbeffffb8,0x3ffffda9,0x7dffff70,
    0x7ffffb53,0x15fffff0,0x3fffff26,0x3fffee06,0xfffda9be,0x7fe4003f,
    0xffffffff,0xffa86fff,0xffffffff,0xffff04ff,0xfdffffff,0x7fffe4df,
    0xffffffff,0x3ffffe05,0xffefffff,0xabfff986,0xfffe8001,0xffffffff,
    0xfffff886,0xffffeeef,0x3fffe04f,0xfeffffff,0xffffe86f,0x6fffffff,
    0x7fffff40,0x06ffffff,0xfffffff5,0xffffffff,0x7ffff409,0x6fffffff,
    0xffff8800,0xfeafffff,0xffff706f,0x9fffffff,0x3ffffea0,0x6ffd9fff,
    0x3ffffff2,0x00cfffff,0x3fffffea,0x86ffd9ff,0x40005ffc,0xffffffe9,
    0xf300dfff,0xffffffff,0xfa809fff,0x9fffffff,0xfe986ffd,0xffffffff,
    0x7ff4c00d,0xdfffffff,0x3ffff200,0xfdffffff,0xfd303fff,0xffffffff,
    0x3620001b,0xb0dfffff,0x7ec40dff,0xdfffffff,0x3fffea02,0x4dffb0df,
    0xfffffdb9,0xf5001dff,0x361bffff,0x3ffe86ff,0xffd70000,0x1005dfff,
    0xffffffb5,0x3ea0017d,0xfb0dffff,0x7ff5c0df,0x4002efff,0xefffffeb,
    0xfffb3002,0x3f219fff,0x3ae02fff,0x02efffff,0x13531000,0x55310000,
    0x9a980013,0x33310000,0x4d4c0001,0x33322000,0x4c400000,0x1880001a,
    0x09a98000,0x0d4c4000,0x0d4c4000,0x02aa6000,0x1a988000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x33300000,0x99980000,0x00333000,0x02a60550,0x54c00098,
    0x553002aa,0x33331055,0x054c0003,0x40000544,0x40099998,0x89accba9,
    0x20ae603a,0x5301aaa9,0x19980355,0x00033300,0x006aaa66,0x02fffdc0,
    0x6fff9800,0x05fffb80,0xf91bff60,0xfff301df,0x7cc0179d,0xfe802fff,
    0xfffd04ff,0x1fb7317f,0x30fffd40,0x40005fff,0x01effffa,0xfffffff5,
    0x3f20dfff,0x7ffec6ff,0x09fff703,0x201fffaa,0x54006ffc,0x7ffffffe,
    0x7fffdc00,0xf980005f,0x7fdc06ff,0xf9805fff,0xfff11fff,0xffff307f,
    0x3a017fff,0x7cc05fff,0xfd100fff,0xffffffff,0x27fff401,0x000bfffb,
    0x037fffea,0x3fffff62,0x86ffffff,0x23fffff9,0xf703fffd,0xffe889ff,
    0x7fcc07ff,0x3ff6000f,0x07ffffff,0x3efffea0,0x4c0005ff,0x3ea06fff,
    0x05fffbff,0xf0ffffc4,0xff305fff,0x3fffffff,0x01ffff70,0x442fffe4,
    0xffffffdc,0x3a00ffff,0x3ff64fff,0xffa8005f,0x3ff603ff,0xffdcdfff,
    0xfffa86ff,0x3fff64ff,0x09fff703,0x80fffdfd,0x2e003ffe,0xfeffffff,
    0xfff5007f,0x013ffe25,0x06fff980,0x3e25fff5,0x7fe404ff,0x882ffdc5,
    0xffffffee,0x7ffc40ef,0x3fffe03f,0xfffffa82,0x01bdffff,0xf1077fcc,
    0xfa8003ff,0x3ea01eff,0xff984fff,0xffff986f,0x0ffff63f,0x5427ffdc,
    0x2e07ff8a,0x3e2006ff,0x0c40dfff,0x441aaa80,0x30000aaa,0x2aa0dfff,
    0x0555441a,0x00c40220,0x3ffffae0,0x06fffc85,0x2a0ffff5,0xfffeffff,
    0x8062004f,0x55550001,0x5fffe801,0x20dfff30,0x7ec6fffd,0xfff703ff,
    0x83ffc409,0x2001fff9,0x000ffff9,0x80000000,0x0006fff9,0x00000000,
    0x81ffffd1,0xd80ffff9,0x59504fff,0x0ffffec1,0x00000000,0x3ffff300,
    0x81bffe60,0xfffd83ca,0x09fff703,0xfe83ffc4,0x7fd4003f,0x2a60005f,
    0x555101aa,0x6654c405,0x206fffcc,0xabcdcca9,0x36ea2000,0x500009bc,
    0xfd03ffff,0xfff887ff,0xdb98801f,0x5406ffff,0xaaaaaaaa,0x55555000,
    0x54015555,0x3e607fff,0xfb0006ff,0x3fee07ff,0x1ffe204f,0x2001bfee,
    0x0004fffc,0x4c0ffff2,0xff506fff,0xffffffff,0xfffff90d,0x009fffff,
    0xfffffff9,0xff10005f,0xfff707ff,0x06fffa8d,0xffffffb8,0x3fe03fff,
    0x1fffffff,0xffffff00,0x7dc03fff,0x3fe606ff,0xffb0006f,0x3ffee07f,
    0x11ffe204,0x90003fff,0x40009fff,0xf303fffc,0xffd88dff,0xffffffff,
    0xffffd86f,0x4fffffff,0xfffffd30,0x00bfffff,0x81ffff98,0x361ffff8,
    0x3a203fff,0xffffffff,0x3ffe07ff,0x01ffffff,0xfffffff0,0x7fe403ff,
    0x3ffe605f,0xfffb0006,0x13ffee07,0x7ec7ff88,0xff90004f,0x7e40009f,
    0xfff303ff,0xfffffd8d,0x6ffffdcd,0xabcdffd8,0x81fffffc,0xfffffffe,
    0x002fffff,0x403ffff6,0xff14fffd,0x7fec01ff,0xffecdfff,0xdddb03ff,
    0x003ffffd,0x3ffbbbb6,0x3ff201ff,0x3ffe605f,0xfffb0006,0x13ffee07,
    0x3ee4cc88,0xddd7006f,0xddfffffd,0xc805dddd,0xff303fff,0x7fffd4df,
    0x86fff984,0x3ffa201b,0x7fffdc4f,0x3fffea0c,0xfd755306,0x7cc09fff,
    0x9fff77ff,0x27fffd40,0x002ffff4,0x0003ffff,0x700ffffc,0x7d40dfff,
    0x02a206ff,0x640ffff6,0x44004fff,0xf9001fff,0xffffffff,0x07ffffff,
    0x303fffc8,0x7ffcdfff,0xdfff305f,0x3ffee000,0x13fffe25,0x41ffffcc,
    0xfffffffd,0x7fff400e,0x201fffea,0xf905ffff,0x3e001fff,0x20001fff,
    0x2a01ffff,0xe880ffff,0xff706fff,0x4fffd87f,0x04ffffa8,0x0027fec0,
    0xfffffff9,0xffffffff,0x3fffc807,0x26dfff30,0xf301ffff,0x2a000dff,
    0x3fea6fff,0x3ff600ff,0xffffd84f,0xfb800dff,0x06fffeff,0x407fffe2,
    0x002ffff9,0x0003ffff,0x100ffffc,0xfd07ffff,0xff10dfff,0x7fec5fff,
    0x7fffcc6f,0x3fea005f,0x5554c006,0xaadfffda,0x6400aaaa,0xff303fff,
    0x1fffeadf,0x406fff98,0xfdcccaa8,0x3ffee6ff,0x2fffdc05,0x0df7ffe4,
    0xfffff100,0x7fd407ff,0x7fffc07f,0x3ffff002,0x7fffc000,0x7fffec01,
    0xfffffb9b,0xffff986f,0x3ffff65f,0xfffffc9d,0x7c400aff,0xc80001ff,
    0x20004fff,0xf303fffc,0x3ffeedff,0x1bffe606,0x7ffffecc,0x326fffff,
    0x7d404fff,0xfffc86ff,0xfffb0001,0x7dc01fff,0x7ffc06ff,0xffff003f,
    0x7ffc0003,0x7ffcc01f,0xffffffff,0xfff886ff,0x3fff67ff,0xfeffffff,
    0x6c03ffff,0x3bbaa4ff,0x3fff2006,0x3ff20004,0xdfff303f,0x9817fff2,
    0xffb86fff,0xffffffff,0x3fff66ff,0x3fffd404,0x000fffdc,0x4fffffa8,
    0x02fffe40,0x400ffffa,0x0001ffff,0x2007fffe,0xfffffffb,0x506fffaf,
    0x7ecfffff,0xefffffff,0x03ffffd8,0x7c43ffea,0x32007fff,0x20004fff,
    0xf303fffc,0x3fff2dff,0x1bffe605,0x57dffff5,0x4dfff955,0x5c05fffc,
    0xffb86fff,0x3fa0000f,0x7e400fff,0x7ffc05ff,0xffff003f,0x7ffc0003,
    0xffd5001f,0xfff11bff,0x37ffe40d,0xfffdfffb,0x3fffe61b,0x45fff103,
    0x007ffffd,0x0013fff2,0x503fffc8,0x3feedfff,0x3ffea06f,0x82fffec6,
    0x3ee6fffa,0x7fe406ff,0x4000004f,0xb805ffff,0x7fc06fff,0xfff002ff,
    0x7fc0003f,0x544001ff,0x1bffe609,0x364fffa8,0x00a99fff,0x7fec0353,
    0x3faffea5,0x3fff2007,0x3ff20004,0xffff884f,0x01ffff56,0xf8dfffd1,
    0xff502fff,0x7fffd4df,0x0ffffe01,0xffb80000,0xffa801ff,0xfff500ff,
    0x3ffe001f,0x3fe0001f,0x300001ff,0x7e40dfff,0x3fff62ff,0xffa80002,
    0x3adfd10f,0x3ff2007f,0x3ee0004f,0x7ff446ff,0xffff16ff,0xdffffd07,
    0xa83ffff8,0x3e26ffff,0xff905fff,0xbfd501ff,0xfff50001,0x3fe2009f,
    0xffe884ff,0x3ffe006f,0x3fe0001f,0x300001ff,0xf710dfff,0xfffd89ff,
    0x7fc40002,0x747ff22f,0x3ff2007f,0x3ea0004f,0xffb9dfff,0x3f66ffff,
    0xffb9bfff,0x7f46ffff,0xff711eff,0xffb8dfff,0xfda9beff,0xff883fff,
    0xaaa806ff,0x006ffffd,0x56ffffe4,0x2ffffea9,0xf9999988,0x1999afff,
    0xf9999988,0x1999afff,0xdfff3000,0x3ffffba2,0x1fffec0e,0x17ff2000,
    0xffffffff,0xfff9007f,0xfff80009,0xefffffff,0x3ffe66ff,0xefffffff,
    0x7ffe46ff,0xffffffff,0xfffe86ff,0xffffffff,0xfffff506,0xfffff801,
    0x44000fff,0xffffffff,0xf705ffff,0xffffffff,0xb83fffff,0xffffffff,
    0x01ffffff,0x16fff980,0x207fffff,0x0003fffd,0xff03ffe6,0x7fffffff,
    0x09fff900,0xffffa800,0xffd9ffff,0x7ffffdc6,0x6ffd9fff,0x7fffffc4,
    0x6ffeafff,0xfffffe98,0x300dffff,0xf00fffff,0x01bfffff,0x3fffea00,
    0x05ffffff,0x3fffffee,0xffffffff,0x7ffffdc1,0xffffffff,0xff98001f,
    0x179bf16f,0x01fffec0,0x305ffd00,0x3ffd3333,0x9fff9001,0xfff50000,
    0x3ff61bff,0xffffea86,0x10dffb0d,0x1bfffffb,0xeb81bff6,0x02efffff,
    0x802fffc8,0x002defff,0xffffc880,0x7dc02eff,0xffffffff,0x5c1fffff,
    0xffffffff,0x01ffffff,0x05eee980,0x05ddd900,0x017ff200,0x32007fe8,
    0x00004fff,0x400026a6,0x100009a8,0x80001353,0x98001a98,0x0131000a,
    0x54c40000,0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x06660000,0x2a20ccc0,0x266001aa,0x01995001,0x30006a60,
    0x80013333,0x40009998,0x00009998,0xdca85553,0x36a000ab,0x07b7001d,
    0x30019980,0x33333333,0x99751000,0x40013599,0x2001bcb9,0xfea802b9,
    0x6ffc807f,0x1ffffffc,0x201bff20,0x201ffffa,0x22effffa,0xffff305a,
    0x7fe4003f,0x7fdc003f,0xff90005f,0x3ffffa6f,0xffa800ef,0x7fe400ff,
    0xfff7005f,0xfffff00b,0x2003ffff,0xffffffc8,0xfc805fff,0x0dffffff,
    0x41bfff20,0x07ffffe8,0x3e07ffcc,0x00ffffef,0xd001fff3,0x2609ffff,
    0xefffffff,0xfb105ffd,0x32003fff,0x5c003fff,0x90005fff,0xffff5fff,
    0x803fffff,0x403ffffd,0x401fffff,0x05fffffb,0x7ffffffc,0xffa801ff,
    0xffffffff,0x7ffec05f,0x0effffff,0x3fffff98,0x0fffdfd0,0x4083ffe8,
    0xffd01fff,0x3fffa007,0x9bff704f,0x5fffffff,0x1ffffb80,0x03fffc80,
    0x02fffdc0,0xfffffc80,0xfffffeff,0x7fffec05,0x7ffff403,0x2fffea00,
    0x3fe05fff,0x1fffffff,0x7ffffc40,0x5fffffff,0x37dffd10,0x07fff6e2,
    0x09fffff5,0x81ffe2aa,0x2ea06ffb,0xff706ffd,0x7ffd400d,0xc88ee00f,
    0x3003ffff,0xc803ffff,0x5c003fff,0x90005fff,0x43bfffff,0x200ffffd,
    0x400ffff9,0x2a05fffb,0xfff12fff,0x7fffc009,0x7fffe401,0x904b980c,
    0x7ec01dff,0x7fffcc6f,0x3ffc403f,0x201fff98,0x981fffff,0x54001fff,
    0x310000cc,0x55510003,0x3fffc805,0x2fffdc00,0xffffc800,0x07ffff06,
    0x3000bb98,0x1aaa8059,0x80055544,0x7401ffff,0x10004fff,0xfb001dff,
    0x6fffd85f,0xd07ff880,0xeed807ff,0x7ff44fff,0x00000003,0xc8000000,
    0x5c003fff,0x90005fff,0x3601dfff,0x00005fff,0x00000000,0x200ffffc,
    0x0003ffff,0xfeb85ff9,0x50dff17f,0x3fe20079,0x006ffb87,0xff737fdc,
    0x2aaa000d,0xa8555301,0x55402cdc,0x0aaaaaaa,0xa8ffff20,0xffb82cdc,
    0x5555105f,0x01fffe45,0x554dfff7,0x0aaaaaaa,0x80555440,0xaaaaaaaa,
    0xfff8000a,0x7fffc01f,0x7fc4000e,0x3ffffa27,0x000bff67,0xf88fff10,
    0x2ae201ff,0xf16ffeaa,0x3a0003ff,0xfff905ff,0x3fffffa6,0xfffff00e,
    0x6403ffff,0xffe9afff,0x3ee0efff,0xffe885ff,0x3fff21ff,0x9fffee03,
    0xffffffff,0x7ffc401f,0xffffff03,0xf0003fff,0xfd803fff,0x2002efff,
    0x3ff24ff9,0x3fea7eef,0x7fc40003,0x2027fec7,0xfffffff9,0x0009ffb1,
    0xfc82fffc,0xfffffaff,0xfff06fff,0x03ffffff,0x7fe7ffe4,0x26ffffff,
    0xfd85fffb,0x7fe42fff,0x3ffea03f,0x3fffffe6,0x7cc01fff,0xffff03ff,
    0x003fffff,0x803ffff0,0xfffffffb,0x9ffd400b,0xf304fff8,0xc880009f,
    0x01bfee4c,0x2fbbffa6,0x000dff70,0xc837ffc4,0xffffffff,0xd82fffff,
    0xffffeeee,0x3ffff201,0xffffffff,0x8bfff72f,0xc83ffffc,0x3ee03fff,
    0x3bbb65ff,0x401ffffe,0xdb03fff9,0x3ffffddd,0x3ffff000,0xfffffb00,
    0x2e03bfff,0x1fff52ff,0x0017fe20,0x07ffe200,0x3ffe2000,0xffeb8001,
    0xfff906ff,0x3fa63bff,0xfff004ff,0x7ffe403f,0xffd31dff,0x97ffee9f,
    0x904ffffa,0x7ec07fff,0x7ffc04ff,0x7ffcc01f,0x3fffe003,0xffff8001,
    0xffff9001,0x81bfffff,0xfff71ffc,0x0006ff80,0x004ffd80,0x009ffb00,
    0xfffffe98,0xffff907f,0x0bfff90d,0x807fffe0,0xc86ffffc,0xfff75fff,
    0x13fffe6b,0x103fffc8,0xf805ffff,0x7d401fff,0x3fe004ff,0xff8001ff,
    0x366001ff,0xffffffff,0x5c7ff20e,0x3fe00fff,0x00066dc6,0x00037fd4,
    0x4006ffa8,0xffffffe8,0xdfff907f,0x0dfff501,0x807fffe0,0xa80efffc,
    0xfff76fff,0x0bffff1b,0xb03fffc8,0xf801ffff,0x7d401fff,0x3fe004ff,
    0xff8001ff,0xb88001ff,0x4ffffffe,0x7fd4bfee,0x4bff102f,0x000ffffd,
    0x0007ffe2,0x007ffe20,0x39ffff90,0x07fff900,0x401bffe6,0x3201ffff,
    0xff303fff,0x37ffeedf,0xc806fffe,0x3660dfff,0xf803ffff,0x7d401fff,
    0x3fe004ff,0xff8001ff,0x540001ff,0x50fffffe,0x3ffe27ff,0x3fe629ae,
    0x7fffff34,0xaa7fec00,0x000beffd,0x77549ffb,0xbfffd06e,0x1fffe400,
    0x006fff98,0x6403ffff,0xff303fff,0x3fffeedf,0xc800ffff,0xffffffff,
    0xf005ffff,0xfa803fff,0x3fe005ff,0xff8001ff,0xb00001ff,0x3e63ffff,
    0x3ffff25f,0x54ffee7f,0x004fffff,0xff51fff5,0x5009ffff,0x3fe21fff,
    0xfff887ff,0x3ff2002f,0xdfff303f,0x07fffe00,0x303fffc8,0x3feedfff,
    0x05ffffef,0xffffffc8,0x00cfffff,0x803ffff0,0x2005fffb,0x8001ffff,
    0x0001ffff,0x25ffff50,0xfb10fff8,0x7ff4ffff,0x5fffff11,0x45fff100,
    0x0fffbadd,0xd8bffe20,0xf887ffff,0x32003fff,0xff303fff,0x3ffe00df,
    0x3fff201f,0x2dfff303,0xffadfffb,0x7fe403ff,0xdfffffff,0x7fffc001,
    0x2fffdc01,0x03ffff00,0x03ffff00,0x3ffe6000,0x50fff20f,0x3fe67bb9,
    0x02fffdc5,0x7c05ffd8,0x3ff600ff,0x3faffea5,0x0bffff07,0x81fffe40,
    0xf006fff9,0x7e403fff,0xfff303ff,0x657ffeed,0x3202ffff,0x0999bfff,
    0x3fffe000,0x2fffdc01,0x03ffff00,0x03ffff00,0x7ec0054c,0x7ffc47ff,
    0x0fff4401,0xfa800d44,0x3ff200ff,0x43ffea06,0x0ffd6fe8,0x013ffff6,
    0x981fffe4,0xff006fff,0x7fe403ff,0xdfff303f,0xfe97ffee,0xff900fff,
    0x7c00007f,0x7e401fff,0x3fe006ff,0xff8001ff,0x3fea01ff,0xfcaaabce,
    0xfc84ffff,0xffd101ff,0xff10000b,0x7ffe405f,0x45fff101,0x0ffd1ffc,
    0x3bffffe6,0xffc809ab,0xdfff303f,0x07fffe00,0x303fffc8,0x3feedfff,
    0x3fffe65f,0x3fffc80e,0x3ffe0000,0x7ffe401f,0x3fffe006,0xffff8001,
    0x3fffea01,0xffffffff,0xfffb106f,0xfffb757d,0xf900001b,0x3ffa20bf,
    0x17ff201e,0xffffffff,0xffff707f,0xc87fffff,0xff303fff,0x999988df,
    0x99affff9,0x0ffff219,0xfbb7ffcc,0x7ffdc5ff,0x3fffc85f,0x99998800,
    0x99affff9,0x37ffe419,0x7cccccc4,0x1999afff,0x3e666662,0x1999afff,
    0x3fffffea,0x0effffff,0x7ffffe40,0x0004ffff,0x301fff30,0x3557ffff,
    0x7c0fff98,0xffffffff,0xfffff703,0xffc87fff,0xdfff303f,0xffffffb8,
    0xffffffff,0x207fff91,0xff76fff9,0xffffb0bf,0x03fffc87,0xfffffb80,
    0xffffffff,0x1ffff21f,0x3fffffee,0xffffffff,0xffffff71,0xffffffff,
    0x3fffb663,0x01dfffff,0x3ffff6a0,0x200002df,0xff702ffe,0xe89fffff,
    0x999982ff,0x2009ffe9,0xffffffc8,0x81fffe43,0x7dc6fff9,0xffffffff,
    0xf91fffff,0x3fe607ff,0x0bfff76f,0x45ffffd1,0x8003fffc,0xfffffffb,
    0x1fffffff,0x2e1ffff6,0xffffffff,0x71ffffff,0xffffffff,0x03ffffff,
    0x01355331,0x00151000,0x0bff9000,0x7fffffdc,0x017ff24f,0x22007fe8,
    0x642edca9,0xff303fff,0xffffb8df,0xffffffff,0x7fff91ff,0x5dbffe60,
    0xff305fff,0x3bae3fff,0xffb8002e,0xffffffff,0x3b21ffff,0xfffb85ee,
    0xffffffff,0xfff71fff,0xffffffff,0x00003fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2aaaaaaa,0x000aaaaa,0x83799953,0x4401aaa9,0x2a601aaa,
    0x000abccc,0x0d665cc4,0x55555540,0x02aaaaaa,0x579b9953,0x0b730001,
    0x665d4400,0x988000ab,0x544002aa,0x001acccb,0x006b32e6,0xabcca980,
    0x80000000,0xfffffffe,0x2603ffff,0xfffffffe,0xbfff70ff,0x85fffb80,
    0xffffffd9,0xfb800cff,0x1fffffff,0x3fffffe0,0x87ffffff,0xffffffff,
    0xf9800cff,0xe98007ff,0xffffffff,0x7ffe4402,0xf7007fff,0xffffffff,
    0x7ffdc07f,0x000effff,0x3fffff62,0x4d980dff,0xe805d500,0xffffffff,
    0xff703fff,0xffffffff,0x17ffee1f,0x98bfff70,0xffffffff,0x36205fff,
    0xffffffff,0xffff03ff,0xffffffff,0xffffff0f,0x00dfffff,0x800ffff5,
    0xfffffffc,0xfb102fff,0xffffffff,0xffffe880,0x4fffffff,0xffffff90,
    0x3005ffff,0xffffffff,0x3f223dff,0x7fc402ff,0xfffd00ef,0xffffffff,
    0xfffffb07,0x1fffffff,0x7017ffee,0x7fc4bfff,0xffdcdfff,0xffd03fff,
    0xffffffff,0xffff07ff,0xffffffff,0xddffff0f,0x09ffffff,0x007fffa8,
    0x3ffffff2,0x882fffff,0xfffffffe,0x3fea07ff,0xffffffff,0xffd84fff,
    0xffffdfff,0x7ff401ff,0xfffddfff,0x3ffff60e,0x3bfff600,0x33333100,
    0x87fffd33,0xacfffffa,0x70fdb988,0xfb80bfff,0x3ffee5ff,0x0dfff906,
    0x15bffff7,0x0fffff93,0x9999ffff,0x59099999,0xffffa881,0x3fffd407,
    0xfffff980,0x10b6a60b,0x57dfffff,0x7f403333,0x889befff,0x7cc4fda9,
    0x7fd43fff,0x3fee05ff,0x3f220bff,0x6ffffc40,0xffbbccca,0x3a0001ff,
    0x7ff43fff,0xf70402ff,0xffb80bff,0x0ffff25f,0x223fffc4,0xf504ffff,
    0xfff87fff,0xf7000007,0x55541fff,0xaaffffca,0x3fa1aaaa,0x64000fff,
    0x8002ffff,0x005ffffb,0x04fffd81,0x201ffff7,0x0205fffc,0x7fffffcc,
    0x3fffffff,0x7fff4000,0x0bfffee3,0x0bfff700,0x365fffb8,0xff102fff,
    0x7fffb8df,0x237ffec0,0x00007fff,0x41ffff10,0xffffffff,0x5fffffff,
    0x007ffff3,0x02ffff88,0x5ffff880,0xffff3000,0x27ffec01,0x002fffe8,
    0xffffff70,0x00bfffff,0x47fffd00,0x8006fffe,0x5c05fffb,0x3ff25fff,
    0xfffb80ef,0x027ffec4,0xf83fffea,0x000007ff,0xff8bfff3,0xffffffff,
    0xf55fffff,0xf7000fff,0x2e000bff,0x0001ffff,0x4c0bfff7,0xff06fffe,
    0x220001ff,0xffdeffff,0x80003fff,0x3fe3fffe,0xfb8003ff,0x7fdc05ff,
    0x3fffe65f,0x3fffea1e,0x017fff40,0xf87fffe2,0x000007ff,0xed87fffb,
    0xeffffeee,0xf74eeeee,0xfb000dff,0x320007ff,0x20005fff,0xf702fffc,
    0x3e0fffff,0x90000fff,0x7dc49fff,0xe80007ff,0xfff33fff,0xff70003f,
    0xfffb80bf,0x7ffffe45,0x82ffffdd,0xf801ffff,0x3ffe2fff,0x01cceeef,
    0xfd733330,0xfa801bff,0xffd807ff,0xfff8005f,0xceeecaaf,0x9fffd00b,
    0x7ffec000,0x7fffec42,0xffff07ff,0x3ffa0001,0x1fffe80f,0x7fff4000,
    0x01ffff53,0x0bfff700,0xc85fffb8,0xffffffff,0xffff882f,0x3ffff800,
    0x3ffffffe,0x7c03efff,0x3fffffff,0x0ffff500,0x00ffff90,0xffffff88,
    0x3fffffff,0x4c3ffff8,0x4fffffff,0xfa87fffa,0xffffffff,0xffff9950,
    0x09999999,0xf905fff8,0xe80005ff,0xfff73fff,0x3fee000f,0x7ffdc05f,
    0xfffff705,0xff301bff,0xffd001ff,0x7ffffc9f,0x3fffffff,0x3fffffe0,
    0xfa802cff,0xffb807ff,0x3e6000ff,0xffffffff,0x223fffff,0x7cc2ffff,
    0x24ffffff,0xff90ffff,0xfffd1dff,0x3fffff63,0x7fffffff,0x413ffe20,
    0x0002fffb,0xfb9ffff4,0xb8000fff,0x7dc05fff,0xfffa85ff,0x1fffffff,
    0x007fffcc,0x991ffff4,0xfffb9999,0x3fe05fff,0xffffffff,0x3fffd405,
    0x27fffd40,0xfffff300,0xfffd99bf,0x3ffe21ff,0x7fffcc2f,0x3ffe4fff,
    0x4ffffeaf,0x7ec7fffe,0xffffffff,0x3e207fff,0xfff706ff,0xffe80005,
    0x1ffff53f,0xbfff7000,0x45fffb80,0xfbdffffa,0x261fffff,0xf801ffff,
    0x71002fff,0x3009ffff,0x9ffffd73,0x03fffd40,0x03ffffe8,0x7fffcc22,
    0x7ffff703,0x221ffffc,0x4fffdccc,0x3ffffffa,0x7fffc2ff,0xffff9950,
    0x09999999,0xc80ffff8,0x40001fff,0xff33fffe,0xf70003ff,0xffb80bff,
    0x3fffe65f,0x3ffff623,0x07fffe26,0x007fffe0,0x00dfff90,0x01ffffb0,
    0x401fffea,0xcefffffb,0xf32fdbaa,0x7ec01fff,0x3fffa5ff,0x27ffdc03,
    0xbffffffb,0x07fff881,0x0001ffff,0xf10bfffa,0xd0000fff,0x3fe27fff,
    0xfb8003ff,0x7fdc05ff,0x13fff64f,0xf0ffffe4,0xf8807fff,0x54000fff,
    0x4000ffff,0x501ffff8,0x6c00ffff,0xffffffff,0xfff12fff,0x7ffdc03f,
    0x017fff66,0x7e49fff7,0xf303ffff,0x3ffe0dff,0xff70000f,0xffd75bff,
    0xff00007f,0x7fffc5ff,0xfffa8007,0x1fffe406,0x7c01ffff,0x3ffa2fff,
    0x7ffdc05f,0xfffa8007,0xffff0007,0x1fffea05,0xfffffb00,0x7c5fffff,
    0x3ee02fff,0x3fff26ff,0x3ffee00f,0x07ffff24,0xf05fffc8,0x20001fff,
    0xfffffff9,0x0003ffff,0xb0ffffc4,0x8007ffff,0x6c07fff9,0xfff32fff,
    0x2fffd80f,0x803fffee,0x8004fffe,0x8006fffc,0x300ffff9,0x8001ffff,
    0xffffffc9,0x3fffa0cf,0x93fff205,0x204ffff9,0x3e64fffb,0x3fe01fff,
    0xffff02ff,0x3ffa0001,0xffffffff,0x901c01ff,0x7c41ffff,0x2204ffff,
    0x7ffff10b,0x43fffe60,0x203ffff8,0x3e21ffff,0xfd80efff,0x54000fff,
    0x4004ffff,0x207fffe8,0x002ffff8,0x013fffb0,0x207fffee,0x642ffff9,
    0xf705ffff,0xfffd89ff,0x0dfff906,0x0007fffc,0x7f7fffe4,0x6fffeeff,
    0x4cce7fc0,0xc85ffffd,0xcdffffff,0x360ffecb,0x989cffff,0x744ffffb,
    0x261bffff,0xfc87fffd,0xecbcefff,0x64c3ffff,0xfda9999a,0x2ea0efff,
    0xfca9999a,0x7c03ffff,0x260aefff,0x027ffc01,0x4dfffffc,0x0effffb9,
    0x77ffffc4,0xfffebabd,0x6ffffcc4,0xffffc98a,0x7ffe6542,0xcccccccf,
    0x3ffea0cc,0xffff101f,0x7ffffc0b,0x80ffffff,0xffffffe8,0x20ffffff,
    0xfffffff8,0x40efffff,0xfffffffa,0x82ffffff,0xffffffe8,0x40efffff,
    0xfffffffa,0x641fffff,0xffffffff,0xd805ffff,0xffffffff,0x3ffe205f,
    0xffffb801,0xffffffff,0xfffff701,0xffffffff,0xfffffb09,0x0bffffff,
    0xfffffffb,0xffffffff,0x13fffe23,0x03ffff50,0x3ffffffe,0x7dc02fff,
    0xffffffff,0x7ffd40ff,0xefffffff,0xfffff901,0x07ffffff,0x7ffffec4,
    0xf504ffff,0xffffffff,0xfff903bf,0xffffffff,0x3ffe2009,0x05ffffff,
    0xb801bfea,0xffffffff,0x7f4c02ff,0xffffffff,0xfff904ff,0x07ffffff,
    0x3ffffff6,0xffffffff,0x01bf221f,0xb500efec,0x19ffffff,0x3ffb2600,
    0x102cffff,0xfffffff9,0xfffb3007,0x0019ffff,0x3fffffae,0x3ffea02e,
    0x01dfffff,0x3ffffff2,0x4000beff,0xffffffc8,0x0fff204f,0xffffb300,
    0x640019ff,0xfffffffe,0x3faa00ad,0x202dffff,0xfffffffd,0xffffffff,
    0x31001981,0x00999800,0x00998800,0x004d4c40,0x009a9980,0x000d4c00,
    0x0006aa66,0x01355333,0x554cc000,0x20000001,0x800009a8,0x00019aa8,
    0x00000153,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x10000000,0x50015555,0x55443555,
    0x0009aaaa,0x0006aaa6,0x2aaaa200,0x30aaaaaa,0x55555555,0x55555555,
    0x2aaaaaa6,0x2aaa0009,0x0019aaaa,0x15997510,0x01555540,0x50aaaa88,
    0x35555555,0xaaaaa801,0xaaaaaaaa,0x55555510,0x55555555,0x0aaaa215,
    0x22355530,0xaaaaaaaa,0xfd1aaaaa,0xffa80dff,0x3ffe20ff,0xceffffff,
    0x0ffff600,0x3fee0000,0xffffffff,0xffffff92,0xffffffff,0x3fffeeff,
    0x0cefffff,0x3fffff60,0x802effff,0xffffffea,0xfffd80cf,0xffff7007,
    0x7fffffec,0xe81dffff,0xffffffff,0xff12ffff,0xffffffff,0x2a5fffff,
    0x7e406fff,0xffff74ff,0xffffffff,0x3fffe69f,0x13fffa02,0xfffffff1,
    0x207fffff,0x0003fffd,0xfffffe80,0xf92fffff,0xffffffff,0x2fffffff,
    0xfffffffb,0xb03fffff,0xffffffff,0x9101dfff,0xffffffff,0xffb81dff,
    0xffd801ff,0x3ffff65f,0xffffffff,0x7fffff43,0x2fffffff,0xfffffff1,
    0xffffffff,0x01bffea5,0x3ee9fff9,0xffffffff,0x3f64ffff,0xfff506ff,
    0xffff881f,0xffffffff,0xcfffd86f,0x98000199,0xffffffff,0x4bf92fff,
    0xf77fc801,0xffffffff,0xfb0dffff,0xffffffff,0xff90dfff,0xffffffff,
    0xfff889ff,0xffff804f,0x3fffff62,0xffffffff,0x3fffffa2,0x2fffffff,
    0xfffffff1,0xffffffff,0x01bffea5,0x3ee9fff9,0xffffffff,0x3e24ffff,
    0xffe83fff,0xffff882f,0xfffcba99,0x7ffec3ff,0x2dffffff,0xfeffc800,
    0x57f205ff,0x40befff9,0xbfff77fc,0xfff97533,0xfffd87ff,0xfffdb99b,
    0x7ff442ff,0xfffa88ac,0x7fff40ff,0x7fffd406,0x30bfff60,0x74bffff9,
    0x9999bfff,0x99109999,0x99999999,0x2a3ffffd,0x7e406fff,0x3fee04ff,
    0xfffb805f,0x837ffdc7,0xf507fff8,0x7ec1ffff,0xffffffff,0x3e001eff,
    0x05fffbff,0x7ffcd7f2,0x5ff22fff,0xf504fffb,0x7ec1ffff,0xfffa82ff,
    0x501e984f,0xfb83ffff,0x3f200fff,0x7ffec5ff,0x4ffff902,0x0002fffe,
    0x4bfffd00,0x6406fffa,0x3ee04fff,0xffd005ff,0x0ffffc7f,0x207fff88,
    0x364ffffa,0xffffffff,0x801fffff,0xfff8fffa,0x5457f205,0x91ffffcb,
    0x13ffeeff,0x24ffffa8,0xfd02fffd,0x3e000bff,0x7fcc3fff,0x3ffa02ff,
    0x17ffec3f,0x3a7fffa8,0x00002fff,0x21ffffa8,0x6406fffa,0x3ee04fff,
    0xff5005ff,0xbfff71ff,0x03fffc40,0xfd9bfffa,0xeba99cff,0x400effff,
    0xbfff6ffd,0xf902fe40,0x7ddff2bf,0x7ff404ff,0x0bfff66f,0x002fffe4,
    0xf83ffff8,0xff104fff,0xfffd81ff,0x4dfff702,0x0002fffe,0x45fffe80,
    0x6406fffa,0x3ee04fff,0x3fa005ff,0x0ffffcff,0x01fffe20,0x7ecffff7,
    0xfffb03ff,0x7ffc405f,0x640bfff3,0x5ffe205f,0x9fff77fc,0x27fffb80,
    0xfd02fffd,0xf10009ff,0xff905fff,0x3ffee0ff,0x02fffd86,0x7f47fffd,
    0x400002ff,0x542ffff9,0x7e406fff,0x3fee04ff,0x3fe6005f,0x203fffff,
    0x99ffffa9,0x3fffd419,0x2607fffb,0x2e03ffff,0xdfff0fff,0x2fe43333,
    0x3f2dff10,0x809fff77,0x3f67fffa,0xfffc82ff,0xffb8001f,0xfffa80ff,
    0x4fffd81f,0x262fffd8,0x20efffea,0x0002fffe,0x437ffec0,0xaaaefffa,
    0xfffdaaaa,0x17ffee04,0xfffff900,0xfffff80d,0x7cc7ffff,0xfffb1fff,
    0x2ffff407,0x7fcbffd0,0x90ffffff,0x3ff6a0bf,0x3feeff94,0x7ffcc04f,
    0x9bfffb1f,0x7fffffb9,0xfffd1000,0x1ffffc09,0x6c0ffffc,0xffffffff,
    0x7f40dfff,0xcccccdff,0x3e6003cc,0xffa82fff,0xffffffff,0x204fffff,
    0x4005fffb,0x02fffff8,0x7ffffffc,0x7ffcc7ff,0x07fffb1f,0x982fffe4,
    0x3ffe2fff,0xf90fffff,0x7ffffd4b,0x3eeff90e,0x7fcc04ff,0xffffb1ff,
    0x5dffffff,0x3fff6000,0x3fff600f,0x83fffcc5,0xfffffffd,0x741cffff,
    0xffffffff,0x36006fff,0xff506fff,0xffffffff,0x409fffff,0x8005fffb,
    0xf806fffb,0xffffffff,0x8ffffcc7,0x3a03fffd,0xff903fff,0xffffff8f,
    0x54bf90ff,0x320cefff,0x09fff77f,0xb1ffff98,0xffffffff,0x7dc0007f,
    0x7d403fff,0x3ff20fff,0xffffb04f,0xffffffff,0x7ffff45f,0x6fffffff,
    0x5ffff300,0x3ffffea0,0xffffffff,0x3fee04ff,0x7ffdc05f,0xffffffff,
    0x7fd4c4ff,0x541999ff,0x3ff67fff,0xffff303f,0x89fff105,0x1999efff,
    0x1ff997f2,0x3feeff90,0x7ffd404f,0x3bbfff67,0x003fffff,0x04ffffb8,
    0x22ffff88,0xfb02fffe,0x933337ff,0x3a1fffff,0xeeeeefff,0xfb005eee,
    0x7fd40dff,0x999999ef,0x204fffc9,0x5c05fffb,0xffffffff,0x884fffff,
    0x7dc07fff,0x3fff67ff,0x6ffffa83,0xf83fff50,0x97f205ff,0xff900ff9,
    0x7013ffee,0x7fecffff,0xffffb12f,0x7ffd4003,0x3ffa005f,0x0ffff14f,
    0xa817ffec,0xffd4ffff,0xf300005f,0x7d407fff,0x7fe406ff,0x3ffee04f,
    0x77775405,0xeeeffffe,0x7fff883e,0xb2fffec0,0xdb99dfff,0x203fffff,
    0xccccfffe,0x3f205fff,0xfc80aa25,0x809fff77,0x3f65fffd,0x3ffa22ff,
    0xfff5006f,0xffb800bf,0x0bfff56f,0xd017ffec,0x3ffadfff,0xfd80002f,
    0x7fd407ff,0x7ffe406f,0x17ffee04,0x17ffee00,0x03fffc40,0x6c7ffff3,
    0xffffffff,0xf103ffff,0xffffffff,0x2fe40bff,0x3f201791,0x409fff77,
    0x363ffff9,0x7fd42fff,0x7fd401ff,0xf98005ff,0xfffd9fff,0x0bfff603,
    0xfd6fffc8,0x880005ff,0x5403ffff,0x7e406fff,0x3fee04ff,0xffb8005f,
    0xfff1005f,0x7fffec0f,0x3fffff60,0x01efffff,0x3ffffff2,0x205fffff,
    0x13ff65fc,0xfffbbfe4,0x3ffff604,0x20bfff60,0x2a05fffe,0x0004ffff,
    0x3feffffa,0x3ff600ff,0x3fffa02f,0x005fffd4,0x07fffc80,0x406fffa8,
    0x2e04fffc,0x7dc05fff,0xffffffff,0xf884ffff,0xffe887ff,0x7ffec3ff,
    0x02bceeee,0xcccefff8,0x205fffcc,0x17ffa5fc,0xfffbbfe4,0xffffe884,
    0x417ffec3,0xa81ffffb,0x0004ffff,0x7ff7ffe4,0x7ffec06f,0x7ffff902,
    0x000bfffa,0x03ffff88,0x406fffa8,0x2e04fffc,0x7dc05fff,0xffffffff,
    0xf884ffff,0xfedccfff,0xfd86ffff,0xf50003ff,0x3ffe07ff,0xf91aaaae,
    0xc80ef4cb,0x9dfff77f,0xfffffdb9,0x05fffb0d,0xa8bffff1,0xeeefffff,
    0x01eeeeee,0x3fffffe6,0x7ffec03f,0xffecbaac,0xfffd0fff,0x7fe40005,
    0xffa800ff,0x7ffe406f,0xfb555514,0x35555dff,0x7ee6664c,0x2cccceff,
    0xffffff88,0x0dffffff,0x003fffd8,0x201fffb0,0xffffffff,0x3333df93,
    0x93333333,0x3fffeeff,0xffffffff,0x2fffd80d,0x43ffff90,0xfffffffd,
    0x2fffffff,0x7fffffc0,0x7ffec01f,0xffffffff,0x3fffa1ff,0xfff10002,
    0x3fea009f,0x7ffe406f,0xffffff74,0x9fffffff,0x05fffb80,0xffffff10,
    0x405fffff,0x8003fffd,0x3e05fff8,0x3fffffff,0xfffffff9,0xffffffff,
    0x3ffffeef,0x02ffffff,0x4c0bfff6,0x3f64ffff,0xffffffff,0x402fffff,
    0x07fffffd,0xffffffd8,0x42efffff,0x0002fffe,0x001ffff9,0x901bffea,
    0x3fee9fff,0xffffffff,0x7dc04fff,0xff1005ff,0x579dffff,0x3fffd801,
    0x2fffb800,0x3fffffe0,0xffff93ff,0xffffffff,0x3feeffff,0xabceffff,
    0x17ffec00,0x21ffffb0,0xfffffffd,0x2fffffff,0x7ffffd40,0xffffd804,
    0x01cdefff,0x0005fffd,0x009ffff1,0x2037ffd4,0xff74fffc,0xffffffff,
    0x00009fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xaa980000,0x54155441,0xaaaaaaaa,0x5551aaaa,
    0x55554035,0x66654c02,0xaa88000a,0x55001aaa,0x55555555,0x26155555,
    0x53002aaa,0x55544555,0x5554c01a,0x02aaa20a,0x531aaa80,0xa9800355,
    0xaaaaaaaa,0x32aaaaaa,0x13555555,0x0d555400,0x00aaaa98,0x7ec0054c,
    0x43ffd44f,0xfffffffe,0xfb4fffff,0x3fea07ff,0xffd304ff,0x009fffff,
    0x6fffffc8,0xfffffd00,0xffffffff,0x3fffea5f,0x4fffe801,0x2037fffc,
    0x7d46fffe,0x3fa001ff,0x09fff94f,0xfffffc80,0xffffffff,0xffffb6ff,
    0x07dfffff,0x837fffc4,0x202ffffd,0x7402fffc,0x37fdc3ff,0x7ffffff4,
    0xb4ffffff,0xff107fff,0x3fee0dff,0xffffffff,0xfffd000e,0xfd001fff,
    0xffffffff,0x745fffff,0x7d405fff,0x7fd40fff,0xfff703ff,0x2fffa85f,
    0x653ffe00,0x64004fff,0xffffffff,0x6fffffff,0xfffffffb,0x305fffff,
    0xf01fffff,0x2607ffff,0x200fffff,0x7fe43ffe,0xfffffe85,0x4fffffff,
    0xfb07fffb,0xff303fff,0xfffdffff,0xff100bff,0x005fffff,0xfffffffd,
    0x5fffffff,0x007fffd4,0x3a09fffd,0xffd07fff,0x5fff30df,0xc9fffc00,
    0x64004fff,0xffffffff,0x6fffffff,0xfffffffb,0x83ffffff,0x43fffff9,
    0x03fffffa,0x09fffff7,0x3f617ffc,0xbfffe84f,0x99999999,0xa87fffb0,
    0xf883ffff,0x3621efff,0x5c01ffff,0x4fffffff,0xaaaaaa80,0xffffbaaa,
    0x27fff40f,0x00ffffa8,0xb87ffff5,0xf981ffff,0x3fe002ff,0x09fff93f,
    0x99999880,0x999efffc,0x9fffb099,0xfffd5333,0x7ffd41df,0x7ffe45ff,
    0xfff303ff,0x3fe20bff,0x41fff41f,0x2002fffe,0x3e23fffd,0xff505fff,
    0x3ffa01ff,0x7ffec05f,0x0007fffc,0x05ffffb0,0xd01ffff5,0xfd809fff,
    0x7fffc7ff,0x07fff105,0xfc9fffc0,0x700004ff,0xfd80bfff,0xfff903ff,
    0x7fffd45f,0x3fffe0ff,0x3ff204ff,0x3ffea6ff,0xffffffff,0xfd3fffff,
    0x7ec005ff,0x3fff23ff,0xbfff700f,0x03fffdc0,0x3fe3fffe,0x540001ff,
    0x3a05ffff,0x7fd44fff,0x7fcc00ff,0xffff73ff,0x0fffe203,0xc97ffc40,
    0x00004fff,0xd80bfff7,0x3fa03fff,0x3bfea4ff,0xdff32ffe,0xfe809ffb,
    0x3ffea4ff,0xffffffff,0xfd3fffff,0x7ec005ff,0xffff53ff,0x27ffec05,
    0x01ffff10,0x7ed7ffea,0x220004ff,0x200fffff,0x3a0ffffa,0xf9004fff,
    0xffff1fff,0x43fff809,0x3fe20cca,0x09fff92f,0x3ffee000,0x1fffec05,
    0x5cbfffb0,0x95ffcdff,0x0bffb7ff,0x2a3fffc8,0xffffffff,0xffffffff,
    0x005fffd3,0x745fffec,0x7e405fff,0x3fe206ff,0xfff901ff,0x01bffee5,
    0x2ffffc80,0x53fffe80,0x2001ffff,0xffeffff8,0x7ffc00ff,0xf117ff43,
    0x3fff23ff,0xff700004,0xfffd80bf,0x97fff603,0x7ff9dffb,0xbffb3ffd,
    0x20fffe80,0x9effc998,0x99fffa99,0x37fffd09,0x43333333,0xffcbfffd,
    0x7fdc00ef,0x3ffe01ff,0x1fffd02f,0x003fffe6,0x13fffea0,0xdbfffd40,
    0x64003fff,0x4fffffff,0x264fff80,0x3fe25fff,0x09fff91f,0x3ffee000,
    0x1fffec05,0x647fffd0,0xf5fff5ff,0x417ff2df,0x203fffc8,0x7fd45ffc,
    0xfffffd07,0x1fffffff,0x3ff7fff6,0xff9801ff,0x3660aeff,0xf982ffff,
    0x7fffc6ff,0x7ffc4003,0x3fa000ef,0x0ffffcff,0x7fffc400,0xfe800fff,
    0x9fffee4f,0xff90fff9,0x2e00009f,0x7ec05fff,0xfff503ff,0xdaffe45f,
    0xf94ffeff,0x7ff754df,0x7fec05ff,0xe83ffd44,0xffffffff,0xffb0ffff,
    0x00dfffff,0x7ffffff4,0xfffffffe,0x44fffb82,0x4005fffc,0x001ffffc,
    0x7fffffd4,0xff90003f,0x3a009fff,0x3fffa4ff,0x21fff31f,0x0004fffc,
    0x80bfff70,0xfa83fffd,0x7fe46fff,0x3fffff55,0xffa9bff2,0xfe802eff,
    0x837fdc3f,0xfffffffe,0xfb0fffff,0x7ffffbff,0x3fffe200,0xffffffff,
    0xfffd81ff,0x03fffd41,0x09ffff50,0x3ffffa00,0xfd0000ff,0x200dffff,
    0xfff14ffd,0x9ffe69ff,0x0004fffc,0x80bfff70,0xdccefffd,0x41fffffe,
    0xfff14ffd,0x53ffe4df,0x740059bd,0x2ffe43ff,0x99bfffe8,0x36199999,
    0xfffdbfff,0xff91000f,0xffbfffff,0xfff881ff,0x2ffff887,0x6ffff880,
    0x3ffee000,0xf70003ff,0x09ffffff,0x3eebffb0,0xff56ffef,0x027ffe4f,
    0x5fffb800,0x7ffffec0,0x3fffffff,0x3fa4ffd8,0x1ffee4ff,0x7fffcc00,
    0xffffffff,0x3fa4ffff,0x3f6002ff,0xffff8bff,0x65d44005,0xffff98ab,
    0x82fffd40,0xc804fffe,0x0001ffff,0x003ffff4,0xffffff88,0x7ec00fff,
    0xff5ffb5f,0x64fff53f,0x00004fff,0xd80bfff7,0xffffffff,0xffd00dff,
    0x70fffdc9,0x26000fff,0xffffffff,0xffffffff,0x00bfffa4,0xf73fffd8,
    0x00007fff,0x321bffee,0xeeeeffff,0x406ffffe,0x004ffffa,0x05fffc80,
    0x3ffff900,0xc80bffff,0xd6ff8eff,0x4dff57ff,0x0004fffc,0x80bfff70,
    0xdeeefffd,0x7ff401ac,0xf71ffe64,0x009881ff,0x3fffffe6,0xffffffff,
    0x3fffa4ff,0x3fff6002,0x03ffffa3,0x3fff6000,0xffffff83,0xffffffff,
    0xfffd101f,0x3f20000d,0xf98005ff,0xfff94fff,0x77fe403f,0xdff94ffa,
    0x7fe4dff7,0xf700004f,0xffd80bff,0xffd0003f,0x7dc1aa87,0x3ffee0ff,
    0x3fee6604,0xfff9999f,0x3ffa099b,0x3ff6002f,0x3fffe63f,0x7fdc0006,
    0x7ffcc0ff,0xffffffff,0xf903ffff,0x00003fff,0x0017fff2,0x443ffff6,
    0x2e06ffff,0x31ffceff,0x4bff9fff,0x0004fffc,0x80bfff70,0x0003fffd,
    0x2a007fff,0xfff50fff,0xffa807ff,0x80fffc46,0x2002fffe,0x7e43fffd,
    0x88003fff,0xb84ffffc,0xccccdfff,0x5fffeccc,0x03ffffa8,0x3fff2000,
    0x7ffd4005,0x7fffe43f,0xfffff703,0xffefff8f,0x013fff25,0x2fffdc00,
    0x00ffff60,0x801fffc0,0xff91fffa,0xfb80bfff,0x07ffcc6f,0xccdfffe8,
    0xb2cccccc,0xff887fff,0xcc981fff,0xffffeecc,0x3fffd06f,0x0ffffb80,
    0x3bffffa2,0xeeeeeeee,0xfffc802e,0x7fff4005,0x7fffc40f,0xffffa80f,
    0x7fffe44f,0x3bfff25f,0xcccccccc,0x5fffb804,0x01fffec0,0x003fff80,
    0x3f23fff5,0x6405ffff,0x3ffd45ff,0xffffffd0,0x29ffffff,0xfa83fffd,
    0xffb86fff,0xffffffff,0x7fff880e,0x2ffff880,0x3fffffe6,0xffffffff,
    0xfffc803f,0x3ffee005,0xffff903f,0xfffff509,0xfffffa85,0x3fffff24,
    0x7fffffff,0x05fffb80,0x001fffec,0x8017ffc4,0xff52fffa,0xfd807fff,
    0x037fdc4f,0xfffffffd,0x369fffff,0xffb03fff,0xfffb89ff,0x03ffffff,
    0x4013ffea,0x3e64fffe,0xffffffff,0x03ffffff,0x005fffc8,0x40fffff1,
    0x41fffff8,0xf07ffffa,0x7e49ffff,0xffffffff,0xfb807fff,0x7fec05ff,
    0xff88003f,0xfff5002f,0x02fffe45,0x3ee1fff4,0x3fffa06f,0xffffffff,
    0x07fffb4f,0x87ffffe2,0xbdeffffb,0x7ffec009,0xffff9002,0x7fffffcc,
    0xffffffff,0xfffc803f,0xffff9005,0xffffb807,0x2ffffcc5,0x23ffffd8,
    0xfffffffc,0x807fffff,0x6c05fffb,0x98003fff,0xf3002fff,0x00a885ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00d55440,0x80555551,0x26002aaa,0x0002aaaa,
    0x00000000,0x9b951000,0x15e5c437,0x0006a600,0x2f3732a6,0x1aaa980a,
    0x80555510,0x0abccba8,0x3372ea20,0xb9800abc,0x44001bcc,0x009bcdba,
    0x200ef6c4,0x04ffffc8,0x03ffffea,0x1005fff8,0x01ffffff,0x01fffcc0,
    0x000004b8,0x7ffdc2d4,0xffabffff,0xf7005fff,0x3f2009ff,0xffffffff,
    0x1fffe44f,0x306fff98,0xfffffffd,0xfffc885f,0x02ffffff,0x3fffffe6,
    0xffc801ef,0x02ffffff,0x03ffffd1,0xffffff91,0x7fffd409,0x17ffe04f,
    0x7ffffec0,0x3fe6000f,0x5ffb803f,0xff700000,0xfffffc8b,0xffffffff,
    0xfff804ff,0xffd800ff,0xffffffff,0x0ffff24f,0x6437ffcc,0xffffffff,
    0x3ffa22ff,0xffffffff,0xfffff702,0x207fffff,0xffffffe9,0xfb85ffff,
    0x2e25ffff,0xffffffff,0x3fffea04,0xbfff00ff,0xfffff500,0x7cc001ff,
    0x7fd403ff,0x00000eff,0xc93ffff6,0xfffbaadf,0xffffbeff,0x7ffffc00,
    0xcdffd800,0xfffffcab,0x207fff91,0x7e46fff9,0xffffffff,0x3fffa2ff,
    0xfdcaabdf,0xeffffa82,0x1ffffebb,0xffffffe8,0x42ffffff,0x26fffffc,
    0xfffffffe,0x3fea04ff,0xff03ffff,0xfffd00bf,0x4001ffff,0xc803fff9,
    0x001effff,0x7fffec40,0x3ee02a0e,0x3ffe26ff,0x2fffe402,0x3a201b80,
    0xfff94fff,0x9bffe607,0x0bfffff9,0x7fc4b6a6,0x740403ff,0xffd82fff,
    0x7fffdc5f,0x3fffea0c,0x7ffffd46,0x2bbffee5,0x2a04fffd,0x07ffffff,
    0xfc80bfff,0x0fffecff,0x0fffe600,0x7ffffdc0,0xffd30002,0x7c400bff,
    0x27ff44ff,0x00016540,0x657ffee0,0xff303fff,0x7ffff4df,0xffff3000,
    0xfffb8003,0x1ffff106,0x413fffe2,0x743ffff9,0x3e20ffff,0x13fff63f,
    0xffffffa8,0x05fff82f,0x7f5bffe6,0x3e6000ff,0x3ea003ff,0x4003ffff,
    0x03fffff9,0x6c2fff80,0x000005ff,0x5bffea00,0xf303fffc,0x3ffe6dff,
    0x3fe2003f,0x36002eff,0x3fa02fff,0xffff51ff,0x27ffec01,0x054066dc,
    0xa813fff6,0x6fffdfff,0x3605fff8,0xfffd2fff,0xfffff301,0xffffffff,
    0x3fa607ff,0xf7004fff,0x2005ffff,0xcfffaa98,0x05ffdaaa,0xaa880000,
    0x6fffdccc,0x2607fff9,0xfff56fff,0xfffd000f,0xe8039dff,0xcccccfff,
    0x72fffecc,0xfb80bfff,0xb00005ff,0x7d409fff,0x2fffebff,0xfa82fffc,
    0x3fffa5ff,0xfffff980,0xffffffff,0x3f6203ff,0x3200dfff,0x801effff,
    0xffffffe9,0xffffffff,0xffffff96,0xffffffff,0xfffb30ff,0xdfffffff,
    0x4c0ffff2,0xfff76fff,0xfff3000d,0x17dfffff,0xfffffff0,0xffffffff,
    0x013fff27,0x000dfff5,0x813fff60,0xffabfffa,0x42fffc5f,0x3a0ffff8,
    0xff980fff,0xffffffff,0x803fffff,0x40effffc,0x0dffffd8,0xfffffb80,
    0xffffffff,0xfff95fff,0xffffffff,0xfb8fffff,0xffffffff,0xfff96fff,
    0x5bffe607,0x0005fffd,0xffffffd1,0x7fcc3dff,0xffffffff,0xfb3fffff,
    0xffa809ff,0xfb00007f,0x7fd409ff,0x43ffff3f,0xffc85fff,0x07fff43f,
    0x65555544,0xaaaadfff,0xfff9000a,0x7fff43ff,0xfff1005f,0x5fff335d,
    0x21333333,0xfffffffc,0xffffffff,0x3bfffea7,0xfffcaaab,0x207fff96,
    0xff96fff9,0xb98000ff,0xfffffffe,0x55ffff10,0x55555555,0x17fff215,
    0x00dfff70,0x13fff600,0xf73fffa8,0x2fffcbff,0x3a1bffe6,0x26000fff,
    0x20003fff,0x43fffff9,0x03fffffa,0x7c1fffa8,0xaa9801ff,0xaaaaaaaa,
    0x362aaaaa,0xff505fff,0x0ffff2df,0xfab7ffd4,0x00000fff,0x7fffff93,
    0x0007fffc,0x2037ffdc,0x0004fffc,0x409fffb0,0xff13fffa,0x17ffe1ff,
    0xfd03fffd,0x7cc001ff,0xf50003ff,0x2605ffff,0x404ffffe,0xfff87ffc,
    0x40000003,0xf502ffff,0x3fff2dff,0x6ffff884,0x009ffff3,0xffff9800,
    0x00bfffa4,0x07fffea0,0x003ffff8,0x09fffb00,0xf91fffd4,0x97ffe9ff,
    0xfd04fffb,0x7cc001ff,0xfc8003ff,0x4401ffff,0x00dffffe,0xffa8fff9,
    0x0180006f,0x20ffffe0,0xf76ffffa,0xffe88dff,0x3fffe6ff,0x0002203f,
    0x7e47ffff,0x44000fff,0xf905ffff,0x00001fff,0xa813fff6,0x3fe23fff,
    0x15fff8ff,0x3333ffff,0x33fffd33,0xfff98013,0x7ffec003,0x3f6000ef,
    0xfb80efff,0xffff31ff,0x9801507f,0xfe802fff,0xff711eff,0x3feadfff,
    0xfffb9dff,0x3fea6fff,0xbaacefff,0x037d52fd,0x43ffff91,0x0bfffff8,
    0x3ee15d44,0xda9befff,0x0003ffff,0x813fff60,0x7ec3fffa,0x55fffbff,
    0xffffffff,0xffffffff,0xfff9807f,0xfffd1003,0x3ee000bf,0x7d42ffff,
    0xffffdfff,0xffedefff,0x3ffff400,0x7ffffe40,0xffffffff,0x3fffffe6,
    0x6ffeffff,0x7fffffec,0xf52fffff,0xfffdffff,0xff50dfff,0xffffffff,
    0xfffd09ff,0xffffffff,0xfd80000d,0x3fea04ff,0x77ffcc3f,0xfff55fff,
    0xffffffff,0x07ffffff,0x801aaa88,0x04fffff9,0x7fffd400,0x7ffff43f,
    0xffffaaff,0x7c00ffff,0x4400ffff,0xffffffff,0x2a6ffeaf,0xffffffff,
    0x6446ffd9,0xffffffff,0xffff52ff,0xdfffffff,0x3fffee01,0x4fffffff,
    0xfffffe98,0x000dffff,0x27ffec00,0xd07fff50,0x2bffffff,0xfffffffa,
    0xffffffff,0x400003ff,0x02fffffa,0xffff3000,0x7fff449f,0x3fffea2e,
    0x7ec00dff,0xfb1006ff,0x361bffff,0x7ffd46ff,0xdffb0dff,0x3fffb660,
    0xfd30ceff,0xdfffffff,0xffd88017,0x2dffffff,0x3ffffae0,0x000002ef,
    0x5409fffb,0xffa83fff,0x5515ffff,0x55555555,0x3557ffff,0x4cccccc4,
    0x19999999,0x007fffa2,0xfffd1000,0x4c015303,0x910009aa,0x988001bd,
    0xa980009a,0x99800009,0x554cc009,0x3100009a,0x88001355,0x200001a9,
    0xffeeeeea,0x2eeeeeff,0x3e07fff5,0x005fffff,0xb00ffff8,0xffffffff,
    0x88ffffff,0x000000ee,0x000007f6,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffffff50,0xffffffff,0x40fffea7,0x05fffffb,0x00ffff80,
    0xfffffffb,0x0fffffff,0x00000011,0x00000001,0x00000000,0x00000000,
    0x00000000,0x50000000,0xffffffff,0x27ffffff,0xf103fffa,0x000bffff,
    0x3601ffff,0xffffffff,0x007fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ffd4000,0xffffffff,0xfff53fff,0x7fffe407,
    0xffff8005,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x42aa9800,0xaa82cdca,0x2f72e22a,
    0xaaaaa882,0xaaaaaaaa,0x00aaaaa1,0x98155551,0x502ccccb,0xa9800555,
    0x0aaaa62a,0x015554c0,0x2002aea2,0x82f2e2aa,0x5400bcb8,0x2001accb,
    0x2002ccc8,0x001c800d,0x08001333,0xff900000,0x3ffffa6f,0x5bffe0ef,
    0x4ffffffb,0x7fffffcc,0x4fffffff,0x813fffee,0x7d45fffe,0x2fffffff,
    0x000fffec,0x7fccfffb,0xffe802ff,0xfffd504f,0x7fc07fff,0x8ffffd8f,
    0x81ffffe8,0xffffffe9,0x9fff3004,0x803ff600,0x7c401ffc,0x774002ff,
    0x8002ea82,0xfffafffc,0x3e6fffff,0xffffbfff,0x3e64ffff,0xffffffff,
    0x7ec4ffff,0xffb81fff,0x77fd40ff,0x20ffffee,0x2002fffc,0x7ff46ffe,
    0x7ffcc05f,0xffffc80f,0x80dfffee,0xffffcfff,0xfffffdbf,0x7ffffcc5,
    0x9804ffff,0xfd804fff,0xffc80fff,0x1fff807f,0x8ffff200,0x4005fff8,
    0xfffffffc,0xf2ffffff,0xdfffffff,0x261fffff,0xffffffff,0x443fffff,
    0x7cc6ffff,0x0a982fff,0xf717ffcc,0x7fc007ff,0x7fffdc5f,0x17fff200,
    0x71037ff6,0xfff81dff,0xffffeeff,0x747fffdf,0xffc9bfff,0x7fcc01ff,
    0xfff9804f,0x3fff20ff,0x3fe24c1f,0x7cc0ea0f,0x7ffec6ff,0x7ffe4001,
    0xffd31dff,0x3ffffe9f,0xffff10cf,0x4cccccc7,0x06ffffa9,0x749ffff5,
    0xe8005fff,0x3ffea3ff,0x7fff1004,0x03ffff88,0xf50bfffe,0xbffff75f,
    0xff89ff31,0xffff35ff,0x4c3ffee7,0x7fcc2fff,0x7ffcc03f,0xffff3004,
    0x3ffff91d,0x3fa3dfb0,0x80ffd88f,0x3ee0fffe,0xfc8004ff,0xffc86fff,
    0x9fffff5f,0x009fff90,0x01ffffd1,0x5cffffe4,0x4c00ffff,0x3fffeedc,
    0x9917ffe2,0x17ffcc39,0xa837ffe4,0x7fc47fff,0xdffdff74,0xfff87fea,
    0x4ffff11f,0xff51fffa,0x017ffa0f,0x4009fff3,0xfffffff9,0xfffa81ff,
    0xfe9ffdbf,0x7ffe44ff,0x01bffe63,0x077ffe40,0xffb7ffd4,0xfff705ff,
    0xffffb009,0xffffd003,0x4405ffff,0xfffffffe,0x337ffc3f,0x7fcc9fff,
    0xffff981f,0x44fffd80,0x29f70ffa,0x49fd0ffa,0x3fe25fff,0x47ffea3f,
    0xffb07ffb,0x4fff980b,0x7fffcc00,0xf9101fff,0xffffffff,0x7fcc3bff,
    0x07fff45f,0x3fffc800,0x3edfff30,0x55102fff,0xfffb8035,0xfff3003f,
    0xe809ffff,0xfe99bfff,0x93fff43f,0x7fd4ffff,0x7fffd00f,0x41ffff88,
    0x5d3ee6fb,0xff9bf27f,0x8bffe24f,0xff51fffa,0x29fff03f,0xfffffffc,
    0xffffffff,0x3fffe607,0xffb8803f,0x80cfffff,0x3ee0fffe,0x320003ff,
    0xff303fff,0x0bfffedf,0x3ffe6000,0x7fdc005f,0x7c406fff,0x1fff42ff,
    0x7f43fff6,0xfff72fff,0x237ffdc0,0xfd86fffa,0x37fffee4,0xfff9fea1,
    0xa8bffe24,0xfff31fff,0x92fffa89,0xffffffff,0xffffffff,0x7ffffe40,
    0xffb8800f,0xf700dfff,0x7ffcc7ff,0x3ff20006,0xdfff303f,0x000bfffe,
    0x1dffff10,0xffff8800,0x7ffc404f,0x87fffb34,0xff99fffc,0xdff95fff,
    0x0ffffc40,0xfb07fffb,0x27f77dc9,0x4fff9fea,0xfa8bffe2,0x3fffa1ff,
    0x26fffdbe,0xfffffffc,0xffffffff,0xfffff907,0x32201fff,0xffffffff,
    0xfffe81df,0x00fffee1,0x81fffe40,0xfff6fff9,0xfe80005f,0xe8001fff,
    0x02ffffff,0x7ffffff4,0x7fdc3fff,0xfffffcaf,0x405ffd8f,0xff14fffd,
    0x4df701ff,0x22ff8cfb,0x93ffe5fc,0x3ea2fff8,0x3ffe61ff,0x21ffffff,
    0xfcaaaaa9,0xaaaaadff,0xbffffc82,0x540fffff,0xffeeffff,0x4c4ffffd,
    0x7ff46fff,0xffc8001f,0xdfff303f,0x000bfffe,0x03ffffc8,0xfffffc80,
    0x3e600fff,0xffbcffff,0x75fffd43,0xeafffbff,0x7fcc04ff,0x09fff77f,
    0xa7dc3fea,0xf93fa6fc,0x3ffe24ff,0x507ffea2,0x1dfffffd,0x13ffe600,
    0x8ffffe40,0x20fffff9,0xffb4fff8,0x320bffee,0x3fe63fff,0xffc8006f,
    0xdfff303f,0x000bfffe,0x027fffd4,0x5ffffd40,0xa805ffff,0x1026609a,
    0x2fffbfff,0x3fffdffe,0xeafffe80,0xfd101fff,0x7fcd3eeb,0x3fe1ffb9,
    0x8bffe24f,0x5301fffa,0xf9800357,0xffc804ff,0x7ffcc1ff,0xfd17dc6f,
    0x4417a61f,0x3ee1ffff,0x7e4004ff,0xfff303ff,0x00bfffed,0x1bfffe20,
    0x3fffe200,0x07ffff74,0xffff0000,0x3ffeebff,0xfb801fff,0x06fffeff,
    0x0d4dffd4,0xf89ff755,0x3ffe24ff,0x007ffea2,0x7ffcc000,0x1fffa804,
    0x105fff30,0x0041fff8,0xfe83dff5,0x7fe4002e,0xdfff303f,0x000bfffe,
    0x9bffffd1,0x05999999,0x741dfffb,0x6441ffff,0xcccccccc,0x7fff42cc,
    0xffff12ff,0xff1001ff,0x007fffff,0xc983bff9,0x4fff86ff,0xfa8bffe2,
    0x999911ff,0x59999999,0x04fff980,0xf9803f50,0x03fff002,0x05301c80,
    0x0ffff200,0xffb7ffcc,0x7dc002ff,0xffffffff,0x7e45ffff,0x7fc42fff,
    0x7ffcc6ff,0xffffffff,0x7ffffec3,0x1fffffa0,0xfffffd80,0xfff7000f,
    0x1bffffdf,0x7c49fff0,0x3ffea2ff,0xffffff31,0x807fffff,0x2004fff9,
    0x64001000,0x000001cc,0x7fff9000,0x7dbffe60,0x5c002fff,0xffffffff,
    0x265fffff,0xf704ffff,0x7fcc9fff,0xffffffff,0x7fffe43f,0x37fffdc5,
    0xfffff500,0xffd9800b,0x3e02efff,0x3ffe24ff,0x4c7ffea2,0xffffffff,
    0x7cc03fff,0x000004ff,0x00000000,0xfffc8000,0x2dfff303,0x4002ffff,
    0xfffffffb,0x15ffffff,0xd80dffff,0x2662ffff,0x99999999,0x7fffdc09,
    0x2ffffc42,0x3ffffa00,0x06a60001,0xf127ffc0,0x7ffd45ff,0x26666661,
    0x00099999,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x02aaa200,
    0x0aabaa88,0x00aaa200,0x26001802,0x40009aba,0x54c00aaa,0xaaaaaaaa,
    0x2662aaaa,0x26666099,0xffffff30,0xffffffff,0x0000cc0d,0x00333331,
    0x4ccccc00,0x54c0aa00,0x2eeee200,0x331bbbbb,0x33333333,0x33333333,
    0x22222213,0x2e088888,0x1effffff,0x7fffffe4,0x7fecc04f,0x0bd500ff,
    0xd8805fd3,0x02ffffff,0x809fff90,0xfffffffd,0x17ffffff,0x3e25ffff,
    0xfff32fff,0xffffffff,0xff90dfff,0x4ccc09ff,0x2ffffdc0,0x7ffe4000,
    0xdffb00df,0x100effc8,0xffffffff,0x3ffffe5f,0xffffffff,0x91ffffff,
    0xffffffff,0x3ffffadf,0x320fffff,0xffffffff,0xffffd985,0xfffb80ff,
    0x03fffe63,0x7fffffcc,0x7c404fff,0x3601ffff,0xffffffff,0x3e7fffff,
    0x3ffe1fff,0xfffff31f,0xffffffff,0xffffe8df,0x7fc40eff,0xffff982f,
    0x3ff20005,0x3fe603ff,0xffff11ff,0x3fffe207,0xff2fffff,0xffffffff,
    0xffffffff,0x3ffff23f,0xf36fffff,0xfffffdff,0x6dd66dc7,0xffe87fff,
    0x880fffff,0x3ee0fffe,0xfffd04ff,0x3ffffb7b,0x7ffffec0,0x3ffff606,
    0xffffffff,0x83fffe7f,0x5511ffff,0x55555555,0x7d4dffd5,0xefffffff,
    0x407ffea0,0x005fffd8,0x01efffc8,0xf0ffffc4,0x55405fff,0x0aaaaaaa,
    0xffffffff,0xffffffff,0x3ff23fff,0x6fffffff,0xbfffd0ae,0x87fff880,
    0xffffcffa,0x8dfff300,0x7d41fffe,0x7ffcc2ff,0xf3fff504,0x000007ff,
    0xfd07fff4,0x360001ff,0x3fffa6ff,0xafffffbb,0x400fffd9,0x2005fffc,
    0x000dfffc,0xffb8bff9,0x00000005,0x5dddd400,0x403bbbbb,0x5c03fffe,
    0x21705fff,0x3200ffff,0x3fe63fff,0x83ffdc6f,0xffd06ffe,0x003ffee5,
    0x3fff4000,0x8001fffa,0x3ffe6ffd,0x3ffffa24,0x3005ffff,0x51003555,
    0x11000555,0x00000620,0x00000000,0x0ffffdc0,0x3fffffa2,0xffff800d,
    0x0ffff400,0x7ec7fff7,0x0fff906f,0xffe8dff7,0xfb000004,0x07ffd8ff,
    0x45bff600,0x7f443fff,0x01ffffff,0x00000000,0x00000000,0x00000000,
    0x83ffffb8,0xcffffff8,0x0ffff801,0x22fffcc0,0xff90fffe,0x8bffd01f,
    0x7d41fff8,0x6665c1ff,0xcccccccc,0x1fff64cc,0x4000fffb,0x26666ffd,
    0xffffc880,0x0000001f,0x00000000,0x00000000,0xfffc8000,0xfdb9104f,
    0xf807ffff,0x7e400fff,0x3ffe62ff,0x50fffea5,0xffd89fff,0xd8dffd05,
    0xffffffff,0x327fffff,0x37fe46ff,0x01331000,0x00375100,0x00000000,
    0x00000000,0x00000000,0x00bffff2,0x80dfff90,0x2a00ffff,0x3fa25fff,
    0x3ffe20ff,0xffffecef,0x407ffe60,0x3f63fff9,0xffffffff,0x2a67ffff,
    0x01554c2a,0x00000000,0x00000000,0x00000000,0x00000000,0x03dfffb0,
    0x0ffff500,0x100ffff8,0x7e41ffff,0xfffa82ff,0x43ffffff,0x7ec04ffe,
    0x999970ff,0x99999999,0x00000099,0x00000000,0x00000000,0x00000000,
    0x40000000,0xfffffffd,0x57990fff,0x8bffff95,0xffffeeeb,0x3ff60eee,
    0x17ffea2f,0xfffffe98,0x06664c1e,0x00b33220,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0xfffffffe,0xffff0fff,0x81dfffff,
    0xfffffffc,0xfff70fff,0x07fffc49,0x00d554c0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7f400000,0xffffffff,0xffffff0f,
    0xff9019ff,0xffffffff,0x911bf221,0x000007ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4c400000,0x99999999,0x2aaaaaa1,
    0x4cccc401,0x98199999,0x00007101,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_35_latin1_x[224]={ 0,6,3,0,1,0,0,7,4,3,2,1,3,4,
6,1,0,1,2,2,0,2,1,1,1,1,6,3,1,2,3,4,0,0,2,1,1,3,3,0,1,2,2,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,5,2,4,1,0,0,1,2,2,1,1,0,1,2,2,
2,2,2,1,2,1,2,1,3,2,1,2,0,0,0,0,2,2,7,3,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,6,1,1,0,0,
7,1,0,0,3,1,1,4,1,0,3,1,3,4,0,2,1,6,7,3,3,2,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
 };
static signed short stb__consolas_bold_35_latin1_y[224]={ 25,0,0,2,-1,0,0,0,-1,-1,0,7,18,13,
18,0,2,2,2,2,2,2,2,2,2,2,7,7,5,10,5,0,0,2,2,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,0,0,2,28,0,7,0,7,0,7,0,7,0,0,
0,0,0,7,7,7,7,7,7,7,2,7,7,7,7,7,7,0,-3,0,11,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,25,7,-1,2,2,2,
-3,0,0,2,2,8,14,13,0,1,0,3,0,0,0,7,0,12,25,0,2,8,0,0,0,7,-4,-4,-4,-4,
-4,-5,2,2,-4,-4,-4,-4,-4,-4,-4,-4,2,-4,-4,-4,-4,-4,-4,8,-2,-4,-4,-4,-4,-4,2,0,0,0,
0,0,0,-2,7,7,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,6,3,0,0,0,0,0,0,0,
 };
static unsigned short stb__consolas_bold_35_latin1_w[224]={ 0,7,13,19,17,20,20,5,12,12,15,17,10,11,
7,17,19,17,16,16,19,16,17,17,17,17,7,11,15,15,15,13,20,20,16,17,18,14,14,18,17,15,14,17,
15,19,17,19,16,20,17,17,17,17,20,19,20,20,17,10,17,10,17,20,12,16,16,15,16,17,18,18,15,16,
14,17,16,18,15,18,16,16,15,15,16,15,19,20,19,19,15,14,5,14,19,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,7,15,17,19,19,
5,17,16,19,13,17,16,11,18,15,13,17,13,12,18,17,17,7,6,13,13,16,20,20,20,13,20,20,20,20,
20,20,20,17,17,17,17,17,17,17,17,17,19,18,19,19,19,19,19,17,19,18,18,18,18,20,16,17,17,18,
17,17,17,17,19,15,18,18,18,18,18,18,18,18,17,17,19,19,19,19,19,17,18,17,18,17,17,19,16,19,
 };
static unsigned short stb__consolas_bold_35_latin1_h[224]={ 0,26,10,23,31,26,26,10,34,34,16,18,14,5,
8,29,24,23,23,24,23,24,24,23,24,23,19,25,21,11,21,26,33,23,23,24,23,23,23,24,23,23,24,23,
23,23,23,24,23,30,23,24,23,24,23,23,23,23,23,32,29,32,12,5,8,19,26,19,26,19,25,26,25,25,
33,25,25,18,18,19,25,25,18,19,24,19,18,18,18,26,18,32,36,32,9,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,25,31,23,23,23,
36,30,8,24,18,15,9,5,18,7,13,22,15,15,8,25,30,7,6,15,18,15,25,25,25,25,29,29,29,29,
29,30,23,29,29,29,29,29,29,29,29,29,23,29,30,30,30,30,30,16,31,30,30,30,30,29,23,26,26,26,
26,26,26,28,19,24,26,26,26,26,25,25,25,25,26,25,26,26,26,26,26,19,26,26,26,26,26,33,32,33,
 };
static unsigned short stb__consolas_bold_35_latin1_s[224]={ 238,245,107,1,220,150,208,249,13,26,212,
176,244,244,244,160,194,1,134,107,37,90,157,204,52,54,244,181,91,91,75,
74,94,72,172,16,97,21,189,175,222,240,1,36,173,224,19,70,207,1,116,
206,189,34,151,153,132,111,93,126,64,115,73,223,158,145,57,178,19,210,232,
131,94,145,79,110,189,143,1,228,128,164,17,194,124,162,104,83,49,88,33,
137,7,169,138,79,79,79,79,79,79,79,79,79,79,79,79,79,79,79,79,
79,79,79,79,79,79,79,79,79,79,79,79,79,79,79,79,79,238,162,184,
214,232,1,1,238,190,224,69,228,121,244,124,207,59,57,1,15,171,193,160,
247,249,28,162,42,211,1,22,43,43,139,19,1,22,216,58,237,121,103,1,
40,178,196,214,58,21,232,41,121,61,81,101,194,200,141,178,197,22,82,41,
227,1,208,36,94,190,76,107,141,171,131,112,19,75,145,170,126,108,57,111,
168,188,229,54,127,92,74,38,1,150,39,152,59, };
static unsigned short stb__consolas_bold_35_latin1_t[224]={ 32,99,325,258,1,99,129,129,1,1,306,
306,258,325,273,69,209,282,234,209,282,209,209,234,209,258,183,156,282,325,282,
156,1,258,234,209,234,258,234,209,234,234,209,258,258,258,282,209,258,38,234,
183,258,209,234,258,258,258,258,1,69,1,325,325,325,282,129,282,156,282,156,
129,183,183,1,183,183,306,306,282,183,156,306,282,209,282,306,306,306,156,306,
1,1,1,325,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,
234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,234,32,183,1,
209,209,234,1,1,325,183,306,306,325,325,306,325,325,282,325,325,325,156,38,
282,140,325,306,325,156,183,183,183,69,69,99,69,69,38,234,38,69,69,99,
99,69,69,69,99,234,69,38,38,38,38,38,306,1,38,38,38,38,69,234,
99,129,99,156,99,99,99,282,209,99,99,99,129,183,156,183,156,156,183,129,
129,129,129,156,282,129,129,129,156,129,1,1,1, };
static unsigned short stb__consolas_bold_35_latin1_a[224]={ 308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,308,
308,308,308,308,308,308,308,308, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_35_latin1_BITMAP_HEIGHT or STB_FONT_consolas_bold_35_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_35_latin1(stb_fontchar font[STB_FONT_consolas_bold_35_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_35_latin1_BITMAP_HEIGHT][STB_FONT_consolas_bold_35_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_35_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_35_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_35_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_35_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_35_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_35_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_35_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_35_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_35_latin1_s[i] + stb__consolas_bold_35_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_35_latin1_t[i] + stb__consolas_bold_35_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_35_latin1_x[i];
            font[i].y0 = stb__consolas_bold_35_latin1_y[i];
            font[i].x1 = stb__consolas_bold_35_latin1_x[i] + stb__consolas_bold_35_latin1_w[i];
            font[i].y1 = stb__consolas_bold_35_latin1_y[i] + stb__consolas_bold_35_latin1_h[i];
            font[i].advance_int = (stb__consolas_bold_35_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_35_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_35_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_35_latin1_s[i] + stb__consolas_bold_35_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_35_latin1_t[i] + stb__consolas_bold_35_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_35_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_35_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_35_latin1_x[i] + stb__consolas_bold_35_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_35_latin1_y[i] + stb__consolas_bold_35_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_35_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_35_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_35_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_35_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_35_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_35_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_35_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_35_latin1_LINE_SPACING
#endif

