// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_37_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_37_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_37_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_37_latin1_BITMAP_HEIGHT        378
#define STB_FONT_consolas_bold_37_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_37_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_bold_37_latin1_NUM_CHARS            224

#define STB_FONT_consolas_bold_37_latin1_LINE_SPACING          24

static unsigned int stb__consolas_bold_37_latin1_pixels[]={
    0x32e19997,0x555530cc,0x39055555,0x81880000,0xaaaaaaa8,0x006aa0aa,
    0x15310000,0x0000e400,0x8733332a,0x0003ccc9,0x37b6e600,0x7644001b,
    0x001dd983,0x26200000,0x2a200009,0xffd0001a,0x47fffa3f,0xfffffffb,
    0x00ffe47f,0x2fffb800,0x3fffffe6,0xfff11fff,0x200005ff,0x02ffffd9,
    0x0003ff90,0x0bffffea,0x000dfff7,0x3fffee00,0xb000efff,0x7fcc7fff,
    0x3e0000ff,0x7dc000ff,0xff90004f,0xe8001dff,0xfffd1fff,0x3ffffee3,
    0x3ff27fff,0x440001ff,0xf30fffff,0xffffffff,0x3ffffe23,0x320000ef,
    0x02ffffff,0x00ffffc8,0x77fffd40,0x06fffb80,0x7ff44000,0xefffffff,
    0x6ffff800,0x00bfffee,0x003ffc40,0x4001ffec,0x5ffefffb,0x8ffff400,
    0xff71fffe,0x4fffffff,0x01fffff8,0x3fffea00,0xfffff31f,0x3e23ffff,
    0x04ffffff,0xfffff300,0xffc805ff,0x7d4003ff,0x3ee04fff,0x400006ff,
    0xbabefffe,0x400efffd,0x3ea4fffe,0x30001fff,0xfd000dff,0xdfb0005f,
    0xd0007fe4,0x3ffa3fff,0x09fff71f,0x1fffff30,0x3ffe6000,0x7ff400ff,
    0x7fecc41f,0xfe8001ff,0xa801aeff,0x4003ffff,0x402ffffa,0x0006fffb,
    0x417fff60,0x4c03fffc,0x7fe40efe,0x3fea0003,0xff731005,0x7400139f,
    0x003fea5f,0xfd1fffe8,0x3ffee3ff,0xffff3004,0x7fec0009,0xfffe803f,
    0x0ffff601,0x1ffff100,0x3fffe200,0x99998004,0x6fffb800,0xfff50000,
    0x06ffd809,0x80000010,0x7dc04ffb,0xffffffff,0x9ff9006f,0xe800ffd7,
    0xfffd1fff,0x013ffee3,0x02ffffb8,0x4006aa00,0x2a01fffe,0x4c004fff,
    0x36005fff,0x00006fff,0x1bffee00,0x7fffc000,0x0fffd400,0x40000000,
    0xfd303ffc,0xffffffff,0x3a200dff,0x001fffff,0xfe8ffff4,0x9fff71ff,
    0xefffe800,0xd0000000,0x7cc03fff,0x7d4005ff,0xff7003ff,0x2aa603ff,
    0x555000aa,0x9bffee55,0x801bdca8,0x8802fffa,0x2aa64fff,0x555000aa,
    0x7f654055,0x222dffff,0xffffffff,0x006fffff,0x000676dc,0xfe8ffff4,
    0x9fff71ff,0xffff9800,0x55555443,0x2aaaaaaa,0x01fffe80,0x001bffe2,
    0x2007fff7,0x2604ffff,0x8804ffff,0xff74ffff,0x3fffeedf,0x7ff405ff,
    0xffe88086,0x13fffe65,0x13fffe20,0x3fffffa2,0x3f64ffff,0xffdbefff,
    0x2006db9c,0x01cccccc,0xe8ffff40,0xfff71fff,0xfff90009,0xfffff98d,
    0x7fffffff,0x01fffe80,0x001bffe2,0x5007fff7,0xfd00ffff,0xff500fff,
    0x3ffee3ff,0xffffffcd,0xff980eff,0x3bffae3f,0x46ffcbfe,0xa807fffe,
    0x7d41ffff,0xffffffff,0x3fffe4ff,0x000fff66,0x7fffffcc,0x7fff4004,
    0x2e3fffd1,0x98004fff,0x3e61ffff,0xffffffff,0xfe807fff,0x3fe201ff,
    0x7fdc006f,0xfffd803f,0xffffb804,0x37ffec02,0xfffffff7,0x9fffffff,
    0x361fff70,0xafffffff,0x7fdc6ffb,0x7fec02ff,0x7fffc46f,0xfffffdff,
    0x47ffff34,0x90002ffe,0x0dffffff,0xd1fffe80,0x3fee3fff,0xffd0004f,
    0x7fffcc9f,0xffffffff,0x1fffe807,0x003fffc0,0x100fffee,0x1003ffff,
    0x440bffff,0x3ee3ffff,0x8adfffff,0x40fffffa,0xfff55ffd,0xf73fffff,
    0xffff88ff,0x3fffe205,0xa7fffec3,0x26536ffa,0x3fe5ffff,0xffd0000f,
    0x001fffff,0xfe8ffff4,0x9fff71ff,0x3fff2000,0x7ffdc007,0x1fffe807,
    0x00ffffc0,0x805fff90,0x2006fffb,0x700ffffc,0x7dc1ffff,0xfa84ffff,
    0x7ffc3fff,0xf95fffd4,0x1fff51ff,0x00ffffc8,0x4c1ffff7,0x3ee5ffff,
    0xfffff05f,0x000fff3b,0x3fffffe2,0x3fa003ff,0x3fffd1ff,0x0013ffee,
    0x007fffcc,0x00ffff70,0xe803fffd,0xf1003fff,0xfc803fff,0x3e6004ff,
    0xffd03fff,0xffffb8bf,0x93fffe05,0xff9afff9,0x51fff93f,0xff981fff,
    0xfffd03ff,0x2ffffb8b,0x7ec13ff2,0x6fffffff,0xbfff7000,0x400bfffb,
    0xffd1fffe,0x13ffee3f,0x7fffc400,0x3ffee000,0x1fffe807,0x5ffffdc0,
    0xfffd3101,0x7fffb00d,0x6fffe800,0x41ffff98,0x6c07fffb,0x3fee5fff,
    0xb1fffb8f,0x3ffeafff,0x86fffe80,0x641ffff9,0x3f60ffff,0xffff103f,
    0x039fffff,0xbbfffd80,0xd000ffff,0x2aaa3fff,0x09fff70a,0x0ffffc00,
    0x0ffff700,0x003fffd0,0x9ffffffb,0x3fffffe6,0xfffe801f,0x7ffdc003,
    0x37ffe41f,0x2037ffdc,0x3ee6fffd,0x6cfff97f,0x0fff56ff,0x907fffee,
    0xffd0dfff,0x01ffe8bf,0x3fffffa6,0x001effff,0xff33ffff,0x3fa005ff,
    0x7fdc01ff,0x3fa0004f,0x3ee002ff,0xffe807ff,0xffd5001f,0x3ffe69ff,
    0xff000bff,0xf88005ff,0x7ffc4fff,0x6fffb83f,0x93fffe40,0x9bff6dff,
    0xfff76ffe,0x13fffe20,0xfd07ffff,0x0fff8bff,0xfffffc80,0x404fffff,
    0x3fe7fff9,0xffd004ff,0xfffb803f,0x3ffa0004,0x3fee003f,0xfffe807f,
    0xffffb801,0xffff34ff,0x3fe00bff,0xfd8001ff,0x3ffe67ff,0x6fffb80f,
    0x937ffec0,0x9bffadff,0xdff75fff,0x33fffec0,0xfb01ffff,0x3ffc4fff,
    0x3fffea00,0x203fffff,0x3f24fffc,0xffd007ff,0xfffb803f,0x3ffa0004,
    0x3fee002f,0xfffe807f,0x7fffd401,0x95511abd,0xf009ffff,0x30005fff,
    0x3f63ffff,0xfff705ff,0x5fffe80d,0x7ff57ff6,0x7e53ffe5,0x3ffe606f,
    0x0bfffb1f,0x4c7ffff2,0xff8006ff,0xffffffef,0x45fffd00,0x801ffffa,
    0x5c01fffe,0x20004fff,0x2001ffff,0xe807fffb,0x7ec01fff,0xff5003ff,
    0xffe801ff,0xffd0003f,0x5ffff19f,0x81bffee0,0x363ffff8,0x2bffd5ff,
    0xffd3fff8,0xcfffe809,0x702ffff8,0x3eabffff,0x7fcc005f,0x5fffff57,
    0x41ffff10,0x803ffff8,0x5c01fffe,0x10004fff,0x4001ffff,0xe807fffb,
    0x7fc01fff,0x7ffc007f,0x7ffec01f,0xfff70004,0x40ffff5f,0x2e06fffb,
    0x3f62ffff,0x2edffd5f,0xfff8bfff,0x7fffdc01,0x2207fffa,0xfcefffff,
    0xf500aa4f,0x7fffdcdf,0x86fffb84,0xe806fffe,0x7dc01fff,0xf30004ff,
    0xfb800fff,0xffe807ff,0x3fffc01f,0x0bfff600,0x00dfff90,0x3ffffe20,
    0x3ee04fff,0xfff306ff,0xb6ffc8df,0xffff5fff,0x100fff9b,0xffffffff,
    0xffffb809,0xffeeffff,0x327fdc04,0xfb07ffff,0xfff907ff,0xfffe801f,
    0x2e3fffd1,0x90004fff,0xb800bfff,0xfe807fff,0x3fe201ff,0x7fdc006f,
    0x7ffd403f,0xffb0000f,0x401fffff,0x99bffffb,0x1fffffca,0xffbbffe4,
    0xffffffff,0xffb004ff,0x001fffff,0xfffffffb,0xc809ffff,0x3ffee3ff,
    0x7fffc41f,0x2ffff981,0xe8ffff40,0xfff71fff,0x3ffe0009,0x7fdc002f,
    0xfffe807f,0x1bffe201,0x07fff700,0x03ffff88,0xfffff300,0xfffb80bf,
    0xffffffff,0x7ffb84ff,0xd7fffff1,0x400bffff,0x5ffffff9,0x3ffff200,
    0x54ffffff,0x3ff6139d,0x7ffffb8a,0x99ffffa8,0xffff9999,0x8ffff405,
    0xff71fffe,0xff30009f,0xff7000ff,0xfffd00ff,0x37ffc403,0x0fffee00,
    0x01bfff60,0xfffffe80,0x7fffdc01,0xffffffff,0x23fff502,0xfd33efe9,
    0xfe80019d,0x4001ffff,0xeffffdb8,0xffff50bd,0xffffffff,0xff905fff,
    0xffffffff,0xe80fffff,0xfffd1fff,0x013ffee3,0x013fff60,0x01fffee0,
    0x8807fffa,0x5c006fff,0xfa803fff,0x70002fff,0x700dffff,0xffffffff,
    0x7cc019df,0x008043ff,0x3fffee00,0x3fe20006,0x3fffea07,0xffffffff,
    0xffff03ff,0xffffffff,0x7403ffff,0xfffd1fff,0x013ffee3,0x03ffff50,
    0x0ffff700,0x403fffd0,0x4006fff8,0xd003fffb,0x2000dfff,0x802ffffc,
    0xa98efffb,0x37ffc001,0x7e400000,0x20002fff,0x3ea06ff9,0xffffffff,
    0xf301dfff,0xffffffff,0x9fffffff,0xe8ffff40,0xfff71fff,0xfffe8009,
    0xfff90005,0x3fffd00b,0x02fffcc0,0x013ffea0,0x01ffffcc,0x1bfffe20,
    0x037ffdc0,0x07fff200,0xff880000,0x540006ff,0x2a6205ff,0xceffffdc,
    0x7ffdc01b,0xaaaaaaae,0x206fffea,0xffd1fffe,0x13ffee3f,0x0ffffc80,
    0x9fffd000,0x03fffd00,0x0027ffd4,0x8017ffe6,0x001ffffc,0x007ffffa,
    0x0037ffdc,0x03fffe20,0x3fa00020,0x40001fff,0x5c004ffc,0x7f4004ff,
    0xffc803ff,0xfffd00ff,0x5c7fffa3,0xf7004fff,0x00205fff,0x007ffff3,
    0x7403fffd,0x44003fff,0x1001ffff,0x301dfffd,0xffffd533,0x7ffdc007,
    0xffd80006,0x09b501ef,0xffea9998,0xd80003ff,0x7ec003ff,0x3fe2003f,
    0xffa801ff,0xfffd03ff,0x5c7fffa3,0x9999cfff,0x27fffd41,0x54417bd0,
    0x4c0fffff,0xfffe9999,0x3ffae661,0xfd8000ff,0x009acfff,0x03bfffe6,
    0xffffffff,0xfffb800b,0xfe880006,0xfdccffff,0x7ffc04ff,0x005fffff,
    0x003ffd00,0x2002ffe8,0x1006fffa,0x3a0bffff,0xfffd1fff,0x3ffffee3,
    0x3fea7fff,0x7ff405ff,0xffffffff,0x7fffcc2f,0xf11fffff,0x09ffffff,
    0x3fffe600,0x7d402fff,0x3fe0efff,0x00dfffff,0x037ffdc0,0xfffe8800,
    0x4fffffff,0x7fffffc0,0xf00000df,0xff8001ff,0x3ff6001f,0x3ff6004f,
    0x3fffd07f,0x7dc7fffa,0x7fffffff,0x2017ffee,0xfffffffe,0xff984fff,
    0x1fffffff,0x9ffffff1,0x7fdc0001,0xa802ffff,0x7ffc5fff,0x70002eff,
    0x0000dfff,0x7ffffec4,0x7c00beff,0x002effff,0x00266400,0x00001554,
    0x7ff40000,0x23fffd1f,0xfffffffb,0x802fd47f,0xfffffffc,0xfff301df,
    0x23ffffff,0x01defff8,0xffd91000,0x17ea005f,0x0002af2e,0x00133310,
    0x2f2a2000,0x2f2e001a,0x0000000a,0x00000000,0x7ff40000,0x23fffd1f,
    0x99999998,0x44002819,0x009acbaa,0x99999998,0x0000cc19,0x00098800,
    0x0000000a,0x00000000,0x00000000,0x00000000,0xfd000000,0x3fffa3ff,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7f400000,0x3fffd1ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xaaa80000,0x0155550a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2a017500,0x5e54000b,
    0x99880101,0x00000999,0x40555300,0x00999998,0x4ccc0000,0x26000099,
    0xa8009999,0x0017500b,0x00033310,0x00033310,0x0ba805d4,0xecb88000,
    0x4000acef,0x7ec0fffd,0xff9800ff,0x3b61efff,0x7fffe400,0x8000000e,
    0x7e404fff,0x0000efff,0xdffff900,0x3ff20001,0x7ec00eff,0x7ffec0ff,
    0x3ffea000,0x3ea0005f,0xd8005fff,0x7fec0fff,0x3ee0000f,0xffffffff,
    0xffff3002,0x1ffffcc9,0x3ffffe20,0x5fffefff,0xeffffa80,0x26000000,
    0xfa801fff,0x0000efff,0x27fffe40,0xffff9000,0xffff3009,0x1ffffcc9,
    0xfffffa80,0xffa8005f,0x2005ffff,0x264ffff9,0x8003ffff,0xffffffd8,
    0x804fffff,0x263ffff9,0x5403ffff,0xfffdceff,0x1000ffff,0x001dfffb,
    0x1fff2000,0xefffd880,0xff900000,0x640005ff,0x3002ffff,0x7cc7ffff,
    0xfb803fff,0xefffbdff,0xbfff7000,0x001dfff7,0x4c7ffff3,0x8003ffff,
    0xfffffffd,0x03ffffff,0x6c0fffd8,0x5a800eff,0x0f7fff54,0x2f775c00,
    0x3b2e6000,0x004fffff,0x005eeeb8,0x0deeeb80,0x3bbae000,0x7fec000d,
    0x077fec0f,0x98fbbaa0,0xea804eed,0x3bb663ee,0x1fffb004,0x000effd8,
    0x5fffffd4,0xffffc988,0x20153007,0x880000a9,0x00000009,0xfffff700,
    0x0009ffff,0x00000000,0x98000000,0x0015300a,0x00000000,0x98054c00,
    0xffe8000a,0xfff900ff,0x0000007f,0x00000000,0x3ff62000,0xffffffff,
    0x0000004f,0x00000000,0x00000000,0x00000000,0x00000000,0x805ffff5,
    0x3006ffff,0x159bfd97,0xfd973000,0x3000159b,0x159bfd97,0x3ffffa00,
    0xfffffeff,0x4ccc983f,0x23ccca80,0xa804ccc9,0x5cc03ccc,0x00acdfec,
    0x4026664c,0x3263ccca,0xcca804cc,0x765cc03c,0x0000acdf,0x03999999,
    0x3ffff200,0x7fffe400,0x7fffdc00,0x002fffff,0x3fffffee,0x2e002fff,
    0xffffffff,0x7ffd402f,0xffff31ef,0xffa81fff,0xfffc807f,0x01fffea5,
    0xb817fff2,0xffffffff,0x3ffea02f,0x5fffc807,0x201fffea,0x2e05fffc,
    0xffffffff,0x7fcc002f,0x0004ffff,0x500bfffd,0x2203ffff,0xfffffffd,
    0x4404ffff,0xfffffffd,0x4404ffff,0xfffffffd,0x3a04ffff,0x3ee0efff,
    0x44ffffff,0xc807fffa,0x3fea5fff,0xfffc807f,0xffffd885,0x4fffffff,
    0x00ffff50,0x7d4bfff9,0xffc807ff,0xfffd885f,0xffffffff,0x3fff2004,
    0xf0006fff,0xf3009fff,0x3fa05fff,0xffffffff,0x3a03ffff,0xffffffff,
    0x203fffff,0xfffffffe,0x83ffffff,0x741ffffa,0x6fffedff,0x403fffd4,
    0x3ea5fffc,0xffc807ff,0xffffe85f,0xffffffff,0x7fffa83f,0x25fffc80,
    0xc807fffa,0xffe85fff,0xffffffff,0xfd003fff,0x01ffffff,0x07ffff00,
    0x07ffff10,0x15dffff5,0xfffffb51,0x3bfffea0,0xfffda88a,0xffff507f,
    0xffb5115d,0xfffb0fff,0xbafff88d,0x3ea0ffff,0xffc807ff,0x1fffea5f,
    0x517fff20,0x115dffff,0x0fffffb5,0x900ffff5,0x7fd4bfff,0xfffc807f,
    0x77fffd45,0xfffda88a,0xfff8807f,0x003fffff,0x017fffcc,0x427fffc4,
    0x900efffe,0xfd05ffff,0x3f201dff,0xffe82fff,0xfff900ef,0x4fffe85f,
    0x7cc7ffdc,0x3fea2fff,0xfffc807f,0x01fffea5,0xfd17fff2,0x3f201dff,
    0x7fd42fff,0xfffc807f,0x01fffea5,0xfd17fff2,0x3f201dff,0x7dc02fff,
    0x5fffddff,0x7fffcc00,0x9ffff002,0x02ffffb8,0x2e37fffc,0x7c02ffff,
    0x7fdc6fff,0x7ffc02ff,0x1ffffc6f,0x7fc5bff6,0x3ffea3ff,0x5fffc807,
    0x201fffea,0x3ee5fffc,0x7fc02fff,0x7ffd46ff,0x5fffc807,0x201fffea,
    0x3ee5fffc,0x7fc02fff,0x7fec06ff,0x0ffffbbf,0x3fffe600,0xffff8803,
    0x03fffec3,0xb07fffec,0xfb00ffff,0x7fec1fff,0xfffd807f,0x8bfffe0f,
    0x3fe3fff8,0x3ffea4ff,0x5fffc807,0x201fffea,0x3f65fffc,0xffd807ff,
    0x3ffea0ff,0x5fffc807,0x201fffea,0x3f65fffc,0xffd807ff,0x3ffe00ff,
    0x2ffff99f,0x3fffe200,0xffff9803,0x02ffff42,0xd0ffffd4,0xf500bfff,
    0x7ff43fff,0xfffa805f,0x3ffff31f,0xff07ffd4,0x7ffd49ff,0x5fffc807,
    0x201fffea,0x3fa5fffc,0xffa805ff,0x3ffea1ff,0x5fffc807,0x201fffea,
    0x3fa5fffc,0xffa805ff,0xfff301ff,0x027fffcf,0x013fffe0,0xf07fffe6,
    0xf3009fff,0x7ffc5fff,0xfff9804f,0x13fffe2f,0x4bfffe60,0x361ffff9,
    0x7fff46ff,0x01fffea4,0xfa97fff2,0xffc807ff,0x13fffe5f,0x8bfffe60,
    0xc807fffa,0x3fea5fff,0xfffc807f,0x013fffe5,0x40bfffe6,0x3f24fffc,
    0x7fc007ff,0xffb806ff,0x3ffe20ff,0xfff8803f,0x7ffff13f,0x7ffff100,
    0x00ffffe2,0x4cffffe2,0x3fe2ffff,0x1ffffc3f,0x900ffff5,0x7fd4bfff,
    0xfffc807f,0x07ffff15,0x47ffff10,0xc807fffa,0x3fea5fff,0xfffc807f,
    0x07ffff15,0x07ffff10,0xfa8bfffa,0x36001fff,0x7401ffff,0x7fcc6fff,
    0xff8802ff,0xffff34ff,0xffff1005,0x0bfffe69,0x53fffe20,0xf52ffff8,
    0xffff83ff,0x01fffea2,0xfa97fff2,0xffc807ff,0x5ffff35f,0x9ffff100,
    0x403fffd4,0x3ea5fffc,0xffc807ff,0x5ffff35f,0x9ffff100,0x41ffff10,
    0x003ffff8,0x813fffea,0x4c2ffffa,0xf002ffff,0x3fe69fff,0xfff002ff,
    0x3fffe69f,0x9ffff002,0x64ffffe2,0x7ffc46ff,0x1fffea1f,0xa97fff20,
    0xfc807fff,0xffff35ff,0x3fffe005,0x01fffea4,0xfa97fff2,0xffc807ff,
    0x5ffff35f,0x13fffe00,0x3a1bffee,0x7c006fff,0xf984ffff,0xff987fff,
    0xff8803ff,0xffff33ff,0xffff1007,0x0ffffe67,0x8ffffe20,0xfff5ffff,
    0x47fffa89,0xc807fffa,0x3fea5fff,0xfffc807f,0x07ffff35,0x47ffff10,
    0xc807fffa,0x3fea5fff,0xfffc807f,0x07ffff35,0x07ffff10,0xf907fffb,
    0x5c001fff,0xddffffff,0x83fffffe,0x803ffff8,0xf12ffff9,0xf3007fff,
    0x3fe25fff,0xff9803ff,0x3fff22ff,0x6c1fffaf,0x7fd46fff,0xfffc807f,
    0x01fffea5,0x7c57fff2,0xf9803fff,0x3fea2fff,0xfffc807f,0x01fffea5,
    0x7c57fff2,0xf9803fff,0x7fc42fff,0xfff981ff,0x7fe4002f,0xffffffff,
    0x3ffe03ff,0xfff9804f,0x13fffe1f,0x87fffe60,0x9804ffff,0x3ea1ffff,
    0x47ffefff,0x542ffff9,0xfd807fff,0x3ffea5ff,0x5fffd807,0x2013fffe,
    0x2a1ffff9,0xfd807fff,0x3ffea5ff,0x5fffd807,0x2013fffe,0x541ffff9,
    0x9999ffff,0x05ffff99,0xfffffd80,0x403fffff,0xb806fffe,0x3fa0ffff,
    0xffb806ff,0x3fffa0ff,0xffffb806,0x7fffffc0,0x3fffa24f,0x0ffffa86,
    0x527ffec0,0xd801ffff,0x3ffa4fff,0xfffb806f,0x3fffea0f,0x27ffec00,
    0x801ffff5,0x3fa4fffd,0xffb806ff,0x7ffe40ff,0xffffffff,0x30007fff,
    0x9ffffff9,0xffffb001,0x6fffe803,0x00ffffec,0xfb1bfffa,0xfe803fff,
    0xfffa86ff,0xffdbdfff,0xff982fff,0x7ff400ff,0x3fffe63f,0x1ffff400,
    0x803ffffb,0x7cc6fffe,0x7f400fff,0x3ffe63ff,0x7fff400f,0x07ffff63,
    0xf0dfffd0,0xffffffff,0x3fffffff,0x7ffc4000,0x3fe6001f,0x3fea04ff,
    0x7ffcc3ff,0x3ffea04f,0x7fffcc3f,0x3fffea04,0xfffffb03,0xbfffffff,
    0x0ffffe20,0x21ffff88,0x203ffff8,0x261ffff8,0x2a04ffff,0x7c43ffff,
    0x3e203fff,0x3fe21fff,0x3fe203ff,0x3ffe61ff,0x3ffea04f,0x7fffcc3f,
    0xffffffff,0x0004ffff,0x0027fff4,0x213ffffa,0xd06ffff9,0xf309ffff,
    0x3fa0dfff,0xff984fff,0x7fe406ff,0xffffffff,0x7ffffc03,0x1ffffb00,
    0x00fffff8,0xe81ffffb,0xf984ffff,0xfff06fff,0x3ff601ff,0x7fffc0ff,
    0xffffb00f,0x4ffffe81,0x86ffff98,0xaaaefffb,0xffeaaaaa,0x7e40006f,
    0x1ae23fff,0x7fffffd4,0xfffffedd,0xfffff502,0xffffdbbf,0x3ffea05f,
    0xffeddfff,0x7c402fff,0xdfffffff,0xffffb801,0xffea9acf,0xfffb82ff,
    0xfea9acff,0xffa82fff,0xfeddffff,0xf702ffff,0x5359ffff,0x705ffffd,
    0x359fffff,0x05ffffd5,0xbffffff5,0x5fffffdb,0x007fffd0,0x001ffff9,
    0x7ffffcc0,0xb03fffff,0xffffffff,0xd80bffff,0xffffffff,0x6c05ffff,
    0xffffffff,0xb805ffff,0x00aa9fff,0xfffffe80,0x5fffffff,0x3fffffa0,
    0x5fffffff,0x3fffff60,0x5fffffff,0x7fffff40,0x5fffffff,0x3fffffa0,
    0x5fffffff,0x3fffff60,0x5fffffff,0x01ffff88,0x03ffffa8,0x7fffe400,
    0x01ffffff,0xfffffff7,0x2e007fff,0xffffffff,0xff7003ff,0xffffffff,
    0x17ffa007,0x3ffa2000,0xffffffff,0x3ffa200d,0xffffffff,0x7ffdc00d,
    0x3fffffff,0xffffe880,0x0dffffff,0x3ffffa20,0x0dffffff,0x7ffffdc0,
    0x503fffff,0x2200dfff,0x0005ffff,0xffffffb8,0x7ecc03ff,0x01dfffff,
    0x7fffecc0,0x4c001dff,0xdffffffd,0x5fff1001,0x7f5c0000,0x02efffff,
    0x3ffffae0,0x26002eff,0xdffffffd,0x7ff5c001,0x002effff,0x3fffffae,
    0x366002ef,0x1dffffff,0x013fff60,0x007fffd8,0x9db97100,0xaa880015,
    0x55100000,0x2a200001,0xeea8000a,0x3000000e,0x30000355,0x10000355,
    0x20000155,0x80001aa9,0x80001aa9,0x00000aa8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x31000000,0x98000033,0x4c409999,0x00009999,0x00066620,0x05d402ea,
    0x101bca80,0x33330000,0x5e540013,0x44000101,0x00000199,0x80266666,
    0x00999998,0xba988000,0x23cccccc,0xa8002dc8,0x0005ffff,0x1dffff90,
    0x1dffff90,0xfff50000,0x7fec00bf,0x07ffec0f,0xdfffff30,0x000076c3,
    0x01dffff9,0xdfffff30,0x400076c3,0x005ffffa,0xffffc800,0x7ffe400e,
    0x880000ef,0xfffffffc,0xff16ffff,0x7d4007ff,0x005fffff,0x27fffe40,
    0x3bfffea0,0x3fea0000,0x9805ffff,0x3e64ffff,0xff103fff,0xfdffffff,
    0x32000bff,0x1004ffff,0xffffffff,0x800bfffd,0x5ffffffa,0x3ff20000,
    0x3ea004ff,0x0000efff,0x3fffffee,0x6fffffff,0x00dffff7,0x3ef7ffee,
    0xc8000eff,0x1002ffff,0x001dfffb,0xf7bfff70,0x7cc01dff,0x3fe63fff,
    0xdff503ff,0xffffffb9,0xff90001f,0x7d4005ff,0xffffdcef,0x2e000fff,
    0xfffbdfff,0x7e40000e,0x88002fff,0x000efffd,0xffffffc8,0xffffffff,
    0x0dffff76,0x4c7ddd50,0x5c004eed,0x8000deee,0x4005eeeb,0x3663eeea,
    0x7fec04ee,0x077fec0f,0xffea8b50,0xeb8001ef,0xa8000dee,0x77fff545,
    0x3bbaa001,0x013bb663,0x0deeeb80,0x7775c000,0x7ffd4005,0x70ffffff,
    0x3fe6dfff,0x000003ff,0x00000000,0x00000000,0x02a60153,0x00098800,
    0x40000000,0x00000098,0x00000000,0x7fc00000,0xffffffff,0x4cdfff70,
    0x000003ed,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fe60000,0xffffffff,0x00dfff70,0x66666540,0xcccccccc,
    0xccccca82,0xcccccccc,0xccccca82,0xcccccccc,0x66666442,0xcccccccc,
    0x6666442c,0xcccccccc,0x333222cc,0x332200cc,0x1999953c,0x13332e00,
    0x66666640,0x66640001,0x40001ccc,0x01cccccc,0x66666400,0xfffa801c,
    0x0fffffff,0x000dfff7,0x7fffffe4,0x3fffffff,0xffffffc8,0x3fffffff,
    0xffffffc8,0x3fffffff,0x7fffffcc,0xffffffff,0x7ffffcc4,0xffffffff,
    0x3fffe64f,0x3ffe604f,0x09ffff35,0x09ffff10,0xffffff30,0x7fcc0009,
    0x0004ffff,0x3fffffe6,0x3fe60004,0xc804ffff,0xffffffff,0xdfff70ff,
    0x2007ffec,0xfffffffc,0x83ffffff,0xfffffffc,0x83ffffff,0xfffffffc,
    0x43ffffff,0xfffffff9,0x4fffffff,0x7fffffcc,0xffffffff,0x3ffffe64,
    0xbfff300f,0x007fffec,0x003ffff2,0x3ffffff2,0x3ff20006,0x0006ffff,
    0x3ffffff2,0x3ff20006,0xb806ffff,0xffffffff,0xdfff70ff,0x2007ffec,
    0xfffffffc,0x83ffffff,0xfffffffc,0x83ffffff,0xfffffffc,0x43ffffff,
    0xfffffff9,0x4fffffff,0x7fffffcc,0xffffffff,0x3ffffe64,0xbfff304f,
    0x027fffcc,0x007ffff1,0x3ffffffa,0xffd0000f,0x001fffff,0x3fffffa0,
    0xfd0000ff,0x01ffffff,0xffffffa8,0xff70ffff,0x07ffecdf,0x27bfff20,
    0x99999999,0x9efffc80,0x99999999,0x9efffc80,0x99999999,0xffff8800,
    0xfff10002,0xfff9805f,0xf980ffff,0x7ffec5ff,0xffff900f,0xffff1001,
    0x0007ffff,0xfffffff1,0xff10007f,0x07ffffff,0xfffff100,0xf8807fff,
    0xffffffff,0x4dfff70f,0x6400fffe,0x20006fff,0x0006fffc,0x001bfff2,
    0x2ffff880,0xffff1000,0xffff9805,0xff983fff,0x7fffcc5f,0x3ffff883,
    0xbbfff700,0x7000bfff,0xfffbbfff,0xfff7000b,0x00bfffbb,0xfbbfff70,
    0xffb00bff,0x1fffffff,0xfe9bffee,0x7fe401ff,0x3f20006f,0x320006ff,
    0x00006fff,0x00bfffe2,0x17fffc40,0x3ffffe60,0xfff986ff,0x87fffd85,
    0x000ffffd,0xff77fffb,0xfd8001ff,0xffffbbff,0x7ffec000,0x00ffffbb,
    0x5dfffec0,0x4400ffff,0xfffffffe,0x4dfff70f,0x6401fffe,0x20006fff,
    0x0006fffc,0x001bfff2,0x2ffff880,0xffff1000,0xdfff9805,0x7cc2ffff,
    0xfff985ff,0x3fffe23f,0x3fffe003,0x02ffff99,0x4cffffc0,0x4002ffff,
    0xff99ffff,0x7fc002ff,0xffff99ff,0xfffe9802,0xff70ffff,0x0ffffcdf,
    0x01bfff20,0x06fffc80,0x1bfff200,0xfff88000,0xff10002f,0xff9805ff,
    0x46fffcdf,0xfb05fff9,0x7ffe4dff,0x3ffe6007,0x013fffe7,0x3e7fff98,
    0x26004fff,0x3ffe7fff,0x3fe6004f,0x13fffe7f,0xffffea80,0x4dfff70f,
    0x6402ffff,0x20006fff,0x0006fffc,0x001bfff2,0x2ffff880,0xffff1000,
    0xdfff9805,0x261ffff8,0xff305fff,0xffff15ff,0x7ffe4007,0x01ffff24,
    0x324fffc8,0x32007fff,0x3ff24fff,0x3ff2007f,0x1ffff24f,0x372ea600,
    0x7cdfff70,0x7e402fff,0xffffffff,0xfc80ffff,0xffffffff,0xfc80ffff,
    0xffffffff,0x8800ffff,0x0002ffff,0x805ffff1,0xffb5fff9,0x2fffccbf,
    0xf7dfffb0,0xfe800fff,0x3ffea2ff,0xfffd001f,0x0ffffd45,0x22fffe80,
    0x001ffffa,0x7d45fffd,0x00001fff,0xff9bffee,0x7fe402ff,0xffffffff,
    0xffc80fff,0xffffffff,0xffc80fff,0xffffffff,0xf8800fff,0x10002fff,
    0x9805ffff,0xfff35fff,0x17ffe63f,0xffffff98,0x3e2003ff,0x3fe20fff,
    0xff8803ff,0x3ffe20ff,0xfff8803f,0x3fffe20f,0xffff8803,0x0ffffe20,
    0xfffb8000,0x00bfffe6,0xfffffff9,0x01ffffff,0xfffffff9,0x01ffffff,
    0xfffffff9,0x01ffffff,0x05ffff10,0x3fffe200,0x2fffcc02,0x3e69fffb,
    0x7fec05ff,0x4007ffff,0xfe86fffb,0xffb806ff,0x6fffe86f,0x86fffb80,
    0xb806fffe,0xffe86fff,0x2e00006f,0xfff16fff,0xfffc807f,0xcccccccf,
    0xffff904c,0x99999999,0x3ffff209,0xcccccccc,0xffff1004,0x3fe20005,
    0x7fcc02ff,0x3fffea5f,0x405fff98,0x3ffffff9,0x1fffec00,0x007fffe4,
    0x320ffff6,0x6c00ffff,0xffc83fff,0x7fec00ff,0xffffc83f,0xff700000,
    0x3fffe2df,0x37ffe403,0xdfff9000,0x7ffe4000,0x3e200006,0x10002fff,
    0x9805ffff,0x7ff45fff,0x05fff9cf,0x06ffffd8,0x0ffffc40,0x017fffcc,
    0x303ffff1,0x4405ffff,0xf981ffff,0x3e202fff,0xff981fff,0x700002ff,
    0x3fe2dfff,0x7fe403ff,0x3f20006f,0x320006ff,0x00006fff,0x00bfffe2,
    0x17fffc40,0x717ffe60,0xfff3ffff,0xffff300b,0xfffa8007,0xf999999f,
    0x3ea05fff,0x99999fff,0x205ffff9,0x999ffffa,0x5ffff999,0x27fffea0,
    0xfff99999,0xf700005f,0x3ffe6bff,0x7ffe404f,0x3ff20006,0x3f20006f,
    0x200006ff,0x002ffff8,0x05ffff10,0x445fff98,0xfffcffff,0xffff8805,
    0x7ffe4002,0xffffffff,0x3f207fff,0xffffffff,0x207fffff,0xfffffffc,
    0x7fffffff,0x3fffff20,0xffffffff,0xf900007f,0x3ffe69ff,0x7ffe404f,
    0x3ff20006,0x3f20006f,0x200006ff,0x002ffff8,0x05ffff10,0xc85fff98,
    0x5fffffff,0x2ffff880,0x7ffffc00,0xffffffff,0xfff01fff,0xffffffff,
    0x203fffff,0xffffffff,0xffffffff,0xffffff01,0xffffffff,0xd00003ff,
    0x3fe67fff,0x7fe404ff,0x3f20006f,0x320006ff,0x00006fff,0x00bfffe2,
    0x17fffc40,0x217ffe60,0xfffffff8,0xffff8805,0x3ffe6002,0xffffffff,
    0x984fffff,0xffffffff,0xffffffff,0xfffff984,0xffffffff,0xff984fff,
    0xffffffff,0x04ffffff,0xffb806cc,0xffff31ff,0x6fffc809,0x3fff2000,
    0x3ff20006,0x2200006f,0x0002ffff,0x805ffff1,0xfb05fff9,0x00bfffff,
    0x005ffff1,0x5577ffdc,0xfeaaaaaa,0xfffb86ff,0xaaaaaaae,0xb86fffea,
    0xaaaaefff,0xfffeaaaa,0xaefffb86,0xeaaaaaaa,0x7f406fff,0xffdaabdf,
    0x266625ff,0x7ffe4009,0xeeeeeeef,0xfffc82ee,0xeeeeeeef,0xfffc82ee,
    0xeeeeeeef,0x666442ee,0xcdffffcc,0x66442ccc,0xdffffccc,0x3e62cccc,
    0xfff305ff,0xf100bfff,0x74005fff,0xfc803fff,0x7ff40fff,0xfffc803f,
    0x1ffff40f,0x07fffe40,0x200ffffa,0x900ffffc,0xffffffff,0x0001ffff,
    0xffffffc8,0x3fffffff,0xffffffc8,0x3fffffff,0xffffffc8,0x3fffffff,
    0x7fffffcc,0xffffffff,0x7ffffcc4,0xffffffff,0x17ffe64f,0x5fffffe8,
    0x2ffff880,0x3ffff100,0x7ffff500,0x00ffffc4,0x11ffffd4,0x5003ffff,
    0x7c47ffff,0xfa801fff,0xfd303fff,0xffffffff,0xf900003d,0xffffffff,
    0xf907ffff,0xffffffff,0xf907ffff,0xffffffff,0xf987ffff,0xffffffff,
    0x4c4fffff,0xffffffff,0x24ffffff,0x2a05fff9,0x805fffff,0x002ffff8,
    0x200dfff5,0x2a5ffff8,0xf1006fff,0x7fd4bfff,0xfff1006f,0x37ffd4bf,
    0x5ffff880,0x7ffff540,0x200002ef,0xfffffffc,0x83ffffff,0xfffffffc,
    0x83ffffff,0xfffffffc,0x43ffffff,0xfffffff9,0x4fffffff,0x7fffffcc,
    0xffffffff,0x017ffe64,0x00bffffd,0x005ffff1,0x8013fff6,0x3f67fffd,
    0x3f6004ff,0x3fff67ff,0x3fff6004,0x013fff67,0x007fffd8,0x00000262,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xbdddb950,0x0ba80159,0x26201750,0x00009999,
    0x26666600,0x40000000,0xdeffdca9,0x3220001b,0x99970ccc,0xa8800005,
    0xaaaacccb,0x97100aaa,0x10059bdb,0x00799999,0xccca8000,0x995001cc,
    0xf7000019,0xffffffff,0x7ffec03f,0x807ffec0,0x00effffc,0xfffc8000,
    0xfd8800ef,0x744002df,0xffffffff,0xf70000ff,0x7ffd4bff,0x3ee00006,
    0xffffffff,0xfb80ffff,0xefffffff,0x7fff4402,0x5000004f,0x005fffff,
    0x017fffea,0xfffff900,0x03ffffff,0x993fffe6,0x2a03ffff,0x000effff,
    0x3ffff200,0xffff1004,0x3ea007ff,0xffffffff,0xf0000fff,0xfff85fff,
    0xfd80001f,0xffffffff,0x640fffff,0xffffffff,0xfc802fff,0x00004fff,
    0x077fffd4,0xfffffa80,0xff50005f,0xb997bfff,0x3fe603ff,0x3ffe63ff,
    0x7fec403f,0xc80000ef,0x2002ffff,0xfffbcffd,0x7fffe400,0xffffffff,
    0xffa8000f,0x5fffc86f,0x7ffdc000,0xffffcadf,0x3ea0eeef,0xfdcdffff,
    0xa800ffff,0x0004ffff,0x09ffff50,0x567ffcc0,0xd8005fff,0x2200ffff,
    0x03fff600,0x2001dffb,0x0005eeeb,0x006f775c,0xffa97fe0,0x3fffe602,
    0xb5311bef,0xffd0001f,0xffff107f,0x7ffc0001,0x4fffd82f,0x81dfffd0,
    0x002ffffa,0x009fffd1,0x2ffffa80,0x93ffe600,0x4004fffa,0x0006fffe,
    0x15300a98,0x00000000,0x27fc4000,0x7ec05ff3,0x00805fff,0x0ffff980,
    0x009fffb0,0x41bffe60,0xf887fff9,0xfff03fff,0x9998007f,0x4ccc0001,
    0x4cc40009,0x00199881,0x017ffff4,0x00000000,0x00000000,0xfeabffe8,
    0xffff500f,0x6400000b,0x3e604fff,0xf50007ff,0x7ffc0bff,0x7fffcc0f,
    0x2ffff880,0x00000000,0x00000000,0x7fffff90,0x99995000,0x99999999,
    0xcccc8859,0xcccccccc,0x666442cc,0xcccccccc,0x7cc02ccc,0x204fffff,
    0x002ffffd,0xffff1000,0x2fffe803,0x6fff9800,0x2e1fffe0,0xff907fff,
    0x751001ff,0x00579bb9,0x66ee5d44,0x5d44002b,0x002bcddc,0xffffff50,
    0x7fe4005d,0xffffffff,0x7fcc3fff,0xffffffff,0x7cc4ffff,0xffffffff,
    0x804fffff,0x403fffe9,0x0006ffff,0x1bffee00,0x01bffee0,0x07fffe20,
    0x2e1bffee,0xffb86fff,0x7f5403ff,0xffffffff,0x3ffaa02e,0xefffffff,
    0x7fff5402,0x2effffff,0x3fffea00,0x00dfffff,0xffffffc8,0x3fffffff,
    0x7fffffcc,0xffffffff,0x7ffffcc4,0xffffffff,0x0022004f,0x013fffe2,
    0xfffe8000,0x3ffff002,0xffffb000,0xffff9339,0x8dfff707,0x804ffffb,
    0xfffffffc,0x902fffff,0xffffffff,0x6405ffff,0xffffffff,0x9802ffff,
    0xffffffff,0x6402ffff,0xffffffff,0x4c3fffff,0xffffffff,0x44ffffff,
    0xfffffff9,0x4fffffff,0x3772ea20,0xfff302bc,0x2000007f,0x2007fffa,
    0x8005fffc,0xfffffff8,0xf705ffff,0x7ffccdff,0xfff9004f,0xfffd99bd,
    0xfff901ff,0xfffd99bd,0x3ff201ff,0xffeccdef,0x7ec00fff,0xfffb9fff,
    0x3204ffff,0x9999efff,0x80099999,0x002ffff8,0x05ffff10,0x3ffffaa0,
    0x42efffff,0x003ffffa,0x7fffb000,0x7fffc400,0x7ffdc000,0xcfffffff,
    0x4dfff700,0x2006fffd,0x3fee01cb,0x01cb83ff,0x40ffffee,0x3fee01cb,
    0x3fe203ff,0x3ff623ff,0xf903ffff,0x40000dff,0x002ffff8,0x05ffff10,
    0x3fffff20,0x2fffffff,0x00bfffee,0x3ffe6000,0x7fec000f,0x3fe6003f,
    0xcceedbdf,0x37ffdc00,0x000bfffd,0x09fffd00,0x27fff400,0x3fffa000,
    0x3fffea04,0xfffffa82,0x6fffc80f,0x3fe20000,0xf10002ff,0x32005fff,
    0xeccdefff,0xf50fffff,0x00007fff,0x009fff90,0x00ffff50,0x000fffe4,
    0x6cdfff70,0x0000ffff,0x02fffe40,0x0bfff900,0x5fffc800,0x17fffe60,
    0x27ffff44,0x0037ffe4,0x5ffff100,0x3ffe2000,0x0397002f,0x99ffffdc,
    0x0004ffff,0x0ffffc40,0x2fffe800,0x07fffb00,0x37ffdc00,0x01dffff7,
    0x6cccc400,0x22005fff,0x5fffd999,0x6cccc400,0x3e205fff,0xf302ffff,
    0xff90bfff,0x440000df,0x0002ffff,0x005ffff1,0x4fffe800,0x00bffff1,
    0x6fffb800,0x3ffee000,0xffff9006,0x3555999b,0x137ffdc0,0x05ffffff,
    0x3fffb220,0x05ffffff,0x3ffffb22,0x405fffff,0xfffffec8,0x6c05ffff,
    0xd04fffff,0xff90dfff,0x440000df,0x0002ffff,0x005ffff1,0x5fffc800,
    0x003ffffe,0x2fffe800,0x3ffe2000,0xfff9801f,0xffffffff,0xfffb83ff,
    0x7ffffd46,0x7ffe403f,0xffffffff,0xffff905f,0xffffffff,0x7fffe40b,
    0xffffffff,0x7fffc405,0x7ffc2eff,0xffffc85f,0xffffffff,0xfff8800f,
    0xff10002f,0x880005ff,0x5fffd999,0x013ffffa,0x3fffd400,0x7ffe4000,
    0xffff3004,0xffffffff,0x6fffb8bf,0xffffff98,0xfffffb02,0xffffddff,
    0xfffffb0b,0xffffddff,0x3ffff60b,0xfffeefff,0xfff9805f,0xfa8dffff,
    0xffc83fff,0xffffffff,0xf8800fff,0x10002fff,0x8005ffff,0xfffffec8,
    0x3ea5ffff,0x0002ffff,0x003fffd8,0x0ffff980,0x77fff440,0xffffeeee,
    0x3ffee4ff,0xffffd106,0xbffff70d,0x8bfff903,0x81dffffb,0xfb85fffc,
    0xfc81dfff,0xfd3005ff,0xffffffff,0xff901fff,0xffffffff,0xf1001fff,
    0x20005fff,0x002ffff8,0x3ffffff2,0x45ffffff,0x0bfffffe,0xf100eb88,
    0x00001fff,0xd00ffff6,0x7d40bfff,0x3fee6fff,0x3ffa206f,0x7ffec0ff,
    0x17fff206,0x640dfffb,0xffd85fff,0x3fff206f,0x7ffe4005,0x1fffffff,
    0x99ffff90,0x09999999,0x0bfffe20,0x7fffc400,0xffffb002,0xfffddfff,
    0xffffa8bf,0xfeddefff,0xfff900ff,0x7d40000b,0x3fea06ff,0x7fe400ff,
    0x1bffee7f,0x85ffff70,0x3a04ffff,0x7ffc5fff,0x3fffa04f,0x04ffff85,
    0x0017fffa,0x3fffff62,0x3ff201ff,0x2200006f,0x0002ffff,0x005ffff1,
    0x03bffff7,0xf70bfff9,0xffffffff,0x3e01ffff,0x00001fff,0xc817fff4,
    0xfd807fff,0x3ffee5ff,0x7fffd406,0x43ffff41,0x45ffffe8,0xe887fffe,
    0xfe85ffff,0xffe887ff,0x2a0005ff,0x00fffffe,0x001bfff2,0x2ffff880,
    0xffff1000,0xdfffb005,0x82fffe40,0xfffffff9,0xb80fffff,0x00006fff,
    0x705fffb8,0x5409ffff,0x3ee3ffff,0x2666e6ff,0xd87fffea,0xb89cffff,
    0x45fffffe,0x89cffffd,0x5fffffeb,0x9cffffd8,0xfffffeb8,0x7f440005,
    0x3f202fff,0x200006ff,0x002ffff8,0x05ffff10,0x409ffff0,0x2205fffe,
    0xffffffeb,0xfffd01ce,0xf1000005,0xff103fff,0x999bdfff,0xb8dffffd,
    0x3ffa6fff,0x83ffffff,0xfffffffa,0x5fffefff,0x7fffffd4,0xfffeffff,
    0xfffffa85,0xffefffff,0xfa80005f,0x3f203fff,0x200006ff,0x002ffff8,
    0x05ffff10,0x10ffffd0,0x00bffffd,0x013ffff1,0x007fff98,0x3fff2000,
    0xfffff504,0xffffffff,0x6fffb81d,0x3ffffffa,0x3fff604f,0xf8efffff,
    0xfffd85ff,0xf8efffff,0xfffb05ff,0xf1dfffff,0x80080bff,0x201ffffb,
    0x0006fffc,0x0bfffe20,0x7fffc400,0xffffd802,0xfffeb89c,0xff9805ff,
    0xfffb004f,0x4c000009,0xb300ffff,0xffffffff,0x3fee05df,0x3ffffa6f,
    0xffb801ef,0x3fe3efff,0xffff705f,0x2fffc7df,0xdfffff70,0x202fffc7,
    0xa999acef,0x407ffffc,0x0006fffc,0x0bfffe20,0x7fffc400,0xffffa802,
    0xfeffffff,0xffb805ff,0xfff8801f,0x4000000f,0x4403fffd,0x09abcba9,
    0x04ccc000,0x01aa9800,0x00d54c00,0x00d54c00,0x3ffffe00,0xffffffff,
    0x7fffe403,0xeeeeeeee,0x6666442e,0xccdffffc,0x666442cc,0xcdffffcc,
    0xffd82ccc,0x8effffff,0xfd805fff,0xfff9006f,0x5000000b,0x0000dfff,
    0x00000000,0x00000000,0x7c000000,0xffffffff,0xfc803fff,0xffffffff,
    0x7cc3ffff,0xffffffff,0x4c4fffff,0xffffffff,0x04ffffff,0x7dfffff7,
    0x7402fffc,0xfff003ff,0x0000003f,0x000bfffa,0x00000000,0x00000000,
    0x40000000,0xffffffec,0xf9000bff,0xffffffff,0xf987ffff,0xffffffff,
    0x4c4fffff,0xffffffff,0x04ffffff,0x0000d54c,0x4c005554,0x00005eee,
    0x13bbae00,0x00000000,0x00000000,0x00000000,0x06666200,0x7fffe400,
    0xffffffff,0x7fffcc3f,0xffffffff,0x7ffcc4ff,0xffffffff,0x00004fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x54000000,0xeca83ccc,0xccc9803d,0x33333220,0xa8000003,
    0x001ccccc,0x80019995,0xdd983ec8,0x32e62001,0x03a98acc,0x50007b70,
    0x64c01999,0xd9303ccc,0x8801107b,0x1dd983ec,0x00006200,0x0004ccc0,
    0x237ffdc0,0x0efffffd,0x2213ffa0,0x004ffffe,0x3ffea000,0xff5002ff,
    0xfd800bff,0x3ffe63ff,0x7ff4400f,0xffffffff,0x6fffe806,0x3fffea00,
    0x3fffea05,0xfffffb85,0x401dd12f,0x3e63fffd,0xfb800fff,0x200002ff,
    0x0001fffa,0x2e6fffb8,0x5fffffff,0x401fff90,0x004ffffc,0xffffa800,
    0xfff5000e,0x7c00bfff,0x3fee6fff,0x3fee02ff,0xffffffff,0x7fd406ff,
    0xfa802fff,0x305fffff,0xf989ffff,0xffffffff,0x3fe05fff,0x3ffee6ff,
    0x7ffc402f,0xb00000ff,0x20000dff,0x3fe6fffb,0x81fff73f,0xa802fff9,
    0x0004ffff,0x13fffea0,0xacfff980,0xfd005fff,0x7ffd49ff,0xffff701f,
    0xffffddff,0xfffa80df,0x7fcc02ff,0x85fffacf,0x444ffff9,0xfffcadff,
    0x3a00ffff,0x3fea4fff,0x7fd401ff,0x80001fff,0x0003fff8,0x26dfff70,
    0x0fffc7ff,0x88017ffa,0x0004fffe,0x02ffffa8,0xa93ffe60,0xe9804fff,
    0x1ffe40ef,0x2fffff88,0x406fffc8,0x00fffff8,0xfa93ffe6,0x7ffcc4ff,
    0x6cc4884f,0x4c01dfff,0x7fe40efe,0xffff9803,0xca98000f,0x000fffee,
    0x2dfff700,0x7ff46ffa,0x003ffee2,0x00066660,0x00266660,0x31033310,
    0x00040033,0x03ffff90,0x201bffee,0x4401dfd9,0x19988199,0x027fffcc,
    0x020004c0,0xfffd8000,0x7ffd4003,0x00ffffff,0xdfff7000,0xfff1ffe6,
    0x00bffe63,0x00000000,0x00000000,0x7ffc4000,0x3ffee05f,0x00000006,
    0x1ffffc40,0x00000000,0x001aa800,0x7fffffe4,0x000fffff,0x36f32ea2,
    0xfff16fff,0x743ffe63,0x510005ff,0x000359b9,0x06b372a2,0x66e54400,
    0x9510001a,0x7cc0359b,0x3ee02fff,0x200006ff,0x2602aaa9,0xfff12aaa,
    0x32ea207f,0x2002bcdd,0xbcddcba8,0xb0000002,0xffffffff,0x801dffff,
    0xffffffd8,0x3fa6ffff,0x75fffdff,0x88001fff,0xfffffffd,0xffb1000d,
    0x01bfffff,0x3ffff620,0x1000dfff,0xfffffffb,0xffff501b,0x37ffdc01,
    0x81fffd40,0x3206fffb,0xfff16fff,0xfffea87f,0x2effffff,0x3ffffaa0,
    0x82efffff,0xaaaaaaa9,0xfff9802a,0xffffb1ef,0x7fdc0dff,0xffffffff,
    0x3ffe66ff,0xff88ffff,0x7f4c002f,0xffffffff,0x7ff4c02f,0xffffffff,
    0x7fff4c02,0x2fffffff,0x7ffff4c0,0x42ffffff,0x5c07fffb,0xfa806fff,
    0xfff703ff,0x37ffe40d,0xfc85ffff,0xffffffff,0xff902fff,0xffffffff,
    0xfffd85ff,0x807fffff,0x3e26fffe,0x2ffffdff,0xffffffb8,0x6fffffee,
    0x86fffecc,0x44005ffd,0xdcefffff,0x100fffff,0xb9dfffff,0x201fffff,
    0xcefffff8,0x00fffffd,0x9dfffff1,0x41fffffb,0x5c07fffc,0xfb806fff,
    0xfff703ff,0x37ffe40d,0xfc85ffff,0xfeccdeff,0xfc80ffff,0xfeccdeff,
    0x3f60ffff,0x7fffffff,0x17fffcc0,0xffd1fff7,0xffff889f,0x6fffc82f,
    0x1fff7020,0xefffc800,0x27fffcc2,0x42efffc8,0x904ffff9,0xf985dfff,
    0xff904fff,0xfff985df,0x3fffee4f,0x1bffee00,0x4fffea88,0x40dfff70,
    0x3fe6fffc,0x00e5c2ff,0x707ffff7,0x7ffdc039,0x3ffff63f,0x5407ffff,
    0x7ff47fff,0xd8dfff75,0xf701ffff,0x3e200dff,0x7c4003ff,0xff702fff,
    0xffff10ff,0x1fffee05,0x40bfffe2,0xf887fffb,0xff702fff,0x7fffd4ff,
    0x1bfff601,0x3fffff62,0xdfff704f,0xf37ffe40,0x20005fff,0x0004fffe,
    0x9013fffa,0xfb80ffff,0x3ffe25ff,0xf8ffff72,0x3ee05fff,0xffb006ff,
    0xfff9000d,0x7fffc40d,0x037ffe40,0xc81ffff1,0x3e206fff,0x7fe40fff,
    0x3ffe206f,0x7ffff30f,0x1bffff20,0xfffffff3,0x3ffee0bf,0x9bfff206,
    0x0001ffff,0x000bfff9,0x202fffe4,0x6407fffc,0x3fee5fff,0x4ffff50f,
    0x202ffff9,0xa806fffb,0xd8000fff,0x9999cfff,0x2ffff999,0x4ce7ffec,
    0xfff99999,0x67ffec2f,0xf9999999,0x7fec2fff,0x999999cf,0x3a2ffff9,
    0x7dc0efff,0x7f46ffff,0x4eeeffff,0x40dfff70,0x3fa6fffc,0x331001ff,
    0x00bfffb3,0x7fecccc4,0x7ffe405f,0x2fffe407,0x7fd4bffd,0x3fffea7f,
    0x1bffee00,0x227fff10,0x3a00bcca,0xffffffff,0x3fffffff,0x7ffffff4,
    0xffffffff,0x7ffff43f,0xffffffff,0x7ff43fff,0xffffffff,0x2e3fffff,
    0xebbeffff,0x26ffffff,0x00dffffb,0x40dfff70,0x3fa6fffc,0xfd9101ff,
    0xffffffff,0x7ff6440b,0x5fffffff,0x03fffe40,0x7c5bfff2,0x3ffee2ff,
    0x01fffee6,0xd80dfff7,0xffff56ff,0x3ffe03ff,0xffffffff,0x7c3fffff,
    0xffffffff,0x3fffffff,0x7ffffffc,0xffffffff,0x7ffffc3f,0xffffffff,
    0x3fe23fff,0xffffffff,0x3f66fffe,0x2e000fff,0x3f206fff,0x3fffa6ff,
    0xfffffc80,0x5fffffff,0xffffff90,0x0bffffff,0x407fffc8,0xff77fffb,
    0x24fffd8f,0x5c07fffc,0x3ea06fff,0xffff89ff,0xff886fff,0xffffffff,
    0x22ffffff,0xfffffff8,0xffffffff,0x3fffe22f,0xffffffff,0x3e22ffff,
    0xffffffff,0x2fffffff,0x7fffffcc,0x6fffadff,0x001bfffe,0x640dfff7,
    0x3ff66fff,0x7fffec0f,0xfffeefff,0xffffd85f,0xfffeefff,0x7ffe405f,
    0x7fffcc07,0x3e25ffea,0x3fee3fff,0x3fee00ff,0x7fff106f,0x3ea7bff2,
    0xffff82ff,0x7ffc0002,0x7fc0002f,0x7c0002ff,0x80002fff,0x3fffffe8,
    0x7fcdfff7,0x7dc006ff,0x3ff206ff,0x83332e6f,0x81dffffb,0x7dc5fffc,
    0xfc81dfff,0x7fe405ff,0xfffe807f,0xfb12ffff,0xfffa8dff,0x3fff601f,
    0x74dffb06,0x13ff62ff,0x0013fffa,0x009fffd0,0x04fffe80,0x27fff400,
    0x06a60000,0x7f4dfff7,0x2e000fff,0x3f606fff,0xffb006ff,0x7ffe40df,
    0x037ffec5,0xc80bfff9,0xfa807fff,0xb9ffffff,0x4c2ffffe,0xf903ffff,
    0xff50dfff,0x70fffc3f,0xfff90bff,0x7e40001d,0x20000eff,0x000efffc,
    0x03bfff20,0x3ee00000,0x3fff26ff,0xff7000ef,0xfff901ff,0xff8088df,
    0x3ffa04ff,0x27fffc5f,0x80bfffd0,0x5007fffc,0xffffffff,0x3a0bffff,
    0x7dc0efff,0x7446ffff,0x0fffc4ff,0xff509ff9,0x540009ff,0x0004ffff,
    0x013fffea,0x4ffffa80,0xfb800000,0x3ffe66ff,0x2009cfff,0x642ffffa,
    0x326fffff,0x3ffa0eff,0xfffe887f,0x3ffff45f,0x2fffff44,0x01ffff20,
    0xffffffb8,0x2e03ffff,0xebbeffff,0x46ffffff,0xffe86ffc,0x6c0fffa3,
    0x99beffff,0xb03dca99,0x337dffff,0x207b9533,0x9beffffd,0x03dca999,
    0x37dffffb,0x07b95333,0x37ffdc00,0x3fffffea,0x7c41ffff,0xffbcffff,
    0xf56fffff,0x7fecbfff,0xfeb89cff,0x7ec5ffff,0xeb89cfff,0x405fffff,
    0x4007fffc,0xfffffffd,0x7ffc401d,0xdfffffff,0x3fe66fff,0xcfffc81f,
    0xf100fffd,0xffffffff,0x2207ffff,0xffffffff,0x103fffff,0xffffffff,
    0x207fffff,0xfffffff8,0x03ffffff,0x1bffee00,0x3fffffee,0xffd81fff,
    0xdfffffff,0xfff96fff,0x7fffd4ff,0xfeffffff,0x7ffd45ff,0xefffffff,
    0x55515fff,0x5ffffb55,0x3e015555,0x000aadff,0x7fffffcc,0x4dfff5ff,
    0xff104ffe,0x807fffff,0xffffffe9,0x203fffff,0xffffffe9,0x203fffff,
    0xffffffe9,0x203fffff,0xffffffe9,0x003fffff,0x41bffee0,0xffffffd8,
    0xffff981f,0xff8dffff,0xbffff76f,0xffffffd8,0x5fff8eff,0xffffffd8,
    0x5fff8eff,0xfffffff5,0xffffffff,0x03fff303,0xfffe8800,0x5bffe3ff,
    0x74c06ffc,0x2003ffff,0xffffffeb,0xeb801dff,0xffffffff,0xffeb801d,
    0x1dffffff,0xffffeb80,0x001dffff,0x01bffee0,0x3fffdb93,0x3ffffa20,
    0xd9bffe3f,0xffb81fff,0x3fe3efff,0xffff705f,0xafffc7df,0xfffffffa,
    0xffffffff,0x006ffc81,0x000d4c00,0x00131000,0x09aaa980,0x2aaa6000,
    0x2a600009,0x200009aa,0x0009aaa9,0x01333100,0x31003100,0x0a980035,
    0x000d54c0,0x4006aa60,0xfffffffa,0xffffffff,0x003eed81,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x99000000,0x05107999,0x000d4c40,0x1e666644,0xca800000,0x2201cccc,
    0x1dd983ec,0x3ccccc88,0x15554c00,0x98355550,0x32e20aaa,0x2a0001bd,
    0xa9800ccc,0x55000aaa,0x33326555,0x32200003,0x01dd983e,0x00013579,
    0x77fffff3,0xd500ffd9,0x019fffff,0x7ffff440,0x54000004,0x402fffff,
    0x3e63fffd,0xfe880fff,0x32004fff,0x3f606fff,0x7ffdc4ff,0xffffff92,
    0xfff5000b,0xfff300bf,0xfff1009f,0x1bffee9f,0xfffd8000,0x03fffe63,
    0x37fffffe,0x3ffee001,0x07ffffff,0x7fffffec,0x64001fff,0x0004ffff,
    0xdffff500,0xdffff001,0x017fffdc,0x009ffff9,0xd81bfff2,0x7fdc4fff,
    0xfffffdaf,0x5000efff,0x0bffffff,0x00ffffd0,0x2e3ffff5,0x00006fff,
    0xfb9bfffe,0xfff82fff,0x00dfffff,0xffffffb1,0x40ffffff,0xfffffffb,
    0x4000efff,0x004ffffa,0x7fffd400,0x3fffa004,0x07fffea4,0x09ffff50,
    0x40dfff90,0x7dc4fffd,0xffffffff,0x804fffff,0xffacfff9,0x7ffdc05f,
    0x7ffec02f,0x01bffee6,0x4fffe800,0x207fffea,0xffffffff,0xfff981ff,
    0xbfffffff,0x3fffe201,0xffffb88c,0xffe88003,0xf500004f,0x98005fff,
    0x7fe40efe,0xfffd1003,0x6fffc809,0x713fff60,0x5bffffff,0x1fffff51,
    0x527ffcc0,0x7c409fff,0x3e205fff,0x3fee3fff,0x2600006f,0x7fe40efe,
    0xffdb9903,0x981dffff,0xffedffff,0x7fd403ff,0x4fffc85f,0x06666000,
    0x4cccc000,0x00020000,0x00666600,0x6c0dfff9,0x7fdc4fff,0xffa84fff,
    0x266203ff,0x40199881,0x700ffffc,0x7dc1ffff,0x800006ff,0x32200000,
    0x445fffff,0x3ffe60ac,0x3ff200ff,0x5fffb83f,0x00000000,0x00000000,
    0x3f200000,0x3ff606ff,0x7fffdc4f,0x13fffe05,0x7cc00000,0xffd03fff,
    0x6fffb8bf,0x00000000,0xfffff500,0xffeca980,0x3ff205ff,0x3fffc84f,
    0x9b953000,0x54c00035,0x3001acdc,0x54c05555,0x5554c2aa,0x4aaaa602,
    0x3606fffc,0x7fdc4fff,0x7ffec07f,0x9b953005,0x7ff40035,0xffff986f,
    0x137ffdc1,0x00037b95,0x06b372a6,0xffffd800,0xffffe981,0x502fffff,
    0xff88dfff,0x7d4002ff,0xefffffff,0x3ffea000,0x00efffff,0x9037ffdc,
    0xffb8dfff,0x3fff206f,0x40dfff96,0x7dc4fffd,0x7fec06ff,0x7ffd406f,
    0x00efffff,0x41ffffb8,0xfb86fffc,0xffff76ff,0x7d400bff,0xefffffff,
    0xfffb8000,0x7fffe42f,0x6fffffff,0x27ffff10,0x005fffe9,0x7fffffe4,
    0x803fffff,0xfffffffc,0x2e03ffff,0x3f206fff,0x7ffdc6ff,0x5bfff206,
    0x3606fffc,0x7fdc4fff,0x7ffe406f,0x3ffff207,0x3fffffff,0x27fffc40,
    0x2e0ffffe,0xfffcdfff,0x00efffff,0x7fffffe4,0x003fffff,0x70ffffdc,
    0xddffffff,0x203fffff,0xffcffffc,0x32000eff,0xffffffff,0x201fffff,
    0xfffffffc,0x01ffffff,0x640dfff7,0x7fdc6fff,0x3fff206f,0x40dfff96,
    0x7dc4fffd,0x7fec06ff,0xffff906f,0xffffffff,0xfffd803f,0x03fffe67,
    0x3fffffee,0xffffffff,0x3ffff204,0xffffffff,0x3ffa001f,0x3fffe27f,
    0x7fffcc2f,0xfffff105,0x4001bfff,0x9bfffff9,0x5ffffda8,0x7fffff30,
    0xffffb513,0x1bffee0b,0x5c6fffc8,0x3f206fff,0xdfff96ff,0x227ffec0,
    0x7406fffb,0xff985fff,0xda89bfff,0x4c05ffff,0xffb1ffff,0x3ffee0bf,
    0xfa8adfff,0xf980ffff,0xa89bffff,0x885ffffd,0xfffea999,0x3ffff64f,
    0x0fffff01,0x7fffffdc,0xfffe8002,0xffffb01f,0x3ffffd05,0x0bffff60,
    0xc81bffee,0x7fdc6fff,0x3fff206f,0x20dfff96,0x5c4ffff8,0x3e206fff,
    0xffe83fff,0xfffb01ff,0xfffe805f,0x02ffff8c,0x09fffff7,0xd07ffff5,
    0x3603ffff,0x7d42ffff,0xffffffff,0x817fffe0,0xa81ffffc,0x44ffffff,
    0xf882aaa8,0x3e204fff,0x7fc44fff,0x3fe204ff,0xfffb84ff,0x1bfff206,
    0x640dfff7,0xfff96fff,0xffffd10f,0x06fffb89,0x10bfffee,0x4409ffff,
    0x5c04ffff,0xfffaffff,0x3fffee07,0x13fffe05,0x409ffff1,0x544ffff8,
    0xefffffff,0x0bfffe21,0x42ffffa8,0xfffffffa,0x17ffe62f,0x003fffea,
    0xfa8bfffd,0x7f400fff,0xfffb85ff,0x1bfff206,0x640dfff7,0xfff96fff,
    0x7ffec43f,0x7ffdc5ff,0xdffff306,0x01ffff50,0x405fffe8,0xfffffff8,
    0x3ffee04f,0x2fffec07,0x003fffea,0xf98bfffd,0xa83effff,0x2600ffff,
    0x3e63ffff,0xfffedfff,0x09fff31f,0xb00ffff7,0xffb8dfff,0xfffd807f,
    0x06fffb86,0xf71bfff2,0x7fe40dff,0xfffff96f,0xffffff99,0x3fee37ff,
    0xfca99bff,0xfb81ffff,0xffd807ff,0xfffd806f,0x2e00ffff,0x7ec06fff,
    0x7ffdc6ff,0x6fffd807,0x0077ffcc,0x880ffff7,0x3f63ffff,0xffff16ff,
    0x09fff51f,0x900ffff9,0xffc8ffff,0xfffc807f,0x06fffb87,0xf71bfff2,
    0x7fe40dff,0xfffff96f,0xffbfffff,0x3fee9fff,0xffffffff,0xff904fff,
    0xfff900ff,0xffff300f,0xffb80bff,0x7ffe406f,0x03fffe47,0x263fffe4,
    0x7e406fff,0x7fc407ff,0xffff13ff,0x77fffcc5,0xfc83fffc,0xffc807ff,
    0x3fffe46f,0x437ffe40,0x3206fffb,0x7fdc6fff,0x3fff206f,0xffffff96,
    0x3ffe7fff,0xffff74ff,0xffffffff,0x3fffe405,0x037ffe40,0x1fffffe8,
    0x037ffdc0,0xf91bfff6,0xff900fff,0x5fff88df,0x07fffdc0,0x27ffff30,
    0x5c0ffff9,0xffffffff,0x0ffffb80,0x22fffec0,0x400ffffb,0xfb85fffd,
    0x3ff206ff,0x37ffdc6f,0x32dfff90,0xefffefff,0x53fffea3,0xfffffffb,
    0x5c00ceff,0x6c00ffff,0xf7005fff,0xf700dfff,0xffe80dff,0x7fffdc5f,
    0x2fffec00,0x500f3322,0x5403ffff,0xff51ffff,0x3fff60ff,0xff505fff,
    0xfff803ff,0x7fffd44f,0x27fffc01,0xb037ffdc,0xffb8dfff,0x3fff606f,
    0x519fff96,0xb86a6203,0x1a98efff,0x7fffd400,0x27fffc01,0x2ffffc80,
    0x06fffb80,0x50ffffe2,0xf803ffff,0x40004fff,0x204ffff9,0x3e67fffe,
    0xffd00fff,0x3e605fff,0x3ea05fff,0x7fcc2fff,0x3fea05ff,0xfffb82ff,
    0xffffc80f,0x07fffdc6,0xcb7fffe4,0x20005fff,0x0006fffb,0x02ffffcc,
    0x005ffff5,0x00dffff1,0xb81bffee,0x7cc2ffff,0x3ea05fff,0x19882fff,
    0x3ffffd00,0x4bffff70,0x305ffff8,0x403fffff,0x983ffffe,0xfd06ffff,
    0xff307fff,0x3fea0dff,0x7ffe42ff,0x7ffd46ff,0x7fffe42f,0x0bfff96f,
    0x37ffdc00,0x7fff4000,0xffff983f,0xffffd006,0x3ffee003,0xdffff306,
    0x0fffffa0,0x21bfffe6,0xa805fff9,0xbbcfffff,0x41fffffd,0x9adffffe,
    0xffffffb9,0xffff300e,0xfffb77bf,0x3fe605ff,0xfdbbdfff,0xf102ffff,
    0xff79ffff,0x88dfffff,0xfbcfffff,0x96ffffff,0x4000dfff,0x0006fffb,
    0xdfffff98,0xfffffdbb,0xfea99982,0x2e003fff,0xa99bffff,0x01fffffc,
    0x7bfffff3,0x5fffffb7,0x07ffffd0,0xffffffd0,0x09ffffff,0xfffffff1,
    0xffffffff,0x7ffec0bf,0xffffffff,0x7ffec05f,0xffffffff,0x7ffec05f,
    0xfdffffff,0xfffd86ff,0xfdffffff,0xdfff96ff,0x7ffdc000,0xffb00006,
    0xffffffff,0x3ffe0bff,0x005fffff,0x7fffffdc,0x4fffffff,0x7ffffec0,
    0x5fffffff,0x0bfffff0,0xfffffb10,0x409fffff,0xfffffffa,0xfffdefff,
    0x3fff204f,0x3fffffff,0xfffff900,0x007fffff,0xfffffff3,0x0dfff1bf,
    0xfffffff3,0x2dfff1bf,0x0006fffc,0x001bffee,0xfffffc80,0x203fffff,
    0xdfffffff,0x7ffdc000,0xffffffff,0xfff9002f,0x7fffffff,0x27ffff40,
    0xffffd700,0x91003bff,0x7fffffff,0x01ffffec,0xffffffd3,0xfe98003b,
    0x01dfffff,0x3ffffa20,0x41bffe3f,0x3fffffe8,0x7fe5bffe,0x3ee0006f,
    0x400006ff,0xffffffe9,0x7fffc01d,0x710002ef,0xfffffffb,0xe980019d,
    0x1dffffff,0x077ffcc0,0x01aa9800,0x026a6200,0x15530000,0x2aa60000,
    0x54c40000,0x54c40001,0x13331001,0x4ccc4000,0x26000000,0x32e000aa,
    0x400000ab,0x00019998,0x0002aa60,0x00000351,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x01ccccca,0x220f7b26,0x33bb6e00,0xccc9800b,0x00799930,0x22000000,
    0xc9801ccc,0x000000cc,0x01999500,0x00000000,0x33333220,0x2066d402,
    0x93003dc8,0x801107bd,0x40001ba8,0x02fffffa,0x3fffffee,0x3a01dd12,
    0x00ffffff,0xff727ff4,0x2a2000df,0xcdefffec,0x7ffe4401,0x4ffe803f,
    0xfdb75100,0x20037bdd,0x005ffffa,0x7bfd9510,0xe8800003,0x5404ffff,
    0x7ff46fff,0x7ffdc02f,0x1dd12fff,0x0ffffe60,0x7fffd400,0x3ffe600e,
    0xffffffff,0xf99bd05f,0x7fe409ff,0x1bffee0f,0x7ffff400,0x0dffffff,
    0xffffff88,0x07ffe403,0x7ffffdc0,0x04ffffff,0x7fffffd4,0x7ffe4005,
    0x00efffff,0xfffe8800,0xfffc802f,0xbffff10f,0x7ffffcc0,0x5fffffff,
    0x1fffffb0,0xffffa800,0xadff8804,0xfffffffc,0x0bffb000,0xf70bffe6,
    0x3a000dff,0xffffffff,0xbfb06fff,0x7cc07fff,0x7f4402ff,0xffffffff,
    0x3e604fff,0x5fffacff,0xfffffb00,0x03dffffd,0x7fff4400,0xfff7000e,
    0x04ffff8f,0x3f2b7fe2,0x00ffffff,0x05ffffff,0x17fffd40,0xfd989100,
    0x65c01dff,0xfd01fffe,0xdfff70bf,0x3fffa000,0xfffffede,0xfff1984f,
    0x02fff407,0x3fffffe6,0xffffffff,0x49fff304,0x7404fffa,0x2a21bfff,
    0x8001fffe,0x004fffe8,0x7cc2ffd8,0x224400df,0x01dfffd9,0x07fffffe,
    0x00999980,0x8004c000,0x80cffffe,0xfb80fffb,0x570006ff,0xffff7101,
    0x03fff80d,0xe801fff7,0x0acfffff,0x209fb531,0x99881998,0x07ffee01,
    0x006ffe88,0x00099988,0x00010020,0x3ee00260,0x00006fff,0x20000000,
    0x0ffffeec,0x5c0bffe6,0x00006fff,0x03ffffa0,0xf983fff8,0x7fd402ff,
    0x03001fff,0x7fc40000,0xffe8801f,0x00000002,0x00000000,0x806775c0,
    0x2602aaa9,0x53002aaa,0x000359b9,0x7f47fff1,0x3ffee05f,0x0af72e26,
    0x7fffb800,0x741fffc0,0xffe805ff,0x4c0000ff,0xaaaaaaaa,0x45ffb802,
    0xf55ffec9,0x5554c0df,0x002aaaaa,0x5555554c,0x553002aa,0x5ee5c415,
    0x3ee00002,0x3ff206ff,0x7ffd406f,0x00efffff,0xff953551,0x03ffee5f,
    0xf96fffb8,0x01bfffff,0x0bfff700,0x7dc3fff8,0x7fd400ff,0xd80004ff,
    0xffffffff,0x21fff807,0x25fffffb,0xffb02ffe,0x0fffffff,0xfffffd80,
    0xf7007fff,0x3fff25ff,0x0000dfff,0x206fffb8,0x3206fffc,0xffffffff,
    0xff983fff,0xf15fffff,0xffb805ff,0xfffffddf,0x44005fff,0x7c02fffe,
    0x3ffe23ff,0xffffc802,0xffd80000,0x07ffffff,0xff337fc4,0x7dcbffff,
    0xffffb03f,0x800fffff,0xfffffffd,0xfff7007f,0xffffffb5,0x70000bff,
    0x7e40dfff,0xfff906ff,0xffffffff,0xfff983ff,0x3ff63eff,0xffffb805,
    0xffffffff,0xfd5001ff,0xed801dff,0x017ff62e,0x003fffec,0xfffffd80,
    0x7cc07fff,0x8ffff65f,0x6c13fea0,0xffffffff,0x7ffec007,0x007fffff,
    0xfffffff7,0x3fffffff,0xfffb8000,0x1bfff206,0x2fffffe6,0xffffda89,
    0xf7013305,0xff7001ff,0x915bffff,0xd709ffff,0x9ffffffd,0x7ffdc000,
    0xdfffd000,0x99999950,0x3ff20059,0x27fdc07f,0x7cc0bfff,0x3ff2005f,
    0xfc80007f,0xff7007ff,0x915bffff,0x0009ffff,0x206fffb8,0xfe86fffc,
    0xffb01fff,0x7c4005ff,0xff7003ff,0xfff09fff,0xffff90bf,0x0003dfff,
    0x800fffe2,0xfd85ffff,0x04ffffff,0x80ffff90,0xfff13ffc,0x03ffc407,
    0x00ffff90,0x0ffff900,0x3ffffee0,0x05ffff84,0x7dc05993,0x3ff206ff,
    0x7fffc46f,0x3fffe204,0x1bff6004,0x5ffffb80,0x90dfffb0,0xffffffff,
    0xfd8003df,0x3fe2006f,0xfffd84ff,0x9004ffff,0xfc80ffff,0x07fff32f,
    0x32007ff8,0x80007fff,0x7007fffc,0x360bffff,0xff986fff,0xfff703ff,
    0x37ffe40d,0x003fffea,0x200bfffd,0x2000fffa,0x2e07fffb,0xaa986fff,
    0xfffffdcc,0xfff5001f,0xffff8001,0xfffffd85,0xff9004ff,0x3ffb80ff,
    0x440bfff1,0x3f2006ff,0xc80007ff,0xf7007fff,0x7fdc0fff,0xffffd86f,
    0x6fffb80f,0x71bfff20,0xfb00ffff,0xff100dff,0x15554c7f,0x7037ffdc,
    0x4400dfff,0x806ffffc,0x2a63fff8,0xfffd02aa,0x9fffb00b,0x1ffff200,
    0x7fc9ff50,0xbff300ff,0x3fffe400,0x7ffe4000,0xdfff7007,0x437ffdc0,
    0x84fffffe,0x3206fffb,0x7fe46fff,0xfffc807f,0x26ffd807,0xb87ffff8,
    0x3ee06fff,0xfc8006ff,0x7ec01fff,0x3fffe26f,0x0dfffb07,0x009fffb0,
    0x301ffff2,0x7ffe4bff,0x3fea4cdf,0x3fff2004,0xffc80007,0xfff7007f,
    0x37ffdc0d,0x2fffffe4,0x9037ffdc,0xffc8dfff,0xfffc807f,0x0fffd406,
    0x70fffffb,0x7dc0dfff,0xfa8006ff,0x3ea02fff,0x3fff61ff,0xffff907f,
    0x4fffd803,0x0ffff900,0xf10fff88,0x6cbfffff,0x3f2003ff,0xc80007ff,
    0xf7007fff,0x7fdc0dff,0xffffd06f,0x0dfff70b,0x2e37ffe4,0x6c00ffff,
    0x3e205fff,0x33fea3ff,0xfffb87ff,0x1bffee06,0x3fffea00,0x47fff101,
    0x07ffcffa,0x80bffff7,0x9004fffd,0xfd00ffff,0x7fff447f,0x01fff15f,
    0x03fffe40,0x3fffe400,0x06fffb80,0x441bffee,0xfb84ffff,0x3ff606ff,
    0x7fffd46f,0x27fffc01,0x744dffb0,0xb87ff8ff,0x3ee06fff,0xfc8006ff,
    0xffb00fff,0x7c7ff44d,0x3fffa07f,0x3fff602f,0xffff9004,0x30dff500,
    0x3ff21555,0x7ffe4004,0xffc80007,0xfff7007f,0x37ffdc0d,0x705fffd0,
    0xf901ffff,0xff98dfff,0x3fea05ff,0xfff502ff,0xff97fe43,0x06fffb87,
    0x001bffee,0x20dffff7,0x3f21fffa,0x540fff2f,0xb03fffff,0x32009fff,
    0xfd007fff,0xfff700bf,0xfffc8001,0xffc80007,0xfff7007f,0x37ffdc0d,
    0x80ffff88,0x642ffffa,0xe86fffff,0xf983ffff,0xfd106fff,0x4f7fcc9f,
    0x2e09fff9,0x3ee06fff,0x559b56ff,0xffff9755,0xffd105ff,0x4cf7fcc9,
    0xfd009fff,0x99dfffff,0x009ffffb,0x401ffff2,0x700dfffa,0x90009fff,
    0x0000ffff,0x200ffff9,0x2e06fffb,0xfd886fff,0xfff102ff,0xffff79ff,
    0xff30dfff,0xfb77bfff,0x3205ffff,0x7ffdc6ff,0x23ffffff,0x2e06fffb,
    0xfff76fff,0xffffffff,0x3ff207ff,0x7ffffdc6,0xd303ffff,0xffffffff,
    0x889fffff,0xffdaaaaa,0x0aaaaaff,0xceffffb8,0x04ffffdb,0x6d555544,
    0xaaaaffff,0xaaaa880a,0xaaffffda,0x7fdc0aaa,0x3ffee06f,0xffffb996,
    0xffffd80b,0xffdfffff,0xffffb06f,0xffffffff,0x07ffe60b,0xfffffff7,
    0x7ffdc7ff,0x5bffee06,0xfffffffb,0x303effff,0xffb83fff,0x3fffffff,
    0x7ffffe40,0x4fffffff,0x7fffffd4,0xffffffff,0xffff501f,0x05ffffff,
    0xffffff50,0xffffffff,0xffff503f,0xffffffff,0xffb83fff,0x3ffee06f,
    0x7ffffff6,0xfffff300,0xfff1bfff,0x7fffe40d,0x03ffffff,0x26213ffa,
    0x9fff9999,0x81bffee0,0xff76fffb,0xbfffffff,0x84ffe805,0xff999998,
    0xfda8009f,0xcfffffff,0xfffffa82,0xffffffff,0x3b2601ff,0x01ceffff,
    0xffffff50,0xffffffff,0xffff503f,0xffffffff,0xffb83fff,0x3ffee06f,
    0x019dfff6,0x7ffff440,0x01bffe3f,0xffffffd3,0x37fe403b,0x2e1ffe00,
    0x3ee06fff,0x2a6626ff,0x3f20019a,0x3ffc006f,0x9aa98800,0x7fffd400,
    0xffffffff,0x26001fff,0xffa8000a,0xffffffff,0xa81fffff,0xffffffff,
    0x1fffffff,0x7037ffdc,0x0026dfff,0x006a6200,0x00aa9800,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x99995000,0x00000019,0x00000000,0x30039991,
    0x04001999,0x372a0000,0x9912ceee,0x00000099,0x66665c00,0x0004cccc,
    0x33326000,0x3ccca804,0x95000000,0x039bdfdb,0x1dffff90,0xd9730000,
    0x000159bf,0x59dfd951,0xfffc8801,0x4ffe803f,0x01fedc40,0xffffa800,
    0xff37ffff,0x400001ff,0xefffecc9,0xfffd81bd,0x007fffff,0x37ff72a0,
    0x7fffa82c,0x05fffc80,0x337ff72a,0xfffd3002,0x1bffffff,0xeffffa80,
    0x3fee0000,0x2fffffff,0x3fffea00,0x101effff,0x07ffffff,0x400fffc8,
    0x0003ffff,0xffffffb8,0xfff37fff,0xb100001f,0xffffffff,0xfffb0bff,
    0x00ffffff,0xfffffb10,0x7d41dfff,0xffc807ff,0xfffe985f,0x00dfffff,
    0x3fffffe6,0x06ffffff,0x0efffe88,0x7ffec400,0xffffffff,0xffffc804,
    0x2fffffff,0x7fffbfb0,0x017ffcc0,0x001ffffc,0x3ffffe60,0xf37eecce,
    0x80001fff,0xfffffff9,0xd85fffff,0xffffffff,0x7ffc4007,0xffffffff,
    0x0ffff51f,0xb8bfff90,0xffffffff,0xfd00ffff,0xfb77bfff,0x2007ffff,
    0x000efffc,0x3ffffffa,0x3fffffff,0x3fffff20,0xffffffdd,0x7fff1980,
    0x802fff40,0x0003ffff,0x817fffec,0x01ffff30,0x7fff4400,0xffeeefff,
    0xfff9005f,0xfffc800f,0xfffdceff,0x01fffea5,0xf997fff2,0xfedfffff,
    0xfa84ffff,0xffd02fff,0x4cc400bf,0xfff50009,0xfb5115df,0x3e20ffff,
    0x2e20efff,0x7c04ffff,0xfff703ff,0x3fffe001,0x7ff40003,0xfff9804f,
    0x3ee0000f,0x7301dfff,0x3fff2007,0x3ffe6007,0x076c41df,0x900ffff5,
    0x7ff4bfff,0x7ff442ff,0x7ffdc1ff,0x1fffea06,0x3fa00000,0xff900eff,
    0xfff905ff,0x3fff601d,0x0fffe00f,0x540bffe6,0xffffaaaa,0x1aaaaaad,
    0x02ffff80,0x00ffff98,0x3ffff600,0x3f200000,0x3ea007ff,0x50200fff,
    0xf900ffff,0x3ffe6bff,0xffff103f,0x05fffc8b,0x4c1bffea,0xaaaaaaaa,
    0xffffb802,0x37fffc02,0x80ffffe2,0x204ffff8,0xffe83fff,0x3ffffe05,
    0xffffffff,0x7cc04fff,0xf9801fff,0x55300fff,0xffff8555,0x7e400006,
    0x3f2007ff,0x7d4005ff,0xffc807ff,0x1ffff55f,0x237ffec0,0xb01ffffb,
    0x3f609fff,0x7fffffff,0x07fffd80,0x20ffffd8,0x200ffffb,0x206ffffa,
    0x7fdc3fff,0x3fffe00f,0xffffffff,0x4c04ffff,0x9801ffff,0xf980ffff,
    0x7f41ffff,0x00001fff,0x801ffff2,0x4004fffd,0xc807fffa,0xfff95fff,
    0x7fffb80f,0x17ffffc4,0x403ffff2,0xfffffffd,0xfffe807f,0xffffa805,
    0x817fff21,0x07fffffc,0xff88fffe,0x7fffc02f,0xffffffff,0x4c04ffff,
    0x9801ffff,0x7440ffff,0xfd82ffff,0x0003ffff,0x00ffff90,0x001fffec,
    0x201fffea,0xff95fffc,0xfffa80ff,0x7fffe40f,0xffffdadf,0x3ffff603,
    0xf807ffff,0xf9804fff,0x3ff62fff,0xfffe984f,0x3b607fff,0x017ff62e,
    0x01ffffc0,0xfeeeeeb8,0xeeeeefff,0xffff32ee,0x3ffffe81,0xffffff50,
    0x6400017f,0x36007fff,0x54003fff,0xfc807fff,0xffff55ff,0x7fffcc03,
    0xfffffd81,0x003fffff,0x407fffc8,0x803ffff8,0x3a3ffff8,0x7fdc4fff,
    0x0fffffff,0x03ffee00,0x1ffffc00,0xfffffc80,0xffffffff,0xfff32fff,
    0x7fffe41f,0x7fffec04,0x002dffff,0x407fffc8,0xdfffeaa9,0x82aaaaaa,
    0xc807fffa,0xfff35fff,0xff9103df,0x3fee05ff,0x03ffffff,0x0ffff900,
    0x02ffff98,0x24ffff88,0xfb13ffff,0xfff5ffff,0x3fe2003f,0x3fe0003f,
    0xff9003ff,0xffffffff,0x25ffffff,0xf70ffff9,0xb100bfff,0xffffffff,
    0x7e4003df,0x7fe407ff,0xffffffff,0xffa86fff,0xfffc807f,0x3fffffa5,
    0xffffeccf,0xfff702ff,0x09ffffff,0x0ffff900,0x02ffff98,0x7c9ffff0,
    0xffe9afff,0xfff88dff,0xdffb002f,0xffff8000,0xdddd7003,0xdddffffd,
    0x3e65dddd,0xfffa8fff,0x7fdc005f,0xffffffff,0xffff9003,0xfffffc80,
    0xffffffff,0x07fffa86,0x265fffc8,0xffffffff,0x1fffffff,0xffffffd8,
    0x005fffff,0x203fffe4,0x803ffff9,0x3a3ffff8,0xffffefff,0x3fffe23f,
    0x0fffa801,0x7fffc000,0x3fe60003,0xff9801ff,0xeffff9ff,0xffb50000,
    0x03ffffff,0x80ffff90,0xfffffffc,0x86ffffff,0xc807fffa,0x7fd45fff,
    0xffffffff,0x7ec1ffff,0xffb33fff,0x64007fff,0x7c407fff,0xf9803fff,
    0x3ff62fff,0x41efffff,0x400ffff9,0x9513fff8,0x3fe00159,0x260003ff,
    0x9801ffff,0xffffffff,0xc880000e,0x06ffffff,0x007fffc8,0x000ffff6,
    0xb00ffff5,0xd710bfff,0xf77bffff,0x7fd41fff,0xfffb82ff,0xff9000ff,
    0xffff00ff,0xffff3009,0x7ffffe43,0xffff504f,0x2edffb00,0x02ffffff,
    0x003ffff8,0x07fffe60,0x3ffffe60,0x0000efff,0x7ffffec0,0x3fffe400,
    0x07fffb00,0x0ffffa80,0x027ffec0,0x47fffc80,0x2e05fffe,0x9001ffff,
    0xfd00ffff,0xff700dff,0x7ffdc1ff,0x3ff202ff,0x7ffd406f,0xffffff71,
    0x7ffff00d,0x7ffcc000,0xfff9801f,0x05ffffbf,0xfffe8000,0x7ffe402f,
    0x3fff6007,0x7ffcc003,0x7fff400f,0xfffd0003,0x02ffff89,0x00bfffe2,
    0x403fffe4,0x401ffffd,0x7d46fffe,0x7fc02fff,0x3fe204ff,0xff98643f,
    0x7fffc01f,0x3fe60003,0xff9801ff,0xffffc8ff,0x7dc00004,0x7e401fff,
    0x3f6007ff,0x7c4003ff,0x3e203fff,0xa8001fff,0x3e21ffff,0x7fc03fff,
    0xff9002ff,0xfff300ff,0x7ffd409f,0x7fffc43f,0x3fffea06,0x01bff600,
    0xf801fff3,0x20005fff,0x801ffff9,0xfd0ffff9,0x00005fff,0x007fffe4,
    0x801ffff2,0x8003fffd,0xb00fffff,0x8001ffff,0xf86ffff8,0x3ea07fff,
    0xf9000fff,0x3fa00fff,0xff984fff,0xfff706ff,0xffff307f,0x0fffd40b,
    0x00bfff10,0x001ffffd,0x07fffe60,0x43fffe60,0x01fffff9,0xfa8015b1,
    0xfc806fff,0x3f6007ff,0xfb8003ff,0xa9acffff,0x002ffffe,0x3fffff26,
    0xeffffd82,0xfffc989b,0x3ff2006f,0xfff5007f,0xffdbbfff,0x3e205fff,
    0xb9adffff,0x101fffff,0x7cc09ffd,0xfc800eff,0x999befff,0x7ffcc02b,
    0xfff9801f,0x3fffee0f,0xefff980e,0xfffdcccd,0xfc803fff,0x775c07ff,
    0xeeeeffff,0x41eeeeee,0xfffffffe,0x985fffff,0xffffeeee,0xf103ffff,
    0xffffffff,0x103fffff,0xffb55555,0x155555ff,0xffffffb0,0x0bffffff,
    0xffffffb8,0x03ffffff,0xfb81bff2,0x3e6005ff,0xffffffff,0x7ffcc04f,
    0xfff9801f,0x7fffec0f,0xfffff985,0xffffffff,0x5555444f,0xaaffffda,
    0xfff90aaa,0xffffffff,0x883fffff,0xfffffffe,0xf980dfff,0xffffffff,
    0x7fd404ff,0xffffffff,0xfff501ff,0xffffffff,0x2e03ffff,0xffffffff,
    0xff5003ff,0xffffffff,0x0fffcc05,0xccffffc8,0xfffc802c,0x04ffffff,
    0x00ffffcc,0x207fffcc,0x44ffffe8,0xfffffff9,0x84ffffff,0xfffffffa,
    0xffffffff,0xffffff91,0xffffffff,0x3fae03ff,0x02efffff,0x3fffffe6,
    0x1001dfff,0xfffffff7,0xfffa807d,0xffffffff,0x2601ffff,0xdffffffd,
    0x7fec4001,0x400defff,0x3fa04ffe,0x05ffffff,0xfffffd50,0xff9809ff,
    0xff9801ff,0xfff980ff,0x3fb222ff,0xffffffff,0xffff500c,0xffffffff,
    0x3ff23fff,0xffffffff,0x01ffffff,0x3001aa98,0x59ddffff,0x54c40001,
    0xff50009a,0xffffffff,0x003fffff,0x00002aa2,0xc8004d44,0x7ff406ff,
    0x005fffff,0x00d554c4,0x01ffff98,0x00ffff98,0x03fffff7,0x026aaa66,
    0x3ffffea0,0xffffffff,0x000001ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x99553000,0xcccca899,0xcccccccc,0x20000001,0xdeffdca9,0x66665c1b,
    0xcccccccc,0x332a6003,0x5c000abc,0xcccccccc,0x999911cc,0x99991007,
    0x08800605,0x003ccca8,0x66666640,0x95001abc,0x99999999,0x99999999,
    0x3333332a,0xc8801abc,0x64c02ccc,0x7fffffff,0x7fffffec,0x82ffffff,
    0xceffdba8,0x7ff44001,0xffffffff,0x3fffff60,0x6fffffff,0xfffffc80,
    0x1001ffff,0xffffffff,0x7fe45fff,0x7fec01ff,0x07f540ff,0x320cfc80,
    0x20006fff,0xfffffff8,0x200dffff,0xfffffffc,0xffffffff,0xfffff97f,
    0x19ffffff,0x13fffe60,0xffffffd8,0x7fec7fff,0xffffffff,0x7ffd42ff,
    0x0dffffff,0xfffffa80,0x0fffffff,0x3ffffff6,0x06ffffff,0x3fffffa6,
    0x001fffff,0xfffffff7,0x7c45ffff,0x3e606fff,0x7fec3fff,0xfffa805f,
    0x0dfff91f,0x7fffc400,0xffffffff,0xddff904f,0xdddddddd,0x3f2fffdd,
    0xffffffff,0xf880efff,0xfe883fff,0xffffffff,0x7fffec7f,0xffffffff,
    0xfffffb12,0x0dffffff,0xffffffc8,0x0fffffff,0x3ffffff6,0x06ffffff,
    0xfffffff3,0x003fffff,0x3ffffffa,0x5c2fffff,0xfb02ffff,0xfff90dff,
    0x7ffc407f,0x3ffff26f,0x10009aaa,0xffffffff,0x0dffffff,0x004ccff9,
    0x7ffe5ff6,0xffffffff,0xfff886ff,0xffffe83f,0x19999acf,0x7fffc400,
    0xffffff72,0x9fffffff,0x3ffffe60,0xfb5311be,0x66fffec1,0x3ccccccc,
    0x7fffffd0,0x03fb5333,0xffdfff30,0x3ffa009f,0xffff986f,0x5ffffd02,
    0xffb79db7,0x7ffe43ff,0xdfffffff,0x3fffe202,0xffeba99b,0x3fe42fff,
    0xb05bffff,0x97fff2ff,0xfffffdb9,0x42ffff81,0x00dffffb,0x3ffe2000,
    0x2b7ff62f,0xfffff910,0x17ffff60,0x5fffb020,0x3fff2000,0xc80000df,
    0x4fffbfff,0x7ffff500,0x205fffd8,0xfffffff8,0x2fffffff,0x7fffffe4,
    0x1effffff,0x02ffff88,0x41fffff9,0x3fffe7fc,0x5ff61eff,0xf705fffc,
    0xfff07fff,0x6ffff85f,0xff880000,0x80fa22ff,0x541ffffd,0x0005ffff,
    0x0005fffb,0x003ffffe,0x56fffc00,0x36004fff,0x3fea7fff,0x7fd400ff,
    0xffffffff,0xfffc84ff,0xffffffff,0x7fc40fff,0x3ff202ff,0xa9ff23ff,
    0x0efffecb,0x3fff2ffb,0x17fffe05,0xfa87fffe,0x00001fff,0x02ffff88,
    0x17fffd40,0x00bffff6,0x017ffec0,0x1ffffc40,0xfffa8000,0x004fffaa,
    0x74ffffe6,0xfd004fff,0xfffdffff,0xfff905ff,0xffb7555f,0xff88dfff,
    0x3fe602ff,0x81ff26ff,0xffb3fff9,0xf817fff2,0xffe85fff,0x1ffff21f,
    0x7fc40000,0x7cc002ff,0x7ffc2fff,0x3f60006f,0xfa8002ff,0x00002fff,
    0x3feafffb,0x7fe4004f,0x0ffffaff,0x2ffff980,0x217fffaa,0xf306fffc,
    0x7c43ffff,0x7f402fff,0x01ff27ff,0x5ff6bff7,0xf105fffc,0xffb07fff,
    0xaffff41f,0x00abdcba,0x5ffff100,0xffffa800,0x13fffe21,0xdfffd800,
    0x5c02abcc,0x0001ffff,0xf54fff88,0xf88009ff,0x2fffffff,0x07fffb00,
    0xc81ffff3,0x3ea06fff,0x3fe23fff,0x7fe402ff,0x701ff27f,0x65ff6bff,
    0xffb05fff,0x555303ff,0xfffffff8,0x0dffffff,0x7fffc400,0x7ffec002,
    0x3fffe60f,0x3ff60003,0xffffffff,0xffffb80b,0xffc80001,0xfffff51f,
    0xfb801fff,0x006fffff,0x7c03fffa,0x7fe41fff,0x7fffc06f,0xfffffff5,
    0xffb89fff,0x40ff91ff,0xffb3ffe8,0x267bfff2,0x4fffffba,0x7fffc400,
    0xffffffff,0x22001fff,0x2002ffff,0x545ffff9,0x0003ffff,0x3ffffff6,
    0x40efffff,0x002ffffa,0x2a6fff80,0xffffffff,0xffffe800,0x3ffe001f,
    0x0bfff607,0xe80dfff9,0xffff5fff,0x89ffffff,0xf92ffffb,0xfffeee8f,
    0x3f2ffb0e,0xffffffff,0x3ea04fff,0xffff14ff,0xffffffff,0x4400dfff,
    0x2002ffff,0x5c1ffffe,0x0002ffff,0x3ffffff6,0x0effffff,0x017fffe6,
    0x47fff500,0xfffffffa,0xfffa800f,0x7ffc005f,0x5fffb00f,0x406fffc8,
    0xfff4ffff,0x9fffffff,0x91ffffa8,0xfffff8ff,0x7e5ff60d,0xffffffff,
    0x7fe401bf,0xfffff31f,0x7ffd4439,0xff1002ff,0x3f2005ff,0xffa84fff,
    0x800003ff,0xfffffc98,0x3ffffe23,0x3ff60001,0x3bffea0f,0x5440cccc,
    0xffffaaaa,0x201aaaac,0xfd02fffe,0xfffc83ff,0x3fffea06,0xbffff992,
    0xffb85999,0xf8ff90ff,0x7fd81aef,0xfffffff9,0xe801bfff,0x3ffe26ff,
    0x3ffe603f,0xfff1004f,0xfff7005f,0x3ffe60bf,0x4000004f,0x645ffffa,
    0x202fffff,0x6fff8819,0x4027ffd4,0xfffffff9,0x4fffffff,0x213fff60,
    0x640ffff8,0xfd106fff,0x7fc41fff,0x7fe402ff,0xfd1ff27f,0xfcbfec0b,
    0xffeb9eff,0x7ffc05ff,0x027fffc3,0x4017fffa,0x402ffff8,0x00effffb,
    0x00bffff1,0xfffb0000,0xfffff88f,0xffdccdef,0x9cfffb82,0x04fffb99,
    0xffffff98,0xffffffff,0x3fffee04,0x42fffec2,0x5cc6fffc,0x444fffff,
    0x6c02ffff,0x1ff26fff,0xbfec07db,0x7ec5fffc,0xff302fff,0x4fffe81f,
    0x037ffec0,0x02ffff98,0x03bfffea,0x01fffff0,0xffc80000,0x7ffd40ff,
    0xffffffff,0xffffe82f,0x4fffffff,0xaaaaa880,0xaaacffff,0x3ffe201a,
    0xffffdfff,0xffffc81f,0xffffffff,0xffff886f,0x3fffe202,0x2001ff25,
    0xbfff97fd,0x06ffff88,0xffd03551,0xfffd80df,0xffff5005,0x3fffea03,
    0xfffe800e,0x4000004f,0xf507fffd,0xffffffff,0xfff985ff,0xffffffff,
    0x3fe0004f,0x7c4002ff,0xffffffff,0xffc84fff,0xffffffff,0xff880dff,
    0x3ff202ff,0x89ff22ff,0x5ff605fd,0xfc85fffc,0xc8002fff,0xf101ffff,
    0x32009fff,0xfa80ffff,0x5000efff,0x005fffff,0x3ffe2000,0x3fae205f,
    0x0cefffff,0x7fffffe4,0x04ffffff,0xff333330,0x133337ff,0x7fffff40,
    0xffffffff,0x7ffffe42,0x02efffff,0x40bfffe2,0x646ffffa,0x07ffee7f,
    0xfffcbfec,0x6ffff885,0xffff9800,0x5ffff905,0x7ffcc076,0xffffa86f,
    0x7ff4000e,0xb880bfff,0x3fa2000e,0xf9803fff,0x7fc01dff,0xb99999ff,
    0xf9804fff,0xffffffff,0xb04fffff,0xddb7ffff,0x1ffffd7b,0x667fffe4,
    0xf8800abc,0x7ec42fff,0x7e41ffff,0x407ffea7,0xbfff97fd,0x07ffff60,
    0x3ffff600,0xfffebabe,0x2b3bfa5f,0x3fffffca,0x077fffd4,0x7fffcc00,
    0xfeddefff,0x579d10ff,0xffffb955,0x3fee00bf,0x7ffd402f,0x9dfff504,
    0xff985999,0xffffffff,0xfb84ffff,0x3e603fff,0x3ff26fff,0x3e20006f,
    0xffeeefff,0xc84fffff,0xb016dc7f,0x17fff2ff,0x02ffffcc,0x7ffffcc0,
    0xffffffff,0x3fffffa0,0x546fffff,0xffffffff,0x2fffffff,0xffffffb8,
    0x0fffffff,0xfffffff1,0x00dfffff,0x6c03ffec,0xff501fff,0x89ffffff,
    0xffccccc8,0x2ccccdff,0x02ffff44,0xc97fffdc,0x20006fff,0xfffffff8,
    0x03ffffff,0x55555ff9,0xd5555555,0x17fff2ff,0x01ffffe8,0xffffe980,
    0x41efffff,0xfffffffe,0x7fe40dff,0xffffffff,0x302fffff,0xfffffffd,
    0x3e21ffff,0xffffffff,0x3a000cff,0x7fc404ff,0x3ffea06f,0x004fffff,
    0x4005ffff,0xfd000ffb,0x37ffe419,0xffff1000,0xbfffffff,0x7fffe401,
    0xffffffff,0xff97ffff,0x7ffdc0bf,0x3f20005f,0x02efffff,0xffffff93,
    0x3fff205d,0xffffffff,0x5c02ffff,0xefffffed,0x3fffe21c,0x00beffff,
    0x00fffc40,0xa80fffee,0xffffffff,0x5ffff004,0x20018800,0x6fffc818,
    0x3ffe2000,0x1abdefff,0xfffffc80,0xffffffff,0xfff97fff,0xfffff80b,
    0x54c40000,0x0d4c4001,0x7ffffe40,0xffffffff,0x262002ff,0xaa998019,
    0x54400009,0x0000002a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x66666664,0xcccccccc,0xcccc801c,0xcca801cc,
    0xaacccccc,0x33332601,0x001abccc,0x99999995,0x25999999,0xccccccca,
    0x00cccccc,0x95033326,0x3332e079,0xcccccccc,0x9911cccc,0xccb80199,
    0x9999912c,0x99999999,0x66440059,0x99104ccc,0x64401999,0x999953cc,
    0x3332e001,0x7fffc404,0xffffffff,0x4c02ffff,0x04ffffff,0xffffffc8,
    0x82efffff,0xfffffffb,0x200dffff,0xfffffffc,0x93ffffff,0xffffffff,
    0x403fffff,0x7ec0fffb,0xffffb06f,0xffffffff,0x3fe65fff,0x7ff400ff,
    0xfffff34f,0xffffffff,0x7fec009f,0xff307fff,0x7cc09fff,0xffff35ff,
    0xffff1009,0xffff8809,0xffffffff,0x6402ffff,0x06ffffff,0xffffffc8,
    0x4fffffff,0x7fffffdc,0x4fffffff,0xffffff90,0x7fffffff,0x3ffffff2,
    0x1fffffff,0x3a1ffee0,0xfffb05ff,0xffffffff,0x3e65ffff,0x7f400fff,
    0xffff34ff,0xffffffff,0x3ea009ff,0x307fffff,0x01ffffff,0xfd97ffe6,
    0x7e400fff,0x7c400fff,0xffffffff,0x2fffffff,0x7fffff40,0x7fe400ff,
    0xffffffff,0x3ee2ffff,0xffffffff,0xc86fffff,0xffffffff,0xf93fffff,
    0xffffffff,0x6403ffff,0x4ffe86ff,0xffffffb0,0xffffffff,0x3fffe65f,
    0xa7fff400,0xfffffff9,0x4fffffff,0xffffe880,0xfff307ff,0x3e609fff,
    0x3ffe65ff,0x3ffe204f,0x9999003f,0xf9999999,0x4401ffff,0xffffffff,
    0x2fffe403,0x2ffffecc,0x333ffff7,0xfffffd75,0x9efffc85,0x99999999,
    0x33dfff90,0x03333333,0xff86ffd8,0x5555503f,0xffb55555,0x3fe61dff,
    0x7ff400ff,0x3ffe204f,0xff90002f,0x20ffffff,0xfffffff9,0x45fff980,
    0x900ffffd,0x0001ffff,0x5ffff880,0x6efffdc0,0x7e405fff,0x3ffa05ff,
    0x1fffee6f,0x0fffffc8,0x001bfff2,0x000dfff9,0xf88bffd0,0x220002ff,
    0x261fffff,0x7400ffff,0x3e204fff,0x98002fff,0xfffbffff,0xfffff307,
    0xfff307ff,0x3ffff98b,0x03ffff88,0xfffc8000,0x7ffec01f,0x00ffffbb,
    0xd817fff2,0x3fee7fff,0x7ffe407f,0x1bfff23f,0x0dfff900,0xfffff300,
    0xffffffff,0x8009ffff,0x4c4ffffd,0x7400ffff,0x3e204fff,0xe8002fff,
    0xfff9cfff,0xfffff307,0xfff30dff,0x0ffffb0b,0x001ffffb,0xffff8800,
    0x9ffff805,0x202ffff9,0x3605fffc,0x3fee6fff,0x7ffcc07f,0x1bfff26f,
    0x0dfff900,0xfffff300,0xffffffff,0x4009ffff,0x986ffffa,0x7400ffff,
    0x3e204fff,0x54002fff,0xfff36fff,0x37ffe60f,0x7cc2ffff,0xfff985ff,
    0x3fffe23f,0xfc800003,0x7cc01fff,0x3fffe7ff,0x17fff204,0x71ffffc4,
    0xfd00ffff,0x7ffe4fff,0x7ffe4006,0xfff98006,0xffffffff,0x04ffffff,
    0x3fffff10,0x01ffff30,0x204fffe8,0x002ffff8,0x4cbfffe2,0xff307fff,
    0x8dfff9bf,0xfb05fff9,0x7ffe4dff,0xf8800007,0xfc805fff,0x3fff24ff,
    0x17fff207,0x83bfffa6,0xc807fffb,0x3ff27fff,0x7fe4006f,0xaa88006f,
    0xaaacfffc,0x1aaafffd,0x9ffffb00,0x2bfffe60,0xe9999999,0x3e204fff,
    0x32002fff,0x3fe65fff,0xbfff307f,0x4c3ffff1,0xff305fff,0xffff15ff,
    0xf9000007,0xfd005fff,0x7ffd45ff,0xffff901f,0xfffffddd,0x7fffb83d,
    0x1ffffb80,0xfffffff9,0x21ffffff,0xaaaefffc,0x202aaaaa,0x7e41fffa,
    0xffa8006f,0x3fe606ff,0xffffffff,0x04ffffff,0x00bfffe2,0x307fffcc,
    0x3e60ffff,0xbfffb5ff,0xb02fffcc,0xfff7dfff,0xf100000f,0xf100dfff,
    0x7fc41fff,0xfff903ff,0xffffffff,0xffff703d,0x5ffff700,0x3ffffff2,
    0x0fffffff,0xfffffff9,0x40bfffff,0x7ec0fffb,0x7fc4006f,0x3e601fff,
    0xffffffff,0x4fffffff,0x0bfffe20,0x217fff40,0xf307fff9,0x3ffe6bff,
    0x0bfff31f,0x7fffffcc,0x800003ff,0x802ffffc,0xfe86fffb,0xfff906ff,
    0xffffffff,0x7fdc1bff,0xfffa807f,0xfffff91f,0xffffffff,0x3fffff21,
    0x5fffffff,0x3a1ffee0,0x7ec005ff,0x7cc03fff,0xffffffff,0x4fffffff,
    0x0bfffe20,0x217ffee0,0xf307fff9,0x7ffecbff,0x80bfff34,0x7ffffffd,
    0xff880000,0xffb006ff,0xffff907f,0x9dfff901,0xffffd999,0x3fffdcdf,
    0x87fffdc0,0xcccffffc,0x324ccccc,0xffffffff,0x3205ffff,0x4ffe86ff,
    0x3fffea00,0xffff9806,0xeeeeeeee,0x2204ffff,0x4402ffff,0xf980ffff,
    0xfff307ff,0x47fffd4b,0x4c05fff9,0x03ffffff,0xfffb8000,0xfff8802f,
    0xffff981f,0x05fffc82,0x27ffffd3,0xc807fffb,0x3ff27fff,0x7fe4006f,
    0xaaaaaaef,0x2aaa22aa,0xaaaaeffe,0x01aadfff,0x07ffffe2,0x03fffe60,
    0x409fffd0,0x402ffff8,0xf303fffd,0x3fe60fff,0x67fff45f,0xd805fff9,
    0x0006ffff,0x0dffff00,0x27fffea0,0xfff99999,0x5fffc85f,0x57fffee0,
    0xd807fffb,0x3ff26fff,0x7fe4006f,0x7fcc006f,0xffffffff,0x4fffffff,
    0x0fffff60,0x07fffcc0,0x813fffa0,0x202ffff8,0xcccffff9,0xffffdccc,
    0xfff32ccc,0x9ffffb8b,0xf9805fff,0x00003fff,0x03ffffb8,0xffffff90,
    0xffffffff,0x0bfff90f,0xf76ffff8,0xff880fff,0x3fff25ff,0x7ffe4006,
    0x7ffcc006,0xffffffff,0x04ffffff,0x00dffff5,0x007fffcc,0x8813fffa,
    0x2602ffff,0xffffffff,0xffffffff,0xbfff34ff,0xfcffff88,0xff8805ff,
    0x800002ff,0x2007ffff,0xffffffff,0xffffffff,0x02fffe41,0x7ddbfffe,
    0x7fe407ff,0x3fff22ff,0x7ffe4006,0x7774c006,0xeeeeefff,0x83eeefff,
    0x00fffff8,0x03fffe60,0x409fffd0,0x202ffff8,0xfffffff9,0xffffffff,
    0xfff34fff,0xfffff90b,0xff100bff,0x800005ff,0x003ffffb,0xfffffff3,
    0xffffffff,0x5fffc89f,0x53fffea0,0x2a07fffb,0x7e46ffff,0x7e4006ff,
    0x220006ff,0x7fd42fff,0x7ffe400f,0x7fcc003f,0x7ff400ff,0x3ffe204f,
    0x3ffe602f,0xffffffff,0x4fffffff,0xf10bfff3,0x0bffffff,0x05ffff10,
    0xfffe8000,0x3ffee007,0xaaaaaaae,0x646fffea,0xff505fff,0x3fee5fff,
    0xfffd887f,0x7ffe41ff,0x7ffe4006,0x3fe60006,0x03ffdc1f,0x017fffea,
    0x03fffe60,0x409fffd0,0x402ffff8,0x99999999,0x9ffffb99,0xbfff3099,
    0x3fffff60,0xfff8805f,0x2a00002f,0x2003ffff,0xc803fffe,0x3f20ffff,
    0xedccceff,0x2e6fffff,0xfeeeffff,0x84ffffff,0xeeeffffc,0x92eeeeee,
    0x4000dfff,0x7e40fffa,0x7fffc06f,0xffffffff,0xff33ffff,0xffe801ff,
    0x9999914f,0x999bffff,0xff300059,0x3ffe60ff,0xfffff305,0xfff100bf,
    0x7400005f,0x1000ffff,0x5003ffff,0x7e47ffff,0xffffffff,0x2e0fffff,
    0xffffffff,0x903fffff,0xffffffff,0x327fffff,0x20006fff,0x7ec0fffb,
    0x3ffe205f,0xffffffff,0xf33fffff,0xfe801fff,0xffff34ff,0xffffffff,
    0xf30009ff,0x3fe60fff,0x3fffa05f,0xff8805ff,0x500002ff,0x4009ffff,
    0x1006fffa,0x7e4bffff,0xffffffff,0x7dc0cfff,0xffffffff,0x3f200dff,
    0xffffffff,0xff93ffff,0x7e4000df,0x05ffe87f,0x3fffffe2,0xffffffff,
    0xffff33ff,0x4fffe801,0xfffffff3,0x9fffffff,0xffff3000,0x817ffe60,
    0x05fffffa,0x02ffff88,0xffffd000,0x7ffec001,0x3fff6004,0x3fffff27,
    0x00bceeff,0xdffffff7,0xf900357b,0xffffffff,0x3f27ffff,0x320006ff,
    0x4fff86ff,0x3ffffe20,0xffffffff,0xfff33fff,0xfffe801f,0xffffff34,
    0xffffffff,0xfff30009,0x17ffe60f,0x0bffffd0,0x05ffff10,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99999100,0x19999700,0x0016664c,0x665cf332,0x993000cc,
    0xed980199,0x332a01ee,0x3332203c,0x33332a4c,0xcccccccc,0x9933cccc,
    0x99500099,0x35799999,0x99999001,0x0e6665c0,0x00199880,0x00000000,
    0x3772ea20,0xfd8002bc,0x3ea02fff,0x7fd46fff,0x7ffc003f,0x05ffff95,
    0x81ffff60,0x1fffffc8,0x81bfff20,0x323ffffe,0xffffffff,0xffffffff,
    0x00ffff76,0xffffff90,0x019fffff,0x0bffffe2,0x0bffffe2,0x007fff40,
    0x00000e98,0xfd504c80,0xffffffff,0x7fcc005d,0x3ffa06ff,0x7ffcc1ff,
    0x3ffe2004,0x09ffff54,0x217fffe0,0xffffffc8,0x3fff201f,0xbffff706,
    0xffffffc8,0xffffffff,0xffff76ff,0xffff9000,0xffffffff,0xffff107f,
    0xffff509f,0x3ffa007f,0xfff9800f,0xb1000001,0xfff909ff,0xffffffff,
    0x7fec005f,0xfffa82ff,0x4fff985f,0x53ffe200,0x806ffff8,0x222ffff9,
    0xfffffffc,0x3ff201ff,0xffff886f,0x7fffe40f,0xffffffff,0xff76ffff,
    0xff9000ff,0xffffffff,0xf883ffff,0xfd87ffff,0xd003ffff,0xf8801fff,
    0x0002ffff,0x7ffff440,0x6f7ffe43,0xfffffecc,0xffff1000,0x3ffffd0d,
    0x009fff10,0xfb1fffc4,0xfc801fff,0x3ff60fff,0xffffffff,0x1bfff201,
    0x00bffff6,0x03ffff88,0x003fffdc,0x3137ffe4,0x1fffffd7,0x7fffffcc,
    0x7fffffc1,0x1fffd003,0xfffff900,0x3e600009,0x5c0effff,0x3ffee01c,
    0x3ff2003f,0x3ffea3ff,0xbfff104f,0x1fffc400,0x807ffff7,0x7d45fffe,
    0xfffacfff,0x3fff201f,0x27fffd46,0x3fffe200,0x3fffdc03,0x37ffe400,
    0x45ffffd0,0x4ffffff9,0x3fffffea,0x1fffd004,0x3fffea00,0x7dc0005f,
    0x0005ffff,0x0027fff4,0x74fffff1,0xf100ffff,0x7cc00bff,0x3ffe23ff,
    0x3ffe205f,0x30dff83f,0x6403ffff,0x3fe26fff,0xf88006ff,0x7dc03fff,
    0xfc8007ff,0x3fe606ff,0x3ffea3ff,0x3ff26ffc,0xd004fffc,0x4c001fff,
    0x00efffff,0xfffffc80,0xffc80003,0x7fdc005f,0xffffabff,0x22fffc04,
    0x7fcc1aa8,0x3ffff42f,0x01ffff50,0xffff9837,0x9bfff201,0x001ffffd,
    0x03ffff88,0x003fffdc,0x2037ffe4,0x3ea5ffff,0xf0fffaff,0x4bfff5ff,
    0xfeeeeee8,0xeeeeefff,0xfffd102e,0x7ec003ff,0x0002ffff,0xfffb3331,
    0xfffd000b,0x01ffffdf,0x7d45fff8,0x17ffcc7f,0x407fffee,0x2006fffd,
    0x201ffff9,0xff56fffc,0x220007ff,0x5c03ffff,0xc8007fff,0x7f406fff,
    0x3ffea5ff,0xff9afff8,0x7c4bffd7,0xffffffff,0x3fffffff,0x7ffffec0,
    0x7fff4402,0x322001ef,0xfffffffe,0xfa8005ff,0x3fffffff,0x6c6ffe80,
    0x3fea1fff,0x7fffcc1f,0x09ffff04,0x0ffffcc0,0xf1dfff90,0x4000dfff,
    0x403ffff8,0x8007fffb,0x7c06fffc,0x3fee3fff,0xff7bffb7,0xf897ffab,
    0xffffffff,0x3fffffff,0xfffffc80,0xfffff303,0x7fe4001b,0xffffffff,
    0xfd0005ff,0x00dfffff,0xfff1bffa,0x0fffd49f,0x4c37fffc,0x2001ffff,
    0x201ffff9,0xffdefffc,0x220000ff,0x5c03ffff,0xc8007fff,0x3ee06fff,
    0x3fee2fff,0xffdfff77,0xc89bffa5,0xfffccccc,0x1cccccdf,0xfffff500,
    0xfffffa89,0x7ffec004,0xffeeffff,0xf30005ff,0x005fffff,0xffa9bffa,
    0x3ffea6ff,0x0ffffc80,0x003fffdc,0x807fffe6,0xfffffffc,0x7c40003f,
    0x7dc03fff,0xfc8007ff,0xfff306ff,0xbffe41ff,0x27fffff8,0xfd006ffe,
    0x880001ff,0x20effffe,0x02fffffd,0x37fffee0,0x05fffc81,0xfffff500,
    0x3ff6007f,0x3fffff27,0x501fff51,0xfe85ffff,0x7cc004ff,0x3f201fff,
    0x6fffffff,0x7ffc4000,0x7ffdc03f,0xfffc8007,0xffda999f,0x7fe42fff,
    0x97ffffa7,0xfd007ffd,0x4c0001ff,0x80effffe,0x03fffffb,0x40dfffb0,
    0x0005fffc,0xfffffffd,0x4fffb001,0x73ffffff,0x7ffc0fff,0x3fffe25f,
    0x7ffcc002,0x3fff201f,0x03ffffce,0x3fffe200,0x3fffdc03,0x7fffe400,
    0xffffffff,0x26ffc85f,0x362ffffc,0xffd007ff,0x3ea0001f,0x5405ffff,
    0x805fffff,0x3a04ffff,0xb8005fff,0xffffffff,0x37ffc804,0x2dffbdff,
    0x3f607ffb,0x3ffea7ff,0x7fcc000f,0x3ff201ff,0x3ffffd6f,0x3ffe2000,
    0x7ffdc03f,0xfffc8007,0xffffffff,0x4dffb03f,0x360ffff9,0xffd007ff,
    0xff70001f,0x26007fff,0x00efffff,0x221ffffa,0x005ffffe,0x777fffc4,
    0x6401ffff,0x79ff77ff,0xfff71fff,0x8ffffd40,0x8005fffc,0x201ffff9,
    0xff56fffc,0x22000dff,0x5c03ffff,0xc8007fff,0xffffffff,0x3f600dff,
    0x22fffc6f,0xe800fffd,0x6c000fff,0x002fffff,0x77ffff44,0x9ffffb01,
    0xffffd713,0xffc800bf,0xffffaaff,0x47ffdc06,0xfff99ffe,0x2206ffca,
    0xfff3ffff,0xff30007f,0x7fe403ff,0x3ffff66f,0xfff88003,0x7ffdc03f,
    0xfffc8007,0x2001aaaf,0x7fe46ffe,0x007ffe42,0x8007fff4,0x1fffffe8,
    0xfffb1000,0xfff505ff,0xdfffffff,0x4c00bfff,0x3fa6ffff,0x3ee02fff,
    0x3a7ff9ff,0x06ffcdff,0x7cf7fff4,0x98000fff,0x3201ffff,0x3fe26fff,
    0x44001fff,0x5c03ffff,0xc8007fff,0x20006fff,0x32005ffe,0x00000fff,
    0xdfffff30,0xff900001,0xffb07fff,0x1dffffff,0x6c00bfff,0x3ea2ffff,
    0x3ea06fff,0x324ffcff,0x05ffdfff,0x7e7fffdc,0xf30006ff,0x7e403fff,
    0x7ffdc6ff,0x7fc4006f,0x7fdc03ff,0xffc8007f,0x3fa0006f,0x3ff2005f,
    0x9800001f,0x005fffff,0x7fffdc00,0xffffb83f,0x17ffe3ef,0x37fffd40,
    0x827ffff4,0x2ffffffa,0x3fffffe6,0x7fffcc05,0x0004ffff,0x403ffff3,
    0xfe86fffc,0x22004fff,0x5c03ffff,0xc8007fff,0x20006fff,0x32005fff,
    0x2aa61fff,0xaaaaaaaa,0x7e42aaaa,0x000004ff,0x401dfff3,0x00001aa9,
    0x305ffffd,0x501fffff,0xd0ffffff,0x00bfffff,0xfffffffd,0xffff9803,
    0xffffffff,0xfff93fff,0xfffff30d,0x3ffe2003,0x7ffdc03f,0xeeeeeeef,
    0x3fff26ee,0x3ffe0006,0x3ffee005,0x3fffff22,0xffffffff,0x002fc87f,
    0x07744000,0x2e000000,0x3606ffff,0xf985ffff,0xfc85ffff,0xc804ffff,
    0x07ffffff,0xffffff98,0xffffffff,0x0dfff93f,0x01bffff2,0x01ffffc4,
    0x3fffffee,0x7fffffff,0x001bfff2,0x2004fff8,0x3f22fffb,0xffffffff,
    0x307fffff,0x22000000,0x40000000,0x01fffff8,0x07ffffe6,0x05fffff3,
    0x09fffff3,0xffffff30,0xffff3009,0xffffffff,0x3ff27fff,0xffff106f,
    0xfff1009f,0xfffb807f,0xffffffff,0x3fff27ff,0xfff10006,0x7ffdc009,
    0x3fffff23,0xffffffff,0x0000007f,0x00000000,0x05ffffc8,0x46ffffd8,
    0x00fffff8,0x007fffff,0x0bfffffe,0x3ffffe60,0xffffffff,0xdfff93ff,
    0x7ffffd40,0x7fffc401,0x7fffdc03,0xffffffff,0x1bfff27f,0x27ffc400,
    0x07fff700,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0bb88000,
    0x006ea200,0xabccca98,0x80aaaa60,0x2a02aaa9,0x2bccddcb,0x0af732a0,
    0x40037b73,0x01acdca8,0xacdca980,0x05554c01,0x5037bb93,0x07326155,
    0xa9817993,0x55000aaa,0x2aaaa555,0x15554000,0x002aaaaa,0x00155553,
    0x3ffe2000,0xfff9801f,0x7ffe403f,0x71ffffff,0x7e40dfff,0xffeb86ff,
    0x1fffffff,0x7fffffd4,0xffffc8df,0x7fec404f,0x00dfffff,0xffffffa8,
    0xffb00eff,0xffffb13f,0xafff87ff,0xf55ffffa,0x7cc1dfff,0xf8804fff,
    0xfffb4fff,0x7ffe8007,0x037fffd4,0x50dffff1,0x19ddffd9,0x3fffee00,
    0xffffd805,0xfffe980f,0x1fffffff,0x640dfff7,0x7fec6fff,0xffffffff,
    0x7fffe41f,0xffffffff,0xd304ffff,0xffffffff,0x7fe405ff,0xffffffff,
    0xafffd83f,0xfffffffe,0x3efffe3f,0xff9fffff,0x7f44ffff,0xffa807ff,
    0x9fff91ff,0x86fff800,0xb04ffffd,0xf881ffff,0xffffffff,0xffffc802,
    0xfffff806,0x7fffcc2f,0xffffffff,0x40dfff71,0x3ee6fffc,0xcccdffff,
    0x7fe41ffd,0xfffffcac,0x87fffcef,0xcefffff8,0x80fffffd,0xfffffffc,
    0x41ffffff,0xfffffffd,0x27ffffff,0xfeffffff,0xffefffff,0x7fffdc7f,
    0x37ffec02,0x400bfff7,0xf885fff8,0x7d41ffff,0xff883fff,0x6fffecce,
    0x3ffff980,0xffffff80,0x7fffff41,0x1fda999b,0x640dfff7,0x3ffa6fff,
    0x702600ff,0xbffff105,0x3217ffd4,0x7cc2efff,0x7fcc4fff,0xda89bfff,
    0x7ec5ffff,0x90cfffff,0x3fe5ffff,0xfffd1fff,0x83fff65f,0x205ffff8,
    0x263ffff8,0x26006fff,0xff304fff,0x7ffc4dff,0x7dc0a05f,0xdda801ff,
    0xffff7003,0xdffffc8d,0xdfff7000,0x8b7ffe40,0x0004ffff,0x217ffec0,
    0x3fe24fff,0xfff702ff,0x1ffffe8f,0x45ffffb0,0x82fffffd,0xfff3ffff,
    0x37ffec9f,0xfc83fff9,0xff700fff,0x7ffc41ff,0x2a0ccc47,0x3f203fff,
    0xfffb4fff,0xff30001f,0x4000005f,0x7fc0ceeb,0x2e000fff,0x3f206fff,
    0x3fffe6ff,0x3200001f,0x7ff40fff,0x81bfff25,0xf10ffff8,0x7c409fff,
    0x3ff64fff,0xfffb03ff,0xd83fffe9,0x3fee2fff,0x7fffcc1f,0x0bfffd03,
    0x7ec1ffff,0x3ffea0ff,0x7ffff402,0x802ffffc,0xffeeecb8,0x0000002f,
    0x07ffff10,0x06fffb80,0xfe9bfff2,0x00adffff,0x43ffe400,0x3ff66ffd,
    0x999999cf,0xf52ffff9,0xfe801fff,0x3fff65ff,0x53bbb206,0x7fec6fff,
    0x40fffdc7,0xf986fffe,0xffe81fff,0x8ffffe1f,0x4401fffb,0xffffffff,
    0xffffc805,0x952fffff,0x99999999,0x99999999,0x7fffd400,0x7ffdc002,
    0x9bfff206,0xfffffffa,0xec9802df,0xffffffff,0x3a6fffff,0xffffffff,
    0x3fffffff,0xb00ffff7,0x7fecdfff,0xfff8005f,0x2e3ffec6,0xffb81fff,
    0x7ffe41ff,0x25fffb06,0x326ffffa,0xfb800fff,0x00ffffff,0x556fffdc,
    0xff92fffb,0xffffffff,0x0fffffff,0x0ffffdc0,0x1bffee00,0x5c6fffc8,
    0xffffffff,0xffd882ff,0xffffffff,0x26ffffff,0xffffffff,0xffffffff,
    0x00ffff93,0x7ecffff9,0xff8005ff,0x23ffec6f,0xf881fffb,0x7ffc4fff,
    0x7fff903f,0x47fffff6,0x36007ffd,0x802fffff,0x7fcc6ffe,0xfffff92f,
    0xffffffff,0x5c00ffff,0x4001ffff,0x3206fffb,0xfc886fff,0xffffffff,
    0x77fffe44,0xeeeffffe,0xff15eeee,0xffffffff,0x25ffffff,0xc807fffc,
    0x3ff66fff,0xfff8005f,0x2e3ffec6,0xffb01fff,0x7fffccff,0x29fff700,
    0xd4ffffff,0x3e200dff,0x805fffff,0x3f666fff,0xffff92ff,0xffffffff,
    0x400fffff,0x002ffffa,0x9037ffdc,0xca80dfff,0x1fffffff,0x641dfff3,
    0x3fe006ff,0xf70002ff,0xfd801fff,0x3fff65ff,0x6fff8005,0x3ee3ffec,
    0xfff301ff,0x17fff63f,0xfadfffa8,0xff7ffeff,0x3ff6009f,0x402fffff,
    0xffeefffd,0x00002fff,0xffff3000,0xfffb800b,0x1bfff606,0xfffffa80,
    0xc85fff73,0x3fa007ff,0xf50004ff,0xff803fff,0x3fff64ff,0x6fff8005,
    0x3ee3ffec,0x3ffa01ff,0x2ffff8cf,0x33bffe20,0xafffbdff,0xfc803fff,
    0xffffffff,0x3fffe600,0x02ffedff,0x3ff20000,0x7ffffc0d,0x3ffee001,
    0xffffc80f,0x7ffd4006,0x81fff94f,0x9001fffc,0x0001dfff,0x40bffff3,
    0x362ffffa,0xf8005fff,0x3ffec6ff,0xb807ffee,0xfffaffff,0xfffff807,
    0xefff8bff,0x7cc02fff,0xfffacfff,0x6f64c06f,0x0039952c,0x7e4002aa,
    0x7fec6fff,0x46602fff,0x642ffffa,0x026fffff,0x4bfffea0,0x3e61fffc,
    0xf5004fff,0x20009fff,0x983ffffe,0x7ec6ffff,0xff8005ff,0x23ffec6f,
    0x2201fffb,0xffffffff,0xffffe804,0xffffd0ff,0x7fc403ff,0xfffb0eff,
    0x0000009f,0x003fffd1,0x43ffffff,0xeffffff8,0x12ffdccd,0xf79fffff,
    0x2dffffff,0x2619bdf8,0x70fffffa,0x3fa69fff,0x64c3ffff,0x77fffec0,
    0xdca9999b,0x7ffffcc3,0xffffdbbd,0x2fffec2f,0x237ffc00,0x7fdc7ffd,
    0x7ffec01f,0xd800ffff,0x2e6fffff,0x00ffffff,0x88bffff6,0x981fffff,
    0x99999999,0x3ee00999,0xff805fff,0x7d42ffff,0xffffffff,0x3ff62fff,
    0xdfffffff,0xfff16fff,0xffffffff,0x7ffccbff,0xffefffff,0x1fffefff,
    0x7fffffc4,0x3fffffff,0xffffffd8,0x85ffffff,0x8005fffd,0x7fec6fff,
    0x00fffdc7,0x3fffffe6,0xffff9005,0x7fffc47f,0x3ffee07f,0xffffa84f,
    0x3fffe20e,0xffffffff,0x3ffff202,0xffffd806,0xfffea80f,0x2fffffff,
    0x3fffffe6,0x6fff8dff,0xfffffff1,0xb0bfffff,0x2bffffff,0xfffffffd,
    0xfffe981f,0xffffffff,0xfffff903,0x207fffff,0x8005fffd,0x7fec6fff,
    0x00fffdc7,0x17fffff4,0xfffffb80,0x37ffff40,0x06ffff98,0x897ffff6,
    0xffffffff,0x2602ffff,0x8803ffff,0x5c02fffe,0xeffffffe,0x7fff440b,
    0x5bffe3ff,0xffffffe8,0xb102dfff,0xfc89ffff,0x00dfffff,0x3fffffae,
    0x2601dfff,0xdffffffe,0x17fff601,0xb1bffe00,0xfffb8fff,0xffffb801,
    0x3ffea007,0xffffb86f,0xfffff885,0x3fffe201,0xddddd13f,0x5ddddddd,
    0x003eea80,0x2200054c,0x98800999,0xa988001a,0x10009aaa,0x554c4035,
    0xaaa98001,0xaa980009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x2e20aaa9,0x55502bdc,0x55555555,0x97003555,
    0x00000199,0xdeeca880,0x9950001b,0x400ae009,0x0000000c,0xcb980080,
    0xb880bdee,0x01ceeeed,0x003ccca8,0x9700732a,0x80039bdd,0x26003ccb,
    0x3ffee2cb,0xffffff92,0xfffff81b,0xffffffff,0xfffe803f,0x7f6dc001,
    0xffb801ce,0x0dffffff,0x03ffe400,0x36017fdc,0x0fee00ef,0x7e440ee4,
    0x100fea80,0xfffffff9,0xffffa83f,0xd505ffff,0x200bffff,0x982ffffb,
    0xfffffffe,0xffff3004,0xffff5005,0x36bffeeb,0xffffffff,0x7fffffc5,
    0xffffffff,0x1fffe803,0xffffd300,0x3620bfff,0xedbcdfff,0x2e001eff,
    0x7fdc06ff,0xfffb02ff,0x1bffe60d,0x7d49fff3,0x7ffe45ff,0xfffff905,
    0x541fffff,0xffffffff,0x3fffaa4f,0xff005fff,0xff98ffff,0xffffffff,
    0xffffe804,0x7fffc00f,0xffffbaff,0xffffffff,0x3fffe1ff,0xffffffff,
    0xffe803ff,0xfff8801f,0x4fffffff,0x99adffd8,0x01fff709,0x2ffdc3d1,
    0x7ffcc7b1,0x7ffec2ff,0x7fffd02f,0x222fffe8,0x3e22fffe,0xdfd02fff,
    0x5ffffd99,0x754cd64c,0x3fee6fff,0x005fffff,0x45ffffff,0xdaadfffe,
    0x2e01ffff,0x04ffffff,0x3fffffe6,0xffffffbc,0xffffc8ad,0x2aaaaaa4,
    0xeffffdaa,0x1fffe800,0x9cfffc80,0x20ffffc9,0xfff8cffa,0x5ff98dff,
    0xff54ffd8,0x983ffeab,0xfb2fffff,0x3ee05fff,0x7ffe46ff,0x0ffff984,
    0x4c1bffea,0x1ffffc42,0x12fffdc0,0xbfff99ff,0x3ffffa00,0x0bfff33f,
    0x2209fff7,0xfffbbfff,0xfffff101,0xfffff79f,0x0bffff09,0x3ffffe20,
    0x3fffd000,0x70bfff00,0xb7fc5fff,0x4ffedff8,0x7fcc5ff7,0xccffbeff,
    0x7cc4ffff,0xfffeffff,0xffff103f,0x037ffd41,0xfd8bfff9,0xff3004ff,
    0xfe9805ff,0xfb8543ff,0xff1005ff,0x3fea9fff,0x5fff882f,0x7f4dff90,
    0x3fffa06f,0xffffb9ff,0x0dfffb05,0x5ffffd10,0x0ffff400,0x20bffe60,
    0xff34fff9,0x7ec3fe23,0xfd713fa6,0xffffffff,0xff3019ff,0x07ffffff,
    0xf11fffec,0xfe803fff,0x3ffe23ff,0x7ff4401f,0xffffd06f,0xffb807ff,
    0x3fea005f,0x3fff72ff,0x261bffe0,0x3fea2fff,0xfffd103f,0x81fffee7,
    0xd806fffb,0xca84ffff,0xfffccccc,0x4cccccdf,0x3e05fff5,0x44ff74ff,
    0x25fe88ff,0xffd506fc,0x017fffff,0xffffff98,0x17ffee03,0x1007fffb,
    0x7d41ffff,0x3fa206ff,0xffd02fff,0x4017ffff,0x2005fffb,0xf50ffff8,
    0xfff307ff,0xd0bffd0b,0x54c01fff,0x81bffee0,0x5c06fffb,0xf906ffff,
    0xffffffff,0xffffffff,0x2613ffe6,0x4df93fff,0x0dfffff8,0xfe981fee,
    0x2003ffff,0x02fffffe,0xfd13fff6,0xfd1003ff,0x7ffcc3ff,0xfffe880f,
    0x3bbb602f,0x701fffff,0x4c00bfff,0x3fe66fff,0x3fffc86f,0x4c0fffd4,
    0x5c005fff,0x3ee06fff,0x3fe606ff,0xff900fff,0xffffffff,0x4fffffff,
    0xffc86fff,0x7c4df92f,0x7dc0ffef,0xffffea87,0x00bfffff,0x3ffffff6,
    0xffff102f,0x077ffcc3,0xd13fff60,0xff305fff,0x98003fff,0xf704fffe,
    0x3a600bff,0x7ff41fff,0xfffebcff,0x17ffe20f,0x001fffd8,0xb81bffee,
    0xff106fff,0x7e403fff,0xffffffff,0x7fffffff,0x26bbfffa,0x3ee6fffd,
    0x3f23fe27,0xfd337e46,0xfdffdfff,0xfb07ffff,0xffffffff,0x1bffee05,
    0x5409fff9,0x7fe46fff,0xffffa85f,0xffb0000d,0x3ffee0df,0xffd99105,
    0xfff307ff,0x7fffffff,0x200fffc8,0x2006fff8,0x2e06fffb,0xffb06fff,
    0x740007ff,0xf9801fff,0xffffffff,0x447fe61f,0x23ff88ff,0x3ffe24fe,
    0xe9cff9bf,0x7fec2fff,0xffff9aff,0x7fffd02f,0x417fff44,0x261ffff8,
    0x7d40ffff,0xeeeeffff,0x266aa66e,0x34ffffb9,0xdfffd999,0x7ffc4999,
    0x3a602eff,0x2fffffff,0x4027ffcc,0x7003fffb,0x7dc0dfff,0xfffc86ff,
    0x7f40005f,0xff5001ff,0x05ffffff,0x43fe2dff,0x85ff76fd,0xbff50efb,
    0x3ff637e4,0x3ffe62ff,0xfff982ff,0x3fffe61f,0x21fffec0,0xfc82fffe,
    0xffffffff,0x3ffff67f,0x51ffffff,0xffffffff,0x7ffc4fff,0x372a003e,
    0x00000acd,0x7ffdc000,0x1bffee06,0x01dffff5,0x1fffe800,0x3bb72200,
    0x7ff500bd,0x33261991,0xb8705ffa,0xf90d46ff,0xff307fff,0x3fee0dff,
    0x2fffe46f,0xfc8dfff5,0xfff905ff,0xffffffff,0x7fffffec,0x3fea1eff,
    0xffffffff,0x00002627,0x00000000,0x40dfff70,0x3e26fffb,0x0001ffff,
    0x001fffe8,0xdffd8000,0x01fff700,0x101bff20,0x7cc07ffd,0x3bfa01ff,
    0x2067f442,0x7e440fea,0x9999500f,0x49999999,0xbceeeeeb,0xccccc981,
    0x004ccccc,0x00000000,0xfffb8000,0x9bffee06,0xeefffffe,0x03eeeeee,
    0x801fffe8,0x99999999,0x6c409999,0xecbbdfff,0x32002fff,0x3e8807ff,
    0x4c01e980,0x03002602,0x00000144,0x00000000,0x00000000,0xfffb8000,
    0x5bffee06,0xfffffff9,0x4fffffff,0x01fffe80,0x7fffffc4,0x02ffffff,
    0xfffffff7,0x000001bf,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfb800000,0x3fee06ff,0xfffff36f,0xffffffff,0xfffd009f,0xffff8803,
    0xffffffff,0x3bb2e202,0x000001bd,0x00000000,0x00000000,0x00000000,
    0x00000000,0xf7000000,0x7fdc0dff,0xfffff36f,0xffffffff,0x1000009f,
    0xdddddddd,0x0005dddd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x99880000,0x99999999,0x99719999,
    0x66664c79,0x22000000,0xcccccccc,0x3ccccccc,0xb307d910,0x6540003b,
    0x5cc1cccc,0xcccc881c,0x776c003c,0x0eeeeeee,0xddddddd5,0x22229ddd,
    0x88888888,0x88888888,0x00000000,0x00000000,0xffff9000,0xffffffff,
    0x3fffafff,0x03fffea5,0x033bfb66,0xfffff100,0xffffffff,0x3ff60dff,
    0x3fffe63f,0xfffa8000,0x7ffd42ff,0xfffe884f,0x3ffa004f,0x0fffffff,
    0xfffffff5,0x3ffebfff,0xffffffff,0xffffffff,0x0000001f,0x00000000,
    0xfffc8000,0xffffffff,0xfffb7fff,0x07fffd4b,0x3fffffea,0x2eee981f,
    0xfffffff1,0xffffffff,0x9bfffe0d,0x002ffffb,0x077fffd4,0x3fffffe2,
    0x9ffff901,0x3ffffa00,0xf50fffff,0xffffffff,0x3ffffebf,0xffffffff,
    0x1fffffff,0x00000000,0x00000000,0xfffffc80,0xffffffff,0x49fffb7f,
    0x7c47fff9,0xffffffff,0x897ffd42,0xffffffff,0x6fffffff,0x549fffd0,
    0x2001ffff,0x504ffffa,0x07ffffff,0x027fffd4,0x4ccccccc,0x3ffea199,
    0x5fffffff,0xffffffff,0xffffffff,0x0003ffff,0x00000000,0x30000000,
    0x55555555,0x25555555,0x3e64fffc,0x7ffdc7ff,0x2fffffef,0x0007fff6,
    0xd306fff8,0x3ffc81df,0x3fffea00,0x3fffe602,0x7f4403ff,0x800004ff,
    0x88888888,0x55555088,0x55555555,0x15555555,0x00000000,0x00000000,
    0x32000000,0x3fe23fff,0x87fff47f,0xeeffffe9,0x40007fff,0x00406fff,
    0x26666000,0xffffe800,0x3333000f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7ffdc000,0xf1bffe23,0xffe88dff,0x03ffffff,0x037ffc00,
    0x00000000,0x017fffcc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7dc00000,0x2fffc2ff,0xd107ddd1,0x1bffffff,0x6fff8000,0x00000000,
    0x00153100,0x00000000,0x00000000,0x00000000,0x00000000,0xffffff90,
    0xffffffff,0xf0bffeaf,0x2e000bff,0x0004efff,0x000dfff0,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fff2000,0xffffffff,
    0x55517fff,0x001aaa81,0x00000440,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0xfffffffc,0x7fffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2aaa6000,0xaaaaaaaa,0x00002aaa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_37_latin1_x[224]={ 0,7,4,0,1,0,0,7,4,4,2,1,3,4,
6,1,0,2,2,2,0,2,1,1,1,1,6,4,1,2,3,5,0,0,2,1,1,3,3,0,1,2,3,2,
3,0,1,0,2,0,2,1,1,1,0,0,0,0,1,5,2,4,1,0,0,1,2,2,1,1,0,1,2,2,
2,2,2,1,2,1,2,1,3,2,1,2,0,0,0,0,2,2,8,3,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,7,2,1,0,0,
8,1,0,0,3,2,1,4,1,0,3,1,4,4,0,2,1,6,7,4,3,2,0,0,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
 };
static signed short stb__consolas_bold_37_latin1_y[224]={ 27,1,1,3,-1,1,1,1,0,0,1,8,20,15,
20,1,2,3,2,2,3,3,3,3,2,2,8,8,6,11,6,1,1,3,3,3,3,3,3,2,3,3,3,3,
3,3,3,2,3,2,3,2,3,3,3,3,3,3,3,0,1,0,3,30,1,8,1,8,1,8,1,8,1,0,
0,1,1,8,8,8,8,8,8,8,2,8,8,8,8,8,8,0,-3,0,12,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,27,8,-1,2,3,3,
-3,1,1,2,2,9,15,15,1,2,1,4,1,1,1,8,1,13,27,1,2,9,1,1,1,8,-4,-4,-4,-4,
-4,-5,3,3,-4,-4,-4,-4,-4,-4,-4,-4,3,-4,-4,-4,-4,-4,-4,9,-1,-4,-4,-4,-4,-4,3,1,1,1,
1,1,1,-2,8,8,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,7,4,1,1,1,1,1,1,1,
 };
static unsigned short stb__consolas_bold_37_latin1_w[224]={ 0,6,13,20,18,21,21,6,13,12,16,18,11,12,
8,18,20,17,17,17,20,17,18,18,18,18,8,10,16,16,16,13,21,21,17,18,19,15,15,19,18,16,14,18,
16,20,18,20,17,21,18,18,18,18,21,20,21,21,18,11,18,11,18,21,13,17,18,16,17,18,19,19,16,17,
15,18,17,19,16,19,18,17,16,16,17,16,20,21,20,20,16,15,5,15,20,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,6,15,18,20,20,
5,18,17,21,14,17,17,12,19,16,14,18,13,12,19,18,18,8,6,13,14,17,21,21,21,14,21,21,21,21,
21,21,21,18,18,18,18,18,18,18,18,18,20,19,20,20,20,20,20,17,20,19,19,19,19,21,17,18,18,19,
18,18,18,18,20,16,19,19,19,19,19,20,19,19,18,18,20,20,20,20,20,18,19,18,19,18,18,20,18,20,
 };
static unsigned short stb__consolas_bold_37_latin1_h[224]={ 0,27,10,24,33,27,27,10,35,35,17,19,14,5,
8,30,26,24,25,26,24,25,25,24,26,25,20,26,22,12,22,27,34,24,24,25,24,24,24,26,24,24,25,24,
24,24,24,26,24,32,24,26,24,25,24,24,24,24,24,35,30,35,12,5,8,20,27,20,27,20,26,27,26,27,
35,26,26,19,19,20,27,27,19,20,26,20,19,19,19,27,19,35,38,35,10,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,0,27,33,25,24,24,
38,31,8,26,19,16,9,5,18,7,13,23,15,15,8,27,31,8,6,15,19,16,26,26,26,27,31,31,31,31,
31,32,24,30,31,31,31,31,31,31,31,31,24,31,32,32,32,32,32,17,32,32,32,32,32,31,24,27,27,27,
27,27,27,30,20,25,27,27,27,27,26,26,26,26,27,26,27,27,27,27,27,20,27,27,27,27,27,34,34,34,
 };
static unsigned short stb__consolas_bold_37_latin1_s[224]={ 252,249,86,112,211,95,20,248,98,25,89,
35,201,217,177,115,61,66,35,81,188,72,1,1,1,236,20,243,214,69,197,
242,152,20,42,53,60,80,96,121,152,171,20,84,122,157,209,40,139,1,229,
161,103,217,44,23,1,228,133,13,134,54,228,230,186,231,202,29,77,101,122,
153,64,39,38,142,180,157,1,120,141,197,140,63,104,46,177,198,220,181,18,
82,1,66,100,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,
210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,210,252,245,195,
198,150,129,7,1,139,161,241,124,121,217,69,200,213,178,160,174,157,122,226,
247,248,187,54,142,99,82,42,215,204,182,160,138,229,230,107,96,39,20,1,
20,39,58,58,77,189,96,65,147,208,44,23,106,86,107,127,188,168,116,171,
173,192,211,231,1,20,77,80,90,117,137,157,177,20,183,141,204,1,224,42,
63,160,21,221,1,57,103,1,230,84,112,133,174, };
static unsigned short stb__consolas_bold_37_latin1_t[224]={ 1,136,364,274,1,136,165,248,1,1,345,
345,345,364,364,105,221,299,248,193,274,248,248,274,221,221,324,193,299,364,299,
165,1,274,274,248,274,274,274,193,274,274,248,299,299,299,274,221,299,40,248,
221,299,221,299,299,299,274,274,1,105,1,345,364,364,299,165,324,136,324,221,
105,193,137,1,221,221,324,345,324,165,136,324,324,221,324,324,324,324,165,345,
1,1,1,364,248,248,248,248,248,248,248,248,248,248,248,248,248,248,248,248,
248,248,248,248,248,248,248,248,248,248,248,248,248,248,248,248,248,1,73,1,
221,248,248,1,105,364,193,324,345,364,364,345,364,345,299,345,345,364,165,73,
345,259,345,345,345,193,221,193,136,73,73,73,73,40,1,248,105,73,73,73,
105,105,105,73,73,248,73,40,40,40,40,40,345,40,40,40,40,40,73,248,
105,105,105,105,137,137,105,324,248,136,136,136,136,221,193,193,193,165,193,165,
165,165,193,165,324,137,165,193,136,165,1,1,1, };
static unsigned short stb__consolas_bold_37_latin1_a[224]={ 325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,325,
325,325,325,325,325,325,325,325, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_37_latin1_BITMAP_HEIGHT or STB_FONT_consolas_bold_37_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_37_latin1(stb_fontchar font[STB_FONT_consolas_bold_37_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_37_latin1_BITMAP_HEIGHT][STB_FONT_consolas_bold_37_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_37_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_37_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_37_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_37_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_37_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_37_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_37_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_37_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_37_latin1_s[i] + stb__consolas_bold_37_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_37_latin1_t[i] + stb__consolas_bold_37_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_37_latin1_x[i];
            font[i].y0 = stb__consolas_bold_37_latin1_y[i];
            font[i].x1 = stb__consolas_bold_37_latin1_x[i] + stb__consolas_bold_37_latin1_w[i];
            font[i].y1 = stb__consolas_bold_37_latin1_y[i] + stb__consolas_bold_37_latin1_h[i];
            font[i].advance_int = (stb__consolas_bold_37_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_37_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_37_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_37_latin1_s[i] + stb__consolas_bold_37_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_37_latin1_t[i] + stb__consolas_bold_37_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_37_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_37_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_37_latin1_x[i] + stb__consolas_bold_37_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_37_latin1_y[i] + stb__consolas_bold_37_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_37_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_37_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_37_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_37_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_37_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_37_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_37_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_37_latin1_LINE_SPACING
#endif

