// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_32_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_32_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_32_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_32_latin1_BITMAP_HEIGHT        210
#define STB_FONT_courier_32_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_32_latin1_FIRST_CHAR            32
#define STB_FONT_courier_32_latin1_NUM_CHARS            224

#define STB_FONT_courier_32_latin1_LINE_SPACING          15

static unsigned int stb__courier_32_latin1_pixels[]={
    0x2e000400,0x0015540e,0x00000000,0x00000000,0x3ae07540,0x00322000,
    0x00000000,0x00000000,0x00000000,0x00010400,0xfc8009d1,0x003fba60,
    0x001a6000,0x2a000099,0x007a2006,0x3fb0bf20,0x07bba600,0x3d007900,
    0x003d8000,0x001e8800,0x0001dec8,0x2a0005b8,0xf9800f15,0x00fc8004,
    0xa800001f,0x2f44002f,0x007ee000,0x10003f70,0x9fdc0020,0x3a2003fb,
    0x0002e404,0x800013a6,0x3a8004f9,0x3d900016,0x78974000,0x000fea00,
    0x001f00c4,0x000fe400,0x8000ed88,0xf50001ec,0x40000005,0x01f4c1eb,
    0x2201bd10,0x7440000f,0x3fa80005,0x06c39000,0x0076c400,0x03c4d500,
    0x000005b0,0xb800007c,0x6c80000e,0x00076400,0x00007e60,0x00200400,
    0x04c81760,0x005d8800,0x8000be60,0x0005a8d9,0x7d0000bb,0x000003c4,
    0x1981f000,0x00000800,0x00020004,0x7fec0080,0xffffa84f,0x10266660,
    0x08003333,0x00003e60,0x00200004,0x002f6600,0x4c000040,0x00003c47,
    0x7fffffcc,0xd88f82ff,0x302dfeff,0x99881333,0x05544019,0x00554400,
    0x2204cccc,0x37621999,0x43d73009,0x746ffffd,0x2665ffff,0x99999999,
    0x4003d819,0x00999998,0x4ccccc40,0x4ccc4000,0x33300099,0x33333333,
    0xf10f6003,0x509fffb0,0x4cc1ffff,0x82e99999,0x7dc0ce9f,0x37fffec2,
    0x217ffffa,0x2dfddfe9,0xfddfe980,0xffffb02d,0x5ffffe8d,0x07b003e6,
    0xc83e00f1,0xffffffff,0x3cc0ffff,0xfffff100,0x7fc4009f,0x2004ffff,
    0x4ffffff8,0xfffffc80,0x0fffffff,0x1e207cc0,0x4c027762,0x0b6001eb,
    0x2f880bfe,0x80f803c4,0x02fa83fa,0x0bea0fea,0x80f803c4,0x441e604d,
    0xb701f007,0x07d01f00,0x03e7e200,0x07cfc400,0x0f9f8800,0x1f00b700,
    0x07884d80,0x03d801f3,0x02fc16c0,0x401e22dc,0x300fcc0f,0x403f303d,
    0x007881e9,0x201f301f,0x200f103d,0xf805b80f,0x70006a80,0x5c000b6b,
    0x2e0005b5,0x16e005b5,0x0f8803e0,0x2604d800,0xf82d8007,0x3c478802,
    0x01f40f80,0x00fa0754,0x00f103aa,0x4c1ec03e,0x7c01e207,0x0f805b80,
    0x3d0005d0,0x8f4001aa,0x23d0006a,0x00b7006a,0x0026401f,0x07b00f98,
    0x01f05b00,0x007887a0,0xd003541f,0x5d003545,0x01f00788,0x407b03e6,
    0x701f0078,0x3540700b,0x0f89e600,0x1f13cc00,0x3e279800,0x3805b800,
    0x80007e20,0x0007983d,0x2003f05b,0x7c01e20f,0x4b800f20,0x44b800f2,
    0x401f0078,0x8803e63d,0xb701f007,0x17400688,0x03c89900,0x00f22640,
    0x803c8990,0x7003445b,0x0f98000b,0x2d8001ec,0x479803f8,0x6c1f0078,
    0x2d966002,0x0f116600,0x0f9803e0,0x0078807b,0x788b701f,0xf002dc00,
    0x7c006983,0x3e0034c1,0x2dc034c1,0x01f801e2,0xf31ec02c,0x20b60001,
    0x21f400ff,0x7c1f0078,0x1f9e2001,0x0f11e200,0x37b003e0,0x0078801f,
    0xffff701f,0x1f8800ff,0x03d06a80,0x00f41aa0,0x803d06a8,0x07fffffb,
    0x07880d70,0x007b0f98,0x767c16c0,0x7886d881,0x00f41f00,0x000f4f10,
    0xf00788f1,0x04df9801,0x01f00788,0x0f5333b7,0x7b00b900,0x1ec016e0,
    0x07b005b8,0x33b7016e,0x0ba00f53,0x2f600f10,0x360000f9,0xcdfa8f82,
    0x0f104fdb,0x002d83e0,0x2002d966,0xf803c459,0x800fd800,0x80f88078,
    0x4003c45b,0x37e200f8,0x0fdccccc,0x6666fc40,0x4400fdcc,0xdcccccdf,
    0xf116e00f,0xf100d500,0x0137e600,0x21f05b00,0x201bcca8,0x20f88078,
    0xc92e003c,0xf112e003,0xb001f100,0x200f4009,0x010b7079,0x5c099001,
    0xccccccce,0x6675c02e,0x02eccccc,0x6666675c,0x16e02ecc,0x005d0202,
    0x07ec00f1,0x3e0ba000,0x007a0000,0x2006a8f3,0xe801aa2e,0x3cc01e82,
    0x90007c40,0xb705c807,0xf100b500,0xd500ba01,0x35402e80,0x0d500ba0,
    0x52d402dc,0x801e200f,0x7c40004d,0x20000f81,0x742e403c,0x740ea803,
    0xc80ea803,0x6402e403,0x807d4004,0x00b701f9,0x213600b5,0x201f0078,
    0x201f0078,0x201f0078,0x3a5a805b,0x200f1003,0x5c0000f8,0x40001f07,
    0x03f300fa,0x0f4c05f3,0x3d3017cc,0x7cc03ea0,0x0007c401,0x13e60f5c,
    0x05a805b8,0x04b81f30,0x012e0990,0x004b8264,0x2016e099,0x2001f35a,
    0x00990078,0xf81fdc40,0x0f5c0000,0xbfa813e6,0xf5017d40,0x402fa817,
    0x427cc1eb,0xeefeeeec,0x777dc000,0x372603ff,0x99999999,0x98f6005b,
    0x731009ae,0x09ae983d,0x983d7310,0x731009ae,0x99dc983d,0x5b999999,
    0x8038007b,0xdd5000f8,0xe985ffdd,0x003eeefe,0x7ffddf70,0xfddfd100,
    0xdfd1005b,0x2e005bfd,0x303ffeef,0x05555555,0x004d4c00,0xfffffff9,
    0x00bfffff,0xffffc844,0x9fffff07,0x41fffff2,0xf94fffff,0x3fe0ffff,
    0xfff94fff,0xffffffff,0x400002bf,0xeefeeeec,0x55554400,0x2aaaaa01,
    0x54c0000a,0x15440009,0x002a8800,0x00026a60,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2aaa6000,0x00002aaa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00240000,0x73073011,0x002aaaa0,0x00400032,0x5300554c,0x0c880355,
    0xb8817100,0x20040080,0x00010009,0x0c88012a,0x17102e20,0x17102e20,
    0x22001910,0x0990000c,0x3c4003c8,0xfd84fc80,0x77c0ff41,0x3ba603ee,
    0x0354002f,0x3dffbfd9,0x2f776c95,0x003ddd30,0x83fc89f7,0x507883fd,
    0x415c7fff,0x0fe4004d,0x01eee980,0x03fc87f7,0x83fc89f7,0xee9804fc,
    0x076c001e,0xa8013a20,0x03a601bf,0xf81cc1cc,0xf33fa800,0x40fe2009,
    0x77e4c0dd,0x3ee0b505,0xb8807f73,0x79805c40,0x2a5b0788,0xfa80eefd,
    0x001db000,0x41fdcbee,0x805c40b8,0x405c40b8,0x9fdc03fc,0xde8803fb,
    0x01bd1000,0x6ff67f54,0x0002640f,0x3f5003e0,0xfc804e88,0x7cc04d80,
    0x3d70b505,0x00003e98,0x007885b0,0x00bd00a6,0x3ae001db,0x0001f4c1,
    0x07f70000,0x0fa60f5c,0x360009d0,0xd883d505,0x4401ec0f,0x007c00aa,
    0x9f001004,0xbb001f50,0x100216a0,0x88133330,0x43c81999,0x05544078,
    0x06007dc0,0x4c080100,0x19999999,0x4ccccccc,0x7dc19999,0x80100203,
    0xe8040000,0x3d81f102,0x3f77fa60,0x8801f02d,0x00099999,0x005903f5,
    0x332d40a2,0x33333333,0x7fffec33,0x2fffff46,0x260f10f2,0x02dfddfe,
    0x13330fe2,0x33066620,0x43333333,0xfffffffd,0xffff94ff,0xffffffff,
    0x44017d41,0x999800aa,0x4c199999,0x19999999,0x0f6001e2,0x17d41fd4,
    0xfff1007c,0x36009fff,0x00001f06,0x3ffff2b5,0xffffffff,0x07c01e20,
    0x2a1e21e4,0x202fa83f,0x1fffee6c,0x6cbfffe2,0xffffffff,0x700f104f,
    0x7d41f00b,0x377fa602,0xfffb02df,0x29ffffff,0xfffffffd,0x000ba4ff,
    0x403f307b,0x0007c1e9,0x8801f3f1,0x0007884f,0x805b8b50,0x7c01e20f,
    0x23c43c80,0x07a601f9,0x00fa0fdc,0x007880b9,0x016e01e2,0x501fa83e,
    0x005f507f,0x03c400f1,0x6c002baa,0xea803e83,0x5b8003e0,0x83fa805b,
    0xb5000069,0x20f805b8,0x901f0078,0x01f47887,0x1fd40754,0x07cc03e6,
    0x78801e20,0x0f805b80,0x07e607e6,0x3c401e98,0xb500f100,0x3e0159df,
    0x5d003542,0x23d0007c,0x417dc06a,0xb5000069,0x20f805b8,0x701f0078,
    0x01aa788b,0x84f882e8,0x1007d06b,0x403c400f,0x7cc3805b,0xea803e80,
    0x8801e200,0x7edd4007,0x0f217aa2,0x003e4b80,0x401f13cc,0x007880fc,
    0x05b8b500,0xf803c438,0xf11de880,0x097001e4,0x2e1f417e,0x400f1006,
    0x445b8078,0x2a07c406,0x880ba006,0x001e2007,0x09f91fa8,0xf2cc005b,
    0x79132001,0x1f807e40,0x5c5a8000,0x1e203445,0x3fd807c0,0x30016cf1,
    0x7cc17e0b,0x22003f10,0x201e2007,0x3403c45b,0x097001e4,0x0f1003c4,
    0x3e64c800,0xf1000fc1,0x41f8007c,0x407ee069,0x5a80003d,0x101e22dc,
    0x2e03e00f,0x01f9e20e,0x13e21e20,0x4007b5c8,0x01e20078,0x1fffffee,
    0x30016c00,0x1003c40b,0x2e005c0f,0x007a1ec4,0x2003e788,0x2a03d06a,
    0x003f102f,0x3ee2d40e,0x4407ffff,0x7901f007,0x8007a788,0x403f9878,
    0x3c4006de,0xb700f100,0x000f5333,0x0788007e,0x078801e2,0x41f8813a,
    0x30016c3d,0x1ec007cb,0x09f305b8,0xdb10075c,0x33b716a0,0x07880f53,
    0x887901f0,0x59800b67,0x7cc02fa8,0x003c4001,0x88b700f1,0x003d0007,
    0x00f103c4,0x19fd03c4,0x43d85d98,0xf92e003c,0x666fc400,0xd00fdccc,
    0x982fc80b,0xb8b500de,0x1e203c45,0x0f203e20,0x7001e4f1,0xf100f909,
    0x00788001,0x216e01e2,0xb02a2080,0x102cc005,0xb03c400f,0xbffbfd75,
    0x06a87b01,0x400f8ba0,0xcccccceb,0x01f702ec,0xffeefea8,0x16e2d403,
    0x803d0202,0x78879079,0x82e801aa,0x00f8804e,0xf1003c40,0xb500b700,
    0x00f23ffc,0x01e204b8,0x3ea00788,0x3a0f600a,0x3e0ea803,0x2a017400,
    0x2007f106,0xb5000ae8,0x45a805b8,0xc82e403c,0x00fa3c43,0x03f503aa,
    0x88001f10,0x201e2007,0x3e5a805b,0xd003547f,0x1003c405,0x403c400f,
    0x202f983c,0x1007c1e9,0x6c03e00f,0x800ba007,0x5402dc5a,0xf9807d45,
    0x47887b01,0x07a602f9,0x07c401ba,0x8801e200,0xa805b807,0x0fa02a25,
    0x78803aa0,0x8801e200,0xf5069807,0xf82fa817,0x64012e00,0x2005f104,
    0x8b5002c9,0xb85a805b,0xf027cc1e,0xbfa87881,0x7cc17d40,0x001f1002,
    0x4ccc0788,0x4c1999f9,0x999999dc,0xf3005b99,0x200f4c05,0x01e20078,
    0x5dd00788,0xbfddfd10,0x8b333e05,0x31009ae9,0x01b203d7,0x5c059599,
    0x37265dcc,0x99999999,0xfddf705b,0x217ee07f,0xddfd1078,0x017205bf,
    0x0667e666,0x99f99998,0x3ffff619,0xf94fffff,0xffffffff,0x5400bfff,
    0x817d40bf,0x999f9999,0x4fccccc1,0x001c0199,0x01544055,0xfc966664,
    0xfff07fff,0x200e09ff,0x665c02ca,0xfffff93c,0xbfffffff,0x2009a980,
    0x5100e01b,0xd8015005,0x5fffffff,0xffffffd8,0x00004fff,0x3a200000,
    0xb02dfeef,0xffffffff,0x3ffff69f,0x004fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2a880000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x07307300,0x00001300,0x14400026,0x00200033,0x2aaaaa20,
    0x20080001,0x00400000,0x00000200,0x65400000,0x001002ce,0x98800000,
    0x3fb0009a,0xf5001fe8,0x0015c5ff,0x2a19ffd3,0x0f25a804,0x400bd100,
    0xcccccde8,0x0554c405,0x00dd8172,0x00274400,0x54005e88,0x3d50001e,
    0x6567e400,0x00dd803f,0x0007aa00,0x09fdbdf9,0x00730730,0x77754b62,
    0x4cf6000e,0xb801fefd,0xe8800f25,0xb00f4005,0x7f6f7e40,0xed801f54,
    0x0bd10000,0x0017a200,0x8007f7f9,0xb803fcfb,0x4017c40e,0xfc8000ed,
    0xde8803fb,0x00076c40,0x02980000,0x00151000,0x3002d92e,0x0598007f,
    0x206f442c,0x9001fed8,0x4f98003f,0x007f3000,0xde8876c4,0x8876c400,
    0x03f100de,0x0fe40132,0xd10ed880,0x2027401b,0x2666205c,0x4c400099,
    0x10009999,0x4ccc0133,0x02e93201,0x93000590,0x204e8080,0x25c006f8,
    0x8000b600,0x825c002c,0xc825c02c,0x3cc0b703,0x2e009700,0x1aa05904,
    0x7fc41740,0x2004ffff,0x4ffffff8,0x06fff980,0x20bffffb,0x00007a3c,
    0x4003f500,0x176ec06a,0x00000000,0x00000000,0x407b0000,0x00000078,
    0xa8017c00,0x0f9f8806,0x1f3f1000,0x2017fc00,0x1f8b600f,0x7b500000,
    0x0be007d5,0x806a8eb8,0x530001a9,0x02a60003,0x0006a600,0x2e0ba000,
    0x000007ed,0x3c400a98,0xb7003e00,0xadc000b6,0x3efe002d,0x55303e00,
    0x557f559d,0x7cc2ffdc,0xec8684ff,0xfa81e201,0xfd9103e0,0x8805ffdf,
    0x2ffeffec,0xfeffd880,0x3fb2203f,0xf702ffef,0x9fff30bf,0x67f441f0,
    0x217fee7a,0x2204fff9,0x03ffeffd,0x02e800d5,0x0006a8f4,0xf801aa3d,
    0x703e04d8,0xdfdddfdd,0x16e621bd,0x0e4264cc,0x354066cc,0x21742f88,
    0x3ea20aca,0x882b2a00,0x37ea00fa,0x20bf930a,0x3ea20aca,0x305b9880,
    0x6c1f0993,0x5b989e26,0x2a099330,0xbf930adf,0x3d800970,0x00f89e60,
    0x01f13cc0,0x407e23e0,0x3c47e00f,0x099016a0,0x0faa01d3,0x3613a097,
    0x0025c003,0x0fe20970,0x970009d0,0x13202d40,0x1e21f83e,0x1099016a,
    0x5c4e807f,0x901ec004,0x64003c89,0x0f801e44,0xf803e0b7,0x05a80f30,
    0x03e98264,0x5c84b972,0x798007b0,0x6c1e6000,0x001fa806,0x80b503cc,
    0x1f10f84c,0x202d43c4,0xa806d84c,0xd001aa1f,0x1a60fc05,0x06983f00,
    0x7c1741f0,0x1a61f100,0x04c80b50,0x53b80f5c,0x5d00eb8d,0x444d54c0,
    0x13553007,0x400be0f1,0x26aa603d,0x016a0788,0x1e41f099,0xc80b50f1,
    0x7b002f84,0x03e003cc,0x001e8354,0x2007a0d5,0x83e1aa0f,0xdccfccc8,
    0x05a82ccf,0x66c40264,0x7ccf3680,0xf9103e01,0x0fffdddf,0x7777fe44,
    0xeef887ff,0xeeeeeeee,0x77fe444e,0x2a07ffee,0x07c26405,0x81f77df3,
    0x2226405a,0xeeeeeeef,0x1744eeee,0x0f606b80,0x03d802dc,0xd81f00b7,
    0xb99107c3,0x599db99f,0x04c80b50,0x2544baa0,0x5c05d15d,0xa80ef446,
    0x203bd107,0xaabf887a,0xaaaaaaaa,0x54077a21,0x99016a07,0xdbb503d0,
    0x26405a85,0x2aaaafe2,0x41aaaaaa,0x205d006a,0xcccccdf8,0x6fc400fd,
    0x0fdccccc,0x83e607c0,0x25cd300f,0x099016a0,0x417bdb00,0x17c04dea,
    0x20f101b2,0xe83c406c,0x80d90001,0x9016a078,0x50005b09,0x1e84c80b,
    0x202f4000,0x333ae05d,0x02eccccc,0x6666675c,0x07c02ecc,0x2a01f2e4,
    0x0b501325,0x0d0004c8,0x217603f4,0xf83cc02f,0x5c83cc02,0x9805f000,
    0x99016a07,0xb5000b70,0x05c84c80,0x20f74400,0x0ba00dd8,0x02e80d50,
    0x203e0354,0x2a01f2f8,0x1f100f25,0x01c13f20,0x3bbea072,0x6c06f4c0,
    0x6c1fa603,0xe81fa603,0x0f618803,0x3e207e98,0xf109f900,0x00f88003,
    0x00fa09f9,0x7fe44062,0x3c404ffe,0x0f100f80,0x00f803e0,0x25c03ed5,
    0x989b005b,0x0580dded,0x647e6074,0x204ffeef,0x67dc41e9,0x20f4c09f,
    0x809fcfb8,0xfc980cf9,0xf7107a63,0x136013f9,0x701bbdb3,0x3605101d,
    0x06ef6cc4,0x64c067cc,0x0e7d403f,0x99004b80,0x264012e0,0x7df401f0,
    0x016c9900,0xa7ff7f4c,0xa82c1ffc,0xa983d83d,0xfdfd7001,0x1fff11bf,
    0xdffefeb8,0x880fff88,0xcffeeefc,0xffefeb80,0x80fff88d,0x94ffefe9,
    0x59f903ff,0x3a605f97,0xff94ffef,0xdddf9103,0xfc8019ff,0x5710abcd,
    0x8804d74c,0x574c1eb9,0x3d731009,0x30133f30,0xe8f201ff,0x006a2001,
    0xceeeeec8,0x80000102,0x510001a8,0xaa980003,0x00351000,0x4000d440,
    0x800abdc9,0x260001a8,0xdfb000aa,0xbfffd99b,0x1fffff21,0xca7ffffc,
    0xff07ffff,0x7fe49fff,0x01f906ff,0x0000c86a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01300440,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00010000,0x55100040,0xa8015555,0x0000002d,0xca880004,
    0x01b8802c,0x06200000,0x0c000040,0x50011000,0x35555555,0x0b32a200,
    0x55555555,0x79730355,0x0bcb8803,0x000dd800,0xb3013a20,0x9bd99ddf,
    0x1dc5dc03,0x000f5400,0x6cc00376,0x00dfdbce,0x001b95b9,0xf5000f5c,
    0x04d801ff,0xbffeb880,0x00fa6000,0x3bbbbbba,0x77ec405e,0xddf11dbc,
    0x7fdddddd,0x4febefc8,0x9fb9ff30,0x001db000,0xfc809d10,0x4015cb1c,
    0x3f200346,0x76c003fb,0x4417cc00,0x24c4985d,0x02fced80,0x803fff70,
    0x32000de8,0x200d931d,0x03d003f9,0x8037a600,0x323d8078,0x22274c1e,
    0x0016cc3f,0xf3000fe4,0x2c5f9807,0x26390057,0x21db1004,0x32000de8,
    0x9802201f,0x02c0e41f,0x27cc37a2,0x00165c40,0x1f1001db,0x2fa803d0,
    0x20007a00,0x007003f8,0x540be23f,0x74416a0f,0x004b8000,0x07ee00b2,
    0x6c4015cb,0x097000de,0x097000b2,0x0e43d800,0x220f202c,0x2000001d,
    0x705a805c,0x4001e809,0x04d8001e,0x6a9e6000,0x407b17c0,0x0000004c,
    0xb961f200,0x00000002,0x40000000,0x12624c1f,0x00000000,0x6416e000,
    0x1e800004,0x0007d400,0x03549900,0x3007c4ba,0x0054400b,0xf9005440,
    0x400ae581,0x510001a9,0x01530001,0xb907b800,0x00001b95,0x00000000,
    0x003f50b7,0x2623d000,0x0001e401,0x01f887a0,0x1007c4f5,0xfdff700d,
    0xdff7007f,0x89f307ff,0x76440ae5,0x002ffeff,0x07ffdff7,0xffeffd88,
    0xfb531003,0x220dc403,0x3ffe21da,0x162000ff,0x1fffff10,0x7fe4b700,
    0x3fffe203,0xfede800f,0x43d04fff,0xf30001a8,0x4e983d90,0x01fb01f4,
    0xdd307ba2,0x983dd101,0x867d40ee,0x56540ae5,0x8803ea20,0x0774c1ee,
    0xc9856fd4,0xfffd805f,0x3b6e2000,0xf999880b,0x201a6000,0x800f9998,
    0x0ff6e65b,0x00f99988,0xd711bdd8,0xdfb11f0d,0x5b8003ff,0x7ff9df70,
    0x3baa0d90,0x5d809b01,0x42ec04d8,0x0ae7eec8,0x9b025c00,0x1fc45d80,
    0x2a2013a0,0x36e200ed,0x07c000bd,0x8006eb80,0x305b800f,0x003e009d,
    0xd788fe00,0x007f223b,0xbff702e8,0x877605ff,0x6a82d8fb,0x1aa2e880,
    0x6880ba20,0x3cc000ae,0x2e8806a8,0x07ea01b6,0x2e21fb80,0x20000bde,
    0x16fcc00f,0xb800f800,0x200ba205,0x6c80000f,0x06c82efc,0x5d901f10,
    0xfd884ea8,0xb03d1dfe,0x3d92e007,0x25809700,0x9aa9802b,0x007b0788,
    0xb002f92e,0x224c8007,0x016dc40a,0x17cc01f0,0x2003e000,0x4035405b,
    0x7980000f,0x1f9807f4,0x0f985a80,0x2a203f30,0x00f407c0,0x4007a6a8,
    0x0572c06a,0x3bbbff22,0x003d07ff,0x7777c5aa,0xeeeeeeee,0x2034c004,
    0x005b8ad9,0x0026401f,0x2dc007c0,0x03e01e20,0xd83e2000,0x6c017402,
    0x1ec05c82,0x07a0d300,0x003d34c0,0x15cb01a6,0x7a80ef44,0x5a6003d0,
    0xaaaaabf8,0x001aaaaa,0x703603c4,0x7c01f003,0x00f80001,0x00f805b8,
    0x4c00007c,0x07a025c7,0x00f603e0,0x82ec00b7,0x6c97003d,0x58097003,
    0x101b20ae,0x5c00f60f,0x000007a4,0x216206c8,0x200f8048,0x7c01404e,
    0x0665b800,0x00f801f3,0x34c5b800,0x0d500f30,0x007d01b2,0x035c03ea,
    0x401ae2e8,0x0572c02e,0x7079805f,0x5c8ba00d,0x44028800,0x1d42c02f,
    0x0f9007c0,0x007c03c4,0x6b8b52dc,0x36200f80,0x3607e201,0x79009903,
    0x7cc07e60,0x402fa801,0x742e403e,0x2c02e403,0x4c07b057,0x900fa07e,
    0x31007d0b,0x3a60bba2,0x06c2c804,0x37a007c0,0x7c03e4c2,0x886dcc00,
    0xf005f50f,0x40bfc801,0x19d104fa,0x3e007f22,0x442fb200,0x366043fb,
    0x0de8802f,0x744076c4,0x0076c40d,0x3d30572c,0x09fcfb88,0x6c40de88,
    0x80cf980e,0x7f543fc9,0x1002ffee,0x3105b9b9,0x3333f333,0xfeffd881,
    0x4ccc41cf,0x209999f9,0x3ee5fffc,0x999882ee,0x809999f9,0x2ffeefd9,
    0x7ff7ecc0,0xa8069801,0xf82ffeff,0x000cefee,0x3fbbbf22,0x777e4404,
    0xb96004fe,0xffdfd702,0x01fff11b,0x9fdddf91,0xeeefc880,0x54c00cff,
    0x4c060001,0xffffffff,0xaa881fff,0xffff9809,0x1fffffff,0x3e605100,
    0xffffffff,0x06a601ff,0x00035100,0x200d4c00,0x440000a9,0x220009a9,
    0x744009a9,0x7ddb3eee,0x80006a20,0x40009a98,0x00000aa9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x18000000,
    0x1bcb9800,0x40015100,0x05550000,0x19800060,0x00198800,0x40000aaa,
    0x440003b8,0x360009aa,0x2a01f444,0x98800003,0x85d30009,0x15c401e9,
    0x88014400,0x1fdaacfe,0x3fdbdfb8,0x3bfbfea0,0x7ec9ff93,0x7f74c005,
    0xf303c400,0xdffb11ff,0xfe9805bf,0xfff0dffe,0x003fba63,0x5dd9f700,
    0xdf500bb1,0x805dd979,0x82fc46f8,0x00006cdd,0x3bffbfea,0x89f502b9,
    0x33ee03fb,0x885d8aee,0x22007fdb,0xa80afffb,0x5c17cc1f,0x66674c2f,
    0x01fff109,0xf1003e00,0xce9f9980,0xfb817dc0,0x3e7f220b,0x0001f01a,
    0x37faa0b8,0x40376200,0x404404d8,0x0034c008,0x5cc1ed80,0x0c0603ff,
    0xdfea82e0,0x3cdf7e40,0x456fecc0,0x2e07d05d,0xfd007cc6,0x0005b707,
    0x01e2007c,0x5f1017fc,0x3ea01f98,0x0003e00f,0x17400400,0x00005b80,
    0x70000d30,0x01fd401d,0x20100000,0x2601e208,0x7d43e80a,0x1f43f100,
    0x0000fe20,0x3e2007c0,0xb805f800,0x7e401ec5,0x00003e00,0x3c801a98,
    0x90599995,0x00353007,0x415001a6,0x03d801f8,0x88000a98,0x01e2000a,
    0x3dc3d100,0x800f8f60,0x0cc0003e,0xffb8807c,0x05f03adf,0x800f8f10,
    0x303e00f9,0xfd910013,0x2605ffdf,0x41b314c6,0x7f6440e8,0x4c02ffef,
    0x41db1006,0x4401006a,0x03ffeffd,0x3ffeffb8,0xb7007880,0x4d717bff,
    0x79a6405c,0x30007b00,0x21bffdfb,0x10bfa80f,0x01f03fd5,0x803c47a0,
    0x643e00f8,0x201efeff,0x3ea20aca,0x214c2b80,0x32a15c38,0x803ea20a,
    0x84fb8069,0x7d40004b,0x0bf930ad,0xdd307ba2,0x2203c401,0xfca99bee,
    0xb700f67a,0x81ec01e2,0x4417f305,0x7c40f8ec,0x3f03f302,0x07c43e00,
    0x3f007cc0,0x1fdc41bd,0x1d84b800,0x950ea14c,0x2604b800,0x407ba606,
    0x3e20004c,0x26c27403,0x07881760,0x3df30274,0x7cb500ba,0xf883f801,
    0xd700fc40,0x1407c81f,0x479803f8,0x00fb802e,0x1f9813fe,0x86879800,
    0x884ca9b9,0x443cc005,0x2e099ea9,0x016a013f,0xfa806d80,0x3a201aa1,
    0x2e40f102,0x02e9fd40,0xc80d72d4,0x640f983f,0x6c0fd804,0x01ff0003,
    0x0075c3e8,0x37c01ff1,0x2a602e40,0x8687889a,0xb105bac9,0x444d54c0,
    0xcccccb87,0xcca9ee99,0x003e60cd,0x3d8017c0,0x825c00f6,0x4007a078,
    0x5a805d4e,0x6f5c06f4,0x0741f983,0x0f607cc0,0x40f67c00,0x01db06d8,
    0x7c01f9d3,0xc8878802,0x7ffeeeff,0x9314c1d8,0xffc88950,0x007ffeee,
    0x50744ff2,0x7a805c89,0x3bbbbbe2,0x24eeeeee,0x20d5001e,0x400f1078,
    0x5c807b5c,0x765efec4,0x1f983c8d,0x07c401e2,0x47c001b2,0x4fdbcdfa,
    0x6e5efe40,0x0fc01f3f,0x37a21f80,0x8570f501,0x8b215429,0x0f501de8,
    0x0441bd50,0x207ba23c,0x2fe22fd9,0xaaaaaaaa,0x4007a1aa,0x220f1069,
    0x26532007,0x65cc13a0,0x3ea0f21b,0x7c401e22,0x4000fcc0,0x3799510f,
    0x2b32e600,0x01f803e0,0x203643d0,0x2e268878,0x0e88e40b,0x40f101b2,
    0xb7002fd8,0x3fbbfee0,0x001e80cf,0x12e007b0,0x003f03c4,0x3e02dcba,
    0xa83c8002,0x4c00742f,0x20cfb80f,0x00f80fb8,0x00f80000,0xf1e200be,
    0x97079805,0x1910f326,0x4c02f85b,0x40037207,0x1ae9805b,0xb8002e40,
    0x2205d006,0x22013607,0x2601f10f,0x82e8000f,0x401e43fb,0xdff500fc,
    0x03e039dd,0x03e00000,0x46b805f8,0x81fa603d,0xb099003d,0x003f4c07,
    0x3a004c80,0x1007d001,0x2e403e83,0x1fc40f10,0x04d89b10,0x1f30009b,
    0x1f987f70,0x5003fea0,0x001f003f,0x401f0000,0x07e603ff,0xcfb883d3,
    0x01d9009f,0x0f4c0fa6,0x027f3ee2,0x001ec400,0x3e600b26,0x43fc980c,
    0x76c40de8,0xf501e200,0x40ee9817,0x007e43f9,0x7e40fea0,0xeb83f984,
    0x1e200af9,0x000007c0,0x7cc407c0,0x03fa84e9,0x1bffdfd7,0x2601fff1,
    0x1dfdcdfd,0x7ff7f5c0,0x00fff88d,0x8060f4c0,0x1001dabc,0x9ffdddf9,
    0x3bbf2201,0x333304fe,0xd103333f,0x407ffbdf,0x00efefe9,0x3ffbbba2,
    0x4c0fee02,0xf0dfeefe,0x81e205ff,0x3eeefee9,0xddd50000,0x3fe63ddf,
    0xfeefd88f,0x01a8801e,0x000a9800,0x00001a88,0x7f777774,0x00395100,
    0x8002aa60,0xfb009a98,0xffffffff,0x006a6209,0x55000a98,0x00600355,
    0x400026a2,0x55555406,0x5100000a,0x00155555,0x000006a6,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x0000bcb8,
    0x07aa0f4c,0xf90001d4,0x9fff50bf,0x026c2e40,0x0026aa20,0x55555553,
    0x05555555,0x4cccccc4,0x2f2e6009,0x84fffd81,0x800ffffa,0x775102a9,
    0x0aa98003,0x09aa8800,0x7e440000,0xe980d004,0x0000ea8b,0x85f70fee,
    0x20006cdd,0x93305b98,0x37c3fc09,0xcbcefa80,0x000702ee,0x7fffd40e,
    0x442fffff,0x43ffcdfe,0x73009dd8,0xddf1003d,0xfecefea8,0x6ff6401e,
    0x204a9eff,0xcffddfec,0x5c00f05a,0x3c402fff,0x00025400,0x0d300c06,
    0xc80b5000,0x02202204,0x2201bb10,0x7000384d,0xf103c400,0xf987d507,
    0xc801ec00,0x205fc6ac,0x1bb00fc9,0xb05efc98,0x0bfb303d,0x7fd4003e,
    0x003c402f,0x0000016c,0x400034c0,0x0026405a,0x7002e800,0x0700038b,
    0x0b903c40,0x813607d4,0x51f30079,0x13a00f8d,0x0bf30136,0x05d801d9,
    0x1f5c001f,0xe9803c40,0x8013004f,0x069800a8,0x016a0c40,0x90000099,
    0x38bddb87,0x700038f2,0x1d03c400,0x07cc2f80,0x27b003d8,0x1ae0146a,
    0x8bb001f5,0x05a800fa,0x2000001f,0x17540078,0x2e03f910,0x203ffeff,
    0x0fee0069,0x5c4c80b5,0xfff985ff,0x70ee34c4,0x0038744d,0x03c40070,
    0x0f60f600,0x535401e6,0x6479800d,0x3c851002,0xffffb000,0x00dfffff,
    0x88007880,0x101bf506,0x0ee983dd,0xee980698,0x26405a81,0x4cc16e62,
    0x41615c4c,0x000395c4,0x003c4007,0x03e607a0,0xa8ba007b,0x3e264006,
    0x007a0000,0x4cfccc40,0x20009999,0xbfbaaaaa,0x2602aaaa,0xb017ec45,
    0x6985d809,0xb501fe40,0x0b504c80,0x530ec4c8,0x001d2a00,0x01e20038,
    0x8f605c80,0x45b800f9,0x87ee006a,0x1e200078,0x0007c000,0x66666640,
    0xb3cccccf,0x543d5159,0x01aa00df,0x754c4ba2,0x03ba6099,0x04c80b50,
    0x344c80b5,0x3ac4002e,0x44007000,0x01d70007,0x803d87cc,0x203541f8,
    0x34c1eeb8,0x000f3000,0x288003e0,0x7500f100,0x5176c459,0x7003d8bf,
    0x333332e9,0x3e63fc89,0x3f207a85,0x4c80b504,0x44006e34,0x00e00075,
    0xfb800788,0x0f9bd800,0x06a84d80,0x06981774,0x9881e600,0x0f809999,
    0x01fff300,0xf7000788,0x745be889,0xa80d5001,0x42df40df,0x6f6cc4fa,
    0x6405a80c,0x00930ec4,0x38001d2a,0x00788079,0xf9800fdc,0x80f9804d,
    0x100f406a,0x03c4000f,0x0dffffff,0x3fee001f,0x003c403f,0x2f607ba2,
    0x9800f45a,0x905fb106,0xfdd50b37,0x3ff29ffd,0x13202d41,0x4280d857,
    0x4e00072c,0x003c403c,0xfd8003f7,0xd503e800,0x0fc00c80,0x2001f000,
    0x2001f05a,0x4401fff9,0x413ee007,0x03d8b55a,0x1bf50970,0x2a166d30,
    0x54003515,0x1a226405,0x459319b1,0x200070e8,0x07980793,0xb0001d90,
    0x3fffe009,0x02ffffff,0x8000f600,0x20b5002e,0x02a2000f,0x75401e20,
    0x16a1d101,0x10ba00d7,0x5987405d,0x2a0005a8,0x25c26405,0x716c15cc,
    0x01e4e000,0x03b2016e,0x4003e200,0xb9999999,0x7c40001e,0x06b87001,
    0x003e0b50,0x003c4000,0xdb99cc80,0x17201f40,0x2a673200,0x0002d40e,
    0x13f201f1,0x44c801ec,0x37270003,0xd805d100,0x0990000e,0x981aa000,
    0x00eb802a,0x01361b62,0x0017416a,0x00001000,0x0bb7332e,0xed881bd1,
    0xcccb8000,0x002d42ed,0xbdb31360,0x403b201b,0x000383e9,0xd10bb627,
    0x200dd80b,0x001f1008,0x7c41aa00,0x2fc803ff,0xd880de98,0x20bb302e,
    0x05d981ea,0x99999988,0x00099999,0xfc882d40,0x0004feee,0x016a1660,
    0xffdfd300,0x4c07ff29,0x1dfdcdfd,0x50e00070,0x807fddff,0x999999ec,
    0xddd93c99,0x0001ddfd,0x2207ae62,0xd5003fff,0x007ffddf,0xdfdddff7,
    0x77f64017,0xe800bffe,0xffffffff,0x20006fff,0x26203fed,0x2000009a,
    0x00083fed,0x00035100,0xab800a98,0xaaaaaaaa,0x5103aaaa,0xfff90013,
    0x9fffffff,0x2aaaaaa6,0xfff10002,0x055105ff,0x00155100,0x00355310,
    0x00009a98,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x551000d7,0x00555001,0x01555100,
    0x802aaa98,0x4c409999,0x26200199,0x001aa881,0x3006e200,0x26620133,
    0x3004cc40,0x99998333,0x99980099,0x99999999,0xd703aa09,0x26666601,
    0x01999999,0x26666666,0xc8819999,0x003e404f,0x5bfbbfd3,0x003fba60,
    0x7effec40,0x77445acf,0x7fec07ee,0x7fff46ff,0x3fae205f,0xdd91ffff,
    0xfb300009,0xff701dd9,0x3fffe0ff,0x20dfff32,0xfb5ffffd,0x9dffffff,
    0xfffff901,0xbfffffff,0x07f617e4,0x3ffffff2,0x80ffffff,0xfffffffc,
    0x5c0fffff,0x1f202fff,0x7d41fd40,0x40007c02,0x7ecc1de8,0x4403c405,
    0xc801f007,0x25c0c41d,0x2e1ec000,0xb700fa06,0x3e017fc0,0x65440f80,
    0x7009701f,0xb801018b,0x2600f805,0x503e0976,0x0c405fff,0xd300fcc0,
    0x40007c03,0x017e207b,0x00f100f1,0x00f8803e,0x100012e0,0x0f98060f,
    0x5fc01f30,0x3e03e00f,0x2e03ea00,0x0005b804,0x01f00b70,0x1f04ba5c,
    0x00007d70,0x03aa00fa,0x1ec0007c,0x0f1016e0,0x03e00f10,0x25c005b8,
    0x0012e000,0x403e82e4,0x03e04d8f,0x7099003e,0x000b7009,0x03e016e0,
    0x3e0972d8,0x54000000,0x7c0ba006,0x803d8000,0x4403c400,0x5c01f007,
    0x2625c005,0x0016e001,0x4035c3e8,0x1f01f88f,0x1f8801f0,0x1144025c,
    0x001fffff,0x440700b7,0x01a0970f,0x1fffff10,0x97001e40,0xfff883e0,
    0x0006b85f,0x07880788,0xfffb81f0,0x05ffffff,0x3ffff297,0x00079805,
    0x007cc3e6,0x1f05b87c,0x879001f0,0x4403444b,0xb800f999,0xd5003445,
    0x8000525c,0x200f9998,0x4166002d,0x04dfdc0f,0x0000aed8,0x00f100f1,
    0xb933103e,0x20133333,0x36a1dedb,0x0001f805,0xf801f572,0x203e0ba0,
    0x5c4b800f,0x7c003c44,0x3c45b800,0x8a5c9900,0x004cc407,0x003f007c,
    0x2e0f83c4,0xdfb5002f,0x1e20037b,0x07c01e20,0xfb800b70,0xf883f104,
    0x05ffffff,0x2006de80,0x03e1aa0f,0x716a003e,0x00ffffff,0xff7001f0,
    0x7400ffff,0x01fffee1,0x1f007fff,0xf1000f40,0x00f643e0,0x04fca980,
    0x07880788,0x02dc01f0,0x07b016e0,0x133b9331,0xfdddd300,0x7c01dddd,
    0x203e1ec0,0x5c5a800f,0x007a999d,0x9db800f8,0xf1007a99,0x20799db8,
    0x1f006ff9,0xb30016c0,0x003b67e0,0x202ec400,0x00788078,0x002dc01f,
    0x8099012e,0x3c40005a,0x1f303e00,0x4007c07c,0x1e225c4b,0x2e003e00,
    0xfa803c45,0x8124eccc,0x1f001ffc,0x97001e40,0x0017fbe0,0x4401f100,
    0x88078807,0x0016e00f,0x404c8097,0x3c40004b,0x97203e00,0xd800f80f,
    0x000425c2,0x42dc007c,0xccdd8080,0x9fd004ec,0xd5007c00,0x3f817400,
    0x005300bb,0x007880ba,0x4079803d,0x025c005b,0x00790132,0xefeeee98,
    0x03e00eee,0x7c07cbe2,0x2e07c400,0x01f00004,0x0b500b70,0x5304b81f,
    0xf8003fe6,0x5401f400,0x2ec1f00e,0xf1003ee0,0xc803c403,0x2e02e403,
    0x2025c005,0x200f404c,0x2003c400,0x03ed500f,0x709b003e,0x03e00009,
    0x16a016e0,0x2e0970d3,0xf8005f75,0x3017cc00,0x3607c03d,0x9013ee05,
    0x5007880d,0x007e601f,0x04b800b7,0x80d70264,0x003c404b,0x0fbe803e,
    0x417200f8,0x1f00004b,0xb500b700,0x704b84b8,0x3e0016eb,0x40bfa800,
    0x207c02fa,0x9fd705e8,0x8803f705,0x307ae007,0x00b7009f,0x826404b8,
    0x99999bfa,0x33102e99,0xf980133f,0x0ff98099,0x4ccccfcc,0x3b9306fc,
    0x33100133,0x13333f33,0x9999dc98,0x265b9999,0x4cee4c3e,0x2005b999,
    0x99f99998,0xdfd10099,0x4c405bfd,0x09cf980f,0x3bff632a,0x99881efe,
    0x09999f99,0x3ffbbee0,0x37266203,0x93019999,0x0736603b,0xfffffff7,
    0x3e607fff,0x00ffffff,0x20dffff9,0x3fff20fc,0x902cefff,0x3fffffff,
    0x7ffffcc0,0x91ffffff,0xffffffff,0x3f2bffff,0xffff94ff,0x00bfffff,
    0x3fffffe6,0x201fffff,0xff9802a8,0x7ffff80f,0x406aa620,0xfffffff9,
    0x4c01ffff,0x7ff4009a,0x2fffffff,0x227fffd4,0x003ffffb,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,0x01333333,
    0x33333330,0x4ccccc00,0x19999999,0x06666666,0x44026660,0x4ccc4099,
    0x01333100,0x4c001dc4,0x00099999,0x33301333,0x99999881,0x4cc09999,
    0x03331009,0x02666662,0x804cccc0,0x4c419998,0x88019999,0x01330019,
    0x7e415973,0xffffffff,0xffffc80c,0x403effff,0xffffffff,0xff57ffff,
    0x409fffff,0xf887fffb,0xfff52fff,0xfffa83ff,0xecfb81ff,0x3605d8ae,
    0xefffffff,0xdfffd00c,0x5c7fffd8,0xffffffff,0x1fffee3f,0x10bfffe2,
    0x09ffffff,0x0fffffb0,0x553ffffe,0xffffffff,0x3fff984e,0x517ffd40,
    0xb81d515b,0x00fdb885,0x0bf930b7,0x261e207c,0x44003cc7,0x2075c02f,
    0x807c0079,0x037faa0b,0xf95103e0,0x99016e03,0x82e80970,0x802e403e,
    0xd000f9f8,0x4c1aa003,0x80eeb887,0x3df406ce,0x02dc3b80,0x202dc176,
    0x7881f04f,0x003cc798,0x3f300f98,0x3c400f10,0x1f000400,0x2dc07d40,
    0x812e1320,0x201f305c,0x2b7000f9,0x0097002d,0x203cc0f6,0x02e9e85d,
    0xd100f1f3,0x3cc05b83,0x83dc05b8,0x3cc3c40f,0x37bbbbe6,0x4435c01c,
    0x9503e02e,0x26006983,0x2007c001,0x6405b85c,0x1f504b84,0x03e835c0,
    0x803547a0,0x07c400f8,0x07cc0798,0x5e416e7a,0x0ffa6078,0x20f3016e,
    0xf83c405b,0x23cc3c40,0xebaaaaf9,0x3626c04f,0x3f60f404,0x3fa22d44,
    0x0bffff75,0x3f1003e0,0x426405b8,0x802f884b,0x30035c3e,0xd8007c4f,
    0xf302dc02,0xf1e85d00,0x0788f883,0x16e17544,0x016e0b90,0x1e216097,
    0x4c0f3122,0x5cfa203e,0x5fc2d806,0x75c42dc6,0x017661dd,0x70f2003e,
    0x2004c80b,0x21f3004d,0x132001f8,0x01aa0079,0x203cc05d,0x4c8f40f8,
    0x30078adc,0xda885b8d,0x5c0b700e,0x01e2001f,0x03ee03cc,0x800fbf98,
    0x707da63c,0x4417ea09,0x4007c01f,0x3202dc4b,0x800d7004,0xf8007b5c,
    0x3f0034c1,0x0f301e60,0xf11e86c8,0x00788fc1,0xffffb8b5,0x2e01ffff,
    0xdedbaaae,0x803c4000,0x401f8079,0x499002fb,0x81e47b4c,0x741ec06a,
    0x6fffffff,0x7ffdc5a8,0x04ffffff,0xe8001f98,0x8354006d,0x2099001e,
    0x983cc04c,0x361e80fd,0x6c3c4d53,0x5c0eb89c,0xca99999d,0xdddf703f,
    0x220007fd,0xf00f3007,0x005fe803,0x25a974b7,0xc80b502d,0x99f99884,
    0x5c5a8099,0x9999999d,0x003e804d,0xd8003f30,0x2600b703,0xf9803f07,
    0x0cffeeee,0x2eb4c3d0,0x166541e2,0x274405b8,0x00fe42dc,0x79803c40,
    0x3b203d40,0x15a803e8,0x01e9e21f,0x404c80b5,0x5c4b800f,0x32026405,
    0x03e20005,0xcccdf880,0xd000fdcc,0xf9806a85,0x4009aaaa,0x223e741e,
    0x016e0007,0x5416e1e6,0x03c4001f,0x0bea0798,0x03f10fa8,0x2e8b5698,
    0x9016a01f,0xd800f809,0x13202dc2,0x00d00f98,0x75c001f1,0xeccccccc,
    0x3d8b7002,0xd0007980,0x3c43fa83,0x005b8018,0x2a05b83d,0x01e2000f,
    0x65d557cc,0x07e202ee,0xdbc401f5,0x503c6643,0x7c04c80b,0x2e07c400,
    0xf8826405,0xf1003e02,0x20174001,0x21f1006a,0x079800f8,0x10303d00,
    0x16e01a0f,0x0b703e20,0x1e2004d8,0x6f777cc0,0x903e802c,0x41f8f80d,
    0x16a078e9,0x00f80990,0x202dc26c,0xf809b04c,0x8007c400,0x001f0078,
    0x9802dcf2,0x003d0007,0x200f41e2,0xb86c805b,0x800fc405,0x00f30078,
    0x09b01720,0x6bf83df4,0x099016a0,0x417200f8,0x5426405b,0x2007c00e,
    0x097000f8,0xb4c01320,0x00f3002e,0x3c4007a0,0xb9301c98,0xb5333333,
    0x19dc981d,0x4c407ae0,0x30199f99,0x803333f5,0x51009fb8,0x0bdb017f,
    0x6dcc17b6,0x20199101,0xc99999f9,0x13b7306e,0x7c1cd988,0x9999999b,
    0xf33300f9,0x574c0333,0x3d731009,0x401f3a00,0x01999fa9,0x1009af98,
    0x4de43f53,0xffffc81d,0x0bdfffff,0x1fffffe4,0xffb09fd0,0xa8bfffff,
    0x3fffffff,0x07ffff60,0x90bffff3,0x213ee05f,0x4c4ffffa,0x7e40ffff,
    0xacefffff,0x6ffffa80,0xf1ffffec,0xffffffff,0xfffb01ff,0xf90bffff,
    0x3fe0ffff,0xfb804fff,0xffffa804,0x3ee03fff,0xffd07fff,0x06ea29ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26666666,0x0ccccc19,0x4c40ccc4,0x00099999,
    0x6ed40000,0x0004003b,0x00001000,0x00c404c4,0x20006a60,0x440009a8,
    0x0b88000a,0x004cc400,0xf70054c0,0x9fff30bf,0xffffffb8,0xfffdbfff,
    0x94ffffff,0x4c7fffff,0x3e23ffff,0x06ffffff,0xe8835100,0x3ebbee82,
    0x00003c00,0x0077a5f7,0x4fefea80,0x4403bff6,0x2ffeffec,0x7f7f6440,
    0x3ee02ccf,0x2003ffef,0xff5003fb,0x0573dffd,0x3ffbff62,0x305b9883,
    0x99db8993,0x81fb9999,0x405b8078,0x01ec00dd,0xffdff900,0x0d30bd19,
    0x00078800,0x3222eea8,0x2c8000cf,0x22372ba6,0x0aca80fb,0x7c403ea2,
    0x7fb510ad,0xe983dd10,0x00b8800e,0x7dcc1ed8,0x0adfa83f,0x16a0bf93,
    0x305b8990,0x201e203f,0x00bd105b,0x3a2000f6,0x17f6e21d,0x220001e4,
    0x3f660007,0x00ff6203,0xd03fea00,0x20970009,0x20fa206b,0x002ec04d,
    0x5401d700,0x201fc43f,0x6405a84e,0x17c40c44,0x0b700f10,0x1ec009d1,
    0xdb027400,0x00012e0d,0xf91000f1,0x3f660019,0x17e20002,0x1e6001ea,
    0x815007d4,0x02e8806a,0x801f8800,0x54036c3d,0x3202d41f,0x403e8804,
    0x4c5b8078,0x01ec003f,0xb5d816e0,0x0001f109,0x3ee003c4,0xdd50000c,
    0x226a2003,0x4c03f02f,0x207889aa,0x7b001bed,0x00012e00,0x7c0401aa,
    0x5a87b002,0x27402640,0x2dc03c40,0x7b0005f5,0xbb02e800,0x005b834c,
    0x7d401e20,0xf700001d,0xdfd9103b,0xdddddffd,0xffc885fd,0x407ffeee,
    0x03dffedb,0xb9aa003d,0xcccccccc,0x00973ccc,0x3bbbbe20,0x4eeeeeee,
    0x013202d4,0x01e200bb,0x0017d56e,0x07c003d8,0x50f1076c,0x5c0885ff,
    0xccfccccc,0x5dd53ccc,0xf9100000,0x82b7e619,0xaaaaabf8,0x4077a20a,
    0x32a2007a,0x800f40de,0x33332a69,0x2ccccccc,0x3e200099,0xaaaaaaab,
    0x02d41aaa,0x006c8132,0x2f6e01e2,0xd8002fef,0xb03e2003,0x320f881d,
    0x23fc6a9e,0xcfccccca,0xfd32cccc,0x91000005,0xf882647f,0x880d9001,
    0xb13a0007,0x0012e007,0xe80016a0,0x016a0001,0x203ae099,0xb8078828,
    0x009f70ef,0x274003d8,0xf8d301db,0x80355360,0x3dd50078,0x33ee0000,
    0x3f881e40,0x79805f00,0xb8f300b0,0x0005d006,0x20001f30,0x3e20005c,
    0xf509f900,0x1e21a601,0x5d303ae0,0x2a01ec00,0x80765f20,0x3f11aa4d,
    0x01e2007b,0x0001bf70,0x354077ea,0x0980ffd8,0x87e980f6,0x436401f8,
    0x002e403e,0xf500b900,0x031007d0,0xdded989b,0x2666be60,0x7886b999,
    0x1f305b80,0x5d00f600,0xa8077744,0x3ae1a60e,0x00f1000f,0x0019f910,
    0x3a00bbaa,0x86eff6c4,0x07a61fd8,0x413f9f71,0x5f502ff8,0xd881bd10,
    0x00c9800e,0x6cc0f744,0x80cf982f,0xfe983fc9,0x3ff94ffe,0x3ffffff6,
    0x07886fff,0x013605b8,0xb0ba01ec,0x1fc885bf,0x005f81e8,0xd88001e2,
    0x0ff6603f,0xdfefe880,0x1bfdfb68,0xbffdfd70,0x221fff11,0xfeeefeae,
    0x3bf2202e,0x2e004fee,0xdff7003f,0x44019ffd,0xcffeeefc,0x000d4400,
    0x201e2000,0x003e605b,0x645d00f6,0xfeeffc9e,0x643d700d,0x788009fe,
    0x2ee98000,0x00033f22,0x0a980d44,0x0001a880,0x40035553,0x40009a98,
    0xaa980028,0x0aa98001,0x00000000,0x05b80788,0x01ec01f4,0x310754ba,
    0xdd700135,0x00ff91df,0xea80001e,0x00001bd2,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33f33330,0x19db9833,0x98813d50,0x99999cd9,
    0x00002e99,0x00000350,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffffd80,0xff94ffff,0x3fe07fff,0xfffff10f,0xffffffff,
    0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x22000000,0x40000981,0x200cc000,0x502ffff8,
    0x01e8dfff,0x901d134c,0x03d10007,0x1ffff497,0xf897ffee,0x7e43ffff,
    0x00406fff,0x597101cc,0x19100d88,0x00009988,0x71000000,0x01555101,
    0xd9ffb814,0xffe88eff,0x0fffd80d,0x445dff91,0xffff75fe,0x00df440b,
    0x3f703ae6,0x5f57bfb7,0x27cc1fc8,0xf90bd100,0x204f6c43,0x4c40de98,
    0x54c409af,0x81a6009f,0x3d307ceb,0x40dd8d71,0x4fff85e8,0x3ea3fff3,
    0x6fed40ff,0x2dffeb81,0x1bfffb10,0xb80fffcc,0xdff9882f,0x3629dd90,
    0x98f99883,0x443f31de,0x3661ddeb,0x6400f205,0x715df703,0x07f607fd,
    0xdf300bf5,0x3b205f90,0x32027440,0x4c026404,0x0320f006,0x3a25d879,
    0x10fff985,0x3fe61fff,0x6d456f47,0x0f9855c5,0x49f52ec8,0x7f307ff8,
    0xf317e03f,0x5fc0698b,0x0bf5003f,0x22d407e2,0xb81741fa,0x7f407d05,
    0xf302fd42,0x403fd81d,0x009d10ec,0x00fc40f3,0x0078034c,0x3a3760f2,
    0xf87ff905,0xd337fc7f,0x879003a0,0x3e3dc3f8,0xd72e887f,0x81f03f01,
    0x00ffc078,0x03d80d50,0x7c4fd8f1,0x1aa05d00,0x7dc3fe88,0x107fd40e,
    0x3b2009fb,0x0f6004e9,0x31cd82dc,0x1e0b6a2d,0xbfb02dc0,0x7f43ff40,
    0x05b2ff46,0xfffda92e,0x2a0fcc3f,0x361bfa0f,0x40fc2ec4,0x3e03c40f,
    0x202d4001,0xaf87e04c,0x03c41a67,0x3ff8803e,0xffa877e4,0x0013fa21,
    0x6a8009f9,0x3f2605d0,0x0befdfdf,0x205c8078,0xf880efe8,0x6c5fd83f,
    0xa5c0b64f,0x20f60aea,0x3f62ec4e,0x44e83644,0x3c40f81f,0xb50003e0,
    0x4b604c80,0x816e5d6a,0x880d501f,0x877e44ff,0x3fa21ffb,0x3b7a2004,
    0x2a174000,0x19fd3006,0x13620780,0x0ed8de88,0x3fb837d4,0x20d31fe4,
    0x07b03d0f,0x85fd7df5,0x403ea3fc,0x3e07e2f8,0x03e03c40,0x4c80b500,
    0x4b9ed2e0,0xd82e4079,0x70ffa204,0x0efa81df,0x2600ffa2,0x4001d73f,
    0xa801ec5b,0x107806cf,0x22f4405d,0x40bf20ed,0x20fdc2fa,0x24eb8bed,
    0xdfea89dc,0x81cfd981,0x300722fb,0x207c0fc9,0x0007c078,0x4099016a,
    0x75e21f69,0x4c73ea01,0x0bfa02fc,0x3ea01bf5,0x301fec0e,0x001fb87f,
    0x003e23f1,0x4426cbe2,0xf1099f99,0x74753335,0x02ecdb05,0x2607102e,
    0x75c40cec,0x004ca8be,0x80001d10,0x3c40f81f,0xb50003e0,0x3e204c80,
    0x303d746a,0x9bfffb7f,0x985fb03f,0x86f9805f,0x02f982fd,0x532003f5,
    0x449b004c,0x6666542f,0x9999912c,0x1900e259,0x00000000,0x00000000,
    0x207c0fc0,0x0007c078,0x8099016a,0x837dc3fe,0x1ee0c2f8,0x04f983f9,
    0x3f217a60,0x4c073ea1,0x9f8802fc,0x9858800f,0x00000003,0x00000000,
    0x00000000,0x7c0af980,0x2660fc41,0x099999f9,0x2203b730,0x03f200cc,
    0x800409f1,0x13207a20,0x2e07a200,0x87ffff74,0x803ffffc,0x800005fd,
    0xccccccca,0x54cccccc,0xbbbbbbbb,0x003bbbbb,0x540c0800,0x0f4c022c,
    0x777547aa,0xeeeeeeee,0x22fffe41,0x53fe25ff,0xfffffffb,0xfffa86ff,
    0x7fffcc4f,0x00000000,0x00000000,0x00000000,0x33260000,0xcccccccc,
    0x55517dcc,0x55555555,0x3ffc8155,0x229d1010,0xfff50fff,0x7f703723,
    0xddd52fb8,0xdddddddd,0x00000005,0x00000000,0x00000000,0x00000000,
    0x00000000,0x03cc0000,0xd31d9000,0xd107441b,0xb9fffdc9,0x03b63fff,
    0x00000603,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0003cc00,0x4f6c0e98,0x30fe63ea,0x3f621fff,0x000fe40d,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,0x3333326f,
    0xcccccccc,0x41deb801,0x0015102c,0x000004b8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4de60000,0xbbbbbbbb,0x001bbbbb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000798,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x55536880,0x55555555,0x64435555,
    0xcccccccc,0xcccccccc,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xc8000000,0xdddddddd,0x4ddddddd,0x2eeeeee2,
    0xbbbbbbbb,0x00000bbb,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_32_latin1_x[224]={ 0,6,3,2,3,2,3,6,8,4,0,1,4,2,
6,3,3,3,2,2,2,2,3,2,3,3,6,4,0,1,0,0,2,0,1,1,2,1,2,1,1,3,2,1,
1,0,0,0,2,1,1,2,1,1,0,0,1,1,2,0,0,0,3,1,6,1,0,2,1,1,2,1,1,2,
2,2,2,0,1,1,0,1,2,2,2,1,0,0,1,2,3,0,7,0,2,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,6,3,1,2,1,
7,1,4,0,0,0,0,2,0,-1,4,1,4,4,6,1,2,6,6,5,4,1,0,0,0,0,0,0,0,0,
0,0,0,1,1,1,1,1,3,3,3,3,-1,0,0,0,0,0,0,3,1,1,1,1,1,1,2,1,1,1,
1,1,1,1,0,2,1,1,1,1,2,2,2,2,1,1,1,1,1,1,1,1,1,1,1,1,1,2,0,2,
 };
static signed short stb__courier_32_latin1_y[224]={ 23,5,5,4,4,5,8,5,5,5,5,7,18,14,
19,3,5,5,5,5,5,5,5,5,5,5,11,11,7,12,7,6,5,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,5,3,5,5,29,4,10,5,10,5,10,5,10,5,5,
5,5,5,10,10,10,10,10,10,10,6,11,11,11,11,11,11,5,5,5,12,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,23,10,4,6,9,6,
5,5,6,6,4,11,14,14,6,3,2,5,5,5,4,11,5,12,22,5,4,11,5,5,5,10,0,0,1,2,
2,0,6,6,0,0,1,2,0,0,1,2,6,2,0,0,1,2,2,10,5,0,0,1,2,1,6,5,4,4,
4,6,6,4,10,10,4,4,4,6,4,4,4,6,5,6,4,4,4,6,6,8,9,4,4,4,6,4,5,6,
 };
static unsigned short stb__courier_32_latin1_w[224]={ 0,5,11,13,11,13,12,5,6,5,11,14,6,13,
5,11,11,11,12,13,12,13,12,12,11,12,5,7,14,15,14,11,12,17,15,15,14,14,14,15,15,11,15,16,
15,17,16,15,14,15,16,13,14,15,17,17,15,15,13,5,11,5,11,18,5,15,16,14,16,14,14,15,15,13,
10,15,13,17,15,14,16,16,14,13,13,15,17,17,15,15,11,6,3,6,13,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,5,11,14,13,15,
3,14,9,17,10,14,15,13,17,19,9,14,8,8,5,15,13,5,5,7,9,15,17,18,17,11,17,17,17,17,
17,17,17,15,14,14,14,14,11,11,11,11,16,16,15,15,15,15,15,11,15,15,15,15,15,15,14,14,15,15,
15,15,15,15,17,14,14,14,14,14,13,13,13,13,14,15,14,14,14,14,14,14,15,15,15,15,15,15,16,15,
 };
static unsigned short stb__courier_32_latin1_h[224]={ 0,19,9,21,22,19,16,9,22,22,11,16,10,2,
5,23,19,18,18,19,18,19,19,19,19,19,13,15,16,6,16,18,20,17,17,18,17,17,17,18,17,17,18,17,
17,17,17,18,17,21,17,18,17,18,17,17,17,17,17,22,23,22,8,2,5,14,19,14,19,14,18,19,18,18,
24,18,18,13,13,14,19,19,13,14,18,13,12,13,12,18,12,22,22,22,6,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,19,19,17,12,17,
22,20,3,18,9,12,9,2,18,2,9,18,10,10,5,18,20,5,6,10,9,12,18,18,18,19,23,23,22,21,
21,23,17,22,23,23,22,21,23,23,22,21,17,21,24,24,23,22,22,10,20,24,24,23,22,22,17,19,20,20,
20,18,18,20,14,18,20,20,20,18,19,19,19,17,19,17,20,20,20,18,18,14,16,20,20,20,18,25,24,23,
 };
static unsigned short stb__courier_32_latin1_s[224]={ 253,248,195,70,41,105,62,238,100,187,147,
75,188,239,211,237,16,244,149,91,178,188,202,215,228,240,249,247,90,175,105,
191,210,177,1,203,170,214,185,219,131,1,133,13,30,228,153,15,213,1,17,
47,34,75,195,80,64,161,147,76,156,123,244,175,223,138,113,198,50,213,91,
28,106,1,17,31,61,1,34,168,79,96,19,154,235,228,129,50,113,162,244,
53,167,160,191,117,117,117,117,117,117,117,117,117,117,117,117,117,117,117,117,
117,117,117,117,117,117,117,117,117,117,117,117,117,117,117,117,117,253,44,67,
122,68,137,249,100,229,99,217,98,159,239,146,194,228,1,167,246,205,67,31,
217,246,159,207,82,49,180,16,133,168,186,82,35,17,204,229,107,141,222,129,
233,29,17,209,221,114,53,61,77,1,171,60,176,115,93,45,125,144,193,49,
159,131,147,178,130,164,45,120,199,76,163,239,214,145,174,119,200,1,98,1,
16,61,229,34,183,46,223,84,194,83,1,28,109, };
static unsigned short stb__courier_32_latin1_t[224]={ 1,26,188,50,26,73,170,188,26,26,188,
170,188,199,199,1,94,94,114,73,114,73,73,73,73,73,114,133,170,199,170,
114,50,152,152,114,133,133,133,114,152,170,114,170,170,152,133,133,152,51,152,
133,152,133,152,152,152,152,152,26,1,26,188,206,199,170,94,170,94,170,133,
94,133,133,1,133,133,188,188,170,94,94,188,170,114,170,188,188,188,114,170,
26,26,26,199,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,
114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,114,1,94,94,
133,188,133,1,50,199,114,188,188,199,199,94,206,188,114,188,152,199,114,73,
199,163,188,188,188,114,94,114,73,1,1,26,50,50,1,133,26,1,1,26,
26,26,26,26,26,152,50,1,1,27,26,26,188,50,1,1,1,26,26,152,
73,50,50,50,94,94,73,170,94,73,50,50,94,73,73,73,133,94,152,73,
73,73,94,114,170,170,50,50,50,114,1,1,1, };
static unsigned short stb__courier_32_latin1_a[224]={ 271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_32_latin1_BITMAP_HEIGHT or STB_FONT_courier_32_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_32_latin1(stb_fontchar font[STB_FONT_courier_32_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_32_latin1_BITMAP_HEIGHT][STB_FONT_courier_32_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_32_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_32_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_32_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_32_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_32_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_32_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_32_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_32_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_32_latin1_s[i] + stb__courier_32_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_32_latin1_t[i] + stb__courier_32_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_32_latin1_x[i];
            font[i].y0 = stb__courier_32_latin1_y[i];
            font[i].x1 = stb__courier_32_latin1_x[i] + stb__courier_32_latin1_w[i];
            font[i].y1 = stb__courier_32_latin1_y[i] + stb__courier_32_latin1_h[i];
            font[i].advance_int = (stb__courier_32_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_32_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_32_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_32_latin1_s[i] + stb__courier_32_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_32_latin1_t[i] + stb__courier_32_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_32_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_32_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_32_latin1_x[i] + stb__courier_32_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_32_latin1_y[i] + stb__courier_32_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_32_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_32_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_32_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_32_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_32_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_32_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_32_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_32_latin1_LINE_SPACING
#endif

