// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_47_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_47_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_47_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_47_latin1_BITMAP_HEIGHT        408
#define STB_FONT_courier_47_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_47_latin1_FIRST_CHAR            32
#define STB_FONT_courier_47_latin1_NUM_CHARS            224

#define STB_FONT_courier_47_latin1_LINE_SPACING          22

static unsigned int stb__courier_47_latin1_pixels[]={
    0x00026200,0x8000f620,0x2aa60001,0x0000002a,0x10000180,0x10000000,
    0x03b70001,0x40003762,0x00000008,0x00002200,0x00a00440,0x8000df90,
    0x10003fe8,0xff0001bf,0x00000fff,0x001fd800,0x0001fdc0,0x009f7000,
    0xf706ff88,0x3fa0007f,0x001f4001,0x000ff400,0xa817ea00,0x1bf2001f,
    0x02ff9800,0x0077e400,0x01f66620,0x74400000,0xe880004f,0x8000004f,
    0xf8000efc,0x05ff504f,0x00bfe600,0x00000fd8,0x00017fcc,0x2a01ffb8,
    0x1bf2001f,0x00ffd400,0x01ffb800,0x0000f900,0x07fd3000,0x0dfd8000,
    0xbfb00000,0x00620001,0xf9800033,0x09f3003f,0x7ff30000,0x0efc8000,
    0x9000fd40,0xdf7000df,0xfa800001,0x07c8002f,0x7cc00000,0x9000002f,
    0x400001df,0x00005fe8,0x22000000,0x1fd004fe,0xfd100000,0x37f60009,
    0x001fa800,0xf1000262,0x2000001d,0x64002ff9,0x20000007,0x00001ffa,
    0x0007fdc0,0x001ff440,0x00000000,0x5402fec4,0x1000003f,0xfe800bfb,
    0x007ea004,0x000c0000,0x016c4000,0x00001f20,0x0000da80,0x001b5000,
    0x0005b100,0x00000000,0x0fd004c8,0x04c80000,0x2a001ec0,0x0000001f,
    0x00000000,0x00407c80,0x00000000,0x00000000,0x66665400,0x6665401c,
    0x000001cc,0x00007f70,0x00000000,0x000003f5,0x30000000,0x23e40001,
    0xaceffdb9,0x00000000,0x00000000,0x3fa00098,0x7c06ffff,0x005fffff,
    0x01be0000,0x00000000,0xcb87ea00,0xcccccccc,0x999952cc,0xccca8039,
    0x764c01cc,0x000cffff,0xbfff73e4,0x207fffb9,0xeeeeeec8,0xddddd904,
    0x7776449d,0xdd904eee,0x3009dddd,0x19ffffd9,0x033bf500,0x827fa660,
    0xeeeeeeec,0xeeeeeeee,0x05f704ee,0xeeeec880,0xeeeeeeee,0x3bbb224e,
    0xeeeeeeee,0x447ea4ee,0xffffffff,0xffd5ffff,0xff80dfff,0x3205ffff,
    0xffdbceff,0x6df2004f,0x7fd300ef,0xffffff10,0xffe881df,0xf10effff,
    0x1dffffff,0xfffffe88,0x3ff200ef,0x4fffdbce,0x4000fc80,0x7ff443fa,
    0xffffffff,0x6fffffff,0x9800df10,0xffffffff,0x0effffff,0xfffffff3,
    0xdfffffff,0x99887ea1,0x99999999,0x0677ea5f,0x04ff4cc0,0x9806ff44,
    0xdf9005fe,0x0ff2007f,0x9f0007d8,0xf0007d80,0x0dfe8809,0x880bfd30,
    0x07f4004f,0x3a001b60,0x0007f206,0x0000fd40,0x3ea007ea,0xc8bf0001,
    0x1fd4000f,0xb003ff88,0x9ff900bf,0xb02fd800,0x013e000f,0x13e000fb,
    0xb003ff88,0x00fd80bf,0xdb007f30,0x440dd000,0xf500005f,0x1fa80003,
    0x0000e980,0x004f88bf,0x2fc807f4,0x201fe400,0xf88006fc,0x2000fb04,
    0x003ec04f,0x0bf204f8,0x4407f900,0x01fb004f,0xdd000db0,0x0001fc80,
    0x40001fa8,0x000001fa,0x00fd85f8,0x3e607f30,0x01ff0005,0xc8001fe4,
    0x2000fb06,0x003ec04f,0x0bf304f8,0xd803fe00,0x027cc00f,0x6e8006d8,
    0x0002fcc0,0x20000fd4,0x000001fa,0x04f885f8,0x3f601fb0,0x07f70001,
    0xb8000fe4,0x0007d80f,0x007d809f,0x07f609f0,0x101fdc00,0x00fd809f,
    0xbd000db0,0x0001fb00,0x40001fa8,0x000001fa,0x01fb05f8,0x9f304f98,
    0x206f8000,0xf30000fc,0x2000fb05,0x003ec04f,0x04f984f8,0x36037c00,
    0x009f300f,0x2201036c,0x004f9800,0x0000fd40,0x000007ea,0x27c417e0,
    0x7d403f60,0x0fe40001,0x50000fc8,0x000fb05f,0x00fb013e,0x07ea13e0,
    0x403f9000,0x01fb04f9,0x09d036c0,0x000fe800,0x00007ea0,0x000003f5,
    0x07ec0bf0,0x3f204f98,0x1fd40000,0x90002fc8,0x000fb01f,0x00fb013e,
    0x03f213e0,0x807f5000,0x027cc0fd,0x05f81b60,0x001fd400,0x80003f50,
    0x000001fa,0x13e605f8,0x0fb007ec,0x209f3000,0xfd0004fc,0x7c001f60,
    0x8003ec04,0x0007d84f,0x7cc04f98,0x20007ec4,0x999999fd,0x7e80005f,
    0x007ea000,0x3003f500,0x17e0001f,0x4f981fb0,0x40003740,0x5ff904f8,
    0xb04fb800,0x013e000f,0x13e000fb,0x220001ba,0x30fd804f,0xffb0009f,
    0x0bffffff,0x007f5000,0x00007ea0,0x3f5003f5,0x3017e000,0x400fd89f,
    0xbf00005f,0x003fff20,0x0fb037cc,0xfb013e00,0x3e13e000,0x0bf00005,
    0x03f69f30,0x3333f600,0x0005fccc,0x2a000df0,0x7d40001f,0x001fa801,
    0x1fb00bf0,0x1b6013e6,0x413e2000,0x402ff9fc,0x1f601ffb,0x36027c00,
    0xb09f0007,0x9f10000d,0x13e7f600,0xbf036c00,0x0bee0000,0x0007ea00,
    0xf5003f50,0x017e0003,0x007ed3e6,0x540003e4,0x3a2f903f,0xeba9abdf,
    0x03ec01ef,0x3ec04f80,0x7c84f800,0x03fa8000,0x001fff30,0x05f81b60,
    0x00df1000,0x80003f50,0x1fa801fa,0x200bf000,0x7004f9fd,0xfb80003f,
    0x7e44f902,0x04ffffff,0x3e000fb0,0x8003ec04,0x001fb84f,0xb0017dc0,
    0x36c0009f,0x40000350,0x7d4002fc,0x0fd40001,0x8000fd40,0xfff3005f,
    0x00bea001,0x3201fb00,0x03575107,0x88007c80,0x003e404f,0x17d427c4,
    0x003f6000,0x20000fc8,0x0590006d,0x4005f880,0x540001fa,0x01fa801f,
    0x6c00bf00,0x1be2004f,0x205f9800,0x5000007c,0x3fa8001f,0x20007d40,
    0x06f883fa,0x8017e600,0x6c0005f8,0x00bf0006,0x54003f90,0x7d40001f,
    0x001fa801,0x7e400bf0,0x01fdc000,0x3202fd80,0xf1000007,0x01fc8005,
    0x320017c4,0x007f701f,0xc800bf60,0x36c0001f,0x8005f800,0x3ea005f8,
    0x0fd40001,0x8000fd40,0x0bf1004f,0x0003fa00,0x07c80bf5,0x01ba0000,
    0xdd001ff0,0x200ff800,0x7d4000fe,0x017e2005,0x4001b600,0x1fb0005f,
    0x0007ea00,0xf5003f50,0x05f30003,0x40007f20,0xf5000ef9,0x007c801f,
    0x00fee000,0xfb801fec,0x807fb003,0xf5000ef9,0x0fe4001f,0x0036c000,
    0xf30005f8,0x007ea009,0x5003f500,0x1f90003f,0x000bf100,0x5402ffb8,
    0x07c802ff,0x27e40000,0x90017f60,0x05fd809f,0xa805ff70,0x3e2002ff,
    0x0db00005,0x80017e00,0x1fa800fd,0x00fd4000,0x26000fd4,0x03f9006f,
    0x7bfd3000,0x3ffb7313,0x0001f200,0x26bbf600,0x00dfeb98,0x89aefd80,
    0x000dfeb9,0x226f7fa6,0x701ffdb9,0xdfdddddd,0xec800bdd,0xeeeeeffe,
    0xeeeeeeee,0x3e60005f,0xddddd913,0xddddddfd,0x77776449,0xeeeeefee,
    0x7100044e,0xbf1001df,0x7ec40000,0x0cffffff,0x77ff76c0,0x0000deee,
    0x7ffffe40,0x640003ff,0x3fffffff,0xfffb1000,0x4019ffff,0xeeeeeeeb,
    0x22005eee,0xfffffffe,0xffffffff,0x40005fff,0xfffff309,0xffffffff,
    0x3ffe61df,0xffffffff,0xd100efff,0xfffddddd,0xeeeeb81d,0x05eeefee,
    0x2f2e6000,0xddd9000a,0x01bddddd,0x32a20000,0x2000009b,0x0009bca8,
    0x15797300,0x00000000,0x00000000,0x00000000,0x3bb62000,0x702bdeee,
    0xdddddddd,0x00000bdd,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00600000,0x22000000,
    0x00000000,0x00510000,0x00000000,0x88000000,0x09700000,0x01b30000,
    0x03660000,0x55555540,0x55555531,0x04fa8014,0x2e000000,0x5c00004f,
    0x1000000d,0x0009fdfb,0x005e8800,0x003ea000,0x00037cc0,0x003bff62,
    0x17ffdc00,0x3fee0000,0xffff802f,0xffffd6ff,0x4007eaff,0x000005fd,
    0x000efc80,0x3fffb100,0x1b900000,0x00000ba6,0x00017fcc,0x2000fd00,
    0x20002ffa,0x1ffbcff9,0x577ec000,0xb00004fe,0x809fd5df,0x109999df,
    0x2afd3333,0x3bf2001f,0xb0000000,0x200001bf,0x3ffacfe9,0x20fc0000,
    0xa800005a,0x000002ff,0x2e000fea,0x2e0001ff,0x0ffe62ff,0x893fa600,
    0x30000efd,0x77ec49fd,0xd800bf00,0xb8003f57,0x000001ef,0x00017fa2,
    0x3a22ffa8,0x880000df,0x00034c0f,0x0007fee0,0x001fd000,0x0000efc8,
    0x3a203bf2,0x3fe6005f,0x003ff703,0xf703ff98,0x800bf03f,0x0003f57d,
    0x00003ff5,0x0009fd10,0xc80f7dc0,0xd80000ef,0x00001ec4,0x00001df9,
    0x4004f980,0x40000dfd,0x005c804d,0x3b30076a,0x401da800,0x005f81d9,
    0x001fabec,0x00003b30,0x00005b10,0x6d400cb8,0xef980000,0x00000eec,
    0x0000037a,0x90003f60,0x00000009,0x00000000,0x0bf00000,0x03f57d80,
    0x00000000,0x00000000,0x32a00000,0x00000001,0x17e60000,0x00000000,
    0x00000026,0x00000000,0x2fb0017e,0x000001fa,0x00000000,0x00000000,
    0x00000000,0x3f200000,0x00000001,0xffffec98,0x7764400c,0xd904eeee,
    0xc89ddddd,0xeeeeeeee,0xeeeeeeee,0xb0017e4e,0x6d407eaf,0x5eeeeeee,
    0xeeda8000,0x005eeeee,0xeeeeda80,0x80005eee,0xeeeeeeda,0xedb8005e,
    0x6dc02dee,0x4002deee,0x3bb205f8,0xeeeeeeee,0x4eeeeeee,0x5e77fe40,
    0x2204fffd,0xefffffff,0x7ffff440,0xffd10eff,0xffffffff,0xdfffffff,
    0x5f6002fc,0xfff901fa,0x03ffffff,0xffffc800,0x001fffff,0x7ffffe40,
    0x0001ffff,0x7fffffe4,0x6c001fff,0x405fffff,0x04fffffe,0xe880fe40,
    0xffffffff,0xffffffff,0x1bfd106f,0x2017fa60,0x09f0007d,0xdd000db0,
    0x5f6002fc,0x774001fa,0x000005f8,0x000bf1dd,0x17e3ba00,0x47740000,
    0x7f70005f,0x002fc800,0x36006f88,0x886e8006,0xbfb003ff,0xf0007d80,
    0x000db009,0x2002fcdd,0x4003f57d,0x001fb3f9,0xfb3f9800,0xf9800001,
    0x00001fb3,0x01fb3f98,0x4003fa00,0xf70005f9,0x0036c005,0x017e4374,
    0x7d80ff20,0xb009f000,0x7cdd000d,0xfabec005,0x543f2001,0x6400003f,
    0x0007f50f,0x7f50fc80,0x0fc80000,0x260007f5,0x01fd005f,0xb001be00,
    0x98dd000d,0x1ff0005f,0x7c001f60,0x8006d804,0xb0017e6e,0xf8007eaf,
    0x000037c5,0x000df17e,0x037c5f80,0xdf17e000,0x01fdc000,0x5c000bee,
    0x036c003f,0x07f63740,0xd81fdc00,0x009f0007,0x4bd000db,0xabec005f,
    0x85f5001f,0x500000fc,0x000fc85f,0xfc85f500,0x5f500000,0x20000fc8,
    0x0bf300fe,0x4003f400,0x25e8006d,0x7c0004f9,0x2000fb06,0x206d804f,
    0x02fc1100,0x00fd5f60,0x27cc0fd8,0x40fd8000,0xb00004f9,0x004f981f,
    0xf981fb00,0x17e60004,0xa80007f4,0x06d8003f,0x3f504402,0x81fc8000,
    0x09f0007d,0x02740db0,0x5f6002fc,0x5f8801fa,0x10000fd0,0x001fa0bf,
    0x3f417e20,0x82fc4000,0x7e40007e,0x0001fdc2,0xdb0001fd,0x7e402740,
    0x1fd40000,0x4f8003ec,0x17e06d80,0xfb0017e0,0x3ea007ea,0x0005f702,
    0x5f702fa8,0x02fa8000,0xa80005f7,0x005f702f,0xdf10fe80,0x027cc000,
    0x17e06d80,0x20001f60,0x007d84f9,0x3fb009f0,0x0bf33333,0x7d800bf0,
    0x0fd003f5,0x20002fc4,0x017e207e,0x7c40fd00,0x03f40005,0x98000bf1,
    0x0003fb5f,0xd80007ec,0xf999999f,0x0006e805,0x07d84f88,0xfb009f00,
    0xbfffffff,0xd800bf00,0xf8803f57,0x0007ec04,0x7ec04f88,0x09f10000,
    0x10000fd8,0x00fd809f,0x1fefe400,0x009f3000,0x7ffffec0,0x5f805fff,
    0xb0bf0000,0x013e000f,0x333333f6,0x05f805fc,0x01fabec0,0x3ea00fdc,
    0x03f70003,0x70003fa8,0x03fa803f,0xa803f700,0xfe80003f,0x0fec0006,
    0x999fb000,0xb00bf999,0x9f10000d,0x3e000fb0,0x3e06d804,0x4005f805,
    0xe803f57d,0x000df006,0x037c01ba,0xdf006e80,0x401ba000,0xfa80006f,
    0x17e20002,0x7c0db000,0x0007c805,0x07d83fa8,0xdb009f00,0x2fc02fc0,
    0x0fd5f600,0x9999df30,0x3fd99999,0xccef9800,0xeccccccc,0x77cc001f,
    0xcccccccc,0x4c001fec,0xccccccef,0x001feccc,0x00017d40,0xd80003f9,
    0x2e017e06,0x7dc0001f,0xf0007d82,0x540db009,0x4005f801,0x6403f57d,
    0xffffffff,0x004fffff,0x7fffffe4,0x4fffffff,0x7fffe400,0xffffffff,
    0x7fe4004f,0xffffffff,0x40004fff,0xf10002fa,0x0db0000d,0x17d400d4,
    0x203f6000,0x4f88007c,0x90006d80,0xfb0017e5,0x05f807ea,0x3e003ec0,
    0x003ec005,0x0fb0017e,0x6c005f80,0x17d40007,0x002fb800,0x90006d80,
    0x8001be25,0x01f505f9,0xd803fa80,0x3ebf0006,0xfabec005,0x8005f501,
    0x5f5002fa,0x002fa800,0xfa8005f5,0x005f5002,0x20002fa8,0xdf0002fa,
    0x01b60000,0x07f72fc0,0x440bf600,0x0fe4002f,0xf80036c0,0x7d800bf5,
    0x01f603f5,0x6c017e20,0x05f88007,0xf1000fb0,0x001f600b,0xa80017e2,
    0x2fb8002f,0x00db0000,0x01fd17e0,0x7405fa80,0x007fc006,0x5f80036c,
    0x57d800bf,0x009f103f,0xf1003f60,0x03f60009,0x20009f10,0x27c400fd,
    0x000fd800,0xd0005f50,0x36c0000f,0x7cc5f800,0x1ff5000e,0xb003fb80,
    0x01b6007f,0x005fafc0,0xb81fabec,0x7f30001f,0x0001fb80,0x1fb807f3,
    0x807f3000,0xf30001fb,0x0bea0007,0x0007f500,0xf80036c0,0x402ffb85,
    0xf9002ffa,0x005fd809,0xafc001b6,0x31aaaaef,0x2afd5555,0x0006e81f,
    0x01ba037c,0x6e80df00,0x2037c000,0x37c0006e,0x002fa800,0x000007f4,
    0x17e000db,0x44deff4c,0x001ffdb9,0x4c4d77ec,0x6400dfeb,0xeeeeffee,
    0xeeeeeeee,0xfffff5fe,0x3ffffadf,0x3661f37f,0x03deeffe,0x77ff76dc,
    0xdffdb31d,0xedb807bd,0xb31deffe,0x07bddffd,0xeffeedb8,0xdffdb31d,
    0xedb807bd,0x501deffe,0xddfddddb,0x3e605bdd,0xeec80003,0xeeeeeeff,
    0xfeeeeeee,0x3fff6205,0x000cffff,0xffffff90,0xffd1007f,0xffffffff,
    0xffffffff,0x2666666b,0x33333310,0xfffff504,0xffd80bff,0xf52fffff,
    0x0bffffff,0xffffffd8,0xfffff52f,0xffd80bff,0xf52fffff,0x0bffffff,
    0xffffffd8,0xffff902f,0x9fffffff,0x440000c0,0xfffffffe,0xffffffff,
    0x73005fff,0x00001579,0x0026f2a2,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80110000,0x13100000,0x80188000,0x80004400,0x22800038,0x00098019,
    0x80001b30,0x02200100,0xdd980010,0x00200002,0x11000011,0x88000080,
    0x1ff702ff,0xfff93000,0x01b87bff,0x0ffe03ec,0x4000ffcc,0xb88001fa,
    0x05dfd2ff,0x2e000774,0x10002fff,0x8806c85f,0x1ff702ff,0xffffe880,
    0xf0036c1e,0x07fe607f,0x02ff8800,0x40001ff7,0xffb04ffa,0x7fec4005,
    0xefedcbdf,0x27dc09f1,0x320dff30,0xfb8003ff,0x1dfc8001,0x5c07fee2,
    0x3bf6004f,0x98004fea,0x5403ec2f,0x5ffb04ff,0xc88cfc80,0x04febeff,
    0x320dff30,0x2a0003ff,0x5ffb04ff,0x0f6c4000,0x22005e98,0x3aa01dfe,
    0xff104fdf,0x102ec801,0xf70001bd,0x409f0005,0x07fa06f8,0x6c49fd30,
    0x3ea000ef,0x6c403742,0x00bd301e,0xfffb1033,0x02ec8005,0x40001bd1,
    0xbd301ed8,0x00000000,0xc800ffa0,0x09f904ff,0x26000000,0xadfffffd,
    0x03f500c8,0x17ee07d8,0xf702ff98,0x07ee003f,0x000000dd,0x00031000,
    0x00000000,0x00000000,0x004fc800,0x1ff04fd8,0x70000000,0xfd957bff,
    0x3f205fdf,0xf007e400,0x0076a03f,0x3ee003b3,0x00002fc1,0x00130000,
    0x00000000,0x00000000,0x1df10000,0x509f3000,0x04c000bf,0x80f7d400,
    0xf902ffc9,0x200fc801,0x000004fc,0x17e07e40,0x98000000,0x0cffffec,
    0x00000000,0x88000000,0x4eeeeeec,0xdddddd90,0x0002fa89,0x00bf60fe,
    0xffffec98,0x01ff000c,0x3f205fd0,0x3007e400,0x000000ff,0x027c47c8,
    0xdddddd91,0x9ddddddd,0xbceffc80,0x2004fffd,0xeeeeeeda,0xdd90005e,
    0xdddddddd,0x9ddddddd,0xfffff880,0x7f440eff,0x20efffff,0x4040006d,
    0xf9000ff8,0xfffb79df,0x003f9809,0x03f203f3,0xfe801f90,0x3bbbb222,
    0xeeeeeeee,0x447d804e,0x3ffe603f,0xffffffff,0xe880efff,0xbfd300df,
    0x3ffff200,0x001fffff,0x7fffff44,0xffffffff,0x2006ffff,0x09f0007d,
    0x2000013e,0xfe8805fc,0x0bfd300d,0x80000fdc,0x07e400fc,0xff997ee0,
    0xffffffff,0x400effff,0x001fcc7d,0x22001fa8,0xbfb003ff,0x7c774000,
    0x036c0005,0xfb003740,0x2613e000,0xf800003f,0x1ffc404f,0xf505fd80,
    0x3f200005,0x2007e400,0xfa800ffa,0x31ba0001,0x3ea0005f,0x00bf2001,
    0x30007f90,0x0003f67f,0x6e8006d8,0x4001f600,0x001fa84f,0x01ffcc00,
    0xf9000bf2,0x000bf107,0xf9003f20,0x02ff9801,0x91001fa8,0x999ff999,
    0x07999bfb,0x4c007ea0,0x1ff0005f,0xf50fc800,0x036c0007,0xfb003740,
    0x2a13e000,0x5400001f,0x17e602ff,0x5c07fc00,0x6c0001df,0x401fb807,
    0xfa803ff8,0xffff3001,0xffffffff,0x2a00dfff,0x03fb001f,0x000fee00,
    0x0006f8bf,0x1ba001b6,0xf0007d80,0x0003f509,0x200ffb80,0xf70001fd,
    0x37ffee07,0x037c001b,0x7fc01fd4,0x001fa804,0x0fb89f10,0x003f5000,
    0xf80009f3,0x90bea006,0x1b60001f,0xd8017a00,0x509f0007,0xc800003f,
    0x013e607f,0x5c40df00,0x0beffffd,0x1007fb30,0x5fe807fd,0x0001fa80,
    0x00fc89f1,0x5003f500,0xfc80003f,0x981fb001,0x0db0004f,0x20008804,
    0x09f0007d,0x800007f5,0x07ea06fd,0x003f9000,0x03bff2e6,0x44009ffb,
    0xdfb02fff,0x0003f500,0x00f90fe6,0x6400fd40,0x7d40000f,0xd05f8803,
    0x81b6000f,0x7d80004e,0xf109f000,0xfc800009,0x0003f206,0x20007f50,
    0x3ff21ffa,0x3bfe6005,0x500dfb01,0x3e60003f,0x50003ec2,0x00fb003f,
    0x5009f300,0x00bee05f,0x05f81b60,0x0007d800,0x001be09f,0x6c0ff700,
    0x4f980007,0x117e2000,0xdf1009f9,0x805fe805,0xf50001fa,0x20006d85,
    0x06e801fa,0x804f8800,0x017e207e,0x26667f60,0x80005f99,0x09f0007d,
    0x800007f2,0x0dd01ffa,0x009f1000,0x0df07d80,0xff007f50,0x003f5009,
    0x37f7332e,0xcccffccc,0x007ea003,0x7c00017e,0x2027c405,0x7ec000fd,
    0x5fffffff,0x007d8000,0x1be209f0,0x7fcc1000,0x0000bf02,0xb800197e,
    0x400fc81f,0x7fc400fb,0x801fa803,0xfffffff8,0xffffffff,0x03f5000f,
    0x10000db0,0x01fb809f,0x36001fd4,0xfccccccf,0x07d80005,0x7dc09f00,
    0x21f90004,0x0db03ff8,0x269f1000,0x07e4001f,0x3f2007e4,0x017fcc00,
    0xc8000fd4,0x0002fc0f,0x0f9003f5,0x807f5000,0x00df006e,0x017e06d8,
    0x4001f600,0x01fec04f,0xfe89fb10,0x0000f904,0x017ea7f5,0x1f906f88,
    0x5400fc80,0x1fa800ff,0x441f9000,0x3ea0004f,0x001fb801,0xf3017dc0,
    0x9999999d,0x4003fd99,0x0017e06d,0x7c001f60,0x00dfd804,0x7dc27f44,
    0x0003f705,0x9ff52fb8,0x203fd100,0x07e400fc,0x5401bf20,0x8fb0001f,
    0x2a0003f8,0x02fa801f,0x9007ec00,0xffffffff,0x009fffff,0x0035036c,
    0x1000f900,0x3ff6009f,0xfdb989bc,0x01ff102f,0xd80005f5,0x5dfff50f,
    0x1ffe4c43,0xfc801f90,0x801ff400,0xfb0001fa,0x20003f98,0x6f8801fa,
    0x017e6000,0x07d800bf,0x64001b60,0x001f5002,0x2a003fa8,0xfffffffe,
    0x41fec00d,0x260006f8,0x3ea7e65f,0xefffffff,0x2007e401,0x3fe600fc,
    0x003f5000,0x05f31ba0,0x800fd400,0xfb0003fb,0x0017d405,0x36c00bea,
    0x1005f800,0x1fc8005f,0xbdf98800,0x41bea001,0xfb0003fb,0x7edcc085,
    0x1f9000bd,0x3200fc80,0x07ea004f,0x3ea2f400,0x07ea0002,0x4000fe80,
    0x03ec05fa,0xd802fc40,0x00bf0006,0x3fe00374,0x007e0000,0xfe80ffc0,
    0x02fd4000,0xc8003f70,0x807e400f,0x2a001ff8,0x8bf0001f,0x2a0001fa,
    0x3be6001f,0x01ff5000,0xd80027c4,0x006d800f,0x7dc00bf0,0x007fb003,
    0x8001df80,0x1df305fb,0x003fea00,0x5c001fb8,0x7037402f,0x1fa800bf,
    0xfb89f000,0x07ea0001,0x805ff700,0x7dc02ffa,0x07f30001,0x3e000db0,
    0x027e4005,0x200017f6,0xe8001fba,0x05ff701f,0x4002ffa8,0x7cc001fb,
    0x440fe605,0x7d4000ff,0x44f88001,0x2a0000fc,0xfe98001f,0xfdb989bd,
    0x006e801f,0x36c037c0,0x8005f800,0xb989aefd,0x30000dfe,0xa8003d81,
    0x37fa605f,0xffdb989b,0x01fb8001,0x263efd80,0x9f700ffc,0x003f5000,
    0x07c87f10,0xeeeeec88,0xeeeeeefe,0x7ffec404,0x200cffff,0xdeeffed9,
    0x7f76dc03,0x3bb21def,0xeeeeeeff,0xfeeeeeee,0xfff90005,0x0007ffff,
    0x0fdcefd8,0x880fb000,0xfffffffd,0x3f50000c,0x4bfae000,0x1ba01cfe,
    0xeeeeec88,0xeeeeeefe,0x0e205c04,0x3ffffe60,0xffffffff,0x973000ef,
    0xff500157,0x80bfffff,0xfffffffd,0xfffffd12,0xffffffff,0x00bfffff,
    0x09bca880,0x7b730000,0x00080001,0x002af2e6,0x0000b100,0x04400441,
    0xffffff30,0xffffffff,0x0000001d,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x6ecc0003,0x20000002,0x6d400001,0x2000002d,
    0x100001b9,0x55555553,0x55400155,0x0aaaaaaa,0x00013600,0x00000000,
    0x26400030,0x2fb22000,0xfffeb800,0xffd1003e,0x36c43dff,0x3fb26000,
    0x0001cdff,0x1bffffd1,0x88002f44,0x000dfdfe,0xeffffda8,0x2eeefeee,
    0x777fec40,0x01feeeee,0x00017f20,0x00001f30,0x007e400c,0x4013f620,
    0x7ffec3fc,0x37ff6204,0xd804fecb,0xdffc88cf,0x20004feb,0xfdbdfffb,
    0xfe8003ff,0xf9bff913,0x1320005f,0x7ecc007b,0x7c45d0bf,0x05dd1000,
    0xfc8003f0,0xf700000e,0x764c0003,0x5c1cefff,0x7f44005f,0x8fff1004,
    0x3a06ffff,0x80bf703f,0xfffd8809,0xbfb10002,0x017f6201,0xffd30130,
    0x07c0003d,0x7fcc01aa,0x1f11740d,0xf801b200,0x1efb8001,0x01fb8000,
    0x7bfff700,0x3e67ffd9,0x3fe6000e,0x1ffe2002,0x2e05fff7,0x00fe402f,
    0x80003100,0xdf9004fe,0x00440000,0x1aa0fc00,0x2e82ff40,0x1fc003e2,
    0x20003f00,0x40001ffa,0x6c4001fb,0xdfd300df,0x7d4001fd,0x7fc4001f,
    0xf100a987,0x000fe00d,0x3fb80000,0x001fe400,0x32000000,0x2600f625,
    0x445d01ff,0x00f8800f,0x98000320,0x7dc0006f,0x027f4001,0x4002ffc8,
    0xff0001ef,0x03f9000f,0xeda81b60,0x05eeeeee,0x000df100,0xddb703fa,
    0xddd9009d,0x10019ddd,0x001bfbfb,0x11740ff7,0x00ba001f,0x01100000,
    0x001fb800,0xfc800fee,0x0004003f,0x2001bfe0,0x81f2005f,0xfffffffc,
    0xfd8001ff,0x89f50001,0x01fffffe,0x3fffffa2,0x2e6001ff,0x81bee000,
    0x2003e22e,0x00000ed9,0x71000000,0x4017bdfd,0x3ea006f8,0x00000fed,
    0x001bfe00,0x7e4009f1,0x7c774000,0x02fc4005,0x6403fa00,0x2f4006ff,
    0xf7000000,0x1f11740f,0x777ffdc0,0x00000001,0x3fff6200,0x1fcfffee,
    0xf98017ec,0x0004fa8e,0x0bfd0001,0x4403f980,0x2000fda9,0x001fb3f9,
    0x200017cc,0xf9f901fb,0x002f4005,0xffa80010,0x07c45d01,0x3f20afa8,
    0xccca8003,0x66665404,0x033fe604,0x445ffd51,0x3fd1005f,0x6dc007f4,
    0x00cdeffe,0x04885fe8,0x3f2203f7,0x2000ffff,0x007f50fc,0x20000fdc,
    0xd1f902f9,0x017a001f,0x7fffedd4,0x5ff8803e,0x807c45d0,0x03df502e,
    0x03ffffc0,0x81fffffa,0x7fc401fe,0x6c00be62,0x300fd43f,0xfd99dffd,
    0x5fd805ff,0x0fc81fa8,0xd9adff98,0xf17e000f,0x007e400d,0x6413e200,
    0x3a009f57,0x7fffe405,0x1ffedcce,0x742ffcc0,0x17403e22,0x001bf910,
    0x2601f666,0x5f707d99,0xfb8bee00,0x984fb801,0x07ff903f,0xfb02ff54,
    0xf905f709,0xfc85fd10,0xc85f5000,0x00fb000f,0x3e417e00,0x0bd003fb,
    0x2a01bdd8,0x7f4c00ff,0x7c45d0bd,0xb300d500,0x03ec007f,0x037c1f60,
    0x00fc8320,0x4f8837cc,0x9000efa8,0x213f209f,0xb87c82fb,0x000fc82f,
    0x04f981fb,0x20000dd0,0x7c4f906f,0x0005e805,0x5c017ee0,0x222feffe,
    0x0037a00f,0x36007baa,0x443ec007,0x3ec0004f,0xf803fe20,0x00077c45,
    0x0ff207f6,0x21f20ff2,0x001f907d,0x01fa0bf1,0xf80003ec,0x2fc8f904,
    0x00002f40,0x2e6001fa,0xb003e22f,0x13ee005d,0x7d800fb0,0x40002f98,
    0x00ff406e,0x003fb17e,0x0ff21be0,0x21f20ff2,0x001f905f,0x0bee05f5,
    0x00003f20,0x21f207f3,0x002f406e,0x8001f200,0x2003e22e,0xf9800dfb,
    0xb001f605,0x0005f30f,0x0ff207d8,0x00df13e0,0x3ee07e40,0x7c84fd82,
    0x0fc80fe8,0x3e207e80,0x001fb805,0x7c817d40,0x17a04fa8,0x00f90000,
    0x01f11740,0x200ff620,0x00fb01f8,0x04f887d8,0x5407e400,0x23f9805f,
    0x260003f8,0x6c17dc1f,0xfc87c84f,0x4400fc83,0x007ec04f,0x90000fe6,
    0x6c1f203f,0x200bd00f,0xceeecca8,0x20007dab,0x0003e22e,0x5c805dd5,
    0x7d800fb0,0xa8000dd0,0x0077cc1f,0xfff517d4,0xffffffff,0x7fffffff,
    0x5fd80f98,0xdfe887c8,0xf7003f22,0x803fa803,0xf10000fe,0xf983e40d,
    0xc880bd05,0xffefffff,0x20007fff,0x0003e22e,0x6a806fdc,0x7d800fb0,
    0x40009f50,0x03fa24f9,0xbf307e40,0x99999999,0x99999999,0x17fa0105,
    0x3fa603ee,0x404fffff,0x00df006e,0x320009f5,0xc81f201f,0x2605e82f,
    0x5101aeff,0x174000fd,0x440001f1,0x8174c2fd,0x03ec007d,0x5f7007fb,
    0x05fb0fe8,0x9f11be20,0xe8000000,0x201fa86f,0x04edeeca,0x33333be6,
    0x1feccccc,0x4001fe80,0x03e405f9,0x20bd0df1,0x32002ff8,0x88ba0007,
    0xfb80000f,0x3604ffed,0x103ec007,0x26215dfb,0x7cc0efeb,0x36004fbb,
    0x0006e81f,0x437fc000,0x400002f9,0xfffffffc,0x04ffffff,0x3001ef98,
    0x07c801ff,0x417a1fdc,0x3e4001fc,0x7c45d000,0xbf500000,0x007d8035,
    0x7fe403ec,0x03ffffff,0x98017ff6,0x003fb05f,0x3ffc0000,0x000027c4,
    0x0fb0017e,0x500bfe60,0x0f9005ff,0x82f41fd0,0x07c8006e,0x0f88ba00,
    0x01720000,0xf98007e4,0xbfb51007,0x3ff50037,0x403fe600,0x000006f8,
    0x7ec1ffe0,0x5f500000,0x002fa800,0x3137bff3,0x2001dfb7,0x25f9807c,
    0x800bf05e,0x3a0007e8,0x28803e22,0x5c01e600,0x7ffb803f,0x800fdc00,
    0x402fffe8,0x7d402ffa,0xa8370005,0x07ffc42c,0x80001fd4,0x5f88007d,
    0x3fff2200,0x4004ffff,0x23f9007c,0x001fd05e,0x8001ffea,0x9803e22e,
    0x401ea007,0x7fe406f9,0x0fdc007e,0xfe9afd80,0xfdb989bd,0x3bfb000e,
    0xc8ffee00,0x3fe23fff,0x0007fa07,0x20009f10,0x7c4000fd,0x90001bef,
    0x75be200f,0xb009f705,0x4000fdff,0x9803e22e,0x80136007,0xdb98befc,
    0xdefd8cff,0x801fb800,0x3ff224fb,0x004fffff,0x89acffb8,0x3fffcb98,
    0x2e37fffc,0x07fe602d,0x3f703c88,0x00fe6000,0x0003fe98,0x3ee007c8,
    0x37fa05eb,0xffdb9889,0x0ceefc8c,0x0f88ba00,0x7dc01e60,0x7ffe4000,
    0x3f62efff,0x1fb802ff,0x98837cc0,0x40001bcb,0xffffffd8,0xfc80beff,
    0xf70003ff,0xf733159f,0x001ba05f,0x3ee00df0,0xacdfeeef,0x320bf930,
    0x2fff4007,0xfffff910,0x7fe43dff,0x999701ff,0x667dcbf9,0x6667cc1c,
    0x1fedcccc,0x57973000,0x3a600001,0x00064400,0x54c40000,0x95001acc,
    0xff980005,0x42efffff,0xdeeffed9,0x7f76dc03,0xff901def,0xfffddfff,
    0xc83dffff,0x0ceeeffe,0x2017fe60,0x009bcca8,0x66665c00,0x33332e4c,
    0x66666441,0x0001bccc,0x00000000,0x00000000,0x00000000,0x0d665cc0,
    0xffffffa8,0x7ffec05f,0xb702ffff,0x3b2a2037,0xfffe882c,0x6c00efff,
    0x0000005f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x02800000,0x02640000,0x00264000,0x4d800000,0x00000000,
    0x00000280,0x003c8000,0x00028000,0x9b000000,0x44000000,0x00000dfd,
    0x00027ec4,0x0009fb10,0x073bfb26,0x002fe400,0x677f6540,0x3f620002,
    0xb710000d,0x40005bdf,0x000005fc,0x0001bfb1,0x6f7f6dc4,0x0bfb0003,
    0xff300000,0x00003dfb,0x00013fa2,0x0004fe88,0xfffbfff7,0x3bf20007,
    0xffd88000,0x00dffede,0x77effcc0,0x7ffd4001,0x000effed,0x0001df90,
    0x77effcc0,0x7fe44001,0x1effedef,0x00efc800,0x3ff70000,0x0000ffea,
    0x00005ff3,0x80017fcc,0x7ecc1dfc,0x3df70004,0x427fc400,0x7000efc8,
    0x0ffea3ff,0x6417fd40,0xf70000ef,0xf700003d,0x00ffea3f,0xb80eff44,
    0xfb8001ff,0x6c00001e,0x2ff440ef,0x01ffa800,0x07fea000,0x0077cc00,
    0x2a0003fb,0x5fb001ff,0xd804fa80,0x2ff440ef,0xa803be20,0x3ea0005f,
    0x3f60001f,0x02ff440e,0x7c401fec,0xffa8000e,0x9f700001,0x8002fd80,
    0x400001ef,0x360001ef,0x037cc00f,0x500df300,0x07f6009f,0x7ec04fb8,
    0x200bee02,0x260001fc,0x9f70006f,0x4c02fc80,0x00fea001,0x00037cc0,
    0x00300088,0x40000020,0x27cc0001,0x0001fd80,0x03f20022,0x1101fcc0,
    0x0bf00600,0x00017e20,0x06200011,0x400000c0,0x220004f8,0x00000000,
    0x00000000,0x1fd80000,0x0009f500,0x800fb000,0x8000005f,0x3f6003f8,
    0x00000000,0x00000000,0x0000017a,0x00010000,0x80000000,0x006e8000,
    0x0040037c,0x9f001f60,0x98001000,0x0bea002f,0x00000200,0x20000000,
    0x008003f8,0x3b6e0000,0x400cdeff,0x5404ccca,0x5004cccc,0x7dffffb7,
    0xd0013e00,0xffdb700f,0xfa8019bd,0x805f3000,0xeffffdba,0x002fa803,
    0x36ea027c,0x003effff,0xa8099995,0x0004cccc,0x26007ee0,0x1cdfffdc,
    0xffe98000,0x2fffecce,0x01ffffe0,0x80fffffd,0xcceffffc,0x2201ffed,
    0x03ec004f,0xd99dffd3,0x7c405fff,0x640fb005,0xdcceffff,0x3e201ffe,
    0x41be6003,0xcceffffc,0x7c01ffed,0x7f407fff,0x00007fff,0xff900df3,
    0x7fffb9bf,0x1ffe4000,0x4c0bfd50,0x999807d9,0x0deec07d,0x2601ff50,
    0x07e4003f,0xd501ffe4,0x01fe40bf,0xbdd813f2,0x803fea01,0x1ffa004e,
    0xf500deec,0x7d99801f,0x07d99980,0x077e4400,0x201bfd10,0x4000efe9,
    0xf9000efa,0x4007d809,0x2e00007d,0x005f505f,0x77d41fb8,0x409f9000,
    0xd731aefc,0x5c00007f,0x003f205f,0x0001ffee,0x3ec017ee,0x5001f600,
    0x00bfffdd,0x3ee007fd,0x03be2005,0x6c03fb00,0x003ec007,0x7d41fa00,
    0x10fdc002,0xfd8001df,0x3fffea01,0x00002fff,0x17e607e8,0x01f79f50,
    0x200fd000,0x03ec007d,0x3ffffa60,0x001fe402,0x7ec00ff2,0x40df0001,
    0x03ec007d,0x541f2000,0x0fdc002f,0x3e0003fb,0x9dffb106,0x0000bffd,
    0xdfa80f90,0x1f75fb80,0x00f90000,0x0fb001f6,0x27f5cc00,0xd0005f98,
    0x00df001f,0x7d807e40,0x0003ec00,0x17d41f20,0x6f87ee00,0x103f2000,
    0x3bee05fd,0x1f200000,0x32f3fee0,0x003f26ff,0x6c01f200,0x003ec007,
    0x5c0dfd80,0x5f50001f,0x0003f880,0x03ec07e6,0x54401f60,0xabceeecc,
    0x005f507d,0x07f11fb8,0xf10fcc00,0x0ef8801d,0x77665440,0x007dabce,
    0x15bfffb5,0x32a203ec,0xdabceeec,0x800fb007,0x2e00007d,0x0003ec4f,
    0xffa809f1,0xffffffff,0xffffffff,0xd800fb03,0x7ffe4407,0xfffffeff,
    0x8007f307,0xffff50fc,0xffffffff,0x47ffffff,0x5f5001fb,0x3ffff220,
    0x7fffffef,0x1fe01800,0x7ffffe44,0x07fffffe,0x7d800fb0,0x23ec0000,
    0x3740005e,0x33337e60,0xcccccccc,0xb02ccccc,0x207d800f,0x101aeff9,
    0x17e20fd5,0x6fccfb00,0xcccccccc,0xcccccccc,0xbd0017a2,0x035dff30,
    0x0001faa2,0xff985f88,0xfd5101ae,0xb001f600,0xfa80000f,0xd00017e2,
    0x004f880d,0x001f6000,0x0bfe20fb,0x1be07c80,0x27c4dd00,0x07f10000,
    0x7fc47c80,0x001f2002,0x7c43fa80,0x01f2002f,0x1f6003ec,0x49f10000,
    0x2fc0006e,0x00003740,0x7d800fb0,0xc8003f90,0x8801fa07,0x0003745f,
    0xb8007f30,0x0007f20f,0x220000f9,0x00fe40ff,0x3ec01f20,0x0001f600,
    0x07e49f10,0x803f8800,0x000001fd,0x07d800fb,0x0f9000dd,0xfb8017dc,
    0x0000fec3,0x7d8009f0,0x3e400374,0x83fd8000,0x07c8006e,0x7d800fb0,
    0x17cc0000,0x2e0005f7,0x06f8802f,0x01f90000,0x2fc1fe60,0x881fa200,
    0x10fd006f,0x740000df,0xf17e2006,0x07e8800b,0xf05fa800,0x07e8800b,
    0x26001f90,0x6c00007f,0x0007f40f,0xfa801be6,0x20370005,0xffb803fb,
    0x2001fd07,0x7ec07ffa,0xa81fdc02,0x4370005f,0x3fb004fa,0xf5000fe8,
    0xfc8000ff,0x001fd00f,0x5c01ffea,0x7ffb803f,0xfb800590,0x2005f984,
    0x6c000fe8,0xff7001df,0x901be607,0x3ee0fdff,0x7effd804,0xa80ffc40,
    0x0efec06f,0x6c3ffb80,0x427e404f,0xffd804fb,0xfd30007e,0x027dc01b,
    0x803f7fec,0x7fe406f9,0x05dfd07e,0x7e40df90,0x1ff5401e,0xacffb800,
    0xffcb9889,0x5f7e403f,0x8cffdb98,0x7f40defd,0xfdb9889d,0xceefc8cf,
    0x9acffa80,0xb801efda,0x9889acff,0x883fffcb,0xb989befd,0x37fa05fe,
    0xffdb9889,0x0ceefc8c,0xb9533591,0x3fa007ff,0xfdb9889d,0xceefc8cf,
    0x22fbf200,0xd8cffdb9,0x3f620def,0xba89abdf,0x7dc00dfe,0xfb531acf,
    0xd880005f,0xffffffff,0xff9000be,0x6c5dffff,0x7e442fff,0x1effffff,
    0x407ffff2,0xefffffe9,0x3ff62000,0xbeffffff,0x7fffd400,0x64402fff,
    0xefffffff,0x47ffff21,0xeffffff8,0x3f22001b,0x1effffff,0x007ffff2,
    0xdffffff9,0x417ffec5,0xfffffec9,0x362002ff,0xdfffffff,0x26200000,
    0x0001acca,0x002af2e6,0x9bcca880,0x95300000,0x4c400015,0x0001acca,
    0x80035953,0x009bcca8,0x00377300,0x37995100,0x5cc00001,0x80000abc,
    0x001abb98,0x26f2e620,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x64000000,0x00500004,
    0x20000000,0x1930005a,0x55550000,0x55555555,0x000cc003,0x5555554c,
    0xaaaaaaaa,0x01531002,0x40000000,0x64c00009,0x40000bdd,0x000cffd9,
    0x009fd100,0x00dfd880,0xfdb98800,0x3f2002ce,0x1df50006,0xffff8000,
    0xffffffff,0xbfff7007,0xb0ff6a25,0xffffffff,0x0dffffff,0xfffffd88,
    0xeca88002,0x64001cdf,0xf70001ef,0x003df97f,0x1fffff40,0x1ff44000,
    0x37fe6000,0x2e0001ef,0xffedffff,0x00dfd800,0x007fea00,0x9999ef80,
    0x00999999,0x3bff72a0,0x7ec0ceff,0x99999999,0x206e9999,0xfbaceff9,
    0x3fea004f,0x03fffdef,0x3ffdfe88,0x2217d400,0xff0000fc,0x80009fff,
    0x40002ff9,0x7ff51ffb,0xaefe8800,0x7f440080,0xff300004,0x017e0005,
    0x7ed44000,0x1f603fff,0x7c41be00,0x02fd881f,0x441befb8,0x3fe606fd,
    0x400bfd13,0x0013e04f,0x00f7ffdc,0x003ff500,0x440efd80,0xff5005fe,
    0x7f440009,0x74c00003,0x05f8003f,0x7ff5c000,0x01ff99ce,0x3f980095,
    0x7cc09f70,0x4037dc06,0x1ffb84fb,0x4400efd8,0x001b201f,0x80001988,
    0x5c0001ef,0x017ec04f,0x0000bfe6,0x000005f9,0xf0007fa2,0x7d40000b,
    0x1fe881ce,0x03f90000,0x1fd003f2,0xd8007fc0,0x803be21f,0x03cc05fb,
    0x000001e6,0x80000400,0xd0030008,0x1100003f,0x05000000,0x0000bf00,
    0x06f88008,0x6c0dd000,0x501fb807,0x1fcc005f,0x20044006,0x01b201f8,
    0x00000000,0x80000000,0x000004fc,0x00000000,0x000005f8,0x0007f500,
    0x1f604f88,0x2dc03f20,0x0002fc00,0x7c417a00,0x00000004,0x80000080,
    0x037c4000,0x00000000,0x05f80000,0xca988000,0x007ec1ac,0x6c03f700,
    0x0037c407,0x00037400,0x982fe600,0x0000006d,0xfffb9300,0x9300039b,
    0x039bfffb,0x80001fa8,0xccccccb8,0x665c4001,0x8001cccc,0x2b32a65f,
    0x7ffdc001,0xf32fffff,0x03f40007,0x7fd441f6,0x7c400001,0x66665c44,
    0xfa8001cc,0x000efedf,0x20002c80,0xfdcdfffc,0x3f2003ff,0xfffdcdff,
    0x0001f203,0x7fffffd4,0x7fd4002f,0x002fffff,0xffffcef8,0x4c00efff,
    0x988abefe,0x06e8efeb,0xd809f100,0x17fff4c7,0x17dc0000,0x3fffffea,
    0x9510002f,0x03654059,0xe88004f8,0xdfd300df,0x06ff4401,0xe80efe98,
    0x40013105,0x2fb99998,0x99998800,0xff8002fb,0xca89bdff,0x9ff102ff,
    0x1f9df700,0x805f5000,0x7fffd47d,0x2600000d,0x3333105f,0x000005f7,
    0x0073ff6a,0x7f40027c,0x40bf7003,0xbf7003fe,0x7edc49f0,0x50001eff,
    0x2a00005f,0x1cb8002f,0x6c07f4c0,0x3fe6001f,0x07d8002f,0xf93107d8,
    0xd100009f,0x17d4003f,0xfda88000,0x366001cf,0x1fe4004f,0x320ff200,
    0x1fe4003f,0x3bfa25f3,0x003ffcbc,0x00002fa8,0x000005f5,0x27dc5f98,
    0x01ffdc00,0x3ec02fc0,0x001fecc0,0x8005fd10,0x220002fa,0x001cffda,
    0x00effecc,0x2000bf30,0x017e60fe,0x9fa87f40,0xfd882fe8,0x017d4003,
    0x002fa800,0x21fc8000,0x3fa0006e,0x017d4003,0x5fb003ec,0x05fd1000,
    0x8005f500,0x01cefda8,0x019ff900,0x0003f700,0x01fb8bea,0x3ea5f500,
    0x7f400fea,0x00bea000,0x0017d400,0xf17cc000,0x27e40009,0x2003f200,
    0x3fe2007d,0x0bfa2000,0x8017d400,0x001befd8,0x00077ec0,0x44000fb0,
    0x8001f64f,0x5fff34f8,0x400bf300,0x500002fa,0x0000005f,0x00fe69f1,
    0x4004fa80,0x00fb005f,0xd1001fb8,0x7d40005f,0x9806e002,0xf102dffd,
    0x0bd00009,0x17a6e800,0x3e2dd000,0x01b6004f,0x00002fa8,0x000005f5,
    0x017d57e0,0x4007f300,0x0fb003f9,0x8803f980,0x540002fe,0xf700002f,
    0x709fd57d,0xbf00003f,0x3e6e8000,0x8b740005,0x3f2000ff,0x005f5000,
    0x000bea00,0x453e2000,0x3ea0004f,0x003f2002,0x2fc003ec,0x000bfe60,
    0x0000bea0,0x0be60be6,0x3a0000dd,0xd2fc0006,0x25f8000d,0x0fdc006e,
    0x0002fa80,0x00005f50,0x37c7f300,0x001fb000,0x0fb00374,0x7cc0dd00,
    0xf500001f,0x0db00005,0x001ba3e4,0x80007e40,0x003f23f8,0x3f71fc40,
    0x8007e400,0x500002fa,0x0000005f,0x007ec3f7,0x22007f80,0x21f6003f,
    0x4c17e200,0x200001ff,0xf80002fa,0x7d83e602,0x7dc15c00,0x45f70002,
    0xf70002fb,0xb001fcc5,0x017d400f,0x002fa800,0x1be20002,0xf50009f3,
    0x00fdc007,0x207f0fb0,0x1ffa84fa,0x17d40000,0x100fc000,0x0027dc3f,
    0x003fa0bf,0x1fd0df30,0xe86f9800,0x00bf1006,0x800017d4,0x3ba002fa,
    0x20bf2001,0x3ea005fc,0x00374006,0x6c1be1f6,0x0077d42f,0x017d4000,
    0xf7027400,0x3e005fd0,0x400bf305,0x5f980fe8,0x203fa200,0x1fc804fa,
    0x000bea00,0x50017d40,0xfd8809ff,0x2017fa05,0x22001ffb,0x43ec004f,
    0x237cc1fd,0x26000efb,0x005f5001,0x2f40f700,0x4c067fcc,0x3f205ffc,
    0x1ff5401e,0xa803df90,0x0ff603fe,0x54004fb8,0xf500002f,0xefe88005,
    0xffba99bc,0x3ff6200d,0xfeba88ad,0x0fdc001e,0x6fff7640,0x2a2bbe61,
    0x037ea1fe,0x2a00db00,0xdd00002f,0x9807ed45,0xffeefffe,0xffb803ef,
    0xffb531ac,0x59ff7005,0x0bff6a63,0x266b7f60,0xeb80dfda,0xefeeeeee,
    0x44eeeeee,0xeeeeeeeb,0xeeeeeeef,0x3fff6e04,0x2002ffff,0xfffffffa,
    0x0d70004f,0xfffffd10,0xfffffb87,0x77777dc1,0xeeeeeeee,0x3bbae6fe,
    0xeeefeeee,0x2004eeee,0x0dfeffd8,0xdefdca80,0x7ec4001c,0x0dffffff,
    0x3fff6200,0x000dffff,0x3fffff6e,0xffffd104,0xffffffff,0x3a21dfff,
    0xffffffff,0xefffffff,0x1acb9800,0x32ea2000,0x0000001a,0x15973000,
    0xffffff70,0xffffffff,0x3fffa2df,0xffffffff,0x000effff,0x0000d544,
    0x2e620000,0x200009bc,0x009bcb98,0x026ee200,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000040,0x4c000001,0x04000001,0x55400000,0x2aa602aa,
    0x4000002a,0x09b300dc,0x00006000,0x400006a0,0x09b101dc,0x02cfeda8,
    0x764c0000,0x65c2ceff,0x6e4403cc,0x641bdfff,0xf3002ccc,0x6654003f,
    0x7fedcc4c,0x00000ace,0x02ffffcc,0x000fffff,0x827fd400,0x4c002ffd,
    0xcefffedb,0xfd70000b,0x005503df,0x3f20bff5,0x9bfd882f,0x00006eb9,
    0xd9bdff70,0x3ffa1bff,0xfff500ff,0x49ffdb9d,0x800fffff,0x3e001ff9,
    0x3fee7fff,0x3fffdcdf,0x4ccc0000,0x3666205f,0x26000007,0x1ff903ff,
    0x5ef7dc00,0x2ffdca9a,0x657fe400,0x5fc89dff,0x703ff880,0x017103ff,
    0x400005f1,0xf700efe8,0x0133dd1d,0x6c40bbf6,0x099ef8df,0x003ff300,
    0xdfb7d998,0x00ffa601,0x802fc000,0x4000007c,0x8004c018,0xf7002fe9,
    0x10f6001b,0x00bffff9,0x002600c4,0x00002ec0,0xdd3007f9,0x05fb80dd,
    0x00bfdf50,0x0003ff30,0x400ffbf2,0x800003fc,0x00f9005f,0x00000000,
    0x20006fd4,0x40001fe9,0x00002cb9,0x0fe20000,0x02fcc000,0x4c0dff30,
    0x7fdc006f,0x00330005,0x0027fe40,0x00000bf6,0x01f200bf,0x00000000,
    0x20001fc4,0x0000006d,0x26000000,0x00005fca,0xf90003fa,0x0007ec0d,
    0x00002ff4,0x006fc800,0x00004f88,0x07c802fc,0x00800000,0x33265d80,
    0x2202cccc,0x0010004f,0x20001000,0x000fffd8,0x027c1b50,0xbf037cc0,
    0x017ea000,0x7e400000,0x00d90003,0x802fc008,0x0000407c,0x6fffee4c,
    0x107dc01c,0xd95559b5,0x2007ea09,0xcdfffdc9,0xfedb8001,0x4000cdef,
    0x2002fda8,0x7f30ffd8,0x441be000,0xbf30003f,0x20000000,0xf70001fc,
    0xffec9801,0x802fc0bd,0x7f65447c,0x64000cdf,0xffdcdfff,0x207f103f,
    0x3605b02c,0x6fffe406,0x003fffdc,0xd99dffd3,0x20005fff,0xbff5007d,
    0x8000fd41,0x005f506e,0x2e202fc0,0x01cccccc,0x0001f900,0x7fcc0be6,
    0x2fffdcef,0x53e4017e,0xffb9bfff,0xbfd1005f,0x03bfa601,0x881640f3,
    0xd101f306,0x3fa601bf,0x0fff200e,0x8005fea8,0x3f6201f9,0x002fa82f,
    0x0fe60df0,0x202fc400,0xfffffffa,0x01f90002,0x260bea00,0x7fd102ff,
    0xabe4017e,0x9ff501ef,0x7003fe80,0x3206b8bf,0x3e20d102,0x7003fe81,
    0x03bea0bf,0x20027e40,0x9ff701fb,0x0013e201,0x27c41be2,0x805f9800,
    0x2fb99998,0x005f9000,0xbf303f20,0xbf9f7001,0x13f3f200,0x640ff620,
    0x1fe4003f,0xc81640b9,0x7f90fe04,0x443fc800,0x7ec000ef,0x2fc40ae1,
    0x400f7f44,0x6fa8006f,0x64001ba0,0x5f50005f,0x013f2000,0x3be23f40,
    0x17ff2000,0x002ffe40,0x0bf303fa,0x1f43fa00,0x675cc590,0x5f993600,
    0x6c1fd000,0x4df0001f,0xfdbbdffa,0x227fdc0d,0x03fc8198,0xb81bfe20,
    0x7fcc004f,0x05f50005,0x00bff200,0x2fb89f70,0x02ffc400,0x4000ffc8,
    0x00fdc5f9,0x05f2fa80,0x0fff7764,0x03f72e40,0x6f8bea00,0x503f2000,
    0xe9859bb9,0x07fe81ef,0x3f6001fd,0x00fec06f,0x005ffe88,0x20005f50,
    0x3000fffc,0x000bb0df,0x7e4017ee,0xd8fb0004,0x53e20007,0xd88b204d,
    0x1f63e805,0xf14f8800,0x0fcc0007,0x40fff200,0xff307bfc,0x757ec405,
    0x01ffc406,0x017ebfaa,0x80017d40,0x402ff9fc,0x04f81ffb,0x200bf300,
    0xf70002fc,0x20002f43,0x1640b96e,0xe8be02dc,0xab740005,0xffffffff,
    0xffffffff,0xfd3003ff,0x2ebe601b,0x2f7fa607,0xd2ffca99,0x9dfd300d,
    0x3ffb7335,0x7d40017e,0x22f90002,0xba9abdfe,0x2f981efe,0x00bf1000,
    0x540007f2,0x00017e2f,0x2c81eadd,0x83e60790,0xb740005f,0xcccccdf9,
    0xcccccccc,0x64402ccc,0xbaf403ff,0x7ffec407,0x1ba1dfff,0xfffffb80,
    0x017e0dff,0x80017d40,0x3fff227c,0x2a04ffff,0x17e0001f,0x80007e40,
    0x001ba3f9,0x407e2bf0,0x701d102c,0x40006e8f,0x0009f15f,0x0dffa800,
    0x07b87e40,0x7406ee60,0xaba98006,0x2000bf00,0xf90002fa,0x006aea20,
    0x44000fe2,0x03f9005f,0xfc87ea00,0x47f10000,0x5405906d,0x3f21fc45,
    0x47f10000,0x2000006e,0xf9802ffd,0x00001ee2,0x400000dd,0x5f50005f,
    0x001f2000,0x20009d00,0x7f9005fa,0xb83f2000,0x5f70002f,0xddd527c4,
    0x747b607d,0x0002fb85,0x00fec5f7,0x067cc000,0x03dc5e80,0x0017e000,
    0x0005f800,0x320005f5,0x36400007,0x005fc800,0x3a000bf9,0x4000fe86,
    0x01fa86f9,0xe807dc00,0x37cc000f,0x00001be2,0x703f2000,0x7c40000f,
    0x3e000003,0x05f50005,0x0001f200,0x98009f50,0xff9005ff,0x82fc8007,
    0x3a2005f9,0x005f900f,0xf980ff20,0x03fa2005,0x5c0017ea,0x7fc40001,
    0x1dfeeeee,0x02fc8000,0x017e0000,0x80017d40,0xd800007c,0xffd1001f,
    0x3fff200b,0x40bf3000,0x75401efc,0x06fdc03f,0x802fe980,0x75401efc,
    0x077f603f,0x001ffdc0,0x55555540,0x40000afc,0x000006fb,0xfa8002fc,
    0x00f90002,0x00ff6000,0x00bf1dd3,0x00bfa3f2,0xfb801ff7,0xfb531acf,
    0x3fa6005f,0x7e54c1ac,0x3fee000d,0xffb531ac,0x59ff7005,0xff973113,
    0x8000007f,0x64c0007b,0x000000ef,0xfa8002fc,0x00f90002,0x5f7ec000,
    0x0efda989,0xeb89ddff,0x5bfd17fe,0x1dfd7313,0x3fff6200,0x000dffff,
    0xfefffeb8,0x10002dff,0xfffffffb,0x7ec4001b,0xefffffff,0x4000000b,
    0x76401fb9,0xdfffeeee,0x76c00000,0x5eeffeee,0x77777764,0xeeeeeefe,
    0x7ff76c4e,0x000deeee,0xffffd700,0x7ffc1bff,0x3fffa0ef,0x7ffffe47,
    0x310003ff,0x00013797,0x002aea60,0xbcb98800,0x26200009,0x0001acca,
    0x3fffa000,0x3bbb202f,0x0002cdee,0xdddddb00,0xffe8bddd,0xffffffff,
    0x646fffff,0xeeeeeeee,0x4400000d,0x00001bca,0x00de5c40,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x06e40000,0x51004d88,
    0x2000007b,0x5404ccca,0x4004cccc,0x0000001a,0x6dc00003,0x001b9101,
    0x00007b51,0x3bbbbb60,0xeeeeeeee,0x06eeeeee,0x00000cc0,0x44000373,
    0xbdeffedb,0x7fd40710,0x405ff904,0x004fefeb,0xffff8800,0x7ffff407,
    0xdffd7007,0x30005505,0x9dfffdb7,0xff100017,0x813fee0d,0x004fefeb,
    0x00009000,0x7fe44048,0x2e2defff,0x7ff64c01,0xffd50001,0x7ffdd99d,
    0x3fe203f5,0x403ff703,0x0009d0aa,0x1fa66200,0x01fa6660,0x3ff2fff2,
    0x005fc89d,0x4d5ef7dc,0x002ffdca,0xff305ff8,0x4e855405,0x00900000,
    0x3f204800,0xffdbceff,0xc984f9df,0x01feffff,0x201efc80,0x201fffea,
    0x0004c018,0x0000013a,0x0fb001f6,0xffc887b0,0x3a6005ff,0x1bf7002f,
    0x26014400,0x00274001,0x00004800,0x56ff4424,0xbfff7300,0x51beff98,
    0x5fb8003f,0x007ff600,0x13a00000,0x1f600000,0x8000fb00,0x2a002cb9,
    0x74c000df,0x0000001f,0x00002740,0x24000048,0xd10027f4,0xf50150bf,
    0x037c4003,0x0000ff40,0x00274000,0x003ec000,0x000001f6,0x0000fe20,
    0x000000db,0x00004e80,0x48000090,0x54002fdc,0x07ea005f,0x8001fd80,
    0x008001fb,0x00027400,0x07d80ec4,0x10003ec0,0x4c176000,0x1a8ceffd,
    0x000013e2,0x0004e800,0x000244b8,0x00ff8920,0x54009f00,0x017e001f,
    0x5d401c40,0x03effffd,0x40004e80,0x0fb01ffb,0x75007d80,0x07dffffb,
    0x3ae03ee0,0x50bbb261,0x4ccca83f,0x26666540,0x30002740,0x00048bfd,
    0x005f5240,0xf50004c0,0x00fe6003,0x7ffe4000,0xffedccef,0x0013a001,
    0xb00f7f4c,0x407d800f,0xcceffffc,0x2201ffed,0x2606983f,0x7fc6d82f,
    0x7ff407ff,0x04e807ff,0x907ff900,0x32480000,0x0000000f,0x7d4007ea,
    0xbb000002,0x07fd4037,0xc8004e80,0x07d803ff,0x37603ec0,0x03fea01b,
    0x401e83cc,0x4c0f982c,0x999807d9,0x004e807d,0x4806ff54,0xdd240000,
    0xa8000000,0x03f7001f,0x70000000,0x013a00bf,0x000efe98,0x07d800fb,
    0x417ee000,0x0006886b,0x03ec07e2,0x13a01f60,0x017fec40,0x29000012,
    0x000004f8,0xa800fd40,0x0000002f,0x3a00fd00,0x3ffc8804,0x2003ec00,
    0x7400007d,0x0950b907,0xfb03f800,0xe807d800,0x0dffa804,0x40000480,
    0x00005f54,0x001fa800,0x000007f1,0x5c1f2000,0xcccefccc,0x106ffd42,
    0x007d8033,0x200003ec,0x9507d07c,0xb04d8000,0xb87d800f,0xcccefccc,
    0x4cbff622,0x000900ba,0x003f5480,0x1fa80000,0x0001be00,0x83e40000,
    0xccccccca,0x05ffb11c,0x7ec01ffd,0x00ff3000,0x5f07c800,0xc8000950,
    0xd800fb05,0xccccca87,0x9ff71ccc,0xbfbdfb11,0x40000485,0x00003f54,
    0x001fa800,0x44000ff2,0x76654402,0x07dabcee,0x06ffd400,0xb007dfdc,
    0xfff7007f,0x3b32a200,0x07dabcee,0x000b309b,0x00fb03e8,0xb10007d8,
    0x2076c3df,0x000121fa,0x2007ea90,0xacccccc9,0x03f5002a,0x4000fe80,
    0xfc880ffa,0xfffeffff,0xb10007ff,0x2fe605ff,0x1bf600fa,0x80fdff90,
    0xefffffc8,0x907fffff,0xf0001a0b,0xb001f605,0x9ff7000f,0x4bb01fa8,
    0x9a400004,0xfffe802f,0x02ffffff,0x4c001fa8,0xfd8802ff,0xaeff983f,
    0x00fd5101,0x4019ff70,0x6c01f55e,0xdb98beff,0xdefd8cff,0x0d77fcc0,
    0xf507ea88,0x20200f60,0x00fb00f9,0x3a6007d8,0x200881ef,0x000090fb,
    0x2009f148,0xdf999999,0x003f5001,0x137bfd50,0x3dffb751,0x4005ff10,
    0x3fa2007c,0xa87dc01e,0x3f3f600f,0x21efffff,0x3e22fffd,0x41f2002f,
    0x203b01f8,0x207b83d8,0x03ec007d,0x0003ffc8,0x0000497a,0x8000bf24,
    0x07ea005f,0xffffc800,0x201dffff,0x3e4001fc,0x804ffb80,0x803ea3f9,
    0x1379737d,0x001fc800,0x20db03e4,0x9d510ce8,0x3ec07f10,0xd101f600,
    0x6c0001df,0x0000120f,0x20003ec9,0x07ea005f,0x9f731000,0x0dd00135,
    0x3e00f900,0xa8bd001e,0x001f600f,0xc8006e80,0x4413e207,0xd00bdfda,
    0x4007d80b,0x01fe407d,0x0903b600,0x3ee48000,0x017e0004,0x00001fa8,
    0x5f8001f1,0x003f4400,0x2a07dc00,0x001f600f,0x44005f80,0x00fd407e,
    0x9003ee00,0x1fe6001f,0xdd100000,0x80000901,0x8000fec4,0x07ea005f,
    0x0efc4000,0x2001fd00,0x00007ffa,0xeeeeeff8,0x00fb02ef,0x8007f400,
    0xfc807ffa,0x07f90002,0xf7007f70,0x400000ff,0x001205f9,0x0ef88900,
    0x2005f800,0x200001fa,0xf7000fba,0xfdffb009,0x55500000,0x017f9555,
    0xb80001f6,0xeffd804f,0x01bf7007,0x400bfa60,0x7fe406f9,0x7000007e,
    0x0004807f,0x1ffd4240,0x400bf500,0x4c0001fa,0xfd001740,0xfb73113b,
    0x9ddf919f,0x54000001,0x001f600f,0x113bfd00,0x919ffb73,0x4c019ddf,
    0x54c1acfe,0x64000dfc,0xfdb98bef,0x0defd8cf,0x05f90000,0x48000090,
    0x359dfb10,0xfff95311,0x00fd4007,0x3737fa00,0x7fe44007,0x21efffff,
    0x001ffffc,0x03f73000,0x200003ec,0xffffffc8,0x3fff21ef,0xffeb801f,
    0x02dfffef,0x3ffff200,0x3ff62eff,0xfe80002f,0xfa99999a,0x48000090,
    0x7ffffdc0,0x102effff,0xfdddddd9,0x09dddddd,0x005ee540,0x9bcca880,
    0x00000000,0x40fffff6,0x1000003a,0x00137995,0x2aea6000,0x2e600000,
    0x00000abc,0xffffff00,0x3361ffff,0xcccccccc,0xcccccccc,0x531006cc,
    0x98015799,0xffffffff,0x0effffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00055555,
    0x333332a0,0x66665401,0x2aa2001c,0x0998800a,0x00988000,0x9aa98000,
    0x01880009,0x55555500,0x554c0015,0x0000002a,0x55000026,0xa8800000,
    0x20e4c000,0x006ffff8,0xfffffd00,0xfffff80d,0x3ff6005f,0xfffb502f,
    0x40019fff,0xdfffffc9,0xf7000dc3,0xdfffffff,0x7ffed403,0x20911def,
    0xfffffffa,0x3fffe001,0x26000007,0x0cffffec,0x0007d800,0xdffff700,
    0xbfffd005,0x006e9988,0x0677ea00,0x04ff4cc0,0x2fbcf980,0x5e6fff5c,
    0x402ffecb,0xcbdfffd8,0x09f1efed,0x2aafbfa0,0x881edcca,0xdcbcdffd,
    0x301fbcff,0x03f73333,0x03eccc40,0xeffc8000,0x04fffdbc,0x00003ec0,
    0x765effec,0x3ffea04f,0x00dd01ff,0x000fc800,0x3a001fd4,0x7fc2fa8f,
    0x07fee00b,0x500eff44,0x9009fbfd,0x7f40009f,0xfff9100c,0x00fd4003,
    0x00007d80,0x9806ff44,0x1f6005fe,0x3bf70000,0xf703fd88,0x3a05ffff,
    0x7c400006,0x007f4004,0x0bea7f70,0x1be600bf,0xf9001ff4,0x07f8809f,
    0x400ff200,0x2a001ffc,0x0fb0001f,0x1ffc4000,0xb005fd80,0x7c40000f,
    0x4413200f,0xd00fffff,0xfb00000d,0x00fe6001,0x0bea6f88,0x17e4009f,
    0x360013f2,0x01fcc04f,0xe800bf00,0x07ea001f,0x0003ec00,0xc8005f90,
    0x007d803f,0x0013ea00,0x403bfb30,0x8800006e,0x01fb004f,0x5f50fe40,
    0x3e6001b8,0x0003be23,0x5f5013e6,0x00fe6000,0x54003f90,0x0fb0001f,
    0x017e6000,0x32a07fc0,0xccccfecc,0x803ccccc,0x000001fb,0x00081ba0,
    0xf3003f60,0x22fcc009,0xf80002fa,0x8000bea4,0x017d403f,0x4002fa80,
    0x0fd40059,0x0007d800,0x20003fb0,0x7fff43fb,0xffffffff,0x5c01ffff,
    0x0000001f,0xffdb89ba,0x7c4003de,0x0007ec04,0x02fa81fb,0xdb1fcc00,
    0xcb808000,0xcccdfdcc,0x880bcccc,0x8000004f,0xfb0001fa,0x33333260,
    0x0027cc1c,0x26661be0,0x999999fe,0xf9800999,0x20000002,0x9bfff36e,
    0xd8009ffb,0x009f300f,0x17d427d4,0xf83f2000,0x7c400004,0xffffffff,
    0x01ffffff,0x000001fd,0xb0001fa8,0x3ffff20f,0x00fd46ff,0xd807f200,
    0x2fc00007,0xdd000000,0xf9105df7,0x827cc00b,0x3fa000fd,0x0002fa80,
    0x03f997ea,0x99988000,0x99999bfb,0x3be60099,0x2a000001,0x0fb0001f,
    0x40cdffd4,0x540000fc,0x001f603f,0x0000fb00,0x02fff400,0xfb000fe4,
    0x2004f981,0x05f502fb,0x43dfb100,0x000001fa,0x40002fa8,0x009bdffa,
    0x007ea000,0xffa83ec0,0x0003ec01,0x0fb027cc,0xc9998800,0x000999af,
    0x00bfd000,0xf9800fe2,0x88007ec4,0x00bea06f,0x40dffc88,0x000001fa,
    0x00002fa8,0x7bdfffd7,0x0fd40003,0xfb87d800,0x006e800e,0x3604f880,
    0x3fea0007,0xffffffff,0xe800003f,0x00374006,0x027cc3f6,0x7d403f90,
    0x3bffb002,0x00007ea0,0x000bea00,0xffb95100,0xf50001df,0xb1f60003,
    0x17e001bf,0xb02fc000,0x65c4000f,0xcccefccc,0x9d93000b,0x20037401,
    0xa7cc006e,0xbf3000fd,0xf002fa80,0x01fa803d,0x2fa80000,0xb9800000,
    0x7d4001ff,0x22fb0001,0x36c004fe,0x027c4000,0xd00000fb,0x3fe2000d,
    0x01ba07ff,0xfb000dd0,0x7ec009f3,0x8017d400,0x03fa805f,0x2fa80000,
    0x26000000,0x3ea001fe,0xd3fb0001,0x0f90007f,0x407f5000,0xd800007d,
    0xfff70006,0x01ba05ff,0xf3000dd0,0x3ea001ff,0x002fa803,0x09f100bd,
    0x5f500000,0x88000000,0x07ea003f,0x7fffec00,0x0fdc000e,0x80bee000,
    0xe800007d,0xfff50006,0x01ba03ff,0x36000dd0,0x3bf2004f,0xeeeeeeee,
    0x4c03eefe,0x000df000,0x005f5000,0x0dd00000,0x8000fd40,0x0efa9efd,
    0x000bea00,0x3ec01fb0,0x02fc0000,0x0dfffd00,0x1ba00374,0x0007e400,
    0xddddddd7,0x9ddfdddd,0x0fe40000,0x3ea00000,0x01e88002,0x2001f900,
    0xfb0001fa,0x80077d41,0x260006f8,0x003ec05f,0x000fe200,0x6e805950,
    0x40037400,0x000005f8,0x00000bea,0x10001be2,0x8002fa80,0xfb0004f9,
    0x000fd400,0x0efa87d8,0x0007f700,0x0fb00bf6,0x02fa8000,0x0dd00000,
    0xc8006e80,0x2000001f,0x000002fa,0x320009f7,0x00bea00f,0x2001be60,
    0x3ea005f8,0x20fb0001,0x3fa005fb,0x02fd4000,0x000017e4,0x02c800fd,
    0xe800dd00,0x02fc4006,0x0bea0000,0x800732a0,0x362003fd,0x017d404f,
    0x0027fcc0,0xfa800bf6,0x40fb0001,0xdf3005fb,0x03fea001,0x5401bea0,
    0x007f505d,0xe8001fc4,0x00374006,0x000007f2,0xfc805f50,0x36003fff,
    0x7f4400df,0x002fa804,0x00cfff98,0x2002fe44,0xfb0001fa,0x7005fb80,
    0xffa805ff,0x2bbf2002,0xfff95311,0x800dd307,0xdd0000fc,0x2006e800,
    0x000005f8,0x7fc02fa8,0x6c005fff,0xb989bcff,0xf5002ffd,0x97f30005,
    0x2a6337ff,0xa8005ffb,0x0fb0001f,0x2600bf70,0xb989bdfe,0xb8001ffd,
    0xffffffff,0x7fec40be,0xeeeeeeef,0x005feeee,0x6f7ff6d4,0xdffdb502,
    0x3bbbae5b,0x05eeefee,0xdddb3000,0x3f205bdf,0xa8003fff,0xfffffffe,
    0xdddb300d,0xddddddfd,0x23d105bd,0xffffffe9,0x3bb202ef,0xeefeeeee,
    0x5c3eeeee,0x6dc07fee,0x201deeff,0xffffffd8,0x220000cf,0x401accba,
    0xfffffffa,0xefffffff,0xfffc8002,0xff904fff,0x3aebffff,0xeeeeeeee,
    0xf700005e,0x09ffffff,0x0000e654,0x006f2e62,0x3fffffea,0xffffffff,
    0x32ea2005,0x7f4401ab,0xffffffff,0x46ffffff,0x7407fffe,0x03ffffff,
    0x01579730,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xd9100000,0x209ddddd,
    0x4eeeeeec,0x00074c00,0x6e440b6e,0x00350000,0xeeec8800,0xeeeeeeee,
    0x7776dc4e,0x776dc02d,0x3bb6e2de,0xeeec804e,0x3b20ceee,0xeeeeeeee,
    0x5400acde,0xeeeeeeed,0xd1001bde,0xdddddddd,0xdddddddd,0x7776dcbd,
    0xeeec80ce,0x2aaa23ee,0x3fffe22a,0x7440efff,0x0effffff,0x8007ea00,
    0xff506ff8,0xffeb8009,0x4002a82e,0xfffffff9,0x0effffff,0x13fffff6,
    0x9fffffd0,0x0ffffff4,0xfffffd10,0x3ffa23ff,0xffffffff,0x900cffff,
    0xffffffff,0x01bfffff,0x7fffffc4,0xffffffff,0x3f67ffff,0x440fffff,
    0x26fffffe,0xb07ffff8,0x013e000f,0x2000fd40,0x7ff305fe,0x65ffe400,
    0x5fc89dff,0x07e40000,0x4003fb80,0x7fe402fc,0x402f4006,0x7ecc406e,
    0x80fe600e,0x101efdb9,0x00fdc09f,0x800fb0fb,0xdffff07d,0x7c001f60,
    0x03f50004,0x0c402880,0xf910f600,0x0000bfff,0x74001f90,0x0bf3000f,
    0x005f9f90,0x037402f4,0x7cc0bf50,0x03ff5003,0x0fdc09f1,0x00fb0fb0,
    0xfffd07d8,0x4001f60b,0x3f50004f,0x00000000,0x00597300,0x003f2000,
    0xfd005f98,0xfd1f9001,0x2017a001,0x17dc006e,0x22003f98,0x204f886f,
    0x21f601fb,0x83ec007d,0xfb04fffd,0x0013e000,0x00000fd4,0x00000000,
    0x00fc8000,0x2e017e40,0x2af9002f,0x00bd004f,0x4f8800dd,0xb8007f30,
    0x7027c43f,0x6c3ec03f,0xc83ec007,0x0fb03fff,0x40013e00,0x000001fa,
    0x00080000,0x00fc8000,0xf300fe80,0xfb3e400b,0xd00bd003,0x20bf000d,
    0xfe8003f9,0xfb813e20,0x1f61f601,0x3ee0fb00,0x00fb02ff,0x540013e0,
    0x65c4001f,0x001ccccc,0xdb89332e,0x0003ceff,0x0001f900,0x03fa0bf3,
    0x17e27c80,0x1ba017a0,0x2607f500,0x4f98003f,0x1fb813e2,0x01f61f60,
    0x3fea0fb0,0x000fb01f,0x7d40013e,0x7ffd4001,0x3002ffff,0x3fa6ffff,
    0x05ffdcdf,0x00fc8000,0xfb85f900,0x323e4003,0x402f402f,0x07ec006e,
    0xf0003f98,0x3ee02e8b,0x1f616e01,0x3e60fb00,0x00fb00ff,0x554c13e0,
    0xcfcaaaaa,0x0aaaaaaa,0xfb999988,0x3fa62002,0xbf902efa,0x0fc80000,
    0x443fa000,0x87c8005f,0x402f406e,0x9fb1006e,0x8001fcc0,0x0fdc006d,
    0x2003ec00,0x0fff107d,0x4f8003ec,0xfffffff0,0xffffffff,0x2a00dfff,
    0xffd8002f,0x00fe400e,0x001f9000,0x0feafcc0,0xfa87c800,0x3a017a04,
    0x9999999e,0x4c03fedb,0x0f90003f,0x8001fb80,0x999999fd,0x07e99999,
    0x07d81bfe,0x2a209f00,0xfcaaaaaa,0xaaaaaaac,0x005f5000,0x2001dfb0,
    0x3200004f,0x7e40000f,0xf90003fd,0x2f403f60,0x7fffff40,0x05ffffff,
    0x90003f98,0x0fdc001f,0x7fffec00,0xffffffff,0x813f607f,0x09f0007d,
    0x0007ea00,0x40017d40,0x1ba000fd,0x00fc8000,0x37333260,0xcccccfff,
    0xf307c801,0x3a017a0b,0xcccccccf,0x203fffee,0xf90003f9,0x00fdc001,
    0x66667ec0,0xfccccccc,0xd8032607,0x009f0007,0x00007ea0,0x6c0017d4,
    0x443ec007,0x00fc8002,0x333332a0,0xcccccdfd,0x3207c801,0xe805e82f,
    0x17faa006,0xc8001fcc,0x07ee000f,0xb001f600,0x07d8000f,0x20009f00,
    0x500001fa,0x0fb0005f,0x0fb87d80,0x0007e400,0x0000fd40,0x437c40f9,
    0x006e805e,0x7cc1fec4,0x00db0003,0xd8001fb8,0x403ec007,0x4001f603,
    0x3f50004f,0x0bea0000,0xb001f600,0x8001f70f,0xa80000fc,0x1f20001f,
    0x05e87f70,0xdd0006e8,0x20007f30,0x0fdc004f,0x2003ec00,0x807c407d,
    0x4f88007c,0x003f5000,0x000bea00,0x0fb001f6,0xfc8001f7,0x4cccc000,
    0x9999bfb9,0xd00f9001,0x7402f41f,0x81f70006,0xf98003f9,0x00fdc002,
    0x36003ec0,0xa807c407,0x1fd4000f,0x001fa800,0x0005f500,0x87d800fb,
    0x3ec000fb,0x3ffff200,0xffffffff,0x807c803f,0x2017a5f9,0x7f30006e,
    0xc8003f98,0x0fdc001f,0x2003ec00,0x0efc407d,0x320017c4,0x3f50001f,
    0x0bea0000,0xb001f600,0x8001f70f,0xf500006f,0x03e40003,0x00bd1fc8,
    0x3ee000dd,0x2001fcc1,0xfb8006fa,0x007d8001,0x7dd403ec,0x7c006e80,
    0x3f50000f,0x0bea0000,0xb001f600,0x4001f70f,0x500004fa,0x3e40003f,
    0x0bd6f880,0x36000dd0,0x2003f987,0xb8001ff9,0x07d8001f,0x40983ec0,
    0x003fb82e,0x4c0007fb,0xf500000e,0x00fb0005,0x0dfb87d8,0x000fe880,
    0x0003f500,0x7f7003e4,0x00dd00bd,0x7f30bf70,0x00ffa200,0x4000fdc0,
    0x83ec007d,0x207dcdfe,0x2fec04fc,0x00000000,0x36000bea,0xc83ec007,
    0x3fa201ef,0x3ea00002,0x01f20001,0xd00bffd0,0x2fe4c00d,0xfb803f98,
    0x3ee0003f,0x007d8001,0x7b9503ec,0x9aefd801,0x00dfeb98,0x40000000,
    0x7d8002fa,0xf503ec00,0xd95137bf,0xec80009f,0xdeeefeee,0xeffec803,
    0x3e600cee,0xffdd905f,0xdddddddd,0xb50bfffd,0xddddddfd,0x005fffdd,
    0x7f7776dc,0xa82deeee,0x0ceeffed,0xdeffeec8,0xffc80003,0x003fffff,
    0xddddddd7,0xdddddddd,0x7775c79b,0xeeefeeee,0x36a4eeee,0x103deffe,
    0x01bdffd9,0xffffffb1,0xfd00003d,0xffffffff,0xfffe880d,0x6c00efff,
    0xfffe885f,0xffffffff,0xf701bdff,0xffffffff,0xb0005bdf,0xffffffff,
    0xff909fff,0x881fffff,0x5ffffffe,0x32a20000,0x3fa0009b,0xffffffff,
    0xffffffff,0xfffffd15,0xffffffff,0x3ff21dff,0xd105ffff,0x803fffff,
    0x0001bcb9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x776dc000,0x775c02de,0x3b222dee,0xeeeeeeee,0x2a04eeee,
    0xeeeeeeed,0xedc88005,0xdeeeeeee,0xdddd9001,0x362019dd,0x03deeeee,
    0xddddddd9,0x000159dd,0x3bbbbbae,0xeeeeeeee,0x77644eee,0xeeeeeeee,
    0x4eeeeeee,0x7777776c,0x4eeeeeee,0x0b7bbb6e,0x5bdddb70,0x00f7775c,
    0x13bbba20,0x13fffff6,0x9fffffd0,0x7fffffcc,0xffffffff,0xffff900e,
    0x003fffff,0xffffff98,0x803fffff,0xffffffe8,0xffff301f,0xfd10dfff,
    0xffffffff,0x8005dfff,0xfffffffe,0xffffffff,0x3ffa25ff,0xffffffff,
    0x6fffffff,0x7ffffff4,0x5fffffff,0x17fffff6,0x9fffffd0,0x02fffff4,
    0x3bffff20,0x8003fd00,0x7d4004fb,0x3ba00001,0x7c0005f8,0x3f500005,
    0x01fa8000,0x32a207c8,0xf70004fe,0xbf003f23,0x740036c0,0xf1003746,
    0x8007f70b,0x377e02fc,0x337e000f,0x00ef8807,0x5000df30,0x2600003f,
    0x0001fb3f,0xa80002fc,0x7dc0002f,0x2007c800,0x7d8006fd,0x0bf003f2,
    0x3740036c,0x1fe801ba,0x26001fd0,0x7cefc05f,0xf95f5003,0x2017ea00,
    0xa8000fe8,0xf900001f,0x8000fea1,0xf300005f,0x07c80007,0xfb800f90,
    0xf927c002,0x3605f801,0x746e8006,0x407f7006,0x1fd005f9,0x00fd5f80,
    0x7003e5ba,0x02fd809f,0x0003f500,0x00df17e0,0x77777fc0,0x8802bdee,
    0x806aa04f,0x00f9006d,0x26001fd0,0xf003f22f,0x40036c0b,0x4c03746e,
    0x03fb805f,0xafc017dc,0x9fcc02fa,0x17ec007c,0x20004fb8,0xa80001fa,
    0x0007e42f,0xfffffff8,0x401effff,0x0fff105f,0x07c802f4,0x9004f980,
    0x2007e41f,0x001b605f,0x880dd17a,0x1fd000fe,0x7c017e60,0x1fb01ba5,
    0xfd1001f2,0x0006f981,0x40000fd4,0x027cc0fd,0x5cc05f80,0x41ba03ff,
    0xbf01fdfb,0x4001f200,0x46e800fd,0x016400fc,0x088040db,0x0bf2026c,
    0xfd05f980,0xfb97e001,0x3e49f101,0xf137cc00,0xfa80001f,0x2fc40001,
    0xbf0007e8,0x407fa200,0x7f3fb07d,0x32009f10,0x03f50007,0x07e44f88,
    0x06d80051,0x5400013a,0x2fc8004f,0xbf001fdc,0x1fc82fc4,0x7dc001f2,
    0x00003fb4,0xa80003f5,0x005f702f,0x7c400bf0,0x57e0f907,0x003f886e,
    0x3e6000f9,0x3217d403,0x8003ee0f,0x0017e06d,0x0003be20,0x06f887f4,
    0x03f22fc0,0x000f917e,0x001ff7ec,0x0001fa80,0x0bf103f4,0xb800bf00,
    0x4c0fb81f,0xf981f93f,0xfb333102,0x01333333,0x43e404f8,0x0fc99afc,
    0x2667f600,0x0005f999,0x20001fd8,0x003fb5f9,0x227c45f8,0x003e42fb,
    0x00017fa0,0x20001fa8,0x07ec04f8,0x30017e00,0xc83f507f,0xfa85f51f,
    0xffffff01,0x0fffffff,0x42fc05f8,0x0ffffffc,0x3ffff600,0x0005ffff,
    0x40001fdc,0x8003fdfc,0x3a0fd85f,0x20007c86,0x0000eff8,0x40003f50,
    0x1fd401fb,0x30017e00,0xe85f307f,0x1f713e27,0x3fb332e0,0x03cccccc,
    0x07f302fc,0x1fd999f9,0x6667ec00,0x0005fccc,0x80001be6,0xbf0006fe,
    0x0fe67f30,0xfe8001f2,0x500005fc,0x3740003f,0x7c006f80,0x40fdc005,
    0xb13e23f9,0x32007c8f,0x813e0007,0x20fc81fb,0x1b6000fb,0x3a0005f8,
    0x2a00000f,0x0bf0002f,0x6407edba,0x27f90007,0xa80003fc,0xdf30001f,
    0x99999999,0x7c003fd9,0x883f4005,0xf70bea4f,0xf9003ec3,0x80be6000,
    0xecccccfd,0xb001660f,0x8002fc0d,0x400002fc,0xbf0002fa,0x413efea0,
    0x5fa8007c,0x20000ff4,0xf90001fa,0xffffffff,0x4009ffff,0x7fd1005f,
    0x81fb2fc0,0x801ba3f9,0x3f70007c,0x7fffffc0,0x40000fff,0x0006a06d,
    0x0b2017ea,0x0002fa80,0x0fffc0bf,0x7cc007c8,0x007fc40e,0x0003f500,
    0x0fb0017e,0x2a202fc0,0xf2f404ff,0x05f97e0d,0x6c001f20,0x640bea07,
    0x36c0000f,0xf882c800,0x005f800f,0x7c000bea,0xc813ae05,0x80ff4007,
    0x2a0005f9,0x2fa8001f,0x8017d400,0xccccccef,0xd803fffe,0x3f207f36,
    0x3e4009f0,0x3205f800,0x001f900f,0x001b603b,0x00fec2fc,0x3ea005f8,
    0x00bf0002,0x36007c80,0x027dc02f,0x8001fa80,0x5f88007d,0xffffff00,
    0x4007dfff,0x2a03f77c,0x2003f8af,0x2fd8007c,0x0fc81ba0,0x6d81fc40,
    0xfb8bf000,0x8017e004,0xbf0002fa,0x007c8000,0x3f6009f7,0x01fa8002,
    0x80027c40,0x9ef800fd,0x00009999,0x440fd1f7,0x2002f9cf,0x2fe4007c,
    0x7e407f10,0xd827c400,0x44bf0006,0x02fc006f,0x20005f50,0x3e40005f,
    0x10037cc0,0xfa8001fd,0x00fdc001,0xf803f980,0x7d400005,0x57f405f9,
    0x01f2001f,0x2a00ffa8,0x003f201f,0x01b609f1,0x03fd2fc0,0x2a005f80,
    0x0bf0002f,0x4407c800,0x7cc000fe,0x00fd4006,0xf0001ba0,0x000bf00d,
    0x02fcf980,0x0007efdc,0xdfb100f9,0x6407d801,0x827c400f,0x2bf0006d,
    0x5f8003fb,0x000bea00,0x320002fc,0xdffd9107,0x3b22019d,0x910ceffe,
    0xdfdddddd,0x4c9ddddd,0x3deeffed,0x7ff76dc0,0xfdd911de,0x3bdddddf,
    0x1fff1000,0x00fff980,0xeeeffec8,0xdfffeeee,0xbffdb300,0x77f76d47,
    0xeeeeeeee,0x3ffbb24f,0xeeeeeeee,0x95feeeee,0xdddddddf,0xbfdddddd,
    0x3bbbb6a0,0x02deeeef,0xbddffdb1,0xfeeda807,0x3fe61def,0x300effff,
    0x1dffffff,0x3fffffe6,0xffffffff,0xfffff50e,0xffd80bff,0xf32fffff,
    0xffffffff,0xf10007ff,0x1ffe00df,0x3ffffa20,0xceffffff,0x7fffd401,
    0x3ffff25f,0xffffffff,0xfffd14ff,0xffffffff,0xbfffffff,0x3ffffff2,
    0xffffffff,0xffff905f,0x9fffffff,0x3ffffea0,0x7fec05ff,0x002fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xda800000,0xeeeeeeee,0xeeeeeeee,0xdddb30ee,0xdb807bdd,
    0x21deeeee,0xeeeeeeec,0x002bceee,0x3bbbbb22,0x1acdeeee,0x77777640,
    0xeec884ee,0x3b222dee,0xeeeeeeee,0x3220001d,0x000a8bdd,0x06000395,
    0x22000000,0x00000110,0x7dc00000,0xffffffff,0xffffffff,0xffff70ff,
    0xfe80bfff,0x12ffffff,0xfffffffd,0x5dffffff,0xfffff300,0xffffffff,
    0xffd101bf,0x81dfffff,0x5ffffff8,0x3fffffe6,0x003fffff,0xffffff70,
    0xfffd007f,0x01fa800b,0xf9100000,0x0000ffab,0xf3002000,0x000bea09,
    0x017e03f2,0xdb00fd00,0x04ffb980,0x93102fc0,0x07d805ff,0x4013fa20,
    0x500003f9,0x0faa17df,0x3ffffea0,0x007ea001,0x3fee0000,0x05ffd30e,
    0x6e4c0000,0x261defff,0x05f501ff,0xf901f900,0x13e60001,0x6c401b60,
    0x017e003f,0xfb00ff4c,0x00ffa200,0x00003f98,0x5c0003fd,0x002fffff,
    0x000007ea,0x502efea8,0x00003dff,0x66fffe44,0xffadffed,0x000bea01,
    0x0fe603f2,0x4007e400,0x07f4006d,0x22005f80,0x201f606f,0x4c002fe9,
    0xf880003f,0x7fc40005,0x7d4007ff,0xd9800001,0xff7003ff,0xe980001b,
    0xffb100df,0x02fa805f,0xdd00fc80,0x401be000,0x17cc006d,0x5c005f80,
    0x980fb01f,0xf98001ff,0x3f980003,0xdfd98000,0x00fd4001,0x9ff91000,
    0xffc88001,0xff88000c,0x0fff8802,0x40017d40,0x007ee07b,0x36005f50,
    0x004f8006,0x2f9800bf,0x77d40fb0,0x07f30001,0x0017e000,0x3ea00000,
    0xff700001,0xd980001b,0x7ec003ff,0xfbfe8802,0x1017d405,0x09f10040,
    0xb000fd80,0x03f9800d,0xf9800bf0,0x3ee0fb03,0x3e60000e,0x3f900003,
    0x80000000,0x540001fa,0x00001eff,0x40177f54,0xfe8804fa,0x7d405f92,
    0x4000f702,0x9f1000fd,0x20036c00,0x0bf000fc,0xfb01fb80,0x0001bf90,
    0x00003f98,0x00000bf1,0x001fa800,0x005ffd30,0xeffb8000,0x2201f601,
    0x817e22fe,0x01f902fa,0x400bea00,0x1b6001fb,0x2005fb80,0x03f4005f,
    0x005fd8fb,0x0007f300,0x0000fd40,0x03f50000,0x03ffd980,0x32200000,
    0x05f80dff,0x3ec1ff44,0x33337f50,0x40001f93,0x00dd006f,0xfd8806d8,
    0x017e001e,0xfb027ec4,0x0007ff62,0x0001fcc0,0x0006fe98,0x3bbb6e00,
    0xeeefeeee,0x913deeee,0x000019ff,0x3ff22000,0x4409f10c,0x01f903fe,
    0x3fffffea,0x20000fff,0x1fcc01fc,0x2667f600,0xdffecb99,0x402fc000,
    0x7ec05fe9,0x04ffdfe8,0x003f9800,0x3fcffb80,0x9880aa88,0x7ff40999,
    0xffffffff,0x5fffffff,0x0003dff5,0xfe980000,0x2207f32f,0x07ee03fe,
    0x66666fd4,0x20000fec,0x07e404f8,0x3ffff600,0x01dfffff,0x5555df00,
    0x09fffb75,0x225fdfb0,0x20001efc,0x640003f9,0xb81fb0df,0x7ffc44ff,
    0x7d4000ff,0x3ff22001,0x0000000d,0x7c1ffec4,0x403fe884,0x40bea07c,
    0x6c0000fc,0x4002fc07,0xcaaaaafd,0x3e0003ff,0xffffffff,0xffb000cf,
    0x001df505,0x0000fe60,0x6c5f88bf,0xffffa81f,0x01fa8003,0x0cffd880,
    0x64400000,0x0dd00cff,0x0dd007fb,0x0fb817d4,0x817d4000,0x6d8002fa,
    0x0013fea0,0x4ccccf7c,0x1fd80009,0x40017e60,0x85c003f9,0x12fb82fa,
    0x3fff20bf,0x03f50006,0x1fff4c00,0xffb80000,0xb0fe401d,0x09f3009f,
    0x038817d4,0x360bf000,0x80db0007,0xf8004fe8,0x3ec00005,0x40017e40,
    0x3e2003f9,0x47f40f93,0xffff03fb,0x07ea0003,0x3bfaa000,0xfd500002,
    0x3be2005d,0xfd004fd8,0x0017d401,0x207e4000,0xdb0004f8,0x000ff600,
    0xd80000bf,0x001fd007,0x22003f98,0x7cc0fb3f,0xff980fec,0x3ea0004f,
    0x3ee00001,0xd30001df,0xf70007ff,0x3f2009ff,0x0017d402,0x21fcc000,
    0xdb0001fb,0x000ff400,0xd80000bf,0x007f5007,0x22003f98,0x6401f93f,
    0xfff903ff,0x0fd40001,0x3f220000,0xfb1000cf,0x7c00019f,0x7f4400ff,
    0x002fa805,0xe8dd0000,0x01b60006,0x3e006f98,0x3ec00005,0x9800fd00,
    0x4fe2003f,0x3fe603fa,0x007ffd00,0x0001fa80,0x19ffb100,0x033ff220,
    0xffdfb000,0x3f2a6359,0x05f5003f,0x3ee00000,0x40007f31,0x1fdc006d,
    0x00005f80,0x5f7003ec,0x001fcc00,0x40ff47f1,0xf884ffe8,0xfa80006f,
    0x4c000001,0x7fdc3ffe,0xfd80001d,0xfffffb34,0x54001dff,0x0000002f,
    0x003f69f1,0xe8006d80,0x005f800f,0x1003ec00,0x1fcc00df,0x7cc7f100,
    0xbfeb89bf,0xff71defd,0x3f500003,0x2a000000,0x05dfb4fe,0x217ee000,
    0x009bcba8,0x0002fa80,0x3e3f6000,0x036c0005,0x7c027cc0,0x3ec00005,
    0x4007f200,0x3e2003f9,0x7ffff443,0x27fff12f,0x100004fc,0x00000007,
    0x0000ee57,0x00000750,0x3bbfbb6a,0x000ceeee,0x17ffd400,0x7ff76400,
    0xfb004eee,0x3bb223bd,0xdeeeeeff,0xffdd9001,0xf9809ddd,0xdd912dee,
    0xdddddfdd,0xfddddddd,0x02b2e607,0x000000c0,0x00000000,0x00000000,
    0x3fffee00,0x0effffff,0x7fe80000,0xfffe8800,0x800effff,0xff32fff8,
    0xffffffff,0xffd1007f,0x01dfffff,0xf34fffe8,0xffffffff,0xffffffff,
    0x000007ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000080,0x02000028,0x01000000,0x00000000,0x08000010,0x04000000,
    0x00020000,0xa8099995,0xc984cccc,0x7002cccc,0x30399999,0x4c013333,
    0x1cdfffdc,0x037f4000,0xdffdb880,0x0dffc982,0x3ff6ea00,0x10003eff,
    0x7bdffdb7,0xfb500e21,0x2a3bdfff,0xffedb801,0x2e200cde,0xbffb32cc,
    0x0dffeb83,0xb89332e0,0x803ceffd,0x7407ffff,0xfd87ffff,0x8807ffff,
    0x44ffffff,0x01fffff8,0xfb9bfff9,0x220007ff,0xfd8007ff,0x24ffddef,
    0x1ffedffa,0x77fffe40,0x01ffedcc,0x33bffaa0,0xfabffeec,0xcefff981,
    0x5edffedc,0x33bffa60,0x702fffec,0xbff7bfff,0x3ff61ffb,0xff306fed,
    0x37ffa6ff,0x9805ffdc,0x999807d9,0x33dd307d,0x6fccc400,0x5ffffa80,
    0x300dfe88,0x50001dfd,0x39d0005b,0xef99fd88,0xd803fee1,0x3fea01bd,
    0x01efc800,0x307fffaa,0x322017ff,0x7ff905ff,0x882ff540,0x260efff9,
    0x7dc4fdef,0xf5fd3103,0x017f205d,0x1f6003ec,0x30000fc8,0x3fff207f,
    0x003fe81f,0x00000bf7,0x77fc4000,0x004f980f,0xb80bf700,0x3ff6005f,
    0xd801fe41,0x00efa85f,0x7fc09f90,0x85ffd80f,0x7fec06f8,0x00fe400e,
    0x1f6003ec,0x13101fa8,0x7fc07ea0,0x03fc84ff,0x0001fe40,0xff900000,
    0x0007e405,0x3e207e80,0x41fe8006,0x17e2006e,0xd8001df1,0x203ff01f,
    0x01f606fa,0x3e001dfb,0x4007d804,0x40fe207d,0x01f904fd,0x981ffff3,
    0x1fd0005f,0x00000000,0x9f301fea,0x81f20000,0xfb8001fd,0x50007e41,
    0x0001fd83,0x9817e0df,0xb01f202f,0x0374001f,0x1f6003ec,0xfff10bf0,
    0x7fdc1ba0,0x001fb84f,0x00005f50,0x17ea0000,0x400017e0,0x0017e07c,
    0x0f7cc1c4,0x000df000,0x02fc07e4,0x03e405f3,0x0fb001f6,0x7d800fb0,
    0x6fdc3ec0,0xfb04f82f,0x00fb01ff,0x00027c40,0x3b6e6000,0xd803fcbd,
    0x76654406,0x07dabcee,0x000007f3,0x3579dff5,0x003f8801,0x17e07e60,
    0x1f202f98,0x7d800fb0,0x6c007d80,0x3607dc07,0x17cc5f8f,0xbd03fff8,
    0x2e6e8000,0xeeeeeeec,0xdeeeeeee,0x7ffec43c,0xffffffff,0xffffffff,
    0xffff9107,0xffffffdf,0x0000bea0,0x7fff6440,0xfa80ceff,0xffffffff,
    0xffffffff,0x2605f83f,0xb01f202f,0x807d800f,0x03ec007d,0xb4f88be6,
    0xfa81fb8f,0x0017e07f,0x7fff4dd0,0xffffffff,0x25ffffff,0x4c09dffa,
    0xcccccdfc,0xf984cccc,0xd5101aef,0x0007ee0f,0x65d4c000,0x6fcc2ffe,
    0xcccccccc,0xcccccccc,0x3e605f82,0xfb01f202,0xd807d800,0x203ec007,
    0x547ee4f8,0x7e41f22f,0x001ba03f,0x00000bf0,0x2a007fcc,0xff10003f,
    0xa83e4005,0x0000002f,0xf893f660,0xbf000004,0xf9017cc0,0x6c007d80,
    0x4007d807,0x366e807d,0x20bd2fc7,0x07e406fe,0x003f8800,0x00bee000,
    0x640017ea,0x83e4001f,0x000003f8,0x3a0fc800,0xbf000006,0xf9017cc0,
    0x6c007d80,0x4007d807,0xf17c807d,0x4f88fd89,0xfb801d90,0x05f70002,
    0x07dc0000,0x80037d40,0x07c8006e,0xa80001be,0x23f88003,0x800001fd,
    0x80be605f,0x003ec07c,0x03f201f6,0x5403fcc0,0x7d41fa9f,0x80002f9a,
    0x7cc000fe,0x4c000006,0x1ffb802f,0x4005f800,0x0ff207e8,0x0fb14400,
    0x7c49f100,0x5f800006,0x7c80be60,0x36003ec0,0x803fb807,0xf9807ffb,
    0xf7bf07db,0xbf300001,0x007f4400,0x02fc0000,0x301bffea,0x5000fe87,
    0x0fe80fff,0xe87fd400,0x17dc002f,0x5c0017ea,0x3e605f81,0xfb01f202,
    0x9807d800,0x77fe406f,0x09fdf007,0x0001bbf2,0x5401efc8,0xa88003fe,
    0x413f2000,0x03fefffa,0x04fb8ff9,0x407effd8,0xd8802ff9,0x0fffa3ff,
    0xfd837dc0,0x7ff7001d,0x17cc0bf0,0x07d80f90,0xfc803ec0,0xffdb98be,
    0x00defd8c,0x7d407ff6,0x5c00005f,0xb531acff,0x3a0005ff,0x67e4006f,
    0xfbefc98a,0xeb88cfda,0x9dfe80df,0xcffdb988,0x80ceefc8,0x889bdfea,
    0x41effdba,0x1abdfefe,0x01dfd733,0x44d67fdc,0x3fffcb98,0x13bffb66,
    0x320f7be6,0xfdb51def,0x32207bdf,0x400deffe,0xeffffffc,0x80bfff62,
    0x1ffc07fb,0x7ec40000,0x0dffffff,0x0dff1000,0xfffff900,0x7fec3a2b,
    0x32202fff,0xefffffff,0x07ffff21,0xffffffc8,0x2b901dff,0xfffffffb,
    0xd8800bff,0xffffffff,0x7ffd40be,0x7fcc0eff,0x2fffc85f,0xbffffff9,
    0x3ffffa20,0xbcb9801f,0x0000000a,0x22000000,0x0009bcb9,0x0001ca80,
    0x98037951,0x2a2001bb,0x00009bcc,0x35995310,0x97530001,0x10001559,
    0x00359953,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x66665c40,0x1ceda881,0x6666664c,0x9999301c,0x66543799,0x99301ccc,
    0xa8003999,0x0711c401,0xcb800350,0xcccccccc,0x0663cccc,0x4c00d400,
    0xd9800000,0x001b1000,0x0036e600,0x001aba98,0x74c8000c,0xb85fffff,
    0x25ffefff,0xfffffffd,0xfffffd05,0x7fffc9ff,0xfffd05ff,0x7e400dff,
    0x4c3fa204,0x0ff600ef,0xfffffe80,0xffffffff,0x2620ff26,0xf804fc80,
    0x3fb26004,0x077cc0ad,0x2603fe20,0xd881cffd,0x9800feff,0x0dfffffe,
    0x37fffa60,0x24fd8801,0xd12fa998,0x3f6215df,0x267f6663,0x6fd4cc01,
    0x57fd4409,0x57fd4c01,0x01df9000,0xdf90ffe6,0x013fe601,0x4ccccff4,
    0x2fe99999,0x3f22ffa2,0xbf93ffff,0x64013e00,0x0fdb99bf,0xf88077d4,
    0x9acfb82f,0x98dc46eb,0x577d400f,0x703ff730,0x5fffffff,0x301ff440,
    0x409fd35f,0x003fa80a,0x3e600fe4,0x0ffcc00e,0x201ffb00,0xffb04ff9,
    0x013fe603,0x1fe401ba,0x677fff44,0x0dfffeca,0x2e009f00,0xdf509d00,
    0x882ff881,0x202f883f,0x3be200f9,0xf98df100,0xffea8aef,0x402ff980,
    0x002ffdf9,0xdf001ba0,0x407fe600,0xb1001ff9,0x3fea03ff,0x80fff405,
    0x36c05ffa,0xf3027e40,0x03fee07f,0x80004f80,0x21df507b,0x09502ff8,
    0x01f30364,0x3ea007e4,0x7f41bf63,0x400ffd45,0x0001fff9,0xfa8017dc,
    0x07fe6002,0x22001df3,0xff502ffe,0x5ffd100d,0x9817fee0,0x202fdc02,
    0x1fdc02fc,0xa827c066,0x540bd000,0x002ff9ef,0x0f981b60,0x27c017a0,
    0x1bee05ff,0x3e6001df,0xf880000e,0x000fd005,0x3be63ff3,0x7ffd1000,
    0x003bfee0,0xc817ffc4,0xa8000eff,0x02fc406f,0x677f47e8,0x7ed453e1,
    0xdd95303f,0x2fffa801,0x80be6000,0x013e00f9,0x00ff8af4,0x40008ff3,
    0x200002f9,0x1fcc01fc,0xfbfe8800,0xffd3000e,0x03fff207,0x07fff300,
    0x8003bff2,0x7d400ef9,0x443f7002,0xefceffec,0x203dfffd,0x8801fffc,
    0x50000eff,0x00f9807f,0xf27c01ba,0x01bf207f,0x0005f300,0x36027c40,
    0x3e20000f,0xff3000ef,0x3fff209f,0xfff30001,0x03bff609,0x2003fe20,
    0x5f5001fb,0x3fffb260,0x26000bdf,0x3fe203fc,0x5c000efc,0x00f9803f,
    0x5f7007f2,0x7fc437ec,0x17cc0004,0x03f60000,0x200027c4,0x9002fffa,
    0xff103fff,0x744000df,0xffb80eff,0x0ff4403f,0x7002fa80,0x7ffd003f,
    0x80fc8000,0x1df52ff8,0x400bf200,0x0ff400f9,0x7fc45fa8,0x0fffc9cf,
    0x017cc000,0x40fe6000,0x2e0001fc,0x002fe9ef,0xd103fff9,0x36000bff,
    0xff980eff,0x02fe803f,0x64013e60,0x767dc00f,0x3e20000f,0x2a17fc43,
    0x3b6200ef,0x003e6001,0xb757bfd3,0xfff501df,0x0003ffff,0x00005f30,
    0x017e0fd0,0xd10dfb80,0x3fee005f,0x4ffe880e,0x077fec00,0x4017ffcc,
    0xfe8002fd,0x202fcc00,0x00df36f9,0xff117cc0,0x203bea05,0x4c000de9,
    0xfff9000f,0xec8807df,0x00000cef,0x000005f3,0x02fa85f5,0xd10bf700,
    0x3fea007f,0x3ffe880e,0x20bff900,0xc802fff8,0xf980803f,0x03fd100e,
    0x9f707fc4,0x3a202aa0,0x805ff10e,0x13ea0efa,0xb99911c4,0x801999bf,
    0x00000098,0x005f3000,0xdd1be000,0x817f2000,0xf5003fd8,0x17fec0df,
    0x4413fee0,0xfb801ffe,0x5c1f9804,0xb989bfff,0x3f603fff,0xe982fe82,
    0x1efdbbef,0x7d400bea,0x9999df12,0x2e21fb99,0xbccccccc,0x00000000,
    0x017cc000,0x31fb8000,0xbf90007f,0x400ff600,0x3f605ff9,0x09ff501f,
    0x5400fff4,0x45f5005f,0xfffeaefc,0x83feaeff,0x0df104f9,0x01e76dd4,
    0x66640800,0x04cccccc,0x00000000,0x2f980000,0xbf100000,0xf90003f6,
    0x04fd800b,0x6409ff30,0x1ffcc1ff,0x3001dfb0,0x97d400df,0x32ea0efb,
    0x20bfa22b,0x0000c402,0x00000000,0x00000000,0x99910000,0xdddddfb9,
    0x40007bdd,0x2004fefc,0x2deeffdb,0xbffddb50,0x07fd1005,0x5ff137e4,
    0x40077e40,0xeeeeeff8,0xfeeeeeee,0x88001b92,0x0000003d,0x00000000,
    0x00000000,0xffa80000,0xffffffff,0x0006ffff,0x8003ffe2,0x4ffffffd,
    0xffffff90,0x01362009,0x00ba61d5,0x3e6001bb,0xffffffff,0x02ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x44000000,
    0x2201aca9,0xeeeeeeed,0xeeeeeeee,0x9005eeee,0x3fffee00,0x97ffff45,
    0xeeeeeeeb,0xeeeeeeee,0xb883eeee,0x9b0002dd,0x93059500,0x00dc819d,
    0xaaa989b3,0xaaaaaaaa,0xaaaaaaaa,0x3fe21aaa,0xffffffff,0x0fffffff,
    0xddddddd3,0xdddddddd,0xdddddddd,0x000001dd,0xffffd500,0x3fea09ff,
    0xffffffff,0xffffffff,0x4fc807ff,0x4ffffa80,0xc8ffffec,0xffffffff,
    0xffffffff,0x7f444fff,0x14404ffe,0xffe817f2,0x3fffe26f,0x6c13fea7,
    0xffff31ff,0xffffffff,0xffffffff,0x3e25ffff,0xffffffff,0xffffffff,
    0xdddddd30,0xdddddddd,0xdddddddd,0x00001bdd,0x157b5000,0x0005f951,
    0xb80fb000,0x7cc02fff,0x7fe42fff,0x000000ff,0x3f22fe88,0xc87e880e,
    0x7ffd40ef,0xffff71ff,0x40ffe65f,0x2aa60ffb,0xaaaaaaaa,0xaaaaaaaa,
    0x2e21aaaa,0xbbbbbbbb,0x3bbbbbbb,0x00000000,0x00000000,0x000000db,
    0x477cc0fb,0x3fe200fe,0x7ffd41ff,0xd0000007,0x43df703f,0xdf702fe8,
    0x7ffffdc1,0x3fffff52,0x002600c4,0x00000000,0x00000000,0x00000000,
    0x03e42620,0x83ec0000,0x1df30ff8,0x207fffc0,0x0006fff9,0x4c03b000,
    0x03ffccff,0xff88ffd4,0x7fff47ff,0x00000006,0x00000000,0x00000000,
    0x5c000000,0x7ffffffe,0x7d800000,0x5fa83fd0,0x221fffa0,0x00005fff,
    0x3f620000,0xdf3001ef,0x5406764c,0x0000002c,0x00000000,0x00000000,
    0x20000000,0xaaacefe8,0x000007ec,0x03fc87d8,0x3ff607f9,0x547fff06,
    0xcccccccc,0xcccccccc,0x10002ccc,0x00110001,0x00000000,0x00000000,
    0x00000000,0x90000000,0x003e407f,0x2a3ec000,0x417f405f,0xffd05ffb,
    0x7ffffec5,0xffffffff,0x04ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0xd0000000,0x0007d80d,0x3e67d800,0x07fc400e,0x7ec13fea,
    0x0000001f,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x0ffb107c,0x2fb00000,0xf3000fe8,0x902ff98d,0x000001ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xb757df10,0x0099fdff,
    0xf9bec000,0x207d4002,0x0bf300fe,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7d400000,0xeb8cffff,0x000000de,0x40000053,
    0x00000400,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00098800,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_47_latin1_x[224]={ 0,9,5,3,4,3,5,9,12,6,0,2,6,3,
9,4,4,4,3,3,4,3,5,4,4,5,9,6,0,2,0,0,4,0,1,2,3,1,3,2,2,4,3,1,
2,0,0,0,3,2,1,3,2,1,0,0,1,2,4,0,0,0,4,1,8,2,0,3,2,2,4,2,1,3,
3,3,3,0,2,2,0,2,3,4,2,1,1,1,2,3,4,0,11,0,3,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,9,4,2,4,1,
11,2,6,0,0,0,0,3,0,-1,6,2,6,7,8,1,3,9,8,7,5,2,0,0,0,0,0,0,0,0,
0,0,0,2,1,1,1,1,4,4,4,4,-1,0,0,0,0,0,0,5,1,1,1,1,1,2,3,1,2,2,
2,2,2,2,0,3,2,2,2,2,3,3,3,3,2,2,2,2,2,2,2,2,2,1,1,1,1,3,0,3,
 };
static signed short stb__courier_47_latin1_y[224]={ 34,7,9,6,6,8,12,8,8,8,8,11,27,21,
29,5,7,8,7,7,8,8,7,8,7,7,16,16,11,18,11,9,7,10,10,9,10,10,10,9,10,10,10,10,
10,10,10,9,10,9,10,9,10,10,10,10,10,10,10,8,5,8,8,43,7,15,8,15,8,15,8,15,8,7,
7,8,8,15,15,15,15,15,16,15,10,16,16,16,16,16,16,8,8,8,19,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,34,16,6,9,13,10,
8,8,9,9,7,16,21,21,9,5,3,9,7,7,7,16,8,18,33,8,7,16,8,8,7,16,1,1,1,4,
3,1,10,9,1,1,2,3,1,1,2,3,10,4,1,1,2,4,3,15,8,1,1,2,3,1,10,8,7,7,
7,9,9,6,15,15,7,7,7,9,7,7,7,9,8,9,7,7,7,9,9,12,14,7,7,7,9,7,8,9,
 };
static unsigned short stb__courier_47_latin1_w[224]={ 0,6,15,19,17,19,16,7,8,7,16,20,9,19,
7,17,17,17,17,18,16,18,17,16,17,17,7,10,20,21,20,15,16,25,22,21,21,21,21,22,21,17,22,23,
21,25,24,21,20,21,24,19,20,23,25,25,23,21,17,7,16,7,17,26,8,21,23,20,23,20,19,22,22,19,
14,21,19,25,21,20,23,23,20,17,20,22,23,23,21,21,17,9,3,9,19,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,6,16,20,17,22,
3,20,13,25,14,21,22,19,25,27,13,20,12,11,8,22,19,7,8,11,14,21,25,26,25,15,25,25,25,25,
25,25,25,21,21,21,21,21,17,17,17,17,23,24,21,21,21,21,21,15,23,23,23,23,23,21,20,20,21,21,
21,21,21,21,25,20,20,20,20,20,19,19,19,19,20,21,20,20,20,20,20,20,21,22,22,22,22,21,23,21,
 };
static unsigned short stb__courier_47_latin1_h[224]={ 0,28,12,31,32,27,23,13,32,32,16,22,14,3,
6,33,28,26,27,28,26,27,28,27,28,28,19,23,22,9,22,26,30,24,24,26,24,24,24,26,24,24,25,24,
24,24,24,26,24,30,24,26,24,25,24,24,24,24,24,32,33,32,12,3,7,20,27,20,27,20,26,27,26,27,
35,26,26,19,19,20,27,27,18,20,25,19,18,19,18,26,18,32,32,32,7,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,0,26,28,25,17,24,
32,29,4,26,13,18,12,3,26,2,13,25,15,15,7,26,29,6,8,14,13,18,26,26,27,26,33,33,33,30,
31,33,24,32,33,33,32,31,33,33,32,31,24,30,34,34,33,31,32,15,28,34,34,33,32,33,24,27,28,28,
28,26,26,29,20,26,28,28,28,26,27,27,27,25,27,25,28,28,28,26,26,20,22,28,28,28,26,35,34,33,
 };
static unsigned short stb__courier_47_latin1_s[224]={ 255,239,57,142,78,217,141,247,47,116,148,
169,246,181,132,127,67,236,179,209,46,101,43,141,106,146,247,158,190,73,211,
63,1,43,159,79,182,166,1,213,225,25,88,95,119,228,134,183,74,44,49,
121,204,1,23,90,1,206,188,235,198,243,39,154,115,69,142,91,118,130,101,
27,1,74,1,161,141,151,177,1,94,50,1,112,205,199,22,222,46,24,112,
96,251,106,95,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,
191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,191,255,246,177,
226,130,111,251,133,140,115,1,68,16,181,187,201,233,25,193,165,247,70,113,
124,247,206,218,90,44,164,1,237,1,27,53,18,202,79,140,25,176,145,213,
228,215,233,124,162,116,66,38,132,167,180,56,177,194,108,84,189,1,105,69,
158,164,45,124,93,22,91,43,1,85,218,1,234,81,61,197,46,120,66,228,
1,22,213,166,22,232,154,22,186,141,16,60,154, };
static unsigned short stb__courier_47_latin1_t[224]={ 1,104,391,71,71,164,326,275,71,71,372,
326,351,391,391,37,135,221,164,135,248,164,164,164,135,135,248,326,326,391,326,
248,104,301,275,248,275,301,326,221,275,301,275,326,326,301,275,248,326,104,326,
248,275,275,326,301,301,301,301,37,1,37,391,391,391,351,193,351,193,351,248,
193,248,193,1,248,248,351,351,351,193,193,372,351,248,351,372,351,372,248,372,
71,37,71,391,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,
221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,221,1,104,104,
248,372,275,1,104,391,221,391,372,391,391,193,391,372,275,372,372,372,221,104,
391,289,372,372,372,221,221,193,164,37,37,37,104,71,37,301,71,1,37,37,
71,1,1,71,71,301,104,1,1,37,71,71,372,104,1,1,37,71,37,301,
164,135,135,135,221,221,104,351,221,135,104,135,193,164,164,164,275,164,275,135,
164,164,193,193,351,326,104,135,135,221,1,1,1, };
static unsigned short stb__courier_47_latin1_a[224]={ 398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_47_latin1_BITMAP_HEIGHT or STB_FONT_courier_47_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_47_latin1(stb_fontchar font[STB_FONT_courier_47_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_47_latin1_BITMAP_HEIGHT][STB_FONT_courier_47_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_47_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_47_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_47_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_47_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_47_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_47_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_47_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_47_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_47_latin1_s[i] + stb__courier_47_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_47_latin1_t[i] + stb__courier_47_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_47_latin1_x[i];
            font[i].y0 = stb__courier_47_latin1_y[i];
            font[i].x1 = stb__courier_47_latin1_x[i] + stb__courier_47_latin1_w[i];
            font[i].y1 = stb__courier_47_latin1_y[i] + stb__courier_47_latin1_h[i];
            font[i].advance_int = (stb__courier_47_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_47_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_47_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_47_latin1_s[i] + stb__courier_47_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_47_latin1_t[i] + stb__courier_47_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_47_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_47_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_47_latin1_x[i] + stb__courier_47_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_47_latin1_y[i] + stb__courier_47_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_47_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_47_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_47_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_47_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_47_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_47_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_47_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_47_latin1_LINE_SPACING
#endif

