// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_50_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_50_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_50_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_50_latin1_BITMAP_HEIGHT        465
#define STB_FONT_courier_50_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_50_latin1_FIRST_CHAR            32
#define STB_FONT_courier_50_latin1_NUM_CHARS            224

#define STB_FONT_courier_50_latin1_LINE_SPACING          23

static unsigned int stb__courier_50_latin1_pixels[]={
    0x002a8000,0x000dfd00,0x0d400000,0x10000a60,0x00000003,0x80000013,
    0x01300001,0x22000000,0x00060001,0x00011000,0x01bf2000,0x6c37f400,
    0x0002ffff,0x817fdc00,0x20004ff9,0x000003fd,0x0000ff20,0x000fec40,
    0x0000ffc0,0x01bea000,0x00077cc0,0x702fdc00,0xdfb0000d,0x3fa00001,
    0x2feeeb86,0x7ec00000,0x0dff704f,0x027fcc00,0x77ec0000,0xe8800000,
    0xf500005f,0x0000005f,0x8000bfee,0x00000efd,0xfc807ff2,0xbfd10000,
    0x7f400001,0x0017d406,0x037a6000,0x0000f6c4,0x00017fa2,0x006ff440,
    0x27fcc000,0x3fe60000,0x64000003,0xc80001ff,0xd80001ff,0x07e400ef,
    0x027f4c00,0x02764000,0x00000bea,0x00000000,0x0003bf62,0x004fe980,
    0x07ff5000,0x3fa60000,0xfb000004,0x5400001d,0xd10002ff,0x1f9001bf,
    0x03ff9800,0x54000000,0x0000002f,0x20000000,0x80000efd,0x00003ff9,
    0x0005ff70,0x05fe8800,0x37fa2000,0xf9800000,0x7f44003f,0x003f2005,
    0x00005d30,0x05f50000,0x00000000,0x3fb80000,0x02fc8000,0x07ba0000,
    0xfd800000,0x9f300001,0xe9800000,0x01fdc006,0x00003f20,0x80000000,
    0x000002fa,0x00000000,0x02000008,0x00100000,0x00200000,0x00001000,
    0x04000400,0x0007e400,0x00000000,0x0c405f50,0x99999500,0xccca8019,
    0x000003cc,0x00000000,0x00000000,0x00000000,0x00000000,0x003f2000,
    0x99500000,0x99999999,0x8bea0799,0xdfffedb8,0x3fff201b,0x7f403fff,
    0x001fffff,0x0159bb73,0x376e6000,0x262000ac,0x20199999,0x19999998,
    0x4cccccc4,0x26666201,0x99998199,0x99999999,0x01999999,0x33333333,
    0x01333333,0x33333333,0x41333333,0x3332a0fc,0x65400ccc,0x7f43cccc,
    0xffffffff,0x5f505fff,0x333bffa2,0x100efffd,0x200135fd,0x800bfc99,
    0xfffffffb,0xf70000cf,0x9fffffff,0xffff8801,0xf985ffff,0x4fffffff,
    0xfffffff1,0xffff30bf,0x7fc9ffff,0xffffffff,0xffffffff,0x7fffc0ff,
    0xffffffff,0x3fe3ffff,0xffffffff,0x93ffffff,0x7fffe41f,0x7ff403ff,
    0x4cc1ffff,0x99999999,0x35f505f9,0x7f4c09ff,0x009f501f,0xb100df10,
    0x951159df,0x44003ffd,0xa88acefd,0x5c01ffec,0x1cccdfdc,0x9ff99970,
    0x6fee5c39,0x99701ccc,0x54399ff9,0xcccdfdcc,0xcccccccc,0x66540fec,
    0xccfecccc,0x2a0bcccc,0xfecccccc,0x0bcccccc,0xafe881f9,0xf9330009,
    0x5f800017,0x03dfbf50,0x7403bf20,0x1fdc000f,0x2017fa60,0xe9802ffc,
    0x2ffc805f,0x0002fb80,0x02fb80fd,0xf700fd00,0x01f90005,0x00007e40,
    0x7e4007e4,0x8004fa80,0xf00006f8,0x07ffea0b,0x2a09f900,0x037c004f,
    0xb800ffe2,0x3fe200ff,0x03fee003,0x20005f70,0x017dc07e,0xfb807e80,
    0x00fc8002,0x00003f20,0x1ee003f2,0x5c000fe8,0xbf00003f,0x000ffea0,
    0x0fe81fa2,0xc807f700,0x5fa8003f,0x2000ff20,0x17dc05fa,0x5c07e800,
    0x0fd0002f,0x90005f70,0x07e4001f,0x007e4000,0x0027d400,0xf80001be,
    0x000ff505,0x4fa80fd4,0xf980ff00,0x0bfa0006,0xe8001be6,0x00bee02f,
    0x3ee03f40,0x00fd0002,0xf90005f7,0x007e4001,0x0007e400,0x7000fe80,
    0x7c00007f,0x000bf505,0x1fd01fcc,0x6c03fb80,0x3ea0002f,0x0002fd86,
    0x2fb81bea,0xb80fd000,0x0fd0002f,0x70005f70,0x00fc800f,0x000fc800,
    0x2009f500,0x7c00007f,0x0007f505,0x13ea05f8,0x5f980ff0,0x20fe8000,
    0xe80005f9,0x005f700f,0x5f701fa0,0x201fa000,0x080202fb,0x0007e400,
    0x00007e40,0xfb801fd0,0x2fc00003,0x40003fa8,0x807f406f,0x17d403fb,
    0x51fd4000,0xf500005f,0x000bee07,0x0bee03f4,0x5c03f400,0x000fe02f,
    0x00007e40,0x000007e4,0x07f809f5,0x505f8000,0x7c4000bf,0xe81fd404,
    0x00fdc00f,0xf72fcc00,0xbf300003,0x4000bee0,0x017dc07e,0xfb807e80,
    0x0009f102,0x00003f20,0x000003f2,0x0fee01fd,0x417e0000,0x2a0006fa,
    0x40fe803f,0x0fd803fa,0x6cdf0000,0xdf00000f,0x4000bee0,0x017dc07e,
    0xfb807e80,0x0009f102,0x00003f20,0x0a2003f2,0xfe81fd40,0x5f800000,
    0x0005ff50,0x3ea007f6,0x74007f43,0x9fa00007,0x3a00007e,0x0005f707,
    0x05f701fa,0x2e01fa00,0xffffffff,0xf900004f,0x1f900001,0x2001f900,
    0x01fd40fe,0x505f8000,0xb8001fff,0x43fa005f,0x0df004fa,0xdf3f4000,
    0x83f40000,0xfd0002fb,0x0002fb80,0xddf700fd,0x09fddddd,0x003f2000,
    0x2003f200,0x7f5000fc,0x00000fe8,0x3bea0bf0,0xff3000df,0xe9fd4001,
    0x00fd000f,0x0fd3f400,0xb83f4000,0x0fd0002f,0xd0002fb8,0x205f700f,
    0x900004f8,0xf900001f,0x001f9001,0x04fa87f4,0x417e0000,0x02ffbafa,
    0x40017fe4,0x2004fbfe,0x880000fd,0x0003f66f,0x7dc1be20,0x80fd0002,
    0xfd0002fb,0x2205f700,0xf900004f,0x1f900001,0x4001f900,0x001fd3fa,
    0xa82fc000,0x59dff52f,0x03dffb75,0x03ffea00,0x0001fb80,0x07ee5f98,
    0x417e6000,0xfd0002fb,0x0002fb80,0x05f700fd,0xc80001f4,0xfc80000f,
    0x000fc800,0x0027dff4,0x5417e000,0x3fff662f,0x0003ffff,0x54004fe8,
    0xfa80002f,0x0000bea3,0x17dc0fea,0x5c07e800,0x0fd0002f,0x20005f70,
    0x03f20018,0x003f2000,0xf50003f2,0x000001ff,0x05f505f8,0x0002aea2,
    0x4000fe80,0xe80005f9,0x0017e60f,0x7cc03fa0,0x80df0003,0xdf0003f9,
    0x0005f700,0x0fc801f2,0x00fc8000,0xe8000fc8,0x8000004f,0x005f505f,
    0x4fa80000,0x005fb000,0x7ec37d40,0x1bea0002,0xf50009f0,0x0009f00b,
    0x5f700bf5,0x003f6000,0x400007e4,0x0fc800fc,0x000fe800,0x82fc4000,
    0x000002fa,0x80007f40,0x3a0006f8,0x006f882f,0xdb00bfa0,0x007f9000,
    0x7f9000db,0x0005f700,0x7e4003f6,0x0fc80000,0x4000fc80,0x000004fa,
    0x5f503f98,0x54000000,0x7e40004f,0x05fb8003,0x2e000ff2,0x03fb805f,
    0x2007fa20,0x3a2003fb,0x02fb801f,0x2001fb00,0xc80000fc,0x00fc800f,
    0x00007f40,0xa80fdc00,0x0000002f,0x100003fa,0x7dc009ff,0x13fe200f,
    0x800ffb80,0xe8801ff8,0x3ff1003f,0x007fd100,0x6c000bee,0x01f9000f,
    0x001f9000,0x7d4001f9,0x88000004,0x00bea07f,0x27d40000,0xdfe88000,
    0x00ffe400,0x2006ff44,0x26001ffc,0x3fa202ff,0x17fcc006,0x400dfd10,
    0xfb0002fb,0x003f2001,0x2003f200,0x3fa000fc,0x4c000000,0x0bea02fe,
    0xaaa88000,0xaacfeaaa,0xffd80001,0xffdb99bd,0x7fec001e,0xffdb99bd,
    0xff98001e,0xffda99bd,0xff98000d,0xffda99bd,0x7776400d,0xeeeeeeef,
    0xfeeeeeee,0x3bbbb20f,0xeeeeffee,0x3bb21dee,0xeeffeeee,0x731deeee,
    0x0027d400,0x2af332a0,0x981ffecb,0xaaacfcaa,0xff90001a,0xffffffff,
    0x2e0000ff,0xffffffff,0xff70000b,0x17ffffff,0x7fecc000,0x003fffff,
    0x7fffecc0,0xfd003fff,0xffffffff,0xffffffff,0x7fec1fff,0xffffffff,
    0x362fffff,0xffffffff,0x2fffffff,0x2aaaaa20,0x01aacfea,0xffffff80,
    0xfd01dfff,0xffffffff,0x2aa2000d,0xaaaaaaaa,0x4400000a,0x0002bcca,
    0x0af32a20,0x32e60000,0x4000009b,0x0009bcb9,0x00000000,0x00000000,
    0xffffffc8,0x007fffff,0xaaaaaa88,0xaaaa8800,0x000aaaaa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2aaaaaa2,
    0x000aaaaa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x000a6000,
    0x00013000,0x00044000,0x00098000,0x001b5000,0x00000000,0x00000030,
    0x000005b1,0x00000059,0x00001362,0x13fbfaa0,0x17f40000,0x7c800000,
    0xfb800000,0xfc800004,0x000001ff,0x400017a6,0x00000ef9,0x009fff30,
    0x7ffffffc,0x00001fd1,0x0effe980,0x8fe00000,0x800001fa,0x00003ffa,
    0x0000fd80,0x007bf200,0xbefe8800,0x800003ff,0x00003ffa,0x00003bf6,
    0xdfd7ff70,0xdddff001,0x013ea1bd,0xbffb8000,0x00002ffc,0x005c86a8,
    0x09ff3000,0x0fd80000,0xfd880000,0x2a00000e,0x37fa64ff,0xff700000,
    0xf9000005,0xb100003f,0x17fe43df,0x3fe01be0,0xfd800000,0x013fea1f,
    0xd5099000,0x74400000,0x4400005f,0x22bdffca,0x3fa20000,0x7dc00005,
    0x1efd882f,0x0ffe4000,0xff500000,0x7f440005,0x04ffa80d,0x0fee01be,
    0xdfe88000,0x00dfe980,0xd81f3000,0x44000003,0x300005fe,0xfffffffd,
    0x30007f5d,0x000009ff,0x4fb801df,0x03bf6000,0x3e600000,0x7f90003f,
    0xf00fe880,0x00ff100d,0x4027d400,0x200001fd,0x00fdaaee,0x3fb00000,
    0xcffb8000,0x3fffae61,0x03fb8004,0x40010000,0x37ea0000,0x20000000,
    0x020006e9,0x01be0080,0x000017e4,0x00004001,0x033fae20,0x01000000,
    0x01ff8800,0x80027fcc,0x00000000,0x00500000,0x00400000,0x7c000000,
    0x00df1006,0x00000000,0x00000000,0x6c000000,0x09f7002f,0x88000000,
    0x01999999,0x26666662,0x00000001,0x20000000,0x00acddb9,0x7e400df0,
    0x99880002,0x00999999,0x26662000,0x00099999,0x26666200,0x00009999,
    0x0760037c,0x33333310,0x22000133,0xffffffff,0xfffff985,0x26664fff,
    0x33300099,0x33330133,0x33333333,0x03333333,0x3ffffee0,0x7c00cfff,
    0x01be2006,0xfffff700,0x000fffff,0x3ffffee0,0x0007ffff,0xffffff70,
    0x4000ffff,0x400005f8,0xfffffffb,0x2e0007ff,0x1cccdfdc,0x9ff99970,
    0x3ffff639,0x7ffc02ff,0x3fe0ffff,0xffffffff,0xffffffff,0x3f6200ff,
    0xeca88ace,0x01be01ff,0x40003fb0,0xfcccccc8,0x80002fde,0xfcccccc8,
    0x80002fde,0xfcccccc8,0x20002fde,0x4400006f,0xefcccccc,0x5c0002fd,
    0x0fd0002f,0x179dfb93,0xcffdca80,0x6fee6543,0xcccccccc,0x00fecccc,
    0xf900bfd3,0x001be05f,0x00000bf3,0x00bf17f5,0x45fd4000,0x2000005f,
    0x005f8bfa,0x0000bf60,0x3e2fea00,0x17dc0005,0x2207e800,0x7e4000fe,
    0x002fb803,0xff880fc8,0x03fee003,0x3f6001be,0x7ec00001,0x00001fb0,
    0x07ec3f60,0x0fd80000,0x220001fb,0x00000bff,0x07ec3f60,0x005f7000,
    0xbf501fa0,0x802fd400,0xfc8002fb,0x8003fc80,0x006f85fa,0x00004fa8,
    0x03fa97e2,0x25f88000,0x800003fa,0x00fea5f8,0xceffe980,0xf100000a,
    0x0001fd4b,0x3a0005f7,0x003fc807,0x3ee001fd,0x40fc8002,0x3a0006f9,
    0x80037c2f,0x700000fe,0x0006f85f,0x37c2fb80,0x17dc0000,0x2a0001be,
    0x2dfffffd,0xf0bee000,0x17dc000d,0x8807e800,0x1fe400ff,0x0005f700,
    0x02fd81f9,0xdf1bea00,0x013ea000,0x3207f400,0x7400001f,0x000fe40f,
    0xf903fa00,0x5cc00003,0x000effed,0x0fe40fe8,0x002fb800,0x3ea00fd0,
    0x001be605,0xf70005f7,0x80005f98,0x001be0fe,0x40000fe8,0x04f985f9,
    0x217e6000,0x200004f9,0x04f985f9,0x3f220000,0x17e6001f,0x5c0013e6,
    0x0fd0002f,0xfe817ec0,0x017dc001,0x0bea0401,0xf8fea000,0x0fee0006,
    0x205f9000,0x3200007e,0x000fd02f,0x7e817e40,0xfa800000,0x40bf2006,
    0x5f70007e,0x801fa000,0x1fdc0ff8,0xf017dc00,0x007ee007,0x6f97e600,
    0x003fc000,0x2fb81fa0,0x40fd0000,0xd00002fb,0x0017dc0f,0x007ec000,
    0x0bee07e8,0x000bee00,0x3ea003f4,0x4001be65,0x09f102fb,0x00003f60,
    0x000df37c,0x30003fb8,0x02fc409f,0x1027cc00,0xf30000bf,0x002fc409,
    0x017d4000,0xbf1027cc,0x005f7000,0x36001fa0,0x0003fd2f,0x27c40bee,
    0x00007e80,0x0006f9fa,0xc80037c4,0x007ec01f,0xb007f200,0xfc80001f,
    0x8007ec01,0x3fa8002c,0x6c01fc80,0x17dc000f,0x8007e800,0x004fcff8,
    0x3ffffee0,0xf004ffff,0x3f40000d,0xf90000df,0x00df0005,0xf80007f5,
    0x003fa806,0x7d4037c0,0x006f8803,0x6f801fc8,0x4003fa80,0xfd0002fb,
    0x1bfea000,0xdddf7000,0x009fdddd,0xe80001fa,0x20001be7,0x7d4006f8,
    0x000df003,0x6f801fd4,0x00fea000,0x7fc4037c,0x01be6002,0x37c00fea,
    0x000bee00,0xfb0003f4,0x2fb80005,0x36009f10,0xf880000f,0x40001be6,
    0x3f6002fd,0x9999999a,0x0001fd99,0x333335fb,0x03fb3333,0x266bf600,
    0xd9999999,0x7ffc401f,0x01ffa803,0x9999afd8,0x1fd99999,0x000bee00,
    0xf90003f4,0x2fb80003,0x2e009f10,0xf980001f,0x40001be5,0xff1005f9,
    0xffffffff,0x0009ffff,0xfffffff1,0x9fffffff,0xffff1000,0xffffffff,
    0xef8809ff,0xa99abffe,0x8802ffeb,0xffffffff,0x04ffffff,0x4000bee0,
    0x3f20007e,0x17dc0001,0x3ea007d0,0x3fa80002,0xd80001be,0xcdfb801f,
    0xcccccccc,0xb8007ecc,0xccccccdf,0x07eccccc,0xcccdfb80,0xcccccccc,
    0xf74e807e,0x9fffffff,0x337ee001,0xcccccccc,0x26007ecc,0x0df0003f,
    0x000fe400,0x4000bee0,0x0017e618,0x06f83fa0,0x017e6000,0x3ee001fa,
    0x003f4002,0x3a0017dc,0x02fb8007,0x1bfea880,0x8007e800,0x13e002fb,
    0x0017ea00,0x40001fc8,0xf90002fb,0x20002fd8,0x0037c6fa,0x9803fa00,
    0x5f88004f,0x0013e600,0xf98017e2,0x05f88004,0x0003f600,0x220013e6,
    0x01b6005f,0x8000ff20,0x5c0001fc,0x1fb0002f,0xd00037c4,0x0006f85f,
    0xf9027d40,0x03f60003,0x8000fe40,0x3f9000fd,0x003f6000,0x40007ec0,
    0xfb0001fc,0x00fee001,0x0001fe88,0x700007f2,0x3f60005f,0x4001fe40,
    0x006f85fb,0xf00fe800,0x1fd4000d,0x20006f80,0x0df003fa,0x001fd400,
    0xf8000fd8,0x0fea0006,0x400ffc40,0x40003fe8,0x5c0001fc,0x1fb0002f,
    0x2004ff88,0x06f80ffb,0x84fb8000,0x7c0003fa,0x003fa806,0x7d4037c0,
    0x037c0003,0x4000fd80,0x7c0003fa,0x0bfe6006,0x0006fe88,0x40001fc8,
    0xfb0002fb,0x01bfd101,0xdf01ffc8,0x00013333,0x0fd81ff0,0x00fe4000,
    0x900003f6,0x00fd803f,0x000fe400,0x360007ec,0x7e40000f,0x37fe6001,
    0xdffda99b,0x1fc80000,0x017dc000,0x3600fd80,0xdb99bdff,0x3fe01eff,
    0x001fffff,0x76cdfdc0,0x01deeeff,0x77f7775c,0x3ffb664e,0x5c01deee,
    0x4eefeeee,0x3bbffb66,0x775c01de,0x004eefee,0x76cc01ae,0x01deeeff,
    0x77f7775c,0xffb3004e,0x007fffff,0xfddddb30,0x09dddddf,0xeefeeec8,
    0xeeeeeeee,0x00ffeeee,0x7fffffdc,0x66400bff,0x000bcccc,0xfffa9b80,
    0x402fffff,0xfffffffd,0x3ffffea6,0x7ec02fff,0x26ffffff,0xfffffffa,
    0x7ffec02f,0x0006ffff,0xfffff500,0xfd805fff,0x06ffffff,0x09bcb980,
    0xffff5000,0xffffffff,0xffffe80d,0xffffffff,0xffffffff,0x79951000,
    0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x02002000,0x6d400000,0x50000000,
    0x20359d97,0x00800800,0x17440000,0x2a000000,0x0000000d,0x20000000,
    0x08000800,0x90000080,0x0ffd40df,0xffffffb0,0x3fff9005,0x801f5000,
    0xffffffeb,0x901b23ff,0x0ffd40df,0x2fc80000,0x005f6cd5,0x1fffc800,
    0x8003f500,0x6a806fd8,0xdf9006b8,0x800ffd40,0x3fea06fc,0x7ffc0001,
    0x407ffb01,0x2feeeeeb,0x3ef7fa20,0x3fe2003f,0x7bffb100,0x3bfeea23,
    0x7ffc07d9,0x009ffb02,0x64ff1000,0x03fff70f,0x5f7f4400,0x6f9803ff,
    0x13ffe600,0x0fb03f20,0x6c07ffe0,0xfff003ff,0x00fff603,0x540df900,
    0x7d4001ff,0x4c9ff502,0xfd800dfe,0x01bfd104,0x80ffff70,0xff500ffc,
    0xf7000003,0x3ee07e47,0x9ff50006,0x2006ff4c,0x7fd003fd,0x3a07ec00,
    0x40df9007,0xf9001ffa,0x00ffd40d,0x04400400,0x5c17d400,0xefd882ff,
    0x403fe601,0x7cc004fd,0x8800807f,0xff000000,0x7ec07e41,0x17fdc001,
    0x300f7ec4,0x6f9801ff,0x3f43ec00,0x00100100,0x00110010,0x00000000,
    0x01df05f5,0x3f604fb8,0x000df704,0x00001fea,0x9f500000,0x2fb80fc8,
    0x20077c00,0x27f404fb,0xd000fea0,0x0000df0f,0x00000000,0x00000000,
    0x00082fa8,0x00ff9802,0x7c0003ff,0x00000007,0x3207f400,0x003fa80f,
    0x50010004,0x02fa80ff,0x02fc37c0,0x00000000,0x33310000,0x4c403333,
    0x40199999,0x000002fa,0x27d417f6,0x801b2000,0x00acddb9,0x09f50000,
    0x07f501f9,0xf0000000,0x017d405f,0x0bf11be0,0x33333330,0x13333333,
    0x33333330,0x33333333,0xf8803333,0x5fffffff,0xffffff98,0x0bea04ff,
    0x33333333,0x81333333,0x1fd02ff8,0x70010000,0xffffffff,0xe8000019,
    0xa80fc81f,0x4cccc03f,0x99999999,0x01999999,0x2fa817f2,0x3e22fc00,
    0x7ffffc04,0xffffffff,0x3ffe3fff,0xffffffff,0xffffffff,0x7ee5c00f,
    0x9701cccd,0x0399ff99,0xffff17d4,0xffffffff,0x7dc7ffff,0x000ff00f,
    0x9dfb1000,0xffd95115,0x3e600003,0xf501f905,0x7ffffc07,0xffffffff,
    0x0fffffff,0x2a01ff30,0x17e2002f,0xcca809f3,0xccfecccc,0x2a0bcccc,
    0xcccdfdcc,0xcccccccc,0xf7000fec,0x01fa0005,0x999517d4,0x999fd999,
    0x7f417999,0x000bf105,0x05fe9800,0x0002ffc8,0x1f901fd8,0x65407f50,
    0xccccdfdc,0xcccccccc,0x13fe00fe,0xf30017d4,0x0003f989,0x2e0003f2,
    0x0fc8002f,0x0005f700,0x17d401fa,0x8800fc80,0x09f304ff,0x7fc40000,
    0x03fee003,0x206f9800,0x03fa80fc,0x90005f70,0x83fec01f,0x3e6002fa,
    0x0001fd43,0xf70001f9,0x01f90005,0x4000bee0,0x05f5007e,0x2a003f20,
    0x07f303ff,0x1fe40000,0x002fd400,0x7e405fb0,0x7003fa80,0x1f90005f,
    0x5407fe40,0x3bbae02f,0xfeeeeefe,0x000deeee,0xf70001f9,0x01f90005,
    0x4000bee0,0x05f5007e,0x2e003f20,0x07f302ff,0x1be60000,0x002fe800,
    0x7e406f88,0x7003fa80,0x1f90005f,0x5c0ffdc0,0x3fffa02f,0xffffffff,
    0x001fffff,0xf70001f9,0x01f90005,0x4000bee0,0x05f5007e,0x32003f20,
    0x07f300ff,0x0bf60000,0x006fa800,0x7e402fc8,0x7006f880,0x1f90005f,
    0x6c17fd40,0x0bee001f,0x640003f9,0x2fb8000f,0x2007b800,0xfd0002fb,
    0x400bea00,0x7fd800fc,0x00013e60,0x00017e60,0xf88003fa,0xd00fc806,
    0x05f7005f,0xf980f700,0x003fd43f,0x01f907f2,0x0007e400,0x401017dc,
    0x00bee000,0xfa803f40,0x001f9002,0x06f80dfd,0x02fa8000,0x003fa800,
    0x3f200fee,0x07dff100,0x401017dc,0xaa7fc400,0x64001ffe,0x0007ec0f,
    0x70001f90,0x001fc05f,0x80017dc0,0x05f5007e,0x3e003f20,0x003f406f,
    0x000fdc00,0xf002fcc0,0x01f9001f,0xf703ffe4,0x0001fc05,0x17ffabff,
    0xfb03f600,0x00fc8000,0xf102fb80,0x5f700009,0x401fa000,0x1f9002fa,
    0xd80ffd00,0x6c00001f,0xdf00000f,0x400fee00,0x7ff700fc,0x8817dc01,
    0xff10004f,0x0027fdc9,0x001fa1f6,0x70001f90,0x013e205f,0x000bee00,
    0x2fa803f4,0xb001f900,0x37cc01ff,0x01fa0000,0xd007e800,0x03f2001f,
    0x7dc007fc,0x0009f102,0x3fe0ffe6,0xd3333100,0x3df3333f,0xfc800133,
    0xfffb8000,0x04ffffff,0x002fb800,0x3ea00fd0,0x001f9002,0xfc803ff9,
    0xf8d40003,0x1fa00006,0xc8013ea0,0x004f980f,0xfffffff7,0x2a0009ff,
    0x01fc82ff,0xfffffffd,0xffffffff,0x07e4005f,0x7777dc00,0x004feeee,
    0x0002fb80,0x0bea00fd,0x5c007e40,0x7fc402ff,0x27fb0001,0x3a00007e,
    0x000fe807,0x0fea03f2,0x77777dc0,0x0004feee,0x5f503ff9,0x3f333260,
    0xcefccccf,0x32000bcc,0x2fb8000f,0x00009f10,0x3a0005f7,0x005f5007,
    0x3e6003f2,0x2ff9803f,0xd9bfa200,0xf880000f,0x002fd406,0x0fea03f2,
    0xf8817dc0,0x1ffb0004,0x7c005f50,0x00027c45,0x2e0003f2,0x009f102f,
    0x0005f700,0x17d401fa,0xf000fc80,0x3fe6009f,0x45fe9804,0x980001fb,
    0x00fec05f,0x3ea03f20,0x205f7003,0xfd0004f8,0x400bea0d,0x027cc5f8,
    0x0003f200,0x03e80bee,0x002fb800,0x3ea00fd0,0x001f9002,0xfa801bf2,
    0xca99bcef,0x2fa83ffe,0x03fa8000,0x320017e6,0x003fa80f,0x01f405f7,
    0xf503ff80,0x313e6005,0xfc80007f,0x02fb8000,0x26003100,0x0df0003f,
    0x6400bea0,0x3ff3000f,0xffffb800,0x301dffff,0xfd0000bf,0x000fec01,
    0x1fd407e4,0x0002fb80,0x03fea031,0xf98017d4,0x0001fd43,0x2e0003f2,
    0x0f90002f,0x540027c0,0x05f5005f,0xd8003f20,0xf710004f,0x3f600379,
    0x1bea0002,0x90006f88,0x007f501f,0x64000bee,0x540bfb07,0x87f5002f,
    0x640002fa,0x2fb8000f,0x001fb000,0x3f2001b6,0x005f5003,0xfa8003f2,
    0x01e60006,0x8001be20,0x0bf202fe,0x5407e400,0x05f7003f,0xf103f600,
    0x017d403f,0x17dc2fa8,0x003f2000,0x4000bee0,0x7f7000fd,0x00ff4400,
    0xf9002fa8,0x02ff8001,0x0017f300,0xb8003fc8,0x01be205f,0xfa80fc80,
    0x005f7003,0xdf703f60,0x7002fa80,0x001fc85f,0x40007e40,0xfb0002fb,
    0x07fe2001,0x800ffa20,0x1f9002fa,0x006fb800,0x001fb910,0x70027fc4,
    0x1fe401ff,0x901f9000,0x0bee005f,0x3e07ec00,0x027cc02f,0x07e41fb8,
    0x003f2000,0x4000bee0,0x3e6000fd,0x1bfa202f,0x2005f500,0x7c4000fc,
    0x1f40002f,0x037fa200,0x4403ff90,0x7e40007f,0x7000ff80,0x3f60005f,
    0x2201bee0,0x83f9007f,0x640000fd,0x2fb8000f,0x001fb000,0x99bdff98,
    0x400dffda,0x02fb9999,0x70001f90,0x37e600df,0x0001fb9a,0x7337bffb,
    0xb803dffb,0x7e40003f,0x8013faa0,0xfb0002fb,0xc800ffc1,0x3f200aef,
    0xec803ec0,0xeffeeeee,0x21deeeee,0xeeefeeec,0xeeeeeeee,0x000ffeee,
    0xfffffd98,0xffe803ff,0x3b22ffff,0xeffeeeee,0x01deeeee,0x6d4007f6,
    0x40003eff,0xfffffffb,0x0ff800bf,0xe87e4000,0x76400dff,0xeeeeefee,
    0xeeeeeeee,0x09f50ffe,0x207ffc80,0xb003a849,0xffffffff,0x5fffffff,
    0x7ffffff4,0xffffffff,0x00ffffff,0x4de5cc00,0x99995000,0x7ffec399,
    0xffffffff,0x2202ffff,0x00010003,0x2bcca880,0x00005c00,0x005751c4,
    0x3ffffffa,0xffffffff,0x10ffffff,0x01540007,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00019b50,0x00080080,0xbdca8800,0xda800009,
    0x0000000c,0x00002f6a,0x00000000,0x00c40000,0xdedba800,0xa800000b,
    0x00c40002,0x7ffffd40,0x64005b83,0x07fea06f,0x3ffea000,0x00dfffff,
    0xfffffa80,0x00005b83,0x05fffff7,0xca8800b9,0xfffffffd,0x5c405fff,
    0xfffffffd,0x366003ff,0x20003eff,0xfffffffd,0x3f200002,0xffb10006,
    0x3fe6007f,0x9bfffb8c,0x7fc006fd,0x09ffb02f,0xbdffc800,0x1efdb989,
    0x22ffe600,0xfeabfffb,0xffa80006,0xabeffc8b,0xf91005fe,0x335f79df,
    0x401335f3,0x999adfe8,0x003e9999,0x00fd477a,0x42b7fa20,0x0002ffa8,
    0x0000efd8,0x03fffff7,0xfc881930,0xc8005fff,0x3ff500ff,0x3bf62000,
    0x01ffd400,0x7e440c98,0x00004fff,0xffc88193,0xff5004ff,0x3e07c43d,
    0x001bd001,0x43cc00fa,0x1fec005c,0x0003fd10,0x00037fa2,0x2fffffc8,
    0x1bb88000,0x22002000,0x17f60000,0x002ff980,0x001bb980,0x2ee60000,
    0x0bff5001,0x801f81f1,0x0fa001fa,0x03cc2e40,0xf3009f50,0x9fd30007,
    0xfff30000,0x000000df,0x00000000,0x98005fa8,0x0000006f,0x00000000,
    0x7c4077ec,0x36400fc0,0x4c00f600,0xd002e40f,0x01b6001f,0x0007ff10,
    0x0001aa80,0x02b376e6,0x00000000,0x20001fd0,0x998803fc,0x00999999,
    0x0ccccc00,0x99999880,0x881ffc19,0x6c00fc0f,0x0004c004,0x03f715bd,
    0xc8013ea0,0x0ba6000f,0x00000000,0xfffffff7,0x3100019f,0x13333333,
    0x027dc000,0x401ff100,0xfffffffb,0x3a0007ff,0x402fffff,0xfffffff8,
    0x205ff35f,0x400fc0f8,0x000000fa,0x00b7ff22,0x2e000fd8,0x0000001f,
    0x36200000,0xca88acef,0x2e001ffe,0xffffffff,0x3fe0007f,0x1fe40000,
    0x99999910,0x0005fbdf,0x1bff732a,0x3fb332e0,0x03ff51cc,0x403f03e2,
    0x0005fba8,0xd0001000,0x02fb800f,0x00000000,0x00bfd300,0x22005ff9,
    0xefcccccc,0xf88002fd,0x5f880004,0xf8bfa800,0xefa80005,0x07ec003f,
    0x7c40bfe6,0xffb80fc0,0x0000efef,0x6f800000,0x2fdba880,0x00000000,
    0x03ff8800,0x0003fee0,0x05f8bfa8,0x0003f980,0xfb000df0,0x00003f61,
    0x001fd7f5,0x3fe207ec,0x1f81f104,0x3a20bf88,0x9800002f,0x3e200099,
    0x3fff6205,0x666542ff,0x6665c01c,0x062000cc,0x4001fe40,0x360005fa,
    0x8001fb0f,0xd00002fb,0x25f8800f,0x540003fa,0x2005fabf,0x1ffd80fd,
    0x40fc0f88,0x03bf205c,0xffdb9800,0x400cffff,0xbff503f9,0xfe85f935,
    0x7fc02fff,0x2001ffff,0x37cc00fb,0x005fd000,0x1fd4bf10,0x0007f200,
    0x70007e40,0x0006f85f,0x02fd9fd4,0xfd101fb0,0x7c0f883f,0x74c04d81,
    0x3ea000cf,0xdccdefff,0x3ea02ffe,0x5c2ff983,0x2fb9982f,0x1fc99980,
    0xb007f200,0x7d40005f,0x42fb8006,0x07ec006f,0x01fc8000,0x3f903fa0,
    0x89fd4000,0x01fb006f,0x442fffa2,0x7cc0fc0f,0x03fea801,0x40159d70,
    0x7f501fea,0x5f705fd0,0x20017d40,0x3f6001fc,0x0017e601,0xd0003fa0,
    0x001fc81f,0x400007f2,0xbf3000fd,0x40009f30,0x00ff23fa,0xff5003f6,
    0x1f81fbdf,0x2e001db0,0x400001ef,0x87f506f9,0x05f705f8,0x320017d4,
    0xffea801f,0x000bea01,0x9800fea0,0x004f985f,0x40000bee,0x0bf2007e,
    0xf50003f4,0x6c00fe87,0xb951000f,0x3601f81f,0x7fb1002f,0x0fd80000,
    0x1fcc3fa8,0x3ea02fb8,0x00fe4002,0x8039ffd5,0x980001fb,0x0bf2005f,
    0x7f5003f4,0x01be0000,0x0bee07e8,0x2a1fd400,0x007ec04f,0x07e07c40,
    0x2001bf70,0x200005fa,0x43fa81fc,0x05f705f9,0x320017d4,0x17ffb01f,
    0x0003f600,0xfd0037c0,0x98017dc0,0xf880004f,0x409f3005,0xf50005f8,
    0x6c03fb07,0x0f88000f,0x7f4c00fc,0x007f3003,0x2a07f200,0xb80ff83f,
    0x00bea02f,0xdfb03f90,0x007e8001,0x4c01fa00,0x017e204f,0x40000fe8,
    0x3f9003fc,0x8000fd80,0x06f983fa,0x220003f6,0x7000fc0f,0x0d7005df,
    0x55575330,0x3ea07f23,0xfb85fc83,0x000bea02,0x05f883f9,0x0000df00,
    0x1fc803f4,0xb8007ec0,0x3e20004f,0x00df000f,0xf50007f5,0x6c0ff207,
    0x0f88000f,0x322000fc,0x07e200df,0x3fffff22,0x1fffffff,0xffd03fa8,
    0x405fb559,0x7e4002fa,0x80017dc1,0x3a00007e,0x500df007,0x07f4007f,
    0x003fc800,0x1be007f5,0x440fea00,0x00fd80ff,0x0fc0f880,0x03fe9800,
    0x9fff70f5,0xd9555559,0x09f303ff,0x7fffffdc,0x005f500f,0x03f41fc8,
    0x0001fb00,0xf500df10,0x801be007,0xf98005fb,0x26bf6006,0x99999999,
    0x7d4001fd,0x3613ea03,0x0f88000f,0x2e0000fc,0x3fb988df,0x80067fd4,
    0x05f881fc,0x02aaaa98,0xf9000bea,0x20007e83,0x980001fb,0x9afd805f,
    0x99999999,0x3f6001fd,0x3ff5000d,0x3fffe200,0xffffffff,0x7d4004ff,
    0x360ff403,0x0f88000f,0x4c0000fc,0x4c3ffffe,0x7e4000ff,0x0000df01,
    0xc8005f50,0x0007ec1f,0x000bea2e,0xf100fea0,0xffffffff,0x009fffff,
    0x5c01efd8,0x3ee002ff,0xcccccccd,0x007ecccc,0x3e601fd4,0x40007ec6,
    0x000fc0f8,0x700de880,0x3f90005f,0x00003f60,0xc8005f50,0x0027dc1f,
    0x00bf39f1,0xb801fd00,0xccccccdf,0x07eccccc,0x9bdffd80,0x01efeca9,
    0x5c003f40,0x0fea002f,0x0fd8bf20,0x7c0f8800,0x1ee00001,0xf90007d8,
    0x0013ea03,0x4009f300,0x7fc41ffa,0x36bf1001,0x3ea0002f,0x8007e806,
    0xd98002fb,0xdfffffff,0x027cc000,0x5002fc40,0x1ff1007f,0x220003f6,
    0x1900fc0f,0xd80fc400,0x7fd4000f,0x0003fe01,0x800ff880,0xfa81fffc,
    0xafed403f,0x3a0006f8,0x027cc02f,0x0002fc40,0x0037bff5,0x8000fe40,
    0x7f5000fd,0x7ed3ee00,0x40f88000,0x800be01f,0x013f207a,0x201fffc8,
    0x400005fb,0x3fa203fd,0xff701fde,0xff97579d,0x01fe43bf,0x6402fdc0,
    0x1fb0001f,0x07ff7000,0x001be000,0xf5003fa8,0x6cff4007,0x0f88000f,
    0x005f00fc,0x1ff302ec,0xfdefe980,0x202ff401,0xff8804c8,0xffeca9be,
    0x107ddf94,0xfffffffb,0x09ff1039,0x4007fdc0,0x3ea0006f,0x3ff62003,
    0x41acdecd,0x3fa80fc9,0x8037c000,0x3e6003fa,0x88000fdd,0x5f00fc0f,
    0x7007ee00,0x973337ff,0x3bf29ffd,0xefe883ee,0x9ff7311b,0x3fffa600,
    0x3f21efff,0x554c05ff,0xdfe88009,0x00ffe400,0x20001fd4,0xfff1006f,
    0xffffffff,0x20bfffbf,0x640000fd,0x03fa801f,0x007ffec0,0x3f333326,
    0x0b337ea3,0x999999bf,0x2003fd99,0xffffffea,0x3fff21df,0xfffb104f,
    0x009fffff,0x01379950,0xd8000000,0xdb99bdff,0xfb001eff,0x1fc80001,
    0x9bcefa80,0xffd97311,0xffed985b,0x5c01deee,0x4eefeeee,0xeeefeec8,
    0x7ffc403e,0x77775400,0x3bbb25ee,0x7777744e,0x00aceeee,0x1accba80,
    0x32e60000,0x00002cce,0x00000000,0xffffffb8,0x6cc00bff,0x1deeeffe,
    0x7f7775c0,0x400004ee,0x3fffea00,0x6c02ffff,0x6fffffff,0xffffffe8,
    0x0ffb805f,0x00000000,0x00000000,0x00000000,0x00000000,0x15e65440,
    0xfffff500,0xfd805fff,0x06ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00020000,
    0x00017100,0x00017100,0x00154000,0x00001710,0x00000100,0x5c400002,
    0x04000000,0x0aa00000,0x00aa0000,0x07f20000,0x1ff98000,0x7fcc0000,
    0xc8000001,0x3e60006f,0x2000001e,0x400001fd,0x980001fd,0x000001ef,
    0x000003fb,0x00001bf2,0x00000df9,0x01ffff44,0x05ff7000,0x2ffb8000,
    0x3f600000,0x7dc0000e,0x4400001f,0x0003fffe,0x03fffe88,0x01ffb800,
    0x3ffa2000,0x6c00003f,0x200000ef,0x00000efd,0xfd39ff50,0x2a00001b,
    0x400003ff,0x00003ffa,0x0006ff44,0x002ffa80,0xd39ff500,0x2a0001bf,
    0x0dfe9cff,0x17fd4000,0x67fd4000,0x0000dfe9,0x0006ff44,0x00dfe880,
    0x5ff90000,0x000f7ec4,0x004ff980,0x027fcc00,0x04fe9800,0x4ff98000,
    0x17fe4000,0x8003dfb1,0x3f622ffc,0x7cc0001e,0x3f20004f,0x07bf622f,
    0x027f4c00,0x09fd1000,0x77ec0000,0x005ff700,0x013fa200,0x09fd1000,
    0x03ff8800,0x3fa20000,0x1dfb0004,0x400bfee0,0xff700efd,0xfe880005,
    0x0efd8004,0x8005ff70,0x00003ff9,0x0000ffe6,0xd3009d00,0x6c400007,
    0xd8800005,0x174c0005,0x6c400000,0x009d0005,0x13a007d3,0x0000fa60,
    0x3a001362,0x003e9804,0x0000174c,0x00000ba6,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x06600000,0x00cc0000,0x02666000,
    0x00660000,0x00262000,0x00131000,0x004ccc00,0x00262000,0x00999800,
    0xcccca800,0x66665c01,0xcccca80c,0x66665c01,0xfdb5000c,0x0039dfff,
    0x3fffb6a0,0x4c001cef,0xffffffdb,0xdb50000c,0x039dffff,0xfffd9100,
    0x10005bdf,0xbdffffd9,0xfdb98005,0x00cfffff,0xfffec880,0x4c002def,
    0xffffffdb,0xffd0000c,0xfff805ff,0xffe81fff,0x7ffc02ff,0x64401fff,
    0xfeccdeff,0x322003ff,0xfeccdeff,0xffa803ff,0xedccdeff,0x322002ff,
    0xfeccdeff,0x3aa003ff,0xffdcceff,0xfd5000cf,0xfffb99df,0xfffa8019,
    0xfedccdef,0x3faa002f,0xfffdccef,0x7ffd400c,0xfedccdef,0x7330002f,
    0x9333005f,0x3ee6603f,0xfc999802,0x07bfe601,0x400efea8,0x2a01eff9,
    0x3ae00efe,0x3faa00ac,0x1eff9801,0x003bfaa0,0x74c07ff9,0x7fe401ef,
    0x07bfa603,0x200aceb8,0xfc801fea,0x3bfa603f,0x02b3ae01,0x0001fea8,
    0xf9000bea,0x002fa803,0xff880fe4,0x817f2002,0x32002ff8,0x2600005f,
    0x17fc406f,0x5c0bf900,0xdf7000ef,0x003bee01,0x000077dc,0x7dc06f98,
    0x1df7000e,0x1be60000,0x002fa800,0x3ea00fe4,0x80fe4002,0xfd8003fd,
    0x0007fb02,0x400005fb,0x0ff600fd,0x260bf600,0x7dc000ef,0x000ef984,
    0x000027dc,0x3be601fb,0x027dc000,0x001fb000,0x9000bea0,0x02fa803f,
    0x7d40fe40,0x03fa0005,0x74000bf5,0xf900000f,0x0017ea03,0x0ff40fe8,
    0x742fd800,0x5fb0001f,0x07f20000,0xd8000ff4,0xf900002f,0x0bea0003,
    0xa803f900,0x0fe4002f,0x50000fec,0x001fd87f,0x0000fea0,0x1fd80fe4,
    0x98fea000,0x3e20004f,0x80013e65,0x900005f8,0x009f303f,0x0002fc40,
    0x50001fc8,0x1fc8005f,0x20017d40,0x006e81fc,0x1ba27c40,0x009f1000,
    0x35557533,0x037407f2,0xfb93e200,0x73f40002,0x7e80005f,0xaaba9980,
    0xf703f91a,0x07e80005,0xaaaba998,0x20003f91,0x7e4002fa,0x0017d401,
    0xdff107f2,0xdddddddd,0xfddddddd,0x7777fc4b,0xeeeeeeee,0x05feeeee,
    0xffffff91,0x03ffffff,0xdddddff1,0xdddddddd,0x7e4bfddd,0x87ec0000,
    0x6c0000fc,0xfffc880f,0xffffffff,0x000fc81f,0x64407ec0,0xffffffff,
    0x0001ffff,0xfc8005f5,0x0017d401,0xfff107f2,0xffffffff,0xffffffff,
    0x7ffffc4f,0xffffffff,0x87ffffff,0xaaccfffb,0x1ffecaaa,0xffffff88,
    0xffffffff,0x3a7fffff,0x1fb80007,0xf70000fd,0xccfffb83,0xfecaaaaa,
    0x0007e81f,0x7fdc1fb8,0xaaaaaccf,0x0001ffec,0xfc8005f5,0x0017d401,
    0x017e07f2,0x002fc000,0x0cffa800,0x3e03f900,0xfd800005,0x8fe40000,
    0x640000fd,0x033fea1f,0x7ec0fe40,0x0fe40000,0x20019ff5,0xf50001fc,
    0x01fc8005,0x320017d4,0x0007e81f,0x0000fd00,0x8001ff30,0x00fd01fc,
    0x003f7000,0x07ee7e80,0x7ccfd000,0x0fe4000f,0x20000fdc,0x003fe67e,
    0x20003f90,0x7e4002fa,0x0017d401,0x0bf207f2,0x0bf20000,0x05f70000,
    0x3203f900,0x5400002f,0x37c0003f,0xf80007f5,0x2000bee6,0x03fa81fc,
    0x5f737c00,0x003f9000,0x9000bea0,0x02fa803f,0x7cc0fe40,0xf9800005,
    0x3ec00005,0x301fc800,0x880000bf,0xf70000ef,0x00077c49,0x01f64fb8,
    0x7c40fe40,0x9f70000e,0xfc8003ec,0x09f30001,0x200ffd40,0x3ea004f9,
    0x007f901f,0x007f9000,0x0007ec00,0xfc807fea,0x7dc00003,0x0ef98004,
    0x4c0027dc,0x003f60ef,0x2e03ff50,0xef98004f,0x50003f60,0x220003ff,
    0xffc800ff,0x07fc401f,0x00fffe40,0x710005fd,0x000bfa09,0x04fc92e2,
    0x007fff20,0x710005fd,0x4007fb09,0x7fb01fe8,0x20ff4400,0x3f2004fc,
    0x0ff601ff,0x641fe880,0x3ff2004f,0x3f60001f,0x37bfa203,0x03fd801f,
    0x07f7bfa2,0x800cff98,0xf306ffc8,0xf910019f,0x007fccdf,0x07f7bfa6,
    0x0019ff30,0xf10dff91,0xffa801bf,0x037fe204,0xf309ff50,0xefe9801f,
    0x3fe201fd,0x27fd400d,0x26007fcc,0x001fdefe,0x26fbfe20,0xf94ffeca,
    0x7fc407dd,0xffeca9be,0x207ddf94,0x99acffd8,0x4fffdca9,0x567fec40,
    0xffdca999,0x9bffb84f,0x4ffecb99,0x207dddf9,0x99acffd8,0x4fffdca9,
    0x2b3ff620,0x2ffdba99,0xacffd880,0x2ffdba99,0x266ffee0,0x94ffecb9,
    0xb107dddf,0x753359ff,0x7dc05ffb,0xecb999bf,0xdddf94ff,0xffd30007,
    0x643dffff,0x74c05fff,0x1effffff,0x5017fff2,0xffffffff,0x540019df,
    0xffffffff,0x3aa00cef,0xdfffffff,0x13ffff21,0xffffff50,0x0019dfff,
    0x3fffffea,0x54000dff,0xffffffff,0xffea800d,0x21dfffff,0x204ffffc,
    0xfffffffa,0xfea800df,0x1dffffff,0x013ffff2,0x09bcca80,0x332a0000,
    0x2000009b,0x01accba8,0xccba8800,0xcba8001a,0x800001ac,0x01accba8,
    0x5e654c00,0x54c00009,0x80009bcc,0x001accba,0x5e654c00,0xcba80009,
    0x000001ac,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x5100024c,0x00003597,0x207d1000,
    0x00009a98,0x00003980,0x2a600000,0x0000abcc,0x02600002,0x00000000,
    0x56654400,0x54000000,0x3f20000b,0xfffb8000,0x0000efff,0x02b372a2,
    0x7fdc1fec,0x00003fff,0x20001fee,0x03dffec8,0xffffd500,0x70007fff,
    0xff80005f,0x7fe40001,0xffffffff,0x4c000fff,0xfffffffd,0xffffff71,
    0xffffffff,0x2ffcc1ff,0x001fb000,0xb9acffc8,0x54002ffd,0xffffffff,
    0x3217ee0d,0x09f931cf,0x03ff9000,0xefffa800,0x1000effe,0x53379ffd,
    0x1001dff7,0x0009fffb,0x00017fd4,0xddddddf9,0x00bddddd,0x9bceffb8,
    0xddf71db9,0xdddddddd,0x5c1ffddd,0x360007ff,0x3bee000f,0x001ff500,
    0x4c6f7ff2,0xefaaffdb,0xfa80fd40,0x3bf60001,0x7fcc0000,0x0077e443,
    0x90037fe2,0xdfe980bf,0x0000efe9,0x20009ff3,0x800001fc,0x7001ffe8,
    0x1fb0005f,0x0003ffd4,0x3e2001fb,0x027dc00f,0x7003bf62,0xdb03ffff,
    0x88005f80,0x80000dfe,0x13ee02fe,0x6c005f50,0x87ff703f,0x10002ffc,
    0xf9000bfd,0xf9800003,0x3ea000df,0x547f8001,0x360006ff,0x05f9000f,
    0xfd803fe0,0x13fe6005,0x01ae01fc,0x000bfd10,0x3a01be20,0x2000400f,
    0x1ffc85f8,0x0007ff50,0x90017fa2,0xe800003f,0x0388003f,0x7d44f980,
    0x3f60006f,0x007f8801,0x2fd40ff2,0x41fff600,0x0035c02f,0x80000fa2,
    0x1fb803fa,0x87e80000,0x274400dd,0x003f6000,0x00001fc8,0x000013f2,
    0xf985f900,0x7e4c005f,0x132effff,0xf10027d4,0x8003fa0d,0xd83fbefb,
    0x0002f406,0x17dc0000,0x00017d40,0x00003ec0,0x40008000,0x300001fc,
    0x000001ff,0xff987e80,0x3bff2005,0xfeffdcbd,0xd0007f23,0x004fb81f,
    0x1fe23fe6,0x17cc07ee,0x40000000,0x0fd802fb,0x05f80000,0x00000000,
    0x0003f900,0x0000bfa0,0x10bf1000,0x3fa009ff,0x9ffb101e,0x360007ec,
    0x8007fc1f,0x0fee1ff8,0x5eb88fb6,0x00000000,0x6f9805f7,0x2fa80000,
    0x00000000,0x003f9000,0x000bf100,0x05f70000,0xf7009ff1,0xe93fa009,
    0x22fc8007,0x3f6004f8,0x6c42fc43,0x004ffdff,0xccccccb8,0x5f70000c,
    0x007fee20,0x01ff3000,0x3333332e,0x665c000c,0x000ccccc,0xcba88fe4,
    0x2fb801ac,0xd8000000,0x809ff00f,0x3e6006f9,0x2a001be4,0x400fe63f,
    0x40df05fc,0x2601bcba,0x7fffc2ec,0x0001ffff,0xffeb85f7,0x2200002f,
    0x3fe01efc,0x01ffffff,0x7fffffc0,0x7e4001ff,0xffffffdc,0x07f601ef,
    0x400000c4,0x0ffe05f8,0xb8003f90,0x260017e1,0x200bee3f,0x01fa06fa,
    0xbefec980,0xc9999980,0x5f70001f,0x0dffffd8,0xffdd7000,0x333001df,
    0x0003f933,0x3f933333,0xdfffc800,0xffda999a,0xdb88fd03,0x0001dfff,
    0x7fc07f50,0x0003ec03,0x7cc002fc,0xf1007f24,0x007e401f,0x17bff930,
    0x003f9000,0x2620bee0,0x8003ffdb,0x02fffffc,0x0007f200,0x2000fe40,
    0x7d400bea,0x3e66f81f,0x3ffecdef,0x00fd8000,0x0df00bfa,0x000bf000,
    0x007ec9f3,0xfc805fd1,0x6ffe5401,0x7e40000b,0x05f70001,0x0009fd50,
    0x037ff6e6,0x0007f200,0x0000fe40,0xf11be600,0x260bfe6b,0x7c0004fe,
    0x2017f406,0x5f80006f,0x324f9800,0x013f601f,0x3f6a03f6,0x00000adf,
    0x5c0007f2,0x0bf6002f,0x1dfd1000,0x001fc800,0x0003f900,0xf87f9000,
    0x7400ef9d,0x7f50001f,0x7401fd80,0x05f80007,0x3ee3f980,0x200bf702,
    0x37ff667e,0x9000000a,0x3ee0003f,0x03fe2002,0x017f6000,0x00003f90,
    0x000007f2,0xfdf17e20,0x0df3003f,0xb007f200,0x01fc803f,0x40037c00,
    0x20fea3fa,0xdf000ef9,0x950056ec,0x32000159,0x5f70001f,0x003fa800,
    0x4001fb00,0x900001fc,0x0000003f,0x07ffd1be,0x40007e40,0x00fc806f,
    0x20002fcc,0x2fb8007e,0x3ff117e2,0x8013e200,0x2ffeefe9,0x001fc800,
    0x88005f70,0xf500005f,0x00fe4007,0x001fc800,0xd8fd0000,0x17dc006f,
    0x2013e600,0x07f90039,0x01fb0dc0,0x7f40fc80,0xb800bfa0,0x3bf3003f,
    0x2000fecc,0xf70001fc,0x00fd0005,0x8017e200,0x900001fc,0x0000003f,
    0x005f71fa,0x64003f98,0x4400001f,0x3aa00dfe,0x000bf23f,0x329f50fb,
    0x3fe2004f,0x6c0bd000,0x00fe4006,0x8002fb80,0xb00000fd,0x00fe400f,
    0x001fc800,0x98df0000,0x1fcc003f,0x0001fa00,0x66ffec40,0x44ffedca,
    0x3e2004fa,0x0df7fd07,0x3003fc80,0x00fd405f,0x20003f90,0xfd8002fb,
    0x0df00000,0x0000fe40,0x00001fc8,0x6f85f880,0x0017d400,0x000009f1,
    0xfffffdb8,0x0ff880ce,0x2a09f700,0x26000fff,0x01ea006f,0x1fc800fa,
    0x705f7000,0x00007f80,0x7e4009f3,0x3f900001,0xf7000000,0x4001fb07,
    0x3ee001fc,0x10000002,0xfb0015fb,0x403fa007,0x2a005ff8,0x3ea001ff,
    0x9001fc00,0x3ee0003f,0xf9817d42,0x5fb00006,0x000fe400,0x3001fc80,
    0x1ff10005,0x2200bf30,0x03ec006f,0x3f600000,0x00ff3000,0x7ff407f9,
    0x7fdc01ef,0x01fc4002,0x7e4003f5,0x85f70001,0x49f905f9,0x7e4001dc,
    0x00fe4004,0x001fc800,0x6c001bf9,0x00bf603f,0xf8800bf2,0x07db3005,
    0x0007ec00,0x3ee01df9,0x32bf900f,0xca99bdff,0xb0000efe,0x20036c0d,
    0xf70001fc,0xf981ff05,0x077fee0f,0x000dfb10,0x200003f9,0xfd1001fc,
    0x6fe8807f,0x9017fc40,0x2fa800df,0x3ffff880,0x001fb000,0xb9adffd8,
    0xdf501efe,0xfffffe98,0x440004ff,0x07faa2ef,0x4003f900,0x45efeeec,
    0xfeb9befb,0xcdfffa83,0xdffca99a,0x01fc8000,0x003f9000,0x9bceffb8,
    0x00cffcb9,0x99bdff98,0x4000efeb,0xff9800fd,0xfb0005ff,0xfff70001,
    0x2201bfff,0x995100ff,0x44000037,0x81effffe,0xeeeeeeeb,0xeeeeeeff,
    0x3fff61de,0x7fe40eff,0x6d402fff,0xffffffff,0x3bbbae02,0xeeeffeee,
    0xd71deeee,0xffdddddd,0xbddddddd,0xfffd9103,0x8005ffff,0xffffffd8,
    0x009b0005,0x001ffffc,0x220006b8,0xd800acb9,0x00000001,0x3201aa98,
    0xffffffff,0xffffffff,0x2e60002f,0x544000bc,0xfc801abc,0xffffffff,
    0xffffffff,0xffffff92,0xffffffff,0x98805fff,0x40001acb,0x000abca9,
    0x32e20000,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x332a2000,0xb980009b,0x300002bc,
    0x00000001,0x00000000,0x00310000,0x00098800,0x1cded800,0x00003ca8,
    0x59973000,0x36a00000,0x32e200cf,0xffffc801,0xf3002eff,0x05dfffff,
    0xfffec880,0x666543de,0x7cc0001c,0xfb00ffff,0x00005fff,0x21cccca8,
    0xdfffedb8,0xfdb8001b,0x5c2cefff,0xc801cccc,0xfcaeffff,0xf93004ff,
    0x3a60003b,0x00efecde,0x3ffe2000,0xffff304f,0x2fbfa60b,0x04ffca99,
    0x54d67fd4,0xf5004ffb,0xffd99dff,0x3ffff21d,0x76c40004,0xdd700ffe,
    0x800005fd,0xd12ffffe,0xffb99dff,0xfd3001df,0xffdb9bdf,0x27fffecb,
    0xffff9100,0x3f60037b,0x220cffff,0x109f107e,0x4c0000bd,0xfb05ffff,
    0xe883ffff,0x0ffa603f,0xd880ffcc,0x1ffe403f,0x5f91df90,0xb0000013,
    0x05f5001f,0xf7330000,0x4c09ff35,0x3ea01ffe,0xdfb100cf,0x00133fb1,
    0x3b7fff2a,0x3bee005f,0xf79ffd51,0x3ea0009f,0x3fa00001,0xffff02ff,
    0x03fc85ff,0xfe81ff88,0x80ff4401,0xf9801ef9,0x00000fef,0x2a003f60,
    0x2000002f,0x001efdfa,0xff301df9,0x3bbee005,0xfff7000f,0x02fec17d,
    0xfff50288,0x7cc0005f,0x65400002,0x3ffff201,0x801be20f,0x027d44fa,
    0x3fd05f98,0x07ffd400,0x1fb00000,0x0005f500,0x0fffd400,0x3a13f200,
    0x7fdc002f,0x17bb000f,0x00027ec0,0x44000298,0x0000006e,0x85dff910,
    0x37c003f9,0xfd8003f2,0x4001fe40,0x00000ffc,0x2a003f60,0x2000002f,
    0x88003ffa,0x0027dc7e,0x0000ffd8,0x0001fe80,0x3b6e0000,0x000000df,
    0xfb804400,0x3a3f4002,0x21fdc007,0xff10007e,0x6c000001,0x02fa800f,
    0x1fea0000,0x361fa800,0xff30000f,0xf1000001,0x0262000d,0xdffda800,
    0x0bd30000,0x17d40000,0x0df1be00,0x37c5f880,0x001ff000,0x1fb00620,
    0x4405f500,0xbf500009,0xf1fcc000,0x7fc4000d,0x6e54c000,0x0fee09bc,
    0x3fffb220,0x20002def,0x22000eea,0x00002ffc,0xf10027c0,0xd8006f87,
    0x80013e27,0x2e6000fd,0x41bdfffe,0x2fa800fd,0x77fff654,0x0fea001d,
    0x3e2bf000,0x07f40005,0xffffe980,0xdf13ffff,0xceffea80,0x00cfffdc,
    0x2009f300,0x0201effa,0x00fec000,0x03ec0fd8,0x7cc7fe20,0x03f60004,
    0x37bffa20,0x363fffdc,0x22fa800f,0xfdcdeffd,0x7f5003ff,0xf16f8000,
    0x0fe80009,0x9adffc80,0x9efeba88,0x7ff900fc,0x00f7f4c0,0x6c407d80,
    0x03dc03ff,0x01ef9800,0x07dc2fe4,0x7c3ffb00,0x03fe0005,0x201bff50,
    0x01fb4fe9,0xbfd15f50,0x03bfea01,0x4000bf50,0x001be4f8,0xfd801ff0,
    0xbffb801e,0x00efb83f,0x0001df70,0x77fd40dd,0x000fd800,0x439ff300,
    0xf305fea8,0x3ffea009,0x44001fa2,0x3fe200ff,0xfbbf9003,0xfd9f5001,
    0x0bfb1005,0x20006fa8,0x001f63fa,0x2a00ff98,0x77cc005f,0x0077cc5f,
    0x03713ee0,0x7ec41fdc,0x07f6003f,0x0666664c,0xfffffd10,0x1fe807ff,
    0x1fd77cc0,0xf70005f9,0x01ff401f,0x003fff20,0x000bffea,0x7fd405fd,
    0x43fb0002,0xf90003fc,0x03fe201f,0xd1bfee00,0x3f60003f,0x26b7fee2,
    0xffb84feb,0x0ff4000d,0x05ffffc8,0x7f7fff44,0x7fc404ff,0xf31df501,
    0x0007fc47,0x2201fff3,0xfe88005f,0x5ffa800f,0x00ff8800,0x8001fff5,
    0x07fc45fb,0x03ffea00,0xb00017e4,0x0027ccdf,0xdb88bf10,0x7441defe,
    0x3ffb82ff,0x3fa05fd0,0x3e600fff,0x3f6620bf,0x567fcc05,0xf31ffdb9,
    0x1005fb87,0x2e01fdfd,0xff50000f,0x01ff5001,0x540bee00,0x3000dfef,
    0x1df501ff,0x3fffe600,0x8000fb00,0x00bee7fa,0x2000fd00,0xf980dffb,
    0x05fd03fc,0x409ffff3,0x7d400dfa,0x3ffaa00e,0x3ee1dfff,0x201efd82,
    0x00fcaffa,0x7c4000fb,0x06fa800f,0x540fe600,0x402ffbaf,0x3f202ffc,
    0x4ffdc03f,0x00df00fd,0x3f27f980,0x07ec0000,0x05dfd300,0xf81fc774,
    0x6fffb83f,0xb80077c0,0x2ca8804f,0x3f205f90,0xfecaacdf,0x3e01f91f,
    0x07fc0005,0x00027d40,0x4bea0bf1,0xbaaceffa,0xa801effd,0xcbabceff,
    0x01fb0efe,0xf00009f1,0x40003f4d,0xff9001fb,0xf8fdc019,0xfd07ff03,
    0x17d405ff,0x0001ba00,0xfd300ff4,0x41bdffff,0x04f980fc,0x4007ec00,
    0x7c0003fa,0x6cc5f506,0x3fffffff,0x7ffec400,0x360cefff,0x005f880f,
    0x03f65f80,0x803f9000,0x4c01efe9,0x3e20fe4f,0x2fffc44f,0x2e001f20,
    0x6f80000f,0x01573100,0x13e203f2,0x001fd000,0xf80009f5,0x2205f505,
    0x80000aba,0xfb009ba9,0x0001fa01,0x00fdc9f3,0xc881fa00,0x8dd004ff,
    0x44ff883f,0x7400fffa,0x02fa8006,0x0027dc00,0x7403f200,0x07fc0006,
    0x0002fd40,0x0bea09f1,0x00000000,0x0fec03f6,0x547f9000,0x37c0003f,
    0x2003dfd0,0x441fc1fb,0x1ffec5ff,0x54003f40,0x3e60002f,0x6c00001f,
    0x000f900f,0x54007fcc,0x3ea0007f,0x0005f502,0xfb000000,0x0013ee01,
    0x3be20fe8,0x09f70000,0x9f3001e4,0xbff307f0,0xf9006ff8,0x00fc8001,
    0x000ffa00,0xf981be00,0x1ffb0003,0x007ff500,0x7d407fa0,0x00000002,
    0x3a00fd80,0x4fa8002f,0x98004fb8,0x200000ef,0xf307f06e,0x00ffccdf,
    0x22004fb8,0x3f20007f,0xfa800005,0x0007fc04,0x2003ffea,0x4000fffa,
    0x0bea04fb,0x00000000,0xff9803f6,0x03fee002,0xd1001fec,0x4400003f,
    0xffffffff,0x237fd47f,0x0ff4002b,0x8002fd80,0x0000efd8,0x200ffcc0,
    0xf1000efa,0xf5001fdf,0x26001bfd,0x017d406f,0x40000000,0x7fdc00fd,
    0x02ffb803,0x50037fe2,0x000009ff,0xf3333333,0x07ffa819,0x02ff9800,
    0x20017f62,0x0000dffb,0x801ffcc0,0x7dc02ffc,0xa800fd8e,0x401efaaf,
    0x7d401ffc,0x00000002,0xa800fd80,0xb88adfff,0x8801effd,0xa99acffd,
    0x0002ffdb,0xb83f8000,0x500007ff,0x95337bff,0x59901bff,0x7fffb753,
    0x99971000,0x07fffb55,0x9bdffc80,0xb0efdba9,0x7645bddf,0x9ff52fee,
    0xdfd75337,0x3f2aa603,0x001aaaac,0x2aaa0000,0x0aabfeaa,0x3ffff620,
    0x8004ffff,0xfffffffa,0x000000df,0x2067ccc0,0x00004ff8,0x3fffff62,
    0x3ff602ff,0x01bdffff,0xfffff500,0x0003dfff,0x3fffff6a,0x3ff60cff,
    0x3fff63ff,0x3fff662f,0x7404ffff,0xffffffff,0x0000006f,0xfffffff3,
    0x26009fff,0x0001acca,0x09bcca98,0xc8000000,0x1886ffff,0x75100000,
    0x2a200359,0x200001bc,0x01aaaaa9,0x565cc000,0x98000000,0x88009bcb,
    0xaaaaaaaa,0x0000000a,0x2aaaaaa6,0x000002aa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00039800,0x66665c00,0x66665c01,0x8015000c,
    0x00540019,0x3100006a,0x01cc0003,0x01500000,0x000001a8,0x200d4000,
    0x6664c019,0xcccccccc,0xcccccccc,0x0e5c42cc,0x7ffda880,0x7fc00000,
    0x7fc02fff,0xd801ffff,0x5ff700ff,0x403ff600,0x54001ffc,0xdeffffed,
    0xfda882e1,0x0000007f,0x3f201ffd,0x7e44001f,0xf900001d,0x0ffea03f,
    0x99999ab8,0x99999999,0x49999999,0x01bfffe6,0x01f6b3ba,0x2e660000,
    0xc999802f,0x2ffe801f,0x2009ffb0,0xffb01fff,0x3ff62007,0xffedccdf,
    0x33ba4f9c,0x000007da,0x3603fff0,0x3f2003ff,0x220dffff,0x3ff6007d,
    0x40bff703,0x4400001b,0x3fffff64,0x003e4001,0x05f50000,0xa801fc80,
    0x03ba605f,0xd3027dc0,0x9ff3001d,0x7ffecc01,0x0001f204,0x3027dc00,
    0x3ea001bd,0x7bffd52e,0x74c009ff,0x03dd100d,0x200000dc,0x3ffffe48,
    0x03e4003f,0x5f500000,0x001fc800,0x00000000,0x00bfe200,0x3204ffc8,
    0x00000007,0x81440000,0x003ffffa,0x06e00000,0x5c910000,0x000fffff,
    0x000003e4,0xc8005f50,0x0000001f,0x36000000,0x4fd8002f,0x00001f20,
    0x00000000,0x00002a60,0x00370000,0x32248800,0xc8002eff,0x20000007,
    0x7e4002fa,0x00000001,0xbf500000,0x813ea000,0x0000007c,0x00000000,
    0x00000000,0x1000006e,0x40001109,0xf700007c,0x0017d405,0x4c0007f2,
    0x98800001,0x007ec000,0x3e403b00,0x0fd88000,0x00133300,0x004ccc00,
    0x70000000,0x48800003,0x07c80000,0x07ff4c00,0xc8005f50,0xfdb5001f,
    0x0039dfff,0xffffd910,0x0dd005bd,0x07c80000,0x05ffb800,0x3ffff6e6,
    0x4c000cff,0xffffffdb,0xccca800c,0x6665c01c,0x000dc0cc,0x00012200,
    0xc8001f20,0x7d400cff,0x00fe4002,0x337bff22,0x003fffec,0x333bffaa,
    0x200cfffd,0x4000005f,0x3a20007c,0xfff502ff,0xfdb99bdf,0xfff5005f,
    0xfdb99bdf,0xfffe805f,0x7fffc02f,0x000dc1ff,0x00012200,0x26001f20,
    0xf5001efe,0x01fc8005,0xa807bfe6,0x7e400efe,0x3bfa603f,0x0004f981,
    0x8003e400,0x2e00dffb,0x3aa00ace,0x5675c01f,0x007faa00,0x3005f733,
    0x1b83f933,0x02440000,0x003e4000,0x8009ff91,0x7e4002fa,0x005ff101,
    0xdf702fe4,0x03bee001,0x000009f3,0x74c007c8,0x800002ff,0x400006f9,
    0x5f5006f9,0x5c1fc800,0x24400001,0x03e40000,0x001effa8,0x64002fa8,
    0x007fb01f,0xdf305fb0,0x84fb8001,0x4000005f,0x3ff2007c,0x2000000c,
    0x400000fd,0x2fa800fd,0x2e0fe400,0x24400001,0x66654000,0x20bcccfe,
    0x2a63ffd8,0x02fa8009,0x7d40fe40,0x03fa0005,0x360003fd,0x0003f42f,
    0x3fb332a0,0x74c0bccc,0x000001ef,0x00001fc8,0x7d400fe4,0x20fe4002,
    0x4400001b,0x32000884,0xeeeeeeee,0x21dff50d,0x04ffeffb,0xf50027d4,
    0x003fb03f,0x9f31fd40,0x22fc4000,0x200002fc,0xeeeeeeec,0x9ff910de,
    0x0009ff50,0x0000fe40,0x2a007f20,0x0fe4002f,0x1000006e,0x177fe449,
    0xffb10000,0xb885fe47,0x01fea05e,0x740fffe4,0x27c40006,0xe80005f7,
    0x0007fc47,0xa8002c88,0xcf881eff,0x7533004f,0x07f23555,0xaaba9980,
    0x5003f91a,0x1fc8005f,0x200000dc,0x3fffee48,0xfb80000f,0x40fea0df,
    0x7ff503fa,0x7ef7f440,0x7777fc41,0xeeeeeeee,0x25feeeee,0x6c0000fc,
    0x002fdc0f,0x1001ffd4,0x76c07ffb,0x3f2204f8,0xffffffff,0x64401fff,
    0xffffffff,0xa801ffff,0x0fe4002f,0x1000006e,0x7fffffc9,0x3fa60003,
    0x7c03982f,0x5dfff505,0x29ffd953,0xff13eefc,0xffffffff,0xffffffff,
    0x0003f4ff,0x77ec0fdc,0x4ffd8801,0x03bfea00,0x209f2fa8,0xaaccfffb,
    0x1ffecaaa,0x333ffee0,0xfecaaaaa,0x02fa801f,0x06e0fe40,0x6c910000,
    0x001fffff,0x001bff70,0x7d40fe20,0xffffffec,0x97fff21e,0xd800005f,
    0x7e40000f,0x57bff901,0xdffb9533,0x3ff62005,0x9f27c403,0x0019ff50,
    0x7fd407f2,0x03f9000c,0xc8005f50,0x0000dc1f,0xfff99220,0xfe98005f,
    0x76c0002f,0x32a5f500,0x740009bc,0xfb800007,0x03f40001,0x3fffffa6,
    0x2002efff,0xd800dffb,0xff313e0e,0x81fc8001,0x64000ff9,0x02fa801f,
    0x06e0fe40,0x88910000,0xf98001cb,0x6c0000cf,0x00bea01f,0x002fc800,
    0x001fd400,0x54401be0,0x000abcfc,0xb8017fe4,0x3ee27c2f,0x81fc8002,
    0xfc8002fb,0x002fa801,0x006e0fe4,0x00091000,0x0001d980,0x2a007744,
    0x2600002f,0x4400005f,0xf70000ef,0x007a8009,0x88006540,0x3ec4f84f,
    0xd81fc800,0x03f90007,0xc8005f50,0x0000dc1f,0x00221220,0xe9800000,
    0x02fa800e,0x01fe4000,0x013ee000,0x0003be60,0x000007f5,0x27c076c0,
    0xf50003f6,0x001fb03f,0x9801ffa8,0x3fea004f,0x00000dc1,0xeffc8922,
    0x40000002,0x3ea005fa,0xfe800002,0x84b88002,0x3a2003fd,0xec98001f,
    0xf0000006,0xffffffff,0x8013f21f,0xfc81fffc,0x3fff2004,0x00ff8801,
    0x5c1fffc8,0x24400001,0x01fffff7,0x3f200000,0x017d4003,0x67fcc000,
    0x6ffc8800,0x400dff88,0x80004ffa,0x8000002f,0xf9999999,0x003fe60d,
    0x03fbdfd3,0xe9801ff3,0xb001fdef,0x77f4407f,0x000dc1fd,0xffe92200,
    0x00002fff,0x0017ec40,0x000017d4,0x9acffd88,0xfffdca99,0x33ff6204,
    0xffdba99a,0x56fd4002,0x00000fb9,0x5c27c000,0xcb999bff,0xddf94ffe,
    0x4dffdc7d,0x4ffecb99,0x407dddf9,0xca9beff8,0xddf94ffe,0x000006e7,
    0x7fffec91,0x4000001f,0x99999afe,0x03f505e9,0xffa80000,0xefffffff,
    0xfff5000c,0x01bfffff,0x3bffae00,0x00000002,0x2a037e66,0xfffffffe,
    0x3ffff21d,0x7ffff544,0x3f21dfff,0x74c04fff,0x1effffff,0x0dd7fff2,
    0x99220000,0x0005ffff,0xfffff800,0x205fffff,0x20000001,0x01accba8,
    0x5e654c00,0x02000009,0x70000000,0x201fffff,0x001accba,0x1accba80,
    0xcca80000,0x36e0009b,0xcccccccc,0xcccccccc,0x5c44cccc,0x0000001c,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x01ff7000,0x0000c000,0x88000000,0x0001acca,
    0x00000000,0xcccccca8,0x66665400,0x0000003c,0x59bdb971,0x765d4000,
    0x080101ac,0xfffc8000,0x8000004f,0x40000ffb,0xd000fec9,0x0003ffff,
    0xfffea800,0x0000efff,0x001fffe4,0xefffec98,0x3ff21bce,0x7403ffff,
    0x41ffffff,0xfffffffe,0x3ff6a000,0x2effffff,0x3fffae00,0x323fffff,
    0x000be206,0x09fddd50,0xff700000,0xff950001,0x32001fff,0x0001feee,
    0x2b3fee00,0x03ffda99,0x7fdff300,0xdfff9000,0x8dfffffd,0x0009afe8,
    0x9017f933,0x1ffddddd,0x2bbffa00,0x13ff2621,0x37bffb10,0x27bfeea2,
    0x00fe607d,0x004f9800,0x0ffb8000,0x3ffff200,0x8000fdad,0x000001fb,
    0x74c01bf9,0x9fd8002f,0x7e4003fa,0x0333101e,0xf10009f5,0x01f9000d,
    0x26007be0,0xbfd101ff,0xffff7001,0x0001fcc0,0x00009f30,0x001dd500,
    0x3f20e774,0x01fb8000,0x05fb8000,0x4001ff10,0x007f54fa,0x00007fcc,
    0xf70003fa,0x01f90007,0xf9801be0,0x8009fb06,0x3e607ff9,0x3e600003,
    0x00000004,0x01f90000,0x0003f700,0xa800fd00,0x43fa004f,0x3ee003fa,
    0x4fa80004,0x80037c00,0x0bf000fc,0x7dc1fc80,0x0ff50006,0x00001fcc,
    0x000009f3,0x32000000,0x1fb8000f,0x1fcc0000,0xb8037c00,0x800fea3f,
    0xd00000fd,0x0fee001f,0x8007e400,0x1fd4001a,0xf80007fe,0x000fe607,
    0x0004f980,0x00000000,0xf70001f9,0xc8800003,0x807d8000,0x01fd46f8,
    0x40000fb0,0x0ff004fa,0x0007e400,0x549f3000,0x3640004f,0x9dfb9993,
    0x99999999,0x04f98019,0x00000000,0x0001f900,0x006203f7,0x1fb00000,
    0x7d42fc80,0x001f6003,0xb801fd00,0x3f20003f,0x2a000000,0x0003fa2f,
    0xffffd820,0xffffffff,0x4c02ffff,0x9999504f,0x32e01799,0x00cccccc,
    0x001f9000,0x7ed43f70,0x0004efff,0x4c06f800,0x503fa85f,0x99ff9999,
    0x39999999,0xf013ea00,0x0fc8000f,0x3f600000,0x00001fe0,0x4e7dccc4,
    0x99999999,0xb04f9800,0x3fffffff,0x3fffffe0,0x900001ff,0x3f70001f,
    0x3733fff2,0x00000dff,0xfe809f70,0xfb03fa81,0xffffffff,0x09ffffff,
    0xfb807f40,0x07e40003,0x5fb80000,0x000017e2,0x0000fe60,0x3ea04f98,
    0x4c0099cf,0x01fd9999,0x001f9000,0x39fd5f70,0x0003bf20,0x401ff100,
    0x07f504fa,0x4ff4cccc,0x09999999,0xe81fd400,0x7e40000f,0x6c400000,
    0x013e61ef,0x0fe60000,0x04f98000,0x00007ff5,0x200003f9,0xfb8000fc,
    0x2fc803ff,0x3fa20000,0xa807f402,0x01f6003f,0x207f4000,0xc80003fa,
    0x9100000f,0x3f981bff,0xf9800000,0x3e600003,0x001ffb84,0x0003f900,
    0x20003f20,0x3e003ffb,0x3f600005,0x501fdc03,0x03ec007f,0x43fa8000,
    0xc80000fe,0x6cc0000f,0x7f302eff,0xf3000000,0x7cc00007,0x00077e44,
    0x0003f900,0x20003f20,0x3ec003fb,0x04fd8000,0x3ea037c4,0x001f6003,
    0xf50fe800,0x3f200009,0x77dc0000,0x001fcc02,0x01fcc000,0x229f3000,
    0x00000dfd,0x80000fe4,0xfb8000fc,0x007e4001,0x009fb100,0x3fa805fb,
    0x0001f600,0x1fd3fa80,0x03f20000,0x003f7000,0x000009f3,0x00007f30,
    0x27f467cc,0x1fc80000,0x01f90000,0x8003f700,0xd10000fc,0x0bf3009f,
    0x6c007f50,0x74000007,0x00004fbf,0x700003f2,0x01be003f,0x0fe60000,
    0xfdf98000,0x000002ff,0x200003f9,0xfb8000fc,0x007e4001,0x8027f440,
    0x3fa801fe,0x0001f600,0x01fff500,0x007e4000,0x4003a600,0x8000007e,
    0x200003f9,0x2feafff9,0x1fc80000,0x01f90000,0x8003f700,0x744000fc,
    0x5df5004f,0x55555555,0xb00359f9,0xd000000f,0xc800009f,0x0000000f,
    0x00000fec,0x0000fe60,0xff11ef98,0xfc800005,0x1f900001,0x003f7000,
    0x22000fc8,0x3ea003fe,0xffffffff,0x0fffffff,0x00003ec0,0x00007f40,
    0x00003f20,0x00df3000,0x03f98000,0x313e6000,0x400005ff,0x900001fc,
    0x3f70001f,0x000fc800,0x88007ff3,0xaaaaaaaa,0x1acfcaaa,0x00007d80,
    0x00027d40,0x00007e40,0x01fe4000,0x7cc06a00,0x3e600003,0x002ff984,
    0x0003f900,0x20003f20,0x7e4001fb,0x03ff9800,0x3fa80000,0x0001f600,
    0x0001fd00,0x0001f900,0x3ff10000,0x40ff6000,0x200004f9,0x3ff304f9,
    0x03f90000,0x003f2000,0x90007ee0,0x2ff9801f,0xf5000000,0x003ec007,
    0x009f5000,0x003f2000,0x01dedb80,0x800bfe60,0x7fc06fe8,0xf9804000,
    0x007fe604,0x0003f900,0x20003f20,0x7e4001fb,0x007fea00,0x3fa80000,
    0x0001f600,0x0000fe80,0x0001f900,0x03ffffea,0x804ff980,0xfd805fe9,
    0x1fda8804,0x7cc04f98,0x3f20001f,0x1f900001,0x003f7000,0xff500fc8,
    0x00498003,0xd800fea0,0xf5000007,0x64000009,0xffb0000f,0xa8005fff,
    0xa99bceff,0x1003ffec,0x53335bfd,0x20bfffb7,0xff9804f9,0x03f90001,
    0x003f2000,0x90007ee0,0x01df301f,0x0001f900,0x7d800fea,0x2aaa2000,
    0xaacfeaaa,0x7e400001,0xfff50000,0x2e0001ff,0xffffffff,0x7ec4001d,
    0xffffffff,0x7f775c1c,0x7fff6404,0x3bbae5ee,0xeeffeeee,0x21deeeee,
    0xfeeeeeec,0xdeeeeeef,0x3bfbbaa1,0xfdd701de,0x3ea1bddf,0xeeeeeeee,
    0xffeeeeee,0xdddd7000,0x76c49ddf,0xeeeffeee,0x904eeeee,0xffffffff,
    0xb800ffff,0xfeeeeeee,0xeeeeeeef,0x2f32601d,0xca880000,0x980001bc,
    0x009accca,0x013ffff2,0xdffffffb,0x3fffff21,0xffffffff,0x3f62ffff,
    0xffffffff,0x22ffffff,0xfffffffb,0xfffff902,0x3ffea3ff,0xffffffff,
    0x00ffffff,0xffffffb0,0x7fff44df,0xffffffff,0xa880efff,0xaaaaaaaa,
    0x7ec000aa,0xffffffff,0xffffffff,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x59bb7300,0xca880001,0x0041acdd,0x5ee5cc40,0x9988000a,
    0x22019999,0x01999999,0x00001c40,0x55ee5cc4,0x80150000,0x00000019,
    0x372e6000,0x00081acd,0x4ccccccc,0x01999999,0x00379951,0xffffff70,
    0x700019ff,0xffffffff,0x2005f11b,0xfdefffea,0xf1004fff,0xbfffffff,
    0xffffff30,0x7e4009ff,0xfd500000,0xffffbdff,0x0ffe4009,0x8003ffa8,
    0x0001dfc8,0x3ffffaa0,0xf92effff,0x7fffec00,0xffffffff,0x677dc5ff,
    0xb1005fec,0x951159df,0x22003ffd,0x5309bffe,0x807fbffb,0x881adfd8,
    0xb801efba,0x1cccdfdc,0x9ff99970,0x07e40039,0x37f62000,0xefba881a,
    0x03ffe801,0xc800bff9,0x20dfffff,0x3f6007d8,0xca88acef,0x00feeffe,
    0x99999930,0x9999bfd9,0x7d4175c3,0x02ff4c02,0x6c017fe4,0x7fcc00cf,
    0x0bfea03f,0x004fd880,0x3a0005f7,0x01f90007,0x017fd400,0xa809fb10,
    0x3dd100de,0xa977d400,0x4ffbdffe,0x00efe880,0x00fffc88,0x005f7000,
    0x3e206d80,0x3fee003f,0x8017ee00,0xbf503ff9,0x17ee0001,0x4000bee0,
    0x1f90007e,0x037ea000,0x002fdc00,0x02880000,0x007ffff5,0x2e0017f6,
    0x700000ff,0x7c80005f,0x2000ff20,0x03f605fa,0xf107f900,0x4c019809,
    0x017dc03f,0x90007e80,0x9f10001f,0x07f30000,0x00000000,0x7d4002a6,
    0x1ff0000e,0x0bee0000,0x304f9800,0x7f4000df,0x5000df02,0x220db07f,
    0xb9efeefd,0xf7007e42,0x01fa0005,0x40007e40,0x3bbb626d,0x3200bdee,
    0x0000000f,0xff800000,0x01f20001,0x002fb800,0x80ffb722,0x2a0002fd,
    0x000df06f,0x103f7076,0x3eeb887d,0x0bee05e8,0x8003f400,0x7dc000fc,
    0x4ccfccc1,0x17a05fc9,0x80000000,0x2fd40018,0x00022000,0x2002fb80,
    0x303ffeb8,0xfd0000bf,0x0000fd01,0x203e827c,0x02f983f9,0x3a0005f7,
    0x01f90007,0x0f104f80,0x82f981e4,0xcccccccb,0x3332e000,0x3ffff6a1,
    0x17ec00bd,0x00000000,0x44000bee,0x02fa85fb,0xc83fa800,0xf980003f,
    0x3c805a80,0x0bee09d0,0x8003f400,0x3e6000fc,0x3440f100,0xffff09d0,
    0x4003ffff,0xff72ffff,0x1dffb9bf,0x00007fc0,0x3ee00000,0x0fdc0002,
    0x200007ee,0x3fe885f9,0xd83dc000,0x17200802,0xe80017dc,0xaaaaa887,
    0xaabfeaaa,0x2e1aaaaa,0x1d01e207,0x4ccc1720,0x4001fc99,0x0dfdbfb9,
    0xf101df90,0x0000000d,0x0005f700,0x07ec4f88,0x306f8000,0x00137ffd,
    0x001d06c8,0x5f707b80,0x361fa000,0xffffffff,0xffffffff,0x40d91fff,
    0xb816e078,0x007f2007,0x013ffea0,0x13e60fee,0x00000000,0x30000bee,
    0x0007e87f,0xfd501fa0,0x80379dff,0x0000f04e,0x05f701f3,0x2a21fa00,
    0xeaaaaaaa,0xaaaaaabf,0x78813a2a,0x300f6544,0x07f2001f,0x013fea00,
    0x04f985e8,0x80000000,0x02e202fb,0x037c0fe8,0x200fd000,0xffffeca8,
    0x0f03f80c,0x703f1000,0x1fa0005f,0x0007e400,0x777c407f,0xf8803ffe,
    0x003f9001,0xd800bf50,0x0027cc0f,0x5c000000,0x3bf6202f,0x82ffca9c,
    0x3a00007e,0xd7310007,0xd04d81df,0x0fa80001,0xd0002fb8,0x03f2000f,
    0x3e204d80,0x802fa999,0x3f9000fa,0x005f5000,0x27cc1fc8,0x33333300,
    0x00008333,0xb93005f7,0x36019dff,0xf880000f,0xff700006,0x02d83643,
    0xfb83dc00,0x00fd0002,0xc8003f20,0x3a61e206,0x9003dc03,0x5f50003f,
    0x441fc800,0xfff8804f,0x6fffffff,0xf70005f1,0x2e000005,0xf980001f,
    0x3ea00005,0x02dc1ea5,0x7dc17600,0x00fd0002,0xa8003f20,0x7441e207,
    0xc8017601,0x2fa8001f,0x7c0fe400,0x99997006,0x2a59fd99,0x2fb8003f,
    0x5f500000,0x07f50000,0x267e8000,0x9805b01f,0x3ee09d04,0x00fd0002,
    0x98003f20,0x4c0f101f,0xc8013a06,0x2fa8001f,0x740fe400,0x0fd80007,
    0x2e000fea,0x0071002f,0x40002fcc,0x0004c0fe,0x02fc3f70,0x207ea05b,
    0x07f302fa,0x4001be00,0x2fc000fc,0x41e40788,0x3f2002fa,0x02fa8001,
    0x7e40fe40,0x07ec0000,0xf70007f5,0x001ea003,0x540005fb,0x0005f86f,
    0x02fa8bea,0xbb757bd1,0xf80bf103,0x05fa8004,0x8001f900,0x57dd42fa,
    0x11af880a,0x1fc800bf,0x002fa800,0x1fdc0fe4,0xa83f6000,0x0fd8003f,
    0x8800f500,0x3fa0006f,0x20007f82,0x007e41fc,0x6c015951,0x0036c00f,
    0xc8001fe4,0x0fc8000f,0x40733332,0x001fb1ca,0xa8001fc8,0x0fe4002f,
    0x00007fc4,0x01fd41fb,0xa801fe20,0x1fe4003f,0xf82fdc00,0x7e88002f,
    0x80005e88,0x3fb802fb,0x007fa200,0x40007e40,0xb80005e8,0x1fc8002f,
    0x002fa800,0x6fa80fe4,0xa83f6000,0x2fd4003f,0x00dd9300,0x70027fc4,
    0x3ffe01ff,0x827ec001,0x90001ef9,0x3fe2009f,0x03fe8801,0x8000e600,
    0x90001ef9,0x3f20009f,0x02fa8001,0xf900fe40,0x1fb00019,0x9801ffcc,
    0x5f0000ff,0x06ff4400,0xf807ff20,0xd8802fff,0x1ff4405f,0x005fd300,
    0x2202ff98,0x000006fe,0x03fe8800,0x000bfa60,0xa8001fc8,0x0fe4002f,
    0x007ffb10,0x3e607f54,0x3fe200df,0x9adfa802,0xfd8000fb,0xfdb99bdf,
    0x4efc01ef,0x999abefe,0x000effca,0x44359df7,0x000dfdba,0x337bff30,
    0x001bffb5,0x5c000000,0x2a21acef,0x0000dfdb,0x54000fe4,0x0fe4002f,
    0x5e77fd40,0xffca999a,0xbffb104f,0x7ffb7337,0x77ff5c00,0x3fee0002,
    0x0bffffff,0x3ff23d80,0x2effffff,0xffed9800,0x02dfffff,0xfffd9800,
    0xb803ffff,0xeeeeeeee,0xeeeeeeee,0xd9800dee,0xfffffffe,0xddd7002d,
    0xddffdddd,0x23bddddd,0xdeefeed9,0xdffdb101,0xffc8807d,0xefffffff,
    0xffeb800b,0x001effff,0x88000020,0x0002bcca,0x35999530,0x2e620000,
    0x000000ab,0x0026f2e6,0x7fffffec,0xffffffff,0x001fffff,0x0055dcc4,
    0x7ffffe40,0xffffffff,0xff72ffff,0x205fffff,0x4fffffe8,0x332ea200,
    0x510001ab,0x00003599,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4ccccc00,0x33333000,
    0x99999881,0x00199999,0x4cccccc4,0x44000999,0x99999999,0x99999999,
    0x26200999,0x09999999,0x26662000,0x99999999,0x33310001,0x03333333,
    0x4ccccc00,0x33333000,0x99999881,0x99988019,0x99980999,0x26620199,
    0x6c000999,0x02ffffff,0x7ffffff4,0x3fffffe0,0xefffffff,0x3ffee02d,
    0xffffffff,0x7f401bdf,0xffffffff,0xffffffff,0xfff702ff,0x0fffffff,
    0x7ffffc00,0xffffffff,0xff000def,0xffffffff,0x20059dff,0x2ffffffd,
    0x7fffffc0,0xfffff10f,0x7d40dfff,0x3fffffff,0x3ffffff2,0xfffff886,
    0x3fff23ff,0x3bf7267f,0x6e5400bc,0x665c3cff,0xcccccdfe,0x80dffedc,
    0xcccffcc8,0xfffecccc,0x3333fa03,0xccfecccc,0x2fdccccc,0x99999910,
    0x0005fbdf,0x337f732a,0xedcccccc,0xdcb803ff,0xccccccdf,0x400efffd,
    0x0bcdffc9,0x6ffe6540,0x6677edc3,0x32e202cc,0x20cefccc,0x2ccdfdc9,
    0x7bfd9970,0x37fffd41,0x20007fc4,0x1fb803fc,0x00ffd880,0x3aa201fa,
    0x406e80df,0x0bee00fd,0xbf17f500,0x05f70000,0x400ffaa0,0xfc9802fa,
    0x0efa802f,0x302fdc00,0xf100009f,0x0017dc09,0x3fe607f2,0x0bf505ff,
    0xb802fcc0,0x17ee001f,0x7ec007e8,0x7ec06e85,0x000bee00,0x003f61fb,
    0x4005f700,0xfa801fe8,0x07fea002,0x98017ee0,0x17e200ef,0x80fe6000,
    0x7e4002fb,0x4ffff881,0x7400bf60,0x03f7000f,0xfd02fd80,0xe85fb000,
    0x7007ec06,0x2fc4005f,0xb80007f5,0x2fcc002f,0x20017d40,0x7fb006f9,
    0x003ff100,0xf50000df,0x0017dc05,0x7ffc07f2,0x03fe203f,0x5c007f90,
    0x27c4001f,0xf88007e8,0x3f603746,0x800bee00,0x0037c2fb,0x2000bee0,
    0x02fa806e,0x8802fc80,0x17f401fe,0x32207e80,0x807ee02c,0x7e4002fb,
    0x05fffd01,0x3e605fa8,0x00fdc006,0x07e837c0,0x3747f700,0xfb803f60,
    0x903fa002,0x7dc0003f,0x807e8002,0xf88002fa,0x0ef9800f,0x6c009f90,
    0x81bfee07,0x0bee00fc,0x3603f900,0xfd801fff,0x8001fd02,0x7e8001fb,
    0x74000fd0,0x1fb01ba7,0x98017dc0,0x004f985f,0x1000bee0,0x05f500bf,
    0x400fee00,0x06fa85fb,0xfe807e40,0x80fb00fd,0x7e4002fb,0x01fff901,
    0xfc81ff10,0x01fb8003,0x7e82fcc0,0x6c3f2000,0x3007ec05,0x0bf2001f,
    0xf70003f4,0x03fc8005,0x10002fa8,0x27ec009f,0xb8001ff1,0xfaef881f,
    0xfb80fd03,0x80fe4002,0x2a007ffb,0x001be65f,0x2e000fdc,0x000fd03f,
    0xfb0017d4,0x3f400001,0x20005f70,0x3f2002fb,0x02fa800e,0xd001be00,
    0x000bfa5f,0x2fea0bee,0x80dd05f8,0x7e4002fb,0x00dff501,0x03fd2fd8,
    0x8007ee00,0x0fd00ffb,0x001fcc00,0x200001fb,0x17e204f9,0x1017dc00,
    0x001bfd95,0xe8000bea,0x6ffc4007,0x7f50004f,0x41fa3f90,0x017dc05f,
    0x7cc07f20,0x7fc4005f,0x2e0003fc,0x3ff9001f,0x30003f40,0x07ec009f,
    0x01fc8000,0x5c0007ec,0xffffffff,0x7406ffff,0xffffffff,0x6c05ffff,
    0x7fd4000f,0x13e60005,0x441fb9fa,0x7ffdc04f,0xffffffff,0x3e01ffff,
    0x5555403f,0xaaafffda,0x7f7000aa,0xb7333333,0x7e805fff,0x013e6000,
    0x00000fd8,0x07f500df,0xddddf700,0xffffdddd,0x3bbb205d,0xeeeeeefe,
    0x007ec04e,0x0013fe60,0x2fcc4f88,0x03f989f3,0x777777dc,0xfeeeeeee,
    0x8036e01f,0xfffffff9,0x5fffffff,0xfffff700,0x07ffffff,0x98001fa0,
    0x03f6004f,0x00fea000,0x7dc0037c,0x9ff73002,0x0005f500,0xd10007ec,
    0x40005fdf,0x3e17dc5f,0x2e017d46,0x0fe4002f,0x1f900000,0xcdfb8000,
    0x0abccccc,0x8001fa00,0x3f6002f9,0xafd80000,0x99999999,0x5c001fd9,
    0x7f4c002f,0x0017d404,0xfd800dd0,0x0001ff8b,0x6c0fd8dd,0x700bee0f,
    0x1fc8005f,0x40000b88,0x5c0000fc,0x7400001f,0x07ee0007,0x0000fd80,
    0x7fffffc4,0xffffffff,0x017dc004,0x5007f440,0x3e20005f,0x997ee004,
    0x7d8000ef,0x91fd437c,0x02fb803f,0x7cc0fe40,0x3f20001e,0x0fdc0000,
    0x01fa0000,0x6c007d80,0x7dc0000f,0xcccccccd,0x007ecccc,0xa80017dc,
    0x00bea02f,0x98017d40,0x02fdc0ef,0x4f987e40,0x03f25f88,0xc8005f70,
    0x03ff701f,0x66666644,0xccccccfe,0x003f7002,0x0007e800,0x1fb0017e,
    0x007e8000,0x2e002fb8,0xbf10002f,0x80017d40,0xff8801fc,0x8007fb01,
    0x203f91fb,0x2e01f67e,0x0fe4002f,0x2205ff50,0xfecccccc,0x03cccccc,
    0x00003f70,0xf70007e8,0x00fd8007,0x0013e600,0xfb8017e2,0x81be0002,
    0xf88002fa,0x407fb007,0x2a001fe8,0x7e40fd2f,0x5f700dd1,0x401fc800,
    0x64003ff9,0x7dc0000f,0x3f400001,0x007fd400,0x80003f60,0xfb0001fc,
    0x00bee001,0xf5027cc0,0x07fd0005,0xf3009f70,0x2bea001f,0x53e605f8,
    0x02fb805f,0x4400fe40,0x3f2004fe,0x0fdc0000,0x01fa0000,0x0005ff30,
    0x7c0001fb,0x0fea0006,0x80017dc0,0x0bea02fc,0x500dfb00,0x2fd400df,
    0x3fabf980,0x027c77c0,0x320017dc,0x09b1001f,0x00007e40,0x000007ee,
    0x7f4400fd,0x01fb0004,0x000fea00,0x3ee00df0,0x0efb8002,0xc800bea0,
    0x7fc400ff,0x027e4000,0x00fee7c4,0x2013ebf6,0x7e4002fb,0x32000001,
    0x7dc0000f,0x3f400001,0x01ffe440,0x0001fb00,0x900003f6,0x05f7003f,
    0x03bf2a20,0xd5005f50,0x5fd001df,0x00bfa000,0x2a01bf7e,0xfb803fdf,
    0x00fe4002,0xeeeda800,0x05eeeeff,0xeefeeec8,0x002deeee,0xdddffdb3,
    0xffffdddd,0x3bb66005,0xeeeeffee,0xffdb304e,0xb803bddd,0x4eefeeee,
    0x777f7764,0xeeeeeeee,0x3200efff,0xeeeeefee,0x0cfffeee,0x3bffb620,
    0x3b6203ee,0x202effee,0xf8804ffe,0xddb502ff,0x3607dddf,0x0deeffee,
    0x3ffee000,0xefffffff,0x7ffff400,0x3fffffff,0xfffff500,0xbdffffff,
    0xfffa8005,0xffffffff,0xffff505f,0xd805ffff,0x6fffffff,0x7ffffff4,
    0xffffffff,0xffe801bd,0xffffffff,0xe8800cee,0x04ffffff,0x3fffffa6,
    0x0bff604f,0xb80fff40,0x5fffffff,0xfffffe88,0x000001ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x99980000,0x33300099,0x33330133,0x33333333,0x99988133,0x19999999,
    0x99999800,0x99999999,0x88199999,0x99999999,0x4c400099,0x99999999,
    0x00199999,0x33333333,0x33333333,0x26660333,0x33100009,0x26666033,
    0x09999999,0x4cccc000,0x33331001,0x32e20333,0x7ffec0bc,0x7fc02fff,
    0x3e0fffff,0xffffffff,0x3fffffff,0x3ffffffe,0x004fffff,0x3ffffffe,
    0xffffffff,0x220fffff,0xffffffff,0x2003ffff,0xfffffffc,0x7fffffff,
    0xfffffd80,0xffffffff,0x41ffffff,0x006fffff,0x5fffff88,0x7ffffffc,
    0xefffffff,0x7fff4003,0x7fc402ff,0x45ffffff,0x3ffddffb,0x2f3bf726,
    0x7fee5400,0x6666543c,0xccccfecc,0x332e0bcc,0xcccccdfe,0x332a001c,
    0xcccccdfd,0xeccccccc,0x66665c0f,0x0cccccfe,0x3337f200,0xcccccccc,
    0xcc9807ec,0xcfeccffc,0xeccccccc,0x77f6541f,0x77e4001f,0x66541cdf,
    0xcccccdfd,0x01effedc,0xdffb9950,0xfd999700,0x41fdc399,0x07f443fb,
    0x000ff200,0x2e0003f2,0xb800001f,0x0fc8002f,0x0000fd80,0xf3000fe4,
    0x6cbf000d,0xb01fc807,0xf800bf3f,0xfb803fae,0x1ffc8802,0x1ff7d400,
    0x3e03f600,0x3ea1fa05,0x017ea005,0x40007e40,0x800001fb,0xfc8002fb,
    0x000fd800,0x8800fe40,0x7d4001fe,0x3f201f63,0x03f6fb01,0x1fd5fdc0,
    0x50017dc0,0x7d4001df,0x36000feb,0x7dc0280f,0xd003fc80,0x3f20001f,
    0x01fb8000,0x02fb8000,0xd800fc80,0x7e40000f,0x007f9001,0x03ec3f90,
    0x57d80fe4,0x55fa009f,0x02fb803f,0x5001fdc0,0x400bf57f,0x6e8000fd,
    0xc801ff10,0x3f20003f,0xfffb8000,0xcdefffff,0x00bee000,0x36003f20,
    0x7e40000f,0x005fa801,0x807d8fd0,0x74fb01fc,0xaa7cc00f,0x02fb803f,
    0x2a005f80,0x2005fb3f,0x7e4000fd,0x9817ea01,0x7e40006f,0xeefb8000,
    0xfffeeeee,0x05f7003f,0x3600f700,0x7e40000f,0x007fc401,0x1f627c40,
    0x3ec03f20,0x0fd807f7,0x5f7007f5,0x400fd000,0x00df13fa,0xfc8003f6,
    0xd02fd801,0xfc80003f,0x01fb8000,0x4037f544,0x080202fb,0x0001fb00,
    0x7ec00fa8,0x85f50002,0x2059807d,0xf1037c7d,0x5c01fd4b,0x3fc4002f,
    0x7e47f500,0x800fd803,0xf1001fd8,0x003fb81f,0x8000fc80,0x3f6001fb,
    0xf017dc04,0x0fd80007,0xfb800000,0x03f60005,0xd80050fb,0xfc817dc7,
    0x2e00fea1,0x2fd4002f,0xfe87f500,0x2007ec00,0x54000ee8,0x001be65f,
    0x40007e40,0x7f4001fb,0x440bee02,0x7ec0004f,0x4c000000,0x3e0000ef,
    0x0fd47d86,0x5f88fb00,0x1fd46f88,0x50017dc0,0x7d4003ff,0x36027d43,
    0x037ea00f,0xfe97ec00,0x1f900001,0x003f7000,0x3ee04f98,0x0009f102,
    0x00000fd8,0x0000ff40,0xb8fb09f3,0x21f6002f,0x21fdc1fd,0x2fb803fa,
    0x007ff900,0x1fd83fa8,0x7dc03f60,0x7fc40004,0x200004fc,0xfb8000fc,
    0x206f8001,0xfffffffb,0x6c0004ff,0x2000000f,0x5c0003fc,0xffffd82f,
    0x1f6002ff,0x50fd13e6,0x05f7007f,0x5ffdb731,0x307f5000,0x207ec0df,
    0x05102fd8,0x0037fd40,0x0003f200,0x3a0007ee,0x3bbbee07,0x004feeee,
    0x00007ec0,0x0006fa80,0xefd80fd8,0x2002feee,0x261fb07d,0x803fa84f,
    0xfffffffb,0x000bffff,0x3f207f50,0xfc81fb03,0xdccccccd,0x0bf6000f,
    0x01f90000,0x8003f700,0x0bee05f8,0x200027c4,0x800000fd,0x80000ff8,
    0xfb8fb05f,0x541f6002,0xf501fb3f,0xdddf7007,0x03fffddd,0x103fa800,
    0x81fb01ff,0xeeeeeeeb,0x32000eee,0x6400001f,0x1fb8000f,0x701fdc00,
    0x013e205f,0x0001fb00,0x002fd801,0x999cfa80,0x0fd47e99,0x7740fb00,
    0x07f505f9,0x36205f70,0x2a0001ff,0x213ea03f,0x000000fd,0x00003f90,
    0xb8000fc8,0x3fe6001f,0xe80bee01,0x07ec0003,0xfb81b600,0x64018805,
    0xffffffff,0x3ec00087,0x203fdf70,0x2fb803fa,0x0017fe40,0x7f403fa8,
    0xb8807ec1,0xfc80001c,0x7e400001,0x01fb8000,0xb805ff50,0x0310002f,
    0xe8001fb0,0x001ff107,0xccfe80db,0x007ecccc,0x3e207d80,0x00fea06f,
    0x3ea00bee,0x3fa8001f,0x3f637cc0,0x5ffff980,0x00fe4000,0x003f2000,
    0x4c407ee0,0xb803ffdb,0x0f90002f,0xe8001fb0,0x2003fd07,0x813e207d,
    0x6c02007d,0x500d4c07,0x05f7007f,0x0003be60,0x5f9007f5,0x7fec07ec,
    0x20001fff,0x400001fc,0xfb8000fc,0xffffffff,0xf7000dff,0x03f60005,
    0xe8001fb0,0x2004fc87,0x80bea07d,0x20f9007d,0xfa80007d,0x002fb803,
    0xf50017ee,0x21ff1007,0xffff80fd,0x320002ff,0x6400001f,0xefb8000f,
    0xbceeeeee,0x017dc001,0x6c00fd80,0x23f4000f,0x3ec006f9,0x3ec01fb0,
    0x7d80fd80,0x03fa8000,0x6c002fb8,0x0fea002f,0x0fda7dc0,0x0fffffb8,
    0x007f2000,0x001f9000,0x00003f70,0x20005f70,0x07ec00fd,0xfe89fa00,
    0xf03ec001,0xb007d80d,0x000fb01f,0xf7007f50,0x06f88005,0xe800fea0,
    0xc880fd9f,0x40002eff,0x400001fc,0xfb8000fc,0xfb800001,0x01fb0002,
    0x74000fd8,0x2000ff67,0x807f307d,0x01fb007d,0xf50000fb,0x005f7007,
    0x2a007f70,0x37e6003f,0x002200fd,0x000fe400,0x0003f200,0x000007ee,
    0x6c000bee,0x007ec00f,0x02fd5fa0,0x3f707d80,0xfb007d80,0x0000fb01,
    0x5f7007f5,0x003fa000,0xfb000fea,0x800001ff,0xffeeeed9,0x404eeeee,
    0xfeeeeeec,0xdeeeeeef,0x3bfbbb21,0x02deeeee,0x3bfbbb20,0xeeeeeeee,
    0x0ffeeeee,0x3ffbbbb6,0xeeeeeeee,0xf57feeee,0xdddddddd,0xffdddddd,
    0x6f7ff6cc,0xdffddb10,0xdddddddd,0x3fb621ff,0x401deeef,0xeefeeeeb,
    0x77f77644,0xf5003eee,0xfdd909dd,0x8807dddd,0x00000fff,0x7fffffd4,
    0x06ffffff,0x7fffffec,0xffffffff,0x3ffffa2f,0x3fffffff,0x3ffffa00,
    0xffffffff,0xffffffff,0xfffffd10,0xffffffff,0x2fffffff,0xfffffffa,
    0xffffffff,0x3fffea7f,0xfffd11ff,0xffffffff,0x3e61ffff,0x2fffffff,
    0x7ffffe40,0x3ffa0eff,0x04ffffff,0x3a1bff60,0x5fffffff,0x000ffb80,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26666660,0x99988019,0x4c409999,0x99999999,
    0x99999999,0x4cccc099,0x26201999,0x40009999,0x003dedc9,0x00001300,
    0x80095000,0x00000049,0x000ee180,0x26620000,0x26200000,0x7ffe4001,
    0x402fffff,0xfffffffe,0xfffff70f,0xffffffff,0x9fffffff,0x7ffffffc,
    0xfff986ff,0x7001ffff,0x3dffffff,0xfffb1000,0x00005b7d,0x0037f540,
    0x000003f2,0x7e880262,0x0000bff6,0xffffb300,0x00e65dff,0x7ffff6d4,
    0x9302e1de,0x19999ff9,0xfdcccb80,0x332e23cd,0xccccccff,0xdccccccc,
    0x3f732a4f,0x9701cccd,0x0017bffb,0x32615df9,0x3e6001ff,0x3fffddff,
    0xfd980000,0x7e4000cf,0xec880000,0x22dfffff,0x7fdc3fe8,0xd800002e,
    0xecccdeff,0x4407eeff,0xdccdfffd,0x04f9cffe,0xb00003f6,0x00df003f,
    0x7dc13e60,0x0ffe6002,0x2e06f980,0x33fa006f,0x00007220,0x03bff910,
    0x0003f200,0x99dfff50,0xfd5dffdb,0x37ff2209,0xdfb00001,0x3ffe4403,
    0x4019ff30,0x204fffd9,0x220004f9,0x00df006f,0x7dc13e60,0x05ff3002,
    0x4c01fd80,0x00bf7003,0x3fee0000,0x7e40002e,0xffb10000,0x7ffe4407,
    0xcffd9804,0x3fe60000,0x20ff9000,0x32002ff8,0x03f404ff,0x2007f700,
    0x9f30006f,0x2a00bee0,0x6f8001ff,0x17e40000,0x3ea00000,0x900003ff,
    0x3f20001f,0xffe8800d,0x3ffaa002,0x05f70003,0xfd83fc40,0x04fd8002,
    0xe80017dc,0x00df000f,0x7dc13e60,0x00f7dc02,0x0002fc40,0x00003f60,
    0x027ff4c0,0x003f2000,0x44017ea0,0x000ffdfe,0x0017ffd4,0x97000bea,
    0x2000bf50,0x2fc404fa,0x002fcc00,0x3e2000df,0x6405f702,0x3e0000ef,
    0x7dc00005,0x6c400002,0x00000cff,0x44000fc8,0xfe8800ff,0x20009f74,
    0x2001effb,0xd80001ff,0x0760000f,0x90003f60,0x037c003f,0x3ee00802,
    0x001bfb02,0x00007e80,0x800037c4,0x001dffc8,0x003f2000,0x36007f70,
    0x0007f45f,0x00dffc88,0x09bdffa8,0x0006e800,0x007f5000,0x37c006f8,
    0x70001f70,0x05fd885f,0x003f9000,0x002fb800,0x0177fdc0,0x07e40000,
    0x2003f200,0x01fb85fd,0x67fecc00,0x7fff4400,0x401bdeff,0x0000005f,
    0x3fa801be,0xf9037c00,0x45f70003,0x00004fe8,0x00000fea,0x754001ba,
    0x300003ff,0x99999997,0x999999fd,0x807e8799,0x07f505fd,0x3ffaa000,
    0xecba8803,0x980dffff,0x0000004f,0x7ec007f2,0x9037c000,0x5f70003f,
    0x0001bfa2,0x0000bf10,0x4003fea8,0x0001fffb,0x3fffff60,0xffffffff,
    0x21ffffff,0x02fec05f,0x400009f1,0x0005ffe8,0x985ffb51,0x0000004f,
    0x3e2013e6,0xffff8005,0x01ffffff,0xff9afb80,0x88001eff,0xffffffff,
    0x4002ffff,0x00ffffe8,0x9ffd3033,0x33100001,0xfb333333,0x33333335,
    0x3f606f83,0x0027cc05,0x02effb80,0x83fd3000,0x0000005f,0x17dc03f4,
    0x7777fc00,0x001ffeee,0x8affdfb8,0x2000cffc,0xfeeeeed8,0x001deeee,
    0x3e67bfa2,0x506ff885,0x00007ffd,0x8001f900,0x00bfb07d,0xa80005f7,
    0x00003ffe,0x03f43f98,0x3ee00000,0x8003f402,0x007f206f,0x107ffee0,
    0x50000bfb,0xfc80005f,0x3ee17e43,0x77fdc03d,0x32000002,0x0fe4000f,
    0x36003bf2,0xfb30000f,0x07d4019f,0x7e46e800,0x20000002,0x13e606f8,
    0xf9037c00,0x1df70003,0x0001fec0,0x88000fe6,0x20ff887f,0xf91000fe,
    0x000003bf,0xf98001f9,0x2003bf26,0xc88006f9,0xfb800dff,0x88df0003,
    0x910000ff,0x807e4005,0xdf0001fc,0xb8003d40,0x01fd802f,0x000fe600,
    0x9f505fa8,0x22001be6,0x0000cffd,0x20003f20,0x00efcbfc,0x44003fd0,
    0x2001effc,0x5c000efb,0x005fb84f,0x2003ffa8,0x00df04f9,0x000037c0,
    0xf8802fb8,0x0bea0006,0x202fb800,0x003fc9fd,0x00fffa60,0x0007e400,
    0x0077ffc4,0x2e003fc8,0xb8002eff,0xf7001eff,0x07bf601d,0x013ff620,
    0x0fea1fa0,0x0006f800,0x2005f700,0xf90003fc,0x17d40003,0x01ffdf10,
    0x5fff5000,0x00fc8000,0x019ffb00,0x5006fe98,0x40007ffd,0xacdffdfb,
    0xfffba999,0x5effe401,0xffdca99a,0x5f70002e,0x20000fd8,0x7000006f,
    0x1be2005f,0x0007ec00,0xfb809f30,0x5c00003f,0x90002eff,0xdf90001f,
    0x53359ffd,0x3007ffb7,0x00019ffb,0xffd88e98,0xcfffffff,0xfffd3000,
    0x05dfffff,0x225f8800,0x37c0005f,0x2fb80000,0x000bf200,0xd0000df1,
    0x0ffd401f,0x7e440000,0x7e4000df,0x877dc000,0xffffffea,0x7e4401ef,
    0x000001df,0x2b332ea2,0x7510000a,0x00015799,0x2fb87ec0,0x0037c000,
    0x002fb800,0xf90017e2,0x546c8005,0xfff980ef,0x26000006,0x7e4006fd,
    0x03bea000,0x02af32a6,0x000f7ec0,0x00000000,0x40000000,0x000fd3fa,
    0x00000df0,0xfb000bee,0x01be2001,0x3ff21be0,0xcaffc99b,0x00003eef,
    0x28800730,0x0006cc00,0x0002a800,0x00000000,0x40000000,0x0004f9ef,
    0x000006f8,0xfa8005f7,0x02fd9804,0xfb81fdc0,0x3a1fffff,0x000005ff,
    0x00000000,0x00000000,0x00000000,0x80000000,0x8001fffc,0xeeffeed9,
    0x000deeee,0x3bbfbbb2,0xeff803ee,0x3ff620de,0xeeeeeeef,0x0fffeeee,
    0x02b32a20,0x00000000,0x00000000,0x00000000,0x00000000,0xf3000000,
    0x3ea000df,0xffffffff,0x36000eff,0xffffffff,0xefffc804,0x3ffffa20,
    0xffffffff,0x00003eff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x13100000,0x004c0000,0x5c000044,0x2600001d,
    0x80000099,0xcca80019,0x665c01cc,0x20000ccc,0x4c000018,0x0000cc00,
    0x33260000,0x7000cccc,0x40799999,0xd9100039,0x05bdffff,0xfffeb880,
    0xeffda82d,0xdff50002,0x7edcc000,0x00cfffff,0xfffdb500,0xfd0039df,
    0xff805fff,0xcb81ffff,0x3ff6a1cc,0x2200bdff,0xffb14ccc,0xffec81bf,
    0xcccb802f,0xbfd7304c,0xffffc815,0xfff003ff,0x2a21ffff,0xa8007ffd,
    0xfdcceffe,0xfc800cff,0x2ffecdff,0x3ff33fee,0x5ff98003,0xffffa800,
    0xffedccde,0x3ff22002,0xfffeccde,0x2fb99803,0x1fc99980,0xf72ffff8,
    0xdffb9bff,0x3fffea01,0x6feceff9,0xffdbffb1,0x7fffc403,0xefffc87f,
    0x7ec41ffe,0x4cc0009a,0x5676c1fd,0x7fe4007c,0x07bfa603,0xfd505bb0,
    0x6c41df51,0x0ba8003f,0x0aceb800,0x2007faa0,0x2a01eff9,0xfa800efe,
    0x80fe4002,0x0dfdbfb9,0x2201df90,0x643fffe9,0x7d43fedf,0x6cccc406,
    0x82fbfa67,0x02fa86fb,0x64037c00,0x03bee007,0x00077dc0,0x01ffdf50,
    0x00001ff1,0x7cc00000,0x017fc406,0xf500bf90,0x01fc8005,0x2013ffea,
    0x7ff403fb,0x03fff883,0xbec003fd,0x0aa04ff9,0x880013e2,0x007c804f,
    0xb8001df3,0x7fc0004f,0x00fea03f,0x00000000,0x1fec01fb,0x2017ec00,
    0x7e4002fa,0x013fea01,0x27f405e8,0x7dc0bfb0,0x3eff6002,0x1be0002f,
    0x7f503ff8,0x3a00f900,0x5fb0001f,0x037e4000,0x000003f4,0x07f20000,
    0xd0002fd4,0x017d401f,0xfa807f20,0x007ec005,0x01fc80fd,0xfd800fea,
    0x6c0001ff,0x20dff507,0x07c801fb,0x20004f98,0x320005f8,0x01fc804f,
    0x00000000,0x0fec07f2,0x407f5000,0x7e4002fa,0x000bea01,0x03f403f9,
    0x3fa807f2,0x003bf600,0x3207ee00,0x07d80fef,0x5f700f90,0x007e8000,
    0x5f915573,0x0005f500,0x2a660000,0x3f91aaab,0x10001ba0,0x017d409f,
    0xfa807f20,0x00fe4002,0x01fc80fd,0xfd800fea,0x7f300000,0xf07f5df0,
    0x201f200d,0x6c0000fc,0xffdb980f,0xcdffffff,0xdccccccc,0x9999733f,
    0x99999999,0x20799999,0xffffffc8,0x81ffffff,0xeeeeeff8,0xeeeeeeee,
    0x2a05feee,0x0fe4002f,0xc8005f50,0x901fa01f,0x01fd403f,0x40000fb0,
    0xf9fd45f8,0xc8027c46,0x0007e807,0x7fe41fb8,0xfdbaabce,0xffffffff,
    0xffd4ffff,0xffffffff,0xffffffff,0xcfffb83f,0xecaaaaac,0xfff881ff,
    0xffffffff,0xffffffff,0x000bea07,0x17d403f9,0xe807f200,0x500fe407,
    0x03ec007f,0xf91ba000,0x2fa83f63,0xfb00f900,0x1fc80001,0xf90077fa,
    0x33333335,0x26621333,0x99999999,0x99999999,0x0067fd41,0x0bf01fc8,
    0x5f500000,0x201fc800,0x7e4002fa,0xf901fa01,0x001fd403,0xc80000fb,
    0x3fa9be0f,0x3e4003f2,0x0000fdc0,0x006fa9fa,0x000007f9,0x07fcc000,
    0x7407f200,0xa8000007,0x0fe4002f,0xc8005f50,0x901fa01f,0x01fd403f,
    0x80000fb0,0xf87f52fa,0x7c801fa6,0x0003fa80,0x005f937c,0x000013f2,
    0x02fb8000,0xf901fc80,0xa8000005,0x0fe4002f,0xc8005f50,0x901fa01f,
    0x01fd403f,0x80000fb0,0xc81f94f9,0x6540bf1f,0xbcccfecc,0x00077c40,
    0x0bea4fb8,0x00037e40,0x0fb00000,0x4c07f200,0x4000005f,0x3ea004f9,
    0x00bea01f,0x3f403f90,0xfa807f20,0x001f6003,0x437d7e00,0x203f9bf9,
    0xeeeeeeeb,0x04fb80de,0x220ef980,0xffe8804f,0x00000002,0xa8001fb0,
    0x0ff201ff,0xff880000,0x1fffc800,0x9000bea0,0x203f403f,0x0fea01fc,
    0x00007d80,0xf03fafd8,0x00003f7d,0x1001fec0,0x01fd03fd,0x406fffe8,
    0x000002d9,0xf90027e4,0x2fe803ff,0x404b8800,0x3fa203fd,0x3ea01fde,
    0x00fe4002,0x01fc80fd,0x7d800fea,0xefb80000,0x1fdf900f,0x7c400000,
    0x7fd400df,0x101df504,0x09fbfffd,0xc800bfee,0x3fe6001d,0x6f7f4c00,
    0x67fcc01f,0x6ffc8800,0x4df7fc40,0xf94ffeca,0x05f507dd,0x3a01fc80,
    0x500fe407,0x03ec007f,0x37fd4000,0x000dff30,0x9ffb1000,0xffb75335,
    0x9befb805,0x9fcbffb9,0xfeb99dfd,0x3fea001e,0x5ffdc006,0xffecb999,
    0x07dddf94,0x26b3ff62,0xfffdca99,0xfffd3004,0x7e43dfff,0xfddb35ff,
    0x36203bdd,0xb33eeffe,0x905bdffd,0xdf507ddf,0x7776449d,0xeeeeeffe,
    0x2000deee,0x7fc03ff8,0x20000004,0xfffffffa,0xff7000df,0x9aa5ffff,
    0x04fffffd,0x005ff980,0xfffffea8,0x3ff21dff,0x7fd404ff,0xefffffff,
    0xcca8000c,0x3ee0009b,0x02ffffff,0x9fffffd1,0x3fffffea,0x85fffc83,
    0x3a26fffa,0xffffffff,0x0effffff,0x00000000,0xca980000,0x300009bc,
    0xb8801597,0x2a0000ac,0x2ea0000b,0x00001acc,0x1accba88,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x99930000,
    0x32a01999,0x260ccccc,0xcccccccc,0x0ccccccc,0x10032200,0x5c00e437,
    0x6664c001,0x500ccccc,0x79999999,0xb80006cc,0x00000004,0x000c4000,
    0xc9800130,0x0401cccc,0x666665c0,0xcccccccc,0xcccccccc,0xfffffd81,
    0xffffd02f,0x7ffdc3ff,0xffffffff,0x3000ffff,0x7f4405fd,0xf805ff13,
    0x3ff2003f,0x02ffffff,0xfffffffd,0x303fe61f,0x6fc81575,0x7400f500,
    0x20ba6004,0x2effffd8,0x3ffb6a20,0xfc800cff,0xfd507fff,0xff5019df,
    0xffffffff,0xffffffff,0x2605ffff,0x4c009dfe,0x7dc0bff9,0x9999999b,
    0x004fe999,0x74409ff3,0x017fdc5f,0x44007ff5,0x0099cfc9,0x0cffcccc,
    0x7fd4ffdc,0xfc8cffff,0x03f9000e,0x26013fa0,0x6ffdc1ff,0x80dffcbb,
    0xecbceffb,0xfffe805f,0xffffd83f,0x99981fff,0x99999999,0x99999999,
    0x3a202fb9,0x3fe8803f,0x32005f70,0xbff3005f,0xb837fcc0,0x3fea03ff,
    0x037c4004,0x2e027d40,0xbabcffff,0x000efffd,0x744007f2,0x0ffe604f,
    0x3f203df5,0x0fdc0305,0x0dffff10,0xfb37dff9,0x000001ff,0x74402fb8,
    0x0bfa204f,0xfb802fb8,0x0dff5006,0x90077fcc,0x7fdc09ff,0x00fe4005,
    0x3a003f60,0x3ff700df,0x001fc800,0x3e613fa2,0x007fc43f,0x3e000bf2,
    0x3fffee05,0x4427fcc2,0x000005ff,0x744017dc,0x02fe884f,0x3ea006c4,
    0xeffb800e,0x01fff500,0x6409ffb0,0x3e6005ff,0x017e6005,0x3ea01be6,
    0x00fe4005,0xf993fa20,0x002fa83f,0x32ea60bf,0x3605faac,0xffb86fff,
    0x000ffb00,0x002fb800,0x2ff993f6,0x1ff30000,0x01fff700,0x8007ffee,
    0x3f605ffe,0x1fb000ef,0x2007f200,0x3fb001fd,0x1fc81bb8,0xfd100ca8,
    0x2e07ff39,0x98fd001f,0xfffffffd,0x3fffe05f,0x2605fc81,0x000000ff,
    0xfb000bee,0x0005ff39,0x2007fe20,0xf701fffc,0xe88005ff,0xffd00eff,
    0x09f5001d,0x3e00df10,0xd0bea006,0x3f239dff,0x2fffda89,0x0ffffa20,
    0xfb000fc8,0x88ceffc4,0xff305fa9,0x81bf20bf,0x00000ffa,0x2000bee0,
    0x0001fffd,0xb005fd10,0x3f205fff,0xf10002ff,0xfd101dff,0x1fd001df,
    0x8802fb80,0x13e6005f,0x3bbfff6a,0x1cefffef,0x406ff980,0x4bf002fa,
    0x82fc02fd,0xf501fffc,0x01bfa03f,0x05f70000,0x00bff300,0x401ff400,
    0xf903fffd,0x980009ff,0xff106fff,0x3fb801ff,0xf8803f40,0x00fe6005,
    0x7dffffb5,0x77fcc003,0x03be204f,0x03747f90,0x7ff417e6,0x87bfe205,
    0x0003ffb8,0x0017dc00,0x017f7fea,0x4013f600,0x880effe8,0x0001fffe,
    0x6c0bfff6,0xdf002fff,0xd001fd40,0x017dc00f,0x000fffb8,0x7f45ffcc,
    0x4037ea04,0x807e45fb,0xff885ffc,0x7ffd400f,0x006fffce,0x02fb8000,
    0x7e47fea0,0x13f20005,0x1dffd100,0x01dffb10,0x03fffb00,0x800bfff2,
    0x01fb02fc,0xe8017e40,0xcff9800f,0x3fe6005f,0xb813fa23,0xfecabcff,
    0x567fc40e,0xeffefedb,0x4013fea4,0xdffffffa,0xa8000000,0x3ff5002f,
    0x4000efc8,0xd10005fb,0x7fec0bff,0x3ff2000e,0x3fff701f,0x986f8800,
    0x7fc4005f,0x8027e400,0x007fb1fe,0xfd107ff3,0x7fff4c09,0x3faa03ff,
    0xfff2efff,0x00077d4b,0x0059bb71,0x01c40000,0xf900efa8,0x3bea001d,
    0xfb00a800,0x2ffe40bf,0x00effb80,0x0003fff5,0x03f907f6,0x105ffb00,
    0xf9003ffb,0x300ffc49,0x7f4407ff,0x00099804,0x05000662,0x00000000,
    0x77dc0000,0x0077dc00,0x22003bea,0x13ff604f,0x5405ffc8,0xff300eff,
    0x7cc0001d,0x2001be25,0xcceffffc,0x00fffffd,0x3bea1bea,0x1007fd00,
    0x000007fd,0x00000000,0x00000000,0x2001df70,0xff300efb,0x013e2001,
    0x7dc07ff9,0x1bff304f,0x003bfe60,0x7dc3fa00,0x477e4002,0x3fffffd9,
    0x3fe01ff7,0x3609f900,0x00b62002,0x00000000,0x00000000,0x1df70000,
    0x40efb800,0x22001ff8,0x2ffb804f,0xf30ffea0,0x77f440bf,0x9f500000,
    0xdf5001ba,0xf7013301,0x5900760d,0x00000000,0x00000000,0x00000000,
    0x3bffae00,0xdd700dee,0x3a1bfffd,0xeeeeeeff,0x4feeeeee,0x403ff700,
    0x13fa1ffa,0x0000bfd0,0x007fdfd0,0x50000c98,0x00000007,0x00000000,
    0x00000000,0x20000000,0xfffffffb,0xfffff901,0x3fffa1df,0xffffffff,
    0x2004ffff,0x974c01ea,0x04e803e8,0xfff70000,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x91000000,0xcc839999,
    0x06002ccc,0x77777540,0xeeeeeeee,0xdeeeeeee,0x00bdc980,0x150aa000,
    0x37221a80,0xdddddddd,0xdddddddd,0xdddddddd,0x37777223,0xdddddddd,
    0xdddddddd,0x3b63dddd,0xeeeeeeee,0xeeeeeeee,0x00000002,0x00000000,
    0xffff8800,0x7ffff41f,0x001f9003,0xfffffff9,0xffffffff,0x81dfffff,
    0x02fffffb,0xb2fe4028,0x3fee01ff,0xffffff51,0xffffffff,0xffffffff,
    0x7c4dffff,0xffffffff,0xffffffff,0xffffffff,0x3fffffe6,0xffffffff,
    0x0003ffff,0x00000000,0xf0000000,0xfd81ffff,0xfa802fff,0x0000006f,
    0x2a3df900,0x0bee03ff,0xfff077ec,0x88fff603,0x88888888,0x88888888,
    0x88888888,0x11111100,0x11111111,0x11111111,0xeeeed811,0xeeeeeeee,
    0x002eeeee,0x00000000,0x00000000,0xf90ffffd,0xf9803fff,0x00004fcf,
    0x077dc000,0x3ee13fa6,0x40dfe886,0x37a604eb,0x00000000,0x00000000,
    0x00000000,0x00000000,0xd8000000,0xffb86fff,0x3fa200ff,0x00007fb1,
    0x806f4000,0xfd99dfe8,0x027f440e,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x30bfff70,0xfd80ffff,0x0007fe23,0x80040000,
    0x40dffffc,0x00003ff9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x54000000,0xff884fff,0x217f206f,0xaa880ff9,0xaaaaaaaa,0xaaaaaaaa,
    0x730001aa,0x00ba6059,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40fffe60,0xdf505fff,0x7ec37dc0,0xffffffff,0xffffffff,
    0x0001ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf8800000,0x9ffd02ff,0xc801ff10,0x6665cc4f,0xcccccccc,0xcccccccc,
    0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x403ffe00,0x7f442ffd,0x007fd002,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7f400000,0xb07ff207,0x7fc4009f,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fcc0bf7,0x7cc002fc,0x00000002,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00130026,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_50_latin1_x[224]={ 0,10,5,4,4,4,5,10,13,6,0,3,6,4,
9,4,4,4,3,4,4,4,5,4,4,5,9,6,0,2,0,0,4,0,1,2,3,1,3,2,2,4,3,1,
2,0,0,0,3,2,1,3,3,1,0,0,1,2,4,0,0,0,4,1,9,3,0,3,2,2,4,2,1,4,
3,4,4,0,2,3,0,2,3,4,3,1,1,1,2,3,5,0,12,0,4,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,10,4,2,4,2,
12,3,6,0,0,0,0,4,0,-1,7,3,7,7,9,1,3,9,9,8,6,2,0,0,0,0,0,0,0,0,
0,0,0,2,1,1,1,1,4,4,4,4,-1,0,0,0,0,0,0,5,1,1,1,1,1,2,3,1,3,3,
3,3,3,3,0,3,2,2,2,2,4,4,4,4,2,2,3,3,3,3,3,3,2,1,1,1,1,3,0,3,
 };
static signed short stb__courier_50_latin1_y[224]={ 36,8,9,6,6,8,12,8,8,8,8,12,29,22,
30,6,8,8,8,8,8,8,8,8,8,8,17,17,12,19,12,10,8,10,10,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,8,6,8,8,46,7,16,8,16,8,16,8,16,8,8,
8,8,8,16,16,16,16,16,16,16,10,17,17,17,17,17,17,8,8,8,20,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,36,17,7,10,14,10,
8,8,9,10,7,17,22,22,10,5,3,9,8,8,7,17,8,19,35,8,7,17,8,8,8,16,1,1,1,4,
3,1,10,10,1,1,2,3,1,1,2,3,10,4,1,1,2,4,3,15,9,1,1,2,3,1,10,8,7,7,
7,9,9,6,16,16,7,7,7,9,7,7,7,9,9,9,7,7,7,9,9,13,15,7,7,7,9,7,8,9,
 };
static unsigned short stb__courier_50_latin1_w[224]={ 0,6,16,19,18,19,18,7,8,8,17,21,10,19,
8,18,18,18,19,19,18,19,18,18,18,18,8,11,22,23,22,16,18,27,23,22,22,23,22,23,23,18,23,25,
22,27,25,23,22,23,26,20,21,24,27,26,24,23,19,8,17,8,18,28,8,21,24,21,24,22,21,23,24,19,
15,22,19,27,22,21,24,24,22,19,21,23,25,25,23,23,17,10,3,10,19,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,6,17,22,19,23,
3,21,14,27,15,22,24,19,27,29,13,21,12,12,8,23,20,8,8,11,15,23,27,27,27,16,27,27,27,27,
27,27,27,22,23,23,23,23,18,18,18,18,25,25,23,23,23,23,23,16,24,24,24,24,24,23,22,22,21,21,
21,21,21,21,26,21,22,22,22,22,19,19,19,19,22,22,21,21,21,21,21,21,23,23,23,23,23,23,24,23,
 };
static unsigned short stb__courier_50_latin1_h[224]={ 0,29,13,33,35,29,25,14,34,34,17,23,14,3,
7,34,29,28,28,29,28,29,29,29,29,29,20,24,23,9,23,27,31,26,26,27,26,26,26,27,26,26,27,26,
26,26,26,27,26,32,26,27,26,27,26,26,26,26,26,34,34,34,13,3,7,21,29,21,29,21,28,29,28,28,
37,28,28,20,20,21,29,29,20,21,27,20,19,20,19,28,19,34,34,34,7,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,0,28,29,26,18,26,
34,31,5,27,14,19,13,3,27,3,13,27,15,16,7,28,31,7,9,15,14,19,28,28,28,29,35,35,35,32,
33,35,26,34,35,35,34,33,35,35,34,33,26,32,36,36,35,33,34,16,29,36,36,35,34,35,26,29,30,30,
30,28,28,31,21,28,30,30,30,28,29,29,29,27,28,27,30,30,30,28,28,21,23,30,30,30,28,38,37,36,
 };
static unsigned short stb__courier_50_latin1_s[224]={ 254,244,1,188,85,63,101,247,54,168,136,
143,203,164,240,110,19,44,88,126,108,186,206,225,1,20,240,243,120,37,189,
193,196,93,121,210,48,67,29,192,223,25,216,52,91,162,217,1,25,53,190,
25,71,74,1,196,171,1,114,229,238,26,18,135,247,72,88,232,63,94,127,
39,63,24,25,1,173,164,141,1,113,138,192,212,233,117,90,215,1,149,25,
177,129,133,61,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,
216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,216,254,236,1,
78,116,1,250,152,90,46,187,43,228,164,121,105,214,99,243,240,81,29,131,
243,240,241,171,66,120,1,208,239,57,104,1,77,25,29,134,63,181,188,144,
227,212,231,35,208,145,105,90,114,205,1,86,154,38,163,138,132,1,157,44,
103,95,228,184,170,148,174,23,98,49,72,117,53,166,83,146,149,163,169,162,
206,140,186,76,50,165,25,215,1,192,1,41,66, };
static unsigned short stb__courier_50_latin1_t[224]={ 1,176,445,76,40,176,376,322,76,76,425,
376,425,445,257,76,176,265,265,176,265,176,176,176,206,206,236,206,376,445,376,
265,111,322,322,265,322,349,376,294,322,349,294,376,349,349,349,294,322,111,349,
294,322,294,376,322,322,349,349,40,40,76,445,445,337,403,206,376,206,403,265,
206,265,265,1,265,265,403,403,403,206,206,403,376,265,403,425,403,425,265,425,
76,76,76,445,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,
236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,236,1,206,176,
376,425,322,1,111,445,294,425,425,425,445,294,445,425,294,349,294,445,236,111,
365,311,403,425,425,236,236,206,111,40,40,40,111,111,40,349,76,40,1,76,
76,1,1,76,76,322,111,1,1,40,111,76,425,176,1,1,40,76,40,349,
176,145,145,145,236,236,111,403,236,145,145,145,236,176,176,176,294,206,294,145,
145,145,206,236,403,376,145,111,145,236,1,1,1, };
static unsigned short stb__courier_50_latin1_a[224]={ 424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_50_latin1_BITMAP_HEIGHT or STB_FONT_courier_50_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_50_latin1(stb_fontchar font[STB_FONT_courier_50_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_50_latin1_BITMAP_HEIGHT][STB_FONT_courier_50_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_50_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_50_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_50_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_50_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_50_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_50_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_50_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_50_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_50_latin1_s[i] + stb__courier_50_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_50_latin1_t[i] + stb__courier_50_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_50_latin1_x[i];
            font[i].y0 = stb__courier_50_latin1_y[i];
            font[i].x1 = stb__courier_50_latin1_x[i] + stb__courier_50_latin1_w[i];
            font[i].y1 = stb__courier_50_latin1_y[i] + stb__courier_50_latin1_h[i];
            font[i].advance_int = (stb__courier_50_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_50_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_50_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_50_latin1_s[i] + stb__courier_50_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_50_latin1_t[i] + stb__courier_50_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_50_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_50_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_50_latin1_x[i] + stb__courier_50_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_50_latin1_y[i] + stb__courier_50_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_50_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_50_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_50_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_50_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_50_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_50_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_50_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_50_latin1_LINE_SPACING
#endif

