// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_24_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_24_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_24_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_24_latin1_BITMAP_HEIGHT        150
#define STB_FONT_courier_bold_24_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_24_latin1_FIRST_CHAR            32
#define STB_FONT_courier_bold_24_latin1_NUM_CHARS            224

#define STB_FONT_courier_bold_24_latin1_LINE_SPACING          11

static unsigned int stb__courier_bold_24_latin1_pixels[]={
    0x02020000,0x0001aa98,0x00000d54,0x00000260,0x98000130,0x00011000,
    0x8800c000,0x8803e801,0x505554c1,0x00014001,0x00000310,0x201f4c00,
    0x203f65f9,0x0005fff8,0x3f201ffc,0x02fb8002,0xd800bf20,0x5f70001e,
    0x000bee00,0x7e4005f9,0x202fb800,0x7e400ff8,0x27ffff32,0xf8802ffa,
    0x4f980005,0x001fe400,0x22017ea0,0x5c03ae3e,0x740005fe,0xfbfd302e,
    0x0ff6001b,0x6feff4c0,0x02fd8800,0x2001fe40,0xfe9804fc,0x3a200dfd,
    0x13ee001f,0x7ec04fd8,0x27ffd912,0x9800ffd8,0xf70000ef,0x67f4c009,
    0xf98000ef,0x54000004,0x4000005f,0x009d30de,0x6f4003f5,0x64009d30,
    0x007e6007,0x3a00fd40,0x5c09d30d,0x1fa8000e,0x6c01ff30,0x743fc82f,
    0x09d1002f,0x8007f100,0x00bd30de,0x554c0060,0x540d54c1,0x01bcb8df,
    0x2aaaaaa2,0x00000001,0x00000000,0x00000000,0x80000000,0x0bf604fd,
    0x05fb0ff2,0x00000000,0x554c0000,0xf70d54c1,0x3fea1fff,0x7ffd41ff,
    0xf81fffff,0x15ffffff,0x32617997,0x3b6e03cc,0x9db7002c,0x2f32e205,
    0x44799930,0x9930bccb,0x676dc079,0x33332a02,0x99711bcc,0x19999999,
    0x333332e2,0x7cc0cccc,0x905fb00f,0x202fd87f,0x002ccccb,0x00b3332e,
    0x02ccccb8,0x21ffff70,0xd11ffffa,0x7fec47ff,0xcefffa84,0x6dc1fffd,
    0xf95feeee,0x3ffebfff,0x7ff4c2ff,0xd300dfff,0x81bfffff,0xff5ffffc,
    0x3ff25fff,0xfffff5ff,0xffffe985,0x7ffc40df,0xf96fffff,0xffffffff,
    0x3ffff23f,0x81ffffff,0x05fb03fe,0x02fd87f9,0x0dfffff5,0x3ffffea0,
    0xffff5006,0x3fa200df,0x13ff623f,0x6fb83ff1,0xd887ff50,0x35fa804f,
    0x32a37dfb,0x3fe20cff,0x85ffeacf,0xfeacfff8,0x5f7ecc5f,0x219ff951,
    0x951befd9,0x7fc419ff,0x85ffeacf,0xccdfecca,0x99bff711,0x2e23ff99,
    0xfccccdff,0xb07fa81f,0xd87f905f,0xecb880cf,0xb8802fff,0x802fffec,
    0x2fffecb8,0xb83ff100,0x44bf906f,0x0ff502ff,0x3ea01fe6,0x7f413ee5,
    0x26077ec1,0x077ec3ff,0x9f70ffe6,0x9f707fa0,0xdfb07fa0,0x203ff981,
    0x03fe02fd,0x01ff07fa,0x0bfa03fd,0x0ff20bf6,0x7c40fff5,0x22005fdf,
    0x2005fdff,0x005fdff8,0x2ff897f2,0x3f23ff10,0x441fea06,0x25fa807f,
    0x43fd04fb,0xdf902ff8,0xfc817fc4,0xfe827dc6,0xfe827dc1,0x640bfe21,
    0x80bf606f,0x1f2b70ff,0x7cadc3fe,0x3f61bee0,0x7dc3fc82,0x23bee05f,
    0xdf7000ff,0x2e001ff1,0x000ff8ef,0x1bf23ff1,0x5ff1bf90,0x641ffd40,
    0x25fa806f,0x43fd04fb,0x3fe607fa,0x7cc0ff50,0x7413ee0f,0xe827dc1f,
    0x981fea1f,0x05fb00ff,0x07fd5ffc,0x1ff57ff0,0xfb0bfe00,0xfd87f905,
    0xfd9ff403,0x367fd003,0x27fd003f,0x3f2003fd,0x4402ff8d,0x5406feff,
    0xfdbbefff,0x25fa802f,0x43fd04fb,0x8ff404fb,0x0ff404fb,0x07fa09f7,
    0x87fa09f7,0x0ff404fb,0x3fe02fd8,0x3e00ffff,0x000fffff,0x82fd8df7,
    0x017ec3fc,0x1bea1ff3,0x7d43fe60,0x50ff9806,0x7fc400df,0xff9006fe,
    0xfffa805f,0x003fffff,0x827dcbf5,0x81bee1fe,0x0df70ff8,0x9f707fc4,
    0x9f707fa0,0x6fb87fa0,0x6c03fe20,0x3bbfe02f,0x3bfe00ff,0xf1000ffe,
    0x6417ec3f,0x9017ec3f,0x5ff999df,0xcccefc80,0x77e402ff,0x002ffccc,
    0x400bfff2,0xfa806ff8,0x00bcdc9d,0x4fb97ea0,0x7fcc1fd0,0x7ccff700,
    0xb8ff700f,0xb81fd04f,0x4c1fd04f,0x0ff700ff,0x1ff017ec,0x7fc1c9fa,
    0x200e4fd0,0x20bf65fc,0x817ec3fc,0xfffffff8,0x3ffe205f,0x205fffff,
    0xfffffff8,0x3fe2005f,0x07fe2006,0x00017ea0,0x87f997ee,0x03ff87f8,
    0x03ff8bfd,0x87f98bfd,0x87f987f8,0x03ff87f8,0x17ec0bfd,0x54221ff0,
    0x0887fc4f,0xff8809f5,0x7f905fb1,0xdf701fe8,0x1ff99999,0x3333bee0,
    0xf700ffcc,0xff99999d,0x07fe2001,0x5006fc80,0xfd0000bf,0x8867fc47,
    0xdffa85fe,0xa81ffd51,0xffd51dff,0x10cff881,0x9ff10bfd,0x2a17fa21,
    0xffd51dff,0x37fb3101,0x99aff881,0x3e25fb99,0xfb9999af,0xfb4fc805,
    0x4fffb625,0x3fa06fe8,0x3a09fb04,0x209fb04f,0x09fb04fe,0x9101bf20,
    0x805bff99,0x00bcefdb,0xfffdccb8,0x7f7ffd40,0xfff900ff,0x3205ffff,
    0x2fffffff,0xffdfff50,0x3ffea01f,0xf900fffe,0x85ffffff,0xfffffff8,
    0xfffff75f,0x2ebfffff,0xffffffff,0x6f8805ff,0x3ffe65f9,0x305df53f,
    0x7ccdffff,0x3fe66fff,0x3ffe66ff,0x3fffe66f,0x1bfffe66,0x37ff3322,
    0x3fffee02,0x3fe205ff,0x4401ffff,0x01efffff,0x01bfffd3,0x1effffa8,
    0x77fffd40,0x7fff4c01,0x7ff4c00d,0x7fd400df,0xffd01eff,0x2a9fffff,
    0xffffffff,0xffff55ff,0x0bffffff,0x54418260,0xe98060aa,0x3fa66fff,
    0x3ffa66ff,0x3fffa66f,0x9bfffa66,0xb86fffe9,0x05ffffff,0x05555554,
    0x06aaaa60,0x00d554c0,0x44000988,0x04c40009,0x00026200,0x98800131,
    0x00000000,0x00000000,0x00000000,0x80000000,0x00aaaaaa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x57100000,0x009b0000,0x18806000,0x18003260,
    0x02e21880,0x8802aaa6,0x711cc001,0x73039801,0x062005c4,0x88003100,
    0x0b8bdeca,0x7002a1a8,0x730059db,0x873005c4,0x2065400b,0x00f6fa00,
    0x3206fa80,0x07e4002f,0x5f902fc8,0xd803f200,0xb0df50ff,0x3f20ffff,
    0x7405b9df,0x4409f70f,0x70fe81fe,0x02fb809f,0xb73bff90,0x7ffff440,
    0x37f84fff,0x3ffa60bf,0x3a00dfff,0x6c09f70f,0x4c0bf51f,0x20bf65ff,
    0x4000b368,0xdfe982fe,0x7f4400df,0x2a0bf601,0xd102bdfe,0x27fcc03f,
    0xefd87ff1,0xe9ae883d,0x11d402ff,0x837e4017,0x2002e23a,0x574404fb,
    0xd102ffe9,0xffd757df,0xbf57f889,0xd59fff10,0x11d40bff,0x711cc017,
    0x93ffd403,0x07b7603f,0xe83fd400,0xb809d30d,0x217ec00e,0x2ffffffd,
    0x7e400eb8,0x7ec6fc83,0x0000c002,0x003ff880,0x003f5000,0x077e4018,
    0x5fe627ec,0x0efd84fb,0x0001ffcc,0x3fe60000,0x0004c006,0x00007fd0,
    0xa8bf6000,0x3ffcacff,0x20bf6000,0x0bf62ff8,0x00b3b6e0,0x701676dc,
    0xbccb88ff,0x00799930,0x261e6540,0x0ff43ccc,0xb7cc2f98,0x17fc44fc,
    0x32e26fc8,0xcccccccc,0x2ccccb80,0x402ffcc0,0x002ccccb,0x2e20ff98,
    0xcccccccc,0x8599710c,0x8bf62ccb,0x50f4c3fd,0x37999999,0xbfb02fd8,
    0xfd3017ec,0x201bffff,0xdfffffe9,0x7e43fe80,0xffff5fff,0x6666545f,
    0x3ffe1bcc,0x3ffffe2f,0xa800ff13,0x2efecffd,0x7f981fea,0x3ffffff2,
    0x7d41ffff,0x4406ffff,0xa83f25ff,0x006fffff,0x7fe44fd8,0xffffffff,
    0x21ffff71,0xf91ffffa,0x100f7dc5,0xffffffff,0xf702fd8d,0xf8817ecd,
    0x5ffeacff,0xeacfff88,0x42ff85ff,0x951befd9,0x3fe219ff,0x26ffffff,
    0x930fffda,0x17ea19ff,0xfffff880,0x9f71ffff,0xf711ff80,0xff9999bf,
    0xffecb883,0xd27fc02f,0x7f65c45f,0x3e6002ff,0x6ffdc40f,0x11ffcccc,
    0x7f447ff7,0xf883aa3e,0xca82dfff,0x21ccdfec,0xff502fe8,0xefd817ec,
    0x361ffcc0,0x1ffcc0ef,0x9f701ff1,0x99507fa0,0xa8399bfd,0x0ff44fff,
    0xea800df5,0x23dffcef,0x3fe206fa,0x7f407fc0,0xbfbff101,0x3fe3fe80,
    0x5fdff883,0xf813f600,0x641fe80f,0x03ff30ef,0x77fffdc0,0xf305fb00,
    0x3fe201ff,0xff105fb1,0xf89bf205,0x54df902f,0x209f707f,0x0bf601fe,
    0x21ffefa8,0x03fe21fe,0x3fa9f700,0xb807fc41,0xb70ff87f,0x8efb81f2,
    0x8bfa00ff,0x8efb84ff,0xff8800ff,0xadc3fe00,0x3a9fd07c,0xd710004f,
    0x20bf607f,0xf300ffe8,0x2a0bf61f,0x43fe607f,0x3fe607fa,0x3ee0ff30,
    0x6c03fd04,0x337ea02f,0xfb07fa6f,0xfb104c09,0xfd03ff39,0x3e17fa07,
    0x800ffabf,0x407fb3fe,0x0bff10fc,0x00ff67fd,0x7ff017f2,0xf9801ff5,
    0x3f506fdf,0x837cc1ec,0x0bf602fd,0x05fb3fd4,0x1fe809f7,0x1fe809f7,
    0x9f703ff1,0xfd807fa0,0x3e37ea02,0xfa83fd3f,0xbb7dc1cf,0xffffffff,
    0xa8effd45,0xfff80ffe,0x7cc00fff,0x400df50f,0x7fcc6ff9,0xf880df50,
    0x7fffc01f,0xffb800ff,0x265f901f,0x827e41ff,0x0bf602fd,0x05fb37dc,
    0x7fc40df7,0x7c40df70,0x2e0bfe0f,0x403fd04f,0x57ea02fd,0x81fe8ffa,
    0xffeffffb,0xfffff73f,0xff509fff,0x205fffff,0x00ffeeff,0x7e6677e4,
    0xdff5002f,0xfcccefc8,0x017ee02f,0x03ffbbfe,0xfb027f40,0x37bffe65,
    0x5fb01fff,0xfe817ec0,0x3e60bf64,0x4cff700f,0x8ff700ff,0x04fb84fd,
    0x17ec01fd,0x6fecbf50,0xffb501fe,0x3fd05dff,0xff980ff1,0x3fe01dff,
    0x220e4fd0,0xffffffff,0x3ea3b705,0x3fffe26f,0x3e05ffff,0xd0ff802f,
    0x5fb00e4f,0xff897ec0,0x202effff,0x0bf602fd,0x2fd87fe6,0x3fa07ff0,
    0xfe81ffc5,0x2607fd45,0x407f887f,0x97ea02fd,0x401ffff8,0x4ff402f9,
    0x7fdc07f9,0xff0751cf,0x227d4221,0xcccccefb,0x23fe80ff,0x33bee3ff,
    0x80ffcccc,0x1ff006fb,0xb027d422,0x117ec05f,0x36013fa2,0x20ff202f,
    0x817ec5fd,0xfd51dffa,0x1dffa81f,0xfd01ffd5,0x10cff889,0x2fd80bfd,
    0xfb837ea0,0x77cc01ff,0x3e63fe00,0x3fffe606,0x220fffff,0xb9999aff,
    0xd827f45f,0x4181884f,0x09fb04fe,0xff1005fd,0xbf733335,0x406ff660,
    0x05fb02fd,0x04dfecc4,0xff327fd4,0x83eefd83,0xfffffffc,0xfffff902,
    0x3fea05ff,0x7f7ffd40,0xfb3100ff,0xfffb8137,0x807ffa4f,0x3e01fcdb,
    0x2a05fa8f,0xdffdcdff,0x3ffffee2,0xf35fffff,0x7fccdfff,0x7cc006ff,
    0x3fe66fff,0x01be26ff,0x3fffffee,0x7cc5ffff,0x40ffffff,0x05f902fc,
    0xfffffff1,0x21ffb0bf,0xfffd84fa,0xdffff507,0xffffa803,0x40fec01e,
    0x80dfffe9,0xfffffff8,0x3fffea5f,0x9807fe63,0x8aec04ed,0x2a00003e,
    0xffffffff,0xfffd35ff,0x37fff4cd,0x3fffa600,0x1bfffa66,0xfff50013,
    0xbfffffff,0xfffffe98,0x0e20180e,0xffffffe8,0x0181104f,0x88015553,
    0x04c40009,0x09880100,0x7fffff40,0x000004ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4000c400,0x0002e239,0x000002e2,0x00000000,
    0x02f2e600,0x05555510,0x00000198,0x00000288,0x2aaa2000,0x200002aa,
    0xb3000408,0x31000003,0xd73bff70,0x3ee1fd00,0x22f76e04,0x7d402fe8,
    0x00fd4001,0x26000eb8,0x3fea002f,0x7ec40eff,0x02ffffff,0x22009bb7,
    0x17e4003f,0x2001f700,0xffe8803f,0xfa806fff,0xfa87f401,0x3fffc803,
    0x732fea80,0x9ae8bff0,0x3a803ffe,0x3fa602e2,0x0effffff,0x70013ee0,
    0x7ec4009f,0x00ff2002,0x27cc3be2,0xd5f9dfd1,0x0687401b,0xd8013ee0,
    0x07f9002f,0x3602fd40,0x06d999af,0x364027dc,0x2fd805d3,0x67c409f7,
    0x7c44fefc,0x0004c05f,0x37ffe200,0x201fffca,0x7dc002fb,0x03f90002,
    0x3201fd40,0xdf736c0f,0x7017a7e6,0xfa800b9b,0x009fb004,0xf30005f9,
    0x2e427c0b,0x00005f70,0x00c40980,0x5102c882,0x2ccccb81,0xccccca80,
    0x83bf61bc,0x2203fff9,0x00088000,0x044000c0,0x43ee1ba0,0xbd3f34fd,
    0x20005500,0xfffc8008,0x001300df,0xffb80c40,0x00044002,0x20059973,
    0x2002ccb9,0x2000acb9,0x06fffffa,0x7fffffc4,0x45ff16ff,0x307feff8,
    0x54405997,0x0aaa60aa,0x202ccb98,0x2a60aaa8,0x3ae4f82a,0x26bf90ff,
    0x2e605e9f,0x32a002cc,0xffd300ac,0x2a07fffd,0xb9800acc,0xeefc80ac,
    0x973000cf,0x7fff4015,0x3fa02fff,0x202fffff,0x4fffffe8,0xffd97100,
    0xecca805f,0xff51ccdf,0x0ff8efe8,0x7ffffff4,0x51fffc82,0x3fa0dfff,
    0xc82fffff,0xfff51fff,0xbf73f88d,0x33fe61fb,0xfd05e9fa,0x405fffff,
    0x4fffffea,0x3f61dfc8,0x7ffff543,0xfffd104f,0x325e89ff,0x3fa203ff,
    0xd904ffff,0x40dfb79b,0x6fdbcdec,0xf9bffd10,0x7c4009ff,0x36005fdf,
    0x324fb82f,0xc83fd0ff,0x86fdbcde,0xd911ffd9,0x337b20df,0xfd986fdb,
    0x8dfd911f,0x3ee9f2f8,0x27fffe60,0x79bd905e,0x3fe60dfb,0x44ffdbce,
    0x306cc1ff,0xffb79dff,0xcdffe889,0x93ee4fff,0x7440dfe9,0x4fffcdff,
    0x02fe8440,0x905fd088,0x2ffa81df,0x3bee02a2,0xfb000ff8,0x3eabf705,
    0x401ff12f,0x3a05fd08,0x4037cc1f,0x3a05fd08,0x2237cc1f,0x1f72f8af,
    0x0bd3f930,0x20bfa110,0x1ffa85fe,0x3fa00ff1,0x321ffa85,0x17fd40ef,
    0x77dc5df7,0xf503bf20,0xfffc885f,0xf9102fff,0xd05fffff,0xf93f207f,
    0xfb3fe85f,0x20bf6007,0x23ff9ff9,0xffc887fb,0xfd02ffff,0x9106f983,
    0x05ffffff,0x8df307fa,0xfb7fb3f8,0x17a7e601,0x7ffffe44,0x777fc42f,
    0x23ffeeee,0x3e2082fe,0xfeeeeeef,0x640ffa3f,0x86ff544f,0x40ffa3f9,
    0x3ffe24fc,0x882fffff,0xffffffff,0xf500ff82,0x3e62ffcb,0x200df50f,
    0xfffd02fd,0x7c45fe8b,0x2fffffff,0x6f983fd0,0xffffff88,0x83fd02ff,
    0xb13f86f9,0x3e605fff,0xfff885e9,0x4c2fffff,0xffffffff,0x33fee4ff,
    0xff33feb9,0xffffffff,0xfa807fc9,0xf97ff705,0xfa807fc9,0x442bbf25,
    0xaefc82fd,0xfd05fb10,0x1893f607,0xfcccefc8,0x02fd802f,0x3aa1fff5,
    0x577e40ff,0x3a05fb10,0x6437cc1f,0x5fb10aef,0xdf307fa0,0x01988bd0,
    0x3217a7e6,0x5fb10aef,0xaaacff88,0x3221aaaa,0x11ffffff,0x555559ff,
    0x81ff4355,0x3fa204fd,0x40ffa0df,0x887fe4fd,0x1ff83ffb,0x2e0ffee2,
    0xff910bff,0xffff8803,0xd805ffff,0xffff702f,0xff05fffd,0x81ffdc43,
    0x1bfaa2fe,0xffb887fe,0x7545fd03,0x000fc86f,0x7c2f4fcc,0x0ffee21f,
    0x53107bf6,0x17dfd301,0x4c41efd8,0x42ffee0a,0x0721ffc8,0x7ff70bf1,
    0xb87ff221,0xffffeeff,0x777fdc6f,0xd86fffff,0x3fffefff,0xcccefb80,
    0x6c00ffcc,0xdcff982f,0xf701efff,0xfffffddf,0xffdff90d,0xffb8dfff,
    0x6fffffee,0xfffeffc8,0x0efc46ff,0x74fcc075,0xfeeffb85,0x7c46ffff,
    0xffffefff,0x2205fb04,0xfffeffff,0x77ffec4f,0x21fc3fff,0xfffb04f8,
    0xf907fffd,0xbffdbfff,0xdbffff90,0x3fae0bff,0xfd002eff,0x4413f609,
    0x3209bfd9,0x2002624f,0xfedffffc,0xffffb05f,0xff90bffb,0x0bffdbff,
    0x3f7ffff6,0xfeffa85f,0xcfedb84f,0x7fe41dff,0x85ffedff,0xffffffd8,
    0x405f900c,0xffffffd8,0xfffeb80c,0xeeeef82e,0x3fae01ff,0x4cc02eff,
    0x004cc000,0x98004c40,0x3e66ffff,0x3fe26fff,0x15ffffff,0x13300005,
    0x00198800,0x220004cc,0x36e60019,0x9ddd901b,0x26603ddb,0x09a98000,
    0x3000c880,0x26200135,0x3bbbba00,0x0131001c,0x00000000,0x7ff4c000,
    0x3fffa66f,0x7fffff46,0x000004ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xc8000000,0x11000003,
    0x00998008,0x40179730,0x2a602cb8,0x801aaaaa,0x2aa22cca,0x02aaaaaa,
    0x41555100,0x2a202aa9,0x0b2e601c,0x2a000220,0x036a000e,0x44010220,
    0x00015001,0x003f5000,0x001dffd3,0x1fd013fa,0xff880fea,0xfa83dbcf,
    0x74c0ffff,0xb83fffff,0x1fffffff,0x3fffff70,0x3fffffea,0x00fd45ff,
    0x7d47fff2,0xfff906ff,0xfffa85ff,0xffc882ff,0x0bf2000c,0x0ffff220,
    0x0fea1fd0,0xff902ffc,0xfea803bf,0x4fb80732,0xe98df980,0x03fe800f,
    0x805d3364,0x41efffea,0x6febeff8,0x7edefff4,0x777fdc0f,0xdff704ee,
    0x3fea1977,0x85feeeee,0x3f6602fd,0x0dfd911f,0xffb7bff3,0x7f5f7fc1,
    0x74cf5c0f,0x00bf6003,0x01fe4bfa,0x44174cd9,0xdff505ff,0x67c40bff,
    0x2e04fefc,0x5051003f,0x00000000,0x0dfbbff1,0x22ff8bf7,0x21fe40ba,
    0xff7004fb,0x6c16c407,0x805f703f,0x437cc1fe,0xa9fec2fd,0x3a27ec6f,
    0xfd801ae2,0x0cc0a802,0x01530000,0x00fe87fa,0x4402c982,0x0aaa8801,
    0x0000aaa6,0x800acb98,0xfb0ffa0a,0xb804fc85,0x8027dc5f,0xf10002ff,
    0x2004c03f,0x437cc1fe,0xcafdc1ff,0x323fcc3f,0xfd801324,0x15995002,
    0x01599500,0xfd07fc00,0x1665cc05,0x02aaaa20,0xfa8fffe4,0x07d406ff,
    0xfffffd10,0x6f765409,0x03fe27fb,0x2e620df5,0x77fdc2ff,0xb7cc0dff,
    0x37d4002a,0x002aaaa2,0x86f983fd,0x7fd30dfd,0x1ff30ff6,0x98ff77cc,
    0x7ffffec2,0x7543ffff,0x504fffff,0x09fffffd,0x3ae3fe00,0xfffd00ff,
    0x3f605fff,0xfb302fff,0x1bfb223f,0x3a205fb0,0x4fffcdff,0xffffffc8,
    0x10df30ff,0xffff10ff,0xfffff70b,0x76fdc1ff,0xfb003eff,0x2ffffd87,
    0x3e60ff40,0xfefff986,0xfd1bee6f,0xbabb883f,0x7fff46fe,0x24ffffff,
    0xfdbceff9,0x677fcc4f,0x8004ffdb,0x0ffffaff,0xfb79bd90,0x3ffb660d,
    0x260ff402,0x5ffd306f,0xf503bf20,0x4e7fdc5f,0xf31fffb8,0xb10ff10d,
    0xe981dfff,0x25fea8ac,0xffeffffd,0x20ffc404,0x402ffed9,0x1bfaa2fe,
    0x27fffff4,0xffd7dff1,0xefec985f,0xfb33100b,0x5fe81337,0x3fa1ffa8,
    0x2e1ffa85,0x51ff00ff,0x8801dffb,0xfd805fd0,0x260ff402,0xbeffb86f,
    0x3207fd00,0x2e17fa4f,0x30df32ff,0x5fea80ff,0x7e4ff300,0x803fea5f,
    0x17ec06fa,0x3ffbffa0,0x7fe46fff,0x262ffdbc,0x1fffffff,0x5957dff1,
    0x440bf600,0xeeeeeeff,0xddff13ff,0x47ffdddd,0x03fe02fe,0xff910bfd,
    0xd805ffff,0x20ff402f,0x03fe86f9,0xbf500ff8,0x7fc417fc,0x9f703fe1,
    0x400ff300,0x81ff71ff,0x0ff602fe,0xfe805fb0,0x5ffdffff,0x17f217fc,
    0x1ff57971,0x7efdc2a2,0x302fd806,0xffffffff,0x3ffe69ff,0x4fffffff,
    0x0ff80bf1,0x3fe23fd4,0x02ffffff,0x3fa017ec,0x3e237cc1,0x3fa0b887,
    0x7f49fb03,0x360ff984,0x8017ec3f,0xff8800ff,0x5fb0df50,0xb007fe20,
    0xaafe805f,0x4c3fc401,0x02ff407f,0x36017c5f,0x59ff102f,0x23555555,
    0xaaaacff8,0x01f71aaa,0x3e088ff8,0x42bbf20f,0x7ec02fd8,0xd517f402,
    0xc85fd0df,0x42ffee3f,0x3f21ffc8,0x71bf621f,0x43fea3df,0x37e440b8,
    0x6fd985b3,0x7fa8ffa2,0x3601bea0,0x00ff402f,0x7e447ff0,0x7ff5c425,
    0x26c1f300,0xfd803ee0,0xb054c41e,0x0a9883df,0x8ff8807b,0xff8df17e,
    0x20ffee21,0x19bfd998,0xfffdff90,0xeffa8dff,0x7ec4fffd,0x83fffeff,
    0xfffefffe,0xfffffd81,0x3fbffee4,0x3fea2fff,0x42ffffef,0x4ffefff9,
    0x4c40ff60,0xd019bfd9,0x7fdc003f,0xf91fffef,0x803ffffd,0x880fa8ce,
    0x09999999,0x7f7fffc4,0x3fe24fff,0x4ffffeff,0xefffb801,0x5c4ffefe,
    0xffffeeff,0x3fffee6f,0xd80fffff,0x5ffdffff,0xcfffffc8,0xefffeb80,
    0xffff9102,0x3ffa203d,0xffffd84f,0xffdb81ef,0xfd702eff,0x75c01bff,
    0xfffffb80,0x7ec0ffff,0x7ffdc000,0x3ffea1ef,0xfe9800cf,0xffffe83f,
    0x444fffff,0xcffffffd,0x7fffec40,0xf7000cff,0x9fff5bff,0xbffff901,
    0x7fd4bffd,0x0effffff,0x44003310,0x131001aa,0x002a6200,0x266200c4,
    0x00266001,0x200004c4,0xfffffffa,0x000c40ef,0x0cc01310,0x3fa00800,
    0xffffffff,0x0026a604,0x00004d4c,0x26600260,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xaccb8800,0x554c1aa8,0x0d54c001,0x44006aa6,0xaa980aaa,0x802ccb89,
    0x5552cca8,0x001cca81,0x30000ae6,0x40315997,0xb98000da,0x0015cc01,
    0x00000204,0x3100dcc0,0x33333333,0x001b5003,0xffb80101,0x3fffffff,
    0x4009fff1,0xf50ffffb,0xf9003fff,0xfff883ff,0x1effffff,0xffffff50,
    0x67dcffff,0xffe802fc,0xffb10004,0x885fffff,0x8802fffd,0x84ffeefd,
    0x6c004ffc,0xc809f31f,0x880370df,0x84ffeefd,0x22031002,0x2603fffc,
    0x5403f65f,0xfffdbfff,0x13fae0cf,0x23ffe880,0x1004ffd8,0xfd703ff9,
    0xffd99fff,0xcdfff981,0x203efffe,0x09d0805e,0x2fbff600,0x7743ffec,
    0x74407f91,0xe82f4c0d,0x8875c004,0x3afee02e,0x3a201fef,0x0a2f4c0d,
    0x2fe80c40,0x8fa207f9,0x89ff00eb,0x9f706ff8,0x41ff8800,0xfe8006fb,
    0x819ff501,0x06ff45fe,0x7f407ff6,0x013a001f,0x3a07fea0,0x0260543f,
    0x55931f44,0x009d0bd1,0x17500000,0x5555f440,0x014bd10a,0x98150188,
    0xff100001,0x2e0df901,0x02ccb8cf,0x5ff12fe4,0xe9665440,0x20ff501f,
    0x03fe27f9,0x5cc07fe2,0x74274c5f,0xf903ee04,0x5103660b,0x35401555,
    0xf11fd9dd,0xbb104e81,0x00aaaa88,0x332a2aa6,0x67e5aa02,0x0a1f12fd,
    0x97300c40,0x15551015,0x3e61554c,0x2e0df706,0xefffffef,0x323ff101,
    0x3ffea06f,0x501fffff,0x89fe20df,0x1ff880ff,0xffc8be40,0xfe984e82,
    0x0017ec0e,0x80bffff6,0xd3c4b53d,0xffb84e85,0x17fffec4,0xffefff88,
    0x7c7b06ff,0x02974d50,0xffd10310,0xffc89fff,0x8dfff51f,0x6fe81ff8,
    0xb9ffff70,0x3f201fff,0xf302ff8d,0xffffb9ff,0x20ffea03,0x427fc6fd,
    0x6f741ffc,0x0dfeabfe,0xc977ff64,0x5fc80bff,0x7ff6cc00,0x016c7e02,
    0x37ffb299,0x981efe99,0x2e02ffed,0xffcbefff,0x32fe1f82,0x8015323e,
    0x6fff4418,0x3664fffc,0xdfd911ff,0x3225dfb0,0x9ff706ff,0xf105fe88,
    0x7f40dfdf,0x07ffa20d,0x65f7ffd4,0x7fdc2ffe,0x1fffebbe,0x7ecd5d44,
    0x2a66faaf,0xbdfebaaa,0x3fea3efe,0xb02ecc0a,0x2e97405f,0x5554d320,
    0x7f9bffcb,0xfd00bf60,0x2e85fa8b,0x2991bbbe,0xfc831002,0x217fd40e,
    0x437cc1fe,0xfffefff8,0x01ff706f,0x7fe40ff5,0x03ff102f,0x3ea03ff5,
    0x2effffff,0xffffff70,0x7fd403ff,0x106ff88d,0x19f17ffb,0x7ffe41f7,
    0x205fffee,0x54f202fd,0x982e8545,0x0ffd1efe,0x3fa017ec,0x1e437cc1,
    0x9749b11f,0xfe831002,0xfe89f903,0xd8837cc1,0x06fdffff,0x3fe20bf7,
    0x40dff100,0x07fe06f9,0x66e46fd4,0x17b93001,0x3fee03fd,0x7c1b7b62,
    0x1fa860df,0x7fffffdc,0x80bf600c,0xddbfb0fa,0xffa81f31,0xd81f7f23,
    0x20ff402f,0xd8fa86f9,0xf9df88ef,0xf0620050,0xd17ea01f,0x406f983f,
    0x20bf5198,0x7fa80ffb,0x8807fe20,0x1ff980ff,0x0000bf50,0x17301fe8,
    0xc836d7d4,0xa813ea02,0xfd8009bf,0x3512ec02,0x83220fe6,0x3607cbf9,
    0x20ff402f,0x53bb06f9,0x051fdcc5,0x07fd0620,0x83fd13f6,0x7ec006f9,
    0x439ff703,0x3f204fe9,0x21dfe806,0xf501ffe9,0xfe80000b,0x3fbfe001,
    0x1fe4001f,0x8803fe60,0x019bfd99,0x7dcc2bb6,0x3fbfa003,0x3f66622f,
    0x83ff019b,0x2bb606f9,0x0287f730,0xbffb8310,0xe83ff910,0x81bfaa2f,
    0x1fffccca,0x7fffff44,0x220ffffe,0x02dffccc,0x7ff7ffcc,0x6dc5ffff,
    0x0000bcef,0x05bff991,0x07faeaa0,0x4cdff440,0x01fcec80,0xfffffff7,
    0x3fae01ff,0x54002dff,0xff71feba,0x1fffffff,0x54ffffe6,0x3ae06fff,
    0x0282dfff,0xfffb0310,0xf907fffd,0xdfffffdf,0x3fffffe0,0xfddffd01,
    0xfb81bfff,0x805fffff,0xfdffffe9,0x3ffe24ff,0x50001fff,0x00ffffff,
    0x7002ffe8,0x107fffff,0x7fd407b7,0x0effffff,0x40000c40,0xfff53ffd,
    0x21dfffff,0xd53fffe9,0x03100bff,0xaaaaaaa8,0xd701baaa,0x6c05dfff,
    0x5ffdffff,0x00355530,0x54013310,0x000aaaaa,0x26002662,0x0001aaaa,
    0x00555554,0x00000000,0x00000000,0x00000000,0x00000000,0x00131000,
    0x00000662,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26000000,0x5e65401b,0x40aa8800,
    0x203dedb8,0xb8bdeca8,0xa8001c80,0x00a9ceec,0x79999971,0x800aa203,
    0x5102cedb,0x93000155,0x5c4355bd,0x99930bcc,0x01551007,0x40155551,
    0x10001aa9,0x32a017b7,0x8399702c,0x66542ccb,0x36a18042,0xfd103fff,
    0xe805ffff,0x3fff23ff,0xfe886fff,0x44ffffff,0x3a2005f9,0x4fffffff,
    0xffffff90,0x03fea0df,0xfffffd30,0x0fffc81b,0x3fffa200,0x3ff26fff,
    0xfffff5ff,0x3fffae05,0x7fffec6f,0x09fff102,0xfffff500,0x87fff883,
    0x3ee6fff9,0xfff50fff,0xf90bf63f,0x7fffff17,0x3af3ffa0,0x3ffee06f,
    0x32afbfa3,0x3bfa21ff,0x44ffebab,0xff1006f9,0xbff9559d,0x3fb32e60,
    0x1dd501cd,0x567ffc40,0x7e4c5ffe,0x3bf2000f,0x267ffbab,0xf951befd,
    0xdff3019f,0xed98dfdd,0x3fae02ff,0xacfe8004,0xfffb84fd,0x10fffe43,
    0x7f44bff7,0x64bfee3f,0xfb3771ff,0xd81ff307,0xffff882f,0xbf503f63,
    0x7ec077e4,0x2abbf264,0x0efa80aa,0xfb004fb8,0x3f600005,0x41ffcc0e,
    0xff1000ff,0x7dc7f981,0x3203fd04,0x17ec003f,0x30013ee0,0xf880a8df,
    0x3ffe26ff,0x261ff906,0xdffc82ff,0x07f902ff,0x0bf705b1,0x447f9df9,
    0x3fa6fa82,0x3ea5f301,0x7fffffff,0x03201fd8,0xa8817ec0,0xff100aaa,
    0x3e1bf205,0x102ccb9f,0xb87b01ff,0x983fd04f,0x0aaacfea,0x2e017ec0,
    0x0355514f,0x7c401be2,0xfff72fff,0xfeaff40d,0x0bfff204,0x74003fc8,
    0x64ffcc3f,0x9ff5403f,0x322007f8,0x3deeeffe,0x00003fc4,0x3ff605fb,
    0x0ff502ff,0x3fe07fcc,0xb05fffff,0x5c0159ff,0x443fd04f,0xffffffff,
    0x2017ec06,0xffffd4fb,0xabffa981,0x3f3fe200,0x40df9ff6,0x00efdff9,
    0xc80bfff2,0x3bf6003f,0x3fcafec0,0x21bffd50,0xf98005fa,0x005fa806,
    0x4c0bf600,0xf702ffed,0x7c1fe809,0x2ffcbeff,0xeffffe88,0xfd04fb83,
    0xeeffdb83,0x17ec02de,0x3fa33ee0,0x7ffcc3df,0x3e207fff,0x9efcff8f,
    0x7ffdc06f,0x3f7ff201,0x007f902f,0xfa83ffb1,0x3207f90f,0x037d43ff,
    0x54037cc0,0x7fffe46f,0x3f60d72e,0x702fd802,0x07fc40df,0x0bf713fe,
    0x27fff5cc,0x0ff413ee,0x6c002fd8,0x76fdc02f,0x3bb202ff,0x3e203dff,
    0xf37fff97,0x3ffba60d,0x2ffc86ee,0x7f903ff9,0x81ffe880,0x40ff23fe,
    0x0ff881fb,0x4037cc00,0x3ff60ff8,0x03fd2fff,0x5fb005fb,0x5c03fe60,
    0x4c0ff87f,0xfb88186f,0x7413ee0f,0x005fb00f,0x7dc02fd8,0xf7000fff,
    0x22ff100b,0x06f98fff,0x3f603fc8,0x7e417e42,0x07ffe603,0x3fffffea,
    0x6c0103ff,0xf302604f,0x10ffe00d,0x0ff4bf73,0x7ec00ff4,0x740ffe02,
    0x4c0ff85f,0xd817dc6f,0x221fe62f,0x00bf607f,0xfb805fb0,0xfb003fff,
    0x6cff1009,0x260df34f,0x05eeffee,0x1fe40201,0x500effa8,0xffffffff,
    0x9ff50007,0x7cc6fb83,0xf9065cc7,0x25fc885d,0x1fee0cfe,0xf5017ec0,
    0x3ffaa3bf,0x7cc0ff80,0x71177ec6,0x67fc41ff,0x6c0bfd10,0x17ec002f,
    0x3ff37ee0,0x4dffd404,0x3e23fa99,0x80df501f,0x0000bfd8,0x09bfd988,
    0x2667bfee,0x3f6200a9,0x5c05d903,0xfffeffff,0xffeffd83,0x7fff42ff,
    0x3a5ffffe,0x2fffefff,0x2ff66620,0xffff9019,0x3fe05fff,0x3f237d41,
    0x4fffefff,0xffefffa8,0x37fd300f,0x36662013,0x9f9019bf,0x36033fee,
    0xffffffff,0xdffff34f,0x1bfffe61,0x27fffff4,0xffff8800,0xffd5ffff,
    0x09ffffff,0x20fffff2,0x7ed405ff,0xb302efff,0x205dffff,0xbeffffeb,
    0x3fffae20,0x3ffee02e,0x80ffffff,0x81effffa,0xf93ffff9,0x33aa1fff,
    0x203fffff,0x80dfffe9,0xfffffff9,0x7fffd43f,0xf10fffff,0x7fff49ff,
    0x7ffffdc6,0xfd10dfff,0x7ff44dff,0xffffb06f,0x7f40007f,0xd4ffffff,
    0xffffffff,0x3ffff20b,0x4c001883,0x000cc001,0x26200266,0xffffa800,
    0x200effff,0x3fa60098,0xdfff72ff,0x80066601,0x3fa60098,0x43ffffff,
    0xfffffffa,0x9ffd10ef,0x002fffec,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x6665c400,0x332e01bc,0x16665c2c,0x0000cc00,0x66666644,0x3263cccc,
    0x379931bc,0x5e6665c4,0x2bdc9800,0xbccccb88,0x93000001,0x99999999,
    0xcccccc87,0x332e23cc,0x711665c2,0x2ccb8599,0x71166654,0x32e63799,
    0xcccccccc,0x333332a1,0xcccb81bc,0x2cc9802c,0x7fffffe4,0x7ffd42ef,
    0xffff50ff,0x2b2e601f,0xb8007fa8,0xfffff13f,0x7cdfffff,0xffff5fff,
    0x7ffffe4d,0x7ffdc04f,0xffffc87f,0xa802efff,0xffff800f,0x45ffffff,
    0xffffffff,0x43fffee5,0xf71ffffa,0x3fea1fff,0xffff10ff,0x3ffff25f,
    0xffffffd6,0x3e27ffff,0x6fffffff,0x37ffffd4,0x93f37e60,0xfdccefd8,
    0x6ffdc1ff,0x0bbfae22,0x3fffffa2,0x3aa004ff,0x99ff14ff,0x4dfb9bfd,
    0xfb51cffa,0x67fdc43f,0x5ff400bc,0xefc882eb,0x01fffdcc,0x6d4017ec,
    0xfdccffdf,0x66667fc5,0x3fee25ff,0x88fbfa23,0x3fa25ffc,0x1e7fdc3f,
    0x263ffb71,0xcccccffc,0x3b32a3fe,0x5c41ccdf,0x202fffec,0xbf51ee49,
    0xbf90dfb0,0x3a60bfe0,0x7ffebdff,0x5fffd300,0x25fb3fc4,0x207fc6f9,
    0xddff05fa,0xdf3059bd,0x3617ea00,0x017ec06f,0x2a6fafc8,0xfb07fc5f,
    0x21df901d,0xff901ff9,0x2207fea3,0x7cc6aa7f,0xfd837cc6,0x1005fb02,
    0x200bfbff,0x42fd44fa,0x7fcc2fe8,0xfd837d40,0x7ffff30d,0x1fffec40,
    0x25fb3fc4,0x207fc6f9,0xffff05fa,0xf887ffff,0x05fa802f,0x17ec05fd,
    0x8ef9ef80,0x73f44f9a,0xa7f403ff,0x77ec04fe,0x3fe03ffa,0x17eabff0,
    0xfa9ecdf3,0x7005fb01,0x801ff1df,0x05fa84fb,0x87fb09f9,0x23ff03fd,
    0x85fbdff9,0x00cfffc8,0x3a2fd93a,0x5555ffc3,0x41ff05fc,0xefd87fc8,
    0x2bbf2600,0xd813f20a,0x9bf9802f,0x409afdff,0x807ff329,0x006fdff9,
    0xe809fffd,0xb8fffa9f,0x5d7fcc4f,0x05fb006f,0x0ff67fd0,0xfa817ec4,
    0xf50bf705,0x4c07fccd,0x26bff37f,0x6fffdc6f,0x02fd8001,0x7ffffffc,
    0xf01ff05f,0x67ffe41f,0xfff31ff8,0x2fd4dfff,0xfffffffd,0x33f909ff,
    0x8807ffff,0xff7005fe,0x3fe6003f,0xfdafd807,0x4c3fcbff,0x006fffff,
    0xff9805fb,0x3fa0df50,0x2fd46eee,0x5ff04fb8,0xafe817f2,0x513f66ff,
    0x0003dffd,0xeff805fb,0xf05feeee,0x267f981f,0xffdffcff,0x37bffb22,
    0xffe97ee2,0x3fffffff,0xfffdcfe8,0x037ec02f,0xd8013fa0,0x7e403fff,
    0xfddfcffb,0x7f77fcc2,0x805fb006,0xffcccefc,0x2aaaaa82,0x3fc82fd4,
    0x3ff1bf70,0x477ffdc0,0xf702ffc9,0x6c001bff,0x207fc02f,0x57ff05fa,
    0x7e49ffb7,0x507fff75,0x80ff20bf,0x7fc402fd,0x00eaefff,0x06c83ff2,
    0xfb8017ec,0x2e02ffcf,0xfff8efff,0xf8b7cc1f,0x405fb005,0xfffffff8,
    0xbf50005f,0x2203ff10,0x4c06fcff,0xfffeefff,0x7ffe4403,0x02fd800c,
    0x17ea07fc,0x7ffffffc,0xffd2fd44,0xf10bf503,0x017ec05f,0x1bea6fee,
    0x42ffa8d9,0x0bf601fe,0x7e4bfea0,0x7fff500f,0xf303fff6,0xfd80044d,
    0x333bee02,0x000ffccc,0xa999dfa8,0x7fec05fe,0x3bfa203f,0x002effff,
    0x80ffff62,0x3e00bfd9,0x4437d41f,0x2009abff,0xffffefff,0x4ccf7d42,
    0x7ec05fea,0xfa87ec02,0x10ff999e,0xf3333bff,0x2ff6603f,0xb13fe601,
    0xfff501df,0x261ffee3,0x310019ff,0xfd0137fb,0x3213f609,0xffffb83f,
    0x400effff,0x7dc07ff9,0x8000310e,0x7d45ffe9,0x20efffff,0xfd4ffff9,
    0x3fee1fff,0x2a03ffff,0x2efefffd,0x3fffffee,0x7e400eff,0xdffff302,
    0xffffffff,0x3ffffee1,0x7cc1ffff,0x40ffffff,0xf71ffffb,0xff985fff,
    0xfb1ffe26,0x203fffff,0xfffffff8,0xdffff35f,0x137fffcc,0xfff50dff,
    0x4007bdff,0x00a804fe,0x87d50000,0x6fffffe9,0xda7fff4c,0xff70efff,
    0x1005ffff,0x7ffd4013,0x5003deff,0x3ffe201d,0xffffffde,0xffff70ff,
    0x983fffff,0x0efffffe,0xa8f7ffdc,0x7c41efff,0x3237ec4f,0x01efffff,
    0x3ffffffa,0xdfffd34f,0x237fff4c,0x000001db,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x1e654000,
    0x950f3326,0x44039999,0x1acccccb,0x97100000,0x10159999,0x99999997,
    0x332e2199,0x4599712c,0x2cccccb8,0x800f5400,0x4c00acb9,0x2a002ccb,
    0x54400acc,0x7300a9cc,0xa8831599,0x0aaa60aa,0x2cca8000,0x2aa6072a,
    0x1bc98bc8,0xfff89fd0,0x3ffffe2f,0xffffff33,0x7fffe40f,0x3a05ffff,
    0x7fe4002e,0x44ffffff,0xfffffffc,0xfff91fff,0xffff93ff,0x3fffff23,
    0xb800dfff,0x7ff4401f,0xffd04fff,0x5405ffff,0x84fffffe,0xffffffe8,
    0x7fffec44,0x3ff22fff,0x8dfff51f,0x8aaa8cf9,0xfffff86e,0x262fffed,
    0xffffffff,0x3fe81fff,0x987ffed4,0x32a0cffc,0x2202cdfe,0xfecccffb,
    0x3bffd02f,0x33fee200,0x222ffecc,0xccccdffb,0x9ff711ff,0x88fbfea7,
    0xfdcccffb,0xd100003f,0x9fff9bff,0xfb79bd90,0x33bfe60d,0x7e44ffdb,
    0x45ffcbce,0xfecbeffd,0x47ff663f,0x7cc6fec8,0x6fffffff,0xfffccee8,
    0x3f20ffce,0xcdffebff,0xa82fd84f,0x0ff44fff,0x3e003fc8,0x8837cc0f,
    0x000cfffc,0x85fa81ff,0x41fe80ff,0x1dff30ff,0xff103fe0,0x3bf20000,
    0x1017fd40,0x3fa0bfa1,0x3a1ffa85,0xa8ba20bf,0x83fe81ff,0x437cc1fe,
    0xfffdfffb,0xb3fec401,0xf91ff89f,0x3ee1fe2b,0x1ffefa81,0x1fe407fa,
    0xff01ff00,0x7ffec401,0xf80ff803,0x5b87fc0f,0xf51ff0f9,0x40ff80bf,
    0x80000ff8,0x89f903fe,0xffffffc8,0x7777fc42,0x2e3ffeee,0x40bdefff,
    0x01b305fc,0x86f983fd,0x07fe26fb,0x3fffffae,0x7fc6feee,0x1fe27f90,
    0x37ea03ea,0x407fa6fc,0x3fe003fc,0x401bfa60,0x202fffe9,0x43fdc0ff,
    0x00ffabff,0x013ff7fe,0x3f2aaffe,0xffffe86f,0x3e4fffff,0x44bf500f,
    0xffffffff,0x7ffffcc2,0x5c4fffff,0x21fffffe,0xfe8002fd,0x7ec37cc1,
    0x3fa1fec3,0xffffffff,0xc87fc7ff,0xf30ff13f,0x3fe37ea0,0x3f203fd3,
    0x3fffe003,0x4001ffff,0xf82effea,0x4ffebabf,0x0ffffff8,0x17ffffe0,
    0x3fffffe0,0xfffe82ff,0x24ffffff,0x49fb03fe,0xfb10aefc,0xaacff885,
    0x2e1aaaaa,0xc9bf6a60,0x1fe8005f,0x27e437cc,0xaffa87fa,0x5555dfb0,
    0x7f90ff85,0xa8041fe2,0xfd1ff55f,0x260ff203,0xffffff82,0xffa8000f,
    0xffff81ef,0xdff04fff,0x7fc01ffd,0x200dffcf,0xfffeeeff,0xfb80001f,
    0x3ff910bf,0xff710ffc,0x883dfb07,0x81df50a9,0x5ff50ff9,0xfe85d981,
    0x2a1bfaa2,0x0ffdacff,0x7f4c3fe6,0xff83510f,0x1fe27f90,0x7ecbf500,
    0x7f901fed,0xaff81fd0,0x2005ffa9,0x202effea,0x01bcccff,0x393f43fe,
    0x9ff11ff8,0x36607fc0,0xfb00006f,0x87fffdff,0xfffeeffb,0x7ffc46ff,
    0x54ffffef,0xfffddfff,0xeefffc89,0xffc85fff,0x26fffffe,0xffffffe8,
    0x7f7ff44f,0x6ffeffff,0xf93ffff1,0x01fff19f,0xff897ea0,0x07f901ff,
    0x20ff81ff,0x6cc04ff9,0xff803fff,0x443fe000,0x0ff89f50,0x7fc03fe6,
    0x400ff880,0xfffd7000,0x3fff205d,0x885ffedf,0xcffffffd,0xffffdf10,
    0xfff7019f,0x36019fff,0x5ffdffff,0x37b6ffea,0x3f620ffb,0xfffdedff,
    0x1dffd12d,0xdff17ff9,0x706fd400,0xfb303fff,0x1ff33339,0x3e617fc4,
    0xfffc882f,0x9ff8800c,0x57fc4009,0x25fb9999,0x67ec2ff8,0x4cd7fc40,
    0x5c07fc99,0x0262002f,0x40004cc0,0x4c4009a9,0x3353001a,0x80331001,
    0x205500b8,0x004c4098,0xff700000,0x0fff49ff,0xfffffff1,0x3ee1ffff,
    0x3f20ffff,0x06fffc6f,0xfffffb80,0xffff703f,0x2bffffff,0x30fffffb,
    0x3fee9fff,0xffffffff,0x0006cc03,0x00000000,0x00000000,0x00000000,
    0x50000000,0x7cc7ffff,0x3fffa21f,0x0fffffff,0x81dffff5,0x00eec5fe,
    0x3ffffee0,0xffff502f,0x2bffffff,0x20effffa,0xfff53ffd,0x05bfffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xaaaaa800,0x2aa22aaa,0x2aaaa22a,0xa88aaa20,0x806200aa,0x2cca8aa9,
    0x5c4aaa60,0x0aaa881c,0x3d855544,0x12a00174,0x51000077,0x15973019,
    0x20000000,0x0b2e6028,0x4c05665c,0x25dd12ee,0x100084ec,0x15100009,
    0x3fffffe0,0x3fffa6ff,0x9ffffd3f,0xfe9ffffc,0x07f205ff,0x3ffbffe2,
    0xfff986ff,0x45ffffae,0x7fc4ffff,0x549f54ff,0x45f9004f,0xffff51fd,
    0x1fffffff,0xf103ffea,0x7fccbd9b,0xffffffff,0x640b106f,0x77d43fff,
    0x33660efc,0x26fb84ec,0x4bf91ff8,0x0e21efd9,0x23f501f3,0x05ff80eb,
    0xfffdddff,0x8effed49,0x2e1dffda,0xdff91fff,0xb817ec05,0xffcbefff,
    0x7fff6442,0x7dc7fcef,0xeb8a99df,0x437ea1ef,0x97ec05fb,0x3fea2fd8,
    0xffffffff,0x203ea20e,0xffe89f20,0xffffffff,0xa84fe886,0x3a0feadf,
    0x32e21f44,0x7c2fd87d,0x3e27f70f,0xfe8affff,0xfb83fe61,0xff0bf624,
    0xffa9fa0b,0xfd87fd04,0xf7dfd304,0xb39b01bf,0xfe87b57f,0xf982fd45,
    0x7ec043ff,0x0ff69fd3,0x77dc3bea,0xe89ff440,0x5400002f,0x09ff700f,
    0xfb0df300,0x266d85ff,0x5c83f13f,0x11fb7bee,0x7d4fd0df,0xff919f92,
    0x7ef64dff,0x3f205f70,0x2a1100c0,0x9bea04ff,0x3a200ff9,0xff104fff,
    0x8dffffff,0x837cc1fe,0xf7001ff9,0xff1fff3b,0xfe9bfa03,0xff8aff45,
    0x26666604,0x1f500999,0x003faa20,0xffc8df30,0xa9f61ffc,0x2a27b22f,
    0x7ec4fe2f,0x9b60bea0,0xfa8511f9,0x8b6e20df,0x8000c008,0xfe804ffa,
    0xf900bf92,0x7e4c05ff,0x740befff,0x9837cc1f,0x3fe6006f,0x07fcfffc,
    0x17f61bfb,0x7fccffa6,0x7ffffd42,0x40ffffff,0x0fcc00fa,0xfa9be600,
    0x261ffb2f,0x6447fcef,0x7fdc3eff,0x41b27fff,0x0400744a,0x40000000,
    0x40224ffa,0x01ff9efb,0x3ff7ff62,0x17ffec03,0x37cc1fe8,0x7c006f98,
    0x5fffcfff,0x0ff63fd8,0xfb13fd88,0x7ffffd47,0x30efffff,0x2e1bdfdd,
    0x8006fdde,0x87ff16f9,0x37faa6fe,0x21300601,0x00000440,0x00000000,
    0x4cceffd4,0x3fbfe06e,0x47ffa205,0xff705ffb,0x3ff01ff9,0xfa886f98,
    0xfd80199f,0x43fff8ef,0x007b62fc,0x05f91fdc,0xaaaa8800,0x000ddcc2,
    0x213a27d0,0x000084e8,0x00000000,0x80000000,0xfffffff8,0x3ffee07f,
    0x7ffff501,0xd03ffff6,0xf98ff65f,0xfff53fff,0x7ffffe4d,0x3ee00fff,
    0x983ff93f,0x26000540,0x00000d42,0x00000000,0x00000000,0x00000000,
    0x7c400000,0x7fffffff,0xd302ffc0,0x3ff25fff,0x2a14c0ef,0x4ffffa60,
    0x3ee5ffea,0x0effffff,0x7cc3fe60,0x00000007,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x6eeeecc0,0xcddddddd,
    0x26666620,0x40999999,0x3fffe040,0x0005ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0xfffffffd,0x93ffffff,
    0xffffffff,0x3a5fffff,0x7fc7f50f,0x05ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xaaaa9880,0x1aaaaaaa,
    0x3fffffae,0x1effffff,0x00174cb7,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_24_latin1_x[224]={ 0,4,2,1,1,1,2,4,5,2,1,0,4,1,
4,1,1,1,1,1,1,1,2,1,1,2,4,4,-1,0,0,2,1,-1,0,0,0,0,1,0,0,1,1,0,
0,-1,-1,0,1,0,0,1,0,0,-1,-1,0,0,1,5,1,2,1,-1,4,0,-1,1,0,0,1,0,0,1,
1,0,1,-1,0,0,-1,0,1,1,1,0,0,-1,0,0,1,3,5,3,1,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,4,1,0,1,0,
5,1,3,-1,2,0,-1,1,-1,-1,3,0,3,3,4,0,1,4,4,3,2,1,0,-1,0,1,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,1,1,1,1,-1,-1,0,0,0,0,0,2,0,0,0,0,0,0,1,0,0,0,
0,0,0,0,-1,1,0,0,0,0,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
 };
static signed short stb__courier_bold_24_latin1_y[224]={ 17,3,4,2,2,3,5,4,3,3,3,4,14,10,
14,2,3,3,3,3,3,3,3,3,3,3,7,7,4,7,4,4,3,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,3,2,3,2,21,2,7,3,7,3,7,3,7,3,3,
3,3,3,7,7,7,7,7,7,7,4,7,7,7,7,7,7,3,3,3,8,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,17,7,2,4,5,4,
3,3,3,4,3,8,9,10,4,0,1,2,3,3,2,7,3,8,16,3,3,8,3,3,3,7,-1,-1,-1,0,
0,-1,4,4,-1,-1,-1,0,-1,-1,-1,0,4,0,-1,-1,-1,0,0,6,3,-1,-1,-1,0,-1,4,3,2,2,
3,3,3,2,7,7,2,2,3,3,2,2,3,3,3,3,2,2,3,3,3,5,6,2,2,3,3,2,3,3,
 };
static unsigned short stb__courier_bold_24_latin1_w[224]={ 0,4,8,11,10,11,10,4,6,6,10,12,5,10,
4,10,10,10,10,11,10,11,10,10,10,10,4,5,13,13,14,9,10,15,13,12,12,12,12,13,13,10,13,13,
13,15,14,13,12,13,14,11,12,13,15,14,13,13,11,6,10,6,10,15,5,13,14,12,14,12,12,13,13,11,
9,13,11,15,13,12,14,14,12,11,12,13,13,14,13,13,11,7,3,7,11,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,4,10,12,11,13,
3,11,7,14,9,12,13,10,14,15,7,12,7,7,5,13,11,4,5,7,8,12,13,15,13,10,15,15,15,15,
15,15,15,12,12,12,12,12,10,10,10,10,13,14,13,13,13,13,13,9,13,13,13,13,13,13,12,12,13,13,
13,13,13,13,14,12,12,12,12,12,11,11,11,11,12,13,12,12,12,12,12,12,13,13,13,13,13,13,14,13,
 };
static unsigned short stb__courier_bold_24_latin1_h[224]={ 0,15,6,17,18,15,13,7,18,18,10,13,7,2,
4,18,15,14,14,15,14,15,15,15,15,15,11,13,13,8,13,14,16,13,13,14,13,13,13,14,13,13,14,13,
13,13,13,14,13,17,13,14,13,14,13,13,13,13,13,18,18,18,8,3,5,11,15,11,15,11,14,15,14,14,
19,14,14,10,10,11,15,15,10,11,14,11,10,10,10,15,10,18,18,18,6,14,14,14,14,14,14,14,14,14,
14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,14,0,15,16,13,11,13,
18,16,3,14,7,9,8,2,14,3,8,15,8,8,5,15,16,4,5,8,7,9,14,14,14,15,18,18,18,17,
17,18,13,17,18,18,18,17,18,18,18,17,13,17,19,19,19,18,18,10,16,19,19,19,18,18,13,15,16,16,
15,15,15,16,11,14,16,16,15,15,15,15,14,14,15,14,16,16,15,15,15,12,13,16,16,15,15,20,19,19,
 };
static unsigned short stb__courier_bold_24_latin1_s[224]={ 253,246,208,191,59,196,98,249,131,89,41,
123,202,41,247,17,91,1,12,102,23,114,126,137,174,185,251,247,44,120,45,
34,98,231,100,44,1,73,207,70,71,220,84,86,16,216,1,110,60,203,30,
138,58,150,14,192,178,164,152,96,175,190,164,1,241,140,42,179,71,154,164,
28,124,98,44,189,177,233,52,127,86,101,66,167,57,192,13,79,27,57,1,
81,186,197,217,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,
241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,241,253,251,148,
203,206,232,55,185,33,171,192,107,150,41,226,17,175,208,247,142,235,160,109,
247,229,134,183,94,186,130,116,54,205,221,237,1,230,1,136,178,162,149,28,
217,152,70,138,17,109,163,124,68,82,103,117,246,28,96,110,54,138,41,85,
1,70,42,224,14,210,121,218,146,135,159,221,234,148,28,159,200,78,212,172,
197,1,238,65,114,30,84,56,40,14,1,29,15, };
static unsigned short stb__courier_bold_24_latin1_t[224]={ 1,22,134,22,22,58,106,120,22,22,134,
106,134,145,134,22,58,91,91,58,91,58,58,58,58,58,41,58,106,134,120,
91,41,106,120,91,106,120,106,91,106,106,91,120,120,91,120,91,120,22,120,
91,106,91,106,106,106,106,106,22,1,1,134,145,134,120,74,120,74,120,91,
74,91,91,1,91,91,120,134,120,74,74,134,120,91,120,134,134,134,74,134,
22,1,1,134,74,74,74,74,74,74,74,74,74,74,74,74,74,74,74,74,
74,74,74,74,74,74,74,74,74,74,74,74,74,74,74,74,74,1,22,41,
91,120,91,22,41,145,74,134,134,134,145,74,145,134,58,106,134,134,58,41,
115,134,134,134,134,74,74,74,58,1,1,1,41,22,22,106,22,1,1,22,
22,22,22,1,41,106,22,1,1,1,22,22,91,41,1,1,1,22,22,106,
59,41,41,41,59,41,41,120,74,41,41,58,58,58,58,74,74,58,74,41,
41,75,41,58,120,106,41,41,58,75,1,1,1, };
static unsigned short stb__courier_bold_24_latin1_a[224]={ 203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,203,
203,203,203,203,203,203,203,203, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_24_latin1_BITMAP_HEIGHT or STB_FONT_courier_bold_24_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_24_latin1(stb_fontchar font[STB_FONT_courier_bold_24_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_24_latin1_BITMAP_HEIGHT][STB_FONT_courier_bold_24_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_24_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_24_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_24_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_24_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_24_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_24_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_24_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_24_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_24_latin1_s[i] + stb__courier_bold_24_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_24_latin1_t[i] + stb__courier_bold_24_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_24_latin1_x[i];
            font[i].y0 = stb__courier_bold_24_latin1_y[i];
            font[i].x1 = stb__courier_bold_24_latin1_x[i] + stb__courier_bold_24_latin1_w[i];
            font[i].y1 = stb__courier_bold_24_latin1_y[i] + stb__courier_bold_24_latin1_h[i];
            font[i].advance_int = (stb__courier_bold_24_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_24_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_24_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_24_latin1_s[i] + stb__courier_bold_24_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_24_latin1_t[i] + stb__courier_bold_24_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_24_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_24_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_24_latin1_x[i] + stb__courier_bold_24_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_24_latin1_y[i] + stb__courier_bold_24_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_24_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_24_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_24_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_24_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_24_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_24_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_24_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_24_latin1_LINE_SPACING
#endif

