// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_32_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_32_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_32_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_32_latin1_BITMAP_HEIGHT        240
#define STB_FONT_courier_bold_32_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_32_latin1_FIRST_CHAR            32
#define STB_FONT_courier_bold_32_latin1_NUM_CHARS            224

#define STB_FONT_courier_bold_32_latin1_LINE_SPACING          15

static unsigned int stb__courier_bold_32_latin1_pixels[]={
    0x80000400,0x00010000,0x0001b300,0x3ba00001,0x0000801e,0x800009d3,
    0x775c001a,0x8000005e,0x00020000,0x20000200,0x64000000,0x7ec0002f,
    0x06fc4001,0x0ffb8000,0x001fdc00,0x4017ffc0,0x7e4000ef,0xf980002f,
    0xff1005fe,0x00000fff,0x88004fa8,0x880000ef,0x3a20007e,0x0037cc07,
    0x8001bf62,0xb0006fe8,0xc80003df,0xe88001ff,0x7fc0005f,0x2ffb802f,
    0x01bfe600,0x07c53600,0x07ffec80,0x3ff20000,0x3ff90001,0x27fcc000,
    0x04ff9800,0x9801ffe4,0x260005fe,0x640004ff,0xf90002ff,0x7440001d,
    0x330000ef,0x3fea0013,0x07ffa003,0x0fc7d000,0x001ffa00,0x00f7ec00,
    0x00bfee00,0x000ffee0,0x4c01ffdc,0xfd800fff,0x1ff40003,0x07fa8000,
    0x00009900,0x000027e4,0x003fe600,0x0002ffd4,0x001bb3ea,0x00001ffa,
    0x000037ee,0x22003fd4,0xf10001ff,0x7fec003f,0x00019804,0x40000198,
    0x00000018,0x26002600,0xcccccccb,0x000a2004,0x80001ffd,0xe8000bd9,
    0x59dd957f,0x00510001,0x00051000,0x0a800015,0x07ffcc00,0x02000000,
    0x30004000,0xa8815997,0x00001bcc,0xffffffa8,0x00007fff,0x0027fdc0,
    0x3fa00000,0xffffffef,0x0000002f,0x00000000,0x3f600000,0xdddb713f,
    0x3bbb2217,0x3f6a00bd,0x54003dff,0x203dfffd,0x45fffff9,0x11fffffe,
    0x217dddb7,0x0bdeeec8,0xfffffff3,0xdd930fff,0x8001dddd,0x26000fff,
    0x0eeeeeec,0x7ffff400,0x2fffffff,0x3bbbb260,0xdb8800ee,0xeeeeeeee,
    0x36e25eee,0xeeeeeeee,0x76dc5eee,0x7764c1ce,0x96ffa83d,0x29ffffff,
    0x4ffffffd,0xfffffd88,0x6c400dff,0xdfffffff,0xfffff880,0x7ffffec5,
    0xffffff91,0x3fffff69,0x2aaaa24f,0xfe87feaa,0x03ffffff,0x0027fdc0,
    0xfffffffd,0xfffe8007,0xffda88be,0xffffd01f,0xf7007fff,0xffffffff,
    0x7dcfffff,0xffffffff,0x3e67ffff,0x7f46ffff,0xff81ffff,0xfffffa8f,
    0xfffff52f,0xffff885f,0x0ffffede,0xbdffff10,0x101ffffd,0x3ee05ffd,
    0x3ffea0ef,0xfff52fff,0x3a005fff,0xffffb87f,0x44006fff,0xf7000fff,
    0x0dffffff,0x206ffe80,0xff704ffc,0x00dfffff,0xffffffd3,0x4fffffff,
    0xffffffe9,0x27ffffff,0x41ffffe8,0x80effffc,0x3bfe1ffe,0x20ffd301,
    0x74c1effd,0xdffb05ff,0x05ffe983,0x3fa0bff5,0x03dff02f,0xd001ffa6,
    0x7fdcc0ff,0x64002fff,0x5cc003ff,0x002fffff,0xf880bffa,0x7fdcc06f,
    0xf5002fff,0x3333339f,0x9ff50ffd,0xfd333333,0x81fff50f,0x3601fff8,
    0x01bfe2ff,0xdff50ffd,0x0bffa201,0x2201dff5,0xffd02ffe,0x206ffa83,
    0x3ff406ff,0xb01ffa00,0x00bff9ff,0x8007ff88,0x05ffcffd,0xb003ffa0,
    0xffd801ff,0xf3005ffc,0x43ff409f,0x3fa04ff9,0xd8bff907,0x7fe404ff,
    0xfd01bfe4,0x803ffd0f,0x7ff46ff9,0x837fcc01,0x7ff45ffa,0xd01bfe02,
    0x7fe800ff,0x7f5bfe20,0x7fe4000f,0x5bfe2003,0xfd000ffe,0x07ff807f,
    0xffeb7fc4,0x24ff9800,0x30bf91da,0xc8ed49ff,0x5ffd105f,0x2e01bfee,
    0x01bfe4ff,0x0bff0ffd,0xbff1ff60,0xe81ff600,0x0dff51ff,0x7f406ff8,
    0x03ff4007,0x3fee7ff9,0x37fcc003,0x2e7ff900,0xffd003ff,0x17ff201f,
    0x3ee7ff90,0x4ff9803f,0x980a97fa,0xa97fa4ff,0x27ffe600,0xfd801fff,
    0xd01bfe3f,0x04ff98ff,0x3e63ff90,0x3ff9004f,0x7f5bfea0,0x037fc02f,
    0xfd001ffa,0x887ffc0f,0xfd8006ff,0x1fff002f,0x7401bfe2,0xa9adffff,
    0x7c01fffd,0x0dff10ff,0xfddfff30,0xfff300df,0x800dffdd,0x04fffffc,
    0x7fc3ffd0,0x2a3ff406,0xff7003ff,0x400ffea5,0x3fa02ffb,0xf806ffcf,
    0x03ff406f,0x7d41ffa0,0x017fec4f,0x201bfe60,0x7fec4ffa,0xffffe802,
    0x3fffffff,0x3627fd40,0x7fcc02ff,0x806fffff,0xfffffff9,0xfffe8006,
    0x83ffe006,0x3ff406ff,0x5c00ffe6,0x07ff31ff,0xa807fee0,0x802fffff,
    0x3ff406ff,0x6c1ffa00,0xfcaaacff,0xffe8005f,0x567fec01,0x805ffcaa,
    0xffffdffe,0xfd801eff,0xffcaaacf,0x7fffcc05,0xf9806fff,0x06ffffff,
    0x01fff980,0xff8fff30,0x223ff406,0xffb005ff,0x4017fe21,0x7f400ffd,
    0xdff006ff,0x4007fe80,0xfff887fe,0xffffffff,0x2ffd4000,0xffffff10,
    0x801fffff,0x799717fe,0x3ffe2003,0xffffffff,0xe93fe600,0x7fcc046f,
    0x0011bfa4,0xfc801bfe,0x203ff44f,0x0ffe86ff,0x3a3ffc40,0x7fc400ff,
    0x2fffa807,0xf80ffd00,0x3ff4006f,0x7fffffe4,0x003fffff,0xf901ffe8,
    0xffffffff,0x7fe807ff,0xfffc8000,0xffffffff,0xb93fe603,0xf307fa3f,
    0xfd1fdc9f,0x00dff003,0xf907ffe2,0x13fe605f,0xfb017ff2,0x05ffc87f,
    0x5401ffec,0x3f2006ff,0x09ff302f,0x7c2ffcc0,0xaaaaaaff,0xa8006ffa,
    0x5fff05ff,0xff555555,0x007fe80d,0xaaafff80,0x06ffaaaa,0xf8813fe6,
    0x027fcc4f,0xff009ff1,0x17ff200d,0xd103bfee,0x3ffa05ff,0x20dffb05,
    0xffb05ffe,0x0bffa00d,0x40effb80,0x3002ffe8,0xffa87ffb,0x017fe404,
    0x2a07ffc0,0x7fe404ff,0x001ffa02,0xc809ff50,0x9ff302ff,0x2627fcc0,
    0x3fe604ff,0x806ff804,0xfd02fff8,0xfffb7bff,0x77ffcc0b,0x1fffecbc,
    0x79dfff30,0x003fffd9,0xd000dff5,0xffb7bfff,0xfffb10bf,0x221dffff,
    0x41defffc,0x0deffeda,0x44ffee00,0x41defffc,0x0deffeda,0x3fffffb2,
    0xff91000d,0xeda83bdf,0xd910deff,0xdddddfff,0x3229ffdd,0xeeeefffe,
    0x884ffeee,0xeefffeec,0x05ffb80c,0x3fffffa2,0x7d400eff,0xffffffff,
    0x7fffd401,0x901fffff,0xbfffffff,0xfffe8800,0xb80effff,0xefffffff,
    0x3ffffee0,0x7ffff46f,0x7f4003ff,0xffffff72,0xfffffe8d,0xfffff13f,
    0x2e007fff,0x46ffffff,0x3ffffffe,0xfffffff7,0x9fffffff,0x3fffffee,
    0xffffffff,0xfffffc84,0xfb84ffff,0xfffc800f,0x362004ff,0x00dfffff,
    0xfffffb10,0x3ffe601b,0x02ffffff,0xfffffc80,0x3fff6204,0x7f4c0ace,
    0x75c2efff,0x000dffff,0x3fffa608,0x7ff5c2ef,0x3fb20dff,0x000dffff,
    0x5dffffd3,0xdffffeb8,0xfffffb10,0xffffffff,0x3ffff629,0xffffffff,
    0xfffe984f,0x301effff,0x01a98001,0x000d4c00,0x64006a60,0xdffffffe,
    0x06a60000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x08000800,0x002e2000,0x0000ecc0,
    0x30260000,0x003b3000,0xb0006d40,0x0009dddd,0x2002da80,0x77077000,
    0x03d90000,0x00003b30,0xca800000,0xcb8ceffe,0x000ef880,0xc8005fd8,
    0x5c003fff,0x801fe44f,0x017f26fc,0x004fffc8,0x01fffec4,0x2ffffff8,
    0x3fc89f70,0xe8806fe8,0x22ffa807,0x20001ffb,0x7e403ffa,0x7dc004ff,
    0xd801fe44,0xffffb02f,0x05ffffff,0xf0007bf2,0x7f4c00df,0x001effbe,
    0x06ff8dfd,0x3ff4ffb0,0x7df7f4c0,0xffa801ef,0x400dffbe,0x00dfffff,
    0x86ff8dfd,0x7fcc06fe,0x21ff8804,0x20000ff9,0xfd301ffe,0x003dff7d,
    0x0dff1bfa,0xfb0bff50,0xfffdbfff,0x7fdc07ff,0xfffd8802,0x3fa01cbe,
    0x401bf624,0x00ed42da,0x1bfa7fe8,0xfd893fa0,0x11ffc406,0x6ff809fd,
    0xda85b500,0x2e06ff81,0x022003ff,0xf9800022,0x893fa06f,0x5b5006fd,
    0x7c401da8,0x7ffec2ff,0x04fffb81,0x3f203fd4,0x6fffffff,0x00d406a0,
    0x3fa00000,0x2a01bfe6,0x15003301,0xdff006a0,0x7fc00000,0x003ff106,
    0x36000000,0x406a02ff,0x00000019,0xff98dff7,0x0ffee00e,0xff980a20,
    0x7ffffeff,0x00000000,0xff9bfe00,0x00000005,0x00dff000,0x037fc000,
    0x32e60015,0x665440ac,0xdff3001b,0x00000800,0x2ffe8001,0x22017fdc,
    0xd80001ff,0x3faa0bff,0x3bbb6e27,0xbddd910b,0x3bb6e217,0xddd910be,
    0x57fe017b,0xdb885ff8,0xeeeeeeee,0xd9305eee,0x001ddddd,0x36e20dff,
    0xeeeeeeee,0x1bfe5eee,0x3ffe6000,0x7fff45ff,0xffc801ff,0xfffda803,
    0x7ed4003d,0x7d403dff,0x00ffd86f,0x3b6e2198,0xbdeeeeee,0x7541bfe0,
    0x3fffff23,0xfffffb4f,0x3ffff29f,0xffffb4ff,0x7f5c49ff,0xdfffeeff,
    0x3ffffee2,0xffffffff,0xfffffd07,0xdff007ff,0x3ffffee0,0xffffffff,
    0xdb89bfe7,0xdeeeeeee,0xfffff10b,0xfffffd8b,0x03ffc401,0x3fffff62,
    0x6c400dff,0xdfffffff,0xf07ffb00,0x3f2000df,0xffffffff,0x0bff63ff,
    0x7ffffd40,0xfffff52f,0x3fffea5f,0xffff52ff,0x7ffe45ff,0xffffffff,
    0xffffd30f,0xffffffff,0x3fffee0f,0xff806fff,0xffffd306,0xffffffff,
    0xff937fcf,0xffffffff,0x17ff447f,0x800effb8,0x3e203ffc,0xffedefff,
    0xfff100ff,0xffffdbdf,0x881fff01,0xf50005ff,0xffffffff,0x7ffd43df,
    0x7fc01bdf,0x0ffd301e,0x74c07bfe,0xffffa87f,0x5fffffff,0x999cffa8,
    0x407fe999,0x2fffffb9,0x2a037fc0,0x99999cff,0x9bfe7fe9,0xfffffffa,
    0x7d41efff,0x05ffd05f,0x401fff10,0x74c1effd,0xdffb05ff,0x45ffe983,
    0xff887ff8,0x4cc40005,0xb0099eff,0x7fffffff,0xfd01bfe0,0xd01bfe0f,
    0x9ffd40ff,0x3e602ffa,0x01ffa04f,0x17ff3ff6,0xf980dff0,0xf9ffa04f,
    0xff99886f,0x3fa0099e,0x037fd41f,0x2a04ffb8,0xfd100eff,0x0effa85f,
    0x4c5ffd10,0x0dff06ff,0x037fc000,0xfffffda8,0x406ff84f,0x0dff07fe,
    0x3ea07fe8,0x405ff72f,0x476a4ff9,0x7fc405fc,0x7c01ffd6,0x27fcc06f,
    0xf97f23b5,0x037fc06f,0x7f45ffa8,0x1fff002f,0x200fff40,0x7ff46ff9,
    0x537fcc01,0x3ff20bff,0xdff00000,0xffd73000,0x406ff83f,0x0dff07fe,
    0x3ee07fe8,0x403ff72f,0x97fa4ff9,0x9ffe400a,0x3fe03ffb,0xd27fcc06,
    0xdff054bf,0x2006ff80,0xdff51ffe,0x013fee00,0x3f600bff,0xd802ffc7,
    0x417fee7f,0xb8804ffa,0x881bfe00,0x0ffee01a,0x7fe80dff,0xfe80dff0,
    0xeffedb87,0x80cefffe,0xffeefff9,0x87ffc006,0x3fe06ff8,0x77ffcc06,
    0x3fe06ffe,0x0037fc06,0x3ffadff5,0x03ffd002,0xc8027fcc,0x09ff31ff,
    0x7d47ff20,0x33ffe06f,0x40dfd300,0x1fee06ff,0x7fc3ffa8,0xf83ff406,
    0x23ff406f,0xfffffff9,0x983fffff,0x6fffffff,0xb13fea00,0x1bfe05ff,
    0xffffff30,0x037fc0df,0xfd001bfe,0x200dff9f,0x7d405ffa,0x5ff7003f,
    0x5c00ffea,0x0fff12ff,0x5e7fffcc,0x05fffdcb,0xffd81bfe,0x40ffe884,
    0x3ff406ff,0x7f406ff8,0xfffffd87,0x81efffff,0xfffffff9,0x33ff6006,
    0x05ffcaaa,0xff980dff,0x206fffff,0x37fc06ff,0x3fffea00,0x3ffd002f,
    0x003ff980,0x3fe63ff7,0x43ff7003,0x3e600fff,0xffffffff,0x1bfe00df,
    0xcdffffd8,0xff85fffe,0xf83ff406,0x03ff406f,0x03ff4ffb,0x6fe93fe6,
    0xffff8804,0x0fffffff,0x7cc06ff8,0x411bfa4f,0x37fc06ff,0x37fff400,
    0x806ff980,0xfb005ff8,0x017fe21f,0xffd07fec,0xffdb8805,0xf803efff,
    0x3fff206f,0x1fffffff,0x7fc07fe8,0xf80ffd06,0xe9ffa06f,0x27fcc07f,
    0x40ff47f7,0xfffffffc,0xff83ffff,0x727fcc06,0xff8ff47f,0x0037fc06,
    0x8017ffd4,0xfd002ffd,0x7ff8801f,0x22007ff4,0x2ffdc7ff,0x003bf300,
    0x3a606ff8,0xdfffffdd,0x205ff900,0xff904ff9,0x813fe605,0x01bfe7fe,
    0x7c409ff3,0xaafff84f,0x6ffaaaaa,0x7cc06ff8,0x53fe204f,0x37fc06ff,
    0x037fd400,0x2006ff98,0x7ec05ffc,0x02ffe43f,0xff10fff6,0x3be6003f,
    0x037fc001,0x801dff10,0x7440effb,0xdff702ff,0x02ffe881,0x06ff9bfe,
    0xf3027fcc,0x04ffa89f,0x3fe17fe4,0xff980aae,0x7d3fe604,0x037fc06f,
    0x8017ff40,0x74002ffd,0xdffb05ff,0x6c17ffa0,0xbff906ff,0x0dff3100,
    0x4006ff80,0xffd006ff,0xbfffb7bf,0xbdfffe80,0x7c05fffd,0x20bff15f,
    0xeefffec8,0x4ffeeeee,0x3bdfff91,0xdeffeda8,0x3ffffff0,0x3bfffb22,
    0xffeeeeee,0xff80dfd4,0x37fd4006,0x006ff880,0xbcefff98,0x301fffec,
    0xd979dfff,0x3e203fff,0x3be201ff,0x3b2207ec,0xeeefffee,0x01bfa00c,
    0x7fffff44,0x74400eff,0xefffffff,0xff27fc00,0x3fffee07,0xffffffff,
    0xffff74ff,0xfffe8dff,0xffff3fff,0x3ffee3ff,0xffffffff,0x4bfb4fff,
    0xfffeeec8,0x3f20ceee,0x05ffffff,0x0003ffb8,0xfffffff5,0xffa803ff,
    0x1fffffff,0x2027fe40,0x3203fffc,0xffffffff,0x3f603fff,0x7ffe4004,
    0x7e4004ff,0x3004ffff,0x8805cc19,0xfffffffd,0x34ffffff,0x85dffffd,
    0x0dffffeb,0x44155555,0xfffffffd,0x14ffffff,0x7fffe415,0x3fffffff,
    0xfffffff3,0x6fa805ff,0x7fec4000,0x1000dfff,0x1bfffffb,0x4013fa00,
    0xfffe9801,0x1effffff,0x40002e20,0x4c0001a9,0x0000001a,0x00000000,
    0x00000000,0x7fffff4c,0x321effff,0xdffffffe,0x00000800,0x20000d4c,
    0x288001a9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x9807b500,0x0020001d,0x0f720000,0x5eeeec88,
    0x5b500000,0x02066cc0,0x22000000,0xcd980009,0x7b500040,0x00600010,
    0x3ffffb20,0x001002ff,0x3bbb2a20,0x3a005eee,0xff900fff,0x7ed4007f,
    0xfb802dff,0x3e61fe44,0xfff505ff,0x0bf60dff,0x6fe805fd,0x37ffffb0,
    0x010001fb,0x3fa60bfa,0xfb001eff,0x1fb37fff,0x5dfffd00,0xf9000fd3,
    0x3ff62009,0x02ffffff,0x1002ffe4,0xfffffffd,0xf5001fff,0xdfd30bff,
    0x4403dff7,0xfffffffd,0xf1bfa00d,0x7fffb0df,0xdffffb10,0x7c4bff10,
    0x437f404f,0xfffb9df8,0x3f6a004f,0x9ffb2dff,0xffefffa8,0x4efc401f,
    0x804ffffb,0xfffc8cfa,0x6fe8003f,0x335df900,0x4c05fb33,0x9802e89f,
    0x9dfdefff,0xfb0009ff,0x893fa01f,0xfff106fd,0xdffffbdf,0xb50b6a01,
    0x017fe603,0x0edc1bfa,0xdff0036e,0x03b91020,0x3ffff620,0x0fffffff,
    0x6c437fe2,0x6440806f,0x9302001d,0x3fe00039,0x203fd006,0xc96e02fc,
    0x53ffd805,0x800ff1bf,0x406a06ff,0x3dffb01a,0x005ffe98,0x806ff800,
    0x000006fe,0x00200dff,0xbdfffd10,0x85ffffff,0x0ff886fc,0x00000000,
    0x01bfe000,0x0d9817fc,0x0beafe20,0x7d4dff10,0x7c007f8d,0x5c00006f,
    0xfd100eff,0xf800005f,0x06fe806f,0x0dff0000,0x1efffed4,0x20f7fec0,
    0x7c46fffb,0xa85fb01f,0x5c40deed,0x980bdeee,0x0eeeeeec,0xefffb800,
    0x7fecc0bc,0x3aa0002f,0x5ff9803e,0x01fe37ea,0xb710dff0,0xbddddddd,
    0x00fff417,0xdb89bfe6,0xdeeeeeee,0x806ff80b,0xeec986fe,0xf800eeee,
    0xfffd886f,0x500dffff,0xffd01dff,0x83fcc5ff,0x3fe23fd8,0x7fe45fff,
    0xfe84ffff,0x03ffffff,0x3ffffa60,0x3fe26fff,0x0004ffff,0x4dff1000,
    0x007f8dfa,0x7fe437fc,0xffffffff,0x4017fe3f,0x3fff27fd,0xffffffff,
    0xe806ff83,0xffffe86f,0xfe803fff,0x77fffc46,0x80ffffed,0xffc81ffe,
    0x1bea6fff,0xd87ffff5,0x2a2fffff,0x82ffffff,0xfffffffb,0xffff5006,
    0x5cffffdd,0x5fff90df,0x3bb6ea00,0x7ff401cd,0x0ff1bf53,0xfa86ff80,
    0xffffffff,0x09ff31ef,0x7d43ff20,0xffffffff,0x06ff81ef,0xffb86fe8,
    0x806fffff,0x77fec6fe,0x42fff4c1,0xfffa85ff,0x9f70ffe9,0x1fffffe4,
    0x077fff44,0x2601ffa2,0x02fffffb,0x221cffd8,0x31be67ff,0x2203dffd,
    0xffffffff,0x3ffa203f,0x07f8dfce,0x40bff710,0x99eff998,0x8017fd40,
    0x4cc42ffb,0x20099eff,0x7f402ffe,0x3ffee606,0x175402ff,0x2201dff5,
    0x3fe62ffe,0xd9fffcc4,0x269f71ff,0x03fc8bff,0xd09ffffd,0x3ff600ff,
    0x7c405ffc,0xe8bf906f,0x7ffdc1ef,0xfffff984,0x202fffff,0x8dffffe8,
    0xffff007f,0x81bfe007,0xf9003ffa,0x037fc03f,0x206fffc8,0x7fec06fe,
    0xe8005ffc,0x7fcc01ff,0xe88ffea6,0x4bfee4ff,0x64bf94fb,0xffffd03f,
    0x807fe83f,0x1ffd6ff8,0x501ffdc0,0x0cffd881,0x2a13ff62,0x3fee21ab,
    0xdfeb9804,0xff8807f8,0xdff001ff,0x8027fcc0,0x3fe00ffd,0xffff5006,
    0xf1037f40,0x003ffadf,0x3600bff0,0xd93fe67f,0x8ffdc6ff,0x647f94fb,
    0xf7ffd03f,0x807fe8df,0x7ff73ffc,0x0017fdc0,0x543fffc8,0x84cc00ff,
    0x3ea006ff,0xb5007f8d,0x3fe00bff,0x007ffc06,0xff01ffe2,0x37ffa00d,
    0xc81bfa01,0x07ff73ff,0x013fe618,0xff88ffe4,0xd81fff76,0x229f70ff,
    0x207f90ef,0x47ffd7fe,0xfff807fe,0x440dff10,0x260005ff,0x3f20effe,
    0xffffeb83,0x2a006fff,0x4007f8df,0xdff006ff,0x405ffc80,0x7fc03ffd,
    0x00dff006,0x7ffc0dfd,0x6c0dff10,0x007ff55f,0xfff8bfee,0x7c42fffb,
    0xfd93ee6f,0xfd04ffef,0x743ffe6f,0x27fd407f,0xfe80bff6,0x13ae60bf,
    0x373ffee0,0x3ffa22ff,0x6fffffff,0x3e37ea00,0x037fc007,0x7c406ff8,
    0xffd884ff,0x006ff806,0xdfd00dff,0xfb13fea0,0x4dbfa05f,0xff7003ff,
    0x7ffffdc3,0x264ffd84,0x3fff225f,0x64ffd06f,0x80ffd5ff,0xcaaacffd,
    0x3fee05ff,0x7fffedff,0xffffb100,0x7ffff44b,0x06ffeecd,0x1fe37ea0,
    0x200dff00,0xffa806ff,0xffecbcef,0x06ff802f,0xfd00dff0,0x2b3ff60d,
    0xf05ffcaa,0x017fe2df,0x3fe07fec,0x6ffd85ff,0xaaa837c4,0xfe8ffd00,
    0x2207feaf,0xffffffff,0x3f200fff,0x3fffffff,0x3ffb00a8,0xf01effb8,
    0x6fd400df,0x7fc007f8,0x00dff006,0x3fffffea,0xff001fff,0x01bfe00d,
    0x3fe21bfa,0xffffffff,0x3a6ff80f,0x7fc400ff,0xdffffd87,0x81fffecb,
    0xfd0001fe,0xfefffa8f,0x3ffff207,0x3fffffff,0x7ffff540,0x303f980b,
    0x05ffb0ff,0x400dff91,0x007f8dfa,0xff8037fc,0x3ff62006,0x2000dfff,
    0xdff006ff,0xf90dfd00,0xffffffff,0x4dff07ff,0x7ec05ffc,0x7fffd43f,
    0x2fffffff,0x2000bf90,0xfffd87fe,0x2bffe07f,0xffaaaaaa,0x80fff006,
    0x0df904fa,0xb959dff7,0x07bfffff,0x0ff1bf50,0xf007fe80,0x7fc400df,
    0x01541dff,0x7fc01bfe,0xf86fe805,0xaaaaaaff,0x6ff86ffa,0xfd82fff4,
    0x5fffc46f,0x0dffffeb,0x3221ff40,0x221ffa06,0xf507ffff,0x2ffc809f,
    0x5406ff80,0xfeccccef,0xfffe882f,0xffffffff,0xdcc980ff,0x03cff9ef,
    0x8019ffb0,0xff1006ff,0xfbffffff,0x37fc03ff,0x40fff260,0x546ffaa8,
    0x7fe404ff,0x3e637fc2,0xfecbceff,0x27fe41ff,0xf98006a2,0x86ffeeff,
    0x1defffc8,0x911fffea,0xa83bdfff,0x00deffed,0xff5017f6,0x07ffffff,
    0x7ffffec4,0x04ffffbe,0xfdfffffb,0xf5003fff,0x3b221fff,0xeeefffee,
    0xffffc80c,0xffffffff,0xffddd910,0x2219dddf,0xf980ffff,0xf916ffff,
    0xda83bdff,0xfd0deffe,0xfffff50d,0xd303ffff,0x6d40000b,0xb80cefff,
    0x45ffffff,0x7fdc7ffd,0x7f46ffff,0x203fffff,0x554401da,0x0009aaaa,
    0x00035551,0x51555551,0x7dc00355,0x3ffff27f,0x3fffffff,0xbacdffa8,
    0x320beffd,0xffffffff,0xdff13fff,0x3fffe605,0xfffff76f,0xffffe8df,
    0x20bfb3ff,0xdfffffd8,0x80000000,0x7f4c0098,0x7c42efff,0x7fff4c7f,
    0x7ff5c2ef,0x00000dff,0x00000000,0x51000000,0x7ffff4c1,0x01efffff,
    0x3fa60100,0xffffffff,0x2200621e,0xfd32aaaa,0xeb85dfff,0x510dffff,
    0x00353001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x012e0000,0xc80005b0,0x16e00003,0x00005000,0x00a000b7,
    0x8000ecc0,0x0030003d,0x00600031,0x0002da80,0x5a80000a,0x00098800,
    0x005fd880,0xb00027f4,0xc80001bf,0xfd30006f,0x3f20001d,0x77f4c006,
    0x17fcc000,0x0027f400,0xd501dff3,0x9805bfff,0x002dfffe,0x44002ff4,
    0x40001efd,0x3ee006fc,0x0003ffff,0x1000bfd3,0x10001dfd,0x10003dfb,
    0x70001dfd,0x007ffdff,0x00077f44,0x07ffdff7,0x004ffa80,0x40077f44,
    0x7d43fffc,0x01ffffff,0xfffffff3,0x037fc009,0x3ffbfee0,0xefe88004,
    0xffffd000,0x8800dfff,0x6c0003ff,0x3f20006f,0x2ff4000f,0x52ffd800,
    0x3fa009ff,0x97fec005,0x4c004ffa,0xfd8003fe,0x4fffe806,0x3f3fffe6,
    0xfff80eff,0x01fffecf,0x6400dff0,0x0bff53ff,0x2005fe80,0xfecefffc,
    0x362004ff,0x0b700002,0x000da800,0x9b0001ec,0xb004d881,0x819b0007,
    0xc88004d8,0x00b70003,0x7e47fffb,0x13ff20cf,0x7d41bff3,0x0dff006f,
    0x32206e40,0x001ec005,0xf983fff1,0x000000ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x89fffe40,0x8dfd06ff,0xffd81ffc,0x006ff803,
    0x00000000,0x7ec13fe6,0xdb95001f,0xb7500379,0x80039bdd,0x01bcedca,
    0xcdeedba8,0x76e54001,0x951001bc,0x2200159d,0x000aceca,0x0159d951,
    0x2616664c,0x7e41cccb,0x07ff52ff,0x7fe83fee,0xa88bff30,0xaafffaaa,
    0xdb7500aa,0xc98039bd,0x665cc2cc,0x827fcc1c,0x74c01ffd,0x4fffffff,
    0xffffff10,0xd3007fff,0x9fffffff,0x3ffffe20,0x9803ffff,0xfffffffe,
    0x7fffe404,0x7e404fff,0x04ffffff,0x7fffffe4,0xffffa84f,0x3ffffe24,
    0xb8fffdc3,0x5ff501ff,0xff983ffc,0x3fffff26,0xffffffff,0x3ffffe23,
    0xf503ffff,0x7fc49fff,0xfff83fff,0x203ffc40,0xfffffff9,0xff985fff,
    0xffffffff,0x3fffe602,0x85ffffff,0xfffffff9,0x3e602fff,0xffffffff,
    0xffffb05f,0x20bfffff,0xfffffffd,0xfffb05ff,0x8bffffff,0x7c4ffffa,
    0x7d43ffff,0x01ff90ff,0xffd93fe6,0x367ffe82,0xffffffff,0x264fffff,
    0xffffffff,0xfffa82ff,0x7ffffc4f,0xbdfffc83,0x2204fffd,0x730adfff,
    0x57507fff,0x827fdc43,0x30adfff8,0x7507fff7,0x27fdc435,0x0adfff88,
    0xd87fff73,0xf512dfff,0xfffd8bff,0xbfff512d,0x12dfffd8,0xb88bfff5,
    0xffc984ff,0xc87ffcc3,0x9ff100ff,0xf906ffdc,0x32a21fff,0xccfffccc,
    0x55d40acc,0x413fee21,0xc984ffb8,0xfffd03ff,0xc80dffff,0x3fea06ff,
    0xf84cc00f,0x0dff906f,0x2007ffd4,0x20dff099,0x3ea06ffc,0x1fff10ff,
    0x443ffe20,0xff100fff,0x03ffe21f,0x2607ffc4,0x7ff504ff,0x3f27ff98,
    0x89ff100f,0xfffdfffe,0x7fc01fff,0x21330006,0x3fe606ff,0x107ff504,
    0xfffffffd,0x6fff401d,0xeccccccc,0xffeb81ff,0xd06fffff,0x99999bff,
    0x703ffd99,0xfffffffd,0x337ffa0d,0xfecccccc,0x80bff51f,0xbff52ffc,
    0xf52ffc80,0x2ffc80bf,0xfa827fcc,0x937fc43f,0x3fe601ff,0x7ffffcc4,
    0x400ffeff,0x3ae006ff,0x6fffffff,0x5413fe60,0xfffd83ff,0x05fffebe,
    0x3ffffffe,0x3fffffff,0x3fffffa2,0xff06ffff,0xffffffff,0x7447ffff,
    0xffffffff,0xfffff06f,0xffffffff,0x007ff27f,0x3ff2bff3,0xcaffcc01,
    0x7fcc01ff,0xa827fcc5,0x25ff83ff,0xff501ffb,0xdfffb107,0xff00dfd3,
    0xfffd100d,0x0dffffff,0xfa827fcc,0x0fffcc3f,0x7c07ffe6,0xffffffff,
    0xd14fffff,0xdd9bffff,0x3ffe0dff,0xffffffff,0xffd14fff,0xffdd9bff,
    0x3ffffe0d,0xffffffff,0x803ff94f,0x3ff94ff9,0xf94ff980,0x4ff9803f,
    0xfa827fcc,0x261da83f,0x5ff703ff,0x9ff50980,0x880dff00,0xecdffffe,
    0x3e606ffe,0x87ff504f,0xff904ffb,0x26fff607,0x99999999,0x03dff709,
    0x7fec1bfe,0x9999999b,0xdff70999,0x6c1bfe03,0x99999bff,0xf5099999,
    0x2ffd80bf,0xfd80bff5,0x80bff52f,0x7fcc2ffd,0x007ff504,0xffe837fc,
    0x5fff3000,0xb80dfd00,0xdff01eff,0xa827fcc0,0x0ffe43ff,0xf704ff98,
    0x219801ff,0xfc882ffd,0x1fff706f,0x3ff61980,0x06ffc882,0x9801fff7,
    0x02fffe21,0x221fff71,0x5c40bfff,0xfff10fff,0xfffb8817,0x5437fc40,
    0x36003ffe,0x2ffdc3ff,0x03fffb80,0xfd807f70,0x6ffc882f,0x2a1bfe20,
    0x7fd43ffe,0x405ffb05,0xbacefffd,0xf72fffed,0xffb959df,0xfb07bfff,
    0xdb759dff,0x3fee5fff,0xfffdcace,0xffd83dff,0xfedbacef,0x3ffee2ff,
    0xffffdbdf,0x6ffffdc3,0x43ffffdb,0xdbdffffb,0xff03ffff,0xfffd959f,
    0x40a887df,0xfebefff8,0x5e7541ff,0x005fffec,0xceffb800,0xfffffdca,
    0x59fff03d,0x7dffffd9,0x5effffc4,0x200ffffd,0xffffffe8,0xd12fffff,
    0xffffffff,0x881fffff,0xfffffffe,0xfd12ffff,0xffffffff,0xe881ffff,
    0xffffffff,0x7fd42fff,0x2fffffff,0xffffff50,0x3ea05fff,0xffffffff,
    0x3fffee02,0xffffffff,0xf50dff10,0x05ffffff,0xfffffffd,0x3bbb6609,
    0xeeeeeeee,0xffffd11d,0xffffffff,0xffff701f,0xffffffff,0x7ffffcc1,
    0x7001ffff,0xffffffff,0xfffd885b,0xffffbeff,0x3fffee04,0x442dffff,
    0xbefffffd,0x2e04ffff,0xffffffff,0xfffb302d,0xd9805bff,0x02dfffff,
    0x7ffffecc,0xfffb802d,0x4fffcdff,0x75c1bfe2,0xf702ffff,0x403bffff,
    0xfffffffd,0x25ffffff,0xefffffd8,0x204ffffb,0xcdfffffb,0xfd884fff,
    0x000dffff,0x009aaa88,0x001aaa88,0x04d55440,0x00d55440,0x26aaa200,
    0x00d4c000,0x0001a980,0x26000353,0x1510009a,0x3000a880,0x3fea0035,
    0xffffffff,0xaa882fff,0x54c0001a,0x35300009,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00266000,0x00000980,0x00110022,0xc9839300,0x00011001,0x76400200,
    0xdeeeeeee,0x05e75401,0x0002a002,0x4c002620,0x800e4c1c,0x972ceeca,
    0x00a80379,0x00800800,0x3fffff66,0x3ff2000c,0x3b2a0002,0x7f644eff,
    0x3a0003ef,0x502ffc6f,0x00007fdb,0x400efe98,0xfffffffd,0x7ff405ff,
    0x00ffccff,0x2a19ffd5,0xffec8805,0x37f402ff,0xfd3017fe,0xffdfffff,
    0xfd503fff,0x8036a19f,0x7406fdb8,0xffffa85f,0x400effff,0x0dffffe9,
    0x7fffec00,0x7df50fff,0x20003fd7,0x827ec5fc,0x003feff9,0x17ffd400,
    0x3fffff60,0x4401efff,0x4fffffeb,0xffd9ff10,0x74c01dfd,0x5fffffff,
    0x9fb17f20,0x7ffffcc0,0xffffffff,0x767fc40f,0x440efeff,0x06ffffec,
    0xff11ffe2,0xfffd99df,0x8a7fcc0b,0xe8800ffe,0x5ecdffff,0x0013ea04,
    0x70801008,0x7000007f,0x1ffb0079,0x7ffe4000,0x05c06fff,0x4401bff7,
    0xffcdffff,0x040203ff,0x23dffd10,0x2ffffda8,0xdffb86e0,0xfffffc80,
    0x20e5406f,0xff883ff8,0x705d500f,0xffe8801d,0xf971001f,0x0000005f,
    0x0001fdc0,0x3ff60000,0x37fe0000,0x003ffd8a,0xdffb8008,0x003ffd40,
    0x817fee00,0x10007ffd,0x7df7fd40,0x0220006f,0x0002ffc8,0x03bff600,
    0x0efff980,0xedba8060,0xf7001cde,0x00022007,0x043ff600,0x7fc40400,
    0xddb7500f,0xffe8039b,0x203ffb00,0x00aceca8,0xf8807ff6,0xeca8807f,
    0xfd0200ac,0x6c00000d,0x6664c1ff,0x0e665cc2,0x00077fcc,0xe985fd98,
    0x7fffc43f,0x803fffff,0x7fc803fb,0xb003b300,0x9dffdbff,0x9dd97100,
    0xf889ff75,0xffffffff,0xc80b6a03,0xfffc81ff,0xff04ffff,0x80ffd00f,
    0xfffffffc,0x80dfd004,0x2e2001da,0x7ffd47ff,0x3fffe24f,0x23ffc83f,
    0x3fc40009,0xf30bfff2,0xffffffff,0x03fb805f,0x4017ffaa,0xffd805fd,
    0x0effffff,0xffffff50,0xf98bffff,0xffffffff,0xff10002f,0xffffd81f,
    0xd85fffff,0x3fe601ff,0x3ffff607,0x805fffff,0x2ffc06fe,0x3ffffa60,
    0x7fffd42f,0x1fffffc4,0x7fecffec,0x9acb82ff,0xffd54fca,0x86aea01d,
    0x5304ffb8,0x6c435bfb,0xf3003fff,0xfff900df,0x0dfffddf,0xfbdffff5,
    0x750dffff,0x27fdc435,0x45ffd800,0x512dfffd,0xffb8bfff,0x41fffa06,
    0x512dfffd,0xfe80bfff,0x01bfe206,0x0bfffff9,0x2613fee2,0xffe83ffc,
    0x4fffffff,0x77ffffe4,0x98bfffd9,0xff099800,0xfffff10d,0xbfff51ff,
    0x36201553,0xd9806fff,0x3ffaa0ad,0x877ffe23,0x807fffb8,0x00dff099,
    0x20fffe88,0xf100fff8,0x7ffc41ff,0xfffc99cf,0x0fff887f,0x401fff10,
    0x3fe606fe,0x7ffecc07,0x9ff302ff,0x3e0ffea0,0xfecfffff,0x8aa981ff,
    0xf98dfffa,0xfffd705f,0x220dffff,0xfd999999,0xffffcaff,0x7ffffcc5,
    0xffa80003,0x403ffea5,0xeb81fffd,0x6fffffff,0x3fffa200,0x202ffd41,
    0x7fcc2ffc,0xffffffff,0x05ffa87f,0xfd017fe4,0x07ffd40d,0x1fffd880,
    0xf504ff98,0xbfffd07f,0x1037fdc1,0x7f45fffb,0x7fff445f,0x06ffffff,
    0x237ffee0,0x3fc99efa,0x000bfffa,0x326ff880,0x3fe605ff,0x3fffa20f,
    0x06ffffff,0x03ffff30,0xf9803ff9,0xfffd985f,0x87fedfff,0x7cc01ffc,
    0x81bfa05f,0x4001fffa,0xff984ffc,0xb07ff504,0xfff01fff,0x837ffea0,
    0x3a25fefc,0xeecdffff,0xfe8806ff,0x983662ef,0x00dff36f,0xc9ffe000,
    0x3ffc03ff,0x9bffffd1,0x500dffdd,0x3201dfff,0x7fcc01ff,0x2f32e604,
    0xff90ffb1,0x04ff9803,0xffb81bfa,0x7fc4001f,0x504ff986,0x5ff707ff,
    0x3a07ff20,0x577cc2ef,0x07bfee5f,0x7dc037fc,0x4fd8804f,0x0dc03ff9,
    0x72ffcc00,0x7fd40dff,0x407bfee6,0x7fdc06ff,0x3fea00ef,0x017fec05,
    0xfa87fd80,0x17fec05f,0x7e40dfd0,0x7c4002ff,0x04ff986f,0xff507ff5,
    0x207ff609,0x99fe8839,0x20bff65f,0x8806ffc8,0x5fe8801b,0x7e40ffee,
    0xfb00e546,0x17ffcc9f,0x3f63ffe8,0x6ffc882f,0x017fff20,0x102fffe2,
    0x0001fff7,0x3fe21ff6,0x7fdc40bf,0x81bfa00f,0x0a23fffd,0xf109ff90,
    0x7ffd50df,0x881fff10,0x7e4007ff,0xf71efdcf,0xffb959df,0x0007bfff,
    0xf987ff50,0xfd730bff,0xacdfff8f,0x40fffecb,0xdabefffc,0x7fdc6fff,
    0xfffdcace,0x3f623dff,0xb81104ff,0xfdbdffff,0x20003fff,0xfff707fd,
    0xffffb7bf,0x206fe807,0x3fa4fffe,0xfecbabcf,0x9fff01ff,0xdffffd95,
    0x7bfff507,0x8009fffb,0x3ffffffd,0xffffffd1,0x1fffffff,0x3ff62000,
    0xfffffb02,0xfc8fffff,0xffffffff,0xffffb02f,0x883fffff,0xfffffffe,
    0x70ffffff,0xddddffff,0xfa81ffdd,0xffffffff,0xffec8002,0xffa84fff,
    0x2fffffff,0x7ff77644,0xfb0ceeef,0x7ffec7ff,0x2fffffff,0x3ffffee0,
    0x0fffffff,0xffffffd8,0x2a0000ff,0x3f621efd,0xffbeffff,0x3a0004ff,
    0x24dccdff,0xffffffd8,0xffeb83ef,0x401dffff,0xdffffffb,0xffffb100,
    0x9ffff7df,0x7fffffdc,0x82ffffff,0xdfffffd9,0xfff98002,0x981fffff,
    0x2dfffffd,0xffffffb8,0xf53fffff,0x7fe441ff,0x01dfffff,0xdfffffb8,
    0x7104fffc,0x019ffffd,0x3fffd800,0x001aaa88,0xfffff000,0xdd950fff,
    0x5330039d,0x55300035,0x2aa20013,0xfff7001a,0xffffffff,0x01a9805f,
    0xfffec800,0x1a9804ef,0x7ffff4c0,0x21efffff,0x2aa601da,0x35300009,
    0x4d440001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x02000000,0x00006600,0x010000f2,
    0x10002000,0x0400005b,0x4c1c9800,0xecb8801c,0x20198bde,0x040002c9,
    0x42ccc980,0x801cccb9,0x6c03dedb,0xeeeeeeee,0x00301eee,0x2e206a00,
    0x803efffe,0x10003ffb,0x950009fd,0x9719dffd,0x7ff65401,0x100caadf,
    0x540007ff,0x003dfffd,0x0bff1bfa,0xffffffb8,0x7440ffff,0x2002ffff,
    0xabefffeb,0x3fffea0b,0x3ffffe24,0x3fffa203,0xffd01eff,0xffffffff,
    0x1bf6e25f,0x8fffa000,0xfffffffd,0xffe980ef,0x26001eff,0xfd8004ff,
    0xffffffff,0xffffb02f,0x05ffffff,0x2002ff4c,0xffffffd8,0x5fc800df,
    0xffb027ec,0xffffffff,0xa8bfc83f,0xffe8806e,0x3fffffff,0xf13fffea,
    0x6c07ffff,0x6fffffff,0xffffffd0,0x2e5fffff,0x40006fff,0xff16fff9,
    0xffffbfff,0x88dff88b,0xf9801ffd,0xffd8003f,0xffffedff,0x7fff443f,
    0xffffedef,0x02ff4404,0xdeffff88,0x800ffffe,0x7fd40100,0xff9510bf,
    0x7d45f85f,0x7ffff402,0x44ffffed,0xc984ffb8,0xdff103ff,0x20bffa63,
    0x3ff605fd,0x001be221,0x7c4bffa0,0x7ff4c1ef,0x3aa0ba61,0x001d9801,
    0xb81fffd8,0x7fec4fff,0x4ffd981e,0x36009700,0x7f4c1eff,0xf000005f,
    0x7fec07ff,0x7f30fe61,0x20f7fd40,0xf984ffe9,0x07ff504f,0xff513fe6,
    0x22017109,0x06f886ff,0xfe811000,0x007ff703,0x4c000000,0x3ee00eff,
    0x03ffe63f,0x0003ff98,0x8077fd40,0x5402ffe8,0x101bcedc,0x7c401fff,
    0x07e46e86,0x2605ff90,0x4ff984ff,0x2607ff50,0x1ffe43ff,0x41ffdc00,
    0x013006f8,0xf500c980,0xcccb887f,0x9971003c,0xff700799,0x21ff8805,
    0xdb802ffd,0xccccb880,0x01ffe803,0xe9837fcc,0x4fffffff,0x0004ffa8,
    0x17fb3fea,0x017fdc11,0x9ff303fd,0x4c0ffea0,0xfffb53ff,0x3ffb0003,
    0xd880df10,0x2200006f,0x7ffc1ffe,0xff006fff,0xb00dffff,0x833001ff,
    0x40000ffe,0x06ffffff,0xfb005ff8,0xfffff30f,0xa8bfffff,0x540004ff,
    0xeb98befd,0x2bffe65f,0x3fe60100,0x207ff504,0xfffcbff9,0xff88006f,
    0x540df106,0x80004fff,0xe86fffb8,0x006fffff,0x0dfffffd,0x4000dff0,
    0xe80006ff,0x406fffff,0xf9004ff9,0x6fffc43f,0x7fff730a,0x0007ffc4,
    0x7ff64c40,0x7ffec1cf,0x4c00acef,0x7ff504ff,0x3eeffe60,0x4004ffff,
    0x5d443ffb,0x3f621aef,0x333102ff,0xfffffc80,0xdff55301,0x7fd54c00,
    0x02ffc406,0x005ff880,0xdff55300,0x003ffa80,0x7fe45ff7,0x83ffea06,
    0x75403ffe,0xffffc983,0x7ffe401c,0x300dffff,0xffd50bff,0x44ffe607,
    0x004fffeb,0xffd07ffa,0xff71ffff,0xf901339f,0xfffe80bf,0x0dff000c,
    0x101bfe00,0x22000bff,0xffeb85ff,0x7c01efff,0x1ffcc06f,0x3a1ffb80,
    0xcccccdff,0x2a1ffecc,0xbaacefff,0x3ee6ffec,0x0b99ceff,0xfffeb980,
    0xff980eff,0xfffecacf,0x3ff983ef,0x801fff98,0x33306ff8,0x3dffd333,
    0xfff0dff1,0x00efe801,0x80037fc0,0x6ff806ff,0x21bfe000,0xfffffffe,
    0x2037fc05,0xfb005ff8,0x7ffffc1f,0xffffffff,0x7fffdc3f,0x1fffffff,
    0x7f5473b2,0x2a2004ff,0xf985fffb,0xffffffff,0x7cc0ffff,0x07ff503f,
    0x2007ff70,0x3f64fffc,0x01ffcc6f,0x7c001754,0xdff0006f,0x001ff900,
    0x36a1ff60,0x01effeee,0x7f4037fc,0x3ffc400f,0x3ffffffe,0x4fffffff,
    0xfffffda8,0xff801dff,0x2542fd9b,0x261ffa20,0xefffffff,0xf984fffd,
    0x01bfe03f,0xd3007ffa,0x77dc3dff,0x0037e46f,0x037fc000,0xa806ff80,
    0x0b8804ff,0xf300bff2,0x0dff009f,0xd80bff90,0x5ffec3ff,0x99999999,
    0x3ea20099,0xf50009ad,0x3fe26e85,0x20ffec03,0x0aaadff9,0x4cffe600,
    0x2203ff41,0xffc806ff,0x37cffc43,0x000007fa,0x4001bfe0,0xfff006ff,
    0x9bfa6019,0x2602fff9,0x6ff804ff,0x20bffd00,0xffb86ffd,0x400cc00f,
    0x64002ff9,0xf987e40f,0xfff502ff,0x0009ff30,0x7fc5ffcc,0xb80dff11,
    0x0b8803ff,0x26f8bfd8,0x2e6005f9,0x06ff8001,0x200dff00,0xbbcffff9,
    0x645fffdc,0xdbbcefff,0xf804fffe,0xfff3006f,0xfffd979d,0x3bfff603,
    0xfffedbac,0x1ff66a02,0x5f85f500,0x33bfffe6,0x85ffffdb,0x88004ff9,
    0xffbeffec,0x404ffebe,0x20001ffe,0x2ffccffb,0x3e6001d3,0x3b6e01ff,
    0xeeefffee,0x7776dc2d,0x2deeefff,0xffffff30,0xb01bffff,0xffffffff,
    0xedb87fff,0xeeefffee,0xffff502d,0x403fffff,0xffffffe8,0x102fffff,
    0x000dfdff,0x45fd79fd,0xfffffff8,0x980effff,0xfb8004ff,0xffedffff,
    0x7c00ffff,0x7e40006f,0x005fffff,0x203fff30,0xfffffff8,0x227fffff,
    0xffffffff,0x2207ffff,0xefffffdb,0x7ffecc03,0x440bffff,0xffffffff,
    0x2207ffff,0x0dfffffd,0xfffff700,0xa805bfff,0x98001dfd,0xec83effd,
    0xffffffda,0x00ffe203,0x3bfffa60,0x1efffea9,0x0001fc80,0x00bff260,
    0x6400a880,0xffffffff,0x7fe44fff,0xffffffff,0x06a6004f,0x04d4c400,
    0x3fffff20,0x04ffffff,0x40003530,0x0009aaa8,0x03100000,0x00554c40,
    0x00000dc8,0x00003530,0xfffc8000,0x00000004,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x5eeec800,
    0x75c00000,0x83b805ee,0x36e2003b,0xccc99cee,0x5332e60a,0x00bceeca,
    0x102b32e6,0x88037995,0x00000002,0x0195032a,0x00003d70,0x0002f2e2,
    0x00179710,0x55555553,0x05555555,0x2001776c,0x006ffff8,0x3ffe2000,
    0x17fd407f,0xf7003ff7,0xfdffffff,0x3fe29fff,0xffffefff,0xff982fff,
    0x7ff45fff,0xfd881fff,0x005b12ef,0x05effec4,0xff897fe0,0x004ff804,
    0x3fffb220,0x22004eff,0xefffffec,0x1c000e04,0x0007ffd0,0x000dffd9,
    0x7ffec800,0xf30ffc40,0xfffb801f,0xffffffff,0x3fffe3ff,0xffffffff,
    0x7ffc43ff,0x7ffec5ff,0xcefc81ff,0x002ffeff,0xfffffff3,0x3a1ff403,
    0x05ff802f,0x15bfb100,0x2017f6e6,0x730adfd8,0x000e0bfb,0x07ffd01c,
    0x0037f400,0x07fe8000,0x40088088,0x932dfff8,0x3019ffff,0x213dfffd,
    0x441fffd9,0xff702ffe,0xe98aa01d,0x3fa002ef,0x06ffeeff,0xff000804,
    0x0bf6000b,0xfd80bf70,0x1c2fdc02,0x26203800,0x3fa00009,0xd0000006,
    0x800000ff,0xff505ffc,0x77ff405f,0x50bff900,0x3ffa0bff,0x40008002,
    0x2fe46ff9,0x65440000,0xccccceff,0x973fb00a,0x5fb85999,0x6dc43fb0,
    0x38bf73ad,0x00007000,0x32adfd00,0x2000bcee,0xfd2ceecb,0x0b33260f,
    0xd0399973,0x7ffc03ff,0x00bffa02,0x3ffa0fff,0x8837fd41,0xedc8acca,
    0x5ff5003d,0xccb88030,0x7fec03cc,0xffffffff,0xfb4f985f,0x641ffddf,
    0xf727cc0f,0x321fffbf,0x1c000e0f,0x0f3332e2,0xfeffe800,0x01efffff,
    0x7fffff4c,0xfa87ffef,0x3fe24fff,0x6ff83fff,0xd017fe40,0xffd801ff,
    0x745ffa80,0xfffb02ff,0xdffffffd,0x03ff9801,0xffffff80,0x7fffec06,
    0x4fffffff,0xd12ec7b8,0x1ee17cc9,0x987ec19f,0x1c000e2f,0x1bfffffe,
    0xffffe800,0x2fffffff,0xffffff50,0x50ffffff,0xff89ffff,0xfff83fff,
    0x80bff600,0x3e203ffe,0x47ffa07f,0x3f606ffa,0xffffffff,0x7fc404ff,
    0xfffe8005,0xfa8806ff,0x0aaaaaef,0x745d8db0,0xa9b627c5,0x93e2440f,
    0xfe870003,0x0006ffff,0x273ffffa,0x40fffeb8,0x88befff8,0x107ffffc,
    0xf9309ff7,0x07ffb07f,0xe80bffe2,0xffb00fff,0xeb7fd40b,0x7fd402ff,
    0xffd30aff,0x3fffb6a0,0x53001cee,0x7c00dff5,0x22fc005f,0x42ffdcfd,
    0x0bb2fc7d,0x00039f60,0xdff55307,0x3fff4000,0xfc89ffb0,0x1fffa05f,
    0xf504ff98,0x3dff707f,0x02fffd88,0x2b7ffffa,0x01ffffc9,0x37fe7ff4,
    0x40f7fcc0,0xfff81ffb,0x05ffffff,0x2006ff80,0x2f4005ff,0x20fffff6,
    0x0bb2f46d,0x00039b60,0x006ff807,0x9813ffa0,0x17ff46ff,0x4c0fff70,
    0x7ff504ff,0x2fbfffa0,0x02fffffd,0x3ffffffa,0x802fffff,0x02fffffa,
    0xf504ff98,0xffff907f,0x0005dfff,0x7fc00dff,0x36364005,0x4f81fd15,
    0x001f5364,0x38001c9f,0x00037fc0,0xfe801ffd,0x101bfe0f,0x7fcc0fff,
    0x207ff504,0xffffffe8,0x3a02ffff,0xfffffdff,0x3fa002ef,0xff3006ff,
    0x00ffea09,0x80009ff3,0x3fe006ff,0xb07d4005,0xf99be21d,0x3bf07d42,
    0x22f98f4c,0xf8070003,0x3fa0006f,0x07ff400f,0xff880dff,0x413fe607,
    0x7e403ffa,0xffcdffff,0x5c5ffa02,0xa8002bcc,0xf3002fff,0x0ffea09f,
    0x0009ff70,0x3e006ff8,0xafc4005f,0xff31fffe,0x5f881fb3,0x9bffffee,
    0x4000e0fd,0x0037fc03,0x4c07ffd0,0x0fff46ff,0x4c0fff70,0x7ff504ff,
    0x5c26a600,0x1ffa02ff,0xdff50000,0x827fcc00,0x7e403ffa,0x7fc0003f,
    0x41ffe006,0x5fe40ba8,0x6d4c2aa9,0x447f903f,0x0ff61bcb,0xf00e0007,
    0x7f4000df,0xffd881ff,0x406ffe44,0x2207ffe9,0xffea86ff,0x3ff60003,
    0x001ffa01,0x005ffd00,0xfa827fcc,0x3ffe603f,0xf803fd00,0x3ffa006f,
    0xfffedbbd,0x100dfc83,0xdfc807fb,0x707fb100,0xff00e000,0xffb7000d,
    0xfd79dfff,0xfe881fff,0xffecbeff,0xff03dfff,0xfffd959f,0xb88007df,
    0x3ff407ff,0xdff50000,0x7fff5c00,0x3bffaa0d,0x7fffe443,0xffeeeeee,
    0x3fbbb6e3,0x02deeeff,0xfffffff5,0x3f205fff,0xffebabcf,0x79ff9003,
    0x207ffd75,0x6dc70003,0xeefffeee,0x3fe202de,0xffffffff,0xf302ffff,
    0xffffffff,0x703fffff,0xffffffff,0x2e01ffff,0xfffffffe,0xffffd903,
    0x7e4001bf,0x05ffffff,0xffffff88,0x3fffffe4,0x3ffffea0,0xffffffff,
    0xffffff11,0x0fffffff,0x7fffffd4,0x765400bf,0x001cefff,0x77fff654,
    0x4000e01c,0xffffff13,0x0fffffff,0xfcffffd8,0x00dfffff,0x7ffffe44,
    0x05fffecf,0x37ffffee,0x3e04fffc,0x3fffffff,0xffffff10,0x3e6007ff,
    0xffffffff,0xffffd802,0x3ffff21e,0x7fffec44,0x2effffff,0x7fffffe4,
    0x804fffff,0x00009aa9,0x20000151,0x557000a8,0x55555555,0x7fe47555,
    0xffffffff,0x2a60004f,0xa980009a,0x54c0001a,0xfeb80009,0x6401bdff,
    0x0dfffffe,0x3fffb200,0x0000dfff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3bba6000,0xeeedb803,0x223deeee,
    0x10beeedb,0x017bddd9,0xbdeeedb8,0xeeeedb80,0xeeeda805,0x776c4000,
    0xd910003e,0x3ae239dd,0x36e21cee,0x1bceeeee,0x77776dc0,0x7002bcee,
    0xdddddddb,0x5c4ddddd,0xeeeeeeed,0x3b65eeee,0xeeeeeeee,0x0004eeee,
    0x1abda800,0x09fffd00,0xffffff98,0xf91fffff,0x369fffff,0x04ffffff,
    0xffffffd1,0xfffff0ff,0xffff00df,0xffb8001f,0xfb0004ff,0x3f2bffff,
    0x3ee5ffff,0xffffffff,0xfff981ef,0xffffffff,0x3ffea01e,0xffffffff,
    0x3ffee7ff,0xffffffff,0x3fffa7ff,0xffffffff,0x260005ff,0xfffb82fd,
    0x7dc01fff,0xfe804fff,0xffffffff,0x3ffffea6,0xfffff52f,0x3fffa05f,
    0xb87fffff,0x806ffffe,0x000fffeb,0x027ffecc,0xfffffa80,0x7fffff53,
    0x7fffff4c,0x82ffffff,0xfffffffe,0x100fffff,0xfffdfffd,0x4cffffff,
    0xfffffffe,0x3a7fffff,0xffffffff,0x005fffff,0x45fffc88,0xfffffff9,
    0x3fffe201,0x3331004f,0x3e013dff,0xffd301ef,0x10f7fc40,0xdff00153,
    0x007fe400,0x004ff980,0x5c13fe60,0x3ffd02ff,0xfffb7333,0x33dff101,
    0x0bffd733,0xcffaffa8,0xa87fe999,0x99999cff,0x3ffa7fe9,0x99eff999,
    0x5c005ff9,0x641effff,0x01ec8aff,0x27ff7fe4,0x405ff800,0x3ff406ff,
    0x0007ff50,0x32006ff8,0xf30000ff,0x7cc0009f,0x05ff503f,0xffe81ffa,
    0x220dff04,0x3f200fff,0x7f43ffad,0x204ff987,0xf1ffa7fe,0x005ff8df,
    0x07fffff5,0xf3001bfe,0x009ff3ff,0xff017fe0,0xa87fe80d,0xcccdffdc,
    0x1bfe002c,0x510ffc80,0x26015999,0xceec9cff,0x03ff9802,0x3fa05ff5,
    0x03ffe207,0xffc81bfe,0x3eaffa01,0x21bf633f,0x476a4ff9,0xf1ffa5fc,
    0x405ff8df,0x0cffffea,0x8007ffe0,0x4ff9bffe,0x80bff000,0x3ff406ff,
    0x3fffffee,0x003fffff,0x7e400dff,0xfffffd0f,0x3fffe60d,0x00dfffff,
    0x7d40ffe6,0x80ffd02f,0x6ff82ffc,0x201fff10,0xbffa8ff9,0x982d9cfc,
    0xa97fa4ff,0xdff17f60,0xfb304fe8,0x7003bfff,0x3ea00bff,0x009ff36f,
    0xff017fe0,0x547fe80d,0xffffffff,0xff003fff,0x87fe400d,0x05fffffd,
    0xfffffff3,0x7cc0bfff,0xeeeeeeef,0x0ffd02ff,0xff83ffa8,0x06ffc886,
    0x77fd5bee,0x7fcc06ff,0x206ffeef,0x237fc1c8,0x7fe440c9,0x2a001eff,
    0x7c403fff,0x09ff31ff,0xf017fe00,0x87fe80df,0xaadffca8,0x3fe000aa,
    0x23ff2006,0x01aefffb,0x42bfffe6,0x3e607ffa,0xffffffff,0x0ffd02ff,
    0xff84ff98,0xfffecccf,0x553f602f,0x406fffff,0xfffffff9,0x06ff8006,
    0x2fffffb8,0x7fffd400,0x7e4dff0f,0x113fe65f,0x05ff80bd,0x3fa037fc,
    0x00ffea07,0x400dff00,0xdfffdffc,0x0eff9800,0xf302ffc8,0xffffffff,
    0x1ffa05ff,0xff09ff30,0xffffffff,0x567fc405,0x06fffffc,0x7fffffcc,
    0x6ff8006f,0xfffffa80,0x3ffe6003,0xfffadffe,0x260fff9a,0x0ffd44ff,
    0xff80bff0,0x503ff406,0xf80007ff,0x3ff2006f,0x26004fff,0x5ff504ff,
    0x540ffe60,0x0ffd02ff,0xff82ffb8,0x0dffffff,0x7ffffd40,0x405fdbff,
    0x1bfa4ff9,0x00dff001,0x177fffdc,0xfe9ffdc0,0xffb5ffff,0xdffddddf,
    0xf017fdc7,0x07fe80bf,0xff5037fc,0x6ff80007,0x3ffff200,0x3fe6002f,
    0x205ff504,0xff503ff9,0x901ffa05,0x3dff03ff,0x7ec00133,0x8bffffff,
    0xff30310b,0x3fd1fdc9,0x4006ff80,0x1effffc8,0xff99ff60,0x3fffa7ff,
    0xffffffff,0x2205ff71,0x7fe404ff,0x409ff302,0x40003ffa,0x3f2006ff,
    0x003fffff,0x3ea09ff3,0x07ff302f,0x7f40bfea,0x41ffe607,0x3e0006ff,
    0x20ffea2f,0x27fcc1ff,0xf809ff10,0xfb30006f,0xfb01bfff,0x27ffdc3f,
    0xfffffffd,0x7fdcbfff,0x805ffb03,0x7440effb,0x3fea02ff,0x37fc0003,
    0xf93ff900,0xff3009ff,0x40bfea09,0xff503ff9,0x221ffa05,0xff03fffa,
    0x3fe6000d,0xf30ffea0,0x04ff987f,0xff013fe6,0xfea8000d,0x3f20cfff,
    0xfffdbcef,0x4ff9804e,0x5effffdc,0x800efffc,0xfdbdfffe,0x7fd405ff,
    0x37fc0003,0x2e1ff900,0x7cc05fff,0x05ff504f,0x23bdffd9,0x24effec8,
    0xeeefffc8,0xb85fffff,0xceeefffd,0x6fff6c00,0xeeeffeda,0xd914ffee,
    0xdddddfff,0xc889ffdd,0xceefffee,0xfff50000,0x3ffa25ff,0xffffffff,
    0xfffdb702,0x7ffffcc7,0x000effff,0xffffffd1,0xddb301df,0x7bddddff,
    0x3fbbb6e0,0x42deeeff,0x2e0fffda,0x5c3defff,0x320deffe,0x3e64effe,
    0xf95fffff,0x2e5fffff,0xffffffff,0x7cc0dfff,0xffffffff,0x3fffee03,
    0xffffffff,0xf74fffff,0xffffffff,0xc89fffff,0xffffffff,0x7dc0003f,
    0x3ff625ff,0x0dffdfff,0xffffff88,0x7ffed41f,0xc8000cef,0x204fffff,
    0xfffffffe,0x7c41ffff,0xffffffff,0x3fe0ffff,0x3ff60fff,0xff30ffff,
    0x3ea7ffff,0x362fffff,0xd32effff,0x221bffff,0xeffffffd,0x3ff601bd,
    0x00dfffff,0x2bbfffa2,0xfffffffe,0xffb14fff,0xffffffff,0xfe989fff,
    0x1effffff,0x1ec88000,0x0009a988,0x17fffff2,0x00001530,0x3aa006a6,
    0xffffffff,0xffff905f,0x9fffffff,0x20fffeb8,0x44ffffe9,0x11effffd,
    0x01bffffb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xeeeedb88,0xeeeeeeee,0x13a60003,0x85bdddb5,0x22deeeda,
    0xeeeeedb8,0x00002cde,0xddddb700,0x74c017bd,0xeeeeeeee,0x3bb6e1ee,
    0x6f764c1c,0x0e776dc3,0x30f7bb26,0x9dddddd9,0xeedb8801,0x7764c1ce,
    0xec980bde,0x800eeeee,0xeeeeedb8,0xb710bdee,0x6d47bddd,0x0a883dee,
    0xfffffff7,0x9fffffff,0x5676dc40,0xf10fff98,0x21ffffff,0xfffffff8,
    0xffffff70,0x03dfffff,0x40003bf5,0xfffffff9,0x3fea03ff,0xffffffff,
    0xfffff32f,0xfffffe8d,0xdfffff31,0x1fffffe8,0x3ffffffe,0x7fdc05ff,
    0x7f46ffff,0xe83fffff,0x3fffffff,0xfffffc80,0x73ffffff,0x5fffffff,
    0x5ffffff1,0x74cfffcc,0xffffffff,0x884fffff,0xfffffffd,0x7ff45fff,
    0x7fec5fff,0x3fa66fff,0xffffffff,0x7fec0fff,0xfd0000cf,0x3dffffff,
    0x7ffffd40,0x12ffffff,0xc83ffffd,0xd10effff,0xfc89ffff,0x3f20efff,
    0x3fffffff,0x7ffffcc0,0x7fffdc3f,0xfffb80ff,0xa806ffff,0xffffffff,
    0xffd31eff,0x3fa1dfff,0x3ee0efff,0x33fea3ff,0xfa999999,0x7fff444f,
    0x5fffffff,0x2013fff0,0xf506ff98,0xb733339f,0xffe989ff,0xf10003ff,
    0x500555df,0xb33339ff,0xffa81dff,0x0fffc40f,0x4c1fffb8,0x32602fff,
    0x5c001bff,0x7fec05ff,0xfffb9803,0x331002ff,0x20133dff,0x3a20cffa,
    0xfe881fff,0x80ffe60e,0x3fa24ff9,0x3ffe62ef,0xc8ffd06f,0x982ffc4c,
    0xdff103ff,0x3ffffee0,0xffff8002,0x40deffff,0x7fd43ffa,0x8bff901f,
    0x7e404ffd,0x9fff10ef,0x003ff700,0xf80fff10,0xffb000ff,0xf000bff9,
    0x7ff300df,0x0077ffcc,0xa8ffe602,0xfa8bfe1d,0x7fffc46f,0x0ffd82ff,
    0x3e25fff5,0x07ff304f,0xc881bfe2,0x001effff,0x3ffffffe,0x3e61ffff,
    0x0fffe22f,0xf72ffe88,0x3ff600df,0x005ffe8e,0x20003ff7,0xff502ffd,
    0x5bfe2009,0x7c000ffe,0x3ff9806f,0x001dfff5,0xfe8ffe60,0x7ff90a65,
    0x7d77ffc4,0x91ffc85f,0x3fe69fff,0x507ff304,0xb3009ffb,0x003bffff,
    0x95333dff,0x0ed8bffd,0x3009ffd1,0x3fff3fff,0x3fffa200,0xf7000eff,
    0x3e60003f,0x03ffd06f,0x7dcfff20,0x37fc003f,0x7ddffcc0,0x4c0005ff,
    0x6ffeeeff,0xfd13ffc0,0x21bfe1df,0xffff2ffb,0x4c0ffeaf,0xffeeeeff,
    0x26000fff,0x00cffffe,0x7ff81bfe,0x0037fec0,0x09fffff9,0xfffff880,
    0x07fee000,0x41ffe800,0x3e006ff9,0x0dff10ff,0x9806ff80,0x06ffffff,
    0xffff9800,0x7fc06fff,0x21dffd17,0xffa85ff8,0xafffffab,0xff302ffb,
    0xffffffff,0x3fea000b,0xdff03fff,0xb80ffe40,0x74000fff,0x70006fff,
    0xb8007fff,0x2e0001ff,0x17fe44ff,0x6c4ffa80,0x3fe002ff,0xffff9806,
    0x40004fff,0xfffffff9,0x75ffec06,0x3ff60eff,0xfccff983,0xffccffcf,
    0xfffff301,0x0bffffff,0xfffff700,0xe81bfe05,0x5fff307f,0x3fff3000,
    0xffff3000,0x7fdc003f,0xff002601,0x01ffe21f,0xaaacffd8,0x3e005ffc,
    0xfff9806f,0x004fffdf,0x747ff301,0x7ffd405f,0xff710eff,0xfbff103f,
    0xfbfff1ff,0x0ffe601f,0x09fff951,0x3ffffea0,0x4437fc03,0xff885ffc,
    0x400ecc4f,0xe88006ff,0x00effeff,0x2a03ff70,0x9ffe407f,0xf1004ffb,
    0xffffffff,0x3fe001ff,0x1fff9806,0x4407fff5,0x3fe60efe,0x3600bee3,
    0xfdbcffff,0x3fe04fff,0xfff94fff,0x1ffcc0ff,0x980dff30,0x00cffffe,
    0xfffffff8,0xfd81ffff,0x805fd85f,0xfd8006ff,0x00bffb6f,0x7e407fee,
    0x5bfe600f,0xf9000ffe,0xffffffff,0x3fe007ff,0x43ff9806,0xf700fffa,
    0x1ffcc7ff,0x7fff4400,0x3fffffff,0x97ffff40,0x206ffffa,0x7ec03ff9,
    0xfffd980f,0x3fe001df,0xdfffffff,0x80effc80,0x6ff807fe,0x87ffe400,
    0xb804ffe8,0x3ff901ff,0xffcffd80,0x2bffe005,0xffaaaaaa,0x00dff006,
    0xff907ff3,0x87ffe607,0xd8003ff9,0xffffdfff,0xffd802df,0x2ffffc7f,
    0x4c07ff30,0x7fe447ff,0xf8001eff,0x009aaaef,0x7407ffea,0x06ff807f,
    0x307ffee0,0xfb807fff,0x03ff901f,0x2fffffa8,0x809ff500,0xff802ffc,
    0x83ff9806,0x5100fff8,0x3bffb221,0x7cc03dee,0x002a61ff,0xc8bfff90,
    0xec884fff,0xeeeeeeff,0x3ea5ffff,0x8002ffff,0xeeefffdb,0x3fffa00c,
    0xffeeeeee,0xffeec887,0xd880ceef,0x7dc3ffff,0x36a0dfff,0xeeeeffee,
    0x801fffee,0x8806ffff,0x41defffc,0x0deffeda,0xfffddd91,0x32219ddd,
    0x5c3eeffe,0x5c02deff,0xffffffff,0x00f7401f,0x2fffb800,0x5c1fffd4,
    0xffffffff,0x20efffff,0x0003fffd,0xfffffff3,0x7ff407ff,0xffffffff,
    0xffffc87f,0xc84fffff,0x10ffffff,0x49ffffff,0xffffffff,0x1fffffff,
    0x03fffb80,0xffffffb8,0x7fffff46,0xfffff93f,0x27ffffff,0xfffffffb,
    0x1ffffe22,0xfffffd30,0x00000bff,0x01fff500,0xfd307fff,0xffffffff,
    0x19d305bd,0xfffd8000,0x200dffff,0xfffffffe,0xe987ffff,0xefffffff,
    0xffffe981,0x77fffe44,0x3ffffae1,0xffffffff,0xfff8801f,0xfffe9800,
    0x7ff5c2ef,0xffd30dff,0xdfffffff,0x3ffffa63,0x7ffe40df,0x00000003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xdddb7100,0x00379bdd,0x9839ddb5,0x0002deec,0x02f76d40,
    0x710f7bb2,0x79dddddb,0xdeeda803,0x6f775c40,0x0175400b,0x36a016d4,
    0x59d95101,0x3b2e2001,0x80198bde,0x01bcedca,0x22dedb88,0x5400cdda,
    0x01cdeedb,0x2616664c,0x4c41cccb,0xffffb819,0xdfffffff,0xfffff300,
    0xfffffe8d,0x2017dc01,0x01fffff8,0x43fffff3,0xfffffffb,0xf881efff,
    0x7e45ffff,0x404fffff,0xffe806fd,0xfbcefecb,0xffffc86f,0x7dc04fff,
    0xffffffff,0xfffd300f,0x6409ffff,0xccffffff,0x880effff,0xffffffff,
    0xffff503f,0x7ffffc49,0x207ffcc3,0xffffffe9,0x106fffff,0xc8bfffff,
    0x400fffff,0xffe806fe,0xfff905ff,0x7ff4c1df,0xffffffff,0xffffd82f,
    0x3fffea2f,0x16cc02ff,0x7ffffe40,0x43ffffff,0xfffffffd,0xfffb05ff,
    0xffffffff,0xfffff303,0x20bfffff,0xfffffffd,0x86ffffff,0xfffffff9,
    0xffa82fff,0x7fffc4ff,0x03ffc43f,0x33339ff5,0x5407fff9,0x7fc40fff,
    0x0dff002f,0x03ffff60,0x40dffff1,0xb9999ffe,0xe880fffd,0x7440efff,
    0xb000007f,0xffffffff,0xdfffd89f,0x8bfff512,0x510bfffa,0xf885fff9,
    0xf730adff,0x359307ff,0x227fffea,0xaba82ffe,0x413fee21,0xc984ffb8,
    0x07ff83ff,0x7cc13fe6,0x2ffe405f,0xf8013ff6,0xfffb006f,0xffffb89f,
    0xe81ffa06,0xfffd04ff,0x00ffd09f,0x37fee000,0x447ffd31,0xff100fff,
    0x01fffc1f,0xffc83ffb,0x03ffea06,0x49fff130,0x99806ff9,0x7cc0dff0,
    0x07ff504f,0x7fcc0dfd,0x201bfe04,0xdff53ffe,0x037fc001,0x0fffffd8,
    0x81bffffe,0x3fa207fe,0xffffe80f,0x003ff41f,0x41ffd800,0x3fea5ff9,
    0x897fe405,0x3e200fff,0xccdffe86,0xffeccccc,0x7fff6441,0xfcccdfff,
    0xffeb80ff,0x206fffff,0xff504ff9,0x4c0bfb07,0x9ff904ff,0xf3fff300,
    0xff8003ff,0xf9ffb006,0x3f7fea7f,0x01ffa06f,0xffd05ff9,0x7fe8dff7,
    0xaaaaaaa8,0xf82aaaaa,0x64fff06f,0x7fcc01ff,0x0009ff55,0x7ffffffc,
    0x3fffffff,0x3fffffea,0xffffffff,0x3ffa21ff,0x6fffffff,0x5413fe60,
    0x04fc83ff,0x2a673fe6,0x001fffeb,0x09fffff9,0xffaaaaa8,0xd81aaaaf,
    0xfd7ff9ff,0xd90dff3f,0x89dddfff,0x7fe83ffa,0x3ff47ffd,0x3ffffff6,
    0x4fffffff,0x3e207ff4,0x007ff25f,0x3fea9ff3,0x3ffe0004,0xffffffff,
    0xfff34fff,0xffffd9df,0x23ffffff,0xcdffffe8,0x2606ffee,0x7ff504ff,
    0x7cc07f70,0xffffffff,0x7ff4002f,0x7ffe406f,0xffffffff,0xdbfec4ff,
    0xff6ffcff,0xfffffa8d,0x3e60ffff,0xf37fe84f,0x91ffa1ff,0xffffffff,
    0xc89fffff,0xffb10cff,0x202ffd47,0xfff12ffd,0x3ff60001,0x9999999b,
    0xbff70999,0x3335fff0,0x77fdc333,0x4c0dff01,0x7ff504ff,0x7cc01f30,
    0xffffffff,0xffff5001,0x905fffff,0xffffffff,0xd89fffff,0xfffff37f,
    0x3f61bfe5,0x44ffffff,0x7fe84ff9,0x3ff57ff2,0x55555554,0xb82aaaaa,
    0xfffdffff,0x2fffe23f,0x07ffdc40,0xea807ffd,0x007ffdc3,0x44ffa866,
    0x0985fff9,0x3220bff6,0x3fe206ff,0x03ffea86,0x99dff300,0x4009fffb,
    0x99fff998,0x2aaaa600,0x1aaaafff,0x3ffa7fd8,0xe81bfe6f,0x1ffd407f,
    0x3ffa3ff4,0x00007fea,0xffffffa8,0x2e2fffff,0xfdbdffff,0x7fd43fff,
    0xecbaacef,0xfffd86ff,0xffedbace,0x2f7ffe2f,0xbdfffffd,0xff70fffd,
    0xfffb959d,0x3fe07bff,0xfffecacf,0xf98003ef,0x27ffe44f,0x0037f400,
    0x3600dff0,0x8fffea7f,0x1ffa06ff,0xfd03ff90,0xfefffa8f,0xff800007,
    0xddfffddf,0x7ffd46ff,0x02ffffff,0xfffffff7,0xd103ffff,0xffffffff,
    0x7fd45fff,0xffffffff,0x10ffffff,0xfffffffd,0x01ffffff,0xfffffff7,
    0x001fffff,0xfa84ff98,0x7fd402ff,0x2fffffff,0x401bfe00,0x07ff47fd,
    0x3ff40dff,0xd01fff30,0xffffb0ff,0xf900000f,0x41fe4189,0xdfffffd9,
    0x7ffed402,0x401dffff,0xfffffffb,0xfffa82df,0xffececff,0x7ec41dff,
    0xffbeffff,0x3fee04ff,0xfffcdfff,0x4ff98004,0x801fff70,0x99fff998,
    0x037fc000,0xff007fd8,0x443ff40d,0xfd03fffa,0xfffff10f,0x000baa00,
    0x06a60000,0x2aaa6200,0x55440009,0x3530009a,0x22006a60,0x40001aaa,
    0x800009a9,0x4eeffec8,0x204effd8,0xdefffeda,0x037fc002,0x37bfff22,
    0x7fff6cc1,0x3fff220c,0xfffffeee,0xefffc886,0x1fffea1d,0x00037ec0,
    0x00000000,0x00000000,0x00000000,0x2e000000,0x2fffffff,0x817fffc4,
    0xffffffff,0x17fa000f,0xffffff50,0xfffffd8d,0x3fffee3f,0xdfffffff,
    0xfffffb80,0x03ffec5f,0x00002d98,0x00000000,0x00000000,0x00000000,
    0x6c400000,0x80dfffff,0xf900dffa,0x09ffffff,0x4402ea80,0x43effffd,
    0x0dffffea,0x3fffff62,0x2602cdef,0x42effffe,0x00007ff8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xaceeeca8,
    0x00ed401a,0xa8f332a2,0xcb980cec,0xb70dec8c,0x32a2017b,0x3dedc8ac,
    0x33332a20,0x5e6664c1,0x0e665440,0x102b3326,0x26037997,0x3220accb,
    0xcccccccc,0x85a801cc,0x403262c8,0x207aa2c8,0x0018004e,0x00188011,
    0xeee98014,0x3ffffa21,0x200fffff,0x7fec05fe,0xfffd8eff,0x3ffe63ff,
    0xfeffffff,0xfd80ffff,0xfffffeff,0xfffe80ef,0xfff52fff,0xffd8dfff,
    0xfff52fff,0xfffe89ff,0x7ffcc0ff,0x3ffe66ff,0xffffffff,0x2237dc02,
    0x03bfe2fe,0x7fccffd1,0x2006fe42,0x40dfffda,0xd303feda,0xb8019fff,
    0x6ffc802f,0x7fffffe4,0x3e02ffff,0x7ffe406f,0xffffffff,0x3fffe67f,
    0xffffffff,0xffd84fff,0xffffffff,0xffffd84f,0xffff31ff,0xfffc8dff,
    0xffff31ff,0xffffe89f,0x7fffc40f,0x3fffe65f,0x2fffffff,0xf983bf60,
    0x877ff44f,0x7d46ffe8,0x0077ec3f,0x4bf959ff,0x883feff9,0x04fdabff,
    0xd007ffea,0x77fc45ff,0x87ffaa0a,0x199bfe0a,0xfffffa88,0xd889d52e,
    0xdfff1eff,0x2a0dff11,0xd30affff,0x3ff660ff,0x6ffec40c,0x3ffff301,
    0x407bffe6,0x57b64ffb,0x7cc3ffc8,0xffdaaadf,0x1ffd105f,0x74427fd4,
    0xeffe9eff,0x6c4ffa80,0xff0101ff,0xf307f708,0xff307f85,0x3e201fff,
    0x4f7fc46f,0xff727440,0xfd9dff9d,0x3fffe05f,0x87ff6005,0x1ffa0ffd,
    0x5c0f7fcc,0xfff101ff,0x801fff10,0xffcfffe8,0x3fe600ef,0x363fff35,
    0x21ff81ff,0xd305fffa,0x27fdc3ff,0xfffffd10,0x6ffd401d,0xa80bffa0,
    0x7f705fec,0x221bee00,0x0efffffe,0xfd82ffa8,0x82bdefff,0xfffffffb,
    0xff02ffff,0xffd8007f,0xffd1ff60,0x5413fe60,0x3ff203ff,0x8027fdc3,
    0x5fffffd8,0x3f2fff00,0x20fff4ff,0x13ffea19,0xfb0fffd4,0xffd100bf,
    0xff7001df,0x13ffa21d,0xb817ffec,0x1ffc803f,0xfe8effe8,0x105fc85f,
    0xfffffffd,0xfffda81b,0x202dffff,0xfd8006ff,0xfd1ff60f,0x413fe60f,
    0x3e203ffa,0x007ffc7f,0x01bfffa0,0xfff9ffd8,0x805ff9ff,0x2e04fffa,
    0xffd11fff,0xfffd100b,0xbffb001d,0x80bffe61,0xfb80ffb8,0x03bf6203,
    0x7c43bff2,0x00ffc4ff,0x3fffb6ea,0xfff881ff,0x6ff800ff,0x20ffd800,
    0x83ff47fd,0xff504ff9,0x73ffc807,0x6c4009ff,0x005fffff,0xffffdff7,
    0xa807ffbf,0xf9804fff,0x17ff21ff,0xfffffe88,0x93ff600e,0xb001eff9,
    0x207f705f,0xff504ffa,0x2fff983f,0x07260bf1,0x6c27fecc,0x804fffff,
    0xfd8006ff,0xfd1ff60f,0x413fe60f,0x7cc03ffa,0x00fff8ef,0xf9fffd10,
    0xf9801dff,0xfffbffff,0x3fea01ff,0xd880c44f,0x17fea1ff,0x3a7bffa2,
    0xffd80eff,0x2037fea2,0xffba9bc9,0x2b7f6a60,0x2ab7ff21,0x40bff23b,
    0xd80a3ffa,0xdff100ef,0xff9fffa8,0x037fc01f,0xfb07fec0,0xf307fe8f,
    0x0ffea09f,0x3ffbff60,0xdffd3005,0x07bffe63,0x3adffff0,0x3ea07fff,
    0x03fe84ff,0xfe987ff2,0x8877ff45,0x77ec6ffe,0x980ffea0,0x22ffffff,
    0xfffffff8,0xffffffb0,0x500ae21f,0x3ffa0017,0xffdcabdf,0xa97fec5f,
    0x776445ff,0xdeeeefff,0x3bfff901,0x7f477ff6,0x3ffae0cf,0x3ffaa0df,
    0x7ffcc03e,0xffc801ff,0xffd10dff,0x7fec09ff,0x0dfff53f,0x3bbfffea,
    0x405ffeee,0x9fec46fa,0x7440eff8,0x3a13ea7f,0x3551001f,0x33333101,
    0x4ccccc41,0x80000019,0xfffffffe,0x7d40efff,0x3ea17e43,0xffffffff,
    0xfffa85ff,0x9fffb5ff,0x7c4ffffa,0x3e4fffff,0x400fffff,0x9805fffd,
    0x73ffffff,0x05ffffff,0xff83ffee,0xffff904f,0xbfffffff,0x82a03100,
    0x837100ca,0x00001101,0x00000000,0xffbf5000,0x017fffff,0xfffb1000,
    0x3dffffff,0x5dfffb10,0x7f47bff6,0x3fff61ef,0x3fff21ef,0xfff9804f,
    0xffffb001,0x3fff621b,0xbff300df,0xf902ffc8,0xffffffff,0x00000bff,
    0x00000000,0x00000000,0x2a600000,0x000001aa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x33333331,0x44013333,0xaaa980ab,0xaaaaaaaa,0x13102aaa,
    0x00006600,0x1f6cc000,0x80b60600,0x896a02ca,0xaaaaaaaa,0x83930aaa,
    0x5554c1c9,0xaaaaaaaa,0xb881aaaa,0xcccccccc,0xbccccccc,0x00000001,
    0x22000000,0xfffffffe,0x0effffff,0x87ffff66,0xfffffffa,0xffffffff,
    0x77fff4c6,0xffffd881,0x8fffcc0d,0x7440fffa,0xbffffb01,0xff12fcc1,
    0x5427f41f,0x6fc81fff,0x3fffffea,0xfd2fffff,0x3fa5fe8d,0xffffffff,
    0xffffffff,0x7fffffc6,0xffffffff,0x0007ffff,0x00000000,0x3fffea00,
    0xffffffff,0x3ffe1fff,0xff50fffe,0xffffffff,0x54dfffff,0x2ffdbdff,
    0x7e55e6c4,0x987ffc44,0x83fa87ff,0xeffffffd,0xf70fff98,0x6ff447ff,
    0x88fffee0,0x3fea0efe,0xffffffff,0xfd89f92f,0x3fffffa4,0xffffffff,
    0x7ec7ffff,0xffffffff,0xffffffff,0x00000006,0x5c000000,0xeeeeeeed,
    0x2a3deeee,0x49ff10ef,0xaaaaaaa8,0x6ffaaaaa,0x0ff307fa,0x7c3fd54c,
    0x21bfe27f,0x3fe22ffa,0xffffe88e,0x3ffe64ff,0x3626fc81,0x213fa0df,
    0x99999998,0x40209999,0x5dddd440,0xbbbbbbbb,0x9880abbb,0x99999999,
    0x01999999,0x00000000,0x00000000,0x5fc87fb0,0x8b7fc000,0x441fb05f,
    0x87fffffd,0x22ffc6fe,0x76c6fdaa,0x3ffff620,0x2e00a885,0x0007b005,
    0x00000000,0x00000000,0x00000000,0x00000000,0x27ec4fc8,0xe9bfe000,
    0xcfd8dd06,0xfd87fa9a,0xff327f45,0x6dc00dfd,0x0000002d,0x00000000,
    0x00000000,0x00000000,0x00000000,0xddddddb7,0x47bddddd,0xffb8bff9,
    0x37fc0000,0x3f6a5bf7,0x64c3be22,0x21fe40ff,0x6fedc3fd,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3fffea00,0xffffffff,
    0x3ffa2fff,0x80005fff,0x7ffec6ff,0xfffc85ff,0x2a2fffff,0x000fdc2f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffffb10,
    0xffffffff,0x2efea81b,0x0bff0000,0x4c059995,0x42aa9ccb,0x002440c8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x08000000,
    0x0f5c0000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_32_latin1_x[224]={ 0,6,3,1,2,2,3,6,7,3,2,1,5,2,
6,2,2,2,1,1,2,1,2,2,2,2,6,5,-1,0,1,2,2,-1,0,0,0,0,1,0,0,2,1,0,
0,-1,-1,0,1,0,0,1,1,0,-1,-1,0,0,2,7,2,3,2,-2,5,1,-1,1,0,0,2,0,0,1,
2,0,1,-1,0,1,-1,0,1,2,2,0,0,-1,0,0,2,4,7,4,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,6,2,0,1,0,
7,1,4,-1,3,0,-1,2,-1,-2,4,1,4,4,5,0,1,6,5,4,3,1,0,-2,0,2,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,2,2,2,2,-1,-1,0,0,0,0,0,2,0,0,0,0,0,0,1,0,1,1,
1,1,1,1,-1,1,0,0,0,0,1,1,1,1,1,0,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
 };
static signed short stb__courier_bold_32_latin1_y[224]={ 23,4,5,3,3,5,7,5,4,4,5,6,19,13,
19,3,4,4,4,4,5,5,4,5,4,4,10,10,6,10,6,5,4,6,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,5,3,5,4,28,4,10,5,10,5,10,5,10,5,5,
5,5,5,10,10,10,10,10,10,10,6,10,10,10,10,10,10,5,5,5,12,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,23,10,3,5,8,6,
5,5,5,6,4,11,13,13,6,1,2,3,4,4,4,10,5,12,21,4,4,11,4,4,4,10,-1,-1,0,1,
0,-1,6,5,-1,-1,0,0,-1,-1,0,0,6,1,-1,-1,0,1,0,9,4,-1,-1,0,0,-1,6,5,4,4,
4,5,5,3,10,10,4,4,4,5,4,4,4,5,5,5,4,4,4,5,5,7,9,4,4,4,5,4,5,5,
 };
static unsigned short stb__courier_bold_32_latin1_w[224]={ 0,5,11,15,13,13,13,5,7,7,13,15,7,13,
5,13,13,13,14,15,13,15,14,13,13,14,5,7,17,17,17,13,13,19,17,16,16,16,16,17,17,13,17,18,
17,19,18,17,16,17,18,15,15,17,19,19,17,17,13,7,13,7,13,21,7,16,18,16,18,16,15,17,17,15,
11,17,15,19,17,15,18,18,16,13,15,17,18,19,17,17,13,9,3,9,15,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,5,13,16,14,17,
3,15,9,19,11,16,17,13,19,21,9,15,9,9,7,17,15,5,7,9,11,16,17,20,17,13,19,19,19,19,
19,19,19,16,16,16,16,16,13,13,13,13,17,18,17,17,17,17,17,13,17,17,17,17,17,17,16,16,16,16,
16,16,16,16,19,16,16,16,16,16,15,15,15,15,15,17,15,15,15,15,15,15,17,17,17,17,17,17,18,17,
 };
static unsigned short stb__courier_bold_32_latin1_h[224]={ 0,20,9,23,24,19,17,10,24,24,13,17,9,4,
5,24,20,19,19,20,18,19,20,19,20,20,14,16,17,10,17,19,22,17,17,19,17,17,17,19,17,17,18,17,
17,17,17,19,17,23,17,19,17,18,17,17,17,17,17,23,24,23,10,4,5,14,19,14,19,14,18,19,18,18,
24,18,18,13,13,14,19,19,13,14,18,14,13,13,13,19,13,23,23,23,6,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,19,21,18,14,17,
23,21,4,18,9,12,10,4,18,4,10,20,11,11,5,19,21,5,8,11,9,12,19,19,19,19,24,24,23,22,
23,24,17,24,24,24,23,23,24,24,23,23,17,22,25,25,24,23,24,12,22,25,25,24,24,24,17,19,20,20,
20,19,19,21,14,19,20,20,20,19,19,19,19,18,19,18,20,20,20,19,19,16,17,20,20,20,19,25,24,24,
 };
static unsigned short stb__courier_bold_32_latin1_s[224]={ 254,152,71,172,122,150,242,247,83,248,15,
38,247,135,107,33,158,235,169,1,1,120,35,215,238,172,250,247,224,1,74,
1,135,197,56,47,137,191,1,64,119,217,15,231,159,54,92,98,154,25,1,
164,208,33,177,36,141,123,109,225,123,67,233,159,113,212,1,158,20,175,51,
57,101,235,91,83,67,46,66,142,75,200,29,1,163,229,84,121,103,94,141,
1,250,57,91,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,
219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,219,254,249,188,
130,127,20,95,202,149,199,59,155,29,135,179,181,19,187,223,203,127,180,235,
121,83,213,47,186,229,85,50,106,103,176,205,168,75,137,171,91,196,213,188,
233,108,1,11,43,74,149,37,19,47,99,65,172,117,73,1,136,154,230,92,
198,18,52,203,152,68,218,192,133,35,1,69,116,82,31,15,147,136,112,118,
86,102,219,184,111,18,134,220,17,39,55,157,15, };
static unsigned short stb__courier_bold_32_latin1_t[224]={ 26,76,228,26,26,118,158,195,27,1,213,
195,213,228,228,27,76,97,97,97,158,97,97,118,76,76,177,118,158,228,177,
118,52,177,177,118,158,158,177,118,158,177,158,177,177,195,195,118,158,52,195,
118,158,158,177,177,177,177,177,26,1,52,213,228,228,195,138,195,138,195,158,
138,158,138,1,158,158,213,213,195,138,97,213,213,138,195,213,213,213,138,213,
52,26,52,228,138,138,138,138,138,138,138,138,138,138,138,138,138,138,138,138,
138,138,138,138,138,138,138,138,138,138,138,138,138,138,138,138,138,26,97,52,
138,195,195,52,52,228,138,228,213,228,228,138,228,228,76,213,213,228,118,52,
228,228,213,228,213,118,97,97,97,1,1,26,52,52,1,158,26,1,1,26,
26,26,27,52,52,195,52,1,1,27,52,27,213,52,1,1,26,26,1,177,
118,76,76,76,97,97,52,195,118,76,76,76,118,118,118,118,138,97,138,76,
76,76,97,97,195,177,76,76,97,138,1,1,27, };
static unsigned short stb__courier_bold_32_latin1_a[224]={ 271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,271,
271,271,271,271,271,271,271,271, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_32_latin1_BITMAP_HEIGHT or STB_FONT_courier_bold_32_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_32_latin1(stb_fontchar font[STB_FONT_courier_bold_32_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_32_latin1_BITMAP_HEIGHT][STB_FONT_courier_bold_32_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_32_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_32_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_32_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_32_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_32_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_32_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_32_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_32_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_32_latin1_s[i] + stb__courier_bold_32_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_32_latin1_t[i] + stb__courier_bold_32_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_32_latin1_x[i];
            font[i].y0 = stb__courier_bold_32_latin1_y[i];
            font[i].x1 = stb__courier_bold_32_latin1_x[i] + stb__courier_bold_32_latin1_w[i];
            font[i].y1 = stb__courier_bold_32_latin1_y[i] + stb__courier_bold_32_latin1_h[i];
            font[i].advance_int = (stb__courier_bold_32_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_32_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_32_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_32_latin1_s[i] + stb__courier_bold_32_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_32_latin1_t[i] + stb__courier_bold_32_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_32_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_32_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_32_latin1_x[i] + stb__courier_bold_32_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_32_latin1_y[i] + stb__courier_bold_32_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_32_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_32_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_32_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_32_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_32_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_32_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_32_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_32_latin1_LINE_SPACING
#endif

