// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_33_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_33_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_33_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_33_latin1_BITMAP_HEIGHT        254
#define STB_FONT_courier_bold_33_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_courier_bold_33_latin1_FIRST_CHAR            32
#define STB_FONT_courier_bold_33_latin1_NUM_CHARS            224

#define STB_FONT_courier_bold_33_latin1_LINE_SPACING          16

static unsigned int stb__courier_bold_33_latin1_pixels[]={
    0x40004c00,0xaa881aaa,0x0200002a,0x01100004,0x000b8000,0x00001700,
    0x10000f66,0x0055007b,0x00026c00,0x2600dc40,0x0100002e,0x03555530,
    0x0009f900,0xfff09ffd,0x880001ff,0x01ff42ff,0x0027fe40,0x01fff440,
    0x07ffd100,0x02ffa800,0x00ffe600,0x00003ff5,0x00003bf6,0x7c406fd8,
    0x7d40004f,0x7fffec06,0xdfb1004f,0x9ffd0001,0x0fffff88,0x27fcc000,
    0xa800bff1,0x0002f99e,0x37ffbfee,0x77fdc000,0xb8000dff,0x2e0003ff,
    0xffa803ff,0x3f600005,0xf980001f,0xdfe9806f,0x1ff90000,0x7ffffec0,
    0x0dfe8804,0x05997000,0x001ffd51,0xdb81b700,0x9926c000,0x4fff2000,
    0x9000ffe9,0x3ffa67ff,0x07fee000,0x02ffa800,0x0007ffe0,0x000ffb80,
    0x801ffec0,0x88006fd8,0xd808bffe,0x800accff,0x000004fc,0x0001ffb0,
    0xd5000000,0x20003f53,0x00eb80dc,0x1d703b90,0x0006dc00,0x700076a0,
    0x80000bff,0x220000da,0x64000fff,0x3ff22005,0x20ffffff,0x44000ffd,
    0x20000001,0x00620ffd,0x64000000,0x000004ff,0x00000000,0x00000000,
    0x0001fff1,0xfc800000,0x8000004f,0xffffffff,0x03ff62ff,0x3b200000,
    0xffffffff,0xfc9ffd82,0x900cefff,0xd987dffd,0x1002dfff,0x4cccc000,
    0x00999980,0x01579730,0x15797300,0x01333300,0x32013333,0x4c0004ff,
    0x0000abcb,0x2601fff1,0x99980999,0xdfffa809,0x23fffdbb,0x3b200ffd,
    0x7ecc3eff,0xfff32dff,0x5fffffff,0xffffffb0,0x983dffff,0x647fffff,
    0x106fffff,0x01333333,0x3ffffea0,0xfffff35f,0x7ff4c0df,0x3003ffff,
    0x7ffffffd,0x3ffffea0,0xfffff35f,0x1fff10df,0xfffd3000,0x90007fff,
    0xfff509ff,0x3fe6bfff,0x7ec6ffff,0x21ff981f,0xff300ffd,0xffc8ffff,
    0x3ff66fff,0x2fffffff,0xffffffd8,0x41fffffd,0x4c4ffffd,0xc83ffffe,
    0x4fffffff,0xfffff700,0x3fffeadf,0xffb80fff,0xdfffffff,0x3fffee00,
    0x40dfffff,0x6ffffffb,0xfffffff5,0x007ff901,0xffffffb8,0x1000dfff,
    0xff701fff,0x3eadffff,0x20ffffff,0x87700ffe,0x3f600ffd,0x7f4c4fff,
    0xf7003fff,0xbfffb05f,0x86ffda83,0xff104ffd,0x3fff601f,0x800fffff,
    0x1ccfffb8,0x077ffb2e,0x26fbffe6,0x306fffca,0x9537dfff,0xfb88dfff,
    0x32e1ccff,0xf101dffe,0x7fcc00ff,0xffca9bef,0xbff7006f,0x33ffee20,
    0x3ffb2e1c,0x577fdc1d,0x00ffd800,0xf8827fec,0x3ee000ff,0x06ffd82f,
    0xf103ffe2,0x9ff901ff,0x7fe65c40,0x3a003fff,0x17fdc07f,0x982fff44,
    0x7f443fff,0x7fff305f,0xfb80ffd0,0x1ffec02f,0x82fff440,0xf803fff9,
    0x3ff401ff,0x220bfee0,0x2cefffff,0x8801ffb0,0xffc80fff,0x17fdc004,
    0x3201ffec,0x4ffc83ff,0x8007ffc4,0x06fffffa,0xf701ffa0,0x0bff905f,
    0x320fff98,0x7fcc05ff,0x203ff40f,0x7cc02ffb,0x5ffc806f,0x007ffcc0,
    0xfd00bff5,0x02ffb80f,0xfffffff5,0x00ffd85f,0x7c44ffc8,0x7dc000ff,
    0x01ffd82f,0x7c427fd4,0x13ff20ff,0xfeaffd80,0x0ffd001f,0xfe82ffb8,
    0x2ffc801f,0x32007ffa,0x03ff42ff,0x3600bfee,0x7ff402ff,0x02ffc801,
    0x3a007ffa,0x17fdc07f,0xfffdb510,0x07fec3ff,0x907ffc40,0xf70009ff,
    0x0bffb05f,0xf903ffc8,0x03ffe29f,0xfbbffc40,0x0ffd004f,0xff82ffb8,
    0x49ff3006,0xff3006ff,0x5c07fe89,0xffa802ff,0x8037fc06,0xff504ff9,
    0x01ffa00d,0x44005ff7,0x3f65ffeb,0x9ff9000f,0x0003ffe2,0x3f60bfee,
    0xfff502ff,0x23ffe203,0x32004ffc,0x1fff14ff,0xb80ffd00,0x27fcc2ff,
    0xf35ff880,0x3fe2009f,0x2e03ff45,0xffd002ff,0x013fe605,0xfe82ffc4,
    0x0ffd002f,0x6442ffb8,0xd9ffe203,0xff1000ff,0x009ff91f,0x360bfee0,
    0xb9beffff,0x6404fffd,0x00fffdff,0xfc83ffe0,0x07fe803f,0x3ea17fdc,
    0x5bfe003f,0x3e003ffa,0x203ff46f,0xf5002ffb,0x0ffea0df,0xf986ff80,
    0x1ffa006f,0xfb85ff70,0xd9ffe01f,0x3f2000ff,0x000fffdf,0xfb05ff70,
    0xffffffff,0xff100dff,0x54009fff,0x37fcc5ff,0x2e03ff40,0x2ffcc2ff,
    0xf35ff880,0x3fe200bf,0x2e03ff45,0x3fa002ff,0x05ff981f,0xfb0bff10,
    0x3ff4007f,0xf90bfee0,0xffc883df,0x8003ff64,0x04fffff8,0x20bfee00,
    0xffffcffd,0x32003fff,0x2000ffff,0xccccdffd,0x7f401fff,0x417fdc07,
    0xff5006ff,0xa8037fc9,0x03ff44ff,0xb800bfee,0x0dff05ff,0xf313fea0,
    0x7fe800ff,0x3217fdc0,0xfeceffff,0x3ff60fff,0x7ffe4000,0x3ee0000f,
    0x88ffd82f,0x000abcca,0x0027ffc4,0xfffffff1,0xd809ffff,0x3ff200ff,
    0x802ffe81,0x3ffa2ffe,0x42ffe802,0x3f200ffd,0x7ffc001f,0x802ffe81,
    0x7fe42ffe,0x07fec003,0xfb83ff90,0xffffffff,0x007fec4f,0x013ffe20,
    0xb05ff700,0x400001ff,0x2000fff8,0xfffffffc,0x200fffff,0x3fa04ffc,
    0x06ffb80f,0x3ee37fdc,0x37fdc06f,0xfd027fe4,0xffb8001f,0x406ffb84,
    0x7fc46ffb,0x7fe4000f,0x103ffa04,0xfffff9bd,0x01ffb05b,0x00fff880,
    0x407ff400,0x00000ffd,0xf0013ff6,0x555557ff,0x5407ffb5,0xffd82fff,
    0x07bff606,0x360bffee,0xffb81eff,0x2fffa82f,0x8006ffd8,0xfd80fff8,
    0xfffb81ef,0x0027fe42,0x6c17ffd4,0xffb006ff,0x55ffec03,0x09ffb001,
    0x3ffdc400,0x0000ffd8,0x001fff30,0x2602ffd4,0x7fec06ff,0xffffdcff,
    0x3fffe201,0x4fffeccd,0x9bffff10,0x409fffd9,0xfdcffffd,0x90001fff,
    0xfff109ff,0xfffd99bf,0x00fff889,0x9ffffb00,0x003ffffb,0xfd807ff6,
    0x4c04ffff,0xd9000fff,0x7ffffddd,0xeefffdb8,0x3b6e001c,0x01dfffee,
    0x77fffec4,0x7fffec43,0x3fff603e,0x802fffff,0xffffffe9,0x7f4c03ff,
    0x3fffffff,0xfffffd80,0x20002fff,0xfd307ff8,0x7fffffff,0x0009ff70,
    0xffffffd8,0x3f6002ff,0x3fff601f,0x776dc5ff,0x401dfffe,0xfffffffa,
    0x7fffc43f,0x3005ffff,0xffffffff,0xfffb80bf,0x7fdc7fff,0x5c07ffff,
    0x00efffff,0x7ffffe40,0x3ff2001e,0x2001efff,0x0efffffb,0x06fc8000,
    0x77ffffe4,0x001ff501,0xfffff700,0x7fb8001d,0x566665c0,0x3ffffe60,
    0x4405ffff,0x2ceffffe,0xffffffb0,0x3fa2005f,0x2fffffff,0x7fffecc0,
    0x7ffecc4f,0x353004ff,0x1a980001,0x00d4c000,0x0026a600,0x4c001000,
    0x0013001a,0x009a9800,0x00037100,0xfffffd10,0x00005fff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00003720,0x00000710,
    0x151006c8,0x0005c000,0x2000066c,0x05c001ea,0x2aa20540,0x002a0aaa,
    0x20000336,0x0021bcca,0xb3000154,0x2e03d887,0x100c4003,0x3df90059,
    0x3faa0000,0x4400001e,0xfff006fe,0xffe88007,0x077ec003,0x00ffc800,
    0x407ffd10,0xfff10ffb,0x3fee3fff,0x0077ec00,0x7fffecc0,0x204fdeff,
    0xb31effe9,0x41ffb005,0xffa81ffc,0x2ffd9802,0x9001ffb0,0xc80005ff,
    0x004ffeff,0x01bfd300,0x00ffffe0,0x6fff7fdc,0x07ff6000,0x01ffd880,
    0xbffdff70,0x261ff901,0x91ffffff,0xff9001ff,0x7ffcc005,0xffffffff,
    0xfb9ff107,0x7005ffdf,0x307fa8df,0xfe801fff,0x7ffb83ff,0x007fea00,
    0xfa97fec0,0x7c40006f,0x7e4c004f,0x3ffc806f,0x4001ffd3,0xfb001ffb,
    0x3ff2001d,0xd81ffd33,0x3b2e61ff,0x03ffb1ff,0x2007fee0,0xaacefff9,
    0x207fffeb,0x0bbfaa1b,0xe8010080,0x3fe604ff,0x07ffd02e,0x0001d980,
    0x06c8819d,0x0016c400,0xc801ffd0,0x000eb81d,0x4c800ecc,0x5c06e400,
    0x80ffec0e,0x3ffb1ffd,0x400ecc00,0xf700efff,0x001000ff,0x7fd40000,
    0x03ff900f,0x0003ffea,0x00000000,0x36000000,0x000000ff,0x00000000,
    0x07ff6000,0xffd8ffec,0xf9800001,0x07fe806f,0x00abcb98,0x0abcb980,
    0xb03ffe80,0x3ffa03ff,0x4cccc404,0x31000099,0x00133333,0x26666620,
    0xffd80009,0x33333300,0x13333333,0x33333330,0x26660133,0x00999999,
    0x33333333,0x01ffd813,0x3ff63ffb,0x4cccccc1,0x09999999,0x54017fdc,
    0x3ffa604f,0x3003ffff,0x7ffffffd,0xb07ffb80,0xfff303ff,0x7fffe401,
    0xc8004fff,0x4fffffff,0xffffc800,0xd8004fff,0x7ffcc0ff,0xffffffff,
    0x3fe63fff,0xffffffff,0x3fffe65f,0x5fffffff,0x3fffffe6,0x365fffff,
    0x3ffb01ff,0x7fcc7ff6,0xffffffff,0x7ec3ffff,0xfb80000f,0xffffffff,
    0x3ffee00d,0x0dffffff,0x3607ffe0,0x5ffc81ff,0x7ffffec0,0x6c000fff,
    0xffffffff,0x7ffec000,0x000fffff,0x3ee07fec,0xffffffff,0x2e3fffff,
    0xffffffff,0x3fee7fff,0xffffffff,0x3fffee7f,0x7fffffff,0x7ec07ff6,
    0x2e1ffb1f,0xffffffff,0x43ffffff,0x980006ff,0xca9befff,0xff306fff,
    0xff9537df,0x1fff40df,0x7ec0ffec,0x665c403f,0x003fffff,0x7ffe65c4,
    0x5c4003ff,0x3fffffcc,0x407fec00,0xccceffcb,0x23ffdccc,0xffecccb8,
    0x2e21cccd,0xcdffeccc,0x332e21cc,0xcccdffec,0x6c07ff61,0x41ff91ff,
    0xccceffcb,0x23ffdccc,0x40006ff8,0xf305ffe8,0xffe887ff,0x07fff305,
    0x3f613ff2,0x02ffe80f,0x3ffffea0,0x3fea0006,0x20006fff,0x06fffffa,
    0x4177fe40,0x3ee05ff8,0x0ffec03f,0x007ff600,0x6c03ffb0,0x3ffb01ff,
    0x3fe20b22,0xf0ffee05,0xfc8000df,0x7ffcc05f,0x3017ff20,0xff701fff,
    0x83ffe4cb,0x36000fff,0x01ffeaff,0xfd5ffb00,0x3f60003f,0x001ffeaf,
    0x10bfffe6,0x3ea08bff,0x0ffec02f,0x007ff600,0x6c03ffb0,0x3ffb01ff,
    0x08bff100,0xffd0bfea,0x1ffe8000,0x3a2ffc80,0xffc801ff,0x3e6ffa82,
    0xff984fff,0x5ffe2007,0x88004ffb,0x09ff77ff,0x2efff100,0x3e6004ff,
    0x7fc42fff,0x7745bea5,0x00ffec00,0x0007ff60,0x7ec03ffb,0x03ffb01f,
    0x7d4bff10,0xfb81dd16,0x3fe0001f,0x49ff3006,0xff3006ff,0x74dff509,
    0xff985fff,0x53ff2007,0x4000fff8,0xfff14ffc,0x4ffc8001,0x2001fff1,
    0xf881dffc,0x0ffd99ef,0x00ffec00,0x0007ff60,0x7ec03ffb,0x43ffb01f,
    0x9eff881a,0x4c00ffd9,0x477006ff,0xf1004ff9,0x013fe6bf,0x7dc2ffc4,
    0x1ffee25f,0xf8007ffc,0x0fff20ff,0x641fff00,0x7fc003ff,0x00fff20f,
    0xf8807fec,0x1fffffff,0x00ffec00,0x0007ff60,0x7ec03ffb,0x23ffb01f,
    0x7fc40ffc,0x01ffffff,0x101effe8,0x3fea5ffb,0x55bfe003,0x3fe003ff,
    0xd84ffc86,0x2ffe80ff,0x4c5ffa80,0x3ea006ff,0x037fcc5f,0xf98bff50,
    0x1ffb006f,0x3ffffe20,0x6c001fff,0x7ec001ff,0x7fec001f,0x407ff601,
    0x1ff91ffd,0xffffff88,0xfe8801ff,0xfeccceff,0xbff30fff,0x4d7fe200,
    0xff1005ff,0xb05ffd0b,0x7ffb03ff,0x99bffb00,0x003fff99,0x33337ff6,
    0xb001fffc,0xf9999bff,0xffb003ff,0x3bffe201,0x4001fffe,0x6c001ffd,
    0x7ec001ff,0x07ff601f,0xffd8ffec,0x777ffc41,0xd1001fff,0xffffffff,
    0x06ff85ff,0x7fc9ff50,0x89ff5006,0xfd81fff8,0x05ffc81f,0x7fffffc4,
    0x804fffff,0xfffffff8,0x8804ffff,0xffffffff,0xfd804fff,0x4bff100f,
    0x002a0ffc,0xd8003ffb,0x7ec001ff,0x07ff601f,0xffd8ffec,0xf92ffc41,
    0x7100541f,0x9dfffffb,0x005ffd01,0x7ff45ffd,0x42ffe802,0xffb06ffb,
    0x01fff303,0x7fffffe4,0x00ffffff,0x7fffffe4,0x00ffffff,0x7fffffe4,
    0x00ffffff,0xf8807fec,0xfb93a65f,0x00ffec06,0x0007ff60,0x7ec03ffb,
    0x23ffb01f,0x7fc41ffd,0x6fb93a65,0x0027be00,0xfb80dff7,0x037fdc6f,
    0x3fe1bfee,0x03ffb03f,0xff813ff6,0xaaaaaabf,0x7fc03ffd,0xaaaaaabf,
    0x7fc03ffd,0xaaaaaabf,0x7f403ffd,0x0bff100f,0x3600ffd8,0x7ec001ff,
    0x7fec001f,0x407ff601,0x3ffb1ffd,0x6c05ff88,0x5ff000ff,0x07bff600,
    0x360bffee,0xffb81eff,0x07ffdc2f,0xf501ffd8,0xbff501ff,0x206ff980,
    0x7cc05ffa,0x17fea06f,0x220dff30,0x3e205ffb,0x07ff405f,0x8003ffb0,
    0x6c001ffd,0x3ff601ff,0x3ffaaa21,0xf883ffb1,0x07ff405f,0x801fff80,
    0xccdffff8,0xf104fffe,0xfd99bfff,0x9ffd09ff,0x80effdc0,0x3f624ffe,
    0x6c43efff,0x223effff,0x43effffd,0x3effffd8,0x3bffff62,0x7fffec43,
    0x17fffc3e,0x7ffffec4,0xffffffff,0xffffb10f,0x47dfffff,0xffffffd8,
    0x3623efff,0xffffffff,0x43ff23ef,0x1ffffff8,0x3f621ff9,0xffffffff,
    0x400fffff,0x002fdbee,0xffffffd3,0xfe9807ff,0x3fffffff,0x200fffa8,
    0xa82ffff8,0x3ffee7ff,0x7fdc7fff,0x3ee7ffff,0x5c7fffff,0x27ffffff,
    0x7ffffffb,0x7fffffdc,0xb827ffc7,0xffffffff,0x0fffffff,0xfffffff7,
    0x7dcfffff,0xffffffff,0x3ffee7ff,0xffffffff,0x7cc3ff27,0xf91fffff,
    0x3fffee1f,0xffffffff,0x7e400fff,0xfc8006ff,0x001effff,0x3bfffff2,
    0x005ff501,0x3207fff3,0xfffb30ff,0xffd989ff,0x3f664fff,0x6cc4ffff,
    0x264fffff,0x44fffffd,0x4fffffd9,0xfb1005cc,0xffffffff,0x221fffff,
    0xfffffffd,0x3f623eff,0xffffffff,0x3fff623e,0x3effffff,0x332e60dc,
    0xd886e0cc,0xffffffff,0x00ffffff,0x98000350,0x54c0001a,0x40055001,
    0x00dc02a8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26001ea8,0x001ec43d,0x88007aa0,
    0x9817a25e,0x001ec43d,0xb50000aa,0x0002d983,0x002af2e6,0x400006a0,
    0x01ec43d9,0x99997510,0xdeca8079,0x2aa2000b,0x000aaaaa,0x00016440,
    0x6c001ff9,0x07ff20ff,0x007fe400,0x3ea3ff90,0x41ffb02f,0xe9801ffc,
    0x05b31eff,0xffd1bfe0,0xfffd3000,0x2e007fff,0x3d50dfff,0x20ffd800,
    0xf9801ffc,0x6fffffff,0x3fffff20,0x3fb2600e,0x4fffffff,0x05665cc0,
    0x88001ffd,0x5c001ffd,0x003fd46f,0x000ffec4,0x7fe47ff2,0xfa8df702,
    0xdcff8807,0x002ffeff,0x05fc89fb,0x7ffffdc0,0x200effff,0xeffecff9,
    0x7dc000ff,0x4c03fd46,0xdccccfff,0x5bff906f,0xf701dff9,0xffdfffff,
    0x3fa603bd,0xfdcfffff,0xefd8006f,0x02010000,0x0077ec00,0xfc8ffec0,
    0x0040201f,0x77f54370,0x00804002,0x5f7ffcc0,0x05fffca9,0xdffb82e2,
    0x02010001,0xf982fe40,0xf83ff986,0x67ffdc2f,0x405fb7f9,0xfffffffb,
    0x001fffff,0x000004c8,0x00264000,0x3f61ffb0,0x0000001f,0x00000010,
    0x82fff440,0x8003fff9,0x00000000,0x5f8817f4,0x9f905fd8,0xff12ffe8,
    0x7fcc0bf6,0xffdb9bef,0x000003ff,0x404cccc0,0x00009999,0x21ffd000,
    0x33300ffd,0x01333333,0x99806662,0x4cc40099,0x20009999,0x7cc05ffc,
    0x333100ff,0x98001333,0x99999999,0xe8809999,0x3e02a05f,0x44df302f,
    0x6dfe27ff,0x0bffd02f,0x009ffff1,0x26666666,0x20999999,0x5ffffffa,
    0xdffffff3,0x22013330,0xff100999,0x83ffd33f,0xfffffff9,0x7f45ffff,
    0x7fc44fff,0xf906ffff,0x09ffffff,0x4007ff40,0xffc82ffd,0x004fffff,
    0xfffffff3,0x7fffffff,0x1effffb8,0x981ff300,0x3fe66fdb,0x17edfe26,
    0xfd82ffe4,0x2600ffff,0xffffffff,0x23ffffff,0x6ffffffb,0xfffffff5,
    0x3ffffe21,0x7ffffd46,0x3ffffa64,0x1effffff,0xfffffff7,0x7c4fffff,
    0x2a1fffff,0x0fffffff,0xffffffd8,0xff8800ff,0x07ff5005,0xfffffffb,
    0xfff7001f,0xffffffff,0x7fcc7fff,0x803fffde,0x7ffe47fa,0x88fffc6f,
    0xfd05fb7f,0xbfff903f,0x7fdc07ff,0xffffffff,0x2e23ffff,0x2e1ccfff,
    0x261dffec,0x646fffff,0x2e5fffff,0xffffffff,0x9714ffff,0x99bffd99,
    0xfffca839,0x7fee546f,0xf997102d,0x3007ffff,0x3e2009ff,0xfccb885f,
    0x7003ffff,0x9999dff9,0x5c7ffb99,0x3bffa25f,0xfc97ea02,0x7e46fdff,
    0xfb7f8aef,0xf50dff05,0x09ff55ff,0xcceffcb8,0x3ffdcccc,0x7dc07fe8,
    0xfffda82f,0x5ffff441,0x3fffb220,0x0cefffee,0x4007ff60,0xb83ffffe,
    0xff5003ff,0xf500dfff,0x37fc007f,0x3ffffea0,0x17fe2006,0x3e23ffb8,
    0x6fffdc2f,0xff15fb80,0x3f21be67,0x5fb7feff,0x7c44ff98,0x0bff34ff,
    0x5c0bff10,0x07fe83ff,0xe8817fdc,0x7ffc44ff,0x457fe603,0xffb005ff,
    0x3fffa003,0x1ffdc0ff,0xfeaffd80,0x27fcc01f,0x405ff880,0x1ffeaffd,
    0x08bff100,0xff90bfea,0x2fffc889,0x26faafdc,0xffd706f9,0xf50bf6ff,
    0x2fff449f,0x3e201bfe,0x5ff5045f,0xfb80ffd0,0x3ffe602f,0x3017ff61,
    0x17fe69ff,0x800ffec0,0x45ffeffe,0xf8803ffb,0x809ff77f,0xf5006ff8,
    0xbffc409f,0xf1004ffb,0xe8b7d4bf,0x2effb80e,0xf70fff4c,0x6f99be6b,
    0xfdbfdcc0,0xfb37fcc2,0x2ffc41ff,0xf52ffc40,0x3a03ba2d,0x17fdc07f,
    0x7d5bff20,0x7fd400ff,0x2009ff34,0xfd001ffd,0x5c5fff3f,0xffc803ff,
    0x801fff14,0xfe801ffe,0x53ff202f,0x8800fff8,0xffd99eff,0xdfff5000,
    0x3ee5fd83,0x3e62ffa5,0xfb7f8806,0xb8fff885,0x7fd41fff,0x9eff8803,
    0xe800ffd9,0x17fdc07f,0x7fe7ff40,0x3fff202f,0xffffffff,0x00ffec03,
    0xffb8ffe8,0x007ff70f,0x7fe41fff,0x037fdc03,0xff01bfee,0x01ffe41f,
    0x7fffffc4,0x322001ff,0x9fe23fff,0x3ffee5fa,0x7c400fff,0xffd05fb7,
    0xfd07fff9,0xfff1005f,0x003fffff,0xffb80ffd,0xffff9802,0x3ffe205f,
    0xffffffff,0x0ffec07f,0xfd0ffe80,0x00ffee9f,0xff98bff5,0x0effe806,
    0x202fffb8,0x7fcc5ffa,0xffff8806,0x8001ffff,0xffeeffd8,0xfb31be25,
    0xf8805fff,0xff505fb7,0xff709fff,0xfff1001d,0x003fffff,0xffb80ffd,
    0xffff9002,0xfffeb801,0x2deffeee,0x800ffec0,0xfff30ffe,0xd807ff73,
    0xfccccdff,0x7fcc01ff,0xffeccdff,0x6ffec05f,0x1fffcccc,0x777ffc40,
    0x20001fff,0x41effffb,0x0133107f,0x0bf6ff10,0x5c37fff4,0xf1001fff,
    0x3fffddff,0xb80ffd00,0x3fa002ff,0x3ff2002f,0x2005ff71,0xfd001ffd,
    0x5f7fe41f,0x3fe203ff,0xffffffff,0xfff9804f,0x03ffffff,0x7fffffc4,
    0x404fffff,0x3ff25ff8,0x402a02a0,0x7fd03ffa,0x2ff10000,0xfffb02fd,
    0xfffd99df,0x2ffc4009,0x40541ff9,0x3f200ffd,0x3ff6001f,0x47ff6001,
    0xfb001ffc,0x3ffa003f,0x7fffff40,0x3ffff203,0xffffffff,0xfffd8800,
    0xfc802dff,0xffffffff,0x3e200fff,0xfb93a65f,0xfd02fcc6,0x001bee05,
    0x17edfe20,0x7fffffd4,0x004fffff,0x9d32ffc4,0x7fe437dc,0x003ffa04,
    0x2001ffd8,0x3ff90ffd,0x007ff600,0x3ea07ff4,0x3e03ffff,0xaaaaabff,
    0x8803ffda,0x442efffe,0xabfff80b,0xffdaaaaa,0x017fe203,0x37d41ffb,
    0x3601ff98,0x802fb85f,0x885fb7f8,0xffdbcfff,0x88001eff,0x7fec05ff,
    0x417ffd40,0x6c006ffd,0x3fa001ff,0x001ffb0f,0x74007ff6,0xfffd80ff,
    0x0bff503f,0x4406ff98,0xfffffffe,0x7d45ffdd,0x37fcc05f,0xe80bff10,
    0x33fea0ff,0x05ffeccc,0x7f77ffc4,0x997302ff,0x39bfd3ff,0x35117ff2,
    0x7fc40001,0x407ff405,0xfdcffffd,0x6c001fff,0x3fa001ff,0x2203ffa7,
    0xfffffffd,0x7ec43eff,0x3e23efff,0x7ec43fff,0x6c43efff,0x703effff,
    0xffffffff,0x3629ffff,0x443effff,0x23effffd,0xffffffd8,0xffffffff,
    0x3ffffea0,0x9800efff,0x03fffffd,0x3bfffff2,0xdf35ffff,0xd8800001,
    0xffffffff,0x00ffffff,0xfffffffb,0xffb1005f,0x07dfffff,0x1ff66fe8,
    0x7fffffdc,0x5c7fffff,0x47ffffff,0x7dc3fffa,0x5c7fffff,0x07ffffff,
    0xb99bfff5,0x7dc7bfff,0x5c7fffff,0x27ffffff,0xfffffffb,0xffffffff,
    0x2aaaaa20,0xa88001aa,0xccb8801a,0x0bccb8bc,0xfb800000,0xffffffff,
    0x00ffffff,0x3bffffee,0xffff7000,0x80ffffff,0x407261c9,0xffffffd8,
    0x6cc3efff,0xd83effff,0x7fecc3ff,0x7ecc4fff,0x2204ffff,0x36602600,
    0x4c4fffff,0x24fffffd,0xffffffd8,0xffffffff,0x00000000,0x00000000,
    0x7ffec400,0xffffffff,0xa9800fff,0x7ec40009,0x3effffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x0cc00009,0x16dc4000,0x00000000,0x00140000,
    0x28000280,0x004e9800,0x09800280,0x00000000,0xb5001310,0x2015c417,
    0xd0000ed8,0x7ec0005f,0x5f740003,0x3a60004f,0x33a60004,0x3f620000,
    0x3fa60002,0x5fb10001,0x00ffc800,0x005fb100,0x80002ff8,0xfd7004e9,
    0xffff93ff,0x3ffe609f,0x5407ffa4,0x8003ffff,0x30004ffa,0x26000bff,
    0x64001ea7,0x4001efff,0x002ffffb,0x0005fe98,0x40013fea,0xd8005fe9,
    0xe98001ff,0xffa8005f,0x3ff20004,0x3fe201ef,0xffffffff,0x7e41efff,
    0x03ffa6ff,0x3fef3ff6,0x7f4c000e,0xdfd10005,0x70f88001,0xffe9800d,
    0x8804ffda,0x4ffcbffe,0x013fea00,0x003ffb80,0x0009ff50,0x50007ff6,
    0x4c0009ff,0x74c005fe,0x04ffdaff,0x3ffffff2,0xffffecef,0x31bfff20,
    0x443df501,0xd88004fe,0x3f60002f,0xfefd8003,0x06fec002,0xfc803ff5,
    0x00bfea0d,0x100017f4,0x740003ff,0x3f60002f,0x3fa000cf,0xfe880002,
    0x837f6002,0x7ec01ffa,0x7f4c0eff,0x1bffee6f,0x01501440,0x40000c00,
    0x17300009,0x22033000,0x51028802,0x00004c00,0x2600004c,0xfff70000,
    0x801bffff,0x0c000009,0x14406600,0x1037fec0,0x3fee3ffd,0x0000005f,
    0x00033310,0x10000988,0x88000333,0x33100009,0x26620003,0x04c40001,
    0x80026000,0xfffffffd,0x000002ff,0x09800000,0x01ffec00,0x7fd4ffee,
    0x6c53ea4f,0x7ed45fff,0xfdb307ff,0x003bffff,0x3bffff62,0x7f6cc01d,
    0x001dffff,0xbdffffb1,0xffed9803,0x4c01dfff,0xdfffffed,0xfffb1001,
    0x71003bdf,0x039dfffb,0x567fffdc,0xfb13fffc,0xffda8bff,0x7ffec47f,
    0x3fffed45,0xdfffb710,0x3ffb0039,0xf34ffa80,0x47fec9ff,0x745ffffb,
    0xf887ffff,0xffffffff,0x7ffdc01f,0x04ffffff,0xfffffff1,0xfb803fff,
    0xffffffff,0xfffff104,0x203fffff,0xfffffff8,0x7dc01fff,0xffffffff,
    0x3fffa204,0x882fffff,0xffb83fff,0x8bffff72,0x5c7ffffe,0x7f45ffff,
    0xfd107fff,0x5fffffff,0x405ffd80,0xfff12ffe,0x6c4fff47,0x7f5c5fff,
    0xffff07ff,0x0ffffb9d,0x677fffdc,0xf03ffffe,0xffb9dfff,0x7ffdc0ff,
    0xffffecef,0x9dffff03,0x7c0ffffb,0xffdcefff,0x3ffee07f,0xffffecef,
    0xefffe883,0x43ffffdc,0xdd106ffa,0x17fff621,0x88ffffd7,0x75c5fffd,
    0xfe887fff,0xfffdceff,0x3fff603f,0x41fff702,0x3ffe2fff,0xf817fe22,
    0x2013107f,0xff980ffe,0x7fe440df,0xd009880f,0xfff301ff,0xfffc881b,
    0xfd009880,0x4026201f,0xff980ffe,0x7fe440df,0x0f7ff40f,0xf717ffdc,
    0xff10007f,0x883ffc0b,0x1ffe05ff,0x2e07bffa,0xffb02fff,0xff937dff,
    0x1fff89ff,0x7c45fff1,0x01ffe05f,0xfb355531,0x0bff903f,0x2204ffd8,
    0xffd9aaa9,0x405ffc81,0x26204ffd,0x1ffd9aaa,0x4d554c40,0xffc81ffd,
    0x127fec05,0x7dc01fff,0x013fee5f,0xf817fe20,0x0bff107f,0x3fe23ffc,
    0x17fee00f,0x7fffffec,0xe85fffff,0x7fff31ff,0xff02ffc4,0x3fff220f,
    0x81ffffff,0xeeeeeffe,0x86ffeeee,0xffffffc8,0xffe81fff,0xeeeeeeee,
    0xfc886ffe,0xffffffff,0xffff9101,0xd03fffff,0xddddddff,0x54dffddd,
    0x7fc405ff,0x803ffea7,0x205ff880,0xbff107ff,0x3ea3ffc0,0x3ffc405f,
    0xfffcffd8,0xfb03ffff,0x127ffd4f,0x3ffc0bff,0x7fffffcc,0xf81fffff,
    0xffffffff,0x4c7fffff,0xffffffff,0xfff81fff,0xffffffff,0x7fcc7fff,
    0xffffffff,0xffff981f,0x1fffffff,0xfffffff8,0x7fffffff,0x36007ff6,
    0x37ffa1ff,0x107ff262,0x3ffc0bff,0x3e05ff88,0x00ffec7f,0x7ec0ffec,
    0x1599950f,0xff50e440,0x02ffc4bf,0xfff88fff,0xffdcbcef,0xffffe81f,
    0xffffffff,0x3fffe27f,0xfffdcbce,0xfffffe81,0xffffffff,0x3bfffe27,
    0x1fffdcbc,0x677fffc4,0x81fffdcb,0xfffffffe,0x27ffffff,0xfe803ffc,
    0x3fffea0f,0x43ffffff,0x3fe05ff8,0x40bff107,0x1ffe47ff,0x6c07ff40,
    0x200000ff,0x3e26fffb,0x71ffe06f,0x3f201dff,0x03ffd81f,0x01dff700,
    0x3f607ff2,0xff70003f,0x07ff201d,0x3201dff7,0x3ffd81ff,0x1fff3000,
    0x5437fdc0,0xffffffff,0x206ff885,0xdff107ff,0x3e63ffc0,0x3fee00ff,
    0x001ffb06,0x3fffe400,0xfb30fff1,0x83ffc8ff,0xa81fffc8,0x54c02fff,
    0x220fff20,0xfa81fffc,0x054c02ff,0xf9107ff9,0x3ffc83ff,0x81fffc88,
    0x4c02fffa,0x0efffc0a,0x40fffea2,0x0cffffc9,0xb30fff10,0x3fe20fff,
    0x87ffd987,0x5441dfff,0xffb03fff,0x86e20001,0x7f46fffc,0xfffecbef,
    0xfff71dff,0xffffb97b,0xffd83bff,0xfedcbdff,0x3ffee6ff,0xffffdcbd,
    0x7fec1dff,0xfedcbdff,0x3ffee6ff,0xffffdcbd,0xfff71dff,0xffffb97b,
    0xffd83bff,0xfedcbdff,0x7ffd46ff,0xffffdbef,0x0ffec00d,0x65f7ff40,
    0x1dfffffe,0xecbeffe8,0x21dfffff,0xdbeffffa,0x5c0dffff,0x1ceefffd,
    0x4c7ffa00,0x7fd43fff,0xffffffff,0x3fffa4ff,0xffffffff,0x7fec44ff,
    0xffffffff,0x7ffff46f,0xffffffff,0x7ffec44f,0xffffffff,0x7fffff46,
    0xffffffff,0x3fffffa4,0xffffffff,0x7fffec44,0x6fffffff,0xffffff98,
    0xfb005fff,0xfff5003f,0xffffffff,0xffff509f,0xffffffff,0xfffff989,
    0xf885ffff,0x5fffffff,0xb83ffa00,0xfffa80ce,0xefffbeff,0x3ffff221,
    0xefffdcff,0xfffff501,0x8817dfff,0xcffffffc,0x501efffd,0xffffffff,
    0xffc8817d,0xffdcffff,0x3ff221ef,0xffdcffff,0xfff501ef,0x17dfffff,
    0x3ffff660,0x3f2003ef,0xfff5000f,0xdfff7dff,0x3fffea03,0x1efffbef,
    0xfffffd98,0x3fff603e,0x2002ffff,0x530000a8,0xaa880015,0x4c40001a,
    0x510019aa,0x88000355,0x10019aa9,0x10003555,0x80003555,0x0019aa98,
    0x30001a88,0x5530007b,0x554c0001,0x06a20000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00009880,0x22000054,0xa8000099,0x00c40001,0x50015cc0,
    0x09a80001,0x2aaaa600,0x000aaaaa,0x0059d951,0x6f65c000,0x0402001c,
    0x8bfffb10,0x206fffda,0x801cedb9,0x36202dc9,0xfbbeffff,0x3e602dff,
    0xfea8001e,0xfff9dfff,0x07fb804e,0x003fe600,0x804fff88,0x90001ff8,
    0x9515bfff,0xfffff903,0x980fffff,0x3ffffffe,0x98007b20,0x4ffffffe,
    0x7d46fb80,0xbffff707,0x06ffffe8,0x9ffffff9,0x80fffe80,0xfffffffb,
    0x06ffffff,0xb0017fe4,0xffffffff,0x803fffff,0xb8000ffd,0x7c4003ff,
    0xff7003ff,0xfff50007,0x909fffff,0xffffffff,0x3fe601ff,0x84ffffff,
    0x804fffe9,0xfffffff9,0x7fec05ff,0x2207ff20,0x75c5fffd,0xffc86fff,
    0x04ffffff,0xf503fffa,0xfffbbfff,0x005dffff,0xf9007ff7,0xfffdbfff,
    0xb009ffff,0xfc8003ff,0x3510002f,0x04ffa800,0xffffea80,0x9bff902f,
    0x20179999,0x31befff9,0xf7bff905,0x7ff401df,0xfffc98be,0xb10f6602,
    0x05ff8807,0x3ffe1bfe,0x1fffd99d,0xf887dd50,0xfff985ff,0x7fcc003f,
    0x33ffe600,0x1bfff660,0x001ffd80,0x00007be6,0x07f4c000,0xdbfffb00,
    0x3ff209ff,0x7ffcc001,0x2ff9800e,0x7c417f62,0x4ffc80ff,0x3e200000,
    0x51bfe05f,0xbff909ff,0x0bff9000,0x001fffcc,0x3ff200c4,0x01bffa05,
    0x4001ffd8,0x00000002,0xacb80030,0x901fff10,0xfe8003ff,0x02a000df,
    0x5ff980d4,0x200bff30,0x3e200098,0x91bfe05f,0xfff105ff,0x1ffd8001,
    0x001ffec0,0x3ffa0013,0x01bfee01,0x0001ffd8,0x04e98000,0x18800000,
    0x3f217fee,0x009ba9af,0x0000fff3,0x83ffc400,0x36204ffb,0x01deffff,
    0xff02ffc4,0x3607fe8d,0x7f4001ff,0x1ffdc00f,0xdfffb710,0x03ffc039,
    0x2e21bfe2,0xefffeeee,0xea82deee,0x000fffff,0x75403fe4,0x000fffff,
    0x7fffffb3,0xffc81ffd,0x83ffffff,0x59754ffc,0x7fff5401,0x7ff400ff,
    0x0bffea0c,0x7fffffdc,0x3e204fff,0xb1bfe05f,0xfff103ff,0x3ffd8005,
    0x40fffe20,0xffffffe8,0x3ffd02ff,0x6c37fdc0,0xffffffff,0x40ffffff,
    0x0ffffffe,0x03ffa600,0xffffffd0,0xffff9001,0x3fffffff,0xffffffc8,
    0x7fec5fff,0x1effffeb,0xffffffd0,0xffff9801,0x705ffffe,0xfd9dffff,
    0x3e207fff,0x91bfe05f,0xfffb09ff,0xb8133307,0xff901fff,0xfffd107f,
    0x7ffffb9d,0x7409ffb0,0xfffb86ff,0xffffffff,0xffeb86ff,0xd8800fff,
    0x5c00ffff,0x00fffffe,0x5effffdc,0x42fffffd,0xebcefffb,0x3ffa3fff,
    0xffffffff,0xffffeb81,0xfffc800f,0x980fffff,0x6440dfff,0xff880fff,
    0x46ffe987,0xc88bfff9,0x7dc4ffff,0x7ff440ff,0xfffc9bef,0xeffe83ff,
    0x42fffb81,0x220bfffa,0x2606fffc,0x9affd999,0xffb00099,0xffff9801,
    0x7ec000cf,0x3ffe200f,0x7ffec40d,0xfb80bb84,0x3ffffa7f,0x06fffbbf,
    0x4400ffd8,0xfffffffe,0x05ffc84f,0x7c427fec,0xffecbeff,0x3f21dfff,
    0xffffffff,0x817fec5f,0xffffffe8,0x443fffff,0x3ee00fff,0xffffd85f,
    0x6fffffdc,0x007ff600,0x2007fec0,0x000bfffe,0x5401ffb0,0xff301fff,
    0xfff000bf,0x11bfff63,0xfd805fff,0x7fff400f,0x2fffeb9d,0x77777ff4,
    0x6ffeeeee,0xffffff88,0x4fffffff,0x7fffffec,0x3fe23ffd,0x7ffe4405,
    0x3ffdefff,0x2202ffd4,0xffe887ff,0xffffffff,0x07ff6006,0x007fec00,
    0x0001dff3,0x3200ffd8,0x7ff405ff,0x2ffc8004,0xf901fff9,0x0ffd809f,
    0x203ffe60,0x7ffc5ffc,0xffffffff,0xff887fff,0xfcffffff,0xfda81eff,
    0x21ffc9df,0x53001ffa,0x3fea5799,0x400ffec3,0xff701ffd,0xdff7dfff,
    0x00ffec00,0x200ffd80,0x0a603ffb,0xc803ff60,0x7fec04ff,0x2ffc8003,
    0x3e609ff5,0x07fec05f,0x2209ff70,0x7fff47ff,0xffffffff,0xeff887ff,
    0x80001aaa,0x3f60fff8,0xff500004,0x803ffc87,0x54c00ffe,0x00dff11a,
    0x8000ffec,0x3ee00ffd,0x03ff304f,0x2a00ffd8,0xff100fff,0xfff0003f,
    0x5c1bfe63,0x7fec04ff,0x80ffee00,0x1ffec7ff,0x17fe2000,0xffd10000,
    0x00006f89,0xff30ffea,0x37fdc01f,0x04ffa800,0x0003ff20,0xf3007fec,
    0x7e4c17ff,0x07fec03f,0x207fff10,0x16dc6ffc,0xfe8fff70,0x1fff443f,
    0x9803ff60,0xffb80fff,0x017ffd45,0x3fe202a6,0x3aa00005,0x00fc46ff,
    0x07ff5000,0xa883bfff,0x98003fff,0x26002ffe,0x3f60004e,0x7ffe400f,
    0x3fffffef,0x2007fec0,0xcadffffb,0x7fc2ffff,0xfeccccef,0x7ffcc3ff,
    0x0ffffdce,0x2007fec0,0xfdceffff,0xffd83fff,0xfedcbdff,0x5ff886ff,
    0xccdea800,0x000ffffe,0xfddb5000,0x7fd43bdf,0xfffdbeff,0x3b6a00df,
    0x0effffee,0x3ae00000,0xffffffff,0x3f620dff,0xdfffffff,0x3ffffae1,
    0x0dffffff,0x7fffffe4,0xffb84fff,0xffffffff,0xfffff705,0xfeb85fff,
    0xffffffff,0x3ffa20df,0x04ffffff,0xffffffb1,0x20dfffff,0xfd8004ff,
    0x1effffff,0x3fe00000,0x46ffffff,0xfffffff9,0xfff805ff,0x00efffff,
    0xfffffdd3,0x49dfffff,0xfffffff8,0x83ffffff,0x1cefffeb,0x7fffffc4,
    0x3fffffff,0xfffffea8,0x3ffaa01e,0x402effff,0x1effffdb,0x7fffffc4,
    0x3fffffff,0x7ffffec4,0xfffa802e,0x0befffff,0x50005f90,0x05dffffd,
    0xff900000,0x307fffff,0x7dfffffb,0x3ffff200,0x3f600bdf,0xffffffff,
    0x321fffff,0xffffffff,0x0000dfff,0xffffffc8,0x00dfffff,0x8002aaa2,
    0x0009aa98,0xf9005544,0xffffffff,0x54401bff,0x55310001,0x00000033,
    0x00004d44,0x10000000,0x00000035,0xffffffa8,0x5fffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x00400199,0x15bd9500,0x00080400,0x93000402,0x44059ddb,
    0x00002aaa,0x00aaa980,0x2aa00804,0xaaaaaaaa,0x554c02aa,0xeffec800,
    0x6fffecc3,0x20002002,0x00003db9,0x2a0019b7,0xbdfffffe,0xcffd981d,
    0x3fff6000,0x7c401fff,0x401ff42f,0x03fd46fb,0x7fffffec,0x7ffc40df,
    0x4000007f,0x203ffffd,0x83fd46fb,0xfffffffe,0xd506ffff,0x201bffff,
    0x47fffff9,0x06fffffc,0x37ffb2a2,0x3ffe601b,0xf980004f,0x7ec405ff,
    0xffffffff,0x6effcc4f,0xfffb007f,0x401dffff,0x3fe24ff9,0x20ffd805,
    0x3f201ffc,0xffffffff,0x3ffffc45,0x3f600000,0x3f603fff,0x207ff20f,
    0xfffffffe,0xfa86ffff,0x06ffffff,0x313ffff6,0x207ffffd,0xfdcdfff9,
    0x979105ff,0xf300009f,0xffd80bff,0xffffddef,0xf507ec5f,0xcfffa805,
    0x405ffea9,0x006dc0db,0x0f621ecc,0x31cfff88,0xa885fff7,0x000007fe,
    0x01ffed44,0x03d887b3,0x99999ffb,0xfd0bffb9,0x7fffb9df,0x8827fec0,
    0xff300fff,0x017f2605,0x200009f7,0x3ee01deb,0xffe882ff,0x1be17e25,
    0xfd05ffb0,0x0000001f,0x01db8000,0x3fa09ff7,0x70000007,0x000007ff,
    0x7fe409f5,0x2637fc43,0x3fe206ff,0x04ffc80f,0xf9001bf3,0x0027dc0b,
    0x3ffe0000,0xf13fe203,0x2205f88d,0x5ff506ff,0x98000000,0x3e200000,
    0x88ffd05f,0x26600009,0x200ffee0,0x00001998,0xff981ffd,0x6407ff85,
    0x7ffc44ff,0xffb1ff00,0x7e417dff,0x2009f703,0x220000da,0x6dc00fff,
    0xfc89fe41,0x40ffea01,0x3f625ff8,0x7fed45ff,0x3f6e207f,0x0001ceff,
    0xfe827fe4,0xfffffc9f,0xfffb3004,0x07ff75df,0x3ffffb66,0xf30001df,
    0x4bff30df,0x4406ffc8,0x3ff20fff,0x3665f304,0x7c4fdccf,0x8809f705,
    0x20003ffd,0x20005ff9,0x26fffff8,0x0bfee4a8,0x3fee7ff8,0x7fff45ff,
    0xfffd107f,0x005fffff,0x7ffed544,0xfffffd01,0x03dfffff,0x7fffffdc,
    0x883fffff,0xffffffff,0xfc8001ff,0x8dff983f,0x803ffffd,0xfff14ffc,
    0x8f91ee01,0x5c1f60fb,0x3ffee04f,0x3e60000d,0xea80006f,0xfffdb89d,
    0x7403ff90,0xfffb10ff,0x7fffeb8b,0xcefffe88,0x803ffffd,0x3ffffff9,
    0x3fffffa0,0x0fffffdf,0xdeffffb8,0x03ffffff,0xfb9dffff,0xff000fff,
    0x5bff301f,0x005fffff,0xff91fff1,0x9f236c09,0x47ea0fd9,0xceffeec8,
    0x05fffd30,0x07ffe000,0x3f6e2000,0x3f20beff,0x03ffa01f,0x7fc0bff1,
    0x81effe87,0x5402fffb,0x01ffffff,0x88bbfffa,0x7cc5ffeb,0x3f221dff,
    0x13103fff,0x8003ffa0,0xff306ff9,0xfffffb1b,0xfbff9005,0x22fc01ff,
    0x42fffefc,0xfffd13f9,0xfff73dff,0x2037b95b,0x6fff4009,0x883fa600,
    0x0bdfffeb,0x7403ff90,0x2ffc40ff,0xff88fff0,0x17fee00f,0x3fffb6a0,
    0x1fffd00f,0xc87ffe60,0x3fee06ff,0x554c403f,0x001ffd9a,0x7cc0fff2,
    0x3ffae25f,0x7ffc402f,0x237404ff,0xa86feefc,0xffe9802f,0xfffffbae,
    0x301fff44,0x9599ffff,0x2e5fffd9,0xda8bdfff,0x405ff902,0x7fc40ffe,
    0xf51ffe05,0x7ff880bf,0x37ff4c00,0x7404ffe8,0x0bffa3ff,0x103fff88,
    0xfffffff9,0x7fc003ff,0x0bff300f,0x32017ff2,0x6400ffff,0x89f73e47,
    0x7fe400fc,0x223ff14f,0xdfff30fe,0xfffffa80,0x25ffffff,0xfff30ada,
    0x3ffa85ff,0x3e21ffe0,0xb1ffe05f,0xffb003ff,0xfff88003,0x401ffe80,
    0x1ffe4ffa,0x260fff20,0xffffffff,0xf3001fff,0x2ffcc0df,0xf100ffd0,
    0x5f5009ff,0xbfc87f22,0x7f440dd0,0x360dc1ef,0x013ffe2f,0x3fffff66,
    0xfe803eff,0x7c46ea8b,0x0bff104f,0x7fc0bff1,0x401ffe47,0xc8000ffe,
    0x2ffe82ff,0xff27fdc0,0x3ffd801f,0x677fffc4,0x01fffdcb,0x4c07ff90,
    0x3ff205ff,0x07ffc401,0xffd8ef80,0x3ef3fa3f,0x00ffea03,0x35107fe4,
    0xaef98800,0x89f30019,0x07ff42fb,0x7c41ffe4,0x31ffe06f,0x7dc01fff,
    0xffb0006f,0x80bffd03,0x3ff62ffe,0x0fffe203,0x3201dff7,0xfff001ff,
    0x9affcc01,0x00bfee0b,0x54009ffb,0x20aaa8df,0x400efba8,0xffd8800a,
    0x7fc00001,0x217dc004,0x6ffe44f9,0x203ffea0,0xfd987ff8,0x1dfff87f,
    0x21fffd44,0x3fea00b8,0x15fffd07,0x20fffb88,0xd981effb,0x7fe43fff,
    0x1fffc883,0x406ff980,0x49ff5ff9,0x3e601ffe,0x7d4000ff,0x1df7101e,
    0x3fa60000,0x8010080d,0x002fee88,0x81f917e2,0xfecfffe8,0x3ffa04ff,
    0xffffecbe,0x3ffea1df,0xffffdbef,0x66fff40d,0x5fffeccb,0x7fffff64,
    0xffffdbdf,0xcffffe83,0xffffffeb,0x7bfff71d,0xffffffb9,0x1ffe403b,
    0xbffffd88,0xfffdbfff,0x3fbbb6e0,0x54001dff,0xfdbacdff,0x700000ef,
    0x1bee09ff,0x77fc0df5,0x7e4001fe,0xf305fdbe,0x0bffffff,0xffffffa8,
    0x44ffffff,0xfffffff9,0xfffb05ff,0xbfffffff,0xffffff88,0xffffffff,
    0xffffd104,0xffffffff,0x7ffff4bf,0xffffffff,0x03ffa04f,0x77ffffdc,
    0x3ffffffc,0x3fffffe6,0x98005fff,0x2dffffeb,0x3ff20000,0xfb1eccce,
    0x807fe41f,0x8004ffda,0x00cfffc8,0x13ffffaa,0x7ffffd40,0x81efffbe,
    0xefffffd9,0x3fff2203,0xb03effff,0xffd7ffff,0x9003dfff,0xbbffffff,
    0x6445dfff,0xdcffffff,0x2a01efff,0x3ff6603f,0xfffd8bef,0x7fff443f,
    0x002fffff,0x0000d440,0xfffffc80,0x885b33ff,0x0008803c,0x22000a80,
    0x5530001a,0x0d440001,0x0d54cc00,0x26aa6000,0x9aa98000,0x55544000,
    0x00000001,0x0000aa88,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x32ea2000,0xa88010ac,
    0xaa980000,0xbddb8802,0x01000000,0x216ed400,0x1dda8009,0x0402004c,
    0x0016ea20,0x99999988,0x19999999,0x0006dc40,0x019bd951,0x402aaa80,
    0x001bccba,0x021bcca8,0xfffffd10,0x640bfdff,0xfc80005f,0x7ffcc05f,
    0x80001ffe,0xbdffeca8,0xffff9001,0xc809f93b,0xfd9dffff,0xf913f603,
    0x1fffea0b,0x9999a800,0x99999999,0x3b2a21a9,0xf7001fff,0x07ffffff,
    0x21fffea0,0xffffffc8,0x7ecc00cf,0xfdefffff,0xfffff304,0x0fffffff,
    0x40003ff4,0x64405ffc,0x00017ea2,0xfb9bfff3,0x3df00bff,0x01dfffd3,
    0x7f4cf7c4,0x3fe00eff,0xc983ff46,0x2a0007fb,0xf3198000,0x03ffffff,
    0xffffff90,0xfd009fff,0xffff0fff,0x0dffffff,0x7fffffcc,0x987fffff,
    0xa9bcefff,0xd00ffffc,0x950000ff,0xdf700079,0x17fcc000,0x0405fc98,
    0x808016dc,0x1da802db,0x3e2016cc,0x002a0007,0x7ffdc660,0x4c01ffff,
    0xda8adfff,0x3ee01fff,0xfff87fff,0xfffdaace,0xcefff983,0x7fffebaa,
    0x2205ffe8,0x1ffa07ff,0x44000000,0x0001ffff,0x40981bf3,0x026005fc,
    0x00ccc400,0xff100000,0x00054000,0x8acc88cc,0x7e401ffd,0x09ffb04f,
    0x1fffffe2,0x7fd41bfe,0x00efff86,0xffa8fff7,0x546fc806,0xfffffffd,
    0x00004eff,0x81fff640,0x41ff03c8,0x92eefffc,0x3f6e207f,0x4c01ceff,
    0xdfffffed,0x44000001,0x4197007f,0x0198000a,0xf9007ff6,0x82ffcc0d,
    0x87fedffd,0x1ffe04fd,0xfd00dff3,0x802ffd8f,0x7ffec0b8,0xffffffff,
    0xfffd501f,0xf98001ff,0x07ffd40f,0xbefd8be6,0x217e3fec,0xffffffe8,
    0xfff102ff,0x3fffffff,0x7ffff540,0x07f8800f,0x1517ff4c,0x6c033000,
    0x054401ff,0xf309ff70,0x20ffd1ff,0x71bfe201,0x9f5005ff,0x0000ffe8,
    0x3fffffaa,0x205fffff,0x0ffffffe,0xb10fe800,0x4f707fff,0xb1fc44f9,
    0xefffe88f,0x03ffffdc,0xfb9dffff,0x7ff40fff,0x8800ffff,0x3ffee07f,
    0x4c000545,0x007ff601,0x07ffd100,0x1ffa7ffd,0x87ffd100,0x20000ffd,
    0x200006ff,0xd70007fe,0x401fffff,0x4fedcded,0x201bfff7,0x2a03ee6d,
    0xffe87ea0,0x2fffb81e,0xffd00988,0x3fffae01,0x3b6e00ff,0xfd30deff,
    0x001505df,0x7fec0330,0x7fec0001,0xd37fdc0f,0x3f2600ff,0x37fc1fff,
    0x41bfe000,0x01999998,0x40001ffa,0x36a00ffd,0xfe9cffff,0x40cc9aff,
    0x4c01b65f,0x01fff13f,0x3102ffdc,0x3ffb3555,0x803ff600,0xaefffffc,
    0xcc9cfffc,0x260002a1,0x007ff601,0x0ffff440,0xfe8bffe2,0xffffc807,
    0x037fc41f,0x2a1bfe00,0x7fffffff,0x0000ffd0,0x04003ff6,0xf11bfff7,
    0x326e83ff,0x2a5f5007,0x7fc405ff,0xffffc887,0x001fffff,0x50001ffb,
    0x3fa3dffd,0x20002a2f,0x07ff6019,0x3fffa200,0x745ffc82,0xfffd807f,
    0x00dff00c,0xfc87fe80,0x1fffffff,0x00007fe8,0x4c001ffb,0x3f62fffe,
    0xf33e41ff,0x361f9005,0xffd801ff,0x3ffffe61,0x01ffffff,0x4001ffb0,
    0x323fffd8,0x002a2fff,0xffd80660,0x7ffcc001,0x1fff981f,0x7dc03ff4,
    0x03ff401f,0x103ff600,0x7fff9997,0x0001ffa0,0xb8007fec,0x3ea0cfff,
    0x17d41fee,0x9d3117db,0x07ff9374,0x3e21ffd0,0xdcbcefff,0xfb001fff,
    0x3fe6001f,0x3bfe61ef,0x20002a2f,0x07ff6019,0x1ffffa80,0xffffffb0,
    0x403dffff,0xffb803d8,0x3fee0001,0x00ffe804,0x20000ffd,0xfb000ffd,
    0xe9ff883d,0xd30ef81f,0x2e1dffff,0x03ffe63f,0x3ee6ffb8,0x3ff900ef,
    0x003ff600,0x7f41ffdc,0x002a2fcb,0xffd80660,0xdfff7001,0x7ffff401,
    0x5fffffff,0xdff30000,0xff10ee00,0x3fa2019f,0x03ffd00f,0xfb005b51,
    0x40a2001f,0x503fd4fd,0x20bba8bf,0x7ffc0efb,0x7ffd441d,0x220fff23,
    0xb001fffc,0x054001ff,0x22fcafe4,0x0198000a,0x36007ff6,0x7400dfff,
    0xffffffff,0x00001dff,0x4407bffa,0x7fdc2ffd,0xfedccdff,0xff900fff,
    0xfffdb7bd,0x0ffd801f,0x77fd4000,0xfa80dffe,0x1df7101e,0x7dffff50,
    0x41bffffb,0xdcbdfffb,0x1dffffff,0x0007fec0,0x3fbbfe60,0x000150ef,
    0x0ffec033,0x09fffd10,0x0ffd000c,0x10015730,0x999dfffd,0x901ffffd,
    0xffffffff,0x7cc0dfff,0xffffffff,0x7fff5c5f,0xdfffffff,0x3ffee000,
    0xf500efff,0xffb759bf,0x7ffcc01d,0x05ffffff,0xfffffffd,0x49ffffff,
    0xffffffeb,0x000dffff,0x3fffffea,0x3000151e,0x3ffff623,0x23efffff,
    0xfffffffb,0x204fffff,0x1dffffda,0x009fff10,0x3fffffa2,0x202fffff,
    0xfffffed8,0xfe9801df,0x41dfffff,0xfffffff8,0x03ffffff,0x09ff9300,
    0xffffeb98,0xffb3002d,0x4407dfff,0xcffffffc,0xf11efffd,0xffffffff,
    0x0007ffff,0x5437fb22,0xf7198000,0xffffffff,0x7ffdcfff,0xffffffff,
    0x3fffa06f,0xff105fff,0x6dc4009f,0x0cefffff,0x00d54c00,0x00aaa980,
    0x7fffffe4,0x00dfffff,0x1dfff500,0x0006a200,0x88003510,0x32001aaa,
    0xffffffff,0x0000dfff,0x2a3ffff3,0xaaaaaaab,0x11baaaaa,0xfffffffb,
    0x7fdc7dff,0xffffffff,0x3fae06ff,0x2201efff,0x5440001a,0x00000009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26666620,0xb9800999,0x54400abc,
    0x80000aaa,0x010bccba,0x26026666,0x26000999,0xa9809aaa,0x440001aa,
    0x00aaaaaa,0x00acb980,0x4c013310,0x19988099,0x804ccc40,0x01999999,
    0x4cccccc0,0x33300019,0x40003333,0xfffffffe,0xfd303fff,0x407fffff,
    0x002ffffe,0x3ffffaa0,0x3ea5fdff,0xf35fffff,0x80dfffff,0xffffffea,
    0xbffff51e,0xfffd8000,0x5c001fff,0x01dfffff,0x8dffffd1,0x23fffff9,
    0x201ffffe,0x264ffffc,0xffffffff,0x3fe603ef,0xffffffff,0xfff9802e,
    0x4effffff,0x3fffe200,0x5fffffff,0xffffffb8,0xfe80dfff,0x50002fff,
    0xffffffff,0x7ffdcfff,0xfff56fff,0x2601ffff,0xffffffff,0xbffff53f,
    0xfffe8000,0x2e001fff,0x6fffffff,0xffffff30,0x7ffffe41,0x9fffff16,
    0x3ffffe20,0x3ffffee5,0x1effffff,0xffffffb8,0x06ffffff,0x7fffffd4,
    0x01efffff,0xfd999930,0xf98179bf,0xfca9beff,0xfda886ff,0xff88002f,
    0xffca9cef,0xfff710ff,0x7f65c399,0x3ffa01df,0x1eedcbce,0x0017fee6,
    0xffd55510,0x6fffc003,0x701ffeaa,0xd887fffb,0x3aa1cfff,0xfb80ffff,
    0x75c0dfff,0xffdcccff,0xfdb80fff,0xffdcccef,0x7f5c04ff,0xfffdcccf,
    0xfb0000ff,0x3ffa203f,0x07fff305,0x2000bff2,0xff306ffa,0x407fe81f,
    0x3e202ffb,0x7fc4006f,0x7ec00005,0xdff3001f,0xfe804d88,0x1fff444f,
    0x83ffffd8,0xb02ffffe,0xfff301ff,0x217fe20d,0x400fffb8,0xfe980ffd,
    0xffb0006f,0x017ff203,0xf901fff3,0xff70005f,0x743fec05,0x17fdc07f,
    0x800bff30,0x02665ff8,0x01ffd800,0x0009ff30,0xf90fffcc,0x7ffec0bf,
    0x7fffd47f,0x01ffb02f,0x2207ffe6,0x3ff605ff,0x807fec02,0x8002fff9,
    0xffd01ffd,0x05ff9003,0x3f665ff9,0xffa84fff,0x3a0b6605,0x17fdc07f,
    0x3fffff62,0x103effff,0xffff9dff,0xffb0007d,0x1bfe2003,0x2dff9000,
    0x3600fffa,0x363ffeff,0xb02ffeff,0x7fd401ff,0x205ff885,0x7ec01ffd,
    0x17fea00f,0x407ff600,0xff3006ff,0x325ff909,0x82ffffff,0x001befff,
    0xff701ffa,0xfffffa85,0x07ffffff,0xfffffff1,0xd8009fff,0xff3001ff,
    0x7400033f,0x03fffdff,0xb7fdffec,0x2ffceff9,0x4401ffb0,0x5ff886ff,
    0x407ffc88,0x099affe8,0x40037fc4,0xff981ffd,0x0bff1004,0x3ff25ff9,
    0xfa80dfff,0x0bdfffff,0xf701ffa0,0xfffd885f,0x4fffffff,0xdfffff10,
    0x003ffff9,0x3200ffec,0xffffffff,0xfff98004,0xffd805ff,0xffdaffe9,
    0xfb02ffcb,0x87ff801f,0xdccceff8,0xf103ffff,0xffffffff,0x0447fe81,
    0x2a07ff60,0x3fe003ff,0xfbaffc86,0xe9801eff,0x4fffffff,0xfb80ffd0,
    0x17fe602f,0x3dfff100,0x2004ffb8,0x7fc01ffd,0x7fffffff,0x7feccc00,
    0x36009aff,0xfeffa8ff,0x02ffc8ff,0xfe801ffb,0x7fffc40f,0x03ffffff,
    0x3fffffea,0x7fec2fff,0x6c01ff10,0x5ff981ff,0x90bff100,0x1bfffdff,
    0xffdb9800,0x7fe85fff,0x3017fdc0,0xf8800bff,0x6ff880ef,0x007ff600,
    0xdfffddb5,0x7fcc005b,0x5fffffff,0x7fc3ff60,0x5ff94fff,0xd003ff60,
    0xffff10ff,0x007fffff,0xbddfffb9,0x2a1ffd07,0x3ff602ff,0x200dff01,
    0xffc84ffa,0x00004fff,0xe83fff93,0x17fdc07f,0x800bff30,0x3fe05ff8,
    0x07ff6006,0x006ff880,0x003ffb00,0x7fdc3ff6,0x05ff90ff,0xf8803ff6,
    0xaeff886f,0x01ffffba,0xf801ffb0,0x80ffee6f,0xffd01ffd,0x05ffd005,
    0x1bfffff9,0xb803b700,0x07fec3ff,0x4c03ff90,0x7c4005ff,0x01bfe05f,
    0x2001ffd8,0x20005ffa,0x9affd999,0x43ff6009,0x3f25fff8,0x01ffb02f,
    0x7c42ffcc,0x7fff4c5f,0x00ffd801,0xffb97fe6,0xb81ffa03,0x7fdc06ff,
    0xfffff906,0x5ff801df,0x3227fd40,0x3ffa04ff,0x017fe600,0x7c0bff10,
    0x3ff6006f,0x13ff2001,0x3ffe6008,0x05ffffff,0xffc83ff6,0x6c0bff21,
    0xffd100ff,0x10bff107,0xfb00dffd,0x3ffa201f,0x2037fee3,0x7ec06ffc,
    0xfffb81ef,0xf35ff902,0x3e203fff,0xffd304ff,0x82fffa87,0x7cc06ffd,
    0x7fc4005f,0x801bfe05,0xd3001ffd,0x17f205ff,0x800ffec0,0xfc800ffd,
    0x81ffb02f,0x106ffea8,0x3fe20bff,0x07fec04f,0x71bffaa2,0xd99dffff,
    0xf8805fff,0xfeccdfff,0x3ff204ff,0x03fffd32,0x9bfffff1,0x01fffffb,
    0xfb9ffffb,0xf9803fff,0x7fc4005f,0x801bfe05,0x6c401ffd,0xffffffff,
    0x2a07ffff,0xdffffffe,0xffffd880,0x7ffec43e,0x3ff623ef,0xffffffff,
    0x7fec41ff,0x7d41dfff,0x7ec43eff,0xffffffff,0x7f4c1fff,0xffffffff,
    0xfffd3001,0x207fffff,0x262fffea,0x11dfffff,0xffffffff,0x6c05ffff,
    0xffffffff,0xffffb502,0x03bfffff,0x43dfffd9,0x42efffeb,0xffffffeb,
    0x2a0dffff,0xffffffff,0x205fffff,0xffffffff,0xffffb83f,0x3fee0fff,
    0x3ee7ffff,0xffffffff,0xffb81eff,0xc84fffff,0x7fdc7fff,0xffffffff,
    0x3f6601ef,0x001dffff,0xefffffc8,0x3ffffa01,0x3ffffea2,0x3f2bb24f,
    0x00cfffff,0xefffffb8,0x3ffff600,0x5fffffff,0x7fffffcc,0xffffff15,
    0xffffff8d,0x3fffffff,0x3fffff62,0x0dffffff,0x3ffffae0,0xfd880dff,
    0x6c44ffff,0x224fffff,0xfffffffd,0x3f6202cd,0xd01effff,0xffd887df,
    0x2cdfffff,0x000d4c00,0x7001a980,0x6c45fffd,0x201effff,0x0001aa98,
    0xd5001353,0xffffffff,0xfffb03df,0x7ffe45df,0x7ffe43ef,0xffffffff,
    0x0000001d,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x33100c40,0x80013333,0x26600999,0x33333009,0x26001333,0x33101999,
    0x76440133,0x26600c44,0x99999999,0x09800999,0x4ccccc40,0x33300099,
    0x4cccc013,0x99999980,0x98099999,0x33310099,0x33333101,0x4cc40013,
    0x01999809,0x7fcc0980,0xfffffc83,0xff1004ff,0xffa8dfff,0x3fe63fff,
    0xffffffff,0xffff00cf,0x7fe41fff,0xf983ffff,0x7faaffff,0xffffff30,
    0xffffffff,0x3fff6207,0xfffe81ee,0x204fffff,0x6ffffffa,0x7fffffd4,
    0x3ffffe66,0x26ffffff,0x46fffff8,0x24fffffa,0xfffffffd,0xfffa806f,
    0xffff15ff,0x6dc401ff,0xffbcefff,0xffffd84f,0x9800ffff,0x20ffffff,
    0x25fffffc,0xfffffffb,0x40efffff,0xfffffff9,0x3fffffa2,0xc8bfc85f,
    0xf702ffff,0xffffffff,0x207fffff,0x5ffffffe,0x7fffffc4,0x3ee06fff,
    0x5c7fffff,0x27ffffff,0xfffffff9,0x3e66ffff,0x7e46ffff,0x3fa5ffff,
    0x7fffffff,0xfffffc80,0xffffff57,0x3fffe603,0x6fffffff,0xfff99710,
    0x3aa007ff,0x7f442fff,0x36e20cff,0xfdccceff,0xffb85fff,0x65cc2ccf,
    0x8100dffe,0x65c00cc9,0xccccceff,0xfb83ffdc,0x82fffdff,0xcccfffca,
    0x7ff5c01b,0x7e5c41ce,0x3fe61cff,0xffccccce,0x7ffed45f,0x5ffff441,
    0x3ff73260,0xc8801cce,0x32a1ceff,0xff302fff,0xffdb9dff,0xff5001ff,
    0x4400dfff,0x7fcc5ffe,0x17fe603f,0x740fffcc,0xffc800ff,0x00262002,
    0xf702ffc4,0x23ffd07f,0x7ff400b8,0x019abccc,0xf501bfe6,0x09ff30bf,
    0xd101fff9,0xfff889ff,0x01ffd403,0xf02ffcc0,0x3ffe20df,0x3fffe60d,
    0xaffd803f,0x26001ffe,0xfff14fff,0x05ff980b,0x3f60bff2,0xd8bffa1f,
    0x7fed41ff,0x3ffffead,0x822ffc40,0xffe82ffa,0x7fff4000,0x0dffffff,
    0x6c03ffd0,0x4ff982ff,0x3017ffd4,0x7fec3fff,0x03ffa805,0x205ff980,
    0xbff506ff,0xffefff88,0xbbffc407,0x7d4004ff,0x06ffebff,0x3a05ff98,
    0x2ffc81ff,0x7f4bfff3,0x7ffff40f,0x5fffffff,0xfa97fe20,0xfb01dd16,
    0xffe8009f,0xffffeeee,0x05ffb80f,0x3e20fff3,0x13ffe23f,0x7d5bff20,
    0xffa800ff,0x5ff98003,0x7ec1bfe0,0x3bffa20f,0x3201ffe8,0x1fff14ff,
    0xffffb800,0xff9800ff,0x3fff64c5,0xff93ffb8,0x21ffe1ff,0xefffffea,
    0x102fffec,0xffb33dff,0x3fff3001,0x443ff400,0xf882ffea,0x3ffc80ff,
    0x7f4432a0,0x3ffa005f,0x5002fffc,0xf30007ff,0x837fc0bf,0x3ffa27ff,
    0x405ff90e,0x3ff20fff,0xfffd8003,0xfff3001f,0xffffffff,0x753fea05,
    0xdff2ffff,0x07fffe20,0x3e20bff7,0x1fffffff,0x26fffa80,0x0ffd0198,
    0xfc827fdc,0x07ffc43f,0x01dffb00,0x7ffffcc0,0x0ffea005,0x3fffe600,
    0x6fffffff,0xfd11ffd0,0x0fff41ff,0x7cc5ffa8,0xffa8006f,0x3fe6006f,
    0xffffffff,0x3bff303f,0xf1bfffff,0x3bfe20bf,0x220dff00,0xffffffff,
    0x7fffdc01,0xd07ffb4f,0x2ffcc0ff,0x7dc7ff98,0x3fee005f,0xffc8001f,
    0x3ea000ff,0xff98003f,0xffffffff,0xd9ffb06f,0x7fd43fff,0x337ff607,
    0x01fffccc,0x3ffffe60,0xdfff3005,0xfffffddd,0xf9bff107,0xff5fff7f,
    0x817fe209,0xfff106ff,0x403fffdd,0xfffdfff8,0xfe85fffa,0x80fff207,
    0x3ffa2ffe,0x7fff3001,0x17ff4000,0x80ffea00,0x7ffcc0b9,0xffeeeeee,
    0xfffff306,0x3ffae23f,0xfffff104,0x09ffffff,0x3fbffa20,0xff9803ff,
    0xfffda885,0xffefff80,0x4ffeffc8,0x7c0bff10,0x4bff106f,0xb82a0ffc,
    0xffff94ff,0x3ffd03df,0xfff93333,0x9affd403,0xff1006ff,0x005e889f,
    0xa8003ffb,0x0ffe03ff,0x7fc0bff3,0x3ffff206,0xeffffdbe,0xfffff900,
    0x1fffffff,0x51dffb00,0xf9805fff,0x1ffec05f,0xab7ffffc,0x103fffff,
    0x37fc0bff,0x3a65ff88,0xffd9bee4,0x0bffffa1,0x7ffffff4,0xf803ffff,
    0x03ffd9ff,0xf50dffb0,0x3ffb003f,0x03ffa800,0xff98bff1,0xd81bfe05,
    0xffffffff,0x7ffc05ff,0xdaaaaaab,0x7fe403ff,0x07ffee0f,0x5405ff98,
    0xfffe84ff,0x3ffffe3f,0x40bff102,0xbff106ff,0xf90ffd80,0x3fffcc5f,
    0xffffffd0,0x2e003bdf,0x00fffdff,0xb80fffc8,0xffd802ff,0x1ffd4001,
    0x7cc5ff88,0x41bfe05f,0xfffdfffd,0x7d403dff,0x37fcc05f,0xb05fff70,
    0x3e601dff,0xffb3105f,0x3ffffb07,0x80ffffe4,0x3fe05ff8,0x80bff106,
    0xfff50ffe,0xdffffb9b,0x333ffd05,0x3fe20003,0xfa804fff,0x5ff702ff,
    0x003ffb00,0xf103ffa8,0x05ff98bf,0x3fe61bfe,0x2006a21f,0x3effffd8,
    0x77fffec4,0x3ffff663,0x3fffaa0d,0x3fff624e,0xffffffff,0xffc80fff,
    0x7fffcc6f,0xefffec80,0x37fff662,0xfffffb11,0xffffffff,0x7ffff41f,
    0x26ffffff,0xffffffec,0xffb0002d,0xffd003ff,0xffffffff,0xffb105ff,
    0x07dfffff,0x3fffffaa,0xffffffff,0x3bfffb25,0x3bffff23,0x0000ff42,
    0xfffffff7,0xffffffb8,0x3fffff27,0x3ffffa2f,0xffff70ff,0xffffffff,
    0x3fee05ff,0x87fff84f,0x6ffffff8,0x53fffff6,0xfffffffb,0xffffffff,
    0x3ffff220,0xf12effdf,0xffffffff,0x3fe6000d,0xfffd006f,0xffffffff,
    0xffff705f,0x20ffffff,0xffffffff,0x5fffffff,0xfffffff3,0x3fffffea,
    0xd9800006,0x4c4fffff,0x24fffffd,0x0dffffe9,0x93ffffaa,0xffffffd8,
    0x00ceffff,0x3207ffea,0xfff906ff,0x7ff4c5df,0xfffb11ef,0xffffffff,
    0x53101fff,0xfffc8015,0x002effff,0x400bffa0,0xfffffffe,0x882fffff,
    0xfffffffd,0xfffd703e,0xffffffff,0x7ffecbff,0xfffb13ef,0x000007df,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4cccc000,0x10099999,0x4ccc0333,0x33333009,0x33333333,
    0x4ccccc43,0x99999999,0x81999981,0x31009998,0x00333333,0x33333330,
    0x01333333,0x80003510,0x01a8801a,0x51000000,0x00998803,0x20013100,
    0x74411001,0x7ffcc3ee,0xffffffff,0x27ffff45,0x3fffffe2,0x3ffffe66,
    0xffffffff,0xffffd0ff,0xffffffff,0x3ffe63ff,0xff92ffff,0xffe89fff,
    0xffffffff,0x7fffc404,0xffffffff,0x7fb803ff,0x03fee000,0x003bff90,
    0x7fdc0000,0x7ffe440f,0x201eceff,0xdeffffd8,0x261df901,0x41ff70aa,
    0x7fdc3fff,0xffffffff,0x3fffe27f,0x3ffea1ff,0xff70ffff,0xffffffff,
    0x3a1fffff,0xffffffff,0x71ffffff,0x9fffffff,0x9bfffffa,0xfffffff8,
    0x00efffff,0xfffffff3,0x7fffffff,0x001ffb00,0x9003fea0,0x0019ffff,
    0x7ff54000,0x3ffe60ff,0x4fffffff,0xffffff70,0xffd09fff,0xfbffffdd,
    0x17ff43ff,0x3fb332e2,0x541cccdf,0x546ffffc,0x5c2dffdc,0xcccceffc,
    0xd0fffccc,0xffd999ff,0x23ffd999,0xbceffdb8,0x39ffff50,0xccfffca8,
    0x06ffffdc,0x3fefff2a,0x3ffdcccf,0x001ffd80,0x7dc002a0,0x0003ffff,
    0x7ffff4c0,0x77fffc1e,0x85fffedd,0xeceffffb,0x7cc3ffff,0xffffffff,
    0x0ffec4ff,0x800ffec0,0xb83ffffe,0xbff103ff,0xfd0ffe80,0x907fec1f,
    0x5ff983ff,0x00ffffcc,0x7fcc1ffa,0x27fe602f,0x1ffd46ff,0x000ffec0,
    0xff910000,0x80005fff,0x2effffd8,0xa80eff98,0x7ffcc4ff,0x7ffe440d,
    0x67fffd40,0xfc86fffe,0x1ffd800f,0xfffffd00,0x103ffb81,0x7ec08bff,
    0xfd83ffa7,0x307ff20f,0x7ffd4bff,0x07fe800e,0xfc813fee,0x7d46ff8e,
    0x1ffd803f,0x98000000,0x01effffd,0x7fffe440,0x67ff403f,0x3205d41a,
    0x7fec05ff,0x262ffdc4,0x07fb87ff,0x2003ffb0,0x45ffeffe,0xff103ffb,
    0x9f537d4b,0x3ff63fec,0xf307ff20,0x37ffeebf,0x40ffd000,0x3fa05ff9,
    0xbc8eff8c,0xfd801ff8,0x0000001f,0x3ffffa60,0xfffb801d,0xfb800cff,
    0x1cefffff,0xddddffd0,0xdffddddd,0xfd81ffd8,0x8037d41f,0xfd001ffd,
    0x5c5fff3f,0xbff103ff,0xf7007fe4,0x2a0ffd8b,0xddff987f,0x74005fff,
    0x0fff607f,0x7fc4ffc4,0x42a8ffae,0xffeeeec8,0x22deeeef,0xeeeeeec9,
    0x03deeeee,0x3ffffea0,0xfffea80c,0x7e4000df,0x4fffffff,0xfffffff8,
    0x7fffffff,0x7e407ff4,0x802fc42f,0xfd001ffd,0x21fff71f,0xff103ffb,
    0x03ffffff,0x40ffd818,0xffff9809,0x74001fff,0xfffca87f,0x3e2ff701,
    0xb02fffff,0xffffffff,0x21ffffff,0xfffffffd,0x1fffffff,0x7fffe400,
    0xffffb12f,0x5440003f,0x5ffffedb,0x7ffffff4,0x7fffffff,0x7f417fe4,
    0xb001c80f,0x3fa003ff,0x2e9ffd0f,0xfff103ff,0x003fffff,0x2001ffb0,
    0xfffffff9,0x3ffa001f,0xfffffeee,0x7c57f604,0x702fffff,0xffffffff,
    0x5cdfffff,0xffffffff,0x00efffff,0xfffff910,0xffffd887,0x0b66001e,
    0x360fffa8,0x2a0003ff,0xff912eff,0xffb0000d,0x43ffa003,0xffb9fff9,
    0xddfff103,0xb0003fff,0x3e6001ff,0xfffebfff,0xffffd001,0x407fffff,
    0xffcceff8,0x4c01ffef,0x9affd999,0x99988099,0x99999999,0x3ffee001,
    0x3a600cff,0x801dffff,0x3f602ffd,0x0bffea2f,0xffb81530,0xeffffeff,
    0x7fec0000,0x41ffd001,0x3ffbeffc,0x7e4bff10,0xffd8000f,0x3fff3000,
    0xe803ffec,0xdeffffff,0x7fffd400,0x0ffaefff,0x00ffec00,0xea800000,
    0x000dffff,0x33ffffea,0x3bfffa00,0xffffdcbc,0x6ffffec0,0x6fffedcb,
    0x3fffffea,0x20efffff,0xfd801dec,0x1ffd001f,0x3fffffe8,0x74cbff10,
    0x1ffb0004,0x217fe600,0xfe803ffe,0x3ff20007,0x136ffeee,0x3f6006e2,
    0x0000001f,0x77ffff4c,0x3fee0001,0xffb03fff,0xffffffff,0xfffb105f,
    0xffffffff,0x7e6fff4d,0x2fffbeff,0xb00bfff3,0x3fa003ff,0x7fffd40f,
    0x0bff103f,0x07fec000,0x985ff980,0x7f400fff,0x8ffe0007,0x6fb86ff8,
    0x001ffd80,0xffb10000,0x00005dff,0x3fffff22,0x7ff6fd42,0x401dffff,
    0xfffffffa,0x13ea0bef,0x3e21df30,0xffd804ff,0x01ffd001,0x207ffffb,
    0x00005ff8,0x4c003ff6,0x9ff905ff,0x0007fe80,0x7fc43ff3,0x400ffd86,
    0x30001ffd,0xfff500bf,0x000007ff,0x17ffff66,0x009aaa88,0x0cd54c40,
    0x9b500000,0xffffd881,0x43efffff,0x3effffd8,0x10ffffe2,0xfffffffb,
    0x3f62001b,0x2effffff,0xfffffd88,0x3fffe21d,0x3fffb20d,0x2202dfff,
    0xfdbeffed,0xffffffff,0x7fe400ff,0x1ff70000,0x0cfffd80,0xe9800000,
    0x00001fff,0x00000000,0xfffff700,0x8fffffff,0x7ffffffb,0x2e1fffd4,
    0xffffffff,0xfff7004f,0x0fffffff,0xfffffff7,0x3ffffc89,0xfffffff1,
    0x7fdc0dff,0xffffffff,0xffffffff,0x00274c00,0xd3007b10,0x00000019,
    0x00009d50,0x00000000,0x7ffec400,0x3effffff,0x77fffecc,0x443ffd83,
    0xfffffffd,0xffb3001d,0x07dfffff,0xdfffffb1,0x0dfff983,0x3ffffff2,
    0x3fa202ef,0xfffdbeff,0xffffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4004c400,
    0x80dfffea,0x00dfffeb,0xfda82008,0x3b21dfff,0xf10dffff,0xffffffff,
    0xffd98dff,0x3ffb21df,0x00880c4e,0x26013000,0x01998000,0x40002600,
    0xd8801998,0x7ed45fff,0x026007ff,0x44000031,0x5bffb500,0x407ffffd,
    0x83ffffff,0x02ffffff,0x9f620fdc,0x4ffffffe,0xfffffff1,0x3ffffe27,
    0x46ffffff,0x14fffffd,0x23ffffff,0x02fd84fa,0xfffeb880,0x09fff71e,
    0xfffffd50,0x2e203b7b,0x01cefffd,0x7ffff6cc,0xfff701df,0xffffe8bf,
    0x5fffe447,0xffd9dfff,0xffb300cf,0x3ffee1ff,0x7ffff42d,0x5fffffff,
    0x1bffff70,0x3ffee331,0x1bf600ef,0x7f5c9fd1,0x3f21efff,0xf10dffff,
    0xffffffff,0xffea8bff,0x3fff61ff,0x306ff45f,0xfd8009ff,0xfeffffff,
    0x880dffff,0xfffffffd,0xfe884fff,0x2fffffff,0xffffff10,0xb103ffff,
    0xfeb8bfff,0x7ffd47ff,0xffffffff,0xf905ffff,0xffd7ffff,0x7543ffff,
    0xecefffff,0xff502fff,0xf88ffec9,0x3bfa206f,0x5417fe60,0xdff506ff,
    0xfa89ff10,0x3ff605ff,0x3ffff35f,0x4c1dfd10,0x3f2005ff,0xffffedff,
    0xd84fffdf,0xffddefff,0x7f445fff,0xfffdceff,0xdffff03f,0x40ffffb9,
    0x3fe05ff8,0x7fffec47,0xdfffffde,0xfe981fff,0xefffffff,0x7fc43ffe,
    0x2ffdc1ff,0xff16ff88,0x413fea9f,0x3ea0efe9,0x17ff405f,0xfe81fff4,
    0x017ffea2,0x3ffbffee,0x3fa200ef,0x03bfe61f,0x3ffa04c0,0x41fff32f,
    0xe882fffb,0x77ff45ff,0x82fffb81,0x1ffd0098,0xf817fe20,0x1dff907f,
    0x7e43bff2,0x7ffec02f,0x102ea1ef,0x3fe01dff,0x2e3ffa06,0x5ff97fff,
    0x5c1fff50,0xffa805ff,0x2037fcc6,0x017ffea0,0xdfffffa8,0x2ffe8800,
    0x8007bfe6,0x45ffdaa9,0x3ffe3ffd,0x893fe203,0x3ee00fff,0x2aa6205f,
    0x101ffd9a,0x3ffc0bff,0x3f21ffc8,0x00bfee2f,0x4009fffb,0x3fe05ff8,
    0x3abff206,0xffeaffff,0xb0fffdc0,0x7f400dff,0x00fff61f,0x002fffd4,
    0x00ffffec,0x5c7fff30,0x3a601fff,0xefffffff,0x15ffeeee,0xdb801fff,
    0x1017fea1,0xff910fff,0x3fffffff,0xf817fe20,0x43ff907f,0x3fee2ffc,
    0x01ffec02,0xf817fe20,0x3bfea06f,0xffefffff,0x23fff987,0x7001fffb,
    0x1ffe6bff,0x02fffd40,0x3ffff620,0xffb002ff,0x13ffa21d,0xffffffc8,
    0xffffffff,0x0bff35ff,0x007ff600,0xff987ff6,0xffffffff,0x0bff101f,
    0xffc83ffc,0xfb8bff21,0x07fec02f,0x817fe200,0x3fe206ff,0xfffebfff,
    0x7ffd105f,0x800fffcc,0x3ffd9fff,0x85fffa80,0xfffd101a,0x807fffd7,
    0x3fa24ffd,0x3ffe602f,0xfffecbde,0x36ffffff,0x32000dff,0xffe803ff,
    0x9dffff10,0x03fffb97,0xff81bfe2,0x643ff907,0x0bfee2ff,0x8001ffb0,
    0x3fe05ff8,0x7ffff406,0x03ffffb8,0xfd127fe4,0xdff7005f,0xfa801fff,
    0x87fb85ff,0x361fffe9,0xffb04fff,0x00f7fc45,0x3f617fee,0x3fff004f,
    0x1fff3000,0xf737fdc0,0x3ff201df,0x30fff101,0x3f20fffb,0xb8bff21f,
    0x7fec02ff,0x2ffc4000,0xfc80dff0,0xffff15ff,0x89ff5003,0xff802ffc,
    0x7cc03fff,0xffffffff,0x3ff20fff,0x3ff21eff,0x3bf62eff,0x4017fe21,
    0x7f4c5ffa,0x3a14c0ff,0x3a600dff,0x077ffe0f,0x647fff51,0xffc883ff,
    0x3bffa01f,0xfffffecb,0x90ffe41d,0x17fdc5ff,0x8003ff60,0x22efffec,
    0x01dfffd9,0x7ec5fff5,0x3fa2007f,0x5c03fd41,0x5c00ffff,0xffffffff,
    0xff31ffff,0x3e2bffff,0xf36fffff,0x8007f90b,0xffdbefff,0xffdbefff,
    0x3fffe64f,0xffeccacc,0x3fffea2f,0xdffffdbe,0x2f7ffee0,0xffffffdc,
    0xffffa81d,0xffffffff,0x5dfffb14,0x7dcfbff2,0x7ffe43ef,0x3effffff,
    0xffffff88,0x3fffff66,0x98fff104,0x028005ff,0xfff10031,0xffff7009,
    0xffffffff,0x77fffec3,0x3bffff21,0x80008022,0xfffffffa,0xffffffff,
    0x7fffd44f,0x5fffffff,0xffffff98,0xffd05fff,0xffffffff,0x3ea09fff,
    0xffbeffff,0xffff51ef,0x5ffff2ff,0xf50ffffb,0xffffffff,0xff901fff,
    0x7f4c5dff,0x00001eff,0x00000000,0x00000000,0x80000000,0xecffffe9,
    0x3effffdd,0xfffffb30,0x6cc07dff,0x03efffff,0x3fffff22,0x1efffdcf,
    0x400554c0,0x93efffd8,0x3fee9fff,0x3fff624f,0x4fffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x44055440,0x5310009a,0x88003355,
    0x5544001a,0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26000000,0x5bb73000,0xa8800001,
    0x33b2a04c,0x7776dc41,0xeeeeeeee,0x00101eee,0x20337b2a,0xccccccb9,
    0x0acccccc,0x05676e4c,0x915fff88,0x33322399,0x00060002,0x4c0c0013,
    0x99999880,0x99999999,0x66644199,0xcccccccc,0x103fb803,0x37dc03fd,
    0x7ff7fe40,0x40174406,0xf905fffe,0x7d4bffdf,0xffffffff,0x1fffffff,
    0x8077ffdc,0x1ffffffc,0x3fffffe6,0xffffffff,0x7ffffc5f,0x3fff505f,
    0xff8bffe2,0x7103e83f,0x83103fff,0x7ec402fe,0xfd8fffa2,0xffffffff,
    0xffffffff,0xfffff32f,0x0dffffff,0xe889fff0,0x3ff603ff,0xfb0e5400,
    0x00ffec05,0x2217f32e,0x21fd10ef,0xfffffff9,0xffffffff,0x3ffff61f,
    0x977dc1ff,0xff10ffb8,0xffffffff,0x88bfffff,0x7e40fec1,0xd0fffc4f,
    0x85f883ff,0x3ffffff8,0xff98ffa2,0x4cbfd304,0x3ffe6fff,0xffffffff,
    0xffffffff,0xffffff34,0x00dfffff,0x3a29fff7,0x3f600eff,0x7f44000f,
    0x1dfff902,0x2e0bf300,0x26217ec1,0x99999999,0xf51ffd99,0x8dff73bf,
    0x23fc80fe,0xaaaaaaa8,0x81aaaaaa,0x2feefdb8,0x7f40ffe8,0x103ff60f,
    0xeffe87ff,0xfe9cfffd,0x22ff4c3f,0xfff84ffa,0x33333263,0xcccccccc,
    0x220bcccc,0x88888888,0x3fee0008,0x20effecf,0xffd8add8,0xf702eb98,
    0x3fea0bff,0xf9806fff,0x00ff9005,0x323ff900,0x887fdc6f,0x009f506f,
    0xdfff3000,0xff885ffd,0x7e47fc84,0x8fff44c7,0xff90eff8,0x101dffff,
    0x017f45fb,0x00000035,0xfb800000,0x5c0effff,0xffffffff,0xfb307fff,
    0xfff981df,0x4c04fffc,0x77ec405f,0xffc80000,0xff989fb1,0x3fa0bfa1,
    0xfe800002,0x3ee17e42,0x5c6fb80f,0x7f6ffc6f,0xff5036e1,0x41801dff,
    0x33100009,0x33333333,0x00333333,0xffc80000,0xfff980ff,0xffffffff,
    0x224fd804,0xfff55fff,0x502fcc07,0x00001bff,0x7fe47ff2,0xff31ff20,
    0xd8bff97b,0xffffffff,0x22efffff,0xffebacfe,0x5413f62d,0x2e2fcc5f,
    0x22004ffe,0x000002cb,0x7ffffec0,0xffffffff,0x002fffff,0xffe88000,
    0x3f6a04ff,0x00beffff,0x7ff4bf50,0x817ffdc6,0x7ff905f9,0xffc80000,
    0xfd9fff31,0xfffd509f,0x7ffcc19f,0xffffffff,0x3a66ffff,0x5ffeffff,
    0x1fc403fe,0x000413e2,0x00000000,0x3ffffffe,0xffffffff,0x0004ffff,
    0x7fff4400,0x3e204fff,0xf303ffff,0x23ffb99d,0xfc80fffb,0x7ff7647f,
    0xdfff91de,0x80003ddd,0x3fee0ffb,0x2600efff,0xffd9009a,0xffffffff,
    0x35105bff,0x80370262,0x00001301,0x00000000,0x3777772a,0xdddddddd,
    0x0000cddd,0x3bffa200,0xb04fffb8,0x03ffffff,0x8bbfffb2,0x3f601ffa,
    0x7ffffec6,0xfffff92e,0x880007ff,0x3dec985e,0x00000000,0x00000000,
    0x00000000,0x00000000,0x74000000,0x3fee0eff,0x47ffd42f,0x00806ffd,
    0x00060026,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ee03bfa,0x897fe42f,0x00000ffe,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x17300000,0x1ecc14c0,
    0x00000f62,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_33_latin1_x[224]={ 0,6,3,1,2,2,3,6,7,3,2,1,5,2,
6,2,2,2,1,1,2,1,3,2,2,3,6,5,-1,0,1,2,2,-1,0,0,0,0,1,0,0,2,1,0,
0,-1,-1,0,1,0,0,1,1,0,-1,-1,0,0,2,7,2,3,2,-2,5,1,-1,1,0,0,2,0,0,1,
2,0,1,-1,0,1,-1,1,1,2,2,0,0,-1,0,0,2,4,7,4,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,6,2,0,2,0,
7,1,4,-1,3,1,-1,2,-1,-2,4,1,4,4,5,0,1,6,5,4,3,1,0,-2,0,2,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,2,2,2,2,-1,-1,0,0,0,0,0,2,0,0,0,0,0,0,1,0,1,1,
1,1,1,1,-1,1,0,0,0,0,1,1,1,1,1,0,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
 };
static signed short stb__courier_bold_33_latin1_y[224]={ 24,5,6,4,3,5,7,6,5,5,5,7,20,14,
20,3,5,5,5,5,5,5,5,5,5,5,11,11,7,11,7,6,5,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,5,3,5,4,29,4,10,5,10,5,10,5,10,5,5,
5,5,5,10,10,10,10,10,10,10,6,11,11,11,11,11,11,5,5,5,12,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,24,11,4,6,8,6,
5,5,5,6,5,11,14,14,6,1,2,3,5,5,4,11,5,12,22,5,5,11,5,5,5,11,0,0,0,1,
1,-1,6,6,0,0,0,1,0,0,0,1,6,1,0,0,0,1,1,9,5,0,0,0,1,0,6,5,4,4,
4,6,5,4,10,10,4,4,4,5,4,4,4,5,5,6,4,4,4,6,5,7,9,4,4,4,5,4,5,5,
 };
static unsigned short stb__courier_bold_33_latin1_w[224]={ 0,5,11,15,14,14,13,5,8,7,14,16,7,13,
5,14,14,14,14,15,13,15,13,13,14,13,5,8,18,17,17,14,13,20,17,17,17,17,17,18,17,14,17,18,
17,20,19,17,16,17,19,15,16,18,20,19,18,17,14,7,14,8,14,21,7,16,18,16,18,17,15,18,18,15,
12,17,15,20,17,16,18,17,16,14,16,17,18,19,17,17,14,9,4,9,15,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,5,13,17,14,17,
4,16,10,19,11,16,18,13,19,21,10,16,9,9,7,17,15,5,7,9,11,16,18,21,18,13,20,20,20,20,
20,20,20,17,17,17,17,17,14,14,14,14,18,19,17,17,17,17,17,13,18,18,18,18,18,17,16,16,16,16,
16,16,16,16,19,16,17,17,17,17,15,15,15,15,15,17,16,16,16,16,16,16,17,17,17,17,17,17,18,17,
 };
static unsigned short stb__courier_bold_33_latin1_h[224]={ 0,20,9,23,25,20,18,9,24,24,13,17,9,4,
5,25,20,19,19,20,19,20,20,20,20,20,14,17,17,9,17,19,22,18,18,19,18,18,18,19,18,18,19,18,
18,18,18,19,18,23,18,19,18,19,18,18,18,18,18,24,25,24,11,4,6,15,20,15,20,15,19,21,19,19,
26,19,19,14,14,15,21,21,14,15,19,14,13,13,13,20,13,24,24,24,7,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,20,21,18,15,18,
24,22,4,19,9,13,10,4,19,4,10,21,10,11,6,20,22,5,8,10,9,13,19,19,19,20,24,24,24,23,
23,25,18,24,24,24,24,23,24,24,24,23,18,23,25,25,25,24,24,13,22,25,25,25,24,24,18,20,21,21,
21,19,20,21,15,20,21,21,21,20,20,20,20,19,20,18,21,21,21,19,20,17,18,21,21,21,20,27,26,26,
 };
static unsigned short stb__courier_bold_33_latin1_s[224]={ 254,244,155,56,231,18,133,247,246,228,15,
128,147,235,207,197,33,126,141,83,156,134,150,154,180,231,245,245,180,117,162,
170,202,19,59,185,198,115,36,203,236,1,1,71,218,177,16,19,90,128,216,
55,54,71,164,77,40,200,185,246,164,142,40,213,191,55,99,21,118,214,90,
36,106,239,19,37,125,90,128,38,225,1,111,199,222,72,183,146,217,185,202,
236,137,64,175,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,
109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,109,254,250,158,
141,232,159,151,185,245,20,135,166,75,235,203,213,94,55,65,30,199,213,216,
247,167,55,105,235,90,223,1,88,1,43,22,146,107,69,107,174,156,1,74,
167,92,107,122,72,236,87,179,127,109,192,210,1,232,212,145,90,19,38,147,
168,19,106,89,57,137,54,1,1,36,123,71,195,102,72,164,74,118,97,19,
141,208,40,66,145,1,190,172,1,48,1,32,51, };
static unsigned short stb__courier_bold_33_latin1_t[224]={ 1,79,238,54,1,123,184,203,29,29,238,
203,238,238,238,1,123,144,144,123,144,101,101,123,101,101,123,101,203,238,203,
144,54,184,184,144,164,184,203,143,184,203,164,203,184,164,203,164,203,54,164,
164,203,164,184,184,184,184,184,1,1,29,238,243,238,222,123,222,123,203,164,
101,164,143,1,164,164,222,221,222,79,101,222,203,143,222,221,221,221,123,221,
29,29,29,238,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,
144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,144,1,79,79,
164,203,164,29,54,138,144,238,221,238,238,123,238,238,101,238,238,238,101,54,
213,238,238,238,221,144,123,144,101,29,29,29,54,54,1,203,29,29,54,29,
54,29,29,29,54,164,54,1,1,1,29,29,238,54,1,1,1,54,54,184,
123,79,79,79,144,123,79,222,123,79,79,79,101,101,101,101,144,101,184,101,
79,79,144,123,203,184,79,79,79,123,1,1,1, };
static unsigned short stb__courier_bold_33_latin1_a[224]={ 280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,280,
280,280,280,280,280,280,280,280, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_33_latin1_BITMAP_HEIGHT or STB_FONT_courier_bold_33_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_33_latin1(stb_fontchar font[STB_FONT_courier_bold_33_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_33_latin1_BITMAP_HEIGHT][STB_FONT_courier_bold_33_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_33_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_33_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_33_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_33_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_33_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_33_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_33_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_33_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_33_latin1_s[i] + stb__courier_bold_33_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_33_latin1_t[i] + stb__courier_bold_33_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_33_latin1_x[i];
            font[i].y0 = stb__courier_bold_33_latin1_y[i];
            font[i].x1 = stb__courier_bold_33_latin1_x[i] + stb__courier_bold_33_latin1_w[i];
            font[i].y1 = stb__courier_bold_33_latin1_y[i] + stb__courier_bold_33_latin1_h[i];
            font[i].advance_int = (stb__courier_bold_33_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_33_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_33_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_33_latin1_s[i] + stb__courier_bold_33_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_33_latin1_t[i] + stb__courier_bold_33_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_33_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_33_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_33_latin1_x[i] + stb__courier_bold_33_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_33_latin1_y[i] + stb__courier_bold_33_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_33_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_33_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_33_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_33_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_33_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_33_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_33_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_33_latin1_LINE_SPACING
#endif

