// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_34_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_34_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_34_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_34_latin1_BITMAP_HEIGHT        270
#define STB_FONT_courier_bold_34_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_bold_34_latin1_FIRST_CHAR            32
#define STB_FONT_courier_bold_34_latin1_NUM_CHARS            224

#define STB_FONT_courier_bold_34_latin1_LINE_SPACING          16

static unsigned int stb__courier_bold_34_latin1_pixels[]={
    0x00000000,0xb5000000,0x0002d983,0x00110000,0x00003a80,0x88000750,
    0x00dc0000,0x003a8000,0x00c00000,0x00644000,0x001b2200,0x7e43ffe4,
    0x80001fff,0x7ff46ff8,0x001ff100,0x017fd400,0x001bfb00,0x0037e400,
    0x0005ff50,0x0000ffe2,0x0001ff90,0x4c03ff10,0x8bffffdb,0xff30004c,
    0x7f440005,0xfff90005,0x1fffff88,0x89fd0000,0x3fea06fc,0xfd880005,
    0x8000dfff,0x0001efe8,0x000ffec4,0x6ffffec4,0x5ffa8000,0xffd88000,
    0xffb00001,0x3fffee07,0x2fffffff,0x027fdc00,0x01bff300,0x21fff200,
    0x001ffffc,0x200c0600,0x0001fff8,0x3eabffe6,0xfb0001ff,0x3a20003f,
    0xf98000ef,0x1fffaaff,0x06fe9800,0x03bfa200,0x7ffc4000,0xfffffb80,
    0x3ffffffe,0x00bff200,0x004ff980,0xb00ccc40,0x000003ff,0x13ff2000,
    0x20dfd800,0x20004fd8,0xf70004fb,0x6fe4000b,0x0013f620,0x80017ec4,
    0x00000dfa,0x3ee17ff2,0x7f4c1dff,0xdf1003ff,0x2ea80003,0x36000000,
    0x4c0001ff,0x2aa601aa,0x00fff881,0x04c03100,0x00022000,0x0c400008,
    0x18000130,0x00004000,0x107ffe20,0xfd809fff,0x0002003f,0x2a600000,
    0x2aaaaaaa,0x9751ffd8,0xfff88037,0x3fe20fff,0x7ec0ffff,0x0000004f,
    0x00008800,0x20000110,0x00000008,0x40000000,0xffa85ffb,0x02ffa805,
    0xaa980000,0x106aa601,0xffffffff,0x9ffb0dff,0xbffffffd,0x3ffffe60,
    0x3fffe61f,0x7ffcc2ff,0xeedb8800,0x3bb6a2de,0x36600bde,0x001defff,
    0x6f7ffecc,0x7fecc001,0x2e201def,0x2a2deeed,0x10bdeeed,0x45bdddb7,
    0x0bdeeeda,0x903fff00,0x132007ff,0xeeeeec88,0xfff8804e,0x3fe20fff,
    0xff10ffff,0xffffffff,0xfffffb0d,0x1dffffff,0x05dfff50,0x207fffd5,
    0xfb803ffd,0x88ffffff,0x4fffffff,0xffffff90,0x3f2009ff,0x4fffffff,
    0xfffff900,0x3ee09fff,0x88ffffff,0x4fffffff,0xfffffff7,0xffffff11,
    0xdff7009f,0x0007ffa0,0x7ffffec0,0x7cc00fff,0x261fffff,0x22ffffff,
    0xdcccccca,0xfffd86ff,0xfffcbdff,0x6ffb80ef,0xa80fffa0,0xffa807ff,
    0x3fa6ffff,0xd82fffff,0xffeeffff,0x7fec06ff,0xffffeeff,0x7fffec06,
    0x86ffffee,0x6ffffffa,0x3ffffffa,0xffffff52,0x7fffff4d,0x2ffe802f,
    0x0000fff0,0x7fffffdc,0xffa804ff,0xffea82ef,0x3fe6003f,0x0cfffd86,
    0xd03fffa8,0xfff505ff,0x007ffd00,0x2202bffa,0xfb80eff9,0x3f220cff,
    0xfff703ff,0x7ffe4419,0x19fff703,0x81fffe44,0x9880affe,0xffe80eff,
    0xeff9880a,0x06ffa800,0x00001ffe,0xfffff331,0x1bfee00f,0x4003ffe8,
    0xffd86ff9,0x82ffe407,0xffe86ffb,0x06ffa803,0x4401ffd0,0xfff986ff,
    0x07ffea03,0x5407fff3,0x7fcc1fff,0x3ffea03f,0x200ffe81,0xffd06ff8,
    0x037fc401,0x3e02ffe8,0x5000007f,0x05ffddff,0x2a0bffa0,0xf98007ff,
    0x03ffd86f,0xfd03ffc4,0x03ffd45f,0xd005ffd0,0x7fc401ff,0x805ffd86,
    0x7fec5ffc,0x45ffc805,0xfc805ffd,0x00ffe85f,0x7f41bfe2,0x1bfe200f,
    0xb01ffea0,0x000001ff,0xbff77ffb,0x21bfee00,0x98003ffe,0x4ffd86ff,
    0x700fff80,0x1fff4dff,0x00dff700,0x7c401ffd,0x00ffe86f,0x7f47ff88,
    0x7ff8800f,0x44007ff4,0x0ffe87ff,0x741bfe20,0x3fe200ff,0x03ffd806,
    0x0001ffdc,0x223ffe20,0xfd000fff,0x03ffd45f,0xd86ff980,0x3e600fff,
    0x5fff406f,0xf8007ffa,0x7ff401ff,0x11bfe200,0x7f400dff,0x00dff10f,
    0xff887ff4,0x03ffa006,0x7c401ffd,0x01ffd06f,0x26037fc4,0x7c400fff,
    0x1da800ff,0xf927fe40,0x3fee009f,0x000fffa6,0x7ec37fcc,0xff980cff,
    0x77fd404f,0xb8003ffe,0x7ff405ff,0x31bfe200,0x7e400bff,0x00bff32f,
    0xff997fe4,0x0bff2005,0x7c401ffd,0x01ffd06f,0x36037fc4,0xffd004ff,
    0x37fe407f,0xf987ffe0,0x3ffa007f,0x0007ffab,0x3f61bfe6,0xdbbdffff,
    0xe800ffff,0x0007ffff,0x7403fff1,0x3fe200ff,0x0027fd46,0x3fea5ff9,
    0x4bff2004,0x32004ffa,0x07ff42ff,0x3a0dff10,0x3fe200ff,0x03ffe206,
    0x7fffec40,0xffffeccd,0x21bfea04,0xf5002ffe,0x007ffddf,0x6c37fcc0,
    0xffffffff,0x5001ffff,0x0007ffff,0xfd02ffe4,0x37fc401f,0xd801bfe2,
    0x0dff11ff,0xf88ffec0,0x3ff6006f,0x1007ff41,0x3ffa0dff,0x81bfe200,
    0xd8004ffc,0xffffffff,0x7fec04ff,0xfffeeeef,0x3fffa005,0x7cc0007f,
    0xecffd86f,0x0dffffff,0x03fff400,0x03ffe200,0xf1007ff4,0x00fff0df,
    0x1ffe3ffc,0x7fc7ff80,0x21ffe007,0x3e200ffe,0x01ffd06f,0xf8837fc4,
    0x970000ff,0x5bfffffd,0xfffff880,0x0fffffff,0x7ffff500,0x6ff98000,
    0x9751ffd8,0x3e000157,0xc80003ff,0x5ff904ff,0x6c2ffcc0,0xffb804ff,
    0x4027fec6,0x7fec6ffb,0x86ffb804,0x3e602ffc,0x05ff905f,0xfc82ffcc,
    0xfb00005f,0x7fe40015,0xffffffff,0x3fa004ff,0xf980007f,0x01ffd85f,
    0x3ffdc000,0xfff98000,0x206ffb80,0xffa83ffc,0x3ffe601f,0x00fffd42,
    0xfa85fff3,0x3fe601ff,0x06ffb82f,0x7dc0fff2,0x0fff206f,0x0007ffe2,
    0x2001ff40,0x9999afff,0x007ffa99,0x0000fffe,0x3f613fee,0x7c00001f,
    0x200003ff,0xff983ffd,0x7ffdc0cf,0x05fff901,0x320bfff5,0xffa82fff,
    0x5fff905f,0x20bfff50,0x5c0cfff9,0xff301fff,0xfffb819f,0x005ffb81,
    0x00fffa00,0x6c037fd4,0xffb802ff,0xff980007,0x01ffd82f,0x3bbb6a00,
    0x0002dfff,0x701fff30,0xffbbffff,0xffe809ff,0xfffeddef,0x3fffa00f,
    0xffffedde,0x3bfffa00,0x0ffffedd,0x37fffee0,0x404ffffd,0xfddffffb,
    0xfff04fff,0xbd900005,0xfd980bf9,0xfd85ffff,0x200effff,0x2e003fff,
    0xffffeeed,0x3fff6a0e,0x26001cee,0xffffffff,0xd00000ff,0x3ff205ff,
    0x05ffffff,0xfffffe88,0x4400dfff,0xfffffffe,0x7f4400df,0xdfffffff,
    0xffffc800,0x9005ffff,0xffffffff,0x01bfea0b,0x7fffe400,0x7fffe402,
    0x3fe61fff,0xb54fffff,0x5bfffddd,0xfffff300,0x7c41dfff,0x7fffffff,
    0x3fffe200,0x006fffff,0x80bfe600,0x2ffffffa,0x7fffdc00,0x7dc003ef,
    0x003effff,0x77ffffdc,0x7ffd4003,0x54002fff,0x02ffffff,0x0000bfe6,
    0x9800ba88,0x85fffffd,0x9dfffffd,0xfffffff9,0x7c400fff,0x0cefffff,
    0xffffffe8,0x9998005f,0x00009999,0x51001980,0xa8800015,0x5440000a,
    0x5440000a,0x5440000a,0x5440000a,0x0033000a,0x00000000,0xffff8800,
    0x006fffff,0x20026666,0x00999998,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4ccc0000,0x00009999,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00039800,0x003ed980,0x00000ea0,0x03500057,
    0x00400053,0x00570000,0x40000750,0x0044002b,0x26400044,0x00022000,
    0x0014c0d4,0x1df90004,0x33e20000,0xfb0003fb,0xe880001d,0x7fdc004f,
    0x000ffe61,0x00003bee,0x8004fe88,0x20000efc,0x2a004fe8,0x3fe202ff,
    0x0bfea001,0x017fd400,0xf987fee0,0x5ff3003f,0x07ff6200,0x7a9ae000,
    0x3dfd1000,0x3bfa6000,0x0ffdc000,0x4c009ff3,0x003ffffe,0x00efe980,
    0x01ffe880,0x00efe980,0xdffffd88,0x00effa80,0x8007ff70,0x0dffffd8,
    0x4c3ff700,0xffd004ff,0x2ffc8007,0xb93d4000,0x1ffc8000,0x027fcc00,
    0xba82b880,0x3dff5000,0x4000dff9,0x80004ff9,0x26001ffc,0xff3004ff,
    0x03fff55f,0xf7009fff,0x0197bfff,0x7d57ffcc,0x2b8801ff,0xfa800ba8,
    0xfa8000ff,0xefe80005,0xfb80002f,0x01fec005,0xf8000000,0x017f4c3f,
    0x0003fd80,0xd8017ee0,0x37f6003f,0x2e13f620,0xff500fff,0xbfffffff,
    0xb106fe40,0x0000009f,0x0002fff4,0x2a000011,0x2200000b,0x00044000,
    0x40002200,0x80006009,0x88000008,0x00022000,0x4404c031,0xfff03fff,
    0xdfffffff,0x01300c40,0x3e600000,0x000001ff,0x00000000,0x00000000,
    0x3bdfffb3,0x00000000,0x00000000,0x80000000,0xffa87ffc,0xdff930ae,
    0xb7100000,0x6d45bddd,0x6c0bdeee,0xec8805ff,0x004eeeee,0xeeeeec88,
    0x3b6e004e,0xdeeeeeee,0x1ef76dc3,0x01ef76dc,0xfffffff9,0xdd91009f,
    0x2009dddd,0xeeeeedb8,0x5eeeeeee,0x3bbbb6e2,0xeeeeeeee,0x77776dc5,
    0x5c3deeee,0xeeeeeeed,0xfff883de,0xd80ffec2,0x3bb6e23f,0xeeeeeeee,
    0x3ffee5ee,0xff88ffff,0x224fffff,0xfd801fff,0x0fffffff,0x7fffec00,
    0xa800ffff,0xffffffff,0xff32ffff,0x7cc3ffff,0xd81fffff,0xffeeffff,
    0x7fec06ff,0x00ffffff,0xffffffa8,0xffffffff,0x3ffffea7,0xffffffff,
    0x3fffea7f,0xffffffff,0xffffff52,0x05ffffff,0xffc89ffb,0xfff50203,
    0xffffffff,0x7fd4ffff,0x3fa6ffff,0x2a2fffff,0xff7007ff,0x09ffffff,
    0xfffffb80,0xf9804fff,0xffffffff,0xfff11fff,0xfff88bff,0x7fdc0fff,
    0x3ff220cf,0x3ffee03f,0x804fffff,0xfffffff9,0x7fffffff,0x3fffffe6,
    0xffffffff,0x3ffffe67,0x1fffffff,0xfffffff3,0x903fffff,0xfff98bff,
    0x7fcc01be,0xffffffff,0xfe87ffff,0xff9880af,0x02ffdc0e,0xffff3310,
    0x331000ff,0x00ffffff,0x67fe4ccc,0xfff50199,0x05fff505,0x5407fff3,
    0x26201fff,0x07fffff9,0x267ffe60,0x7ff99999,0x999fff98,0x87ff9999,
    0x9cffc999,0xf9333019,0x5403339f,0xfffe87ff,0x2603dfff,0x99999fff,
    0xfe87ff99,0x1bfe200f,0x20013ff6,0x2ffeeffa,0xddff5000,0xf70005ff,
    0x3ff2007f,0x13ffe20f,0x6402ffec,0xffa805ff,0x1002ffee,0x7ff80dff,
    0x7c06ff88,0x1ffdc07f,0x00ffee00,0x6407ffcc,0xefffffff,0x406ff880,
    0x0ffe87ff,0x3a1bfe20,0xfd8003ff,0x005ffbbf,0xff77ffb0,0x7ff7000b,
    0xb2fff400,0x7ff40dff,0x07ff8800,0xffbbffd8,0x8dff1005,0x2217fa3a,
    0xfd1d46ff,0x03ffb80b,0x801ffdc0,0x5101fff8,0x0dffffd9,0x23a8dff1,
    0x0ffe85fe,0x3e1bfe20,0x7c4002ff,0x0fff88ff,0x47ffc400,0x4000fff8,
    0x26003ffb,0xfffaafff,0x00dff101,0xf1007ff4,0x1fff11ff,0x4cdff100,
    0x103b52ff,0x97fccdff,0x7fdc01da,0x1ffdc003,0x00fff980,0x83fff710,
    0x3fe66ff8,0xffd03b52,0x437fc401,0x64002fff,0x13ff24ff,0x649ff900,
    0x7dc004ff,0x7fe4003f,0x2604ffff,0x3f2005ff,0x93ff202f,0xf8804ffc,
    0x3ffcaaff,0xaafff880,0x5c003ffc,0x7dc003ff,0xfff5003f,0x3f202ec4,
    0x57ffc43f,0xe803ffca,0x3fe200ff,0x003ffd86,0xff30fffc,0x1fff800f,
    0x7001ffe6,0xfd0007ff,0xfa80dfff,0x3ff2004f,0x987ffe02,0xff8807ff,
    0x04ffffff,0xffffff88,0x7dc004ff,0x7fdc003f,0x4dff7003,0x3f603ffa,
    0x7fffc42f,0xe804ffff,0x3fe200ff,0x005ffc86,0x3fa1bfea,0xdff5002f,
    0x4005ffd0,0x98003ffb,0x4401ffff,0x3f6006ff,0x0dff501f,0xf8805ffd,
    0x4fffffff,0xfffff880,0x5c004fff,0x7dc003ff,0x9ff9003f,0x261fffe4,
    0xff887ffb,0x04ffffff,0x2200ffe8,0x6ffb86ff,0x3bfff600,0x05fffeee,
    0xdddfffb0,0x400bfffd,0x90003ffb,0x3fe009ff,0x81ffe007,0xeeeefffd,
    0x7c405fff,0x3ffdccff,0xccfff880,0x5c003ffd,0x7dc003ff,0x7ffd003f,
    0x77ffffe4,0x884ffffe,0xffdccfff,0x00ffe803,0x3e61bfe2,0xff8800ff,
    0xffffffff,0x7fc400ff,0xffffffff,0xff7000ff,0x3fee0007,0x09ffb003,
    0x220dff70,0xffffffff,0x2200ffff,0x8ffe66ff,0x26ff883a,0x00ea3ff9,
    0xb8007ff7,0xffa803ff,0x3fffea0f,0x0effffff,0x3e66ff88,0x3f20ea3f,
    0x17fe602f,0x64027ff4,0xffffffff,0x6404ffff,0xffffffff,0x7004ffff,
    0x2e0007ff,0xff5003ff,0x7ffcc03f,0xfffff902,0x9fffffff,0x2e37fc40,
    0x885ff10c,0x8865c6ff,0x3fee02ff,0x1ffdc003,0x222fff40,0xffffebdd,
    0x1bfe203e,0x0bfe2197,0x7e40dff7,0x1fff703f,0x99afff80,0x7ffa9999,
    0x4cd7ffc0,0x7ffa9999,0x007ff700,0x800ffee0,0xfa82fffc,0x3ffe05ff,
    0xa999999a,0x3fe207ff,0x227fd406,0x7d406ff8,0x0ffee04f,0x807ff700,
    0xb801fff9,0xff8804ff,0x227fd406,0x5c0cfff9,0xff101fff,0x37fd407f,
    0xa817fec0,0xffd806ff,0x03ffb802,0x007ff700,0xddefffe8,0x500ffffe,
    0xffb00dff,0x01bfe205,0xff889ff5,0x027fd406,0xb8007ff7,0x7fec03ff,
    0x07ff7006,0xa80dff10,0xfffb84ff,0x4ffffddf,0x4c3ffe40,0x85fffffd,
    0x0efffffd,0xbfffffb3,0xdfffffb0,0x3ffff621,0x0dffffff,0xfffffd88,
    0x4400dfff,0xfffffffe,0xffd980df,0xffd85fff,0xfb10efff,0xffffffff,
    0x229fffff,0xfffffffd,0x4fffffff,0xffffffb1,0x221bffff,0xfffffffd,
    0xff30dfff,0x3fee003f,0x3fff6203,0xffffffff,0xff904fff,0x0bffffff,
    0xc85fff10,0x1fffffff,0x3fffffe6,0xfffff94f,0x7ffcc3ff,0xff74ffff,
    0xffffffff,0xfff507ff,0x7fffffff,0x3fffee00,0x3ff203ef,0x261fffff,
    0x4fffffff,0xfffffff7,0xffffffff,0x3ffffee9,0xffffffff,0xffff74ff,
    0xffffffff,0x3ffffee7,0x3fffffff,0x4c009ff3,0x3fee01ff,0xffffffff,
    0x204fffff,0x2ffffffa,0x30ffea00,0x0bfffffb,0x3bfffffb,0x3fffff66,
    0xfffffd85,0xffffb11d,0x1bffffff,0xfffffb10,0x8001bfff,0xd9800aa8,
    0xd85fffff,0x11dfffff,0xfffffffb,0x9fffffff,0x3fffff62,0xffffffff,
    0xffffb14f,0x1bffffff,0x3fffff62,0x20dfffff,0x03b8003b,0x7ffffec4,
    0xffffffff,0x0aa8804f,0x00177000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0ed88001,
    0x10000040,0x20035015,0x13ffffec,0x022001db,0x77fffdc0,0x800ef5c4,
    0x0aa02ec8,0x06a00173,0x004000a6,0x05303500,0x54400000,0x8800000a,
    0xeb801980,0x540aa0cf,0xff9103ff,0x6c001b87,0x00ffdc6f,0x3fffffe2,
    0x4c07ff53,0x01dffffd,0x3fffffee,0x00bfffe0,0x260dfff5,0x013fe2ff,
    0xff987fee,0x33fae003,0xff700aa0,0x401ffcc3,0xffffffeb,0xfffd102f,
    0x088001df,0x3fa2ff88,0x3fff204f,0x706fcbff,0x3ffa07ff,0x04fdbeff,
    0x3f23ff40,0xfffd801f,0x07ff73ff,0x3ffffff2,0xfff704ff,0xfffb8bff,
    0x1ffff407,0xff33ffb8,0x43ff700b,0xf9004ff9,0xdf97ffff,0x261ffb80,
    0x7fe404ff,0x2fffffff,0xfffffe88,0x7ecc00ef,0xffd1dfff,0x03fffe69,
    0xfffc86f4,0x07ff701f,0xffb119f1,0xc88001df,0x40015c41,0x7ff73ffb,
    0xddffffb0,0xf70bffff,0xffe8807f,0x01bff301,0xff99ffdc,0xa82b8805,
    0x21bd000b,0x401ffffc,0x00ba82b8,0x26673fe6,0xfe82fe99,0x813faa2f,
    0xfffffffc,0xf70fffff,0x4c003fff,0x1ffdc02c,0x00039300,0x7dc00000,
    0xb87ff73f,0x3220cfff,0x7fdc3fff,0x02ffc803,0xfc807ff7,0x009ff52f,
    0x93000000,0x20000005,0x07fa05fc,0xdf703ff5,0x3bffff60,0x2fffffff,
    0x007fffea,0xffb80044,0x00000003,0x7fdc0000,0x7cc7ff73,0x3fea02ff,
    0x00ffee1f,0x7dc0bff2,0x97fe403f,0x00004ffa,0x00000000,0x204fd800,
    0x827f40fc,0x7fdc0ff8,0x3ff660cf,0x7fffcc6f,0x3fff6600,0x3fee01de,
    0xeeeec883,0xc88004ee,0x04eeeeee,0x2e7ff700,0x17ff63ff,0xfb97ff60,
    0x2ffc803f,0xd807ff70,0x07ff71ff,0xdddddb71,0xbddddddd,0x82eeeda8,
    0x0ceeeeda,0x3bbbbb6e,0xea83deee,0x7fc002ff,0xf987fe02,0xfff883ff,
    0x3ffe61ff,0x3ffff207,0xf704ffff,0xffffb07f,0x8001ffff,0xfffffffd,
    0xffb8000f,0x7f47ff73,0x7ff8800f,0x3200ffee,0x7ff702ff,0x37ffae60,
    0x20bdffec,0xfffffffa,0x7fffffff,0x3fffffe2,0x7fffffc0,0xfffff54f,
    0x5fffffff,0x67fffff4,0x41ff8800,0x361fffda,0xfffb05ff,0x7ffc4bff,
    0xdffffb07,0x70dffffd,0xfff707ff,0x009fffff,0xffffffb8,0xfb8004ff,
    0x227ff73f,0x3fa006ff,0x007ff70f,0x3ee05ff9,0xffffa83f,0xffffffff,
    0x3ffffe66,0xffffffff,0x7ffff47f,0x7ffff45f,0xffff32ff,0xffffffff,
    0x36b3fea3,0x7cc02fff,0x7ffffec7,0x3203ffa1,0x47ffbfff,0xffb86fff,
    0x3ff220cf,0x817fcc3f,0xfffff998,0xf9988007,0x8007ffff,0x7ff73ffb,
    0xd8017fe6,0x07ff71ff,0x3207ff70,0xfffa83ff,0xffffffff,0x9fff986f,
    0xff999999,0xffffe887,0x07ffcc42,0x67fe4ccc,0x237d4199,0x501efffa,
    0x56ffe4df,0x0dff11ff,0x3fe7fff5,0x317ffe0f,0x7d407fff,0x400cc1ff,
    0x2ffeeffa,0xddff5000,0xfb8005ff,0x2a7ff73f,0x3f2004ff,0x007ff72f,
    0x2a3dfff5,0x5301fffe,0xffd55fff,0xdff10157,0xfb07ff80,0x3fe0dfff,
    0x03ffb807,0xf9106ff4,0x6fa819ff,0x31ff8ffe,0xfff88bff,0xfe8bff65,
    0x02ffec4f,0x8002ffe4,0x5ffbbffd,0x77ffb000,0xfb800bff,0x267ff73f,
    0x3fa006ff,0x007ff71f,0x7f57fffa,0x7fc405ff,0x8803ffa7,0xfd1d46ff,
    0x3ffff60b,0x807ff84f,0x7d403ffb,0x7fec42ef,0x7cdbea0e,0x7d47fe0f,
    0x3bffa25f,0xfd8bff20,0x007ff44f,0x4003ffc4,0xff88fff8,0x7fc4000f,
    0x00fff88f,0x7dcffee0,0x00fff13f,0x7ff73ffc,0x9ffff100,0x803ffff2,
    0x3ffa6ff8,0x99bfe200,0x203b52ff,0x1fffcffd,0x7dc03ffc,0xffe9803f,
    0x537fdc0d,0xff0ffcdf,0xfd9ffe23,0x07fec0ff,0x7fc47ff9,0x83ffa006,
    0x27fe403b,0xc8009ff9,0x13ff24ff,0xf73ffb80,0x01ffec7f,0xff737fdc,
    0x3bff7007,0x102ffe98,0xff33dff5,0x7ffc403f,0x003ffcaa,0xdffb3ffb,
    0xfb807ff8,0xffb1003f,0x51ff989f,0x4df7e4df,0x27ffe1ff,0xff82fffb,
    0xf30ffd47,0x7fe400bf,0x7c05ff52,0x1ffe61ff,0x4c3fff00,0x3ee007ff,
    0x547ff73f,0x3e601fff,0x0ffee2ff,0x5c0ffee0,0xfffe83ff,0xffffffff,
    0xffff881f,0xb004ffff,0x7fff13ff,0x7dc03ffc,0x7f54003f,0x4cff61ef,
    0x3fffe27f,0x37ff64ff,0xffb84fff,0x7fd41a86,0x4bff2004,0xff503ffb,
    0x005ffd0d,0x3fa1bfea,0x7ff7002f,0xffd0ffee,0xbfff505f,0xc803ffb8,
    0x7ff702ff,0xffffff88,0x2fffffff,0xffffff88,0xffb004ff,0x7c3ffee3,
    0x3ffb807f,0xdfff7000,0x07fc1fff,0x49fffd71,0x85fffff9,0x1002fff9,
    0x7ec00dff,0x207ff71f,0xeeeefffd,0xfb005fff,0xffddddff,0x3fee00bf,
    0xe887ff73,0xfeddefff,0x7fdc0eff,0x02ffc803,0xdb507ff7,0xfffdddff,
    0x3ffe207b,0x003ffdcc,0x7ff43ffb,0xf700fff5,0x7440007f,0x7f43ffff,
    0xfb013101,0xffa81fff,0x3ffc005f,0x7dcfff00,0xffff883f,0xffffffff,
    0x7fffc400,0xffffffff,0x73ffb800,0xffd107ff,0x1dffffff,0x9007ff70,
    0x3fee05ff,0x4cffee03,0x7fc405ff,0x3a8ffe66,0x7cc3ffb0,0x807ffbff,
    0x1b803ffb,0x360dfd10,0xffc8004f,0xffeddfff,0x83b880ff,0xfb804ffd,
    0x20ffee6f,0xfffffffc,0x404fffff,0xfffffffc,0x804fffff,0x7ff73ffb,
    0x7ffffdc0,0x0ffee03e,0x5c0bff20,0x3ff203ff,0x8809ff52,0x8865c6ff,
    0x1ffd82ff,0x3fffffe4,0x201ffdc0,0x17ee06f8,0x50007fd4,0xffffffff,
    0x3601dfff,0x7ffd44ff,0x8bffe601,0xfff83ffb,0xa999999a,0x7ffc07ff,
    0xa999999a,0xffb807ff,0x6c07ff73,0x2a82ffff,0x3200ffee,0x7ff702ff,
    0xfa97fe40,0x37fc404f,0x3613fea0,0xfffe81ff,0x3ffb807f,0xe883fcc0,
    0x03bf204f,0x7ffc4bd3,0xfffffdad,0x41ffe403,0xfa82fffc,0x1ffdc5ff,
    0x3601bfea,0xdff502ff,0x205ffb00,0xf73ffda9,0x3fff607f,0xffceffff,
    0x35bff71f,0x403ffaa0,0xfb02eff9,0x00ffee3f,0xfa80dff1,0x81ffd84f,
    0x807ffff9,0x7cc03ffb,0xffdccccf,0x77ff401f,0x3ee5ffee,0x000a986f,
    0xfffe8066,0xffffedde,0xd99ffdc0,0xd85fffff,0x30efffff,0x0bfffffb,
    0x1dfffffb,0x9ffffffc,0xffa83ffb,0xffffffff,0xfff70fff,0xfffd8fff,
    0x2ffff404,0xffb8ffec,0xffffb103,0xffffffff,0x7fec49ff,0x7fe44fff,
    0x7ffec47f,0xdfffffff,0x3ffffe60,0x9802ffff,0x0dfffffd,0x00003be6,
    0x7fff4400,0x80dfffff,0xfff92ffa,0x7cc3ffff,0x94ffffff,0x3fffffff,
    0x7fffffcc,0xfffff14f,0x20bfea7f,0xecdefff9,0x2e1dffff,0x20ffffff,
    0x4401effe,0xffd86fff,0x2e03ff70,0xffffffff,0x4fffffff,0x3fffffee,
    0x1fffe21f,0xfffffff7,0x447fffff,0xabcccccc,0x55544000,0x00000000,
    0x7ffffdc0,0xb31dc03e,0xb0bfffff,0x23bfffff,0x5fffffd9,0xdfffffd8,
    0x333332a1,0x09980ee2,0x99501530,0x1c985999,0x2072e200,0x813223d9,
    0xffffffd8,0xffffffff,0x3ffff624,0x47ffa84f,0xffffffd8,0x000dffff,
    0x00000000,0x51000000,0x00000015,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000150,0x00000000,0x00000000,0x05500000,0x00000000,
    0xfeca8800,0x005fffff,0x00000055,0x4000ef4c,0xec8004e9,0x7fd40001,
    0x3d70004f,0x3e980000,0x000f6400,0x0000de80,0x4c004e98,0xe88001ff,
    0xe880000f,0xfffb1004,0xffffffff,0x6ffec401,0x7fed4000,0x27fec02d,
    0x00ffea00,0x000bfee0,0x001f53e8,0x0007ff50,0x000bfee0,0x00005ff9,
    0x40001dfb,0x5c003ffa,0xfa8003ff,0x7d40002f,0xffe8803f,0xefbbffdf,
    0x7fffd401,0xffb002ff,0x540bffff,0x3ee001ef,0x3ee0003f,0x1f88004f,
    0x7d4000be,0x7ec0004f,0xff70002f,0xfd880007,0xffb8002f,0x3ffb8003,
    0x03ffb800,0x00ffee00,0xfe877fe4,0x7d405faa,0x2ffd88df,0x7ffffe40,
    0x00004fff,0x0000bfee,0x2000ffea,0x0007c9dd,0x80027f4c,0x40001efd,
    0x80003ffa,0x2e001ffb,0xf70002ff,0xff70007f,0x3fee0007,0x8bffe002,
    0x405faafe,0x03fa82fc,0x5c467ff4,0x00000fff,0x400003d9,0xd98003d8,
    0x880002ef,0x1bb0004d,0x0f660000,0x00f54000,0x20003d90,0x2bdfffea,
    0x007ff700,0x88007ae0,0x557f47ff,0x4000005f,0xffd87ff8,0x00000101,
    0x20000000,0x00000000,0x00000000,0x00000000,0xffffd100,0x7009ffff,
    0x000007ff,0xd07ffc40,0x200bf55f,0x800acca8,0xffe86ff8,0x800ff982,
    0x01bcccb9,0x5e665cc0,0x665cc001,0xa88001bc,0x4000abcb,0x00abcba8,
    0xa882aaa8,0xa8800aaa,0x44000acc,0x4400acca,0xfffffffe,0x999986ff,
    0x1999cffc,0x51055550,0xffd01555,0x2fd57f49,0x3ffffa20,0x3e201eff,
    0x3fff6a6f,0x202ffc80,0xfffffffc,0x7fe400ef,0x0effffff,0x7ffffe40,
    0x5000efff,0xbfffffff,0xffff5001,0xf301bfff,0xffa8ffff,0x3a202fff,
    0x1effffff,0x7ffff440,0xff901eff,0x3ff225bf,0x3ffffea6,0xffffffff,
    0xfffff32f,0x2fffffa8,0xe9dfffa8,0x2605faaf,0xffffffff,0xdff101ff,
    0x09fffff1,0x7c40fff6,0xffffffff,0xfff100ef,0xdfffffff,0x3fffe201,
    0x0effffff,0x7ffffec0,0x202fffff,0xfffffffd,0x7fd42fff,0x7ffe47ff,
    0xfff302ff,0x3fffffff,0x3ffffe60,0x441fffff,0xbff02fff,0x7fffffec,
    0xffffffff,0x8fffff55,0x02fffffc,0x5ffffff3,0x3fe60bf5,0xffcaacff,
    0xeff881ff,0x0efffff9,0x3204ffe8,0xfcaabcef,0x3bf203ff,0xfffcaabc,
    0x2f3bf203,0x03fffcaa,0x2b3bfff2,0x80ffffdb,0xbacefffc,0x5c0ffffd,
    0x65c47ffc,0xff982ffe,0xffcaacff,0x7ffcc1ff,0xfffcaacf,0x81ffea1f,
    0x3bb661da,0xeeeffeee,0x3f2e1dee,0x7f65c47f,0x3fb2602f,0xd05faaff,
    0xfb101bff,0x2dff10ff,0x0effffea,0x0002fff4,0x40009ff7,0x20004ffb,
    0xff504ffb,0x3ffa209f,0x827ffd45,0xff05ffe8,0x417fe40f,0xd880dffe,
    0x6fff47ff,0x27ffd880,0x00004ffb,0x7c007ff7,0x0bff207f,0x7d57fcc0,
    0x00eff885,0x3e20fffc,0x7ff5c46f,0x4037ffc6,0xfcccdcb9,0xdcb9805f,
    0x805ffccc,0xfcccdcb9,0x3dff905f,0xf5333333,0x77fe41ff,0xa9999999,
    0x7ff80fff,0xf10bff20,0xfff801df,0x801dff11,0xdff51fff,0x3fee0000,
    0x81ffe003,0x3a002ffc,0xfa85faaf,0x3ffc803f,0xf8837fc4,0xffff11ff,
    0x7ffff4c0,0x205fffff,0xffffffe9,0x3a605fff,0xffffffff,0xffffd05f,
    0xffffffff,0x7fff45ff,0xffffffff,0x7ff82fff,0xf50bff20,0x7ff9007f,
    0x3200ffea,0x5fff13ff,0x7dc00a20,0x1ffe003f,0x2002ffc8,0xc85faafe,
    0xff9802ff,0x5037fc45,0x3ffe69ff,0xfffff507,0x0bffffff,0x3fffffea,
    0x505fffff,0xffffffff,0x3fe0bfff,0xffffffff,0x3e3fffff,0xffffffff,
    0x83ffffff,0x3ff207ff,0x4017fe42,0x5ff95ff9,0x6cbff300,0xfb51cfff,
    0x7ff700bf,0x903ffc00,0x7f4005ff,0xffb85faa,0x43ffc805,0x3e206ff8,
    0x1ffff56f,0xbeffff88,0x85ffdbaa,0xabeffff8,0x885ffdba,0xaabeffff,
    0xfd05ffdb,0xdddddddf,0x745ddddd,0xeeeeeeff,0x82eeeeee,0x3ff207ff,
    0x402ffdc2,0xbff73ffc,0x447ff900,0xffffffff,0xffb806ff,0x81ffe003,
    0x3a002ffc,0xf885faaf,0x3fe201ff,0x9b7fc41f,0x5dbfe21c,0x7dc1ffff,
    0xbff300ef,0x201dff70,0xffb85ff9,0x0bff300e,0x80017ff2,0x80005ffc,
    0x3ff207ff,0x00fffc42,0x3e23fff1,0x3fe201ff,0x7fff4c1f,0x801effff,
    0x3e002ffa,0x0bff207f,0x5faafe80,0x417dffd0,0x887ffea8,0x5cdfd6ff,
    0xffff55ff,0x884ffc83,0xfc85fffb,0xfffb884f,0x884ffc85,0xf305fffb,
    0x54c019ff,0x067ffcc2,0x3fe05530,0x7ffecc1f,0x0beffe82,0xd1fffaa2,
    0x54417dff,0xd7107ffe,0x80039fff,0x7ffc005d,0x17ffecc1,0xbf55fd00,
    0x3ffffe60,0x1fffffdd,0x37ffff62,0xfffddffe,0x50dfff13,0xfd99dfff,
    0x49ffffff,0xeccefffa,0x4fffffff,0x333bffea,0xfffffffe,0xeffffb84,
    0xffffedcc,0x77fffdc2,0xffffedcc,0xccfffd82,0x4ffffffe,0x6fffffcc,
    0x41fffffd,0xddfffff9,0x401fffff,0x00003ffb,0x33fff600,0xffffffec,
    0xf55fd004,0x7fff440b,0x41ffffff,0xbffffffb,0x46ffffff,0xffb02efb,
    0xffffffff,0x7ec1ffff,0xffffffff,0x360fffff,0xffffffff,0x80ffffff,
    0xfffffffc,0xc82fffff,0xffffffff,0xf982ffff,0xffffffff,0x7440ffff,
    0xffffffff,0xfffd101f,0x03ffffff,0x4c07ff70,0xffffffff,0x82ffffff,
    0xfffffff9,0x80ffffff,0xbbffccb8,0xd9102cff,0x019dffff,0x29ffffb1,
    0x00dffffd,0xffffc880,0xffffcdff,0x7fffe444,0xffffcdff,0x7fffe444,
    0xffffcdff,0x3fffa604,0x01cfffff,0x3fffffa6,0x2601cfff,0xdcffffff,
    0xd9104fff,0x019dffff,0xffffec88,0xff5000ce,0x7fffec05,0xffffffff,
    0xfff305ff,0xfffb9fff,0x3fffee09,0x1fffffff,0x00055440,0x0001aa80,
    0x009aaa88,0x09aaa880,0x9aaa8800,0x54c40000,0x440009aa,0x0009aaa9,
    0x0000d54c,0x40002aa2,0xb0000aa8,0x7ffd401b,0xffffffff,0x54c02fff,
    0xcb88001a,0xccca9ccc,0x00000003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0a600000,
    0x00d44000,0x9800d4c4,0x99750aaa,0x00000015,0xa9806aa6,0x1aa9801a,
    0x000aa000,0x20005544,0x531cdcb9,0x00000155,0x09aa9880,0x00038800,
    0x00080000,0x0006ffe4,0x7ffff5cc,0xffffd884,0x3fffa02f,0xfffffecf,
    0x1eb8004f,0x7ffffc40,0x3fffe20f,0xfffa80ff,0x22002fff,0x1000dffd,
    0x03bffffd,0xfffffc88,0x3ffffeef,0x007ffff2,0x3fff2600,0x2e003fff,
    0xe8001eff,0xfd30000d,0xffe9801d,0x2a002fff,0xffffffff,0x3ffffa20,
    0xff884fff,0xffffffff,0x000effff,0xf9801ff9,0x261fffff,0x42ffffff,
    0xfffffffc,0xfffa805f,0x74402fff,0x0effffff,0xffffff10,0xffffffff,
    0x3ffffe6b,0x7fc40001,0x6fffffff,0x7f7fec40,0x77ec004f,0xfffd8001,
    0x437fe603,0xfb803ffc,0x5fccefff,0x7ef7ffec,0xeca83fff,0xbaceffff,
    0x4406fffd,0xf5001ffe,0xfd505dff,0xfffa87ff,0x3ffffddf,0x2237fea0,
    0x3fa02ffd,0x5fffdeff,0x57ffffb0,0x7bfffffd,0x0ffffe41,0x3fffa000,
    0x4ffffdcd,0x2e3dff10,0x7ec005ff,0x7fdc002f,0x20fee02f,0x7fdc04ea,
    0xfff800df,0x81bff622,0xf505fffd,0x77f407ff,0x37fdc000,0xfd07ffd0,
    0x7fe4419f,0x2a0bf207,0x3dff503f,0x2a1fff4c,0xfe982fff,0x3ff602ff,
    0x77f40001,0x307ffb81,0x00db109f,0x8005ff70,0x000002db,0x802fffd4,
    0xff885ffa,0x0fffb02f,0x3a06ffb8,0x3ffa0004,0x887ffa82,0xff880fff,
    0xe800000f,0x5ffa82ff,0xf702ffec,0x7fec05ff,0x01440001,0x00003ffa,
    0x005d3000,0x665cc000,0xffe801bc,0x0bff2004,0xfd827fe4,0x07ff804f,
    0x3fee0000,0x883ffe86,0x3ffa06ff,0x2f2ea201,0x1bfe200a,0x7ff47fe8,
    0x0bffe202,0x9751ffd8,0x20000159,0x55540ffe,0x0aaaa882,0x00000000,
    0xfffffff9,0x3fea01df,0x3ff6000f,0x20bff501,0xff803ffd,0xaaaa880f,
    0x7ff4001a,0xf81ffea2,0x7ffa82ff,0x3ffffea0,0xffa80dff,0xf87ff204,
    0x7ff400ff,0x3b3ff602,0x04ffffff,0x33ffe400,0xfa8fffff,0x2202ffff,
    0x001aaaaa,0x7fffc400,0x0effffff,0xec8cffb8,0x9ff903df,0x6c1bffa0,
    0x7fdc07ff,0xfffffc86,0x7fdc003f,0xc80fffa6,0xfc99bfff,0xfffb05ff,
    0x5fffffff,0x2e03ffb8,0x0fffa3ff,0x202fff98,0xfffffffd,0x000effff,
    0x7fffd995,0x23ffffd4,0x02fffffc,0x7ffffff9,0xdf900000,0xfff95579,
    0xffbff907,0xb81dffff,0xfffc86ff,0x19fffb07,0xb09fff30,0x07ffffff,
    0xf57ffd00,0xfffd00ff,0x01dfffff,0x759dfff9,0x5c1ffffb,0x3fee03ff,
    0xc81bff24,0x3f602fff,0xdbabefff,0xf9805fff,0xb84fffff,0x65c47ffc,
    0xffb02ffe,0x4007ffff,0x20001aaa,0xffd84ffb,0xffffffff,0x9aeffe86,
    0x80fffffd,0xbdfffffd,0x80effffc,0x3ffeccb9,0xeeffa800,0xffa803ff,
    0x83ffffff,0xd104fffa,0x1ffdcbff,0x7cc9ff70,0x3ee21cff,0x3f602fff,
    0xfff504ff,0xffff8805,0x1ffe05ff,0x7302ffc8,0x007ffd99,0x2007ffe6,
    0xfcccdcb9,0xffffd85f,0x3fffc8ae,0x7fffffd4,0xd80fffff,0xffffffff,
    0x7000ffff,0x3a0007ff,0x9807ffff,0xffffffff,0x77fe41ff,0xa9999999,
    0x7ff70fff,0x3227fdc0,0xffdeffff,0x3602ffff,0x7fdc06ff,0xfeca8805,
    0x0fff05ff,0xb8017fe4,0xff9003ff,0xfffe980b,0x85ffffff,0xfb86fffc,
    0xffffa86f,0xb07ffcff,0xffffd9ff,0x5c001bff,0xf50003ff,0xfd007fff,
    0xfd7117ff,0xffffe8df,0xffffffff,0x07ff72ff,0x7ec1ffdc,0xffffffff,
    0x3ff602ff,0x007ff803,0xf82fffb8,0x0bff207f,0x801ffdc0,0x3ea00ffe,
    0xffffffff,0xfffb85ff,0x107ff881,0xff539db7,0x547ff60b,0x8001accb,
    0x20003ffb,0xf9807ffe,0xfff881ff,0x3fffffe1,0xffffffff,0x409ff33f,
    0xff502ffc,0xffb9ffff,0x00ffec05,0x40007ff4,0x7ff84ffc,0x400bff20,
    0xf9803ffb,0x3ffe203f,0xfdbaabef,0x05ff985f,0xe8007ffa,0x3ffb03ff,
    0xffb80000,0x3ffe0003,0x05ffa803,0xffe8fff6,0xeeeeeeee,0x3fe2eeee,
    0x007ffa06,0x3f613551,0x13ff601f,0x000fff10,0x3fe1bfe6,0x00bff207,
    0x5c01ffdc,0x77fdc06f,0x10bff300,0xff103fff,0x3ff6001f,0x03ffb00e,
    0x3ffb8000,0x0fff7000,0xc817fea0,0x17ff22ff,0x82ffd800,0x10006ffa,
    0x7ec01fff,0x37fe407f,0x85ffb800,0x3ff207ff,0x07ff7002,0xfc803fd0,
    0xfffb884f,0x90bffb05,0xfd500fff,0x7fec03ff,0x7dc00001,0xfff0003f,
    0x3ffe2007,0x20fff982,0x200cfff9,0x77fdc2a9,0x00fffa61,0x01bff220,
    0x2609fffb,0x0e4c3fff,0xf05fff10,0xffd983ff,0x7ff7002f,0xf5007f00,
    0xffd99dff,0x989fffff,0xffddffff,0x33bea3ff,0x02ffffed,0x9ddfffb5,
    0xff700003,0xdddb5007,0x2005bfff,0xfddffffe,0xffb86fff,0xfedcceff,
    0x7fec2fff,0x07fffeef,0x7f77764c,0xff903fff,0x99bfffff,0xfd0dfffd,
    0xfd999bdf,0xffb01fff,0xffffd99f,0xff7009ff,0x6c001007,0xffffffff,
    0x40ffffff,0xfffffffc,0x7fffec5f,0xf102ffff,0xffffffff,0xfffeb800,
    0xefffffff,0x3ffffe63,0x800fffff,0xffffffd8,0xff900eff,0xffffffff,
    0xffe885ff,0x400fffff,0xfffffffd,0xffff303f,0xffffffff,0xff901dff,
    0xffffffff,0x3ffe603d,0xffffffff,0x3ffae0ff,0xffffffff,0x3220003e,
    0xcdffffff,0xb504ffff,0x307fffff,0x07fffffd,0xffffffd0,0xfff800bf,
    0xffffffff,0x3ffe27ff,0x06ffffff,0x7ffffe40,0xffe9804f,0x1cffffff,
    0xdffffb30,0xffff9001,0xfc805bff,0xfffecfff,0x7e403fff,0xdfffffff,
    0x7fffcc00,0x4fffdcff,0x7ffffffc,0x07ffffff,0x9aaa8800,0x0d4c0000,
    0x0004d440,0x02666662,0x3fffae00,0xefffffff,0x99999983,0x2a200009,
    0xa988000a,0x4c0009aa,0x4cc4000a,0x51000019,0x99800355,0x980009aa,
    0x3ae001aa,0xffffffff,0x00003eff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,0xaa882aaa,
    0x5d4400aa,0x06aaa2cc,0x00000000,0xfffffb80,0x800dffff,0x10000aa8,
    0x000a2003,0x00003000,0x0cc0004c,0x08800000,0x332a2000,0xc88010bc,
    0xfff9801c,0x7fffd47f,0x3ffee02f,0xfffbffff,0x6c4000ff,0x3aa06fff,
    0x003fffff,0xfffffff7,0x76409fff,0x402effff,0x203ffda8,0x000ffec8,
    0x3ff6e600,0x804c8bff,0xdffffec9,0x7edc0cba,0x2000005f,0x1defffd9,
    0xffffb100,0x20dfdfff,0x00effffd,0x91ffffea,0x205fffff,0xfffffffd,
    0x2fffffff,0x7fffdc00,0x3ffffa06,0xff7003ff,0xdfffffff,0xffffd103,
    0xd709ffff,0x407fffff,0x000ffffb,0xfffff700,0x05ffffff,0x7fffffdc,
    0x262fffff,0x0005feff,0xfffff900,0xf9809fff,0xffffffff,0x6fd41fff,
    0x5c03fc99,0x65c47ffc,0xffc82ffe,0xffecabdf,0x8003cfff,0x206fffd8,
    0x3fffffea,0x007ff700,0xd9ffffd0,0x7d45ffff,0x03ffffff,0x0000ff84,
    0xefffffb8,0x03ffffff,0xfdfffff9,0x089fffff,0x00000bf5,0xfddffffb,
    0x7f40dfff,0xfdcabcff,0x07ec1fff,0x3ffc01ba,0xf985ff90,0xfff903ff,
    0xff10000f,0x1ffdc00d,0x003ffb80,0x2217ffd4,0x3fe66ffd,0x003ffddf,
    0xb80001ff,0x74c1dfff,0xffb83fff,0x7fdc41cf,0x00bf504f,0xcfffb800,
    0x0ffff220,0x4c07bff2,0x42fc1fff,0x7ff801fc,0xf90bff20,0x7ffc80bf,
    0x6ff88000,0x00ffee00,0x2001ffdc,0xff103ffd,0xff70c41f,0x003fe007,
    0x27ffc404,0xf10fff60,0xffb809ff,0x400bf503,0x1fffcc00,0xf83fff50,
    0x3fe401ff,0x01be07ec,0xff903ffc,0x402ffd85,0x51007ff9,0x3fe25797,
    0x0ffee006,0x6e6ffdc0,0xbf500bde,0x201ffe80,0xff003ffb,0xa8bf9001,
    0xffa805ff,0x402ffdc2,0xbf501ff8,0xd81bee00,0xffc805ff,0x201bfe25,
    0xbefa82b8,0xff003fda,0x217fe40f,0x7cc01ffe,0xfffb807f,0x6ffbefff,
    0x00ffee00,0x7fffffdc,0x30003fff,0xffb80fff,0x401ff003,0x7e46ffea,
    0xb099003f,0x200007ff,0x7f4c05fa,0x03ffa06f,0xf99ffe20,0xfc80005f,
    0xf930cfff,0x640fff07,0x2ffe42ff,0xd01fff60,0xffffffff,0x5c00dfff,
    0xff7003ff,0xffffffff,0xffe88007,0x01ffdc05,0xfd880ff8,0x1ffe84ff,
    0x07ff4000,0x05fa8000,0x4037fff2,0x3a006ff8,0x0dff10ff,0x545d4000,
    0xf82ffffc,0x0bff207f,0x2a07fff5,0x3f207fff,0xfebabdff,0x2e006fff,
    0xff3003ff,0xffd735bf,0x3fa2001f,0x7fdc01ff,0x3ffff603,0xdfff53ff,
    0x001ffe03,0x0001ffe0,0xfffffff3,0x0bfffaa7,0x400bff30,0x3ffe2ffc,
    0xda801000,0x202cffff,0x7ecc1fff,0xfffd82ff,0xffffcadf,0x5fff507f,
    0x01bfff20,0x2003ffb8,0x0fffa019,0x0bfffa20,0xa80ffee0,0xdacccccc,
    0x5ed8cfff,0x40003ffc,0x997307ff,0x2e215999,0xd9cccccc,0xffdacfff,
    0x027fd42c,0x7ec5ff90,0x3f6201ef,0x7fffed44,0xffff001c,0xfffffd99,
    0xffffd09f,0xffffffff,0xb013ff20,0x7dc00dff,0x2e00003f,0x7f4c05ff,
    0xff7003ff,0xfff70007,0xf1bff23d,0xff0000ff,0xfffff30f,0xf5009fff,
    0xbff53dff,0x7fc45ffb,0x87ff6006,0xccefffe8,0x26fffedc,0xb89cfffc,
    0x7ffc02de,0xffffffff,0x7e440fff,0xfcffffff,0x01ffd07f,0x2006ffa8,
    0x00003ffb,0xf981bfe6,0x2e002fff,0x3a2003ff,0x3fea3fff,0x007fec6f,
    0x303ffa00,0xffffffff,0x7ffec409,0x6f987fa4,0xff003ffc,0xfffff30f,
    0x1fffffff,0xfff30dcc,0x7ffc0dff,0xfddfffff,0x32a204ff,0x41ffe2cc,
    0xff8807ff,0x0ffee006,0x6ff98000,0x03ffff50,0x003ffb80,0x441bfff3,
    0x7dc6fcff,0x7e40003f,0xdccb981f,0x3fe205ff,0x2a0cc1ef,0x027fec6f,
    0xc8837fdc,0xffffffff,0x12fc801c,0x3ffe05f9,0x0000aaaa,0xff07ff80,
    0x6ffb803f,0x00ffee00,0x84ffc800,0x001efffc,0x3003ffb8,0x3bfb07ff,
    0x0fff88df,0x7d41da80,0x4ffa806f,0x400ffe60,0x7fd43ffa,0x3ffe601f,
    0x5ff4c402,0xbf10009a,0xfff06f88,0x3e000000,0x0bffb07f,0x2006ffe8,
    0xeb803ffb,0x7fff300b,0x077ffec4,0x03ffb800,0x47fd4060,0xfffe86f9,
    0x11bff203,0x2203bffd,0x04404ffc,0x903ffb80,0xff505fff,0x6ff400bf,
    0x427cc000,0x00fff07e,0x1ffe0000,0xb817ffd4,0x2e006fff,0xffe803ff,
    0xffecccef,0x3fffa26f,0xf7002605,0xff00007f,0x889ffddf,0xccdffffd,
    0x984ffffe,0xdcdeffff,0x004fffff,0x01ffd880,0x6ef7fff4,0x800ffffe,
    0x004ffc88,0x13e60fe8,0x00003ffc,0xfffedb88,0xefffd83d,0xffffeccc,
    0x7ff5c5ff,0xffffffff,0x7fffd43e,0x1fffffff,0x3fffffea,0x27ffffff,
    0xffffffd8,0x000dffff,0x7ff77774,0xfffffb04,0x409fffff,0xfffffffb,
    0x002fffff,0x006ffd40,0x7fffff44,0xb000dfff,0x0009f9bf,0x1ffb9ff5,
    0x0001bfe0,0x7ffffec0,0x7f442fff,0xffffffff,0x3e2fffff,0xffffffff,
    0xda87ffff,0xcfffffff,0x7ffffd40,0xffffffff,0xffffff51,0x07ffffff,
    0x1fff5c00,0xffffd970,0xd91005bf,0x7dffffff,0xfff30000,0xb80bdddd,
    0x03efffff,0x0ffff540,0xdffeb800,0x0013f602,0x7fffdc00,0xf700ffff,
    0xf7dfffff,0xfeb8bfff,0xffffffff,0x2a6203ef,0x3fea019a,0xffffffff,
    0xffb11fff,0xffffffff,0x7ec0001b,0x551005ff,0xaa980001,0x2a000009,
    0xffffffff,0x00aa8800,0x0000c400,0x00100198,0x99988000,0x55300199,
    0x00000035,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x54c00000,0x9b100000,0x88001b90,0x01530000,
    0xb909b100,0x0b76e001,0x80002980,0x0c400038,0x0f7ba600,0xffffd811,
    0xffffffff,0xdc84d881,0x20000000,0x016cc1da,0x7fe40000,0x40001dff,
    0x3fea2ffc,0xfffda804,0x2204badf,0x1722fffd,0x7d45ff90,0xffff004f,
    0x5fffd300,0xffa80264,0x3f6a001e,0xb802efff,0xfdcfffff,0x7ffffec7,
    0x1fffffff,0x3ea2ffc8,0x3fee004f,0x3fe2000f,0x0007ff46,0x37bffb66,
    0x2afbea0b,0x540005fc,0x0bfe20ff,0xffffffb0,0x3a05ffff,0xfeeffcef,
    0x107fd405,0x3f2005ff,0xcefe804f,0x405feeff,0x4ffeffd8,0x7ffffe40,
    0xb805ffff,0x4ffffffd,0x7fffffec,0x81ffffff,0x3fe20ffa,0x3ffee002,
    0x227f4000,0x7e4006fc,0x7fffffff,0x0007fc04,0x00620260,0xfdfffff9,
    0x2e07ffff,0x037ffa63,0x00620260,0x262b8000,0x2200dffe,0xdff52ffe,
    0x7fffffc0,0x204ffffe,0xffffffe9,0x100ffc84,0x02601fff,0xff700062,
    0x2030001f,0x7ffdc001,0x07ffffff,0x000dfd75,0x7fc40000,0x3ff221cf,
    0x004c004f,0x00000000,0xf1001300,0x00fd8819,0x64437fff,0xff900fff,
    0x83fff35b,0x3fea02b8,0x10000005,0x00000333,0x1cffe800,0xf1015531,
    0x00805fff,0x0abcba88,0x9037fd40,0xca8807ff,0x544000ac,0x00000acc,
    0xbcccb980,0xd8000001,0x0bffa07f,0x3fee04c4,0x3ffd8006,0x2f332e60,
    0x20000001,0xaa882aaa,0x3ffc00aa,0xffda8800,0x202fd880,0xfffffffa,
    0x09ff500d,0xe880ffcc,0x1effffff,0x7ffff440,0xf1001eff,0xfffc801f,
    0x00efffff,0x1aaaaa88,0xf901f540,0x32ea207f,0x02ffe8ab,0x203ffe20,
    0xfffffffc,0xaa8800ef,0x7cc01aaa,0x7fd47fff,0xf5302fff,0x155555ff,
    0x2e1ff400,0xffb03fff,0xffffffff,0x05fff105,0xfff9814c,0x1fffffff,
    0xffffff30,0x5003ffff,0x7fc405ff,0xffffffff,0x3fff200e,0x80003fff,
    0xffb81fff,0xffdfffff,0x17fea004,0x3fffffe2,0x200effff,0x3ffffffc,
    0x3ffffd40,0x0bfffff2,0xfffffff1,0x883fffff,0xe98ff441,0xff903fff,
    0xffb759df,0xfffd01ff,0xf300159d,0xf9559fff,0xff983fff,0xffcaacff,
    0x3fa601ff,0x677e403f,0x3fffcaab,0x3fffff60,0x3a60003f,0xfffe86ff,
    0xffffffff,0x0fff6005,0x555e77e4,0x3603fffc,0x03ffffff,0x447ffcb8,
    0x542ffecb,0xffffffff,0x7f43ffff,0xf95fffef,0x3ea01bff,0xffd104ff,
    0xffffd10b,0x3a039dff,0xfd880dff,0x06fff47f,0x443ffec4,0x003ffffd,
    0x3027fdc0,0x07ffd997,0xffffd500,0xbefffc87,0x7ffffda8,0x01fff100,
    0x813fee00,0x3ffeccb9,0xc81ffe00,0xfccb82ff,0xbcccccff,0x6f765c40,
    0x8afffeab,0x77fe44ee,0xa9999999,0xec880fff,0x2fffffff,0x20077fc4,
    0xdff11fff,0x21fff801,0x0dfffff9,0x99b97300,0x5c00bff9,0x7dc003ff,
    0x7c42ffff,0xfff305ff,0xbff5001f,0x99b97300,0x5c00bff9,0x3fe003ff,
    0x00bff207,0x88000fff,0xfd0cfffc,0xffffe8bf,0xffffffff,0x6dcc02ff,
    0x2a2fffff,0xffc803ff,0x9007ff53,0x7ffec7ff,0xffd3000c,0xbfffffff,
    0x01ffdc00,0x033ffee0,0xe807ffea,0xfd800fff,0x3ffa603f,0x5fffffff,
    0x00ffee00,0x3f207ff8,0x03ffc02f,0x3dfff500,0x3e2fffdc,0xffffffff,
    0x03ffffff,0x92fff4c0,0xff3005ff,0x200bff2b,0xfff15ff9,0x7ffd4003,
    0xffffffff,0x0ffee005,0x405ff300,0x7d406ffc,0xfff8807f,0xfffff500,
    0x0bffffff,0x001ffdc0,0x7fe40fff,0x003ffc02,0x4c4fffb8,0x7f45fcff,
    0xeeeeeeef,0x322eeeee,0x27ff802f,0xfc805ffb,0x00bff73f,0x3fee7ff9,
    0x7c42e204,0xbaabefff,0x2e005ffd,0x3b8003ff,0x2037fdc0,0xfa806ffa,
    0xffff105f,0xffb7557d,0x1ffdc00b,0x640fff00,0x3ffc02ff,0x81efc800,
    0x645facfe,0x3e0005ff,0x7ffc407f,0x403fff10,0xff11fff8,0x7ffc403f,
    0x740dff51,0x01dff75f,0xb8017fe6,0x000003ff,0x6c03fff5,0xffd805ff,
    0x01dff703,0xb8017fe6,0x3fe003ff,0x00bff207,0x0c000fff,0x8bf56fb8,
    0x200cfff9,0x3ffe22a9,0x7ffd980d,0x105f7ff4,0xfe8fffd5,0x3aa20bef,
    0x3ffe27ff,0x5bfea20b,0xfb884ffc,0x3ee005ff,0x1000003f,0xf501bfff,
    0xff8805ff,0x09ff900f,0x00bfff71,0xf001ffdc,0xffd983ff,0x03ffc02f,
    0x3bfe2000,0x7dc3ffee,0xedccefff,0xff12ffff,0xffbbdfff,0xff987fff,
    0xfffddfff,0x7ffcc1ff,0xffffddff,0x7fffe41f,0x57ffffee,0xfd99dfff,
    0x09ffffff,0x8007ff70,0x7d401bb9,0xffcbefff,0xffa805ff,0x3bffea06,
    0xfffffecc,0xffb804ff,0x3fff6003,0xfffffecc,0x01ffe04f,0xdddd1000,
    0xff907ffd,0xffffffff,0x7fffc5ff,0xffffffff,0xffffd105,0x203fffff,
    0xffffffe8,0xfe881fff,0xffffffff,0x3fffff64,0xffffffff,0x3fffae0f,
    0xefffffff,0x01fffa03,0x3fffffee,0xc800efff,0x7fec02ff,0xffffffff,
    0x3ae0ffff,0xffffffff,0xff303eff,0xffffffff,0x3fa61fff,0xffffffff,
    0xd900004f,0x3fa605df,0xcfffffff,0x7fe5f5c1,0x402effff,0xeffffec8,
    0x7f64400c,0x400cefff,0xbefffffb,0x7fffe440,0xffffcdff,0x7fffffc4,
    0x7fffffff,0x401bffa0,0xffffffe9,0x017a6003,0x3fffff22,0x4ffffcdf,
    0x7ffffffc,0x07ffffff,0x3fffffe6,0x364fffdc,0xffffffff,0x0000ffff,
    0x01ffff44,0x026aaa62,0x01355300,0x00155100,0x0002aa20,0x54400662,
    0x2e0009aa,0xfffffffe,0x4c03efff,0xab988001,0x10000001,0x40013555,
    0xffffffeb,0x803effff,0xd3001aa9,0xffffffff,0x000009ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xacca8800,0x65440000,0x510000ac,0x08800003,
    0x910b6600,0x66664c09,0xcccccccc,0xddb713cc,0x776d45bd,0xfe800bde,
    0xec9802ff,0xdeeeeeee,0x77776dc3,0xeeeeeeee,0xddddd93e,0xdddddddd,
    0x7fffd59d,0x04e98000,0x37ffec40,0xffd70000,0x007dffff,0xfffffeb8,
    0x3f2003ef,0x03d50cff,0x2dfffc80,0x320ffe80,0x003302ff,0x7fffdce0,
    0xfff88fff,0x5404ffff,0xe802ffff,0xffffffff,0xfff51fff,0xffffffff,
    0x3f69ffff,0xffffffff,0xfedfffff,0x40003fff,0x2e000ffc,0x0006ffff,
    0x1157ff90,0x2009ffb7,0xb88abffc,0xfb804ffd,0xffdfffcf,0x3fffa001,
    0x7e406fff,0x9807fd46,0x3ea70001,0x3a6fffff,0x02ffffff,0x0bffffe2,
    0x3fffff20,0x30ffffff,0xffffffff,0x9fffffff,0x3ffffff6,0xffffffff,
    0x03fffead,0x00ffec00,0x0dfffb10,0x01bf9000,0x7e404fd8,0x027ec00d,
    0xeffc8326,0x3fff2002,0x404fffef,0x0cc01301,0x7ff43800,0xeff9880a,
    0x7fffe400,0x3331002f,0x2033bff7,0x9999fff9,0xb4ffb999,0xff9335ff,
    0x4bff5339,0x40003ffb,0x88001ffd,0x5c0006ff,0x4566544f,0x3ee09fb1,
    0x81aaaa8c,0x188004fd,0x23fff800,0x00004ff9,0x0e000330,0x7c401ffd,
    0x7ffcc06f,0x50002ffe,0xfff009ff,0xfb4ffa80,0x31ffdc3f,0x1ffdcbff,
    0xffea8800,0x00aaaaac,0x8001bfe2,0x3ffa26f8,0x03fa6fff,0x3fff2df1,
    0x07f44fff,0xcb995544,0xff1000ac,0x5100510d,0x98035555,0xfe870001,
    0x1bfe200f,0xff9bffb0,0x3fea0005,0x4c7ff804,0x7ecbfe63,0x98ffee1f,
    0x0ffee5ff,0xf7015553,0xffffffff,0x3e207fff,0x1599736f,0x3f61fa80,
    0x2a6fb88c,0xf70fd42f,0x541fb335,0x7fffe42f,0x3ffffffc,0x006ff880,
    0xffffff90,0x00019807,0x200ffe87,0x3ea06ff8,0x02ffc8ff,0x009ff500,
    0x17fccfff,0x83ff6199,0x3fe23ffb,0x7c4ffee4,0x6c4fffff,0xffffffff,
    0xf105ffff,0xfffffdff,0xf33e405f,0x27c4b909,0x443f51f2,0xfb13e23f,
    0xffffffff,0xfd007fff,0xffb0001f,0x9807ffff,0xfe870001,0x1bfe200f,
    0xff94ffe8,0x3fea0005,0xaafff804,0x3ea04ffc,0x361ffdc5,0x54ffee1f,
    0x45ffffff,0xcdffecb8,0x100bcccc,0xffffffff,0x9ba05fff,0x8dd001fb,
    0x54d7d46e,0x223742fd,0xacfffffc,0x2a07ffdb,0x0aacffea,0xfd997300,
    0x0019807f,0x00ffe870,0x7dc1bfe2,0x05ff90ff,0x013fea00,0x3ffffffe,
    0xffb8004f,0x73ffb803,0x0379ffff,0x4000ffec,0xacfffff8,0xbf06ffeb,
    0x8fb003e4,0x7fffd45f,0xff07d83f,0x3ffd01df,0xffffffd0,0x70003fff,
    0x019807ff,0x0ffe8700,0x221bfe20,0x3ff22fff,0x7d402982,0xffff804f,
    0x8004ffff,0xfb803ffb,0x1efffccf,0x003ffb00,0x01dfff10,0x4db01fff,
    0x8bf001fb,0x7e6fd46d,0xff05f81f,0x0bff201f,0x3ffffffa,0xb8001fff,
    0x00cc03ff,0x07ff4380,0xfb0dff10,0x42ffc8df,0x3ea02ff8,0xcfff804f,
    0x8004ffdc,0xfb803ffb,0x00dfffff,0x0007ff60,0xfd81ffe2,0xf30fb81f,
    0x43f98609,0x447ea0fb,0x40fe60fe,0x3ff207ff,0xffccb882,0x70002ccf,
    0x019807ff,0x0ffe8700,0xf31bfe20,0xfb3337ff,0x04ffa87f,0x3e013fea,
    0x00bfe67f,0x200ffee0,0x05fffffb,0x001ffd80,0x3606ff88,0x23f982ff,
    0x7ea9adfd,0x27f307ee,0xdf11bfc8,0x7fc07ee3,0x00bff207,0x00003ffe,
    0x19807ff7,0xffc87000,0xb17fe602,0xffffffff,0x7fd4dfff,0x013fea04,
    0x01971ffe,0x007ff700,0x5ffffff7,0x01ffd800,0x206ff880,0x1ff02ffd,
    0x3bffff22,0x3fe0ff32,0x2a5fffc8,0x3e07f9ff,0x0bff207f,0x000fff30,
    0x9807ff70,0xfb870001,0x0fff206f,0xfffffffb,0x2a1fffff,0x3ff204ff,
    0x007ff802,0x00ffee00,0x3ffbbfee,0x3ff6003f,0x6ff88001,0x4c0bff60,
    0x82aa20ef,0xdf301ff9,0xf3303331,0x03ffc03f,0xfb805ff9,0x2006606f,
    0x0cc03ffb,0x7fcc3800,0x7ffdc0cf,0x77777641,0x22efffee,0xfa81effa,
    0x7ff801ff,0x3fee0000,0x8bffb803,0xb004fffd,0xb95107ff,0x206ff883,
    0x3e602ffd,0x07fea02f,0x5405ff30,0x3ffc01ff,0x4c05ff90,0xff303ffe,
    0x03ffb803,0x838000cc,0xfddffffb,0xc8004fff,0x7ffd42ff,0xfffecdff,
    0x3fff6204,0x003effff,0xffffffb1,0xff701bff,0x02fffe47,0x6e77ffdc,
    0x444ffffe,0x3ff606ff,0x677fcc02,0x01fffdbb,0x779dff30,0x6403fffb,
    0x223fffff,0x444ffffd,0xfffffffd,0x23ffffff,0xffffffeb,0x263effff,
    0x32070001,0xffffffff,0x3ffa6005,0x3fa64fff,0xffffffff,0x7fffd404,
    0x006fffff,0xfffffff7,0x7f545fff,0x7fff43ff,0xffd104ff,0xffffffff,
    0x7ffffe43,0x3ffffaa3,0x7fedc405,0x4000bdff,0xdffffdb8,0x3ffe200b,
    0x3fea7fff,0x3ea0ffff,0xffffffff,0x3e1fffff,0xffffffff,0x0667ffff,
    0xff501c00,0x8005ffff,0xfffffffc,0x7fffe4c0,0xfd8803ef,0x3effffff,
    0xffffb100,0x741bffff,0x3e23ffff,0x00ffffff,0xffffffb1,0x7ffcc17d,
    0x3ff67fff,0x2002ffff,0x4c000019,0x7ffe4001,0x3ff624ef,0xfffd84ff,
    0xffffffff,0x7fff5c2e,0xefffffff,0x2aaaae63,0xaaaaaaaa,0x0aa8804a,
    0xfffd3000,0xaa8809ff,0x00000000,0xffea8000,0x7fffe43f,0xaaa8804f,
    0x7fffe401,0x3fffaa3e,0x000000df,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x6dc40000,0xaceeeeee,
    0x6f76d400,0x2deeda83,0x777776d4,0x0001bcee,0xeedb8800,0x1bdeeeee,
    0x3bbb6e00,0xeeeeeeee,0xd980006e,0xb8800003,0x36a3deee,0x9101ceee,
    0x09dddddd,0x77776d40,0x44002dee,0x880aaccb,0xeeeeeeee,0x36e1eeee,
    0xeeeeeeee,0x7fffdc3d,0xcfffffff,0xfffff980,0x3fffe61f,0xffff11ff,
    0xffffffff,0x01df981b,0x7fffdc00,0xffffffff,0x7ffcc00d,0xffffffff,
    0xa8807fff,0xfff30acc,0x00ee8801,0xffffffc8,0xffffff89,0xfffffb05,
    0xf1001fff,0xffffffff,0x3fa6001f,0xf887ffff,0xffffffff,0xfff51fff,
    0xffffffff,0x7fffcc5f,0xffffffff,0x7fffc40f,0x3ffe21ff,0x3ffa0fff,
    0xffffffff,0x3ff60eff,0xf30001df,0xffffffff,0xd00dffff,0xffffdfff,
    0x40ffffff,0xffffffea,0xa806fffe,0xffa802ff,0xffd0ffff,0x3ee07fff,
    0x4fffffff,0xfffffd00,0x2200dfff,0xffffffff,0x7ffffc40,0x1fffffff,
    0xfffffff3,0xb03fffff,0xb73335ff,0x3ea0dfff,0xfffa83ff,0x35ffb102,
    0x9fffb733,0x67ffffcc,0xdff30000,0xffb73333,0x7ff3007f,0xf3335ffd,
    0x3ffea0ff,0xffffffff,0x3ffb800e,0x01dff300,0x8805ffb1,0x7fffff99,
    0x2bff6200,0x3ee00099,0x81efbaef,0x9999eff8,0x4c0effe9,0x99cffc99,
    0x407ff601,0xf903fffa,0x4ffe81ff,0xa80ffec0,0x7fe447ff,0x88003fff,
    0x3fee06ff,0xe9ff9805,0x43ffc0ff,0xaabefffb,0x004ffffd,0x22007ff7,
    0x3ff606ff,0xddff5001,0x7ec005ff,0xcdefffff,0x08bff603,0x321bfe20,
    0x7dc01fff,0x3ffb003f,0xd037fdc0,0x77fe4bff,0x00ffec00,0xfb303ffd,
    0x4005ffff,0x3e606ff8,0xd7fc806f,0x47fe81ff,0x7c44fff8,0x800fffff,
    0xf1003ffb,0x0ffec0df,0xfbbffd80,0x3ff6005f,0xffffffff,0x03ffd80d,
    0xfa8bff10,0xffb803ff,0x03ffb003,0xf301ffe8,0x3fff35ff,0x203ffb00,
    0x2600fff8,0x01effffe,0xb106ff88,0x9fd009ff,0x2bf63ffa,0x2ffd44fb,
    0x3fbfffa2,0x3ffb804f,0x40dff100,0xf8801ffd,0x0fff88ff,0x99bffb00,
    0x09ffffb9,0x2001fff5,0x3ffe23fe,0x07ff7004,0xb007ff60,0x7fdc05ff,
    0xb004ffef,0x3fee03ff,0xffff5007,0x7fc401bf,0xffdbaaaf,0x7fc401ff,
    0x9ff9ffd2,0x887ff602,0xffa9fffe,0x03ffb805,0x555fff10,0x03ffd555,
    0x7e49ff90,0x3ffb004f,0x741ffee0,0x431005ff,0x2006ffe8,0xfb003ffb,
    0x3ffb803f,0x37ffff40,0x335ffb00,0x09fffb73,0xfffffb80,0xffff880c,
    0x4fffffff,0xfd0ffb80,0x7c0bffff,0x3fffa27f,0x74cdff11,0xffffffff,
    0x441effff,0xffffffff,0xf801ffff,0x1ffe61ff,0xd00ffec0,0xfffb83ff,
    0x8037912f,0x2000fffd,0xfb003ffb,0x4ffa803f,0xffffb970,0xfd80179b,
    0xffffffff,0xff30005f,0xf881dfff,0xffffffff,0x7ec01fff,0x3fffffa6,
    0x22bffa05,0x3e61fffe,0x3ffff64f,0xffffffff,0x7ffc45ff,0xffffffff,
    0x37fd401f,0x6c017ff4,0x3ffa01ff,0x3ffffee0,0x00fffa8f,0x8005fff7,
    0xfb003ffb,0x3ffb803f,0xffdccc88,0x6c00ccce,0xffffffff,0xfc88004f,
    0xf103ffff,0xfb9999ff,0x7c03ffff,0xdfffeeff,0x3ff205ff,0x741fffee,
    0x3ff662ff,0xffffffff,0x7fc41dff,0xeccccccf,0x7fec01ff,0xfffeeeef,
    0x01ffd805,0x7fc4fff5,0xfddffecf,0xfff981ff,0x7fdc0084,0x03ffb003,
    0xb802ffd8,0x7ec003ff,0x1cdeffff,0xffffb800,0x3fe200cf,0xbffd5106,
    0x3ffffea0,0x02fe8fff,0x3fffffe2,0x03fff662,0x400ffee0,0x3f606ff8,
    0x3ffe201f,0xffffffff,0x67fec00f,0xfffcaaaa,0x7cd3fea4,0x882fffff,
    0x3fd85fff,0x400ffee0,0x7fc01ffd,0xfb55500f,0xb00555bf,0x500003ff,
    0x01bfffff,0x980dff10,0x9ff907ff,0x821fff99,0x7ffdc0ca,0xfffeccef,
    0x7ff7002f,0x81bfe200,0x3f201ffd,0xffffffff,0x7ec04fff,0xffffffff,
    0x717fe44f,0x360bffff,0x6ff80eff,0x400ffee0,0x3f601ffd,0xdddd106f,
    0x03ddddff,0x0001ffd8,0x3bffffa6,0x1bfe2001,0x3e03ffa0,0x207ff44f,
    0x7fec3ff8,0xffffffff,0x3fee001f,0x0dff1003,0xff00ffec,0x3333335f,
    0xfd80fff5,0xceffffff,0x6c4ffb82,0xffc82fff,0x06ff881f,0x6c00ffee,
    0x7ed4c1ff,0xff7001ff,0x1ffd8007,0xfffd9800,0xf88002ff,0xff93106f,
    0xe85ff30f,0x27fcc0ff,0xfffbfffb,0x80019dff,0xf1003ffb,0x0ffec0df,
    0xd806ffa8,0x3ff602ff,0xf980099a,0xfffdceff,0x3ffea5ff,0x40dff103,
    0x6c403ffb,0xffffffff,0x5403ffff,0xeffffffe,0x3ffff202,0x5404ffff,
    0x003fffff,0xfffffd88,0xffffffff,0x3fffa24f,0xfffffdcf,0x34ffffff,
    0x55445fff,0x3fee0000,0xffffc803,0x3fffb24f,0x3fff665f,0xfffd85ff,
    0x3ff20eff,0x04ffffff,0xffffffc8,0xfb2fffff,0xffffffff,0x3f62dfff,
    0xffffffff,0x3ffee0df,0xffffffff,0xfffe803f,0x106fffff,0xffffffff,
    0x7fe403ff,0xf70000cf,0xffffffff,0xb8bfffff,0xffffffff,0xffffffff,
    0x00bfa4ff,0x17fd4000,0x3ffffe60,0xffff89ff,0xfff92fff,0x7cc3ffff,
    0x14ffffff,0xffffffff,0xff7003ff,0xbffddfff,0x7fffffec,0x76ffffff,
    0xffffffff,0x6c47ffff,0xefffffff,0xfd5000bc,0x05dfffff,0x7fffffe4,
    0x674c04ff,0x7ec40001,0xffffffff,0xfe881def,0xfffcbfff,0xffffffff,
    0x00000044,0xfb001db1,0x764bffff,0xb30dffff,0xb0bfffff,0x43bfffff,
    0xfffffffc,0x2a62004f,0x7ffec01a,0xffffffff,0xffffb16f,0x1bffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20f7bb6e,0x5c3deedb,0xdb83deed,0x76dc3dee,
    0x2e20bdee,0x223deeed,0x83deeeeb,0x0bdeeedb,0x3bbbbb26,0xdb8803de,
    0x711ceeee,0xb887bddb,0xdeeeeeed,0x000000ac,0xeeeedb80,0x5401acee,
    0xda82eeed,0x2a0ceeee,0x6c00eeed,0x36e23dee,0xeeeeeeee,0xb005eeee,
    0xfff3001d,0x7fcc3fff,0xff31ffff,0x7cc3ffff,0xf11fffff,0x49ffffff,
    0xfffffffb,0xffffff91,0x7fffcc3f,0x3ffa4fff,0x2fffffff,0x7ffffdc0,
    0xffff76ff,0x7ffdc5ff,0xffffffff,0x9800003f,0x3ffea1fd,0xffffffff,
    0xffff880c,0x7fffc0ff,0xfff14fff,0x7fdc09ff,0xfff52fff,0xffffffff,
    0xf500ffff,0xfff1007f,0xfff88bff,0xfff10fff,0x7fc41fff,0xff10ffff,
    0x4c5fffff,0x0fffffff,0xfffffff3,0xffffff81,0x3ffff21f,0x400fffff,
    0xfffffff9,0xffffff54,0x7ffffcc1,0xffffffff,0xfb100004,0x7ffccbff,
    0xffffffff,0xfffe80ff,0x7fff45ff,0x3ffa2fff,0xffd00fff,0x3fe61fff,
    0xffffffff,0xd007ffff,0x7fd4001d,0x2fffa82f,0x707fff70,0x3fa07fff,
    0x3e6601af,0xeffc887f,0x33ffa200,0xeffa9880,0x7fcc0019,0x3ffe609e,
    0x3ffe602f,0xffeb9999,0x3220002f,0xd81fffff,0xdb999bff,0xfd106fff,
    0xf9885fff,0xfffd80ff,0xffffa83f,0x33fff306,0xfff33333,0xfc800000,
    0x3ffe20ff,0x0fffe404,0x6c09fff3,0x86aa61ff,0xff105ff9,0x7ffc403f,
    0x02ffcc00,0x546ff880,0x4401efff,0x3ff606ff,0xfff70004,0x3f2019ff,
    0x7fff502f,0x1bffff60,0xffd83ffc,0xfffd86ff,0x0dff106f,0x00007ff8,
    0x365ffe80,0xffb006ff,0x0bfff11f,0x3fa2ffc8,0x817fea6f,0x3f204ffc,
    0x5ff9805f,0x4dff1000,0x800efffc,0x3e606ff8,0x7f54006f,0x6401dfff,
    0x3fee02ff,0xfffffb07,0x360fff09,0x262fffff,0x106fffff,0x3a3a8dff,
    0x8000005f,0xffaafff9,0xffd1001f,0x801dffdd,0xfff13ffb,0x813fee3f,
    0x3fe07ff9,0x5ff9801f,0x2dff1000,0x000dfffd,0x7dc0dff1,0xffd3004f,
    0x32005dff,0x7ff402ff,0xffcffd81,0xd83ffc1f,0x326ffdff,0x106ffdff,
    0x97fccdff,0x000001da,0xffffff90,0xfff88009,0xfa801fff,0x7ffff74f,
    0xfd00fff2,0x0dff507f,0x0017fe60,0x7fefffc4,0x7fc4004f,0x2fffd986,
    0x7fffec40,0xfd53002f,0xf905559f,0xb3ffb07f,0x07ff8dff,0x3fff5ffb,
    0xdff5fff1,0x2abffe20,0x3ea03ffc,0xffffffff,0x802fffff,0x006ffffe,
    0x05ffff30,0x7f57fea0,0x5ffb6fff,0xe86ffa80,0xff3003ff,0x3fe2000b,
    0x005fffff,0x7777ffc4,0x205fffff,0x3fffffc8,0x3fffe600,0x5c4fffff,
    0x9ffd84ff,0x3fe3fff8,0xf93ffb07,0xf1bff7bf,0x3ffe20df,0x204fffff,
    0xfffffffd,0x5fffffff,0x1ffff980,0xffff5000,0x3bfe6007,0x9ffffff8,
    0xff801ffd,0x01ffe61f,0x0005ff98,0xfffffff1,0x7fc400bf,0xffffffff,
    0x3fffa203,0x7cc002ff,0xffffffff,0x6c27fd44,0x1fff71ff,0x7fec1ffe,
    0xffffff89,0xf106ff89,0x9fffffff,0x7ffff4c0,0xffffffff,0x9ff9001e,
    0x3ffe6000,0xf8801fff,0xfcdffbff,0x800ffebf,0x3ff25ffc,0x17fe6004,
    0xff883d88,0x6fffcaff,0xfffff100,0x200dffff,0x0cfffffb,0x3ffaea00,
    0xffb82bcd,0x3a1ffd83,0x20fff5ff,0xfffb1ffd,0x41bfe2df,0xfdccfff8,
    0x0000003f,0x001ffdc0,0x7ef7ff44,0xfff800ff,0xeff9affe,0xff1007ff,
    0x01fff11f,0x902ffcc0,0x1fff10ff,0x401fffcc,0xd999fff8,0x91005fff,
    0x007fffff,0x6c02ffc8,0x1ffd82ff,0x3fefffe6,0x263ffb07,0xff12ffff,
    0x99bfe20d,0x000ea3ff,0x7ff70000,0x1fffd000,0xd00dffd1,0x7fcfffff,
    0x36006fff,0x05ffbbff,0xb02ffcc0,0x6ff883ff,0x400fffb8,0xffc86ff8,
    0x3f62005f,0x9002ffff,0xfff805ff,0x641ffd80,0xb07fffff,0x3ffec3ff,
    0x3e20dff1,0xf8865c6f,0x0000002f,0x9000ffee,0x7fc43fff,0x7ffec05f,
    0x3ffff25f,0x3bfea005,0x4c002ffe,0x3ff605ff,0xd837fc41,0x7fc403ff,
    0x05fff706,0xffffe980,0x17fe402e,0x360dffb0,0xfffe81ff,0x43ffb07f,
    0x3fe23ee9,0x80dff106,0x00004ffa,0x00ffee00,0xa83fffb8,0x3f204fff,
    0x3fe62fff,0x7f4004ff,0x98007fff,0x3ff605ff,0x9837fc41,0x3e200fff,
    0x3fff206f,0xffea8000,0xff901dff,0xfffda985,0x303ffb01,0x360fffff,
    0xff8801ff,0x80dff106,0x74404ffa,0x7ec4001f,0xdfffffff,0xffffe980,
    0x3fff621e,0xfffb81ef,0x27fffc0f,0x3fffee00,0xfffd5003,0xffffffff,
    0x3f623fff,0x6c2effff,0x3623efff,0x82efffff,0x000efffe,0x2fffffb8,
    0x3fffff62,0x4fffffff,0xfffffd88,0x23fffe44,0x5fffffd8,0xefffffc8,
    0xfffffb11,0xffffffff,0x3ffa809f,0x7fffd400,0x83ffffff,0x4ffffffc,
    0x3fffffee,0x85fffa84,0x4003fffc,0x000ffff8,0xfffffffd,0xffffffff,
    0x3ffffee3,0x7ffcc6ff,0x3fffee7f,0xff986fff,0x910003ff,0x7fdcbfff,
    0xffffffff,0xfff703ff,0x7c43ffff,0x7ffdc7ff,0x3e21ffff,0x74ffffff,
    0xffffffff,0x9fffffff,0x8001b900,0xffffffd8,0xfd980dff,0x3621dfff,
    0x981effff,0xff982fff,0xffc8002f,0x3ffaa005,0xffffffff,0xfb11ffff,
    0xd05dffff,0x7ec47dff,0x702effff,0x80001bff,0x3f621ec8,0xceffffff,
    0x3ff6200b,0xffa84fff,0x7fffec47,0xffffc85f,0xfffb11df,0xffffffff,
    0x00009fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x50b32e60,0x54400379,0x26000acc,
    0x001bcccb,0x0bccca88,0x5005b301,0x65d44019,0x008800ab,0x096665d4,
    0x51055550,0x2a201555,0x32e60aaa,0x55555501,0x81555555,0x1cc98aa9,
    0x51002f2a,0x2b32e655,0x0aaa8800,0x802aaa20,0xfea801a8,0xfd8dffff,
    0x74404fff,0x1effffff,0x3fffff20,0x8800efff,0xfffffffd,0x67fec6fe,
    0xfb9ceec9,0xffff505f,0x3201bfff,0xffea84ff,0x26ffffff,0x547ffff9,
    0xa82fffff,0xd8afffff,0x221effff,0xffffffff,0xff32ffff,0x9ffffbff,
    0x20bffffd,0xffcffffc,0x3603ffff,0xb83fffff,0x445fffff,0x204ffffd,
    0xfffffffd,0x4fffffff,0xffffff30,0xf103ffff,0xffffffff,0x7fcc01df,
    0xffffffff,0x3fff21ff,0xffffffff,0xffffd84f,0x42ffffff,0x2e0ffff8,
    0xffffffff,0xfff50fff,0xffffc8ff,0xffffc82f,0xffffffdf,0x3fffe26f,
    0xffffffff,0xffffff52,0xffffffff,0xfffb07ff,0xffffffff,0x3fffa07f,
    0xfffc84ff,0x56ff47ff,0xdf501feb,0xfffff779,0x983fff99,0xcaacffff,
    0xfc81ffff,0xffcaabce,0x3fffa03f,0xfffdcabc,0x7fffec1f,0x85ffffff,
    0xbacefffc,0x740ffffd,0x77ffc6ff,0xfffebaac,0x11fff2e1,0x105ffd97,
    0xfffffd97,0x44dfd79f,0xeccccfff,0x3ae0efff,0xffdadfff,0x85ffcbef,
    0xcfffffc8,0x307ffdba,0x5117dffb,0xbffd9115,0x2fd46f83,0x8ffff200,
    0x7ff45ffc,0x7ffd880d,0x04ffb800,0x2603dff9,0x7fcc1fff,0xfffdaadf,
    0x827ffd41,0x5c45ffe8,0x03ffe20b,0x7ff83fe4,0x900bff20,0x981dffff,
    0x3ea2ffc0,0xffc80eff,0x443ffea5,0x3ffe07ff,0x01ffe80e,0x7fe4dff3,
    0x4007ff65,0x2e6204fd,0x99fffdcc,0xf10fffa9,0xfff801df,0x99b97301,
    0x3fe0bff9,0x43fe401f,0xffd85ffb,0x4cf7fe43,0xffa99999,0xdffb000f,
    0x8054157b,0x3ff207ff,0x27ffe402,0x7d45d700,0xff900eff,0x3e27fd45,
    0x03ffe07f,0xff017fe4,0x1ffff11f,0x3a201ffe,0xfff500ef,0xffffffff,
    0x2a3fffff,0xffc803ff,0x7ffff4c3,0x885fffff,0x2b8806ff,0xfa82ffd8,
    0x7ffff45f,0xffffffff,0xff3002ff,0x1bffffff,0xf903ffc0,0x3ffc805f,
    0x7ffd4000,0x8bff200e,0x3ffc4ffa,0x7e40fff0,0x2bff602f,0xf9bffffa,
    0x6ff4c06f,0xfffffb00,0xffffffff,0x3f25ffff,0x5ff9802f,0x3fffffea,
    0x985fffff,0x6c0005ff,0x5ff982ff,0x7ffffffc,0xffffffff,0x3ffaa003,
    0x02ffffff,0x7fe40fff,0x017fe402,0x1dfff500,0x2a2ffc80,0x03ffc4ff,
    0x7fe40fff,0x3b3fee02,0xffbeffff,0x813fee04,0xaacefffa,0xeeeefffd,
    0xbff71eee,0x227ff900,0xaabeffff,0xf885ffdb,0x7dc0006f,0x43ffd85f,
    0xeeeeeffe,0x2eeeeeee,0xecb98800,0xff81ffff,0x00bff207,0x20005ff9,
    0x800efffa,0x3fea2ffc,0xff03ffc4,0x017fe40f,0xfffffff3,0x105fffff,
    0x20445ffd,0xffb85ffb,0x3fff1007,0xb8fffc40,0xff300eff,0x003ffe0b,
    0x67ffcc04,0x41fffc99,0x00005ffc,0x7ec05f98,0x207ff84f,0x7e402ffc,
    0xffa8002f,0x641d40ef,0x13fea2ff,0x3ffc0fff,0xf805ff90,0xffccffff,
    0xffb80fff,0x4c5fffff,0x7ff4c6ff,0x3a15cc3f,0x2a20beff,0x3ff27ffe,
    0x5fffb884,0x403dffb0,0x7fdc4fd8,0xffffffff,0x067ffcc4,0x83305530,
    0xf700cffc,0x83fff0df,0x402fffd9,0x54002ffc,0x7c40efff,0x517fe42f,
    0x07ff89ff,0xffc81ffe,0x7fffec02,0x06ffff89,0x99999995,0xb9ffff07,
    0x9bffffff,0x7cc3fffd,0xffddffff,0x3fea1fff,0xfffeccef,0x7444ffff,
    0xdcccefff,0x3ee6fffe,0xffffffff,0x7fdc3fff,0xfedcceff,0x3ff62fff,
    0x37ffff66,0x3ffffecc,0xeccfffd8,0x44ffffff,0xfffffffd,0xf981dfff,
    0xffffffff,0xffb14fff,0x3ffea9ff,0x43dfff0d,0x23fffffc,0x04ffffd8,
    0xfd9bffee,0x200004ff,0xfffffff9,0xffffffff,0x7ff440ff,0x1fffffff,
    0xffffffd8,0xffffffff,0x7ffffcc0,0x0fffffff,0x3f6b7ff6,0x86ffdadf,
    0xfffffffc,0xf12fffff,0x3ff23fff,0xffffffff,0xffff305f,0xffffffff,
    0x3fffe61f,0xffffffff,0xfffffa84,0x4fffffff,0x1ffffff5,0x3e5ffff5,
    0xfff14fff,0x7fd4ffff,0xf300ffff,0x7ffd47ff,0x74c00002,0xceddffff,
    0x01cfffff,0xdffffd91,0x3ff22019,0xffcdffff,0xff9104ff,0x39ffffff,
    0xfc804ea8,0xffffd302,0xe839ffff,0x3b7a66ff,0x2effffff,0x7ffffcc0,
    0x44fffdcf,0xfffffffd,0xfa81dfff,0xffffffff,0xffb14fff,0x3ffea9ff,
    0x43dfff0d,0x24effffc,0x04ffffd8,0x3fe07ffc,0x1000000f,0x02aa0155,
    0x00155100,0x004d5544,0x55553100,0x00000013,0x04d554c4,0x55100aa0,
    0xa9800355,0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x44000000,0xaa880aaa,0xaaaa880a,0x1aaaa880,0x85406a00,0x00c980c8,
    0x801bb100,0x02e200a8,0x0d400298,0x10000000,0x06aa2005,0x9bb91000,
    0x44133301,0x0d4c4199,0x76455550,0xeeeeeeee,0x004eeeee,0xfffff700,
    0x7ffffecb,0x3fffff63,0x3ffff65f,0x4fd806ff,0xff99fec4,0x000ffd41,
    0x36017fd4,0x6ff981ff,0x2ffffec4,0x1007fcc0,0xfffffffb,0xffffffff,
    0x03ffed4b,0x3bffff62,0x41fffd01,0x1ffffff9,0xffb27ffc,0x7ffffecd,
    0xf36ffe85,0xffffffff,0x5fffffff,0x81ec8d90,0x26fffffc,0x24fffffd,
    0x6ffffffe,0x3ffffffa,0x83bfa207,0x7fdc6fe8,0x0017fe42,0xfb00ffee,
    0x7ffcc3ff,0x7556fe46,0x3ffa203f,0xffff700e,0xffffffff,0x7f4bffff,
    0x3fa207fe,0x40ffebbe,0x3a23fff8,0x46ffddff,0x3ff23ffe,0x3aeb3725,
    0x8affec2f,0xfffffffe,0xefffffff,0x7fdc7e80,0x7fffe442,0x33fffea2,
    0x3fffae60,0x3ffb261c,0xdfd301ce,0x4077fcc1,0x7fe43ffc,0xffb82203,
    0xffd10223,0x1ffff33f,0x206fa810,0x105ffffd,0xfffffffb,0xffffffff,
    0x640ff08b,0x545fc84f,0x17fd46ff,0x7fec5ff5,0x5113fee2,0xfc8bf955,
    0x4cccc44f,0x99999999,0xb837fa00,0xfffa83ff,0x2ffffaaf,0x203ffe20,
    0x2a01fff8,0x3fea0eff,0x17ff200e,0xff309ff9,0xd79ff97d,0xffe883ff,
    0x201fffff,0x903ffca8,0x09ffffff,0x2ffcc000,0x03fa07f8,0x7ffb1fe2,
    0x4fe86fc8,0xffa87ff2,0x3fffff23,0x01ffdc5f,0xfd888000,0x41ffcc3f,
    0xffffffe9,0x4ffd801e,0x2e05ffc8,0x3fee0eff,0xeffc800e,0xb837ff60,
    0xffffffff,0xe882ffff,0x401fffff,0xb80ffffa,0xfffbbfff,0xff300002,
    0xfe81fe0b,0x7fc7f981,0x220ffb86,0x83fee3ff,0x9df52ff9,0xf98bf955,
    0x4cccc42f,0x99999999,0x4fddfe80,0xfd103d88,0x2001dfff,0x3e20fff9,
    0xfff901ff,0x007ffe43,0x7c4dfff0,0x7ffdc6ff,0x3fffffff,0x0bfffea0,
    0x22ff5cc0,0x3f64fff9,0x980001ff,0x40ff05ff,0x3f661efc,0x2a0bfe64,
    0xffc88cff,0xff11fea2,0xfc887fa3,0xe88ffc45,0xffffffff,0x0fffffff,
    0x003bffae,0x2ffffec0,0xc93ff600,0x3fa205ff,0xbffd30ef,0x43bff600,
    0x300dffe8,0x03bffffd,0xffffff98,0x43fe2001,0xfe85fff8,0x4c0000ff,
    0x80ff05ff,0x6ffeeffe,0xffb037dc,0xf88bffff,0xff70ff86,0x1dffffdd,
    0xfff987fc,0xffffffff,0x882fffff,0xffd10001,0x001dffff,0x3e23ffe6,
    0xffc801ff,0x017ff60e,0x7f449ffb,0x7ffc404f,0x3e600fff,0x1fffefff,
    0x737cc198,0xfd101dff,0xf980007f,0x700ff05f,0xfb07dffd,0x7ffec405,
    0xc84e80df,0x66ffed46,0x71ba0dee,0xdddddddb,0x07bddddd,0xffe88000,
    0x0efffbbf,0xf79ffb00,0x7fd400df,0x417fee0e,0x3fa22ffd,0xeffd802f,
    0xff105ffe,0xfffd13ff,0x7f7ffc43,0x03ba22ff,0x0000ee88,0xffb27fc4,
    0x000dffff,0x553003b8,0x00000001,0x00000066,0x7ffcc000,0x3fffea2f,
    0xffff9801,0x74c002ff,0x17fa60ef,0xefe83dfb,0x9fffa800,0xfe82fff9,
    0x3ffa21ff,0x6f76dcc6,0x00000001,0x66543d90,0x0002cccc,0x00000000,
    0x00000000,0xffb00000,0x7fdc7fff,0x6c00dfff,0x0006ffff,0xfd887fb1,
    0xfa81bf32,0x8bfee004,0xffd83ffb,0x005fe881,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfff98000,0x3ffa7fff,0x4c02ffff,0x0002ffff,
    0x020a8054,0x82b80008,0x4015103a,0x00000028,0x00000000,0x00000000,
    0x00000000,0x00000000,0x8fbffff6,0x0dffffea,0x006ffe80,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x71000000,0x88000059,0x4c885300,0x3fae0cc8,0xffffffff,
    0xefffffff,0x7ffff5c3,0xffffffff,0x264fffff,0xeeeeeeee,0x0001eeee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x6ffffcc0,0xe880e440,
    0xfb17ff64,0x30ffe4df,0x7fffc9ff,0xffffffff,0xffffffff,0x3fffffe0,
    0xffffffff,0x31ffffff,0xffffffff,0x0003ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ffffcc0,0x0ffd11ef,0x3fe27ff5,0xffff10ff,
    0xf883fea1,0x3ffff22f,0xffffffff,0x45ffffff,0xfffffffc,0xffffffff,
    0x3ba64fff,0xeeeeeeee,0x000001ee,0x00000000,0x00000000,0x00000000,
    0x20000000,0xfffbeffe,0x5c6ffebf,0x37ff43ff,0x0111bff6,0x22222031,
    0x88888888,0x00000888,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x8877fc00,0x1ffffffe,0x2e20bfee,0x0002980b,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40b98000,
    0x41ffffd8,0x000001db,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x000002b9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_34_latin1_x[224]={ 0,6,3,1,2,2,3,7,7,3,2,1,6,2,
6,2,2,2,1,1,2,1,3,2,2,3,6,5,-1,0,1,3,2,-1,0,0,0,0,1,0,0,2,1,0,
0,-1,-1,0,1,0,0,1,1,0,-1,-1,0,0,2,7,2,3,2,-2,6,1,-1,1,0,0,2,0,0,1,
2,1,1,-1,0,1,-1,1,1,2,2,0,0,-1,0,0,2,5,7,4,1,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,6,2,0,2,0,
7,1,4,-1,4,1,-1,2,-1,-2,4,1,4,4,6,0,1,6,5,4,3,1,0,-2,0,2,-1,-1,-1,-1,
-1,-1,-1,0,0,0,0,0,2,2,2,2,-1,-1,0,0,0,0,0,2,0,0,0,0,0,0,1,0,1,1,
1,1,1,1,-1,1,0,0,0,0,1,1,1,1,1,0,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
 };
static signed short stb__courier_bold_34_latin1_y[224]={ 24,4,5,3,3,5,7,5,4,4,5,6,19,14,
20,2,4,4,4,4,5,5,4,5,4,4,10,10,6,11,6,5,4,6,6,5,6,6,6,5,6,6,6,6,
6,6,6,5,6,5,6,5,6,6,6,6,6,6,6,5,2,5,4,30,3,10,4,10,4,10,4,10,4,4,
4,4,4,10,10,10,10,10,10,10,5,10,10,10,10,10,10,5,5,5,12,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,24,11,3,5,8,6,
5,4,5,6,4,11,13,14,6,1,2,2,4,4,3,10,5,12,22,4,4,11,4,4,4,11,-1,-1,-1,0,
0,-1,6,5,-1,-1,-1,0,-1,-1,-1,0,6,0,-1,-1,-1,0,0,9,4,-1,-1,-1,0,-1,6,4,3,3,
4,5,5,3,10,10,3,3,4,5,3,3,4,5,5,5,3,3,4,5,5,7,9,3,3,4,5,3,4,5,
 };
static unsigned short stb__courier_bold_34_latin1_w[224]={ 0,6,11,16,14,14,14,4,8,8,14,16,7,14,
6,14,14,14,15,15,14,15,14,14,14,14,6,8,18,18,18,13,13,20,18,18,17,17,17,18,18,14,18,19,
18,20,19,18,17,18,19,16,16,18,20,20,18,18,14,8,14,8,14,22,6,17,19,17,19,17,16,18,18,16,
12,17,16,20,18,16,19,18,17,14,16,18,19,20,18,18,14,8,4,9,16,16,16,16,16,16,16,16,16,16,
16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,16,0,6,14,17,14,18,
4,16,10,20,11,16,18,14,20,22,10,16,9,10,6,18,16,6,7,10,12,17,18,22,18,13,20,20,20,20,
20,20,20,18,17,17,17,17,14,14,14,14,18,19,18,18,18,18,18,14,18,18,18,18,18,18,17,16,17,17,
17,17,17,17,20,17,17,17,17,17,16,16,16,16,16,18,16,16,16,16,16,16,18,18,18,18,18,18,19,18,
 };
static unsigned short stb__courier_bold_34_latin1_h[224]={ 0,21,10,24,25,20,18,10,25,25,13,18,10,3,
5,26,21,20,20,21,19,20,21,20,21,21,15,18,18,9,18,20,23,18,18,20,18,18,18,20,18,18,19,18,
18,18,18,20,18,24,18,20,18,19,18,18,18,18,18,24,26,24,11,4,6,15,21,15,21,15,20,21,20,20,
27,20,20,14,14,15,21,21,14,15,20,15,14,14,14,21,14,24,24,24,7,19,19,19,19,19,19,19,19,19,
19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,19,0,20,22,19,15,18,
24,23,4,19,10,13,11,3,19,4,10,22,11,11,6,21,22,5,8,11,10,13,20,20,20,20,25,25,25,24,
24,25,18,25,25,25,25,24,25,25,25,24,18,24,26,26,26,25,25,13,23,26,26,26,25,25,18,21,22,22,
21,20,20,22,15,20,22,22,21,20,21,21,20,19,20,19,22,22,21,20,20,17,18,22,22,21,20,28,27,26,
 };
static unsigned short stb__courier_bold_34_latin1_s[224]={ 216,248,193,128,192,240,209,217,244,183,75,
134,174,96,32,201,138,108,92,192,187,76,19,169,105,34,108,244,140,222,56,
138,215,170,75,142,1,219,221,161,151,239,202,100,81,198,178,203,38,81,120,
38,239,168,60,39,20,1,224,100,72,67,116,73,249,39,172,57,39,90,238,
153,36,202,20,1,59,182,203,22,49,20,149,115,19,130,20,222,1,86,167,
119,76,109,1,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,
151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,151,216,246,144,
116,75,19,20,198,39,55,205,40,131,96,76,50,182,159,243,105,18,1,195,
25,241,150,161,57,123,180,1,89,1,235,96,25,46,22,94,216,135,117,207,
145,43,153,168,183,159,163,106,125,144,1,77,90,229,163,182,87,225,58,191,
229,19,1,1,103,184,37,1,222,55,73,120,20,227,69,121,134,152,97,110,
127,212,55,72,237,115,91,176,208,219,1,33,53, };
static unsigned short stb__courier_bold_34_latin1_t[224]={ 27,56,245,56,30,127,191,245,30,30,245,
191,245,260,260,1,105,127,127,105,170,127,105,149,105,105,229,105,210,245,191,
149,56,191,191,127,191,210,170,127,191,191,170,210,210,210,210,127,191,56,210,
149,170,170,210,210,210,210,191,56,1,56,245,260,245,229,105,229,127,229,149,
105,170,149,1,170,127,229,229,229,105,127,229,229,170,229,245,229,245,105,229,
56,56,56,260,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,27,82,82,
170,229,191,56,56,260,170,245,245,245,260,170,260,245,82,229,245,260,127,82,
260,245,245,245,245,127,127,149,149,30,1,30,56,56,30,191,1,30,30,30,
56,30,30,30,56,210,56,1,1,1,56,30,245,56,1,1,1,30,30,191,
82,82,82,105,149,149,82,229,127,82,82,105,149,105,105,149,170,149,170,82,
82,82,149,149,210,191,82,82,105,149,1,1,1, };
static unsigned short stb__courier_bold_34_latin1_a[224]={ 288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_34_latin1_BITMAP_HEIGHT or STB_FONT_courier_bold_34_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_34_latin1(stb_fontchar font[STB_FONT_courier_bold_34_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_34_latin1_BITMAP_HEIGHT][STB_FONT_courier_bold_34_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_34_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_34_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_34_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_34_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_34_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_34_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_34_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_34_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_34_latin1_s[i] + stb__courier_bold_34_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_34_latin1_t[i] + stb__courier_bold_34_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_34_latin1_x[i];
            font[i].y0 = stb__courier_bold_34_latin1_y[i];
            font[i].x1 = stb__courier_bold_34_latin1_x[i] + stb__courier_bold_34_latin1_w[i];
            font[i].y1 = stb__courier_bold_34_latin1_y[i] + stb__courier_bold_34_latin1_h[i];
            font[i].advance_int = (stb__courier_bold_34_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_34_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_34_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_34_latin1_s[i] + stb__courier_bold_34_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_34_latin1_t[i] + stb__courier_bold_34_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_34_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_34_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_34_latin1_x[i] + stb__courier_bold_34_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_34_latin1_y[i] + stb__courier_bold_34_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_34_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_34_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_34_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_34_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_34_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_34_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_34_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_34_latin1_LINE_SPACING
#endif

