// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_37_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_37_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_37_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_37_latin1_BITMAP_HEIGHT        308
#define STB_FONT_courier_bold_37_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_bold_37_latin1_FIRST_CHAR            32
#define STB_FONT_courier_bold_37_latin1_NUM_CHARS            224

#define STB_FONT_courier_bold_37_latin1_LINE_SPACING          17

static unsigned int stb__courier_bold_37_latin1_pixels[]={
    0x0004b800,0x00151035,0x00799993,0x1332e000,0x00000000,0x40000000,
    0xb10002b8,0x13000007,0x17200000,0x00026000,0x00003b50,0x003ff600,
    0xfd83ff90,0x3ffe200f,0x000005ff,0xf901fffd,0xc8800007,0x00000cff,
    0xf900bf60,0xff10001f,0x3220000b,0x200002ff,0x20006fe8,0x0002ffc8,
    0x0000bfee,0x02ffe880,0x7c2ffd80,0x3fe201ff,0x00005fff,0x981fffd0,
    0x00000fff,0x00feefb2,0x37fdc000,0x000bffa0,0x00077fd4,0xbffffd50,
    0xff980001,0xfd30001f,0x0001bfff,0x00013ff6,0x007bfe60,0x7542f4c0,
    0xffeb9804,0xd9000005,0x9fff01dd,0x8be20000,0xd000006c,0x7fcc09ff,
    0x40018adf,0x8001fff9,0xffcaeffc,0xff50001f,0x3f20001d,0x1fffcaef,
    0x0bff7000,0x0dfe8000,0x00000000,0x00017fee,0xfffb8000,0x47d00000,
    0xa800005d,0xfd980fff,0x5fffffff,0x02ff4400,0xd313fe60,0x3fa000df,
    0x3fe60005,0x0037f4c4,0x0005ff50,0x00001d40,0x7fdc0000,0x00000005,
    0x000fffe2,0x17eefdc0,0x7ff40000,0xfffffa85,0x00ffffff,0x44001a80,
    0x000ae01b,0x5c000154,0x0000ae01,0x00000071,0x55554400,0x35555101,
    0xc9affdc0,0xa801bded,0xaaaaaaaa,0x07ffc82a,0x0776a000,0x3fea0000,
    0xffffe81f,0x1fffffdd,0x00000000,0x00000000,0x00000000,0x55554400,
    0x35555101,0xffffff88,0x7ffffc45,0xbdff705f,0xffffffff,0x3ffffa03,
    0x87ffffff,0x0003fff8,0xb0000000,0xfff30bff,0x01fff305,0x1bddca88,
    0xaaaaa880,0x1aaaa980,0x7bb95100,0x32a20003,0xa8801bdd,0xa980aaaa,
    0x3e201aaa,0x445fffff,0x25ffffff,0x6ffffff8,0x7fffffcc,0xfffff706,
    0xffffffff,0xffffff03,0x20ffffff,0x10006ffd,0x35555555,0x7fcc0000,
    0x05ffb82f,0xff7017ee,0x03dfffff,0x3fffffe6,0x3ffffe4f,0x7fdc06ff,
    0x01efffff,0x3ffffee0,0xff301eff,0x7c9fffff,0x06ffffff,0xdffffff1,
    0xffffff98,0x67fff546,0xdfffeb81,0xfffff701,0xfffb757b,0xeeec985f,
    0x07ffeeee,0x8005fff3,0xfffffff9,0x3600006f,0xfff306ff,0x3f620001,
    0xffffffff,0xffffb82f,0xfff36fff,0x101fffff,0xfffffffb,0xd8805fff,
    0xffffffff,0xfffb82ff,0xff36ffff,0x01ffffff,0x073fffaa,0x077fffae,
    0xd807ffea,0x7fdc06ff,0xfff302ff,0x7ff9800d,0x001bff60,0xfffffff7,
    0x100005ff,0x7f405fff,0x2001bdff,0xcbdffffd,0x443ffffe,0x2dfffffd,
    0x3bffffb2,0xbffffb03,0x7ffffd97,0x6ffffec0,0x3ffffecb,0x7ffffec4,
    0x3fffb22d,0x7fd403ef,0x1bff601f,0x260dffd0,0x7dc03fff,0x7fcc04ff,
    0x3fe6000f,0x07ffe607,0xffffd880,0x0005ffff,0x5c06ffc8,0xdfffffff,
    0x37ffee02,0x0ffffa80,0xf804ffc8,0xfff701ff,0xffff501b,0x1bfff701,
    0x01ffff50,0xff009ff9,0x3ffa003f,0x07fff306,0xd82fff98,0xffb806ff,
    0x2ffe800f,0x01ffe600,0x4000bffd,0x0ffffffc,0x3ffe2000,0xffffb803,
    0x441effff,0x7c405fff,0x4ffc85ff,0x881fff80,0x7c405fff,0x7ffc45ff,
    0x2fffc405,0x7c027fe4,0xff3001ff,0x0dffb05f,0xf31bffa0,0xff7007ff,
    0x13ff200d,0x407ff980,0x0001fffa,0x7fff9fff,0x3ffe4000,0xffdb5100,
    0x7e41dfff,0xffa800ff,0x027fe41f,0x7e40fffc,0xffa800ff,0x03fff21f,
    0x907ffea0,0xfff009ff,0x37ff4003,0x400fffe6,0x3f62fff9,0xfff7006f,
    0x00fffa00,0xe807ff98,0xfa8005ff,0x06ffc9ff,0x07fff100,0x7ff54400,
    0x00fffa4f,0x7e43ffe8,0x1fff804f,0x2003ffe8,0x3ffa3ffe,0x0fffa003,
    0xff009ff9,0x7fcc003f,0x01bff62f,0x3e6dffb0,0xff7002ff,0xfffa809f,
    0x1ffe6001,0x003ffee0,0x3e2bffb0,0xfb8002ff,0x05cc00ff,0xff97ff60,
    0x3ff2001f,0x4027fe44,0xfff81fff,0x93ff2001,0x32001fff,0x27fe44ff,
    0x000fffc0,0x7fcdbff6,0x7fcc002f,0x006ffdaf,0x033fffee,0x001bffee,
    0x3e00fff3,0x3e2004ff,0x17ff62ff,0x013ffe00,0xff7017fe,0x001ffe2d,
    0xffc8dff7,0x41fff804,0x5c007ff8,0x0fff16ff,0x646ffb80,0xfff804ff,
    0x7ffcc001,0x0006ffda,0x5ffffffb,0x7fffdc00,0xfffeceff,0x7cc001ff,
    0xfff7007f,0x1fff2001,0x4001fff5,0x4c00fffa,0x3fa01fff,0x00fff35f,
    0x7e47ffa8,0x1fff804f,0x2003ffcc,0xfff37ffa,0x47ffa800,0xff804ffc,
    0xffd8001f,0x0002ffff,0x0dfffff3,0xfffffb80,0xffffffff,0x7ff98002,
    0x07fff100,0x3e13ffe0,0x3fa003ff,0xfffa805f,0xfec989cf,0x1fff13ff,
    0x22ffdc00,0xff804ffc,0x07ffc41f,0x22bff700,0x2e000fff,0x27fe45ff,
    0x000fffc0,0x37ffffcc,0x3fff6000,0x7fdc002f,0xffffffcd,0xf30000df,
    0x7fe400ff,0xdfffa807,0x6ffecccc,0x03fff500,0xffffff50,0x8dffffff,
    0x32001fff,0x27fe44ff,0x7c0fffc0,0x3f2001ff,0x007ffe4f,0x7e44ffc8,
    0x1fff804f,0xffffb000,0xff980005,0xffb8006f,0x026f2ea5,0x0fff3000,
    0x01fffc40,0x3ffffff6,0x02ffffff,0x1005ffe8,0xffffffff,0xfd81bfff,
    0xfff1004f,0x805ffb87,0xffd81fff,0x7fff1004,0x88027fec,0x7fdc3fff,
    0x01fff805,0x0dfff300,0x5fff5000,0x0bff7000,0xff980000,0x37fe4007,
    0xffffff10,0xbfffffff,0x01fff980,0x3fb2b6e0,0xf702dfff,0xff9003ff,
    0x0fffa81f,0x5c1ffe60,0xfc801fff,0x3ffee0ff,0x0fffc801,0x3007ffd4,
    0x54000fff,0x80002fff,0x70006ffe,0x00000bff,0x4006ffc8,0xf902fff9,
    0xddddddff,0x401fffdd,0x80006ffd,0xfe803ffe,0x3fea00ef,0x4fff883f,
    0xe81bff60,0x3ea00eff,0xeffe83ff,0x0fffea00,0xd813ffe2,0x3a0006ff,
    0xa80006ff,0x70002fff,0x00000bff,0x0027ffc4,0xff837fec,0x3ffe803f,
    0x005fff30,0x007ffd00,0x415ffff3,0x206fffc8,0x261cfffd,0x2602fffd,
    0x220affff,0xf306fffc,0x64415fff,0x3f606fff,0x3f661cff,0xf50002ff,
    0xa88005ff,0xafffeaaa,0x3f6a2000,0x0001aaef,0xffb75555,0xf30003ff,
    0xfffb85ff,0x3ff2200a,0x06ffc81e,0x07ffd000,0x3ffffee0,0x1ffffffe,
    0x3ffffe20,0x05fffffe,0xefffffb8,0x01ffffff,0x3bffffee,0x01ffffff,
    0x3bffffe2,0x005fffff,0xffd55551,0x7fc0015f,0xffffffff,0x3fffe005,
    0x004fffff,0x7ffffff4,0x20003fff,0xfff55ffe,0xe889ffff,0x26ffffff,
    0x0003fff8,0x4003ff90,0xfffffffb,0xe9800eff,0xffffffff,0xfff7000d,
    0x1dffffff,0xfffff700,0x001dffff,0xffffffd3,0x3e001bff,0xffffffff,
    0xfff1005f,0xffffffff,0x3fffe200,0x005fffff,0x3fffffe2,0x40003fff,
    0xfff95ff9,0xf98fffff,0x1fffffff,0x0000dff1,0x44002fcc,0x3efffffd,
    0xffffc800,0xd88002ff,0x03efffff,0x7fffec40,0xfc8003ef,0x002fffff,
    0x3fffffe2,0x2007ffff,0xeeeeeeda,0x36a002de,0x0ceeeeee,0x7776d400,
    0x00000ace,0x3ff66195,0xfc82efff,0x544effff,0x0000001c,0x00aa9800,
    0x00aa9800,0x01553000,0x01553000,0x01553000,0x3bbb6a00,0x002deeee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00188150,0x98007b10,0x750ae21c,0x36e20003,
    0x88310bcd,0x007b002b,0x00f62000,0x40002600,0x971003d8,0x40039999,
    0x99970002,0x02600599,0xf980fae0,0x2dc006ff,0x747fd800,0x7fcc005f,
    0xdffd3005,0xffa8ffe4,0x3fae005f,0xedffffff,0x007ff24f,0x0001bff1,
    0x002ffcc0,0x005ff910,0x801bff10,0x3ffffffd,0x00dfe980,0x7fffff40,
    0x3ff2202f,0x817ffc02,0x1005fff8,0xf0001ffb,0x1ffe63ff,0x00dffb80,
    0x6cffffd0,0xffff72ff,0xffff9009,0xffffffff,0x4017fecd,0x0000effa,
    0x000dffb8,0xbffffd30,0xeffa8001,0x3ffff600,0x7fe403ff,0x3a003fff,
    0x02ffffff,0x1bffffd5,0x403fffa0,0xe8804fff,0xff0001ff,0x01ffea3f,
    0x50027fe4,0x7f439fff,0x1fffae3f,0x9dffff90,0xfffffdb7,0x9801fff4,
    0x20001ffe,0x20004ffc,0xffcaeffc,0x7f4c001f,0xf997101f,0x3fa207ff,
    0x05ffe9df,0x599bffd0,0x32bbff20,0xffa81fff,0x07ffd03f,0x000eff98,
    0x2a3fff10,0xff9806ff,0x27fec003,0x7fc1fff4,0xdfff701f,0x9fffee01,
    0x22003ffe,0xf30005fd,0x7cc0007f,0x037f4c4f,0x802fec40,0xff903ffd,
    0x803ffb85,0x7cc02ffe,0x837f4c4f,0xffb06ffe,0x00dfe805,0x43ffe200,
    0x37006ffb,0x07ffd000,0xfff07ffd,0x03bffe05,0x7f4fff70,0x01a8003f,
    0x00006e00,0x002b806e,0x7ec006a0,0x2017303f,0xffe800c8,0x700dc402,
    0x0bffee05,0x53007ff2,0xfff30000,0x0002ffdc,0x20fffa00,0xfff83ffe,
    0x00fff982,0x3fa5ff88,0x0000003f,0x00000000,0xfb000000,0x0000007f,
    0x00005ffd,0x70dfff00,0x000001ff,0xfc9ffe60,0x2aaa605f,0x0aaaaaaa,
    0xfd07ffd0,0x05fff07f,0x5400dff7,0x30fffa1d,0x55555555,0x01555555,
    0x55555553,0x15555555,0x55555530,0x55555555,0x55555301,0x40155555,
    0x55103ffd,0x00355555,0x26017ff4,0xaaaaaaaa,0xfff700aa,0x2a27fa83,
    0xa980aaaa,0xd9501aaa,0xfffddfff,0xffff85bf,0xffffffff,0x83ffe84f,
    0xfff83ffe,0x004ffd82,0xf89fff40,0xffffffff,0x2fffffff,0x3fffffe2,
    0xffffffff,0x3ffe22ff,0xffffffff,0x7c2fffff,0xffffffff,0xfb04ffff,
    0xffff307f,0x400dffff,0x3fe02ffe,0xffffffff,0xff884fff,0xf9b7c43f,
    0x24ffffff,0x6fffffff,0x7fffffcc,0xffffffff,0xffffff32,0xbfffffff,
    0xfd07ffd0,0x05fff07f,0x80005fff,0xfff52ffd,0xffffffff,0x545fffff,
    0xffffffff,0xffffffff,0x3ffffea2,0xffffffff,0x3fe62fff,0xffffffff,
    0xffb05fff,0xfffff707,0x2005ffff,0xff302ffe,0xffffffff,0x3fe0bfff,
    0xff71b84f,0x26dfffff,0xffffffff,0x3ffffe20,0xffffffff,0x3fffae2f,
    0xdfffffff,0xe82ffe81,0x2ffe83ff,0x0001fff8,0xfd90ffe4,0xffffffff,
    0xc85fffff,0xfffffffe,0x2fffffff,0x7fffff64,0xffffffff,0x7fff5c2f,
    0xdfffffff,0x107ffb01,0xfffffffb,0x3ffa00bf,0x3fffae02,0xdfffffff,
    0x80bffd01,0xdfffffd8,0x3ffffb22,0xffeb983e,0xbdfffcce,0x03ffe801,
    0x40fffed4,0xffd83ffe,0x07ffe0cf,0x20571000,0x7fc03ffe,0x07ffd02f,
    0xfd02fff8,0x2fff807f,0x003ffe80,0x3200fff6,0x00ffffff,0x4002ffe8,
    0x36003ffe,0xff9007ff,0x03fff009,0x3fe4ffc8,0x3ffa002f,0x3fffea03,
    0x307ffd06,0x7ecdffff,0x4000003f,0x7f403ffe,0x07ffd02f,0xfd02ffe8,
    0x2ffe807f,0x003ffe80,0x3e00fff6,0x03fffcff,0x4002ffe8,0x32003ffe,
    0xfc800fff,0x1fff804f,0xff27fec0,0x7ff4003f,0x3fffea03,0x307ffd05,
    0x7dcdffff,0x4000004f,0xb1dc3ffe,0x3ffa01ff,0x1ffb1dc3,0x770fffa0,
    0x74007fec,0x3f6003ff,0x7ffd403f,0xe806ffc9,0x7f4002ff,0x3fee003f,
    0x4ffc800f,0x401fff80,0xfff13ffd,0x1fff4003,0x07fffae0,0x3f60fffa,
    0x3fe21dff,0x0202001f,0x3ee3ffe8,0x7407b32f,0x4bfee3ff,0x3ffa03d9,
    0x6ccbfee3,0x07ffd003,0x201ffec0,0xfff15ffd,0x02ffe805,0x001fff40,
    0x3200fffb,0xfff804ff,0xfffeda81,0xdefffeee,0x03ffe801,0xfd05fff0,
    0x07ffd07f,0x2003bffa,0x1ff50ffb,0xb559ffd0,0x7f4007ff,0x3ffdaacf,
    0x2b3ffa00,0x0003ffda,0x6c007ffd,0x3fe203ff,0x017ff62f,0xe8005ffd,
    0x3fa003ff,0x9ff9006f,0xd03fff00,0xffffffff,0x00bfffff,0x3a007ffd,
    0x3ffe83ff,0xf502fff8,0xb3017fff,0x3ff65fff,0xfffffe82,0x3a004fff,
    0xffffffff,0x3fffa004,0x004fffff,0x4007ffd0,0x3f203ffd,0x07ffd47f,
    0x8005ffd0,0x3e003ffe,0xff9004ff,0x03fff009,0xfffffffb,0x09ffffff,
    0x2007ffd0,0xffe83ffe,0x202fff83,0xeffffffa,0x27fffffe,0xffe82ffd,
    0x04ffffff,0x3fffffa0,0x3a004fff,0xffffffff,0x7ffd0004,0x01ffec00,
    0xfff09fff,0x017ff407,0x400fffa0,0x9003fff8,0xfff009ff,0x3ffee603,
    0x0afffcab,0x007ffd00,0x3fa0fffa,0x02fff83f,0x7fffffd4,0x20dfffff,
    0xffe83ffe,0x04ffffff,0x3fffffa0,0x3a004fff,0xffffffff,0x7ffd0004,
    0x81ffec00,0xcccdfffa,0x3a06ffec,0x7f4002ff,0xfff7003f,0x13ff2003,
    0x8807ffe0,0xdff50fff,0x03ffe800,0xfd07ffd0,0x05fff07f,0xffffb730,
    0xffd07bff,0x647ffd07,0xfd0043ff,0x21ffe47f,0xc8fffa00,0xe80043ff,
    0x3f6003ff,0xffffb03f,0xffffffff,0x00bffa05,0x2007ffd0,0x32006ffe,
    0xfff804ff,0xb9ffe601,0x7f4005ff,0x7ffd003f,0xff07ffd0,0x5ff0005f,
    0x83ffe801,0x3fea3ffe,0x7f413f61,0xd87fea3f,0x47ffd04f,0x13f61ffa,
    0x800fffa0,0xff883ffd,0xffffffff,0xffd05fff,0x3ffe8005,0x03fffa80,
    0x2017fee0,0x3e601fff,0x017ff27f,0x2007ffd0,0xffe83ffe,0x002fff83,
    0x74017fc4,0x3ffe83ff,0x0dff1044,0x4110fffa,0xffd06ff8,0x3fe20887,
    0x03ffe806,0x320fff60,0xeeeeefff,0x80fffeee,0x74002ffe,0xffe803ff,
    0x3fea000f,0x1ffe600f,0x7e4fff50,0x7ff4004f,0x3dff9003,0x7dc3ffe8,
    0x7c4000ff,0x7ff403ff,0x403ffe83,0xffd07ff9,0x07ff9807,0xf9807ffd,
    0x3ffe807f,0x3ffe9980,0xe803fff8,0xbffe83ff,0x7ffd0009,0x04fffa80,
    0x027ffc40,0xfa80dffb,0x013ff66f,0x7ffd3331,0x3ea01333,0x3ff65fff,
    0x09ffff32,0x7e5de440,0x217fec06,0x999bffe9,0x7ffa9999,0x99bffe98,
    0xffa99999,0x9bffe987,0xfa999999,0xe999887f,0x20999bff,0x3ffffffb,
    0x0057ffdc,0xe83dff91,0x40efffff,0xbffe9998,0x7fec0999,0xffd8000f,
    0x3ff661cf,0x2ffd402f,0x7f405ffb,0xffffffff,0xff903fff,0xb97fecff,
    0x2001ffff,0x03fffff9,0xff897fec,0xffffffff,0x27ffffff,0xfffffff8,
    0xffffffff,0x3fffe27f,0xffffffff,0x7f47ffff,0xffffffff,0xfffd3fff,
    0x3fea7fff,0x444fffff,0x6ffffffe,0x3ffffffa,0x3fffffa3,0x3fffffff,
    0x4000fffe,0xfefffff8,0x8805ffff,0x03ba61fd,0x7fffffcc,0x6fffffff,
    0xfa93fae0,0x017fd10e,0x19ffb500,0xf50efa80,0xffffffff,0xffffffff,
    0x7fffffd4,0xffffffff,0x3ffea7ff,0xffffffff,0x267fffff,0xffffffff,
    0xd56fffff,0x327fffff,0x7fffffff,0x7fffffcc,0xffffd1ff,0x3ffe61df,
    0xffffffff,0x013f26ff,0xffffd300,0x001bffff,0xffd90000,0xffffffff,
    0x0000005b,0x10000000,0xfffffffb,0xffffffff,0x7fffec4f,0xffffffff,
    0x3f627fff,0xffffffff,0x47ffffff,0xffffffec,0x442dffff,0xfb309999,
    0x905dffff,0x49dfffff,0xc8099998,0xfffffffe,0x0002dfff,0x3ffff200,
    0x000002ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0000aa98,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x000f6200,0x80000400,0x00b980b9,0x1000bb20,0x1730007b,0x00001730,
    0xa8000ecc,0x0001b882,0x26000008,0x000b980b,0x73000004,0x08017301,
    0xbff10000,0x7ecc0000,0x8801cc3f,0x27fcc6ff,0x006ffc80,0x10017fe6,
    0x4ff98dff,0x5ff70000,0x87ff7000,0x50001ffc,0x01b83dfd,0xf31bfe20,
    0x3f66009f,0x1001cc3f,0x4ff98dff,0xc85dfb10,0xff5001ef,0xf980001d,
    0xfbaeffff,0x7ff8800f,0x4c02ffd4,0xf7004fff,0xf88001bf,0x02ffd47f,
    0x027fe400,0x6c4ffc80,0xfb8002ff,0xfdadffff,0x1ffe2006,0xf300bff5,
    0xf75dffff,0x3fe2001f,0xb82ffd47,0x3fe26fff,0x3fa6004f,0x3f20001f,
    0xffffea8d,0x20b6e004,0xffc801dc,0x4ffc801f,0x20b6e000,0x740001dc,
    0x220002ff,0x026cc0dc,0xfb8bff80,0x4001ffff,0x01dc82db,0xfea8dfc8,
    0x5c004fff,0xd01dc82d,0x7ec3ffff,0x7ec4001f,0x5c040005,0x000001de,
    0x05fff880,0x0003ff98,0x5c000000,0x000001ff,0x10220000,0x000017db,
    0xeb808000,0x0000001d,0x20fffff4,0x00d40000,0x00000000,0x7ffe4000,
    0x00037001,0x10000000,0x00000017,0x00000000,0x00000000,0xb0000000,
    0x0001ffff,0x22000000,0x001bddca,0x37bb9510,0x0dfff100,0x55100000,
    0x55301555,0x00000355,0x55554400,0x20001aaa,0xaaaaaaa8,0xaaa98001,
    0x0aaaaaaa,0x202aaa98,0x301aaaa9,0x55555555,0x41555555,0x0007fffc,
    0x55555551,0xffb80003,0x01efffff,0x3ffffee0,0x3ea01eff,0x555302ff,
    0x05554c01,0xfffffff3,0x7fffffc9,0x2aaa206f,0x0001aaaa,0xfffffff3,
    0x3e6000df,0x6fffffff,0x7ffffc00,0xffffffff,0x3fffffa4,0xfffffe81,
    0x3fffe27f,0xffffffff,0x3f22ffff,0x01ecc7ff,0xfffffff3,0x362000df,
    0xffffffff,0x7ec402ff,0xffffffff,0x0fff902f,0x13fffffe,0x9ffffff1,
    0x3fffffee,0xfffff36f,0xff301fff,0x0dffffff,0x3fffee00,0x002fffff,
    0xffffffb8,0xf3002fff,0xffffffff,0x3e2bffff,0x446fffff,0xffffffff,
    0xffffff51,0xffffffff,0x7ffdc5ff,0xb80fff46,0xffffffff,0xffd8002f,
    0xffecbdff,0x3ff603ff,0xffecbdff,0x6ffd83ff,0xffffff98,0x7ffffd46,
    0xffffb16f,0x7ff645bf,0xff703eff,0x5fffffff,0xfffb1000,0x00bfffff,
    0xfffffb10,0x5c00bfff,0xfffffffe,0x3ae1dfff,0x5c3fffff,0x44effffe,
    0xffffffec,0xffffffff,0xf17ffea2,0x3f6205ff,0x5fffffff,0x6fffdc00,
    0x0ffffa80,0x80dfffb8,0x7c0ffffa,0xffd705ff,0xffd885ff,0x7fe42dff,
    0x01fff804,0x3fffff62,0x80005fff,0x0ffffffc,0x7ffe4000,0x20000fff,
    0xf9003ffe,0x3e01ffff,0x3ffa02ff,0x317ffc03,0x7fc4bfff,0xfff9003f,
    0x22001fff,0x7c405fff,0x7ffc45ff,0x2fffc405,0xe807fff1,0xffb80fff,
    0x09ff902f,0x4003fff0,0x0ffffffc,0x67ffc000,0x40003fff,0x3fffcfff,
    0x0fffa000,0x7ffffe40,0x405fff05,0x7f403ffe,0x93ffe62f,0xf004fff9,
    0x07fff9ff,0x003fff20,0xfc87ffea,0xffa800ff,0x05fff31f,0x4c5fff88,
    0x3f205fff,0x1fff804f,0x3f3ffe00,0x2a0003ff,0x6ffc9fff,0x3ffea000,
    0x0006ffc9,0x6400fffa,0x82ffffff,0x3fa02fff,0xffb1dc3f,0x51fffc41,
    0xf500bfff,0x0dff93ff,0x800fffa0,0x3ffa3ffe,0x4fffa003,0xb802fff9,
    0x3ffa3fff,0x13ff200f,0x4007ffe0,0xffc9fffa,0x3ff60006,0x005fff15,
    0x7c57ff60,0xfd0002ff,0x3ff2007f,0x7c0fffed,0x3ffa02ff,0x6ccbfee3,
    0x2a3fff83,0xfd806fff,0x05fff15f,0x4003fff0,0x3ffe4ffc,0x53ff2001,
    0xb003fff8,0xfff71fff,0x04ffc805,0xb001fff8,0x3ffe2bff,0xfff88002,
    0x0017ff62,0xfd8bffe2,0xffd0005f,0x37ff2007,0x7fc5fff9,0x33ffa02f,
    0x803ffdaa,0x3fee1ffe,0x7ffc406f,0x1017ff62,0xfb800fff,0x00fff16f,
    0x3fe6ffb8,0xfff1004f,0x900bfffd,0xfff009ff,0x5fff1003,0x4002ffec,
    0x7fd47ffc,0x7fe4000f,0x007ffd47,0x801fff40,0xfff95ffc,0xd017ffc3,
    0xffffffff,0xc8bf5009,0x7e407fff,0x07ffd47f,0x800fff30,0xfff37ffa,
    0x27ffa800,0x2e005ffe,0x00ffffff,0xf804ffc8,0xffc801ff,0x007ffd47,
    0x3e13ffe0,0x7fc003ff,0x03fff84f,0x003ffe80,0x7ff4bff9,0xe80bffe6,
    0xffffffff,0x3ff60004,0x3ffe00ff,0x203fff84,0x2000fff8,0xfff15ffb,
    0x2ffdc001,0xd800fffb,0x9002ffff,0xfff009ff,0x09fff003,0x54007fff,
    0xccccdfff,0x2a006ffe,0xccccdfff,0xe8006ffe,0xff9003ff,0xfa7ffd4b,
    0x3ffa02ff,0x04ffffff,0x3ffffa00,0x9bfff501,0x0dffd999,0x2001fff8,
    0x3ffe4ffc,0x93ff2001,0x2001fffb,0x2005fff8,0xff804ffc,0x7ffd401f,
    0xffeccccd,0x3fff6006,0xffffffff,0xfffb002f,0xffffffff,0xffe8005f,
    0x8bff9003,0xfff9fffd,0xc8fffa02,0xd00043ff,0x3603ffff,0xffffffff,
    0x3602ffff,0xff1004ff,0x027fec7f,0x223fff88,0x74005fff,0x3ee003ff,
    0x1fff805f,0x7ffffec0,0x2fffffff,0xfffff880,0xffffffff,0xffff8805,
    0xffffffff,0x7ff4005f,0x8bff9003,0xfffefff8,0xa8fffa02,0x513f61ff,
    0x7ffe419b,0xfffff107,0xffffffff,0x0fffdc0b,0x707ffe40,0xf9003fff,
    0xfffc81ff,0x0fffa001,0x00fffa80,0xf101ffe6,0xffffffff,0x900bffff,
    0xdddddfff,0x01fffddd,0xeeefffc8,0xfffeeeee,0x0fffa000,0x542ffe40,
    0x02ffffff,0x4110fffa,0x3fe26ff8,0x13ffe63f,0x7777ffe4,0xfffeeeee,
    0x03bffa00,0xe83fffa8,0x3ea00eff,0xfff883ff,0x0fffa005,0x04fff880,
    0xf901bff6,0xddddddff,0x801fffdd,0xfe803fff,0x1fffc03f,0x001fff40,
    0x32007ffd,0xfffb05ff,0x7ff405ff,0x23ffcc03,0x16442ffe,0xd007fff0,
    0x7fcc07ff,0x3f220aff,0xfff306ff,0x7fe4415f,0x3fff606f,0x07ffd000,
    0x1cfffd80,0x00bfff66,0xfd007fff,0x7ffdc07f,0x3ff2200a,0x5fff701e,
    0x77fe4401,0xfd333101,0x2013337f,0x4409dffc,0x302fffff,0x33337ffd,
    0x8fff5333,0xfb8001a8,0x32200aff,0x3ee01eff,0xfffeffff,0x3ee01fff,
    0xfffeffff,0x3e601fff,0x266204ff,0x0019bffe,0xfdfffff1,0xb80bffff,
    0x2200afff,0x7d41effc,0x44ffffff,0xffffffe8,0x3ffffea6,0x7ff444ff,
    0x7f46ffff,0xffffffff,0x3fe63fff,0x5c4fffff,0x7c42ffff,0xffffffff,
    0x7fffffff,0xfffa8000,0x7444ffff,0x06ffffff,0x3fffffee,0xb800efff,
    0xffffffff,0xffc800ef,0xfffffb06,0x005fffff,0xffffffd3,0x3ea01bff,
    0x44ffffff,0xffffffe8,0x3fffff26,0x7ffcc7ff,0xf91fffff,0x8fffffff,
    0xfffffff9,0xfffff31f,0xffffffff,0x7ffffdcd,0xfffe87ff,0x7ffffd42,
    0xffffffff,0x80007fff,0xfffffffc,0x7ffffcc7,0x36201fff,0x03efffff,
    0x7fffec40,0x7ec003ef,0xfffff882,0x05ffffff,0x3fffff20,0x7ffe402f,
    0x7cc7ffff,0x1fffffff,0xdfffffb3,0xfffff905,0x7ffecc9d,0xffc82eff,
    0x7644efff,0xffffffff,0x3f622dff,0x982effff,0x7ec42fff,0xffffffff,
    0x07ffffff,0xfffd9800,0xffc82eff,0x2004efff,0x80000aa9,0x00000aa9,
    0xfffffd70,0x0003bfff,0x26001553,0x2efffffd,0xefffffc8,0x00000004,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x65440001,
    0x20001bdd,0xb9500009,0x07dddddd,0x51000000,0x79999997,0x00002001,
    0x004ea800,0xb3000022,0x05b00003,0x0007b000,0x00072200,0x3b220051,
    0x2e003dff,0xefffffff,0x07fdc001,0x3ffff200,0x004fffff,0x220017a6,
    0xffffffec,0x5c04ffff,0x20002efe,0x22cddca8,0xb800fff9,0x2a0002ff,
    0x220003ff,0x220005ff,0x400005ff,0x2e003ffa,0x3a601fff,0x04ffffff,
    0x7ffffec4,0x003fffff,0xc800bff6,0xccccdfff,0x3f2004fe,0x3fa6001f,
    0xfeefffff,0x3e600cef,0x70007d9c,0xdfffffff,0x880dfff5,0x00dffffd,
    0x00bff900,0x0077fd40,0x00effa80,0x05ffb800,0x827fffc0,0xebadfff9,
    0x3ff604ff,0xffecbdff,0xffd002ff,0x027fc007,0x7f4009fb,0xfff1003f,
    0xf53ff39f,0xf89b200f,0x3ff62002,0xffffffff,0x3ea02fff,0x1fffcbff,
    0x1dff5000,0x3ffe6000,0xffd30001,0x7fec0003,0xfffe8004,0xb05ffb03,
    0x3ffee0ff,0xffffa80d,0x03ffe800,0x6401ff30,0x3ffa004f,0x1fff7003,
    0x1fea7fe2,0x01f33dc0,0x6ffffec0,0xffffffdb,0x837fe204,0x20007fe9,
    0x20003ff9,0x20005fe8,0x50005fd8,0x260005ff,0xff880bed,0x983ff503,
    0x7c405fff,0xffe805ff,0x2ffa800c,0xe8007660,0xffd003ff,0x7d4ffc49,
    0xfbff1007,0x7ffdc00b,0xffffc80d,0x7701e401,0x00b88000,0x0001b800,
    0x710001b8,0xc8000003,0x0ffe00ff,0x7001fff9,0x3ae03fff,0x2defffff,
    0x01ffffa8,0x0fffa000,0xf11fffc0,0x400ff53f,0x22002db8,0xff305fff,
    0x0000bfff,0x00000000,0x00000000,0x40000000,0x3fa206fd,0x001fff43,
    0xffb05ffd,0xffffffff,0xffffffd8,0xffd00004,0x93ffe007,0x07fa9ff8,
    0xffc80000,0xfffe880f,0x75101fff,0x0079dddb,0x37bd9510,0x76dd4400,
    0xa8003cee,0x002bdedc,0x2bdedca8,0x27f40000,0x21ffff64,0x32001fff,
    0x7fff44ff,0xfffffeff,0xd55bff11,0x22005dff,0xffeaaaaa,0xd81aaaac,
    0x3ff10fff,0xba880ff5,0x803ceeed,0xffb03ffd,0x707fff7f,0xffffffff,
    0x3f6005ff,0x2fffffff,0x7ffffdc0,0x802fffff,0xffffffe9,0xfe9802ef,
    0x2effffff,0x47ff0000,0x3fffffe9,0x7001ffe2,0x7ffd4bff,0x3fff20be,
    0x6443ff31,0x2a01efff,0xffffffff,0x7fffffff,0x4df7ffcc,0x207fa9ff,
    0xfffffffb,0x3fe02fff,0x4fffb81f,0xffd0bffb,0xffffffff,0xfffd803f,
    0x3fffffff,0x3fffffa0,0x01ffffff,0x3ffffff2,0x205fffff,0xfffffffc,
    0x0005ffff,0xffd0ffc4,0x7d47fd7d,0x7fd4007f,0xf81fffa6,0x2077f47f,
    0x80cfffe9,0xfffffffc,0xffffffff,0x7fffcc0f,0x07fa9fff,0x3ffffffa,
    0x881fffff,0x7fd40fff,0x21bfee6f,0xbacdeffb,0xb105fffd,0xb759dfff,
    0x2e07ffff,0xdbacdeff,0xff505fff,0xfd959dff,0xff505fff,0xfd959dff,
    0x3aa05fff,0x1ff883ee,0x1ff47ff5,0x4001fff3,0xfff15ffb,0x2a1f5407,
    0xffb83fff,0x776441ef,0xeefffeee,0xb103deee,0xf53fffff,0x6f7fdc0f,
    0x5fffdbac,0x7c47ff98,0x3fea0fff,0xffb80107,0x07fff906,0x407fffa2,
    0x437fdc00,0x301ffff8,0x7c41ffff,0xff301fff,0xfff901ff,0x323ff101,
    0xf11ff46f,0x7e4003ff,0x01fff34f,0x37ffe600,0x07ffec41,0x003ffe80,
    0x2a7ff2a0,0x2e00407f,0xfff886ff,0x707fffa1,0xa9880bff,0x07ffaaab,
    0xff009ffd,0xba98809f,0xb87ffaaa,0x7cc02fff,0x3ffee3ff,0x1fffcc02,
    0xf881fffc,0xfe8df91f,0x8027ff43,0xff13fff8,0x7440003f,0x7d40cfff,
    0x7ffd003f,0x9ff88000,0x531007fa,0x0fff5557,0x7fe4fffe,0x04ffc83f,
    0xffffffd3,0xff30ffff,0x1bff200f,0x7fffff4c,0xfc87ffff,0xeeeeeeff,
    0x25fffeee,0xeeeefffc,0xfffeeeee,0x1037fcc5,0x8ffea3ff,0x7ffdc3fe,
    0x0fffc801,0x00017ffe,0x70bfffee,0x3ffa00df,0x7fc40003,0x74c07fa9,
    0xffffffff,0x7bffd07f,0xff10bfff,0xffff905f,0xffffffff,0x200bff70,
    0x7e40fff9,0xffffffff,0xfffe87ff,0xffffffff,0x3fa6ffff,0xffffffff,
    0x46ffffff,0x3e201ffc,0x37fffa2f,0x7ffc44ff,0x3ffee00e,0x05fffe43,
    0x22017f26,0xebadfffc,0x7ffd006f,0x9ff88000,0x3ff207fa,0xffffffff,
    0xffff707f,0xff901dff,0xffffc81f,0xfffffeff,0x005ffb87,0x7e41fff1,
    0xffefffff,0xffe87fff,0xffffffff,0x3a7fffff,0xffffffff,0x7fffffff,
    0x7f4027f4,0x3ffffa63,0x7ffd40ff,0x3ff620af,0xffff886f,0xfffffcdf,
    0xfffd3001,0x3a007fff,0x440003ff,0x907fa9ff,0xfdffffff,0x740fffff,
    0xa81fffff,0x7fc44fff,0xffa81bef,0x00fff987,0x3e26ffa8,0xfa81beff,
    0xaeffc87f,0xaaaaaaaa,0x3ff22aaa,0xaaaaaaae,0x262aaaaa,0x4fd800ff,
    0x03ddddb8,0xfdfffff9,0x203fffff,0xfffffffa,0xd8006fff,0x2002efff,
    0x40002ffd,0x87fa9ff8,0x81befff8,0x3ea07ffa,0x3220dfff,0xffa86fff,
    0x1ffee00f,0x2202fff4,0x3fea4fff,0x1ffee00f,0x000fffea,0x003fffa8,
    0x5c00bee0,0xfb80005f,0xffffffff,0x7ff4c00e,0x80dfffff,0x03fec05a,
    0x0007fdc0,0x3ea7fe20,0x00fffa87,0xfc81ffee,0xffefffff,0xfb80ffff,
    0x7f5441ff,0xffc81fff,0xfffb81ef,0x07ffee1f,0x3ffffd51,0x039fffd0,
    0xfd0b72e6,0x2e6039ff,0x800622dc,0x80001ffa,0xefffffe8,0x7ffd4004,
    0x07fa00be,0x50007fb8,0xff100003,0xff70ff53,0xffea883f,0xfffa81ff,
    0xffffffff,0xfff301ef,0xfffffdff,0xc85fffff,0xfeefffff,0x7cc2ffff,
    0xfffeffff,0x2fffffff,0x3fffffe6,0xfffffeee,0x7ffffcc6,0xffffeeef,
    0x3e20006f,0xf980005f,0xa882efff,0x01fff400,0xff8817fc,0x26666205,
    0x99999999,0x3fe20019,0xff987fa9,0xffffefff,0x12ffffff,0xfb73ffff,
    0x7007ffff,0xffffffff,0x9fffffff,0xffffff90,0x2e03ffff,0xffffffff,
    0x4fffffff,0x7fffffd4,0x5fffffff,0xffffffa8,0x5fffffff,0x5c298144,
    0x0fe984ff,0x3ffffe60,0xffdbdfff,0x01fff405,0x66666ffc,0xf502fffd,
    0xffffffff,0x0dffffff,0x57fe664c,0x2e0bcffb,0xffffffff,0x4fffffff,
    0xa883fff7,0x7f54000a,0xfbdfffff,0xb501dfff,0x39dfffff,0xffffea80,
    0xffffbdff,0xffff901d,0x05bfffff,0xffffffc8,0xff82dfff,0x3a27fc45,
    0xffeddfff,0x3fffa00f,0xffffffff,0x7fe405ff,0xfffff801,0x204fffff,
    0xfffffffc,0xffffffff,0xffff881f,0xffffffff,0x7ffff544,0xffffbdff,
    0x007ff31d,0x2aea6000,0xb9800009,0xba98000a,0x4c00009a,0x0009aaba,
    0x09aaba98,0xf51ffe20,0xfffd88bf,0x2201ffff,0xffffffff,0x00efffff,
    0xee802f4c,0x1cdeeeee,0x7ffff4c0,0xffffffff,0x3bb204ff,0xeeebaeee,
    0x3575301d,0x000c4001,0x00000000,0x00000000,0x00000000,0xd905d700,
    0x3332a203,0x159b5002,0x005f6544,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x64400001,0x02d88002,0x05910000,0x00001800,0x20002c88,0x00040000,
    0x11000100,0x00008000,0x02000088,0x00000000,0x0003df90,0x000bfd30,
    0x00009ff3,0x0005fe98,0x00007bf2,0x2002ff4c,0x0bdffec9,0xefffda80,
    0x6dcc000d,0xd9103dff,0x003bffff,0x19fffd91,0x07ff5000,0x67ff64c0,
    0x36200001,0x74c002ef,0x0004ffff,0x0003bfea,0x0006ffdc,0x0077fd40,
    0x7ffff4c0,0x7fd40004,0x3fe6000e,0x00efffff,0xffffffb1,0xff3007ff,
    0x85ffffff,0xfffffffb,0x3fa204ff,0x02ffffff,0xbffffb10,0xefff8801,
    0x00001fff,0x400ffff5,0xffcafffb,0x7fdc001e,0x7d40000d,0x2e0000ef,
    0xb8000dff,0xeffcafff,0xdffb8001,0x3ffe6000,0x05ffffff,0xfffffffb,
    0x7d405fff,0xffffffff,0x3ffffee3,0x83ffffff,0xfffffff8,0x7cc01fff,
    0x2fffbcff,0xfc82f220,0xff100005,0x3fe6009f,0x01bfea0d,0x0004ff88,
    0x0013fa60,0x80027fc4,0x3ea0dff9,0x7fc4006f,0xfffe8004,0x3fffeb9d,
    0x4df7ffd4,0x80ffffda,0x9bdffffa,0x7ffec3b8,0xffeca89b,0x77ffe40f,
    0x07fffd9a,0xfd10f7fc,0x6fd8001f,0x004c0000,0x32205910,0x000dc002,
    0x000dc400,0x44000370,0x0059102c,0xf3000370,0xdffb05ff,0xf507ffd8,
    0xfffa85ff,0x3df5001f,0x88bffe60,0xff984fff,0xa80ee02f,0xfffd7004,
    0x00000005,0x00000000,0x00000000,0x00000000,0x3f600000,0x1fff105f,
    0xfd01fff4,0x7fffc49f,0x6c004001,0x3ffea4ff,0x00dffb01,0x3ff60000,
    0x005400ff,0x6e540000,0x22002bde,0x3ceeedba,0x1aaaa880,0x01aaaa98,
    0x1bdeca88,0xdeca8800,0xaaa8801b,0xaaaa981a,0x201fff81,0x3ffa2ffd,
    0xc8fffa03,0x00001fff,0x7dc7ffd0,0x1ffea06f,0x30355551,0x88035555,
    0xfd306fea,0x00f6200f,0xfffffe98,0x7dc02eff,0xffffffff,0xffff302f,
    0xffffc87f,0x7ffec05f,0x002fffff,0xfffffffb,0x3ffe605f,0x7ffe43ff,
    0x7ffc45ff,0xc93fee00,0xfff506ff,0x013ffe23,0x7ffe4000,0x981bfee1,
    0xfff30fff,0xfffc87ff,0xff3005ff,0x06fffb83,0x9001ff90,0xffffffff,
    0x7f40bfff,0xffffffff,0xfffa81ff,0x7ffec3ff,0x3ff605ff,0xffffffff,
    0x7fffec03,0x83ffffff,0x43fffffa,0x45fffffd,0x7d407ff9,0x3bffea6f,
    0x6fffc98b,0x3667ffe6,0x22003efe,0x5ffffdcb,0xe80fffd4,0xfff51fff,
    0xfffd87ff,0x104c45ff,0x7ff4cff5,0xffd000cf,0xffffa805,0xfffecace,
    0xbdff702f,0xbfffb759,0x0ffff6e0,0x0bffdd91,0x59dfffb1,0x07ffffb7,
    0x59dfffb1,0x07ffffb7,0x887fffb7,0x545ffeec,0x7fd407ff,0x7ffffe47,
    0x2a1fffff,0xffffcfff,0xfc801eff,0x40efffff,0xfb83fff8,0x3f6e3fff,
    0x776443ff,0x77ff45ff,0xff93fffe,0x3aa003df,0x3e202fff,0xff301fff,
    0x700201ff,0xffd80dff,0x217fee03,0xd103fffc,0xffc83fff,0xfffd103f,
    0x80fff603,0x7fd45ffb,0x43ffd407,0xffffffff,0x7fffdc4f,0xffffffff,
    0x7fffe400,0xfffb06ff,0xffff9119,0x07ffb09f,0x3662ffdc,0xeaadffff,
    0xeed8cfff,0xffffe880,0x3ffee02f,0x1fffcc02,0x2aaea620,0x7ec07ffa,
    0x17fee03f,0x3e013ffa,0x27ff44ff,0xd827ffc0,0x3fee03ff,0x203ffd45,
    0x7fe47ffa,0xffffffff,0x3ffffee1,0x5fffeabf,0x7ff6d440,0xfff885ff,
    0xffffffff,0x03ffd84f,0x44017fee,0xf71efffd,0xffe883ff,0x7e402eff,
    0xeeeeeeff,0x05fffeee,0xffffffd3,0xfd80ffff,0x17fee03f,0x3200fff3,
    0x1ffe66ff,0xd837fe40,0x3fee03ff,0x203ffcc5,0x3fea6ffa,0xffebadff,
    0xffff50ff,0x03fff90d,0x27fff440,0x7fffffcc,0xd82ffeff,0x3fee03ff,
    0xffffa805,0x07fffe23,0x003dfff7,0x3ffffffa,0xffffffff,0xffffc86f,
    0x7fffffff,0x701ffec0,0x5ffb8bff,0x21fff300,0xf3005ffb,0x7ffb01ff,
    0x222ffdc0,0x3ee00fff,0x03fffa5f,0x7c4fffee,0xff880fff,0xffd8002f,
    0xffffb106,0xb03fff1b,0x7fdc07ff,0x3fff6205,0x7ff7f40e,0x0027ff41,
    0x3ffffffa,0xffffffff,0x7fffe47f,0xfffffeff,0x01ffec07,0xffb8bff7,
    0x1fff1005,0x44017fee,0xffd80fff,0x217fee03,0x3f201ffe,0x07fff14f,
    0xfff2fff4,0x027fec07,0x007ffcc0,0x07ffb866,0x7dc07ffb,0x3ffea05f,
    0xff9ffb83,0x003ffe61,0x577fe415,0xaaaaaaaa,0x3fe22aaa,0xffa81bef,
    0x01ffec07,0xff98bff7,0x6ffa800f,0x2003ffe6,0xffb06ffa,0x42ffdc07,
    0x3fe04ffc,0x01fff33f,0xffd37fdc,0x027fec07,0x001fff80,0x6c17ffe6,
    0x3fee03ff,0x20336205,0x1ff8aff9,0xd807ffe2,0x0fffea7f,0x0fffa800,
    0xb01ffee0,0x3f6209ff,0x05ffe85f,0x3a27ffc4,0x7fc405ff,0x09ffb04f,
    0x2a17ff62,0xffb80fff,0x80bffe0f,0x3ff65ffd,0x3fff880f,0x07ff9800,
    0x03bffe60,0xd8827fec,0x3a0005ff,0x41ff99ef,0xf880dfff,0x3fffa1ff,
    0x5b97301c,0x220fffdc,0x01ffffea,0xc883bff2,0xfc86ffff,0xffb81eff,
    0x7ffe41ff,0xffffb81e,0x41dff901,0x86ffffc8,0x912efff8,0xffd89fff,
    0x3fee60ae,0x37ffe62f,0x47fff661,0xf5101de9,0x4c188bff,0x201ffffd,
    0x3220effc,0x0006ffff,0xfffffff5,0x7fffdc3f,0xffffecbd,0x3ffffe61,
    0xffffeeef,0x3fffe66f,0xffffffef,0xfa82ffff,0xffffefff,0x642fffff,
    0xfeefffff,0xf902ffff,0xffddffff,0x7d405fff,0xffffefff,0x542fffff,
    0xffffffff,0x7ffd40ff,0xfffffeff,0x7fffec0f,0x25ffffff,0xeeeffffd,
    0x21ffffff,0xfffefff9,0x7d402fff,0xffffefff,0x002fffff,0x7e66664c,
    0x7fff40cf,0xffffffff,0x7ffffd41,0xffffffff,0x7ffffdc5,0xffffffff,
    0xfffb04ff,0xffffffff,0xfff909ff,0x3fffffff,0xfffffc80,0x801fffff,
    0xfffffffd,0x84ffffff,0xfffffffd,0xffff501f,0x01dfffff,0xffffffd1,
    0x7fd41dff,0xffffffff,0x7ffd41ff,0x02efffff,0xffffffb0,0x9fffffff,
    0xffec8000,0x7ffec40e,0x01cfffff,0x3ffffff2,0xd502dfff,0x7bffffff,
    0x403bffff,0xcffffffd,0x501dfffd,0x9dfffffb,0x3ff6a003,0x001cefff,
    0x3ffffff6,0x01dfffdc,0x3dffffd7,0xffffd980,0x32200cef,0x04ffffff,
    0xffffffb5,0x3f601bff,0x003fffff,0xffffffd8,0x01dfffdc,0x77ffec00,
    0x9bdb7300,0x5d4c0015,0x260009aa,0x00009aba,0x000d5d44,0x00055cc0,
    0x0002ae60,0x001aba88,0x00055440,0x2000554c,0x8009aa98,0x009aaa98,
    0x00026a60,0x00357510,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000200,
    0x91000002,0x99999999,0x0a880179,0x55440298,0xaaa981aa,0xaaaa881a,
    0x35555101,0xcccccca8,0x2ccccccc,0x55300000,0x00200001,0x66f6e540,
    0x01555550,0x0001bc98,0x406a0000,0x0004fdb8,0x007ecb88,0x7fffcc00,
    0x5fffffff,0xf31bfe20,0x3ffe609f,0x7ffe43ff,0x7ffc45ff,0x7fc45fff,
    0x3f25ffff,0xffffffff,0x2204ffff,0xe9803eca,0x8003ffff,0xceffedb8,
    0x7fff4c00,0xfffcffff,0x7ffc06ff,0x0dda8cff,0x10bff220,0x17ffe205,
    0x009ffff7,0x7ffffa80,0x7fcc0000,0xffffffff,0x1ffe605f,0x3ea0dff5,
    0x7ec3ffff,0x7c45ffff,0x4c6fffff,0x26ffffff,0xfffffffc,0x44ffffff,
    0x3ffffeca,0x767ffc40,0x3a2002ff,0xffffffff,0xfffff702,0xffffffff,
    0xffc80fff,0x2fffffff,0xdfffff10,0xf701ff75,0x5e441fff,0x440004fe,
    0x0007fbbc,0x667ffcc0,0x00bccccc,0x0f641764,0x87fffb70,0x85ffeec9,
    0x81cfffea,0x21dfffeb,0xcccceffb,0x24fffccc,0xfffffffe,0x706fe403,
    0x3fe600ff,0xffffffff,0x7fffd41f,0xffffdbbd,0xa801ceff,0x1efffffe,
    0x3ea77f20,0xf304ffff,0x27ec0dff,0x0ff30000,0x7ff98000,0x00000000,
    0xfb80fff6,0x3fff505f,0x4c37fec0,0x3fe202ff,0xfffff32f,0xfd807fff,
    0xe800ff82,0xdb9befff,0x3fe26fff,0xfffb01ff,0xfff1005f,0x01fffdff,
    0x37f220c4,0x00e6d402,0x400009fb,0x400007f9,0x00007ff9,0x3ff60000,
    0x817fee03,0xff306ffe,0x7006607f,0xbdfd8fff,0x7403ffe9,0x401fe81f,
    0xf702fff9,0x3ffea3ff,0x17ffec01,0x896ffc40,0x00004fff,0x09fb0000,
    0xff300c40,0x26018800,0x100007ff,0x0037bd95,0xf701ffec,0x7ffcc0bf,
    0x006ffd82,0x4027fec0,0x7e403ffd,0x5c03fcc4,0x7ffc05ff,0x300dff93,
    0x02005fff,0x880fffd4,0x3ceeedba,0x13f60000,0x40bff220,0x3f2007f9,
    0x9fff302f,0x0039dfdb,0x3ffffff6,0xffd802ff,0x017fee03,0xff98dffd,
    0x3e20003f,0xffd802ff,0x56ffcc03,0xd8804ffc,0x9fff400e,0xff003ffd,
    0x32e6005f,0x6ffd8acd,0xffffffb8,0x0002ffff,0x75404fd8,0xff301fff,
    0x3fffd500,0x3ffffe60,0x404fffff,0xfffffffd,0x7ec03fff,0x17fee03f,
    0x6c5fff30,0x5c0006ff,0xffb007ff,0xffff5007,0x03764cbf,0x92fff980,
    0xff500dff,0xffe9805f,0xffdfffff,0xfffffe87,0x01ffffff,0x8827ec00,
    0x201efffd,0x3f6207f9,0x3e601eff,0xffffffff,0xffd884ff,0xffdbacef,
    0x3ff603ff,0x017fee03,0x7fcdbff6,0x7f40002f,0x7ffb004f,0x2b36e200,
    0x06ffffc9,0x0fffe880,0xe807fff5,0x3ee02fff,0xffffffff,0x7dc0ffff,
    0xfdbacdef,0xfc8005ff,0x51efffff,0x2607ffff,0xefffffff,0x07ffff50,
    0x2f7fffe0,0x41ffffd9,0xd103fffc,0x3f603fff,0xbffb104f,0xb5fff300,
    0x88000dff,0xfb002fff,0xfca8007f,0x001befff,0x23fffe88,0x41cffff8,
    0x02ffffd8,0x39fffff3,0x5fffffb5,0x6ffb8010,0xeeeeb800,0xfffd9dee,
    0x262eeb8e,0xdeeeeeed,0xcaefffd9,0x59302cfe,0xd1bffa20,0xfff009ff,
    0x83bff609,0x05ffffc8,0xffffffb0,0xffb80005,0x0fff6007,0x3ffff6a0,
    0x220000be,0xfa85fffe,0xfeceffff,0xd02fffff,0x3ea07fff,0x26203fff,
    0x7ffaaaba,0x40017930,0xf33ffffb,0x7dc005ff,0xfff9bfff,0x90006fff,
    0x3ffccfff,0xb06ffc80,0xfffdffff,0x05ffffff,0x6fffff98,0x4ffe8000,
    0x80fff600,0x9beffff9,0x98002cdb,0x2a05fffe,0xffffffff,0x982fffff,
    0x7f406fff,0xffe984ff,0x7fffffff,0x806fff98,0x10dfffe9,0x1005fffd,
    0x3a1bfffd,0x05ff30df,0x23fff300,0xf3005ffb,0xfffb01ff,0xffffffff,
    0xfb009fff,0x80005fff,0x2002fff8,0x3e603ffd,0xffff30bd,0x3e6001bf,
    0xd9805fff,0xbeffffff,0xffa82ffe,0x7ffdc03f,0x7ffffe43,0x87ffffff,
    0x200ffffb,0x642ffffb,0x5c02ffef,0x6e42ffff,0x80027ec0,0xbff71fff,
    0x03ffe200,0x3ffffff6,0xdfffdcff,0x6fff9801,0x7ffb8000,0x01ffec00,
    0x32bbfe20,0xffa805ff,0x54c004ff,0x3ffa2bcc,0x00fffb82,0xf917ffc4,
    0xffdfffff,0xff10ffff,0x7ffc40df,0x7cffd40d,0x6fffc02f,0x05ff5000,
    0x21fff100,0xa800fff9,0x9ffb06ff,0x00015595,0x002fffa8,0x004ffe80,
    0x2001ffec,0x0ffc46fb,0x07ffff90,0x5ffd0000,0x807fff30,0xff11fffb,
    0xff5037df,0x200ae20f,0x4ff881dc,0x2dc805ff,0x313fee00,0x8fff7001,
    0x7c405ffe,0x7ffb04ff,0xffd00000,0xff10000d,0xffd8005f,0x417ec003,
    0xfffb02fd,0x2000005f,0xff882ffe,0x3fff406f,0x5c01fff5,0x000007ff,
    0x7fccffec,0x36200003,0x5ffe44ff,0x5fffb880,0x40f7ffe4,0xb01ffffb,
    0x800007ff,0x0002fffa,0x8007ffb8,0x64003ffd,0x442fe83f,0x001ffffe,
    0x0bffa000,0x4067ffe4,0x3ee3fffc,0x7f5441ff,0x01301fff,0x7fffc400,
    0x0003ffff,0xd82ffe98,0xfeefffff,0xc80fffff,0xfeefffff,0x3602ffff,
    0x220003ff,0xfffeaaaa,0x7f40000a,0x9998805f,0x0999cffe,0xf5077dc0,
    0x7fffc41f,0x999999af,0x54c000bb,0xd01cfffa,0xfb9dffff,0xff98dfff,
    0xffffefff,0x12ffffff,0x20009ffd,0xffccccc8,0x7dc0000d,0xfff100ef,
    0xffffffff,0x7ffe405f,0x1fffffff,0x001ffec0,0xfffffff0,0x8000bfff,
    0x7f401fff,0xffffffff,0x7f403fff,0x4c3ffedf,0xffffffff,0x02ffffff,
    0x3fffff60,0xfe986fff,0xffffffff,0xffffb81e,0xffffffff,0xfff74fff,
    0xd700001f,0x40003dff,0xeeeefffa,0x3fff223f,0x00cfffff,0xfffffda8,
    0xffc801ce,0xfff10001,0xffffffff,0x04fb8000,0x7fffffc4,0x6fffffff,
    0x7fffec40,0xfffff983,0xffffffff,0x3ffa004f,0x07ffffff,0x3fffffee,
    0x7ff5403f,0xffbdffff,0xfff51dff,0x3f20000f,0x20002eff,0xfffffffa,
    0x3555305f,0x55cc0003,0x01ec4000,0x3bbb6a00,0x002deeee,0x3fb20000,
    0xffffffff,0x553002ef,0x3fffe601,0xffffffff,0x326004ff,0x2deeeeee,
    0x01aba980,0x04d5d4c0,0x003bd700,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x002980a8,
    0x5cc00000,0x26000acc,0x5440001d,0x64c02980,0x00002ccc,0x33332a00,
    0xeedb9800,0x1555533d,0x00032a00,0x55100022,0x3b726355,0x0d4002cd,
    0x22000544,0x12ceeecb,0x37fc4003,0x44013fe6,0x01443ffc,0xfffffd88,
    0x5ff7002f,0x1bfe2000,0x3e209ff3,0x0004ffff,0xffff7000,0xfffb803f,
    0xffefffff,0x7e400fff,0x7fd4001f,0x3fffe003,0xfffffdef,0xfc801eff,
    0x007fec1f,0xffffffb8,0x002fffff,0xffa8fff3,0xffff8806,0x01ffbaef,
    0xffffffe8,0xffb002ff,0xfff30009,0xf106ffa8,0x0009ffff,0x3ffee000,
    0x3ffa01ff,0xffffffff,0x101fffff,0x44007ffb,0x00effffd,0x7fffffc4,
    0xffffffff,0x7fec02ff,0x400fffc2,0xfffffffe,0x004fffff,0x07b20bb2,
    0x3ea77f20,0xb804ffff,0xffedffff,0xff7000ff,0x05d9000b,0x75cc03d9,
    0x000004ff,0x07fff2a0,0x567fffdc,0xffffffcb,0x5ffd103d,0x67ffcc00,
    0x5402fffb,0xefffffed,0xffffecac,0x2a17a601,0xfffc804e,0xffecbbcf,
    0x000005ff,0x7e441880,0xbffb002d,0x002fff98,0x0000bfea,0x27fe4000,
    0x7c000000,0xfff981ff,0xffff980d,0x00f7e404,0xd887bfe0,0xffb800ff,
    0xfff503ff,0x9800000d,0xf300dfff,0x00000bff,0xe8000000,0x3ffe82ff,
    0x0005c400,0xffc80000,0x80000004,0xffb81fff,0x3ffea00f,0x0005cc04,
    0x009501dc,0x7013ffee,0x00003fff,0x4037fec0,0x51003ffc,0x079dddb7,
    0x7bd95100,0x17ff4003,0x000fffe2,0xedca8000,0x3f2002bd,0x9bdb934f,
    0xeca88005,0x3fff0bde,0xd009ffb0,0x000009ff,0x3ee00000,0xffe800ff,
    0x06aaaa23,0x206aaaa6,0xe8802ffe,0xfffb800e,0x2fffffff,0xfffffb00,
    0xfd005fff,0x3ffae25f,0x2aaa601f,0x26000aaa,0xfffffffe,0xeffc802e,
    0xfffffffd,0xfffa800e,0xffcfffff,0x02ffe81f,0x2604ffd8,0x00aaaaaa,
    0x55555530,0x37fdc001,0xf34ffc80,0xfc87ffff,0xff85ffff,0xe800001f,
    0xffffffff,0x7ec01fff,0xffffffff,0x57ff403f,0x05fffffa,0x3fffffea,
    0xfff9002f,0xffffffff,0xffffc80b,0xffffffff,0x3fff202f,0xffffffff,
    0x3ffe81ff,0x504ffd80,0x5fffffff,0xfffff500,0x7dc005ff,0x7fc401ff,
    0xfffff53f,0xfffffd87,0x007ffc45,0x77fdc000,0xfffdbacd,0xdfffb105,
    0xffffb759,0x657ff407,0x00efffff,0xfffffff7,0xffff5005,0xfffd959d,
    0x7ffe405f,0xfdbaceff,0xffa80fff,0xffcabcff,0xfc81ffff,0x7ffc405f,
    0xfffff704,0xff7005ff,0x005fffff,0x202fffdc,0x36e1fffc,0x76443fff,
    0xffe85ffe,0x01000002,0xf906ffb8,0x3fa207ff,0x5ffd01ff,0xdfffffb1,
    0xfddb7101,0xff8805ff,0xfff301ff,0x3fff201f,0xbfff503f,0x81efff88,
    0x81ffffd8,0x3202fffa,0xb7104fff,0x005fffdd,0xfffddb71,0x7ffdc005,
    0xfffb82df,0x407ffb06,0xffc85ffb,0x000aa006,0xf5557531,0x13ffa0ff,
    0x7413ffe0,0x3f6a22ff,0xfe800eff,0x7ffdc02f,0x1fffcc02,0x404fffc8,
    0x3ee1fffb,0x7ff400ff,0x7fffd01f,0x4ffffd88,0x00bffa00,0x0017ff40,
    0xfffffff7,0x3fffffb9,0xb80fff60,0xfffa85ff,0x3ffaa02e,0xfffe9802,
    0x87ffffff,0xf9007ff9,0x0bffa0df,0x4027ffd4,0x7e402ffe,0xeeeeeeff,
    0x05fffeee,0x3a00fff9,0x13ff62ff,0x407ffe60,0xfefffff9,0x04ffffff,
    0x000bffa0,0x70017ff4,0xffffffff,0x403fffff,0x3ee03ffd,0xffff905f,
    0xffffdddf,0xffc805ff,0xffffffff,0x05ffb87f,0xd01fff30,0x7fdc05ff,
    0x02ffe806,0x7ffffff4,0xffffffff,0x0dff906f,0xfe93ff20,0xfff8802f,
    0x3fffea01,0xffffffff,0x0bffa004,0x017ff400,0xff7bff70,0x019fffff,
    0x2e03ffd8,0x3ff605ff,0xffffffff,0x7fe405ff,0xfffeffff,0x5ffb87ff,
    0x01fff100,0x7c405ffd,0x7ff400ff,0x7ffff402,0xffffffff,0xff907fff,
    0x93ff200b,0xff002fff,0xffd8803f,0xffcbffff,0x0bffa004,0x017ff400,
    0x5d4bff70,0xfb000abc,0x2ffdc07f,0x3ffffaa0,0x402dffff,0x81befff8,
    0xff987ffa,0x6ffa800f,0xf805ffd0,0x7ff401ff,0x577fe402,0xaaaaaaaa,
    0xff902aaa,0x8fffa00f,0xf9803ffd,0x2a6001ff,0x013ff21a,0x0002ffe8,
    0x5c005ffd,0xb00005ff,0x7fdc07ff,0x5ff51005,0x3ea00135,0x3fee00ff,
    0x80bffd07,0xfd04fff8,0xf88bfa5f,0x7ff401ff,0x1fffd402,0xfffc8000,
    0x0fffd403,0xd801fff9,0x80001fff,0x3a003ffe,0xfd0002ff,0x7fdc005f,
    0xffb00005,0x17ff6209,0x004ff880,0x441fffb8,0x81ffffea,0xb81efffc,
    0xe981ffff,0x27ff9bff,0xfe807ffc,0xfffe802f,0x5b97301c,0x9ffffb10,
    0x8bfff701,0x982efff8,0x00bffffd,0x07ffea00,0x002ffe80,0x4005ffd0,
    0x00005ffb,0x6441dff9,0x2006ffff,0x4004fff8,0xfefffff9,0xffffffff,
    0x7fffe42f,0xfffffeef,0x7ffffcc2,0xffefffcf,0x4ccc45ff,0x999bffe9,
    0xfffff981,0xffffeeef,0x7ffff46f,0xfeeeffff,0xfa80ffff,0xffeeffff,
    0x4fffffff,0x2eaaaa20,0x2207fffe,0xbffe9999,0x99881999,0x99bffe99,
    0xffda8819,0x20001aae,0xffeffffa,0x2fffffff,0x3f337e20,0xfffb8005,
    0xffffffff,0xfc84ffff,0xffffffff,0xffffb81f,0xffffcdff,0x3fee0fff,
    0xffffffff,0x7d40ffff,0xffffffff,0x3e65ffff,0xffffffff,0x2fffffff,
    0x3ffffee0,0xffffffff,0xfff307ff,0x3fffffff,0x3ffffee0,0xffffffff,
    0xfffff70f,0xffffffff,0x7ffffc1f,0x0004ffff,0x3ffffff6,0x4fffffff,
    0x3ffffe20,0xffd50002,0xff7bffff,0x36a03bff,0x1cefffff,0xbffffb10,
    0xdffffb33,0xfffffe83,0xffffffff,0xffff902f,0x05bfffff,0xf9bfffd9,
    0x19ffffff,0xffffb100,0xffff5dff,0x3ffea05d,0x01ffffff,0x3ffffffa,
    0xffffffff,0xffffffd2,0xffffffff,0x3ffffe25,0x0005ffff,0x7fffffec,
    0x01dfffdc,0x0016ed44,0x04d5d4c0,0x055cc000,0x35510000,0x3ffffaa0,
    0xffffffff,0x55d4c00d,0x4c00009a,0x10001aba,0x00015753,0x5ef776dc,
    0xfffea801,0xffffffff,0xfffd50df,0xffffffff,0x776d41bf,0x000ceeee,
    0x01aba880,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x19800098,0x00000350,
    0x00130000,0x55555554,0xaaaaaaaa,0x9997000a,0x6ee5c405,0x2e2000ac,
    0x0310bcdd,0x00000b98,0x8b37b2e6,0x5554c001,0x00aaaaaa,0x8004ccb8,
    0x22cdecb8,0x44000400,0xacefffdb,0x21ffd400,0x2e001ffc,0x00540cfe,
    0x3fff6e20,0x00e00ace,0xfa802880,0xfda84fff,0x2fffffff,0x7ffff5c0,
    0x04fedfff,0x200017fe,0xfffffffa,0x8804feff,0xffffffff,0x7405ffff,
    0x7e4007ff,0xeeffffff,0x7ff5cc3f,0x7fec402d,0xffffedef,0xb13ff203,
    0x3f6007ff,0xfe9bffff,0xfffb1003,0x7ffffdbd,0x288000e0,0x7ffffc40,
    0x7ffffe44,0x03ffffff,0xfffffff9,0x20dfffff,0x40007ff9,0xfffffffc,
    0x807fffff,0xfffffffa,0x406fffff,0x36007ffe,0xffffffff,0x3fe26fff,
    0x101ffeef,0x95105ffd,0x376209ff,0x4006f4c0,0xffd9aff9,0xe8800eff,
    0xfca882ff,0x2000384f,0x7ffe4028,0x7ffe44ff,0xfffeccef,0x7fffe40f,
    0xfffedbce,0x0fff307f,0x7fffec00,0xfffdcbce,0xffd9007f,0xbfffffff,
    0x05eed805,0x7dffff70,0x8fffffd9,0x41bee0bc,0xfa800dfe,0x8000003f,
    0x00beea81,0x5001bfd0,0x000387ff,0xfff880a2,0x7fe44fff,0x4fff980d,
    0x403bffee,0xf307fffb,0x3ea000ff,0xfb100dff,0x7d4000ff,0x8000007f,
    0xf980efff,0x6fc807ff,0x764c5fc8,0x3ff52abd,0x00000000,0x2e37f200,
    0x540acccc,0x8000e1ff,0x3fff6028,0x7fdc4ffd,0xf97ff602,0x7dc00eff,
    0x7fe54c7f,0xaaaaaaaf,0x01dfff00,0x0006ff98,0x0001ffea,0x03fff300,
    0xeb837fdc,0x0ff82ffe,0x3fffffee,0x2a613ee7,0x000aaaaa,0x36e35553,
    0xff802cee,0xffffff98,0x0727dc5f,0xfa814400,0x44ffcbff,0x3ee00dd8,
    0x01fff36f,0x7d4bff10,0xffffffff,0xfb86ffff,0x7fb000ff,0x3ffd4000,
    0x555554c0,0x7ffc400a,0x413fe200,0x4c1ffffc,0x22fbea3f,0x237c7fb8,
    0xfffffffa,0xffffb802,0xfffffffd,0xf87f300d,0x41fda99e,0x88000e6f,
    0x32dffd02,0xfd0004ff,0x01bfee9f,0x3fee1da8,0xffffffff,0x7e40ffff,
    0x0000006f,0x2a03ffd4,0x2fffffff,0x00dffe80,0xfb5100a6,0xfd0fdc1f,
    0x0fd8fb03,0x3fffffee,0xfffc802f,0xffffffff,0x83f705ff,0x3627c46f,
    0x4400070f,0x92fffb82,0xe98009ff,0x9ffb1fff,0xedb88000,0xeeeeefff,
    0x4ffd82de,0x54000000,0x7fdc07ff,0x802fffff,0x1bdffffc,0x8bfe2000,
    0x08837c7e,0xdb7117dc,0x1005fffd,0x9dfffff9,0x05fffd95,0x6ccdf0fd,
    0x0397dc3f,0xff10a200,0x027fe4bf,0x6ffffda8,0x0000bffe,0x8007ff98,
    0x00002fff,0x03ffd400,0x3ffbb6e2,0xfffb002f,0x017bffff,0x0ffa8151,
    0x004f89be,0xffd013e6,0x7ffec005,0x83ffe80d,0xfffff86f,0x074f985f,
    0x3f214400,0x13ff20ff,0x3fffff60,0x007ffe0d,0x07ff9800,0x201fff80,
    0x00999999,0x0fff5001,0x005ffd00,0x7fffffe4,0x7fec2fff,0x744fffef,
    0xb8013e27,0x17ff403f,0x40bffb00,0x87e85ffc,0x80ffeeff,0x400073fb,
    0x13ffe628,0xfb009ff9,0xfff05dff,0x7cc00003,0xfff8007f,0xfffffa81,
    0x3f60efff,0x03ffd404,0x0017ff40,0x7ffffe54,0x3ff623ff,0x1fc83eff,
    0x7ec003fe,0x017ff401,0x5c07ffb0,0x41fc85ff,0x3617f26f,0x4400071f,
    0x903fffa2,0xffb009ff,0x01ffec09,0x0fff3000,0x905ffd00,0xffffffff,
    0x01bfe25f,0xd000fff5,0x880005ff,0x007fffca,0xcfc8fea0,0x0ff07540,
    0x4005ffd0,0x3ee03ffd,0x7c3fa85f,0x9fe27e46,0x54a20003,0xeeeeffff,
    0x200cffff,0x3ee00ffa,0x2600004f,0xfc8007ff,0xfffd984f,0x3e65ffff,
    0x3ffd407f,0x017ff400,0x3e6006e2,0xf10001ff,0x677ff41f,0x017ea6fe,
    0xd800bffa,0x3fee03ff,0xe88ff885,0x3bf62eff,0x000e5fa8,0xffff9288,
    0xffffffff,0x8800807f,0x02001fff,0x8007ff98,0xf3006ffa,0x07ff98ff,
    0x40037fd4,0x7ec02ffe,0x4ffd800f,0x7ec05910,0x5efffdc5,0xd005ff30,
    0x7ec005ff,0x17fee03f,0x776c6fec,0x3eb7622e,0x88000e2f,0xffffff92,
    0x3fffffff,0x3ffa0000,0x0ffb800e,0x0807ff98,0x4027ffc4,0x7fcc7ff9,
    0x027fec07,0x2017ff40,0x7c404fff,0x5fe983ff,0x2213fe20,0x8027fcc0,
    0x36002ffe,0x3fee03ff,0x009ff105,0x00713fe6,0xaaa99440,0xffeaaaaa,
    0x2a00000d,0x980bffff,0xf882fffd,0x765443ff,0x77ffe46f,0x7ffca881,
    0x05efffcc,0x005fffb1,0xf805ffd0,0x2609efff,0x541fffeb,0x7cc00eff,
    0xff7301ef,0x2666620b,0x1999bffe,0x019ffd30,0xf9817ff2,0xff7301ef,
    0x4400070b,0xffd98802,0x02deb805,0xffffffa8,0x7fffffee,0x3bffffe0,
    0x0ffffffe,0x7ffffff4,0x7ffffffe,0x7fffffcc,0x04fffffe,0xfe999988,
    0x7c1999bf,0xfeffffff,0x5c5fffff,0xd1000dff,0xffb9bfff,0x3fee09ff,
    0xffffffff,0x3f60ffff,0x262fffff,0x02ffffff,0xb9bfffd1,0x0e09ffff,
    0x6c028800,0x1fffffff,0x00ffff50,0x3fffffea,0x00dfffff,0x3fffffea,
    0x884fffff,0xfffffffd,0x444fffff,0xfffffffc,0xfb804fff,0xffffffff,
    0xfb0fffff,0xffffffff,0x7c41dfff,0xd950004f,0x017bffff,0x7ffffff4,
    0xffffffff,0xffffff12,0x7fffdcbf,0x765404ff,0x00bdffff,0x0288000e,
    0x7ffffffc,0xdfff103f,0x7fedcc00,0x003dffff,0xffffffd5,0xfd98039f,
    0xbfffffff,0x3ffae200,0xd003dfff,0xffffffff,0x25ffffff,0xfffdacea,
    0x3702efff,0x06a20000,0xffffea80,0xffffffff,0x3fffae0d,0x3ff621df,
    0x22001dff,0x3336001a,0xcccccccc,0x402ccccc,0xdfffffeb,0x0006a200,
    0x00015510,0x004d5d4c,0x09aa9880,0x01a98800,0xffffea80,0xffffffff,
    0x2aa6200d,0x00000009,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xa8800000,0xa980aaaa,0x22001aaa,
    0x81acccba,0x001cccca,0xccccca80,0x665c401c,0x4400004c,0x801bddca,
    0xaaaaaaa8,0x5554c001,0x0000aaaa,0x00cddca8,0x55555530,0x00000135,
    0x55553000,0x55555555,0x02200155,0x3ffffe60,0x3fffe4ff,0xfb806fff,
    0xffffffff,0x5fffff51,0xfffb8000,0x6c03ffff,0x000fffff,0xfffff700,
    0x3f203dff,0xffffffff,0x7ffcc00f,0xffffffff,0x7ec4001d,0x204fffff,
    0xfffffff9,0x00dfffff,0x3fe60000,0xffffff11,0xffffffff,0xffc805ff,
    0xff704def,0x26dfffff,0xffffffff,0x3fffee00,0x54ffffff,0x005fffff,
    0xfffffa80,0x7fe403ff,0x40000fff,0xffffffd8,0xfe82ffff,0xffffffff,
    0x7ffd402f,0xffffffff,0x3fa004ff,0x2fffffff,0xffffff50,0xffffffff,
    0xd9510005,0x3ffe637b,0xffffff54,0xffffffff,0x3fa205ff,0x82ffffff,
    0xdfffffd8,0x3ffffb22,0x3ffe203e,0xffeeccef,0x0bffee61,0x3332a000,
    0x54403fff,0x0000fffc,0x5effffec,0x43ffffec,0xffffffd9,0xfc8804ef,
    0xffffffff,0xb804ffff,0xffccefff,0xffd9106f,0xffffffff,0x22003fff,
    0xfffffffe,0x321fffff,0xfffffffe,0x2fffffff,0xffffffb0,0x7fe403ff,
    0x01fff804,0x0007ffd4,0x00017ff4,0x801fff40,0x0000fff8,0x2037ffee,
    0x200ffffa,0x70003ffe,0xfd730bff,0xffd805ff,0x4027f446,0xfc982ffe,
    0xfe8806ff,0xffffffff,0xffd02fff,0x82fff807,0xe98cfff8,0x27fe401e,
    0x200fffc0,0xd0005ffb,0x000005ff,0x22007ffd,0x10000fff,0xf880bfff,
    0x3ffa05ff,0xbff70003,0x037ffcc0,0x0040bffa,0x2e02ffe8,0x3e600fff,
    0xdbabdfff,0x3a06ffff,0x7ff403ff,0x00fff982,0x804ffc80,0xaa881fff,
    0xaaaaeffd,0x57ff401a,0x02cdedc8,0x007ffd00,0xa983ffe2,0xfc80aaaa,
    0xffa800ff,0x07ffd01f,0x017fee00,0x6c05fff5,0x740003ff,0x3fe202ff,
    0x3fffa01f,0x7ffff442,0x87ffd03f,0x203ff63b,0x8001fff9,0xff804ffc,
    0xfffff81f,0xffffffff,0x3fbffa05,0x04ffffff,0x003ffe80,0x3ee1fff1,
    0x40ffffff,0x3a003ffe,0x7ffd03ff,0x17fee000,0xc817ff60,0x740005ff,
    0x3fee02ff,0x07ffe607,0xffdfffd1,0xb8fffa0f,0x407b32ff,0xc8006ffe,
    0xfff804ff,0x7ffffc41,0xffffffff,0x3ffffa06,0x5fffffff,0x01fff400,
    0xf90fff88,0x83ffffff,0x32001fff,0x7ffd04ff,0x17fee000,0x221bfee0,
    0x1aafffca,0x82ffe800,0x205fffd8,0x7f445ffb,0x0fffacff,0xdaacffe8,
    0x3ea003ff,0x7e4003ff,0x1fff804f,0xfffeeda8,0x01ceeeee,0x33bffffa,
    0x00ffffca,0x400fffa0,0xff90fff8,0xf885bdff,0x7fdc007f,0x007ffd06,
    0x2017fee0,0x7fe47ff9,0xffffffff,0x37ffa000,0xfffffdcc,0x8fff601f,
    0x3e4fffe8,0xfffe82ff,0x004fffff,0x983ffff6,0x09ff9009,0xb803fff0,
    0xfd0005ff,0xfff01bff,0x1fff4005,0xd9fff880,0x2602ffff,0x7d4007ff,
    0x07ffd07f,0x017fee00,0xffd1ffe6,0xffffffff,0x7fff4005,0xefffffff,
    0x89fff400,0x7fc4fffe,0xffffe81f,0xb004ffff,0x26dfffff,0xffc82fff,
    0x01fff804,0x8002ffdc,0x3f604ffe,0x3ffa004f,0xffff1003,0x8803dfff,
    0x2e000fff,0x7ffd05ff,0xffb82980,0x47ff9805,0xffffffda,0x7f4004ef,
    0xffffffff,0xfffc800f,0x4c4fffe8,0xfffd07ff,0x009fffff,0xfffdfff9,
    0x90bfff77,0xfff009ff,0x05ffb803,0x405ffd00,0x3a004ffc,0xff1003ff,
    0x001dffff,0xc8007ffe,0x7ffd04ff,0x2e1ffcc0,0xffb805ff,0x037fdc06,
    0x99bffd00,0x009ffff9,0xfffffff5,0x05fff88b,0x7fe47ffd,0xa7ffc043,
    0xfffefffd,0x805ffb82,0x7dc01fff,0xffd0005f,0x027fe405,0x2007ffd0,
    0xdffffff8,0x09ffb000,0x40fffe20,0x3ee03ffe,0x02ffdc5f,0x36027fec,
    0x3a0005ff,0x7ffd42ff,0xfffd804f,0x7ffdc5ff,0x47ffd02f,0x93f61ffa,
    0xff10fff9,0x2a03ffff,0x3e600fff,0x5ffb807f,0x05ffd000,0xd0027fe4,
    0x3e2007ff,0x0effffff,0x01fffb80,0xd00fffc8,0x7fdc07ff,0x202ffdc5,
    0x7c03fff8,0x3a0004ff,0xffe982ff,0x7ffcc02f,0xfffeefff,0x3ffa02ff,
    0xdff10443,0x3ea3ffd4,0x3e206fff,0x3ff604ff,0x05ffb806,0x405ffd00,
    0x3a004ffc,0xff1003ff,0x3dfffb5f,0x01dffd00,0xd01fffd4,0x7fdc07ff,
    0x302ffdc5,0x4401ffff,0x36a02fff,0x205ffd01,0x200ffff8,0xfffffffd,
    0x401fffff,0x7cc03ffe,0x2fffe27f,0x033fffa0,0x21cfffd8,0x802fffd9,
    0xd0005ffb,0x7fe405ff,0x0fffa004,0xc87ffc40,0x4c01ffff,0x220affff,
    0x9886fffc,0x999bffe9,0x45ffc999,0xa999effc,0x02ffffdb,0x267fffea,
    0x6ff99999,0x01bffe98,0xb03bfff5,0xfffbdfff,0x98039dff,0x9999bffe,
    0x47ffa999,0xffeffffe,0x102fffff,0xffdfffff,0x9980bfff,0x9999effc,
    0x5fff4c01,0x0dffd880,0xfe999988,0x881999bf,0x3ee0fffa,0x2e01afff,
    0xffefffff,0x7dc1ffff,0xffffffff,0x5fffffff,0xfffffff1,0x9fffffff,
    0x7fffff40,0xffffffff,0x3fffe26f,0xfc82ffff,0x3fe26fff,0x00554c6f,
    0x7fffffc4,0xffffffff,0x7ffcc7ff,0xffffffff,0x3ffa605f,0x0dffffff,
    0xffffff30,0x3fffffff,0xffffffb0,0x7ffffdc5,0x3fffee4f,0xffffffff,
    0xffff70ff,0xfffff81f,0xfff702ff,0x1dffffff,0xffffffd0,0xffffffff,
    0x3ffeabff,0xffffffff,0x3fe203ff,0xffffffff,0x2a4fffff,0xffffffff,
    0x1ffffd04,0x00006ff4,0x3fffffea,0xffffffff,0xffd987ff,0xdffdefff,
    0xffffc801,0x7fdc02ff,0xffffffff,0x7fc43fff,0x3a5fffff,0x27ffffff,
    0xfffffffe,0x2fffffff,0x41fffffb,0xfffffff9,0x3fff6204,0x3aa03eff,
    0xffffffff,0x5fffffff,0xffffffb1,0x00159bff,0xffffffd9,0x87dfffff,
    0xffffffd8,0x9dff101d,0x22000030,0xfffffffd,0xffffffff,0x06aaa607,
    0x02aa6000,0x7fffec40,0xdfffffff,0xffffec80,0x3fffaa1d,0x3ffaa2ef,
    0xffffffff,0xffb30dff,0xffec81ff,0x53001dff,0x00000015,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x53000000,0x55555555,
    0x15555555,0x200aaa98,0x5440aaa9,0x2600aaaa,0x5101aaaa,0x55301555,
    0x5554c035,0xaaaaaaaa,0x54c0aaaa,0x01aaaaaa,0x555554c0,0x554000aa,
    0x9aaaaaaa,0xaaaaa800,0xaaaaaaaa,0x00aaa981,0x2602aaa6,0x2a600aaa,
    0x555300aa,0x2aaa2035,0xd80400aa,0xffffffff,0xffffffff,0x3fffffa1,
    0x7ffff444,0xfffff53f,0xfff889ff,0x7cc7ffff,0x3e5fffff,0x20ffffff,
    0xfffffff8,0xffffffff,0x3fff60ff,0x0fffffff,0x7ffffc40,0x1dffffff,
    0x3ffffe60,0xefffffff,0x3ffffe02,0xffffffff,0x7fffffc4,0x7ffffc44,
    0x3ffffe4f,0x7fffc45f,0x7fffc4ff,0x3ea0ffff,0x44ffffff,0x21ceffd8,
    0xfffffffd,0xffffffff,0xfffff31f,0xffff98ff,0xffff96ff,0xff98dfff,
    0x21ffffff,0x7ffffffb,0xfffffff3,0x7ffffcc3,0xffffffff,0x3fe0ffff,
    0xffffffff,0x7ffd401f,0xffffffff,0xfff704ff,0xffffffff,0x3fe09fff,
    0xffffffff,0x3fe64fff,0x7d46ffff,0xf36fffff,0xa8ffffff,0x26ffffff,
    0xfffffff9,0x3ffff21f,0x3fa26fff,0xfb0fffef,0xffffffff,0x3fffffff,
    0x1fffffe4,0x977fffec,0xdfffffd8,0xffffec82,0x7ffec44e,0x3ffae2df,
    0xffec84ff,0xffffffff,0x2a0fffff,0xfffffffd,0xfff9004e,0xffffffff,
    0xfd9109ff,0xffffffff,0xff05ffff,0xffffffff,0xfeb89fff,0x7ec42fff,
    0x3f22dfff,0xfd82ffff,0x7e41dfff,0x444effff,0x2efffffd,0x29fb1bf2,
    0x7ff44ffd,0x6c0fffc2,0xffa80fff,0x5fff303f,0x80dffb00,0x3f202ffe,
    0x27fec04f,0x203ffe20,0x9999fffa,0x17fee000,0x0bfffae6,0xa882ffe8,
    0xfff87ffe,0x0ffff882,0x701fffd0,0x3a205fff,0xffc81fff,0x0fff604f,
    0x4c2ffe80,0xfdb7dc0c,0x217ff44f,0xff881fff,0x2fffc46f,0x1017ffa0,
    0xfe807fff,0x13ff202f,0x8809ffb0,0xffa80fff,0xffffffff,0x17fee00d,
    0x206fff98,0x3e602ffe,0x17ffc0ff,0x1017fff4,0xff98bfff,0x7ffc405f,
    0x17ffee0f,0xcc89ff90,0x00fffc2c,0xffd9ffcc,0x3e17ff44,0xfff701ff,
    0x007ffec7,0xb803ffea,0xffe807ff,0x013ff202,0x0ca89ffb,0x7fd41ffa,
    0xffffffff,0xbff703ff,0x02fffa80,0x7c405ffd,0x0fff41ff,0x2013fff2,
    0x3fa3fffb,0xffa800ff,0xefff98ef,0x32ffdc00,0x7fc4dfff,0x2ffdc00f,
    0xffe87ff9,0xb007ff42,0xfff73fff,0x13ffe007,0xe804fff8,0x3ff202ff,
    0x527fec04,0x816d47ff,0xccccfffa,0x80ffffdc,0xfd805ffb,0x05ffd05f,
    0x321fff62,0x2fffd47f,0x71fffb00,0x5c005fff,0xffffdfff,0x26ffa800,
    0xf31ffffb,0x7fec40ff,0x3a07fcc4,0x02fe42ff,0x3ffbffe2,0x3ff2005f,
    0x01fff507,0x3337ffd0,0x09ffb333,0xdaadffd8,0x3ea004ff,0x3ffe606f,
    0x3bff6a22,0xffb81aaa,0x559ffd06,0x9ffffb75,0xfff982a0,0x3fe2000e,
    0x005fffef,0xffffffc8,0x4fff3002,0xf53ffffe,0x3ffa60ff,0x3ffa0102,
    0xff700082,0x4001ffff,0xfd82fff8,0xfffd005f,0xffffffff,0xfffd809f,
    0x005fffff,0xfb01bfea,0x3fffe6bf,0x42ffffff,0xffd07ff9,0xffffffff,
    0xfd1001df,0xf70003ff,0x001fffff,0x0fffff60,0x98fff880,0xf76fffff,
    0x1dff70df,0x7ff40044,0xe9988002,0x099cffff,0x98dffb00,0xfd002fff,
    0xffffffff,0xfd809fff,0x5fffffff,0x01bfea00,0x3feabff9,0xffffffff,
    0xe83ffcc3,0xffffffff,0xd801ffff,0x20003fff,0x002ffffd,0x07ffff20,
    0xf93fff00,0xf93fffff,0xffff88bf,0xe806ffff,0xfe8002ff,0xffffffff,
    0xfff5003f,0x003ffe43,0xfffffffd,0x809fffff,0xfffffffd,0x3fea005f,
    0x91fffc06,0xdddfffdd,0x07ff981b,0xfffffffd,0x05ffffff,0x0027ffdc,
    0x017ffe20,0xfffffa80,0x3ffe000f,0xffecffea,0x7444ffdb,0x6eeeeeee,
    0x002ffe80,0x003ffd80,0xff93ffa0,0x3ffa003f,0x013ff202,0x7fdc9ffb,
    0x1bfea004,0x40fffe44,0xfb805ffb,0x05ffd06f,0x03ffff26,0x261bffe6,
    0x3ffa003d,0xfff30003,0x400dffff,0x9fffdffe,0x3ffeeffc,0xffd00000,
    0xffb00005,0x7fdc0007,0x00fffb8f,0xc80bffa0,0x7fec04ff,0x800bfe64,
    0xfeeefffa,0x705fffff,0xff900bff,0x00bffa09,0xf885fff5,0xffd80fff,
    0x07ffd000,0x3ffff100,0x200bfff7,0x36fffffd,0x05ffffff,0xfe800059,
    0xeec8002f,0xeeeefffe,0x3ffe2002,0x4005ffeb,0x3f202ffe,0x27fec04f,
    0xff500062,0xffffffff,0x2ffdc07f,0x40fffe20,0xfd802ffe,0x17ffec4f,
    0xd001fff8,0xfd0007ff,0x7ffe45ff,0xffffc803,0x3ffffa4f,0x027fc41f,
    0x005ffd00,0xfff99950,0x8003799b,0x1ffffffc,0x017ff400,0xfd809ff9,
    0xfa80004f,0xcdeeeeff,0x2ffdc00b,0x01fffd10,0x3a00bffa,0x3fff24ff,
    0x007ffe04,0x2001fff4,0xfe84fffc,0x7fdc02ff,0x3ff21fff,0xffa80fff,
    0xd331000e,0x000337ff,0x139ffd33,0x3ffe6000,0x74c006ff,0xfd880bff,
    0xffb100df,0x80013339,0x999fffb8,0x77fe4000,0xffdba999,0xffd302ff,
    0x95333337,0x3ea5fffd,0x99999eff,0x201fff99,0x9bffe998,0x6fffb801,
    0x03ffff10,0x23ffffd4,0x207ffff9,0x7401efe9,0xffffffff,0xff8802ff,
    0x5fffffff,0xffffd000,0x7ffec007,0x3ffa4fff,0x3a24ffff,0xffffffff,
    0xfff9004f,0x0dffffff,0xffffff10,0xffffffff,0xfffff10b,0xffffffff,
    0x7fe4dfff,0xffffffff,0xfb01ffff,0xffffffff,0xffff305f,0x7fcc1dff,
    0xf306ffff,0xffd09fff,0x5fd880df,0x3ffffe20,0x04ffffff,0xffffffb8,
    0x8000ffff,0x000ffffa,0xfffffff1,0x3ffffe6f,0x3ffe67ff,0x7fffffff,
    0xffffff00,0x803fffff,0xfffffffa,0x03ffffff,0xfffffff7,0xffffffff,
    0x7fffe41d,0xffffffff,0xfff881ff,0xffffffff,0xfffffb85,0x3fff21ff,
    0xf881ffff,0xffc81fff,0x8037005f,0xffffffec,0xd8801dff,0xefffffff,
    0x3ffe0003,0x7ff64004,0x3fb22eff,0x7e42efff,0xefffffff,0xfffd5002,
    0x009fffff,0xffffffb1,0x40159bff,0xffffffd8,0x2cefffff,0xffffffc8,
    0xffffffff,0xffffd701,0x103bffff,0x89fffffb,0x4effffd8,0x4c1fffe0,
    0x00005fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0xaaaaaaa9,0x2a200aaa,0x01aaaaaa,
    0xaaaaaa80,0x05555440,0x55555440,0xaaaaaaaa,0x1aaa981a,0x00aaaa80,
    0x4c055553,0x5101aaaa,0x35555555,0x001a8000,0x000000aa,0x000b8800,
    0x64c00066,0x6edc2ded,0x3ffe000b,0xffffffff,0xfff984ff,0x006fffff,
    0x3fffffe6,0xffff52ff,0x7fec09ff,0xffffffff,0x7c4fffff,0x4406ffff,
    0x745fffff,0xe81fffff,0x47ffffff,0xfffffffd,0x002effff,0x54007fdc,
    0x00002eff,0x3ff22000,0x03ff7007,0x7ffffcc0,0xfffe9dff,0xff9801ef,
    0xffffffff,0xffb85fff,0x2fffffff,0xfffff700,0x3ff29fff,0x3e06ffff,
    0xffffffff,0x4fffffff,0x3fffffe6,0x3fffee01,0x3fffe27f,0x7ffc46ff,
    0x3e1fffff,0xffffffff,0x005fffff,0x2e00bff6,0x001effff,0x7fdc0000,
    0xfc800fff,0x3ff2002f,0xffffffff,0x01ffffff,0xfffffeb8,0x81dfffff,
    0xffffffd8,0xd91005ff,0x23bfffff,0x2dfffff8,0x33fff6a0,0xffffffff,
    0x7ffe44ff,0x3ffe05ff,0x7f5c2eff,0x75c3ffff,0x544effff,0xfffffffd,
    0x04ffffff,0x1007ffd0,0x1bfffffb,0xea800000,0x002fffff,0xfa800791,
    0xfffdacef,0x5fffccff,0x07ffd000,0x3ffff200,0x7f4000ff,0xffffc82f,
    0x27ff2002,0x7fe40fff,0xfffffc84,0xfffffa80,0x3ffff202,0x05fff00f,
    0x5c437fd4,0xe801fffe,0x3a6003ff,0x00cfffff,0x7ff4c000,0x0000cfff,
    0x3fe01000,0x3ffee4ff,0x3ffe8001,0xf9fff000,0xfe8007ff,0x7fffec2f,
    0x477f4001,0x7fe40fff,0xfffffc84,0xfffffe84,0x3ffff202,0x05fff05f,
    0xf1037fd4,0xffd009ff,0xffd50007,0x00007fff,0xbfffffb1,0x00000003,
    0x3ffaaaa2,0x027ff40f,0x001fff40,0x7e4fffd4,0x7ff4006f,0x1dfffd12,
    0x8bff9800,0x3ee10fff,0xffffc83f,0x3ffe60ff,0x3f202fff,0xf82fffff,
    0x3fea02ff,0x02ffe406,0x0001fff4,0x5dfffff7,0xfff91000,0x00003dff,
    0x3fff2000,0xeeffffff,0x006fffee,0x8003ffe8,0xfff15ffd,0x57ff4005,
    0x00dfffe9,0xf89ffb80,0xf9cfd8ff,0xfdffc81f,0x3bff63ff,0x3f202fff,
    0x40fffedf,0x3ea02fff,0x2ffec06f,0x001fff40,0x3ffff220,0xff7001ef,
    0x0005ffff,0x3faa0000,0xffffffff,0xffffffff,0x3ffe8007,0x17ffc400,
    0x7400bffb,0x5ffffcff,0x45ff6000,0x17ffbfff,0x337ff201,0x5fff17ff,
    0x7e405fff,0x45fff9df,0x3ea02fff,0x3ffea06f,0xfffffb13,0xffffffff,
    0xfd88007d,0x500dffff,0x07fffffd,0xfffed880,0xffffffff,0x3ffe64ef,
    0xffffefff,0xffffffff,0x3ffe8007,0x23ffe400,0xd000fffa,0x7fffffff,
    0x53fe2000,0xfffffff8,0x46ffe400,0x7ffcafff,0x7e405fff,0x43fff95f,
    0x3ea02fff,0x7fe5446f,0xffff90ff,0xffffffff,0x0001ffff,0x7ffffff3,
    0x7fffff44,0xffc8000d,0xffffffff,0x71ffffff,0xfe817fff,0xaaaaaaef,
    0xffe8002a,0x27ffc003,0xe801fffc,0xffffffff,0x2ffa8004,0xfffffff1,
    0xb5ffc801,0x27fffdff,0x3f202fff,0xf9bffa5f,0x3fea02ff,0xffffffff,
    0x3ffea2ff,0xffffffff,0x8007ffff,0x3fffffea,0xfffffd98,0x7fd4000d,
    0xffffffff,0x2e7fffff,0xfffd06ff,0xfe800001,0x3fea003f,0xfeccccdf,
    0xfffd006f,0x09ffff9f,0xccdffd80,0x07ffffff,0xff35ffc8,0x3fe1ffff,
    0x97ff202f,0xfff4fffa,0x7fffd405,0x3fffffff,0xeaaaaa88,0x1aaaacff,
    0x7ffecc00,0x74c00cff,0x00cfffff,0x2aaaaa20,0xaaaaaaaa,0x8bffe609,
    0x25ffffd8,0x8002dda8,0x36003ffe,0xffffffff,0xe802ffff,0xffb11eff,
    0x7ffc007f,0xf8ffffff,0x5ffc806f,0xf93ffffa,0x3ff202ff,0x7cfffec5,
    0x3fea02ff,0xdfffffff,0x1fff4000,0xfff91000,0xa8003bff,0x03ffffff,
    0xfe800000,0xffffefff,0xfffeffff,0xffe8006f,0xffff1003,0xffffffff,
    0x5ffd00bf,0x200fffd0,0xfffffff9,0x021ca8ff,0xff52ffe4,0x17ffc1ff,
    0xf88bff90,0x02fffeff,0x2aabffea,0x3fa00009,0xfc88003f,0x002effff,
    0x7ffffdc0,0x0000002e,0x3fffffa2,0xffffffff,0x8005ffff,0xf9003ffe,
    0xddddddff,0x801fffdd,0xff982ffe,0xaffc803f,0x80fff999,0x5ffc86fb,
    0x3fe2fff4,0x17ff202f,0x3fffffea,0x01bfea02,0x07ffd000,0xfffffb80,
    0x2200003f,0x1efffffc,0xb1000000,0xbd9fffff,0x7bfffff9,0x0fffa000,
    0x401fffc0,0x7f403ffe,0x1fff702f,0x7c46fe80,0x1ffe80ff,0x2a62ffe4,
    0x017ffc0a,0x3f60bff9,0x2a02ffff,0x400006ff,0xd5003ffe,0x019fffff,
    0x3f660000,0x000dffff,0x54400026,0x006ea02b,0x3fa66620,0xb80999bf,
    0x2200afff,0xd301effc,0xff1037ff,0xff51039f,0x3ffe621b,0xfff99999,
    0x04effe42,0x07fff310,0x204effe4,0x02fffff8,0x333fff71,0xffe80001,
    0xffffa803,0x000000cf,0xfffffd50,0x03ff7001,0x00000000,0xfffffffd,
    0x2a7fffff,0x4fffffff,0x7fffff44,0x3fffe26f,0x7e42ffff,0xff32ffff,
    0xfff9ffff,0xffffffff,0x3ffe65ff,0xfe84ffff,0x4c6fffff,0x4fffffff,
    0x417fffdc,0xfffffffc,0x320006ff,0xffb801ff,0x000001df,0x1ffff500,
    0x005ff900,0x98000000,0xffffffff,0xf96fffff,0x8fffffff,0xfffffff9,
    0xfffff71f,0xff889fff,0xfff74fff,0xffffffff,0xffffffff,0x3fffee5f,
    0x7fc47fff,0x21ffffff,0xfffffffb,0x82fffe87,0xffffffff,0x30001fff,
    0x376200bd,0x00000002,0x22007d70,0x0000004d,0xfffd9000,0xbfffffff,
    0x3ffff665,0xfffc82ef,0x3f624eff,0x81dfffff,0xb11dfffc,0xfd3bffff,
    0xffffffff,0x3f625fff,0xc82effff,0x44effffe,0xefffffd8,0x82fff982,
    0xffffffea,0x000004ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0xceeedba8,0xedca8003,0x654002bd,0x198bdeed,0xeeecb880,
    0x0020312c,0xbd951000,0x55510037,0x55553035,0x2aaaa203,0x80676d42,
    0x441aaaa9,0x540aaaaa,0xaaaaaaaa,0x54c1aaaa,0x5441aaaa,0x981aaaaa,
    0xddb71aaa,0xaaa88059,0x911ded89,0xb80015bd,0xffffffff,0xfe9802ff,
    0x2effffff,0x7ffff4c0,0x01ffffff,0x3fffffee,0x262fffff,0x320442ff,
    0x3fff605f,0x302fffff,0xc87fffff,0x985fffff,0x98ffffff,0x45fffffe,
    0x3ffffffa,0x1ffffffa,0xfffffffd,0x6c9fffff,0x3fffffff,0x3ffffffa,
    0x3fffee3f,0xfffffffd,0xffff980d,0xfdfffffe,0x001fffff,0x3ffffffa,
    0x201fffff,0xfffffffc,0xf305ffff,0xffffffff,0x3fa07fff,0xffffffff,
    0x3ff24fff,0xbffffdbf,0xfd80fffd,0xffffffff,0xffffa83f,0x7fffec3f,
    0xffffa85f,0xfffffdff,0x3fee3fff,0x3fa3ffff,0x3a0fffff,0xffffffff,
    0x3fa4ffff,0x23ffffff,0xfffffffe,0x3fffff24,0xffffffff,0xfffffa85,
    0xffffffff,0x2007ffff,0xbacdeffb,0xf505fffd,0xd959dfff,0xfb05ffff,
    0xf9759dff,0xff909fff,0xfd9779ff,0x7fccbfff,0xffffffff,0x7ec46fff,
    0xfdbaceff,0xfdb83fff,0x776443ff,0xfdb705ff,0x7dffffff,0x7e447ffd,
    0x3ea0ffff,0x7f42efff,0xffeeeeef,0x3b262fff,0x260cefff,0x0bdffffc,
    0x3fffff22,0xfffecace,0xffffeb82,0xbfffffbc,0x2001fffb,0x437fdc00,
    0x301ffff8,0xfe81ffff,0x0bff203f,0x201bfff3,0x7d45fff9,0xffffffff,
    0x7fe40eff,0xfffd103f,0x80fff603,0x7c405ffb,0x541effff,0xbffff302,
    0x0bffff31,0xff30bff6,0x7ffc05ff,0x013ffe04,0xd01bfffb,0x3fee07ff,
    0x87fff62f,0x88002ffe,0xffaaaba9,0x02fffb87,0x361fffcc,0x441acfff,
    0x06ffd82b,0xfe83ffc8,0xffda9cff,0x04ffe83f,0xfb04fff8,0x2ffdc07f,
    0x37fffe20,0xffe88000,0x03ffffef,0xfff51fee,0xfffb805f,0x00fffb80,
    0xf902ffec,0x17fee0bf,0xffe89ff9,0x3ffa6002,0x7fffffff,0xeeefffc8,
    0xffeeeeee,0x7fffd45f,0x202cefff,0xe8802ffe,0x17ffc40e,0x3e62ffec,
    0xdff9007f,0xb80fff60,0x7fc405ff,0xfd80003f,0x802fffff,0x17fffd40,
    0x427ffc40,0xfd805fff,0x17fee03f,0x3f22ffdc,0x017ff44f,0xffffffc8,
    0xe87fffff,0xffffffff,0x6fffffff,0xffffffb8,0xff80efff,0x7d40001f,
    0x8fff507f,0xf3005ffb,0x7ffb01ff,0x202ffdc0,0x0000fff8,0x07ffffd0,
    0x5ffff500,0x07ffe400,0xb003fff7,0x7fdc07ff,0xc8bff705,0x17ff44ff,
    0x7ffffe40,0x7fffffef,0xffffffe8,0xffffffff,0xfdb7107f,0x45ffffff,
    0x0000fff8,0xf8837fdc,0x17fee0ff,0x407ffc40,0x3ee03ffd,0x7ffc405f,
    0x7ec40000,0x003fffff,0x00bfffea,0x749fff10,0xffb005ff,0x82ffdc07,
    0x7fe45ffb,0x2017ff44,0x81befff8,0xffc87ffa,0xaaaaaaae,0x4c2aaaaa,
    0xfff95302,0x002ffe8b,0x407ffcc0,0x7fcc6ffc,0x6ffa800f,0x5c07ffb0,
    0x7fc405ff,0x3a20000f,0xffffefff,0xffffa804,0xfff90002,0x003fff51,
    0xfb80fff6,0x8bff705f,0x7ff44ffc,0x07ffd402,0xf50fff70,0x4c0007ff,
    0x7fcc02ff,0x01bff20f,0xcfff82a8,0x213ffe60,0x7c405ffe,0x9ffb04ff,
    0x017ff620,0x0001fff1,0x4d7fffa6,0x2a05ffff,0xfc82ffff,0x5fffc403,
    0x36005ffe,0x3fee03ff,0xc8bff705,0x17ff44ff,0x107ffee0,0x03ffffd5,
    0x2039fffd,0x3ee2dcb9,0x64c40cff,0x3fea0fff,0x3faa02ef,0x7ffff42f,
    0x83ffffec,0xb81efffc,0xf901ffff,0x7fe441df,0xf53106ff,0x133333ff,
    0x5ffffa80,0x077fffc4,0x26ffffea,0x06ff9999,0xffffffc8,0x9ffd3001,
    0x417ff201,0x7fe46ffc,0x201fff45,0xfefffff9,0xffffffff,0x3fffe62f,
    0xfffeeeff,0x3fff26ff,0xfffeefff,0xfffc86ff,0xfffeeeff,0x3ff62fff,
    0xffffffff,0xfffc82ff,0xffffeeff,0x3ffea02f,0xffffffef,0x3ffa2fff,
    0xffffffff,0xfffd03ff,0x7fec5fff,0xff14ffff,0xffffffff,0xf100ffff,
    0x200bffff,0x2ffffffd,0x3fffffe6,0xffffff12,0x47ffff25,0x200ffffe,
    0xfffffffb,0xffffffff,0x7ffffd44,0xffffffff,0x3ffffea5,0xefffffff,
    0xfffffb00,0xbfffffff,0x7fffffdc,0xffffffff,0xfffffc80,0x801fffff,
    0xfffffffd,0x14ffffff,0xffffffff,0x30dfffff,0x9fffffff,0x7ffffffc,
    0xffffff16,0xffffffff,0x3ffff200,0xffff8801,0x3fee5fff,0xff54ffff,
    0x3f29ffff,0xfffd3fff,0xffea805f,0xffbdffff,0xff901dff,0xbfffffff,
    0xffded885,0x03ffffff,0xfffffea8,0x7dc2dfff,0xbcdc98ef,0x500fffa8,
    0x9dfffffb,0x7ffec003,0xfffdcfff,0x3fffb21d,0xefffffff,0xffffd902,
    0x7fff543b,0xffff12ef,0xffffffff,0x3fe200ff,0x3fae006f,0x3621dfff,
    0xb11dffff,0x323bffff,0xffd0dfff,0x5d4c009f,0x4c00009a,0x0009aaba,
    0x00d5dd4c,0x555d4c40,0x01991009,0x26005b50,0x220000ab,0x00001aba,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x64400000,0xfffffffe,0xffffffff,0x2000201f,0x2aaaa000,
    0xd9000000,0x7776c3dd,0x00379500,0x01cda800,0x5400ae20,0x2600aaaa,
    0x1001aaaa,0xd88ea019,0x1001b502,0x03d98099,0x00200030,0x2e0b36e6,
    0xffffffff,0xffffffff,0x7f6441ff,0x3fb203ef,0x3e603fff,0x7ffe46ff,
    0xffffffff,0xf92effff,0x3fff43ff,0x27fffec4,0x98bf02b8,0x32006fff,
    0x7fec00ff,0xfb80ffff,0x402fffff,0x7fc82fe9,0x3f213fe2,0x77fdc01f,
    0x01fff980,0x5c402fcc,0x7fdc07ec,0x3e60efff,0xffffffff,0xffffffff,
    0x3bffa61f,0xffb86fff,0x701fffef,0x7fcc5fff,0xffffffff,0x6fffffff,
    0x7e41fff7,0xffffe87f,0x3ff20dff,0x3ee3fc42,0xfd000fff,0xfffe805f,
    0xffc80fff,0x2a03ffff,0x2ffd85ff,0x7ec2ffd4,0x3ffee02f,0x3fffe60e,
    0x0fffa200,0x07ffffb8,0x3fffffea,0x5555446f,0xaaaaaaaa,0x3e1fffaa,
    0x9fd511df,0x05fb8130,0xffd0dffb,0xffffffff,0x27ffffff,0x7fdc7ffa,
    0x76fffe46,0xffc9efff,0x11ffc42f,0x7400bfff,0x7ecc02ff,0x15532dff,
    0x19fffd91,0xd117fee0,0x3fea05ff,0x0fffa20e,0x98efffd8,0x6c02ffff,
    0x9102ffff,0x7f40ff97,0x07ffb12f,0x47ffe000,0x1ff507fa,0xfeeeec98,
    0x02fff886,0x33333331,0x13333333,0x3ea37fc4,0xb2fff44f,0xdfffffff,
    0x447fff10,0xe8b2a01a,0x817712ff,0x3fe1fff8,0x817ff24f,0x3a60effc,
    0x7fdc02ff,0x13ffa21e,0xffefffd8,0x7fe402ff,0x5401ffff,0x8bff107f,
    0x00005ff8,0x13f23fff,0x3fee1ff8,0xa86fffff,0x000006ff,0xff98bff0,
    0x7dc2fd43,0x260effff,0x005fdcdf,0x3f7fffe2,0x5fffedff,0xff53ffe8,
    0x41fff4ff,0x2a0effd8,0xf7003fff,0x7ff445ff,0xffffb00d,0xffb805ff,
    0x00efffef,0x7fcc1fea,0x0006fe83,0x3ee3fff0,0x221ff306,0xdf731bff,
    0x0003ff90,0x113fa000,0xda8005ff,0x7fcc0bef,0x22001fff,0xffffffff,
    0xc85fffff,0xffffb5ff,0x883fff15,0x3ee0effe,0x7e4003ff,0x3ffa23ff,
    0xffffb00e,0xefff9805,0x205fffb8,0xdff107fa,0x0004ff98,0x3e23fff0,
    0xbfd711df,0x3faa2fdc,0x702ff40e,0xdddddddb,0xbddddddd,0x7fc1fec3,
    0x71000001,0xb30003bb,0xffffffff,0xff5019ff,0xbfffff1f,0xff50fff5,
    0x3ffa21df,0x7fec002f,0x3bffe63f,0xfffff980,0xffff100e,0x827ffe41,
    0x3ff607fa,0x02fffbad,0x43fff000,0xfffffffa,0x3bffe20e,0x13ffffff,
    0x3fe603ff,0xffffffff,0x6fffffff,0x01f607ee,0x00000000,0x7ffffdc4,
    0x7ffc401d,0xdffffffd,0xffd306ff,0x17ffe41d,0x21effd80,0xf304fffa,
    0x1dffffff,0xb05fffd0,0xff507fff,0x7ffffc40,0x200004ff,0x76440ffe,
    0xd7303eff,0x3bdd9bff,0xff8813e6,0xffffffff,0x5fffffff,0x00001004,
    0x5c000000,0x00ffffff,0xcfffffe8,0x04ffffff,0xa83bff62,0x36203fff,
    0x3fea0dff,0xffff302f,0x41dfffb5,0xd103fff9,0x0ff50dff,0x3ffffd88,
    0x27540000,0x08000000,0xaaaaa880,0xaaaaaaaa,0x000001aa,0x00000000,
    0xfffdfff3,0xffff900b,0xfffff93f,0x1dff7005,0x441fff44,0x7fd43ffe,
    0xffff301e,0x237ffec5,0x7f4404fe,0xffffff53,0x04d440df,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3ee3fffa,0x7fd402ff,0xffff16ff,
    0x3fea001f,0x6c2ffd86,0x6ffcc2ff,0x0bfff200,0x0107fff6,0xdddb3040,
    0x00009ddd,0x00000000,0x00000000,0x00000000,0x10000000,0x7fec5fff,
    0x7fffc405,0x01bfff63,0xf705fd10,0x5c077c4d,0x2ffa803f,0x0001bf20,
    0x00000000,0x00000000,0x00000000,0x00000000,0x32000000,0x00f7443f,
    0xf507fff4,0x060009ff,0x02004188,0x00800880,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7e400000,0x02fff85f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0xbbbbbba8,0xbbbbbbbb,0xdd81bbbb,0xdddddddd,0x3fae3ddd,
    0xffffffff,0xffffffff,0x000002df,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ffffc00,0xffffffff,0xffffffff,0x7fffffc5,
    0x4fffffff,0xfffffff1,0xffffffff,0x0dffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x44000000,0xffffffff,0xffffffff,
    0x7c6fffff,0xffffffff,0x3fa4ffff,0xffffffff,0xffffffff,0x00004fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x776d4000,
    0xeeeeeeee,0xeeeeeeee,0x4ccccc1c,0x99999999,0x555554c0,0xaaaaaaaa,
    0x000aaaaa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__courier_bold_37_latin1_x[224]={ 0,7,4,1,2,2,3,7,8,3,2,1,6,2,
7,2,2,2,1,2,2,2,3,2,2,3,7,6,-1,0,1,3,2,-1,0,1,0,0,1,1,0,2,1,0,
1,-1,-1,0,1,0,0,2,1,0,-1,-1,0,0,2,8,2,4,2,-2,6,1,-1,1,0,1,2,1,0,2,
2,1,2,-1,0,1,-1,1,1,2,2,0,0,-1,0,0,2,5,8,5,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,7,2,0,2,0,
8,1,4,-1,4,1,-1,2,-1,-2,4,1,4,5,6,0,1,7,6,5,4,1,0,-2,0,2,-1,-1,-1,-1,
-1,-1,-1,1,0,0,0,0,2,2,2,2,-1,-1,0,0,0,0,0,3,0,0,0,0,0,0,1,0,1,1,
1,1,1,1,-1,1,1,1,1,1,2,2,2,2,1,0,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
 };
static signed short stb__courier_bold_37_latin1_y[224]={ 27,5,7,4,4,6,8,7,6,6,6,8,22,16,
23,3,5,5,5,5,6,6,5,6,5,5,12,12,8,12,8,7,5,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,6,3,6,5,33,5,12,6,12,6,12,6,12,6,6,
6,6,6,12,12,12,12,12,12,12,7,12,12,12,12,12,12,6,6,6,14,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,27,12,4,7,9,7,
6,6,6,7,5,13,16,16,7,2,3,3,5,5,5,12,6,14,25,5,5,13,5,5,5,12,0,0,0,1,
1,-1,7,7,0,0,0,1,0,0,0,1,7,1,0,0,0,1,1,11,6,0,0,0,1,0,7,6,5,5,
5,6,6,4,12,12,5,5,5,6,5,5,5,6,6,6,5,5,5,6,6,8,10,5,5,5,6,5,6,6,
 };
static unsigned short stb__courier_bold_37_latin1_w[224]={ 0,6,12,17,15,16,15,5,8,9,15,18,8,15,
6,15,15,15,16,16,15,16,15,15,15,15,6,8,20,19,20,14,15,22,19,18,19,19,19,19,20,15,20,20,
18,22,21,19,18,19,21,16,18,20,22,21,20,19,16,8,15,8,15,24,7,18,20,18,21,18,17,19,20,16,
14,18,16,22,19,18,20,20,18,16,18,19,20,21,19,20,16,10,4,10,17,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,6,15,19,16,19,
4,18,11,21,12,18,20,15,21,24,11,18,11,10,7,19,17,6,7,10,12,18,20,23,20,15,22,22,22,22,
22,22,22,18,19,19,19,19,15,15,15,15,20,21,19,19,19,19,19,14,20,20,20,20,20,19,18,18,18,18,
18,18,18,18,21,18,18,18,18,18,16,16,16,16,17,19,18,18,18,18,18,18,19,19,19,19,19,20,20,20,
 };
static unsigned short stb__courier_bold_37_latin1_h[224]={ 0,23,10,27,28,22,20,10,27,27,15,19,11,4,
5,28,23,22,22,23,21,22,23,22,23,23,16,19,19,11,19,21,25,20,20,21,20,20,20,21,20,20,21,20,
20,20,20,21,20,25,20,21,20,21,20,20,20,20,20,27,28,27,12,4,6,16,22,16,22,16,21,22,21,21,
28,21,21,15,15,16,22,22,15,16,21,16,15,15,15,22,15,27,27,27,8,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,22,25,20,16,20,
27,24,4,21,11,14,11,4,21,4,11,24,12,13,6,22,24,5,8,12,11,14,22,22,22,22,27,27,27,26,
26,28,20,27,27,27,27,26,27,27,27,26,20,26,28,28,28,27,27,14,24,28,28,28,27,27,20,22,23,23,
23,22,22,24,16,21,23,23,23,22,22,22,22,21,22,21,23,23,23,22,22,19,20,23,23,23,22,29,28,28,
 };
static unsigned short stb__courier_bold_37_latin1_s[224]={ 252,241,207,22,134,155,238,250,64,240,1,
148,178,64,246,118,117,139,172,165,100,46,149,123,133,182,247,244,188,187,167,
116,1,17,144,131,136,218,84,169,63,1,189,40,117,84,107,97,129,17,176,
227,1,1,40,222,201,181,164,215,79,183,92,39,244,1,94,56,115,20,22,
137,40,210,64,78,61,228,208,92,191,189,131,39,150,111,187,17,150,102,170,
56,67,72,220,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,
82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,252,248,37,
156,75,20,102,53,244,1,165,39,131,64,60,80,119,72,244,244,244,82,91,
247,238,108,152,58,1,22,218,239,1,114,192,160,137,95,61,83,107,127,147,
221,167,40,224,183,123,199,150,191,211,24,44,77,128,231,1,170,93,73,104,
39,187,20,149,228,1,109,228,232,206,225,1,75,58,157,174,23,210,40,168,
59,78,20,63,209,198,39,97,198,212,1,43,22, };
static unsigned short stb__courier_bold_37_latin1_t[224]={ 1,60,286,30,1,138,206,30,60,30,287,
249,286,302,286,1,114,138,138,114,184,138,114,138,114,114,138,88,249,286,249,
184,88,249,228,184,206,206,228,184,228,249,184,249,206,249,249,206,249,88,206,
184,228,206,228,228,228,228,228,30,1,30,287,302,241,270,161,270,161,270,206,
161,206,184,1,206,206,270,270,270,161,138,270,270,184,270,270,287,270,138,270,
30,30,30,286,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,
184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,184,1,60,88,
206,270,228,30,88,108,184,286,287,286,302,184,302,287,88,228,184,198,138,88,
155,286,287,286,287,138,138,114,114,60,60,30,60,60,1,249,30,30,30,30,
60,30,30,30,60,228,60,1,1,1,60,60,287,88,1,31,1,60,60,228,
161,88,114,88,138,161,88,249,161,88,88,114,161,161,161,161,184,138,184,88,
114,114,161,138,249,206,114,114,114,161,1,1,1, };
static unsigned short stb__courier_bold_37_latin1_a[224]={ 314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,314,
314,314,314,314,314,314,314,314, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_37_latin1_BITMAP_HEIGHT or STB_FONT_courier_bold_37_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_37_latin1(stb_fontchar font[STB_FONT_courier_bold_37_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_37_latin1_BITMAP_HEIGHT][STB_FONT_courier_bold_37_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_37_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_37_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_37_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_37_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_37_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_37_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_37_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_37_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_37_latin1_s[i] + stb__courier_bold_37_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_37_latin1_t[i] + stb__courier_bold_37_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_37_latin1_x[i];
            font[i].y0 = stb__courier_bold_37_latin1_y[i];
            font[i].x1 = stb__courier_bold_37_latin1_x[i] + stb__courier_bold_37_latin1_w[i];
            font[i].y1 = stb__courier_bold_37_latin1_y[i] + stb__courier_bold_37_latin1_h[i];
            font[i].advance_int = (stb__courier_bold_37_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_37_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_37_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_37_latin1_s[i] + stb__courier_bold_37_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_37_latin1_t[i] + stb__courier_bold_37_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_37_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_37_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_37_latin1_x[i] + stb__courier_bold_37_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_37_latin1_y[i] + stb__courier_bold_37_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_37_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_37_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_37_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_37_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_37_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_37_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_37_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_37_latin1_LINE_SPACING
#endif

