// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_42_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_42_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_42_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_42_latin1_BITMAP_HEIGHT        388
#define STB_FONT_courier_bold_42_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_bold_42_latin1_FIRST_CHAR            32
#define STB_FONT_courier_bold_42_latin1_NUM_CHARS            224

#define STB_FONT_courier_bold_42_latin1_LINE_SPACING          20

static unsigned int stb__courier_bold_42_latin1_pixels[]={
    0x00571000,0x80020040,0x001aaaa9,0x5554c000,0x00000002,0x00000cc0,
    0xa80000a8,0x00000000,0x00000000,0x10001000,0x3a600005,0xdfb0006f,
    0x805fe881,0x03fffffe,0x7fe40000,0x01ffa86f,0x3f600000,0x6c400007,
    0x7d40006f,0x1000002f,0x800001db,0x00000ed8,0x30027f40,0xa80007ff,
    0x98002fff,0x7fdc3fff,0x3ffe601f,0x00003fff,0x437ffe40,0x00006ffe,
    0x04ffe880,0x3ffa6000,0x7f440003,0x5400004f,0x0003ffff,0x07ffff50,
    0x3ff20000,0xfffb800f,0x3ff20000,0xff10001f,0x07ff983f,0x3fffffd8,
    0x7e400000,0xfffc86ff,0x26000002,0x00003fff,0x000fffea,0x06fff440,
    0x3ff62000,0x000effff,0xfffffb10,0x400001df,0xc807fff8,0x20001eff,
    0x0000effc,0x1ca80e4c,0x7fff5100,0xa9800000,0xfff982aa,0xf5000006,
    0x400005ff,0x0001fffb,0x006ffd80,0x27bffe20,0x001fffe8,0x44f7ffc4,
    0x0002fffd,0x807fff70,0x0000dffd,0x00002ff4,0xff100000,0x0000007f,
    0x07fff600,0x3bfa0000,0x7fc00001,0x2000000e,0xb0003ffb,0xdff709ff,
    0x84ffc800,0x00006ffb,0x4c01ffff,0x100004ff,0x00000003,0x3fff8800,
    0x00000000,0x000bfff5,0x00017500,0x00007500,0x00032600,0x59100ecc,
    0x201d9800,0xb80002c8,0x2b804fff,0x00000000,0x00d5554c,0x01555551,
    0x644fffe2,0x800aceed,0xaaaaaaa8,0xfe82aaaa,0x000001ff,0x00000000,
    0x00000000,0x00000000,0xffe80000,0x2000000f,0x201aaaa9,0x40aaaaa8,
    0x5ffffffe,0xffffffb8,0xcfff880f,0xfffffffc,0xfff500ef,0xffffffff,
    0xbfff50ff,0x00000000,0x01aa9800,0x0d54c000,0x00000000,0x00355300,
    0x5fffa800,0x3fa00000,0xb85fffff,0x0fffffff,0xfffffff1,0xfffffb0f,
    0xfff107ff,0xffffffff,0xf903dfff,0xffffffff,0x3fa0ffff,0x764000ff,
    0x22dfffff,0xffffffd9,0x7fec400c,0x002dffff,0xfffffb10,0xfd9005bf,
    0x4c5bffff,0xcffffffd,0x7ffec400,0x0002dfff,0x981fffe8,0xfffffffd,
    0x12dfffff,0xffffffff,0xffffffb0,0x7fffec7f,0xfffa84ff,0xf880ffff,
    0xefffffff,0x1ffffffe,0x7fffffcc,0x07ffffff,0x4009fff7,0xfffffffa,
    0xffffb0ff,0x5c0bffff,0xffffffff,0x7dc004ff,0xffffffff,0x3ffea04f,
    0xb0ffffff,0xffffffff,0x7fffdc0b,0x04ffffff,0x17ffe600,0x7fffffec,
    0xffffffff,0xfffffb0f,0xffff509f,0xffa81fff,0x7fec00ff,0x3ffe204f,
    0xfea82eff,0x99880fff,0xffd99999,0x03fffe07,0x7ffffd40,0x3ff67fff,
    0x04ffffff,0xfffffffb,0x01dfffff,0xffffffb0,0x1dffffff,0xffffff50,
    0x7ffecfff,0xb04fffff,0xffffffff,0x001dffff,0x203fffb0,0xfffffffd,
    0x7fffffff,0x007fffd4,0xd813fff6,0x3e202fff,0x3e200fff,0xfe805fff,
    0xfc8002ff,0x3ffee07f,0x3ff6a003,0x2e21ceef,0x0befffed,0xceffffb8,
    0xffffdb9a,0x7fffdc06,0xffdb9ace,0xffb506ff,0x5c439ddf,0x0befffed,
    0xceffffb8,0xffffdb9a,0x7ffcc006,0x3bb6e206,0xeeeffffe,0xfffd81be,
    0x3fffe202,0x1bffe600,0x403fffc8,0x800ffff8,0x8004fff8,0x3e207ffc,
    0x7cc007ff,0xff8802ff,0xffff304f,0x7fffdc09,0x9ffff303,0x1ffffdc0,
    0x802fff98,0xf304fff8,0x7dc09fff,0x36003fff,0xd8002fff,0x3e6007ff,
    0x3ff206ff,0xfffd803f,0x0ffff882,0x02fffc40,0x000fffb0,0xfc80fff9,
    0x3e6003ff,0xff8802ff,0x7fffd04f,0x1ffff300,0x007fffd0,0x301ffff3,
    0xf1005fff,0x3ffa09ff,0xfff9803f,0xfff8800f,0xfffb0006,0x2fffd800,
    0x00ffff88,0xc86fff98,0xf8803fff,0x3f2004ff,0x7e4000ff,0x7ffc407f,
    0x3ffe6006,0x4fff8802,0x006fffa8,0xf517fff2,0x7e400dff,0xfff985ff,
    0x4fff8802,0x006fffa8,0x2017fff2,0x0003fffc,0x9800fffb,0xffc86fff,
    0x3ff6003f,0x1fffe22f,0x037ffc40,0x000fffd0,0xfb00fff9,0x3e6005ff,
    0xff8802ff,0x1fffc84f,0x23fff400,0x4001fffc,0xff987ffe,0xfff8802f,
    0x01fffc84,0x203fff40,0x0007fff8,0x2001fff6,0x3e22fffd,0x7cc007ff,
    0x3fff66ff,0xffff1003,0xdfff3003,0x0fff9000,0x00dfff30,0x200bffe6,
    0xfd84fff8,0xffc8006f,0x01bff60f,0x303fff20,0xf1005fff,0xdffb09ff,
    0x1fff9000,0x01fffdc0,0x00fffb00,0x6cdfff30,0xd8003fff,0xfff9bfff,
    0x3ffe2007,0x3fe601ff,0xfc8004ff,0xfffb007f,0x5fff3005,0x09fff100,
    0x5000bfff,0x7ffc3fff,0xfffa8005,0x017ffcc1,0x7c27ffc4,0xfa8005ff,
    0xfff101ff,0x7ec0001f,0xffb0007f,0x0ffff37f,0x3fffe600,0x2003fffd,
    0xcffffff8,0xfffcb99a,0xff90006f,0x3ffe600f,0x2fff9805,0x44fff880,
    0x8003fff8,0xff13fff9,0xff30007f,0x2fff987f,0x44fff880,0x8003fff8,
    0xf703fff9,0xd80009ff,0xf30007ff,0x7fffbfff,0x7ffec000,0x44007fff,
    0xffffffff,0xffffffff,0xfff90001,0x0ffff400,0x00bffe60,0xf113ffe2,
    0xf30007ff,0x3ffe27ff,0xfff98003,0x017ffcc3,0x2227ffc4,0x98003fff,
    0xffd03fff,0xfd80001f,0x3f60007f,0x007fffff,0x7ffffc40,0x7fc4003f,
    0xffffffff,0x001effff,0x801fff20,0x4c05fffa,0xf8802fff,0x5fff84ff,
    0x1fffa800,0x20017ffe,0x7cc1fffa,0xff8802ff,0x05fff84f,0x81fffa80,
    0x0004fffa,0x0007ffd8,0x3fffffe2,0xffc80003,0xf88007ff,0xfffeabff,
    0x0003ffff,0x4007ffc8,0x2600fffe,0xf8802fff,0x6ffd84ff,0x0fffc800,
    0x2001bff6,0x7cc0fffc,0xff8802ff,0x06ffd84f,0x80fffc80,0x0001fffe,
    0x0007ffd8,0x03ffffe4,0xffff8800,0xfff88003,0x02aeea63,0x7ffc8000,
    0x27ffdc00,0x005fff30,0xf907fff1,0xfe8003ff,0x0fffe47f,0x21fffa00,
    0x8802fff9,0xffc83fff,0x7ff4001f,0x05fffa87,0x0fffb000,0xffff8800,
    0xff300003,0x3e2000ff,0x000003ff,0x001fff20,0x4403fffe,0xfa804fff,
    0xfffa82ff,0x3ffee006,0x037ffd45,0x10bfff70,0xf5009fff,0xfff505ff,
    0x7ffdc00d,0x01fffe85,0x0fffb000,0x7fff9800,0x3ff60000,0xff10003f,
    0x0000007f,0x40037ffc,0x3a04fffb,0x7ec00eff,0xfffd00ff,0xffff3007,
    0x07fffd01,0x01ffff30,0xb003bffa,0x3fa01fff,0xff9803ff,0x7ffcc0ff,
    0x3f600006,0x7ec0007f,0x300003ff,0x4000ffff,0x0003fff8,0x9fff5000,
    0xffff1000,0x37fff201,0x0dfff900,0x027fffcc,0x207ffff5,0x204ffff9,
    0x203ffffa,0x900dfffc,0x7cc0dfff,0x3ea04fff,0xffd83fff,0x3600002f,
    0x260007ff,0x00007fff,0x000ffff6,0x003fff88,0x7fe4c000,0xf90002ff,
    0x3fe207ff,0xeb9adfff,0x5c01ffff,0x9abeffff,0x06ffffdb,0x5f7fffdc,
    0xffffdb9a,0x7fffc406,0xffeb9adf,0x7fdc01ff,0xdb9abeff,0xf986ffff,
    0x710006ff,0xffffdddb,0x0017bddd,0x0007fffb,0xffffffb5,0x4001bdff,
    0xffffffdb,0xc88002df,0xfffffffe,0x10000eff,0x7cc0ffff,0xffffffff,
    0xfb004fff,0xffffffff,0xb001dfff,0xffffffff,0x001dffff,0xfffffff3,
    0x009fffff,0x3ffffff6,0x0effffff,0x002fffc8,0xffffffb0,0xffffffff,
    0x7fffed4d,0x00deffff,0xffffff10,0x09ffffff,0x3ffffe20,0x00ffffff,
    0x7ffffe40,0x00efffff,0x07ffe400,0xffffff50,0x8007ffff,0xfffffffb,
    0x5c004fff,0xffffffff,0x7d4004ff,0xffffffff,0x7fdc003f,0xffffffff,
    0x01bffa04,0xfffffe80,0xffffffff,0xffff88ff,0xffffffff,0x3fffe004,
    0xffffffff,0xffff1004,0x0fffffff,0xfffff900,0x001bffff,0x2013fa00,
    0xffffffc8,0xfb10001e,0x05dfffff,0x3fff6200,0x0002efff,0xffffff91,
    0x3620003d,0x2effffff,0x0017fdc0,0xfffffb30,0xbfffffff,0x7fffffc5,
    0x04ffffff,0x3bbb6e60,0x00bdeeee,0x3bbbb260,0x8001bdee,0xceeeedb8,
    0x01000001,0x01375300,0x0dd4c000,0x2ea60000,0x54c00001,0x2000009b,
    0x44001ba9,0x00000000,0xddddb730,0x0017bddd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000a80,0x0000a200,0x40000000,0x00002dc9,0x05400000,0x00000000,
    0x00510000,0x80000000,0x880000cb,0xf3000002,0x0000007f,0x00005ff5,
    0x00001f54,0x0bffff70,0x076c4000,0x0bfee000,0x36200000,0x9800000e,
    0xb10003ff,0x03dd305f,0x009ff500,0x001dfb00,0x09ffd000,0x7fe40000,
    0xfb100006,0x00001bff,0x07ee1bf0,0x3ffea000,0x3e20003f,0x000003ff,
    0x00ffffea,0x0fffb800,0x1fff7000,0x8005ffd8,0x80006ffc,0x0001fffa,
    0x077fec40,0xffb10000,0xf500001d,0x07ffffff,0x117cc000,0x6c40009f,
    0x0effffff,0xbffd3000,0xfd880000,0x00efffff,0x0f7fe400,0x0fff7000,
    0xb000bffb,0x00001fff,0x0005fff5,0x01dff900,0x17ffa000,0x7ffe4000,
    0x00bfff73,0x3f527c00,0x3ffe2000,0x1fffe89e,0xdffb1000,0x3fe20000,
    0xfffd89ef,0xbffb0002,0xdc880001,0x000dd882,0xffffffb1,0x20007d9d,
    0x0003fff9,0x003ffb80,0x003ffb80,0x83dff300,0x0002ffe9,0x0dfbdf90,
    0x427fec00,0x40006ffb,0x80002ffc,0xffb84ffc,0x4ff98006,0x00000000,
    0xffffff50,0x01ffffff,0x01ffa200,0x0064c000,0x000e4400,0x9700f200,
    0x75c00001,0x260000cf,0x00b2201d,0x0002e600,0xc8807660,0x00570002,
    0x20000000,0xfffffff8,0x02ffffff,0x00015c00,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xb0006aa6,0x957dffff,
    0x005fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x36200000,0x2dffffff,0x01ffff80,0x0003fff5,0xffeb8000,
    0xffffffff,0x04ffffff,0x3fffff6e,0x40002fff,0xffffffdb,0x5c0002ff,
    0xfffffffd,0x7ecc002f,0xffffffff,0x2e02dfff,0xfffffffd,0xfeb8002f,
    0xffffffff,0x4fffffff,0x6ffffed4,0xffffd981,0x7ffdc03e,0x4fffffff,
    0x013ffe20,0x3fb20dfb,0x262dffff,0xcffffffd,0xffffff30,0xffffffff,
    0x2209ffff,0xffffffff,0x220005ff,0xffffffff,0x220005ff,0xffffffff,
    0x7ec005ff,0xffffffff,0x80ffffff,0xfffffff8,0x4c005fff,0xffffffff,
    0xffffffff,0x3ffe24ff,0xfd86ffff,0x02ffffff,0xfffffffb,0x01dfffff,
    0x0201bffe,0x7fffffd4,0xfffb0fff,0x26bfffff,0xffffffff,0xffffffff,
    0xfff104ff,0xffffffff,0x3fe20001,0xffffffff,0xff10000f,0xffffffff,
    0x7fec001f,0xffffffff,0xf107ffff,0xffffffff,0x7cc001ff,0xffffffff,
    0xffffffff,0x7ffffc4f,0xfffd86ff,0xfb81ffff,0xb9acefff,0xd06ffffd,
    0x0039ffff,0xffffffa8,0x3fff67ff,0x2a4fffff,0xeeefffec,0xffeeeeee,
    0x3bb2604f,0x3ffffffe,0x3bb26000,0x3ffffffe,0x3bb26000,0x3ffffffe,
    0x3bb6e200,0xeeeffffe,0x3b2601be,0xffffffee,0x7f654003,0xeeeeeeff,
    0x44fffeee,0x0effffc9,0xcffffd88,0x4ffff982,0x0ffffee0,0x3fffffe6,
    0xda801bdf,0x21ceefff,0xefffedb8,0x1fffa80b,0x004fff80,0x3ffffff6,
    0x3f600006,0x006fffff,0x3ffff600,0xd80006ff,0xd80007ff,0x06ffffff,
    0x03fff500,0x2a09fff0,0xfd00ffff,0x7ff409ff,0xfff9803f,0xffffb80f,
    0x02efffff,0x4017ffcc,0x2a04fff8,0xff801fff,0xfff1004f,0x005fff9d,
    0x9dfff100,0x00005fff,0xff9dfff1,0xfd80005f,0x7c40007f,0x2fffceff,
    0x1fffa800,0x204fff80,0xfb85fffc,0x3fea06ff,0x3ff2006f,0xfffb305f,
    0x09ffffff,0x4017ffcc,0x2a04fff8,0x05c41fff,0x2e007ffd,0xfff9bfff,
    0xffb80005,0x05fff9bf,0xbfffb800,0x0005fff9,0x0003ffec,0x3e6fffee,
    0xfa8005ff,0xd05c41ff,0x7f4407ff,0x3ffe63ff,0x3fff201f,0x3fff4001,
    0x3ffb2a20,0xf302ffff,0xff1005ff,0x7ffd409f,0xfa9bfe21,0xfffd000e,
    0x003fffa1,0x21fffd00,0x0000fffe,0xfe87fff4,0x360000ff,0x740007ff,
    0xfffd0fff,0xfffa8001,0xfa9bfe21,0x7ffd400e,0x09fffd0f,0x8006ffd8,
    0x2000fffc,0x06fffeb8,0x1005fff3,0x7d409fff,0x3ffea1ff,0xffa80020,
    0x0fffea5f,0x5fffa800,0x000fffea,0x2a5fffa8,0x20003fff,0x20007ffd,
    0x3ea5fffa,0x7d4003ff,0x3ffea1ff,0xffc80020,0x06fffcef,0x8005fff8,
    0x0aa1fffa,0x983fff40,0xf8802fff,0x3fea04ff,0xfffeeeef,0xfffb0001,
    0x006fff83,0xf07fff60,0x6c000dff,0x7ffc1fff,0x3ff60006,0x3ff60007,
    0x037ffc1f,0x3bbffea0,0x001fffee,0x3fffffa0,0x7fc401ff,0xff98003f,
    0x005ff93f,0xf301fff9,0xff1005ff,0x7ffd409f,0x1fffffff,0x6fff8800,
    0x002fffc8,0xc86fff88,0x88002fff,0xffc86fff,0xffb0002f,0x3fe2000f,
    0x2fffc86f,0x3fffea00,0x01ffffff,0x3fffe600,0xff8803ff,0xff98003f,
    0x00dffd3f,0x3e60ffff,0xff8802ff,0x3ffea04f,0x1fffffff,0x3fffb800,
    0x005fff98,0x983fffb8,0xb8005fff,0xff983fff,0xffb0005f,0x3fee000f,
    0x5fff983f,0x3fffea00,0x01ffffff,0x7fffe400,0x17ffe006,0x47ffea00,
    0xa81effff,0xf306fffd,0xff1005ff,0x7ffd409f,0x1fffeeee,0xdfffe800,
    0xfffccccc,0x7ff4000f,0xfcccccdf,0x74000fff,0xccccdfff,0x000ffffc,
    0x0007ffd8,0x999bfffd,0x01ffff99,0x3bbffea0,0x001fffee,0x01fffe80,
    0x001bff60,0x7fc3fff2,0xfddeffff,0x301fffff,0xf1005fff,0x7fd409ff,
    0x07ffea1f,0xffffa801,0xffffffff,0x3ea003ff,0xffffffff,0x003fffff,
    0x3fffffea,0xffffffff,0x7ffd8003,0xffffa800,0xffffffff,0xff5003ff,
    0x0fffd43f,0x3ff60002,0x7ffe4007,0x3fff4001,0xfffffffd,0x09ffffff,
    0x4017ffcc,0x2a04fff8,0x3fe21fff,0xfb037e47,0xffffffff,0x00ffffff,
    0x7fffffec,0xffffffff,0x3fff6007,0xffffffff,0xd8007fff,0xfd8007ff,
    0xffffffff,0x007fffff,0x7c43fff5,0x0037e47f,0x5001fff6,0x5c00dfff,
    0x3ff25fff,0xffffffff,0x7fcc03ff,0xfff8802f,0x07ffea03,0x1fff8171,
    0xffffff88,0xffffffff,0xff8802ff,0xffffffff,0x02ffffff,0xffffff88,
    0xffffffff,0x7ec002ff,0x7fc4007f,0xffffffff,0x02ffffff,0x441fffa8,
    0x00fffc0b,0x000fffb0,0x3007fffd,0x5c41ffff,0xffffda8b,0xff8800be,
    0xfffa804f,0x07ffea02,0x20fffe60,0x8803fffb,0xfb805fff,0xff8803ff,
    0xfffb805f,0x5fff8803,0x03ffec00,0x00fffee0,0x2017ffe2,0x9801fffa,
    0x36003fff,0xf98007ff,0x3ea04fff,0xfb003fff,0xffd000ff,0xfffd801d,
    0x07ffea00,0x20fffe60,0xb000fffe,0xfe801fff,0xffb000ff,0xfffe801f,
    0x1fffb000,0x03ffec00,0x003fffa0,0x2007ffec,0x9801fffa,0x36003fff,
    0xf70007ff,0x7357dfff,0x00dffffb,0x4003ffec,0x900dfffc,0x2e60dfff,
    0xeeeefffe,0xffeeeeee,0x3fff6a3f,0xda880bdf,0x40cefffe,0xbdffffda,
    0xffeda880,0x7ed40cef,0x880bdfff,0xcefffeda,0x3bbb6e20,0xdeeeffff,
    0x7ffed40b,0xda880bdf,0x40cefffe,0xeefffeb9,0xeeeeeeee,0x32a03fff,
    0xeeffffee,0xffb000bd,0xffffffff,0x6c001dff,0xf88007ff,0xb9adffff,
    0x881ffffe,0xffffffff,0xffffffff,0xfff73fff,0x90dfffff,0xffffffff,
    0x7ffffdcb,0xffc86fff,0x25ffffff,0xfffffffb,0xffffc86f,0x3f65ffff,
    0xffffffff,0x2e6fffff,0xffffffff,0xfffffc86,0x3fe25fff,0xffffffff,
    0xffffffff,0xffff503f,0xffffffff,0x7ffdc00b,0x4fffffff,0x06ffc800,
    0xfffff300,0x9fffffff,0x3ffffe60,0xffffffff,0x93ffffff,0xffffffff,
    0xfffffb0f,0x7fe4ffff,0x87ffffff,0xfffffffd,0x3ffff27f,0xfd87ffff,
    0x7fffffff,0x3ffffffa,0xffffffff,0xfffff90f,0xffb0ffff,0x4fffffff,
    0xfffffff9,0xffffffff,0xf703ffff,0xffffffff,0x8800dfff,0xeffffffd,
    0x9ff50002,0x7ffd4000,0x3fffffff,0x7ffff640,0xffffffff,0xb33fffff,
    0x5bffffff,0xfffffb30,0x7fecc5bf,0x982dffff,0xdffffffd,0x3ffff662,
    0xfd982dff,0x22dfffff,0xffffffd9,0x2dffffff,0x3fffff66,0xffd982df,
    0x642dffff,0xfffffffe,0xffffffff,0xff9103ff,0xffffffff,0x54c0003b,
    0x7500001b,0xfc880001,0x01efffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x5d4c0000,0x00000009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x054000a2,0x00000000,0x0a202a20,
    0x0a600000,0x26000cc0,0x000009aa,0x1a880000,0x1983b700,0x00077100,
    0x20000000,0x02aaaaa9,0x1ffcc000,0x00ffe600,0x305fb100,0xfd8003dd,
    0x817fe60f,0xee982fd8,0x04fffb81,0xb9813fea,0xcffffffd,0xd8803eb9,
    0x01ee982f,0x013ffee0,0x7fd4dff9,0x3fff2204,0x0006e42f,0x7f901bf7,
    0xfffff800,0x177547ff,0x03ffee00,0x013ffa00,0x40fffb80,0x22005ffd,
    0x3fee3fff,0x03ffee07,0xffb0bffb,0x3ff209ff,0xfffff907,0xffffffff,
    0xfffb801f,0x802ffec0,0x207ffffc,0x3f27fff9,0x3fff207f,0xffebefff,
    0x7fff1001,0x001fffa8,0xfffffff3,0x17fffd4f,0x01effc80,0x1bffd100,
    0x0fff7000,0x4c00bffb,0x3ff63fff,0x21ffee07,0xffa85ffd,0xffd82fff,
    0xfffffd87,0xffffffff,0x7fdc02ff,0x805ffd87,0x04fffff9,0xfd93fffa,
    0x453fe07f,0x03fffffd,0x30bffe20,0x74001fff,0x27ffffff,0x805ffffd,
    0x0000dffd,0x000effc8,0x6c416e44,0x3fe6000d,0x81fff63f,0xdd882dc8,
    0x9fff9100,0xfc8fffb0,0xa9bdefff,0x2fffffec,0x4416e440,0xffb800dd,
    0x3fe601cf,0x1fff60ff,0xcfea8088,0x04da8001,0x310005b7,0x7fcfffb3,
    0x7cc07fff,0x5c00004f,0x000003ff,0x5fff5000,0x00037ff4,0x86ffe800,
    0x3fea7ffd,0x7fe405ff,0x000002ff,0x007ffec0,0xfb13fff6,0x000000ff,
    0x80000000,0x3ffa7ffd,0x02b806ff,0x01930000,0x20000000,0x3fa2fffa,
    0x0000006f,0xffb0dffd,0x02fffecf,0x002fffc8,0x7fec0000,0x7fffcc07,
    0x003ffec0,0x00003553,0x36000000,0x3fff67ff,0x0000005f,0x00000000,
    0x0fffdc00,0x0000bfff,0x21bffa00,0x3ffe7ffd,0x3ffe2006,0x40000001,
    0x7e407ffd,0x7ffd85ff,0x7fffec40,0x00002dff,0x3f600000,0x3ffff27f,
    0x00000005,0xfffd9000,0x7ecc5bff,0x00cfffff,0x7fc3fff7,0xfffd984f,
    0xffffffff,0xdffd02df,0x3e2fffb0,0x7e4004ff,0xffffeb85,0xffffffff,
    0xfb04ffff,0x7ffc40ff,0x07ffd81f,0x3fffffee,0x2004ffff,0xffffffdb,
    0xd80002ff,0x3fff27ff,0xffffd74f,0xffffffff,0x6cc9ffff,0xffffffff,
    0x2a2dffff,0xffffffff,0xfffffb0f,0x6dc4bfff,0xfeeefffe,0xfb0bdfff,
    0xffffffff,0x01ffffff,0xffb0dffd,0x00bffeaf,0x7fffcc00,0xffffffff,
    0x04ffffff,0x7cc0fffb,0xfffb06ff,0x3fffff60,0xefffffff,0x7fffc400,
    0x05ffffff,0x27ffd800,0xf9bffffb,0xffffffff,0xffffffff,0x3ffff64f,
    0xffffffff,0xfff50fff,0x6cffffff,0xffffffff,0x3fffff64,0xffffffff,
    0xffffb4ff,0xffffffff,0x3ffa0fff,0xf97ffd86,0x4c0000ff,0xffffffff,
    0xffffffff,0xfffb04ff,0x827ffdc0,0xffb87ffd,0xdb9aceff,0x4406ffff,
    0xffffffff,0x40000fff,0x3fea7ffd,0xffff9aff,0xffffffff,0x24ffffff,
    0xfffffffd,0x7fffffff,0x777ffed4,0x3fb6e21c,0x3fa0beff,0xffffffff,
    0x15ffffff,0xfffdddb7,0x037ddddf,0x3f21bffa,0x00dffd7f,0xffeca800,
    0xeeeeeeef,0xb04fffee,0x7fe40fff,0x8fffb03f,0x204ffff9,0x403ffffb,
    0xfffeeec9,0x40003fff,0x3fe67ffd,0xffd952ff,0xdddddddf,0x449fffdd,
    0xfffeeedb,0x81beeeef,0x8802fff9,0xfda84fff,0xffffffff,0x401dffff,
    0x6c007ffd,0x7fd40fff,0x000dffd4,0x07ffea00,0x2213ffe0,0x3f606fff,
    0xfffb02ff,0x803fffe8,0x000ffff9,0x3ffffff6,0x7fec0006,0x07fffe67,
    0xf003fff5,0xffb009ff,0x7ffcc00f,0x4fff8802,0xf537ff40,0x7ec003ff,
    0x7fe4007f,0xe8661dff,0x000006ff,0xf003fff5,0x7fe449ff,0x3ffe05ff,
    0x4fffb00f,0x2006fffa,0x1005fffc,0xfff9dfff,0x7fec0005,0x03fffe27,
    0xf003fff5,0xffb009ff,0x7ffcc00f,0x4fff8802,0xf72fffc0,0x7ec003ff,
    0x7fc4007f,0x3f605fff,0x5000007f,0x0b883fff,0xffc8fffa,0xff101fff,
    0x3ffec0ff,0x8003fff9,0xf7007ffe,0xbfff37ff,0x3ffec000,0x3ea1fffe,
    0xd05c41ff,0xffb007ff,0x7ffcc00f,0x4fff8802,0xf72fffc0,0x7ec001ff,
    0x7fc4007f,0x3f205fff,0x800001ff,0x3e21fffa,0xc83bea6f,0x101fffff,
    0x7ec0ffff,0x01bff67f,0x003fff20,0x7f43fffa,0xfb0000ff,0x87fff8ff,
    0x3e21fffa,0x003bea6f,0x9801fff6,0xf8802fff,0x3fe204ff,0x03fff24f,
    0x007ffd80,0x0effffe4,0x00bfff50,0x3fff5000,0x0107ffd4,0x0bffff91,
    0xd807fffc,0x17ffe7ff,0x07ffea00,0x54bfff50,0xb0003fff,0x6ffd8fff,
    0x2a1fffa8,0x80020fff,0x26007ffd,0xf8802fff,0x7f6444ff,0xffffffff,
    0xd802dfff,0x7ec007ff,0x177440ff,0x4005fffd,0xff501dd8,0xfffddddf,
    0x3ffa2003,0x0bfffa06,0xff8bffec,0xff98003f,0x7ffec03f,0x0037ffc1,
    0x7d47ffd8,0xefffa82f,0x01fffeee,0x00fffb00,0x4017ffcc,0x7e44fff8,
    0xffffffff,0x07ffffff,0x4007ffd8,0xffc86ffe,0x13fffee6,0x41bffe60,
    0xfffffffa,0x36001fff,0x3ff207ff,0x2fffb03f,0x8003fff8,0x2203fff9,
    0xffc86fff,0xffd8002f,0xff500887,0xffffffff,0x3ff60003,0x3ffe6007,
    0x4fff8802,0x7fffffdc,0xffffffff,0x7ffd807f,0x437ff400,0x7fec7ffd,
    0xa99acfff,0x05ffffdb,0xfffffff5,0x6c003fff,0x3fee07ff,0x4fffb04f,
    0xa8005fff,0x3ee01fff,0xfff983ff,0x7ffd8005,0x7fffd400,0x01ffffff,
    0x00fffb00,0x4017ffcc,0x5c44fff8,0xeeefffed,0x01beffff,0x4007ffd8,
    0xffd86ffe,0x7ffff447,0xffffffff,0xff501fff,0xfffddddf,0x3ffec003,
    0x20bfff50,0x3ff67ffd,0xfffc8006,0x37fffa00,0xfffccccc,0x7fec000f,
    0x7ffd4007,0x1fffeeee,0x0fffb000,0x017ffcc0,0x7027ffc4,0x7ffc3fff,
    0x3ffec005,0x21bffa00,0xff907ffd,0xffffffff,0x7d401bff,0x3ffea1ff,
    0xfffb0041,0x0ffffc40,0xff93ffec,0xffe8003f,0x3fffea07,0xffffffff,
    0x7ec003ff,0xf500887f,0x7ffd43ff,0xffd80041,0x3ffe6007,0x3fff8802,
    0xf87ffee0,0x7ec004ff,0x7ff4007f,0x207ffd86,0xffffffc9,0xfa803dff,
    0x1ffe21ff,0x3ff60df9,0x2fffec07,0xff53ffec,0x7fdc00df,0x3fff605f,
    0xffffffff,0x6c007fff,0x27fe47ff,0xf10fffd4,0x806fc8ff,0x22007ffd,
    0xfa804fff,0x3ff202ff,0x09fff10f,0x007ffd80,0x7ec37ff4,0xbff3007f,
    0xffa80013,0x3e05c41f,0x7ffd81ff,0x07fffd40,0xffd1fff6,0xfff3007f,
    0x3ffe201f,0xffffffff,0x002fffff,0xff89fff6,0x7ffd40ff,0x3fe05c41,
    0x3ffec01f,0x03bffa00,0x401fffb0,0x3fe27ffc,0x7fec003f,0x37ff4007,
    0xd003ffec,0x3ea0009f,0xff9801ff,0x07ffd83f,0x6c4fffe8,0x7ffcc7ff,
    0x3ffea04f,0x3ffee03f,0x5fff8803,0xd1fff600,0xfff50dff,0x7fff3003,
    0x007ffd80,0x806fffe4,0x6c06fffc,0x3ffe67ff,0x3ffec003,0x0bfff300,
    0x7400fffb,0x54000eff,0xf9801fff,0xfffc83ff,0x7fffd402,0x2e1fff60,
    0x9abeffff,0x06ffffdb,0x8007fff4,0xb000fffd,0x01550fff,0x3003fff5,
    0xfd807fff,0x7fc4007f,0xeb9adfff,0x6c01ffff,0x3ffe67ff,0xdddb7102,
    0xbdddffff,0x7ffecc17,0x07ffd83f,0x05ffdb08,0x3fffae60,0xeeeeeeee,
    0xa83fffee,0x202effff,0x3f64fffe,0xffffb07f,0xffffffff,0x3ff6a01d,
    0xa880bdff,0x0cefffed,0x7ffffedc,0xffd73007,0xdddddddf,0x27fffddd,
    0xffeeedb8,0x0bdeeeff,0x3ffffe60,0x4fffffff,0x2a6ffe80,0xffb01fff,
    0xffffffff,0x7ecdffff,0xfd80ffff,0x6ffd407f,0xf8803ffb,0xffffffff,
    0xffffffff,0xfffb03ff,0x7ffcc0df,0xb81fff67,0xffffffff,0x3fee04ff,
    0x86ffffff,0xfffffffc,0x3fffe65f,0xf8807fff,0xffffffff,0xffffffff,
    0xffffb3ff,0xffffffff,0xffa80dff,0xffffffff,0x87ff7003,0x3ffa06ff,
    0xffffffff,0xf90fffff,0x3ee03dff,0x7ffc406f,0xf9800fff,0xffffffff,
    0xffffffff,0x3ffa03ff,0x37fe406f,0xd880dff7,0x2effffff,0x7ffffe40,
    0xffd87fff,0x27ffffff,0xfffffff8,0xffff9807,0xffffffff,0x3fffffff,
    0xfffffffd,0xffffffff,0xfffc8801,0x4001efff,0x200a8829,0xffffffd9,
    0x2dffffff,0x9002f722,0xdb51001b,0x7f640039,0xffffffff,0xffffffff,
    0x00665403,0x03720edc,0x001ba980,0x3fffff66,0xffd982df,0x542dffff,
    0x06eeeeec,0xfffffd90,0xffffffff,0x3667ffff,0xffffffff,0x002dffff,
    0x0004dd4c,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x000d54c0,0x00077100,0x80003100,
    0xcccccb98,0x54c003cc,0x0aaaaaaa,0xcc880000,0x00000000,0xc8800004,
    0xaaaa8002,0x0edc0aaa,0x001ba800,0x40000000,0xffffffd8,0xf910001e,
    0x0dc85fff,0x01ffcc00,0xfffffa80,0x406fffff,0xfffffeca,0x006fffff,
    0x7404d54c,0xfd1004ff,0xfd500005,0xfa80007d,0x7fec004f,0xf51fffff,
    0x754001ff,0x3660cfff,0x3b2a0002,0x2e000bdf,0xffffffff,0xfc8004ff,
    0xebefffff,0x7dc001ff,0xffb8006f,0xffffffff,0xfffd106f,0xffffffff,
    0xfb100dff,0x23dfffff,0x7005fffc,0x98000bff,0x003fdbef,0x006ffec0,
    0xffffffd8,0x0bfff73f,0x3ffffe60,0x04ffccff,0xffffe880,0xfd800eff,
    0xffffffff,0x2000efff,0xfffb14ff,0xfb0007ff,0xff8800ff,0x999999cf,
    0xfff986fe,0xeaeffdff,0xfb801aff,0xffffffff,0x01ffffef,0x000fffb0,
    0x01b60fc8,0x07bff200,0x3fffff60,0xffff10ff,0x23df7005,0x0efffffb,
    0x7fff4400,0x01ffffef,0x33bfffee,0xffffdb9a,0x2a022005,0xb0001cfe,
    0xfa800fff,0x437ec03f,0xff1dfffe,0x6c01ff2b,0xffffffff,0x3fffffff,
    0x01fff600,0x07c8db00,0x1fff7000,0x99fffd80,0x06fffc80,0x7dfb1030,
    0xdffd0001,0x82ffe4c5,0x204ffff9,0x002ffffb,0xfb000000,0xffd800ff,
    0x262fe400,0xaffc6fff,0xffb807fc,0xfcaaceff,0x005fffff,0x0003ffec,
    0x13ea2fea,0x2ff98000,0x203ffec0,0x002ffff8,0x3e600000,0x0ffd00ff,
    0x200ffffa,0x000ffff9,0x74400000,0x9002dfff,0x1d9805ff,0x3e17ffe4,
    0x880ff95f,0x3a04ffff,0x4004ffff,0x80007ffd,0x000efffe,0xfd801800,
    0xfffd807f,0x00000006,0xfb807ff6,0x37ffd42f,0x89fff900,0x05ffffda,
    0xffffff91,0xfffb103b,0x09ffffff,0x05ffff91,0x83fffb00,0x80ff95ff,
    0x3203fffe,0x00ffffff,0x001fff60,0x000164c0,0x3ff60000,0xffff9807,
    0x3fff6e01,0x002fffff,0x22037fcc,0x7ffe44ff,0x37ff4001,0xfffffff1,
    0xfffffb05,0xff98dfff,0xffffffff,0x3ffea0ff,0x4004ffff,0x7fc2fffd,
    0x7d40ff95,0x3fea06ff,0x004fffff,0x0001fff6,0x5d400000,0x201acded,
    0xfb007ffd,0x3fe209ff,0xffffffff,0x27fd4005,0xfb13fe20,0xff9000df,
    0x7ffffc4f,0x7fe40fff,0x25ffffff,0xfffffff9,0x22ffffff,0xffddeffe,
    0xff7002ef,0xf95ff8bf,0x0fffe40f,0xfcffff88,0x555447ff,0xafffeaaa,
    0x200aaaaa,0xdeeedb98,0xfea8001c,0xdfffffff,0x007ffd80,0x220dfff5,
    0xffffffff,0x2e000fff,0xfed883ff,0x2fffc4ff,0x0fffdc00,0xfffffd93,
    0xffedb889,0x3ffa0bff,0x3fa60aff,0x8bff12ff,0x01effffa,0x85ffffc4,
    0x40ff95ff,0x3fa06ffd,0x1fffb6ff,0x3fffffe2,0xffffffff,0x6c42ffff,
    0xffffffff,0xfb001eff,0xffffffff,0xffd87fff,0xffff1007,0x7f7764c0,
    0x003fffff,0xff707ff2,0x7c49ffff,0xf98003ff,0xfff982ff,0x3fe01fff,
    0x77ffd45f,0x43fff500,0x7e440ffd,0x2600dfff,0xffbfffff,0x7fc0ff95,
    0xffffb05f,0x547ffee1,0xffffffff,0xffffffff,0x7ffdc4ff,0xffffffff,
    0x7fe400ef,0xfffeffff,0x3f61ffff,0x3ffe007f,0xfffb000f,0x6c00dfff,
    0x7fffdc7f,0x3fe64ffe,0xff98003f,0xffff983f,0x3ffe06ff,0x00fffe45,
    0xdff51ffa,0xffffd305,0x7fffcc05,0x0ff95fff,0x2e13ffe2,0x3e61ffff,
    0xfffd13ff,0xffffffff,0x83dfffff,0xeffffff9,0x05ffffee,0x2b7fffea,
    0x3fffae20,0x801fff66,0x8801fffe,0xfffcefff,0x44ffb002,0xff88bfff,
    0x013ffe24,0x207ffea0,0xfffffff9,0xd8bfff04,0x015007ff,0x2a09fffb,
    0x2204ffff,0x95ffffeb,0x3ffe20ff,0x1ffffcc4,0x310fffe6,0xfffb3333,
    0x40133333,0xf981abca,0xfff107ff,0xffe880bf,0x00fffb4f,0x401fffec,
    0xff9bfffb,0x4ffb005f,0x3fe24ffb,0x0037ffc4,0x4c07ffe4,0xffffdfff,
    0x745fff81,0xb80006ff,0xd882ffff,0xb8803fff,0x40ff95ff,0x3fe26fff,
    0xfffa85ff,0x0fffb001,0x7fe40000,0x5fffa80f,0x2ffff100,0x2e007ffd,
    0xfe804fff,0x1fffd0ff,0x7e4ffb00,0xb13fe20f,0xe8003fff,0xfff307ff,
    0xf0dfff97,0x7ffd8bff,0xfff30000,0xdff503df,0xfcaffc00,0x43fffa07,
    0xc80efffe,0xfb000fff,0x544000ff,0xfdccdecb,0xfffb80ff,0xffffffff,
    0x8fffffff,0x2e007ffd,0x7d404fff,0x3ffea5ff,0x327fd803,0x13fe21ff,
    0x400bfff5,0xf305fffb,0xfffd17ff,0x645fff87,0x00803fff,0x4ffffd88,
    0xf001ffb8,0xd81ff2bf,0xfffcafff,0x0dffd01f,0x003ffec0,0x7ffffe44,
    0x0fffffff,0xffffffd8,0xffffffff,0xffdaffff,0x3fff2007,0x0fffec03,
    0x3601bffe,0x437fea7f,0xffe84ff8,0xfff9803f,0x7fff300f,0xf83fffea,
    0x7ffcc5ff,0xefda882f,0xfffe9800,0x05ff931e,0x3fe57fe0,0xffdfff50,
    0x3fee05ff,0x3ff6005f,0x7ffcc007,0xffffffff,0xffd80fff,0xffffffff,
    0xffffffff,0x2007ffdb,0x2201fffe,0xffc86fff,0x23fec02f,0xffcdfffe,
    0x4ffffb85,0x0ffffea0,0x363fff98,0x3ffe5fff,0xdffffd85,0xfffffdab,
    0x3ffea003,0x007fffff,0x03fe57fe,0x3ffffffa,0x3ffff304,0x03ffec00,
    0xffffff10,0xffffffff,0xbfff701f,0x99999999,0xb3999999,0x7fc00fff,
    0x3fee00ff,0x5fff983f,0xf307fdc0,0x3fffffff,0x7dffff90,0xffffb733,
    0x3fff980d,0x7cbfffe2,0xffe885ff,0xffffffff,0x6c4000ff,0x02ffffff,
    0x3fe57fe0,0x3ffffe60,0x7ffff505,0x07ffd800,0x37ffffa0,0x3ff6660b,
    0xefff980f,0x3ff60000,0xffff1007,0xcdfffe80,0xffffcccc,0x107fea00,
    0x1ffffffb,0x3fffff60,0xefffffff,0x1fffcc00,0x3e3fffee,0xffd105ff,
    0xffffffff,0x3f600207,0xff8003ff,0xfd00ff95,0x7359dfff,0x00bffffb,
    0x200bff70,0x400ffff8,0xfd00fffb,0x4c400bff,0x200fffb0,0x2a06fffa,
    0xffffffff,0x03ffffff,0x9980bfe2,0xfffc8019,0x5fffffff,0x07fff300,
    0xfff9fffb,0xfffea80b,0xf300ceff,0x00ffd00b,0x3fe57fe0,0x3ffffee0,
    0xffffffff,0xc88000ff,0xfff5001d,0x7ffe4409,0xffff300f,0x753337bf,
    0xfb1ffffb,0x3ff600ff,0x3fff604f,0xffffffff,0x7fc07fff,0x74c00005,
    0x2dffffff,0x0fffe600,0x3fffffe2,0xfffb005f,0x00ff7001,0x3e000ffd,
    0x4c0ff95f,0xffffffff,0x0dffffff,0x22000000,0x99abffff,0xffffffdb,
    0xfffc81be,0xffffffff,0xfdafffff,0xfff9807f,0xffff100f,0xffffffff,
    0x7405ffff,0x200001ff,0x0bfffffa,0x3fe60150,0xffff703f,0x3f600bff,
    0x1ff9007f,0x002ffdc0,0x0ff95ff8,0x6ceffffc,0x2effffff,0xeeedca80,
    0xeeeeeeee,0x7fec3cde,0xffffffff,0x7fffffff,0xffffff70,0xffffffff,
    0x201fff6d,0x2e05fffc,0xf8803fff,0x3fea05ff,0x5c004405,0xffffffff,
    0x0fffcabd,0x203fff98,0x05fffffe,0x200fffb0,0xcccccffc,0x002fffec,
    0x2dff5993,0x2e0aaffd,0x5d446fff,0xff30009b,0xffffffff,0xffffffff,
    0x7ffff447,0xffffffff,0x100fffff,0xfffffffb,0x7ec5bfff,0x7ffc407f,
    0x3fffa01f,0x1fffb000,0xb82fff40,0x3fe600ff,0xffffffff,0x42ffffff,
    0xbdefffda,0x7ffffcc1,0x0bff7005,0x3fffff20,0x04ffffff,0xffffff70,
    0xffffffdf,0x0007ffcc,0xfffff500,0xffffffff,0x889fffff,0xfffffffc,
    0xeffffcbe,0x59753003,0x3ff60135,0x37ffe407,0xdffffda8,0xfeda880b,
    0xf980ceff,0xffecefff,0x3ff200ff,0xffffffff,0x4c6fffff,0xffffffff,
    0x5ffffc87,0x005fd100,0x3ffffff2,0x2002efff,0xfffffff9,0x46fffffb,
    0x800000ca,0xfffffffd,0xffffffff,0x975100ef,0x00000157,0xffffd800,
    0xfff10cef,0xffff705f,0xf90dffff,0xbfffffff,0x3ffffe60,0x5402ffff,
    0xcbcdffff,0x0cfffffe,0x7fffffd4,0x7fc40fff,0x000005ff,0x26666662,
    0x4cc00009,0x33310999,0x00000001,0x00000000,0x20000000,0xfffffffd,
    0x20bfff73,0xfffffffc,0xffffd87f,0x2207ffff,0x0ceffeca,0x44015100,
    0x3b200aa9,0x03efffff,0x000bfff5,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfffffd80,0x1fff52ff,0x3ffff660,0xfd982dff,0x02dfffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3bbb2000,0x0edc3dee,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4a800000,
    0x01644000,0x00008000,0x00019300,0x40000020,0x000000c9,0x00008000,
    0x00000b20,0x00000393,0x00000000,0x0ffe4000,0x09ff5000,0x17f4c000,
    0x3fee0000,0x7f4c0003,0x7dc00002,0xca88003f,0x0000acfe,0x0000ffa2,
    0x00017fe6,0x0003ffc8,0x9dffb910,0xfeca8005,0x800001de,0x0005ffe8,
    0x000dffe8,0x6ffffe40,0xffc80000,0x3f20000e,0x0000dfff,0x000effc8,
    0x7fffff44,0xfb8003ff,0x0000efff,0x00077fec,0x027ff440,0x3fffee00,
    0x400dffff,0xffffffd8,0x300000df,0x00009ffd,0x000f7fec,0x7f7fff4c,
    0xd10002ff,0x20001bff,0xffefffe9,0xfd10002f,0xe88001bf,0xffffffff,
    0xffb1003f,0x007fffdf,0x01fffc80,0xeffd8800,0xfffd8000,0xffffffff,
    0xffffd100,0x01dfffff,0x3fff8800,0xffb80000,0x3fe6000f,0x7fff90df,
    0x09ffd000,0x6fffcc00,0x007fff90,0x0009ffd0,0x37bffffa,0x400fffff,
    0xf70efff8,0xa80009ff,0x00001fff,0xb800dff9,0xfeefffff,0xfb05ffff,
    0xfffdffff,0xb8000bff,0x000001ff,0xc800bfe6,0x6fe982ff,0x017fcc00,
    0x20bff200,0x4c006fe9,0xf50002ff,0xffd81dff,0x1ffdc05f,0x0003ff44,
    0x0001ff4c,0x2003ff70,0x21cffff8,0x42ffffb8,0x10bffff9,0x003ffff9,
    0x00000a80,0x44001880,0x000d400b,0x44000054,0x000d400b,0xfd000054,
    0x3ffa01ff,0x002e200f,0x0c000035,0x00c40000,0x40dfff30,0x7ec4fffc,
    0xfff503ff,0x0000000b,0x00000000,0x00000000,0x00000000,0x4fffa800,
    0x00fffea0,0x00000000,0x40000000,0x2202fffb,0x7ff46fff,0x3fffa00f,
    0xdb750000,0x4000359b,0x00acedb9,0x9bdb7500,0x5cc00035,0x0000aced,
    0x02b3b6e6,0xddb73100,0xf70039bd,0xfff801ff,0x3b6e6206,0x8001cdee,
    0xdeeedb98,0x2aa6001c,0x555500aa,0x5fff7055,0x22fffc40,0x7dc06fff,
    0x754001ff,0xffffffff,0xffb1000d,0x5bffffff,0x3fffaa00,0x00dfffff,
    0xfffffb10,0x2005bfff,0xffffffd8,0x6c402dff,0xffffffff,0x3f601eff,
    0x7ffd807f,0xfffffd88,0x01efffff,0xfffffd88,0x01efffff,0x3fffffe2,
    0x7ffffc42,0x5fff987f,0xf0ffff20,0xffa80bff,0x3ff6003f,0xffffffff,
    0x7fd403ff,0xffffffff,0x7fec04ff,0xffffffff,0x7fd403ff,0xffffffff,
    0x7fd404ff,0xffffffff,0x3fee04ff,0xffffffff,0xffd00eff,0x1fff900d,
    0xffffffb8,0x0effffff,0x7ffffdc0,0xefffffff,0xfffff500,0xffffa85f,
    0xffff07ff,0x7ffdc439,0x07fff41f,0x009fffd0,0x3ffffff2,0xfffffffe,
    0xfffff301,0xfffffddf,0x3fff209f,0xffffefff,0xff301fff,0xffddffff,
    0x2609ffff,0xeeffffff,0x04ffffff,0xdffffff3,0x0bffffdd,0x2e017ffe,
    0x7fcc1fff,0xfeeeffff,0x7cc05fff,0xeeefffff,0x3a05ffff,0x442fffff,
    0x07fffffe,0xddfffff5,0xb09fffff,0x3f205fff,0xfa805fff,0x220adfff,
    0x886fffeb,0x40afffff,0x42ffffe9,0x0adffffa,0x1bfffae2,0x2bffffe2,
    0x7ffff4c0,0x7ffffc42,0x7fff4c0a,0x3579502f,0x20ffff30,0xfb805fff,
    0xabca81ff,0x07fff981,0x981abca8,0x5c407fff,0xb3102fff,0x7fe40fff,
    0xffffffff,0x1dfff706,0x6fffffa8,0x2ffffc40,0x13fffa20,0x801dfff7,
    0x3e25fffc,0x74405fff,0x7fdc4fff,0x7fe400ef,0x77ffdc5f,0x2fffe400,
    0x3fff2000,0x805fff80,0x0001fffb,0x0003fff2,0x007ffe40,0xb00bffea,
    0x7fd40fff,0xffffffff,0x3ffffa05,0xfffffeac,0x7ffd407f,0xffff1005,
    0x000fffd8,0x7fd4ffff,0xfff1005f,0x00fffd8f,0xfd8ffff0,0xfff000ff,
    0xecba880f,0x0fffdccd,0xb805fff8,0x2a201fff,0xfdccdecb,0x751000ff,
    0xffb99bd9,0xfffa801f,0x83ffec02,0xfffffff9,0x303fffff,0xffffffff,
    0x80ffffff,0xfffffffb,0xffffffff,0x3ffe0fff,0x3fff2004,0xffffff72,
    0xffffffff,0x7fc1ffff,0x3ff2004f,0x013ffe2f,0x882fffc8,0xfffffffc,
    0xf80fffff,0xffb805ff,0xfffc880f,0xffffffff,0x7fe4400f,0xffffffff,
    0x7fd400ff,0x3ffec02f,0x6fffffc4,0xfffffc9a,0xfffff502,0xbffddfff,
    0xfffffd80,0xffffffff,0xf32fffff,0x7cc005ff,0xffffb4ff,0xffffffff,
    0x25ffffff,0x2002fff9,0xff34fff9,0x7fcc005f,0x7fffcc4f,0xffffffff,
    0x7ffe80ff,0x987ffc80,0xffffffff,0x00ffffff,0x3fffffe6,0xffffffff,
    0x17ffd400,0x2a1fff60,0xf900efff,0x7ec40bff,0xff8bffff,0x7ffec03f,
    0xffffffff,0x3fffffff,0x8005fff5,0xfffb4fff,0xffffffff,0x7fffffff,
    0x000bffea,0x3fea9fff,0x7ffc002f,0x3ffffe24,0xffffffff,0xfffd80ff,
    0x237ff400,0xfffffff8,0xffffffff,0xfffff100,0xffffffff,0xffa801ff,
    0x3ffec02f,0x101fffe4,0x2600ffff,0x07ffee1a,0x99bfff70,0x99999999,
    0x7fc39999,0x3fe6004f,0x9bfff72f,0x99999999,0x7c399999,0x3e6004ff,
    0x13ffe2ff,0x22fff980,0x0bdffffe,0x03fff666,0x880bffee,0x7ff45fff,
    0x2660bdff,0xfd00fffd,0x4c17bfff,0x400fffd9,0x6c02fffa,0x7ffe87ff,
    0x00fffc80,0x0ffff980,0x077ffcc0,0x7ffec000,0xfffe8801,0x01dfff30,
    0x3fffb000,0x1fffd100,0x400fffec,0xf10fffe8,0xfb801fff,0xfff880ff,
    0x8bfff206,0x400ffff8,0xf880fffb,0x7dc00fff,0x7fd400ff,0x3ffec02f,
    0x2007ffec,0x98007ffd,0xd003ffff,0x4400bfff,0x7fffdc09,0x3fff6201,
    0x02ffff45,0xffb81310,0x3f6201ff,0x7ffdc5ff,0x3ff6201f,0x13ffea5f,
    0x0ffffc88,0x307fffb0,0xffa8dfff,0x3ff2204f,0xfffa80ff,0x3fff2204,
    0x7ffcc00f,0xffffb304,0x409fff70,0x4005fff9,0x005ffffb,0x37ffffe6,
    0xfdba999b,0x3fa20fff,0xa99adfff,0x42fffffb,0xbdfffff9,0xffdba999,
    0x3ffa20ff,0xba99adff,0x442fffff,0x9adffffe,0xfffffba9,0x2ffffe22,
    0xfffdb99a,0x4c1befff,0xb99cffff,0x7c43ffff,0xb99abfff,0xeffffffd,
    0x3fffe21b,0xffdb99ab,0x01beffff,0x266ffffe,0xffffffdb,0x3fffe61c,
    0xffca99ad,0x566cc3ff,0xfffffca9,0xfffc8006,0xffffffff,0x442fffff,
    0xfffffffd,0x03ffffff,0xfffffff9,0xffffffff,0xfffd885f,0xffffffff,
    0xffb103ff,0xffffffff,0xffb07fff,0xffffffff,0xffffffff,0xffffff90,
    0x360bffff,0xffffffff,0xffffffff,0x7fffec7f,0xffffffff,0x207fffff,
    0xfffffffd,0xffffffff,0x3ffff20f,0xffffffff,0x7ffff40e,0x0effffff,
    0xffff7000,0xffffffff,0x7fec0dff,0xffffffff,0x7ffdc03f,0xffffffff,
    0x3f606fff,0xffffffff,0xffd803ff,0xffffffff,0xfffd103f,0xffffffff,
    0x01ffffff,0xfffffffb,0x7ff440bf,0xffffffff,0x0fffffff,0x3fffffa2,
    0xffffffff,0xd100ffff,0xffffffff,0x1fffffff,0xffffffb8,0xfd05ffff,
    0xffffffff,0xd8800019,0xffffffff,0xdb802dff,0xbdffffff,0xfffb1000,
    0xbfffffff,0xfffb7005,0x0017bfff,0x7ffffedc,0x64400bdf,0xefffffff,
    0x3effffcb,0x3ffffb20,0xffc8805f,0xcbefffff,0x883effff,0xfffffffc,
    0xeffffcbe,0x7fff4403,0xffdbdfff,0xffb503ef,0x407dffff,0xffffffe9,
    0x9800000c,0x009aacba,0x006ee600,0x2b2ea600,0x2600009a,0x300001bb,
    0x22000377,0x000abcba,0x00375100,0x15797510,0xcba88000,0x200000ab,
    0x000abca8,0x001ba980,0x00055d44,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01930000,
    0x00004000,0x00000000,0x01100400,0x00000000,0x55530000,0x55555555,
    0x00000001,0x20000000,0x500aaaa9,0x00055555,0x3ffb8000,0x3fd88000,
    0xfeca8000,0x20003cef,0x2cefedb8,0x5427fcc0,0xb98002ff,0x401cdffd,
    0x00defdb9,0xffffb000,0xffffffff,0x13b2a20b,0xca880000,0xf100002e,
    0x885fffff,0x07ffffff,0x00007dd5,0x0003bff2,0x3dffff70,0xfffd5000,
    0x03dfffff,0xfffffc80,0x3f204fff,0x37ff40ff,0xffffd100,0x3609ffff,
    0x0fffffff,0xfffd8000,0xffffffff,0x7fff547f,0x9800004f,0x002ffffe,
    0xfffff500,0xffffa85f,0xffff07ff,0x7f440001,0x220000df,0xfffefffd,
    0x3fff2003,0xffffffff,0xffe8801f,0x7fffffff,0x321bfea0,0xfd1004ff,
    0xffffffff,0xadff88df,0x0004ffa9,0xffffffd8,0x44ffffff,0x04ffeffb,
    0xeffa8000,0x200002ff,0x42fffffe,0x7fffffe8,0x000fffd0,0x0004ffe8,
    0xb8f7ffc4,0xf9805fff,0xfedfffff,0x4c06ffff,0xdfffffff,0x5d403ffd,
    0x800bb880,0xeffffff8,0x44fffffe,0x00ffc808,0x4fffec00,0x09999999,
    0x013fe110,0x7cc44000,0x4400002f,0x3102fffb,0x3260fffb,0x3e60001c,
    0xfb80003f,0x0ffd883f,0x077ffcc0,0x0ffffaa2,0x67ffffc4,0x00000441,
    0x3bfff200,0x3fff260b,0x3fea601f,0xffd80006,0x9ff00007,0xf9800000,
    0xa800002f,0x7ec02fff,0x8000007f,0x2e00000a,0xc8015400,0x7ffd404f,
    0xffffe884,0x00000002,0x803fffe0,0xfa83fffc,0x0001ffff,0x0007ffd8,
    0x00009ff0,0x002ff980,0x2fffa800,0x003ffec0,0x00000000,0x00000000,
    0x3ee1bffe,0x40002fff,0xdeeedb98,0xfff1001c,0x5fff8807,0x1fffff98,
    0x3f602980,0xff00007f,0x01510009,0x8005ff30,0x3fea00b8,0x3ffec02f,
    0x55530000,0x2aaaa015,0x2aaa602a,0x5555500a,0xff100005,0x3ffff0bf,
    0x7fec4000,0xffffffff,0x05fc801e,0x4c0bfff0,0xb100fffb,0x3ff605ff,
    0x2ceedcaf,0x0013fe00,0xf3009ff9,0x7fdc005f,0x0bffea05,0x260fffb0,
    0x7fc400dd,0x7c42ffff,0x887fffff,0x42ffffff,0x7ffffff8,0xfffd8000,
    0x02fffd43,0x3fffee00,0xffffffff,0x2e00000e,0xfa804fff,0xffffb83f,
    0xfffffb02,0x03dfffff,0x2a009ff0,0x9805fffe,0xfe9802ff,0x3fea06ff,
    0x3ffec02f,0x5405ffc8,0x42ffffff,0x7ffffffa,0xffffffa8,0x7ffffd42,
    0x5544007f,0x40ffffeb,0xb952fffd,0xff30037b,0xfdddffff,0x0000bfff,
    0x00bfffa2,0xfe98ffe6,0x3f603fff,0xffffffff,0x7fc03fff,0x7ffec404,
    0x5ff3004f,0xdffffc80,0x0bffea00,0x3a0fffb0,0xffe806ff,0x7f442fff,
    0xfd07ffff,0xe885ffff,0x007fffff,0x3fffffea,0xfffe82ff,0xffffffe9,
    0x1abca803,0x007fff98,0x6fffe880,0x372b37f6,0xfff90fff,0xffc801bf,
    0xffeeffff,0x32e20fff,0x42cceffc,0x01effffa,0x6ffee64c,0x3ffaa0bc,
    0xffa802ff,0x3ffec02f,0x1007fff8,0x2205fff7,0x2207ffd9,0x3102fffb,
    0x6c00fffb,0x4fffffff,0xfffffff0,0x0bffffff,0x3fff2000,0x3fa20000,
    0x3ff21fff,0x9affffff,0x98bffffe,0x7fff3009,0x5fffe881,0x3ffffff2,
    0xffd88fff,0x0aa98cff,0xffffffe8,0xfffd8bff,0x200998df,0xb304fffa,
    0xff10ffff,0x3ea001ff,0x7fec02ff,0x17ffd407,0x801fff60,0xfffffffa,
    0xfffff81f,0xffffffff,0xcba8803f,0xfffdccde,0xffd30000,0xb99305ff,
    0xfff91599,0x9fff11bf,0x7f400c40,0x555511ff,0xff735555,0xfff93dff,
    0x55441bff,0xfaaaaaaa,0xffd2efff,0x7fffd40d,0xfffdb99b,0x3e61bfff,
    0xf5001fff,0xffd805ff,0x17ffd407,0x001fff60,0xffffb951,0xfffff83f,
    0xfffb32ef,0x3ff2201f,0xffffffff,0xf98000ff,0x4002ffff,0x22fffffa,
    0x0004fffd,0x002fffa8,0x27ffffd3,0xffedeffd,0xfffb1004,0x37ffdc9f,
    0xffffff50,0xffffffff,0x7ffd4fff,0xfff5002f,0x07ffd805,0x2017ffd4,
    0x40007ffd,0x747fffe9,0xf906ffff,0xfff309ff,0xffffffff,0xa8001fff,
    0x002fffff,0x33ffff62,0x13fffea0,0x3ffe2000,0xffffb803,0xb89ff30e,
    0x7fdc00ff,0x3fe61eff,0x3fea06ff,0xffffffff,0x0fffffff,0x005ffff5,
    0xb00bffea,0xffa80fff,0x3ffec02f,0x7ff44000,0x3ffff21f,0x8bfff301,
    0xfffffff8,0xffffffff,0x3ffee000,0x3e6001ff,0x7c41efff,0x0004ffef,
    0x4409fff0,0x443ffffe,0x03ff985d,0x07ffffb1,0x40dfdffd,0xfffffffa,
    0xfffdbfff,0x3fffee3e,0x5fff5003,0x407ffd80,0x6c02fffa,0x700007ff,
    0x7fdc7fff,0x3fff404f,0x2f7ffffa,0x3fff6660,0xffffb000,0xfff8001d,
    0xf3ffb04f,0xf100009f,0x7fe407ff,0x7ec000df,0xdfff700f,0xfb7ff703,
    0x5fffd40d,0x2001accb,0x004ffffc,0xd805fff5,0x7fd407ff,0x3ffec02f,
    0xfff88000,0x00bffea4,0x7fc4fffb,0x7fdc00ff,0x7ff4400f,0xc8000eff,
    0x9ff701ef,0x200013fe,0x2a02fffa,0x744002ef,0x3fe604ff,0x36bff303,
    0x3ffea06f,0x7fec0002,0xff5005ff,0x7ffd805f,0x017ffd40,0x0001fff6,
    0xf317ffcc,0x7fc40bff,0x13ffea6f,0x0ffffc88,0x3ffffa60,0x10040005,
    0x427fcdff,0xff8802ec,0x000400ff,0x401fffcc,0xd87ff400,0x3ffea06f,
    0x7ff40002,0xff3006ff,0x3ff6609f,0x7ffcc07f,0xffffb304,0x22002a20,
    0x7f40fffe,0xfff702ff,0x5ffffc4b,0xfffdb99a,0x541befff,0x804fffff,
    0x3ff60000,0x22fffeee,0x9abefffb,0xffffca99,0xfb800004,0xb80002ff,
    0xfffeefff,0x05fff504,0xfffff800,0x3fffe007,0xfffdb99b,0x3e01cfff,
    0xdb99bfff,0x1cffffff,0x26b3ffe6,0xfffda999,0xffffa86f,0xfffeb9bd,
    0x7fffec2f,0xffffffff,0x7c7fffff,0xeeefffff,0x2ffeeeee,0xffffd000,
    0x7d4dffff,0xffffffff,0x00ffffff,0x3ffa2000,0xfb00000e,0xffffffff,
    0x05fff501,0xffffe800,0x3fff6006,0xffffffff,0xb00fffff,0xffffffff,
    0xffffffff,0x3ffffea1,0xffffffff,0xfffd01ff,0xffffffff,0xffffd10b,
    0xffffffff,0x7c1fffff,0xffffffff,0x5fffffff,0x55555000,0xfd81bff7,
    0xffffffff,0x0001efff,0x277ffea0,0x20002999,0xfebaaaa9,0x3fff300f,
    0xfffb8000,0x3fa2003f,0xffffffff,0x00ffffff,0xffffffd1,0xffffffff,
    0x7fffec1f,0xffffffff,0x3ffa200e,0xefffffff,0xffff9100,0xff97dfff,
    0xfff87dff,0xffffffff,0x006fffff,0xffffe880,0xffffc985,0x003fffff,
    0xffffe800,0x003fffff,0xdffffb00,0x0003ffc0,0x007fffc4,0x3ffffa20,
    0xfffdbdff,0x7ff4403e,0xfdbdffff,0x75c43eff,0xffffffff,0xff91004f,
    0x007fffff,0x02af2ea2,0x3ffffe00,0xffffffff,0x00006fff,0x409ffffb,
    0x09abaa98,0x3fa00000,0xffffffff,0xff900004,0x0e540bff,0x00550000,
    0x0abca880,0x79510000,0x54c00015,0x001aabba,0x03575310,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xaaaa8800,0xaaaaaaaa,0x00002aaa,0x00135100,0x0d54c400,0x08802000,
    0x00001000,0x30002b88,0x239bfdb7,0x400aaaaa,0x2a0000ca,0x0000aaaa,
    0x55530000,0x20040035,0xfff30000,0xffffffff,0x880dffff,0xf10006ca,
    0x5447dfff,0xfff9000b,0x98005fff,0x2ffa84ff,0x00ffa600,0x037f4c00,
    0x7ffffe40,0xfffedfff,0x3ffa04ff,0xffff8001,0x000003ff,0xfffffe80,
    0x81dfb004,0x98005fe8,0xffffffff,0x6fffffff,0x7fff6544,0xfff10007,
    0xfffbffff,0xfffe8809,0x005fffff,0xfd03fff2,0x3fee00df,0x20000dff,
    0x2001fffa,0xffffffe9,0xffffffff,0x3fe607ff,0x3fe6003f,0x0003ffff,
    0x7ffc4000,0xf9804fff,0x7ffdc3ff,0x7ffcc001,0xffffffff,0xfb36ffff,
    0x0fffffff,0x7ff65400,0x01ffffff,0x7fffffec,0x5003ffff,0x9ff90dff,
    0xefffe880,0xc8003fff,0x74001fff,0xfeefffff,0xffffffff,0x7ff4c03f,
    0x3fff6004,0x000003ff,0xfffffc80,0x1fff8804,0x4003ffcc,0x999bfff8,
    0xfffa9999,0xffffffb5,0x54000fff,0xfffffffd,0xffff8805,0xffffdaad,
    0x10175000,0x7fc40177,0x9fff70df,0x077fe400,0x3ffff200,0xfffffb83,
    0x3f62001f,0x3ea2004f,0x000003ff,0x13ffe600,0xca80e4c0,0x0ffb0001,
    0x367fff70,0xffffffff,0xfff50007,0x3ffffbff,0x84fffa80,0x0002fffc,
    0x0fff2000,0xf801ffa6,0xff88005f,0x3fe601ff,0xf90006ff,0xfff9800f,
    0x00000003,0x00027ffc,0x00300000,0x6cc3fff6,0x0fffb1bd,0x8b7fea00,
    0x5c06fff9,0xff981fff,0x0000003f,0x035002e2,0xa8000cc0,0xfb803fff,
    0x260006ff,0x7ffcc000,0x00000003,0x00027ffc,0x20000000,0xd805fff8,
    0x020007ff,0x203fffa8,0xfc81fffb,0x5cc003ff,0x0000aced,0x00000000,
    0x1001fff9,0x0000dfff,0x3fff9800,0x379ddb71,0xdb951000,0x27ffc39b,
    0x01555530,0x00aaaaaa,0x3ffee000,0x07ffd803,0x2b2e6200,0x01fffb09,
    0xb987ffee,0x8801ffff,0xfffffffd,0xaa9802df,0x4002aaaa,0x2aaaaaa9,
    0x007ffd80,0x2601bffa,0x02aaaaaa,0x667ffcc0,0xffffffff,0xfff5000c,
    0xf5dfffff,0xfff109ff,0xff885fff,0x0007ffff,0x00fffe80,0x8007ffd8,
    0xffffffd8,0x01fffbcf,0xfd33fff7,0x500bffff,0xffffffff,0x7409ffff,
    0x7fffffff,0x3ffffa00,0xfc807fff,0x3ffe007f,0x7ffff406,0x4c007fff,
    0xffffffff,0x1effffff,0x3ffff620,0xffffffff,0xfffa84ff,0x7fd42fff,
    0x0007ffff,0x037ffc40,0x4007ffd8,0xfffffffb,0x2fffffff,0xf93fff70,
    0x807fffff,0xeffffff9,0x4ffffffe,0xffffff88,0xff1007ff,0x0fffffff,
    0x003fff70,0x440dfff1,0xffffffff,0x7ffcc007,0xfeefffff,0xb00fffff,
    0xfdffffff,0x9fffffff,0x3fffffa0,0x7ffff442,0x5c00007f,0xfb003fff,
    0x7fdc00ff,0xffeeffff,0x704fffff,0xfff73fff,0x2207ffff,0x40afffff,
    0x82ffffe9,0xfffffffc,0x3fff2007,0x9807ffff,0xfd806fff,0x7fe406ff,
    0x007fffff,0x7fffffcc,0x5ffffa82,0x0dffffa8,0x7fffff4c,0x3ffee204,
    0xfffb3102,0xffe80000,0xfffb000f,0x3fffe600,0xffffc81e,0x3fff705f,
    0x3fffff26,0xefffb83f,0x2fffe400,0xffe99988,0x4ccc4007,0xfd007ffe,
    0x7fe409ff,0x998806ff,0x4007ffe9,0x00effff9,0x88ffffa2,0x6402ffff,
    0x5404ffff,0x7ec02fff,0x2200007f,0x36006fff,0xffb007ff,0xfffa80df,
    0x3fff706f,0x7ffffb50,0x000fffd8,0x3600ffff,0x6c0007ff,0xff3007ff,
    0xd7337dff,0x00dfffff,0x800fffb0,0x801ffff9,0x3ea5fff9,0xffd004ff,
    0xfffa809f,0x03ffec02,0x7fff7000,0x03ffec00,0x801ffff8,0xf707fffc,
    0x7fdc03ff,0x027ffc6f,0x005fff90,0x8000fffb,0x32007ffd,0xffffffff,
    0x06ffffff,0x007ffd80,0x002fffcc,0x7fe4fffb,0xfff5000f,0x2fffa809,
    0x003ffec0,0x01fffd00,0x403ffec0,0x5007fff8,0x3ee0dfff,0x7fe401ff,
    0x05fff30f,0x027ffcc0,0x0003ffec,0x7001fff6,0xffffffff,0x00dfffff,
    0x800fffb0,0x2004fff9,0xffb0fffc,0x7ffcc00f,0x17ffd404,0x001fff60,
    0x037ffc40,0x201fff60,0x3005fff9,0x3ee0bfff,0x7fd401ff,0x05fff52f,
    0x804fff80,0x40007ffd,0x98007ffd,0xdffffffe,0x8006ffd9,0x4c007ffd,
    0x2e003fff,0xdffd0fff,0x27ffc400,0x00bffea0,0x0000fffb,0x000fffee,
    0xf100fffb,0x3ea00dff,0xfff704ff,0x4fff8803,0x98013ffe,0xfd802fff,
    0x7ec0007f,0x2620007f,0x3ffa0abb,0x7ffd8006,0x2fffcc00,0x64fffb00,
    0xf5000fff,0xffa809ff,0x3ffec02f,0xfffe8000,0x3ffec000,0x00fffe80,
    0x703fffc8,0x0f6a3fff,0x7ec9fff1,0xfe8801ff,0xffd800ff,0x7fec0007,
    0xf1000007,0xfb000bff,0xff9800ff,0xff8800ff,0x0fffee6f,0x027ffec0,
    0xb00bffea,0x10000fff,0xb000dfff,0x3f200fff,0x7fcc06ff,0xfff700ff,
    0x5c1fff13,0x3fee3fff,0x3f6201ff,0xffb005ff,0xffd8000f,0xf7000007,
    0xfb0007ff,0xff9800ff,0x3a200eff,0x3fe23fff,0x7fdc02ff,0x7fcc04ff,
    0xfffb304f,0xff70000f,0xffb0007f,0x3ffe200f,0x3f261aff,0xeca82fff,
    0xfffacfff,0x1ffffb9d,0x37ffffa2,0xfffba99a,0xffb002ff,0xffd8000f,
    0x64c00007,0x8001ffff,0x73007ffd,0x7ffffffd,0xfff95335,0xffff70df,
    0xfd73335b,0x059fffff,0x4cdffffc,0xffffffdb,0x3fa0001c,0x36e200ff,
    0xeffffeee,0xf981bdee,0xffffffff,0xf985ffff,0xfeffffff,0xffffffff,
    0xffffd885,0xffffffff,0xeeeca83f,0xeeeffffe,0x3b2a0ade,0xeffffeee,
    0x300adeee,0xfffffffb,0xca80bfff,0xffffeeee,0x10adeeee,0xffffffff,
    0xffffffff,0x3f603fff,0xffffffff,0xffffffff,0xffffb03f,0xffffffff,
    0x0001ffff,0xf9017ffa,0xffffffff,0x20ffffff,0xfffffffa,0xa80dffff,
    0xdfffffff,0xfffffffd,0x3fff601f,0xffffffff,0xfffffa83,0xffffffff,
    0xfff54fff,0xffffffff,0x209fffff,0xfffffffd,0x7d405fff,0xffffffff,
    0x4fffffff,0xfffffff3,0xffffffff,0x6c403dff,0xffffffff,0xffffffff,
    0xfffd104f,0xffffffff,0x0001ffff,0xfb003baa,0xffffffff,0x01ffffff,
    0x3fffff22,0x76402eff,0xd89dffff,0x00efffff,0xfffffdb8,0xff700bdf,
    0xffffffff,0x2bffffff,0xfffffffb,0xffffffff,0xffffb05f,0x009fffff,
    0xfffffff7,0xffffffff,0x7fff5cbf,0xfffffbcf,0x26003fff,0xfffffffe,
    0xdfffffad,0x3fffa200,0xffdbdfff,0x000003ef,0xfffffb30,0xdfffffff,
    0x79531007,0x98000035,0x30001acb,0x32200377,0xffffffff,0x1dffffff,
    0xffffff91,0xffffffff,0x3b6e203b,0x2001bdee,0xffffffc8,0xffffffff,
    0x654c001d,0x220001ab,0x000abcb9,0x15795100,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20080000,0x65440008,0x2aa2ceed,0xaa980aaa,0x2aa201aa,0xaa980aaa,
    0xddb711aa,0x26000379,0xca880000,0x311cdeed,0x00eecc00,0x0ceeb800,
    0x01dd9800,0x00200400,0x33333331,0x33333333,0x53100333,0x98000155,
    0x2ffa84ff,0xffffd500,0xfff5dfff,0x7ff47fff,0xfb85ffff,0x20ffffff,
    0xccfffffe,0xffffffff,0xffd8800d,0xf70002ff,0xffffffff,0xe8809ffd,
    0xb10cffff,0x3fea001f,0x3a2003ff,0xd10cffff,0x0ffc801f,0x2ea06fe8,
    0xaaaaaaaa,0xaaaaaaaa,0xfffd300c,0x5d75dfff,0x07ffe400,0x3201bffa,
    0xffffffff,0xffffffff,0xfffff15f,0xfffb0fff,0x3e67ffff,0xffffffff,
    0xffffffff,0x3ffe202f,0x2004ffff,0xffffffe8,0x7fffffff,0x7f6ffec0,
    0x00fffdff,0x07ffff30,0x7f6fff40,0x00fffdff,0xf513ffe2,0x006a03ff,
    0x3f202a00,0xffffffff,0x2a007fff,0x4ffc86ff,0x7ffffe40,0xffffffef,
    0x362fffff,0x84ffffff,0xfffffffa,0x3fffff60,0xfeefffff,0xb00fffff,
    0xffb519ff,0x3fffa003,0xffffefff,0x3a00ffff,0x3fffee2e,0x6edc002f,
    0x8bba000b,0x02fffffc,0x7c42ffe8,0x003500ff,0xffb81500,0xffffffff,
    0x2000ffff,0x0bb880ba,0x37fffea0,0x3fff6a21,0xff501dff,0xffd801ff,
    0xfff5104f,0x5c415fff,0xf986ffff,0x805fe82f,0x40cffffb,0x0ffffeb9,
    0x0bdc9800,0x00000000,0x20017b93,0x039302b8,0x540000d4,0x3ffffe60,
    0xfffdb9ad,0x000001ff,0x027fffc0,0x017ffff2,0x4405fffb,0x2200ffff,
    0x201effff,0x543ffff9,0x80df707f,0x401ffff8,0x000ffff8,0x00000000,
    0x00000000,0x00003500,0x2fffe415,0x03ffff50,0x7cc00000,0xffb006ff,
    0xfff980bf,0x0ffff206,0x05ffff10,0xa8bfff30,0x80df707f,0x7004fffb,
    0x5cc00dff,0x0000aced,0xdb988000,0x001cdeee,0x00d40000,0xffd05400,
    0xfffc801f,0x76dd4000,0x7dc01acd,0xff5003ff,0xfffb00bf,0x1ffff105,
    0x07fff880,0xf31fffa0,0x80bfd05f,0x1000fffc,0xfd8803b9,0xdfffffff,
    0x0ee44002,0xffffd880,0x1effffff,0x55555300,0x00350055,0x7ff41500,
    0x06ff9806,0x3ffffaa0,0x900dffff,0x7c001fff,0xff9805ff,0x3fffc86f,
    0x04fff880,0xb03ffee0,0xffd539ff,0x06ffd803,0xfffa8000,0xffffffff,
    0x3fee004f,0xffff7004,0xffffffff,0xfffe801d,0xa807ffff,0x20a80001,
    0xb802fffc,0xfffb001d,0xffffffff,0x3fff707f,0x17ffe600,0x117ffec0,
    0x2200ffff,0x36005fff,0xfff887ff,0x64c3ffff,0x00dffd0d,0xffff9800,
    0xffffeeff,0xff9004ff,0x3ffe600d,0xffeeefff,0x3fe205ff,0x07ffffff,
    0xa80001a8,0x37fffe60,0xfc80000a,0xffefffff,0x4c1fffff,0xfb005fff,
    0x3e600bff,0x3fff66ff,0xffff1003,0xbfff3003,0x3bfff220,0x5ffffb52,
    0x0001fff2,0xafffff88,0x7ffff4c0,0x3ffee202,0x2af2a007,0x07fff981,
    0x7fffffe4,0x001a807f,0x7fec0a80,0x0aceffff,0x7fffd400,0x3fae20ad,
    0xffff86ff,0x7fffe404,0x3fff6005,0x007fff9b,0x07ffffe2,0x03ffff98,
    0xfffda888,0x3fee2dff,0xb808002f,0x6400efff,0xff705fff,0x0000ffff,
    0x801fff90,0x7ffe9998,0x80001a80,0xffffd80a,0x03efffff,0x05ffff88,
    0x227fff44,0x9beffffa,0xffffeb98,0x3fe6005f,0x03fffdff,0x3ffffe20,
    0xfca99acf,0x2200efff,0xdfffffda,0xffff980b,0x87fd5001,0xf000fffd,
    0xffd88fff,0x8005ffff,0xccdecba8,0x4000fffd,0x1a807ffd,0x700a8000,
    0xffffffff,0xffa809ff,0xfff1005f,0xfffff70f,0xffffffff,0xfd800bff,
    0x007fffff,0x7fffffc4,0xffffffff,0xffb500ff,0x0015bfff,0x35bffff9,
    0xffb75313,0x04fff8ff,0xe8bfff20,0x01cfffff,0x7fffe440,0xffffffff,
    0x3ffec000,0x40000d40,0x7edd400a,0x06ffffff,0x3fffffee,0xffffffff,
    0xfc80ffff,0xffffffff,0x005fffff,0x7fffffc4,0x7ffc4003,0xffffffff,
    0xff01efff,0xb715bfff,0xffd807bd,0xffffffff,0x265fffff,0x26002fff,
    0xfff54fff,0xf30001bf,0xffffffff,0x001fffff,0xa807ffd8,0x00a80001,
    0x7fff5cc0,0xffffb01f,0xffffffff,0x05ffffff,0x3fffff62,0x5fff9cff,
    0xffffc800,0xfff88007,0xfffffeab,0x6ff403ff,0x3ffffa62,0xffd100ef,
    0xffffffff,0x7d41dfff,0x7fc002ff,0x07fffb4f,0x3fffe200,0xffffffff,
    0x6c000fff,0x01a807ff,0x0a60a800,0x04fffb80,0xfffffffb,0xffffffff,
    0xa8807fff,0x3fe0abcb,0xff88005f,0xf88003ff,0x32ea63ff,0x7f40001a,
    0x05ffebdf,0x7fffff54,0xf02dffff,0x7cc009ff,0x0fffd2ff,0xfffd02a0,
    0x6ccc17bf,0x6c000fff,0x01a807ff,0xff30a800,0x37ff4009,0xccdfffb8,
    0xcccccccc,0x0001cccc,0x8005fff8,0x0007fff9,0x0007fff1,0x20ffdc00,
    0xa9802ffa,0x009abeff,0x400fffec,0xfd0fffe8,0x4ffd00ff,0x400ffff8,
    0x4000fffb,0x1a807ffd,0xf90a8000,0xff1001ff,0x3ffe60df,0x0000000e,
    0x0017ffe0,0x000ffff6,0x001fffc4,0x20df9000,0x3fa003ff,0x3fee000e,
    0x3f6201ff,0x3fff25ff,0x47ffe203,0x2204fffa,0x000ffffc,0x5403ffec,
    0xb0a80001,0xc803dfff,0x3fa05fff,0x262005ff,0xfff00000,0xfff9800b,
    0x3fe20007,0x2000003f,0x09fb04fd,0x007fff40,0xdffffe88,0xfffba99a,
    0x3ffea2ff,0xfd9512cf,0x3ffe27ff,0xfdb99abf,0x1befffff,0x00fffb00,
    0x15000035,0x37fffff6,0xffeba9ab,0x3fe603ff,0x999bdfff,0x0ffffdba,
    0x5fff8000,0x1fffec00,0x7fff1000,0x7e400000,0x803ff887,0x03ffccab,
    0x3ffff620,0xffffffff,0xffffd83f,0xffffffff,0x3ffff63f,0xffffffff,
    0x547fffff,0xfffeeeec,0x0adeeeef,0x15000035,0x3ffffff2,0xffffffff,
    0xfffc805f,0xffffffff,0x002fffff,0x7ffff644,0x36a0cfff,0xffffffff,
    0x36e000de,0xdfffffff,0x3e600002,0x1ffb30cf,0xfefffa80,0xffd8002f,
    0xffffffff,0xfffd103f,0xffffffff,0x7fff445f,0xffffffff,0x50ffffff,
    0xffffffff,0xffffffff,0x200006a9,0xfffff70a,0xffffffff,0x3ee001bf,
    0xffffffff,0x006fffff,0xffffffb8,0xff14ffff,0xffffffff,0x3e2009ff,
    0xffffffff,0x200000ff,0xfffefffc,0xffffd003,0x7edc000d,0x0bdfffff,
    0xfffffc80,0x9103efff,0xdfffffff,0x7dffff97,0x7fffffdc,0xffffffff,
    0x000355ff,0x27b62150,0xffffffda,0xd88001ef,0xffffffff,0x50002dff,
    0xffffffff,0x7fffc9ff,0xffffffff,0xffff1004,0x0fffffff,0xfff70000,
    0xa88007ff,0x2600001c,0x530001bb,0x00359bb9,0x02af2ea2,0xffff9100,
    0xffffffff,0x336a3bff,0xcccccccc,0xdccccccc,0x55d4c400,0x53000009,
    0x00135597,0x3bbb6a00,0x260bdeee,0xeeeeeedb,0x26000bde,0xdeeeeeec,
    0x1000001b,0x00001575,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55553000,0x55531003,0x55300003,0x26000013,
    0x40000aaa,0x0000aaaa,0x30000002,0xa8800355,0x00002aaa,0xaaaa9880,
    0x55551009,0x4c000015,0x02aaaaaa,0x00b72200,0x3ffa0000,0xfd7104ff,
    0x07ffffff,0x7ffedcc0,0x3eb9cfff,0xfffec880,0x4eabefff,0x0ffffe00,
    0x0027f400,0x3fff6200,0x5402dfff,0x007fffff,0x3ff22000,0x2effffff,
    0x3fffffe2,0xffd00001,0x00ffffff,0x37ffff60,0x0000bf21,0x13ffffee,
    0xffffff91,0x01dfffff,0xffffffc8,0xffffffff,0x3fffe600,0xffffffff,
    0xfff001ff,0xff30007f,0x7dc0000f,0xffffffff,0x3fff204f,0x000007ff,
    0xfffffff1,0x7d4fffff,0x001fffff,0xfffff880,0xc8007fff,0xdfffeeff,
    0x40002ffe,0x4ffffff8,0x7fffffcc,0x5fffffff,0x3fffff60,0xffffffff,
    0xfff502ff,0xffffffff,0x2007ffff,0x8003ffff,0x0001fffb,0xffffffd8,
    0x0effffff,0x7ffffe98,0xffd00000,0xffffffff,0x7fff44ff,0x900001ff,
    0xffffffff,0x547f9000,0x004fffff,0xfffffc80,0x7fffcc4f,0xffeb9bde,
    0xfffc83ff,0xeca9bdef,0xb82fffff,0x9bdfffff,0xfffffcba,0x15555003,
    0x3fff7000,0xfffb8000,0xfdb9acef,0x36206fff,0x800007ff,0x9acffff9,
    0x882ddcba,0x0001fffb,0x7fecccc0,0x32200007,0x980000ce,0x4fffffff,
    0x701fffcc,0xffa8dfff,0x7fe405ff,0x7ffc42ff,0x7fec404f,0x0000003f,
    0x0007ffee,0x04ffff98,0x80ffffee,0x00007ffc,0x002fffb8,0x007ffea0,
    0x7ffd8000,0x00000000,0x7e7fff40,0x1fff84ff,0x363fff40,0xf9005fff,
    0xfffc85ff,0x5fff3005,0x53000000,0x5557fffb,0xfe805555,0xff9803ff,
    0xfff900ff,0xff900000,0x7d40001f,0x000001ff,0x8801fff6,0xd950aaaa,
    0x400037bd,0xff9efffa,0x806fb84f,0x3fe0fffc,0x3fe2006f,0x1bffe21f,
    0x980ffb00,0x02aaaaaa,0xffffffd0,0xffffffff,0xdfff501f,0x2fffe400,
    0xa987ffc8,0x2200aaaa,0xabfffdaa,0xa801aaaa,0xedb89fff,0x20001bce,
    0xf3007ffd,0xffd9ffff,0x007fffff,0x15ffff10,0x80009fff,0xff10ffff,
    0x5fc8009f,0x0027ffd4,0xfffd0054,0x300fffff,0xffffffff,0xffffffff,
    0x03fff907,0x907ffe80,0x7ffc4fff,0xb81fffff,0xffffffff,0x06ffffff,
    0x7ff7ffd4,0x02ffffff,0x00fffb00,0x3fffffee,0xffffffff,0x7fe4005f,
    0x09fff15f,0x3fff6200,0x00bffea6,0x17ffe400,0x3fe20000,0x07ffffff,
    0xffffffb0,0xffffffff,0x0dffb01d,0x01fff900,0x7fd4fff9,0x84ffffff,
    0xfffffffd,0xffffffff,0x3fffea00,0xffffffff,0xffd8004f,0xffff1007,
    0xfddfffff,0x2003ffff,0xf11ffff8,0xb88009ff,0x322fffff,0x200007ff,
    0x00007ffd,0xffffff90,0x64c400ff,0x9999afff,0x3ffe0099,0xfffa8005,
    0x227ffc81,0xffffffff,0xfffffa81,0xffffffff,0x7ffd405f,0xfffeffff,
    0x6c000fff,0x7dc007ff,0x220cffff,0xb005fffc,0x7fc49fff,0xff93004f,
    0xfe89ffff,0x3a00006f,0x000006ff,0x3ffa6662,0xfffb8007,0xfff88001,
    0xfff98003,0xd17ffc83,0x013dffff,0x3fffb330,0x00133333,0x17fffff5,
    0x017ffecc,0x001fff60,0x405ffff5,0xfa806fff,0x3fe20fff,0xfffb004f,
    0xffd07fff,0x7f40000d,0x332a206f,0x001bcccc,0x2001fff6,0x8001fffb,
    0x8003fff8,0xfc83fff9,0xfffffaff,0xfff90004,0x7fd40001,0xfff102ff,
    0x7ffd800b,0x1fffd400,0x201fff60,0x7c43fffe,0xffb004ff,0x3fa019ff,
    0x3a00006f,0xfff106ff,0xbfffffff,0x01fff600,0x007ffee0,0x002fffc0,
    0x640fffd4,0xffffffff,0x3ff20003,0x3ea0000f,0x7ff402ff,0x3ffec006,
    0x0bffea00,0xb80fffb0,0xff886fff,0xfff7004f,0x07ffd803,0x1fff2000,
    0x7fffffd4,0xb007ffff,0xf7000fff,0x360003ff,0xfc8006ff,0xfffc80ff,
    0x0001ffff,0x0007ffe4,0x803fff50,0x6c007ffd,0x7d4007ff,0x7fec02ff,
    0x3fffe207,0xffffffff,0x7cc00cff,0xfffc804f,0xff700001,0x3fffa01f,
    0x03ffffff,0x000fffb0,0x0003fff7,0x0007fff2,0x3f20fffd,0x02ffffff,
    0x07ffe400,0x3fff5000,0x007ffd80,0x2003ffec,0x6c02fffa,0x3fe607ff,
    0xffffffff,0x804fffff,0xfff50028,0x3e60000b,0x266203ff,0x003fffa9,
    0x2001fff6,0x0001fffb,0x400dfff5,0xf905fffb,0x7fffffff,0x7ffe4000,
    0x3fea0000,0x3ffec01f,0x01fff600,0x805fff50,0x3e607ffd,0xffffffff,
    0x04ffffff,0xfffe8000,0x07762002,0x2001ffff,0x2003fff9,0xb8007ffd,
    0x20001fff,0x9803fffe,0xf900ffff,0xffffd7ff,0x3ff20009,0x3ea0000f,
    0x7fec01ff,0x3ffec007,0x0bffea00,0x440fffb0,0xeeeeeeee,0x0befffee,
    0xffb80000,0xff9804ff,0x77ffe46f,0x3fff9801,0x01fff600,0x80fffee0,
    0x7cc0cc98,0x3ea04fff,0x3f203fff,0xffffb17f,0xfff90009,0x7fd40001,
    0x3ffec01f,0x01fff600,0x805fff50,0x80007ffd,0x2004fff8,0x7fec0018,
    0xa99acfff,0x85ffffdb,0xabdffffe,0xfffecb99,0x3ff6003f,0xfff98007,
    0xfeca9abe,0xffb84fff,0xdb9abeff,0x6406ffff,0x7ffec7ff,0x3f2000df,
    0x2a0000ff,0x7ec01fff,0x7fec007f,0xffb91007,0xeb8819bf,0x4001bfff,
    0xefffedb8,0x7fff400b,0xfffd1001,0xffffffff,0xf303ffff,0xffffffff,
    0x7fffffff,0xfdddd950,0xbddddfff,0x7fffc015,0xffffffff,0xfffb05ff,
    0xffffffff,0x3f2a01df,0xfffc87ff,0x5cc1bdef,0xeeffffed,0x100adeee,
    0x17bfffb9,0xcffffca8,0x77776543,0xeeeeffff,0x3fff60ad,0x7ec5ffff,
    0x007fffff,0x7ffffff4,0x3fea04ff,0x7e4004ff,0xffffffff,0x2600dfff,
    0xfffffffe,0x0cffffff,0x7fffffd4,0xffffffff,0x3fe604ff,0xffffffff,
    0x3ee00eff,0xffffffff,0x3ffee04f,0xfffc87ff,0x3e27ffff,0xffffffff,
    0x04ffffff,0xfffffffb,0x7ffffc49,0xfff51fff,0xffffffff,0x749fffff,
    0x7fffffff,0x7ffffff4,0x3ffa000f,0x05ffffff,0x00bfffe2,0x3ffff260,
    0x003dffff,0x3fffff6a,0x700befff,0xffffffff,0xffffffff,0xfffd980b,
    0x01cfffff,0xfffffb10,0xffc805df,0xffd87fff,0x10ffffff,0xffffffff,
    0xbfffffff,0x3fffffe0,0x3ffea6ff,0xf73fffff,0xffffffff,0xbfffffff,
    0x7ffffed4,0x7ffed42d,0x6d4003ef,0x1dffffff,0x0005d440,0x04ddd4c0,
    0x5d4c4000,0xfc88009a,0xffffffff,0x01dfffff,0x13597510,0x1ba98000,
    0x3fff6200,0xfffd987f,0x7f5c3eff,0xffffffff,0xb501dfff,0x85bfffff,
    0xceffffec,0xffffd910,0xffffffff,0x000003bf,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xddb93000,0x9000059d,0xfffffffd,0x6419dfff,0x2dfffffe,0x3fffff66,
    0xb93000cf,0x00059ddd,0x0026aa60,0x6ffffed4,0xfffec881,0x7ffedc3e,
    0xffff002f,0xffeb819d,0xefffffff,0x75c000bc,0xffffffff,0x7dc00ace,
    0xffffffff,0xffffffff,0x5e5d405f,0xfd500018,0xffffffff,0x3fea0007,
    0xffffffff,0xff54ffff,0x1fffffff,0x3ffffff6,0x7f5405ff,0xffffffff,
    0xfff50003,0xf8019fff,0x87ffffff,0xfffffffc,0xffffff12,0xffff700d,
    0x7ffcc9ff,0xffffffff,0x3003ffff,0xffffffff,0x09ffffff,0x7fffffdc,
    0xffffffff,0xd305ffff,0x1fffffff,0x6fffe400,0xfffecaac,0x7fd4000e,
    0xffffffff,0xff53ffff,0x4fffffff,0xfffffffd,0x3fff204f,0xffecaacd,
    0x3f2000ef,0xffffffff,0x3ffffe00,0x7fe40fff,0xf12fffff,0x03ffffff,
    0xffffffe8,0x3ffffe64,0xffffffff,0xf8806fff,0xffffffff,0x1effffff,
    0xffffffb8,0xffffffff,0xf985ffff,0xffffffff,0xdffe8803,0x3ffee200,
    0x776d4001,0xeeffffee,0x7ffed43d,0x36e21cee,0x80befffe,0x200dffe8,
    0x801fffb8,0xfffffffa,0x32a06fff,0x882fffff,0x43dffffd,0x5fffffd9,
    0x3ffffea0,0x7f6540bf,0xfeeeeeff,0x804fffff,0xeeffffda,0xffffffee,
    0x77ffdc0e,0xeffffeee,0x85fffeee,0xfffffffe,0xffd801ff,0x3bfea002,
    0xffc80000,0x7ffcc00f,0x4fff8802,0x800bff60,0x7400effa,0xfb9bdfff,
    0xff9807ff,0xfffb01ff,0x7fffd409,0xfffb00ff,0xffa80dff,0xfff9501f,
    0xfff1001f,0x3ffee609,0x07ffdc5f,0x3fe1fff6,0x77ffcc5f,0x801dfb89,
    0x6e4c2ffb,0xff51a9ce,0xff90000b,0xfff9801f,0x4fff8802,0x9935ff70,
    0xa8159999,0x3fe205ff,0x04ff986f,0x70dfff90,0x5401dfff,0x84ffffff,
    0x6ffffff9,0x00fffd40,0x200bfff6,0x5c04fff8,0x3ee1ffff,0x3ffec0ff,
    0x3ee2fffc,0xf00042ff,0xffffb89f,0x3fea6fff,0x7fe40001,0x7ffcc00f,
    0x4fff8802,0x3ff29ff0,0x42ffffff,0xff301ffa,0x0002205f,0x7c47fffd,
    0x7d401fff,0x40ffffff,0x6ffffffc,0x00fffd40,0x2013ffe6,0xc804fff8,
    0x3fee5fff,0x43ffec0f,0x7fdc5fff,0xff50002f,0x4d77fd41,0x27f47ffc,
    0x3fff2000,0x17ffcc00,0x427ffc40,0xff510ffa,0xd0dfb755,0x3ffe609f,
    0x3e600003,0xfffb1fff,0xdfff5009,0x7fc47fff,0x406fffff,0x5401fffa,
    0xf8802fff,0xffd004ff,0x03ffee1f,0xfff0fffb,0x06fff989,0xff89fb00,
    0x7dc6f983,0x7fe40007,0x7ffcc00f,0x4fff8802,0x3fc44fd8,0x1fee17e4,
    0x0005fff8,0x5f7ffe40,0xf5006fff,0x4ffff7ff,0xffebfffb,0x0fffd406,
    0x01ffff70,0x009fff10,0x7cc7fff2,0x87ffd86f,0xffe82ffd,0x3fe8003f,
    0x43c81fe6,0x20000ff9,0x4c00fffc,0xf8802fff,0x43fe84ff,0x43fd87f8,
    0xffd00ff9,0xfd00000f,0x03ffffff,0x32bffea0,0xffff2fff,0xa80dffd1,
    0x2ea21fff,0x405ffffe,0xffffffec,0xffa82eff,0x36072a2f,0x03c887ff,
    0x001ffff7,0x13ee1ff8,0x0007fe00,0x400fffc8,0x8802fff9,0x1ff84fff,
    0x75ccffc4,0x11ff80ff,0xdffffdd9,0x80003bdd,0x4ffffff9,0x2bffea00,
    0xffaefff9,0x80dffd4f,0xfffffffa,0x0effffff,0x3ffffee0,0x87ffffff,
    0xb003fff9,0xf9800fff,0x3226ffff,0x20ff80ac,0xfe8003fb,0xfc800d42,
    0x7fcc00ff,0xfff8802f,0x7c40ff84,0x01efffff,0x3fff25fd,0xffffffff,
    0xccb88007,0xccffffff,0x7ffd401c,0xffffffb2,0x01bffa3f,0xfffffff5,
    0x009fffff,0xfffffff5,0xf30dffff,0x3f6007ff,0x3fe6007f,0xf53fffff,
    0x45ff0bff,0x7c4004fb,0x007ff21f,0x3003fff2,0xf1005fff,0x85ff09ff,
    0x5ffeeff8,0x3f23ff10,0xffffffff,0xf98007ff,0xffffffff,0x7d403fff,
    0xffff32ff,0x37ff4bff,0x3ffffea0,0x06ffffff,0x3fffb2e0,0x980deeef,
    0xfb003fff,0x3fe200ff,0x9ffffeff,0x740ffffc,0x003fe63f,0x3fa0ffa8,
    0xfffc804f,0x17ffcc00,0x427ffc40,0x33fc43fe,0x1ff507ff,0x3ffbb6e2,
    0x001ceeff,0x00fffb00,0x745fff50,0x3a2fffff,0x7fd406ff,0xffecccdf,
    0x7c4004ff,0xff7004ff,0x3ff6003f,0xbfff5007,0xffdfff91,0x8bf90bff,
    0xc8b703fe,0x02fffc6f,0x2007ffe4,0x8802fff9,0x5fc83fff,0x3fe23fc4,
    0x36037e42,0x000007ff,0x5000fffb,0x7fd45fff,0x37ff46ff,0x207ffea0,
    0x003ffffc,0x4013ffe2,0xb000fffd,0x3f200fff,0x3fffa0ff,0xff304fff,
    0x56fffcc3,0x3fa0efdb,0x402fffc3,0xf8807ffc,0xffa804ff,0x31ff982f,
    0x7d45bff9,0x807fd0cf,0x80007fff,0xffecccc8,0x401ccccf,0x7fc2fffa,
    0x37ff42ff,0x407ffea0,0x002ffffc,0x1009fff1,0x6c00dfff,0xffd007ff,
    0xfffff98d,0x51bf601f,0x3dfffffd,0x3fe07fec,0x5ffe805f,0x01dffd00,
    0xb00fffd8,0x3ffff2df,0x7ed7fe46,0x3ffe200f,0xee980006,0xeeffffee,
    0x7fd403ee,0x42f75c2f,0x7d406ffe,0x3ff201ff,0xff8800ff,0x7ff4404f,
    0x3ff6004f,0x1fffb007,0x06ffffb8,0x5d427fcc,0x17fec0ac,0x90077ffc,
    0x32009fff,0xf900dfff,0x7fcc0dff,0x30133334,0xa805ffb3,0x54404fff,
    0x3ffec000,0x17ffd400,0x01bffa00,0xd803fff5,0xf8805fff,0xfd3104ff,
    0x6c001fff,0xff9007ff,0xff9537df,0x54039dff,0xfb000eff,0x3fffe09f,
    0xfeb99adf,0xf1001fff,0x735bffff,0x803ffffd,0xb000effa,0xfe8809ff,
    0x7ff402ff,0x3fb6e200,0x01bdefff,0x6f7ffed4,0xffd9500b,0xec9817ff,
    0x80bdefff,0x0bdfffe8,0xeffffc98,0xffffeeee,0x765401ff,0xdeeffffe,
    0xffff880a,0xffffffff,0x7fdc06ff,0xfeca81bf,0x3fffe05f,0xffffffff,
    0x7cc001ff,0xffffffff,0xf7004fff,0xd95037ff,0x7e440bff,0xeeeeffff,
    0x2fffeeee,0x3fffff20,0x207fffff,0xfffffffa,0xffffb86f,0x3e66ffff,
    0xffffffff,0xfffff306,0xfffff88b,0xffffffff,0x7dc03fff,0xffffffff,
    0xff504fff,0xffffffff,0x9801ffff,0xfdeffffe,0x4c03ffff,0xfffffffd,
    0x0001ffff,0xfffffff5,0x98007fff,0xfdeffffe,0x7403ffff,0xffffffff,
    0xffffffff,0x3fff601f,0xffffffff,0xfffff700,0xff70ffff,0x4fffffff,
    0xfffffffa,0x3ff207ff,0x7ffcc6ff,0xffffffff,0xc801efff,0xffffffff,
    0x2605ffff,0xdffffffe,0x1003effd,0xffffffd7,0x5c40017f,0xceffffff,
    0x7e440001,0x01efffff,0xfffd7100,0x0017ffff,0xfffffffd,0xffffffff,
    0xffd980df,0x3effffff,0x3ffff220,0xfd882dff,0x42dfffff,0xffffffec,
    0x6fff402d,0xffffec82,0x1bceffff,0x3fff6200,0xdfffffff,0xabba9801,
    0x2a200000,0x80001aba,0x0000ab98,0x01375300,0x5d544000,0x7ed4001a,
    0xffffffff,0x004effff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7fffff5c,0x00acefff,0x03100000,0xfffffdb8,
    0x00002fff,0x7ed40000,0xffffffff,0xffffffff,0xfffffb15,0x005bffff,
    0x75c00000,0xffffffff,0xb802cdff,0xffffffff,0x46ffffff,0x1dffffda,
    0xeffffd98,0x7fffed43,0xfffc882d,0x981983ef,0xffffffff,0x03ffffff,
    0x7fcc0000,0xfffff105,0x00bfffff,0xd7100000,0x7ffffc1b,0xffffffff,
    0x95ffffff,0xffffffff,0x0001ffff,0x5002ee88,0xffffffff,0xbfffffff,
    0x7fffdc01,0xffffffff,0x3ffe26ff,0xfd86ffff,0x12ffffff,0xdfffffff,
    0xffffffb0,0x0ffff45f,0xfffffff3,0xffffffff,0xca88001d,0xff30acee,
    0xfff101ff,0xffffffff,0x40000001,0x3e4ffffb,0xffffffff,0xffffffff,
    0xffff75ff,0xffffffff,0xbff70000,0x3fffe600,0xffffffff,0x700fffff,
    0xffffffff,0x8dffffff,0x6fffffff,0xffffffd8,0x3ffffe1f,0xfffc86ff,
    0xff51ffff,0xffda8bff,0xffeeeeef,0x3006ffff,0xfffffffd,0x0dffffdf,
    0x7ff7764c,0x0003ffff,0xfffea800,0x3fae63ff,0xeeeeefff,0x5fffeeee,
    0xdffffb71,0x00037ddd,0x400fffb0,0xeefffeca,0xffffeeee,0xdfff706f,
    0xffdddddd,0xffc98dff,0xfd880eff,0x64c2cfff,0x881fffff,0x22dffffd,
    0x885ffffb,0xf7303fff,0xfc809fff,0xffffffff,0x00efffff,0x3fffff60,
    0x2000006f,0xffffffd9,0x09fff104,0x3617ffe0,0x99999fff,0x7ec00009,
    0xffb8007f,0xfff5101f,0x3fff703f,0x07fffee0,0x807fffd4,0x5c04fffe,
    0xf882ffff,0xfe885fff,0xfff881ff,0x7fffdc03,0xfffff900,0xfffffddf,
    0x7c4003ff,0x2fffceff,0x7e440000,0x01dfffff,0x4013ffe2,0xffd85fff,
    0xffffffff,0xfd8001df,0xffb8007f,0x7ffdc01f,0x81fffb83,0x402ffff9,
    0xfb85fffc,0xff9006ff,0xfffe83ff,0x880a600e,0xfc803fff,0xfffa84ff,
    0x7ff441ef,0x2e003fff,0xfff9bfff,0xf9100005,0x03dfffff,0x709fff10,
    0xd83ffd83,0xffffffff,0x003fffff,0x4003ffec,0x4c01fffb,0xffb84fff,
    0x7fffc40f,0xfffe8804,0x07fffe63,0x0efffd80,0x001ffff9,0x03fff880,
    0xfb0fffd0,0xffd109ff,0x001fffff,0x7f43fffa,0x5c0000ff,0x2fffffff,
    0x13ffe200,0x7fd41ffd,0xeefffd81,0xfffffeee,0x3ff6004f,0xfffb8007,
    0x17ffec01,0x7f437fcc,0x3ea006ff,0xfffd0fff,0xffe88009,0x1ffffbdf,
    0xfff88000,0x3fff9003,0xe885fff8,0xfffdffff,0x5fffa803,0x000fffea,
    0x7fffff54,0xff88003f,0x21fffc4f,0x81fff600,0x00ffffc8,0x000fffb0,
    0x7103fff7,0x201ffffd,0x7ffe42dc,0x7fe4000f,0x06fffcef,0xfffff300,
    0x00007fff,0x400fffe2,0x3ea2fffb,0x7ff441ff,0x4fff99ff,0x41fffd80,
    0x4c006fff,0xcffffffd,0xfff10000,0x9fffdddf,0x03ffec00,0x260ffff4,
    0xffeaaaaa,0x0aaaaaaf,0xdddfff70,0xffffffdd,0xfffa8007,0xffd0002f,
    0x003fffff,0x7ffffd40,0x2200004f,0xf3003fff,0x3ffe47ff,0x87ffffa2,
    0x7c406fff,0xfffc86ff,0xfffc8802,0x0001dfff,0x7fffffc4,0x2004ffff,
    0xfb807ffd,0xffff12ff,0xffffffff,0x05ffffff,0xfffffff7,0x0fffffff,
    0x3ffff980,0x3ffe6000,0x80003fff,0x006ffffb,0x1fffc400,0x23fff980,
    0xfd10fffd,0xffe85fff,0x1fffdc06,0x202fffcc,0xffffffe8,0xff100005,
    0xffffffff,0x3ffec009,0xa8fffe40,0xffffffff,0xffffffff,0xfffb84ff,
    0xffffffff,0xd1005fff,0x0000bfff,0x00dffff9,0x3ffff600,0x2200000f,
    0xf3003fff,0x7ffdc5ff,0x85ffffb3,0x7403fff8,0xccccdfff,0x800ffffc,
    0xeffffffb,0x7fc40002,0xfffeeeff,0x1fff6004,0xf89fffe0,0xffffffff,
    0xffffffff,0xefffb81f,0xffffeeee,0xfd805fff,0x00000eff,0x0003fffd,
    0xffffff90,0x8022001d,0x7003fff8,0x7fd43fff,0x2ffffdef,0x201fffd8,
    0xfffffffa,0x3fffffff,0xffff9100,0x20003bff,0x7fc4fff8,0x3ff6003f,
    0x3fff6607,0xaaaaa885,0xaaaafffe,0x3ffee01a,0x3fff2601,0x3ffee03f,
    0x004ea81f,0x0003ffec,0x7fffffdc,0xffd805ff,0x3fff881e,0xd0fffb00,
    0x7fffffff,0x07fffd88,0x7fffffec,0xffffffff,0x7fecc007,0x000cffff,
    0x3a27ffc4,0x3f6000ff,0xfeeeeeff,0x001fffff,0x2001fff6,0xb801fffb,
    0xff305fff,0x3ffa07ff,0x1fff6002,0xffff3000,0x09ffff17,0x427fffd4,
    0x8803fff8,0xff986fff,0xa99dffff,0x03fffffc,0x3fffffe2,0xffffffff,
    0xe98002ff,0x03ffffff,0x213ffe20,0x7fec001b,0xffffffff,0x6c000eff,
    0xfb8007ff,0xffd001ff,0xffff881f,0x013ffe04,0x0007ffd8,0xa97fffe2,
    0xf702ffff,0xff10dfff,0xffe8807f,0xffffd04f,0xffffffff,0xffb809ff,
    0xfff8803f,0x3fea0005,0x802fffff,0x0004fff8,0xffffffb0,0x007dffff,
    0x001fff60,0x4007ffee,0x7f40fffc,0x3fe206ff,0x3ff6004f,0x3ffa0007,
    0xffffb86f,0x2ffff881,0x103fff88,0x01dfffd3,0xfffffff9,0x7fffffff,
    0x01fffd00,0x003fff60,0xfffff700,0x7fc405df,0xfb00004f,0x133333ff,
    0xfffb0000,0x3fff7000,0x8ffff300,0x200ffffc,0x2004fff8,0xb0007ffd,
    0x3601ffff,0xa880ffff,0xfffc981b,0xffeeeeee,0xfc81ffff,0xfffddfff,
    0x400bdfff,0xbdffffda,0xffeda880,0x20000cef,0xffffffc8,0x3ff6e20d,
    0x0adeeeff,0xffff9500,0x0017bddd,0x00fffb00,0x77fff64c,0xeeeeeeee,
    0x3e65ffff,0xeeeeffff,0x4fffeeee,0x3ffbb2a0,0x00bdeeff,0x3bffff6a,
    0xffffc882,0xff3000be,0xffffffff,0x07ffffff,0x989ffff1,0x3ee001bb,
    0x6fffffff,0xffffffc8,0x980005ff,0x24fffffd,0xfffffffe,0xb804ffff,
    0xffffffff,0x80006fff,0xf3007ffd,0xffffffff,0xffffffff,0x7ffcc1ff,
    0xffffffff,0x504fffff,0xffffffff,0x2a0bffff,0xffffffff,0x7fffff41,
    0xff5005ff,0xffffffff,0x403dffff,0x00004ffe,0x3ffffff2,0xfffd87ff,
    0x007fffff,0x3fffaa00,0xffffff14,0x0bffffff,0xffffff90,0x01ffffff,
    0x05ffb800,0xffffff50,0xffffffff,0xf983dfff,0xffffffff,0x4fffffff,
    0xffffff70,0x0dffffff,0x3fffffee,0x7fffc2ff,0x2005ffff,0xffffffec,
    0x801bceff,0x400002b8,0xffffffd9,0xfffd982d,0x0002dfff,0x2a0cda80,
    0xfffffffd,0xd8801dff,0xffffffff,0x880002df,0x3b2001ed,0xffffffff,
    0x02ceffff,0xfffffff3,0xffffffff,0x3ff2209f,0xffffffff,0xffd9101d,
    0xfb509dff,0x003bffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xdfffffd7,0xffffb507,
    0x3b2219df,0xffffffff,0x7f5c002d,0x3223dfff,0x20ceffff,0xffffffc8,
    0xfffc881d,0x2201dfff,0xffffffec,0xffffffff,0x3ff662ff,0xffffffff,
    0x7f5c2dff,0xffffffff,0x4fffffff,0x91000000,0xfffffffd,0xb8059bdf,
    0xdffffffe,0x3ffff6a1,0xfffda84e,0xfff9105f,0x3e63bfff,0xffffffff,
    0x7fffffc2,0xfff93fff,0xffffffff,0x3fe6001f,0xb0ffffff,0xbfffffff,
    0x7fffffec,0xfffc86ff,0x206fffff,0xfffffffb,0xffffffff,0x3ff62fff,
    0xffffffff,0xf30fffff,0xffffffff,0xffffffff,0x00cfc89f,0x3fff2000,
    0xffffffff,0xfa81efff,0xffffffff,0x3fffffe6,0x3ffe22ff,0xfd82ffff,
    0x6fffffff,0xfffffff3,0xffff83ff,0xf73fffff,0xffffffff,0x7cc00fff,
    0x0fffffff,0xfffffff9,0x7ffffdc9,0xffc86fff,0x05ffffff,0x3fffffee,
    0xffffffff,0x3f62ffff,0xffffffff,0x267fffff,0xffffffff,0xffffffff,
    0x3ffea4ff,0xb80000cf,0xffffffff,0xffffffff,0x7ffffcc3,0x3fe6ffff,
    0x22ffffff,0xfffffff8,0x7fffe40f,0x3aa5ffff,0x82ceefff,0xffffeeb9,
    0x3fbb6e23,0x01ceefff,0x77fff540,0x3ff6e21c,0x7ee40bff,0x881bdfff,
    0xcefffedb,0x7ffedc00,0xeeeffffb,0x222fffee,0xfffeeedb,0x41beeeef,
    0xeefffeca,0xfeeeeeee,0x3ffe64ff,0x40003fff,0xeffffdb8,0xffffeeee,
    0x7f6541ff,0x2a1bdeff,0x82dfffff,0xfffffec9,0x7ff6dc44,0x7fe40bff,
    0x7ff4000f,0x27ffc406,0x7ffdc000,0x037ff401,0x4003fffe,0x4001fffe,
    0x5fff8ffe,0x802fffa8,0x54007ffd,0xff801fff,0x7fffd44f,0x80002eff,
    0xd7107ffd,0x3ee0dfff,0xfff981ff,0xff9802ff,0x3e01ffff,0xfff705ff,
    0x40aaaa83,0x7c405fff,0xb80004ff,0x7f401fff,0x7ffdc06f,0x6fff9803,
    0xfb7fcc00,0xfffa85ff,0x07ffd802,0x00fffd40,0x64427ffc,0x1effffff,
    0x1fff6000,0x01ffff10,0xfa83fff7,0x3001ffff,0x0dffffff,0xfa82fffc,
    0x3ffe22ff,0x13ffe22f,0x009fff10,0x03fff700,0x4406ffe8,0xfc806fff,
    0x7dc002ff,0x30bfff4f,0xfb003fff,0xffa800ff,0xfd05c41f,0x7fec407f,
    0x000dffff,0xc807ffd8,0xffb81fff,0x3fffee1f,0x3fe6001e,0xf04fffff,
    0x3fe60bff,0x3fffee3f,0x00fffe65,0x0009fff1,0x803fff70,0xfd806ffe,
    0x3fe202ff,0xffd8007f,0x3b2bfff2,0x3600fff2,0x7d4007ff,0x9bfe21ff,
    0xe9800efa,0x0cffffff,0x01fff600,0x2e07ffea,0xfff91fff,0xf98001df,
    0x1ffffdff,0xf105fff8,0x7ffec9ff,0x5fff50ff,0x04fff880,0x1fffb800,
    0x4037ff40,0x2e05fff9,0x44004fff,0x37ffe7ff,0x03937ff9,0x001fff60,
    0x7d43fff5,0x200020ff,0xffffffea,0x0fffb003,0x701fffb0,0xfffb5fff,
    0xf30001bf,0xdfff97ff,0x7c0bfff0,0xffff15ff,0x3ffee5ff,0x27ffc401,
    0x7ffdc000,0xeeeeeeee,0xfd006fff,0x3ffa01ff,0x7fd4000f,0x3fbfffe5,
    0xfd8001ff,0x7fd4007f,0xfffeeeef,0xff700001,0x805dffff,0x7e407ffd,
    0xfff706ff,0x00dfffff,0x45fffcc0,0x7fc3fffe,0x5bffa05f,0x5ffffffb,
    0x8801fff9,0x80004fff,0xfffffffb,0x6fffffff,0x09fff700,0x000bfff3,
    0x7ffc7ffb,0x001fffff,0x4007ffd8,0xfffffffa,0x00001fff,0x3fffff22,
    0xfffb01ef,0xff753333,0x3ee05fff,0xffffffff,0xfff30003,0x83fffea7,
    0x3f605fff,0xfdfffb7f,0x0fffb1ff,0x009fff10,0xfffff700,0xffffffff,
    0x3fe200df,0x2fffd87f,0x20fff800,0xffffffff,0x7ffd8001,0x7fffd400,
    0x01ffffff,0xfffa8000,0xfd81ffff,0xffffffff,0x2e03ffff,0xffffffff,
    0xf98004ff,0x3fff63ff,0xc817ffe5,0xefff9fff,0xffeafffb,0x4fff8807,
    0xf701c980,0xffffffff,0x00dfffff,0xf117ffe4,0xf3000dff,0xfffdddff,
    0x003fffdf,0x800fffb0,0xeeeefffa,0x00001fff,0x3fffff62,0xfffb00df,
    0xffffffff,0xfffb807f,0xffffeaff,0x7ffcc004,0x4bfffe23,0x3ee05fff,
    0x8bfffcff,0x6fffdfff,0x04fff880,0xfb83ffc4,0x7ff401ff,0x3ffe6006,
    0x00fffee6,0x3fffff20,0xff9dffff,0xfffb0007,0x1fffa800,0x0107ffea,
    0xffff9100,0xfd803dff,0xffffffff,0xffb800df,0x3ffee0ef,0x3fe6002f,
    0x7fffdc3f,0x2a05fff8,0x0fffffff,0xbffffffd,0x09fff100,0xb81fffa8,
    0x7f401fff,0x7ff4006f,0x01ffff1f,0xfffffd00,0x3aebffff,0xfffb0002,
    0x1fffa800,0xdf91ffe2,0x7fffdc00,0xfb002eff,0x355555ff,0x1fffb800,
    0x006fffb8,0x360fffe6,0x5fffcfff,0x3ffffe60,0x3fffee6f,0xff8804ff,
    0x7ffd404f,0x01fffb81,0x20037ff4,0xffacfffa,0xff88004f,0xfffaaaaf,
    0x005fb105,0xa800fffb,0x05c41fff,0xd5007ffe,0x07ffffff,0x007ffd80,
    0x03fff700,0x400ffff6,0xf883fff9,0x05ffffff,0x3fffffe2,0x3ffffe23,
    0xfff8803f,0x0fffd404,0x200fffdc,0xf8006ffe,0x1fffefff,0x85ffb800,
    0xff505fff,0x0fffb00d,0x01fffa80,0x303fff98,0x9ffffffd,0xfffb0001,
    0x3fee0000,0xffff101f,0x0fffe600,0x7fffffdc,0x7ffffc05,0x7ffff40f,
    0xfff8802f,0x0fffd404,0x200fffdc,0xc8006ffe,0x06ffffff,0xf05ffb00,
    0x3ff20bff,0x07ffd807,0x00fffd40,0x221fffcc,0xdffffffd,0x3ff60000,
    0xff700007,0x7ffe403f,0x3fff9803,0x3fffffa0,0x7ffffc05,0xfffffb86,
    0xffdd9501,0xddddddff,0x443fffdd,0x1befffec,0x3ffff6a2,0x3fe2002c,
    0x4002ffff,0x8adfffcb,0xeeffffdc,0x0ffffeee,0xffdddb71,0x17bdddff,
    0xefffeb98,0xeeeeeeee,0x3ee3fffe,0x01efffff,0x3fff2a00,0x00bdeeef,
    0xdfffd930,0xfff8817b,0xfda81bef,0x4c1bdeff,0x405fffff,0x883ffffe,
    0xb80fffff,0xffffffff,0xffffffff,0x3ffa1fff,0x90ffffff,0xffffffff,
    0x7ffec003,0x7fd4007f,0xffefffff,0xffffffff,0xfb0fffff,0xffffffff,
    0x44dfffff,0xffffffff,0xffffffff,0xfff53fff,0x80005dff,0xfffffffb,
    0x9806ffff,0xffffffff,0xffffc85f,0x3ffe60ff,0xc87fffff,0x6c05ffff,
    0xfd01ffff,0x3ff20fff,0xffffffff,0xffffffff,0x3ffffe1f,0xffb0ffff,
    0x07ffffff,0x27fffd40,0x3ffff200,0xffffffff,0xffffffff,0xfffd0fff,
    0xffffffff,0x3e61ffff,0xffffffff,0xffffffff,0xffff33ff,0x3f200007,
    0xffffffff,0x7d400fff,0xffffffff,0xfffff886,0x3fffea1f,0x440fffff,
    0x6405ffff,0x3ee06fff,0xffb107ff,0xffffffff,0xffffffff,0x7fffed43,
    0x3ff663ef,0x000cefff,0x0007fff4,0x3fffff62,0xfffffe9c,0xffffffff,
    0xffffb30f,0xffffffff,0xfffec85b,0xffffffff,0x23ffffff,0x00000beb,
    0x3fffff62,0x002dffff,0xffffffd9,0x3fff205b,0xfffec84e,0xff503eff,
    0x000000bf,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0004c000,0x8000bb22,0xaceeedc9,0x55530198,
    0x2aaaa015,0xb951002a,0x06239bdd,0x2a000544,0x9db73000,0xca880015,
    0x6dc42ded,0x731000bd,0x039bdddb,0x6f6dd400,0xaa8801ac,0xa880aaaa,
    0x201aaaaa,0x20aaaaa9,0x881cedb8,0x74c1cccc,0x3ee005ff,0xfe98006f,
    0xffffffff,0x3ffe22ff,0x7fc42fff,0xb807ffff,0xffffffff,0xff84ffef,
    0x886a622f,0xfb100ffe,0xbfffffff,0xfffd8805,0xf98dffff,0x201fffff,
    0xffffffd8,0x001effff,0x3fffffaa,0xf900dfff,0x7fffffff,0x7fffffcc,
    0xfffd87ff,0xfff72fff,0x7c41dfff,0x7fe42fff,0xff5002ff,0xfffa800d,
    0xffffffff,0x3ffea4ff,0x7fd42fff,0x2207ffff,0xfffffffe,0x47ffffff,
    0xfebffff9,0xffebefff,0xffffa83f,0xffffffff,0x3fffee04,0xffffffff,
    0x02ffffff,0xfffffff7,0x01dfffff,0xffffffb0,0x07ffffff,0xfffffffd,
    0x7fffdcbf,0x221fffff,0xcfffffff,0xfffffffe,0x0ffffc5f,0x00fffff6,
    0x22000cb8,0xefffffff,0x46ffffff,0x42fffffe,0x7fffffe8,0x3fffffa0,
    0xffffffef,0x7fff40ff,0xffffffff,0x7cc1ffff,0xfeefffff,0x504fffff,
    0xffdfffff,0xffffffff,0xff301fff,0xfdddffff,0xfc80bfff,0xffefffff,
    0x5c1fffff,0xffffffff,0x3ffffe22,0xffc86fff,0xffffffff,0x0ffffeff,
    0xf503fffa,0x00001fff,0xadfffa80,0x2fffe4c0,0x817ffdc4,0x707ffd98,
    0x9819ffff,0x40ffffeb,0xffffffe8,0x2fffffff,0x57ffffc4,0x7ffff4c0,
    0x4c179502,0x88dfffff,0x9503fffd,0xfff30357,0x7fffd40f,0x3fae20ad,
    0xffd306ff,0x3fe6015f,0x26200aff,0xfffffffb,0xd89fb31c,0x057107ff,
    0x3ee00000,0x7fdc03ff,0x05fff502,0xf887ffd8,0x7c401fff,0xffa80fff,
    0xffebcfff,0xfffb84ff,0x7ffe400e,0xfffd8005,0x3fffe20f,0x3ff20000,
    0xffff880f,0x7fff4405,0x0bfff504,0x002fffdc,0x3ffffff5,0x037fe400,
    0x98000000,0x9bceffff,0xff5004c0,0x7ffd805f,0x004fffb8,0x3ee0dff7,
    0x7fdc0cff,0x0fffd85f,0x80ffff00,0xffecdcb9,0x2fffc83f,0x37b2ea20,
    0x80fffdcc,0x1005fffa,0x7f40ffff,0xfffd01ff,0x7ffd4003,0x7dc000ef,
    0x0000005f,0x3ffff600,0x03dfffff,0x402fffa8,0xffc87ffd,0x3b91000f,
    0x403fff60,0xfff87ffe,0x3fff2004,0xfffffb82,0xffffffff,0x83ffffff,
    0xffffffc8,0x80ffffff,0xfffffffb,0xffffffff,0xff700fff,0xbfff50bf,
    0x4fffa800,0x09ff5000,0x55555100,0x55555555,0xfb103555,0xffffffff,
    0x7fd403df,0x3ffec02f,0x00037fec,0xb817ffe0,0x3fe61fff,0x3fe6002f,
    0x3fffa64f,0xffffffff,0xffffffff,0x7fffcc4f,0xffffffff,0xfffd80ff,
    0xffffffff,0x2fffffff,0xd03fffa0,0xa8003fff,0x30002fff,0xf88007ff,
    0xffffffff,0xffffffff,0xffd9302f,0x5fffffff,0x00bffea0,0xffd0fffb,
    0xff80000d,0x3ffee05f,0x00bffea1,0x3e29fff0,0xffffffff,0xffffffff,
    0x224fffff,0xffffffff,0x0fffffff,0xffffffd8,0xffffffff,0x2e03ffff,
    0x3fea4fff,0xffa8005f,0xff10002f,0xfffa8005,0xffffffff,0x5fffffff,
    0xfcba9804,0xff507fff,0x7ffd805f,0x0007ffc8,0x807ffec0,0xfff87fff,
    0x3ffe6004,0x37ffff72,0x37fff621,0xcccccccc,0x37ffffa2,0x3ff6660b,
    0xdfffb80f,0xcccccccc,0x01cccccc,0xfe87fffc,0xfa8001ff,0x360002ff,
    0x1aaaa80f,0x3fffffe2,0xffffffff,0x3f22ffff,0x3fffb006,0x805fff50,
    0xffb87ffd,0x7008002f,0xfb81bfff,0xfffd85ff,0xfffe8801,0x203fffb0,
    0x2004fffd,0x400ffff8,0xf980fffb,0x00000eff,0xf59fff70,0x2a000dff,
    0x40002fff,0x0ffffa80,0x555554c4,0xaaaaaaaa,0x3ffe209a,0x7ffd400c,
    0x04fff983,0x30ffffb3,0x2003ffff,0xff983fea,0xfffbcfff,0xfffb84ff,
    0x3ff6201f,0x0fffea5f,0x03ffffea,0xfffa82a2,0x3fff2204,0xbfffd00f,
    0x8004c400,0xfffeffff,0xfff50002,0xfb000005,0x000007ff,0x7fffff30,
    0xffb95335,0x3ffe05ff,0xffdb99bf,0x641cffff,0x99adffff,0xfffdba98,
    0x7ffff447,0xffffffff,0x7fff442f,0xfba99adf,0x3e22ffff,0xfc99cfff,
    0x9aefffff,0xf12fffdb,0x73357fff,0xdffffffb,0xffff9837,0xba999bdf,
    0x800ffffd,0x6ffffffb,0x3bb6e200,0xeeeeefff,0xff0000bd,0x000000df,
    0x3fffffe6,0xffffffff,0x3fff606f,0xffffffff,0x6c0fffff,0xffffffff,
    0x5fffffff,0x7ffffff4,0xffffffff,0x7ffec41f,0xffffffff,0xfffd83ff,
    0xffffffff,0xffffffff,0x3fff64ff,0xffffffff,0x87ffffff,0xfffffffc,
    0xffffffff,0xfff8802f,0x36002fff,0xffffffff,0x06ffffff,0x01fffa80,
    0x3fe00000,0xffffffff,0x200effff,0xffffffe8,0xffffffff,0x7fff440f,
    0xffffffff,0x3fe60eff,0xffffdbff,0x04fffebe,0xfffffffb,0x6407ffff,
    0xffffffff,0xffffffff,0x3a21ffff,0xffffffff,0xffffffff,0xffffb80f,
    0xffffffff,0x3f2006ff,0x74006fff,0xffffffff,0x07ffffff,0x004ffc80,
    0x6fdc0000,0xfffffffd,0xfd1002ef,0xb7bfffff,0x5407dfff,0xfffffffe,
    0xfff02dff,0xd104cc43,0x7edc03ff,0x0bdfffff,0xfffffc80,0xffdbedbf,
    0x880befff,0xfffffffc,0xeffffcbe,0x3fff6203,0xdfffffff,0x7ffc4002,
    0x7ed4002f,0xffffffff,0x8002dfff,0x10000fff,0x440003b9,0x01aacbaa,
    0x15795100,0x95530000,0x88013579,0x06e2000a,0x001bb980,0x880aee60,
    0x51000acb,0x00015797,0x5565d4c0,0x00000009,0x00000000,0x8000bfe6,
    0x00006ffb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfc800000,0x7fd40005,0x00000006,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x000da800,0x0001db80,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x88000000,0xd950aaaa,0x540037bd,0xa880aaaa,
    0xa880aaaa,0xded98aaa,0x02b7b2a2,0x06aaaa20,0x06aaaa60,0x55555551,
    0x55555555,0xb8006200,0x00072203,0x14403500,0x3aa0136a,0x00000004,
    0x00220000,0x3fffe600,0xfffffecf,0x7fc403ff,0x263fffff,0x2fffffff,
    0x37ffffe6,0xfdcfffff,0x202fffff,0x6ffffffd,0x3fffff60,0x3fffea6f,
    0xffffffff,0xffa807ff,0x01bff003,0x00005ff5,0x7f4c1bf2,0xb817ffe3,
    0x65cc2fff,0xffdb803e,0x3fb2a03e,0x3b6000ce,0x19dd7000,0x3fffffee,
    0xffffffff,0x3ffea05f,0x3ee5ffff,0x24ffffff,0xfffffffb,0xffffffff,
    0xf01fffff,0x3fffffff,0x3fffffe0,0xffff51ff,0xffffffff,0xff900fff,
    0x3bfea00b,0x004ffe80,0x20fff620,0xff10fffa,0xfff70bff,0x3fffee5f,
    0x3ff6203f,0x7c45ffff,0x06ffffff,0x300bff90,0x3e27ffff,0xffffffff,
    0x1fffffee,0xfffffd10,0x7fffc43f,0x3fa21fff,0xfeffffff,0xffefffff,
    0xfff904ff,0x7dc0bfff,0x2a5fffff,0xffffffff,0x06ffffff,0x2007ffd8,
    0x7441fffb,0xe88005ff,0xfffb84ff,0x2ffffd41,0x6cbffff7,0x203ffeff,
    0xfc99bffd,0x273fea1f,0x5402ffb9,0x5c04ffff,0x7dc5ffff,0x220cffff,
    0x5405fffc,0x262fffff,0x203ffffe,0x364ffffb,0x3fe3ffff,0x3ffe206f,
    0x897bb20e,0x7d42fffc,0xb9999aff,0x800effff,0x5c007ffd,0x7f442fff,
    0xff3000ef,0x3fff909f,0x37fffee0,0x185ffffb,0x7f407ff1,0x8045fe84,
    0x3fe606fe,0x2602ffff,0x7d43ffff,0x3fe02fff,0xffe9806f,0xffff9bff,
    0x7ffd402f,0x21fffdc5,0x7ec06ffe,0x3fffe0ff,0x261fff61,0xfff987ff,
    0x5eecc0ef,0x2a2fffb0,0x3ff202dd,0x77ff443f,0x27ffd401,0x007fff62,
    0xfffffff7,0x3ff880bf,0x3fe20620,0x3fee6204,0xfffff104,0x65403fff,
    0x3fffa82d,0x803ffec0,0xffffffe8,0xfa801fff,0x7ffdc2ff,0x2037fec0,
    0xff51fffb,0x37ffcbff,0x7fcc4fd8,0xffe80eff,0xdfffeeff,0x6407ffff,
    0x7f445fff,0xfff902ff,0x1fffe88b,0xfffff700,0x7ff100bf,0x1ffe9800,
    0x1dffff70,0x37bfffa0,0x0000ffff,0xd805fff5,0x7ec007ff,0x00efffff,
    0xb85fff50,0x7fec0fff,0x9fffcc06,0x98fffffd,0x26004fff,0xd00effff,
    0xffffffff,0x0fffffff,0x41bfff90,0x6c3ffff8,0x7fcc5fff,0x7ec002ff,
    0x8800ffff,0x3ea003ff,0x3fee02ff,0xffd80eff,0xfffe88ff,0x2a03100e,
    0x7ec02fff,0xfff8007f,0x2a001fff,0x7fdc2fff,0x037fec0f,0x7fc6fffc,
    0xffbbffff,0xfff5002f,0x7ec401df,0xffffffff,0x4401efff,0x2a0efffe,
    0x3ea4ffff,0x7fec3fff,0x3ee000ff,0x805fffff,0xf9003ff8,0x2e6005ff,
    0x7ffdc6ff,0x3fffe21f,0x41effd85,0x6c02fffa,0x3a2007ff,0x1effffff,
    0x85fff500,0x7ec0fffb,0xfffd806f,0xeffffffc,0xa800fffd,0x000effff,
    0xfffffb71,0xd10017df,0xffa8bfff,0xffe982ff,0x7fffe43f,0xffffb801,
    0x4405ffff,0x7f4403ff,0xfc8000ef,0x7ffff31f,0x49ffff30,0x544ffffa,
    0x7ec02fff,0xffd1007f,0x5fffffff,0x85fff500,0x7ec0fffb,0xfffb806f,
    0xfffdffff,0xfa806fff,0x8000efff,0x3ffffff9,0x7fffd100,0x00efffa8,
    0x513fff62,0x5c03ffff,0xffbdffff,0x3fe205ff,0x13ffea03,0xb1ffb800,
    0x7d409fff,0xfff70fff,0x2fffa8bf,0x403ffec0,0x9afffff9,0x403fffff,
    0x7dc2fffa,0x37fec0ff,0x7ffffcc0,0xfffffacf,0x7ffd404f,0x02da80ef,
    0xfffffff1,0xffe8803f,0x27ffd41e,0x89fff700,0xb81fffe8,0x3ee5ffff,
    0x33265fff,0x22ccdffd,0xcccefffa,0x337fa3ec,0x366ffdca,0xffc805ff,
    0x0bfffe26,0xd805fff5,0x7fd407ff,0x3fa21fff,0x3ea04fff,0x7ffdc2ff,
    0x8037fec0,0xd1ffffff,0x405fffff,0x80effffa,0xffb07ff8,0x0dfff9df,
    0x206fff44,0x8002fffa,0xfc84fff9,0x3ffe21ff,0xffffb85f,0xffffffb2,
    0x7ffdcfff,0x26ffffff,0xfffffffe,0x8013221e,0x20ba81cb,0xcdfffdc8,
    0x7fff5c40,0x7ffe4c1b,0x7fdc0dff,0x6d42dfff,0x3ee2dfff,0x3ff61cff,
    0x7fec00bf,0x3ffee6ff,0xfff500ff,0xddddddff,0xf983fffd,0xfffd0fff,
    0x20fff607,0x0001eff8,0x2a0fffa2,0xfff10fff,0x8fffdc0b,0xaaaaaaa8,
    0x2aaaa60a,0x542aaaaa,0x002ccdcc,0xffb00000,0xd8bfffff,0x47ffffff,
    0xffffffff,0x3ffffea5,0xfff51fff,0x3ee5ffff,0xffb0ffff,0xffb80dff,
    0x3ffe23ff,0x3fff607f,0xffffffff,0x7dc2ffff,0x3ffe62ff,0x2603fb04,
    0x900000df,0x87fa60bf,0x3da804ea,0x00000000,0x80000000,0xfffffffe,
    0x7fffff47,0xffff10ff,0x7dcbffff,0x2fffffff,0xfffffff7,0x3ffffee7,
    0x1fffffb1,0x07fffcc0,0xd817fff6,0xffffffff,0x2fffffff,0x7d41ff44,
    0x0000001e,0x00c00400,0x00000000,0x00000000,0xfffda800,0x7ed42dff,
    0x75c3efff,0x21dfffff,0xeffffec8,0x3fffb224,0xdfff70cf,0x16fffec9,
    0x542fffc0,0x3f603fff,0xffffffff,0x02ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x55555440,0xaaaaaaaa,
    0x01aaaaaa,0x7f6cc000,0x4400002d,0x2a21aaaa,0xffe80aaa,0x7ffed46f,
    0xffffffff,0x03efffff,0x03510011,0x9064c000,0xccca8805,0xcccccccc,
    0xcccccccc,0x266621bc,0x99999999,0x55440999,0xaaaaaaaa,0xaaaaaaaa,
    0x440101aa,0x7ffcc000,0xffffffff,0xffffffff,0xffecb85f,0x3ff200ce,
    0x200dffff,0x80cefeca,0x2a3ffff8,0x7c40ffff,0x3fe22fff,0xffffffff,
    0xffffffff,0x01fd82ff,0x00bffff2,0x33ffb801,0x3fe20bff,0xffffffff,
    0xffffffff,0x93ffffff,0xffffffff,0x4dffffff,0xfffffffe,0xffffffff,
    0xffffffff,0xf509fd12,0x7fe4005f,0xffffffff,0xffffffff,0x7ffe45ff,
    0xf706ffff,0xbfffffff,0xfffffd10,0xffff05ff,0x43fffcc3,0xff86fffb,
    0xffffffff,0xffffffff,0x82ff82ff,0xffffffe8,0x903ff984,0x7fe41dff,
    0x7fffd40e,0xffffffff,0xffffffff,0xff95ffff,0xffffffff,0x3eadffff,
    0xffffffff,0xffffffff,0x5fffffff,0xfe81fff9,0x3fe6006f,0xffffffff,
    0xffffffff,0x5664c5ff,0x442ffb99,0xfc89dfff,0x3ffa22ff,0x1fffdabe,
    0xf107fff4,0xfffb0dff,0xdddd9305,0xdddddddd,0x207bdddd,0x7fec0dff,
    0x0dffffff,0xe88dfff3,0xffb80dff,0x7fffec1f,0xffffffff,0xffffffff,
    0xfff91eff,0xffffffff,0x3fe2dfff,0xffffffff,0xffffffff,0x52ffffff,
    0x9ff90dff,0x55553000,0x55555555,0x0bfff555,0x2ff4cd4c,0x3f21bfea,
    0x207fee4f,0x7fe47fe8,0xf85fff87,0x000006ff,0x43fffe00,0xfdbffffb,
    0xfffbefff,0x027ff44f,0x2207ffea,0x88888888,0x88888888,0x44440888,
    0x88888888,0x54c08888,0xaaaaaaaa,0xaaaaaaaa,0x5d40aaaa,0x000bb880,
    0xfff80000,0x7fffe445,0x7fe45fff,0x3a6ff983,0x83fee05f,0xffd86ffb,
    0x00fffcc4,0x2e200000,0xf92ffcc9,0x7ffdc5ff,0x20efffff,0xd3003ff9,
    0x0000007f,0x00000000,0x00000000,0xff000000,0x7fffc4bf,0x5c5fffff,
    0x5ffa84ff,0xff880ffe,0x3217fea2,0x2ffe43ff,0x5c000000,0x11ffefff,
    0xfff505fd,0x1301dfff,0x00003000,0x00000000,0x00000000,0x00000000,
    0xffd97ffe,0x2a2fec0b,0x3fa20fff,0xc81bfa4f,0x13fe60ff,0xffd0bfee,
    0x7ffed403,0xffffffff,0x23efffff,0x05ffffe8,0x67ffec40,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7cbfff00,0x2ffdc44f,0x7e6ffff4,
    0x3fee0fff,0x17fee21d,0xff507ff1,0x102ffc43,0xffffffff,0xffffffff,
    0xa885ffff,0x0620001c,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfb97ffe0,0xffffeeff,0x3ffe63ff,0xd83fffff,0xfffeffff,0x882fe80e,
    0x07fea0ff,0xfffffff0,0xffffffff,0x005fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0xff800000,0x7fff645f,0x43fffeef,0x2fffffe9,
    0x3ffffee0,0x409500cf,0x4017443b,0xeeeeeec9,0xeeeeeeee,0x00002dee,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffd8000,0x26235530,
    0x04ddcc01,0x04d54c40,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x37a60000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_42_latin1_x[224]={ 0,8,4,2,3,2,4,8,9,4,3,1,7,3,
8,3,3,3,1,2,2,2,3,2,3,3,8,7,-1,0,1,3,3,-1,0,1,0,0,1,1,0,3,1,0,
1,-1,-1,0,2,0,0,2,1,0,-1,-1,0,0,2,9,3,4,3,-2,7,1,-1,2,1,1,2,1,0,2,
3,1,2,-1,0,1,-1,1,1,2,2,0,0,-1,0,0,3,6,9,6,2,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,8,3,1,2,0,
9,1,5,-1,4,1,-1,3,-1,-2,5,1,5,5,7,0,2,8,7,6,4,1,0,-2,0,3,-1,-1,-1,-1,
-1,-1,-1,1,0,0,0,0,3,3,3,3,-1,-1,0,0,0,0,0,3,0,0,0,0,0,0,2,0,1,1,
1,1,1,1,-1,2,1,1,1,1,2,2,2,2,1,0,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
 };
static signed short stb__courier_bold_42_latin1_y[224]={ 30,5,7,4,4,6,9,7,6,6,6,8,25,17,
25,3,5,5,5,5,6,6,5,6,5,5,13,13,8,14,8,7,5,8,8,7,8,8,8,7,8,8,8,8,
8,8,8,7,8,7,8,7,8,8,8,8,8,8,8,6,3,6,5,37,5,13,6,13,6,13,6,13,6,6,
6,6,6,13,13,13,13,13,13,13,7,13,13,13,13,13,13,6,6,6,15,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,30,13,4,7,10,8,
6,6,6,8,5,14,17,17,8,1,3,3,5,5,5,13,6,15,28,5,5,14,5,5,5,14,-1,-1,-1,1,
0,-1,8,7,-1,-1,-1,0,-1,-1,-1,0,8,1,-1,-1,-1,1,0,12,6,-1,-1,-1,0,-1,8,6,5,5,
5,7,6,4,13,13,5,5,5,6,5,5,5,6,6,7,5,5,5,7,6,9,11,5,5,5,6,5,6,6,
 };
static unsigned short stb__courier_bold_42_latin1_w[224]={ 0,6,14,18,17,18,17,6,10,9,17,20,9,16,
6,17,17,17,18,18,17,18,18,17,17,18,6,9,22,22,22,17,16,25,22,21,21,21,21,22,22,17,22,23,
21,25,23,22,20,22,24,19,20,22,25,24,22,22,18,9,17,10,17,26,8,21,23,20,22,20,20,22,22,18,
15,21,18,25,22,20,23,22,21,18,20,22,23,24,22,22,17,11,4,10,19,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,6,16,20,18,22,
4,20,12,24,14,20,22,16,24,26,12,20,11,12,8,22,19,6,8,11,14,21,23,26,23,16,25,25,25,25,
25,25,25,21,21,21,21,21,17,17,17,17,22,23,22,22,22,22,22,16,22,22,22,22,22,22,20,20,21,21,
21,21,21,21,24,20,20,20,20,20,18,18,18,18,20,22,20,20,20,20,20,20,22,22,22,22,22,22,23,22,
 };
static unsigned short stb__courier_bold_42_latin1_h[224]={ 0,26,11,30,31,25,22,12,30,30,17,22,11,5,
6,32,26,25,25,26,24,25,26,25,26,26,18,21,22,11,22,24,29,22,22,24,22,22,22,24,22,22,23,22,
22,22,22,24,22,29,22,24,22,23,22,22,22,22,22,30,32,30,13,5,7,18,25,18,25,18,24,25,24,24,
32,24,24,17,17,18,25,25,17,18,24,18,17,17,17,25,17,30,30,30,9,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,0,25,28,23,18,22,
30,28,5,23,12,16,13,5,23,5,12,27,14,14,7,25,28,6,9,14,12,16,25,25,25,24,31,31,31,29,
30,31,22,30,31,31,31,30,31,31,31,30,22,29,32,32,32,30,31,15,27,32,32,32,31,31,22,25,26,26,
26,24,25,27,18,24,26,26,26,25,25,25,25,24,25,23,26,26,26,24,25,21,22,26,26,26,25,33,32,32,
 };
static unsigned short stb__courier_bold_42_latin1_s[224]={ 238,249,67,64,236,92,236,249,173,11,116,
138,82,189,249,220,128,19,107,47,1,150,66,1,213,231,247,1,72,92,163,
19,47,46,159,37,1,141,95,59,48,123,26,207,26,141,231,122,186,64,167,
232,215,49,71,1,224,201,182,1,87,238,231,162,153,160,180,74,204,182,167,
138,188,82,71,145,211,47,1,114,68,22,227,32,101,51,203,73,24,45,98,
161,184,101,124,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,238,243,111,
97,95,118,112,128,233,1,24,156,1,189,72,206,39,192,206,218,144,220,149,
249,115,194,52,134,196,169,126,153,142,46,72,21,212,98,97,117,24,1,168,
139,23,238,124,83,192,87,151,128,197,189,213,177,169,1,105,174,41,190,117,
58,168,106,146,170,85,213,135,111,235,1,43,1,161,119,100,192,37,230,22,
64,85,132,79,11,23,190,1,24,227,1,47,24, };
static unsigned short stb__courier_bold_42_latin1_t[224]={ 33,68,372,68,34,211,262,332,68,100,354,
286,372,372,361,1,131,185,158,158,237,158,158,185,131,131,286,332,286,372,309,
237,100,286,286,237,286,309,286,237,309,309,262,309,309,262,309,237,309,99,262,
211,262,262,309,309,286,286,286,100,1,68,354,372,372,332,185,332,185,332,237,
185,237,237,1,237,237,354,354,332,211,211,332,332,237,332,332,354,354,211,354,
68,68,68,372,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,
211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,211,33,158,99,
262,332,262,68,99,372,262,372,354,372,372,262,372,372,99,354,354,372,158,99,
354,372,354,372,354,158,158,158,211,34,34,34,100,68,34,309,68,34,68,34,
68,68,1,34,68,262,99,1,1,1,68,34,354,99,35,1,1,68,34,286,
185,131,131,131,211,158,99,332,211,99,131,131,211,185,185,185,211,185,237,131,
131,131,211,185,332,286,131,158,158,185,1,1,1, };
static unsigned short stb__courier_bold_42_latin1_a[224]={ 356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,356,
356,356,356,356,356,356,356,356, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_42_latin1_BITMAP_HEIGHT or STB_FONT_courier_bold_42_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_42_latin1(stb_fontchar font[STB_FONT_courier_bold_42_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_42_latin1_BITMAP_HEIGHT][STB_FONT_courier_bold_42_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_42_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_42_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_42_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_42_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_42_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_42_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_42_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_42_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_42_latin1_s[i] + stb__courier_bold_42_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_42_latin1_t[i] + stb__courier_bold_42_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_42_latin1_x[i];
            font[i].y0 = stb__courier_bold_42_latin1_y[i];
            font[i].x1 = stb__courier_bold_42_latin1_x[i] + stb__courier_bold_42_latin1_w[i];
            font[i].y1 = stb__courier_bold_42_latin1_y[i] + stb__courier_bold_42_latin1_h[i];
            font[i].advance_int = (stb__courier_bold_42_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_42_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_42_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_42_latin1_s[i] + stb__courier_bold_42_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_42_latin1_t[i] + stb__courier_bold_42_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_42_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_42_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_42_latin1_x[i] + stb__courier_bold_42_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_42_latin1_y[i] + stb__courier_bold_42_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_42_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_42_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_42_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_42_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_42_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_42_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_42_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_42_latin1_LINE_SPACING
#endif

