// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_43_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_43_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_43_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_43_latin1_BITMAP_HEIGHT        400
#define STB_FONT_courier_bold_43_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_bold_43_latin1_FIRST_CHAR            32
#define STB_FONT_courier_bold_43_latin1_NUM_CHARS            224

#define STB_FONT_courier_bold_43_latin1_LINE_SPACING          20

static unsigned int stb__courier_bold_43_latin1_pixels[]={
    0x00004000,0x00000200,0x00400000,0x00000000,0x00000002,0x7b300004,
    0x0000f660,0x10000000,0x00200000,0x3fea0000,0xe9800000,0xffd7001f,
    0x000009ff,0x0000dfb8,0x1ffffa80,0x007fe200,0x7f4c0000,0x7fff0000,
    0x002fff88,0xdffdd710,0x0000d439,0x000017ee,0x00000bf7,0x0007ffdc,
    0x03ffea00,0x3ffffe20,0x4000004f,0x0000effb,0x0ffffd40,0x07fff100,
    0xffb80000,0xff88000f,0x1fffc44f,0x3fff2200,0xdeffffff,0xd88003ff,
    0x100004ff,0x00009ffb,0x007bff60,0x5fff9000,0x3fffe200,0x000004ff,
    0x001fffc8,0x3fffea00,0x7ffcc001,0xf9000004,0x640003ff,0x0efc80ef,
    0x3fffa600,0xffffffff,0x44005fff,0x0000dffe,0x00dffe88,0x7ff44000,
    0x6c00000d,0x4c001eff,0x004fffec,0xfff50000,0x3ea00007,0x88001fff,
    0x0000effe,0x01dffd10,0x00801000,0x7ffffc40,0xffffeeff,0x26006fff,
    0x00004fff,0x0009fff3,0x013ff200,0x37fee000,0x3fe20000,0x0000004f,
    0x0007ffe6,0x36000000,0x900004ff,0x00000bff,0x7ff40000,0x75441cff,
    0x1006ffff,0x00005fff,0x000bffe2,0x002eb800,0x009f7000,0x09fff100,
    0xd8800000,0x0000001f,0x009f7000,0x000ff200,0xb8000000,0xc804ffff,
    0x3a006fff,0x7400001e,0x0000001e,0x00000000,0x13ffe200,0x00000066,
    0x00000000,0x00000000,0xddd93000,0x3b6a059d,0x7f41ceee,0x3fe003ff,
    0x0000006f,0x00000000,0x00000000,0x9fff1000,0x3bffffaa,0x0000002b,
    0x77776dc0,0x2eeeeeee,0x00000000,0x3ffe0000,0x4c0fffff,0x6fffffff,
    0x001bffe6,0x00009ff9,0x00000000,0xceeeec98,0xddddb502,0xaaaa8839,
    0x55440aaa,0x2201aaaa,0xfffeefff,0x1effffff,0x55555510,0xaaaa8815,
    0x7ffd41aa,0xffffffff,0xcb8803ff,0x000acefe,0x77f65c40,0xff8800ac,
    0x40ffffff,0xfffffffa,0x013ffee6,0x55019910,0x55555555,0x55555555,
    0x03555530,0x0d555544,0xfffffff0,0xffff981f,0x3fe66fff,0x0fffffff,
    0xfffffff3,0xfff101ff,0xffffffff,0x985fffff,0xffffffff,0xfffff30f,
    0x3ee1ffff,0xffffffff,0x5c03ffff,0xffffffff,0xff70002f,0x5fffffff,
    0xffffd500,0x3ffb207d,0x3ff22eff,0xf100002f,0xffffffff,0xffffffff,
    0x7fff41ff,0xff986fff,0x884fffff,0xffffffff,0x7ffffd40,0x3ffee6ff,
    0x72ffffff,0xffffffff,0xffff105f,0xd979bfff,0x5c1fffff,0xffffffff,
    0xfffff72f,0x3225ffff,0xfffffffe,0xd303ffff,0xffffffff,0x4c009fff,
    0xfffffffe,0x8804ffff,0x5400ffff,0xffd86fff,0xf500000f,0xffffffff,
    0xffffffff,0x3ffe21ff,0x5c1fffff,0x7fffffff,0xdffffd50,0x3fffb207,
    0x3ffe22ef,0x266fffff,0xffffffff,0xfffff106,0x3ffea01b,0x3fffe25f,
    0x3e66ffff,0x6fffffff,0x3fffa800,0xfffffe88,0xffffffef,0xfffe8806,
    0xffffefff,0xffb806ff,0x7fff405f,0x007ffe82,0x7ffff400,0xffffffff,
    0x20ffffff,0x6ffffffd,0xffffff98,0x3ffe203f,0x7ffd400f,0x37ffea06,
    0xffd5300a,0x7ffc403f,0xfff9805f,0xadfffa87,0xfffd5300,0x3fea0003,
    0xffffd83f,0x7ffecc1c,0x7ffec04f,0x7fecc1cf,0x7fc404ff,0xfff701ff,
    0x01fffa0d,0x3ff22000,0xaaaaaadf,0x40fffdaa,0x00ffffd8,0x017ffff3,
    0x80bfff70,0x2602fffe,0xfb004fff,0xfff880ff,0xfff7000f,0x04fff983,
    0x000fffb0,0x2a1fffd4,0x5c02ffff,0xf501ffff,0xfb805fff,0x7dc01fff,
    0xfffd05ff,0x01fff605,0x7ffcc000,0x0fffc803,0x04fffe88,0x400bfffd,
    0x701ffff8,0xf980dfff,0xffb004ff,0x6fff880f,0x0fffe600,0x2009fff3,
    0x20007ffd,0x3e23fffa,0xf7002fff,0xfff10dff,0x3fee005f,0x7ffc406f,
    0x37ffdc1f,0x003fff90,0x7fff3000,0x01fff900,0x707fffe6,0x8001ffff,
    0xfd05fffb,0xff9805ff,0xfffb004f,0x05fff880,0x317ffe60,0x36009fff,
    0x2a0007ff,0x3fee3fff,0x7ff4005f,0x2fffdc1f,0x07fffa00,0xe8bfff70,
    0x3ee02fff,0x800002ff,0x74c3fff9,0x901bfea4,0x7fc4dfff,0xf88002ff,
    0x7fdc1fff,0xfff9806f,0x0fffb004,0x007fff88,0xf30fffee,0x3f6009ff,
    0x3ea0007f,0x3fff23ff,0x7ffd4000,0x007ffe43,0x00fffea0,0x7dc7fffe,
    0x7fcc06ff,0x9800006f,0x7ffc3fff,0x3a0076e2,0xfffd4fff,0x7fdc000b,
    0x17fff45f,0x027ffcc0,0x4407ffd8,0x8804ffff,0x7cc1fffe,0xffb004ff,
    0x7fd4000f,0x01fffa3f,0xd13ffe20,0xf1000fff,0xff7009ff,0x0bfffebf,
    0x013fffa0,0x3e60bf90,0xff999cff,0xff30004f,0x1ffffbff,0xffff8000,
    0x00dfff71,0x4013ffe6,0x7c407ffd,0x2203ffff,0x4c0ffffe,0xfb004fff,
    0x7d4000ff,0x17ffe3ff,0x237ffc00,0xf0005fff,0x3fe00dff,0x06fffdff,
    0x3bffff50,0x2fffe880,0xffffff98,0x0004ffff,0x3ffffff2,0xfb80002f,
    0x5ffff5ff,0x13ffe600,0x203ffec0,0xeffffff8,0xfffdb9ab,0xfff982ff,
    0x0fffb004,0x9fffd400,0x0004fff8,0x7fc4fffd,0xffd0004f,0x3ffee00f,
    0x2002ffff,0xcdfffffc,0xfffdca9a,0xfff981ff,0x4fffffff,0x7fff4000,
    0x200005ff,0xfffdffff,0x3ffe6006,0x0fffb004,0xffffff88,0xffffffff,
    0xfff304ff,0x1fff6009,0x3fffa800,0x0009fff1,0xff89fffa,0xffd0004f,
    0x7fffc00f,0xfd8006ff,0xffffffff,0x04ffffff,0xfffffff3,0x80009fff,
    0x00fffff9,0x3ffee000,0x2002ffff,0xb004fff9,0xff880fff,0xffffffff,
    0x203fffff,0xb004fff9,0x54000fff,0x3ffa3fff,0xbfff0006,0x0006ffe8,
    0x5c00bfff,0x001fffff,0xffffff70,0x5fffffff,0x66fffcc0,0x004fffcc,
    0x02fffc80,0xffff8000,0x7cc006ff,0xffb004ff,0xcfff880f,0xffffffd9,
    0x7fcc00df,0xfffb004f,0x7ffd4000,0x001fff63,0xfb13ffe2,0xff1000ff,
    0xffe8009f,0x5c40006f,0xfffffffe,0x7fcc00ce,0x21fffc3f,0x7fdc0018,
    0xb800001f,0x001fffff,0x8027ffc4,0x7c407ffd,0x2eea24ff,0x3fe2001a,
    0xfffb004f,0x7ffd4000,0x00bffee3,0xb85fff90,0x64002fff,0x22002fff,
    0x0001ffff,0x06bbf660,0x87fff300,0x3fea1ffd,0x3ffee003,0xfd000001,
    0x3e000dff,0xfff005ff,0x4fff880d,0x7ffc0000,0x0dfff005,0x1fffd400,
    0x001ffff5,0x503fffe6,0x2001ffff,0x000ffff9,0x001bffee,0x001bf200,
    0x4c1fffcc,0x0037fe40,0x0003fff7,0x3ffff100,0x3fff6000,0x27ffdc01,
    0x013ffe20,0x3fffb000,0x04fffb80,0x07fff200,0x100bfffb,0x3607fffd,
    0xe8805fff,0x22003fff,0x0001ffff,0x01effc80,0x01fffcc0,0x2007ffe8,
    0x0001fffb,0x06fffb80,0x3bffee00,0x5ffff701,0x04fff880,0x7ffdc000,
    0xffff701e,0x7ffc0005,0xeffff887,0xdfffd300,0x77fffc40,0xdfffd300,
    0x5fffc800,0xfc840000,0x7cc005ff,0xffd003ff,0x7ffdc00f,0x7c400001,
    0x40001fff,0x9acffffe,0x04ffffdb,0x004fff88,0xffffe800,0xfffdb9ac,
    0xda88004f,0xff506fff,0xb737bfff,0x803fffff,0xbdfffffa,0xfffffdb9,
    0xdddd9301,0x03bdffff,0x7bff1000,0x32a00dfb,0xeeeefffe,0xffeeeeee,
    0x3bb6a07f,0xceeefffe,0x7fe40002,0xf880005f,0xffffffff,0x6d406fff,
    0xdeeffffe,0xff880003,0xffffffff,0x36e206ff,0xffffeeee,0x3ff202ff,
    0xffffffff,0xf9003fff,0xffffffff,0x7c07ffff,0xffffffff,0x80006fff,
    0x2ffffff8,0xfffff880,0xffffffff,0x07ffffff,0xfffffff5,0x01ffffff,
    0xfdddd930,0x003bdfff,0xffffe980,0x00dfffff,0x3fffffe2,0x001fffff,
    0xffffe980,0x00dfffff,0x3fffffee,0x802fffff,0xfffffffa,0x4001efff,
    0xfffffffa,0x7c01efff,0xffffffff,0x00007fff,0x007dfb71,0x3fffffe6,
    0xffffffff,0x507fffff,0xffffffff,0x003fffff,0xffffffff,0x000dffff,
    0x3ffffee0,0xff8803ff,0xffffffff,0x2e00001f,0x3fffffff,0xfffffb80,
    0x002fffff,0x3fffff22,0x220004ef,0xeffffffc,0xfffb5004,0x5bffffff,
    0x00000000,0x3fffffb2,0xffffffff,0x3207ffff,0xfffffffe,0xff003eff,
    0xffffffff,0x80000fff,0x4000aba9,0xffffffda,0x000003df,0x40015753,
    0xeffffec8,0x54c0001b,0x400000ab,0x0000aba9,0x00000000,0x00000000,
    0x50000000,0xfffffffb,0x00005bff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x00000dc8,0x00000020,0x00000200,0x00800000,0x40000000,0x000000b9,
    0x2000f660,0x000000c9,0x80000193,0xc800c001,0x00bff93e,0x07be6000,
    0x64000000,0xff00004f,0xf7000005,0x02ff800b,0x3ffa2000,0x8000005f,
    0x2003ffe8,0x0002fffb,0x017ffe40,0x02ffc400,0x50077fc4,0xfffb1fff,
    0xf1000005,0x000005ff,0x01fff440,0x03ffe800,0x9ffb1000,0x03ffe800,
    0x937f9000,0x8000005f,0x9803fffb,0x0dfffffe,0x7ff4c000,0x0000dfff,
    0x5003ffea,0x7dc0bfff,0x6fffa9ff,0xff500000,0x0000009f,0x0009fff3,
    0x02fff4c0,0x37ffa200,0x7ff4c000,0x27c40005,0x000001ba,0xb801ffff,
    0xffeadfff,0xff70002f,0x5fffd5bf,0x3ffee000,0x7fffc401,0x23fff701,
    0x0001fffe,0x0bffd300,0x7fd40000,0x8800003f,0x8000effd,0x0004fff9,
    0x003bff62,0x02fc5f80,0xfff50000,0x3fffa80b,0x003fff22,0x447fff50,
    0x2000fffc,0xbefffeb8,0xfffd80a8,0x23fff706,0x0005fffb,0x13ff6200,
    0x3fe20000,0x4000001f,0x44005ffc,0x00002fff,0x4000bff9,0x02fd9bfc,
    0x3ffa0000,0x06fd401f,0x4001fea8,0xfd500dfa,0x3ffee001,0xffffffff,
    0x17fffcc2,0xff0fffdc,0x000003ff,0x00003fb8,0x0000df88,0x009f5000,
    0x00003dd0,0x20004fa8,0x004fffd8,0x3ffea000,0x02001006,0x00800400,
    0xffffff90,0x0bffffff,0xf70dfffd,0x7ffdc3ff,0x00000004,0x00000000,
    0x00000000,0x00000000,0x00005cc0,0x0bfffa00,0x00000000,0x3fe60000,
    0xffffffff,0xffa86fff,0x7ffdc1ff,0x03fffe21,0x00000000,0x00000000,
    0x00000000,0x00000000,0xf3000000,0xb8800dff,0x00acefec,0x55555510,
    0xaaaa8815,0xfffd81aa,0xffb710be,0x3fffa0df,0x20fffdc4,0x0004fffc,
    0x5555554c,0x980001aa,0xaaaaaaaa,0x55550001,0x55555555,0x88555555,
    0xaaaaaaaa,0x440aaaaa,0xaaaaaaaa,0x400aaaaa,0xaaaaaaa9,0xd800001a,
    0x2e002fff,0xffffffff,0x7ffcc02f,0x30ffffff,0xffffffff,0x07fffc1f,
    0x2a07ffb0,0x7fdc7fff,0x7fffc41f,0xfffd0000,0x0dffffff,0xffffe800,
    0x006fffff,0x7fffffc4,0xffffffff,0xf70fffff,0xffffffff,0x23ffffff,
    0xfffffffb,0xffffffff,0xfffffd01,0x000dffff,0x06fff980,0xfffffd30,
    0x09ffffff,0x7fffffdc,0xfff72fff,0x45ffffff,0x6c406fff,0xffff100c,
    0x40fffdc1,0x8003fffc,0xfffffff8,0x0001ffff,0xfffffff1,0x4003ffff,
    0xfffffffa,0xffffffff,0xffb0ffff,0xffffffff,0x367fffff,0xffffffff,
    0x3fffffff,0xffffff88,0x001fffff,0x0ffff600,0x3ffffa20,0xfffffeff,
    0xffff106f,0x7ccdffff,0x6fffffff,0x001ffff4,0x717fff40,0xff303fff,
    0x3f6000ff,0xffffffff,0x3f60004f,0xffffffff,0x7ff4004f,0xffffffff,
    0xffffffff,0xffffff50,0xffffffff,0x3fffea3f,0xffffffff,0xffb01fff,
    0xffffffff,0x3e200009,0xfd800fff,0x6cc1cfff,0x2a04ffff,0x300adfff,
    0x903fffd5,0x159fffff,0x7fffb000,0xd80fffdc,0x10003fff,0xfffff955,
    0x440001ff,0xfffffcaa,0x644000ff,0xaaaadfff,0xfffdaaaa,0x7ed554c0,
    0x01aaacff,0xfffb5553,0x10035559,0xfffff955,0x900001ff,0xf5009fff,
    0xfb805fff,0xff301fff,0x3ff6009f,0xfffff107,0x0059dfff,0xfb93fff2,
    0xfff301ff,0xffb0000d,0x007fffff,0x3ffff600,0x98003fff,0xfc803fff,
    0x7fdc00ff,0xff70001f,0xfd80003f,0x03ffffff,0x7fffc400,0x7fffc400,
    0xdfff7002,0x013ffe60,0xd103ffec,0xffffffff,0xffb803df,0x07ffee5f,
    0x002fffe8,0x27fffe20,0x80006fff,0xff9ffff8,0xff98006f,0xfffc803f,
    0x0fffdc00,0x1fffb800,0x3ffe2000,0x006fff9f,0x027ffdc0,0x002fffdc,
    0x2607fffa,0xfb004fff,0xffb700ff,0x3fffffff,0x73fffcc0,0x7d403fff,
    0x2e0006ff,0xfffd4fff,0xffb80003,0x03fffd4f,0x43fff980,0x1bfea4e9,
    0x007ffee0,0x00fffdc0,0x29fff700,0x0001fffe,0x2003fffe,0x4000fffc,
    0xf983fffa,0xffb004ff,0x6dd4400f,0x206fffff,0x3ee6fffa,0x7ff401ff,
    0xffd0001f,0x13ffea3f,0x3fffd000,0x0013ffea,0xff87fff3,0x20076e2f,
    0x0001fffb,0x0003fff7,0xfa8ffff4,0xf70004ff,0x3fa00bff,0xff88007f,
    0x4fff984f,0x00fffb00,0x2fffea80,0x5cbfff70,0x7d401fff,0xfa8005ff,
    0x7fffc5ff,0xfff50000,0x00ffff8b,0x273ffe60,0x004fff99,0x003fff70,
    0x007ffee0,0x22fffd40,0x8000ffff,0xf001fffe,0x3e000bff,0xfff986ff,
    0x0fffb004,0xf7001991,0x3ff207ff,0x07ffee4f,0x007fffa0,0xc85fffb0,
    0xb0003fff,0xffc85fff,0x3fe6003f,0xffffffff,0xfff70004,0x3fee0003,
    0xffb0001f,0x3fffc85f,0x2fffd400,0x04fff880,0x30fffd00,0x36009fff,
    0x4ffc87ff,0x04fff980,0x7dc5fffd,0xffb801ff,0x3fe2005f,0x6fff987f,
    0x7fff8800,0x006fff98,0x3fffffe6,0x0004ffff,0x0003fff7,0x0007ffee,
    0x261fffe2,0x74006fff,0xf1002fff,0x3a0009ff,0xfff987ff,0x0fffb004,
    0xd803fffd,0xfff03fff,0x0fffdc3f,0x07fffc40,0x04fffb80,0x8003fffb,
    0xfb04fffb,0x3e6003ff,0xffffffff,0xff70004f,0x3ee0003f,0xfb8001ff,
    0xfffb04ff,0x3ffea003,0x37ff4006,0x85fff800,0xb004fff9,0xffff0fff,
    0xffda887f,0xfff881ff,0x07ffee0f,0x027ffe40,0xffffffe8,0x4fffffff,
    0x7ffff400,0xffffffff,0xfff3004f,0x9fff999b,0x3ffee000,0xfff70001,
    0xfffd0003,0xffffffff,0x3f6009ff,0x7ec002ff,0xff88007f,0x4fff984f,
    0xf0fffb00,0xddffffff,0x0bffffff,0xf71bfff2,0x3e2003ff,0x7d400fff,
    0xffffffff,0x00ffffff,0xffffff50,0xffffffff,0xfff3001f,0x443fff87,
    0x1fffb801,0x3fff7000,0xffffa800,0xffffffff,0x7cc00fff,0xfb8006ff,
    0x7e4002ff,0xfff882ff,0x0fffb004,0xfffffffd,0x1dffffff,0x85ffff10,
    0x2001fffb,0x6c03fffc,0xffffffff,0x3fffffff,0xfffffb00,0xffffffff,
    0xff3007ff,0x21ffd87f,0x7dc03ffa,0xf70001ff,0xfd8003ff,0xffffffff,
    0x03ffffff,0x001fffec,0x007fffd4,0x00ffff98,0x3e00bfff,0xfffc86ff,
    0xffffffff,0xfff700df,0x03fff70f,0x03fffc40,0xdddffff1,0xffdddddd,
    0xfff100df,0xdddddddf,0x00dfffdd,0x1307fff3,0x5c06ffc8,0x70001fff,
    0x44003fff,0xeeeeffff,0xfffeeeee,0x1fffe206,0x5fffd800,0x3fffe880,
    0x007fff60,0x7109fff7,0xffff9517,0xfff8039d,0x1fffb83f,0x1fffec00,
    0x004fffb8,0xb803fffb,0xfb004fff,0xff9803ff,0xfffd003f,0x01fffb80,
    0x03fff700,0x027ffdc0,0x901fffd8,0x40007fff,0x00effff8,0x80dfffd3,
    0x701efffb,0x4005ffff,0xb801fffb,0xfb80ffff,0x7cc001ff,0xfffd06ff,
    0x3ffea001,0x07fff404,0x04fffa80,0x801fffcc,0x7dc07ffe,0xf70001ff,
    0x7f4003ff,0xff5000ff,0xffff109f,0xffa80001,0xdb9bdfff,0x801fffff,
    0x9acffffe,0x04ffffdb,0x00fffdc0,0xb827fff4,0xd8001fff,0xfb712fff,
    0x2039dfff,0xdffffeca,0x3fff6e23,0xd9501cef,0xa87bffff,0xeeefffec,
    0xfeeeeeee,0xddb717ff,0xdddfffdd,0x76dc45bd,0xeefffeee,0x36e22dee,
    0x01ceffff,0xbffffd95,0x027ffdc7,0xffffc800,0xffffffff,0xfff1003f,
    0xffffffff,0xff7000df,0xfffa803f,0x1fff500f,0x9fff3000,0x3ffffff2,
    0x7fcc0fff,0x2fffffff,0xfffffff9,0xfff981ff,0x12ffffff,0xffffffff,
    0xffffffff,0x3ff2ffff,0xffffffff,0xf92fffff,0xffffffff,0x25ffffff,
    0xfffffffc,0x7ffcc0ff,0xb2ffffff,0x00001fff,0x7fffffd4,0x001effff,
    0x7fffff4c,0x000dffff,0x401fffa8,0x6402fffa,0x3f20003e,0xfffffb1f,
    0xfa81ffff,0xffffffff,0xffffffb3,0xffa81fff,0x3fffffff,0xfffffff3,
    0xffffffff,0x3f6fffff,0xffffffff,0xb3ffffff,0xffffffff,0x7fffffff,
    0x3ffffff6,0x7fd40fff,0x3fffffff,0x00007ff5,0xfffff910,0xb80009df,
    0x3fffffff,0x1ffe2000,0x0001f640,0xfd981000,0x03efffff,0xdfffffd9,
    0x3fff6619,0xd903efff,0x19dfffff,0x7fffff64,0xffffffff,0xfb37ffff,
    0xffffffff,0x2619dfff,0xfffffffd,0x0cefffff,0xffffffb3,0x3ffb207d,
    0x220cefff,0x98000001,0x00000aba,0x00055d4c,0x0001ca80,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00001930,0x000000e4,0x00011000,0x2a039500,
    0x0030001c,0x4072a000,0x300001ca,0x26000019,0xfb700000,0x2e5fffff,
    0x1dffffff,0x05cc1f64,0x2e0f74c0,0x7fe4004f,0x74c0002f,0xb10004ff,
    0x2600059f,0x5c41effc,0x7ffcc000,0x007ffd40,0x801ffd10,0x7cc04feb,
    0x7ffd40ff,0x7fdc0000,0xd710002f,0x005507ff,0x3fffffe2,0xffff72ff,
    0x7fd4dfff,0x0bfffa0f,0x7c49ffd0,0xfe9802ff,0x000dffff,0xefffffc8,
    0x7ffe4001,0x7fcc002f,0xea8cffff,0x7fdc005f,0x0fffdc1f,0x07fff900,
    0x07ffffa2,0x5c1fffb8,0x30001fff,0x1bfffffd,0xffffe800,0x0ffd8aef,
    0xfffff880,0xfff72fff,0x7dcdffff,0xffff51ff,0x26fff80d,0x5c03fffa,
    0xffeadfff,0xffd3002f,0x09fffb5f,0x7ffffdc0,0x2fffa002,0xfffffffb,
    0x37f44002,0x3002ffc4,0x3603ffff,0x201fffff,0xff886fe8,0xfff70005,
    0x05fffd5b,0x36b7fee0,0x05ffffff,0x3fbbb2a0,0xdfff72ff,0x7fdc37dd,
    0xfffffb1f,0x52fffc03,0x7d405fff,0x3ff223ff,0x7ffc400f,0x0fffea0d,
    0x7fffe440,0x8832a006,0x002efffd,0x80010020,0xf105fffd,0x2005dfff,
    0xa8000400,0x3f223fff,0x2d8800ff,0x027fffd4,0x4bffee00,0x2e01fffb,
    0xfffb1fff,0x3fe203ff,0x07ffee5f,0xd500dfa8,0x2ff8801f,0x0007fb10,
    0x0000fffd,0x000006a6,0xfff30000,0x3ffea03f,0x00000004,0x2a01bf50,
    0x440001fe,0xf700002a,0x3ffee5ff,0x47ffee01,0x00fffffc,0x7e49fff3,
    0x800401ff,0x00400000,0x00fffc80,0x00000000,0x3ff20000,0x3ffee06f,
    0x00000002,0x00040020,0x5c000000,0xfff72fff,0x8fffdc03,0x207ffffb,
    0x3f24fff9,0x000000ff,0x40000000,0x4000fffc,0xacefecb8,0x65c40000,
    0x000acefe,0x405ffff1,0x5101fffb,0x81555555,0x1aaaaaa8,0x20000000,
    0xaaaaaaa9,0xfb80001a,0x3fff72ff,0xb8fffdc0,0x2a07ffff,0x3ff63fff,
    0x5555100f,0x55555555,0xaaa98015,0x001aaaaa,0x003fff20,0xffffffb8,
    0x70002fff,0xffffffff,0xfff9005f,0x1fffb80d,0xffffff98,0xfff30fff,
    0x81ffffff,0xaaaaaaaa,0xaaaaaaaa,0x3fffa02a,0x06ffffff,0x2fffb800,
    0x5c03fff7,0xfff51fff,0x3fee20df,0xfffd99bf,0xfffffb81,0xffffffff,
    0xfffd01ff,0x0dffffff,0x07ffe400,0x7ffff4c0,0x4fffffff,0x3fffa600,
    0xffffffff,0x17fffc04,0x207ffee0,0xfffffffb,0xffff72ff,0x225fffff,
    0xffffffff,0xffffffff,0xff880fff,0xffffffff,0x7dc0001f,0x3fff72ff,
    0x98fffdc0,0x74c5ffff,0xffffffff,0x24ffffff,0xfffffffd,0xffffffff,
    0xfffff883,0x01ffffff,0x01fff900,0xfffffe88,0xffffffef,0xfffe8806,
    0xffffefff,0xfff106ff,0xfffb801f,0xfffff881,0x3fe66fff,0x26ffffff,
    0xfffffffa,0xffffffff,0xfb00ffff,0xffffffff,0xfb80009f,0x3fff72ff,
    0x88fffdc0,0x7ec5ffff,0xffffffff,0x1fffffff,0xfffffff5,0xffffffff,
    0x3ffff603,0x04ffffff,0x01fff900,0x1cffffd8,0x27fffecc,0x33ffff60,
    0x7fffecc1,0x07fff984,0x201fffb8,0x00adfffa,0x03fffd53,0xfffffffd,
    0xffffffff,0x54401fff,0xffffffca,0x3ee0000f,0x3fff72ff,0xf0fffd40,
    0xffc89fff,0xffffffff,0x40ffffff,0xfffdaaa9,0x8801aaac,0xfffffcaa,
    0xfc8000ff,0x3fea01ff,0x7fdc02ff,0xfff501ff,0xfffb805f,0x2fffd41f,
    0x00fffdc0,0x2009fff3,0x32207ffd,0xaaaadfff,0xfffdaaaa,0xffffb000,
    0x40007fff,0xff72fffb,0x44fe803f,0x5443ffff,0xcccfffec,0x01bcefff,
    0x001fffb8,0x7ffffec0,0xfb8003ff,0xff880cff,0xff7002ff,0xffff10df,
    0x3ffee005,0x027ffe46,0x803fffa6,0xb004fff9,0xff980fff,0xfffc803f,
    0xffff8800,0x0006fff9,0x7dcbffee,0xe80801ff,0x3f603fff,0x13ffe27f,
    0x03fff700,0x7fffc400,0x8006fff9,0x44fffff9,0x4005fffb,0x7dc1fffe,
    0x7f4005ff,0x3fff61ff,0xffffd103,0x4fff980d,0x80fffb00,0xc803fff9,
    0xfb800fff,0x3fffd4ff,0x3ffee000,0x003fff72,0x80bfff60,0x3fe67ffe,
    0x7fdc004f,0x3ee0001f,0x3fffd4ff,0xffff9000,0x07ffe43f,0x0fffea00,
    0x8001fff9,0x3fa3fffa,0xfff702ff,0xff9805ff,0xfffb004f,0x43fff980,
    0x1bfea4e9,0xa8ffff40,0x70004fff,0x3fee5fff,0xffb0001f,0x3fff403f,
    0x8007fff3,0x0001fffb,0x7d47fffa,0xfe8004ff,0x3fa0ffff,0xff88007f,
    0x03fff44f,0xd27ffc40,0x3ea05fff,0x4c04ffff,0xfb004fff,0xfff980ff,
    0xb717ffc3,0xbfff5003,0x000ffff8,0xf72fffb8,0x701003ff,0xf3101fff,
    0xff733dff,0xffb8009f,0xff50001f,0x0ffff8bf,0x3fffea00,0x02fffc1d,
    0x7c6fff80,0xff0005ff,0x1fffecdf,0x1ffffd50,0x027ffcc0,0x4c07ffd8,
    0xf999cfff,0xfb0004ff,0xfffc85ff,0xfffb8003,0x403fff72,0x7ec45fe8,
    0x7ffff443,0xffffffff,0xfb800dff,0xfb0001ff,0xfffc85ff,0x3ffee003,
    0x04fff882,0x44fffd00,0xd0004fff,0x7ffdcfff,0x0fffc805,0x013ffe60,
    0x2603ffec,0xffffffff,0xf88004ff,0xfff987ff,0xfffb8006,0x403fff72,
    0x9001fffa,0xffffffff,0xffffffff,0x3fff7007,0xffff1000,0x00dfff30,
    0x4407ffe4,0xd0004fff,0x7ffc4fff,0xfffd0004,0x4037ffd4,0x2601fffb,
    0xfb004fff,0xfff980ff,0x4fffffff,0x4fffb800,0x003fffb0,0xf72fffb8,
    0x7fdc03ff,0xfff5001f,0xffffffff,0x005fffff,0x0003fff7,0x3609fff7,
    0xf9001fff,0x3ffa01ff,0xbfff0006,0x0006ffe8,0x7fccbfff,0xfffb807f,
    0x13ffe601,0x203ffec0,0xfffffff9,0xe8004fff,0xffffffff,0x004fffff,
    0xfb97ffdc,0x3fee01ff,0x36e6001f,0xfeccefff,0x7001bcff,0xd0003fff,
    0xffffffff,0x009fffff,0x6c03fff2,0xf88007ff,0x3ffec4ff,0x27ffc400,
    0x801ffff1,0x2601fffb,0xfb004fff,0xfff980ff,0x4fffcccd,0x7fffd400,
    0xffffffff,0x2e000fff,0xfff72fff,0x0fffdc03,0xfff50062,0x007ffe47,
    0x007ffee0,0xffffff50,0xffffffff,0xfff9001f,0x0bffee01,0x85fff900,
    0x4002fffb,0x7f42fffc,0x7fdc04ff,0x3ffe201f,0x0fffb004,0x7c3fff98,
    0xb00c43ff,0xffffffff,0x7fffffff,0x97ffdc00,0x2e01fffb,0x3fee1fff,
    0x5fff500f,0x4003ffec,0x4001fffb,0xfffffffd,0xffffffff,0x0fffc803,
    0x01ffff50,0x03fffe60,0x001ffff5,0x703fffe6,0x5c01ffff,0x7fc01fff,
    0xdfff005f,0x43fff980,0x3fea1ffd,0xeffff883,0xeeeeeeee,0x2e006fff,
    0xfff72fff,0x0fffdc03,0x2e07fffd,0x3ffa2fff,0xfffb8007,0x3ffe2001,
    0xeeeeeeef,0x806fffee,0x3600fffc,0xe8805fff,0xffb03fff,0xffd100bf,
    0xffff107f,0x0fffdc07,0x007fff60,0x9809fff7,0x40983fff,0xffb86ffc,
    0xfffb004f,0x3ffee003,0x403fff72,0x3f21fffb,0xfff701ff,0x0037ff43,
    0x000fffdc,0x2009fff7,0x6401fffd,0x3e200fff,0xd300efff,0x7c40dfff,
    0xd300efff,0x7e40dfff,0xff700fff,0xfffb805f,0xffff701e,0x3fff9805,
    0xd0fffd00,0x2a001fff,0xf7004fff,0x3ffee5ff,0x07ffee01,0x7fe40173,
    0x01bffe1f,0x007ffee0,0x000fffe8,0x4409fff5,0x5400fffe,0x9bdfffff,
    0x1fffffdb,0x7ffffd40,0xfffdb9bd,0x3fe201ff,0xfff503ff,0xffffd009,
    0xfffb7359,0xfff3009f,0x5fffa007,0xeffffdb8,0xffd9501c,0xeda87bff,
    0xf72fffee,0x439dddff,0x8001fffb,0x3fe0fffc,0x3b6e205f,0xeefffeee,
    0x36e22dee,0x01ceffff,0xbffffd95,0x7fffe447,0xffff9006,0xffffffff,
    0x3ff2007f,0xffffffff,0xfc803fff,0xfff107ff,0x7fc407ff,0xffffffff,
    0x765406ff,0xeeeeefff,0xfffeeeee,0xffffff97,0xff981fff,0x2fffffff,
    0xfffffff1,0x3fffee5f,0x3fee6fff,0xffd8001f,0x9027ffc7,0xffffffff,
    0x5fffffff,0x3ffffff2,0x7fcc0fff,0x2fffffff,0x05fffff9,0x7ffffd40,
    0x01efffff,0x7ffffd40,0x01efffff,0x05ffff10,0x07fffff2,0xfffffe98,
    0x200dffff,0xfffffff8,0xffffffff,0xffb7ffff,0x1fffffff,0xffffffa8,
    0xfff13fff,0x2e5fffff,0x6fffffff,0x0003ffea,0xffb17fea,0x7fffec05,
    0xffffffff,0xfffb3fff,0x81ffffff,0xfffffffa,0xffff73ff,0xff910007,
    0x009dffff,0x7fffe440,0xa8004eff,0x3f202fff,0xfb801fff,0x03ffffff,
    0xffffff98,0xffffffff,0xb37fffff,0x7dffffff,0x3ffffb20,0x3f6a0cef,
    0xf72fffff,0x83bfffff,0x260003ec,0x200dc40b,0xffffffd9,0xceffffff,
    0xfffffb30,0x3fb207df,0x10ceffff,0x00003bd9,0x00015753,0x00aba980,
    0x40275c00,0x4c003eda,0x64000aba,0xfffffffe,0xffffffff,0x000007ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80e54000,0x000001ca,0x501ca800,
    0x02200039,0x07910000,0x00000b26,0x26666666,0x00000009,0x00056544,
    0x80188000,0xffffdba8,0x000dffff,0x31000010,0x1fff3000,0x000fffa8,
    0x677f6dc4,0x3fe6000b,0x07ffd40f,0x3dff9300,0x74000b88,0x2fff83ff,
    0xffeb8000,0x2fffffff,0x000fb200,0x3fffffa6,0x2000000e,0xfd306fe8,
    0xffffffff,0x0007ffff,0x6c000df9,0x2e003fff,0x7fdc1fff,0x3fee001f,
    0x2fffffff,0x83fff700,0x3001fffb,0x19ffffff,0x4400bfd5,0x7fc45fff,
    0x7ec0004f,0xffffffff,0xff3002ff,0xfffa800f,0x00efffff,0x3bfb2e20,
    0x17fff43d,0x3fffffee,0xeeffeeff,0x3f62000c,0xff30004f,0x74400fff,
    0x05ff886f,0xfffffd30,0x1bffffff,0x886fe880,0x3fa005ff,0xfffffbbf,
    0x7e4002ff,0x01ffd81f,0x3bfff600,0xffeeeeee,0x3fff7002,0x3bffea00,
    0x06fffc9b,0xffffff70,0xfff97fff,0xeffffc8f,0x7ff57fda,0xbffd3000,
    0xfffe8000,0x04008004,0xffffe880,0xfffffeff,0x0801005f,0xb1065400,
    0x0005dfff,0x80001002,0x2a01eff8,0xff7002ff,0x3ffa003f,0x01ffd884,
    0x3fffffa2,0xffffffff,0x7fffc2ff,0x7fd5ff62,0x7ffd4003,0xba880003,
    0x00000001,0x067fffec,0x0fffff66,0x00000000,0x00000353,0xffa80000,
    0x017fd403,0x801fffb8,0x3ea06ffa,0xfffd104f,0xffffdfff,0xfa89ffff,
    0xabfec6ff,0x3e2003ff,0x000002ff,0x40000000,0x402ffffa,0x001ffffb,
    0x00000000,0x00000000,0x4402ffc8,0xff7000ff,0x3ffd007f,0xf906ff80,
    0x54439fff,0xc87ffffd,0xbfec2fff,0x6c003ffa,0x0000001d,0x2aaaaaa0,
    0xaaaaaaaa,0x7fc42aaa,0xff9002ff,0x555510df,0x55555555,0x55553015,
    0x55554405,0x54c00aaa,0x1aaaaaaa,0x3ff62000,0x88008806,0xceffffeb,
    0x03ffc41a,0x7fd43fec,0x3ff602ff,0x7fe42fff,0xfabfec2f,0x0000003f,
    0x3fe20000,0xffffffff,0xffffffff,0x17ffee0f,0x43fffd00,0xfffffffb,
    0xffffffff,0x3fffffa1,0xffff881f,0xd00fffff,0xffffffff,0x3ee000df,
    0x000effff,0x7ffffdc0,0x23ffffff,0x2a605ffa,0x7ffc47fe,0x3fff202f,
    0x7fdc6fff,0xfabfec4f,0x0310003f,0x01fec000,0xfffffff5,0xffffffff,
    0x7e41ffff,0x7d4000ff,0x3fff62ff,0xffffffff,0xff13ffff,0x70dfffff,
    0xffffffff,0xffff105f,0x3fffffff,0xffffb800,0x0003ffff,0xfffffff7,
    0x5cbfffff,0xfffa83ff,0x7ffd47ff,0x3fffea05,0x3e61ffff,0x5ff60fff,
    0x51003ffa,0x37bfffd9,0x1ffe6000,0xffffffd0,0xffffffff,0x7f41ffff,
    0xff88006f,0x3fffea4f,0xffffffff,0x3ff61fff,0x443fffff,0xffffffff,
    0xffffb00e,0x09ffffff,0x9acffe80,0x002efffe,0x37ffffea,0x6ffffecc,
    0xffb0bff2,0xfc8fffff,0xfff101ff,0x89fff7bf,0xfb2efffe,0x200ffeaf,
    0xfffffffa,0x4001efff,0x4401fffb,0xaaadfffc,0xffdaaaaa,0x017ffe0f,
    0x4c2fffc0,0xcfffdaaa,0xf7101aaa,0x301fffff,0x005fffb5,0xffff9551,
    0x7c001fff,0xffffb86f,0xfffe801d,0x6fffa80d,0xffb83ff2,0x6c7fecff,
    0x3ffa07ff,0x5fff98ef,0xefffffd8,0x807ff57f,0xfffffffc,0x03ffffff,
    0x1ffffc88,0x03fff980,0xf10fffc8,0x3a0009ff,0xffb807ff,0x3fe2001f,
    0x3205ffff,0x6c000fff,0x3fffffff,0x20fff200,0x04ffffe9,0xd01bffea,
    0x87fe49ff,0x3f62fff8,0xd82fffc7,0x3fe1ffff,0xffffb06f,0x0ffeafff,
    0xefffffb8,0xffffedbc,0x3ffee01f,0xf9801fff,0xffc803ff,0x09fff10f,
    0x01bffa00,0x8007ffee,0xfffffff8,0x01fff902,0x4ffffc40,0x22006fff,
    0xea80dfff,0xfc81efff,0x77d401ff,0x7d43ff21,0xf13fec5f,0xfff709ff,
    0x07ffe85f,0x5ffffae6,0xff103ffa,0x3ea03dff,0xfd887fff,0x00efffff,
    0x4c3fff98,0xf1bfea4e,0x3e000dff,0xffb805ff,0x3fe2001f,0x80ffffff,
    0x2000fffc,0xffd4fffb,0x7fd4003f,0xfff902ff,0x0fffd85f,0x21ff9000,
    0x3fec2ffb,0xf98bfff1,0xffe84fff,0x2ffd1007,0xff703ffa,0xffd100df,
    0xffffd85f,0x3e6001df,0x17ffc3ff,0x7ffe83b7,0x4fff9800,0x01fffb80,
    0x3b3ffe20,0xffc85fff,0x3ffa000f,0x09fff51f,0xdfffe980,0x0fffe981,
    0x8001fff6,0x9ff50ffc,0x7ffc7fd8,0x1bfffe27,0xb002fffc,0x40ffeaff,
    0x7000fffd,0x7fd49fff,0x98000dff,0xf999cfff,0xffd804ff,0x7fe4002f,
    0xfffb802f,0x3ffe2001,0x42ffff9c,0x5000fffc,0xfff8bfff,0x7ec4000f,
    0xfd80cfff,0x07fff23f,0x887fe400,0xffb0afff,0xfb1fffe8,0xff301fff,
    0xbfec009f,0xfff03ffa,0x7ffc400b,0x017fff26,0xfffff980,0x804fffff,
    0x000ffff9,0x001ffff3,0x4003fff7,0xff94fff8,0x0fffc8df,0x85fffb00,
    0x0003fffc,0x85fffff5,0x3fee6ff8,0x6418806f,0x3fff21ff,0x320fffef,
    0xfffccfff,0x5fff901f,0xfabfec00,0x3fff983f,0x87ffec00,0x8800fffe,
    0xfffff981,0x004fffff,0x100bfffd,0x2007fffd,0x2001fffb,0x3fa4fff8,
    0x3fff24ff,0x7fff8800,0x006fff98,0x67fffdc0,0x225ffb99,0x980dffff,
    0x3fea3ffd,0x7ffffec2,0x3ffe65ff,0x303fffff,0x4001ffff,0x07ff57fd,
    0x8007fff3,0xffb0fffd,0x2ffb801f,0x7fffffcc,0x5004ffff,0x201dffff,
    0x006fffe9,0x8007ffee,0x3ea4fff8,0xfff91fff,0x9fff7001,0x007fff60,
    0xffffb100,0xfb85ffff,0xeccdffff,0x3e66ffff,0xfffea83f,0x7ffec3ff,
    0xfd105fff,0xfd8009ff,0x3e07ff57,0x7fc006ff,0x13fff25f,0xf98bffb0,
    0xffcccdff,0x3fee004f,0xdb9bcfff,0x002fffff,0x8007ffee,0x7ec4fff8,
    0x1fff96ff,0xfffffd00,0xffffffff,0x3ee00009,0xb04fffff,0xffffffff,
    0xff87ffff,0x7fcc0004,0xe980efff,0xd8006fff,0x207ff57f,0x9003fffc,
    0x7fcc7fff,0x32a22cff,0x7fcc6fff,0x21fffc3f,0x3fff2018,0xffffffff,
    0x7dc002ff,0x3e2001ff,0x7ffc44ff,0x00fffcbf,0x7fffffd4,0xffffffff,
    0xa800800f,0x6400cfff,0xffffffff,0x07fe84ff,0xffffe800,0xffdb9bdf,
    0xd8001fff,0x207ff57f,0x203ffffa,0x41ffffc8,0xfffffffd,0x46ffffff,
    0x7ec3fff9,0x80ffea1f,0xfffffffb,0x8001efff,0x2001fffb,0xfa84fff8,
    0x0fffefff,0x7ffffec0,0xffffffff,0x3fcc03ff,0x8017fe40,0xefffffc9,
    0x07ffb01c,0x7fffdc00,0xffffffff,0xb0003fff,0x80ffeaff,0xabeffffe,
    0xfffffba9,0xffffe885,0xffffffff,0x41fffcc6,0x037fe409,0x3fffffa2,
    0x70000bef,0x44003fff,0xffb04fff,0x401fffff,0xeeeffff8,0xffeeeeee,
    0x0ffdc06f,0x000bff20,0x3005fff7,0x30300dff,0xffffffff,0x3dffffff,
    0xabfec000,0x3fe203ff,0xffffffff,0x100effff,0xfffffff9,0xff305bff,
    0x3ffa007f,0x7fffcc07,0x003100df,0x8007ffee,0xf104fff8,0x01ffffff,
    0x8027ffdc,0x2e01fffd,0x3fe201ff,0x7fdc000f,0xdffb001f,0xe89fd501,
    0xffc9dfff,0x004fffff,0xffeaaa98,0x01acffa8,0xffffffb1,0x01bfffff,
    0x9dfdb930,0x7ffcc017,0x0fffd003,0x7fffffcc,0xfdaaceff,0xfffb804f,
    0x3ffe2001,0x3fffee04,0x3ffa00ff,0xfff5000f,0x66ffdc09,0xfffdcccc,
    0xfffb8005,0xffff1001,0x7fffdb9d,0x107fffd4,0x00015753,0x3fffffe6,
    0xffffffef,0x3ffb6a03,0x001cefff,0x7f654000,0xeeeeeeff,0x7fffeeee,
    0xffffff10,0xffffffff,0x76dc4fff,0xeefffeee,0xfda82dee,0xe82defff,
    0x440fffff,0xceffffdb,0xfffd9501,0xfff707bf,0xffffffff,0xff30001d,
    0x7fcc001f,0x5fffffff,0x000fffcc,0xffff3000,0xfffd9fff,0x2a2005ff,
    0x000000ac,0xffffff10,0xffffffff,0x20ffffff,0xfffffffb,0xffffffff,
    0x3ffff23f,0xffffffff,0x3fe62fff,0x1fffffff,0x07ffffcc,0x3ffffff2,
    0x7fcc0fff,0x2fffffff,0x7fffffdc,0x000cffff,0x20013fa0,0xdffffeb8,
    0x00039502,0x33331000,0x26666233,0x00000000,0xffff9800,0xffffffff,
    0x7fffffff,0xbdffff30,0xfffffd99,0xffffd87f,0xffffffff,0x3fea3fff,
    0x2fffffff,0x40ffffc8,0xfffffffd,0x7ffd40ff,0x43ffffff,0x99999998,
    0x02000009,0x00004000,0x00000000,0x00000000,0x3ffb2000,0xffffffff,
    0x7fffffff,0x4402ae60,0xfb302bba,0xffffffff,0xc819dfff,0x4efffffe,
    0x81fffd10,0xffffffd9,0xfffd903e,0x00019dff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000110,0x22000020,
    0x10000000,0x00200000,0x001ca800,0x00001100,0x000736a0,0x400000c0,
    0x20000001,0x14400099,0x02ff8800,0x3f620000,0x3fe20004,0x64000002,
    0x6400006f,0xf880006f,0xf880007f,0x7400003f,0x0004ffff,0x0000f7d4,
    0x0000dfc8,0x27dddd93,0xdfffffea,0x07ffdc02,0x027ff400,0x7ff4c000,
    0x7ff40002,0xd8800004,0x100004ff,0x00009ffb,0x0003fff5,0x0009ffd0,
    0x7ec4fe60,0x3fe60000,0xfa80002f,0x7c4001ef,0xfeefffff,0xffffffff,
    0x7fffd00c,0xbffd3000,0x3ea00001,0x980003ff,0x0000dffe,0x00bffd30,
    0x17ffa600,0x7ffdc000,0xfe880001,0x640000ef,0x000be60f,0x009fff50,
    0x05fff700,0x7ffffc40,0xffffffff,0x80ffffff,0x0000fffb,0x001dffb1,
    0x02fffb80,0x3ff62000,0x7d40000e,0x500003ff,0x00007fff,0x000fffdc,
    0x01dffb00,0xf90fd400,0xfd300001,0xf50000bf,0x6dc007ff,0xffffffff,
    0xffffebce,0x0015106f,0x00bff900,0x00f7fcc0,0x5ffc8000,0x17ffc000,
    0xfff88000,0x7dc00002,0x400001ff,0x40006ffb,0x005fdcff,0x0fff6200,
    0x3ffa2000,0x7ffc4001,0xfb881eff,0x00004fff,0x0003ea80,0x000033a2,
    0x0007d500,0x00001dd8,0x00000eec,0x000fffdc,0x001f4c00,0x033ff660,
    0x07ae0000,0x07644000,0x3fffe200,0x7ffdc00e,0x0000000f,0x00000000,
    0x00000000,0x00000000,0x07ffee00,0x00000000,0x00000020,0x00000000,
    0x03ffff88,0x005fffb0,0x00662000,0x00198800,0x0000c400,0x88000000,
    0x00001999,0x0007ffee,0x00666620,0x0cccc400,0x00000000,0x7c400000,
    0xf5000fff,0x1ff447ff,0x7ff6cc00,0x4002ceff,0xeffffed9,0x6544002c,
    0x01bdfffe,0x2eeeeda8,0xeeeeec98,0x3fb2a202,0x02efffff,0xeeeeedb8,
    0xeeeefffe,0x95102dee,0xdffffffd,0x76544005,0x2effffff,0xeeeeda80,
    0xeeeec982,0xddd9302e,0x8003dddd,0x2005fff8,0x3ee4fff8,0xf91000ff,
    0xffffffff,0xfc8801bf,0xffffffff,0xffa800df,0xffffffff,0xffff301e,
    0xffff07ff,0x3e207fff,0xffffffff,0x3e606fff,0xffffffff,0xffffffff,
    0x7ffc40ff,0xffffffff,0xfff8806f,0xffffffff,0x3ffe606f,0xfff83fff,
    0xfd03ffff,0x3fffffff,0x7fff8800,0x8fffea00,0x8801fffd,0xffffffff,
    0x01ffffff,0xfffffff1,0x3fffffff,0x7ffffe40,0xffffffff,0xfffff983,
    0x7fffc43f,0xff503fff,0xffffffff,0x3e60bfff,0xffffffff,0xffffffff,
    0x7ffd40ff,0xffffffff,0x7fd405ff,0xffffffff,0xff305fff,0xf887ffff,
    0x03ffffff,0xfffffffd,0xff88003f,0xfe8803ff,0x3fffa1ff,0xffffe802,
    0xfffeccef,0xfffd06ff,0xffd99dff,0x3ee0dfff,0xdbceffff,0x81fffffe,
    0x83ffffeb,0x3fffffda,0xbdffff10,0xffffb979,0x3fff6e03,0xffffffff,
    0x882dffff,0xbcdeffff,0x01ffffdc,0x37bfffe2,0xffffdcbc,0xffffd701,
    0xffffb507,0x3ff6a07f,0x001fffff,0x1fffffc4,0x8ffffb10,0x6403fffe,
    0x880cffff,0x644ffffa,0x880cffff,0x444ffffa,0x501effff,0x4c0fffff,
    0x7d403fff,0x06a203ff,0x005fff90,0x003fff70,0xfc803510,0x0d4402ff,
    0x00bfff20,0xa807fff3,0x2e003fff,0x44001fff,0xbeffffff,0xffffca9a,
    0x1ffffc2f,0x09ffff10,0x23ffff50,0x804ffff8,0x2e1ffffa,0xe8806fff,
    0xff302fff,0xfffa807f,0xff980003,0xffb8004f,0x2000001f,0x0004fff9,
    0x809fff30,0x5403fff9,0x2e003fff,0x44001fff,0xffffffff,0xffffffff,
    0x27fffc43,0x33dfff50,0x33333333,0x3ea7fff9,0x99999eff,0xffc99999,
    0x03fff63f,0x827ffdc0,0x5403fff9,0xc9803fff,0xfeefffed,0xfb8004ff,
    0x260001ff,0xeefffedc,0x93004fff,0xfddfffdb,0xff9809ff,0x7ffd403f,
    0x3ffee003,0x7ffc4001,0xffffffff,0xf983ffff,0x3ee05fff,0xffffffff,
    0xffffffff,0xfffff74f,0xffffffff,0x7c9fffff,0x3e2005ff,0xfff306ff,
    0x3fffa807,0x3ffff660,0xffffffff,0xfffb8004,0xffd98001,0xffffffff,
    0x7ecc04ff,0xffffffff,0x7cc04fff,0x7fd403ff,0x3fee003f,0x7fc4001f,
    0xffffd9cf,0xf500cfff,0x7ec0dfff,0xffffffff,0xffffffff,0xfffffb6f,
    0xffffffff,0x26dfffff,0x6c003fff,0xff980fff,0x7ffd403f,0xfffff503,
    0xffffffff,0xff70009f,0xffa8003f,0xffffffff,0x2a04ffff,0xffffffff,
    0x04ffffff,0x201fffcc,0x2003fffa,0x4001fffb,0x2a24fff8,0x54009acb,
    0x3207ffff,0xffffffff,0xffffffff,0xffff97ff,0xffffffff,0x2fffffff,
    0x4003fff9,0xf980fffd,0x7fd403ff,0xffff983f,0xfffeefff,0xb8004fff,
    0x26001fff,0xefffffff,0x4ffffffe,0xffffff30,0xfffffddf,0xfff9809f,
    0x1fffd403,0x03fff700,0x04fff880,0xffffb800,0x3bffea07,0xcccccccc,
    0x54cccccc,0x9999dfff,0x99999999,0x37ffc999,0x417ffe00,0x5403fff9,
    0xffe83fff,0xfa80acff,0xfb8004ff,0x3fa001ff,0xa80acfff,0xffd04fff,
    0xf50159ff,0xff9809ff,0x7ffd403f,0x3ffee003,0x7ffc4001,0xffc80004,
    0xff300fff,0x980003ff,0x0001ffff,0x003fffc8,0x2607fff9,0x7d404fff,
    0x7ffc43ff,0x7ffcc01f,0x7ff88004,0x3fffe200,0x27ffcc01,0x00ffffc4,
    0x3013ffe6,0xfa809fff,0x3ee003ff,0x7c4001ff,0xd80004ff,0x201fffff,
    0x000ffffe,0xfffe8551,0x8551000f,0x203ffffa,0x01ffffc8,0x260dfff1,
    0x4c3ffffd,0x32205fff,0x0004ffff,0x7cc005b7,0x3f2205ff,0xff984fff,
    0x3ff2205f,0x7fc404ff,0xfffb306f,0x7fdc007f,0x7fc4001f,0xfc80004f,
    0x2200ffff,0xacefffff,0xfffdba99,0x3fffe24f,0xba99acef,0x744ffffd,
    0x9abeffff,0x5fffffba,0x567fffc0,0xfffffdb9,0xfff10bef,0xf97537bf,
    0x7bffffff,0x88000001,0xa9bdffff,0xffffffcb,0xfff10bdf,0xf97537bf,
    0x7bffffff,0x33fffe01,0xffffdb9a,0x36a0beff,0xfffeeeee,0x41ceeeee,
    0xeffffeda,0xfa8003de,0xfb806fff,0xffffffff,0x6fffffff,0x7fffffdc,
    0xffffffff,0x7ffc46ff,0xffffffff,0x6400efff,0xffffffff,0xffffffff,
    0x3fffff63,0xffffffff,0x2e3fffff,0xeeeeeeee,0xeeeeeeee,0x7fffec1d,
    0xffffffff,0x23ffffff,0xfffffffd,0xffffffff,0xff903fff,0xffffffff,
    0x27ffffff,0xfffffffa,0xffffffff,0xffff10ff,0x3fffffff,0x7ffff000,
    0x3fffaa00,0xffffffff,0xfea82fff,0xffffffff,0x882fffff,0xfffffffd,
    0x000dffff,0xfffffffb,0xffffffff,0xfffffe89,0xffffffff,0xff34ffff,
    0xffffffff,0xffffffff,0xffffe81f,0xffffffff,0x744fffff,0xffffffff,
    0xffffffff,0x3fff604f,0xffffffff,0xff74ffff,0xffffffff,0x3fffffff,
    0x3fffffe2,0x001fffff,0x90003b70,0xffffffff,0xc8017dff,0xffffffff,
    0x5400beff,0xefffffed,0xffd8001c,0xfbbeffff,0xfb80dfff,0xcfffffff,
    0x0dfffffa,0xfffffff5,0xffffffff,0xf701ffff,0x9fffffff,0x1bfffff5,
    0xffffff70,0xffff59ff,0xffd801bf,0xfbbeffff,0xd910dfff,0xffffffff,
    0x87dfffff,0xffffffda,0x000003df,0x5e5d4c00,0x5300009a,0x00135797,
    0x00565440,0x55dd4400,0x2ea20001,0xc8001abc,0xffffffff,0xffffffff,
    0x32ea203f,0x440001ab,0x001abcba,0x2aeea200,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x001b5000,0x000ecc00,0x00066200,0x00008800,
    0x04de5d4c,0x00000000,0x009bca88,0x00375100,0x40000000,0x100001a9,
    0x00135973,0x0000da80,0x00ffff20,0x13ffee00,0xfffb3000,0x3bae7dff,
    0x2a002cee,0xea8000ff,0xcfffffff,0x3fffb200,0x9800004f,0x3ffffffe,
    0x3fffaa00,0x44002dff,0x00ceffeb,0xffffd900,0xdddd53bf,0x7ffe405b,
    0x0003ffff,0x0007fff9,0xfffffe98,0xfe98000d,0x001effff,0xffffffc8,
    0xfffeffff,0xfc800fff,0x7f44006f,0xffffffff,0xfff981ff,0x00004fff,
    0x7fffffcc,0xfa806fff,0xffffffff,0xffff5002,0x4007ffff,0xffffffe9,
    0xffffffff,0x7ff4c1ff,0xefffffff,0xfffd3000,0x90001bff,0xffd5bfff,
    0x7fdc005f,0x4fffd9ef,0xffffd100,0xffffffff,0x03ffffff,0x0077fec4,
    0x3fffffa0,0xefffffff,0x7ffffc40,0x2600004f,0xffffffff,0x3ea05fff,
    0xffffffff,0x7fcc01ff,0xffffffff,0xffffa803,0xffffffff,0x22ffffff,
    0xffffffe8,0x806fffff,0xfeadfffc,0x3ea002ff,0x7ffe42ff,0x3fff9801,
    0x4017ffdc,0xbdfffffd,0xfffffffd,0x3a203eff,0x4c000dff,0x9abeffff,
    0x84ffffeb,0x04fffec9,0x3fffa000,0xffffbadf,0xffff883f,0xfffeb9ae,
    0x7ffff406,0x1fffffef,0x3ffffe20,0xfffecbcd,0x6c4effff,0xc9beffff,
    0x203ffffe,0x7e42fffa,0xbf5001ff,0x003fa601,0x6c407be6,0x7ffdc01f,
    0xfffd304f,0xffb003ff,0x7ffc0009,0x1fffea03,0x004fff98,0x1dfff500,
    0x70dfff70,0xfd10bfff,0x3fe205ff,0x3ff661ff,0x3fff604f,0xffff902e,
    0xffff105f,0x1ffff203,0xd300dfa8,0x0000001f,0x7c000000,0x74403fff,
    0xb801ffff,0x5c40002e,0x0fffe801,0x009fff30,0x0ffff600,0x7c2fffd8,
    0xff500fff,0x3ffe60bf,0x05fff884,0x803ffff3,0x982ffffc,0x3e205fff,
    0x00000fff,0x00cc4000,0x98000000,0xf3006fff,0x00003fff,0x3f200000,
    0xfff301ff,0x40013309,0x2a01fffe,0x3fea4fff,0x7fff404f,0x03fffa80,
    0x3ea0ffff,0xffd003ff,0x5fff705f,0x01fffc80,0x20000620,0xeffffed9,
    0x776d402c,0xeec982ee,0x7fdc2eee,0x3ffa003f,0x0000001f,0x0fffd000,
    0xeaa7ffcc,0x01dfffff,0x7c037ffc,0x3ffee6ff,0x17ffdc01,0x5c1fffd4,
    0xff905fff,0x3ff2003f,0x5fff982f,0x007fff40,0xbfffd951,0x7e440037,
    0xffffffff,0xfff980df,0xfff83fff,0x7e43ffff,0x3f2001ff,0x3b2601ff,
    0x01eeeeee,0x7fec4000,0x3ffe606f,0xfffffffe,0x3fa04fff,0x7ffc407f,
    0x003fff67,0xf507fff5,0x3fae27ff,0xffb03fff,0x3fee001f,0x1ffff02f,
    0x81bffea0,0xfffffffa,0x4401efff,0xffffffff,0x41ffffff,0x3ffffff9,
    0x7fffffc4,0x17ffd43f,0x03fffd00,0x7ffffff4,0x540001ff,0xfffffeed,
    0x3fffe601,0xffffffff,0xfd80efff,0x3ff602ff,0x0fffd0ff,0x509fff30,
    0xfff37fff,0x7e40dfff,0xff9001ff,0x3fff605f,0xffda89cf,0xfff904ff,
    0xffffffff,0x7ff407ff,0xfeccefff,0xeb86ffff,0xda83ffff,0x443fffff,
    0xb800efff,0x3a01ffff,0xffffffff,0x3fe60001,0x03ffffff,0x7fffffcc,
    0xffedbcef,0xfffc85ff,0xfffff505,0x201bffa3,0xfa84fff8,0xffffbbff,
    0xff501fff,0x3ffa005f,0xfffd102f,0xffffffff,0x3fffee0d,0xffedbcef,
    0xffc81fff,0xfa880cff,0xff304fff,0xfffa807f,0x0efffe83,0x3ffffee0,
    0x3fff6a01,0x0001ffff,0x3fffffee,0x7fcc00ff,0xf901efff,0xff987fff,
    0x3fea0cff,0xffd2ffff,0x9fff100d,0xd17fff50,0x3fffffff,0x01ffff30,
    0x02ffffb8,0x3fffffe6,0x880fffff,0x501effff,0xf88fffff,0xfa804fff,
    0xff981fff,0x7ffd403f,0xfffff983,0xffeba9ac,0x4001ffff,0x0001fffb,
    0x3fffff62,0x3e600eff,0x5400efff,0x7e40ffff,0xfffcffff,0xfd3fffff,
    0xfff100df,0x47fff509,0xffffffc9,0x0efffe81,0x5fffff70,0x7ffffdc0,
    0x82ffffff,0x8806fffb,0x3ea2fffe,0x99999eff,0xffc99999,0x3fff983f,
    0x81fffd40,0xfffffffa,0xffffffff,0x7fdc001f,0x9880001f,0x0effffda,
    0x03ffff30,0x207fff60,0xfffffffe,0xd2ffffff,0xff100dff,0x7fff509f,
    0x3ffffaa0,0x7ffffcc0,0xfffdb9ac,0xff502fff,0xffffffff,0xffd83fff,
    0xfff7000f,0x7ffffdc9,0xffffffff,0x984fffff,0x7d403fff,0x3fee03ff,
    0xffffffff,0x001fffff,0x000fffdc,0x7fffdc00,0x0dfff303,0x41fffd40,
    0xffffffd8,0xd0fffcef,0xff300fff,0x7fff509f,0x17fff440,0x7fffffdc,
    0xffffffff,0xffff882f,0xfff931cf,0x05fff8df,0xd9bffe20,0xffffffff,
    0xffffffff,0xfff986ff,0x1fffd403,0x3ffff220,0xffcadfff,0x7fdc001f,
    0x5000001f,0x3e60bfff,0x3e2005ff,0x3fae04ff,0xfffd3eff,0x2007ffec,
    0xfa83fffa,0x7fcc03ff,0xffff704f,0xffffffff,0xfff505ff,0x7fffc40f,
    0x007fff31,0xf90fffd8,0xffffffff,0xffffffff,0x7fff30ff,0x03fffa80,
    0x15795310,0x000fffe4,0x0007ffee,0x07fff800,0x400bfff3,0x3004fff8,
    0x92fffcc1,0xfb803fff,0xfffa82ff,0x06ffe803,0x3fffff62,0x2fffbbef,
    0x403fffc8,0xff33fffd,0xffd8007f,0x9dfff50f,0x99999999,0x30999999,
    0xfa807fff,0x200003ff,0x4001fffc,0x0001fffb,0x03fff600,0x801bffe6,
    0x8003fffa,0x2a3ffff8,0x7f404fff,0xfffa80ff,0x0fffd803,0x21aca980,
    0xfd82fffb,0x7fcc00ff,0x01bffe4f,0x7ccbfff0,0x00001fff,0x5013ffe6,
    0x00007fff,0x000fffe4,0x0007ffee,0x06ffe800,0x005ffff3,0x0007fff6,
    0xf0dfffd1,0x3ea01fff,0xfff505ff,0x3fa17aa7,0xfd80007f,0xfffc81ff,
    0x1fffdc01,0x2007fff9,0x7f43fffc,0x51000fff,0x1bffe205,0x1ffffecc,
    0xfff90000,0xfffb8003,0x00373001,0x4c0ffff2,0x401fffff,0x4007fffc,
    0x80effffb,0xe885fffc,0xff501fff,0x88fffa7f,0x40006fff,0xf507fff8,
    0x7fc40dff,0x3ffea1ff,0x3ff2203f,0x7ffc41ff,0xa99aceff,0x04ffffdb,
    0x7359ffff,0xdffffffb,0xf9000017,0xfb8003ff,0xff8801ff,0xaa99aadf,
    0x41fffffc,0xfffffec9,0xfba99adf,0x6cc1ffff,0xffeca9bd,0xff101fff,
    0xff737dff,0xfdb50dff,0xffff5dff,0x0bfffd55,0x3ffaa200,0xffff105f,
    0xff75357d,0xfffd0fff,0xf75357df,0x2e0bffff,0xffffffff,0xffffffff,
    0xfffff906,0xffffffff,0x50007fff,0xdffffddb,0xeeeda85b,0xeeefffee,
    0x3fea1cee,0xffffffff,0x443fffff,0xffffffff,0xffffffff,0xffd84fff,
    0xffffffff,0x7ffd402f,0xffffffff,0x7ffffcc1,0xfffffeff,0x201fffff,
    0xfeeeedb8,0x201fffff,0xfffffffb,0x82ffffff,0xfffffff8,0xefffffff,
    0x3fffaa00,0xffffffff,0x3f602fff,0xffffffff,0x04ffffff,0x7ffffc40,
    0x50ffffff,0xffffffff,0xffffffff,0x7fffec1f,0xffffffff,0xffff982f,
    0xffffffff,0x03ffffff,0xfffffffb,0x32001bff,0xffffffff,0xffffa81f,
    0xfffbefff,0x404fffff,0xfffffffc,0xa802ffff,0xffffffff,0x36201fff,
    0xffffffff,0x9000dfff,0xffffffff,0xb0017dff,0x7dffffff,0x01bffff7,
    0xfffff980,0x71ffffff,0xffffffff,0xffffffff,0x7ff5c43f,0xdfffffff,
    0x3fffae01,0xffffebcf,0x2200dfff,0xeffffffd,0xffeb8001,0x3201efff,
    0x92dffffe,0x05ffffff,0xffffff90,0x4005ffff,0xffffffd9,0xdb5000de,
    0x39dfffff,0x32ea6000,0x100009ab,0x00035775,0x3fff6e00,0x223dffff,
    0xffffffec,0xefffffff,0x32ea6203,0x00000aab,0x01359753,0x00d5d440,
    0x01ba8800,0x5e544000,0xfd91000a,0x0037dfff,0x00aba880,0x05654400,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0000ecc0,0x006eea60,0x00357730,
    0x0001a880,0x00179df7,0x00006a20,0x2eeeeda8,0xeeeeec98,0x702da802,
    0x0000003b,0x88000000,0xffffffff,0xffffffff,0xffd98001,0xb8000fff,
    0x40004fff,0xfffffeb8,0x3ff6604f,0x002fffff,0x05ffd951,0xfffff100,
    0x0bfb739f,0x007fffb5,0x3fffe600,0xffff83ff,0x7cc03fff,0x7ffd40ff,
    0x775c4000,0x06a1ceff,0x7fedcc40,0x10330bee,0xffffffff,0xffffffff,
    0xfffb0003,0x4c001fff,0x1efffffe,0xfffe9800,0x81ffffff,0xfffffffa,
    0xc880dfff,0x2ffffffe,0xffffb000,0x8fffffff,0x03fffffa,0xffff3000,
    0xfff887ff,0x5c03ffff,0x7fdc1fff,0xff91001f,0xdfffffff,0xfb807ffb,
    0xffffffff,0x7c43ffef,0xffffffff,0x1fffffff,0xffffc800,0xff7000ff,
    0x7fffb3df,0x7fffdc00,0x1fffffff,0x7fffffdc,0x44ffffff,0xfffffffb,
    0x260002ff,0xfffffffd,0x7de6441c,0x2e00003f,0xa83ffffe,0x03fffffd,
    0x7442ff44,0xffd3005f,0xffffffff,0x640bffff,0xffffffff,0x46ffffff,
    0xeeeffff8,0xfffeeeee,0xdb88001f,0x9800ffff,0x7fdc3fff,0xfffb802f,
    0xdb9acfff,0x7ffffd43,0xffffdaad,0x3ffff62f,0x002fffff,0xffffffb0,
    0xf9803fff,0x9800003f,0x7d403fff,0x801003ff,0xffff1000,0xfffddfff,
    0xb10dffff,0xddffffff,0xffffffff,0xd005ffd0,0x80001fff,0x9800fffd,
    0x3fb100df,0xfffffa80,0x3fff6002,0xdfff900c,0x6e77ffdc,0x98002fff,
    0xfaadffff,0x7fcc06ff,0xf9800003,0x7fd403ff,0x0000003f,0x0e7ffff4,
    0x3ffffaa2,0xcffffd86,0x7ffdc40a,0x804da87f,0x0005fff9,0x000fffd8,
    0x7fc40000,0x22001fff,0x2200ffff,0x054c7fff,0x0005fff7,0x3fee0b32,
    0x0ffe603f,0x3fe60000,0x7ffd403f,0x26662003,0x7ffdc001,0xfffc804f,
    0x1ffffcc6,0x03fffc40,0x0bfff200,0x7ec0cc40,0x4c4000ff,0x7e400199,
    0xe8001fff,0xffc802ff,0x7ffdc01f,0xfb000002,0x3fe601ff,0x02ecc003,
    0xa807fff3,0x2a203fff,0xffffffec,0xfffe802e,0x1bffe003,0x4007fffd,
    0x40005ffc,0x2a00ffff,0x2efffffd,0x8801fffb,0xfffffeca,0x7fc402ef,
    0x930001ff,0x3fffa007,0x17ffdc00,0x7ee5c400,0xfff98cde,0x007ff304,
    0x40bfff22,0x5403fff9,0xff103fff,0xffffffff,0x7fcc0dff,0x7fe4006f,
    0x01bffe64,0x0003dd10,0x882fffcc,0xfffffffd,0x0fffeeff,0x3ffffe20,
    0x6fffffff,0x217ffee0,0xf9800000,0xffb807ff,0x7fd4002f,0xdfffffff,
    0xff305ffe,0xffff5007,0x3ffe601d,0x1fffd403,0xffffffa8,0x5fffffff,
    0x009fff70,0x3ea0cc88,0x000004ff,0x05fff900,0xfffffff3,0xffffffff,
    0x7ffd401f,0xffffffff,0xfff905ff,0x9dffd915,0xfd100001,0xff700bff,
    0x7fec005f,0xffffffff,0xf307ffff,0x7fec407f,0x3e600dff,0x7fd403ff,
    0xffff103f,0xffb979bd,0xfff903ff,0x3f200005,0x000002ff,0x01ffff00,
    0x7bdffffd,0xffffffd9,0x7ffc401f,0xfdcbcdef,0xffd81fff,0xffffffbf,
    0x220002ff,0x800ffffe,0x9002fffb,0x77bfffff,0xfffffffb,0x3ffffae1,
    0x3fee2eff,0xf9802fff,0x7fd404ff,0x006a203f,0xfb05fff9,0x200001ff,
    0x0000fffd,0xfff98000,0x3ffffb85,0xffffff50,0x401a8801,0xfe82fffc,
    0xffffffff,0x8003ffff,0x02ffffe8,0x005fff70,0x01bffff5,0x3fffffb1,
    0x3ffffff6,0xfffd8cff,0x00aaa8cf,0x260dfff3,0x003ffffd,0x84fff980,
    0x00007ffe,0x0001fff6,0x7ffe4000,0x17fffc42,0x3ffffe20,0xff300000,
    0xfffff09f,0xfffddfff,0x7cc001ff,0x2003ffff,0xd802fffb,0xfe806fff,
    0x26622fff,0xffb89999,0xfff91eff,0x3fffe605,0xfffdb9ac,0x200befff,
    0xefffedc9,0xfe84fffe,0x3600007f,0x3ae607ff,0x2ceeeeee,0x0ffff800,
    0x8027ffd4,0x000ffffa,0xdfffdb93,0xfd09fffd,0x543dffff,0x5005fffe,
    0x007fffff,0x802fffb8,0x9801ffff,0x9803ffff,0x264ffffe,0xf302ffff,
    0xffffffff,0xffffffff,0xffffb307,0xffffffff,0x00fffb09,0x03ffec00,
    0xffffffff,0x4c003fff,0xffc85fff,0x3ffe001f,0x7fecc00f,0xffffffff,
    0xfffd84ff,0xfff980ff,0x7ffdc00f,0xfb8002ff,0x7fc402ff,0x3ffe007f,
    0x7ffe401f,0x3ffa21ef,0xfff302ff,0xffffffff,0x89ffffff,0xfffffffa,
    0x4fffffff,0x001fffc8,0x01fff900,0xfffffff1,0x4007ffff,0xfd82fffc,
    0x7ff4007f,0x3ffea00f,0xffffffff,0xffb84fff,0x3ffa02ff,0x3fff201f,
    0xf70001ff,0xff9805ff,0x3ffa006f,0xfffd100f,0xfbff907f,0x3ffe605f,
    0xcfffffff,0x20dffffb,0xfffffff9,0xffffffee,0x02fffb84,0x5fff5000,
    0x3ffffae0,0x000dffff,0x3603fffe,0x7ec007ff,0xfff300ff,0xffddffff,
    0xf509ffff,0xffb809ff,0xffffb03f,0x7dc0003f,0xfff802ff,0x1fffe007,
    0x80dfffb8,0x2ffadffa,0x979fff30,0xfe800579,0xa80acfff,0xff984fff,
    0xf100006f,0xfe8009ff,0x7fcc007f,0x3fff905f,0x07fffc00,0xacffffe8,
    0x84fffa80,0x5404fff9,0x7f443fff,0x0000efff,0x4017ffdc,0xa802fffe,
    0x3a206fff,0x1fff102e,0x3e605ff5,0x440003ff,0x4c01ffff,0xffd04fff,
    0x5fc8009f,0x000ffffc,0xc800fffd,0xff503fff,0x3fee00bf,0xfff880ff,
    0x7ffcc01f,0x07fff884,0xf317ffec,0x001bffff,0x05fff700,0x03ffff70,
    0x01ffff44,0x54bff200,0xfff302ff,0xff980007,0x3ff2205f,0xfff504ff,
    0xfe8803bf,0x3ffee2ff,0xffe8803f,0x7fffc007,0x9ffff100,0xfffffa80,
    0x05fff980,0x13ffff22,0x9827ffec,0xff50ffff,0x03009fff,0x00bffee0,
    0x4e7ffff4,0xffffb988,0x7fcc0005,0x2effeeef,0x003fff98,0x6ffffc40,
    0xfffcba9b,0x40bdffff,0xcdfffffc,0xfffdca9a,0x7ffec1ff,0xdb9abcef,
    0x007ffffe,0x5017ffe6,0x357dffff,0xfffffb75,0x7fc439df,0xcba9bdff,
    0xdfffffff,0x3fffe60b,0xfffebace,0x3ffffe5f,0xeeeeeeef,0x36e26ffe,
    0xefffeeee,0xf883deee,0xffffffff,0x001fffff,0x7ffffd40,0xf984ffff,
    0xd80003ff,0xffffffff,0xffffffff,0xfffd83ff,0xffffffff,0xf884ffff,
    0xffffffff,0x7fffffff,0x0ffff200,0x3fffff60,0xffffffff,0x20ffffff,
    0xfffffffd,0xffffffff,0x7fe43fff,0xffffffff,0x3fffe0ff,0xffffffff,
    0xf90fffff,0xffffffff,0x07ffffff,0xffffffd3,0x005dffff,0x33333100,
    0x3e607ff9,0xd00003ff,0xffffffff,0xffffffff,0x3ffee09f,0xffffffff,
    0x3f6202ff,0xffffffff,0x002dffff,0xc801bff2,0xffffffff,0xffffffff,
    0x7fff40ff,0xffffffff,0x84ffffff,0xfffffffd,0x7ffc2fff,0xffffffff,
    0xb2ffffff,0xffffffff,0x7fffffff,0x7ffffdc0,0x00003fff,0x3ffffee0,
    0x003fff03,0x7fffdc00,0xffacffff,0x2200dfff,0xffffffeb,0xb3000cef,
    0xfffffffd,0xb100039f,0xfe98005f,0xaeffffff,0x03effffd,0xfffffff7,
    0xfffff59f,0x3ffae01b,0xf80dffff,0xffffffff,0xffffffff,0xfffffb32,
    0xdfffffff,0x99530019,0x00000035,0x05dfffd5,0x000013aa,0x06af2ea2,
    0x95530000,0x26000035,0x0001aaba,0xa9880000,0x40000abc,0x01abcba8,
    0x37753000,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000660,0x0002bca8,
    0x00000000,0x02a88000,0x6cc00000,0x2da80000,0x20003b70,0x80001998,
    0x7e400018,0xffffffff,0xb8804eff,0x65c4001c,0x000acefe,0x83dffb30,
    0x3faa00c8,0x000effff,0xffffda80,0x30001fff,0x17ddfdb9,0xffb71026,
    0x000000bf,0x001fffe4,0xa81fff30,0xb5000fff,0x7bffffff,0xfb300793,
    0x01c885df,0x7fffffe4,0x2fffffff,0x0ffffe20,0x7ffffdc0,0x4002ffff,
    0xdffffffa,0xf105ffb9,0x9ffd9dff,0xffff0000,0x003fffff,0xfffffc88,
    0x1ffeffff,0x17fffff2,0x3a600000,0x00efffff,0x41fffb80,0x4401fffb,
    0xfffffffd,0x01ffffff,0x3fffffe6,0x405ffa9d,0xfffffffc,0x01ffffff,
    0x01bfffee,0xffffffd3,0x009fffff,0x7f557ff4,0x202fffff,0x07fdc1cc,
    0x3fffa000,0x001fffff,0x3fffffa2,0xffffffff,0x3feb3663,0x64000005,
    0xffe9dfff,0x7f44003f,0x405fe885,0xfffffff9,0xffffffff,0x2abffa03,
    0x2ffffffe,0x777ffe40,0x3deeeeee,0x2ffffd40,0xfffffd10,0xffffffdf,
    0x902ea00d,0x0003bfff,0x00007ff2,0xffdddb71,0x7fec003f,0xfffeffff,
    0x3e04ffff,0x2000005f,0x7dc2fffa,0x008001ff,0x3ffa2004,0xfecbdeff,
    0x204fffff,0x7ffe40ba,0xfffc801d,0xffb00000,0x7ffec03d,0x7fecc1cf,
    0x440004ff,0xdcb8000a,0x000006ff,0x2003fff7,0x41cffffa,0x04ffffd9,
    0x000017fe,0xd300dfa8,0x0000003f,0x07ffff90,0x13fffea2,0x00054400,
    0x0001fff9,0x3ea00c40,0x7dc02fff,0x22001fff,0x50001999,0x003fffff,
    0x3ffee000,0x9fff9001,0x04fffc80,0x000017fe,0x40000000,0x3e600198,
    0xfb801fff,0x0c4003ff,0x0fffc800,0x22000000,0x7002ffff,0x5440dfff,
    0xffffffec,0x7edc002e,0x75c00eff,0x3ffee003,0x1fffd001,0x03fff880,
    0x2a0017fe,0x0000004e,0x7fff6cc0,0x3ea02cef,0x3fe003ff,0x7654401f,
    0x001bdfff,0x0cc1fff9,0xff700000,0xffe800bf,0xffff881f,0xffffffff,
    0x7ff90006,0x01fffa60,0x001fffb8,0xb001fff9,0x2ffc03ff,0x3fffb100,
    0xeeeec980,0x44001eee,0xfffffffc,0xfc80dfff,0x326001ff,0x7fffd402,
    0x1effffff,0x76fffe40,0x003effff,0x07ffe400,0x0fffea00,0x3fffffea,
    0x5fffffff,0x45ff8800,0x04ffffc8,0x007ffee0,0x0077ffd4,0x17fe0054,
    0x37fffdc0,0x7fffff40,0x22001fff,0xffffffff,0x41ffffff,0x00007ffd,
    0xffffffc8,0x3fffffff,0x3fffff20,0x1effffff,0xfffd0000,0x9fff1000,
    0xbdffff10,0xffffb979,0xf5015103,0x7fffd49f,0x7fdc003f,0xfff1001f,
    0x00037bff,0x3a602ffc,0xd004ffff,0xffffffff,0x7fff4003,0xffecceff,
    0x7fec6fff,0x7dc00007,0xdbceffff,0x01fffffe,0xfffffff9,0x01ffffff,
    0x0bfff000,0x41bffe00,0x7fe401a8,0xefffe82f,0xd89ffffe,0x000dffff,
    0x001fffb8,0x3fffffea,0x2a00bdff,0xfffffffe,0x3fffee0e,0x3f6a001e,
    0x01ffffff,0x19ffff90,0x9ffff510,0x000fffe4,0xeffff880,0xfffff501,
    0x3ffffea0,0xffffdccd,0x0f333205,0x0013ffe2,0x0003fff4,0x2a13ffe6,
    0xdfffffff,0xafffffa9,0x7000aaa8,0xa8003fff,0xffffffff,0xffb81eff,
    0x9fffffff,0x9bffffe9,0x4001cddb,0x8801fffb,0xa804ffff,0xff51ffff,
    0x7030009f,0xd100dfff,0xfb105fff,0x3ffe605b,0xffff882f,0x04fff882,
    0x80fffd00,0xefffedc9,0x2604fffe,0xfd88aaaa,0xffd0dfff,0x3fee001f,
    0xfc98001f,0xffffffff,0x9999883f,0xfffc8999,0xffffb9ef,0x3ee005ff,
    0xffa801ff,0x999999ef,0xfffc9999,0x07ffff13,0xd83ffa60,0xf7000fff,
    0xa80009ff,0xffb85fff,0x1bffa05f,0x82fffc00,0xffffffd9,0x04ffffff,
    0x77fffdc0,0x03fffee2,0x00fffdc0,0x3ff6e600,0x003fffff,0x4fffffaa,
    0xfebbeffc,0xfff7004f,0xffff7003,0xffffffff,0x49ffffff,0xabfffffb,
    0xffdba999,0x17ffe3ff,0x06fff880,0x86ffe800,0x3600fffe,0xf88007ff,
    0xfffa84ff,0xffffffff,0xd3004fff,0xf989ffff,0x7000ffff,0x00003fff,
    0x6ffffb88,0xffffd880,0x3a17fe0d,0xfff7007f,0xffffb003,0xffffffff,
    0x8dffffff,0xfffffffc,0xffffffff,0x07fff31f,0x00fffd80,0x23ffec00,
    0x5c03fff8,0x64002fff,0x7fcc2fff,0xfeefffff,0x804fffff,0x81effffa,
    0x00ffdffe,0x003fff70,0x7440032a,0x3e600fff,0xca82ffff,0x7007fd80,
    0xf9003fff,0xffffffff,0xffffffff,0xffffb0ff,0xffffffff,0x7ffcc5ff,
    0x7ffec003,0x7fec0000,0x01bfee0f,0x003fffea,0x207fffcc,0x0acffffe,
    0x804fffa8,0xf703fffe,0x001ff77f,0x2007ffee,0x2a006ff9,0x3f202fff,
    0x5c000dff,0xff7004ff,0xfff5003f,0x9999999d,0x99999999,0x3ffff660,
    0x0befffff,0x4006fff8,0x80005fff,0x7fec7ffe,0xbfffb001,0x7fffd100,
    0x01ffff88,0x4027ffcc,0xff300dfa,0x4003feed,0xb801fffb,0xfb002fff,
    0x77cc05ff,0xeffd8002,0x3fff7000,0x3ffff300,0x26200000,0x01aabffd,
    0x801fffe4,0x0003fffc,0xf12fffc4,0x7fc4009f,0xfd300eff,0xfff30dff,
    0x7ffe440b,0xfd00004f,0x003fee1f,0x400fffdc,0x403ffffc,0x000ffffa,
    0xeffe8800,0x3ffee000,0xffffd001,0x00aa2001,0x2001ffc8,0x203ffffa,
    0x41ffffc8,0x6c400cfd,0x3fea4fff,0x7ffd4000,0xfdb9bdff,0xf881ffff,
    0xba9bdfff,0xfffffffc,0xf70000bd,0xbffdddff,0x3fff7003,0xfffff900,
    0xfd75379d,0x0000dfff,0x009fff50,0x003fff70,0x3bffffe2,0xfdba99ac,
    0xf9004fff,0x7f4007ff,0xa9abefff,0x45fffffb,0xabcffffa,0xffffcaa9,
    0x0007a60f,0x7fffffe4,0x3fffffff,0x3fffff60,0xffffffff,0x003fffff,
    0xffffff90,0x76d45fff,0xefffeeee,0x321ceeee,0xffffffff,0xffffffff,
    0x7e400000,0x76d402ff,0xefffeeee,0xb81ceeee,0xffffffff,0xffffffff,
    0x76555406,0x3fe2006f,0xffffffff,0x540effff,0xffffffff,0x2fffffff,
    0xffa80000,0xffffffff,0xfffe801e,0xffffffff,0x04ffffff,0x33333100,
    0x7fd45ffb,0xffffffff,0x0fffffff,0xfffffff5,0xdfffffff,0x74c00003,
    0xa999afff,0x3ffffea1,0xffffffff,0xea80ffff,0xffffffff,0x02ffffff,
    0x3fb7ffe2,0x7fec4005,0xffffffff,0xfff900df,0xffffffff,0x000007ff,
    0x7ffffe44,0x7dc004ef,0xcfffffff,0x0dfffffa,0xfff90000,0x3ffee5ff,
    0xffffffff,0x11ffffff,0xfffb35d9,0x007fffff,0xffff7000,0x5cffffff,
    0xffffffff,0xffffffff,0x3fff201f,0xefffffff,0xfffe800b,0xb50001ff,
    0x9dfffffd,0xfff93003,0x19ffffff,0x4c000000,0x20000aba,0x01abcba8,
    0x7dc00000,0x3b21efff,0xffffffff,0x03efffff,0x09bba988,0x3ee00000,
    0xffffffff,0xfffd910f,0xffffffff,0x26007dff,0x009abcba,0x017b7100,
    0x2b2a2000,0x2aa60000,0x00001aac,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xdb816d40,
    0x376e2001,0x3b26000b,0xb502ceee,0x0039dddd,0x00000000,0x6cc0f660,
    0x00000003,0x00000000,0x4c400000,0x40001aaa,0x440002da,0x4ccc0bdb,
    0x0fff9809,0x4007ffd4,0x2ffffffb,0xffffff00,0xfff981ff,0x2606ffff,
    0x1cdffedc,0x2fffec00,0x87fff000,0x0002fff8,0x777ff6dc,0x3ff621bd,
    0x40001fff,0x03ffffec,0x7ecc0000,0x0cffffff,0x00fff800,0x17fffa00,
    0xf70bffff,0xfffb83ff,0x6fffd401,0x4401fffd,0xffffffff,0x7ffffd40,
    0x7f5c46ff,0xffffffff,0x3fff6004,0xfff10005,0x03fff889,0xfffff500,
    0x23ffffff,0x1ffffffc,0x3ffea000,0x00003fff,0xfffffb10,0x09fffffd,
    0x017ffcc0,0xfffffa80,0x213fffa0,0xfe885fe8,0x20eff805,0xea806fe8,
    0x903effff,0x45dffffd,0xfffffff8,0x06ffffff,0x00bfffb0,0x64077e40,
    0xf98000ef,0xffffffff,0xfff74fff,0x40003fff,0x3ffffff9,0xff980000,
    0x32a20adf,0xa800effe,0x10003fff,0xfd8dffff,0x100203ff,0x705ff300,
    0xff1001ff,0xffa801ff,0xffff886f,0xffffefff,0xffd803ff,0x0040005f,
    0xffe80002,0xfffeefff,0x3fb6a1ff,0x540001ff,0x003fffec,0x17ffcc00,
    0x00fffb80,0x001fffd4,0xc85dfd70,0x00002fff,0xf883fd40,0xfff7001f,
    0x2fffe80b,0x1befff88,0x07fffed4,0x00000000,0xfff88000,0x2013301f,
    0x0001fffb,0x007fff50,0x077f4400,0x017fee00,0x0007fff5,0x3ffee010,
    0x00031001,0xff505ff3,0x3ffe2001,0xdfff701f,0x2027ffc0,0x0002fffe,
    0x00000000,0x007fff50,0x00fffdc0,0x3fffa800,0x3ff20000,0xffffffa9,
    0x17fdc0ce,0x3fffbb26,0xdeeeeeee,0xff50000b,0x3b2a201f,0x001bdfff,
    0x7f441bff,0x7ffdc006,0x05fffd05,0x2a017fec,0x00003fff,0x3bbbb6a0,
    0xeeeec982,0xfffb802e,0x3fee0002,0xf500001f,0x009987ff,0xfa9ffc40,
    0x7fffffff,0x7ffc6fc8,0xffffffff,0x005fffff,0x2a0fff30,0xffffffff,
    0x7d401eff,0x2fffccff,0x3ffe2008,0x37ffdc1f,0x2a00f660,0x764c4fff,
    0x01eeeeee,0xffffff98,0xffffff83,0xeedb883f,0xeeeeefff,0x3ee00bde,
    0x3bb261ff,0x2a01ceee,0xffeabfff,0xb800dfff,0x510ff86f,0x1ff985fd,
    0xfffffff1,0xffffffff,0x7fc000df,0xfffffc86,0xffffffff,0x7fffe403,
    0x3fae63ff,0x17ffee05,0x0005fffd,0x21ffff40,0xfffffffe,0xfff9801f,
    0x7fc43fff,0xb83fffff,0xffffffff,0x3fffffff,0xf87ffee0,0x6fffffff,
    0x3ffffea0,0xffffffff,0x7c27ec01,0x7c37cc0f,0x3fff6a4f,0xffffffff,
    0x20001dff,0x7ffdc5ff,0xfedbceff,0x4c01ffff,0xeb99ceec,0x7c05ffff,
    0xfff71fff,0x3620000d,0x7f41ffff,0x1fffffff,0xffffd700,0xffffb507,
    0xffff907f,0xffffffff,0x7dc09fff,0xffff11ff,0x540fffff,0xffffffff,
    0x01ffffff,0x83fe0ffa,0x5fd85fc8,0x007fff50,0x24fd8000,0x01effff8,
    0x00fffff5,0x7ffff64c,0xffb801cf,0x05ffff5f,0xfffc9800,0xffda84ff,
    0x001fffff,0x201fffcc,0xc883fffa,0xfffffffe,0x00ceffff,0x7447ffee,
    0x2dffffff,0x3ffffea0,0xfffeccef,0x207fe04f,0xfffdccff,0xf506fb81,
    0x000007ff,0x3fee1ea8,0xffe8806f,0x3ff2602f,0x001cffff,0xffdffff8,
    0x3660006f,0x05ffffff,0x007ffee0,0x807fff30,0xb803fffa,0x20002fff,
    0xfe99fffb,0x5000efff,0x107fffff,0x7fc0ffff,0xffffff81,0x20df701f,
    0x0003fffa,0x3f6000c4,0xff7000ff,0xfffc989f,0x0009ceff,0x3ffffee0,
    0x2e0002ff,0x03ffffff,0x00fffdc0,0x00fffe60,0x7007fff5,0x40005fff,
    0xfffcfffb,0x7d4004ff,0x3f601fff,0x05ff01ff,0x3ffd99ff,0x7d417f60,
    0x320003ff,0xff003fff,0x7fc400bf,0x77fffc6f,0x5dfff91b,0xfffff000,
    0xfb8000df,0x8000cfff,0x4001fffb,0x5403fff9,0xfb803fff,0x2e0002ff,
    0xffffffff,0xfffa8003,0x17ffdc03,0x0ff84fe8,0x3fe03ff2,0x07fff504,
    0x3fffe200,0x3fff9807,0x07ffec00,0x7f4437d9,0x003fffff,0x0fffffdc,
    0x3ffe6000,0x3fee0001,0x7fcc001f,0x7ffd403f,0x2fffb803,0x3ffee000,
    0x0002ffff,0xb807fff5,0xdf702fff,0x6fc81ff0,0xfa80ffcc,0xf30003ff,
    0x9801ffff,0x6c003fff,0xfd800fff,0x1ffeb9df,0x37fff400,0x05fe8000,
    0x0fffdc00,0x0fffe600,0x007fff50,0x0005fff7,0x7fffffdc,0xfa8000df,
    0x7fdc03ff,0x27ff102f,0x745effe9,0x40df72ef,0x0003fffa,0x4017fffa,
    0x7c006fff,0xff9805ff,0x2005fe83,0x001ffff8,0x20000600,0x4001fffb,
    0x5403fff9,0xfb803fff,0x2e0002ff,0xffffffff,0x7fd4000e,0x7ffdc03f,
    0x2e3ff602,0x260fffff,0x03ffadff,0x000fffea,0x64003950,0xf9003fff,
    0xff7007ff,0xb801fee0,0x00006fff,0xffb80000,0x7fcc001f,0x7ffd404f,
    0x2fffb803,0x3ffee000,0x1effffcb,0x0fffea00,0x405fff70,0x9988eff8,
    0xdff51101,0x05fff980,0x000fae62,0x1ffffd40,0x3ffff910,0x2a0df700,
    0xfff1007f,0x0000003f,0x3fff7000,0x6fff8800,0x7ffffb30,0x05fff700,
    0x8fffdc00,0x01fffffb,0x807fff50,0x4c02fffb,0xf5002eff,0xff8801ff,
    0xeca9bdff,0x2a1fffff,0xd03b702d,0x357dffff,0xbfffff75,0x207fea00,
    0xff9006fd,0x880000bf,0x7dc0000a,0xff8001ff,0xfdb9acff,0x0befffff,
    0x00bffee0,0x21fffb80,0x02fffffa,0x403fffa8,0xa802fffb,0x4c09cfff,
    0x001effeb,0xfffffffb,0x3fffffff,0xf503ffe6,0xfff881ff,0xffffffff,
    0x1000efff,0x3ee25dff,0x77764c4f,0x1deffffe,0xfffd8000,0xeeeda804,
    0xeeefffee,0x3f201cee,0xffffffff,0x3fffffff,0x3ffbbb26,0xceeeeeef,
    0xfffdb701,0xfffff983,0x3b260bde,0x4c1cefff,0x1cefffec,0x7ffff440,
    0xdfffffee,0x3ffe2000,0xffffffff,0x3ffea3ff,0x40fffdc1,0xffffffd8,
    0x00dfffff,0x7f7ffd40,0xffff86ff,0xffffffff,0x7fc40006,0x7fd407ff,
    0xffffffff,0x0fffffff,0x3fffff60,0xffffffff,0x3fffe4ff,0xffffffff,
    0x7dc0ffff,0x541fffff,0xffffffff,0x3fffff63,0x7fff46ff,0x5006ffff,
    0xfffffffb,0x32200039,0xffffffff,0x2ff440bd,0x2a027f44,0xefffffed,
    0x3ea0001c,0xf80dffff,0xffffffff,0x80007fff,0x5c05fffe,0xffffffff,
    0xffffffff,0x7ffec01f,0xffbbefff,0xfff10dff,0xffffffff,0xb81fffff,
    0x41ffffff,0xfffffffb,0x3ffffe4f,0xff10ffff,0x0fffffff,0x9aba9880,
    0x75100000,0x02003579,0xca880010,0x2200000a,0x36a01aba,0xffffffff,
    0x300002df,0xfd910037,0xffffffff,0x007dffff,0x006aeea2,0xfffffb70,
    0xdfffffff,0xfffd9107,0xffec883f,0x36a0dfff,0x43dfffff,0xdfffffda,
    0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0000a880,0x6cc05e4c,
    0xa9880003,0x000001aa,0x66664c00,0xcccccccc,0x23cccccc,0xaaaaaaa8,
    0x55555440,0xffa8001a,0x554007ff,0xaaaaaaaa,0x555301aa,0x55555555,
    0x15555555,0x55555544,0x2001aaaa,0xaaaaaaa8,0x4001aaaa,0x322002a8,
    0x02b83fff,0xff84ffe8,0xfb30003f,0x19ffffff,0x7f6d4000,0x014c01de,
    0xfff34800,0x21ffffff,0xfffffff9,0x3fa000ff,0xf1007fff,0xffffffff,
    0xd8dfffff,0xffffffff,0xffffffff,0xfff11fff,0xffffffff,0x7d403bff,
    0xffffffff,0x80cfffff,0x05fffdb8,0xffffff10,0x00ffd35d,0xff88bfff,
    0x7ec4004f,0xfffeffff,0x6c4004ff,0xdfffffff,0x00005300,0x7ffffdd2,
    0xff72ffff,0x5fffffff,0x3fffee00,0xfff3007f,0xffffffff,0x7fc1ffff,
    0xffffffff,0xffffffff,0xffff51ff,0xffffffff,0xf9019fff,0xffffffff,
    0x5fffffff,0x5fffffc8,0xb37ff900,0x09ffffff,0xf903ff70,0x7fcc003d,
    0x32a20adf,0xd000effe,0xffffffff,0x000a60df,0xffff8a40,0x3e66ffff,
    0x6fffffff,0xfffff100,0x7ff400ff,0xffffffff,0x7fe45fff,0xffffffff,
    0xffffffff,0x3ffffa1f,0xffffffff,0xff986fff,0xffffffff,0x1fffffff,
    0x17feb366,0x3ea064c0,0x02002eff,0xff980010,0xfff7002f,0xffffb801,
    0x2fffffef,0x90000298,0x0adfffa8,0x3fffd530,0x7fffec00,0x544007ff,
    0xdfffcaaa,0xff5100aa,0x555555df,0x3fffb555,0xaaefff98,0xffffdbaa,
    0xfffb304f,0xf9755557,0x3e01dfff,0xa880005f,0x00000001,0x44077f44,
    0x05ffb809,0x905ffff4,0x05303fff,0xff312000,0x3ff6009f,0x3ffe6007,
    0x0007ffff,0x003fff98,0x5c017ffe,0x7fc41fff,0x7ffe405f,0x1fff902f,
    0x1ffffc40,0x80005ff8,0x00000098,0x20ffe400,0xecefffea,0x2205ff70,
    0x7d506fff,0x40000a60,0x027ffcc4,0x2007ffd8,0xffecfffe,0xff980007,
    0x3ffe003f,0x3fff7005,0x805fff88,0xf906fffd,0xffb801ff,0x80bff04f,
    0xd8aeeedb,0x01dfffff,0xeeeeec98,0xff1001ee,0xfefffd87,0x1bf21fff,
    0x0027ffc4,0x90000298,0x004fff98,0x2e00fffb,0xffe8ffff,0xff980007,
    0x3ffe003f,0xf30eec45,0xbfff10ff,0x3fffd100,0x001fff90,0x3fe0dfff,
    0x3fffea05,0xffffffef,0x7f403fff,0x1fffffff,0xfa8df700,0x5ff710cf,
    0xff80ffcc,0x0530005f,0xff312000,0x3ff6009f,0xffff8807,0x000fffd2,
    0x007fff30,0x3f62fffc,0x4416dc4f,0xf5005fff,0xfff909ff,0x5fff8801,
    0x7d40bff0,0xffffffff,0x2fffffff,0x3fffffa0,0xfb001fff,0xfb03ff89,
    0xfd04ff83,0x0a6000ff,0x3e624000,0xffb004ff,0xdfff900f,0x0003fff4,
    0x001fffcc,0xd333dfff,0x7c400dff,0xff3005ff,0x1fff90bf,0x03fffc80,
    0xfec80bff,0xccefffff,0x206ffffd,0xffffffda,0x47fd001f,0x05100ff8,
    0xfd988bfb,0x20019aff,0x89000029,0xb004fff9,0xff980fff,0x1fffa1ff,
    0x3ffe6000,0x3fffe003,0x06ffffff,0x017ffe20,0xfc86fff8,0xff9100ff,
    0x17fe03ff,0x3ffffe60,0x0fffe883,0x07ffee00,0xbf50ffc0,0x26df7000,
    0xfffffffe,0x29805fff,0xf9890000,0xffb004ff,0x4fffd80f,0x0003fff4,
    0x001fffcc,0xffffffff,0x7c400dff,0x3fa005ff,0xdfffc87f,0xfffdcccc,
    0x3ffaa4ff,0x80efffff,0x202ffff9,0x2002fffb,0xf001fffb,0x0027d43f,
    0xfffdb7dc,0xffffffff,0x0014c02f,0x7ffcc480,0x0fffb004,0x207fffd4,
    0xbc887ffe,0x3fff9800,0x3ffffe00,0x006fffff,0x8017ffe2,0xffc87ffe,
    0xffffffff,0x7fdc5fff,0x1fffffff,0x403fff98,0x2003fffa,0xf001fffb,
    0x0037cc5f,0xfffbafec,0xffffffff,0x0014c01f,0x7ffcc480,0x0fffb004,
    0x741ffff4,0x3ffc87ff,0x03fff980,0x333fffe0,0x2006fffc,0x2005fff8,
    0xffc86fff,0xffffffff,0x333103ff,0x7cc03333,0x7fd403ff,0x3fee003f,
    0x49fd001f,0x7c001ff8,0x3b33264f,0x01bcdfff,0x90000298,0x004fff98,
    0x3f20fffb,0x99999fff,0xffe87ffe,0x3fff9805,0xb17ffe00,0x7c400bff,
    0xff1005ff,0xffff90bf,0x1bdfffff,0xff300000,0xfffa807f,0x3ffee003,
    0xd8df7001,0x22fa81ef,0x3f201ff9,0x14c001ff,0x7c448000,0xffb004ff,
    0xfffff10f,0xffffffff,0x37ffc9ff,0x01fffcc0,0xfb8bfff0,0x3fe2003f,
    0xfff5005f,0x35fff907,0x08000333,0x03fff980,0x001fffd4,0x2003fff7,
    0x3fe23ff8,0x1ffeccff,0xffd01bee,0x0298001f,0xfff09000,0x1bffe00b,
    0x3fffffe2,0xffffffff,0x0dfff0ff,0x005fff50,0x0cc2fffc,0x17ffe200,
    0x40fffec0,0x0000fffc,0xf301bf20,0xffa807ff,0x3fee003f,0x3ff6001f,
    0x3ffff620,0x0ffea2df,0x007fff88,0x90000298,0x803fffb0,0xf884fffb,
    0xffffffff,0x27ffffff,0xfc806fff,0x3fe000ff,0xf100005f,0xffb00bff,
    0xfff901ff,0xfb100001,0xfff9809f,0x1fffd403,0x03fff700,0x2077fc40,
    0x7d40aba8,0x7ffcc06f,0x0a62a806,0x7dc24000,0xff701eff,0x999105ff,
    0xf9999999,0x7fc37fff,0x3fee01ef,0x7ffc007f,0xff100005,0x3f6a20bf,
    0xff902fff,0xe980001f,0xff9805ff,0x7ffd403f,0x3ffee003,0x77fcc001,
    0x1fff5002,0x27fff440,0x14d3fee0,0xfd048000,0xb7359fff,0x0009ffff,
    0xff0fffd0,0x7357dfff,0x007ffffd,0xdffffd73,0x40039ddd,0xeeffffda,
    0xffffffee,0xfffdb84f,0x02deeeef,0x807fff50,0xcefffec8,0xefffeb82,
    0x3bbb6a0b,0xeeefffee,0x3ea01cee,0x5cc09cff,0x9101effe,0xdddfffff,
    0xfffddddd,0x40000a6d,0xfffff104,0xdfffffff,0x3b6e2000,0x3e1cffff,
    0xffffffff,0x003fffff,0xfffffffd,0x200fffff,0xfffffff9,0xffffffff,
    0xffffb85f,0xffffffff,0x17ffc401,0x7ffffec0,0x3fee0fff,0xf53fffff,
    0xffffffff,0xffffffff,0x7fff4401,0xfffffeef,0x3fff600d,0xffffffff,
    0x35ffffff,0x81200005,0xffffffe9,0x0000dfff,0xfffffff9,0x3ff261ff,
    0xffffffff,0x3ffe003f,0xffffffff,0xff9800ff,0xffffffff,0x903fffff,
    0xffffffff,0xb005ffff,0x3ffa003b,0x20ffffff,0xfffffffb,0xffffff74,
    0xffffffff,0xb5003fff,0x9fffffff,0xffffd003,0xffffffff,0x265fffff,
    0x00900002,0xfffffff7,0xffd80007,0x0fffffff,0x7ffff5c4,0x54002dff,
    0xfffffffd,0x32002dff,0xfffffffe,0x200abdef,0xffffffc8,0x0004efff,
    0xffffb500,0xfec887df,0xd910dfff,0xffffffff,0x07dfffff,0x9aba9880,
    0x3ff66000,0xffffffff,0x261defff,0xcccccccd,0xcccccccc,0x2a6004cc,
    0x300000ab,0xdffffffb,0x1bb98807,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x53000000,0x55555555,0x55555555,0x554c0155,0x01aaaaaa,
    0x55555500,0x55555555,0x55505555,0x22015555,0x01aaaaaa,0x02aaaaa6,
    0x03555551,0x2aaaaaa2,0x2000aaaa,0x1aaaaaa8,0x2aaaaa20,0x555440aa,
    0xaaaaaaaa,0x555440aa,0xa881aaaa,0xa981aaaa,0xaaaaaaaa,0x0080000a,
    0x3fffee00,0xffffffff,0x1fffffff,0xffffffd0,0x8800dfff,0xffffffff,
    0xffffffff,0x3ffe0fff,0x42ffffff,0xfffffffb,0xfffff86f,0xfff30fff,
    0xfa8fffff,0xffffffff,0xfb800fff,0x6fffffff,0xffffff88,0xfff71fff,
    0xffffffff,0x3e23ffff,0xffffffff,0x3ffffee6,0x3ffea5ff,0xffffffff,
    0xfd98000f,0x000ccdff,0xfffffff7,0xffffffff,0xf103ffff,0xffffffff,
    0x7d4003ff,0xffffffff,0xffffffff,0xffff30ff,0xd89fffff,0xffffffff,
    0x3fffe60f,0xff73ffff,0x43ffffff,0xfffffffc,0x803fffff,0xfffffffd,
    0x7ffd41ff,0xb3ffffff,0xffffffff,0x7fffffff,0x3fffffea,0xffb1ffff,
    0x64ffffff,0xffffffff,0x4003ffff,0xfffffffb,0xfff7005f,0xffffffff,
    0xffffffff,0x3ffff603,0x04ffffff,0x7fffff40,0xffffffff,0xf10fffff,
    0xffffffff,0xfffffa83,0xffe85fff,0xf10fffff,0x8dffffff,0xfffffff9,
    0x800fffff,0xfffffff9,0xffff886f,0xf50fffff,0xffffffff,0x23ffffff,
    0xfffffff8,0x3ffee6ff,0x3e64ffff,0xffffffff,0x2a000fff,0xffffffff,
    0xfff7006f,0xfffb5559,0xfffb5557,0x7e554403,0x00ffffff,0x6fffe440,
    0xaaaaaaaa,0x7ec0fffd,0x4c01abff,0x203fffca,0x301cfffb,0x4c07fff9,
    0xaaefffaa,0x7fd44001,0x64c00aff,0x9809ffff,0xcfffdaaa,0xf9301aaa,
    0xf98159ff,0x300bffff,0x5557fffb,0xffff0003,0x03fffdbf,0x90bffee0,
    0xffc83fff,0xfffb001f,0x0007ffff,0x9007fff3,0xffb81fff,0x7fdc002f,
    0x3ffea01f,0x17ffdc03,0x006fff80,0x02fffd80,0x007fff90,0x000fffdc,
    0xf507fff5,0x9005ffff,0x9999bfff,0xf9803599,0x006646ff,0xc85fff70,
    0x7fe41fff,0xfff8801f,0x006fff9f,0x803fff98,0x7d40fffc,0x777643ff,
    0x007ffe43,0xb807fff5,0xff002fff,0xf50000df,0x3fe00dff,0x3ee000ff,
    0x3ea001ff,0x7ffdc3ff,0xff9001ff,0xffffffff,0x3ea03dff,0xb80003ff,
    0x7fe42fff,0x0fffe41f,0xea7ffdc0,0x4c001fff,0x274c3fff,0xff30dff5,
    0x6ffff89f,0x2a03ffec,0x7dc03fff,0xfff002ff,0x3fa0000d,0x7fd401ff,
    0x7fdc005f,0x3fea001f,0x3ffff23f,0x3ff2000e,0xffffffff,0xf983ffff,
    0xa80005ff,0x7fe40fff,0x03ffdc1f,0xf51fffe8,0xf98009ff,0x17ffc3ff,
    0xfff103b7,0x7ffffd4b,0x501fffa1,0xfb807fff,0xfff002ff,0x3ee0000d,
    0x7ff404ff,0x7fdc001f,0x3fea001f,0xffffd8bf,0x7fe4000e,0xdcccccdf,
    0x441fffff,0x0001ffff,0x7e437fc4,0x2ffc41ff,0x22fffd40,0x2000ffff,
    0x999cfff9,0x3e004fff,0x3fff66ff,0x1bffe3ff,0x337fff50,0xff733333,
    0x3ffe005f,0xff100006,0x3fe601ff,0xffb8006f,0x3fea001f,0x5ffffecf,
    0x1fff9000,0x27fff440,0x0037ffdc,0xffc81440,0xb002881f,0xffc85fff,
    0x3fe6003f,0xffffffff,0x9fffe004,0x16ffffff,0xfa80bfff,0xffffffff,
    0x02ffffff,0x000dfff0,0x81fffe40,0x8003fffc,0x2001fffb,0xfffffffa,
    0xf90000ff,0xffa801ff,0xffffa85f,0x32000004,0x20001fff,0xf987fff8,
    0x3e6006ff,0xffffffff,0x3ffa004f,0xffffff57,0x09fff31f,0xffffffa8,
    0xffffffff,0xdfff002f,0x7fcc0000,0xffff886f,0xfffb8000,0x3ffea001,
    0x1fffffff,0x0fffc800,0x546fff80,0x22ffffff,0x40003dec,0x0001fffc,
    0x6c13ffee,0xf3001fff,0xffffffff,0x7fec009f,0xfdfffd8f,0x3fffabff,
    0x7ffffd40,0xffffffff,0xfff002ff,0xfe80000d,0x7ffdc1ff,0xfff70004,
    0x7ffd4003,0xffffffff,0x7ffe4001,0x27ffcc00,0xfffffff5,0x5ffff11d,
    0x7ffe4000,0x3ffa0001,0xffffffff,0xf3004fff,0xff999bff,0x7fe4009f,
    0xf9ffffaf,0x2fffbeff,0x66fffd40,0xfdcccccc,0xfff002ff,0x019b300d,
    0x745fffa8,0x70001fff,0x54003fff,0xfb9fffff,0x2001ffff,0x6c00fffc,
    0x3ffe2fff,0xacfffeef,0x0004ffff,0x0007fff2,0x7fffffd4,0xffffffff,
    0xfff9800f,0x221fffc3,0xfbfff701,0x3fffa9ff,0x5401fffd,0x7dc03fff,
    0xfff002ff,0x07ffb00d,0x2a1ffff0,0x20005fff,0x2001fffb,0x220efffa,
    0x2006fffe,0x9880fffc,0xf30ffffc,0xfff31bff,0x01dfffdf,0x0fffe400,
    0xffffd800,0xffffffff,0xf9803fff,0x0ffec3ff,0xff507ff5,0x2e5fffff,
    0x0fffffff,0x01fffd40,0x400bffee,0xff806fff,0xfffc805f,0x005fffb3,
    0x00fffdc0,0x107fff50,0x2005ffff,0xfffffffc,0x3fffffff,0xfb87fff2,
    0x007fffff,0x01fffc80,0xeffff880,0xeeeeeeee,0xf9806fff,0x640983ff,
    0xfff986ff,0x3fe27fff,0xa807ffff,0x7dc03fff,0xfff002ff,0x0bfff00d,
    0xf3ffff10,0xb8000fff,0x2a001fff,0xff503fff,0x3ff200df,0xffffffff,
    0x7fec2fff,0xfffffe87,0xffc80004,0xffb8001f,0xfffb004f,0x3fff9803,
    0x10fffd00,0x8bffffff,0x07fffffe,0x403fffa8,0xf002fffb,0xfff00dff,
    0x3fff600b,0x0003fffe,0x000fffdc,0x6c07fff5,0xfc803fff,0xffffffff,
    0xffc80bdf,0x7fffc42f,0xfc80001f,0xfe8001ff,0xff5000ff,0xfff9809f,
    0x0fffd003,0x0bfffffe,0x0dfffff7,0x807fff50,0xf002fffb,0xfff00dff,
    0x3ffea00b,0x0000ffff,0x000fffdc,0x4407fff5,0x6400ffff,0x0199afff,
    0x33fffee0,0xfffffcaa,0x76d4004d,0xeeefffee,0xffb7101c,0x2a039dff,
    0x3dffffec,0x77fff654,0xeeeeeeee,0xfd07fffe,0xf881ffff,0x2605ffff,
    0x2defffec,0x77fff6d4,0x7f76dc1c,0xeeeeefff,0x05fffeee,0x3fffffa0,
    0x3b6e2005,0xeefffeee,0x76542dee,0x81ceefff,0x0bdefffd,0x3bffff6e,
    0xd002deee,0xffffffff,0x07ffffff,0x3ffffea0,0xffffffff,0xfffffc80,
    0x7cc0ffff,0xffffffff,0xffffff12,0xffffffff,0x20ffffff,0xd05ffffd,
    0x7409ffff,0xffffffff,0xffffff51,0x7ffdcdff,0xffffffff,0xffffffff,
    0x3ffee005,0x3f2001ff,0xffffffff,0x32ffffff,0xffffffff,0xfff981ff,
    0xfff75fff,0xffffffff,0xfff3003f,0xffffffff,0x2e009fff,0xffffffff,
    0xd80fffff,0xffffffff,0x7fffd40f,0xf33fffff,0xffffffff,0xffffffff,
    0x3ff20fff,0xfff702ff,0x7fffc07f,0xf52fffff,0xffffffff,0x7fffffe4,
    0xffffffff,0x005fffff,0x01bfffe2,0xffffffb0,0xffffffff,0x3fffea7f,
    0x80ffffff,0x95fffffd,0xffffffff,0x2005ffff,0xffffffd8,0x00dfffce,
    0xffffd910,0x07dfffff,0x3fffff66,0xffd903ef,0x6419dfff,0xfffffffe,
    0xffffffff,0xfff707ff,0x3ffe201f,0x3ff6a02f,0x7644efff,0x22dfffff,
    0xffffffc8,0xffffffff,0x4005ffff,0x4003fffd,0xffffffd9,0xceffffff,
    0x3ffffb20,0xff303eff,0x3f223bff,0xffffffff,0xba88004e,0x000001ab,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xa8800000,0xaaaaaaaa,0x80aaaaaa,0x201aaaa9,0x01aaaaa8,
    0x40355553,0x81aaaaa8,0xaaaaaaa8,0x001aaaaa,0x006aaaa6,0x20155555,
    0x202aaaa9,0xaaaaaaa8,0x55555500,0x00035555,0x55555544,0xaaaaaaaa,
    0xaa982aaa,0x553000aa,0x55510355,0x55555555,0xca880003,0x3ffea01b,
    0xffffffff,0x7f41ffff,0x986fffff,0x4fffffff,0x7ffffff4,0xfffff886,
    0x3ffe24ff,0xffffffff,0x6c03ffff,0x86ffffff,0xfffffff8,0x7fffff44,
    0xffff881f,0x220fffff,0xffffffff,0x01dfffff,0x3ffffe60,0xffffffff,
    0x7c6fffff,0x005fffff,0x4dfffffd,0xfffffff8,0xefffffff,0x3ffaa001,
    0xfa80dfff,0xffffffff,0x21ffffff,0xfffffff8,0x7fffdc1f,0x3fe27fff,
    0x41ffffff,0xfffffffb,0x3ffffea6,0xffffffff,0xf880efff,0x2fffffff,
    0x7fffffd4,0x3fffe27f,0xffb86fff,0x2fffffff,0x3fffffea,0xffffffff,
    0xffb800cf,0xffffffff,0xffffffff,0x3ffffe66,0x7fcc01ff,0xf51fffff,
    0xffffffff,0xbfffffff,0x9dfff300,0xff507ffd,0xffffffff,0xd83fffff,
    0x86ffffff,0xfffffff9,0x7ffffec3,0xffff886f,0x3fe23fff,0xffffffff,
    0x6fffffff,0xffffffd0,0xffff981f,0x7fec4fff,0x443fffff,0xffffffff,
    0x7ffff40e,0xffffffff,0x4400efff,0xfeefffff,0xffffffff,0x7fff46ff,
    0x7ec04fff,0x746fffff,0xffffffff,0xffffffff,0x641cc804,0x7ffd40ff,
    0xfaaaaaac,0xd880ffff,0xf300ffff,0x22017fff,0x500ffffe,0x201bffff,
    0xaacfffc9,0xfffecaaa,0xfffb303f,0x3ffe601f,0xff7100cf,0x5301ffff,
    0x4c05fffb,0xaaaaefff,0x5fffffdb,0xb9ffb300,0x55557fff,0xff70dfff,
    0x2201ffff,0x03ffffff,0x55bfff91,0xfffd9555,0x3f20005f,0x17ffd40f,
    0x02ffffb8,0x413fffa2,0x8805fffe,0xf886ffff,0xfa806fff,0x7fd403ff,
    0x7fff406f,0x0dfffb04,0xffffff10,0x07ffe40b,0x9017ffe0,0x2005ffff,
    0xfffd9ffe,0xa86fff80,0x04ffffff,0x5ffffff9,0x01fffd40,0x8017fff6,
    0xa86ffdcb,0xff982fff,0xff9803ff,0x7ffdc1ff,0xfff3000f,0xffffe8bf,
    0x3fffa800,0x407ffe80,0x542ffff9,0x8800ffff,0x2fffffff,0x801fff90,
    0xfd805fff,0xff8806ff,0xf01fffb7,0xfff50dff,0xff10ffff,0x405fffff,
    0x4403fffa,0xf7007fff,0xf301ffff,0xfff883ff,0x3ff2005f,0x3fffe26f,
    0x7ffd4002,0x3ffff93f,0x0fffea00,0x00ffff10,0x221ffff9,0x1003ffff,
    0xffffffff,0x01fff901,0x8805fff8,0x5c02fffe,0x1fffb5ff,0xa84ffd82,
    0x3fffffff,0x7fffffdc,0x3ffea02f,0x07ffe803,0xbfffb710,0x3fa1ffe0,
    0x74000eff,0xfffd4fff,0x3fee000b,0x2ffffdff,0x0fffea00,0x00dfff90,
    0x7ed7fffa,0x3e2005ff,0x5fffecff,0x400fffc8,0xf5005fff,0xffd809ff,
    0xf91fffb2,0x505ff73f,0xdfffbfff,0xffdfffe8,0x3ffea02f,0x2fffcc03,
    0x83ffd800,0x7ffe40b9,0xff98001f,0x0ffffdff,0x3fff6000,0x4004ffff,
    0x999bfffa,0xfffffda9,0xffff3003,0x001ffffb,0x7ce7ffc4,0x7fe42fff,
    0xfff3100f,0x2203333b,0x3e205fff,0x3fffb0ff,0x40267fff,0xffebfffa,
    0x7bfff52f,0x7d405fff,0x3ff203ff,0xf10003ff,0x3fea00bf,0x320003ff,
    0x2fffffff,0xfffe8000,0xfa8005ff,0xffffffff,0x005fffff,0x7fffffe4,
    0x7fc4002f,0x8dfff94f,0x7c40fffc,0xffffffff,0xdfff06ff,0xfb37fd40,
    0x0bffffff,0xf57fff50,0x3fff6dff,0x202fffba,0xaaadfffa,0xffffffdc,
    0x2a02a200,0xff9804ff,0xe80004ff,0x005fffff,0xfffff300,0xfff50001,
    0xffffffff,0xd0007fff,0x00bfffff,0x749fff10,0x3ff24fff,0x7fffdc0f,
    0xffffffff,0x207ffe81,0x3ff64ffc,0x805fffff,0xffd3fffa,0x2edfff7f,
    0x3ea02fff,0xffffffff,0x400effff,0xffeefffe,0x7f4400ff,0x300006ff,
    0x001fffff,0x3ffffa00,0xffa8004f,0xffffffff,0x403fffff,0xfffeeed8,
    0x005eeeff,0x7d49fff1,0xfff91fff,0xfffff981,0x0fffffff,0x3e07ffd8,
    0x3fff61ff,0xa805ffff,0xfff73fff,0x3ee7ffff,0x3fea02ff,0xffffffff,
    0xfa800dff,0x1dffffff,0x0ffffd80,0x3ff20000,0xf900002f,0x07ffffff,
    0xcdfffa80,0xffeecccc,0x36203fff,0xefffeeee,0xf1004eee,0xfffd89ff,
    0x301fff96,0x99dfff95,0x3ffa0179,0xfffff306,0xff9fffff,0xfff5009f,
    0x3ffffe27,0x0bffee7f,0xffffffa8,0x01ffffff,0x04d554c0,0x2ffffb80,
    0x4002fe88,0x0001fffb,0xfdffffb8,0x2a002fff,0x6cc03fff,0x2000ffff,
    0x0002fffb,0xf889fff1,0xfffcbfff,0x02fffc00,0x905fff88,0xffffffff,
    0x05ffd1ff,0x647fff50,0x2e4fffff,0x3ea02fff,0xfcaaadff,0x0001ffff,
    0xffff9800,0x00dff704,0x001fffb8,0xa7fffcc0,0x000ffffd,0x2007fff5,
    0x2002fffd,0x0002fffb,0xf509fff1,0x1fffdfff,0x005fff80,0x3a07fff5,
    0xffffffff,0x043c88ff,0x223fffa8,0x2e0fffff,0x3ea02fff,0xfff983ff,
    0x004401ff,0x5ffff880,0x001fff60,0x0003fff7,0x237fffc4,0x800efffe,
    0x1003fffa,0x36209fff,0xefffeeee,0xf1005eee,0x3ff609ff,0x400fffff,
    0xfb005fff,0xfff105ff,0xfffb3333,0x503bf201,0xffc87fff,0x17ffdc5f,
    0x207fff50,0x406ffff9,0xfe8003ff,0x3f600eff,0x3ee000ff,0xd10001ff,
    0xf881dfff,0xfa805fff,0xff3003ff,0x3bb6209f,0xeeefffee,0xfff1004e,
    0x3fffe209,0x7fc00fff,0xfffd805f,0x85ffb80f,0xff00fffd,0x3fffa85f,
    0x2e0e664c,0x3ea02fff,0x3fe603ff,0x3ffa04ff,0x3fff2004,0x7ffec01f,
    0x3ffee000,0xfffb0001,0x3ffe603f,0x7ffd404f,0xfffd8803,0x3ffee002,
    0xfff10002,0x7fffdc09,0x7ffc00ff,0xfffb5105,0x0fff605f,0x2203fff6,
    0x7fd44fff,0x7fdc003f,0x3ffea02f,0x7fffd403,0x1dffd102,0xfffff880,
    0xeeeeeeee,0x2a00ffff,0xefffeeed,0x6dc02cee,0x883fffff,0x2dfffffb,
    0x77fff654,0xfeeeeeee,0x200fffff,0xfffeedb8,0xb5003dee,0x05bdffff,
    0x01fffffd,0x3bffff6a,0xfffffeee,0xffdc85ff,0xffec8bef,0xeeeeeeff,
    0x3fae4fff,0x501ceeff,0x7bfffdd9,0xefffeca8,0xfff901ce,0x3ff207bf,
    0x3ffe600e,0xffffffff,0x00ffffff,0xfffffff5,0x01ffffff,0x3fffffea,
    0x7ffe43ff,0xf31fffff,0xffffffff,0xffffffff,0xffc807ff,0xffffffff,
    0x7ffcc02f,0x41ffffff,0x80fffff9,0xfffffff8,0xffffffff,0x7ffdc0df,
    0xffffffff,0xffffffff,0xff74ffff,0x1fffffff,0xffffff88,0xfff32fff,
    0x1fffffff,0x3fffffa0,0x40bff701,0xfffffff9,0xffffffff,0xfff500ff,
    0xffffffff,0x3fea03ff,0x44ffffff,0xfffffffd,0xfffff51f,0xffffffff,
    0x007fffff,0xfffffff9,0xa807ffff,0xffffffff,0xffffc82f,0xfffff980,
    0xffffffff,0xfff903ff,0xffffffff,0xffffffff,0x3ee9ffff,0xffffffff,
    0x7ffffcc0,0xff33ffff,0xffffffff,0x3fffe203,0x80fa602f,0xfffffff9,
    0xffffffff,0x3fb200ff,0xffffffff,0x7ff6403e,0x6cc0cfff,0x44efffff,
    0xffffffec,0xceffffff,0xffb1000b,0x9dffffff,0xfffd9001,0x3a209dff,
    0xfd700fff,0xdfffffff,0x6c40157b,0xd8dfffff,0xffffffff,0x14ffffff,
    0xdfffffd9,0x3fffae07,0x3b20ceff,0x3effffff,0x0277fdc0,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x02a20000,0x00017100,0x44000000,0x3000003d,0x0b980017,
    0x26620000,0x06200001,0x00988000,0x31000062,0x40000333,0x10000198,
    0x44001333,0x3fe2000a,0x3ffe2007,0x0000000d,0xff980a88,0x2600003f,
    0x22006ffe,0x540006ff,0xdffffffd,0xa8803c9b,0x1bdfffec,0x3ff6e200,
    0x3fa62eff,0xa8800dff,0xffffffec,0xed98002e,0x02ceffff,0x3ffff220,
    0x82dbbeff,0x3003fffc,0x2a003fff,0x00cfffff,0x32a20000,0x9acefffe,
    0x0005ffff,0xfffffd88,0x1fff5000,0xfffb1000,0xffffffff,0x7fd403ff,
    0xffffffff,0x7ffc401e,0xbcffffff,0x0effffff,0x3ffffe20,0x6fffffff,
    0xffff9100,0x1bffffff,0xfffffc80,0x7fffffff,0x03ffffc4,0x4400dfd0,
    0x3ffffffe,0xffc80000,0xffffffff,0x000fffff,0x3ffff220,0x3ee005ff,
    0x7cc001ff,0xffffffff,0x03ffffff,0xfffffff9,0x07ffffff,0x7fffffdc,
    0xffffffff,0x501fffff,0xffffffff,0x80bfffff,0xfffffff8,0x1fffffff,
    0xffffff90,0xffffffff,0x7ffffcc3,0x40006000,0xeffffffc,0xfe880002,
    0xffffffff,0x01ffffff,0x3fffee00,0x5c003fff,0x22001fff,0xbdeffffe,
    0xffffffec,0xfffffb84,0xfffedbce,0xfff101ff,0xffffd99d,0xffff9dff,
    0x3fffe20b,0xffdcbcde,0x3ffa01ff,0xfeccefff,0xf886ffff,0xcbceffff,
    0x41fffffe,0x0004fffe,0x3ff62000,0x001effff,0x3fffff60,0xfffecbcd,
    0xd50004ff,0x19ffffff,0x3fff7000,0x7fffe400,0xffff5103,0xeffff889,
    0xfffff501,0x7f405440,0x3fe25fff,0x035101ff,0x902fffc8,0x1019ffff,
    0xa89ffff5,0xb100cfff,0x37301fff,0x20000000,0xffffffe9,0x7fdc000d,
    0x7f440dff,0x000fffff,0x3fffffa6,0x2e0000df,0xf3001fff,0xf7003fff,
    0xfffb87ff,0xfffe8806,0xfffb8002,0x2fffe41f,0x3ffe6000,0x4ffff884,
    0x1ffffa80,0x803bffea,0x00004fe8,0x75400000,0x0cffffff,0x07fffb00,
    0xffffffd1,0xffb1009f,0x003dffff,0x03fff700,0x00fffea0,0x7ec1fff8,
    0xff7000ff,0x76dcc09f,0x9efffeef,0x7fff9999,0x7ff6e4c0,0x84fffeef,
    0x999efffa,0xc9999999,0x3fe23fff,0x9acdffff,0x00188020,0x2e000000,
    0x3fffffff,0x42fffc40,0xfbffffe8,0x3f2207ff,0x02efffff,0x3ffee000,
    0x3fff9001,0x7c164c00,0x3e2005ff,0xffd886ff,0xffffffff,0xffffffff,
    0xffd980ff,0xffffffff,0xfffb84ff,0xffffffff,0x4fffffff,0x7fffffdc,
    0x202effff,0x32a2fffc,0xcccccccc,0xcccccccc,0xffc88001,0x502effff,
    0xfe885fff,0xfffd2fff,0xfffff703,0x260007ff,0xfecccccb,0xcccccdff,
    0x01fff60b,0x1fffcc00,0x83fff600,0xfffffffb,0xffffffff,0x1fffffff,
    0x7fffffd4,0xffffffff,0xfffffd84,0xffffffff,0xb86fffff,0xffffffff,
    0x7c40dfff,0xfff36fff,0xffffffff,0xffffffff,0x7fec4000,0x641effff,
    0x3fa20fff,0x3fee2fff,0x3fffaa2f,0x0000cfff,0xfffffff1,0xffffffff,
    0x7fecffff,0xff300007,0xffd8007f,0xfffff30f,0xfffffdff,0xffffffff,
    0x7ffcc3ff,0xffeeffff,0xfc84ffff,0xffffffff,0xffffffff,0x3fb2a07f,
    0xefffffff,0x3ffffe60,0xffffffa8,0xffffffff,0x000fffff,0x3ffffaa0,
    0x7ffe44ff,0x0fffff61,0x3623fff7,0x1effffff,0x3ffea000,0xffffffff,
    0xffffffff,0x003fff90,0x01bffe00,0x7e4bfff0,0x7dc0afff,0xccccceff,
    0x3fa0cccc,0xa80acfff,0xffa84fff,0xccccccef,0xcccccccc,0xb98804c4,
    0x743ffffd,0x3ff64fff,0xffffffff,0x4fffffff,0xfffb3000,0xf701bfff,
    0x3fff6bff,0x87ffe83f,0xffffffe9,0xffb0000c,0xffffffff,0x7dffffff,
    0x0027ffd4,0x1fffe40c,0x23fffc80,0xf701fffc,0xf8800fff,0x7cc01fff,
    0xfff984ff,0xfd80001f,0xfff9800f,0x2601ca86,0x99999999,0x20000999,
    0xffffffc8,0x3ffe601e,0x83ffffdf,0x2a04fffb,0xcffffffe,0x33330000,
    0x335fff93,0xfff10133,0x3fa6007f,0x3fffea0f,0x3fff2203,0x13ffea1f,
    0x0fffffa6,0xfff30554,0x7ffe440b,0xffffd04f,0xf0aa2001,0xf8803bff,
    0x000007ff,0x7fdc0000,0x002effff,0xfffffffb,0xffffc889,0xffffb802,
    0x00003fff,0x4003fff7,0xabfffffb,0xffdba999,0x7fff43ff,0xfba9abef,
    0x7c45ffff,0xfcaadfff,0x9cffffff,0x226fffdb,0xa9bdffff,0xffffffcb,
    0x3fe20bdf,0x99acefff,0x4ffffdba,0x5bfffff3,0xfff95335,0x000000bf,
    0x3ffee000,0x4003ffff,0xeffffff8,0xffffca9a,0x3f22006f,0x02efffff,
    0x0fffdc00,0x3ffff200,0xffffffff,0x7c41ffff,0xffffffff,0x80efffff,
    0xfffffffc,0xffffffff,0x0fffffff,0x3ffffff6,0xffffffff,0x7dc3ffff,
    0xffffffff,0x6fffffff,0xfffffff1,0xffffffff,0x0000003f,0xfffea800,
    0x0000cfff,0xfffffffb,0xdfffffff,0xffb10001,0x003bffff,0x007ffee0,
    0x3fffff60,0xffffffff,0xfffb102f,0xffffffff,0x7ffe401b,0xffffffff,
    0xffffffff,0xffffe85f,0xffffffff,0xa84fffff,0xfffffffe,0x2fffffff,
    0x3ffffffa,0xffffffff,0x00000002,0x3ffff660,0x20001dff,0xfffffffc,
    0xdfffffff,0x7f4c0000,0x00cfffff,0x00fffdc0,0xffffd980,0x0befffff,
    0xfffeda80,0x7001ceff,0x99ffffff,0xfffff97f,0x7fdc05bf,0xacffffff,
    0x00dfffff,0x3ffffff2,0x40beffff,0xffffcdea,0x00bfffff,0x03ec8000,
    0x7ffffe40,0x5c0001ef,0xffddffff,0x01ceffff,0x7ff54000,0x2002ffff,
    0x0001fffb,0x55e654c4,0x2a20001a,0x260000ac,0x32a00acb,0x2ea2001b,
    0x00001abc,0x26af2ea6,0xcbaa8000,0x000009ab,0x003fff30,0x3fffffe6,
    0xfff00002,0x09ba88bf,0xfb800000,0x000fffff,0x0003fff7,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfff10000,0x3ffe6001,0x7400003f,
    0x000005ff,0x3ff22000,0xff3000ff,0x0000000f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2e0016d4,0x800000be,0x000003c8,0x5d930000,
    0x003ec800,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x01980000,0x40000033,0x3bb6a009,0xeec982ee,0x4ea82eee,
    0x00776200,0x88004c40,0xceeeeedb,0x77776541,0xddd30bde,0xdddddddd,
    0x0003dddd,0x3bb6a000,0x76541cee,0xb981ceee,0x202deeee,0xbdeeedb8,
    0x88172000,0xddb7004c,0x3dfff75d,0x073bffee,0xeeeeec98,0x37fff663,
    0x7ffffcc2,0xfffff83f,0x7ffc43ff,0xbcedb88e,0xb86fff88,0xfd8aeeed,
    0x201dffff,0xfffffffd,0x3fffe26f,0xf54fffff,0xffffffff,0x45ffffff,
    0x1bf101ed,0x7fffcc00,0x3fe26fff,0xe87fffff,0x1fffffff,0xffffff90,
    0xffb1009f,0x00dfd301,0xfffffff5,0xffdfffff,0x203fffff,0xcffffffe,
    0xffffffd8,0x3fffe66f,0x7ffc43ff,0x7c43ffff,0xffffefff,0x7fffffff,
    0x77ffffd4,0xffffffff,0xffffd03f,0x7c4dffff,0xffffffff,0xffffff55,
    0xffffffff,0x417ff45f,0x5001fff8,0xdfffffff,0x7fffffc4,0x7fff40ff,
    0xf902ffff,0x0bffffff,0xa83ffe88,0xfb801fff,0xffffffff,0xffffffff,
    0xffd06fff,0xfffdffff,0x7fffffff,0x1fffff5c,0x7ffffed4,0xfffffb83,
    0xffffffff,0x7ffd42ff,0xffffffff,0x982fffff,0xeffffffd,0x7ffff5c2,
    0xfff51dff,0xffffffff,0x7c41ffff,0xfffa83ff,0xffff9002,0xfffb85ff,
    0xfd982eff,0x3314efff,0x3fffb623,0x3fe600df,0x2fffb83f,0x3fffb200,
    0xffffcdff,0xffffcdff,0xffffda80,0xcfffffff,0xf983fffd,0x7fd403ff,
    0xffff903f,0xffffffff,0x3ffb205f,0xdcceffff,0x6406ffff,0x7ec03fff,
    0xfff983ff,0xfffff982,0x85fff981,0x1003fffa,0x21dffffb,0x04fffff9,
    0x7dc7ffe8,0x3ffe22ff,0x27ffdc05,0x0017ffe4,0x71ffffcc,0x7dc7ffff,
    0x7fcc02ff,0x20bfffff,0xff980cd9,0x7ffd403f,0xbffff303,0xffffd715,
    0xfffff980,0x0fffe883,0x03fffe20,0xf03fffcc,0xfff981ff,0x3fe601ff,
    0x7ffd40df,0x3fff2004,0xfffffbef,0x3fff9003,0xf72ffff4,0x7fe407ff,
    0x7ffec44f,0xfff30002,0x44fff989,0x4c02fffa,0x01ffffff,0x03fff980,
    0xb81fffd4,0xffd04fff,0x7ffcc03f,0x3ffee02f,0x1fffec02,0x203fffd8,
    0x7ffcc3da,0xff9801ff,0x7ffdc0ef,0xfff7000d,0x05ffffff,0x99fffd40,
    0xfb0fffff,0x3ff603ff,0x7fff444f,0x3fe60003,0x1fffcc3f,0x300bffea,
    0x001bffff,0x00fffe60,0x3607fff5,0xff701fff,0x7ffcc07f,0x1fffd403,
    0x21fffe60,0x000ffff8,0x0fffffcc,0x3ffff300,0x00efffb8,0xffffff50,
    0xff88003d,0xfffffb5f,0x221fffe7,0x7cc5fffe,0x40003fff,0x7cc3fff9,
    0x7ffd43ff,0x2fffcc02,0x3ffe6000,0x1fffd403,0x2206fff8,0x3e605fff,
    0x7fd403ff,0xfffd803f,0x027ffe43,0x3ffffea0,0xfffa8001,0x7fffe42f,
    0xffffd001,0x3fa0009f,0xfffff8ff,0x85fff8ef,0x20efffe9,0x004ffffa,
    0x21fffcc0,0x7d43fff9,0x7fcc02ff,0x7cc0004f,0x7fd403ff,0x1fffd03f,
    0x813ffe60,0x5403fff9,0xf9803fff,0x3ffe27ff,0x3fea000f,0x88000fff,
    0x261efffe,0x400dffff,0xffffffe8,0xffc8004f,0xffffffdf,0x103fffcf,
    0x4c1dfffb,0x0004fffe,0xf30fffe6,0xfffa87ff,0x27ffcc02,0x3ffe6000,
    0x1fffd403,0xb03fffc8,0x7cc05fff,0x7fd403ff,0xfffb003f,0x013fff27,
    0x0fffffa8,0xfffe8800,0x3fffe60d,0xfffe8803,0x0dffffff,0x3fffea00,
    0xffffcfff,0x7dc01fff,0x3f620eff,0xf30004ff,0xfff987ff,0x017ffd43,
    0x0013ffe6,0x809fff30,0xf503fffa,0x7dc45dff,0x3e600fff,0x7fd403ff,
    0xfff3003f,0x01ffff1f,0x3bfffea0,0x880cd980,0x7cc3fffe,0xf9801fff,
    0xffb3ffff,0x22001dff,0xf6ffffff,0x01ffffff,0x81dfff30,0x8004fffb,
    0x7cc3fff9,0x7ffd43ff,0x27ffcc02,0x3ffe2000,0xffffb306,0x3fffe607,
    0xfffffcff,0x3ffe600f,0x1fffd403,0xfdfffb00,0x3ea009ff,0xfb00efff,
    0xfffe887f,0x077ffcc1,0x7ffffd40,0x7ffffe42,0xffffd001,0x3ffff27f,
    0x3fa2006f,0x7ffcc0ef,0x7ffcc005,0x21fffcc3,0x4c02fffa,0x80004fff,
    0xb9acffff,0xeffffffd,0x3fffe20b,0xffffffff,0xff300eff,0xfffa807f,
    0x3ffea003,0xa800ffff,0xeeefffff,0x5fffeeee,0x3037ffa2,0x93009fff,
    0x83dfffff,0xcffffffa,0x7fffe400,0xfffff30f,0xbff90009,0x007ffb10,
    0x2fbfff6e,0x17dfff30,0x88fbffea,0xffffeedb,0x02deeeee,0xffffff90,
    0xffffffff,0x7fff47ff,0xffffffff,0x6445ffff,0x82cefffe,0x0befffeb,
    0xfffffd00,0x3fff6009,0xffffffff,0x3f66ffff,0x05ffd04f,0x3fffffe0,
    0x3ffe27ff,0x406fffff,0x6c5ffffa,0x0002ffff,0x2fe40ff5,0x7ffffd40,
    0xffff34ff,0x3fffea9f,0xfffffb3f,0xffffffff,0x3f6003ff,0xffffffff,
    0x34ffffff,0xff97ffff,0xfff97dff,0xfffffd8f,0x3fee0fff,0x003fffff,
    0x01fffff5,0x3fffff60,0xffffffff,0x80bf26ff,0xff1000ee,0x4fffffff,
    0xfffffff8,0x7ffc406f,0x7fffd42f,0x00220000,0x3ffee001,0xff35ffff,
    0x3fea9fff,0xfffd4fff,0xffffffff,0x4005ffff,0xeffffffd,0x0dffffbb,
    0x1310bffa,0x7f44ffc8,0x0fffffff,0x3fffffee,0x3ffa004f,0x3ff6005f,
    0xffffffff,0x006fffff,0xffda8000,0x75c2dfff,0x02dfffff,0xff07ffe8,
    0x000000df,0x7ff64400,0xfff31dff,0x3ffea1bf,0xfffb30cf,0xffffffff,
    0x510009df,0x50003577,0xa8298001,0x3efffffd,0x7ffff644,0x0000000d,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x64000000,
    0x0026002e,0x000000cc,0x401acb98,0x2a099998,0xcccccccc,0xcccccccc,
    0x7300cccc,0x2a200159,0xba8801ac,0x998801ac,0x99999999,0x01999999,
    0x7c4bffff,0x99504fff,0x40300005,0xaaaaaaa9,0xaaaaaaaa,0x01aaaaaa,
    0x7fcc0000,0x05ff9007,0x3004ffb8,0xffe9800b,0x3f604fff,0xfff51fff,
    0xffffffff,0xffffffff,0xffd883ff,0x3a604fff,0x81efffff,0xfffffff9,
    0x3ffff605,0xffffffff,0x3fffffff,0x3e27fff4,0x7ec43fff,0x5101efff,
    0xf113f201,0xffffffff,0xffffffff,0xdfffffff,0x7dc00000,0xfff801ff,
    0xffff702f,0x00bfd100,0x3f77ffe6,0xffff04ff,0x7ffffe4b,0xffffffff,
    0xffffffff,0x3ffffe21,0xffa85fff,0x1ffffdff,0x76f7ffdc,0xfff883ff,
    0xffffffff,0xffffffff,0x1fffec7f,0xf88bfffa,0x2fffffff,0x6c07ff44,
    0x7fffd45f,0xffffffff,0xffffffff,0x001fffff,0x3fff7000,0x5ffffb00,
    0x04ffffb8,0x803fffd8,0x7ff41ffd,0x0ffffcc0,0xffffffb1,0xffffffff,
    0x43ffffff,0xfebefffd,0x3bfe63ff,0x03ffae22,0x741bf201,0xffffffff,
    0xffffffff,0x7fe45fff,0x8fffec2f,0xffffffe8,0xffd13fff,0x43dfb05f,
    0xfffffff8,0xffffffff,0xffffffff,0x3100007f,0x4c1fffb8,0x7ffff440,
    0x0bffff72,0x5fffff90,0xfb82ea80,0x27ffdc1f,0x33333330,0x33333333,
    0x3e63fff9,0x3ffe42ff,0x3ea03ff9,0x7765c43f,0x7300ffdd,0x99999999,
    0x79999999,0x83fff703,0xff70fffc,0xffff55ff,0x0fffffbf,0x530bfff6,
    0x55555555,0x55555555,0x00035555,0x273ffee0,0xfdaafffc,0x7ff440ff,
    0x5ffffdff,0xfffffb80,0xf98001ff,0x0fffd86f,0xff900000,0x21bfea3f,
    0xbfd0fff8,0x3ea5fe80,0xffffffff,0x80000000,0xffa87ffa,0x887ffee7,
    0xfffffffe,0x7e5cd42f,0x0000005f,0x7ff40000,0xffffffff,0x883fffff,
    0xfffffffe,0xffff9805,0x000effff,0xf10bffea,0x000009ff,0xfb8fffe4,
    0x23ffd04f,0xa7fc05fe,0xcbbefffa,0x00000ffd,0x87ff9800,0x3b226ff9,
    0xfffffb01,0xdfff983f,0x3ffae4ff,0xffffffff,0xffffffff,0x0003efff,
    0xffffffb8,0xffffffff,0xfffd101f,0xff100bff,0xffff3dff,0x3ffee00d,
    0x00fffa82,0x3ff20000,0x81fff31f,0x3ff27ff9,0x367ff702,0x0ffb80ef,
    0x26666620,0x99999999,0x1bfe0099,0x20017fe2,0xd01cffea,0x261fffff,
    0xffffffff,0xffffffff,0xffffffff,0xd980001f,0xffffffff,0x6400cfff,
    0x403fffff,0x50efffe8,0x4409ffff,0xf901effd,0x8000007f,0xff11fffc,
    0x3ffaa3bf,0x2b7ffe26,0x366ffeb9,0xfda99aef,0x7fdc1bff,0xffffffff,
    0xffffffff,0xf04fe82e,0x0040009f,0x260bdb98,0xffffffff,0xffffffff,
    0xffffffff,0x2200000f,0xdffffffa,0xffff9001,0x7ec05fff,0x7fdc1fff,
    0xfffa83ff,0x03ffa00d,0xff900000,0x7fffdc3f,0x4c1fffff,0xffffffff,
    0x3fffe20e,0x7fffffff,0x3fffffe2,0xffffffff,0x87ffffff,0x05fb03fc,
    0x50000000,0xddddddd9,0xdddddddd,0x59dddddd,0xff500000,0x001fffff,
    0xfffffff9,0xfff505ff,0x3fff205f,0x0ffff21f,0x01ffc411,0x7fdc0000,
    0x7fffe41f,0xd9103fff,0x2207dfff,0xebcfffeb,0x7fff43de,0xffffffff,
    0xffffffff,0x0a202885,0x00000000,0x00000000,0x7fffc400,0x6405ffff,
    0xfe8dffff,0x7fec2fff,0x7ffec03f,0xffffff54,0x3e21ffff,0x30000004,
    0x3faa0fff,0x02001dff,0xb8800100,0xcccccccc,0xcccccccc,0x000000ac,
    0x00000000,0x00000000,0x4f7ffec0,0xf703ffff,0x7f44bfff,0x3fee2fff,
    0x1ffe8804,0xfffffff5,0x00003fff,0x01764000,0x00000004,0x00000000,
    0x00000000,0x00000000,0x4c000000,0xff70ffff,0xffff10ff,0xdfffd10b,
    0x05400298,0x33333331,0x00000333,0x40000000,0xbbbbbbb9,0xbbbbbbbb,
    0x00000000,0x00000000,0x00000000,0x80000000,0x7ec2fff9,0x0bfff07f,
    0x0027ff44,0x00000000,0x00000000,0xfffffb80,0xffffffff,0x000001ff,
    0x00000000,0x00000000,0x00000000,0x3607d900,0x009b502e,0x00001791,
    0x00000000,0x00000000,0x3fffffee,0xffffffff,0x0000001f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xff700000,
    0xffffffff,0x003fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__courier_bold_43_latin1_x[224]={ 0,8,4,2,3,2,4,8,10,4,3,1,7,3,
8,3,3,3,2,2,2,2,4,2,3,3,8,7,-1,0,1,3,3,-1,0,1,0,0,1,1,0,3,2,0,
1,-1,-1,0,2,0,0,2,1,0,-1,-1,0,0,2,9,3,4,3,-2,7,1,-1,2,1,1,2,1,0,2,
3,1,2,-1,0,1,-1,1,2,2,2,0,0,-1,0,0,3,6,9,6,2,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,8,3,1,2,0,
9,1,5,-1,5,1,-1,3,-1,-2,5,1,5,5,7,0,2,8,7,6,5,1,0,-2,0,3,-1,-1,-1,-1,
-1,-1,-1,1,0,0,0,0,3,3,3,3,-1,-1,0,0,0,0,0,3,0,0,0,0,0,0,2,0,1,1,
1,1,1,1,-1,2,1,1,1,1,2,2,2,2,1,0,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
 };
static signed short stb__courier_bold_43_latin1_y[224]={ 31,6,8,4,4,7,9,7,6,6,7,9,25,18,
26,4,6,6,6,6,7,7,6,7,6,6,14,14,9,14,9,7,6,8,8,7,8,8,8,7,8,8,8,8,
8,8,8,7,8,7,8,7,8,8,8,8,8,8,8,7,4,7,5,38,5,13,6,13,6,13,6,13,6,6,
6,6,6,13,13,13,13,13,13,13,8,14,14,14,14,14,14,6,7,6,16,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,31,14,4,7,11,8,
7,6,7,8,6,15,18,18,8,2,3,4,6,6,5,14,7,16,29,6,6,14,6,6,6,14,-1,-1,0,1,
1,-1,8,7,-1,-1,0,1,-1,-1,0,1,8,1,-1,-1,0,1,1,12,6,-1,-1,0,1,-1,8,6,5,5,
6,7,7,5,13,13,5,5,6,7,5,5,6,7,7,7,5,5,6,7,7,9,12,5,5,6,7,5,6,7,
 };
static unsigned short stb__courier_bold_43_latin1_w[224]={ 0,7,14,19,17,18,17,6,9,10,17,21,9,17,
7,17,17,17,18,19,18,19,17,18,17,18,7,10,23,23,23,17,16,25,22,21,21,21,22,22,23,17,22,23,
21,25,24,23,20,23,24,19,21,23,25,25,23,23,19,10,17,10,17,27,9,21,23,20,23,20,20,22,23,19,
15,21,19,25,22,21,23,23,20,19,21,22,23,24,23,23,17,11,5,11,19,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,7,17,20,19,23,
5,21,13,24,14,21,23,17,24,27,13,21,12,12,9,22,19,7,8,11,13,21,23,27,23,16,25,25,25,25,
25,25,25,21,21,21,21,21,17,17,17,17,22,24,23,23,23,23,23,17,23,23,23,23,23,23,20,21,21,21,
21,21,21,21,25,20,20,20,20,20,19,19,19,19,20,22,21,21,21,21,21,21,22,22,22,22,22,23,23,23,
 };
static unsigned short stb__courier_bold_43_latin1_h[224]={ 0,26,11,31,32,25,23,12,31,31,16,22,13,4,
6,32,26,25,25,26,24,25,26,25,26,26,18,22,22,12,22,25,29,23,23,25,23,23,23,25,23,23,24,23,
23,23,23,25,23,30,23,25,23,24,23,23,23,23,23,30,32,30,14,5,7,19,26,19,26,19,25,26,25,25,
33,25,25,18,18,19,26,26,18,19,24,18,17,17,17,25,17,31,30,31,9,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,0,25,29,24,18,23,
30,29,5,24,12,16,13,4,24,4,13,27,14,14,8,25,28,6,9,14,12,17,25,25,25,25,32,32,31,30,
30,32,23,32,32,32,31,30,32,32,31,30,23,30,33,33,32,31,31,16,28,33,33,32,31,32,23,26,27,27,
26,25,25,27,19,25,27,27,26,25,26,26,25,24,25,24,27,27,26,25,25,22,22,27,27,26,25,34,33,32,
 };
static unsigned short stb__courier_bold_43_latin1_s[224]={ 253,247,169,1,221,23,232,249,125,239,1,
94,68,116,248,155,152,84,65,89,135,223,47,237,215,133,241,243,70,145,23,
66,156,23,69,192,200,49,177,214,97,169,154,187,121,190,116,1,222,23,216,
91,1,111,143,71,45,21,1,230,1,219,37,213,241,185,109,116,1,207,127,
192,170,84,97,148,71,1,91,137,219,45,27,228,219,48,114,202,178,42,138,
135,250,65,184,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,
90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,90,253,243,138,
69,71,92,241,116,241,44,130,227,78,116,194,213,102,110,55,241,243,147,197,
248,204,243,116,156,123,111,47,239,19,45,39,193,90,129,164,185,71,207,171,
1,111,93,21,47,141,65,113,137,173,77,101,19,173,73,25,197,147,229,211,
170,132,88,25,25,170,154,159,180,1,22,1,159,199,69,139,24,102,1,43,
217,233,201,1,1,47,176,65,22,104,1,49,161, };
static unsigned short stb__courier_bold_43_latin1_t[224]={ 1,69,381,69,36,240,291,240,69,36,381,
339,381,394,339,36,160,187,187,160,266,214,187,187,160,160,240,214,339,381,339,
240,101,291,315,187,266,291,266,187,291,291,266,291,291,315,315,214,266,101,315,
214,291,266,291,291,315,315,315,69,36,69,381,381,330,339,160,339,187,339,240,
160,240,240,1,240,214,362,362,339,132,160,362,339,240,362,362,362,362,240,362,
69,36,69,381,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,
266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,266,1,132,101,
266,362,315,69,101,259,266,381,362,381,394,240,387,381,132,381,315,281,187,101,
346,381,266,381,362,187,214,214,101,36,36,69,69,101,36,315,1,36,1,69,
101,36,36,69,101,315,101,1,1,36,69,69,381,101,1,1,36,69,1,291,
160,132,132,187,214,187,132,339,214,132,132,160,214,132,160,214,266,187,266,132,
101,160,214,240,339,339,132,132,160,240,1,1,1, };
static unsigned short stb__courier_bold_43_latin1_a[224]={ 364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,364,
364,364,364,364,364,364,364,364, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_43_latin1_BITMAP_HEIGHT or STB_FONT_courier_bold_43_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_43_latin1(stb_fontchar font[STB_FONT_courier_bold_43_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_43_latin1_BITMAP_HEIGHT][STB_FONT_courier_bold_43_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_43_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_43_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_43_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_43_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_43_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_43_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_43_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_43_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_43_latin1_s[i] + stb__courier_bold_43_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_43_latin1_t[i] + stb__courier_bold_43_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_43_latin1_x[i];
            font[i].y0 = stb__courier_bold_43_latin1_y[i];
            font[i].x1 = stb__courier_bold_43_latin1_x[i] + stb__courier_bold_43_latin1_w[i];
            font[i].y1 = stb__courier_bold_43_latin1_y[i] + stb__courier_bold_43_latin1_h[i];
            font[i].advance_int = (stb__courier_bold_43_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_43_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_43_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_43_latin1_s[i] + stb__courier_bold_43_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_43_latin1_t[i] + stb__courier_bold_43_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_43_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_43_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_43_latin1_x[i] + stb__courier_bold_43_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_43_latin1_y[i] + stb__courier_bold_43_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_43_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_43_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_43_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_43_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_43_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_43_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_43_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_43_latin1_LINE_SPACING
#endif

