// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_44_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_44_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_44_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_44_latin1_BITMAP_HEIGHT        424
#define STB_FONT_courier_bold_44_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_bold_44_latin1_FIRST_CHAR            32
#define STB_FONT_courier_bold_44_latin1_NUM_CHARS            224

#define STB_FONT_courier_bold_44_latin1_LINE_SPACING          21

static unsigned int stb__courier_bold_44_latin1_pixels[]={
    0x0076a000,0x0b333200,0x0f3332a2,0x01300000,0x20000044,0x80000001,
    0x400002ea,0x70000002,0x2800003d,0x00051000,0x003b9000,0x9ff90000,
    0xffff0000,0xffffff09,0x6400000d,0x3ffb82ff,0xffeb8000,0x8000000c,
    0x00004ffc,0x0003dfb1,0x0fff6200,0x77ec4000,0x17fea001,0xfff00000,
    0x22000005,0x0000effe,0x4c4ffff8,0x06ffffff,0x3ffe0000,0x007ffe86,
    0x7edf7d40,0x22000004,0x0000effe,0x4fffffa8,0x7f440000,0xf700006f,
    0x2009ffff,0x0001fffd,0x13ffea00,0xfff30000,0x3e00001b,0xffd84fff,
    0x00006fff,0x3613ffa0,0x6c0005ff,0x00003ec7,0x00dffe98,0x7ffec400,
    0x001efffd,0x04fffa80,0xfffd8800,0x401efffd,0x0005fffb,0x6fffcc00,
    0xff880000,0x6400004f,0xf3102ccc,0x00000dff,0x5c405e44,0x2fc0000c,
    0x000007ee,0x0009fff1,0x25fffd10,0x001fffe8,0x00fffe60,0x3bffe200,
    0x03fffd12,0x00ffffc4,0x3fa20000,0xfb80005f,0x0000002f,0x006fff80,
    0x00000000,0x3a23f900,0xfb800006,0xf500002f,0xbff701bf,0x0ffe4000,
    0xdffb8000,0x405ffb80,0x0005fffc,0x01ff9000,0x000b8800,0xff000000,
    0x000000df,0x22000000,0x002ffeff,0x00015000,0x5c401b80,0x02a20000,
    0x80370000,0x7fc400b8,0x000000ff,0x00000330,0x4ccc4000,0x99999999,
    0x4cdfff00,0x8001bcca,0x98009999,0x88000999,0x00001ceb,0x00000000,
    0x00000000,0x40000000,0x0004fffc,0x26000000,0x99800999,0x7ff44099,
    0xffffffff,0xdfff06ff,0xffffffb3,0xffb807bf,0xc80effff,0x0effffff,
    0x00000000,0x10000000,0x00001575,0x000aba88,0x88000000,0x0000ffff,
    0x00aba880,0x3ffffee0,0xfffc80ef,0xff50efff,0xffffffff,0x3fe0dfff,
    0xffffffff,0x80efffff,0xfffffff8,0x7fffc42f,0x0003ffff,0xffd90000,
    0x5c19dfff,0xdffffffe,0xffffb801,0x0000dfff,0x3fffffee,0xfec800df,
    0x20ceffff,0xffffffeb,0x3fffd81d,0x3fee0000,0x00dfffff,0x3fffffe2,
    0x7ffc42ff,0xf33fffff,0xffffffff,0x3e0dffff,0xffffffff,0xffffffff,
    0xfffffe80,0xfffe81ff,0xb501ffff,0xffffffff,0xfff5000f,0x27ffffff,
    0xfffffff8,0x3fa605ff,0xffffffff,0x7f4c002f,0xffffffff,0x3ffea02f,
    0x13ffffff,0xffffffff,0xffff30bf,0xffd30000,0xffffffff,0x7ffff405,
    0xffe81fff,0x261fffff,0xcccccccb,0xff06fffc,0x357fffff,0xdffffd73,
    0x9ffff910,0x3ffee203,0x3ffe01ef,0xffffffff,0x7ffd4002,0x13ffffff,
    0xffffffff,0x3ffee0bf,0xffffffff,0xff7005ff,0xffffffff,0x3ea0bfff,
    0xffffffff,0xffffff13,0x3f60bfff,0x2e0003ff,0xffffffff,0x105fffff,
    0x039ffff9,0x3bfffee2,0xdfff0001,0x13ffffe0,0x03ffff70,0x300ffffa,
    0xf801ffff,0xffffffff,0xeb8005ff,0x0befffff,0x3fffff6a,0xfff980ce,
    0xfdbaceff,0x4c04ffff,0xacefffff,0x4fffffdb,0xfffffd70,0x7fed417d,
    0x500cefff,0x2000dfff,0xcefffff9,0xfffffdba,0x0ffffa04,0x01ffff30,
    0x837ffc00,0x9005ffff,0x3ea07fff,0x3f600fff,0xfd9804ff,0xffffffff,
    0xff88000f,0xfff5005f,0x7ffff407,0xffffd102,0x7ffff403,0xffffd102,
    0x17ffe203,0x01fffd40,0x0017fff4,0x817ffff4,0x01ffffe8,0x401ffff5,
    0x0004fffd,0xff837ffc,0x3fe000ff,0x3fffa05f,0x1ffff303,0xffff3000,
    0x10009fff,0x2a00bfff,0xff903fff,0xff9001df,0x3fff20df,0xfffc800e,
    0x0bfff106,0x00fffea0,0x001bffea,0x001dfff9,0x740dfff9,0xff303fff,
    0xf80001ff,0xdfff06ff,0x0fffe800,0x01ffff30,0x0009fffb,0x3ff7fff6,
    0xff88007f,0xfff5005f,0x3ffff307,0x27fff400,0x007fffe6,0x884fffe8,
    0xf5005fff,0x3fa007ff,0xff3002ff,0x7f4003ff,0xfff304ff,0x9fffb01f,
    0xdfff0000,0x001fffe0,0x6c01fffd,0x7fcc3fff,0xf88000ff,0xfffd8fff,
    0x7ffc4002,0x7fff5005,0x009fff70,0x5c6fffa8,0x54004fff,0xff886fff,
    0xfff5005f,0x3ffee007,0x9fff7006,0x6fffa800,0x30ffff60,0x0001ffff,
    0x3e0dfff0,0xf1001fff,0xff980fff,0x3fff60ff,0xfff70004,0x017ffeab,
    0x00bfff10,0x320fffea,0xe8000fff,0x7ffe47ff,0x7ffe8000,0x005fff88,
    0x4007fff5,0xc801ffff,0xe8000fff,0x3fe607ff,0x3fff60ff,0xfff00004,
    0x1bfffe0d,0x02fffe40,0xf9a7ffec,0xd0000fff,0x7ffc3fff,0x3fe2000f,
    0xfff5005f,0x00fffd07,0xe87fff20,0xf90007ff,0xfff883ff,0x7fff5005,
    0x2fffdc00,0x003fff40,0x201fffc8,0xff34fffd,0x200001ff,0xfff06fff,
    0x7ec01bff,0xf9803fff,0xfffd8fff,0xfff50004,0x04fffc8d,0x017ffe20,
    0x7c1fffd4,0xf70006ff,0x37ffc5ff,0x2fffb800,0x802fffc4,0x2003fffa,
    0x401ffff8,0x70006fff,0x7cc05fff,0xfffd8fff,0x3fe00004,0xfffff06f,
    0xfb7579ff,0x400bffff,0xfffdfffd,0xffb0000f,0x7fff887f,0x17ffe200,
    0x21fffd40,0x0005fff8,0x3e27fff5,0xf50005ff,0xfff887ff,0x7fff5005,
    0x4fffc800,0x017ffe20,0x01fffd40,0x3ff7fff6,0x200000ff,0xfff06fff,
    0xffffffff,0x01dfffff,0x7ffffcc0,0xf10004ff,0xffb01fff,0x3fe2005f,
    0xfff5005f,0x00dfff07,0xf8bffee0,0xf70006ff,0xfff885ff,0x7fff5005,
    0xffff8800,0x01bffe00,0x017ffdc0,0x3fffffe6,0x7c00004f,0xffff06ff,
    0xffffffff,0x0001bfff,0x1ffffffb,0x3ffee000,0xfb99999d,0xff1005ff,
    0x3fea00bf,0x07ffe83f,0x43fff900,0x90007ffe,0xff883fff,0xfff5005f,
    0xfffb0007,0x03fff409,0x01fffc80,0xffffffd8,0x7fc00000,0x1dfff06f,
    0xfffffff9,0x7cc0003d,0x0004ffff,0x3ffffffa,0xffffffff,0x5fff8800,
    0x07fff500,0x0001fff9,0xffc8fffd,0xffe8000f,0x05fff887,0x007fff50,
    0x01ffff30,0x0003fff2,0x4c01fffa,0x004fffff,0x06fff800,0x54c4dfff,
    0x000009ab,0x001ffffb,0x3ffffea0,0xffffffff,0xff8804ff,0xfff5005f,
    0x09fff705,0x46fffa80,0x4004fffb,0xf886fffa,0xff5005ff,0x3f60005f,
    0xfff703ff,0xfffa8009,0x3fff6006,0xf800000f,0xdfff06ff,0x74000000,
    0x20004fff,0xfffffffd,0xffffffff,0x0fffd007,0x207fff20,0x001ffff9,
    0xf313fffa,0x74003fff,0xffd04fff,0x3fff200f,0xfff30001,0x3fffe60f,
    0x3fffa001,0x3fffa004,0xf9800004,0xdfff05ff,0x2a000000,0x0000ffff,
    0xdddffff1,0xfddddddd,0xff9005ff,0xfff9807f,0x3bfff207,0x6fffc800,
    0x01dfff90,0x40dfff90,0x4c03fffc,0x40007fff,0xf903fffe,0xf9001dff,
    0x7d400dff,0x00000fff,0xf03fffd8,0x00000dff,0x013fffa0,0x04fffb80,
    0x00bfff30,0x207ffff5,0x405ffff9,0x102ffffe,0x405ffffd,0x102ffffe,
    0x405ffffd,0x303ffffa,0x000bffff,0x206fffa8,0x102ffffe,0x005ffffd,
    0x0027fff4,0x3fff2600,0x0dfff01f,0xff500000,0x740001ff,0x3a001fff,
    0xfd800fff,0xdbabefff,0x400fffff,0xcefffff9,0xfffffdba,0x7fffcc05,
    0xffdbacef,0xfd805fff,0xdbabefff,0x000fffff,0x02fffe80,0x9dfffff3,
    0xfffffb75,0x7ffd400b,0xeca8000f,0xffffeeee,0x7ff5cc6f,0x002deeff,
    0x3bbb6e60,0x02cfffff,0x3fffb220,0xd9303def,0x03bdffff,0x7fffff44,
    0x2fffffff,0xfffff700,0xffffffff,0xfff7001b,0xffffffff,0xd1001bff,
    0xffffffff,0x0005ffff,0x81bffee0,0xfffffffb,0x0dffffff,0xfeeedb98,
    0x002cffff,0x3fffffea,0x20efffff,0xfffffff8,0x0003ffff,0xfffffffd,
    0x001fffff,0x3ffffff2,0xfff81fff,0x06ffffff,0x7ffffec4,0x002fffff,
    0x7fffff4c,0x002fffff,0x7fffff4c,0x002fffff,0x7ffffec4,0x002fffff,
    0x03fff400,0x3fffffa6,0x202fffff,0xfffffffe,0x000fffff,0xfffffff7,
    0xf881dfff,0xffffffff,0xff0004ff,0xffffffff,0x36005fff,0xffffffff,
    0xfffff82f,0x5007ffff,0xbfffffff,0x7fdc0001,0x00dfffff,0x3fffee00,
    0x0000dfff,0x3fffffea,0x800000df,0xf7005ff9,0x1bffffff,0xffffff80,
    0x2fffffff,0xffffb100,0x64037dff,0xfffffffe,0xd70000df,0xffffffff,
    0x6cc00bff,0x4effffff,0xfffffb50,0xa88005bf,0x400001ab,0x0000aba8,
    0x0055d440,0x2aea2000,0x88000001,0xaba88001,0x3ffae000,0xffffffff,
    0x33330005,0x99988001,0x20000199,0x99999998,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x98800000,0x01999999,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x01980000,0x00bb1000,0x00013000,0x00275400,0x33333326,
    0x99999932,0x06ec0015,0x0a000000,0x00772000,0x01722000,0xb8800500,
    0x03e98001,0x7d400000,0x7d40005f,0x200000ff,0x00003ffb,0x2003fff0,
    0xfffffffe,0xffffff54,0xff1001ff,0x0000003f,0x0003dfb1,0x0001fff4,
    0x001ffd30,0x003dfb10,0x50007ffa,0x00001dff,0x01fffa00,0x02fffb80,
    0xfffd3000,0x400003df,0x8803fff9,0xffffffff,0xffffff54,0x3ee005ff,
    0x000003ff,0x13ffffea,0x27ffcc00,0x7ffd4000,0xfffb8003,0x7fcc04ff,
    0xffd8004f,0x4000001e,0x0005fffa,0x0003fffb,0x3bbffee0,0x00003fff,
    0x001bfff7,0xfffffffb,0x3ffffea9,0x7d4006ff,0x400004ff,0xffdfffd8,
    0xe98001ef,0x90000dff,0x88005fff,0xfffdfffd,0x9fff301e,0x3fff2000,
    0x3a000002,0xd8002fff,0x00000eff,0x7e49fff9,0x320004ff,0xefffffff,
    0x755102ed,0x3fea9fff,0x0000aadf,0x0009ffd3,0x4bfffa20,0x001fffe8,
    0x006ffd88,0x001effc8,0x8977ffc4,0xf981fffe,0x2a0004ff,0x00002fff,
    0x006fffa8,0x0005ff88,0x207bfe20,0x4000ffe9,0xffffffe8,0x807fffff,
    0xff54fff9,0x2200009f,0x500007fd,0xff701bff,0x7fe4000b,0x077f4001,
    0x06ffdc00,0x7cc2ffdc,0x4c0004ff,0x800004ff,0x0003fffd,0x50000033,
    0x00057007,0xfffffffd,0x03ffffff,0xf54fff98,0x800009ff,0x2e00001a,
    0x0005c401,0x26000a60,0x00dc0002,0x3fe602e2,0xa880004f,0x7cc00000,
    0x000007ff,0x00000000,0x7ffffdc0,0xffffecbe,0x7ffcc01f,0x009fff54,
    0x00000000,0x00000000,0x00000000,0x13ffe600,0x00000000,0x003fffd8,
    0x00000000,0x7fec0000,0xfffb305f,0x4fff9801,0x0009fff5,0x00000000,
    0x00000000,0x00000000,0x013ffe60,0x40000000,0x800ffff8,0xffffffda,
    0xa80007ff,0xfffffffd,0xfff0007f,0x37fc401f,0xaa7ffcc0,0x2a004fff,
    0xfffffffd,0xfd70007f,0xffffffff,0xffffffff,0x7fffe449,0xffffffff,
    0x3ff222df,0xffffffff,0x3222dfff,0xffffffff,0x22dfffff,0xd904fff9,
    0x19dfffff,0x7fffff5c,0x3f2001df,0xfff004ff,0xffffffff,0xfff80005,
    0xffffffff,0xfffe8002,0x40054400,0xff54fff9,0x7ffc009f,0xffffffff,
    0x7ffcc002,0xffffffff,0xffffffff,0x3fffff24,0xffffffff,0x3fff26ff,
    0xffffffff,0x3f26ffff,0xffffffff,0x26ffffff,0xfa84fff9,0xffffffff,
    0xffffff13,0x2200bfff,0xf000ffff,0xffffffff,0xf8000bff,0xffffffff,
    0xfd8005ff,0x0000aeff,0xf54fff98,0x7fc009ff,0xffffffff,0x7fcc005f,
    0xffffffff,0xffffffff,0x3ffff24f,0xffffffff,0x3ff26fff,0xffffffff,
    0x326fffff,0xffffffff,0x6fffffff,0x2a13ffe6,0xffffffff,0xfffff13f,
    0x200bffff,0x2005fffc,0xffffffd9,0x0000ffff,0x3fffff66,0x000fffff,
    0x7fffffcc,0xf30002bd,0x3ffea9ff,0x3ff66004,0xffffffff,0x7fedc000,
    0xffffffff,0x4fffffff,0x3ffffae2,0xefffffff,0x3ffae21c,0xffffffff,
    0x3ae21cef,0xffffffff,0x261cefff,0xfd704fff,0x417dffff,0xefffffda,
    0xfff8800c,0x3e60001f,0x04ffffff,0x3ffe6000,0x8004ffff,0xfffffffc,
    0x26002dff,0xfff54fff,0x7fcc0009,0x004fffff,0x009fff30,0x3009fff3,
    0x40009fff,0x0004fff9,0x2013ffe6,0x2204fff9,0xf5005fff,0x7dc007ff,
    0x6c0005ff,0x7fffdfff,0x3ff60000,0x007fffdf,0xffffff70,0x001bffff,
    0x3ea9fff3,0x360004ff,0x7fffdfff,0x9fff3000,0x09fff300,0x009fff30,
    0x027ffcc0,0x09fff300,0x409fff30,0x5005fff8,0x7c007fff,0x20001fff,
    0xfd8ffff8,0x880002ff,0xffd8ffff,0xb710002f,0xffffffff,0x9fff300d,
    0x0013ffea,0x6c7fffc4,0x98002fff,0x20884fff,0x9803fff8,0x20004fff,
    0x0004fff9,0x2013ffe6,0x2204fff9,0xf5005fff,0x3ea007ff,0x5c0006ff,
    0xfff55fff,0xff70000b,0x17ffeabf,0x7edcc000,0x4c03ffff,0xfff54fff,
    0x3fee0009,0x0bfff55f,0x89fff300,0x3ffa2ffa,0x4fff9801,0x3ffe6000,
    0x3fe60004,0xfff9804f,0x17ffe204,0x01fffd40,0x002fffe8,0xf0ffff40,
    0x80001fff,0x3fe1fffe,0x800000ff,0x4c06fffc,0xfff54fff,0x3ffa0009,
    0x03fffe1f,0x89fff300,0x00545ffd,0x004fff98,0x013ffe60,0x04fff980,
    0x204fff98,0x5005fff8,0xf5007fff,0xa8000dff,0x7fe46fff,0x3ea0004f,
    0x7ffe46ff,0x01ed8804,0x980ffff0,0xfff54fff,0xfff50009,0x04fffc8d,
    0x56fffcc0,0x007fffaa,0x013ffe60,0x04fff980,0x13ffe600,0x813ffe60,
    0x5005fff8,0xfd007fff,0xd80005ff,0x7fc43fff,0x3f60007f,0x7ffc43ff,
    0x06ffb807,0x980fffd0,0xfff54fff,0xfffb0009,0x07fff887,0x7ffffcc0,
    0x007fffff,0x013ffe60,0x04fff980,0x13ffe600,0x813ffe60,0x5005fff8,
    0xf9807fff,0x440007ff,0xfd80ffff,0xf88002ff,0xffd80fff,0x7ffec02f,
    0x37ffdc03,0x553ffe60,0x44004fff,0xfd80ffff,0x3e6002ff,0xffffffff,
    0x3e60007f,0x260004ff,0x20004fff,0x9804fff9,0x3e204fff,0xff5005ff,
    0xfffd807f,0x7fdc0003,0xb99999df,0xb8005fff,0x9999dfff,0x405fffb9,
    0x21dffffe,0x4ffffda8,0xaa7ffcc0,0x5c004fff,0x9999dfff,0x005fffb9,
    0x3fffffe6,0x0007ffff,0x0013ffe6,0x004fff98,0x013ffe60,0x8813ffe6,
    0xf5005fff,0x7fcc07ff,0x740000ff,0xffffffff,0x00ffffff,0x7fffff40,
    0xffffffff,0x3fffa00f,0xfffeffff,0x4c00ffff,0xfff54fff,0xfffe8009,
    0xffffffff,0xf3000fff,0xff555bff,0x7cc000ff,0x260004ff,0x20004fff,
    0x9804fff9,0x3e204fff,0xff5005ff,0x7ffec07f,0x7fd40004,0xffffffff,
    0x004fffff,0x3fffffea,0xffffffff,0x3fff604f,0xffffffff,0xf9802fff,
    0x9fff54ff,0x7fffd400,0xffffffff,0xf3004fff,0x6ffd89ff,0x7cc005c4,
    0x260004ff,0x20004fff,0x9804fff9,0x3e204fff,0xff5005ff,0x3ffe207f,
    0x7ec0000f,0xffffffff,0x07ffffff,0x3fffff60,0xffffffff,0x3fee07ff,
    0xffffffff,0xf3001eff,0x3ffea9ff,0x3fff6004,0xffffffff,0x3007ffff,
    0xffa89fff,0x4c03ffc2,0x20004fff,0x0004fff9,0x2013ffe6,0x2204fff9,
    0xf5005fff,0x3ff205ff,0x7c40004f,0xeeeeefff,0xfffeeeee,0xffff8802,
    0xeeeeeeee,0x202fffee,0xffeb98ba,0x4c002cff,0xfff54fff,0x3ffe2009,
    0xeeeeeeef,0x02fffeee,0x884fff98,0x017ffcc0,0x0013ffe6,0x004fff98,
    0x013ffe60,0xd013ffe6,0x3f200fff,0xfff881ff,0x7dc0000f,0xff3004ff,
    0xfff700bf,0x3ffe6009,0x7ffcc005,0xfff30004,0x013ffea9,0x8027ffdc,
    0x9805fff9,0xf5004fff,0xff9807ff,0x3e60004f,0x260004ff,0xf9804fff,
    0x7fe404ff,0x7ffcc03f,0x0bfff707,0x3fffd000,0x07fff400,0x007fffa0,
    0x000fffe8,0x4013ffe6,0xfffeeec9,0xdddfff54,0x3fffa05b,0x3fffa001,
    0x27ffcc00,0x03fffa80,0x0027ffcc,0x009fff30,0x027ffcc0,0x2027ffcc,
    0x303ffffa,0x3e0bffff,0x10001fff,0xbdffffd9,0x3ffb2607,0x3221deff,
    0x3deffffe,0xffffd930,0xff3003bd,0x3ffa009f,0xf54fffff,0x3fffffff,
    0x3ffffb22,0xfd9303de,0xa83bdfff,0xeeffffed,0xeeeeeeee,0xdb713fff,
    0xdffffddd,0x5c439ddd,0xfffeeeed,0x21ceeeef,0xfeeeedb8,0xceeeefff,
    0x013ffe61,0x2fbffff6,0xfffffdba,0x05fffb80,0x3ffff200,0xf81fffff,
    0xffffffff,0x3fffff26,0xff81ffff,0x6fffffff,0x03fff980,0xfffffff0,
    0x3fffea9f,0xff92ffff,0x3fffffff,0xfffffff0,0x7ffc4dff,0xffffffff,
    0xffffffff,0xfffff93f,0xffffffff,0x7ffe4dff,0xffffffff,0x3f26ffff,
    0xffffffff,0x26ffffff,0x8803fff8,0xfffffffe,0xb02fffff,0x40005fff,
    0xfffffffd,0xffff82ff,0x367fffff,0xffffffff,0xfffff82f,0xf007ffff,
    0x3aa003ff,0x54ffffff,0x9dffffff,0x7fffffec,0xfff82fff,0x27ffffff,
    0xfffffff9,0xffffffff,0xf93fffff,0xffffffff,0x4dffffff,0xfffffffc,
    0xffffffff,0x3fffff26,0xffffffff,0x06fdc6ff,0xffffd880,0x02ffffff,
    0x00017fea,0xffffffb3,0x3ff6a09d,0x262dffff,0xeffffffd,0xffffb504,
    0x2a005bff,0x0000003d,0x7fffecc0,0xfb504eff,0x85bfffff,0xffffffeb,
    0xffffffff,0xf913ffff,0xffffffff,0x445bffff,0xfffffffc,0x2dffffff,
    0x3fffff22,0xffffffff,0x2a00002d,0xdfffffff,0x00029800,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x0001aba8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xb8837300,0x0000dcc1,
    0x00d5dd4c,0x15005400,0x0009d700,0x00150054,0x005c8800,0x0001db80,
    0x005c8800,0x70077660,0x002b8817,0x00054015,0x040676cc,0x3fffa600,
    0x7cc7ffa3,0x44001fff,0xfffffffb,0x003ec8bf,0xffd01ffd,0x27ffcc03,
    0x407ff400,0x00001ffe,0x0001ffd3,0x0003ffe8,0x03ffa600,0x17ffe200,
    0x7e45ffb8,0x07ff404f,0xb000fff4,0x547fffff,0xfff1007f,0x3ffe6bff,
    0x3fffff74,0x3fffea00,0xffffffff,0x7d400fff,0x7ffcc3ff,0x3fffe604,
    0x3ffea001,0x027ffcc3,0x1fffd400,0x7ffcc000,0xfa800004,0xf90003ff,
    0x7fec0dff,0x5037ffc7,0xff987fff,0xfff9004f,0xffbdfffb,0xfffb001f,
    0x3ffe65ff,0xffffff14,0xfffff700,0xffffffff,0xf8805fff,0x2fff81ff,
    0x02ffff40,0xf03fff10,0xc80005ff,0x00002fff,0x003bffa6,0x17ffe400,
    0xffff9800,0x89fffa02,0x3e206fff,0x2fff81ff,0x2619f900,0x01fffffe,
    0x417ffff0,0x2e24fff9,0x2a01ffff,0xbdefffff,0xfffffeca,0x02c9802f,
    0xff500593,0x64c003ff,0x00059302,0x001effc8,0x6ffd8800,0xeffc8000,
    0x3ff20001,0x3fffc07f,0x980bfff1,0x0059302c,0x05bd7008,0x42fffcc0,
    0xfb84fff9,0xfff103ff,0x7f4c05ff,0x00002fff,0x5fffe800,0x00000000,
    0x0000efe8,0x00ffe400,0x003bfa00,0x3ffff880,0xf337ffc0,0x000009ff,
    0x20000000,0xf984fff9,0xfffa84ff,0x5ffff903,0x0bfffa00,0x2e000000,
    0x0001ffff,0x14c00000,0x53000000,0x00530000,0x0ffff900,0x7ccdfff0,
    0x000004ff,0x0aba8800,0x4fff9800,0xa84fff98,0xfff03fff,0x7fdc005f,
    0x5d44001f,0xfff0000a,0x000000bf,0x00000000,0x00000000,0x7fffc400,
    0x2fffc403,0x0007fff5,0x7fdc0000,0x00dfffff,0x309fff30,0xff509fff,
    0xffff507f,0x07ff8800,0x3ffffee0,0x2e000dff,0x7640ffff,0x0cefffff,
    0x3fffffae,0x000001df,0x00000000,0xffb80000,0x7fcc00ff,0x0fffea5f,
    0x3fffff22,0xffffffff,0x7ff4c02d,0xffffffff,0x4fff9802,0xa84fff98,
    0xffb83fff,0x0a88005f,0xffffe980,0x02ffffff,0x45ffff10,0xfffffffa,
    0xffff13ff,0x5cbfffff,0xfffffffe,0xffffffff,0x7ff5c4ff,0xffffffff,
    0x4fffffff,0x77fffed4,0xffffb703,0x4fffd89d,0x3fff6e20,0xdfffdcce,
    0x3ffff20b,0xffffffff,0x3ee06fff,0xffffffff,0x4c05ffff,0xff984fff,
    0x3fffa84f,0x002fffc8,0x3ffee000,0xffffffff,0xffd005ff,0x7fffd47f,
    0xf13fffff,0xffffffff,0x3ffffe6b,0xffffffff,0x24ffffff,0xfffffff9,
    0xffffffff,0x7fc4ffff,0x42ffffff,0xfffffff8,0x0bfffa2f,0x7fffffdc,
    0xffffffff,0xffff93ff,0xffffffff,0x3e60dfff,0xbaceffff,0x04fffffd,
    0x2613ffe6,0xffa84fff,0x0fffd83f,0xff300000,0xb759dfff,0x009fffff,
    0xeb89fffb,0x0befffff,0x3fffff6a,0xffff30ce,0xffffffff,0x9fffffff,
    0x7fffffcc,0xffffffff,0x7c4fffff,0x2fffffff,0x7fffffc4,0x3fffe2ff,
    0xfffffb01,0xffffffff,0x3ae2bfff,0xffffffff,0xd01cefff,0x2205ffff,
    0x501ffffe,0xff109fff,0x9fff507f,0x001fffb0,0x3fffa000,0xfffd102f,
    0xfffb803f,0x05fff886,0x707fff50,0xfffffffb,0xffffffff,0xffdb89ff,
    0xffffffff,0x4fffffff,0x7ffffecc,0xfffff503,0x7fffcc7b,0xfffff500,
    0xffffffff,0xf9805fff,0x3f2004ff,0xfc800eff,0x7f5c46ff,0x09b502ff,
    0x82ffffe6,0x0000fffd,0x0efffc80,0x06fffc80,0x443fffd4,0xf5005fff,
    0x7fcc07ff,0xfff9804f,0x09fff304,0x209fff30,0x102ffff9,0xf509ffff,
    0xda880fff,0xfeaacfff,0x9800abff,0xf3004fff,0x74003fff,0xfff14fff,
    0x40001fff,0xb1fffffe,0x00001fff,0x01ffff98,0x813fffa0,0x440ffff9,
    0xf5005fff,0x7fcc07ff,0xfff9804f,0x09fff304,0x409fff30,0xd80ffffc,
    0xff706fff,0x3ff200bf,0x01fffa1f,0x009fff30,0x0013ffee,0x3eadfff5,
    0x0004ffff,0xa7ffffd4,0x0002fffc,0x027ffdc0,0x81bffea0,0x441ffff8,
    0xf5005fff,0x7fcc07ff,0x3e20884f,0xfff303ff,0x7fc41109,0x7fff403f,
    0x0ffffdc5,0x004fffd8,0x7f43fffb,0x7fcc007f,0xfff9004f,0xfffd0001,
    0x3fffffe2,0x3ff60000,0xfff72fff,0xfc800009,0xfe8000ff,0x3ffe207f,
    0x2fffc40f,0x03fffa80,0xf513ffe6,0x80fff45f,0x7d44fff9,0x007ffa2f,
    0x225ffff3,0x3204ffff,0xfb005fff,0x37ffc1ff,0x13ffe600,0x003fff40,
    0x911fffc8,0x4c05ffff,0x9ffff300,0x0ffffc43,0x7f404400,0xff90007f,
    0x3ffea03f,0x05fff887,0x407fff50,0x7ec4fff9,0xf300545f,0x5ffd89ff,
    0xffc80054,0x6fffd8ff,0x037ffdc0,0x2ffffaa6,0x0aefffaa,0x09fff300,
    0x001bffe0,0x2a17ffdc,0xffd03fff,0x09fff303,0x003bfff6,0x7fc2ffa8,
    0xff70006f,0x3ffee05f,0x05fff886,0x407fff50,0xaaadfff9,0x4c007fff,
    0xfaaadfff,0x740007ff,0xffffffff,0x3fffcc01,0xffffff98,0xffffffff,
    0xff9804ff,0xfff8804f,0xfff50005,0x84fff987,0xfa84fff9,0xfff303ff,
    0xff9005ff,0x2fffc4df,0x3fffa800,0x109fff90,0x2a00bfff,0x3e603fff,
    0xffffffff,0x7fcc007f,0xffffffff,0x7fcc0007,0x803fffff,0xc81ffff8,
    0xffffffff,0xffffffff,0x4fff9807,0x00dfff00,0x30bffee0,0xff309fff,
    0x7fff509f,0x7ffffdc0,0xfdcaabce,0x7fc4ffff,0xff70006f,0x3fffa05f,
    0x05fff883,0x407fff50,0xfffffff9,0x4c007fff,0xffffffff,0xb80007ff,
    0x006fffff,0x260bfffe,0xffffffff,0xffffffff,0x4fff9805,0x00fffd00,
    0x307fff20,0xff309fff,0x7fff509f,0xfffffc80,0xffffffff,0x7ff40eff,
    0xfff90007,0x0bfffe03,0x4017ffe2,0x2603fffa,0xffffffff,0x7cc007ff,
    0xffffffff,0xfd00007f,0x74003fff,0x95103fff,0xfb99dfff,0x20037dff,
    0x9004fff9,0xd0001fff,0xfff30fff,0x09fff309,0x5007fff5,0xffffffff,
    0x209fffff,0x8000fffc,0xff507ffe,0xfff101ff,0x3ffea00b,0x37ffe603,
    0x07fffaaa,0x56fffcc0,0x007fffaa,0x09fff500,0x07fffb80,0xf52fffcc,
    0xf98007ff,0xff7004ff,0xffa8009f,0x4fff986f,0xa84fff98,0x71003fff,
    0xfffffffd,0x7fdc05bd,0x7fd4004f,0x9fffd06f,0x017ffe20,0x3017ffd4,
    0xffd89fff,0xf9805c46,0x37fec4ff,0xf30002e2,0xf88009ff,0x3e603fff,
    0x3ffee4ff,0x7ffcc002,0xffff3004,0x7fff4003,0x84fff984,0xfa84fff9,
    0xc88003ff,0x26001bff,0x2001ffff,0xfa84fffe,0x3fa01fff,0xfff9007f,
    0x27ffcc03,0xfff0bfea,0x513ffe60,0x07ff85ff,0x027ffcc0,0x037ffec0,
    0x7dc9fff5,0x7cc002ff,0x3f2004ff,0xfc800eff,0xfff306ff,0x09fff309,
    0x0007fff5,0x20007fea,0x800efffc,0xfd06fffc,0xffc80bff,0x7ffcc03f,
    0x27ffcc07,0x3ffe6044,0x84fff982,0x17ffcc08,0x09fff300,0x5ffff300,
    0xc8fffea0,0x4c001fff,0x74004fff,0xd102ffff,0x2205ffff,0x7cc0efff,
    0xfffd84ff,0xfff50002,0xfffd0007,0x3ffa205f,0xfff982ff,0x7ffd402f,
    0xffff303f,0x4fff980b,0x07fff500,0x2009fff3,0x2003fffa,0x0004fff9,
    0x2e0dfffb,0x3ff22fff,0x7fcc001f,0x7fcc004f,0xdbacefff,0x405fffff,
    0x30cffffe,0x7fdc9fff,0x50000fff,0x8001ffff,0xcefffff9,0xfffffdba,
    0x0dfffb05,0x3bffff60,0xffffdbab,0x7ffcc00f,0x7fff5004,0x009fff30,
    0x800fffea,0x0004fff9,0x705ffff3,0x7fec5fff,0xddb7100f,0xddffffdd,
    0x7dc039dd,0xffffffff,0x400dffff,0x34fffffa,0x3fea9fff,0xe8005fff,
    0x01ffcacf,0xfffffb80,0xffffffff,0xffff880d,0xfffd1001,0xffffffff,
    0x7f6d405f,0xeeeeefff,0xfffeeeee,0x3fffb6a3,0xeeeeeeef,0x03fffeee,
    0x3ffbbb6a,0x00bdeeff,0x90bfffb0,0x7fec3fff,0x3ffff207,0xffffffff,
    0x74c06fff,0xffffffff,0x3ee002ff,0xfff14fff,0x3bfffee7,0xfffe8000,
    0x260006ff,0xfffffffe,0x3e602fff,0x6c4005ff,0xffffffff,0x3fe202ff,
    0xffffffff,0xffffffff,0xffff13ff,0xffffffff,0xffffffff,0x3fffe607,
    0xffffffff,0xfff1004f,0x41fff30d,0x3f205ffb,0xffffffff,0x06ffffff,
    0xffffff70,0xb50001bf,0x86fdc3bf,0x0004efd8,0x077ffb26,0x3ffee000,
    0x800dffff,0x2a0005fc,0xdfffffff,0x7fffcc00,0xffffffff,0xffffffff,
    0xffffff33,0xffffffff,0x07ffffff,0x3fffffe6,0x4fffffff,0x407ba600,
    0x00ba81c9,0x3fffff22,0xffffffff,0x5d44002d,0x0000000a,0x11000000,
    0x75100000,0x00000015,0x00d5d440,0x3ffffae0,0xffffffff,0x23ffffff,
    0xffffffeb,0xffffffff,0x2e03ffff,0xfffffffe,0x0000dfff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00a802a0,0x06601980,0x9db30000,
    0x20000101,0x0001aba8,0x71000020,0x000203bd,0x776dd440,0x004eeeee,
    0x666665cc,0x71000bcc,0x0a600003,0x00180000,0x80ffe800,0x32001ffe,
    0x4ffb83ff,0xfffb0000,0x03fd47ff,0xfffff900,0x50001bff,0x007bffd9,
    0xcfffffb8,0x0005fd10,0xfffffe88,0x406fffff,0xfffffeca,0x06ffffff,
    0x0003ffd0,0x01f7ff4c,0x03ff6000,0x7ffd4000,0x027ffcc3,0xfd0dfff0,
    0xf90000ff,0xbdfffbff,0x98001fff,0xfffffffe,0x32003fff,0xefffffff,
    0xdfff9800,0xfffdffff,0x3fe60002,0xffffffff,0x3ff606ff,0xffffffff,
    0x8805ffff,0x20003fff,0x00feabfe,0x5fff1000,0x3fe20000,0x02fff81f,
    0x3213ff60,0xc80005ff,0xfffd30cf,0xfb8003ff,0xffffffff,0xd805ffff,
    0xfffeffff,0x77cc00ef,0xfffff911,0xffe80009,0x999999be,0xffe886ff,
    0xacffefff,0x3001aeff,0x20009fff,0x013e22fa,0x27ffcc00,0x05930000,
    0x71000b26,0x01771017,0x75c02000,0xff98002d,0xdbacefff,0x203fffff,
    0x2a0bfffc,0x00804ffe,0x00017db3,0xf806ff88,0xffffd86f,0x3fe5ff73,
    0x7ffcc006,0x45f50004,0x300005f8,0x00009fff,0x00000000,0x00000000,
    0xffffe800,0xffffd102,0x07fff103,0x0001bfe6,0xffa80000,0x445fe803,
    0x3ee1ffff,0x800dff2f,0x0004fff9,0x07f227be,0x7ffcc000,0x00000004,
    0x00000000,0x20000000,0x800efffc,0x5c0efffc,0x7ff405ff,0x00000000,
    0x700bff70,0x5fffb83d,0x6ff97fdc,0x77ffdc00,0xffb8000b,0x200005ff,
    0x0004fff9,0x00000000,0x7edc0000,0xb500ffff,0x3bffffff,0x01ffff98,
    0xf13fffa0,0xffb803ff,0x3fff6a02,0x007fffff,0x1ffff540,0x3fffc800,
    0x6ff97fdc,0xffffd700,0x005ddfff,0x0000ee44,0x013ffe60,0x7ffff5c0,
    0xffffffff,0x204fffff,0xffffffda,0xf88007ff,0x85ffffff,0xfffffff8,
    0x7ffdc6ff,0x7ffd4004,0x201ffe25,0x3fe03ffa,0xffffffff,0xfe88002f,
    0x00cfffff,0x21fffe40,0x0dff2ffb,0xffffffb0,0x00ffffff,0x26000000,
    0x98004fff,0xffffffff,0xffffffff,0x3fe04fff,0xffffffff,0x7fc4002f,
    0x42ffffff,0xfffffff8,0x7ffe45ff,0x7ffe8000,0x5cc1bfe6,0x3e03fffd,
    0xffffffff,0xfc8005ff,0xffffefff,0x3ffea002,0xff97fdc6,0x7fffec06,
    0xffffffff,0x665cc01f,0x44002bcd,0xffcaaaaa,0x1aaaaadf,0x3ffffe60,
    0xffffffff,0x04ffffff,0x3ffffffe,0x8005ffff,0xffffffda,0x7ffed40f,
    0x7f41cfff,0xff90007f,0x213fea1f,0x3ffffffb,0x3ffff660,0x00ffffff,
    0xf50fffc0,0x1003dfff,0x7dc7ffff,0x5c0dff2f,0x99beffff,0x81ffffda,
    0xffffffda,0xe802efff,0xffffffff,0xffffffff,0xffb701ff,0xffffffff,
    0x9fffffff,0x7fffecc0,0x00ffffff,0xfffff100,0x7ffcc09f,0x00dfff04,
    0x5cbffee0,0x7ffec2ff,0x2003ffff,0xfffffff9,0x07ff4004,0x37ffff62,
    0x7fffdc00,0xff2ffbae,0x3fffe20d,0x07fff604,0xfffffff3,0x09ffffff,
    0x7fffffd4,0xffffffff,0x404fffff,0x9804fff9,0x26004fff,0x4fffffff,
    0xffff1000,0x3e603fff,0xfff984ff,0xfff50005,0xfb87ff27,0x3ffbaeff,
    0x37fff600,0x54007fff,0xfea80eff,0x7d403fff,0x2fffffff,0x3fea0dff,
    0x3ffd406f,0x7fffffcc,0xffffffff,0xfffff102,0xffffffff,0x05ffffff,
    0x804fff98,0x2004fff9,0xfffdfffd,0xfff10007,0x260dffff,0xff884fff,
    0xff70006f,0xf87ff25f,0x0ffea2ff,0x47fffc40,0x4002fffd,0xf702ffff,
    0x5401dfff,0x2fffffff,0x3ff20dff,0x02db802f,0x3579dff9,0x0bfffd53,
    0x66666544,0xcccefffd,0xf9801bcc,0x220884ff,0xf1003fff,0xfffb1fff,
    0xfff10005,0x307ffffd,0x3fe09fff,0xff90007f,0x447ff23f,0x1ffd46ff,
    0x55fffb80,0x8800bfff,0x880dfffe,0x400efffd,0xf2fffeb9,0x3fff60df,
    0x20000000,0x0006fff8,0x0009fff3,0x544fff98,0x07ffa2ff,0xaafffdc0,
    0x88005fff,0xfffbdfff,0x27ffcc0f,0x000fffe8,0x3f27ffe8,0xa89ff31f,
    0xffd003ff,0x07fffc3f,0x7fffec00,0x09fff704,0xff97fdc0,0x03fff906,
    0x26620000,0x00fffd09,0x013ffe60,0x89fff300,0x00545ffd,0x7c3fffd0,
    0x44000fff,0xfffd5fff,0x04fff98b,0x8009fff9,0x3f26fffa,0xa8fff11f,
    0xffa803ff,0x27ffe46f,0xffffb800,0x07ff982f,0x7fcbfee0,0x07fff706,
    0x7ff5c000,0xffffffff,0xfff30007,0xff980009,0xfffaaadf,0x3fea0007,
    0x27ffe46f,0x57ffe200,0x263ffff9,0xff104fff,0x7f4003ff,0x87ff23ff,
    0xff52dffe,0x7fffb007,0x007fff88,0x3ffff620,0x017fdc0d,0xdff2ffb8,
    0x03fffe60,0x3aa01730,0xffffffff,0x0007ffff,0x0009fff3,0xffffff98,
    0x0007ffff,0xf10ffff6,0xf8800fff,0x3fff25ff,0x09fff30f,0x0077ffec,
    0x2e37ffe4,0x3ffe62ff,0x405fffff,0xd80ffff8,0x40002fff,0xaaffffe9,
    0x7001ffeb,0x81bfe5ff,0x982ffffe,0x7dc0fffd,0xffffffff,0x007fffff,
    0x009fff30,0xfffff980,0x007fffff,0x01ffff10,0x4005fffb,0x7f45fff8,
    0x9fff35ff,0x7ffffcc0,0xffffd102,0x543ffa85,0xffffffff,0x37ffee01,
    0xffb99999,0xf700005f,0xdfffffff,0xf97fdc00,0x3ffe606f,0xfffeefff,
    0x3fe62fff,0xecdfffff,0x007ffffe,0x009fff30,0xfffff980,0x007fffff,
    0x33bfff70,0xbfff7333,0x2fffc400,0x26bfffe6,0x7d404fff,0xbaceffff,
    0x85fffffd,0xec884ff8,0x7404ffff,0xffffffff,0x00ffffff,0xfffd1000,
    0x5c001bff,0x80dff2ff,0xfffffffb,0x746fffff,0x201befff,0x10007ffe,
    0x80007fff,0xaaadfff9,0xd0007fff,0xffffffff,0x01ffffff,0x217ffe20,
    0xffaefffc,0xfffb804f,0xffffffff,0x17fe04ff,0xfffa8000,0xffffffff,
    0x1004ffff,0xeffe8801,0x2ffb8001,0xff500dff,0xffffffff,0x7fffc41b,
    0x07ffe801,0x007ffa00,0x89fff300,0x05c46ffd,0xffffff50,0xffffffff,
    0x3fe2009f,0xffff885f,0x5004fffe,0xfffffffd,0xfd807fff,0xfb00000f,
    0xffffffff,0x0fffffff,0x9801ff10,0xf70006ff,0x401bfe5f,0xeffffeb8,
    0x6fff981c,0x3fffee20,0x0b260007,0x3ffe6000,0x3e17fd44,0x3fff607f,
    0xffffffff,0x1007ffff,0x3ea0bfff,0x04ffffff,0x7ffffec0,0xfc801cff,
    0xf880004f,0xeeeeefff,0xfffeeeee,0x017fd402,0x40017fe6,0x0dff2ffb,
    0x04fff980,0xaceffff8,0xfffffdba,0x0002deff,0x3fe60000,0x7cc0884f,
    0xfff882ff,0xeeeeeeef,0x02fffeee,0x205fff88,0x4ffffffd,0x3fffa200,
    0x102a02ef,0x09803fff,0x013ffee0,0x202fffcc,0x36202ffb,0xf70004ff,
    0x001bfe5f,0x9009fff3,0xffffffff,0xffffffff,0x775c1fff,0xeeeeeeee,
    0xceeeeeee,0x27ffcc00,0x83fffa80,0x3004fffb,0xf100bfff,0x7fc40bff,
    0x1004ffff,0xffffffff,0xfff9359d,0x81fffc81,0x3fa07fd8,0x3fa001ff,
    0x3fee00ff,0xfdcccccd,0x51001fff,0xf17ffb55,0x300155df,0x36009fff,
    0xffffffff,0xffffffff,0xffff30ff,0xffffffff,0x9fffffff,0x04fff980,
    0xd07fff50,0x74003fff,0x36e00fff,0x0bdeffff,0x27ffffdc,0xfffffe80,
    0xffffffff,0x7f443fff,0xffeddeff,0x7ff6446f,0x9303deff,0x3bdffffd,
    0xffffff70,0x05ffffff,0x3ffffe20,0xffffdfff,0x5fff006f,0x7fffdc00,
    0xfeadffff,0x3e63dfff,0xffffffff,0xffffffff,0xfdb504ff,0xdddddfff,
    0xfffddddd,0x3fffb227,0xd9303def,0x83bdffff,0xfffffff9,0xfffe83ff,
    0xfffa804f,0xffffffff,0x80ffffff,0xffffffe8,0x7fe41fff,0x1fffffff,
    0xfffffff8,0xfffb86ff,0xefffffff,0x3ffe2002,0xffcfffff,0xf9006fff,
    0xba88001d,0x8000aacc,0xfffffffc,0xffffffff,0xff880eff,0xffffffff,
    0xffffffff,0xffff93ff,0xf03fffff,0xffffffff,0xfffffa8d,0xf984ffff,
    0xf9804fff,0xecdeffff,0x1effffff,0x3fffee20,0xffd80bff,0x2fffffff,
    0xfffffff8,0x999887ff,0x00999999,0x55555100,0x06aaaa15,0x00000100,
    0x00000000,0x3ffffe60,0xffffffff,0x3fffffff,0xfffffffb,0xffff05ff,
    0x90ffffff,0x9dfffffd,0x13fff201,0x880de4c0,0x8002cdca,0xffd98009,
    0x504effff,0xbffffffb,0x00000005,0x00000000,0x00000000,0xfd700000,
    0xffffffff,0xffffffff,0x3fff667f,0xb504efff,0x5bffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x88000de9,0x0600004d,0x004c0000,0x0076e000,
    0x17220000,0x00130000,0x00037200,0x98000400,0x99800999,0x03000099,
    0x0eeeec80,0x13575100,0x005fff88,0x0003ffd4,0x000f7ec4,0x005ff900,
    0x017ff400,0xffd30000,0x3f200003,0x7c40002e,0x500002ff,0x017bffd9,
    0xffffffb8,0xffffc80e,0xb1000eff,0x3f6003df,0xffb807ff,0xd0dfffff,
    0x5c00bfff,0x40002fff,0x04fffffa,0x7fff4c00,0x980000cf,0x00004fff,
    0x004fffa8,0xffffe980,0x3ea0000c,0x6c0003ff,0xffffffff,0xfffff101,
    0xff885fff,0x03ffffff,0x4fffffa8,0x06fffc80,0x3fffffa6,0xffefffff,
    0xffb001ff,0x6c40003f,0xefffdfff,0xfffc8001,0x002ffffe,0x0dffe980,
    0xfff70000,0xff900007,0x05ffffdf,0x2fffcc00,0xffffd800,0x01ffffff,
    0xfffffffd,0xfffffd03,0x7ec403ff,0x1efffdff,0x417ffee0,0xfffffffb,
    0xffffffff,0xdffb004f,0x7f440001,0xfffd32ff,0x7ffec003,0x07fffb13,
    0xdffb1000,0xfff70000,0xffb00003,0x3fff627f,0x3fa20002,0x7fec005f,
    0xfffeefff,0xfff9106f,0x3ee2039f,0x2201efff,0xfd32fffe,0x3fea03ff,
    0xffff984f,0xffecacef,0x1005ffff,0x50000bff,0xff701bff,0x3bfe600b,
    0x006ffb81,0x007ff200,0x001dfd00,0x01dff300,0x0000dff7,0x22001ffb,
    0x7cc3ffff,0x3fa03fff,0x7fcc03ff,0x7fd400ff,0x05ffb80d,0xfd07fff1,
    0x3e605fff,0x2003ffff,0x7100002a,0x001c9805,0x037100ae,0x00298000,
    0x00002980,0x06e2015c,0x000d4000,0x2609fff9,0x3ea07fff,0x3f600fff,
    0x2b8804ff,0xff00e4c0,0xefffc85f,0x3ffff600,0x0000007f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fffe200,0x0bfff600,0x303fffe8,
    0x0001ffff,0x1fff8000,0x807fffe6,0xfffffffb,0xdca98803,0x2200009b,
    0x009bdca9,0x004cccc0,0x00133331,0x5e6e65cc,0x65cc0002,0x0002bcdc,
    0x5e6e65cc,0x54c40002,0xa8009bdc,0x7cc04fff,0x3fe605ff,0xfffd80ff,
    0x79710004,0x07fec003,0x540bfff7,0xfffeffff,0x7fffdc07,0x002effff,
    0x7fffffdc,0x7ec02eff,0xea85ffff,0x406fffff,0xffffffda,0x2002efff,
    0xffffffda,0x2002efff,0xffffffda,0x8002efff,0xfffffffb,0x3fee02ef,
    0x7ffc402f,0x1fffec06,0x003fffe6,0xfffffda8,0x7e403dff,0x80fffe47,
    0xf8effff8,0xfe980fff,0xffffffff,0x74c00dff,0xffffffff,0xf980dfff,
    0xe85fffff,0x06ffffff,0x3fffffe6,0x4fffffff,0xfffff980,0xffffffff,
    0xffff9804,0xffffffff,0xffd3004f,0xffffffff,0xfff901bf,0x0ffff003,
    0x20ffff98,0x2004fffd,0xfffffffc,0x701effff,0x07ffe8df,0x6c3ffffa,
    0x7fcc1fff,0xffffffff,0x2606ffff,0xffffffff,0x86ffffff,0x5ffffff8,
    0xffffffc8,0x3fffe606,0xffffffff,0x7fcc02ff,0xffffffff,0x4c02ffff,
    0xffffffff,0x02ffffff,0x7fffffcc,0xffffffff,0x00fffd86,0x400fffd8,
    0xff34fffd,0x3fa001ff,0xffffffff,0x881fffff,0x837ffc1c,0x322ffffc,
    0x3fa22fff,0xb9acefff,0x84fffffd,0xceffffe8,0xffffdb9a,0xffcb984f,
    0xfcca885f,0x7fe406ff,0xea99abce,0xfc805fff,0xa99abcef,0xc805fffe,
    0x99abceff,0x205fffea,0xceffffe8,0xffffdb9a,0x03fff44f,0x400fffd8,
    0xfd8ffff9,0xff9004ff,0x75359fff,0x01dffffb,0x70bfff10,0xfa87ffff,
    0x3fff63ff,0x7ffec03f,0x7fffec1f,0x7fffec03,0x0bfff101,0x000dfff0,
    0x01bffe20,0x6fff8800,0x3fe20000,0x3fff606f,0x7ffec03f,0x01fffa1f,
    0x4007ffec,0xfffdfffd,0xfff8800f,0x3fee00df,0xff8804ff,0x7fffcc7f,
    0x12fffb85,0x2007ffff,0x3e25fffd,0xfb003fff,0x3fe20bff,0x6fff805f,
    0x09998800,0x2000fffd,0xffd09998,0x2662000f,0x20fffd09,0x003ffff8,
    0x7f4bfffb,0xfffb007f,0xffff3001,0x2e009fff,0xf7005fff,0x3fa00dff,
    0xfffd11ff,0x3fff901d,0x333fffea,0xcccccccc,0x3ea7fffc,0xcccccfff,
    0xffcccccc,0xbfff107f,0x00dfff00,0x3fffffae,0x007fffff,0x3fffffae,
    0x007fffff,0x3fffffae,0x507fffff,0x9999ffff,0xf9999999,0x7fff4fff,
    0x0fffd800,0xfffffb00,0x3ff6001f,0x3ffe000f,0xfffd800f,0x03ffffb3,
    0xffb9fffa,0xffffffff,0xffffffff,0xfffff70f,0xffffffff,0x01ffffff,
    0xf00bfff1,0xfea80dff,0xffffffff,0xea807fff,0xffffffff,0xa807ffff,
    0xfffffffe,0x707fffff,0xffffffff,0xffffffff,0x3ff61fff,0x7ffe800f,
    0x3fffe600,0x3ffe004f,0x7ffe4005,0xdfffc802,0x502ffffc,0x7fecdfff,
    0xffffffff,0xffffffff,0xfffffb2f,0xffffffff,0x05ffffff,0xf00bfff1,
    0x7fdc0dff,0xffffffff,0x5c07ffff,0xffffffff,0x07ffffff,0x7fffffdc,
    0xffffffff,0xfffffb07,0xffffffff,0x25ffffff,0xf802fffc,0x7ec006ff,
    0xf3000fff,0xf98009ff,0xff8804ff,0x04ffffff,0xfc93fffa,0xffffffff,
    0xffffffff,0xffff92ff,0xffffffff,0x5fffffff,0x00bfff10,0x3e60dfff,
    0xcdffffff,0x07ffffee,0x3fffffe6,0xfffeecdf,0x3ffe607f,0xeecdffff,
    0xf907ffff,0xffffffff,0xffffffff,0x3ffee5ff,0x2fffc403,0x13fffa00,
    0x05fff880,0x01fffd40,0xffffffc8,0x3bfff206,0x2bbffea0,0xaaaaaaaa,
    0x50aaaaaa,0x5555dfff,0x55555555,0xff101555,0xdfff00bf,0x2fbfffa0,
    0x81fffa01,0x01befffe,0xfe81fffa,0x3a01beff,0xfff507ff,0x5555555d,
    0x55555555,0x01bffe61,0x4009fff7,0x000ffffa,0x0007fff4,0x2003fff9,
    0x0ffffff8,0x1ffffe88,0x01ffffc4,0x7fffc400,0x7c400003,0x7fc405ff,
    0xffff886f,0x07ffe801,0x003ffff1,0x3e20fffd,0xfe801fff,0xffff107f,
    0x3fa00007,0xfff102ff,0x7ff4001f,0xffc8004f,0xfff5005f,0xfffd800f,
    0xfdbaceff,0xfb04ffff,0x22005fff,0x7ffec1ba,0x3751002f,0x407fffc0,
    0x86ffffc8,0x2206fff9,0x307ffffb,0x5c40dfff,0xf307ffff,0x7dc40dff,
    0x3f607fff,0x51002fff,0xefffb837,0x05fffd80,0x03fffea0,0x3fffe600,
    0x3ffee00d,0x3fee004f,0xffffffff,0x205fffff,0xbefffff8,0xffdbaa9a,
    0x3fe20fff,0xa9abefff,0xfffffdba,0x7dfffd00,0xfffffb75,0xfff85bff,
    0xfdbaacef,0xdeffffff,0x677fffc2,0xffffdbaa,0x7c2defff,0xbaacefff,
    0xfffffffd,0x7ffc42de,0xaa9abeff,0x0fffffdb,0x567ffff4,0x81ffffeb,
    0xffeeedb9,0x8002cfff,0xbcfffffd,0xffffecaa,0xfff3000f,0xffffffff,
    0x5007ffff,0xffffffff,0xffffffff,0xffffa83f,0xffffffff,0x701fffff,
    0xffffffff,0xffffffff,0x7fffe41f,0xffffffff,0x0fffffff,0x3ffffff2,
    0xffffffff,0x320fffff,0xffffffff,0xffffffff,0x7fd40fff,0xffffffff,
    0x1fffffff,0x7fffffcc,0xd03fffff,0xffffffff,0x8001ffff,0xffffffe8,
    0xffffffff,0x3fffa002,0xfffffb8e,0x26000dff,0xfffffffe,0x6fffffff,
    0xfffffd30,0xffffffff,0xfffc80df,0xffffffff,0x6c0fffff,0xffffffff,
    0xffffffff,0x7ffec0ff,0xffffffff,0x0fffffff,0x7fffffec,0xffffffff,
    0xe980ffff,0xffffffff,0x06ffffff,0xfffffff5,0x7ffc07ff,0xffffffff,
    0xd88002ff,0xffffffff,0x2001efff,0x4c1ffffa,0x40001aca,0xfffffffb,
    0x802cefff,0xfffffffb,0x002cefff,0xfffffff9,0x7bffff39,0x3ffffee0,
    0xffeadfff,0xff703dff,0x5bffffff,0x07bffffd,0x3fffffee,0xfffeadff,
    0x7fdc03df,0xffffffff,0x7ed402ce,0x403effff,0xffffffeb,0x0005ffff,
    0x7ffff64c,0x98003dff,0x00002fff,0x2f2ea200,0x2200019a,0x019abcba,
    0x0d65cc00,0x32ea2000,0x40000aac,0x0aaccba8,0x65d44000,0x00000aac,
    0x26af2ea2,0x2ae60001,0x4ccc4000,0x00019999,0x00bca880,0x002da800,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x07720000,0x5c880000,0x04cccc00,0x0359b951,
    0x0b910000,0x00002000,0xd8800004,0x8800000c,0x20abccb9,0x02009999,
    0xbcdca980,0x00266661,0x4cc00040,0x26620099,0xff800099,0x9800002f,
    0xfc801ffe,0xfd9effff,0x1effffff,0xffd10000,0xfd910003,0x4003bdff,
    0x1deffeca,0x1dff3000,0x7fdc0000,0x9bffffff,0x22efffff,0x2602dfd9,
    0xfffffffe,0xffffffad,0x7ff6d403,0x3f602def,0xea85ffff,0x006fffff,
    0x003fffa8,0x13ffea00,0x3ffffe60,0xffffffff,0x00cfffff,0x13ffea00,
    0x3fffea00,0x00cfffff,0x7fffffe4,0xf90004ff,0x980005ff,0xfffffffe,
    0xffffffff,0x3fffe6ff,0xffffb80f,0xffffffff,0x507fffff,0xfffffffd,
    0xffa81bff,0xfe85ffff,0x006fffff,0x00bfff30,0x07fff700,0x7fffffc0,
    0xffffffff,0x005fffff,0x007fff70,0xffffff70,0x40dfffff,0xfffffffc,
    0x70005fff,0x20007fff,0xfffffff9,0xffffffff,0xff54ffff,0xffb87fff,
    0xffffffff,0xffffffff,0xfffffb85,0xffffffff,0x3ffffe20,0xffffc85f,
    0x220006ff,0x20005ffe,0x4001fffb,0xfffffcb8,0xfda9acff,0x4003ffff,
    0x8001fffb,0xeffffff9,0x84ffffff,0xfefffffb,0x004fffff,0x007fff30,
    0x7bffffd0,0xffffd733,0x2e159dff,0x264fffff,0x99bfffff,0xffffffb9,
    0x7fc40acf,0xfeeeffff,0x5cc5ffff,0xa885fffd,0x006fffcc,0x000ffd80,
    0x0001dfd0,0x0efffff8,0x07ffff60,0x000efe80,0x17dfffd0,0x0ffffed4,
    0xa8bbfffe,0x000ffffd,0x800dfd10,0x203ffffc,0x84fffffa,0x23fffffb,
    0x100efffe,0x40dffffd,0x703ffff8,0xf103ffff,0xfff00bff,0x0660000d,
    0x00029800,0x00dffff0,0x8013fffa,0x3e200029,0x3fe01fff,0x3ffee3ff,
    0x13fffa06,0x40015000,0x802ffff8,0xa84ffffb,0xf33fffff,0xf8801fff,
    0x7e406fff,0x7ffec00e,0x05fff883,0x0006fff8,0x00000000,0x03ffff80,
    0x00dfff10,0x7fcc0000,0x7ffdc05f,0x807fff24,0x0007fff8,0x7ffcc000,
    0x3fff6007,0xfffff984,0x007fff52,0x201bffee,0xbfff3000,0x00bfff10,
    0x1000dfff,0x00003797,0x0006f2e2,0x0007fffc,0x3301fffd,0x4cc40133,
    0xfffa8099,0x2fffd404,0xe801fffb,0x33300fff,0x4ccc4013,0x3fffb809,
    0x13ffea00,0x47ffffe6,0x3002fffc,0x0000dfff,0x4427ffd4,0xff805fff,
    0xffb5006f,0x07bfffff,0xffffda80,0x2003dfff,0x6c006fff,0x3ff60fff,
    0xfea85fff,0xf886ffff,0x3f600fff,0x1fffa3ff,0xb0bffee0,0x50bfffff,
    0x0dfffffd,0x4005fff7,0xf884fff9,0xffb0ffff,0x3fe2003f,0x3a00006f,
    0xff882fff,0x6fff805f,0xfffffc80,0x1effffff,0xfffffc80,0x1effffff,
    0x00ffff80,0xf99fffe0,0xe85fffff,0x06ffffff,0x2a09fffd,0x3f61ffff,
    0x3fa200ff,0x3ffe63ff,0xffe85fff,0xfa86ffff,0x3f2004ff,0xffff04ff,
    0x0bffee1f,0x037ffcc0,0x3ffaa600,0xfff880ff,0x06fff805,0x7ffffff4,
    0xffffffff,0x3ffffa01,0xffffffff,0x7ffc01ff,0xfff9006f,0x7ffffc4b,
    0xffffc85f,0xfff506ff,0xfff95bff,0xfffc8bff,0x3ffff202,0x3ffffe24,
    0xffffc85f,0xfff886ff,0xfff9801f,0xfffff04f,0x8027ffd4,0x8006fffc,
    0xfffffffc,0xbfff102f,0x40dfff00,0xacfffffc,0xffffdba9,0xffffc80e,
    0xfdba9acf,0x3e00efff,0x100dffff,0x985ffff9,0x885fffcb,0x06fffcca,
    0x3ffffff2,0x40efffff,0xf306fffa,0xb98bffff,0xa885fffc,0xd06fffcc,
    0x5405ffff,0xd04fffff,0x7fc4dfff,0x7fcc01ff,0x7cc006ff,0x4fffffff,
    0x017ffe20,0x220dfff1,0x200dffff,0x444ffffb,0x200dffff,0x204ffffb,
    0xcfffffff,0xffffcaab,0x3ffe205f,0x06fff805,0x7ffffffc,0xfd02ffff,
    0x3f227fff,0x107fffff,0xff00bfff,0x3ffe20df,0xdbaabeff,0x04ffffff,
    0xfd8dfffb,0xff502fff,0x8800dfff,0xffffffff,0x3fffe204,0xffffc880,
    0x0bfff706,0x71bffee0,0x2e00bfff,0x3fe06fff,0xffffffff,0x05ffffff,
    0x402fffc4,0x3f206fff,0xffffffff,0xff980eff,0xffffffff,0xf107ffff,
    0xfff00bff,0x7fffcc0d,0xffffffff,0xf904ffff,0xfff88bff,0xfdbabdff,
    0x006fffff,0xfffffda8,0xfff104ff,0xffb757df,0x85bfffff,0x2000fffd,
    0x3f60ffff,0x3fe000ff,0xffff00ff,0xffffffff,0x8801bfff,0xff805fff,
    0xffff706f,0xffffbbff,0x3fff20bf,0xffffffff,0xfff105ff,0x0dfff00b,
    0xfffffea8,0xffffffff,0x9fff904f,0xffffff50,0xffffffff,0xa88000df,
    0x883fffff,0xffffffff,0xffffffff,0x17ffe0ff,0x45fff900,0x64005fff,
    0xfff02fff,0xfffff91d,0x22003dff,0xff805fff,0xffff886f,0x7ffe40be,
    0xffff503f,0xfff5dfff,0x17ffe209,0x401bffe0,0xfffffffb,0x04fff9be,
    0x2a09fff7,0xffffffff,0x06ffffff,0xfffb1000,0xfffff10f,0xffffffff,
    0x261fffff,0x4c004fff,0xfff34fff,0xfff98009,0x44dfff04,0x000abca9,
    0x402fffc4,0xffa86fff,0x3ff600ff,0x3f72205f,0x5fff73df,0x017ffe20,
    0x3001bffe,0x7cc35775,0xfff104ff,0x7ffe4403,0xff9cffff,0x7c00006f,
    0x7fc41fff,0xffffffff,0x3dffffad,0x0017ffe2,0x3e27fff5,0x7d4005ff,
    0xdfff03ff,0xff100000,0xdfff00bf,0x809fff90,0x0007fff9,0x201ffff1,
    0xf805fff8,0x400006ff,0x2e04fff9,0x32a6003e,0xdfff109b,0xffc80000,
    0x6fffc43f,0x000acccb,0x0007fff4,0x7f43fff9,0x3f2000ff,0xdfff01ff,
    0xff100000,0xdfff00bf,0x003fffb0,0x0001fffd,0x440dfffd,0xff805fff,
    0x4c00006f,0x00004fff,0x13ffea00,0xfff50000,0x05fff887,0xbfff9000,
    0x1fffea00,0x200bfff9,0x3e07fffa,0x800006ff,0x4405fff8,0xffb86fff,
    0x7ffcc03f,0xfffd8006,0x3ffe201f,0x37ffc405,0x3fe60000,0x0000004f,
    0x000bfff6,0x83fff900,0x0005fff8,0x1bffff30,0x27fffdc0,0x037fffe6,
    0x04ffffb8,0x0001bffe,0x407fffc0,0x86ffffc8,0x200ffff9,0x2004fffd,
    0x02fffffa,0x880ffff8,0x006ffffc,0x27ffcc00,0x64c00000,0x2600ffff,
    0xfff7002c,0x0bfff10f,0x7ffec000,0xecaabcff,0xd80fffff,0xabcfffff,
    0xfffffeca,0x7fff5cc0,0x0002deef,0x57dfffd0,0xffffffb7,0xffff85bf,
    0xfebaaacf,0x3b662fff,0xfffecbac,0xffd003ff,0xffb757df,0x05bfffff,
    0x3bb6e200,0x80bdffff,0xeeda800a,0xfffffeee,0x3bffe205,0xfcbaaabc,
    0xf884ffff,0x200005ff,0xffffffe8,0xffffffff,0xffffd102,0xffffffff,
    0xfff885ff,0xffffffff,0xffb80003,0xffffffff,0x0fffffff,0x3fffffea,
    0x4fffffff,0x7fffffec,0x005fffff,0x3fffffee,0xffffffff,0xe8000fff,
    0xffffffff,0x3ffe64ff,0x3fffea02,0x5fffffff,0x7ffffcc0,0xffffffff,
    0xff880eff,0x4400004f,0xfffffffd,0x401effff,0xffffffd8,0x81efffff,
    0xfffffff8,0x0004ffff,0xffffff90,0xffffffff,0xfff981ff,0xffffffff,
    0xfffffc83,0x002effff,0xffffffc8,0xffffffff,0xff8000ff,0xffffffff,
    0x1bfff25f,0xffffffc8,0x9005ffff,0xffffffff,0x809fffff,0x00002fff,
    0xffffd930,0x98007bff,0xffffffec,0x7ff6403d,0x0dffffff,0x3ff20000,
    0xf9cfffff,0xb103dfff,0xbffffffd,0x3fffa205,0x0003ffff,0x7fffffe4,
    0xdffff9cf,0xffd50003,0x3dffffff,0x101fffd4,0xbffffffb,0xfda80037,
    0xffffffff,0x0efb803e,0xa8800000,0x100000bc,0x10001795,0x00333333,
    0xacb98000,0x75100001,0x654c0015,0x4000009a,0x0001acb9,0x99998800,
    0x03730099,0x004cccc0,0x65d4c400,0x00000aab,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0xcccc9801,0xbccccccc,0x03b70001,0xacb98800,
    0x00200001,0x00000100,0x0000fa60,0x00098030,0x00000998,0x40180000,
    0x00300009,0xfeda8000,0xff703fff,0xffffffff,0x44009fff,0x20003ffd,
    0xeffffffb,0xfdb98001,0x4c00ceff,0x00005fdb,0x01bff700,0x01ffd000,
    0x32003ffd,0x000dffff,0x02765440,0xe80ffe80,0x362001ff,0x400001ef,
    0xffffffea,0xfffb83ff,0xffffffff,0xfd1006ff,0x7ec000bf,0xffffffff,
    0x3fff6003,0x83ffffff,0x05fffffb,0x3fa00000,0x2a0000ef,0x7fcc3fff,
    0xfffe804f,0x2001ffff,0xffffeca8,0xfffa8004,0x027ffcc3,0x3fffffa8,
    0xfff90000,0xdfffffff,0xffffff70,0x7fffffff,0x09fff500,0x7fffdc00,
    0x1fffffff,0x7fffec40,0x5fffffff,0x2fff7fe4,0x32000000,0x10002fff,
    0xfff05fff,0xadffc805,0x8806ffc8,0xfffffffc,0xff88004f,0x02fff82f,
    0x7efffec4,0x20001eff,0xfffffffd,0xfb83ffed,0xaaaaacff,0xff3002aa,
    0xfe80007f,0xffcaceff,0x3fa206ff,0xffeeffff,0x8442ffff,0x000005ff,
    0x01fffb80,0x26059300,0x85ff802c,0x7e402ffa,0xffffffff,0x05930004,
    0xfd100b26,0x3ffa65ff,0xffd8001f,0x0441bfff,0x002fffb8,0x003ff900,
    0x87fff880,0x500ffff8,0xb889ffff,0xf00ffffe,0x000000bf,0x0013fe60,
    0xff300000,0x900ffe05,0xffffffff,0x0000009f,0x80dffb80,0x5c005ffb,
    0x000effff,0x002fffb8,0x00017100,0x209fff30,0xfb01fffd,0x7fc407ff,
    0x0bff02ff,0x44000000,0x0000000a,0xe80ffcc0,0x6ff4404f,0x04fff99b,
    0x44000000,0x00e4c02b,0x1dffff10,0x3ffee000,0x00000002,0x04fff980,
    0x3e03fffd,0xffb806ff,0x00bff04f,0x00000620,0x32a62000,0xf10009bd,
    0x05ff509f,0x13ffe600,0x2f2e2000,0x00000001,0x01dfff90,0x57ffdc00,
    0x009bcca9,0x26666620,0x7fcc0009,0x7ffdc44f,0x03ff900f,0x20bfff30,
    0xfb8005ff,0x3331003f,0x20001333,0xfffffffb,0xffd802ef,0x01ffd50b,
    0x13ffe600,0x7ffed400,0x003dffff,0x26666662,0x7ffc4000,0x7dc0001f,
    0xffffffff,0x7fd403ff,0x04ffffff,0xaa7ffcc0,0x05fffffd,0xffc80044,
    0x00bff03f,0x02ffff4c,0x3fffffea,0x74c004ff,0xffffffff,0x2200dfff,
    0xfffeffff,0x4c015442,0xc8004fff,0xffffffff,0x2a01efff,0xffffffff,
    0x7ffdc004,0x0026ea26,0x7fffffdc,0x0dffffff,0xffffffd0,0xf98009ff,
    0xffff8cff,0x00000fff,0x203ffff1,0xff9005ff,0xfe801dff,0x4fffffff,
    0x3fffe600,0xffffffff,0x7f4406ff,0xb512ffff,0xf9803fff,0x7f4004ff,
    0xffffffff,0xd01fffff,0xffffffff,0xfffc8009,0xfffffe9b,0x7ffdc00d,
    0xffffffff,0xfffb05ff,0x009fffff,0xf9cfff98,0x0effffff,0x7ff44000,
    0x3eaa60ff,0xea80aaef,0xb003ffff,0xffffffff,0x3ffa2009,0xdb9aceff,
    0x804fffff,0xfdb9abb9,0x400dffff,0x2004fff9,0xacfffffc,0xffffdba9,
    0xffffd80e,0x4004ffff,0xfffdfffd,0x01ffffff,0x2f7fffe6,0xffffda99,
    0xdccca882,0x4c004fff,0xffd74fff,0x001dffff,0x3ffffa20,0x3fffff22,
    0xfb13ffff,0x4003dfff,0xffdccca8,0xfffb004f,0xfffd807f,0xfdb8801f,
    0x00beffff,0x009fff30,0x037fffe2,0x84ffffb8,0xffdccca8,0x7ff4004f,
    0xffffffff,0x2e00ffff,0x3ff200bd,0xfff3007f,0xfff98009,0x7ffed444,
    0x74c000ef,0x7543ffff,0xdfffffff,0xbfffffa9,0x01dffeda,0x013ffe60,
    0x00ffffe2,0x882fffec,0xdfffffeb,0xff98000b,0xfff7004f,0x3ffee00b,
    0x9fff3006,0xffffe800,0xfffbdfff,0xd00005ff,0xf3003fff,0xf98009ff,
    0x3fea04ff,0x3e6004ff,0x0004ffff,0x1bffffb1,0xfffffff7,0x3ffe6009,
    0xffffa804,0xcccccccc,0x47fffccc,0xdfffffea,0x8000a99a,0xb004fff9,
    0x7c001fff,0xf9800fff,0x7ec004ff,0x5c0dffff,0x0002ffff,0x802fffb8,
    0x4004fff9,0x5404fff9,0xf5006fff,0x0009ffff,0x4bffffee,0xeb9aeffa,
    0xff9801ff,0xfffb804f,0xffffffff,0xffffffff,0x2b7fffa0,0xdffffd88,
    0x3ffe6000,0x0bfff004,0x02fffc80,0x004fff98,0x07ffffdc,0x004fffd8,
    0x03fffa80,0x004fff98,0x4027ffcc,0x5c00fffd,0x003fffff,0xdffffe88,
    0xf303ff20,0xfff3009f,0xffffb009,0xffffffff,0x5fffffff,0xfd105654,
    0x01ffffff,0x013ffe60,0x0013ffe6,0x3009fff3,0xa8009fff,0x2a02ffff,
    0x80005fff,0x9804fffa,0x4c004fff,0xfb804fff,0x3ff202ff,0x98002fff,
    0x882fffff,0x03ffa81a,0x804fff98,0xfffffffc,0xffffffff,0xd802ffff,
    0xffc89cff,0x9fff3006,0x0bfff100,0x03fffa80,0x004fff98,0x402fffcc,
    0x80007fff,0x9802fffb,0x4c004fff,0xfa804fff,0xffd884ff,0x70001fff,
    0x80019fff,0x9800fff9,0xfa804fff,0xaaaaaeff,0xaaaaaaaa,0x7fc400aa,
    0x801ffb84,0xd004fff9,0x64001fff,0xf9801fff,0x7c4004ff,0x7fc406ff,
    0x7400087f,0xf9801fff,0x7cc004ff,0x85fd34ff,0x7443fffb,0x000effff,
    0x00077620,0x400bffee,0x8804fff9,0x0003ffff,0x207fea00,0xf9803ff8,
    0xff9004ff,0x3fea00bf,0xfff3007f,0xffff0009,0x2fffdc03,0x320077f6,
    0xf3007fff,0xf98009ff,0x8dffb4ff,0x3e62fffd,0x000effff,0x3f200000,
    0x3e6002ff,0xffb004ff,0x2a2005ff,0x0ffa801b,0xf3007ff0,0x3e6009ff,
    0x2e00dfff,0x3004ffff,0x70009fff,0xd101dfff,0x7fd49fff,0xbaaacdff,
    0x03fffffc,0x009fff30,0x3ffffb6e,0xdacfffea,0xff70ffff,0x3300bfff,
    0xfd300000,0xf98001df,0xff1004ff,0x5357dfff,0xfffffb75,0x84ff8801,
    0xf9801ffa,0x3f6004ff,0xaabcffff,0x0fffffec,0x09fff300,0xfffff100,
    0xffffb77b,0x7fffcc3f,0xffffffff,0xedb85fff,0xffffeeee,0x30bdeeee,
    0xffffffff,0xfffffffd,0x7fff49ff,0xeeeeeeff,0x002ffeee,0x13ffee00,
    0xdddddb70,0xddddffff,0xfffa817b,0xffffffff,0x01ffffff,0xd50bffd8,
    0xeedb88df,0xeeffffee,0xfe881cee,0xffffffff,0xb82fffff,0xffeeeeed,
    0xbdeeeeff,0x3fffee00,0xffffffff,0xfffffb83,0xffffffff,0x7fffd40d,
    0xffffffff,0xf54fffff,0x5fffffff,0xffffffff,0x7ffff41d,0xffffffff,
    0x0004ffff,0x339fffb0,0x3fea1533,0xffffffff,0x4fffffff,0xfffffe98,
    0xffffffff,0xfff1006f,0xb83fffff,0xffffffff,0x6fffffff,0xfffffb10,
    0x3dffffff,0xffffff50,0xffffffff,0xfb809fff,0xffffffff,0x3fee205f,
    0xefffffff,0xfffff501,0xffffffff,0x7649ffff,0xf53dffff,0x81bfffff,
    0xfffffffe,0xffffffff,0xf980005f,0xffffffff,0xfffff54f,0xffffffff,
    0x5c09ffff,0xffffffff,0x4002ceff,0x1effffe8,0xffffffc8,0xffffffff,
    0x7f64c07f,0x03dfffff,0x3fffffea,0xffffffff,0xea804fff,0x2effffff,
    0x2f2aa600,0xfec8009a,0xffffffff,0x00dfffff,0x0acba880,0xffffffd0,
    0xffffffff,0x30000bff,0xffffffff,0x7ff64bff,0xffffffff,0x800dffff,
    0x19abcba8,0x37730000,0x7fff6440,0xffffffff,0x2a2002df,0x3b2000bc,
    0xffffffff,0x0dffffff,0x2aeea200,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x95100000,0x00007999,0x665c4000,0x2e2002cc,0x030001bc,0x00800098,
    0x57100000,0x66440013,0xcccccccc,0x03cccccc,0x40000004,0x80022009,
    0xc8800bdb,0x100080ce,0x2200c401,0x05ffffff,0xf3000000,0x009fffff,
    0x007fffec,0x3a03ffa0,0x654401ff,0x0003effe,0x3ffffa00,0x882ee22d,
    0xffffffff,0xffffffff,0x027edcc5,0x3ff20000,0x803ffb82,0x6c04fffb,
    0x2a2fffff,0x1ffdc06f,0xf3027fd4,0x00bfffff,0x3ee00000,0x004fffff,
    0x007ffffe,0x4c3fffa8,0x7ec04fff,0x04ffffff,0xfffd0000,0xfffddfff,
    0x7ffffc47,0xffffffff,0xffd35fff,0x000009ff,0xfe86fff8,0xfffc807f,
    0x37ffee05,0xfffdefff,0x21bffe00,0x7f407ffe,0x0005ffff,0xffd10000,
    0x5c009fff,0x44005fff,0xfff82fff,0x2b7fe202,0x000ffd98,0xffec8800,
    0x1effffff,0x3fffffe2,0xffffffff,0xfdff55ff,0x8000009f,0xffd84ffe,
    0x1efe8805,0x74c33f20,0x402fffff,0xffc85ffd,0xfff98806,0x00000005,
    0x027ffdc4,0x930000c0,0x200b2605,0x03ff9808,0xfdb88000,0x04ffffff,
    0x5555bfff,0xfff95555,0x27fc444b,0x32200000,0x00cb880b,0xb8040020,
    0xb8800bee,0x00cb880b,0x00bfff10,0xf3000000,0x000009ff,0x80000000,
    0x0002ffd8,0xffffff80,0xd80ffffe,0xffd802ff,0x04ff882f,0x00000000,
    0x00000000,0x44000000,0x00005fff,0xfff98000,0x00000004,0xfe880000,
    0x00006fff,0x22dfff88,0x3504fffc,0x1ffff100,0x0009ff10,0x00000000,
    0x5e5c4000,0x00000001,0x225fff88,0x001acdca,0x2f32e620,0x013ffe62,
    0x73000060,0x00579b99,0x7fffff30,0x88002200,0x3fffb009,0x7ffd4000,
    0x009ff105,0x33330060,0x4cccc401,0xda800c00,0xdfffffff,0x26662003,
    0x44000999,0xffd9dfff,0x01efffff,0x7ffffe40,0xfffabeff,0x07fec004,
    0xffffb500,0x05dfffff,0xffeca880,0x07ff6203,0x4c133100,0x20005fff,
    0xf102fffd,0xffb8009f,0xfffffd84,0xffffea85,0x01ffa06f,0xfffffff9,
    0x403dffff,0xfffffffa,0x7fc4004f,0xffffffff,0x804fffff,0xffffffe9,
    0xffffffff,0x17ffc004,0xfffff980,0xffffffff,0xdff30004,0x0ffffea0,
    0x3ffff660,0xfffd9dff,0xfff88000,0x09ff100f,0x1bfff620,0xbffffff3,
    0xffffffd0,0x0bffea0d,0x7ffffff4,0xffffffff,0xfffffd01,0x88009fff,
    0xffffffff,0xffffffff,0x3fffea05,0xffffffff,0x2004ffff,0x3004fff9,
    0xffffffff,0x05ffffff,0xb11ff600,0x880bffff,0xfffffffd,0x1fffefff,
    0x5fffa800,0x2013fe20,0x41fffffb,0x5ffffff8,0xffffffc8,0x09fff706,
    0x59fffff9,0xffffb753,0xffffb01d,0x8009ffff,0xfffffff8,0xfffba9ac,
    0xfff883ff,0xeb99adff,0x04ffffff,0x4ffffc88,0x33bff200,0xffea99ab,
    0x1379505f,0x5cdff951,0x402fffff,0xfffffff8,0xffffffff,0xffd8003f,
    0xffba982f,0xffe981ad,0x97300cff,0x9510bfff,0x320dfff9,0x7fc44fff,
    0x3ee00dff,0xca884fff,0x04fffdcc,0x7ffffc40,0xfffb100d,0xffffd81f,
    0x3fffee02,0x7ffdc04f,0x00004fff,0xd06fff88,0xffffffff,0xffffd33f,
    0xfffb001b,0xf95337df,0x009fffff,0x40ffff88,0xfffffffd,0x3ffff26f,
    0xfff1001e,0x0dfff00b,0xf717fff6,0x3ee00bff,0xff3006ff,0xff88009f,
    0xfe800eff,0x3ffe24ff,0xfffb801f,0x3fff604f,0x0002efff,0xfe84ccc4,
    0xfff9107f,0xff719fff,0x3bb65dff,0x5ffffb83,0x3ffffe60,0x7ffd4005,
    0xffffeb85,0xffe9beff,0x0bdd94ff,0x402fffc4,0xffd06fff,0x0fffd8df,
    0x03fffe00,0x013ffe60,0x03ffff10,0xa9bffe60,0x3a004fff,0xffb04fff,
    0x0005bfff,0x7fffff5c,0x007fffff,0x7fff4c33,0x9fff90cf,0x00dfffb0,
    0x00dffff5,0x002fffd8,0xeffffc88,0x40dfff51,0xf805fff8,0xfffd06ff,
    0x005fff8f,0x4017ffe4,0x4004fff9,0x4007fff8,0x3ff27ffe,0x3ff2002f,
    0xffff984f,0x3aa0001e,0xffffffff,0x8007ffff,0x21effffc,0xf84ffff9,
    0xfb002fff,0x7c400dff,0x54000fff,0x223fffff,0x2206ffff,0xff805fff,
    0xfffff06f,0x013ffe61,0x009fff30,0x8009fff3,0x4006fff8,0xffb1fffd,
    0x7fd4001f,0x6fffc84f,0x7ffdc000,0xffffffff,0x2a007fff,0x443ffffe,
    0x444ffffe,0x7000ffff,0x5400bfff,0x22005fff,0x40effffd,0x206ffffd,
    0xf805fff8,0xfff886ff,0xbfff10ff,0x3fffa800,0x04fff980,0x037ffc40,
    0x6c3fff60,0x2a000fff,0xffd84fff,0xf303002f,0x9bffffff,0x0fffffdd,
    0x3bfffee0,0xffcffc81,0x03fffc44,0x009fff70,0x8017ffec,0x83ffffe8,
    0x06fedffa,0x2017ffe2,0xff986fff,0x3ffa1fff,0x3ff2000f,0xfff9801f,
    0x7ffc4004,0x3ffe000f,0x00bffee7,0xd84fffc8,0x74401fff,0x77fff46f,
    0x1fffa01b,0x81fffec0,0x4ff8dffa,0x001ffff8,0x2007fff9,0x000ffff8,
    0x101bfff5,0x0dfd1fff,0x402fffc4,0xffa86fff,0x3ff22fff,0xfff5005f,
    0x3ffe600f,0x7ffc4004,0xfff7004f,0x077ffccb,0x27fffcc0,0x202fffdc,
    0xff10fffa,0xffd003ff,0x033a600f,0x7c47ffc4,0x4fffd84f,0x2ffff880,
    0x0bfff700,0x3602ed80,0x40dfd2ff,0x4405fff8,0xffa86fff,0x3fe63fff,
    0x3ee00dff,0xf3004fff,0xf88009ff,0x5c03ffff,0x7f42ffff,0x3a600dff,
    0xf984ffff,0x5cc1cfff,0xff32fffe,0x7fdc40df,0x200007ff,0x9ff13ffd,
    0x07ffff70,0x006fffd8,0x000bfff6,0x74bff700,0x7fffc06f,0xffffc880,
    0xfffffb86,0x7ffffec4,0xffecaabc,0xf3000fff,0x36a009ff,0xeffffffe,
    0xffeba9ac,0xfff985ff,0xdbaabcff,0xdfffffff,0x3ffff20b,0xfffffeff,
    0x3fffe2ff,0xffdbaace,0x2defffff,0x3ffe6000,0x84ffffff,0x9aeffffd,
    0xfffffb99,0xffff1001,0xff800001,0x6fffffff,0x2fbfffa0,0xfffffdba,
    0x3fee2dff,0x7f443fff,0xffffffff,0xb82fffff,0xffeeeeed,0xbdeeeeff,
    0xffffff10,0xffffffff,0x01ffffff,0x3ffffff2,0xffffffff,0x224fffff,
    0xffffffff,0x22ffffff,0xfffffffc,0xffffffff,0x0000ffff,0xfffffff5,
    0xfff10dff,0xffffffff,0x54009fff,0x00005fff,0x7fffffc4,0xf700ffff,
    0xffffffff,0xffffffff,0x3ffffe21,0xffffd881,0xefffffff,0xfffffa81,
    0xffffffff,0xff34ffff,0xffffffff,0xffffffff,0xfffb801b,0xffffffff,
    0x4fffffff,0x7ffffec4,0x81cfffff,0xfffffffd,0xffffffff,0x10000fff,
    0xff733333,0x7ffec40b,0xffffffff,0x7ffd4003,0x99800001,0x0fffa999,
    0x7ffffe40,0xffffffff,0x3ffa0fff,0x7f64c06f,0x03dfffff,0x3fffffea,
    0xffffffff,0x3fae4fff,0xffdadfff,0x02ffffff,0x3ffff620,0xffbcffff,
    0xb500dfff,0x17bdfffd,0xfffffb80,0xffeadfff,0x00003dff,0x1bffffea,
    0xffffff50,0x20001bff,0x000004fc,0xffffff88,0x7fffe400,0xfff9cfff,
    0x675c43df,0x2f2a2000,0x3ffb2000,0xffffffff,0x000dffff,0x055e5d44,
    0x99531000,0x08000035,0x99751000,0x00000155,0xffffe980,0x79753004,
    0x00000013,0xffd80000,0x2e6005ff,0x000001ac,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xb9731000,0x20008379,0x00104ec9,0x33333333,0x33333333,
    0x97000333,0x31003999,0x00035775,0x01abba98,0x2b2a6000,0x0000000a,
    0x57510000,0x00100001,0x66664c00,0x00002ccc,0xffff9100,0xfd9fffff,
    0xffffb005,0x1037d45d,0x5555555b,0x55555555,0x54003955,0x202fffff,
    0xffffffda,0x2e2002ef,0xffffffff,0x7003ec8b,0xfffffffb,0x4009d77d,
    0xffffffda,0x0cefffff,0xfffffb80,0xc8000dff,0x640000ff,0xffffffff,
    0xdfda8004,0x7fffd402,0xffffffff,0x7fe406ff,0xfdefffdf,0x007100ff,
    0x44006a00,0x82ffffff,0xffffffeb,0x805fffff,0xfffffffa,0xffffffff,
    0x3fff6200,0xffffffff,0xf8800fff,0xffffffff,0x04ffffff,0x3fffffa6,
    0x002fffff,0x0001fffc,0x3ffffffa,0x7c4004ff,0x3ea07fff,0xffffffff,
    0x07ffffff,0xfe9867ec,0x2201ffff,0x03500003,0x3fffff20,0xfffff82f,
    0xffffffff,0x3ffee04f,0xffffffff,0x302fffff,0xfffffffd,0xffffffff,
    0x3fffe005,0xffffffff,0xff704fff,0xffffffff,0x2200bfff,0x40005fff,
    0xfffffffb,0x7fd4004f,0xff881fff,0xb99adfff,0x07fffffd,0x17dd9008,
    0x00003880,0xfff10035,0xff05ffff,0xb77bdfff,0x503fffff,0x7bdfffff,
    0xfffffd95,0xffff305f,0xd9757bff,0x007fffff,0x3fffff6a,0xceffffff,
    0xfffff980,0xfffdbace,0xff8804ff,0x3300005f,0x009fff53,0x20fffff0,
    0x401efffd,0x0007fffc,0x000e2000,0x7ec00d40,0x82ffffff,0xd100efff,
    0xff88bfff,0x3a602fff,0xfe82ffff,0x7d401fff,0x80003fff,0xfd007fff,
    0x3a205fff,0x4401ffff,0x00005fff,0x004fff98,0x981dfda8,0xd001ffff,
    0x2e600dff,0x002bcdcc,0x2a000071,0x7fffd401,0xfe82fffd,0x7ffd405f,
    0x17fffe46,0x42fffe80,0x001ffffb,0x0005fff7,0x900ffff0,0x9001dfff,
    0x54c0dfff,0x9999dfff,0x98000999,0x00004fff,0x009fff50,0xb5027fdc,
    0xffffffff,0x038805df,0xe8035000,0xfffbcfff,0x802ffc82,0x7ffc7ffe,
    0x3fee002f,0x17fffc1f,0x01fff100,0x0ffff000,0x01ffff98,0x913fffa0,
    0xffffffff,0xbfffffff,0x4fff9800,0xff900000,0x0298003f,0x3fffffe6,
    0x4fffffff,0x40000e20,0x3ffee01a,0x02fffb8f,0xfff10033,0x03fffd4f,
    0xf31ffe20,0x93000fff,0x3fe00003,0x7ffdc07f,0x7ffd4004,0x3ffffe26,
    0xffffffff,0x2002ffff,0x0004fff9,0x01fffb00,0xfff98000,0xffffffff,
    0x07102fff,0x4406a000,0xff73ffff,0xfc80005f,0x3ffee6ff,0x40a88005,
    0x0004fffb,0xfff80000,0x07ffe407,0x23fff400,0xfffffffe,0xffffffff,
    0x3fe6000f,0xb000004f,0x00001fff,0x579dff90,0xbfffd533,0x40000e20,
    0xdfff901a,0x0017ffdc,0x3ffffe98,0x000bfff2,0x02fffc80,0xf8000000,
    0x7ff407ff,0xfff90007,0x7fee5c43,0xccccccef,0x7cc001bc,0x000004ff,
    0x0005fff7,0x7fc40000,0x0007106f,0x3fe606a0,0x3ffee1ff,0x7ff54002,
    0x7fec6fff,0x3600000f,0x00000fff,0x7fff8000,0x0037ffc0,0x102fffb8,
    0x0000bfff,0x009fff30,0x3ffe6000,0x00298006,0xfe84ccc4,0x0007107f,
    0x3ffa06a0,0x17ffdc5f,0xfffff880,0x7fec0dff,0x3600000f,0x00000fff,
    0x7fff8000,0x017ffe20,0x81fffd40,0x0005fff8,0x04fff980,0x026665c0,
    0x001bffff,0xb809ffb1,0xfffffffe,0x07107fff,0xf506a000,0xffb81fff,
    0xfff3002f,0x3f607fff,0x200000ff,0xb300fffd,0xffffffff,0x00f6cc5b,
    0x7c07fff8,0xf70006ff,0x3fe205ff,0x9800005f,0x7c004fff,0x3ea04fff,
    0x9abdffff,0xffffdcaa,0xffffd507,0xffffffff,0x0000e20f,0xffff10d4,
    0x05fff707,0x33fffe60,0x03fff600,0xfffd8000,0xfffffd00,0x64dfffff,
    0xfff004ff,0x07ffe80f,0x03fff900,0x0017ffe2,0x13ffe600,0x0ffff980,
    0x7ffffdc0,0xffffffff,0xffb84fff,0xffffffff,0x7107ffff,0xc86a0000,
    0xaaabffff,0x003fffda,0x3200fffe,0x00002fff,0x6c07ffee,0xffffffff,
    0x1fffa6ff,0x203fffc0,0x8000fffc,0x3e207ffe,0x800005ff,0x2004fff9,
    0x9002fffc,0xffffffff,0x0bffffff,0xfffffff3,0xffffdd9b,0x0000e20f,
    0xffff88d4,0xffffffff,0xb801ffff,0xffb800ef,0x2600004f,0xd9303fff,
    0xdfffdddd,0x803fff43,0x7dc07fff,0x7d4004ff,0x3fe206ff,0x9800005f,
    0x3e004fff,0x64c005ff,0xffffffff,0xffd01cff,0x7f4037df,0x0007107f,
    0x7ffc46a0,0xffffffff,0x004fffff,0xffff8800,0x44088001,0x5c006fff,
    0x7ff43fff,0x0bfff007,0x01ffff98,0x813fffa0,0x0005fff8,0x04fff980,
    0x001fff30,0x33ff2620,0x3e2009aa,0xfe801fff,0x0007107f,0x7ffc46a0,
    0xffffffff,0x002fffff,0xdfffb000,0x17fd4001,0x800ffffa,0x7f43fffb,
    0xfffa807f,0xefffc804,0x6fffc800,0x02fffc40,0x7ffcc000,0x07ff7004,
    0x07ff5000,0x037ffcc0,0x0fffff71,0x540000e2,0x33333321,0xfffecccc,
    0x2000001c,0x02fffff9,0x546fffc8,0x400cffff,0x743fffc8,0x3ea02fff,
    0xfd002fff,0x3a205fff,0x4402ffff,0x26207fff,0xf9801eeb,0xdfd004ff,
    0x3fea0000,0x3ffe005f,0xfdbaacef,0xdeffffff,0x40000e22,0xffb8001a,
    0x06a2002f,0xfffff700,0xfb95579d,0xfb09ffff,0x579bffff,0xfffffdb7,
    0xfffffe87,0xfffdbabc,0xff3000ef,0xb759dfff,0x00bfffff,0x2b3bfffe,
    0xfffffeca,0x4fff9805,0x001ff880,0x7f64ccc0,0xfff9000f,0xffffffff,
    0xffffffff,0x40000e21,0xddb7001a,0x8017dfff,0x4007fffc,0xfffffffc,
    0xffffffff,0xffff880e,0xffffffff,0x743fffff,0xffffffff,0x00efffff,
    0x7ffffdc0,0xffffffff,0xfff9000d,0xffffffff,0x76dcbfff,0xffffeeee,
    0x10bdeeee,0xff00007f,0x001ffbbf,0x7fffffec,0xffffffff,0x0710ffff,
    0x2006a000,0xfffffffa,0x7ffc03ff,0x7d4002ff,0xffffffff,0x4404ffff,
    0xfffffffc,0xbfffffff,0x7fffe440,0xdfffffff,0xffd30000,0xffffffff,
    0xfffd0005,0xffffffff,0x3ffea1bf,0xffffffff,0x04ffffff,0xfffd8000,
    0xfb8004ff,0xdfffffff,0x3dffffea,0x540000e2,0xffffb801,0x404fffff,
    0x000ffffc,0xffffeb88,0x002defff,0x3ffffb22,0x002effff,0xffffffd5,
    0x2e00007b,0xdfffffff,0xff710000,0x9fffffff,0xfffffa83,0xffffffff,
    0x0004ffff,0x15bd7300,0x32ea2000,0x44000aac,0xcccccccd,0xcccccccc,
    0xc8801dcc,0xcefffffe,0x00ab9800,0xbcaa8800,0x2a600001,0x00009abb,
    0x00006ea6,0x00aba880,0x32aa2000,0x764009ac,0xffffffff,0x0dffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2f2a6200,0xccb9800a,0x000001cc,
    0x55797530,0x3332e201,0x2000002c,0x0004ccca,0x00357530,0x00000000,
    0x00000000,0x00000000,0x3ffffb20,0x3fae0cef,0x01dfffff,0xffffff91,
    0x543d95bf,0x03ffffff,0x7f540000,0xffffffff,0x3ffffe22,0x2000004f,
    0x0007fffc,0x7fffff44,0xffeb803f,0xff3005ff,0xd9819fff,0x303effff,
    0x87dffffb,0xffffffeb,0xffffffff,0x7f5c4fff,0xffffffff,0x3ea002cd,
    0xffffffff,0xffffff13,0xff50bfff,0xffffffff,0x7fe4dfff,0x0003ffff,
    0x3ffff200,0xffffffff,0xffffff50,0x64000009,0x20007fff,0xfffffffa,
    0x3fe205ff,0x800fffff,0x5ffffffd,0x7ffffffc,0xfffff82f,0xfff32fff,
    0xffffffff,0xffffffff,0x7ffffcc9,0xffffffff,0xffa802ef,0x3fffffff,
    0xfffffff1,0xfff98bff,0xffffffff,0xfd30ffff,0x0007ffff,0x3fffea00,
    0xffffffff,0x7fffff47,0x32000004,0x10007fff,0xffffffff,0x3e209fff,
    0x04ffffff,0x7fffffc4,0x7ffffc4f,0x7fc43fff,0x32ffffff,0xffffffff,
    0xffffffff,0x7fcc9fff,0xffffffff,0x05ffffff,0xfffffeb8,0x3ff6a0be,
    0x220cefff,0xacfffffe,0xffffffdb,0x1fffdc40,0xffe80000,0xccaaacef,
    0xffa882de,0x2000004f,0x0004ccca,0x77bffff9,0x540dfffd,0x0ffffffe,
    0x3fffff20,0x7fed40cf,0xfa80dfff,0x5c4effff,0xfffffffd,0xffffffff,
    0x7fedc4ff,0xffffffff,0x804fffff,0x5005fff8,0xff507fff,0x3f6203ff,
    0xffa80fff,0x8800003f,0x0000ffff,0x0013ffe6,0x20000000,0xfd82fffe,
    0x7ffcc03f,0x3fe03fff,0x4c06ffff,0xd103ffff,0xf9809fff,0xff9804ff,
    0x0dfff04f,0x3ffffae6,0x2fffc402,0x83fffa80,0xf804fffc,0xffa80fff,
    0x9800003f,0x40004fff,0x0004fff9,0xf8000000,0x006a06ff,0x3fffffe6,
    0xfffff706,0xfff900df,0xdfff901f,0x4fff9801,0x04fff980,0xe880dfff,
    0x7c407fff,0xff5005ff,0x1fffb07f,0x20dff900,0x9883fffa,0x98800999,
    0x999dfffa,0xff300199,0x3372a29f,0x9988001a,0x80009999,0x80006fff,
    0xfffffff9,0xfffffe82,0xfffd006f,0x1ffffa8b,0x84fff980,0x0fffe208,
    0x44037ffc,0x2203ffff,0xf5005fff,0xfff707ff,0x07fd1007,0xea8fffea,
    0x0effffff,0xfffffe88,0xffffffff,0x7ffcc04f,0xffffffdd,0xffa800df,
    0x04ffffff,0x007ffe80,0xfffff980,0x7ffd46ff,0x3006ffff,0x3e27ffff,
    0xf3004fff,0x2ffa89ff,0x7fc07ffa,0xfff5006f,0x2fffc40d,0x83fffa80,
    0x00cffff9,0x1fffd400,0xfffffffd,0xffff907f,0xffffffff,0x4c01ffff,
    0xffffffff,0x00efffff,0x7ffffff4,0xfc8004ff,0x4c0001ff,0xffffcfff,
    0x3effff61,0x3ee006ff,0xfffd8fff,0x3ffe6006,0x2a2ffec4,0x01bffe00,
    0x100ffff8,0x2a00bfff,0xffd03fff,0x0159dfff,0x23fffa80,0xfffffffd,
    0xffffa81f,0xffffffff,0x7cc06fff,0xffffffff,0x406fffff,0xfffffffd,
    0xb551004f,0x1555bfff,0xcfff9800,0xff35fffb,0x0dfff1ff,0xfffffe80,
    0x26001fff,0xfaaadfff,0x7fc007ff,0x3ff6006f,0xbfff101f,0x0fffea00,
    0x7fffff44,0x802dffff,0xfd13fffa,0x0379ffff,0x7ffee64c,0xbcccccce,
    0x7fffcc00,0xfdb9acff,0x2a200fff,0x4fffdccc,0xfffffa80,0x3fffffff,
    0x33ffe600,0xfc9ffff8,0x0dfff4ff,0xfffff980,0x7cc004ff,0xffffffff,
    0x7ffc007f,0x3ffee006,0x0bfff102,0x80fffea0,0xffffffd8,0x200effff,
    0xffabfffa,0x8000efff,0x0004fff9,0x17ffffcc,0x003fffc8,0x4027ffcc,
    0xfffffffd,0x005fffff,0x7e53ffe6,0x0ffffdff,0x7000dfff,0x00dfffff,
    0xffffff30,0x800fffff,0x2e006fff,0xff103fff,0x3fea00bf,0xffda803f,
    0xffffffff,0xfdfff501,0x0009ffff,0x0027ffcc,0x03bffe60,0x005fff98,
    0x4027ffcc,0xfffffffa,0x002fffff,0x7c53ffe6,0x25ffffff,0xf8806fff,
    0xffffffff,0x9802ffff,0xffffffff,0x7fc007ff,0x3fee006f,0xbfff103f,
    0x0fffea00,0xffd97300,0x3ea0ffff,0x3fffffff,0x7ffcc000,0x7fcc0004,
    0x6fff804f,0x27ffcc00,0xfdaaa880,0x000aadff,0xfb27ffcc,0x7c3fffff,
    0x997006ff,0x99dfffb9,0xff300179,0xfff555bf,0x6fff800f,0x0bfff200,
    0x802fffc4,0x0003fffa,0x17fffe44,0x7fffffd4,0xf980003f,0x4c0004ff,
    0xff804fff,0x7fcc006f,0xff70004f,0x7cc0007f,0x3ffe64ff,0x37ffc6ff,
    0x4fff9800,0x9fff3000,0x5c46ffd8,0x00dfff00,0x8807fff4,0xf5005fff,
    0x05b705ff,0x427ffd40,0xfffffffa,0x7cc0002f,0x4c0004ff,0xff804fff,
    0x7fcc006f,0xffb0004f,0x7cc0005f,0x7fff44ff,0x037ffc2f,0x04fff980,
    0x89fff300,0x3ffc2ffa,0x2006fff8,0x7f407fff,0xfff9007f,0x00fff983,
    0x2a1bffe0,0xffffffff,0x3e60003f,0x4c0004ff,0xff804fff,0x7fcc006f,
    0xfff0004f,0x7cc0003f,0x7ffd44ff,0x806fff86,0xffffffe8,0x02ffffff,
    0x884fff98,0x417ffcc0,0xf7006fff,0xffc80bff,0x7ffcc03f,0x04fffb87,
    0x50dfff50,0xfff39fff,0x260009ff,0x40004fff,0xf804fff9,0x7cc006ff,
    0xf98004ff,0x1ca807ff,0xc84fff98,0x6fff82cc,0xfb999700,0x39999dff,
    0x09fff300,0x20fffea0,0xfb806fff,0x7d402fff,0xff303fff,0xfff90bff,
    0x7fcc019f,0xfffa84ff,0xbffffd13,0x9fff3000,0xfff98000,0x06fff804,
    0x027ffcc0,0x17fffa60,0x981fff10,0xf8004fff,0xf30006ff,0x260009ff,
    0xf5004fff,0xdfff07ff,0x3fff2a20,0xfffb005f,0xffb757df,0xff901fff,
    0x559bffff,0x3fffffd9,0x447fff50,0x00dffffe,0x013ffe60,0x09fff300,
    0x800dfff0,0x1004fff9,0xddfffff9,0xfddddddd,0x3fae25ff,0x303defff,
    0xbffffdd9,0xeedb8803,0x1ceeffff,0x7fff6d40,0xeeeeeeef,0x23fffeee,
    0xeeffffdb,0xffffffee,0xfd1000ff,0xffffffff,0x3ee05fff,0xffffffff,
    0x3fffffff,0x1ffff6dc,0x777ffff4,0x77764c2d,0xeeeeffff,0xdb300bde,
    0x887bffff,0x4effffec,0x777776dc,0xeeeeffff,0x3fff60bd,0xffffffff,
    0x0fffffff,0xfffffff7,0xfffd05ff,0x80ffffff,0xfffffffb,0x2206ffff,
    0xffffffff,0xffffffff,0xff33ffff,0xffffffff,0x3dffffff,0xfffd8800,
    0x2fffffff,0x3ffffe60,0xffffffff,0x7ffdc3ff,0x7fc43fff,0x0fffffff,
    0x3ffffffa,0xffffffff,0xffffb03f,0x7e43ffff,0x2fffffff,0xfffffff5,
    0xffffffff,0x7ffec9ff,0xffffffff,0x25ffffff,0xfffffffb,0xfffe82ff,
    0x00ffffff,0x3fffffee,0x206fffff,0xfffffff9,0xffffffff,0xf33fffff,
    0xffffffff,0x1bffffff,0x7ffd4000,0x800dffff,0xfffc9bec,0x80cfffff,
    0x3ffffffb,0x7fffffc4,0x3ffe0fff,0xffffffff,0xd04fffff,0xffffffff,
    0x7ffffec5,0xfff53fff,0xffffffff,0x49ffffff,0xffffffd9,0xffffffff,
    0x7ff6443e,0xb504efff,0x5bffffff,0xfffec880,0x02dfffff,0x7fffff5c,
    0xffffffff,0x2e3fffff,0xfffffffe,0x001bdeff,0x06aea200,0x5dd4c000,
    0x7f64401a,0xfeb83fff,0x543dffff,0xfffffffd,0x0cefffff,0xfffffb50,
    0xfffd989d,0x3b20ceff,0xffffffff,0x0dffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfdb71000,0x000039bd,0x00000000,0x00000000,0x04037ae2,0x00000000,
    0x77f6dc40,0x008001cd,0x7fffff5c,0x3ceeffff,0x3ff6a000,0x07ffffff,
    0xffffd700,0xbdffffff,0x36600039,0xffffffff,0xfda802ef,0xffffffff,
    0xffffffff,0x7fff5c5f,0x3f6e0cef,0x220cffff,0xfffffffc,0x2dffffff,
    0x7ffffdc0,0x7007fa63,0xdffffffd,0xffffec89,0xffb3004e,0xdfffffff,
    0x7dfd3005,0xffffff30,0xffffffff,0xff0005ff,0xffffffff,0xff98005f,
    0xffffffff,0x0cffffff,0x3fffee00,0xfffebacd,0x7fff405f,0xffffffff,
    0xffffffff,0x3ffffe25,0xfff14fff,0x649fffff,0xffffffff,0x6fffffff,
    0x3f7ffea0,0x1fffdfff,0x3ffffe60,0xf52fffff,0x5fffffff,0xdffffb80,
    0xffffebac,0x7ffff405,0x7ffffcc1,0xffffffff,0x4004ffff,0xffffffff,
    0x4c005fff,0xffffffff,0xffffffff,0xfff9006f,0x7fed4405,0xffffd00e,
    0xffffffff,0xbfffffff,0x7fffffc4,0xffff14ff,0x7e49ffff,0xffffffff,
    0x06ffffff,0x7ec477ee,0x4c03ffff,0xffffffff,0xffff52ff,0x6405ffff,
    0x2a202fff,0xf880effd,0xdb83ffff,0xffffffff,0xffffffff,0x3ff66002,
    0xffffffff,0x7fedc000,0xffffffff,0x04ffffff,0x0006ffdc,0x3260bff5,
    0xfffffffe,0xffffffff,0x7ff545ff,0x36a0beff,0x20cfffff,0xfffffeb8,
    0xceffffff,0xfea80401,0xffb7000b,0xd87bffff,0x03dfffff,0x80037fee,
    0xffb05ffa,0x7fcc01ff,0x3ffaa04f,0x3e60007f,0x04ffffff,0x09fff300,
    0x3ffff2a2,0x30bff300,0xf9865997,0x3fff403f,0x85fff880,0x4404fff9,
    0x26005fff,0x00004fff,0x7fcc0000,0xffff504f,0x5ff9807f,0x13555553,
    0x7107ff30,0xff9803bd,0x7ffc404f,0xffb0001f,0x00ffffbf,0x013ffe60,
    0x6c0bfffa,0x3ff220ff,0x2e3fffff,0x3ffa00ff,0xbfff1007,0x809fff30,
    0x2005fff8,0x4004fff9,0x2ea09998,0x4c001bcd,0xffb84fff,0xfd802fff,
    0xfffffa8f,0x7dc0cfff,0x7cc0000f,0xffb804ff,0xff88003f,0x2fffd8ff,
    0x4fff9800,0x83fffa80,0x7ff42ff9,0x45fffdbe,0x3ffa03ff,0x9fff0307,
    0x809fff30,0x2005fff8,0x1004fff9,0xd5bffffd,0x1bffffff,0x13ffe600,
    0x03fffffb,0x3225ff30,0xffeeeeff,0x0003ff83,0x4027ffcc,0x8003fffb,
    0xff55fffb,0xff3000bf,0xfffd009f,0xfb8df905,0x6c5fe82f,0x1fffa06f,
    0xffd8bfd1,0x04fff982,0x002fffc4,0x2009fff3,0xfffffffb,0xffffffff,
    0xfff9802f,0xdffffb14,0x21bf2001,0x437cc2fd,0x4c0006fd,0x7cc04fff,
    0xe8000fff,0x3ffe1fff,0x7fcc000f,0x3ff2604f,0x44fe81ff,0x87f304fe,
    0xffd00ffb,0x40fffb8f,0x9fff301a,0x05fff880,0x013ffe60,0x7fffffcc,
    0xffffffff,0xff9806ff,0xffffe8cf,0x13fa000d,0x07fa0bf6,0x40001ff7,
    0x9104fff9,0x000dffff,0xfc8dfff5,0x7cc004ff,0xcaaaadff,0x05ffffff,
    0x0ffc47ff,0x03ff3010,0x2aabfffa,0x2001fffd,0xaaadfff9,0xfffbaaaa,
    0x3ffe6005,0x3ff26004,0xa9acffff,0x403ffffd,0xfffefff9,0xff8005ff,
    0x3262fd83,0x01ff987f,0x3bffe600,0xffffeccc,0xd8002fff,0x7fc43fff,
    0x7fcc007f,0xffffffff,0xf00effff,0x0037cc3f,0xffd02ff8,0xffffffff,
    0x7ffcc003,0xffffffff,0x2005ffff,0x4004fff9,0x02fffff8,0x9809fff7,
    0xffffffff,0x1ff8004f,0xfffeefd8,0x005ff02f,0x7ffffcc0,0xffffffff,
    0xff88001e,0xfffd80ff,0x3ffe6002,0xffffffff,0xff01ffff,0x80037cc5,
    0xfffd02ff,0x3fffffff,0x7fffcc00,0xffffffff,0x26005fff,0x44004fff,
    0x2201ffff,0x7cc06fff,0xffffffff,0x17fc005f,0x7fffffec,0x000bfe02,
    0xffffff98,0x0dffffff,0xbfff7000,0xff733333,0x7fcc00bf,0xffffffff,
    0x81ffffff,0x03fe23fe,0x203ff300,0xfffffffe,0x26001fff,0xffffffff,
    0x5fffffff,0x13ffe600,0x0bfff100,0x980dfff0,0xffffffff,0x3a005fff,
    0xbacfd83f,0x3ff305ff,0xf9801a88,0xffffffff,0x20005fff,0xfffffffe,
    0x0fffffff,0x5bfff300,0xfd995555,0xfd83ffff,0x20027fc5,0xffd00ffb,
    0xfffb555f,0x7ffcc003,0xaaaaaaad,0x2005fffb,0x4004fff9,0xf805fff8,
    0x7fcc06ff,0xffd89fff,0xbfb005ff,0x7fcc5fb0,0x2e0ffb84,0x7cc06fff,
    0xe9999dff,0x8005ffff,0xfffffffa,0xffffffff,0x9fff3004,0x9ffff500,
    0x7fdc7fb8,0x3a37d40b,0x1fffa05f,0x4001fff7,0x4404fff9,0x26005fff,
    0x44004fff,0xff805fff,0x7ffcc06f,0x7fffdc0e,0xd87fb802,0x217fcc2f,
    0x7fffc5fe,0x3ffe602f,0xbffff904,0xffffd800,0xffffffff,0xf3007fff,
    0x3e6009ff,0x44ff86ff,0xffdefffd,0x80bfe23f,0x7f447ffe,0x7ffcc005,
    0x2fffc404,0x09fff300,0x05fff880,0x4c06fff8,0xff904fff,0x53fe00df,
    0x21fffff9,0xff88effb,0x3ffffe22,0x13ffe603,0x03ffffc8,0xddffff10,
    0xdddddddd,0xf3005fff,0x7ec009ff,0x0ffe40ff,0x37ffffee,0x3a037f43,
    0x000307ff,0x8809fff3,0x26005fff,0x44004fff,0xff805fff,0x7ffcc06f,
    0x7fffd104,0xf33ff900,0xfd83ffff,0xfc86fe8e,0x3e600fff,0x7fec04ff,
    0xffb801ff,0xfff3004f,0x9fff300b,0x07fff400,0x54c077f4,0x803ff902,
    0x00007ffe,0x1013ffe6,0x4c00bfff,0x44004fff,0xff805fff,0x7ffcc06f,
    0x1fffe604,0x00077f40,0xc980ffe4,0x7ffcc00a,0x6fffe804,0x01fffe80,
    0x003fffa0,0x1009fff3,0x220dfff9,0xd1003fff,0xffd007ff,0x7cc0000f,
    0x7fc404ff,0x3fe6005f,0x7fc4004f,0x6fff805f,0x027ffcc0,0x200ffff6,
    0x1003fff8,0x80007ffd,0xeffffeda,0xffff103d,0x7f6443bd,0x303defff,
    0xbdffffd9,0xfffedb83,0xeeeeeeef,0x04ffffff,0x02bbffe6,0x07fffb73,
    0x7ffff64c,0x003deeee,0x3ffffb66,0x3fb6a0bd,0x2e24efff,0xfffeeeed,
    0x41ceeeef,0xeffffed8,0xffffda83,0x7ff6dc2d,0xf983deff,0x203defff,
    0x40aefff9,0x03fffdb9,0x7fffcc00,0x02ffffff,0x4dfffff5,0xfffffffc,
    0xffff81ff,0x266fffff,0xffffffff,0xffffffff,0x4400efff,0xfefffffd,
    0x401effff,0xfffffffe,0x002fffff,0xfffffffd,0x3fffe29f,0xf92fffff,
    0xffffffff,0x8dffffff,0xfffffffd,0x3fffe21f,0xff30ffff,0xffffffff,
    0xfffffd05,0x7fec403f,0xffffefff,0x980001ef,0xffffffff,0x3ff603ff,
    0x3fff66ff,0x82ffffff,0xffffffff,0x3fffe67f,0xffffffff,0x0dffffff,
    0x3fff6600,0x002effff,0xfffffffd,0x005fffff,0x3ffffffe,0xffff14ff,
    0x327fffff,0xffffffff,0x6fffffff,0x7ffffff4,0x3ffe62ff,0xf30fffff,
    0xffffffff,0xffff505f,0xfb3005ff,0x5dffffff,0xfeb80000,0x04efffff,
    0x316fffc4,0xdffffffb,0x3fff6a09,0x7642dfff,0xffffffff,0x1cdeffff,
    0x2ea62000,0x6d4000aa,0xffffffff,0x36a004ef,0x0cffffff,0x3fffff6e,
    0xfff910ce,0xffffffff,0xfd985bff,0xb84effff,0x43dffffe,0xffffffec,
    0x3fffa04e,0x54c4004e,0x00000aab,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00200000,0x7ffffec4,0x01dfffff,0xfffffd98,0xffb504ef,0xb85bffff,
    0x00fffffd,0xffffffb5,0xffffa83b,0xffffffff,0x7ed45fff,0xb703efff,
    0xa89dffff,0x04effffd,0x7dffffb5,0xfffffd70,0xffd903bf,0x2219dfff,
    0xffffffec,0x1001dfff,0xffffffd9,0x059bdfff,0xfffffd70,0x159bffff,
    0x3ffb2a00,0x3ffee03f,0xffffffff,0xfffd805f,0x82ffffff,0xffffffff,
    0x3fffe27f,0xff885fff,0x6fffffff,0x7fffffd4,0xffffffff,0x7ffffc5f,
    0x7fc42fff,0x12ffffff,0xffffffff,0xfffff885,0x3fe62fff,0x5fffffff,
    0x7fffffd4,0xfff74fff,0xffffffff,0x3fee00bf,0xffffffff,0x01dfffff,
    0xfffffff3,0xffffffff,0xffffd805,0xff704fff,0xffffffff,0xff900bff,
    0x3fffffff,0xfffffff0,0x7ffc4dff,0x442fffff,0xffffffff,0x7fffd45f,
    0xffffffff,0x7ffc5fff,0x442fffff,0xffffffff,0x3fffffe2,0x7ffc42ff,
    0x261fffff,0xffffffff,0x7fffd45f,0xf74fffff,0xffffffff,0x2e009fff,
    0xffffffff,0xffffffff,0xffff882f,0xffffffff,0x880dffff,0xfd98bdff,
    0xffdb880f,0xceffffff,0xffed8800,0xb303dfff,0x3bdfffff,0xfffffda8,
    0x7fed40ff,0x541cffff,0xffffffff,0x5fffffff,0x7ffffecc,0xfffff503,
    0xfffda87b,0xfff504ff,0xff707dff,0x019dffff,0xffffffb7,0x3ffae219,
    0xceffffff,0xffb71000,0xffffffff,0x01ffffff,0xffffffb5,0xffffffff,
    0x220220bf,0x7fdc04ff,0xfd00002f,0x7fc003ff,0x7fc401ff,0x2604ffff,
    0xff504fff,0x7ffec07f,0xffff301f,0x3fffe205,0x7fffdc04,0xbffff304,
    0x02fffb80,0x806fff80,0x00007ffe,0x2205fff7,0x205ffffb,0xd7306fff,
    0x2007ffff,0x5c02ffd8,0xffffffff,0xb803deff,0xf5005fff,0xff100dff,
    0x203fffff,0xf504fff9,0x3fee07ff,0x7fe402ff,0xfffd80ff,0xffff9006,
    0xeffff885,0x1fffd400,0xf1026662,0xffd00bff,0x3ee0000f,0x7fd402ff,
    0x1bffe07f,0x1ffffd10,0x3ffffa20,0xffffb805,0xffffffff,0x3fe201ef,
    0xffe800ff,0xfff8802f,0xf306ffff,0x3fea09ff,0xffff983f,0xbfffd004,
    0x01ffffb8,0x87ffff60,0x800ffffe,0x7e44fff9,0x7ffcc7ff,0x07ffe804,
    0x5fff7000,0x03fffd00,0x2201bffe,0xf103ffff,0x7009ffff,0xffffffff,
    0x5fffffff,0x01fffec0,0x401fffe6,0xfffefff8,0x4fff983f,0x885fff10,
    0x2006ffff,0xf12ffff9,0x88009fff,0xfd8ffffe,0xf3002fff,0xfffe8bff,
    0x0fffea1f,0x001fffa0,0x017ffdc0,0xf817ffdc,0xff3006ff,0xfeba80ff,
    0x7ffdc04f,0xca99999b,0x2606ffff,0x7e407fff,0xff1004ff,0x1ffff7bf,
    0x204fff98,0x7ff40efd,0x7e4000ff,0xfffd8fff,0xfff10006,0x07ffffff,
    0x337ffc40,0x5c9fffff,0xfe802fff,0xf700007f,0xffb005ff,0x1bffe01f,
    0x00ffff80,0x5c07ff88,0x7d402fff,0x3fa01fff,0xfff102ff,0x3fe2001f,
    0x8bfffd5f,0x0404fff9,0x017fffe4,0xfffffe80,0x20001fff,0xfffffff9,
    0x7fff8005,0x9ffffff2,0xe801fffc,0x700007ff,0xfb805fff,0x7e5cc6ff,
    0x1ccccfff,0x003fffb0,0xfb803ff6,0xffe802ff,0x3ffee02f,0x0bfff705,
    0x9afffc40,0x3e63ffff,0x7d4004ff,0x20003fff,0xfffffff9,0xffb80003,
    0xd0006fff,0x3ffe1fff,0xffb1ffff,0xfffd001f,0x3fee0000,0xfff9102f,
    0x7fffcc9f,0xffffffff,0x32fffb82,0xf7511379,0xfffb80df,0x2fffc802,
    0x40ffffc0,0x2002fffe,0x3f25fff8,0xfff30fff,0x7ffcc009,0xfb80005f,
    0x0006ffff,0x7fffff10,0x3fff6000,0xffffff99,0x00fffd4f,0x0001fffa,
    0x7777ffdc,0xffffffee,0x7ffffdc6,0x4fffffff,0xfb3fffa8,0xffffffff,
    0x2fffb803,0x00ffff80,0x2627ffe4,0x44006fff,0x7ff45fff,0x09fff35f,
    0x3bfffa20,0xffd00000,0x200003ff,0x1ffffffe,0xafffc800,0xfffcfffc,
    0x200ffff7,0x00007ffe,0xfffffff7,0x1dffffff,0xffffff88,0x81ffffff,
    0xf913fffa,0x019fffff,0x805fff70,0x9806fffa,0x3f60ffff,0x7c4003ff,
    0x7ffcc5ff,0x04fff9af,0x03ffffb0,0x3fea0006,0xf900004f,0x1fffffff,
    0xbfffb800,0xffe8ffff,0x006fffaf,0xb100fffd,0x3ffee09f,0xffffffff,
    0xf53100cf,0x13555fff,0x40bfff20,0xffb80019,0xa99999bf,0x004ffffd,
    0x3e27fffb,0x44000fff,0xffc85fff,0x04fffaef,0x03ffffb8,0x4c001ffd,
    0x80004fff,0xffcffffb,0x7d4006ff,0x76fffeff,0xbfffdfff,0x01fffa00,
    0x7dc1ffea,0xefffffff,0x3fe001cd,0x3ff6006f,0x5c00000f,0xffffffff,
    0x0dffffff,0x2dfff500,0x8005fffb,0xf885fff8,0x4fffefff,0x27fffcc0,
    0x002fff88,0x0013ffe6,0x2bffff30,0x005ffff9,0x3fffffe6,0xfffff13f,
    0x3fa009ff,0xfffb807f,0x9bfffb81,0x7fc00019,0x3ffe006f,0x0000edc7,
    0xfffffff7,0x07ffffff,0xf3ffff00,0x10003fff,0x3ea0bfff,0x04ffffff,
    0x81bfffe2,0x2003fffa,0x0004fff9,0x83bfffe2,0x003ffffb,0xfffffff1,
    0x7fffff43,0xfffd003f,0x03fff900,0x0005fff7,0x8037ffc0,0x7f45fffb,
    0xff70002f,0xdfffffff,0x2e00037b,0x6fffffff,0xbfff1000,0x7ffffec0,
    0x3fffa04f,0x3ffea00f,0x3ffe6004,0xffd10004,0xfff901ff,0x3ffe005f,
    0x7fdc6fff,0xd002ffff,0xff900fff,0x5fff703f,0x7ffc0000,0xffffb806,
    0x027ffcc3,0x017ffdc0,0xfff10000,0x0007ffff,0x8817ffe2,0x04ffffff,
    0x805ffff9,0x2004fffa,0x0004fff9,0x405ffffb,0x801ffffe,0x43fffffe,
    0x1ffffff8,0x00fffd00,0xf703fff9,0x400005ff,0x95106fff,0x260bffff,
    0xb800dffe,0xeeefffed,0x00000bee,0x1ffffffb,0xfffb7000,0xfb817bdf,
    0xf884ffff,0xeeeeffff,0xfffeeeee,0x3bbb6a04,0xbdeeffff,0x3fffae00,
    0xfeb80cff,0x200cffff,0x81fffffd,0x80fffffd,0xfffeedb8,0xeeeeeeef,
    0x2e1ffffe,0xeeefffed,0x2a000bee,0xeeeffffd,0xfffffffe,0x3ff6200f,
    0x7fffdc06,0xffffffff,0xff300005,0x30009fff,0xffffffff,0xffffd07f,
    0xfffff109,0xffffffff,0x2609ffff,0xffffffff,0x504fffff,0xffffffff,
    0xfffffa8b,0x3f205fff,0xff706fff,0x3fee0fff,0xffffffff,0xffffffff,
    0xffff71ff,0xffffffff,0x3ffe200b,0xffffffff,0x01ffffff,0x5c03ff90,
    0xffffffff,0x0005ffff,0x07ffffa0,0x3fffea00,0x984fffff,0xf884ffff,
    0xffffffff,0xffffffff,0xfffff304,0xffffffff,0x3fffea09,0x7d45ffff,
    0x6fffffff,0x13fffee0,0x83ffffc4,0xfffffffb,0xffffffff,0xf71fffff,
    0xffffffff,0x2600bfff,0xffffffff,0xdfffffff,0x2014c000,0xfffffec8,
    0x001dffff,0x17ffee00,0xfffec800,0xf900ceff,0xfff109ff,0xffffffff,
    0x09ffffff,0x7fffff5c,0x00dfffff,0x3fffffb2,0xfffec81d,0x3ee01dff,
    0x3f601fff,0xfd9106ff,0xffffffff,0xffffffff,0x3ffb223f,0xdfffffff,
    0x3ffae001,0xefffffff,0x000001be,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x54400000,0x00018acc,0x00002000,0x00000000,0x00000000,0x0000cea8,
    0x02af2ea2,0x00037951,0x1599b955,0xccb98002,0x2e002bcd,0xffffffff,
    0xffffffff,0x3b205fff,0xffffffff,0xffffffff,0x7ffdc02f,0x0006ffff,
    0x027fcc00,0x00017ee0,0x37f22000,0x00077f20,0x3ffe0000,0xffeb8003,
    0xf51effff,0x001bffff,0xffffffd5,0x201dfbff,0xffffffda,0xb802efff,
    0xffffffff,0xffffffff,0xff505fff,0xffffffff,0xffffffff,0x7ffec05f,
    0x02ffffff,0x837b7300,0x000ffff9,0x0000bffe,0xffffb800,0x1bffff34,
    0x7c000000,0x7cc003ff,0xffffffff,0xffffffdf,0x3ffa00ef,0xffffffff,
    0xff983fff,0xffffffff,0x7dc04fff,0xffffffff,0xffffffff,0xfff505ff,
    0xffffffff,0xffffffff,0x3fffee05,0x00ffffff,0x3ffff6e0,0xfffcefff,
    0xff3000ff,0x0000009f,0x9ffffff5,0x3fffffe6,0x8000000c,0x54000cda,
    0xffffffff,0xffffffff,0xffb06fff,0xffffffff,0xf30bffff,0xffffffff,
    0x405fffff,0xfffffffb,0xffffffff,0x2e05ffff,0xffbffffd,0xffffffff,
    0xfffd02ff,0x03dfd55b,0x3ffffa20,0xffffffff,0x26002fff,0x00004fff,
    0x3ffffa60,0x7ffdc5ff,0x0003ffff,0x6c000000,0xffb9acef,0xfcaeffff,
    0x7fc42fff,0xa99aceff,0x905ffffd,0x33579dff,0x40bfffd5,0x7d43fffb,
    0x7ffc43ff,0xbcffc805,0xffb83fff,0x6fff882f,0xff300144,0xffffffff,
    0x05ffffff,0x04fff980,0xffd98000,0x102effff,0xdffffffb,0x00000005,
    0xfff70000,0x6fffb8df,0x202fffd4,0x0003fff9,0x7037ffc4,0xffa87fff,
    0x2fffc43f,0x7dd7ff40,0xfffb83ff,0x05fff982,0x3fffa200,0xfb999bef,
    0x000fffff,0x0027ffcc,0xffff9100,0x26005fff,0xeffffffe,0x00000001,
    0x7cccc400,0xfff83fff,0x3fffe61f,0x02faa01b,0xd0999880,0x7fdc0fff,
    0x1fffd43f,0x1017ffe2,0xfff71fff,0x05fff707,0x001ffff1,0x0ffffee0,
    0x3fffffa2,0x7fcc005f,0xf700004f,0x07ffffff,0x3fffaa00,0x0000dfff,
    0x36e00000,0xfffffffe,0xfecccccf,0x7fff43ff,0x0acdefff,0x7fff5c00,
    0x7fffffff,0x50bffea0,0xff887fff,0xb7fdc04f,0x1753fffb,0x3601fff3,
    0xd0005fff,0xfd107fff,0x3fffffff,0x27ffcc00,0x3ffea000,0x000cffff,
    0xfffffb80,0x00000cff,0x3ffa6000,0xffffffff,0xffffffff,0x7ffcc4ff,
    0xffffffff,0x7ff5400e,0xffffffff,0x3fe607ff,0x1fffd40f,0x3601fffc,
    0x7fff73ff,0x13f6bff5,0x02ffff98,0x42fffc40,0xcbffffe8,0x26003fff,
    0x30004fff,0xbffffffd,0xc8800003,0x3fffffff,0x3fffff20,0xffffffff,
    0x320dffff,0xffffffff,0xffffffff,0x85ffffff,0xffffffd9,0x703fffff,
    0xffffffff,0x0fffffff,0xffa85fd8,0x00efb83f,0xffb8fffc,0x007ffecf,
    0x03ffffea,0x42fffa80,0x53ffffe8,0xfeb8bfff,0xffffffff,0xceffffff,
    0x7fffec40,0x00002eff,0x7fffec40,0x7fcc2eff,0xffffffff,0xffffffff,
    0xfffff54f,0xffffd9df,0xffffffff,0x65440bff,0xfffffffd,0x7fffcc4f,
    0xfeecdfff,0x00807fff,0x0207fff5,0xfb9ffea0,0x0fffffff,0xfffffa80,
    0x0bbfee5f,0xfe83fff9,0x7ffc4fff,0x3ffffe66,0xffffffff,0x14ffffff,
    0xfffffff9,0x80000005,0xffffffd9,0xfffff31e,0xffffffff,0x29ffffff,
    0x981efffc,0xaaaaffff,0x541aaaaa,0x3f6e6201,0x7fff47ff,0x3ffa01be,
    0x3fea0007,0x3f20003f,0x3fffee4f,0x5400ffff,0xffffffff,0xc8ffffb3,
    0x3ff63fff,0x7ffc44ff,0x3ffffe65,0xffffffff,0x23ffffff,0xfffffffb,
    0x0000000c,0x3fffffaa,0x3bbae0cf,0xeeeeeeee,0x0ceeeeee,0x2603fff9,
    0x4002ffff,0xfb002ffd,0x3ffe25ff,0x7ffe801f,0x3ffea000,0x3ffe0003,
    0xffffc99b,0x7c00ffff,0xfffcefff,0x47ffff9f,0xffb6fffa,0xfff709ff,
    0xeeeedb85,0xeeffffee,0x440bdeee,0xfffffffc,0x4c000003,0xdffffffe,
    0x50000001,0xfd30bfff,0x2e60dfff,0x017fffc2,0xf99fffec,0x3ee206ff,
    0x20007fff,0x0003fffa,0xfffffff3,0xfffd9fff,0x26fff980,0xfffffffe,
    0x7fffc42e,0x984ffffe,0x2000ffff,0x0004fff9,0xffffffb1,0x8800005d,
    0xeffffffd,0x40000002,0xabeffff8,0xfffffffc,0xffffdbae,0xdfffff13,
    0xff955359,0x7ffc3fff,0xfdbaacef,0xdeffffff,0x7ffd4002,0xfff70003,
    0x7fffffff,0xfb80bff5,0x3ffe22ff,0xf902ffff,0x0bffffff,0x00dffff7,
    0x004fff98,0x7ffff4c0,0x40001eff,0xffffffc8,0x0000003f,0x3fffff20,
    0xffffffff,0xffffffff,0xfffff14f,0xffffffff,0xffc89fff,0xffffffff,
    0xffffffff,0x3fea000f,0xffd0003f,0xffffffff,0x41882e67,0x7dc1fffd,
    0x7407ffff,0xabffffff,0xfffffeca,0x7ffcc001,0xfd500004,0x01bfffff,
    0xfffff700,0x000019ff,0xfff70000,0xffffffff,0xffffffff,0x7fff43ff,
    0xffffffff,0xffb05fff,0xffffffff,0xffffffff,0x7ffd4001,0xfff88003,
    0x81fffdc0,0x3fee5ff9,0xffffd84f,0x7fffec04,0xffffffff,0x98002fff,
    0x00004fff,0x7fffffdc,0xfea800cf,0x00dfffff,0x40000000,0xdfffffeb,
    0xfffebcfb,0x7540beff,0xffffffce,0x5c01dfff,0xffffffff,0xdffffead,
    0x7ffd4003,0x6ffa8003,0x703fffb8,0x7ffd4fff,0xffecabef,0xfc82deff,
    0xffffffff,0x01efffff,0x09fff300,0xff910000,0x207fffff,0xffffffe9,
    0x7000001d,0x440001bf,0x2e600acb,0x54c000ac,0x0009accb,0x2ab32ea2,
    0xfa800000,0xfd8003ff,0x3fffb84f,0x6c1fffb0,0xffffffff,0x46ffffff,
    0xfdeffffb,0x3defffff,0x7ffcc000,0x22000004,0xeffffffd,0x3fffff20,
    0x000002ef,0x000fffe2,0x00000000,0x00000000,0xfdddb700,0x17bdddff,
    0x3bfffb20,0xfffeec8d,0xffeeeeee,0x3ffe20ff,0xffffffff,0x3fe0ffff,
    0x565446ff,0x3e600000,0x000003ff,0xfffffe98,0xffffff34,0x20000007,
    0x00002ffe,0x00000000,0x00000000,0x3fffffe6,0x3fffffff,0xffffffb8,
    0xffffffff,0xffffffff,0x7fe440ff,0xfecfffff,0x77ff42df,0x40000000,
    0x00001fff,0x3fffaa00,0x19ffff13,0x4c000000,0x0000003d,0x00000000,
    0x54000000,0xffffffff,0xc84fffff,0xffffffff,0xffffffff,0xffffffff,
    0x55953100,0x01326001,0x75c00000,0x00000004,0x675c19b7,0x00000000,
    0x00000000,0x00000000,0x76400000,0xffffffff,0xed880cef,0xfd8dffff,
    0xffffffff,0x00ffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x32e62000,0x00041bcd,
    0x137b9531,0x09999800,0x02666620,0x06f2e200,0x88003500,0x33333102,
    0x19999880,0x004ccc40,0x80199988,0x4c401999,0x4cc40099,0x65d44099,
    0x2666201b,0xb9859950,0x999802cd,0x99999999,0x44009999,0xfffffffc,
    0x802fecff,0xfffffffb,0x7fec02ef,0xfea85fff,0x5006ffff,0xfffffffb,
    0x3ffd807b,0x3fa604c4,0xfffff50f,0xffb8bfff,0x45ffffff,0xeffffffb,
    0x3ffff600,0xfffd85ff,0x7fdc5fff,0x5c0effff,0x26ffffff,0x4ffffffb,
    0x6fffff44,0xd9dffffd,0x01efffff,0xfffffff3,0xffffffff,0x7fffd40d,
    0xffffffff,0x3fa606ff,0xffffffff,0xff980dff,0xfe85ffff,0x806fffff,
    0xfffffffc,0x881effff,0xfebbffff,0xfffacfff,0xfffffd2f,0x7fc3ffff,
    0xffffffff,0x3fffffe2,0xfff504ff,0x543fffff,0xffffffff,0x3fffffa1,
    0x7fff44ff,0xffe9efff,0x23ffffff,0xfffffffb,0xffffffff,0x80efffff,
    0xfffffff9,0xffffffff,0xfffff506,0xffffffff,0x3fe60fff,0xffffffff,
    0xf886ffff,0xc85fffff,0x06ffffff,0x7ffffff4,0xffffffff,0xfffffe81,
    0xffffffff,0xfff91fff,0xc8ffffff,0xffffffff,0x3ffff60f,0xff102fff,
    0x41ffffff,0xfffffff8,0x7ffffe46,0x7ffec3ff,0xffffffff,0x0fffffff,
    0xfffffff5,0xffffffff,0x07ffffff,0xfffffff3,0xffffffff,0xfffff10d,
    0xffb7335b,0xfd10ffff,0x7359dfff,0x09fffffb,0x0bfff973,0xdfff9951,
    0x7ffffe40,0xffdba9ac,0x7fc40eff,0xffffffff,0x222fffff,0xbefffeca,
    0x7ffedc41,0x7dc41bcf,0x5512cfff,0x3ffb2635,0xffc981cf,0x7fcc3fff,
    0xa882efff,0xffffffcc,0xffd9beff,0x7fffe4c6,0xffffc9bf,0x5fffb9cf,
    0xccefff98,0xffffeccc,0xefffd82f,0x3fffe401,0x01ffffec,0x407ffff6,
    0xf805fff8,0xfff106ff,0x7fdc01bf,0xfff984ff,0xffffdfff,0x3fee03ff,
    0x7ffdc06f,0x1fffd806,0xfd17ffee,0xffa801ff,0xfff33fff,0x7fc00bff,
    0x983fffff,0xffff980b,0x0ffffe22,0xff10dfff,0xffff307f,0xffff303f,
    0x1bffa003,0x007ffff1,0x4417fff6,0xff805fff,0xbfff706f,0x1bffee00,
    0x833fffe6,0x403fffea,0x3e02ffff,0xfb802fff,0x3fffa3ff,0x0dfff10f,
    0x3ffffe60,0x03fffffd,0x77ffffc0,0xfff98001,0x437ffc45,0xffd06fff,
    0xfffff983,0x09fff501,0x2a27fdc0,0xccccffff,0xfccccccc,0xfff107ff,
    0x0dfff00b,0x8003fff6,0x7dc0ffff,0xfff505ff,0x6fffb80b,0x00dfff70,
    0x7cd7ffe6,0xff53ffff,0x7f4c009f,0x2fffffff,0xdffff800,0xfff30000,
    0x86fff889,0x37106fff,0x1fffff98,0x007fff20,0xfff70530,0xffffffff,
    0xffffffff,0x0bfff101,0x3e0dfff0,0x7e4005ff,0x7ffec2ff,0x01fffe02,
    0x3e0bfffe,0x3e002fff,0xffff97ff,0x0bfff2df,0xffffd100,0x3e0003ff,
    0x4c0006ff,0x7fc44fff,0x06fff86f,0x3ffffe60,0x07ffec01,0xfffd8000,
    0xffffffff,0xffffffff,0x05fff882,0xf986fff8,0x7cc004ff,0x3fff44ff,
    0x007fff60,0xfb8dfff7,0x7ec006ff,0xfffff9ff,0x0fffe9ff,0x7ffec400,
    0xf0001eff,0x98000dff,0x7fc44fff,0x06fff86f,0x3fffff30,0x01fffb00,
    0x3fff2000,0xffffffff,0xffffffff,0x05fff882,0xf886fff8,0x7d4005ff,
    0x7ffec3ff,0x0ffff102,0x43ffff10,0x4002fffe,0xfffdfffb,0xfffdffff,
    0x7ff44007,0x01ffffff,0x006fff80,0x227ffcc0,0xff86fff8,0xfffa806f,
    0xff7001ff,0x2a00005f,0xaaaaefff,0xaaaaaaaa,0xff880aaa,0x6fff805f,
    0x001fffd0,0x2e0fffe4,0xff705fff,0x3fee00bf,0x0dfff55f,0xfffff300,
    0xfffff7ff,0x74c00bff,0xfffeffff,0x7fc002ff,0x7cc0006f,0x7ffc44ff,
    0x406fff86,0x01fffffa,0x01bffe60,0xfff10a60,0x8800007f,0x7c405fff,
    0xfff906ff,0x3ffea00b,0xcffff887,0x7ffff711,0x3fffe200,0x002fffe9,
    0xfffffff0,0xffffff91,0x3ffe6007,0xffff54ff,0x7ffc009f,0x7fcc0006,
    0x37ffc44f,0xf5037ffc,0x3603ffff,0xdffff83f,0x4ffd8800,0x017fffec,
    0x3e01ba88,0xfc880fff,0xff306fff,0x7dc01bff,0xff984fff,0xfffeffff,
    0x32003fff,0x6fffffff,0x3fff6000,0xffff35ff,0xff5003ff,0xff985fff,
    0xff005fff,0xf98000df,0x7ffc44ff,0x506fff86,0x203fffff,0xffa87ffa,
    0xa9abdfff,0x7ffffdca,0x77ffffc4,0xfdbaa9ab,0xfd00ffff,0xfb757dff,
    0x5bffffff,0x9fffffb0,0xfffd9557,0xfff981ff,0xffffffff,0x1003ffff,
    0x7fffffff,0x7ffdc000,0x3fffa2ff,0x7fecc07f,0x74c3ffff,0x23efffff,
    0xfffeeec8,0xceeeeeef,0x3fffae00,0xffff11cf,0x6ffffc3b,0x3ffffea2,
    0xfeeeeeef,0xffb81fff,0xffffffff,0x84ffffff,0xfffffffa,0xffffffff,
    0xfff701ff,0xffffffff,0x81ffffff,0xffffffe8,0xffffffff,0xfffffe82,
    0xffffffff,0xf9001fff,0x000fffff,0x47ffff98,0x405ffffb,0xffffffff,
    0x3ffffa1f,0xffb2ffff,0xffffffff,0x20bfffff,0xfffffffa,0xffffff16,
    0x87fffffc,0xfffffffc,0xffffffff,0xffff901f,0xffffffff,0x7f4c0bff,
    0xffffffff,0x406fffff,0xfffffffc,0xffffffff,0xfffd880f,0xffffffff,
    0xffff881e,0xbefffeab,0x003ffff9,0x07fffff1,0x9ffff000,0x03ffff88,
    0x7ffffffc,0x3fffa0ff,0xfb2fffff,0xffffffff,0x0bffffff,0x3fffffee,
    0xfffff16f,0x7fffffcf,0xffffff90,0xffffffff,0x7e4c03ff,0xffffffff,
    0xff7001cf,0xffffffff,0x3f20059d,0x9cffffff,0x403dffff,0xfffffec9,
    0x7fec03df,0xffe98082,0x3fff2000,0xffb00007,0x3fff903f,0xffffda80,
    0x7fecc3ef,0x3664efff,0xffffffff,0x01dfffff,0xbffffd91,0x37fffe23,
    0x8f7fffe2,0xfffffffc,0xffffffff,0xba98801f,0x0009aacc,0x35797510,
    0xcb980003,0x4400001a,0x4c000bca,0x00144000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x04ccc400,0x00379b75,
    0x00330066,0x02002000,0x10005440,0x5b700199,0x01000100,0x20000a00,
    0x3fb22009,0xffffffff,0xffffffff,0x333305ff,0x50aaaaa1,0x03005555,
    0x33332e20,0xcccccccc,0x01bccccc,0x5bffffd1,0xbffffffd,0x204fe801,
    0x200004ff,0xfb102fd8,0x01ffd005,0x803bff60,0xda80fffc,0x7302efff,
    0xf5000fd9,0xffd30009,0xfff707ff,0xffffffff,0xffffffff,0xfff70bff,
    0x1bfffa7f,0xb70ffffb,0x407ffffd,0xfffffffe,0xffffffff,0xb81fffff,
    0xffffffff,0xffffffff,0x037ff202,0x00037ff2,0x303ffd10,0xf8803ffd,
    0xfff002ff,0xfff901df,0xffffc85f,0x3fa64fff,0x4c007fff,0x32002fff,
    0x5fffffff,0x7fffffdc,0xffffffff,0x5fffffff,0xb0ffffd8,0xffc8bfff,
    0x7fffd46f,0xf884ffff,0xffffffff,0xffffffff,0xf983ffff,0xffffffff,
    0x6fffffff,0x4077fec0,0x0000effd,0xf307fff3,0xff5007ff,0x3fee009f,
    0x3ff20eff,0x6ffd45ff,0x52ffea89,0x00fffdff,0x0fffff44,0x7ffffd40,
    0x2e24ffff,0xeeeeeeed,0xeeeeeeee,0xff85fffe,0x3fff23ff,0x22fffdc4,
    0xca9abcc8,0xfffc80ff,0xffffffff,0xffffffff,0xfff9300e,0xb5359fff,
    0xd807ffff,0xffd81fff,0x7fdc001f,0x3fffb83f,0x09fff500,0x77fffdc0,
    0x0effffc8,0x3e6077e4,0x3fec224f,0xfffffd00,0xeffe801f,0x03fffb32,
    0xfff88000,0x237ffcc5,0x7d43fffa,0x266204ff,0x2602ff99,0x99999999,
    0x99999999,0xffff8800,0x9fff702f,0x05fffb00,0x2005fffb,0xfc84fffc,
    0xbdc883ff,0x549fff50,0xfff701dc,0x1dffffff,0x3fee02a0,0x200ffb02,
    0xfffffffd,0x3fff100e,0x0007fff0,0x45fff880,0x7cc2fffc,0x7ffc42ff,
    0xffffea83,0x00003fff,0xfff88000,0x3ffe201f,0x9fffb006,0x809fffd0,
    0x6c44fffd,0xff904fff,0xbfff9bff,0x40dffffb,0xfffffffb,0x7fd4000e,
    0x00ffb00f,0xffbffff7,0x3fea0bff,0x009ff906,0x5fff8800,0x7c437ff4,
    0x2fff81ff,0x7fffffec,0x00003fff,0xfff88000,0x06fff805,0x8bfffd10,
    0x885fffe8,0x7444fffe,0x3f604fff,0xffffffff,0x07ffffff,0x77ffffdc,
    0x7ffe4000,0x501ff601,0x3eebffff,0xff984fff,0x04ffd80f,0x7ffc4000,
    0x40bffe25,0xffe80fff,0x42f7fee1,0x5103ff99,0x55555555,0x55555555,
    0xbfff1003,0x00dfff00,0x237fffc4,0x265ffff8,0x7cc5ffff,0x74c05fff,
    0xffffffff,0x02ffffff,0x77ffffe4,0xdffb1000,0x207fd803,0x646ffff9,
    0x7c42ffff,0x7ffcc3ff,0x7c400002,0x1bfea5ff,0xffb07fe8,0xfb887fd8,
    0xffffd83f,0xffffffff,0xffffffff,0x17ffe200,0x401bffe0,0x21efffe8,
    0x21efffe8,0x21ffffd8,0x01ffffe8,0xfffffca8,0x802dffff,0xfffffffc,
    0x7ffcc00e,0x07fd800d,0x203ffffa,0x6c1ffffd,0xffdbefff,0x400000ef,
    0x3f65fff8,0x41bf602f,0x6ffd47fc,0xeffffdcc,0xfffff10d,0xffffffff,
    0xffffffff,0x2fffc407,0x4037ffc0,0x20dfffe8,0x00dfffe8,0xc83ffff9,
    0x2001ffff,0x0ffffffe,0xfffff900,0x201dffff,0x2003fffc,0xfff707fd,
    0x3ffa203f,0x7fffc46f,0x001fffff,0x5fff8800,0x7f5017fe,0x3f613e60,
    0xffffffff,0x3fffa3ff,0xffffffff,0xffffffff,0x3ffe201f,0x06fff805,
    0x21ffff44,0x803fffe8,0x541ffffa,0xa801ffff,0x4fffffff,0xeffffc80,
    0x0effffb8,0x2b7fffa2,0x2a20baaa,0x21aaffea,0x4c02fffd,0xfe887fff,
    0x002fffff,0x8bffa000,0x000001ee,0x45676dc4,0xcc982aaa,0xcccccccc,
    0xaccccccc,0x2fffc400,0x1037ffc0,0xe883fffd,0x22001fff,0x7441fffe,
    0x3e201fff,0xffffefff,0x3fffee02,0x3fffee0e,0x3ffffe66,0xf54fffff,
    0xffffffff,0x400ffa6b,0x32a03ff9,0x00000bce,0x0006f540,0x00000000,
    0x10000000,0xff00bfff,0x3ffa20df,0x6fff440e,0xfff90000,0x03fffb03,
    0x363bfff6,0x3fe07fff,0xffb80eff,0xffff31ff,0x2bffffff,0xffffffd9,
    0x400042ef,0x00000000,0x00000000,0x00000000,0xfed88000,0xda83efff,
    0x6c2dffff,0x9ffb04ff,0xfff50000,0x81fff701,0xd11ffff9,0x3fa07fff,
    0x3fee00ef,0x0000000f,0x00000000,0x00000000,0x00000000,0x20000000,
    0xfffffffd,0x3fffe21f,0x3f20ffff,0x000bf202,0x301fe980,0xfff883fd,
    0x80fffcc3,0x395004c9,0x00000100,0x20013000,0x0ac985c8,0x33101b88,
    0x33333333,0x33333333,0x00601333,0xcccb9813,0xcccccccc,0xcccccccc,
    0xd000accc,0xffffffff,0x7ffffcc5,0x00000fff,0x20020000,0x2607b300,
    0x0000002c,0x13bffb2a,0x0b7fb220,0x806fa800,0x3f20ffe8,0x7ffdc7ff,
    0x7ffffec6,0xffffffff,0xffffffff,0x3ffa2eff,0xf11ffd80,0xffffffff,
    0xffffffff,0xffffffff,0x3ff66009,0xeb84efff,0x003dffff,0x00000000,
    0x00000000,0x3fff2000,0x501effff,0x0bffffff,0x3ee03362,0x27ffd407,
    0x45fffff1,0xf52fffff,0xffffffff,0xffffffff,0xffffffff,0x30fffead,
    0x3fea9fff,0xffffffff,0xffffffff,0x6fffffff,0x00000000,0x00000000,
    0x00000000,0x7fec0000,0xfffeb9cf,0x7ffffcc0,0x3a20efff,0x2ffb85ff,
    0xf07fff70,0x7fc3ffff,0xfff32fff,0xffffffff,0xffffffff,0x29ffffff,
    0xff81fff8,0x3ffffa2f,0xffffffff,0xffffffff,0x0002ffff,0x00000000,
    0x00000000,0x00000000,0x5413fe60,0x3ffe25ff,0xefffffff,0x85fffe89,
    0x7dc4fffb,0xfff701ff,0x47fffc8b,0xccccccb9,0xcccccccc,0xcccccccc,
    0x4c0b260a,0x9999882c,0x99999999,0x99999999,0x00000009,0x00000000,
    0x00000000,0xc8000000,0x9ffa00ff,0xf91ffffb,0xffffffff,0x76d4cc3f,
    0x03bfa0ff,0x2e601510,0x00000002,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x7fdc05fd,0xb83fff50,0xffffffff,0x377ffe23,
    0x00014c7f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7f403ff9,0xf980e547,0xe83fffff,0x004fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0effd400,
    0x0017ff22,0x806fbb22,0x7542dec9,0xeeeeeeee,0x04eeeeee,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x90000000,0xffb9dfff,
    0x000001df,0xffff5000,0xffffffff,0x0000bfff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fe40000,0x00dfffff,0x50000000,
    0xffffffff,0xbfffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x1cdecb88,0x00000000,0x6eeeeecc,0xdddddddd,
    0x0000004d,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_44_latin1_x[224]={ 0,8,5,2,3,2,4,9,10,4,3,1,7,3,
8,3,3,3,2,2,2,2,4,2,3,4,8,7,-1,0,1,3,3,-1,0,1,0,0,1,1,0,3,2,0,
1,-1,-1,0,2,0,0,2,1,0,-1,-1,0,0,2,9,3,4,3,-2,7,1,-1,2,1,1,2,1,0,2,
3,1,2,-1,0,1,-1,1,2,2,2,0,0,-1,0,0,3,6,9,6,2,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,8,3,1,2,0,
9,1,5,-1,5,1,-1,3,-1,-2,5,1,5,6,7,0,2,8,7,6,5,1,0,-2,0,3,-1,-1,-1,-1,
-1,-1,-1,1,0,0,0,0,3,3,3,3,-1,-1,0,0,0,0,0,3,0,0,0,0,0,0,2,0,1,1,
1,1,1,1,-1,2,1,1,1,1,2,2,2,2,1,0,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
 };
static signed short stb__courier_bold_44_latin1_y[224]={ 32,6,8,5,5,7,10,8,7,7,7,9,26,19,
27,4,6,6,6,6,7,7,6,7,6,6,14,14,9,15,9,8,6,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,7,4,7,6,39,6,14,7,14,7,14,7,14,7,7,
7,7,7,14,14,14,14,14,14,14,8,14,14,14,14,14,14,7,7,7,16,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,32,15,5,8,11,8,
7,7,7,9,6,15,19,19,9,2,3,4,6,6,6,14,7,17,30,6,6,15,6,6,6,15,0,0,0,2,
1,-1,8,8,0,0,0,1,0,0,0,1,8,2,0,0,0,2,1,13,7,0,0,0,1,0,8,7,6,6,
6,8,7,5,14,14,6,6,6,7,6,6,6,7,7,8,6,6,6,8,7,10,12,6,6,6,7,6,7,7,
 };
static unsigned short stb__courier_bold_44_latin1_w[224]={ 0,7,14,19,18,19,18,6,9,10,18,21,9,17,
7,18,18,18,18,19,18,19,18,18,18,18,7,10,23,23,23,18,17,26,23,22,22,22,22,23,23,18,22,24,
22,26,25,23,21,23,25,19,21,23,26,25,24,23,19,10,18,10,18,27,9,22,24,21,23,21,21,23,23,19,
15,22,19,26,23,21,24,23,21,19,21,23,24,25,23,23,18,11,5,11,19,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,7,17,21,19,23,
5,21,13,25,14,21,23,17,25,27,13,21,12,12,9,23,20,7,9,11,14,22,24,27,24,17,26,26,26,26,
26,26,26,22,22,22,22,22,18,18,18,18,23,25,23,23,23,23,23,17,23,23,23,23,23,23,21,21,22,22,
22,22,22,22,25,21,21,21,21,21,19,19,19,19,20,23,21,21,21,21,21,21,23,23,23,23,23,23,24,23,
 };
static unsigned short stb__courier_bold_44_latin1_h[224]={ 0,27,12,31,32,26,23,12,32,32,17,23,13,4,
6,33,27,26,26,27,25,26,27,26,27,27,19,23,23,12,23,25,30,24,24,25,24,24,24,25,24,24,25,24,
24,24,24,25,24,30,24,25,24,25,24,24,24,24,24,32,33,32,14,5,7,19,26,19,26,19,25,27,25,25,
34,25,25,18,18,19,27,27,18,19,25,19,18,18,18,27,18,32,32,32,10,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,26,29,24,19,24,
32,29,5,24,12,17,13,4,24,5,13,28,14,15,7,27,29,6,9,14,12,17,26,26,26,26,32,32,32,30,
31,33,24,32,32,32,32,31,32,32,32,31,24,30,33,33,33,31,32,16,28,33,33,33,32,32,24,26,27,27,
27,25,26,28,19,25,27,27,27,26,26,26,26,25,26,24,27,27,27,25,26,22,23,27,27,27,26,35,34,34,
 };
static unsigned short stb__courier_bold_44_latin1_s[224]={ 90,204,199,193,98,171,50,249,183,78,70,
93,189,152,170,25,184,191,82,236,68,20,1,137,118,137,245,242,115,229,139,
87,101,27,54,106,230,207,104,129,127,151,153,194,171,156,50,176,194,77,1,
25,1,1,23,145,120,96,76,128,213,117,132,178,240,231,1,1,26,23,68,
212,90,114,25,45,222,208,1,69,69,180,186,211,200,45,111,136,162,203,235,
1,246,19,122,46,46,46,46,46,46,46,46,46,46,46,46,46,46,46,46,
46,46,46,46,46,46,46,46,46,46,46,46,46,46,46,46,46,90,205,189,
134,91,183,13,146,206,78,214,48,165,152,219,220,151,230,107,240,152,1,168,
162,142,120,107,25,156,101,91,50,139,44,71,119,24,90,23,31,136,113,166,
1,189,208,227,213,216,51,232,165,141,232,54,89,1,1,117,189,89,159,1,
60,93,116,139,23,68,207,185,1,162,25,47,149,129,40,232,235,116,170,25,
47,227,213,210,163,69,156,94,69,181,1,41,66, };
static unsigned short stb__courier_bold_44_latin1_t[224]={ 35,164,395,71,36,193,350,136,71,71,395,
350,395,418,410,36,136,193,193,164,248,193,193,221,164,164,300,248,350,395,350,
248,104,300,300,248,274,274,300,248,300,300,248,300,325,274,325,248,325,104,300,
274,350,274,325,325,325,325,325,36,1,36,395,410,341,350,221,375,221,375,274,
164,274,274,1,274,248,375,395,375,164,164,375,350,248,375,375,375,375,136,375,
71,36,71,410,248,248,248,248,248,248,248,248,248,248,248,248,248,248,248,248,
248,248,248,248,248,248,248,248,248,248,248,248,248,248,248,248,248,35,221,104,
274,375,274,71,104,410,300,395,395,395,418,300,410,395,104,395,325,410,165,104,
410,410,395,410,395,221,193,221,221,36,36,36,104,104,1,350,71,71,71,36,
104,36,36,36,71,325,104,1,1,1,71,71,395,136,37,1,1,71,71,325,
193,136,136,136,248,221,104,350,248,136,136,136,193,193,193,193,221,221,300,164,
164,136,221,193,350,350,164,164,136,221,1,1,1, };
static unsigned short stb__courier_bold_44_latin1_a[224]={ 373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,373,
373,373,373,373,373,373,373,373, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_44_latin1_BITMAP_HEIGHT or STB_FONT_courier_bold_44_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_44_latin1(stb_fontchar font[STB_FONT_courier_bold_44_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_44_latin1_BITMAP_HEIGHT][STB_FONT_courier_bold_44_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_44_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_44_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_44_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_44_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_44_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_44_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_44_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_44_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_44_latin1_s[i] + stb__courier_bold_44_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_44_latin1_t[i] + stb__courier_bold_44_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_44_latin1_x[i];
            font[i].y0 = stb__courier_bold_44_latin1_y[i];
            font[i].x1 = stb__courier_bold_44_latin1_x[i] + stb__courier_bold_44_latin1_w[i];
            font[i].y1 = stb__courier_bold_44_latin1_y[i] + stb__courier_bold_44_latin1_h[i];
            font[i].advance_int = (stb__courier_bold_44_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_44_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_44_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_44_latin1_s[i] + stb__courier_bold_44_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_44_latin1_t[i] + stb__courier_bold_44_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_44_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_44_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_44_latin1_x[i] + stb__courier_bold_44_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_44_latin1_y[i] + stb__courier_bold_44_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_44_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_44_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_44_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_44_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_44_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_44_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_44_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_44_latin1_LINE_SPACING
#endif

