// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_25_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_25_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_25_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_25_latin1_BITMAP_HEIGHT        164
#define STB_FONT_times_25_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_25_latin1_FIRST_CHAR            32
#define STB_FONT_times_25_latin1_NUM_CHARS            224

#define STB_FONT_times_25_latin1_LINE_SPACING          16

static unsigned int stb__times_25_latin1_pixels[]={
    0x001b8851,0x4cc05510,0x98730099,0x18800999,0x8a213000,0x32a60002,
    0x5c0001bc,0x8088005e,0x00280009,0x00000206,0x00076c40,0x00006ec0,
    0x254003db,0xeb966077,0x5f90003f,0x13f33220,0xcef88fec,0xbbdb102c,
    0x173005df,0x005712cc,0x7510ded4,0xfbf10009,0x2aae2005,0x91001c84,
    0x676dc403,0xa804abde,0x3000a1ee,0xfa80007f,0x0fe60002,0xff13ff00,
    0x3fa8b301,0x4007f000,0x7c47304f,0x541fdc03,0x2607c04f,0x3c801e85,
    0x64004880,0x87200d52,0xd802c82f,0x1037e601,0xf7900bf7,0x500059df,
    0x04c8000b,0x40026400,0x2cc0ae3a,0x26000fea,0x8027c004,0x13ea03f8,
    0x0d504fb8,0x440990b3,0x0322002e,0x80530a20,0x2213a0f8,0x880f600e,
    0x016e00ef,0x001edc43,0x24000170,0x00024000,0x3ea2cc00,0x80008003,
    0x07f1004f,0xfd003fe2,0x0b30fb03,0x001ec0fb,0x000001c4,0x16e007f1,
    0xfe8807d4,0x00005800,0x0000c400,0x00000062,0x51660000,0x00004c7f,
    0x42604f80,0x0bf903f8,0x1fb0dfb0,0x507e8598,0x544dcc0b,0xfffb5121,
    0xffeb883b,0x9803fd83,0x2a05e82f,0x6445006f,0xd7100fff,0x3b6207df,
    0x1002eecc,0x05dd99db,0x077fff6a,0x547ffd71,0x27dc2eff,0xf37f5166,
    0x7fd419ff,0xf027dc2e,0x223fd709,0x009fd03f,0x1fc81ff7,0xe837c2cc,
    0xf953d881,0x04ff8243,0xff8807cc,0x7cc6f804,0x0017f203,0x200efe88,
    0x20fee079,0x1fdc04fa,0x9ff027d4,0xfa80f980,0x45986985,0xffb9ccfa,
    0x34c2fd44,0x3fa213e0,0x3fe07f11,0x41ffa803,0x4d85987b,0xf87b0798,
    0x1fec0d46,0xe9b81e20,0x323f405f,0x00ffa02f,0x40bff500,0x409f5068,
    0x09f504fa,0x3fd827d4,0x1fd03c40,0x542882c8,0x207fcc5f,0x201640fe,
    0x223f904f,0x02ff883f,0x2642ff88,0x642d42cc,0x27c46c86,0x00bf606e,
    0xfd8320d1,0xfe87f605,0x005ff101,0x03ffda80,0x01ff10d1,0x7fc41fe8,
    0x6c0ff400,0x5034402f,0x2a00689f,0x542fd83f,0x27c0344f,0x07f11fc8,
    0x3e200ffe,0x2cc0e61f,0x2a26c2b8,0x1217d41f,0x1a2017ec,0xc80fec34,
    0x4403fe2f,0x540003ff,0x6882ffac,0xfb805fc8,0x5c02fe46,0x402fd86f,
    0xa87f4068,0x20fea004,0x50fe83fc,0x3209f009,0x3a07f11f,0x0ff9803f,
    0x302cc05b,0x2176174d,0x5fb0487d,0x0f986880,0x47f903f8,0x13fe00ff,
    0x3ee95000,0x7f43441f,0x20ffa803,0xffa803fe,0x22017ec0,0x0d9fd406,
    0x2e0fea00,0x1b3fa82f,0x3f209f00,0x3f207f11,0x546fa805,0x2e60b302,
    0x43f883a0,0xd81c45f9,0xf834402f,0x7f902c85,0xdfb007f4,0x364a8000,
    0x3e1a20ef,0x1ff9803f,0x3e600ffe,0x2017ec1f,0x59fe8068,0x07f50620,
    0x27fa03fb,0x3209f005,0x2607f11f,0x17ec00ff,0x4c2cc1e4,0x07ea2c86,
    0xb00d87fb,0x7068805f,0xfb02c1df,0xf300fec5,0x5013003f,0x1a25fe89,
    0xf1005ff1,0x00bfe25f,0x5fb0bfe2,0xfb806880,0xf516602f,0x7dc0df09,
    0x209f002f,0x407f11fc,0x17e604fa,0x6c2cc354,0x4fea4a84,0x0721fac8,
    0x34402fd8,0x0371df70,0x05f70fec,0x2600efc8,0xff889502,0x07ff0d14,
    0x7fc3ff10,0x41ff8803,0x034402fd,0x22cc07f8,0x00fcc6fa,0x04f801fe,
    0x00fe23f9,0x0bd305f9,0x21660fe4,0x3e26885f,0xabf98ddf,0x0bf20e2d,
    0xffb80d10,0x3ea37402,0x81efc802,0x2612a03a,0xfe868aff,0x20ff9804,
    0xff9804fe,0x22017e40,0x98099006,0x65eefd45,0x004c801f,0x88fe413e,
    0xbde9803f,0x7ec02edb,0x83f42cc0,0x950b260e,0x3fc83983,0x7dc02c40,
    0x3a0fe206,0xbffd5004,0x04a805bb,0xfb0d5ff5,0xd8df500b,0x86fa805f,
    0x02c403fc,0x22cc00e8,0x00198bfa,0x04f8003a,0x00fe21f9,0x801fffb8,
    0x7d85987e,0x6c000b50,0x5404fb80,0x205f5004,0x007980fb,0x12a001d8,
    0xf886ffc8,0x20fec00f,0x7ec00ff8,0x5404fb81,0x98059804,0x4001fd45,
    0x827c0059,0x000fe27c,0xb801fff3,0x05c85986,0x07200172,0x07a03fc4,
    0x205d07cc,0x800b202e,0x12a006f9,0x3ee0dfb0,0x5c13e604,0x413e604f,
    0x80f407f8,0x9800e899,0x9801fd45,0x7c000e89,0x3e25d824,0xefc88003,
    0x1661e200,0x00b90076,0xbf500762,0x7c407b10,0x201dc161,0x3ee000e8,
    0x880d7000,0x20ff206e,0x1fe404f9,0x3ea027cc,0xf303d885,0x166005ff,
    0xff3009f7,0x5551005f,0x3a2ff29f,0x06ab7e20,0x039d7100,0x4a8b30ee,
    0x8159b500,0xf7000cc9,0x007bd9bf,0x77057159,0x20032200,0xfc9803e9,
    0x01a601cf,0x5db79dd3,0x2f3ba600,0xff7002ed,0xc807bd9b,0xb922002d,
    0x6400bded,0x5551002d,0x033b6635,0x0006aaaa,0x42a00988,0x20002a48,
    0x0bcdcca8,0x00333000,0x00660510,0x002600a0,0x20008000,0x0cc00019,
    0x00333000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xee880000,0x00000001,0x100013aa,
    0xb00003db,0xdb10001d,0x10700001,0x9f99fdb7,0x001b6201,0x2000de88,
    0x5c000ee9,0x74c01324,0x00fae005,0x07665b10,0x3a617aa0,0xfd900105,
    0x3df5000d,0x03ec0014,0x01bfb200,0x0007f300,0x40001fcc,0x3ffff445,
    0x005f500b,0xb0007ee0,0xff8009fb,0xc800ff89,0x01ba000f,0x27dd7ea0,
    0x641fef40,0x302fcc0f,0x9000ba2b,0x0039bff7,0x4c000ba0,0x40005b15,
    0x6a80004c,0x36154000,0x0167ffff,0x2d800264,0x1e9a5400,0x02a8a600,
    0x744003d0,0x22370000,0xe99dc00b,0x3fdc3d80,0x0c007050,0x40007d71,
    0x70500038,0x00024000,0x6c000170,0x3fffffc0,0x4002400b,0x44380048,
    0x00188003,0x037000a6,0x14400000,0x3ea240a2,0x00018806,0x000000c4,
    0x00001000,0x00400002,0x7c45a880,0x0167ffff,0x00000000,0x33b62000,
    0x00002eec,0x3ff6a000,0x7f5c41df,0x2600003f,0x99db106f,0x362005dd,
    0x502eecce,0x883bfffb,0x7003ffeb,0x09700009,0x80097000,0x744fdbda,
    0x3167ffff,0xddddfff9,0xffc98fff,0x7ffeeeef,0x777ffe4c,0x2e07ffee,
    0x884fa83f,0xd53efffc,0xc883bfff,0x27fc3eff,0xf9103e60,0x3f227dff,
    0x0bf13eff,0x09f507f7,0x4fa83fb8,0xf3013fe0,0x003f4001,0x40003f40,
    0xd9ea007e,0x3ffea2fd,0x2fe4167f,0x0bf90688,0x82fe41a2,0x409f5068,
    0x0ff704fa,0xde80ffd1,0x4403fd80,0x5c1fee07,0x7d44f87f,0x5413ea04,
    0x413ea04f,0x03c403fd,0x0005ff30,0x00017fcc,0xf1005ff3,0x50ba7269,
    0xb82cffff,0x2e02e05f,0x2e02e05f,0xf102e05f,0x81fe801f,0x5ff306fa,
    0x7ec03e20,0xf5034402,0x3e1bea0d,0xd003fe23,0x00ff883f,0x17ec0ff4,
    0xdd801a20,0x3760006f,0x3760006f,0x92f9806f,0x2cd31003,0x40205fa8,
    0x540205fa,0x3f20205f,0x986fb805,0x41bee06f,0x00bf602c,0x837cc0d1,
    0x322e86f9,0x46fb805f,0x6fb805fc,0x34402fd8,0x03ff6880,0x07fed100,
    0x0ffda200,0x002c7ee0,0x0bf5059a,0x305fa806,0x0182fd40,0xff5007fd,
    0x7406f981,0x3602cc4f,0x3034402f,0x21be60df,0x200ffa1d,0x0ffa0ffa,
    0xfb03fea0,0x90068805,0x20017ee7,0x000bf73c,0x7017ee79,0x6800735f,
    0x582fd416,0x02c17ea0,0x7c160bf5,0x1ff9803f,0x3e6037cc,0xfb003a1f,
    0x26068805,0x90df306f,0x4c01ffc1,0x00ffe1ff,0x5fb07fe6,0x1d006880,
    0xd0003fe2,0x0003fe21,0x803fe21d,0x0140cdf9,0x3bf5059a,0x540b9533,
    0x5ca999df,0x26677ea0,0x2ff885ca,0x4c2ff880,0x96fb806f,0x805fb007,
    0x41be6068,0x3e2386f9,0x2ff8802f,0xf1005ff1,0x402fd85f,0x6c4a8068,
    0xb12a003f,0x2254007f,0x3fe203fd,0x59a004c5,0x9999df50,0x677d40bd,
    0x2a05eccc,0x5eccccef,0xf1007ff0,0x006f983f,0x3600dbfd,0x3034402f,
    0x01be60df,0x3e200ffe,0x200ffe1f,0x17ec1ff8,0x03a01a20,0x07400df3,
    0x0e801be6,0x3ee037cc,0x6804cbdf,0x442fd416,0x2217ea05,0x2217ea05,
    0x3009fd05,0x06f981ff,0x2003ff30,0x034402fc,0x1be60df3,0x26013fa0,
    0x013fa0ff,0x5f903fe6,0x7cc06880,0x2ffeeeee,0xeeeef980,0xf9802ffe,
    0x2ffeeeee,0x067fff40,0x3ea0b340,0x2fd40505,0x417ea028,0x500bfb02,
    0x00df30df,0xfc8007fc,0xf302c403,0xf31be60d,0x5402fec9,0x402fec6f,
    0x03fc86fa,0x40b602c4,0x02d805fb,0x05b00bf7,0x348817ee,0x54166800,
    0x5fa8005f,0x005fa800,0x36007fc4,0x006f981f,0x7dc003fe,0xf3025404,
    0xf31be60d,0x2007fc4b,0x07fc41fd,0x3ee07f60,0xd1025404,0x1007fc40,
    0x007fc40d,0x07fc40d1,0x4d0002b8,0xa80bf505,0x2a02fd40,0x2a02fd40,
    0xf3027dc0,0x801be609,0xff1000ff,0x3e601e80,0x010df306,0x27cc09f7,
    0x3e604fb8,0xe80ff104,0xf900f201,0x3201e40b,0x900f205f,0x800160bf,
    0x02fd4166,0x40bf50b1,0x205fa858,0x307f9058,0x037d409f,0x54001ff0,
    0x403d885f,0x0df506fa,0x7cc1fe40,0x4c1fe404,0x42fd404f,0x07e603d8,
    0xf303ff50,0x81ffa803,0x7fd401f9,0xd0002441,0x106fb82c,0x20df707b,
    0x06fb83d8,0x774c07b1,0x5c02edbc,0x5ff1007f,0xcdffb800,0x7fb803de,
    0x9800ff70,0x02edbcee,0xdb79dd30,0x37fee005,0x3ee03dec,0xffd703ef,
    0x1f7fdc9f,0x24fffeb8,0xd703effb,0x00449fff,0x2e624900,0xfeeeefff,
    0x3fee60ff,0xfffeeeef,0x3bffee60,0x00fffeee,0xf9100330,0x75c05bff,
    0x4000beff,0xf9100199,0x3f225bff,0x98002dff,0x00cc0001,0x00033300,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0xc8000cb8,0x5b800f24,0x44f60132,
    0x2200102d,0x71001000,0x01310017,0xa8001310,0x4062001a,0x880aa000,
    0x00380acb,0xaa8002aa,0x2200cc00,0x0b220c41,0x0143dd50,0x002cce40,
    0x1fe63fe2,0x1ff1ff80,0x5fab7cc0,0xccd801b0,0x6402cc05,0x7fc40599,
    0x00ffd806,0x8801df10,0x92eeccdd,0x09fd5005,0x0faa73a2,0x13ea0039,
    0x2a02fcc0,0x465c03ff,0x037d41db,0x0b3bfef2,0x000d9600,0x40035154,
    0x2e00aa29,0xedb882e1,0xf3640cee,0x2c006c07,0x3f9dc80b,0x017a7aa0,
    0x3ee007d4,0x004efa83,0x236413e6,0x801260fc,0x01d7006c,0x400fcae8,
    0x80ae04fc,0x000f6e21,0x00025de4,0x00020000,0x3a6b2f80,0x20bd27c3,
    0xb779003b,0x01b12440,0xc801c832,0x7027d401,0x27cc009f,0x21fcc5f8,
    0x4006c006,0x950dc00d,0x03b2f660,0x00004000,0xfc9802dc,0xffeeeeff,
    0x4012e007,0x53efffc8,0x7c4792cf,0x01661f24,0x10080530,0x06006010,
    0x2201ff10,0xf1002fee,0x7f517e09,0x004002c8,0x8040400c,0x00c17a0a,
    0xd0000970,0x05fc800f,0x03f400d1,0x1fb1fee0,0x93e23996,0x4000e86d,
    0x02980099,0x80a60000,0x2e7a05fc,0x222a206f,0x644f884f,0x98024c0f,
    0x00998009,0x98800998,0x200484fa,0x7cc0007e,0x17ee002f,0xff9800b8,
    0x71bea002,0x4bd016bf,0xb001644e,0x2607f95b,0x2a0cfcbe,0x13faa4fd,
    0x067e5f4c,0x996c13fa,0x56ec40ff,0x4f884fdc,0x01a03d91,0x207f95bb,
    0xb03fcadd,0x2207f95b,0x41ffdbdd,0x2ff9800c,0x1bf76000,0x0205fa80,
    0x0037eec0,0xdff88df3,0x7c47cc05,0xfb801661,0x1f103fa0,0x13ea27d4,
    0x41f109f5,0x41ffc4fa,0xd07fe63b,0xf884fc89,0x2e05fb54,0x7f41f702,
    0x1fd07dc0,0x03fa0fb8,0xd89fb0fa,0x06fdd801,0x07fed100,0x0182fd40,
    0x007fed10,0x7fcc37cc,0x05e4c02f,0xb01a81d1,0x2640fc8f,0x313e637c,
    0xdf09909f,0x16a17fc4,0x07dc5ff1,0x13e213e6,0x209309f7,0x3607e47d,
    0x1f607e47,0x987c81f9,0x2201746f,0x90003ff6,0x54017ee7,0x3200b05f,
    0x2600bf73,0x9ffb106f,0x74459000,0x754105ca,0x77777c1f,0x13e61eee,
    0xdddf09f3,0x7fc3dddd,0xff303a63,0x27c437c3,0x07fc27c4,0x7f541034,
    0x07faa081,0x7c1fea82,0x3e0ff886,0x5fb9e403,0xff10e800,0x33bf5001,
    0x3a00b953,0x3001ff10,0x5ffe80df,0x2bd12a00,0x95b703f8,0x801fc43f,
    0x227cc4f9,0xbfd003f8,0x9fea03a2,0x84f885f8,0x82fd84f8,0x32b6e02b,
    0xf95b701f,0x3f2b6e03,0x7f41be21,0x0e809f12,0x54001ff1,0x5401fec4,
    0x5eccccef,0x1fec4a80,0x36037cc0,0xe8803fe8,0x45f8fe20,0x887f23e8,
    0x89f3004f,0x027c44f9,0x205b6fc8,0x21be66fb,0x84f884f8,0x885983fc,
    0xd107f23e,0x3a20fe47,0x7f887f23,0x17e63f90,0x01fec4a8,0x06f981d0,
    0x05885fa8,0x037cc0e8,0x456037cc,0x4c1d806f,0x8dd1f63f,0x407fc1fc,
    0xf313e609,0x1301ff09,0xb01e7fc4,0x207fc43f,0x84f884f8,0xdd0d01fa,
    0x23741fc8,0x323741fc,0x6c07fc1f,0x740df30f,0x98037cc0,0xffeeeeef,
    0x282fd402,0x77777cc0,0x7cc02ffe,0x07d96146,0xd27c4254,0x3f237c4b,
    0x120f7e41,0x84fa8bf1,0x54241efc,0x20fea06f,0x42fc43fe,0x1ae174f8,
    0x91be22b8,0x3237c43f,0xf91be21f,0x5f83fd83,0x77cc1fea,0x02ffeeee,
    0x0bf702d8,0xb0005fa8,0x3017ee05,0xd960e8df,0x5e81a204,0x9afe85f1,
    0x3e23bfed,0xf82fcdff,0x1efcb8af,0x7e6fffc4,0x983ff982,0x19ff305e,
    0x4c13dfb3,0x09b3f8cf,0x26bfa2c4,0x3fa3bfed,0x23bfed9a,0xbfed9afe,
    0xea83fe23,0x16c1fea0,0x34405fb8,0x5401ff10,0x2205405f,0x803fe206,
    0x2b2746f9,0x807601f9,0x540eb9f9,0x0ef99efe,0x816fff4c,0xdf99fffa,
    0x2dffe982,0xced98e88,0x7d402edb,0x22efaeff,0x9bb94fe9,0xefea8d00,
    0x3aa0ef99,0x20ef99ef,0xef99efea,0x6ee7f440,0x34416c40,0x6401ff10,
    0x502fe403,0x642c40bf,0x502fe403,0xecfeb8df,0x00a200cc,0x08100ae2,
    0x0c400440,0x40110031,0x00099818,0x0001884c,0x08101300,0x20401020,
    0x8000c400,0x82fe403c,0x7fd401f9,0x220df701,0x200fcc3d,0xff701ffa,
    0x00016620,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x7fd401f9,0x81f7fdc1,0x264fffeb,0xeeeefffb,0x3fee0fff,0xfffd703e,
    0x6fffe449,0x00000902,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf7000000,0x3fae07df,0x000004ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x50000000,
    0x03530035,0x00826600,0x00dc4018,0x40020440,0x00220018,0x0200100c,
    0x00010008,0x10220001,0x5000aa60,0x30000401,0x000c0010,0x3e00154c,
    0x06f9800e,0xb99bb710,0x3f620b7b,0x3ffb82ff,0x0341d800,0x5dd99db1,
    0x202ff640,0x00fc984a,0x07e4c1dc,0x6c401660,0xb8802ece,0x02ccedde,
    0x06800fd1,0x1009b9d5,0x57bd9db7,0x5665c409,0xe8800bcc,0x03f5000f,
    0x22007d40,0x07e980ee,0x01ffb57b,0x8d0007f7,0x507f7059,0x3e65109f,
    0x7cc0d100,0xf9816200,0x44007400,0x3201a65e,0x1017ec0e,0x2126005f,
    0x9817a1f8,0x2fdc40df,0x39101d88,0x2005f100,0x03b8001c,0x03e602f4,
    0xa83fc817,0x2344003f,0x204fa83b,0x80ea04fa,0x803e601c,0x803e601d,
    0x47f5003b,0x0be201f8,0x01260174,0x2a3740e4,0x00ef881f,0x2676216e,
    0x801c8199,0x00030049,0x003fb00c,0x07f30019,0x498007f5,0x03fe20e4,
    0xbf903fd0,0xf9809301,0xf9807700,0x5c00b300,0xf701aa3f,0x0600ae05,
    0x21fdc340,0x07f445f8,0x223622c0,0x645eb9fe,0x00001801,0x5fa80a60,
    0xf5001100,0x80c7f501,0x999bc998,0x017f209e,0x1fd41bee,0x03e60074,
    0x03e601a2,0xdf50006c,0xdf500ba6,0x54403103,0xfc849801,0x3ea0ff81,
    0x21a85006,0x488fea6d,0x93f6a000,0x7d304fea,0x3fc819f9,0x80ec0000,
    0x3fffabfa,0x6667e654,0x0ffa3cfc,0x6403fea0,0x7cc01643,0xf9801d80,
    0x44003b80,0x9930dcff,0x1fff4499,0xffbcd880,0x3fa07202,0x3f21fe80,
    0x6d890005,0x6d4913e2,0x513faa4f,0x884fa89f,0xfd13ea0f,0x4cccc405,
    0x203db101,0xffc9cefa,0xf8498d04,0x1ff9803f,0x0b306c31,0x09503e60,
    0x0d103e60,0x321bf600,0xefff983f,0x3f61ec02,0x03fe0d02,0x03fe8bf6,
    0x2e6d8900,0x9f50641f,0x27cc4fa8,0x213213e6,0x80bfe26f,0x982effc9,
    0xfa82fffd,0x2207fcc3,0x3fe21dc5,0x32ff8802,0x80e8159b,0x88f2e21b,
    0x2e2054c6,0x0dc0ec3c,0x42ffcd88,0x3ff2205c,0x40fc80df,0x884985f8,
    0x227fb07f,0x388002ff,0x406f67ec,0xf313e62a,0x7cc4f989,0xeeeeef84,
    0x09ff11ee,0xf9007ff0,0xfd07f50f,0x40e44a85,0xff8803ff,0xfa82c801,
    0x3361d802,0x83a802fd,0x93fa82fa,0x400f41ff,0x740fffe9,0x1c81fd06,
    0x3fb07f88,0x4000ffe2,0x706db6c4,0x3e627cc1,0x3e627cc4,0xf801fc44,
    0x02fe805f,0x3fa83fb0,0xbb953fc8,0x4799f999,0xff9804fe,0x64c2cc00,
    0x3125402f,0x21a202ec,0x27cc2fc9,0x00eabff1,0x7c4dff70,0x0685fb06,
    0x83f607fe,0x890004ff,0x8909f16d,0x227cc4f9,0x227cc4f9,0xff9004f8,
    0x2003fd00,0x41fd41fa,0x35d312fb,0x6c133d33,0x06fa805f,0x2fac40e8,
    0x4c803a20,0x7d620ec0,0x3ea0fe42,0x402a05bf,0x1ff10ffa,0x02545f90,
    0xd8fd05fd,0x4370006f,0x488bea6d,0x13e627cc,0x84f989f3,0x220980ff,
    0x0ff402ff,0x3fa86a80,0x26340fd8,0x801ff104,0x41dc01fd,0x16405f0d,
    0x84a803a0,0x1ff85f0d,0x2e02ffd8,0xfd87f602,0x0720fc82,0x45f83fb8,
    0x09801ff9,0x90ff4d62,0x9f30723f,0x2fc44f98,0x3bf213ea,0x0ffdc241,
    0x32003fd0,0x5f83fa83,0xb80ee2c4,0x013e604f,0xf55970d1,0xd80b3039,
    0x32e1a201,0x3fe1cfaa,0x41fff984,0x07f40b73,0x68bb09f7,0x3ea27c40,
    0x200efc81,0x999d9829,0x440e4cc1,0x7c27d45f,0x1efcb8af,0x7e6fffc4,
    0x203ff502,0x505e41fe,0xb8bf501d,0x0722540e,0x9f307f90,0x55303b00,
    0x01d039f5,0x039010e4,0x439f5553,0xeb88cffb,0x1dacffea,0x87f509f7,
    0x83a61fe8,0x20fa803a,0x07bf203e,0x00d980ea,0x57fc0591,0x541efcb8,
    0x2df99fff,0x02dffe98,0x65e776c4,0xdffd82df,0x677dc04e,0x342b80de,
    0xdbcee980,0x004b802e,0x2205905f,0x540eccde,0xc885f004,0x3624fffe,
    0x372e3fff,0x103fecdf,0xc83bb9fb,0x7b7b5001,0xbbffd500,0x9b71005b,
    0xa8039b95,0x2df99fff,0x20062188,0x33300008,0x80013100,0x50260098,
    0x80033000,0x7102a003,0x155554c0,0x00a8005c,0x08188066,0x18800d4c,
    0x006000a0,0x10000cc0,0x21880013,0x00000018,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00131000,
    0x55300088,0x40003000,0x40620001,0x50010018,0x44004015,0x0401930c,
    0xea802a20,0x3b220a1d,0x3ffa02a3,0x541fffff,0x01000ee4,0xc8805540,
    0x44003911,0x31013100,0x2007ff60,0x401dcbd8,0xcb8801fd,0x800bccac,
    0x2004fcec,0x55dc1bdb,0xbcb883fd,0x85f981cc,0x202dffc9,0x507fb4fc,
    0x2f3a209d,0x7e6440de,0xeba81cdf,0xff985bff,0xf87eeeee,0x000ff89f,
    0x27dc0097,0x09f75fa8,0x3e60fe60,0x4c0ff85f,0x74405d9e,0x05f017a2,
    0x32203b10,0x0df13601,0x89504e88,0x2a2643fc,0xdf80eb86,0x9103ffeb,
    0xeb883261,0x2a2f884f,0x7d910c4f,0x81eda8a0,0x7509b02d,0x0fd0015c,
    0x37106c80,0x7f400322,0x41fabd83,0x590640ed,0x09707dc0,0x06c40254,
    0x39313753,0x2fa83f30,0x2ec09f30,0x41f89be6,0x5406c2f8,0x00037d42,
    0x43e427cc,0x0000005d,0x0001f80a,0x0017fcc0,0x90000036,0x262a87fb,
    0x01808805,0x003001b6,0x22b661b1,0xc8393fb8,0x1ba0df07,0x54ff0fb0,
    0x80c3f82f,0x4c05fd03,0x7c27cc02,0x00998005,0xa8001a88,0x0004cc07,
    0x1000dfbb,0xa800d440,0x44043fac,0x00351000,0x1a8800fd,0x407cc6a0,
    0x06e8914b,0x01fc81fd,0x89be21cc,0x203ea0ff,0x03f7000a,0x019f97d3,
    0x05f889f1,0x0ff2b760,0x17fde6c4,0x37609900,0x68803fca,0x054003ff,
    0x17fde6c4,0x07f51d10,0xcd880054,0x1fa02ffb,0x7fde6c40,0x2813a482,
    0x3fa0ff12,0x0545be61,0x7e41fb80,0x2e20e99e,0x0f9000fe,0x427d41f1,
    0x03fc44f8,0x03fa0fb8,0x005fb0f6,0xe83ee07e,0xfb9e400f,0x07f5c405,
    0x40bf61ec,0xb887f51d,0x87b000fe,0x7f5542fd,0xb0f602ab,0x07f3485f,
    0x82fc8320,0x2f7ee0fe,0x7400cfdc,0x01dff904,0x3a001fd1,0x86f84c83,
    0x81ff84f8,0x1f91f60a,0x2fc40fc8,0x47d83d40,0x887400fc,0x7f4400ff,
    0x3e207e40,0x0fea4a85,0x32003fa2,0x362fc40f,0x905eeffe,0x225f881f,
    0x2a005f53,0xf883be62,0x3f21fec6,0xfd01aa03,0x003f607f,0x7777c16a,
    0x7c41eeee,0x1c45fd84,0xe83fd504,0xc801fd06,0x1fea8204,0x07fb12a0,
    0x06e81fb0,0x2a2c41fd,0x001fb03f,0x203fa0dd,0x837400fd,0x1fcd20fe,
    0x7fe40b80,0x7f44fdbc,0x1b037c40,0x27fdd6c0,0x074007e4,0xf1001fc4,
    0x97dff109,0x32b6e01f,0x6c1be21f,0x200fc02f,0x201fcadb,0x4037cc0e,
    0x41be20fc,0xf50362fd,0xf103f207,0x360df13f,0x4407c82f,0xa45fb06f,
    0x409005f8,0xff85f91a,0x3881ff80,0x1ffa9360,0x0b2007e4,0xf10027c4,
    0x37ffa609,0x3f23e881,0x3203fe21,0x881e602f,0x4c07f23e,0xffeeeeef,
    0xf107e402,0x2e5f901f,0xefdcccce,0x2607e41c,0x80ff8cff,0x407c82fc,
    0x2fc80ff8,0x440fd46e,0xff100912,0xfd80fd81,0x3f301981,0x07e44fa8,
    0x0ff80770,0x027c4098,0x646e80ea,0x6417ec1f,0xe813200f,0x2d80fe46,
    0xfc80bf70,0x7e417ec0,0xffffff90,0x0fc87fff,0x05fb5988,0x20b901f9,
    0x3f20bf61,0xaefa9620,0x200723b9,0x82fc81fb,0x7dc0106c,0x07e46e80,
    0xefc804a8,0x027c4241,0x1be20bf6,0x84fb83f9,0x880fc05d,0x440fe46f,
    0x803fe206,0x427dc0fc,0x03fa805d,0x5cae01f9,0x65c5d84f,0xf714c1df,
    0x4b30bb09,0x00e41a98,0x4f880fd4,0xf98004f8,0x07e43c82,0x220a8254,
    0x82fcdfff,0x03f804f8,0x7fdb35fd,0xd30ff447,0x3a03cc01,0x3bfed9af,
    0x17f201e4,0x7f440fc8,0x2a003a61,0x501f903f,0xd30ff447,0xffee9441,
    0x0ff447ed,0x036601d3,0x7d401644,0xf30fdc02,0x740df101,0x3f607c45,
    0x66667d41,0xffe986ed,0x40bf302d,0xfd500eb8,0x881df33d,0x401ddcfd,
    0x77f5404c,0x3e60ef99,0x80ffd401,0xcfd881fd,0x7f5001dd,0x03307f60,
    0x83bb9fb1,0xdff71cd8,0xbb9fb105,0xacdb8803,0x2e201cdc,0x7b5000bb,
    0x1be601d9,0x1bbbed88,0x547bfee2,0xffffffff,0xeb802203,0x00881cff,
    0x0c400810,0x02001500,0x03effb81,0x449fffd7,0x3101effb,0x887f5000,
    0x2001effb,0x0c044018,0x88000c40,0x00130009,0x04400440,0x00000180,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fff6000,0xca80004f,0xf911dfff,0x3ae201ff,0x007703ef,0x00055000,
    0xfb505dcc,0xeb883bff,0x8a6203ff,0x80986201,0x80dfffeb,0x3aa5ffe9,
    0xffb32eff,0x7fe4417f,0x2a005404,0x405cc002,0x403911c8,0x47d91039,
    0xf981880a,0xff50ffff,0x204fb85d,0xdfd105fd,0xf103cc01,0x3a1fa01f,
    0x005fea87,0x85fd3590,0x07cc04ff,0x9df97d90,0xff37fb30,0x0bfd019f,
    0xff883f88,0x3605fe83,0xdb379103,0x13faa799,0x407fe440,0x409f75fa,
    0xfeba81fd,0x83fd05bf,0x42fd400d,0x027e4069,0x3440bff5,0x87e80ee0,
    0x00bf307e,0x22744b70,0x03c403fd,0x984fb89d,0xffb9ccfc,0x4c07fa84,
    0x2a13f206,0x6c03e06f,0xf30d7fc5,0x80fd8009,0x401911b8,0x76d45039,
    0x24c1d901,0x1640fe80,0xda80ff20,0x00d103ff,0x07e87e80,0xbd000bf1,
    0x8805fb00,0xf981f706,0xf98bf504,0x201ff80f,0x21fe602c,0x05980ff8,
    0x41fd87f1,0x7ec004f9,0x00000000,0x17bfb000,0x01a27d40,0xaca80ff2,
    0x406882ff,0x3a1fa019,0x000bf107,0x05fb009f,0x10df0688,0x20fea09f,
    0x05fb82fd,0x20bfa01a,0x502c83fe,0x442fb89f,0x07e4004f,0x0c400000,
    0x7fcc0033,0x3fa01fff,0x7f900950,0x1ffba540,0x802a0344,0xf107e87e,
    0x04f8800b,0x34402fd8,0x27c42fc4,0x3fc83fa8,0x4a80ff88,0x7c44fb80,
    0x3e20686f,0x27c436c6,0x20fc8033,0x3faa4fda,0xfd982a04,0x005ffe8c,
    0x817ff54c,0x9001b3fa,0xfb25407f,0x1603441d,0x20fd0fd0,0x2ffa25f8,
    0x33bf3222,0x805fb00c,0x886f9868,0x707f504f,0x213f605f,0x47f8801e,
    0x1661ffbb,0x0be65f70,0x3ffa33e2,0xf503f205,0x5c44fa89,0x3bee20fe,
    0x002fd88c,0x3a01ffb0,0x7f90059f,0x97fa2540,0xd00ee068,0x3e20fd0f,
    0xf8803a65,0x402fd804,0x40ff8868,0x07f504f8,0x1fe603fb,0x17f400d3,
    0x1649f91d,0x805666c0,0x5fb0cef8,0x9f303f20,0xfe884f98,0x3ea2fcc0,
    0x0bf60003,0xc8017fdc,0xf112a03f,0x7cc1a29f,0xf107f400,0x26bf102f,
    0x027c400d,0x1a2017ec,0x13e61ff4,0x037c27d4,0x002c8ffa,0xf9b457ee,
    0x007601a6,0x0fea2fc4,0x13e607e4,0x03f609f3,0x04f989f1,0xf80fea00,
    0x80ff2007,0x8aff984a,0xfd00bd06,0x71fd9519,0x00dadf88,0xfc804f88,
    0xfa834402,0x04fcbaef,0x01f98df5,0x800d37d4,0x3a3b8ff8,0x7cc0499f,
    0x882aaccd,0xc827cc4f,0x2627cc0f,0x881f904f,0x6c27c44f,0x202f800f,
    0x0ff2004c,0x5ff504a8,0xd007f70d,0x3fea9ffd,0x077efc42,0x64027c40,
    0x302c403f,0x09f17ffb,0x3f2f77ea,0x953ff001,0x1d5fb000,0x201667e4,
    0xffffffd8,0xf113e20e,0xf303f209,0xf904f989,0x7c44f881,0x4401fe84,
    0x8003a00f,0x812a01fc,0x0fe86ffc,0x0263e1ec,0xf5bf1011,0x009f100b,
    0x04a809f7,0x5413e218,0x400198bf,0x8000edfb,0x7fcc5efa,0x4ccc9006,
    0x113e24da,0x303f209f,0x904f989f,0x444f881f,0xc800884f,0x2a016604,
    0x25401f90,0x3fe1bf60,0x01f13f40,0x9f95f880,0x8804f880,0x000f407f,
    0x1fd413e2,0x0bff1000,0x7417fc00,0x202d804f,0xf113e239,0xf103f209,
    0xf904fa8b,0x7c44f881,0x912ed804,0x01d1330b,0x809b4fb8,0x4374406b,
    0xf52dc2fb,0x25f88005,0x17e202fe,0x6c42fd40,0x04f88003,0xd80007f5,
    0x3f20002f,0x4c01fb80,0x9f11604f,0x1f904f88,0xf9715ff0,0x981f903d,
    0x402fcc5f,0x983efffb,0xf8802fff,0x3f2604cf,0x21a601cf,0x43b11ef8,
    0x7cc002fb,0x4c07fe25,0x3fee006f,0x0003decd,0x13ea0bf3,0x000f3000,
    0x00f105a8,0x36f37ff6,0x262fcc1e,0x503fb05f,0x5bf33fff,0x7f543fb0,
    0xbffea8bf,0x64009800,0x004c002d,0xb5004000,0x00d98159,0x22fff6a0,
    0x2e0bfff9,0x2002cffe,0x54000199,0x36e0beed,0x20000bde,0x20180001,
    0x3b6e2001,0xbffda83c,0x5c3ffda8,0x21882eff,0xeffb8818,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfb300000,0x7bddffff,0xfec88001,0xffeeeeff,0x23a92a0f,
    0x02dfffc9,0x7fff9010,0x9886fecc,0x99999999,0xfffff109,0x1fffffff,
    0x3bbfff26,0xf933fffe,0xffddddff,0xdfffc98f,0x37fff262,0x7dfff912,
    0x3fffff66,0x2200bdee,0xffffffff,0x3ffaa4ff,0x7fe441df,0xffffb33e,
    0x6ffecc3b,0x3ffff662,0x9801deee,0x7117f202,0xd50005ff,0x41d105fd,
    0xc83ff2fe,0x4122005f,0x5c6a84fb,0x99999999,0x443d3299,0x903ea27f,
    0xc87b109f,0x320d105f,0x41bee05f,0x1bf907fb,0x8817fdcc,0x81df701e,
    0x6f407fe8,0x107ff980,0x127ec07f,0xd301bfb5,0xfb819f97,0x005fd104,
    0x502fdad8,0x70751cc3,0x026c009f,0x141d81ff,0xf10a6500,0x4fb8170f,
    0x05fb8910,0x813ee02e,0x0df505fb,0x7f4413ee,0xff302983,0x40bfe603,
    0x3fea00f8,0x7dc04c82,0xf887fd04,0x9f713ea0,0x8017fcc0,0x2205fb68,
    0xcefb8000,0x09f901ab,0x50b11fe4,0x44089400,0x7dc0887f,0x0bf50204,
    0x204fb804,0x0df305fa,0xff9813ee,0x4fe804c2,0x2c837dc0,0x2a0ffb80,
    0x504fb805,0x6f84c8df,0x3f2027dc,0x3f659004,0x80540082,0xefdaadfb,
    0x133bf6a0,0x282c9be2,0x7f880a00,0x0109f700,0x700c17ea,0x82fd409f,
    0x09f706f9,0xf9004fd8,0x313fa00d,0x9afec00b,0x04fb800e,0xeeef8ff5,
    0x3ee1eeee,0x4037d404,0x160bf658,0x5c03fae2,0x1077e44f,0xd1fd809f,
    0x202800a0,0x9f7007f8,0x417ea090,0xa813ee05,0x20df305f,0x3fd404fb,
    0x800ffcc0,0x003a1ff9,0x01ebff88,0x3f609f70,0x3100fe24,0x83333bf9,
    0x0ec00ff9,0xf95337fb,0x5c03fa20,0x117fc44f,0xbdf9809f,0x01400503,
    0x3ee00ff1,0x505c999d,0xb95333bf,0xf5027dc0,0x5c1be60b,0x07fcc04f,
    0x8007ff10,0x000796fb,0x5c007ff5,0xbfb530df,0x2a027c41,0x4cccefdc,
    0xb3017fc4,0xdcccdfd8,0x5c03f607,0x224fe84f,0xfaaaa84f,0x50aaabef,
    0xff101400,0x333bee00,0x9df505ed,0x5c0bd999,0xeeeeeeff,0x0df305fe,
    0xff1013ee,0x002fec05,0x0006dfe8,0xfb8017fa,0x0effedef,0x20980ff8,
    0x7fcc04fb,0x33337601,0x320582ff,0x889f700f,0x213e23ff,0xadfcaaaa,
    0x40050aaa,0x401fe202,0xa82444fb,0x2e05885f,0x417ea04f,0x09f706f9,
    0xf501ff98,0x3e60001f,0xfd30001f,0x13ee005f,0xdf913fea,0x027dc483,
    0x6cc03fea,0x82fe9999,0x5c03f202,0x107fe44f,0x09f3009f,0x44050014,
    0x09f7007f,0x1417ea05,0x7d409f70,0x2e0df305,0x07fd404f,0x00017fc4,
    0x220003fe,0x800ffa8e,0x3ff304fb,0x7e6fffc4,0x32027dc2,0x3603a06f,
    0x07e4002f,0xfda9dfb8,0x6427c41e,0xccefdccc,0x140050cc,0x2e00ff10,
    0x17ea004f,0xa813ee00,0x20df305f,0x37e404fb,0x80005fd8,0x1e8000ff,
    0x3ee017f6,0xd313fa04,0x9f705bff,0xa80ffcc0,0x4405fb04,0xfb807e41,
    0x880accce,0xb999985f,0x0a1999cf,0x1fe20280,0x50027dc0,0x5c0a80bf,
    0x417ea04f,0x09f706f9,0x7dc0ffcc,0x2002e00e,0x1e4000ff,0xf700bfe2,
    0x8827f409,0x4413ee00,0x403a04fe,0x321602fe,0x009f700f,0x9805cf7c,
    0x2800a04f,0x5c01fe20,0x17ea004f,0x04fb8588,0x37d417ee,0xfd104fb8,
    0x403ff309,0x01ff0068,0xffb82dc0,0x5413ee00,0xf90001ff,0x02ffa889,
    0x82ff81b2,0x01fd85d8,0x7e400df9,0x813ea01e,0xf980a002,0x05fc800f,
    0x6c41bee0,0x3205fc83,0x20ff706f,0x2ffa84fc,0x6cc09fd0,0x02ff8805,
    0x7fc01f70,0x889f900e,0x77743feb,0x7fe4c3ee,0x0bceeeff,0x419ffb10,
    0xeeefffda,0x3ee22fff,0x3ff661ef,0x401002df,0x80cffeb8,0xaaaaaaab,
    0xfb882aaa,0xf9303eff,0x5cc059ff,0xfeeeefff,0x3ff260ff,0x3ff262cf,
    0xfff912cf,0x3fff265b,0x00bceeef,0xfffffff7,0xb807ffff,0x500beffe,
    0xc883bffd,0x3264ffff,0xdeeeffff,0xeeeee81c,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xdffffb30,0xffc9839b,0x3ffae2cf,0x7ffe4c1d,0x7ecc00cd,0x03ceefff,
    0x0037fe54,0x2803bffd,0x00018800,0x51000000,0x402a2003,0x9a880080,
    0x54002a20,0x8a887109,0x40000008,0x10100099,0x457f6044,0x5fc83ffa,
    0xfc803db0,0x24fc8006,0x6c00efda,0xff9801ff,0x80058804,0x7ff54049,
    0xda8fee22,0x413faa4f,0x02ffbcd8,0x81bd79d1,0xd8806c0d,0xbdcafcad,
    0xb5bb00df,0x2f621b5f,0xbff51fda,0x43bff711,0xcadd86fb,0x360ec03f,
    0x89f71fe0,0x27dc0ff9,0x7dc0075c,0x84fb8005,0x7fdc03ff,0x03ffd805,
    0x49800588,0x5986f980,0x27d44fa8,0x217ec3d8,0x513ea2f8,0x8f905a8d,
    0x213e64ff,0x771fec3d,0x90fee1e8,0xfb86885f,0x25c03fa0,0xfb8ff12e,
    0x7dc3ff84,0xa8007544,0x4fb8005f,0x5dc06fc8,0x33a600ff,0x0058803f,
    0x1fb00498,0x44f981c8,0x40fc84f9,0x6c3e45f8,0x42744e85,0x3a0ff46c,
    0x3f20fdc7,0xf83517a5,0x0ae27cc6,0x501f91f6,0x3a07d41f,0x7f427dc6,
    0x1d527dc4,0x002fd400,0x37e427dc,0x813f2ee0,0x8803fcac,0x00498005,
    0xf30589f5,0x6e84f989,0x02fc1fd0,0x17d47f50,0xdddfd304,0x23f43ddd,
    0xdf90febb,0xf50fe403,0x5410341f,0x327c41fe,0xfb8bb09f,0x2e0ffc44,
    0x8001d74f,0xfb8005fa,0x201ffc44,0x880ff8bb,0xb1007f96,0x40093000,
    0x260550fe,0x2227cc4f,0x225fb06f,0x17f4005f,0xd7b503fd,0x26f8801f,
    0x3625f93a,0x4f980dff,0x024cfef6,0x887f2b6e,0x01ff10fe,0x644fb879,
    0xfbcfb86f,0x05fa8000,0x3624fb80,0xc9dc00cf,0x7f93c84f,0xffffffc8,
    0xfb1fffff,0xffffffff,0x27f701ff,0xf313e605,0xc80ff889,0x800ff12f,
    0x883fa1fe,0x801fb0cd,0x7dc957f8,0x40fffd42,0x65be937e,0x7e47d100,
    0x3fd0fec1,0xbefb8550,0xfb80dfeb,0xa8003ffe,0xefb8005f,0x7000dfed,
    0x1f03fe67,0x16200ff2,0x88012600,0x3e6049ef,0x7ec27cc4,0x3fe0fc82,
    0x17d40a81,0x647e83f7,0x3fe0882f,0x2187e45b,0xafb85fc8,0x40b3f90d,
    0x220fe46e,0x4017e25e,0x00998cfb,0x0ffeb3ee,0x000bf500,0x01bee9f7,
    0xb8ff63b8,0x2200ff24,0x00498005,0xf10077e4,0xfb84fa8b,0x2fec5d84,
    0x7d0fa0e2,0x2fd45f88,0x361bee24,0x221ba166,0x0bbe64ef,0x07f237c4,
    0x01f987e6,0x2e004fb8,0x007ff54f,0x5c002fd4,0x4013f64f,0x0e9be63b,
    0x16200ff2,0x30012600,0x15ff00bf,0xe883df97,0xf103a61f,0xb81f97df,
    0x2fe825c5,0xd77ffdb3,0x261ff883,0x05d0fa0e,0x80fd07f6,0xbfed9afe,
    0x22d45a83,0x0027dc2b,0x1ffd49f7,0x8005fa80,0x0bfa24fb,0x55fd0ee0,
    0x8803fc8b,0x00498005,0xffa802e8,0x882df99f,0x301ddcfd,0x0b03bffd,
    0x67ffd40b,0x82effe88,0x1ddcfd9d,0x0265f7f4,0xa80970b5,0x0ef99efe,
    0xf31c8370,0x2004fb8f,0x27fd44fb,0x2a02fd40,0x3e627dc0,0x2a1dc00f,
    0x1fe41eef,0x2a602c40,0xaaadcaaa,0x1000c02a,0x0c400c43,0x00001100,
    0x20310130,0x84026219,0x11010018,0x00010200,0x04fb8590,0x3ea13ee0,
    0x02fd404f,0x2e13ee16,0x20ee00ef,0x03fc85fe,0xaaa98050,0x2aaaaaaa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1bf20000,0xf905fc80,
    0x1bf201bf,0x3f20fa62,0x640bfd06,0xfd82fb84,0x00000004,0x88888888,
    0x44440888,0x08888888,0x00000000,0x00000000,0x00000000,0xfc980000,
    0x32602dff,0x3a61cfff,0x931dffff,0xffffffff,0x7fe4c1ff,0x7ffc42df,
    0x39ff930c,0x7ffecc68,0x0000001c,0xdddddd10,0x225ddddd,0xeeeeeeee,
    0x00002eee,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x188188c4,0x000a6066,0x01dc0000,0x00cc3100,0x0d472200,0x001c4351,
    0x5a8005c0,0x08800800,0x10040110,0x02201060,0x70402010,0xbbbbbbbb,
    0x15443bbb,0x99999995,0x2a239999,0xff39fb31,0x3a37f667,0xffd88fff,
    0xccdee80f,0xffb33ffc,0x910ffa69,0x3660019d,0x05ffe8cf,0x222ed980,
    0xaedcfdae,0x2540361e,0x6c801fc4,0x32034c00,0x6ff645fe,0xd703f220,
    0xa9fd45db,0x1723264f,0xfb8b6aea,0x33310d45,0x33333333,0x26623fb8,
    0x99999999,0x2e2fd11c,0x511dabdf,0x33f219df,0x0b09f70c,0x27fd0bf7,
    0x6f5c01e8,0x677dc401,0x5002fd88,0x0be603bd,0x40e987d1,0x3e3910ea,
    0x00001c8a,0x12881e74,0x27c4a61f,0x10d983e6,0x7dd3ee1b,0x10fd4b24,
    0x7e43ea1f,0x0003fa1f,0xb8001360,0x37c47e21,0x6f88bf10,0x7cc286f8,
    0xc8ff880e,0x0bb6a002,0x1fd45f98,0x8019d710,0xd50b103b,0xff883a61,
    0x003fe9da,0x0074ee00,0x4c3d812a,0x2950720f,0x507f53fa,0xf13dc3f9,
    0x5f115cc7,0x22222222,0x02c08888,0x27306e00,0x17e204f8,0x101fa1be,
    0x77d403fd,0x7d930004,0x7cc4f881,0x002ec984,0xa80c803a,0xda880eae,
    0x3ff60bce,0xffffffff,0x0b53440f,0x0e806fdc,0x981b07cc,0x8be23f15,
    0x2e1f98d9,0x4cb0fa1f,0x37776e5c,0x1ddddddd,0x1a800011,0x4409f118,
    0x7e86f85f,0x6c01fec0,0x7440003f,0xf113e20f,0x4004fb89,0xb815c058,
    0xbbd9301f,0x6c000039,0x9f300ec2,0x41f30390,0x41f0ec4a,0x0fcd3e1f,
    0x5707c7f1,0x0000004c,0x9f100000,0x37c2fc40,0x0bf703f4,0x0003fb60,
    0xf1033ae2,0xc984f889,0x01d000be,0x7575406c,0x46c77cc0,0x980003fd,
    0x26406885,0x207cc06e,0x22c4ebed,0x6fde7f45,0x28aebae0,0x10054c00,
    0x3912c801,0x813e2000,0xe86f85f8,0x001df307,0x400df359,0x3e203ec9,
    0x71027c44,0x03b8019d,0x261d30b3,0x3e22e20e,0x035c0372,0x223b8074,
    0xaacd8361,0x2203e60d,0x4c04080a,0x00060130,0x15bfbb90,0xf997e238,
    0x2000bf56,0x17e204f8,0x221fa1be,0x254381fe,0xdda807f9,0x444f8801,
    0x3bd5004f,0x7d30ba60,0x07540e98,0x5b801fc4,0x98e014c0,0x332a0acd,
    0x0f2e23cc,0x00000000,0x36a1c400,0x3e63dbdf,0x00370dc6,0xf9817e60,
    0x87f86f85,0x262a83fd,0x2217fc46,0x26000ceb,0x002fcc5f,0xbe88bb66,
    0x1eadecfe,0xa8254036,0x00000000,0x00000000,0x00000000,0x81bb8806,
    0x2a000000,0x6cc0cffe,0xffd98bff,0x0dffc99c,0xdddddff5,0xa8bfea5f,
    0x02ee3fff,0x17ffd500,0x0017ffd5,0x44351c88,0x0000e20a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_25_latin1_x[224]={ 0,2,1,0,1,0,0,0,0,0,1,0,1,0,
1,0,0,2,0,0,0,1,0,0,1,0,1,1,0,0,0,1,1,0,0,0,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,1,0,0,0,0,0,0,0,1,0,0,0,-1,1,0,-1,0,0,0,0,0,0,0,
-2,0,0,0,0,0,-1,0,0,1,0,0,0,0,0,0,0,3,1,1,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,2,1,0,0,0,
1,1,0,0,-1,0,0,0,0,-1,1,0,0,0,2,1,-1,1,2,1,0,0,1,1,0,0,0,0,0,0,
0,0,-1,0,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,1,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
 };
static signed short stb__times_25_latin1_y[224]={ 20,4,4,4,3,4,4,4,4,4,4,6,17,14,
17,4,4,4,4,4,4,5,4,5,4,4,9,9,7,10,7,4,4,4,5,4,5,5,5,4,5,5,5,5,
5,5,5,4,5,4,5,4,5,5,5,5,5,5,5,4,4,4,4,23,4,9,4,9,4,9,4,9,4,4,
4,4,4,9,9,9,9,9,9,9,6,9,9,9,9,9,9,4,4,4,12,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,20,9,5,4,7,5,
4,4,5,4,4,9,10,14,4,2,4,6,4,4,4,9,5,11,19,4,4,9,4,4,4,9,0,0,0,0,
1,1,5,4,0,0,0,1,0,0,0,1,5,0,0,0,0,0,1,7,4,0,0,0,1,0,5,4,4,4,
4,5,5,4,9,9,4,4,4,5,4,4,4,5,4,5,4,4,4,5,5,8,9,4,4,4,5,4,4,5,
 };
static unsigned short stb__times_25_latin1_w[224]={ 0,4,7,11,10,19,17,4,8,7,9,13,4,7,
4,7,11,7,11,10,11,9,11,11,9,11,4,4,13,13,13,9,20,17,14,15,16,14,12,16,16,7,9,17,
14,20,17,16,12,16,16,11,14,17,17,22,17,16,14,6,7,6,11,13,4,10,12,10,12,10,10,11,12,6,
7,12,6,18,12,11,12,12,8,7,7,12,12,17,12,12,10,7,2,8,13,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,0,4,9,11,11,12,
2,9,7,17,8,11,13,7,17,13,7,13,7,6,5,12,12,4,4,5,7,11,16,16,17,10,17,17,17,17,
17,17,21,15,14,14,14,14,7,7,7,7,16,17,16,16,16,16,16,10,16,17,17,17,17,16,12,11,10,10,
10,10,10,10,15,10,10,10,10,10,6,6,7,7,11,12,11,11,11,11,11,13,11,12,12,12,12,12,12,12,
 };
static unsigned short stb__times_25_latin1_h[224]={ 0,17,8,17,19,17,17,8,21,21,10,13,7,2,
4,17,17,16,16,17,16,16,17,16,17,17,12,15,11,5,11,17,21,16,15,17,15,15,15,17,15,15,16,15,
15,15,16,17,15,21,15,17,15,16,16,16,15,15,15,21,17,21,9,2,5,12,17,12,17,12,16,16,16,16,
21,16,16,11,11,12,16,16,11,12,15,12,12,12,11,16,11,21,21,21,4,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,16,20,17,11,15,
21,21,3,17,8,12,5,2,17,2,8,13,9,9,5,16,20,3,6,9,8,12,17,17,17,16,20,20,20,20,
19,19,15,21,20,20,20,19,20,20,20,19,15,21,21,21,21,21,20,11,17,21,21,21,20,20,15,17,17,17,
17,16,16,17,12,16,17,17,17,16,16,16,16,15,17,15,17,17,17,16,16,9,12,17,17,17,16,21,21,20,
 };
static unsigned short stb__times_25_latin1_s[224]={ 254,251,182,66,78,89,147,251,146,138,117,
85,207,245,231,189,197,129,106,42,231,1,67,171,89,55,250,251,80,217,53,
79,89,194,230,209,163,123,110,25,138,155,24,14,32,64,34,78,1,52,47,
165,95,100,144,162,212,195,180,45,197,30,141,127,251,228,53,151,172,245,89,
185,197,230,37,76,210,10,67,139,131,118,1,202,61,126,113,210,40,11,29,
69,77,80,217,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,
82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,82,254,250,107,
13,94,69,1,128,236,37,190,239,237,245,225,113,174,99,160,153,231,63,117,
251,212,168,199,162,130,113,95,52,89,71,53,1,52,19,18,155,130,145,160,
37,243,192,235,70,1,171,189,206,1,18,175,106,155,35,223,110,217,200,48,
185,205,216,227,148,183,109,174,137,14,144,120,118,212,99,243,40,238,237,177,
25,1,159,219,127,190,243,1,131,217,17,4,241, };
static unsigned short stb__times_25_latin1_t[224]={ 1,23,151,66,45,45,66,135,1,1,151,
135,151,132,157,66,66,84,84,66,84,102,84,84,84,84,102,84,151,151,151,
84,1,84,119,66,119,119,119,66,119,119,102,135,135,135,102,66,135,1,135,
66,119,102,102,102,119,119,119,1,45,1,151,148,151,135,66,135,45,119,102,
102,102,102,1,102,102,151,151,135,102,102,151,135,119,135,135,135,151,102,151,
1,1,1,157,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,
119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,119,1,45,23,
84,151,119,1,1,157,84,151,135,151,132,66,148,151,135,151,151,151,102,23,
144,151,151,151,135,66,66,66,102,23,23,23,45,45,45,119,1,23,23,23,
45,23,23,23,45,119,1,1,1,23,23,23,151,45,23,1,1,23,23,119,
45,45,45,45,84,84,45,135,84,66,45,45,84,84,84,84,119,45,102,66,
84,84,84,84,151,135,66,66,45,102,1,1,1, };
static unsigned short stb__times_25_latin1_a[224]={ 90,120,147,181,181,301,281,65,
120,120,181,204,90,120,90,100,181,181,181,181,181,181,181,181,
181,181,100,100,204,204,204,160,333,261,241,241,261,221,201,261,
261,120,141,261,221,321,261,261,201,261,241,201,221,261,261,341,
261,261,221,120,100,120,169,181,120,160,181,160,181,160,120,181,
181,100,100,181,100,281,181,181,181,181,120,141,100,181,181,261,
181,181,160,173,72,173,195,281,281,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,281,
281,281,281,281,281,281,281,281,90,120,181,181,181,181,72,181,
120,274,100,181,204,120,274,181,144,198,108,108,120,208,164,90,
120,108,112,181,271,271,271,160,261,261,261,261,261,261,321,241,
221,221,221,221,120,120,120,120,261,261,261,261,261,261,261,204,
261,261,261,261,261,261,201,181,160,160,160,160,160,160,241,160,
160,160,160,160,100,100,100,100,181,181,181,181,181,181,181,198,
181,181,181,181,181,181,181,181, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_25_latin1_BITMAP_HEIGHT or STB_FONT_times_25_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_25_latin1(stb_fontchar font[STB_FONT_times_25_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_25_latin1_BITMAP_HEIGHT][STB_FONT_times_25_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_25_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_25_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_25_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_25_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_25_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_25_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_25_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_25_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_25_latin1_s[i] + stb__times_25_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_25_latin1_t[i] + stb__times_25_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_25_latin1_x[i];
            font[i].y0 = stb__times_25_latin1_y[i];
            font[i].x1 = stb__times_25_latin1_x[i] + stb__times_25_latin1_w[i];
            font[i].y1 = stb__times_25_latin1_y[i] + stb__times_25_latin1_h[i];
            font[i].advance_int = (stb__times_25_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_25_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_25_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_25_latin1_s[i] + stb__times_25_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_25_latin1_t[i] + stb__times_25_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_25_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_25_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_25_latin1_x[i] + stb__times_25_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_25_latin1_y[i] + stb__times_25_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_25_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_25_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_25_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_25_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_25_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_25_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_25_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_25_latin1_LINE_SPACING
#endif

