// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_31_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_31_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_31_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_31_latin1_BITMAP_HEIGHT        238
#define STB_FONT_times_31_latin1_BITMAP_HEIGHT_POW2   256

#define STB_FONT_times_31_latin1_FIRST_CHAR            32
#define STB_FONT_times_31_latin1_NUM_CHARS            224

#define STB_FONT_times_31_latin1_LINE_SPACING          20

static unsigned int stb__times_31_latin1_pixels[]={
    0x98001880,0x04c000aa,0x86600540,0x0881100a,0x013fe600,0x0800004c,
    0x99700001,0x33200000,0xcc980003,0x32e60001,0x002ccccc,0x80001e64,
    0xffb004ca,0x36203fff,0x79b5000c,0x017bb755,0x3600dc88,0x6c7fe202,
    0xf31ff882,0x17ee001f,0x005fd710,0x1912c880,0x17fc4000,0x3fe60000,
    0xffe80001,0x7fec4006,0x09f99bff,0x007fe600,0x0fffe200,0x0666ff60,
    0xeb8007cc,0x01f4c00b,0x02d80fcc,0x416c7fe2,0x3ff73ff9,0x2e01ba00,
    0x20002ffc,0x016c41e9,0x0009f300,0x0002fc80,0x02fdafa8,0xfffffd10,
    0x7e400345,0x5db00002,0x2fd801fd,0xbb004e80,0x02744001,0x402d836c,
    0x1dc0b608,0x074400ee,0x0005ff00,0x02e807a2,0x0001ea00,0x200007d0,
    0x2003ee1e,0x2ffffffd,0x00fa001a,0xd8874c00,0x2017ec04,0x274403fa,
    0x402d8800,0x002d81fb,0x8000016c,0x17fc0019,0x4c04e800,0x0720000f,
    0x0024c000,0x03981b80,0xfffffff8,0x091001a2,0x1b824000,0xf900bf60,
    0x0005d809,0x41fec068,0x016c002d,0xf0000000,0x3f90005f,0x8000bb00,
    0x00100000,0x22000000,0x2fffffff,0x0001001a,0x3f600000,0x702fdc02,
    0xc801001f,0x360ffa00,0xcb96c002,0x66444ccc,0x9999973c,0xf83ccc88,
    0x37c4002f,0x1002fb80,0x037bdd97,0x3bb2e200,0x710001bd,0x0037bdd9,
    0x5fffffff,0x33332e34,0xcca80ccc,0x99973ccc,0x95019999,0x3f679999,
    0x8837d402,0x336e202f,0x0aa0fe8d,0x02d82ff8,0xb12d86d4,0xbf101bff,
    0x037ff621,0x3fe037e2,0x2039d932,0xdf1003fc,0x115bf700,0xb8009f95,
    0xfca88adf,0x56fdc004,0x404fca88,0x2ffffffd,0x3fff661a,0x177e4402,
    0x00bfff66,0x7ec5df91,0xb83fcc02,0xd88fa206,0xff02445f,0x3f205b01,
    0xfe85b1ff,0xfd01f104,0x7c03e209,0xfffffaaf,0x2001ff82,0x7fd101fe,
    0x200f7d40,0x3ea03fe8,0x1ff4401e,0x2603df50,0x22ffffff,0x009ff506,
    0x7fd40fe6,0xd87f3004,0x827c402f,0x3a17a03e,0x1f60583f,0x3ff3016c,
    0x20ff50b6,0x20ff505b,0x36ffe05b,0x20fffd99,0x3a000ffa,0x009fb03f,
    0x4fd80df9,0x6c06fc80,0x06fc804f,0x8bffffe6,0x007ff306,0x3ff980fc,
    0x5fb07e00,0xf981f880,0xf881fb00,0x3ea0680f,0x3e202d80,0x7fd0391f,
    0x1ff405d0,0x0bff0174,0x3fdc7ff7,0x2e13f600,0xff8800ff,0x001ff704,
    0x3ee09ff1,0x4ff8800f,0x8bf2e620,0x007ff106,0x3ff880fc,0x5fb07e00,
    0x0f504c80,0x1be60fee,0xb07b0122,0x401ff805,0x2034c6fb,0x2034c6fb,
    0x4bff02ff,0x7e4007fc,0x002ffc46,0xff883ff9,0x07ff2005,0x6400bff1,
    0x459001ff,0x007ff106,0x3ff880fc,0x5fb07e00,0x6b807260,0x9f706f88,
    0x39500550,0x07fe016c,0x03d8bfe0,0x00f62ff8,0x9ff205ff,0x7e4006fd,
    0x001ffd47,0xffa89ff5,0x13fea003,0x54007ff5,0x459004ff,0x007ff106,
    0x3ff880fc,0x5fb07e00,0x5c807d10,0x5fd04fa8,0x9ae00390,0x00ffc02d,
    0x00f8b7dc,0x01f16fb8,0xff702ff8,0x2e0037ec,0x0bff20ff,0x645ff980,
    0x3e6002ff,0x017fe45f,0x200bff30,0x7fc41a2c,0x4407e003,0x07e003ff,
    0x065405fb,0x81fc84c8,0x100d07fb,0x7c02d839,0xaff8801f,0x5ff1005b,
    0x05ff00b7,0x06fc9bea,0x3f63fdc0,0x3fe2001f,0x000ffec7,0xffd8fff1,
    0x1ffe2001,0x220d1640,0x07e003ff,0xf001ffc4,0x5c02fd83,0x7f85b80f,
    0x3c85fe88,0x16c17c40,0x00447fe0,0x4003ddf9,0xf801eefc,0x54bf702f,
    0x37e4007f,0xf0003ffe,0x07ffc1ff,0xf83ffe00,0x7fc000ff,0x1a2c800f,
    0xf001ffc4,0x00ffe203,0x017ec1f8,0x11aa0fe2,0x7dec41ff,0x3dc03543,
    0x8ffc02d8,0x1bfe202d,0x00dff100,0x17e40bfe,0x6c001ff3,0x00fff45f,
    0xffd1ffe0,0x47ff8003,0x7c001ffe,0x3459007f,0x2003ff88,0x07ff101f,
    0x0bf60fc0,0x0f10df10,0x91b519fd,0x05074c7f,0x00b603fa,0x900b63ff,
    0x7f90007f,0x7c0ffe00,0x2000ff86,0x17fec4fe,0xd8dff100,0x3e2002ff,
    0x017fec6f,0x200dff10,0x7fc41a2c,0x4407e003,0x07e003ff,0x7fa805fb,
    0xfffb85b0,0x9b7df50d,0x1ff824c1,0x8ffc02d8,0x007cc02d,0xf8007cc0,
    0x07f220ff,0xff8007fa,0x001ffe40,0xffc89ff3,0x13fe6003,0x4c007ff9,
    0x459004ff,0x007ff106,0x3ff8807c,0x5fb03e00,0xb506fb80,0x37301730,
    0x17f40360,0x47fe016c,0x0025c02d,0x3fe004b8,0x01efcdec,0x3e6009f5,
    0x004ffa85,0xff50bfea,0x17fd4009,0xa8013fea,0x459002ff,0x4013fe06,
    0x027fc078,0x02fd8788,0x05d027e4,0xd812a000,0x7c02d83f,0x1e805b0f,
    0x4003d000,0x00a98aff,0x3f9006d8,0x4003ff60,0x1ffb06fd,0x6c1bf600,
    0xdfb000ff,0x40d16400,0x0d3005fe,0xd3005fe8,0xfb805fb0,0x0003a203,
    0x7e401b30,0x3fc02d82,0x002dc05b,0x7fc005b8,0x01f88002,0x3fe605f8,
    0x01ff9803,0xf3007ff3,0x0ffe603f,0x8007fe60,0xffc81a2c,0x6405c800,
    0x85c800ff,0x1fcc02fd,0x40003aa0,0x07e400da,0x4df1016c,0x3aaf6e2d,
    0xd57b7000,0x02ff8001,0x6a80d700,0x200ffb80,0x7dc03fe8,0x0ffa200f,
    0x4401ff70,0x164003fe,0x01ff440d,0xfd1003ee,0xd80fb807,0x806d802f,
    0x322002e9,0x3609d005,0x22f88a62,0x5ffff12d,0x3fffe200,0x02ff8002,
    0x74c0f600,0x03ff5000,0x2a005fd3,0x2fe981ff,0x303ff500,0x590005fd,
    0x33fe6034,0x800fe4c0,0x64c0cff9,0x99bfb01f,0x007b1019,0x8837bd91,
    0xc8801dc9,0xdff8b604,0xf716c5c8,0xdfb8003b,0x3ff88001,0x2a25c000,
    0x7ec4000d,0x00dfecce,0x6677ec40,0x44000dfe,0xdfeccefd,0x34590000,
    0x777fecc0,0x4c001dff,0xdffeeffd,0x33332a01,0x0072a00c,0x6f77f6d4,
    0x0595001c,0x3bfae2d8,0x00002d83,0xffec8000,0x220001df,0x10000532,
    0x20000155,0x00000aa8,0x00001551,0xaa988000,0x4c400009,0x000009aa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0000f322,0x2f7bb2e2,
    0x7ffffc01,0x00303007,0x5c002200,0x800000cc,0x980003cc,0x260001cc,
    0xb88001cc,0xb71000bc,0x202c37bd,0x80002cc8,0x000c41b9,0xea804cb8,
    0x007fa802,0x4cd6fdc0,0x26604feb,0xfc807f99,0x00013f66,0x7fc4003a,
    0x7cc00002,0xfd80001f,0x7fec0005,0xf525c006,0x567f5c01,0x07effc98,
    0x40006fb8,0x350dfffc,0x5fff3000,0x9005fe80,0xfb10005f,0x0077e407,
    0x37ec03fc,0x98000bfd,0x02fcc005,0x00bf2000,0x00037c00,0x00ff6bea,
    0x20fe60f8,0x7d406fd8,0x003fb007,0x7ffe4e40,0x5bb0006d,0x2fec01ff,
    0xb0009b00,0x0dfb00bf,0x37100ff0,0x200005cc,0x07a8002c,0x001f4000,
    0x0000ea80,0x001f70f4,0x427cc1f5,0xfb800ffd,0x0007d000,0x1eeb8866,
    0x3625a800,0x0013f204,0x1ffa800b,0x404ff880,0x0000007f,0xb8000740,
    0x09100001,0x000e4000,0x00e606a0,0xf7010bea,0x0074005f,0x00000588,
    0x06412000,0x04002fb8,0x00bff100,0xff00ffec,0xbdd97100,0x2cc00037,
    0x00002000,0x02000004,0x20000000,0x7f402ff8,0x000dc006,0x65c40001,
    0x0001bdee,0x973f3000,0x01999999,0x47999995,0x2a003ffb,0x01fe04ff,
    0x95115bf7,0x7edc009f,0x0750005f,0x003a8000,0x33333326,0x3ccccccc,
    0x8003a800,0xff102ffb,0x9308800b,0x99999999,0x70079999,0xf95115bf,
    0x66664c09,0xcccccccc,0xfb33c43c,0xfc8805ff,0x017fe42e,0x7c0bff30,
    0x407fd107,0x3a201efa,0x01eff8ae,0x00003740,0xf51001ba,0x955555df,
    0xdd000df9,0x9fff1000,0x0007ff50,0xaaeffa88,0x06fccaaa,0xfa80ffa2,
    0xdff5101e,0xf9955555,0x4ffa8d0d,0xfd07f300,0x7fc4003f,0x7ec1fe07,
    0x206fc804,0x13fb2a6d,0x001ff980,0x003ff300,0x7980dff0,0x00ffcc00,
    0xbff91910,0x0002ffc8,0x7980dff0,0x32013f60,0x037fc06f,0x3fe601e6,
    0x3e07e003,0x7fc000ff,0xf70ff00f,0x9ff1001f,0x64ec5f70,0x3ff6005f,
    0xffb00005,0x0dfd000b,0xffd800b0,0xfb8d1005,0x007ffa4f,0x4037f400,
    0x001ff705,0x7f409ff1,0xf8805806,0x207e003f,0x7c001ffe,0xf11fe07f,
    0x7fe400bf,0x26887f41,0x3f7e2000,0x7c40000f,0x6c000ffd,0x2002806f,
    0x800ffdf8,0xd1ffb84a,0x200003ff,0x882806fd,0x3f2005ff,0x00dfb01f,
    0x07ff1005,0x7fe40fc0,0x1bfe2002,0x1ffd47f8,0xf89ff500,0x5c000ee7,
    0x0003ff9d,0x01ffcedc,0x0001bf60,0x07ff3b70,0x53ee0b90,0x00002ffd,
    0x2a000dfb,0x3ea003ff,0x00dfb04f,0x00ffe200,0x3ffb81f8,0x817fe600,
    0x017fe47f,0x7c4bff30,0x7c0003a7,0x8000dfd2,0x800dfd2f,0x006606fd,
    0x01bfa5f0,0xf95e81f6,0x3600009f,0x6406606f,0x3e6002ff,0x40dfb05f,
    0x7ff10019,0x7cc0fc00,0x3fea004f,0xffb1fe02,0x3ffc4003,0x00d13ff1,
    0x2ffa9aa0,0x7d4d5000,0x1bf6002f,0x9aa002c8,0x7dc02ffa,0xff53c80d,
    0x3f60000b,0x7ec0b206,0x3fe2001f,0x640dfb07,0x07ff1002,0x7fe80fc0,
    0xf01bf600,0x000fff8f,0x9fd07ffc,0xe8015077,0x8002ffc3,0x002ffc3e,
    0x53333dfb,0x1f4005f7,0xff1017fe,0x3fa1d81d,0x6c0c000f,0xba9999ef,
    0x01fff02f,0xd80fff80,0xba9999ef,0x7ff1002f,0xf880fc00,0x2ff9803f,
    0x3ffa3fc0,0x23ffc001,0x0580effd,0x3ff207cc,0x207cc000,0xfb000ffc,
    0xffdddddf,0x903e6005,0xff9801ff,0xffa8730e,0x36032006,0xfeeeeeff,
    0x03ffd02f,0xfb07ff80,0xffdddddf,0x0ffe2005,0x3ea01f80,0x01fec00f,
    0x0bff63fc,0x546ff880,0x0b621fff,0x9ff10990,0xf884c800,0x0dfb004f,
    0x26400ba2,0x54027fc4,0xf703bfff,0x205900bf,0x05d106fd,0x8800bff6,
    0x0dfb06ff,0x7c400ba2,0x007e003f,0xfd103df7,0xf91fe007,0x7fcc007f,
    0xeefffc84,0x4d7c404f,0x07fe9999,0x2666be20,0xb007fe99,0x401540df,
    0x99999af8,0xfd3007fe,0x6ffd401f,0x80b6a21b,0x40aa06fd,0x26003ffc,
    0x0dfb04ff,0xff880154,0x2003e003,0xfeccefc8,0x51fe000c,0x7d4009ff,
    0xffff882f,0xeefb803e,0x2ffeeeee,0xddddf700,0x005ffddd,0x00c40dfb,
    0x777777dc,0x1002ffee,0xed980dfd,0x01bdefff,0x031037ec,0xa8013fea,
    0x0dfb02ff,0x9ff000c4,0x1001e200,0x0009fffd,0x01ffb0ff,0xa541bf60,
    0x00ba0009,0x0ba00dfd,0xfb00dfd0,0x05d0000d,0x22006fe8,0x3d1001fe,
    0x006fd800,0x4003ff60,0x1bf606fd,0x05fe8000,0x36000d30,0x7c002fff,
    0x803ff987,0x03b01ff9,0xf700d500,0x806a803f,0x7ec01ffb,0xd5033006,
    0x203ff700,0x801fcc59,0x7ec004fb,0xf9833006,0x1ff9803f,0x4c01bf60,
    0x007fe401,0xf70002e4,0x3fc003ff,0x2200ffb8,0x00d103fe,0x3e200fa0,
    0x401f405f,0x7ec05ff8,0x7d01d006,0x20bff100,0x8007c1fc,0x36001fe9,
    0x701d006f,0x7f4401ff,0x8037ec03,0x1ff4400e,0x00003ee0,0x2003ff91,
    0x07fea07f,0x3b80bfa6,0x000fa800,0x3ea05ffb,0x05ffb000,0x2dc037f4,
    0xfd8007d4,0x260f982f,0x007ec005,0xb700dfd0,0x4c0ffd40,0x6fe802fe,
    0xf3005b80,0x1fc9819f,0x3ae20000,0x333320be,0x77ec407f,0x400dfecc,
    0x3fc4000e,0x10dff900,0x7fe400ff,0x03fff106,0xf885f931,0x1bff2007,
    0x00e545e4,0x2003fca8,0x9881fff8,0x7ec402fc,0x00dfecce,0x881fff88,
    0x26002fc9,0xdffeeffd,0x4c000001,0x13333322,0x000aa880,0xfff70006,
    0x7fecc09d,0xfff74fff,0x7fecc09d,0xfd934fff,0xffffffff,0xfffb8fff,
    0x3ff6604e,0x0a884fff,0x3000c400,0xffffffd9,0x00ffffff,0x3000aa88,
    0xffffffd9,0x00ffffff,0x026aa620,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0f322000,0x0c0dcc00,0x00399300,0x00039950,0x50004418,0x44000099,
    0x06200441,0x08800011,0x03030000,0x181b9800,0x05400100,0x80002a00,
    0xfb804008,0xfffb8007,0x6400351d,0xbfb0005f,0x13fe8000,0xff1005ff,
    0x8019007f,0x03ff13ff,0x7fccbfe2,0x9dd90001,0x26fc8000,0xf70004fd,
    0x006a3bff,0x89b10ed4,0xffb8803c,0x5ff10001,0x7e41bee0,0x7dce4001,
    0x7c006eff,0x6f88000e,0x34ff8000,0x5db007ff,0x3f2a01fd,0x7fc40bce,
    0x2205ff34,0x05ff53ff,0x00ecb300,0x7f4ffb00,0xf7390005,0x4001ddff,
    0x981ecce8,0x1ffcb805,0x07ff3000,0x26c03ff6,0x75c43100,0x03e6001e,
    0x00075400,0x07505cc0,0x13621b30,0xf95b7dd1,0x2a0b987f,0x0aa1d403,
    0x07715c00,0x730dc400,0x44310001,0xc8001eeb,0x8007c07f,0x2a0001ff,
    0x4059100b,0x00000058,0x64000370,0x00000000,0x7e437048,0x017a2190,
    0x40000000,0x000e88e8,0x00000000,0xf57d5000,0xf801e409,0x0000001f,
    0xccc98080,0xccca803c,0x000083cc,0x332e0004,0xa80ccccc,0x003ccccc,
    0x4c192fc4,0x33333225,0x999932cc,0x99999999,0xeea80079,0x0ea00002,
    0x00750000,0x1fe41910,0x3ff00598,0x40028000,0xccccccc8,0x01fffd42,
    0x910efe44,0x25999999,0xcccccccb,0xccccca80,0x0bfff663,0x445df910,
    0x2ccccccc,0x16064df5,0x1033ffea,0x5555dff5,0x000df995,0xe80000dd,
    0x37400006,0x1ff88000,0x3ff001f0,0x20144000,0x19fff504,0x00bffe20,
    0x7fd40be6,0x7ffd40cf,0x77fcc03f,0x004ffa81,0x3fea07f3,0x47fe60cf,
    0xffd80c0c,0x301bfe00,0x1ff9800f,0x3ff30000,0x3fe60000,0x9b730001,
    0x07901df9,0x3b6a3ff0,0x401a800c,0x01ffb00d,0x800fffd8,0x03ff601f,
    0x400fffcc,0x7ff300ee,0xfb00fc00,0x93fff01f,0x01ff6001,0x00b00dfd,
    0x0005ffd8,0x000bffb0,0x0017ff60,0x3faa33ee,0xf806984f,0xfffffc9f,
    0x3a006c01,0xb00ffb00,0xf801dffd,0x701ff600,0x1f9809ff,0x800ffe20,
    0x41ff601f,0x000efffb,0x6fd80ff9,0x3e200280,0x40000ffd,0x000ffdf8,
    0x07fefc40,0xe883f700,0xf801f07f,0xffd99cdf,0xf00b700f,0x201ff203,
    0x405ffcbd,0x01ff200f,0x3d807ffa,0x001ffc40,0x03fe403f,0x001bfff7,
    0x6fd80ff9,0x4edc0000,0x5c0003ff,0x0003ff9d,0x01ffcedc,0xff505f88,
    0xff807903,0x983ffa83,0x817c401f,0xb3d807fc,0x007c07ff,0xff300ff9,
    0x2201aa0d,0x07e003ff,0x74c07fc8,0x7e401eff,0x3037ec07,0xfd2f8003,
    0xd2f8000d,0x2f8000df,0x3f200dfd,0x307ff104,0xd01ff80d,0x100dd0bf,
    0x01ff207f,0x17ff44f6,0x1ff200f8,0x221ffdc0,0x3ff8801f,0xfc807e00,
    0x7fffd007,0x3603fe40,0x800b206f,0x00bfea6a,0x5ff53540,0xfa9aa000,
    0x03fe802f,0x007c17f6,0x1bee03ff,0x9f3007f9,0x3601ff20,0x207ffe63,
    0x01ff200f,0x1361ffe8,0x001ffc40,0x03fe403f,0x03fffbc8,0xefd80ff9,
    0x2fba9999,0xbff0fa00,0xff0fa000,0xf0fa000b,0x07ff00bf,0x03c837ec,
    0x3fd407fe,0xf5003ff3,0x201ff20b,0x077fd43d,0x07fc803e,0x7d5bfe60,
    0x07ff1000,0xff900fc0,0x3fa23200,0xd80ff906,0xfeeeeeff,0x81f3002f,
    0x4c000ffc,0x007fe40f,0xff903e60,0x205ff801,0x40d305fc,0x4df501ff,
    0x23e887fc,0x0ff906fb,0xbff707b0,0x1ff200f8,0x5d7ff700,0x01ffc400,
    0x3fe403f0,0x3ff10c80,0xfd80ff90,0x2005d106,0x04ff884c,0x7fc42640,
    0x44264004,0x37f404ff,0x07407f90,0x9f701ff8,0x7fcc2fec,0x3f20ff90,
    0xfb03d807,0xf9007c9f,0xbffd000f,0x03ff8800,0x7fc807e0,0xfb0640a8,
    0xd80ff907,0x200aa06f,0x99999af8,0x3e2007fe,0xfe99999a,0x26be2007,
    0x07fe9999,0xfd807fe4,0x7fc0f201,0x7e43fb01,0x3f61fd07,0xb00ff907,
    0xf97ff407,0x001ff200,0x1000bfea,0x07c007ff,0x8770ff90,0x320bf60c,
    0x037ec07f,0xddf70031,0x5ffddddd,0x3bbbee00,0x02ffeeee,0xdddddf70,
    0x4405ffdd,0x05f885ff,0x81ff834c,0x17fcc4f8,0x01ffd264,0x07b00ff9,
    0x07cfffc4,0x3000ff90,0xff0005ff,0x901e2009,0x0c8d70ff,0x1ff203fe,
    0x0000dfb0,0x06fe805d,0x6fe805d0,0xfe805d00,0x11ffd406,0x203a00db,
    0x1baa0efe,0x1f3177e4,0x7e407fec,0x4c03d807,0x3200ffff,0xff98007f,
    0x05fe8002,0x7fc80d30,0x2191cfb8,0x0ff901fd,0x33006fd8,0xff700d50,
    0xb806a803,0x035401ff,0x2600ffdc,0x00cedffe,0xff910790,0xda807fbb,
    0x7cc0cdff,0xb00ff904,0x1fff7007,0x4003fe40,0xc8002ff9,0x05c800ff,
    0x7e4c3fe4,0x00dfdeef,0xdfb01ff2,0x0fa03a00,0xd017fe20,0x0bff1007,
    0xff8803e8,0x00351005,0x1a980310,0x64000000,0x004e807f,0x7e401ff9,
    0x2ff98007,0x03fe8800,0x3f2007dc,0x0574cc07,0x3a03fec0,0xa85b806f,
    0x5ffb000f,0x6c003ea0,0x01f502ff,0x000bff60,0x00000000,0x7fd80000,
    0x36005f80,0x01ff600f,0x000ffea0,0x26067fcc,0x7fd801fc,0x3e001900,
    0xfff101ff,0x85f93103,0x3f2007f8,0x007f886f,0x3e21bff2,0x1bff2007,
    0x00000000,0xf8000000,0xffc981ff,0x0e8804ef,0x0007ffe0,0x40009ff9,
    0xffeeffd9,0x3fff001d,0xfc880100,0x932cffff,0xfffffffd,0xfb8fffff,
    0x36604eff,0xf74fffff,0x6cc09dff,0xf74fffff,0x6cc09dff,0x004fffff,
    0x00000000,0xff910000,0x00059fff,0x3f220440,0x402cffff,0x4effffec,
    0x2aa62000,0xffc88009,0x0002cfff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x88062000,0x880001aa,
    0x40051002,0xd0005fe8,0x010100df,0x7001f6dc,0x27fd400b,0x01ffd400,
    0x2001ffb8,0x3f600080,0x03ff600f,0x700ffec0,0x03e2001d,0x6f765c40,
    0x2003a21c,0xcdfd883c,0xd98001ef,0xecdc807f,0x01ff3001,0x400ef880,
    0x207fe3fe,0x805f88ed,0x3ba000e9,0x7e4001ff,0x027e4004,0xdf70ffa8,
    0x2007fe00,0xef9802fe,0x01fd706f,0x7dc00b60,0xcfca889d,0x01d003e8,
    0x07fc43fb,0x0ffb5100,0x8012a688,0x7dc002fa,0xf15ff801,0x322fa87f,
    0x0017400f,0x00bd31d7,0xdb0005f8,0x6c7fee00,0x02fa807f,0x9d00bd10,
    0x07e40bee,0x6c402dc0,0x17fee03f,0x37cc34c0,0x54002fec,0xb32c407f,
    0x4004b800,0x4195002d,0x50fec0ba,0x0026405f,0x016c41b1,0x22000698,
    0x22b8801e,0x03c801c8,0x0ea03440,0x003f20d3,0xbfb001f1,0x200dfb00,
    0xb84fb83c,0x7f98006f,0x02eabd80,0x01c00380,0x21fe8000,0x01d304fa,
    0x200500c0,0x1440000a,0x01c00000,0x40a01980,0x400fc818,0x1ffb803d,
    0x027ff4c0,0x427e4074,0xf98006fb,0x00395007,0x00000000,0x3ea1ff80,
    0x00003d06,0x00000000,0x00000000,0x32000000,0x201aa00f,0x7c405ff8,
    0x2601ffc9,0xfb09f906,0x0ff30007,0x36e20000,0xdb8802ce,0xeca802ce,
    0x21fd80cd,0x004c84fa,0x039bb730,0x07376e60,0x0e6edcc0,0x1676dc40,
    0x066f6540,0x019bd950,0x8066f654,0x01f100fc,0xe807ff70,0x6409ff52,
    0xf889fb03,0x6ee4c00e,0x5c407f9a,0x7dc02ced,0x5c07fd32,0x207fd32f,
    0xffc9add8,0x5f917dc1,0xf7000698,0x7013f665,0x013f665f,0x13f665f7,
    0x7fd32fb8,0x326b7620,0x56ec41ff,0x6c41ffc9,0x81ffc9ad,0x007b00fc,
    0x4d80bff2,0x0e817fe6,0x3f229fb0,0x467d400d,0x2e07ffd8,0x207fd32f,
    0x83fd46f8,0x83fd46f8,0xe86fd85c,0x1e88dd15,0xe81fa800,0xd03f504f,
    0x207ea09f,0x46f884fe,0xb0b907fa,0xfd85c8df,0x37ec2e46,0x035407e4,
    0x2e03ffd0,0x983ffc45,0x6453f606,0x0bea03ff,0x37c41ffa,0x2fd41fea,
    0x3ea03fe6,0x2607fcc5,0x42ffa82f,0x4c82ddc8,0x837c4010,0x37c41ffa,
    0x7c41ffa8,0xa83ff506,0x207fcc5f,0x2ffa82f9,0x5ff505f3,0x3fea0be6,
    0x8877fb22,0xfff0181e,0xff01d501,0x6c07901f,0x06ff444f,0x3fdc1be2,
    0x7fcc5fa8,0xff881700,0xff881701,0x66667e41,0x4003ffdc,0x2edeb86a,
    0x3fe05fb8,0xff02fdc5,0x3e05fb8b,0x7c40b85f,0x6667e41f,0xf93ffdcc,
    0xffb99999,0x33333f27,0x9003ffdc,0x44fffc89,0x0fcc1ffe,0x0f83ffc4,
    0x3e213f60,0x9827dc2f,0xf102e07f,0xfbb5003f,0xfbb5003f,0x999fd83f,
    0x00099999,0x23f507a2,0x01fec1fa,0x03fd8dfb,0x07fb1bf6,0x36a037ec,
    0x4fec1ffd,0x09999999,0x333333fb,0x267f6133,0x00999999,0x44654698,
    0x8fff21fd,0xbff302e8,0x4fd80d30,0x3fd89fb0,0x2a00ff30,0x2a01ffdd,
    0x403ff0ce,0x83ff0cea,0x200000fe,0x37c6f83d,0x7fc813fe,0xff9027fc,
    0x3f204ff8,0x3e19d507,0x8007f41f,0x1fd000fe,0x283d0000,0x9ff727c4,
    0x9ff5026c,0x4fd80790,0x3ff8df70,0xea80ff30,0x2e03ff0c,0xb80ffc2f,
    0x3a0ffc2f,0xd500001f,0x0fe8bf30,0x5fb81bfe,0xbf7037fc,0x3ee06ff8,
    0x7fc2fb85,0xe800ff41,0x03fd001f,0x9804c800,0x65bfe61f,0x417fdc05,
    0x827ec00f,0x827fc7fa,0x0bee07f9,0x09f703ff,0x09f703ff,0x05fd83ff,
    0x03e200a2,0x43fd17ea,0x9f900ffe,0xf900ffe8,0x900ffe89,0xf84fb89f,
    0x102fec1f,0x28817f65,0x01440bfb,0x0b9001d3,0x801d5ffb,0x806986fd,
    0x8bf304fd,0x0ff305fe,0x07fe13ee,0x07fe0bfa,0x07fe0bfa,0x03205ff7,
    0x2fd40f60,0x2ffb87fa,0xffb85fb0,0xfb85fb02,0xe85fb02f,0x5c1ff82f,
    0x2e1902ff,0x2e1902ff,0x401902ff,0x80e9802e,0x5401fff8,0x803c80ff,
    0x2fa814fd,0x7cc07fec,0xff05fd07,0xfa8bfd03,0x22ff411f,0x3e211ffa,
    0x09710bff,0x2fc40b70,0x09ff03fe,0x827fc17e,0x209ff05f,0x545fe85f,
    0x3fe211ff,0x449710bf,0x9710bfff,0x885fffc4,0x2012e04b,0x3fee00d9,
    0xf817f401,0xff4fd800,0x3fe607e4,0xfd07fa85,0x411ffa8b,0xfbdbcffb,
    0x3fee0ddf,0xddffbdbc,0x3ffffea0,0x07c400ff,0x85f99fa0,0x1b623ff9,
    0x3623ff98,0x88ffe606,0x79ff706d,0x41bbff7b,0xfffffffa,0x7ffffd40,
    0x7ffd40ff,0xd300ffff,0x260d9801,0x40ffef41,0x0d302fe8,0x8bf53fa0,
    0x5bff904e,0x879ffdb3,0xfbdbcffb,0x3f220ddf,0x81df91ef,0xf91effc8,
    0xffff301d,0x005b003d,0x01db19f1,0x33b7bfa2,0x6f7f4400,0x7f4400ce,
    0x9100cede,0x3bf23dff,0xeffff980,0xdffff301,0x3fffe603,0x500ba01e,
    0xc8fddddf,0xd9bff714,0x01e4019f,0x74d3ff66,0x7fdc04ed,0x0bef9bff,
    0xc8f7fe44,0x101100ef,0x80080880,0x095000a8,0x800e5c40,0x98800198,
    0x01988001,0x20020220,0x151000a8,0x5002a200,0xcccc8809,0xa88142cc,
    0x0015000a,0x4cc00080,0x01100510,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x44000000,0xd1002ddb,
    0x00075c03,0x6d44005d,0xd98000be,0x80b0bcee,0x200c41b9,0x2a005ff9,
    0x5c400bdd,0x04040182,0x32e07930,0x666665c1,0xccca80cc,0xdec983cc,
    0xcccccb83,0x3332e03c,0x9999503c,0x36e60099,0x6c47d32d,0x07f6b364,
    0xfeb80f20,0x400b7000,0x1fc8aef8,0x26b7f200,0x3206ffdb,0x0150cfff,
    0x802fffe8,0x00ed89de,0x223bfff5,0xfd97f203,0x3a0df503,0xfffd982f,
    0x177e4402,0x2ffffff4,0x057fff54,0x019ff710,0x17fffffe,0xfb02bf20,
    0x2197fdcf,0x034c02f9,0x7c4007e4,0xd07fa000,0x413ee009,0x327206fc,
    0x5406dfff,0x6406e88e,0x5c1fe20f,0x1eefffb9,0x5ff9bf60,0x3fa0df50,
    0x009ff502,0x472e0fe6,0xf981ffea,0x81be006f,0x1eeeeeeb,0x7403ba60,
    0x01df30ff,0x003d00b7,0x07b001f9,0x3643fcc0,0x3200ff80,0x7dc43306,
    0x3206c01e,0xf707f503,0x775c4507,0x930e4c02,0x741bea01,0x07ff302f,
    0x20e60fc0,0xffd04ff8,0x403f3001,0x37cc000f,0x1003ff60,0x04c809f7,
    0x5a801f90,0x7c3fd400,0x00ff8804,0x200001a6,0x3fe05009,0x0007f981,
    0x6fa80000,0x3e205fd0,0x107e003f,0xfa81fec0,0x205b803f,0x7fc4004b,
    0x403fe401,0xd304feb8,0x1007e400,0xff98001f,0x22003ee2,0x002c04ff,
    0x7cc00000,0x007ff107,0xfa800000,0x2205fd06,0x07e003ff,0x3a01fc80,
    0x202e806f,0xfb000adf,0x00df7007,0x005d07e8,0x07b007e4,0x32bff100,
    0x3ffa002f,0xb7300604,0xb710039b,0x1fea059d,0xdb884ff8,0xb73002ce,
    0x37d4039b,0xff102fe8,0x000fc007,0x2ffb809d,0xffb81aa0,0x3ea00dff,
    0x05fa800f,0x025c2dc0,0x35403f20,0xbdffb000,0x2ffffdc1,0x00bbffea,
    0x3f665f70,0x74cbee04,0x206fc83f,0x997dc5fe,0x97dc03fe,0xdf504fd9,
    0x7c40bfa0,0x007e003f,0x7fc402dc,0xfd80f605,0xd02fffff,0x20f2e2bf,
    0x3a0c04fa,0x20007cc1,0x01e880fc,0x417fee00,0xff700efc,0xf5003bff,
    0xf109fd03,0xfd87fa8d,0xf89bf606,0xf503fd46,0xf509fd03,0x440bfa0f,
    0x07e003ff,0x001bf710,0x1f101ff9,0xfffb3100,0xccdff885,0x3e61effc,
    0x377fe604,0x05102e82,0x3c83bfd9,0x7e440510,0x1fb81ffe,0x7ffff4c0,
    0x20df100c,0x2fd41ffa,0xbfd03fe6,0xbf53fec0,0xf880ff98,0xa83ff506,
    0x205fd07f,0x3e003ff8,0x3fffea01,0x27fcc01f,0x7dc002dc,0x0bfea0ff,
    0x1fc4dff1,0x40b70040,0x0354007d,0x23be60fb,0x04e86ffa,0x3bfffee0,
    0x3e05fb81,0x7c40b85f,0xb02ff41f,0x7c40b8df,0x205fb81f,0x0ffd45ff,
    0x221cbff2,0x07e003ff,0x01fff660,0x05f03ff6,0xb8ffe600,0x47ff507f,
    0x88015c2f,0x00ff900f,0x7fc80f44,0x3f60ef98,0x0003a24f,0x81dfff91,
    0x1bf603fd,0x83ffbb50,0x13f605fe,0x81ffdda8,0x1bf603fd,0x5b77dff5,
    0xf88739fb,0x007e003f,0x5401ffb8,0x001aa3ff,0x37ec9fb0,0x87a5ff88,
    0x3d801ffb,0x400f7b50,0x0f9b504c,0xfff985ff,0x4c0003d1,0x27fc4ffe,
    0x3aa0ff90,0xfd83ff0c,0x2a0ffa06,0xf03ff0ce,0x23fe409f,0x51effeda,
    0xff881dff,0x0003e003,0xdfd007fd,0x2a0001ec,0xe81bf25f,0xffa8366f,
    0x6982d400,0x41a600f7,0xff98f969,0x4beffc80,0x7fcc0480,0xf7037fc6,
    0xff85f70b,0xff037dc1,0x7fc2fb85,0x2e06ff81,0x0546dc5f,0x09ff00c4,
    0x32001e20,0xaffb804f,0xf80000f8,0xfd81fee4,0x10026126,0x2e1d101f,
    0xd103d007,0x0ff91f21,0x4007fff4,0x747fc806,0x89f900ff,0x41ff84fb,
    0xff880ff8,0x3fe13ee0,0x900ffe81,0x0006c89f,0x69802ff4,0x802fa800,
    0x005cdff8,0x3e62f980,0x009f900f,0x87607b00,0xb04c807b,0x3ffa3e43,
    0x09fff102,0x7dc01f8a,0xd817fdc6,0x7c17f42f,0xa82fd81f,0x7c17f45f,
    0x02ffb81f,0x007e85fb,0x4007fe40,0x0fd8005c,0x03fff900,0xfd0d9000,
    0x0007fa05,0x3fe60d50,0x303fffff,0xffff301d,0x3ff67fff,0xffffc80d,
    0x0df8ea0c,0x3fe0ffa0,0xbfd0bf04,0x4c11ffa8,0x740fd85f,0x08ffd45f,
    0x85f827fc,0x220000ff,0x07dc03fe,0x800fe200,0x51006ff9,0xf303f101,
    0x5c4bf10d,0x007e2001,0x017407b8,0xfff98f90,0x98deb9cf,0x46eeffff,
    0x7e441eff,0x447ff305,0x79ff706d,0x81bbff7b,0x207ea1fa,0xfbdbcffb,
    0x7fcc0ddf,0x3e21b623,0x7cc0001f,0x0fe4c0cf,0x3ae1dfc8,0x03fd8003,
    0xb339ff70,0x11fe405f,0x03fec1d9,0x7b8009b0,0xf90016e0,0xfffffd30,
    0xdfffe885,0x6ffedf41,0x74403ffe,0x100cedef,0x3f23dff9,0xbbbd700e,
    0x3bff2205,0x2201df91,0x00cedefe,0x260000db,0xdffeeffd,0x3fffea01,
    0xf50001de,0x3ffa2001,0xda800cef,0x6fc85ecd,0x5000b300,0x00036209,
    0x0554c095,0x20c02a20,0x44001aa9,0x20220019,0x20013000,0x31000808,
    0x00000003,0x0026aa62,0x00000988,0x01310005,0x13006200,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xdeca8800,0x9991001b,0x07999999,0x805bddb5,0x000cdec9,
    0x0def6544,0x7bdbb300,0x89999970,0x3203ccc8,0x332a2d84,0x9970cccc,
    0xc9839999,0x4c00cccc,0x44002ddb,0x71bdeeca,0xaddca803,0x00019800,
    0x5ff50033,0x2000a800,0x9510bdea,0xfffc809d,0x44ffffff,0x5ea88aed,
    0xfd517f70,0x17bd5003,0x7013b2a2,0x83bf661b,0x880dffd8,0x20b600df,
    0x6fffcc0f,0x06fffd40,0x400dfc88,0x00bf32e9,0x31159fd5,0x6c03fff7,
    0xffffd31f,0x013fae27,0x2007fe20,0xfc8805fb,0x00bb000f,0x77fc03ae,
    0x1fdccccd,0x0fee0bee,0x0ff883f7,0x75c01760,0xfe80f880,0xf104fe84,
    0x3c40f801,0xf703ffa8,0x00fa807f,0x03fa17cc,0x2200efc8,0x89f702fe,
    0x75099ffa,0xf10009ff,0x01f6003f,0x2003ff2e,0x199998dd,0x06a81d70,
    0x441fa36c,0x6417e26f,0x530bb04f,0x1d731157,0x7fc82fb8,0x0b707fa8,
    0x205a8788,0xbff105ff,0xfc804c80,0xfc807540,0x03f8800e,0x2ff885ff,
    0x20009fd0,0x00f40008,0x2e007fc4,0xfb5dfd35,0x0645b839,0x01ff13e0,
    0x827dcdf1,0x22dc1ff9,0xfec99bea,0x85fc8b73,0x3fe81ff9,0x42d402e8,
    0x03ff203c,0x07a03fec,0x98003fa0,0x0f2002ff,0x3fa0bfe2,0x0009fb04,
    0x40144000,0x23400ff8,0x21fe63fb,0x07ea001d,0x47f509fd,0x0ffe04fd,
    0xf880ed8d,0x84f98764,0x8df707fa,0xe84c8069,0x40bfe602,0x0f302ffa,
    0x4001ff10,0x1c4006fe,0x4fd84fe8,0x00009fb0,0xff100000,0x3ee24401,
    0x0ea17ec3,0xffb86c80,0xfe83ba23,0x4893fa05,0x24a807ee,0x0bf9003a,
    0x507b17fc,0xddddfddd,0x3e05ddfd,0x0bff705f,0x3fe20132,0x07ff1000,
    0x437e4000,0x09fb01ff,0xcccc8000,0x40f33261,0x0ae00ff8,0x42fd87f7,
    0x413e0058,0x0de8cffe,0xbfd02fec,0x806f895c,0x3e201621,0x45bee00f,
    0xfbaa980f,0xaafbaaab,0xd01ff901,0x03d01fff,0x2003ff10,0x00002ffa,
    0x3fb8ff62,0x75c53f60,0x036e201c,0xfd30bfea,0x803fe20d,0xf51fdc0d,
    0x7d401a0d,0x9fffd101,0x7c03ff20,0x2fd4365f,0x7dc03400,0x5d7fc402,
    0x5a879805,0x443ff980,0x3cc2ffaf,0x33feaa60,0x3ff202aa,0x4cccc401,
    0xeee88099,0x67ec01dd,0x80fffee8,0xff00fffc,0x220df705,0x2e1a00ff,
    0x202eecef,0x806c801c,0xf981effe,0x349ff04f,0x390009f7,0xf9004e80,
    0x0b5003dd,0x1bfa0079,0x9917feb7,0xfffffc80,0x3ffa06ff,0x7ff5c400,
    0x001d82ef,0x3a0ddfd8,0x01ff504f,0x1bea0bfa,0x0d007fc4,0x01ff17f7,
    0x027c006c,0x07fff36e,0x2a277ff2,0xfb9a2ffe,0x200d8005,0x3fe2005a,
    0x5d079006,0xe83fee00,0x0fc1ff92,0x2005ff00,0xf1002fff,0x003f20ff,
    0x3ee17f60,0x201ff106,0x06fa82fe,0x0e401ff1,0x02fd4fee,0x403f300d,
    0x3fff70ec,0x97ffff70,0xf98e41ff,0x6c068006,0x01fe4000,0x000f82e8,
    0x99e67ff1,0x800d33ff,0xffb002fe,0x837fc009,0xeeeefffe,0x509fb01c,
    0x03fe20df,0x37d417f4,0x2a00ff88,0x5fb1fdc3,0x0d900930,0x3fea0fdc,
    0x5ff82204,0x003fd1d4,0x0012024c,0xffb803e6,0xffffffff,0xb7f403ff,
    0x4cb7f44c,0x800ff400,0x3e005ffc,0xffff305f,0xb09fffff,0x20ff509f,
    0x5fd00ff8,0x3e20df50,0xf716200f,0x2e07f447,0x3a04f802,0x200ff707,
    0x32c41ffb,0x571d40bf,0x5c001c40,0x4fd4c404,0x999db999,0x74ffdc00,
    0x0fc7fdc1,0x4003f600,0x3e007ffa,0x262b305f,0x40fdaa99,0x07f984fd,
    0x17f403fe,0xff8837d4,0x9f916c00,0x1d10ef98,0xf301f980,0x400ff40d,
    0x545b03fe,0x88ae61ef,0x0002200e,0x42d4007a,0x7fc4003c,0x6eff986e,
    0x0406d800,0x7c00bff6,0x800f885f,0x4c27ec1e,0x403fe07f,0x06fa82fe,
    0xf8801ff1,0x544cccba,0xc802e8cc,0xc807fc06,0x02fdc01f,0x765c45f1,
    0x00ba21bd,0x8016e000,0x8001e83c,0xffd04ffd,0x27654007,0xfff98190,
    0xe85ff801,0xfd879806,0x3e07f984,0x509fb00f,0x03fe20df,0x4400be60,
    0x809f003e,0x80dd02fc,0x2f9805fc,0x7007d100,0xeabdb807,0x3e0ba000,
    0x1ffa8000,0x2003ff70,0x9beffbac,0xff304b98,0x85ff801d,0x3d100cff,
    0xff309fb0,0xfc807fc0,0x883ff4c6,0x7d3000ff,0x00bae203,0x3e200fcc,
    0x900fd40e,0x5f4c009f,0x005d7101,0x3e205ff5,0x7c002fff,0xf00034c0,
    0x8037c40d,0xfff7b558,0x6c403fff,0x9ff302ef,0x9bdfff50,0x3f603ddb,
    0xf107fa84,0x33fea03f,0x3cffbdca,0x2000ffc4,0xdecbdeca,0x01f2000a,
    0x6f5eff44,0x0e765441,0xbdeca800,0x3000adec,0x6fdc03ff,0x5434c001,
    0x00f20005,0x6e6c007b,0x05dffd30,0x337ff6e0,0x2201dfec,0x03deffec,
    0x7fdc2ff4,0x202ff980,0xdf54fffc,0x02ff9817,0x0006a200,0x998001a8,
    0x00035300,0x0001a880,0x80000022,0x00019828,0x00130022,0x00031018,
    0x000cd4c4,0xfffb5000,0xdfff9159,0x277ff647,0x80c41510,0x00ceffeb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x70007fe4,0x710007ff,0x32c37bdb,0x50079999,
    0x80799999,0x1bdeecb8,0x40040400,0x51000019,0x66664401,0x99953ccc,
    0x35599999,0x2a0ecc00,0xcccccccc,0x930ccccc,0x99999999,0x00079999,
    0x66540075,0x2e1ccccc,0x004ccccc,0x22001ff8,0x7000ffef,0xf93159fd,
    0xfff50fdf,0x3bf91007,0x88adfb80,0xf9004fca,0xea81fecb,0x6cc0004f,
    0x2601dfec,0x6441dfff,0xdcabceff,0x3faa02ff,0xeffb881f,0xffdcaaaa,
    0x2bbfea21,0x6fccaaaa,0x4006e800,0x502fffb8,0x30005dff,0x8dc8005f,
    0x7ec405f9,0x883fd406,0xf9802fff,0x80ffa202,0x7ec01efa,0x2ea17fe6,
    0x220004ff,0x901bf61e,0x3fe203ff,0x81dfd305,0x201ffcaa,0x0be605ff,
    0x0f301bfe,0x001ff980,0x3ea06ff8,0x01320005,0x01e88b10,0x2e003ff6,
    0x1fffb00f,0x7ec03f00,0x406fc804,0x803261c9,0x3a0004fd,0x32037446,
    0x17fa00ff,0xf104ff88,0x02ffc03f,0x01bfa0ae,0xbffb0016,0x20bfd000,
    0x1c0004f9,0x20500c00,0x3a002ffb,0x1dffdb00,0xff700f80,0x09ff1001,
    0x09fb0000,0x001be200,0x3fa03fdc,0xf037ec05,0x02ff403f,0x01bf6062,
    0xfdf8800a,0x2ff4000f,0x00002744,0xfd000000,0xb01b800d,0xf80bff97,
    0x005ff880,0x00007ff2,0x20009fb0,0xf70005f9,0x405fe80f,0x3ff00ffc,
    0x8002ff40,0x400006fd,0x003ff9db,0x13a22ff4,0x87333200,0x6643ccc9,
    0x333261cc,0x002ffc43,0xfd9ec022,0x2a03e03f,0x3ea003ff,0x8733324f,
    0xfb03ccc9,0x17ea0009,0x203fdc00,0x37f405fe,0x7f403ff0,0x6fd80705,
    0x5f000660,0xfd001bfa,0x00027ccb,0xfe985ff5,0x4c2ffa86,0x1ffd46fe,
    0x227b0000,0x01f02ffe,0x4c005ff9,0x17fd45ff,0x7ec1bfa6,0x16666644,
    0x999dfb97,0x203fdc00,0x3fea05fe,0xe807fe04,0xfd80d05f,0xa800b206,
    0x800bfea6,0x009f35fe,0xf705ff00,0x2e0bfe0d,0x017fe46f,0x7cc7b000,
    0xd80f81ff,0x3e2001ff,0xb82ff87f,0x889fb06f,0x6d540aff,0x2002aaef,
    0x77f407fb,0x0fff2a60,0x7f403ff0,0x07da999d,0x4cccf7ec,0x3a002fba,
    0xd002ffc3,0x0009f3bf,0x3ea0bfa0,0xf505fd06,0x001ffe8d,0xff50f600,
    0xff80f81d,0x7ffc000f,0x7d417f40,0xec89fb06,0x002fdc00,0x7f407fb8,
    0xffffffff,0x201ff802,0xffeeeffe,0x777fec07,0x002ffeee,0x0ffc81f3,
    0xfffdfd00,0x5fd00003,0x3fa0df50,0x7f46fa82,0x3600001f,0x7c5ffb83,
    0x001ffe80,0x17f43ffc,0x4fd837d4,0x2fdc0172,0x407fb800,0x7e5445fe,
    0x07fe01df,0x07985fe8,0x2e8837ec,0xff109900,0x2f7fa009,0x40001fff,
    0x06fa82fe,0x8df505fd,0x00002ffd,0x27fec0f6,0x05ffb01f,0x7437fc40,
    0xb06fa82f,0xb801769f,0xff70005f,0x2a05fe80,0x3ff01fff,0x0482ff40,
    0x055037ec,0x33335f10,0x3a00ffd3,0x03fff75f,0x5417f400,0x505fd06f,
    0x04ffc8df,0xe80f6000,0xf901f2ff,0x7fcc007f,0xfa82fe84,0x1fb9fb06,
    0x002fdc00,0x7f407fb8,0x837fdc05,0x17fa01ff,0x81bf600c,0xeefb8018,
    0x2ffeeeee,0x3ee5fe80,0xfd0001ff,0x3a0df505,0x546fa82f,0x200005ff,
    0x3ffe203d,0x4ffa80f9,0x20bfea00,0x06fa82fe,0x00bffbfb,0xb8002fdc,
    0x02ff407f,0x7fc1ffe6,0x0017fa01,0x400037ec,0x037f402e,0x3fee2ff4,
    0x2fe8001f,0x5fd06fa8,0xffd0df50,0x7b018001,0x0ffff980,0x2001ffb0,
    0x05fd06fd,0x33f60df5,0xf7003ff9,0x1bee000b,0xf980bfd0,0x403ff07f,
    0xfb0005fe,0x2a06600d,0x01ffb806,0x7fdc2ff4,0x27ec001f,0x4fd837d4,
    0xffa86fa8,0x6c032006,0x0fffb803,0x3007ff30,0x13f603ff,0xa7ec1bea,
    0xfb801ffb,0x0bf70005,0x7e405fe8,0x403ff04f,0xfb0005fe,0x3a03a00d,
    0x05ff8803,0xffb82ff4,0x1bf2001f,0x3f20ffd3,0xb83ff4c6,0x02c805ff,
    0x7fe4013a,0x803fee00,0x3f203fe8,0xd83ff4c6,0x003ff64f,0xdd100bf7,
    0x3fe017e4,0x07ffe205,0xff807fe2,0x0dfd0005,0x01f50b70,0xf80bff60,
    0x3ffee06f,0x59ff5003,0x879ff7b9,0xbdcacffa,0xffa83cff,0x0b6a21bd,
    0x7ec00bf0,0x40ffd400,0x7d402fe9,0xffbdcacf,0xd127ec3c,0x06fc80df,
    0x0bb3ff98,0x209eff88,0x101effb9,0x3fe605ff,0xfff88007,0x42fc9881,
    0x3f2007f8,0x0fff106f,0x00cffff8,0xf54fffc8,0xfff9017d,0x402fbea9,
    0xdefffed9,0xfff9301b,0x01d1009d,0xd99dfb10,0x3f2001bf,0x17df54ff,
    0x7fcc5fe8,0x01ffb00d,0x019bffb0,0x3fffff6a,0x03deffff,0x59fffd93,
    0x3bffff6a,0x7f64c01c,0xffffffff,0x7ffdc7ff,0x3ff6604e,0xffb54fff,
    0x6cc39dff,0x1dffffff,0x03105440,0x00c41510,0x00006a20,0x20004400,
    0x10000aa8,0x6dc0c415,0xff92cfff,0x3f6a19df,0x4401bfff,0x00000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x99300000,0x00999999,
    0x277b6e20,0x4c76605a,0xcc981cec,0x401ccccc,0xccccccca,0x0000aaab,
    0xccccccb8,0xcccccccc,0x26666641,0x6553332e,0x90003ccc,0x26019999,
    0x4000adec,0x3ff703f9,0x99999950,0x00155579,0x79999995,0xff500135,
    0x107ff705,0x7ffdc410,0xbf50001c,0x70fff933,0xfff55ffd,0xff7105ff,
    0x3220015f,0xecbcefff,0x40002eff,0xaaffffd9,0x43fdcaaa,0xb80cffd8,
    0x3ff220df,0x7fd4000f,0x17f900bf,0x74003ff5,0x413f203f,0xccefffc8,
    0x403effed,0xecdfffc8,0x3f600dff,0x0ffef883,0x43fe93f2,0x2a0007ff,
    0x107fc82f,0xfb33b7ff,0x1bfe01ff,0x417fe200,0x0003ffd8,0x203fe75c,
    0x04ff883c,0xfff101f5,0x6ffe8009,0xbfb03f20,0x00fff200,0x2ffc40db,
    0x00effd88,0xfd117fe2,0x6413e05f,0x37f49f35,0x06fe89ff,0x2a0bf100,
    0x217fe07f,0xbff03ffb,0x017fa000,0x40009ff5,0x4407fcae,0x360ff704,
    0x03ffbe03,0x82fffd40,0x07fa83f9,0x403fdea8,0x17fa00e8,0x401dff50,
    0x6ff985ff,0x88b305a8,0x6543931e,0x80037ec0,0x0ff303fc,0x5ff817fc,
    0x3335dfd0,0x2017fa00,0xa8004ffc,0x0500ff96,0x0f30bfe2,0x004ffbe8,
    0x3209ff7b,0x8801102f,0x8803fd9f,0x2017fa02,0x3fa05ffc,0xa83ffd05,
    0x00140300,0xd80037ec,0x40ff302f,0x0ff902ff,0x3ffbbffa,0x17fa00be,
    0x003ffa20,0x01ff25d0,0x4c8df900,0x07fecf40,0x13fe3e60,0xb0000ff4,
    0x0000ff67,0x3e2017fa,0x0bfd01ff,0x0000fff2,0x06fd8000,0x2603ff00,
    0x40bfe07f,0x8bfd07fb,0xfd00effa,0x13fee00b,0x1ff26a80,0x1ff98038,
    0x99e801f1,0xfa6c03ff,0x005ff04f,0x03fd96e0,0xfe8036e2,0x09ff7005,
    0x7fec17fa,0x8806dc42,0x1b7100db,0x4001bf60,0x0ff302ff,0x6fa817fc,
    0xff50bfd0,0x4017fa0d,0x3a006ff9,0x0781ff21,0x016e9fd0,0x1037f47a,
    0x7c13fe3f,0x0f88005f,0x7fe40ff6,0x017fa00f,0xfe837fd4,0x21fff885,
    0xfc80fffc,0xfffc80ff,0x000dfb00,0x3fcc0ffa,0x3ee05ff0,0x3e0bfd05,
    0xfd3310ff,0x1033333d,0x16e00fff,0x73333ff9,0x3fea00fb,0x51e801e8,
    0xf97205ff,0x40ffb04f,0x7ec2e828,0x803fea03,0xff1005fe,0x2e17fa0f,
    0x0ffa84ff,0x2a01ff50,0x0dfb00ff,0x4c1ff600,0x40bfe07f,0x0bfd02fc,
    0x7754bff6,0xeeeeefff,0x800fff80,0x777fe41f,0x3307feee,0x3dbff333,
    0x43d03333,0x21f886fe,0x5ff904ff,0xb0b70360,0x07fc407f,0x7c00bfd0,
    0xaefe80ff,0x104ffea9,0x3fe201ff,0x201ff100,0xf50006fd,0x3fec43bf,
    0x1be07ff0,0xffd05fe8,0x200bfd05,0xeb807ff8,0x07fc9999,0x3bbb60f3,
    0xeeeeffee,0x3ee1e85e,0x3fe35c2f,0x45fff104,0x4074c4c9,0x3fe203fd,
    0x4017fa00,0xdfd07ff8,0x40379997,0xff100ff8,0x403fe201,0x360006fd,
    0xfadcefff,0x883ffe07,0x17fa01fc,0x3a03ffe2,0xdff3005f,0xeeeef880,
    0x01607ffe,0xd000ff98,0x17c5ff83,0xffb813fe,0x740efeff,0x4407fb01,
    0x17fa00ff,0xe837fcc0,0xff88005f,0x201ff100,0xdfb00ff8,0xfffc8000,
    0x3e07f98d,0x1efcdecf,0x3622ff40,0x0bfd03ff,0x9013fea0,0x281ff209,
    0x003fe200,0x47fee0f4,0x404ff86a,0x40befffa,0xeeeeeefb,0xff06eeff,
    0x802ff401,0xbfd05ffa,0x803fe000,0x03fe00ff,0x400037ec,0x81fe60a8,
    0x00a98aff,0xd533bfd0,0x2ff407ff,0x202ffd80,0x0ff900f8,0xdddddb00,
    0xbdddddff,0x5ff883d0,0x009ff07d,0xfffc81a6,0xffffffff,0x7401ff07,
    0x5ffb005f,0x40017fa0,0x03fe00ff,0xdfb00ff8,0x9800a600,0x00bfe07f,
    0x7777ff40,0x2ff400bd,0x202ffcc0,0x01ff204c,0x53333314,0x333335ff,
    0x7ff903d0,0x4013fe0f,0x333104fc,0x39fb3333,0xe803fe03,0x5ff9805f,
    0x40017fa0,0x03fe00ff,0xdfb00ff8,0xf3001a00,0x0017fc0f,0xd0005fe8,
    0x1ffd00bf,0xf9007cc0,0x880b300f,0x03d000ff,0x3e09fff1,0x1ff3005f,
    0x807fb000,0x17fa00ff,0xe803ffa0,0x1ff0005f,0xff007fc0,0x201ffa01,
    0x3fd4005c,0x20005ff0,0xff0006ff,0x0f7f4c0b,0xffb013a0,0x4c02e801,
    0x05f001ff,0x7fc03ff6,0x001fa006,0xff101fec,0x102ffc03,0xff803dfd,
    0x1ff88006,0x2203ff10,0xfff881ff,0xdaa9999a,0x7fdc002f,0x003ff880,
    0x000fff98,0x884f7fc4,0xb804ffca,0x17ff403f,0x2007f54c,0xf9802ffa,
    0x2609f304,0xeca807ff,0x07fb0002,0xf8817fcc,0xf75109ef,0xfff3009f,
    0x05ff3000,0x7cc0bfe6,0x3fff262f,0xffffffff,0xf93000ff,0x7f649dff,
    0xd9801cff,0x01cfffff,0x7ffffed4,0x01bcdeff,0x0efffecc,0xffffff91,
    0x0dffffff,0x6ffffed4,0xdfffda81,0x7ed41d83,0x300cefff,0x3fd80003,
    0x49dffd90,0xffffffda,0x401acdef,0xcfffffda,0xeffec801,0x277ff644,
    0x013bffb2,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x95000000,0x55999999,0x37300013,0x99950188,
    0x99999999,0x66665c79,0xcca80ccc,0x99933ccc,0xc8199999,0x701ccccc,
    0x32a07bdb,0x21cccccc,0xccccccc8,0x99999912,0x66666459,0xcccccccc,
    0x2a0300cc,0xaaaaaaaa,0x3622aaaa,0x0006a004,0x00000170,0x2b7b2600,
    0xcfffc880,0x003fffdc,0x5433fff2,0x99bdfb01,0x5fff9999,0x03ffffa8,
    0x260f7fcc,0x00cffffb,0xd1019ff5,0x01dfffff,0x405fff71,0xa80cfffa,
    0x7fc0cfff,0xcffeccce,0xa81ffecc,0x38002883,0x6c007ff2,0x00f40002,
    0x81d98000,0x1ffa8bfc,0x6445ff88,0x939006ff,0x6c0dbfff,0x827fd403,
    0xe801fff9,0x3ffe600e,0xe80fe603,0x6fffb9ce,0x3601bfe0,0x3ff600ff,
    0x6fd82f80,0x1f441f98,0x31c00144,0x016c00df,0x00007a00,0xf907dd50,
    0xfd05fd81,0x00bffa0b,0x0f7dc433,0xeff880b0,0x013fee00,0xff3003f3,
    0xd502740d,0x740bff60,0x07fc805f,0x82c43fec,0xd85706fd,0x8002883f,
    0x016c0003,0x00007a00,0x4c0bbee2,0xd07fa83f,0x13fee0bf,0x40480000,
    0xfe801ffd,0x800f601f,0x05d84ffb,0x4ff980e4,0xf900bfd0,0x887fc80f,
    0x220dfb02,0x99dffd11,0x0e000a23,0x0005b000,0x260001e8,0x7e401cfc,
    0x3fa01102,0x00dff305,0x3ee00000,0xdff3004f,0x3a001aa0,0x003ae1ff,
    0xd04fe803,0x0ff900bf,0x6c007fc8,0xfea9806f,0x00510aad,0x2d800070,
    0x000f4000,0x8005fed4,0xfe8001fe,0x807ff505,0x3bb712da,0x0dff3000,
    0x443ffb80,0xff88001f,0x00003f36,0x17fa05fb,0xf901ff20,0x06fd800f,
    0x0a20ff60,0xb0000e00,0x01e80005,0x005dd710,0xd0005ff0,0x03ffa0bf,
    0x74dfff54,0x4000fffe,0xe8001ffe,0x001361ff,0x02fcffb8,0x201fd000,
    0x7fc805fe,0x2003fe40,0x3f6006fd,0x38002883,0xeeeeea80,0xeeeeeefe,
    0xddddd91e,0xddddddfd,0x000ffd4d,0xd000bff0,0x2ffd88bf,0x10ddff80,
    0x7e4009fd,0xff30003f,0x00003ead,0x00009ffb,0x5fe80fe2,0x6407fc80,
    0x37ec007f,0x5107fb00,0x31007000,0x37b33333,0x4c433333,0x9ae99999,
    0x75c19999,0xfd8000bf,0x3fa0a207,0x1cffecce,0xf90bfb00,0x17fe600b,
    0xd7ff7000,0xff100005,0x1b20000d,0xffffffd0,0x0fffffff,0x6c007fc8,
    0x0ff6006f,0x00e000a2,0x80005b00,0x7ed4001e,0x3ff2000c,0xdfd01b02,
    0x800bff75,0x06fa83fd,0x000ffe88,0x005ffe80,0x09fff500,0x400f8800,
    0x7fc805fe,0x2003fe40,0x3f6006fd,0x38002883,0x2d800b26,0x000f4000,
    0x801dfc98,0x3262fff8,0x7dcbfd04,0x0ff6003f,0x3f601fe6,0xf500002f,
    0xf100005f,0x0003ffd3,0x2ff401ec,0x3203fe40,0x37ec007f,0x5107fb00,
    0x7ff47000,0x0005b003,0x440001e8,0x7dc02efb,0x00efefff,0x1ffd8bfd,
    0xf307fb00,0x05ffa80f,0x0bfe6000,0x227d1000,0xb90006ff,0x2017fa00,
    0x3fe407fc,0x801bf600,0x002883fd,0x017ffa38,0x3a00016c,0x3aa00001,
    0xfff500cf,0x2ff4017d,0x6c01bfe2,0x207f983f,0x0000eff8,0x000bfe60,
    0x4ffb8bb0,0xd002dc00,0x0ff900bf,0x6c007fc8,0x0ff6006f,0x88e000a2,
    0x05b0069a,0x0001e800,0x201fd980,0x0bfd0019,0xfb009ff3,0x6c0ff307,
    0x01a801ff,0x0005ff30,0x1ffe835c,0xe800d500,0x07fc805f,0x36003fe4,
    0x97f2006f,0x07000511,0x00b60077,0x3ffffff6,0x7fffffff,0x00088000,
    0x320bfd00,0x1fec02ff,0xffb83fcc,0x2001b004,0x50002ff9,0x3bfe601f,
    0x50075400,0xf900bfd0,0x007fc80f,0xf70037ec,0x00a2197f,0x0003a0e0,
    0x00000000,0x7c000000,0x0bffa06f,0x7f984fd8,0x5006ff98,0x1ffd400d,
    0x2017cc00,0x3aa05ffc,0xf83d9980,0x07fd806f,0x3a003fec,0x77f4007f,
    0x8e000a22,0x000000c9,0x00000000,0xfff10000,0x0bffe201,0x7fd427fc,
    0x4cd7ff40,0xfda99999,0x13ff2005,0x801ff700,0xfa84fff9,0xffffffff,
    0x03ffc40f,0xff00fffc,0x3fe2003f,0x4404000f,0xaaaaaaac,0x0a4aaaaa,
    0x00000000,0x00000000,0x7ffffed4,0xffffa81c,0x59fffd54,0x27dfff91,
    0xfffffffb,0x3fffffff,0xffffec80,0x7ff5c04e,0xffd903ef,0x3fe69fff,
    0xffffffff,0x3ffff6a5,0x3ff221ce,0xf912cfff,0x2059ffff,0xcfffffc9,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00040000,
    0x9db71000,0x9bd95005,0x2f3b2601,0x98733324,0x665c3ccc,0x33260ccc,
    0x3999973c,0x8333332e,0xb7304ccc,0xb950039b,0x3b6e259d,0x0190482d,
    0x4c904880,0x51b81983,0x2e199999,0x66541ccc,0x4ccccccc,0x5bd71ecc,
    0x700cec98,0x3b6e2019,0x32e3d12c,0x2fb80000,0x36207fd3,0x41ffc9ad,
    0x47ea88cd,0x7f4c2ffa,0x077fdc46,0xfd8867c4,0x06ffdc3f,0x3ee07ba2,
    0x6409fb32,0x9d7fd32f,0x5b87fd73,0x0f400698,0xb17d11ec,0xd91bfddf,
    0x117ffd41,0x79f703df,0x29ff9555,0xee9cffea,0xfdf72fff,0x0fff50df,
    0xbfb319f5,0x0efe445d,0x546f8800,0xfb0b907f,0x1ea07c4d,0x1bee0bfe,
    0x0f882fec,0x7f417fc4,0x3f503d03,0xbf509fd0,0x7d44ffc8,0x2ec1f41f,
    0x86c85d80,0x3220bfe8,0x4ff980ef,0x816403ea,0xcdfe86fe,0x479dfb10,
    0x7fcc3ff9,0xd107e62f,0x3bee20bf,0x22fd4002,0x17cc0ff9,0x1fb97fd4,
    0xa82fe868,0x01ff306f,0x217f2077,0x886986fa,0x83ff506f,0x0ffd44fa,
    0x0bee27fc,0x1fb807f3,0x17c41fd4,0x3ee01f70,0x1201e89f,0x7ec07fe4,
    0xd82ffa85,0x12c9984f,0x07ff60df,0x0017fd50,0x83ff102e,0xdcccccfc,
    0x85ff53ff,0xfa82fe81,0x3a0ffa06,0x981ff300,0x5c1e41ff,0x217fe05f,
    0x667fd40a,0xe85ffccc,0xa817ec1f,0xc837cc5f,0x3604d804,0xa8003def,
    0x09fb02ff,0xbf901ff1,0x84fa8740,0x3005ffcc,0x540039fb,0x7ec1ffdd,
    0x99999999,0x03bfff10,0x37d417f4,0x05a8ff70,0x3fb61ff4,0x1fec0745,
    0xc980dfb0,0x99999ffe,0x0ffa8099,0xff303fe6,0xe817fc43,0x2206a801,
    0xf98006ff,0x413f204f,0x05fb80ff,0x2e27e495,0x8800dfb5,0x3aa02dfc,
    0xfe83ff0c,0x3ff62000,0x82fe80df,0x3fe206fa,0xdf700762,0xa87fcf4c,
    0x6409ff05,0x35db307f,0x3fe000ff,0x3fa37ec5,0x1f03ff45,0xfb80f100,
    0x37f4001f,0x7fc13f20,0x3b85fb80,0x64b527f4,0xf710007f,0x7c2fb81d,
    0x000ff41f,0x2077ffd4,0x06fa82fe,0x8068afe4,0x3a591ff8,0x3fe05b3f,
    0x2e17ee06,0x003fe63f,0x7c45ff30,0x507fdc3f,0x003e03ff,0xdfdd01a6,
    0x007fe400,0x07fc13f2,0x20262fdc,0x5c1d36fe,0xfb88006f,0x7c27dc2e,
    0x102fec1f,0x7ff91025,0x6fa82fe8,0x1dcffcc0,0x268cfd80,0x3a068efb,
    0x89f900ff,0x0ffc45fb,0xb87fb050,0xb87f904f,0x7005b05f,0x7fc5ec0b,
    0x02ffa804,0x1ff04fc8,0x3600bf70,0x7e40e9ff,0x37f26004,0xff05fd01,
    0x902ffb83,0x1bf20721,0x0df509fb,0x001d9fb0,0xf88f3fe6,0x3fee03df,
    0xfd85fb02,0x5505ff82,0x2fc45f98,0x3fb03f60,0x7c401f30,0x7fd4b501,
    0x413fe201,0xff827e42,0xd985fb80,0x207bfea1,0xfda802fc,0x22ff400c,
    0x3e211ffa,0x49710bff,0x645f985c,0x03ff4c6f,0x20027fd4,0x0ffc87fe,
    0x5f827fc0,0xffe84fe8,0x1b616a0c,0x9d1003b2,0x03ba0bd0,0x074c1ba2,
    0x7f403bf6,0x09fb1205,0xbf703ff1,0x5fe8dfd0,0x75c40bf0,0x3fee002e,
    0xddffbdbc,0x3ffffea0,0x70bf20ff,0xacffa83f,0x03cffbdc,0x2e000ff4,
    0x805f984f,0x1b623ff9,0x7545ffdc,0xffdfffea,0x3e2074c1,0x881f3001,
    0x67e7641e,0x44ecfcbb,0x5ff983e8,0xc880ffc8,0x7cc2ff44,0xc87fc82f,
    0x11fff44f,0xbf9101d9,0xff910003,0x203bf23d,0x41effff9,0x2ddbefec,
    0x2a9fff90,0x35c00bef,0xe807c400,0xbdfd1002,0x3f62019d,0xffb10dff,
    0x903b05bf,0x984a8005,0x65c43aa5,0x2a5d10bd,0x3f622eff,0xfff52eff,
    0x9fffffff,0x4b3fff6a,0x98ceffec,0x042dfffd,0x37bf62b6,0x0cfa80de,
    0x08088000,0x4100a880,0x0a8800a9,0x01880062,0x000c0300,0x51000cc4,
    0x0802a201,0x40200010,0x00100040,0x00000000,0x21cc0000,0x004401a8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x9b52d980,0x36e25b50,0x0033001d,
    0x75003910,0x6dc41900,0x801b002d,0xd502ddb8,0x017d7101,0x440b2eaa,
    0x0ec80bdb,0x000003b2,0x22222204,0x88888888,0x440ffdc0,0x7f441000,
    0x4c088105,0x4444441b,0x88888888,0x57ffd500,0x3faa5fff,0xfffee9bf,
    0x8007f800,0x3f8805fa,0xb5bb1760,0x04fb803f,0x21fed66c,0x67dc0fdb,
    0x93d43fc9,0x3f26b83f,0x7c4ffe21,0xfffff73f,0xffffffff,0x3ee1b83f,
    0xffffffff,0x361fffff,0x77fe442f,0xff11200b,0xff12fe81,0xff137f43,
    0xffffffff,0x7403ffff,0x40dc8cdf,0xfd10ddff,0x000ff009,0x3e600391,
    0x26185d83,0x3e7e203f,0x87e87301,0x220f40fc,0x87f71d47,0xf897e63f,
    0x227ff13f,0x88888888,0x21e88888,0x22221ef8,0x88888888,0x6427c088,
    0x2dfeb88b,0x117cc24c,0x8bfe69ff,0x444445fd,0x88888888,0x037ec008,
    0x2fe42fec,0xd35d8f6c,0x2600000b,0x2e01763f,0x06ba6405,0x83ee1b20,
    0x9305b05a,0x217cc7fb,0xf87fe0ff,0x0f40002f,0x00009f91,0x930482d4,
    0x201ddbff,0x7706544a,0x00000030,0x3f600ff6,0xfd86fa83,0x5ff9cbaf,
    0x3e600000,0x7dc405db,0x2e83e604,0x1f707f00,0x644b825c,0x3ee3fa8c,
    0x1fb07ec4,0x20000fec,0x001fcc1e,0x00220500,0x00e006ea,0x00000000,
    0x3f600ff6,0x9307f983,0xc839fbbf,0xeeeeeeee,0x206eeeee,0xda8806f9,
    0xf985d05f,0xfb82dc00,0x90f41e20,0xdf11fd4f,0x323e45c8,0x11e80007,
    0x6664cbd5,0xcccccccc,0x00000ccc,0x00000000,0x7fb00000,0xf307fb00,
    0x5ff5c40f,0x99999880,0x99999999,0x00ffb601,0x906b87d8,0xf702d409,
    0xd910cd81,0x19f90ff8,0xa85f0fec,0x40003545,0xb981310b,0xbbbbbbbb,
    0x530bbbbb,0x88855555,0x88888888,0x00000888,0xd8000000,0x83fd803f,
    0xdfea87f9,0x001dfdba,0x7cd76000,0xf88b7003,0x9503f101,0x2207dc08,
    0x640cfefc,0x22ff9cff,0x981bceb8,0x000024c4,0xfd000000,0x221fffff,
    0xffffffff,0x01ffffff,0x00000000,0x6c01fec0,0xe87f983f,0x1bf6995f,
    0x17600040,0x1e8307f3,0x716e0264,0xb899555d,0x4015100f,0x00802208,
    0x00000000,0x6ee40000,0x0000dddd,0x00000000,0x03fd8000,0x7f983fd8,
    0x1a9ba298,0xb004f980,0xe98fe60b,0x06c42edf,0xfffc8ec0,0x3fb21fff,
    0x0000002d,0x00000000,0x00000000,0x00000000,0xb0000000,0x09fb009f,
    0x0ff00ff3,0x7009f300,0x041f980b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7f400000,0xa84ff806,0x026400ff,0x40000080,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x82dfffda,0x8acfffea,0x003efffc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_31_latin1_x[224]={ 0,3,1,0,1,0,1,1,1,0,1,0,1,1,
1,0,1,3,0,1,0,1,1,1,1,1,2,1,0,0,0,1,1,0,0,1,0,0,0,0,0,0,0,0,
0,0,-1,0,0,0,0,1,0,0,0,0,0,0,0,2,0,1,0,-1,1,0,-1,0,0,1,1,0,0,0,
-3,0,0,0,0,0,-1,0,0,1,0,0,0,0,0,0,0,3,2,2,0,3,3,3,3,3,3,3,3,3,
3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,3,0,3,1,0,0,0,
2,2,0,0,-1,0,0,1,0,-1,1,0,0,0,3,1,-1,1,2,1,0,0,1,1,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,-1,0,0,0,0,0,2,0,0,0,0,0,0,0,0,0,0,
0,0,0,0,0,0,1,1,1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,-1,0,
 };
static signed short stb__times_31_latin1_y[224]={ 24,5,5,5,3,5,5,5,4,4,4,7,21,16,
21,4,5,5,5,5,5,5,5,5,5,5,11,11,7,11,7,5,4,5,5,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,4,5,5,28,5,11,4,11,4,11,4,11,4,4,
4,4,4,11,11,11,11,11,11,11,7,11,11,11,11,11,11,4,4,4,14,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,24,10,5,5,8,5,
4,5,5,5,5,11,11,16,5,2,5,7,5,5,5,11,5,13,23,5,5,11,5,5,5,10,-1,-1,-1,0,
0,0,5,5,-1,-1,-1,0,-1,-1,-1,0,5,0,-1,-1,-1,0,0,9,4,-1,-1,-1,0,-1,5,4,5,5,
5,5,5,4,11,11,5,5,5,5,5,5,5,5,4,5,5,5,5,5,5,9,10,5,5,5,5,5,4,5,
 };
static unsigned short stb__times_31_latin1_w[224]={ 0,4,9,14,12,23,20,3,8,9,12,16,5,8,
5,8,12,8,13,11,14,12,12,12,12,12,4,6,16,16,16,11,25,20,18,17,20,17,15,20,20,9,11,21,
17,25,21,20,15,20,19,14,17,20,20,27,20,20,17,7,8,7,13,16,6,13,15,12,15,11,12,14,14,8,
9,15,8,22,14,14,15,14,10,9,8,14,14,20,14,14,12,9,2,9,16,15,15,15,15,15,15,15,15,15,
15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,15,0,4,12,14,14,14,
2,10,9,21,9,14,16,8,21,16,9,16,8,8,5,14,14,5,5,6,9,14,20,20,21,11,20,20,20,20,
20,20,26,17,17,17,17,17,9,9,9,9,20,21,20,20,20,20,20,12,20,20,20,20,20,20,15,14,13,13,
13,13,13,13,18,12,11,11,11,11,8,8,8,8,13,14,14,14,14,14,14,16,14,14,14,14,14,14,15,14,
 };
static unsigned short stb__times_31_latin1_h[224]={ 0,20,9,20,24,20,20,9,26,26,12,16,8,3,
4,21,20,19,19,20,19,20,20,20,20,20,14,18,15,7,15,20,27,19,19,20,19,19,19,20,19,19,20,19,
19,19,20,20,19,25,19,20,19,20,20,20,19,19,19,25,21,25,10,3,5,14,21,14,21,14,20,20,20,20,
27,20,20,13,13,14,19,19,13,14,18,14,14,14,13,20,13,27,27,27,5,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,21,25,20,14,19,
27,25,4,20,9,14,7,3,20,3,9,16,10,11,5,20,26,4,7,10,9,14,20,20,20,21,25,25,25,24,
24,24,19,25,25,25,25,24,25,25,25,24,19,25,26,26,26,25,25,12,21,26,26,26,25,25,19,21,20,20,
20,20,20,21,14,19,20,20,20,20,19,19,19,19,21,19,20,20,20,20,20,12,15,20,20,20,20,26,26,26,
 };
static unsigned short stb__times_31_latin1_s[224]={ 248,246,139,111,95,116,44,252,109,118,27,
191,250,189,229,22,109,167,96,187,168,220,233,23,36,49,251,184,225,172,16,
84,11,210,148,31,192,192,176,169,110,131,136,231,1,129,49,71,213,22,1,
65,141,166,199,126,75,54,36,248,213,43,79,235,212,33,222,242,46,47,123,
190,205,220,50,107,244,227,12,120,34,19,1,59,159,69,84,99,199,96,214,
1,47,37,195,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,
168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,168,248,250,72,
154,184,114,60,166,219,62,119,169,149,189,1,198,109,208,93,70,189,151,191,
250,166,102,129,154,23,235,1,238,85,106,145,178,157,136,87,177,195,127,234,
118,1,33,85,108,66,11,128,149,170,213,51,57,1,1,206,227,64,43,50,
31,76,90,95,122,185,62,135,155,211,199,223,104,183,229,238,247,199,21,170,
155,140,80,136,40,1,229,1,16,92,78,93,63, };
static unsigned short stb__times_31_latin1_t[224]={ 27,104,223,125,56,82,104,29,1,1,223,
187,207,229,223,82,104,146,187,104,167,104,104,125,125,125,104,187,187,223,207,
125,1,146,146,146,167,146,146,125,187,187,146,146,167,167,146,146,167,29,187,
104,187,104,104,125,187,187,187,1,56,29,223,223,223,207,56,187,82,207,146,
125,125,125,1,146,125,207,223,207,167,167,223,207,187,207,207,207,207,125,207,
1,1,1,223,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,
187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,187,27,56,29,
125,207,167,1,29,223,125,223,207,223,229,125,229,223,187,223,223,223,104,1,
216,223,223,223,207,104,82,104,56,29,29,29,56,56,56,167,29,29,29,29,
56,56,56,56,56,167,56,1,1,1,29,29,223,82,29,1,1,56,56,167,
82,82,82,104,104,82,82,207,167,82,82,82,82,167,167,167,167,56,187,82,
82,82,104,104,223,207,125,146,146,146,1,1,1, };
static unsigned short stb__times_31_latin1_a[224]={ 112,149,183,224,224,373,348,81,
149,149,224,253,112,149,112,124,224,224,224,224,224,224,224,224,
224,224,124,124,253,253,253,199,412,323,299,299,323,274,249,323,
323,149,174,323,274,398,323,323,249,323,299,249,274,323,323,423,
323,323,274,149,124,149,210,224,149,199,224,199,224,199,149,224,
224,124,124,224,124,348,224,224,224,224,149,174,124,224,224,323,
224,224,199,215,90,215,242,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,348,
348,348,348,348,348,348,348,348,112,149,224,224,224,224,90,224,
149,340,124,224,253,149,340,224,179,246,134,134,149,258,203,112,
149,134,139,224,336,336,336,199,323,323,323,323,323,323,398,299,
274,274,274,274,149,149,149,149,323,323,323,323,323,323,323,253,
323,323,323,323,323,323,249,224,199,199,199,199,199,199,299,199,
199,199,199,199,124,124,124,124,224,224,224,224,224,224,224,246,
224,224,224,224,224,224,224,224, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_31_latin1_BITMAP_HEIGHT or STB_FONT_times_31_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_31_latin1(stb_fontchar font[STB_FONT_times_31_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_31_latin1_BITMAP_HEIGHT][STB_FONT_times_31_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_31_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_31_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_31_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_31_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_31_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_31_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_31_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_31_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_31_latin1_s[i] + stb__times_31_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_31_latin1_t[i] + stb__times_31_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_31_latin1_x[i];
            font[i].y0 = stb__times_31_latin1_y[i];
            font[i].x1 = stb__times_31_latin1_x[i] + stb__times_31_latin1_w[i];
            font[i].y1 = stb__times_31_latin1_y[i] + stb__times_31_latin1_h[i];
            font[i].advance_int = (stb__times_31_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_31_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_31_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_31_latin1_s[i] + stb__times_31_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_31_latin1_t[i] + stb__times_31_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_31_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_31_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_31_latin1_x[i] + stb__times_31_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_31_latin1_y[i] + stb__times_31_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_31_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_31_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_31_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_31_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_31_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_31_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_31_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_31_latin1_LINE_SPACING
#endif

