// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_37_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_37_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_37_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_37_latin1_BITMAP_HEIGHT        330
#define STB_FONT_times_37_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_37_latin1_FIRST_CHAR            32
#define STB_FONT_times_37_latin1_NUM_CHARS            224

#define STB_FONT_times_37_latin1_LINE_SPACING          24

static unsigned int stb__times_37_latin1_pixels[]={
    0x00010000,0x03118800,0x00011000,0x00080000,0x33330008,0x5c003333,
    0x530002cc,0x00000055,0x00003555,0x00004cc4,0x000aaa60,0x8000dd40,
    0x00fda81c,0x54006440,0xb8800f57,0xdffddeed,0x00b76002,0x4007fd40,
    0xfd9502eb,0xddfdddff,0x1dff1001,0x3ffa2000,0x26000001,0x00000eff,
    0x0001bffa,0x000fff10,0x3ea9ce98,0xfb85d300,0x98000fff,0x7abd401e,
    0x019f9300,0x400fb2e6,0xfd8004d9,0x033a202f,0x3fffff62,0xf5001e25,
    0xf880001f,0x2000003f,0x00000ffb,0x00fffbee,0x05ff3000,0xf70fe200,
    0x081fb801,0x20001ffd,0x55ea04e8,0x00bfb807,0x44006e40,0x77d4004f,
    0x2209f100,0x5ffffffe,0x3f9001e2,0x1be60000,0x1fe80000,0x57e20000,
    0x00000ffa,0xc80027dc,0x3027e40f,0x0ffc803f,0x40be6000,0x6c40f57a,
    0x1aa0001e,0x0000fe40,0x7e407f60,0x25ffffff,0x017c0078,0x003ea000,
    0x00be2000,0xe9899000,0x7c800004,0xf70fb000,0x2017e20b,0x40000ffb,
    0xf57a80fc,0x0003ba20,0x3ee012e0,0x3e200005,0xffffd00f,0x03c4bfff,
    0x00000730,0x200000b2,0x4c00003b,0x0001b104,0xb0003b00,0xd00a885f,
    0x1ff7003f,0x509f0000,0x036c1eaf,0x90076000,0x4c0000df,0xfff881ff,
    0x225fffff,0x00000007,0x20000060,0x00800001,0x30000008,0x03ff7000,
    0x5c01bee0,0xc80000ff,0x87abd42f,0x400001fb,0x03fec059,0x05ff5000,
    0xfffffff1,0x0003c4bf,0x97510000,0x26620015,0x00999999,0x26666666,
    0x59751000,0x26662001,0x20099999,0x09999999,0x400fffc4,0xff7003fe,
    0x54001981,0x47abd46f,0x995004f9,0x03a0ea63,0xa8006fe8,0xd03ff980,
    0xbfffffff,0x7ffe43c4,0x7f4c0dff,0x7fdc02ff,0x04ffedce,0x7ffffe54,
    0x3f6e01cf,0x5c02dfff,0xffedceff,0x7ffe5404,0x2e01cfff,0x82dffffd,
    0x2602fffa,0xff7000ff,0x13fffae1,0xf51ffc40,0x300fb1ea,0xfd3915dd,
    0x7fc05909,0x3ff91005,0x3209ff10,0x5fffffff,0x7ffcc1e2,0x3007f403,
    0x3f620bfd,0x7ffc401e,0x3fe6000f,0x82ff4c01,0x4401efd8,0x2000ffff,
    0x3a601ff9,0xffb03fff,0x547fdc00,0x05ffffff,0xabd4bfd0,0xf3013e27,
    0x705ffd09,0x00ffe207,0x407fffb2,0xfff104ff,0x3c4bffff,0xf809ff70,
    0x00ffea03,0xfb00ffee,0x0bf000bf,0xb803ffa8,0x7fec03ff,0x205f8005,
    0x5fffb8d9,0x2e007ff8,0xfd51dbff,0xdfd005ff,0x3ee7abd4,0x6c1bea01,
    0x6c09507f,0x3ff6002f,0x4405fb01,0x25fffffe,0x037fc078,0x3fe201f5,
    0x07ff6005,0x8004ffc8,0x17fe204e,0x201ffd80,0xe8004ffc,0xff98b304,
    0x01bfe24f,0xfb05ffb8,0x1ffb00df,0x0dd3d5ea,0xff807fc4,0x7d407705,
    0x07fee002,0x75c403f4,0x01e25fff,0x13a05ff7,0x2001ffd8,0x3f206ffa,
    0x04e8003f,0xa8007ff6,0x3ff206ff,0xb04e8003,0x25ffd107,0x2e005ff9,
    0xfff301ff,0x51ffc803,0xfd813e0f,0x207ff104,0x0037402d,0x7f303ff7,
    0x44b71000,0x437fc407,0xbff701f9,0x07ffd000,0x2000fff2,0x0bff704e,
    0x207ffd00,0xe8003ffc,0xd101f884,0x013fea9f,0x3600ffb8,0x7fe402ff,
    0x05f10f53,0x7d403fea,0x9001d00f,0x07fee007,0x54000393,0x3ee01e25,
    0xff03641f,0xff70005f,0x07ff901f,0x3fe09d00,0xffb8002f,0x03ffc80f,
    0x3fa84e80,0x7fe5fe60,0x03fee003,0x5c03ffc8,0xf30f54ff,0xc813fa05,
    0x400d106f,0x7fdc04e9,0x00009b11,0x4403c4b5,0x881fc5ff,0xa8001fff,
    0xffc81fff,0x884e8003,0xa8001fff,0xffc81fff,0x984e8003,0xfbbf406f,
    0x3fee004f,0x00ffee00,0x21eabff5,0x2ff981fa,0x2a09ff10,0x01366004,
    0x37623ff7,0x12d40000,0x47ff200f,0xfff500fa,0xfff30003,0x007ff905,
    0xfff509d0,0xfff30003,0x007ff905,0x13fe09d0,0x09ff55c8,0x5007fdc0,
    0xffb805ff,0x01f50f54,0x3f201ff9,0x2005902f,0xffb800bb,0x0000ecc1,
    0x8803c4b5,0x6409d5ff,0x88000fff,0xffc84fff,0xc84e8003,0x88000fff,
    0xffc84fff,0x904e8003,0x44f60bff,0x3ee005ff,0x03fee00f,0x1ea5ff90,
    0x1bf607e6,0x6983ffcc,0x5c00dd00,0x03f981ff,0x03c4b500,0x03f5ff90,
    0x0003ffec,0xff90bfff,0xb09d0007,0x7c000fff,0x3ffc85ff,0x3a04e800,
    0x83620eff,0x3ee006ff,0x01ff201f,0x9bd47ff6,0xbfd05f15,0x20bfbb30,
    0x02fa802d,0x7407fee0,0x44b50007,0x3ffe2007,0x03ffec06,0x90bfff00,
    0x9d0007ff,0x000fffb0,0x7e42fffc,0x04e8003f,0x267bffa2,0x2007fd85,
    0x3fa01ffb,0x50ffe803,0xc83f9eaf,0x363a60ff,0xb005d84f,0x7fdc005f,
    0x0005fb01,0x2003c4b5,0x7e402ffd,0xff0000ff,0x07ff907f,0xff909d00,
    0x3fe0001f,0x03ffc83f,0xfd804e80,0x0ff905ff,0x9827fdc0,0x4dfd006f,
    0x4364f57a,0x0eecfffa,0x22754bfb,0x03ff8848,0x7c07fee0,0x25a8005f,
    0x3fcc0078,0x00fffd40,0x417ffc40,0xe8003ffc,0x01fffa83,0x82fff880,
    0xe8003ffc,0x1fff9003,0x2003ff50,0x7442fffb,0x45ff001f,0x07ccf57a,
    0x2a27ffec,0xd81ceeff,0x400bff01,0xff881ffb,0x225a8004,0x804e8007,
    0x8002fff9,0xfb81fff9,0x83f8004f,0x8002fff9,0xfb81fff9,0x03f8004f,
    0x741bfee0,0x7ff7003f,0x01bfb9df,0x2f51fea0,0x2982747a,0x5a806a20,
    0xb801bfe0,0x3ff981ff,0x1e25a800,0x2003f300,0xa8003fff,0xbff707ff,
    0x3e07f000,0xfa8003ff,0x0bff707f,0xb8007f00,0x05f881ff,0x5311ff70,
    0x4fd80013,0x7d47abd4,0x3d000000,0x7003fec0,0x5ff501ff,0x3c4b5000,
    0xb8017200,0xfd8006ff,0x0dff502f,0xf701f980,0xffb000df,0x01bfea05,
    0x14c03f30,0x0fb81fe4,0x000ffb80,0x2a077c40,0x00d90f57,0xc809b000,
    0x1fee006f,0x4000ffcc,0x8801e25a,0x7ff4002f,0x17fe6002,0x000fff88,
    0x5ffd01ee,0x02ffcc00,0x4001fff1,0x20ffc07b,0x017a03f9,0x00003fee,
    0x2af503f7,0x00009d07,0x2fdc026c,0x220df700,0x5a8000ff,0x05d801e2,
    0x006ff980,0xf9003ff6,0x13e6007f,0x400dff30,0x7e400ffd,0x09f3003f,
    0x0fcc1fe8,0xfb803f30,0x3a20000f,0x41eaf502,0x20000dd8,0x3f9004e8,
    0xb027dc00,0x4b50003f,0xdbff9078,0x3ea0001f,0x1efc804f,0x803ffb00,
    0xff5005f9,0x03df9009,0x3007ff60,0x81f500bf,0x01ea805d,0x40007ff2,
    0x55ea04e8,0x0017e407,0x4400fb22,0xc89b104f,0x013e200f,0xf07896a0,
    0x0005ffff,0x981efe88,0x22000dfe,0x2e21bfff,0x22000efd,0xfe981efe,
    0x3fe2000d,0x3f6e21bf,0x5399000e,0x362001bb,0x005ffb01,0x7a805d30,
    0x9fb300f5,0x0ff26203,0x2e04d980,0x02f9aeff,0x2000be98,0x7d41e25a,
    0x200001cf,0xffddffeb,0xf910002e,0x9fffffff,0x3fae0001,0x02effddf,
    0xffff9100,0x0019ffff,0x20003550,0x3fff6e1b,0x191002cf,0x01eaf500,
    0xeeffeb88,0x64003cef,0xfffd802d,0x175c001d,0x200c0880,0x4c000000,
    0x200001aa,0x01abba98,0x0d54c000,0x75310000,0x00000357,0x99998000,
    0x00000999,0x00031188,0x00000098,0x08000180,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x44000000,0x00000099,
    0x00003555,0x00005553,0x006aaa00,0x01331000,0xccccc880,0x9999973c,
    0x2e620039,0x000000ac,0x66440000,0x4000f620,0xa80acba8,0x0aaa8800,
    0x7c400000,0x800005ff,0x0000eff9,0x001ffe88,0x77fcc000,0x7f400000,
    0x7fcc006f,0x9973cccd,0xb805ff99,0xfffddfff,0xffb80004,0x20005c0d,
    0x3ff64ffb,0x3ffaa002,0x9aceecce,0x7ffb000f,0xfd800000,0x00001ffe,
    0x00007fe4,0x0009ff10,0x00ffc800,0x7f7dc000,0x3fe6003f,0x40bfe000,
    0x5440dfd8,0x90001efd,0x119fffff,0x9ff7000b,0x44017fec,0xc880befe,
    0x3a001fff,0x2000006f,0x00df73f9,0x001fe800,0x006f9800,0x00ff4000,
    0x557e2000,0xff3000ff,0x417fc001,0xfe803ffa,0x88d8002f,0x04fffffc,
    0x64419700,0x05ff9803,0x4003ff50,0x00000fe8,0x02f987d0,0x005f3000,
    0x007d4000,0x02f88000,0x444c8000,0x1ff3004e,0x2217fc00,0xff1006ff,
    0x21c4003f,0x0004ffd9,0xdff10000,0x002fb800,0x000017c4,0x00d88154,
    0x0003b800,0x0003b800,0x00007700,0x00ec0930,0xf0007fcc,0x01ffe85f,
    0x001bfe60,0x00000401,0x05ffb000,0x30007d00,0x0100000b,0x03000010,
    0x00c00000,0x00018000,0x00100100,0x7c001ff3,0x017fee2f,0x988fffa0,
    0x20009999,0x09999999,0xffa80000,0x00770006,0x26200060,0x09999999,
    0x26666660,0x97510009,0x30000015,0x98000003,0x4c000001,0x0ff98001,
    0xff8bfe00,0xffb8003f,0xfffd930f,0x3f6e001f,0xff91cfff,0xe981bfff,
    0x3ffa2fff,0x44710004,0x99999999,0x99999999,0x3fff2a00,0x2e01cfff,
    0x02dffffd,0x76e77fdc,0x200004ff,0x4000005e,0x4000005e,0xff98005e,
    0x4cbfe000,0x98002fff,0xffa81fff,0x77cc006f,0x03fff980,0xfff107f4,
    0x2e200005,0xfffffffe,0x5fffffff,0x0ffff880,0x007fe600,0x3620bfd3,
    0x4c0001ef,0x000000ff,0x00001ff3,0x0003fe60,0x7c001ff3,0x03fff52f,
    0x05fff100,0x0017ffea,0x27fdc0bf,0xfff70fe0,0xf7000001,0x7dcc40ff,
    0x0bffb006,0xfa80bf00,0x3ffb803f,0x0fff2000,0x7fe40000,0xf9000003,
    0xff98007f,0x64bfe000,0xf0000fff,0x3fe209ff,0x13e003ff,0x7d40dff0,
    0x003ffe40,0x07ff9800,0x3f200d50,0x04e8004f,0xd8017fe2,0xf88001ff,
    0x800007ff,0x0007fff8,0x07fff880,0x0007fcc0,0x1fff65ff,0x05fff800,
    0x05fffdf1,0xff700fa0,0x3f613a05,0x1000007f,0x1a200fff,0x001ffe40,
    0x3ffb0274,0x037fd400,0x17ff7dc0,0x3bee0000,0x400002ff,0x002ffefb,
    0xf8003fe6,0x00fffb2f,0x882fff40,0x00fffeaf,0x7fc403e8,0xfd81f986,
    0x1000007f,0x02400fff,0x8003ffc8,0x0bff704e,0x007ffd00,0x05ffbce8,
    0x7de74000,0x7400005f,0x2005ffbc,0x3e000ff9,0x01fff72f,0x413ffe00,
    0xefff8af8,0x5c01f400,0xc83641ff,0x00000fff,0x0007ff88,0x003ffc80,
    0x5fff04e8,0x1fff7000,0x3e27ea00,0x500001ff,0x03fff13f,0x227ea000,
    0xf3001fff,0x97fc001f,0x8001fffa,0xf103fff8,0x017ffe65,0xbff1007d,
    0xfff703f8,0xf1000005,0x800300ff,0xe8003ffc,0x01fff884,0x01fffa80,
    0x27fe4bb0,0x325d8000,0xb00004ff,0x8027fe4b,0x3e000ff9,0x05fff12f,
    0x05fff300,0xfffa8be2,0x6400fa03,0x201f51ff,0x0003fffa,0x807ff880,
    0x1ffe4006,0x7d427400,0xf98001ff,0x2f9802ff,0x0003ffe6,0x7fcc5f30,
    0x7cc0000f,0x003ffe62,0xf8003fe6,0x00fffe2f,0x881bfea0,0x17ffe42f,
    0xff1003e8,0xff8813ab,0x8800005f,0x03d407ff,0x000fff20,0x3fff213a,
    0xfff88000,0xfe86c804,0x3640003f,0x0001fff4,0x0fffa1b2,0x8003fe60,
    0x1bff22ff,0x80bff600,0xfffd82f8,0x32003e81,0x5c01faff,0x060006ff,
    0x4ccfffc4,0x007eba99,0x4001ffe4,0x07ffd84e,0x017ffe00,0xdff507f1,
    0x41fc4000,0x20006ffa,0x6ffa83f8,0x000ff980,0x5ffb0bfe,0x037fcc00,
    0x3fa20be2,0x001f40ef,0x100dfff1,0x30007fff,0x3fffe209,0x7fffffff,
    0x01ffe400,0x7fec2740,0x3ffe0007,0xf807dc05,0xf70001ff,0x007ffe01,
    0xff807dc0,0x07fcc01f,0xf885ff00,0x3ff6006f,0x9817c401,0x01f45fff,
    0x400bff60,0x2001fffa,0x1ffe2058,0x2003f4c4,0xe8003ffc,0x00fffc84,
    0x807fff00,0x17ff204e,0xf9027400,0x13a000bf,0x4c05ffc8,0x3fe000ff,
    0x804ff982,0xf8801ffb,0x93ffea02,0x3fcc003e,0x0bffe600,0xf8807a60,
    0x003c407f,0x2000fff2,0x1fffa83e,0x2fff8800,0x33337ea0,0x0fffdccc,
    0x666fd400,0xfffdcccc,0x66fd4000,0xffdccccc,0x03fe600f,0xd302ff80,
    0xdfb101bf,0x00be2003,0x0fa5fff7,0x20013a00,0x0aceffe9,0x8801db73,
    0x005807ff,0x40027fdc,0x2fff983f,0x1fff9800,0x33333b60,0x3ffecccc,
    0x66676c00,0xffeccccc,0x6676c003,0xfecccccc,0x03fe603f,0x5402ff80,
    0xefeddefe,0x017c4002,0x1f4fffec,0x0007e600,0x7fffee44,0xf1003eff,
    0x800300ff,0xf8005ffb,0x007fff03,0x440fff50,0x6ffa802f,0x200be200,
    0x22006ffa,0x6ffa802f,0x8003fe60,0xff9002ff,0x22000fff,0xfffd002f,
    0x05c8007f,0x2abaa000,0x3ffc4001,0x7fd40000,0x80fcc006,0xd8006ffb,
    0x01b202ff,0x9002ffe8,0x17ff400d,0x3a006c80,0x1ff302ff,0x0017fc00,
    0x009ffff5,0x22005f10,0x2003ffff,0x200002f8,0xf10002fd,0x028800ff,
    0x0007ffc4,0x2ffe80f7,0x817fe600,0x3ee003f8,0x03f8805f,0x2017fee0,
    0x3ee003f8,0x01ff305f,0x20017fc0,0x001fffe9,0xf30017c4,0x2ec007ff,
    0xffd10000,0xfff10003,0xc801d800,0x9f3003ff,0x006ff980,0xfb803ff6,
    0x3ffe2000,0x0007dc01,0xb803fff1,0x3fe2000f,0x00ff981f,0x2000bfe0,
    0x001fffc8,0xf7000fe6,0x37ff207f,0x800000fe,0xf88003fe,0x01ea007f,
    0x4c01ffd8,0x9ff5005f,0x403df900,0xfe8006f8,0x01be205f,0x8817ffa0,
    0xffe8006f,0x000ff985,0x88000bfe,0xc800bffb,0x7e4000df,0x5fffff03,
    0x3fe00000,0x7ff98000,0x4009f300,0x221bfff8,0x2000efdb,0xe981efe8,
    0x3f6200df,0xfffe8006,0x037ec40c,0x067fff40,0x2001bf62,0x260cfffe,
    0x73cccdff,0x05ff9999,0x37f6e000,0x3fff220a,0x36001dff,0x039ff503,
    0xeeb88000,0xfff90002,0x53333339,0x88003ff9,0xfffffffc,0xd70000cf,
    0x5dffbbff,0xfffffb80,0x7ffec00d,0xff73ffff,0xd801bfff,0x3fffffff,
    0x1bfffff7,0xfffffd80,0x999913ff,0x3332e799,0x00001ccc,0x00002a88,
    0x00080310,0x00351000,0xffffd930,0xffffffff,0x44000dff,0x001abba9,
    0x00d54c00,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x54000000,0x440002aa,0x00000099,
    0x20005551,0x55540199,0x01000001,0x00555300,0xd88006e0,0x000f660c,
    0x10000000,0x026cc1b9,0x01791000,0xdb87b300,0x3e0015c2,0x640001ff,
    0x00001fff,0x8003ffc8,0x2a03fffa,0xb88006ff,0x005c0cff,0x000fff60,
    0xffb0007c,0x000fff47,0x7037fee0,0x3fee0001,0x000bff64,0x07f33ea0,
    0x223ffd00,0x0bfee7ff,0x0017fcc0,0x17fffe60,0x17fe0000,0x7ff7f400,
    0x003fee00,0x9fffff90,0xff000b11,0x01aa0009,0x7f47ff90,0x3f20000f,
    0x588cffff,0x93fee000,0x80002ffd,0xd0016e1e,0x9ffe23ff,0xf9003ffc,
    0x1db00007,0x00005fd1,0xb80037cc,0xc809fb2f,0x446c002f,0x04fffffc,
    0x0002fcc0,0x3b88007b,0x20001644,0xfffff90d,0x0bb80009,0x20000ae2,
    0x2003cc78,0x70e4c2c8,0x13a007ff,0xb03aa000,0x7640000d,0x41f88000,
    0x02ec01fb,0xffd98710,0x00ec8004,0x0001f100,0x1c400000,0x0013ff62,
    0x40000000,0x0001323d,0x801ffa80,0x1b000059,0x40000ee0,0x0390000e,
    0x00d10166,0x1d000000,0x442dc000,0x99999999,0x26666600,0x20080099,
    0x2a200000,0x00000acb,0x003bbba6,0x33333330,0x007fcc33,0x00000044,
    0x03000008,0x00200400,0x2a200022,0x30000acb,0x5d551000,0xfffff950,
    0x7edc039f,0x8002dfff,0x2e000019,0xffedceff,0x17a00004,0x3ff6e200,
    0x3e0befff,0x33333316,0x33333333,0x99988133,0x99999999,0x44099999,
    0x99999999,0x26666600,0x26666099,0x4cc19999,0x01999999,0xedceffb8,
    0x999804ff,0x30199999,0x03dfddfd,0x003fffe2,0x0001ff98,0x2600017a,
    0xdfb105fe,0xff980003,0x3fea0000,0x2e2bd03f,0xfffffffe,0x5fffffff,
    0x7ffff5c4,0xffffffff,0x7ff545ff,0x202dffff,0x1dffffec,0xfffffb71,
    0x3f6e217d,0x00beffff,0x3620bfd3,0xfb7101ef,0x817dffff,0xfff71dfb,
    0x017ff607,0x980017e0,0x2a0000ff,0xffb803ff,0x3ff20003,0x3fe20003,
    0xf709b01f,0x7dcc40ff,0x81ffee06,0xf506fb98,0x22007fff,0x3ea01eff,
    0x7fd403ff,0x1ffd403f,0x201ffdc0,0xf303fffa,0x06ffae8b,0xd0009ff9,
    0x7fe40009,0xbff10003,0x00ffec00,0x03fffc40,0x403ffe00,0x07ff982a,
    0x7fcc0d50,0x5c0d5007,0xf1003fff,0xfff8801f,0x0fffc401,0x400bff10,
    0x3e201ffd,0x43fd01ff,0x901ffd69,0x9d0007ff,0x3ffe2000,0x3ffb0007,
    0x037fd400,0x17ff7dc0,0x01fff000,0x007ff880,0x3ffc40d1,0x7ec06880,
    0x05f7007f,0x2003ffe0,0x3f600fff,0x3fea001f,0x407ffc06,0xb89e47fa,
    0x007ff902,0x2e0009d0,0x4002ffef,0xe8005ffb,0x674003ff,0x20005ffb,
    0x44000fff,0x812007ff,0x12007ff8,0x007fff10,0x7ffc009d,0x00fff800,
    0xd000bff7,0x7ffc07ff,0x0fc6fb80,0x003ffc80,0x9d0004e8,0xf800bff7,
    0xfb8002ff,0x3f5000ff,0x0003fff1,0x3a203ffe,0x03ffc42f,0x07ff8800,
    0x7ffdc000,0x8003ee00,0xff800fff,0x05fff00f,0x01fff700,0x3f603ffe,
    0xfc801aa5,0x04e8003f,0xff89fa80,0xfff1001f,0xfff50003,0xfc976003,
    0xfff0004f,0x88dff701,0x801807ff,0x01807ff8,0x982fff40,0x7ffc002f,
    0x80fff800,0x8001fff8,0xff01fffa,0x6cdfd01f,0x0fff2003,0x20013a00,
    0x013ff25d,0x000fffd4,0x4017ffcc,0x3ffe62f9,0x0fff8000,0x7c44ff98,
    0x8806807f,0x006807ff,0x741fffcc,0x0fff8005,0xa80fff80,0x98001fff,
    0xfff02fff,0x3e2ffb01,0x0fff2000,0x30013a00,0x07ffcc5f,0x007ffe40,
    0x027ffc40,0x1fff4364,0x807ffc00,0x07ff8828,0x7fc403d4,0x4003d407,
    0x3ee0fffb,0x0fff8000,0xc80fff80,0x88000fff,0xfff04fff,0xb55ff701,
    0x3ff20e20,0x004e8003,0x1fff4364,0x003ffec0,0x880bfff0,0x06ffa83f,
    0x000fff80,0x4ccfffc4,0x807eba99,0x9999fff8,0x0007eba9,0x0fe2bffd,
    0x007ffc00,0x7ec07ffc,0x3fe0007f,0x01fff05f,0x205ddff5,0x03ffc81c,
    0x22004e80,0x06ffa83f,0x0007ffd8,0xf7017ffe,0x007ffe01,0x3201fff0,
    0x7fffc41d,0x7fffffff,0xfffff880,0x07ffffff,0xb5fff300,0x7ffc000d,
    0x80fff800,0x20007ffd,0xfff05fff,0x0ffff101,0x1ffe41a6,0x70027400,
    0x07ffe01f,0x001fff90,0xd00fffe0,0x02ffe409,0x2a03ffe0,0x3ffc45ff,
    0x8807e988,0xfd3107ff,0x7ffe4000,0x3fe0001f,0x0fff800f,0x000fffc8,
    0x3e07fff0,0xfff700ff,0x03f9533b,0x2000fff2,0x813a003e,0x7d405ffc,
    0xf88001ff,0x37ea02ff,0xfdcccccc,0x3fe000ff,0x45ffa80f,0x3c407ff8,
    0x203ffc40,0x7f400078,0x7fc0004f,0x0fff800f,0x001fffa8,0xf02fff88,
    0x7fec01ff,0x203fffff,0xf8004ffb,0x99bf5003,0xfffb9999,0x17ffcc01,
    0x0fffcc00,0x99999db0,0x07ffd999,0xb807ffc0,0x03ffc40c,0x3ffc402c,
    0x320002c0,0x7c0003ff,0xfff800ff,0x02fff980,0x01fff980,0x7cc01fff,
    0x402fffff,0xf8005ffb,0x999db003,0xffd99999,0x03fff807,0x207ffa80,
    0xffa802f8,0x03ffe006,0x00fff100,0x0fff1003,0xfc800030,0x7fc0003f,
    0x0fff800f,0x0007fff0,0x7fc0fff5,0x54cf200f,0x0dff5001,0x8801f980,
    0x6ffa802f,0x0037fdc0,0xd9017fec,0x017ff400,0x4000fff8,0x00007ff8,
    0x0000fff1,0x007ff900,0x800fff80,0xff700fff,0x5ffb000d,0xf007ffc0,
    0x3fe20001,0x01ee000f,0xffd00364,0x02ffe805,0x8817fe60,0x3fee003f,
    0x01fff005,0x007ff880,0x3ffc4144,0x9000a200,0xf80007ff,0xfff800ff,
    0x00bffa00,0x7c05ff98,0x00d500ff,0x003ffc80,0x7f1009f3,0x02ffdc00,
    0xd801bfe6,0x03ee00ff,0x01fff880,0x4000fff8,0x6c007ff8,0x007ff881,
    0x3f2000ec,0x7fc0003f,0x0fff800f,0x801bfe60,0x7fc00ffd,0x0007b00f,
    0x9803ffb0,0x01f7005f,0x00fffc40,0x32013fea,0x1be201ef,0x017ffa00,
    0x8003fff1,0x2a007ff8,0x00fff107,0x7e4003d4,0x7fc0003f,0x0fff800f,
    0x4027fd40,0xff801efc,0x000f880f,0x1bfff880,0x003bf6e2,0x3a001be2,
    0xfe8805ff,0x0dfe981e,0x001bf620,0x4033fffa,0x4004fffb,0xf3007ff9,
    0x01ffe609,0x740027cc,0x220004ff,0x7c401fff,0xfe8801ff,0x0dfe981e,
    0x81fff880,0x2200005a,0xfffffffc,0xfd8800cf,0xfffe8006,0xffeb800c,
    0x402effdd,0x0dfffffb,0x7ffffec0,0xfff913ff,0x0019dfff,0x3339fff9,
    0x3ff95333,0x273fff20,0xfca99999,0x7fcc001f,0xf70000ef,0xffb809ff,
    0x3fae004f,0x02effddf,0x213ffee0,0x88000008,0x001abba9,0x37ffffee,
    0x7fffec00,0x26003fff,0x000001aa,0x40000000,0xfffffec9,0xffffffff,
    0x7ff64c6f,0xffffffff,0x2006ffff,0xffffffeb,0xffc8802d,0x10ceffff,
    0xdffffff9,0x554c0019,0x3ff22001,0x00ceffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x06e445b7,0x20dc8800,
    0x20000cd8,0x0020004b,0x06000000,0x08026000,0x80800000,0xbb880008,
    0x00390001,0x00009993,0x20359751,0x3332202a,0x401ed400,0x3fee7ff9,
    0xbff70005,0x8001ffec,0x2001add9,0xd002efea,0x54012a07,0x003efffe,
    0xfea80f88,0xb5000000,0x4004d83f,0x004fdcfd,0xffb0035c,0x3fee0003,
    0x23ffeccd,0x3ff201f9,0x3ffe204f,0x537fc401,0x2a0009ff,0x0bff24ff,
    0xdddff700,0x7c4039ff,0xb1001f51,0x0077aa3d,0x7ed4bbf2,0x322dc006,
    0x0000ffff,0x0ffffdc0,0x2fc801aa,0x7cc00bf2,0x0ffa2001,0x01bfd100,
    0x07f5dfb1,0x07fe77cc,0x3001fff0,0x000ba839,0x2b882ea0,0x5c5fec00,
    0x5c0ffb14,0xf9001ec4,0x3e6005dd,0x4009ff07,0x0ffe843e,0xfd840000,
    0x400fc41f,0x02fd47f9,0xf88004e8,0x0ffea006,0xb01bff20,0x9817ea1b,
    0x0000002c,0x2e000000,0x0fb12e5f,0x400ba2d4,0x2004ffd8,0x0ff904fd,
    0x7e403e20,0x7000000f,0x009b03ff,0x07f88df5,0x260006c8,0x6ff8800f,
    0x407ffa00,0x001e985a,0x4cccccc4,0x99999999,0x26000099,0x47ff0001,
    0x3e03cc4b,0xf7006c9c,0x2009fd19,0x1ff704ff,0x7e40b700,0x5000000f,
    0x00f503ff,0x1ff88df9,0x00007e60,0x5ffd0075,0x1bffee00,0x8007101c,
    0xfffffeb8,0xffffffff,0x17a0005f,0xb8ffe200,0x76440684,0x20cc800c,
    0x7c403ffa,0x01ff703f,0x7fe407d0,0xf5000000,0xb007e03f,0x407ff0bf,
    0x0000003e,0x2600bff7,0x003ffd9f,0x3ee01400,0x3ee6207f,0x1ff30006,
    0x5cdff000,0x00000484,0x8807ff60,0x0df903ff,0x7e401f30,0x5000000f,
    0x013603ff,0x2ff88df9,0x4c000d90,0xfff800a9,0xf73f8803,0x2a6601ff,
    0xf980d000,0x00d5007f,0x000fff20,0x025d3ff6,0x00054cc0,0x06ff8988,
    0x7f40ffe6,0x6405b804,0x000cc0ff,0x1ffa8d4c,0x7fa80f50,0x7cc0ffc4,
    0xdfea8000,0xff304ffe,0x4c9d005f,0x7f541fff,0x7c04ffed,0x01ffe200,
    0x7c400344,0xfb8007ff,0x2004bdff,0x4ffedfea,0xffefd880,0xff304ffd,
    0x00dfc887,0x7fe402e8,0x07ffff90,0xefdefd88,0x07e01ffc,0x3ea0ff88,
    0x8003e886,0x3fea0efa,0x01fffa84,0x3ffe236c,0xfa83bea3,0x403f104f,
    0x12007ff8,0x3ffbee00,0xfffd8002,0x1df5004f,0xd3027fd4,0x7fffcc1b,
    0x363ff980,0x1f3004ff,0xfd8ffc80,0x104fffff,0x7ff447dd,0x5013601f,
    0x6417ec7f,0x07ff0005,0xfff90ffb,0x7c07dc01,0x20ffe4ff,0x03f107fd,
    0x0003ffc4,0x3fef3a00,0xfffb0005,0x07ff005f,0x1fe20ffb,0x4c1fffcc,
    0x3ffae3ff,0x402dc00d,0xb11ceffc,0x3fd05fff,0x403fff10,0xeceb807a,
    0x000fa82f,0xfc83ff88,0x03ffec0f,0x3ffe03f5,0xf907ff15,0x405f301f,
    0x01807ff8,0xff13f500,0x3ee0003f,0x3e205fff,0x80ffc83f,0x3ff203fc,
    0xa83ff986,0x0ba01fff,0x640bff20,0x02fdc6ff,0x1f803ffb,0x3e203300,
    0x0beeb882,0xffb80ec8,0x983ffe40,0x97ffe03f,0x0ffb80ec,0x3e203fa8,
    0x0006807f,0x027fe4bb,0xdfffd100,0x2e03b201,0x17fcc0ff,0x981fff30,
    0xbff703ff,0x32003e60,0xfff100ff,0xb80bfe23,0x026401ff,0x7442ec00,
    0x1006e99e,0xfb83ffd7,0x027440ff,0x8807fff1,0xfb81ffeb,0x01ffe204,
    0x5f3000f5,0x0007ffcc,0x3ffffd70,0x3ffae200,0x200ffdc1,0x7fcc1ffe,
    0x207ffe03,0x1ff9005b,0xfb97fe40,0x07fea01f,0xa8000f50,0x2a2fd80f,
    0x2fb6605f,0x7fd41ffc,0x26036c0f,0xdb302fff,0xf903ff97,0x4fffc40b,
    0x7eba9999,0xfe86c800,0x32e0003f,0x4c07ffe9,0x41ffcbed,0x7ec00ffc,
    0x01ffcc2f,0x05d07ff9,0xb803ff20,0x01ff93ff,0x7c00ffd4,0x05f10001,
    0x7fc41ff3,0xf717ec40,0x2fff883f,0xff5003f2,0x22fd881f,0x6fd81ffb,
    0x3ffffe20,0x07ffffff,0x7d41fc40,0x52e0006f,0xd882ffe8,0xd07fee2f,
    0xffc803ff,0x501ffcc2,0x00f987ff,0x5401ff90,0x01ffb3ff,0x6400ffd4,
    0x209b0004,0x22ff87fa,0x7fdc1ef9,0xf54ffe81,0x8fff7003,0x7fdc1ef9,
    0x2207fe81,0xfd3107ff,0xf00fb800,0x2e0003ff,0xf313fe24,0x41ffb83d,
    0x7e402ffd,0x01ffcc1f,0x05c89ff3,0xa803ff20,0x03ffd1ff,0x5400ffd4,
    0x00fb8007,0x29ff0ff9,0xffb82ff9,0xf9effa81,0x45ffb002,0xffb82ff9,
    0x2207ff81,0x03c407ff,0xffc813a0,0x25c0c405,0x2ff99ffa,0x7e41ffb8,
    0x43fe404f,0x3e203ff9,0x9001743f,0x7fdc01ff,0x5405ffb0,0x05f001ff,
    0xf9017c40,0x3f29ff0d,0x203ff707,0x3004fffd,0x07fc89ff,0xfff03ff7,
    0x01ffe201,0xcdfa8016,0xffdccccc,0x2e16600f,0xff937e44,0xf507fee0,
    0x85fd80bf,0x3e603ff9,0x8003e61f,0x3f200ffc,0xa81bfee6,0x099001ff,
    0x3ea026c0,0xffb3ff87,0x203ff703,0xd000fff8,0x03ffb0df,0xff883ff7,
    0x0fff101f,0x676c0030,0xeccccccc,0x21e603ff,0xfb27f44b,0x03ff703f,
    0x7f405ffd,0xb53ff982,0x17237cc3,0x401ff900,0x3ffe61ff,0x005ff502,
    0x035c01ea,0xff107fcc,0xf713fee3,0xfb0715ff,0x1ff900bf,0xfb89ff70,
    0xff338aff,0x1ffe205f,0x02f88000,0x2606ffa8,0xdf525c4f,0x2e27fdc1,
    0x2a38afff,0x4fa80eff,0x3fa7ff50,0x05d0bf24,0x701ffc80,0x3fff907f,
    0x003ffd88,0x03f300be,0x5fb8bf60,0x3f3bffe2,0x41efffac,0x0adfdafb,
    0x8806fec4,0xacfcefff,0xff11efff,0x1ffe203f,0x1b205100,0x302ffe80,
    0x552e19ff,0x7ffc41ff,0xfffacfce,0x0effdc1e,0x7fe40bf7,0x13e69f73,
    0xfa8001f3,0x827dc2ff,0xbacfffe8,0x03dfffde,0x027404c8,0x3bea7ba0,
    0x977ff541,0x7cc1eff8,0x377ffaa1,0xea802eff,0xdff12eff,0x2205fc83,
    0x0ec007ff,0xf7001fc4,0x7fed40bf,0x00cfeeee,0x225dffd5,0xfd301eff,
    0x2607bfdf,0xf913fffe,0x00b909dd,0x3bfff220,0xffc801ef,0xcffa9eff,
    0x640f3000,0xedb88006,0x0402200c,0x2aa60288,0x20110001,0xff100200,
    0xb83d400f,0x3fe2000f,0x6d4c401f,0x4022001d,0x01551000,0x1a802000,
    0x0aa98000,0x1054c400,0x002a0005,0x00000000,0x00000000,0xff300000,
    0x213e600f,0xfe8006f8,0x012e005f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x339fff90,0xff953333,0x006fd883,
    0x00cfffe8,0x00000298,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xec980000,0xffffffff,0x46ffffff,0x0dfffffb,0x7ffffec0,
    0x000003ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x66540020,0x03999003,0x00999300,
    0xb880f32a,0x40020001,0x70004cc8,0x06e6005b,0x22015c00,0x80390003,
    0x07500038,0x00dd4400,0x33326000,0x26002000,0x00482efd,0x2a001ffd,
    0xfc8004ff,0xfff8802f,0x20ffd01f,0x1c41efea,0x03fffd80,0x203ffcc0,
    0x00fffee8,0x6cc03e60,0x75c000ff,0x01ffb300,0x8002f880,0x2efdffd9,
    0x5ff90000,0x8077d400,0x2efffff8,0x3ff10057,0x007fb800,0xf9003ff8,
    0xff30bfd9,0xffff983f,0x300391df,0x001ffbbf,0x36037fcc,0xe8013f21,
    0x007fc203,0xf8405f10,0x02ec000f,0xd117fc40,0x3fa0000d,0x17fec003,
    0xfffd52b8,0x5f7001ff,0x007f2000,0xf1004f98,0xf30bf627,0xf51c85ff,
    0x001dffff,0x0027dcbd,0x9810072a,0x00d9004f,0x5d8003fa,0x4001fd00,
    0xfe8000fa,0x0002fb86,0x4c002fcc,0xf70900ef,0x0f6003df,0x4007b000,
    0x20b6005c,0x0fffc46b,0x1dff9112,0x3f30b500,0xd9000000,0x003f3001,
    0x7d4003fa,0x001fd000,0x22000be2,0x04f983ff,0x00035c00,0x00040100,
    0xb10000b1,0x98006c00,0xfff0a602,0x80020081,0x1000e203,0x01fdc400,
    0x3fa004e8,0x002f8800,0x2e4003fa,0x84ff9800,0x6c0001fc,0x00000000,
    0x00000000,0x00000000,0x00001ffa,0x05800000,0x017fff60,0x0fe800d7,
    0x74005d80,0x00fa800f,0xf0dff300,0x0000000d,0x0a998000,0x0054cc00,
    0x00054c40,0x44001531,0x1ff600a9,0x00002a20,0x00488000,0xf101ffa8,
    0x00fe8003,0x3a0007d4,0x01f4400f,0x21fff100,0x00002fd8,0xd5000000,
    0x809ffdbf,0x4ffedfea,0xffefe980,0x3bfa601e,0x3a601eff,0xd81effef,
    0xdbd9106f,0x3fb609ff,0x7ffec1ff,0x003a800f,0x13a05fb0,0x8803fa00,
    0x0fe8003f,0x40003640,0x1ffacffe,0x82666666,0x6c1fffed,0xa800ffff,
    0x541df500,0x1df504ff,0xf7027fd4,0x0bffa217,0x7f442fee,0x10bfb82f,
    0x5fc85ffd,0x3a20ee88,0x3ffb00ef,0x2003ffa0,0x3f70001d,0xd0001d70,
    0x002e401f,0x3e600fe8,0xffb80001,0x7fe40cff,0xffd83dff,0x201ffd01,
    0xff01ffc8,0x3e0ffb07,0x307fd83f,0x1fff107f,0x7fc41fcc,0x220fe60f,
    0x13ee0fff,0x3fe203fa,0x203ff706,0x35c00ffc,0x42740980,0xfd0002f8,
    0x0003e601,0x07d007f4,0x3ffe6000,0x80bff604,0xff901ffb,0x3fffdb01,
    0xf907ff10,0x83ff881f,0x0fd80ffc,0x7ec7ffb0,0x6c7ffb00,0x47ffb00f,
    0x027ec3fa,0xff707ff9,0x803fee03,0xff8803f9,0x0bb03ece,0x7fdcc088,
    0x8003e81c,0xc81cffb9,0x5c004406,0x700fffff,0x1ffb809f,0x6c01ff70,
    0x01d901ff,0x1d901ff7,0xf981ff70,0xc999999d,0x33bf35ff,0xbff93333,
    0x266677e6,0x265ffc99,0x80ffe22f,0x7dc0fff8,0x01ff701f,0x98801fe2,
    0x01f5009a,0x26622fc4,0x54364099,0x4c40befd,0x0fcc0999,0x7440bf10,
    0x06fff8cf,0xffb801fb,0x401ff701,0x22001ffc,0x1001ffeb,0xfb83ffd7,
    0xccccccce,0x99df73cc,0x79999999,0x33333bee,0x223ccccc,0x007fea1f,
    0xffb83ffd,0x201ff701,0x400004fc,0x3fa202f8,0x20fcc005,0x05ffbbea,
    0x3a204e80,0x47ff305f,0x7c43fffb,0x01ffb802,0x7dc01ff7,0xbed9801f,
    0x6cc01ffc,0x641ffcbe,0x27e4004f,0x0013f200,0x03ff90fc,0x7dc2ffd8,
    0x01ff701f,0x00001ff5,0x7eec05d8,0x741f4005,0x7000ffc0,0x85fdd80d,
    0xffe83ff8,0x5c01720f,0x1ff701ff,0x100ffdc0,0x0ffdc5fb,0x3ee2fd88,
    0x002fec1f,0xfb0017f6,0xe83e000b,0x7fe401ff,0xb80ffdc3,0x06ff80ff,
    0x007d4000,0x400bf1b7,0x5f90106c,0xb807e200,0xffd85f9d,0x35fffa80,
    0x3fee001f,0x401ff701,0xdf301ffb,0x981ffb83,0x0ffdc1ef,0xf9001ff2,
    0x07fc800f,0x2ffd8d00,0x2e0ffdc0,0x1ff701ff,0xd304ff98,0x01fc4007,
    0x00bf11d5,0x7d8007e6,0xea813a00,0x7fcc5f88,0x2bfff606,0x3fee002e,
    0x401ff701,0xff981ffb,0x4c1ffb82,0x1ffb82ff,0x9c017fdc,0x73802ffb,
    0x087005ff,0x3201ffe4,0x01ffa87f,0xffb81ff7,0x001ff903,0x10e981b2,
    0x013a00bf,0xd7003f88,0x7c43a601,0x102ffe45,0x800bffff,0xff701ffa,
    0x40ffdc01,0x3ff707fc,0xff707fc8,0x406ffa83,0x80dff52b,0x80dff52b,
    0x37fd402b,0x3ea17f20,0x81ff702f,0xff303ffb,0x203f3005,0x017e21e8,
    0x0bb001ae,0x7440be20,0xffb17e21,0x7ffcc01f,0xff50200e,0x803fee05,
    0xffd81ffb,0x6c1ffb81,0x1ffb81ff,0x880effe8,0x4077ff46,0x077ff468,
    0xffe80344,0x260bfa01,0x3ffb02ff,0x3a05ff98,0x203e801f,0xefcccced,
    0x003f101c,0x0bb002e4,0x7ee6676c,0x7fff91ce,0x7ffff440,0x7fcc5981,
    0x403ffb02,0xffb81ffb,0x457ffdc4,0xfb89ff73,0x3ea38aff,0xfdaabeff,
    0x5f7ffd43,0x7d43fdaa,0xfdaabeff,0x3ea2fe43,0x04f980ef,0xde88dff1,
    0x0ffd82ff,0x0d900dd0,0xfcccccb8,0x009b01ce,0x1f5002dc,0x6e6665c0,
    0xfff51cef,0xf9bf503d,0xd5137fff,0x446ff885,0x2e02ffde,0xfff881ff,
    0xfffacfce,0x9dfff11e,0x3dfff59f,0xffffffc8,0xffff906f,0x3f20dfff,
    0x46ffffff,0x7d41fff8,0x017a60df,0x3fb9fff9,0x445bfff7,0xd910bffe,
    0x001f9801,0x3ee05f88,0x1909b000,0x10005f10,0xffff90bf,0x547fd97b,
    0x5fffffff,0xfb9fff90,0x05bfff73,0x3aa03ff9,0xdff12eff,0x2effea83,
    0x2a03dff1,0x404fffff,0x04fffffa,0x27ffffd4,0xfd307fe8,0x1007dddf,
    0x2e3dfffd,0xfd700bef,0x3a009fdf,0x0bf10004,0x36200be2,0x06ffffff,
    0x3e2000bb,0xfffff705,0xffd301bf,0x3a2019ff,0xdf71efff,0x0fffa017,
    0x10020110,0x54c00201,0x2aa6000a,0x02aa6000,0x54400a88,0x0a88000a,
    0x0060014c,0x44000b50,0x2009702c,0xccccccca,0x0000d982,0x54c40591,
    0x0351001a,0x0a605440,0xdffffeb8,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x1d40e600,
    0x302b2e60,0x80373003,0x99999998,0x26666660,0x99988099,0x00400199,
    0x40006620,0xa8800008,0x262001ac,0x00999999,0x0025cc40,0x03579751,
    0x33333100,0x40333333,0x2001acb9,0x00009ba8,0x209b05c8,0xffedffe9,
    0x3ae02ead,0xb502fecf,0x43bfffff,0xcfffffec,0xfffec881,0x7f65400c,
    0x3fa600bd,0xaaabdfdc,0x003fda82,0x7ffffe40,0xfffd800d,0x5001ffff,
    0x500159dd,0xfd97bffb,0x3fa0017d,0xffffffff,0x6ff540ff,0x2601efdb,
    0x02ffddfe,0x3f81f400,0x220befa8,0xf902fffb,0x2a02fd87,0x3f604fff,
    0x3ff002ff,0xf913d700,0x83bea0df,0x27fffff9,0x003fffea,0x3ff7fee0,
    0x7fcc06ff,0x805fffff,0x22004fd8,0x95101bdd,0xfff9803d,0xffffffff,
    0x22067dc6,0x0df980fe,0x80013fa6,0x441f882f,0x3fea02ff,0xf886fb82,
    0x13ffa01f,0x001fff98,0x83f5009f,0x7fc42ffc,0x09affb83,0x001ffe42,
    0x3ee21e98,0x33b601ff,0x401ccccc,0x26002ffa,0x274c003e,0x999bdfb0,
    0x447fb999,0x8df900ff,0x5ff506f8,0x501f3000,0x700ff90f,0x02ff885f,
    0x7fdc0bf9,0x01ffec06,0x3e200fcc,0xfb81b907,0x03ff881f,0x4000ffea,
    0x09ff900d,0x540003e6,0x3a2001ff,0x19999989,0x17c41ec0,0xbf70fec0,
    0xfb07fcc0,0x0037ec07,0xd86b83d4,0xc85f006f,0x3ff300ff,0x807ffe20,
    0x6b806ffa,0x4007fa80,0xbff00ffd,0x001ffcc0,0x13fe6008,0xf880026c,
    0xa974003f,0xffecdffe,0x1dc1e883,0x37e46f80,0x3e21ff10,0x0ffea02f,
    0x1360b900,0x36007ffa,0xf1037f42,0x1ffec0bf,0x801fff10,0x06fb803e,
    0xe807fe40,0x0ffe606f,0x17fc0000,0xd8001fcc,0x22dc005f,0x3fea0ff9,
    0x80046983,0x0ffdc4fa,0x3fea6fa8,0x817fe201,0x9ce99998,0x19bf9999,
    0x7007bff2,0x202ffcc5,0x3fea07fe,0x01fff406,0xdfb001f3,0x82ffa800,
    0x3e605ff8,0x8800003f,0xbfffb06f,0x07fee005,0xff983d00,0x1e83fec0,
    0x4c1fc800,0x3fd80eff,0xff00bfee,0x7fffd40f,0xffffffff,0xfff50fff,
    0x7fdc005f,0x007ff405,0x3e603fff,0x01b206ff,0x220037f4,0x1ffa85ff,
    0x510ffe60,0x80fa8000,0xeffffff8,0x01bfe601,0x1ff30b30,0x4a82ff98,
    0xfd06f800,0x227d41df,0x7f403ffc,0x7333100f,0xf733333f,0xfffc8333,
    0xffc801ef,0x00ffec04,0x3ae09ff9,0x07d01fff,0x7fffffec,0xff9805ff,
    0x807fb10b,0xffd33ff9,0x3f30009f,0x3ffb7260,0xff703fff,0x19ddb717,
    0x1ff30770,0x0f00ffb8,0xf104fa80,0x07f53fff,0xfe809ff7,0x20d7001f,
    0x7ffec05c,0x3f200cff,0x17fec03f,0x3a0dff30,0xf984ffcb,0x3fa66200,
    0x3000999e,0x03bfbfff,0xbf57ff30,0x4005fffb,0x91004ffa,0xfb05ffff,
    0xffd79dbf,0xf982d85f,0x813fa20f,0x07f2000f,0x1ffffe98,0xf80dff50,
    0x09b000ff,0x3fee0136,0xfb03ffff,0x3ffd807f,0x260fffc0,0xc87ff99f,
    0x01bfa006,0x00447a20,0x8377fe60,0xfc806ff8,0x000effff,0xf81ffff5,
    0xfffb83ff,0x3fe607a0,0x401dfdcb,0x01be001e,0x413fffa2,0x3e02fff8,
    0x40fa007f,0xffb1002f,0xfd83dfff,0x1ffec02f,0xd913ff20,0x0fe0fffc,
    0x8006fe80,0x7cc0005e,0x01ff905f,0xffffd730,0x27ff4400,0x7e40bff1,
    0x3e607a5f,0x800ffcbf,0x09f3001e,0xbfffbf50,0x83fff501,0x1006ffd8,
    0x003f103f,0xfffffe98,0xb00fff20,0xff9805ff,0x9ff91fc7,0xfd0007cc,
    0xbffa800d,0x8009999a,0xff703ff9,0xfffa8003,0x9bfe2001,0x3ea05ffa,
    0xf30590ff,0x2017f61f,0x03f9000f,0xfff92fc8,0x37ffee0d,0x04ffdedc,
    0x2aff2aa2,0xaaafcaaa,0x3ffee002,0x00ffee6f,0xfd003ffd,0xf983e65f,
    0xd001727f,0xffa800df,0xffffffff,0x07ff300c,0x20007fee,0x6c004ffb,
    0x813fee7f,0x0771fff8,0x3fe21ff3,0xf801e203,0x2e27dc06,0xd9304fff,
    0x07ffa59d,0xffffffa8,0xffffffff,0x3fa2000f,0x09ff52ff,0xb800ffe8,
    0xfd0b94ff,0xd000fe5f,0xff7000df,0xffffffff,0x07ff301f,0x40007fee,
    0x7d4006ff,0xd013fea7,0x261a65ff,0x07fe60ff,0x4f98025c,0x7dc1fe20,
    0x7fd4007f,0x6c176006,0x22003604,0xbff34ffe,0x1006ff80,0x707f1fff,
    0x001f3bff,0xc8006fe8,0x75553333,0x7ff307fb,0x0007fee0,0x22002fec,
    0x017fe26f,0x20f43ff9,0x37e40ff9,0x3f9001e8,0xf9037dc0,0x7ff4005f,
    0x7c0fa002,0x5400b602,0x81bfa5ff,0x3a004ff9,0xf880fdff,0xe8005dff,
    0x02dc006f,0x7ff30d90,0x0007fee0,0x220027e4,0x2037fc4f,0x516a0ffb,
    0x8bfd03ff,0x01be006a,0x4ff809fd,0x009ff300,0x07c40fc4,0x3e600bb0,
    0x403fee3f,0x2e001ffa,0x3fa05fff,0xfe8002ff,0x00fe6006,0x3ff984b8,
    0x0003ff70,0xf5000bfa,0x6407fd83,0xff93d86f,0xeff88bff,0xf3000f88,
    0x404fe809,0xdfb004fd,0xa80f9800,0x4007ec07,0x3fe22ffb,0x800bfb02,
    0x2e02fff8,0xe8000fff,0x17fa006f,0x7cc0f440,0x03ff703f,0x000bf300,
    0x07ff109d,0x174417f4,0x002e8800,0xbf9007f2,0xc802fd80,0x35c000ef,
    0x7fec05c8,0x4c2ffc01,0x00ff986f,0x4407fd80,0xfd0005ff,0x6ffec00d,
    0x4c0baa01,0x3ff703ff,0x0fec0570,0xdb103bb1,0x4c07fd40,0x013a205f,
    0xe8007f30,0x01ff8806,0xdf700df1,0x209b0001,0x7ffec04d,0x3bfae21b,
    0x7449f700,0xbf50001f,0x0005fb00,0xe8801ffe,0xeeeeffff,0x3fea01ef,
    0xb85ff703,0xfb88beff,0x77ffcc0d,0xd804ebab,0x017aa0df,0xb3005f64,
    0x4f98003d,0x881df500,0x3f6201fd,0x40fa0004,0x6d5ec02f,0x3fffefff,
    0xcfdfeb80,0x017c0000,0x4c0007d4,0x54002fff,0x3deffffd,0xb05ffc80,
    0xfff889ff,0x3203efff,0x02deffff,0x3bb7fee0,0x77e4c004,0x02dedccc,
    0x4003f900,0xcfecdfe9,0x0cfeca80,0xa8054000,0x554c1400,0x0c40009a,
    0x20070000,0x7ed40038,0x00cdffff,0xd5000c40,0x2e7dffff,0x41dffffe,
    0x44000aa9,0x54c0000a,0x54c40000,0x400009aa,0x5310002a,0x00d54403,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x97510000,0x4c400357,0x09999999,0x26666660,
    0x05997009,0x01ccc800,0x88000110,0x0009acba,0x20035730,0x0000ccc8,
    0x202b2ea2,0x2ea2000a,0x260000ac,0x02000cc0,0x001e6540,0x4cccccc4,
    0xfb500099,0x7dfd97bf,0xfffca801,0x2e01cfff,0x02dffffd,0x4000dff1,
    0xd9805ff9,0x3ae0003f,0x01effcac,0x3f6f3f20,0x4fffc803,0xeffea800,
    0xf9aceecc,0xceffb800,0x1004ffed,0x3fae1fd7,0x7f5404ff,0x07fe8800,
    0xfffec980,0x6c402dff,0xd95101bd,0xffff1003,0x0ffcc001,0x000ffcc0,
    0x2a00efb8,0x0003fffe,0xffd881f7,0x220fb802,0x3be200ff,0xd1001ffc,
    0xf91017df,0x7f4c03ff,0x03dfb105,0x547fff64,0x85ffffff,0x000ffffb,
    0x40003ff1,0x9800fffe,0x274c003e,0x002ffec0,0x7f5002fc,0x003fa000,
    0x000fff21,0x7fcc17e2,0x6c1fd405,0x543b604f,0x5ff9805f,0x203ff500,
    0xfb803ffa,0x5ffec03f,0x5fffd51d,0x001ffd08,0x900027cc,0x3d100bff,
    0x4c2aea60,0xffc807b1,0x004e8004,0x7c40035c,0x0ffea001,0xf81fea00,
    0x0bfa00ff,0x42cc0bea,0x3fe202e8,0x417dc006,0x36005ff8,0x3ff201ff,
    0x20dffb05,0x5c000ffc,0x3fee0006,0xfc82e804,0x3fefcaac,0x7fe403d1,
    0x004e8003,0x154000d8,0x00ffe600,0x640bfea0,0x07fe02ff,0x40900e00,
    0xe8002ffd,0x001ffd83,0xfb81bfea,0x3fff301f,0x0001ff70,0x3ee00039,
    0x262dc04f,0x47f900ee,0x0fff2069,0x00013a00,0xf9800000,0xff88003f,
    0x203ff903,0x00001ff9,0x01bfea00,0x3fee1dc0,0x3ffe8005,0x6c01ff70,
    0x0ffb82ff,0x5c000000,0x10f404ff,0xe89d00ff,0x007ff901,0x544009d0,
    0x01510000,0x000ffe60,0x0ffb01cc,0x00017fd4,0x3fa002a2,0x8710004f,
    0xb8002fff,0xffb80fff,0x20fff200,0x00000ffb,0x027fdc00,0x803fd8b3,
    0xfc825459,0x04e8003f,0x7ff6f644,0xedec8804,0x7fcc04ff,0xf8800003,
    0x0bfea04f,0x3b7b2200,0xfff104ff,0x3e200005,0xfa8001ff,0x0ffb81ff,
    0x2e0ffee0,0x7ff6c0ff,0x7fffec1f,0x09ff7000,0x03ff31dc,0xffc83c00,
    0x204e8003,0x3fa20ee8,0x41dd100e,0xf300efe8,0xfffe987f,0xdf9000de,
    0x003ffa80,0xfd107744,0x0fffb81d,0xfff50000,0xfff30003,0x401ff705,
    0xffb82ffa,0x203ffb00,0xf7000ffe,0xf716c09f,0x80f8000f,0xe8003ffc,
    0x2203fa04,0x01fd06ff,0x3e60dff1,0x01efa83f,0x440ffc40,0xaadffcaa,
    0x407f402a,0x7fe46ff8,0x3f200007,0xf88000ff,0x0ffb84ff,0x2e03fee0,
    0x3ff700ff,0x4003ff20,0x87a04ffb,0x740007fc,0x003ffc81,0x09fb04e8,
    0x3f61ffe4,0x20fff204,0x2f443ff9,0x503fb800,0xffffffff,0x027ec0bf,
    0x7fec7ff9,0x3f600007,0x3fe0007f,0x01ffb85f,0x7fdc1ff2,0x203ff700,
    0xf7000ffb,0xfb0f409f,0x81e8000f,0xe8003ffc,0x203ff884,0xff10fff8,
    0x07ffc407,0x4e88ffe6,0x8813a000,0x99cffa99,0x07ff1009,0xfd87ffc4,
    0x3600007f,0x3e0007ff,0x1ffb85ff,0x7dc0ffa0,0x03ff700f,0x5c003fee,
    0xb8b204ff,0x3e0000ff,0x003ffc80,0x1ffa84e8,0xfa8fff40,0x0fff401f,
    0x27ccffe6,0x400d5000,0xf5004ff8,0x1ffe803f,0x0001fff9,0x003fff20,
    0x5c1fffc0,0x0df304ff,0xfb807fdc,0x01ff701f,0xb813fee0,0x000bfe63,
    0x3ffc83c4,0xfc83e800,0x97fec01f,0x7ec01ffc,0x4dffcc2f,0x0ec0003f,
    0x007ff100,0xfb007ff2,0x0bffee5f,0x7ffd4000,0xfff88001,0x42fffb82,
    0x3ee01fe8,0x03ff700f,0x5c003fee,0xb1a604ff,0x970200bf,0x0013fee0,
    0x07ffa0fe,0x3fa7ff90,0x1ffe401f,0x13ff7fe6,0xf000d000,0x3ffa005f,
    0xa9ffe401,0x00003fff,0x0005fff3,0xf703fff3,0xbfb9df7f,0x00ffb801,
    0x3ee03ff7,0x9ff7000f,0x3fe21e80,0x07a1dc02,0x4002ffdc,0x02ffd83f,
    0xffd8ffdc,0x20ffdc02,0x2ffebff9,0x20012000,0xffb001ff,0x11ffb805,
    0x0000bfff,0x4001fffc,0xff707ffa,0x00135311,0x7dc03fee,0x01ff701f,
    0x500ffee0,0x983fe98b,0xf503542c,0x1f9800df,0x6403ffc8,0x00fff27f,
    0x7ff30ff9,0x0003fff1,0x0fd00051,0x201ffe40,0x37fdc7fc,0xffb83000,
    0x2ffd8006,0x0001ff70,0xfa807fdc,0x01ff701f,0x200bfee0,0xeefec83d,
    0x007c41ce,0x4001fff1,0x0dff507b,0x3fea5fc8,0x4c2fe406,0x1dff53ff,
    0x98800000,0xfaac405f,0x22fe406f,0x8003fff8,0x02ffe849,0xb817fe60,
    0x2e0000ff,0x5ff500ff,0x4003fee0,0xe8801ffb,0x74402602,0x03ffc802,
    0x7f409f30,0xd0bfa01f,0x17f403ff,0xff91ffcc,0x3001000b,0x037dffdd,
    0x01ffe932,0x3fea0bfa,0x4162001f,0x36006ff9,0x3fee00ff,0x3fee0000,
    0x205ff300,0x0ca81ffd,0x44003fee,0x1fcc004e,0x803ffb00,0x7fd405f9,
    0xa84f980e,0x4f980eff,0xfd87ff30,0x7fd1004f,0xfff51c80,0x3ff979df,
    0x4c077fd4,0x3ffe604f,0x201e9802,0xfc804ffa,0x0ffe401e,0x01ff7000,
    0xbd11bfe2,0x5ff885ff,0x32000ff2,0x3b6600be,0x7ffc4001,0x3bf6e21b,
    0x0dffa800,0xffa817a6,0xa817a60d,0x7ffc44ff,0x06ffb803,0xffd35b34,
    0xf509ffff,0x02f4c1bf,0x5677ff4c,0x001db730,0xd303dfd1,0xffb001bf,
    0x7fe40005,0x33fff201,0xdfffb9fd,0x3a5fff12,0x3f260005,0x2dedccce,
    0x3ff22000,0x0cffffff,0x3bffa600,0xfe9803ee,0x5c03eeef,0xfffb85ff,
    0x027fcc03,0xff913b6e,0x7f4c05df,0x2003eeef,0xfffffdc8,0xeb8003ef,
    0x2effddff,0xffffdb80,0xffe8002c,0x3fffa203,0x817df71e,0x00cdfffb,
    0xaaa98800,0x22000009,0x001abba9,0x00055440,0x2e005544,0x33effffe,
    0x07dffffd,0x009800c4,0xaa880066,0xaa980000,0x5300001a,0x99980035,
    0x20009999,0x2dffffeb,0x05302a20,0x00002a88,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x83799751,0x99998828,0x26660009,0x33109999,0x01333333,0x09999998,
    0x1304d440,0x991065c0,0x20732e01,0x99999998,0x99999999,0x88f32a01,
    0x99999999,0x99999981,0x33310999,0x00133333,0x4cccccc0,0x09999981,
    0x26666666,0x26666219,0x00009999,0x7ed40098,0xdfedcdef,0xfec984ba,
    0xb7000fff,0x2a39ffff,0xdffffffd,0x7fffec00,0xfdff703f,0x2a03fb9f,
    0x0fff25ff,0x221bffea,0xffffffeb,0x7fffffff,0xb883ffa0,0x3dfffffd,
    0xfffffdb8,0xffd710bd,0xffffffff,0xfc8015bd,0x640dffff,0xb712effe,
    0x17dfffff,0x3ffffae2,0xdeffffff,0x0ffd800b,0x2015ffb0,0x5404ffe9,
    0x4c006fff,0xfff500ef,0x7fc4001f,0x443db105,0xf501fffc,0x41ffe4bf,
    0x203ffbfe,0x95306ffc,0x07fe20ff,0x801fffc8,0x6404fff9,0xa89abfff,
    0x00dfffdb,0x980bffe2,0x3ffea06f,0x5fffe403,0xffdba99a,0x3ffe00df,
    0x00fff442,0xfa805fd8,0x2fc005ff,0x001fff20,0x07f403fa,0x2e01ffd8,
    0x2e0f220c,0x201fd31f,0xfb806ffa,0x5402fb80,0x3fe007ff,0x37fd402f,
    0x0bfffa60,0x2a04ffb8,0x3ffe201f,0x037fd401,0x40bfffa6,0x7ff40efc,
    0x01be2001,0x00ffffe2,0x7fc404f8,0x0fe2002f,0xff9027dc,0x3a200003,
    0xfa826c41,0xb01d006f,0x0dff3007,0x200fff40,0xf9006ff9,0x3ffc03ff,
    0xfff009d0,0x06ff9801,0x01fffd88,0x007ff901,0xdf100d70,0x3a005fff,
    0x04ffd803,0x3e203ee0,0x07fea00f,0x70054000,0x00dff301,0x200b102a,
    0x3a006ff9,0x7fcc01ff,0x3bffa006,0x305ff900,0x1fff003f,0x006ff980,
    0x2003fffa,0x0000fff9,0xfd5f100d,0x07d001ff,0x001fff30,0x03fdc13a,
    0x22007fea,0x400000a9,0x00006ff9,0x00dff300,0x2600fff4,0x3e6006ff,
    0xdff103ff,0x3fe00b90,0x37fcc00f,0x09fff500,0x0009ffb0,0x457c400c,
    0x7400efff,0x07ffd003,0x3f203f30,0x00ffd406,0x3dffdfd3,0xf9801500,
    0xa800406f,0x01bfe600,0x4c01ffe8,0x7ec006ff,0x87ff607f,0xfff002f8,
    0x06ff9801,0x203ffec0,0x0002fff8,0xf997c400,0x01f405ff,0xc806ffb8,
    0x501bf606,0x2fee03ff,0x105ffd10,0xf9801ff9,0x880ae06f,0x3e600ffc,
    0x3ffa006f,0x037fcc01,0x40bffea0,0x01ae4ffa,0x4c00fff8,0x7d4006ff,
    0x3fee02ff,0x4000001f,0x3ffea2f8,0xf800fa03,0x0fe202ff,0x7d407fe8,
    0x883f981f,0x3fb60fff,0x7fcc00ff,0x76c0ba06,0x3e600fff,0x3ffa006f,
    0x037fcc01,0x80fffe60,0x007d0ffe,0x26007ffc,0x7cc006ff,0x3ff204ff,
    0x88000007,0x17ffe42f,0x3f2003e8,0x803ee05f,0x3ea00ffd,0xb00fd81f,
    0x1ffb07ff,0x99eff980,0x402fda99,0x3e600ffd,0x3ffa006f,0xffa99881,
    0x0199999e,0x5c09fff1,0x000fabff,0xf3003ffe,0xff8800df,0x1fff605f,
    0xffffdb80,0x05f102ef,0x7d03fffb,0x0fffc400,0x7fe404e8,0x307fea04,
    0x333333bf,0xff90bff9,0xffff9801,0x02ffffff,0xf3007fe4,0xddddddff,
    0x3fffdddd,0xffffff50,0x03ffffff,0xf8817ffe,0x7c004def,0x7fcc00ff,
    0x6fff8006,0x003fff60,0x809fff70,0xffe882f8,0x2001f40e,0x1f984ffd,
    0x80fffcc0,0x77dc1ffc,0xcccccccc,0x00ffb83c,0x4ccf7fcc,0x5c02fb99,
    0x3fe600ff,0xaaaaaaaf,0x01ffeaaa,0x40037fcc,0xffff5fff,0xffffffff,
    0x3e0bffff,0x7fcc00ff,0x5fff8006,0x05fff904,0x02fff880,0xff9817c4,
    0x2001f45f,0x36c0fff9,0x22fffd80,0x641ffec8,0x3ee0004f,0x37fcc00f,
    0xffb80590,0x01bfe600,0x4c01ffe8,0x7c4006ff,0x333333ff,0x333bff33,
    0x3fe01333,0x37fcc00f,0x93ffe200,0xfffb8efb,0x1fff8003,0xf5017c40,
    0x001f49ff,0x5f11fff4,0x3fffe200,0x1ffaafef,0x70002fec,0xff9801ff,
    0xf700aa06,0x37fcc01f,0x803ffd00,0x4c006ff9,0xff802fff,0x0fff8005,
    0x0037fcc0,0xff8bffe6,0x05fff9af,0x400fff80,0x7fdc02f8,0x70007d2f,
    0x003dcdff,0x4bffffa2,0x3fe41ffa,0x01ff7000,0x0406ff98,0x9803fee0,
    0x3fa006ff,0x37fcc01f,0x07ffea00,0x20017fe0,0x7cc00fff,0x7fd4006f,
    0x743ff61f,0xff8007ff,0x017c400f,0x1f4fffec,0xd2fff800,0x06a20009,
    0xffb83ff5,0xffb83802,0x037fcc00,0x803fee00,0x3a006ff9,0x7fcc01ff,
    0x37fec006,0xffffffff,0xffffffff,0x003ffe0b,0xd800dff3,0x2a0a86ff,
    0x7c001fff,0x17c400ff,0x3ffffe80,0x3bff9000,0xa800003f,0x37fd41ff,
    0x3fee0ae0,0x037fcc00,0x803fee00,0x3a006ff9,0x7fcc01ff,0x3ffea006,
    0x26666661,0x9999dff9,0x1fff0099,0x006ff980,0x4007ffea,0x7c006ffe,
    0x17c400ff,0x3ffff880,0xdfff1000,0xf500000d,0x1dffd03f,0x3fee0d10,
    0x037fcc00,0x803fee00,0x3a006ff9,0x7fcc01ff,0x13ffa006,0x8005ff80,
    0x7cc00fff,0x3ffa006f,0x3ffe6005,0x03ffe003,0x4c005f10,0x20003fff,
    0x0002fffd,0xa81ffa80,0xdaabefff,0x01ff703f,0x0006ffa8,0xf3007fdc,
    0x7ff400df,0x037fcc02,0x0077fec4,0xf000bff0,0xff9801ff,0xeffd8806,
    0x7fec4000,0x01fff004,0x5c003f98,0x260003ff,0x000007ff,0x3f205ff7,
    0x06ffffff,0xf5007ff2,0xfc8000ff,0x1ffea01f,0x402fff80,0x7d406ffb,
    0x7c4004ff,0x7fc4006f,0x37fdc01f,0x00fffa60,0x17bff700,0x01dff930,
    0x4000dfc8,0x740003fc,0x9000004f,0x7fd407ff,0x7f404fff,0x3ff6203f,
    0x3fa0001f,0xfffb103f,0xbfff5003,0x67ffec40,0xffeca99a,0xffa8001e,
    0x3fee000f,0x3ff6204f,0xdca99abf,0x00001eff,0xb9dffd93,0x44039ffd,
    0x1dfffffc,0x0000f600,0x800001f7,0x2cffffca,0xb802aa60,0x21dffffe,
    0xffffffd9,0x3fae004d,0xfb31dfff,0x09dfffff,0xdfffffd9,0x3fff6639,
    0xdeffffff,0xec8001ac,0x02dfffff,0xffffff91,0x3ff6619d,0xefffffff,
    0x00001abd,0x04d55440,0x44000000,0x00380001,0x99998800,0x00000099,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x206fd800,0x999885ff,0x00019999,0x1970b6a0,0x33333310,
    0x00001333,0x26620353,0x80000999,0xa8199999,0x000edc2d,0x882a0080,
    0x99999999,0x4ccccc41,0x99988099,0x99999999,0x80099999,0x0001aca8,
    0x26005930,0x7c0dfb03,0xffeb885f,0xefffffff,0x7fc4000c,0x2217fea7,
    0xefffffeb,0xfb10002c,0xc985fffd,0x000ffffe,0x37fffee0,0xf30fff83,
    0xdfb500df,0xffd03885,0x3fff6e21,0x7e4c2dff,0x881cffff,0xffffffeb,
    0xffffffff,0x3fff2205,0x20001eff,0x6cc04fe8,0x40dfb06f,0x7fe405ff,
    0xffc999af,0x3fe2003f,0x7017fea7,0x80007fff,0x3ff21dfa,0x09fffb03,
    0x17fffc00,0x3e61fff0,0x7ffcc06f,0x10391dff,0xff903fff,0xcffd803f,
    0x0fff7000,0xd037dcc4,0xffffffff,0x3ff20005,0xdfffb304,0xff81bf60,
    0x837fd405,0x2005fff9,0x0065c1ca,0x0003ffe6,0xff885f98,0xffffb80f,
    0xfffb8000,0x2a164c07,0xfa8e401c,0x900effff,0x1ffea0df,0x8005ff10,
    0xd5007ff9,0xea8b7f20,0x54000fff,0x51704fff,0x1bf60dff,0x7cc05ff8,
    0x3ffea06f,0x10000000,0xd8000fff,0x01ffb01f,0x007ffdf5,0x00dffdd0,
    0xfb848000,0x300401ef,0x1fe80dff,0x07ff8800,0x40fe0d10,0x2004ffe8,
    0x804ffbf8,0x0dfb06ff,0x3e602ffc,0x1fffc06f,0xf8800000,0x3ea0007f,
    0x4c0ae207,0x4006ffbf,0x006ffbfa,0x01004000,0x0dff3000,0x88000fec,
    0x212007ff,0x37fd405a,0x9ff1bb00,0x360dfd00,0x017fe06f,0xfe80dff3,
    0x0a88005f,0x01ffe200,0x0006fb80,0x0bffa3e6,0x6ff9de80,0x00153300,
    0x4c000000,0x03fb06ff,0x03ffc400,0x3e002a00,0x11f7006f,0xdfd009ff,
    0xff81bf60,0x037fcc05,0x44013ffe,0x04ffedec,0x0007ff88,0x98001bf6,
    0x006ffb8f,0x0dff35f3,0xffedfea8,0xa8813004,0x7fcc0000,0x0001fd86,
    0x0c03ffc4,0x027f4000,0x4ff897c4,0xfb06fe80,0x202ffc0d,0x3e606ff9,
    0xee8803ff,0x803bfa20,0x20007ff8,0x260007fe,0x005fff0f,0x81bfe6db,
    0x3fea0efa,0x25fd7104,0x004fffd9,0xd89bfe60,0xf880001f,0x0006807f,
    0x4e803ff8,0x3a013fe2,0x40dfb06f,0x7fcc05ff,0x01bffa06,0x7fc407f4,
    0x01ffe206,0x000ffd80,0x3fee1f30,0xf997c405,0x20ffe06f,0xffeb87fd,
    0xffdef9af,0xff30002f,0x0007fa2d,0x203ffc40,0x7c40007a,0x2236400f,
    0x6fe804ff,0x7fc0ffb0,0x437fcc05,0x800effd9,0x3ff204fd,0x00fff103,
    0x201ffe40,0xf10f9838,0x33e403ff,0x3fe20dff,0x900ffc83,0x7cc1bbff,
    0xff30007f,0x0003fd1d,0x4cfffc40,0x07eba999,0x2027d400,0x27fc41f9,
    0xfd837f40,0x25ff980f,0xaafff981,0x003effdc,0x7c407ff1,0x7ff880ff,
    0x1bfea000,0x41f30590,0x7f105ffc,0xd9037fcc,0x201ff701,0xffb05ffa,
    0x3ffe6000,0x00005ffe,0x3fffffe2,0x007fffff,0x3a007f40,0x804ff883,
    0x7ffb06fe,0x716ffda8,0xd99fff30,0xfa8009ff,0x0fff401f,0x0003ffc4,
    0x260bfff1,0x7c41f307,0x20fb80ff,0x44006ff9,0xf501ffeb,0x03ff205f,
    0x9dff3004,0x0000bfff,0x4c41ffe2,0x3ee0007e,0xf882e402,0x06fe804f,
    0xbf9bfffd,0x2076fff2,0x3fe66ff9,0x3ff2001f,0x417fec01,0x40007ff8,
    0xa8adfffa,0x81f302fe,0x44f84ffd,0xb3006ff9,0x203ff97d,0xff702ff9,
    0x80dfe883,0xfff96ff9,0xff10000b,0x0007880f,0x0fa809f1,0xd009ff10,
    0x3ff3a0df,0x3ffa64ff,0xb8dff304,0xfd000fff,0x3ffc803f,0x0007ff88,
    0xffffffd8,0x303e604f,0x07dc1fff,0xb101bfe6,0x80ffdc5f,0xff502ff9,
    0x84fffc83,0x3ff26ff9,0x7c40005f,0x0005807f,0x9cf880bb,0xff999999,
    0xdfd0099c,0x806a2be0,0x1bfe600a,0x6c017ff6,0x7fdc02ff,0x007ff881,
    0xfffff700,0xd80f9807,0x2617a3ff,0x3be606ff,0x980ffdc1,0x3ff502ff,
    0x987fffa8,0x7ffe46ff,0x3fe20005,0xc8001807,0x7ffdc00e,0xffffffff,
    0xdfd03fff,0x00007f10,0x3e21bfe6,0xffc803ff,0x883fe403,0x400007ff,
    0xf98009f9,0xf57ffa80,0x20dff303,0xffb82ff9,0x205ff301,0x9a981ffa,
    0xb86ff987,0x10005fff,0x00000fff,0xff7001d5,0xffffffff,0x3a07ffff,
    0x005f986f,0x20dff300,0x5400fffa,0x2fe406ff,0x4007ff88,0x033ea039,
    0x7f403e60,0xff305ebf,0x5c1ff20d,0x5ff301ff,0xb807fea0,0x706ff985,
    0x1000bfff,0x28800fff,0x44003e60,0x99999999,0x0099cff9,0x0df70dfd,
    0x1bfe6000,0xe806ffc8,0x0bfa01ff,0x2003ffc4,0x13ff201d,0x7d403e60,
    0xff302fff,0x207ff60d,0xff301ffb,0x807fea05,0x06ff981e,0x0017ffee,
    0xd800fff1,0x0803f301,0x027fc400,0x3fe437f4,0x6ff98000,0x202fff40,
    0xf980effa,0x01ffe204,0x5fc806a8,0x3a00fa80,0x3fe606ff,0xb89ff706,
    0x4c38afff,0x3ff502ff,0x7fcc1720,0x6fffdc06,0x0fff1000,0x1fa83d40,
    0x10007440,0xdfd009ff,0x0001ffb0,0x880fff50,0x7d403fff,0x017a60df,
    0x5001fff3,0x05fb009f,0x7dc03f70,0x1ffee02f,0x7e77ffc4,0x41efffac,
    0xff703ffb,0x2a03e985,0xffd807ff,0xff9800ef,0x509f3007,0x7555559f,
    0x8800bf99,0x6fe804ff,0x80005fa8,0x402fffd8,0x201cfffa,0x3eeeffe9,
    0x77ffe440,0xecaaaaab,0xfb5101ff,0x09fb1009,0xfb103fc4,0x3faa05ff,
    0x3dff12ef,0x3609ff90,0x1004c4ff,0xb803fffb,0x00bfffff,0x2673fff2,
    0xffca9999,0x7ffffd41,0x2fffffff,0x027fc400,0x0203ffe2,0xfffb3000,
    0x6c09dfff,0x202fffff,0x64c00aa8,0xffffffff,0x7fffffff,0x6cc014c0,
    0x80cfffff,0xfffd983c,0x1104efff,0x3ffaa020,0xffd73eff,0xd9805bff,
    0x4effffff,0xffffffd8,0xfd931eff,0xffffffff,0x98dfffff,0xffffffff,
    0x8007ffff,0xfb504ff8,0x005bffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x22000000,0x99999999,0x4cc40009,
    0x00199999,0x0002664c,0x4c4000cc,0x19999999,0xb85b5000,0x9999800c,
    0x99999999,0x26621999,0x00999999,0x26666666,0x33333310,0x33101333,
    0x80033333,0x99999998,0x99999999,0x7ffe4099,0x7f4c0dff,0x333312ff,
    0x33333333,0x44133333,0xffffffeb,0x02deefff,0x3ffffae2,0x02dfffff,
    0x0000ffec,0x2e20017a,0x3dfffffe,0x27ff8800,0x7cc05ffa,0xffffffff,
    0x25ffffff,0xffffffea,0x3ffb202d,0xffb11dff,0x07dfffff,0x9dffff95,
    0x7f64c001,0xffffffff,0x85ffffff,0x7403fff9,0x3ffff60f,0xffffffff,
    0x902fffff,0x54c13fff,0x6401effe,0xeca9afff,0x3fa00dff,0x3fe60004,
    0x3ff20000,0x3e20001f,0x017fea7f,0x33357df3,0xfffb3333,0x7ffff501,
    0x07bfe200,0x06ffffa8,0x0003ffa8,0x05ffdfd8,0x2e0df531,0x21fc04ff,
    0xb99aadfe,0xca999eff,0xdff502ff,0x00fffb80,0x3a21bfea,0xdd100eff,
    0x1ffe4000,0x0fff5000,0xb8395000,0x0075400c,0x7017ffcc,0x22007fff,
    0xff9800ff,0x03fb807f,0xff5db000,0x7c0d300b,0xd03ea06f,0x417fea09,
    0xdff303f9,0x409ff900,0xff106ff9,0x007cc07f,0x03fffc40,0x00dff300,
    0x75000000,0x0bffd100,0x200fffb0,0x3ea002fb,0x13e603ff,0x557c4000,
    0x40d005ff,0x09d02ffb,0x17fea01d,0xdff303b8,0x40fff300,0x3f606ff9,
    0x001d406f,0x017ff7dc,0x006ff980,0x1b800000,0x00effd80,0x803fff88,
    0xffc8004e,0x005e880f,0x7fd5b200,0x7c407005,0x581f986f,0x8817fea0,
    0x00dff303,0x7cc07ffe,0x3ffee06f,0xce800001,0x30005ffb,0xffffffff,
    0x00000039,0x3ffea006,0x3ffee001,0x0003ee00,0x76c2fff4,0x5f100000,
    0x00017fea,0x1b20ffdc,0x017fea00,0x4037fcc0,0xf300fff9,0x7ffd40df,
    0x50002a02,0x03fff13f,0x33dff300,0x81dfff93,0x6c1fffed,0x0000ffff,
    0x0009fff1,0x3e60bffd,0x3fe60002,0x0007ee2f,0x3fea6c80,0xf8800c05,
    0x4001fc5f,0x30005ffa,0xff700dff,0x037fcc0d,0xc881fff7,0x2ec000ff,
    0x30009ff9,0xffd10dff,0x03ffb01d,0x40003ffa,0x30006ffd,0x0bd07fff,
    0x1fff9000,0x400005f5,0x17fea1f8,0x7fe400d0,0x50001f51,0x26000bff,
    0x7fcc06ff,0x1bfe603f,0x76c6ffd8,0x26000fff,0x03ffe62f,0x20dff300,
    0xfb84fff8,0x01ff901f,0x03fff700,0x07ffdc00,0x200001f7,0x004fdffe,
    0x3ea2e400,0x801e205f,0x009d5ff8,0x0017fea0,0x22077fcc,0x402fffb9,
    0xff706ff9,0x03ff603f,0xffe86c80,0x37fcc003,0xf70dffb0,0x03fee03f,
    0x07fff300,0x2bffd000,0x200003f8,0x0006fff9,0x3ea0fcc0,0xca9999ef,
    0x7fe4007e,0xf50001fa,0x3e6000bf,0xffffffff,0xf9800eff,0x3ffaa1ef,
    0x03ff202f,0x7d41fc40,0x7fcc006f,0x03fff206,0x3ee03ff7,0x7ff4000f,
    0xff300005,0x0000db5f,0x001fff70,0x7d42ec00,0xffffffff,0x7fc4007f,
    0x3ea0006f,0xff30005f,0xd975333f,0xf9805dff,0xeffffdff,0x07fdc00c,
    0xff00fb80,0x7fcc003f,0x03fff206,0x3ee03ff7,0x3ff2000f,0x3200000f,
    0x0001ffff,0x05fffa80,0x503f3000,0x1f660bff,0x00bff600,0x005ffa80,
    0xb80dff30,0xf300efff,0xfb8000df,0x409d000f,0x26005ffc,0x3ffa06ff,
    0x701ffb87,0x3e6001ff,0x800002ff,0x00004ffe,0x3fffcf98,0xeefe8000,
    0x05ffeeee,0x3fcc003c,0x17fea000,0x037fcc00,0x982fffd4,0x5c0006ff,
    0xdfa800ff,0xfdcccccc,0xff3000ff,0x13ffe20d,0x7dc07fee,0xffe8800f,
    0xf9000005,0x8800007f,0x01fff94e,0x555fd400,0x05ffcaaa,0x04e8002c,
    0x02ffd400,0x006ff980,0xf301fffd,0xfb8000df,0xcced800f,0xfecccccc,
    0xdff3003f,0x20dfff30,0xff701ffb,0x1fff9001,0x3f200000,0x6c00003f,
    0x002fff46,0x7fd409d0,0x4c000405,0x7d40001f,0xff30005f,0x3ffee00d,
    0x006ff982,0x2007fdc0,0xffa802f8,0x3dff3006,0x1bfff953,0x5c07fea0,
    0x7fd400ff,0x2000001f,0x00003ffc,0xfff303f2,0x01f50007,0x0002ffd4,
    0x40002e40,0x30005ffa,0x3ea00dff,0x6ff981ff,0x07fdc000,0xfe801b20,
    0xfff9802f,0x02ceffff,0xfb817fd4,0x3ffe200f,0x000a6004,0x00007ff9,
    0x7fe40bea,0x01f4000f,0x50017fea,0x0002f880,0x0005ffa8,0x3200dff3,
    0xdff307ff,0x0ffb8000,0xb800fe20,0xff9805ff,0x3fe60006,0x403ffb02,
    0x64006ffd,0x1ffe4001,0x027c4000,0xb801bffa,0x2ffd400f,0x5d807700,
    0xbff50000,0x1bfe6000,0x413ffe20,0x40006ff9,0x3ee00ffb,0x3ffe2000,
    0x037fd401,0x88dff100,0xf702ffde,0x3c4003ff,0x01ffe400,0x2017a200,
    0x8804fff9,0x5ffa803f,0x7e41f300,0x0000fedf,0x000dff50,0xd101bfee,
    0x3ea01bff,0x7e40007f,0x00df101f,0xa80bffd0,0x640007ff,0xb9fdcfff,
    0x3e22dfff,0x3a2003ff,0x4ffe8006,0x03fa2000,0x017ffec0,0x3ee003f6,
    0x46e9806f,0x002fffff,0x01bfee00,0x2ffff620,0xffca999a,0x3ff6204f,
    0x3fa0002f,0x06fd883f,0x0cfffe80,0x02fffd88,0x3fffa200,0x817df71e,
    0xaaaafffe,0xfebaaaaa,0x7fcc005f,0xfa8000ef,0xffb000ff,0x3fee05ff,
    0x7fff4401,0xcaa9999b,0x67fd43ff,0x36200001,0xb3001fff,0xffffffff,
    0x037bdfff,0x3fffff66,0x3ae004ef,0xf71dffff,0x801bffff,0xfffffffd,
    0xfffffb33,0x440009df,0xfb814c0a,0xffffffff,0xffffffff,0xfffd7003,
    0x7005bfff,0x0bfffffd,0x7fffff5c,0xfffd33ff,0xffda85df,0xffffffff,
    0x101fffff,0x7ecc0000,0x03efffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x02da8793,
    0x555cc066,0xaaaaaaaa,0x001baaaa,0x51000095,0x4c00b103,0x2a660006,
    0x03530000,0x00054c40,0x44008802,0x0000000a,0x0182a620,0x4c402a62,
    0x00000009,0x5ffb05c4,0x2d807ffc,0x44000150,0x000b7002,0x3ffb7ae2,
    0x4c005d14,0xdfea8007,0xd8804ffe,0x202fffef,0x1effefe9,0x07a06980,
    0x3ffb7b22,0x0003b504,0xffddfb80,0xecfe985e,0xfdfd33ff,0x800001bf,
    0x1ffb30ea,0xfff17fec,0x2a05f301,0x00a20000,0xee8002dc,0x0fbbfa20,
    0xa800f300,0x13fea0ef,0x3f21dfa8,0x10bfb83f,0x7c405ffd,0xdd10bb02,
    0x2077f441,0x0002efd8,0x3ee20fa8,0x3ee37dc5,0xfd50bfcf,0xf710000d,
    0x07fc219f,0x82c98791,0x01502ff8,0xb8014400,0x80fd8005,0x4000fff8,
    0x1ffc0079,0x5f983fec,0x260fff88,0x0fff883f,0x07f20dd0,0x3fe203fa,
    0x17ff9306,0x6c136000,0x3e21ffc5,0x3ffb84ff,0x7df93000,0x0003fa01,
    0x502ffe88,0x01440001,0x7e4005b8,0x013ff604,0x7c400f30,0x80ffc83f,
    0x1ffb01fd,0xffd807ec,0xfa82fd83,0x3204fd85,0x3ee203ff,0x3e2001cf,
    0x7fc4b306,0x982ffe82,0x6d4007ff,0x0fe802df,0xffff5000,0x0054dfff,
    0x2e005100,0x817fc005,0x000fffdc,0x1d9001e6,0xfa81ff70,0xf98ae207,
    0xc999999d,0x437dc5ff,0x7fc41ff9,0x03ffe203,0x00b7faa0,0x21c13fe6,
    0xbffe80dc,0xfffaaaaa,0x67f5c400,0x003fa001,0xff731015,0x00541337,
    0x2e005100,0x0bfe6005,0x00fff5ae,0x10000f30,0xfb83ffd7,0x677dc006,
    0xcccccccc,0xf10bfea3,0x03ff50bf,0x2001ffe8,0x200befd9,0x0002effe,
    0xddddfff7,0x201ddddd,0x000bffc8,0xfc880fe8,0x0bfe600f,0x51000054,
    0xb8016e00,0xd87541ff,0x1e6003ff,0xcbed9800,0x037ec1ff,0x30013f20,
    0x3ffd0dff,0xd803ff90,0xc88002ff,0xffa80cff,0xc8802eff,0x0007fecf,
    0x0005dfb5,0x7f6c0fe8,0x3fe600ff,0x40001502,0xddddd728,0xddddfddd,
    0x7fecbddd,0xffc83ea2,0x3bbbbaa3,0xeeeefeee,0x6c40eeee,0xd07fee2f,
    0x5fd800ff,0x21ffec00,0xffd06ffb,0x03ffc803,0x37fae200,0x7ffff4c0,
    0x7477f204,0x7f4c007f,0xfd00001d,0x803ff601,0x01502ff9,0xcca94400,
    0xcfeccccc,0x24cccccc,0x83f34ffc,0x33262ffb,0xcfdccccc,0x0ccccccc,
    0xff707be6,0x000ffd83,0xf1001ff2,0x03ffb0df,0xfb805ffb,0x2e20001f,
    0xff500cfe,0x1fe88dff,0x10007fec,0x00017ff9,0x3f201fd0,0x0bfe600f,
    0x51000054,0xb8016e00,0xb82f8dff,0x1e6000ff,0xb82ff980,0x1ffe41ff,
    0x17fdce20,0x85ff31c0,0xffc85fe8,0x003fe403,0x00bffc88,0x225fff70,
    0x1ffc84ff,0x3ee204c0,0x3a0001cf,0x01ff700f,0x0a817fcc,0x400a2000,
    0x3fe6005b,0x0df902ee,0x32007980,0x83ff707f,0x96406ffa,0x15c06ffa,
    0x3fe61bee,0x2037fd41,0x6d4005fc,0x40e602ef,0x1ff75ffa,0x4409ff70,
    0x16ff5406,0x59ff7300,0x4c01ff70,0x001502ff,0x5b801440,0x027fec00,
    0x798007fd,0x207ff600,0x7fc41ffb,0xfe8f305f,0x906880ef,0xd0bf505f,
    0x17f403ff,0x01cfeb80,0xbfd00f98,0x3e603ff6,0x009900ff,0x200fbf66,
    0xb8099998,0x3fe600ff,0x40001502,0x00b70028,0x980eff98,0x0798004f,
    0xf713fee0,0x7d4715ff,0xfea8adff,0x5f7ffd42,0x3603fdaa,0xfa83f706,
    0x04f980ef,0x005ffe44,0x3f607f30,0xd887ff73,0xb88affff,0x644000fe,
    0x40000cff,0x3e600ffb,0x0001502f,0x05b80144,0x06fff640,0x26000bd1,
    0x3ffe2007,0xfffacfce,0x7fffec1e,0xff904fff,0x80dfffff,0x50d902e8,
    0x2f4c1bff,0x005dfb30,0x882ffe60,0x37ffe26f,0xffe8bfba,0x001fffff,
    0x077fae20,0x007fdc00,0x02a05ff3,0x70028800,0xe8ae400b,0x00beeeff,
    0xa800f300,0xff12effe,0x3ffee03d,0x7fd403ff,0xd3004fff,0x7f4c1740,
    0xd303eeef,0x980003bf,0xbeddffff,0x77fff540,0x3ffff621,0x2a00002e,
    0x5c000efd,0x3fe600ff,0x40001503,0x99999528,0x9999fd99,0x03a29999,
    0x00001551,0x022000f3,0x09a98004,0x002aa600,0x10044010,0x0ca80155,
    0x4c420000,0x00aa801a,0x00000d4c,0xb8001930,0x3fe200ff,0x00054325,
    0x3332a510,0xcccccccc,0x004ccccc,0x02440000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7c00ffb8,0x02a2eeff,0x00028800,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x03ff9000,0x543eff98,0x00a20000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7ff40000,0x32a01003,0xcccccccc,
    0x2dcccccc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x75c00000,0x001dffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x01100400,0xdfffffb8,0x8ffff4c0,0x52fffffc,0x87fffffd,0x0b15fffd,
    0x81260262,0xb0054409,0xfd83fffd,0x0cc00fff,0x0a8802a2,0x01882600,
    0xfff30010,0xffffffff,0x3fffea3f,0xfffd32ef,0x00298007,0x014c002e,
    0x099000a8,0xfd1003a6,0x986e809f,0xffd80fff,0xe88fea06,0xdffff915,
    0xd7117e67,0x3fff665f,0x80ffec04,0xeb880ffe,0xbfffb13f,0x77fff4c1,
    0x25fd7100,0x7e406ffc,0x4d67cc02,0x4ffd9999,0x4c2fffb8,0x7c4000ef,
    0x0ee8802f,0x44027cc0,0x05f1005f,0x3fe60176,0xfc80fc05,0x40dff01f,
    0xefee886c,0xfefca89a,0x57fff5c4,0x2fffdef9,0x6407fee0,0x7ff5c0ff,
    0xffcdf9bf,0xff9df55f,0xfffd70bf,0x03ffff75,0x166027f4,0x3206ffa8,
    0x007645ff,0x1002ff80,0x13e601dd,0x8017f640,0x04f881fb,0xd500ffe8,
    0xc827fc40,0x205d00ff,0x3fa203fa,0x1bbff900,0xf703ffcc,0x03fee03f,
    0x106effdc,0x441d7ffd,0xff701ffd,0x13136ab9,0x98111fec,0x01fff103,
    0x3f52ffe8,0x00044000,0x9f303ba2,0x1b27e600,0x6407fc40,0x1ffd402f,
    0x3ff402e8,0x7984ffa8,0x3a2013a0,0x20bff504,0x3fee07fd,0x201ff701,
    0xff705ff9,0x40bfea0b,0x2e00effa,0x2e3f72ff,0x740220ff,0xff9802ff,
    0x00002f8f,0x21dd1000,0x57a005f9,0xdf7003f8,0x401ff881,0x807986ff,
    0xffd82ffa,0x1f504c86,0x2a03ea00,0x1ff902ff,0x5c07fee0,0x7ff300ff,
    0x4c0ffe60,0x7ff303ff,0x9afff980,0x001fff97,0x5c009ff9,0x00004fff,
    0x4f744000,0x83ea005f,0xff8800fa,0x200efc85,0x02641ffc,0x3e22ffc4,
    0x80fc2ffb,0x0be2005c,0x7dc0bfe6,0x03ff701f,0x7cc03fee,0x09ff103f,
    0x7cc13fe2,0xfec9802f,0x00befdec,0x8006ffa8,0xeb802ffe,0xeeeeeeee,
    0x5eeeeeee,0x8017fa20,0x005e83f8,0xff889ff7,0xf17fe206,0x83ff2003,
    0x2a5ff8cc,0xd000f606,0x205ff307,0xff701ffa,0x403fee03,0xff103ff9,
    0x413fe209,0x4c002ff9,0x22000dfe,0xa8000fff,0x65400eff,0xcccccccc,
    0x4ccccccc,0x003bfe60,0x01f98364,0x6c1fff88,0x3ff603ff,0x7cc00b70,
    0x3f21f12f,0x1ec07b0f,0x3e60fa00,0x03ff502f,0x7dc07fee,0x07ff300f,
    0x7c413fe2,0x05ff304f,0xbd9fb710,0xffd0039f,0xfbd10005,0x0000009f,
    0x7746fcc0,0x900fcc00,0x87ff700d,0x7d405ff8,0xe8005d3f,0x7fccb76f,
    0x17200f8b,0xff303f00,0x407fea05,0xff701ffa,0x40ffe601,0xff104ff8,
    0x00bfe609,0x2f17fff3,0x3f206ffd,0x29b0004f,0x00002ffd,0x225f9800,
    0x017a00ee,0x7fc407f1,0x800efc85,0x80079ffe,0x741f9ffb,0x7d404bef,
    0x301f5000,0x3fea05ff,0x205ff501,0xff300ffb,0x413fe207,0xff304ff8,
    0x72ffb805,0x203ff61f,0x80a06ffa,0x03ffe26b,0x2000c400,0x0ee885f9,
    0xfa800fa8,0xf10df700,0x3fee003f,0xff88003f,0x1fffb85e,0xf8805e80,
    0x205ff303,0xff301ffa,0x407ff605,0xff103ff9,0x413fe209,0x1a802ff9,
    0x882a8bf6,0x41600fff,0x2ffd40f9,0x017fc400,0x3a205f98,0x800fe20e,
    0x80ff884e,0x3e2002fd,0xfb0000ff,0x0dff105f,0x4c037ea0,0x5ff300fe,
    0x4407fea0,0x7ef446ff,0x07ff302f,0x7c413fe2,0x07ff304f,0xd009fd00,
    0x886805ff,0x07ffb03f,0x802ff880,0x5e8805f8,0x03100062,0x07f303f9,
    0x000bf900,0x7fb037d4,0x7fdbf300,0xddbf9535,0x207ff701,0x3f202ffb,
    0xfb9fdcff,0x7fcc2dff,0x209ff104,0xff505ff8,0x07fb0009,0x5304ffc8,
    0x00fe88db,0x8005fff5,0x800a0018,0x88000018,0x000bb02f,0xf0000be6,
    0x2007cc05,0x3ff6e4f9,0x90bd11df,0x3ff609ff,0x3fffa204,0x017df71e,
    0x3ea0bff7,0x0dff505f,0x4001bfee,0x7fffcc01,0xffffffff,0x07bffe66,
    0x1dfffff7,0x00000000,0x1e400000,0x14000698,0x1400c000,0x44001c40,
    0x3ffffaa3,0xffffd73e,0x2054405b,0xfffb3029,0x3ff6a9df,0xffb54eff,
    0x3faa7dff,0x0005efff,0x00000000,0x00000000,0x20000000,0x00002200,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x9801b980,0x4dd4401b,0x0de54400,
    0x402aee60,0x5c42b880,0x2aaaaa22,0xaaaaaaaa,0x5510aaaa,0x55555555,
    0x15555555,0x05997010,0x0001332a,0xda87b300,0x377776e1,0x266664dd,
    0x99999999,0x22219999,0x88888888,0x00888888,0x00000000,0x17ffff44,
    0x0ffff744,0x00fe8a74,0x09ffdff7,0x07beebb2,0x7fe45ff9,0x7d43ff21,
    0xffffffff,0xffffffff,0xffffff51,0xffffffff,0x82c83fff,0xffb06ff8,
    0x39df9103,0x3ffd1a00,0xffc9ffe2,0xf35fffff,0xffffffff,0xffffffff,
    0x3fffffe6,0xffffffff,0x000007ff,0x45e40000,0x0ec0ffb8,0x21fa8bf9,
    0x1cfa84fd,0x1fc89f71,0x7fc43fe6,0x45ffb0ff,0x00002ffe,0x000003f1,
    0x7cc06fcc,0x982ff80f,0xbeffdcef,0xffe8d300,0x6dcfff11,0x24dddddd,
    0x88888888,0x88888888,0x26666660,0x99999999,0x00000199,0x21220000,
    0x3e6042fe,0x17f224c4,0x88fdc17e,0x3a4fe87f,0x3ffb2fff,0x0000ffec,
    0x00001f88,0x5417fee0,0xe81fd43f,0xadffda82,0x6442ea88,0x0000e542,
    0x00000000,0x00000000,0x00fc8000,0xbb500764,0x102f98bf,0x2e1bea7f,
    0x4f62a26f,0x3ff20ffb,0x3f100000,0xfa800000,0x09916e07,0xfd7101a2,
    0x00007dff,0x00000000,0x00000000,0x7c000000,0x40fee206,0xa8bf73e9,
    0x7dd3a00f,0x1f06fa87,0x0ff51fea,0x00fc4000,0x13ee0000,0x06205890,
    0x0002a980,0x00000000,0x00000000,0x40000000,0x3fb201fa,0xf727d45f,
    0xf302f88b,0xf503fea5,0x2fccb50b,0x80001be6,0xffff51f8,0xffffffff,
    0x2a3fffff,0x00000dfc,0x00000000,0x00000000,0x00000000,0x44000000,
    0x3ff3002f,0x0df70ff4,0x443f20dd,0x217e43ff,0x7c27c1e9,0x10c00004,
    0x33333333,0x33333333,0x000054c3,0x00000000,0x00000000,0x00000000,
    0x40000000,0x7dc002e8,0x36e7bfa3,0x3be60bef,0x543fda8a,0xc89d11ff,
    0x3e82e80e,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xe9800000,0x3ea004c1,0x2277fea1,0xffe983ff,0xdfd302ff,0x2e01885d,
    0x00001c80,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x55567cc0,0xbd0260fc,0x53002200,0x00004003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0xfffffffa,0x3b3bfe24,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99988000,0x4c409999,0x0000009a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__times_37_latin1_x[224]={ 0,3,2,0,1,1,1,1,1,0,2,0,1,1,
2,0,1,3,0,1,0,1,1,1,2,1,2,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,2,0,1,0,-1,1,1,-1,1,1,1,1,0,0,0,
-3,0,0,0,0,1,-1,1,0,1,0,0,0,0,0,0,0,4,2,2,0,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,2,0,0,0,
2,2,0,1,-1,1,0,1,1,-1,1,0,0,0,3,2,-1,2,3,2,0,1,2,2,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,-1,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,0,0,0,0,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
 };
static signed short stb__times_37_latin1_y[224]={ 29,6,6,6,5,6,6,6,5,5,5,9,25,20,
25,5,6,6,6,6,6,6,6,6,6,6,13,13,9,14,9,6,5,6,6,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,5,6,6,34,6,13,5,13,5,13,5,13,5,5,
5,5,5,13,13,13,13,13,13,13,9,14,14,14,14,14,14,5,5,5,17,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,29,13,7,6,10,6,
5,6,7,6,6,13,14,20,6,3,6,9,6,6,6,14,6,16,28,6,6,13,6,6,6,13,-1,-1,-1,0,
1,1,6,6,-1,-1,-1,1,-1,-1,-1,1,6,0,-1,-1,-1,0,1,11,6,-1,-1,-1,1,-1,6,5,6,6,
6,6,7,5,13,13,6,6,6,7,6,6,6,7,5,6,6,6,6,6,7,11,13,6,6,6,7,6,5,7,
 };
static unsigned short stb__times_37_latin1_w[224]={ 0,5,10,17,15,26,24,4,10,10,13,19,6,9,
4,10,15,10,16,13,16,14,15,15,13,15,5,6,19,19,19,13,29,24,21,21,23,20,18,23,24,11,13,25,
20,30,25,22,18,22,23,15,19,24,24,32,24,24,20,8,10,8,16,18,7,14,17,13,16,13,14,17,17,9,
10,17,9,26,17,15,17,16,12,11,10,17,17,24,17,17,15,10,2,10,19,18,18,18,18,18,18,18,18,18,
18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,18,0,5,13,16,17,17,
2,13,11,24,11,15,19,9,24,18,11,18,10,9,7,16,17,4,6,6,10,15,23,23,25,13,24,24,24,24,
24,24,30,21,20,20,20,20,11,11,11,11,23,25,22,22,22,22,22,15,22,24,24,24,24,24,18,16,14,14,
14,14,14,14,21,13,13,13,13,13,9,9,10,10,15,17,15,15,15,15,15,18,17,17,17,17,17,17,17,17,
 };
static unsigned short stb__times_37_latin1_h[224]={ 0,24,10,24,27,24,24,10,32,32,15,18,10,3,
5,25,24,23,23,24,23,24,24,24,24,24,17,22,17,8,17,24,32,23,23,24,23,23,23,24,23,23,24,23,
23,23,24,24,23,30,23,24,23,24,24,24,23,23,23,30,25,30,13,3,6,17,25,17,25,17,24,24,24,24,
32,24,24,16,16,17,24,24,16,17,21,16,16,16,15,23,15,32,32,32,6,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,24,29,24,16,23,
32,30,4,24,11,17,8,3,24,3,11,18,13,13,6,23,31,4,8,13,11,17,24,24,24,24,30,30,30,29,
28,28,23,30,30,30,30,28,30,30,30,28,23,30,31,31,31,30,29,14,24,31,31,31,29,30,23,25,24,24,
24,24,23,25,17,23,24,24,24,23,23,23,23,22,25,23,24,24,24,24,23,14,18,24,24,24,23,31,32,30,
 };
static unsigned short stb__times_37_latin1_s[224]={ 242,73,64,1,47,168,201,251,1,30,154,
79,57,170,251,111,35,82,48,135,65,149,164,205,221,235,250,249,228,95,174,
101,47,52,1,148,226,27,118,1,147,214,239,1,150,185,25,170,23,142,110,
19,234,26,51,51,160,135,114,124,157,133,237,199,122,99,122,114,140,128,84,
99,117,244,88,83,211,114,78,158,193,76,141,194,12,96,17,35,184,216,168,
99,41,77,138,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,242,248,127,
115,60,196,44,242,158,1,22,142,75,170,180,180,34,42,1,12,130,93,110,
251,115,248,46,1,177,153,127,113,49,74,99,166,22,214,185,209,231,1,22,
1,80,115,68,239,172,165,146,26,194,92,191,221,210,217,169,1,141,43,77,
94,195,16,233,1,216,63,206,171,31,45,59,93,42,137,107,1,78,231,51,
67,132,79,134,202,61,221,226,95,96,128,12,191, };
static unsigned short stb__times_37_latin1_t[224]={ 32,126,315,151,97,97,126,66,1,1,297,
274,315,315,77,97,151,226,226,151,226,151,151,151,151,151,201,225,274,315,274,
176,1,250,250,176,201,226,201,201,201,201,176,226,225,225,201,176,250,34,225,
151,250,176,201,151,250,250,250,34,97,34,297,315,315,274,97,274,97,274,151,
151,151,126,1,176,176,297,297,274,176,201,297,274,274,297,297,297,297,250,297,
1,1,1,315,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,
274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,274,32,97,66,
176,297,201,1,1,315,176,315,274,315,315,151,315,315,274,315,315,315,225,1,
83,315,274,315,297,126,126,126,126,34,34,34,66,97,66,250,34,34,66,66,
97,66,66,66,66,201,34,1,34,1,66,66,297,97,1,1,34,66,66,250,
97,97,126,97,126,225,97,274,225,126,126,126,201,250,201,201,274,97,225,176,
176,176,126,225,297,274,176,126,126,250,1,1,34, };
static unsigned short stb__times_37_latin1_a[224]={ 134,178,218,267,267,445,416,96,
178,178,267,301,134,178,134,149,267,267,267,267,267,267,267,267,
267,267,149,149,301,301,301,237,492,386,357,357,386,327,297,386,
386,178,208,386,327,475,386,386,297,386,357,297,327,386,386,505,
386,386,327,178,149,178,251,267,178,237,267,237,267,237,178,267,
267,149,149,267,149,416,267,267,267,267,178,208,149,267,267,386,
267,267,237,257,107,257,289,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,416,
416,416,416,416,416,416,416,416,134,178,267,267,267,267,107,267,
178,406,147,267,301,178,406,267,214,293,160,160,178,308,242,134,
178,160,166,267,401,401,401,237,386,386,386,386,386,386,475,357,
327,327,327,327,178,178,178,178,386,386,386,386,386,386,386,301,
386,386,386,386,386,386,297,267,237,237,237,237,237,237,357,237,
237,237,237,237,149,149,149,149,267,267,267,267,267,267,267,293,
267,267,267,267,267,267,267,267, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_37_latin1_BITMAP_HEIGHT or STB_FONT_times_37_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_37_latin1(stb_fontchar font[STB_FONT_times_37_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_37_latin1_BITMAP_HEIGHT][STB_FONT_times_37_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_37_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_37_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_37_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_37_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_37_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_37_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_37_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_37_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_37_latin1_s[i] + stb__times_37_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_37_latin1_t[i] + stb__times_37_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_37_latin1_x[i];
            font[i].y0 = stb__times_37_latin1_y[i];
            font[i].x1 = stb__times_37_latin1_x[i] + stb__times_37_latin1_w[i];
            font[i].y1 = stb__times_37_latin1_y[i] + stb__times_37_latin1_h[i];
            font[i].advance_int = (stb__times_37_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_37_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_37_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_37_latin1_s[i] + stb__times_37_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_37_latin1_t[i] + stb__times_37_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_37_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_37_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_37_latin1_x[i] + stb__times_37_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_37_latin1_y[i] + stb__times_37_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_37_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_37_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_37_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_37_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_37_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_37_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_37_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_37_latin1_LINE_SPACING
#endif

