// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_35_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_35_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_35_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_bold_35_latin1_BITMAP_HEIGHT        314
#define STB_FONT_times_bold_35_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_35_latin1_FIRST_CHAR            32
#define STB_FONT_times_bold_35_latin1_NUM_CHARS            224

#define STB_FONT_times_bold_35_latin1_LINE_SPACING          23

static unsigned int stb__times_bold_35_latin1_pixels[]={
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x33332200,
    0x55555440,0x00400001,0x53000000,0x0019854c,0x3fffe800,0x3fe20000,
    0x540001ff,0x00006fff,0x005fffb0,0x0ffff600,0x7fc40000,0x3f60006f,
    0x000ffa64,0x220bffee,0x004ffffb,0x32016e00,0x40005fff,0x4fee4ffb,
    0x0001dfe9,0x003fff88,0x0fffdc00,0xfffa8000,0x7cc00001,0x00006fff,
    0x0001bffa,0x1ffffec0,0x8fffdc00,0x4000fffc,0x7f403ffe,0x980004ff,
    0x3ff2005e,0x3bf60007,0x3ea1fdc0,0x7dc0001f,0xe800004f,0x400001ff,
    0x00004ffb,0x1fff7ff4,0xffe88000,0x7cc00000,0x000fffef,0xfc8fffd4,
    0x7fc4007f,0x4fffd803,0x02fcc000,0x0017fec0,0x7dc17fe4,0x000ffe83,
    0x00013fa0,0x0007fe20,0x0037dc00,0x325ff500,0x2200007f,0x400003fe,
    0x3fe98dfe,0x223ec800,0x7dc002ed,0x9fff9004,0x0ffc4000,0x005fd800,
    0xfb80fff8,0x003ffc83,0x00009f10,0x0000bee0,0x0003f900,0x7f707ba0,
    0x37440000,0x89f50000,0x00000fe8,0x00264000,0x0009fff9,0x0001bfa2,
    0xff8800fb,0xd83fb81f,0x310005ff,0x04400000,0x09800000,0x00da8000,
    0x880000b5,0x0f600001,0x000003c8,0x7e400000,0xf90004ff,0x0300005f,
    0x82fff880,0x4fff83fb,0x00062000,0x00000000,0x88000000,0x22000001,
    0x00000001,0xaaaaa980,0x2aaaa22a,0x55555531,0x0d555445,0x5cd3fff2,
    0x3fe201cd,0x00000007,0x3ee13ffa,0x01fffc43,0xfdffd930,0xd88019bd,
    0xeffffffe,0x7fff6c2d,0xffdb10df,0x85bdffff,0x0dffffed,0x77ff64c0,
    0x0000cdef,0xdfdffd93,0xed88019b,0xdeffffff,0x7ffff6c2,0xffffd30d,
    0x67fd443d,0xdffffd30,0x067fd443,0x3eb3fff2,0xf705ffff,0x7fecc0df,
    0xffffffff,0x00ffffff,0x7f70bffb,0x801fff98,0x222effc8,0xd003ffea,
    0x900dffff,0x7ff401df,0xefc806ff,0x77fe4400,0x0fffaa22,0x2effc880,
    0x00fffaa2,0x037ffff4,0x7c4077e4,0x0d905fff,0x20bffff1,0xdfff906c,
    0x7fffb33d,0x200bfff0,0x99dffffd,0x0fffebaa,0xf70bff90,0x00fff987,
    0x8077ffd4,0x400efff9,0x804ffffc,0x7fe403f8,0x3f8804ff,0x077ffd40,
    0x00efff98,0x8077ffd4,0x400efff9,0x804ffffc,0x3ff203f8,0x3205d07f,
    0x05d07fff,0xf07ffff2,0x7fcc3fff,0xfff7004f,0x07fdc09f,0xfb83ffb8,
    0x203ffc43,0x401ffff8,0x6406fffc,0xf003ffff,0xffffc805,0x4405f003,
    0x6401ffff,0x3e206fff,0x7e401fff,0x7fe406ff,0x05f003ff,0x217fffc4,
    0x3ffe2078,0xf903c42f,0xfffb0bff,0x01fffd49,0x04ffffa8,0xffd807dc,
    0xfd83fb81,0x3fff600f,0x7fffd005,0x1ffffdc0,0x7dc02f80,0x5f003fff,
    0x02fffec0,0xb03fffe8,0x3a00bfff,0x3ee03fff,0x5f003fff,0x46fffd80,
    0x7ffec04b,0xff9025c6,0xdfff709f,0x801fffdc,0x084ffffa,0x3fe203e2,
    0x3a07f702,0xffff703f,0x3fff2007,0xffff701f,0x700be007,0x2007ffff,
    0xffff702f,0x3fff2007,0x7fffdc1f,0xffff9003,0x3fffee03,0x9805f003,
    0x07a1ffff,0x43ffff30,0x3fff201e,0x27fffb84,0x5003fffc,0x4889ffff,
    0x0b7ee06c,0xf9103fb8,0xfffff83b,0xffff7000,0x3fffee0b,0xb805f003,
    0xf003ffff,0x3ffffe05,0xffff7000,0x0fffff8b,0xbffff700,0x0ffffee0,
    0x7f4017c0,0x200d35ff,0x0d35fffe,0xa84fffc8,0xffb0ffff,0x3fea005f,
    0x0225c4ff,0x7f7005f7,0x3e67d880,0x26007fff,0xf706ffff,0x3e007fff,
    0x7fffdc02,0xf305f003,0x4c00ffff,0x3e66ffff,0x26007fff,0xf706ffff,
    0x3e007fff,0xffffa802,0xff5003c8,0xc80791ff,0xffa84fff,0x0ffff27f,
    0x27fffd40,0x3baa0136,0x440fee02,0x3fea1dfc,0x3e6007ff,0xfb80ffff,
    0x5f003fff,0x3ffffb80,0xff505f00,0x7cc00fff,0xff50ffff,0x7cc00fff,
    0xfb80ffff,0x5f003fff,0x33fffe00,0x3ffe000f,0x7e400fcf,0xfffa84ff,
    0x00fffee6,0x127fffd4,0x17fc009f,0x9fb03fb8,0x0dffff90,0x7ffffc40,
    0x3ffffb81,0xfb805f00,0x5f003fff,0x0dffff90,0x7ffffc40,0x0dffff91,
    0x7ffffc40,0x3ffffb81,0x2e005f00,0x4005ffff,0x805ffffb,0xfb84fffc,
    0x3ffea5ff,0xffff5003,0x009ff73b,0x7dc0ffe4,0xd81ffd83,0x2006ffff,
    0x82fffff8,0x003ffffb,0xfffb805f,0xb05f003f,0x400dffff,0xb2fffff8,
    0x400dffff,0x82fffff8,0x003ffffb,0x3fe2005f,0x7c4002ff,0xfc802fff,
    0xfffc84ff,0x013ffe63,0x7fffffd4,0x2e004fff,0x83fb84ff,0xfff907ff,
    0x7fc400df,0xffb81fff,0x05f003ff,0x03ffffb8,0xfff905f0,0x7fc400df,
    0xfff91fff,0x7fc400df,0xffb81fff,0x05f003ff,0x003ffe40,0x9007ffc8,
    0xff83ffff,0x05ffe86f,0x19ffff50,0x64009fd3,0x43fb86ff,0xfb80fff9,
    0x26007fff,0xb80fffff,0xf003ffff,0xffffb803,0xf703f003,0x4c00ffff,
    0xf70fffff,0x4c00ffff,0xb80fffff,0xf003ffff,0x27fcc003,0x04ff9800,
    0x7ddfff90,0x703fffb3,0x3ea00dff,0x13e24fff,0xb85ffd80,0x0fffcc3f,
    0x07ffffcc,0x7ffff980,0x07ffff70,0xff7007e0,0x07e007ff,0x03ffffe6,
    0x3ffffcc0,0x01fffff3,0x1ffffe60,0x01ffffdc,0x7ec001f8,0x07f60001,
    0x4e7ffe40,0x202dffff,0xfa800fff,0x02644fff,0xf709fff0,0x105fff07,
    0x001fffff,0x417fffee,0x003ffffb,0xfffb803f,0x103f003f,0x001fffff,
    0x897fffee,0x000fffff,0x20bffff7,0x003ffffb,0x05a8003f,0x9002d400,
    0x054c9fff,0x401ffdc0,0x4c4ffffa,0xfff88504,0xfe83fb82,0xffff704f,
    0x3fff2005,0xffff300f,0x801f1007,0x803ffff9,0xfff700f8,0x3ff2005f,
    0x7ffdc0ff,0xfff9002f,0x3ffe601f,0x00f8803f,0x20001640,0x3ff2002c,
    0xfd10004f,0xffff500d,0x98750709,0x3fb81fff,0x3a05ffd8,0xfd006fff,
    0x7fc409ff,0x07a804ff,0x04ffff88,0x7ff407a8,0xfffd006f,0x1bfffa09,
    0x027fff40,0x009ffff1,0x11e440f5,0x11e4400d,0xfffc800d,0x3fa20004,
    0x7fffd402,0xff05d004,0x907f701f,0x7fd407ff,0x7fe401ff,0x7ff400ef,
    0x0274406f,0x406fffe8,0x7fd404e8,0x7fe401ff,0xfff500ef,0xfffc803f,
    0x7fff400e,0xd0274406,0x800ee3ff,0x00771ffe,0x004fffc8,0x2a037c40,
    0xc804ffff,0x82ffc81f,0x0ffe83fb,0x02fffcc0,0x001bfff3,0x407ffff5,
    0xff5000fd,0x07ec07ff,0x02fffcc0,0x801bfff3,0x2605fff9,0xa800dfff,
    0x3603ffff,0x2fffe00f,0x3fe000e8,0x4000e8bf,0x0005fffd,0xf700ee98,
    0xfb80bfff,0x81dfb00f,0x0ffd43fb,0x0dffe880,0x0027ff4c,0x2b7fffea,
    0x001feb98,0x56ffffd4,0x001feb98,0x3037ffa2,0x44009ffd,0x74c0dffe,
    0x7d4004ff,0xb98adfff,0x7fe401fe,0x7e4002ff,0x44002fff,0x0006ffff,
    0x3f603aa0,0x999affff,0x407fffba,0x4fee4feb,0x8001dfe9,0xffdeffdb,
    0xd30002ce,0x9fffffff,0x3fa60001,0x0cffffff,0xdffb7000,0x0059dffb,
    0x37bff6e0,0x0002ceff,0xffffffd3,0xb510019f,0xb5100039,0xee980039,
    0x003deeee,0xffec9800,0xffffffff,0x006fffff,0x99975451,0x53100000,
    0xa8800003,0x00009aaa,0x13555510,0x54c40000,0x98800001,0x4400001a,
    0x0009aaaa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26000000,0x000019aa,0x2200a983,0x000201aa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffb0000,0x64c005df,0xfedcdeff,
    0xff98002d,0xd307f71f,0x505dfbdf,0xfd80003b,0x000003ff,0x001ffff4,
    0x3fffe200,0xff900001,0x7dc0009f,0xfd1004ff,0xf88003ff,0x3fa01fff,
    0x5c4001ff,0x007a1cff,0x4001fffb,0x4c01cfea,0x3f6000ee,0xa87f74ff,
    0x0bfea1ff,0xb00013ea,0x00000dff,0x001fffc4,0x0fffdc00,0xbfff0000,
    0x7ffc4000,0xff1000ff,0xffa8007f,0x3ffee01f,0x7ff4005f,0x807eefff,
    0x32006ffd,0x7dc000cf,0x9fff9002,0x3ff88fee,0xf983ffc4,0x3fa20005,
    0x7000000f,0x000009ff,0x00007ff6,0x0005ff98,0x2fff7fe4,0x00dff300,
    0x2202ffd8,0x01ffefff,0xffffdf10,0xffb009ff,0x05fd100b,0x400fc400,
    0x7f70efe8,0x3e61ffd4,0x09fd00ff,0x01ff4400,0x04fd8000,0x5ff10000,
    0x5fc80000,0x9ffc4000,0x26001ffa,0xff1001ff,0x89efc805,0x275005fd,
    0x00cffdb8,0x4405ffd8,0xa80000fe,0x7f706006,0x7f437fdc,0x00ffea05,
    0x0006e880,0x0004f880,0x000bea00,0x0001be00,0x0bf30bf6,0x5003f980,
    0x0df9805f,0x80400fe4,0x2ffec000,0x0000bf60,0xf70002d8,0x42fffd47,
    0x00ffe800,0x00006200,0x00000620,0x00000110,0x36600006,0x8001b301,
    0x00110008,0x0025c099,0xbffb0000,0x22027dc0,0x855533dc,0x55551048,
    0xfd0fee35,0xb8003dff,0x020003ff,0x00100000,0x00000000,0x00000000,
    0x00000000,0x3ffaa000,0x3201ffff,0x365fffff,0x01be05ff,0xff3b7ff5,
    0x2e20b0bf,0x7f74ffff,0x2fffff98,0x01ffea00,0x00000e80,0xf70003a0,
    0xbfffffff,0x3ffff601,0xffffb32f,0xffffffff,0x6cc1ffff,0xffffffff,
    0xffffffff,0x3fffb660,0xb32dffff,0xfffffffd,0x3ffb665b,0x42dfffff,
    0x0efffffb,0xb03bf220,0x0fea0bff,0xfd32ffc8,0x401b05ff,0x7f74fffd,
    0x9fffff70,0x0fffe600,0x000fee00,0x001fdc00,0x2fffffd8,0x6c09fb00,
    0xa99dffff,0x00fffeba,0x33bffffb,0x1fffd755,0x3bffff60,0x3ffff600,
    0x3fff600e,0x3ff200ef,0x7c405fff,0xb05ffd83,0x9bfea01f,0xc80ffff8,
    0x53fff201,0x75fcc3fb,0x800dffff,0xe8005fff,0xd000006f,0x3e2000df,
    0xb004ffff,0xffffb80d,0x403fee04,0x204ffffb,0xff700ffb,0xffb80bff,
    0x7fdc05ff,0x7fdc05ff,0x7c04ffff,0x885ffd82,0x3fff305f,0xb837ffcc,
    0x53fff202,0xc8fe22ea,0xf806ffff,0x7d4006ff,0x400002ff,0x0002fffa,
    0x01fffff7,0x7d401f98,0x7dc04fff,0x9ffff500,0xf700fb80,0xfb809fff,
    0x7dc04fff,0x6dc04fff,0x02fffffe,0x17ff60ba,0x7ff40fe6,0x81fffd46,
    0x3fff201d,0xf507fa04,0xff805fff,0x7fec007f,0x6c00005f,0x20005fff,
    0x404ffffe,0xfffa804d,0x03e2084f,0x427fffd4,0x7d403e20,0x7d404fff,
    0x7d404fff,0x65c04fff,0x1ffffff9,0xbffb05d0,0xff305f50,0x1fffc87f,
    0x7fe401f0,0x03ff104f,0xf80dfff3,0xf3000fff,0x0003ffff,0x3ffffe60,
    0xfff50001,0x03ea01ff,0x13fffea0,0xf500d891,0x44889fff,0xffff500d,
    0xffffa809,0x7fffd404,0xffaa5c04,0x2e80efff,0xfb85ffd8,0x20fffd81,
    0xd107fff8,0x04fffc80,0x3e609ff7,0x3ffa01ff,0xfff9001f,0x20000bff,
    0x05fffffc,0x3ffffa00,0x2a005d04,0x25c4ffff,0xffffa802,0xa80225c4,
    0x5404ffff,0x5404ffff,0x5c04ffff,0x3ffffee4,0xffd82e85,0xff80fb85,
    0x27ffdc6f,0x7fe404a8,0x7fff304f,0xe807fee0,0xf8800fff,0x00fffff9,
    0x7fcfc400,0x30000fff,0xc83fffff,0x3ffea006,0x50026c4f,0x4d89ffff,
    0x3fffea00,0x7fffd404,0x7fffd404,0x3f625c04,0x1743ffff,0x7d42ffec,
    0x22fffc40,0x1b02ffff,0x04fffc80,0x2613fffa,0x3fffc07f,0xfffb5c80,
    0x5c80009f,0x009ffffb,0x2ffffec0,0x7d4003f1,0x13e24fff,0x4ffffa80,
    0xfa8013e2,0x7d404fff,0x7d404fff,0x25c04fff,0x3fffffa2,0x3ff60ba2,
    0x7d42f885,0x3ffb63ff,0xc804c80f,0x41534fff,0x20effffa,0x7ffc03fb,
    0x3e63f006,0x40007fff,0xfffff31f,0x7ffc4000,0x8009b1ff,0xb9dffffa,
    0x3ea004ff,0xffb9dfff,0x3ffea004,0x7ffd404f,0x7ffd404f,0x4425c04f,
    0xd0ffffff,0x20bffb05,0xafffdc3f,0xa86ffebc,0x9fff9006,0xfff70fee,
    0x007f15ff,0xd700bfff,0x03ffffe8,0xffe8d700,0x320003ff,0x0faeffff,
    0x7fffd400,0x004fffff,0x3fffffea,0x2a004fff,0x5404ffff,0x5404ffff,
    0x5c04ffff,0xfffff304,0x3ff60bad,0xff989d05,0xbffd6fff,0x40a61e98,
    0x7f74fffc,0xffffff50,0x7fff1007,0xffa85d00,0x5d0006ff,0x06ffffa8,
    0x3fffe200,0xfa8003ff,0xfe98cfff,0x3ffea004,0x04fe98cf,0x13fffea0,
    0x09ffff50,0x04ffffa8,0xfff7025c,0xfb05dbff,0x3e1b20bf,0xff70efff,
    0xd81bd53f,0x29fff900,0xffd303fb,0xff5009ff,0x3e0d500f,0x4002ffff,
    0xfffff06a,0x7fdc0005,0xf50007ff,0x27c49fff,0x9ffff500,0xf50027c4,
    0xfa809fff,0x7d404fff,0x25c04fff,0x3fffff60,0x05ffd82f,0x4ed985f1,
    0x80acedb8,0x3fff203a,0x6c407f74,0x5c02ffff,0x03d803ff,0x00bffff9,
    0xfff903d8,0x7c4000bf,0x50006fff,0x4c89ffff,0x3fffea00,0xf5002644,
    0xfa809fff,0x7d404fff,0x25c04fff,0x7fffff40,0x205ffd82,0x800000fa,
    0xa7ffe406,0xffb803fb,0x07ff407f,0x3ffffe60,0xffffffff,0xffff3000,
    0xffffffff,0x3e20001f,0x50006fff,0x4989ffff,0xffff5050,0x50504989,
    0xa809ffff,0x5404ffff,0x5c04ffff,0xffff8804,0x05ffd82f,0x200002ec,
    0x7ffe402d,0x2da87f74,0x980fffcc,0x04c803ff,0x027fffe4,0x7fe404c8,
    0xf10004ff,0x2000dfff,0x384ffffa,0xfffa83a8,0x83a8384f,0x404ffffa,
    0x404ffffa,0x404ffffa,0xfff3004b,0x0bffb05f,0x80003f88,0x2e1502d8,
    0x47f73fff,0x7ec0fff8,0x009fb01f,0xff9801f1,0x7c400fff,0x7fffcc00,
    0xff88000f,0xf50006ff,0x3a009fff,0x4ffffa82,0xff505d00,0xffa809ff,
    0x7fd404ff,0x02dc04ff,0xb05fff70,0xbb100bff,0x07a60001,0xfffab7e4,
    0x7fc47f72,0x983fdc0f,0x00b9004f,0x013ffffa,0x3ffa00b9,0xf88004ff,
    0x50007fff,0x9009ffff,0xffff503f,0x503f9009,0xa809ffff,0x5404ffff,
    0x6c04ffff,0x17fe4006,0x8007ffec,0x366002fb,0x55ff601d,0x90fee5ff,
    0x509fd0ff,0x0fe6009f,0x7ffffd40,0x2007f300,0x00fffffa,0x3ffffcc0,
    0xffffb800,0x407fdc05,0x405ffffb,0xffb80ffb,0x7fdc05ff,0x7fdc05ff,
    0x3fe605ff,0x417ec002,0x01ceeeec,0x8abded88,0x01ddba98,0xffdaff98,
    0xff10fee0,0x509fd759,0x3fa6001b,0xffff3006,0x0dfd30bf,0x3ffffe60,
    0x7ffdc005,0xfd8001ff,0x999affff,0xb07fffba,0x335fffff,0x0ffff753,
    0x01bffff6,0x80dffffb,0xa86ffffd,0x03effffe,0x00005d10,0x676dd4c0,
    0x5c4000ab,0x02ea82cd,0x20379d97,0x3fff2000,0xfda80def,0x1fffffff,
    0x1bdffff9,0xfffffb50,0x64c03fff,0xfffffffd,0x3b2600cd,0xffffffff,
    0x6fffffff,0x3ffffb26,0xffffffff,0x3b266fff,0xceffffff,0xffffd932,
    0x32659dff,0xeffffffe,0x4400002c,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4c400000,0x0000601a,0x006a6200,0x00000000,
    0x95000000,0xfffffddd,0x00001dff,0x7ffff640,0x7fe44001,0x80007a1c,
    0x0ff624fd,0x44bfb000,0x900003fd,0x00007fff,0xfffffd71,0x41d1159d,
    0x3ba63fd8,0xffeda802,0x000ceffe,0x833fee20,0x3f60001e,0x800ff625,
    0xeffffff9,0x2004fb99,0x13f60dfc,0x007ffee0,0xdfffffd0,0x7d4000dd,
    0x1fff92ff,0x3ffea000,0x001fff92,0x7ffff980,0x7ffdc000,0xfc988adf,
    0x3ff20fff,0x40dffd0f,0x222effc8,0x0003fffa,0xbdfffffd,0x7fd4000f,
    0x01fff92f,0xffffff50,0x8017d4df,0xff53fff8,0xfff9805f,0x3fbe2001,
    0x004fffff,0x647ffea0,0x50000fff,0x3fee5fff,0x7ec0000f,0x8003ffef,
    0x406fffd8,0x3f20ffe9,0x0dffd0ff,0x403fffea,0x000efff9,0x3ffffbe2,
    0x2a0004ff,0xfff72fff,0xffff8801,0x3ea6ffff,0x7fff1001,0x3007ffea,
    0x5c003fff,0x19ffb713,0x24ec8000,0x40002ed8,0x0bb624ec,0x25ff5000,
    0x74000ffc,0x9800ffff,0x8bb620ff,0xff881ee9,0x7fd401ff,0x452a006f,
    0x000cffeb,0xdb127640,0xffff7005,0x7d4dffff,0x833ae001,0xff9804ec,
    0x0402001f,0x00000000,0x00000000,0x04fb83dd,0x07ffff20,0x0000fb80,
    0x005fffe8,0x2007ffff,0x00008808,0x3f600000,0x6fffffff,0x000007ea,
    0x03fff300,0x0000c400,0x00003100,0x54000000,0x200b500d,0x005ffff9,
    0x5c0000f8,0xb003ffff,0x0003ffff,0x10000002,0xffffd000,0x7d4dffff,
    0x40000001,0x2001fff9,0xefeffec9,0x930000cd,0x9bdfdffd,0xffed8801,
    0x42deffff,0x0dffffed,0xb0000800,0x0007ffff,0x3ffb6617,0x22dfffff,
    0x000fffff,0x00bffff5,0x000003a0,0x7f4000e8,0x6fffffff,0x3f6607ea,
    0xffffffff,0x0fffffff,0x801fff98,0x222effc8,0x2003ffea,0x222effc8,
    0xd003ffea,0x900dffff,0x740001df,0x7ffc4000,0x200002ff,0x40effffd,
    0x007ffff9,0x01bfffea,0x0000fee0,0x2001fdc0,0xfffffffc,0xb007ea6f,
    0x533bffff,0x01fffd75,0xa803fff3,0xf300efff,0xfa801dff,0xff300eff,
    0xffc801df,0x3f8804ff,0x00fee000,0x1fffff50,0x7fdc0000,0xfffa85ff,
    0x3fe6007f,0x74000fff,0xd000006f,0xffa800df,0x26ffffff,0x7fdc01fa,
    0x3fee04ff,0x01fff980,0x007fffe2,0x440dfff9,0x6401ffff,0x7e406fff,
    0x5f003fff,0x037f4000,0x1fffff20,0xfff70000,0xffff909f,0x7ffc400d,
    0x3ea001ff,0x400002ff,0x2002fffa,0xfffffff8,0x5007ea6f,0xb809ffff,
    0x1fff980f,0x017fff60,0xd81ffff4,0xfd005fff,0x7fdc07ff,0x05f003ff,
    0x0bffea00,0x6ffffd80,0x7fd40000,0xfffd84ff,0x3fe2006f,0x36002fff,
    0x00005fff,0x002fffec,0x3fffffea,0x5007ea6f,0x4109ffff,0xfff980f8,
    0x7ffff701,0x3ffff200,0x1ffffdc1,0x1ffffc80,0x07ffff70,0x6c000be0,
    0x32005fff,0x0007ffff,0x27fffd40,0x037fffe4,0x5fffff10,0x3fffe600,
    0xf300001f,0x8003ffff,0x6ffffffa,0xff5007ea,0x6c4889ff,0x01fff980,
    0x001fffff,0xf17fffee,0x2001ffff,0x705ffffb,0x2007ffff,0xff98002f,
    0xf7001fff,0x0001ffff,0x27fffd40,0x03ffffdc,0x1fffff30,0x3ffff200,
    0xf900005f,0x000bffff,0x4dfffd93,0x7fd401fa,0x0225c4ff,0x4c0fffcc,
    0x2007ffff,0x266ffff9,0x2007ffff,0x706ffff9,0x2007ffff,0xffc8002f,
    0xf5005fff,0x0003ffff,0x27fffd40,0x07ffffcc,0x7ffffa80,0xfff3f100,
    0x880001ff,0x0fffff9f,0x5374c000,0xfffa803f,0x98026c4f,0xffa81fff,
    0x3e6007ff,0xff50ffff,0x7cc00fff,0xfb80ffff,0x5f003fff,0xff9f8800,
    0xf8800fff,0x0002ffff,0x13fffea0,0x03ffffe2,0x2ffffdc0,0xfffb5c80,
    0x5c80009f,0x009ffffb,0x0fd4d900,0x93fffea0,0xff3004f8,0xffff903f,
    0x7ffc400d,0xffff91ff,0x7ffc400d,0xfffb81ff,0x005f003f,0xffffb5c8,
    0x3fff2009,0x2a00004f,0xf704ffff,0x32005fff,0xf001ffff,0x1ffffe63,
    0x3e63f000,0x80007fff,0x5007ea6c,0xf73bffff,0x3fe6009f,0xffffd81f,
    0x3ffe2006,0xffffb2ff,0x7ffc400d,0xfffb82ff,0x005f003f,0xffff31f8,
    0x3ffe200f,0x814001ff,0x204ffffa,0x8806ffff,0x7004ffff,0x3ffffe8d,
    0xfe8d7000,0x40003fff,0x5007ea6c,0xffffffff,0x3fe6009f,0xffffc81f,
    0x3ffe2006,0xffff91ff,0x7ffc400d,0xfffb81ff,0x005f003f,0x3fffa35c,
    0xfff5003f,0x82ec00df,0x204ffffa,0x401ffffa,0x000efffb,0xffffa85d,
    0xa85d0006,0x0006ffff,0x803f5364,0x98cffffa,0xff3004fe,0xffff703f,
    0x7ffcc00f,0xffff70ff,0x7ffcc00f,0xfffb80ff,0x003f003f,0x3ffea174,
    0x3ff2006f,0x774403ff,0x9ffff501,0x05fffa80,0x003bffe2,0xffff8354,
    0x8354002f,0x002fffff,0x01fa9b20,0x127fffd4,0x3fe6009f,0xffff981f,
    0xfff3000f,0x7fffccff,0xfff3000f,0x3ffee0ff,0x003f003f,0x7fffc1aa,
    0x3fe6002f,0x95109dff,0xfffa809f,0xffe9804f,0x6fff4c0d,0x640f6000,
    0x4005ffff,0xffff903d,0x5364000b,0xfffa803f,0x9802644f,0xff881fff,
    0xf7000fff,0x7fc4bfff,0xf7000fff,0x3ee0bfff,0x3f003fff,0x7e40f600,
    0x44005fff,0xffffffeb,0xffa802df,0x36a004ff,0xdfffdeff,0x7ffcc001,
    0xffffffff,0xff3000ff,0xffffffff,0x20001fff,0x5007ea6c,0x4989ffff,
    0x1fff9850,0x05ffff70,0x03ffff20,0x005ffff7,0x403ffff2,0x803ffff9,
    0xff9800f8,0xffffffff,0x10000fff,0x80015d93,0x004ffffa,0x2fffff98,
    0xc8099000,0x9004ffff,0xffffc809,0x54d90004,0x7ffd401f,0x43a8384f,
    0x3a01fff9,0xfd006fff,0x3ffa09ff,0xfffd006f,0x7fffc409,0x9007a804,
    0xffffc809,0x27f40004,0x7fffd400,0xfff70004,0xf88001ff,0x7fffcc00,
    0x007c400f,0x03ffffe6,0x1fa9b200,0x27fffd40,0x7fcc2e80,0x3ffea01f,
    0x7ffe401f,0xffff500e,0xefffc803,0x37fff400,0x22013a20,0x7ffcc00f,
    0xb10000ff,0xfa8003ff,0x20004fff,0x005ffffe,0xffe802e4,0x02e404ff,
    0x04ffffe8,0x07ea6c80,0x09ffff50,0xff983f90,0x7ffcc01f,0x37ffe605,
    0x2fffcc00,0x01bfff30,0x07ffff50,0x2e4007ec,0x4ffffe80,0x0bfe2000,
    0xbffff700,0x7fec4000,0x4c00adff,0xfff5003f,0x0fe601ff,0x7ffffd40,
    0xf5364000,0xffffb803,0x207fdc05,0x8801fffb,0x74c0dffe,0x3a2004ff,
    0x7f4c0dff,0x7fd4004f,0xeb98adff,0x03f9801f,0x1fffff50,0x1ff91000,
    0xffffd800,0xfeb80006,0x41deffff,0xf3006fe9,0xd30bffff,0x3fe600df,
    0x64005fff,0xfb007ea6,0x3335ffff,0x64ffff75,0x001eeeed,0x3f7bff6e,
    0x70002cef,0xdffbdffb,0x3a600059,0xcfffffff,0x06fe9800,0xbfffff30,
    0x0cdeb800,0xfffd9300,0x0059dfff,0xabccba80,0x3ffff209,0xffda80de,
    0x91ffffff,0x01bdffff,0xffffffb5,0x96e003ff,0xfec980e9,0xffffffff,
    0x06ffffff,0x2a620000,0x98800001,0x4400001a,0x0009aaaa,0x1bdffff9,
    0xfffffb50,0x00003fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3b000000,0x00371000,0x00006600,0x00000000,
    0x00000000,0x35330000,0x0000e401,0x6664c000,0xa800000c,0x33320002,
    0x0100801c,0x1a600062,0x17f7f200,0xbfeb9800,0xdfff1001,0x3ffe6000,
    0x77e44006,0x7ffc4003,0x3fffa006,0x7fecc000,0x20cfffef,0x3bea00ec,
    0x00037f21,0x300bfff2,0x0f7dc5fd,0x4c000fec,0x75404fff,0x70b50bef,
    0x64001dff,0xd07c4003,0xcfea8005,0x01cffced,0x00fffff2,0x0bffffa0,
    0x3e98dd80,0x3ffff200,0xffffb803,0xdffd1004,0x67ffdc43,0x7ffc00fb,
    0x007fff35,0xd005fff0,0x3ffe2dff,0x8004fa85,0x7d405ffc,0x3fefffff,
    0x004ffff8,0x8970003e,0x3fee005b,0x1ffa2b91,0x7fffffcc,0x3bfea000,
    0x1f1006ff,0xff98034c,0x2200ffff,0x01ffffff,0x8077ffd4,0x802ffff9,
    0xfff15ffe,0x2ff98007,0x7cdffb00,0x06f884ff,0xc805fe80,0xffffffee,
    0x2ffffcc0,0x98005a80,0xf8801ec6,0x7e89725f,0xfd31dfb0,0x46ff4007,
    0xf8802ffa,0x7f401a60,0x203fe98e,0x5fe89ffc,0x07fffe60,0x00bfff90,
    0x675c1bd5,0x01fe4000,0x7543bb30,0x003fb00d,0x26802fcc,0x881dfeb9,
    0xb005ffff,0x2f7a0005,0xff7000fd,0x21ea2e4b,0x07f445fa,0x3a627dc0,
    0xb119b006,0x88bf5007,0x0ef880fe,0x7f440fec,0xff9806ff,0x000003ff,
    0x00003d80,0x800fee00,0x0002005b,0xa81ffffc,0x0000fedc,0x40019f71,
    0x0b91fffd,0x1ec07b0d,0x1d8816c0,0x0cffd980,0x5b103d80,0x42640970,
    0x403ffffb,0x0fffffe8,0x00000000,0x7c400000,0x00000006,0x41fffe80,
    0xfffbcfe8,0x07f70002,0xaffffb80,0x0000185c,0x22000000,0x00000000,
    0x3ffffa00,0x7fdeec01,0x555544ff,0x2aaaaa2a,0x2aaaaa82,0x00aaaaaa,
    0x0037bb95,0x32a001fd,0xb95003de,0x7fe4015b,0xe97fe20f,0xe8000fff,
    0x7fc4006f,0x4005ffff,0x401bddca,0x2a2aaaaa,0x5402aaaa,0x2001bddc,
    0x000addca,0x2a07bd95,0x200fffff,0xffffa8ec,0x37fff546,0x50ffffd3,
    0x74cdfffd,0xbd507fff,0x01dffd77,0x36201fdc,0x00efc9df,0xff55dfb1,
    0xb1bfea0b,0x3ffe69ff,0x7fd4003f,0x7fec002f,0xa802ffff,0xeffebbde,
    0xdfffd500,0x83ffff4c,0xffebbdea,0x3bf6200e,0x2205ffaa,0x0efc9dfd,
    0x03ffffdc,0x3ffe61f7,0x6fffc87f,0xc83fffdc,0x7fdc6fff,0x20ffb87f,
    0x2205fff9,0x87ff405f,0xfe886ff8,0x213fee2f,0x3fe64ff8,0x5fff992f,
    0x5fffd800,0x7fff4400,0xf700dfff,0x2fffcc1f,0xb8dfff90,0xffb87fff,
    0x417ffe60,0x3ee2ffe8,0x21ffd04f,0x7fe46ff8,0x43f507ff,0x41fffff9,
    0x7d46fffb,0xfff707ff,0x87fffa8d,0x7ffc4ffe,0x403fa01f,0x7fec6ffb,
    0x107ffe42,0x5fd07fff,0x8f87ffe4,0x7cc002c9,0x8001ffff,0xeffffffd,
    0x7c4ffe81,0xff701fff,0x7fffa8df,0x7fc4ffe8,0xfffc81ff,0x70fffe20,
    0x2ffd8dff,0x21bffff6,0x7ffc42f9,0x7ffdc2ff,0x83fffd46,0x7d46fffb,
    0x7ffc47ff,0x00ffffc7,0xfff105f9,0x226ffc89,0xfff86fff,0x3f60fc87,
    0x0005a9ff,0x2fffffe4,0xffffa800,0x3fe21fff,0x0ffffc7f,0x546fffb8,
    0x7fc47fff,0x0ffffc7f,0x3e1bffe2,0x3ffe27ff,0xf937fe44,0x3f88dfff,
    0x2fffff98,0x2a37ffdc,0xff707fff,0x7fffa8df,0x7fc3ffc8,0x17e602ff,
    0xf70bffea,0x2fffdcff,0x2e07fff4,0x6d7fffc7,0x27e20002,0x000fffff,
    0xfffffd10,0x7c3ffc8d,0xff702fff,0x7fffa8df,0x7fc3ffc8,0x7ffdc2ff,
    0x50fffe85,0xffb85fff,0x9ffffea7,0xfff504e8,0xfffb83ff,0x83fffd46,
    0x7d46fffb,0x541107ff,0x402ffffe,0xefffb87f,0x0fffeeee,0xfd0bfff9,
    0x7c6a85ff,0x0007cfff,0xffffdae4,0x3ff20004,0x0443ffff,0x05ffffd5,
    0xf51bffee,0xa8220fff,0x642ffffe,0xffe85fff,0xddfff72f,0x21fffddd,
    0xb0fffff8,0x7fffdc0b,0x46fffb87,0xf707fffa,0xfffa8dff,0x7d7f5407,
    0x7e402fff,0x4dfffec2,0x36199999,0xffe85fff,0x3f62c44f,0x40004fff,
    0xfffff31f,0x7d6e4000,0xfd504fff,0x205ffff5,0x7d46fffb,0x7f5407ff,
    0x6c2ffffa,0xffe85fff,0x37fffb4f,0xf8333333,0x06d9ffff,0x427fffe4,
    0x7d46fffb,0xfff707ff,0x07fffa8d,0x3fe3ffb1,0x27cc02ff,0x4013fff6,
    0xfe85fffd,0x7dc084ff,0x20002fff,0x7ffff46b,0xae40cc03,0x6c45fffa,
    0x5ffff1ff,0x51bffee0,0x3620ffff,0x5ffff1ff,0xe85fffd8,0xfffb4fff,
    0x7ffdc009,0x7ec00edf,0xffb81fff,0x3fffd46f,0x546fffb8,0xff987fff,
    0x0bfffe1f,0xfff91fe0,0x3fff200b,0x03fffe85,0x0effff98,0x542e8038,
    0x5406ffff,0x3ffe5c84,0xf87ffe64,0xff702fff,0x7fffa8df,0x3e1fff98,
    0x7fe42fff,0x3fffe85f,0x800bfff9,0x801ffffd,0xf505ffff,0xfffa8dff,
    0x8dfff507,0x7447fffa,0x7fffc6ff,0x2e1fd802,0x4100ffff,0xff85fffa,
    0x205cc1ff,0x8aeffffc,0x835401d9,0x202fffff,0x3f65c87a,0x8dffd12f,
    0xf502ffff,0xfffa8dff,0x237ff447,0x7d42ffff,0xffff85ff,0x01ffff71,
    0x3fffe202,0x77ffdc01,0x8ffff500,0xf507fffb,0xfffb8fff,0x237ffd47,
    0xa802ffff,0x3fffe24f,0x3fe0d885,0x46fff86f,0x7f41fffc,0x02ffffff,
    0xfff903d8,0x227d40bf,0x54dff15c,0x7ffc6fff,0xffff502f,0x547fffb8,
    0x7ffc6fff,0x86fff82f,0x3fe26fff,0x80d885ff,0x100efffb,0x4c03dfff,
    0xff50ffff,0xff301fff,0x3ffea1ff,0x3ffee0ff,0xfffffbdf,0x237c400a,
    0x32effffc,0x0fffb85b,0xff0bffe6,0xffeb89ff,0xf9802dff,0xffffffff,
    0xf500ffff,0x363723bf,0x3ffee0ef,0xfffffbdf,0xffff980a,0x1fffff50,
    0x5effffdc,0x40afffff,0x3e60fffb,0x7ffe42ff,0x105b32ef,0x43bffd9d,
    0x00dffea8,0xfdefffd8,0xb01ffffc,0xf9fbdfff,0x7fc43fff,0xffc9efff,
    0x1fd805ff,0x3fffff62,0x7ff904ff,0x7fc1ffec,0xa98f43ff,0x90132000,
    0x2209ffff,0xffffffec,0xffff884e,0xffffc9ef,0xbdfffb05,0x43ffff9f,
    0x9efffff8,0xc85ffffc,0x0fff63ff,0x3fffff62,0x24e884ff,0xffdeffda,
    0x3a2001bd,0xffa8efff,0xfe882fff,0xfffa8eff,0x3bfae2ff,0x017ffa24,
    0x7fe41fdc,0x7d403eff,0x701efeef,0x034c1dff,0x9801f100,0x400fffff,
    0x400eda98,0x3a24efeb,0x3fa205ff,0xfffa8eff,0x3bfae2ff,0x817ffa24,
    0x1efeeffa,0x77fffe40,0x54c0b703,0xa880001a,0x05440000,0x00200800,
    0x54c03510,0x05544000,0x01e41440,0x3a00b900,0x2004ffff,0x0802005c,
    0x0002a200,0x44001004,0x54c000aa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x260001d0,0xfff5003f,0x022001ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0016a000,0x98037f4c,
    0x005fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x015c0000,0x77fffe40,0xfffda80d,0x001fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x06a60000,0x40015400,0x2a200100,0x8800a982,0x2600cccc,
    0x50004ccc,0x00007999,0x26000000,0x01a98000,0x55400098,0x26aa2000,
    0xaa880000,0x98800001,0x7d40601a,0x2001efbe,0x3aa004fa,0x00b50bef,
    0x07fa13ea,0x00fffee0,0x0007fff6,0x001fffa2,0x3f621bf9,0x0cec8804,
    0x03bfff20,0x8807f440,0x2a002feb,0xffd8805f,0x000cfffd,0xeffffe98,
    0x75c40001,0xacefffff,0x7fdc0e88,0x1003ff92,0x3ea001ff,0x3fefffff,
    0xff07f900,0x00fff600,0x0004ffd8,0x2005ffd1,0xff73fff9,0xfffc803f,
    0xffd7d903,0x40ff2009,0x002fffdb,0xe8801ff1,0xfffb11ff,0x4ffdc001,
    0x0006ffc8,0x2b7fffee,0xffffc988,0x5c3ffe20,0x2fd806ff,0x3ffbb200,
    0xb000ffff,0x805f983f,0xd8004ff8,0x3a20006f,0xfff3005f,0x003ffee5,
    0x710dffff,0x5402ffc4,0x2ffd805f,0xd005fb00,0xfffa8dff,0x49ff3005,
    0x4003fff8,0x406fffd8,0x3ee0ffe9,0x3fff50ff,0x2002fd40,0x3bfd730e,
    0x7d43fc00,0x004fb804,0x80007fa0,0x3ae007e8,0x200fb224,0x9803fffc,
    0x7f4401ff,0x02ffc800,0xf8805fa8,0x7ffcc5ff,0x87ffb007,0x74005ffd,
    0x9800ffff,0x9fff20ff,0xf103fffa,0x0008001f,0xf90df300,0x00099005,
    0x40002d88,0x000001d8,0x002fb220,0xc801dfd5,0x5ff9003f,0x800ff880,
    0x7cc5fffa,0xfff007ff,0x003ffb89,0x007ffff2,0x3ff60fb8,0x40fffe67,
    0x000002fd,0x3a13ea00,0x0000000f,0x00000000,0x44000000,0x300ffffd,
    0x7fe400bf,0x8017ec02,0x7cc5fffb,0xfff004ff,0x000ffd8f,0x00bffff3,
    0x7ffe41f0,0x505fff50,0xca8000bf,0x32601bdd,0xcccefecc,0x500ccffc,
    0x40037bb9,0x401bddca,0x2a2aaaaa,0x5402aaaa,0x00003dec,0x417ff4c0,
    0x32000fe8,0x17ea02ff,0x45fffc80,0xf001fffa,0x3bea5fff,0x3fff6001,
    0x20b8003f,0xff71fffa,0x00ff881f,0xd77bd500,0xff501dff,0xffffffff,
    0xea81ffff,0x0effebbd,0x3aef7aa0,0xfd500eff,0x7ff4cdff,0x3bfb107f,
    0x24001df9,0x20bfea00,0x7e4003fc,0x01ff102f,0x52fffe40,0x6c003bfd,
    0x03feefff,0x7ffffc40,0xffd00002,0x360ffee3,0xff70002f,0x42fffcc1,
    0xaaffaaa8,0x0aadfdaa,0xff983fee,0x41ff705f,0x3205fff9,0x7fdc6fff,
    0x21ffd07f,0x1a006ff8,0x40ff8188,0xfd8005f9,0x005f902f,0xf15fffc8,
    0x5c0017df,0x9904ffff,0x3ea39999,0x0000ffff,0x3fabfd10,0x0005fa84,
    0xfff13ffa,0x437cc03f,0x9ffd02fc,0xe81ffff8,0x7fffc4ff,0x8dfff701,
    0xfb87fffa,0x017fec6f,0x5df902cc,0x1fd107ea,0x07ffb000,0xf9000bf5,
    0xfff98bff,0xfffd9801,0xffe980ff,0xffff90be,0x9700000f,0x1ff1039b,
    0x7c402660,0x7fffc7ff,0x3a13ea01,0x7fff880f,0x220ffffc,0x7ffc7fff,
    0xdfff701f,0x447fffa8,0x7fe44fff,0x301fcc06,0x9019dfd9,0x2a14c07f,
    0x10cdeeec,0x401301ff,0xfd85fffc,0x33f6206f,0x505ffffc,0xfffd83ff,
    0x0000006f,0xdf705fb0,0xff901bf9,0x02ffff87,0x81fe0ff2,0x7ffc3ffc,
    0x43ffc82f,0xf702ffff,0xfffa8dff,0x217ffd47,0x3ea07ffb,0xf980000f,
    0x001fe605,0xfff90bf2,0xbfff903b,0x507fff90,0x3ffe25ff,0x83fb82ff,
    0x007ffffc,0x5fa80000,0xffd1ffc8,0x7f541101,0x4cc42fff,0xfa999afe,
    0x2088199e,0x02ffffea,0x7fff5411,0xdfff702f,0x5c7fffa8,0xeeeeefff,
    0xffc80fff,0x1fd00004,0x001ffe20,0xfdfa8bf5,0xfffc86ff,0x44fffc85,
    0x7fdc7ffa,0x82ec1fff,0x00fffffb,0x3e200000,0x93ffcc0f,0x7f540bff,
    0x542ffffa,0xffffffff,0x00ffffff,0xffff5fd5,0xfafea805,0xff702fff,
    0x7fffa8df,0x4cdfffec,0xfd819999,0xc80000ff,0xfffd103f,0x207f4400,
    0x83fff11d,0xfc85fffc,0x3ffe26ff,0xfffffe85,0x3ea01f50,0x0001ffff,
    0x20bf6000,0x3ff27ffc,0x8ffec40f,0x74c2ffff,0xfeeeeffe,0x440eeeef,
    0xffff1ffd,0x47ff6205,0xf702ffff,0xfffa8dff,0x027ffec7,0x00bfff70,
    0x6c0bf300,0x32007feb,0x87fd803f,0xfb85fffc,0x3ffea7ff,0xfffff987,
    0x3e202f9e,0x0002ffff,0x20bf5000,0x3fee7ffe,0x87ffe61f,0xf502ffff,
    0x4c01fd09,0x3ffe1fff,0x1fff982f,0x5c0bfffe,0x7fd46fff,0x2fffe47f,
    0x89fffd00,0xfd000dea,0x3ff53201,0xf005fa80,0xbfff909f,0x64dfff70,
    0xfa82ffff,0x804fffff,0x004ffffc,0x0ff88000,0x7dcfffd0,0xdffd12ff,
    0x902ffff8,0x207f885f,0x7fc6ffe8,0x7ff442ff,0x817fffc6,0x7d46fffa,
    0x7ffdc7ff,0x7fc4100f,0x27ff43ff,0x5b81fe40,0x3a201ffa,0x05f9800f,
    0xf50bfff9,0x7ffe49ff,0xfffb80ef,0x7c400eff,0x4001ffff,0x017ec002,
    0x7fdcfffb,0x8dfff51f,0xfd02ffff,0x2a05f983,0x7ffc6fff,0x37ffd42f,
    0x540bfffe,0x7fdc7fff,0x7fffc47f,0xff10d885,0x5ffd89ff,0xf9837cc0,
    0x02ffeaab,0x74401fe4,0xbfff900e,0x1fffc76a,0x0bfffff7,0x3ffffff2,
    0xfff51662,0x02ec00df,0xfb80bf50,0xb9fff27f,0xffbdffff,0x7f80afff,
    0x3ee04fb8,0xfffbdfff,0x3fee0aff,0xffffbdff,0xfff980af,0xfffff50f,
    0xeffffc81,0xffe85b32,0x027fd46f,0x7fd403fa,0x207fffff,0x8bb005f9,
    0xfafffe43,0x441dfb6f,0xadffffff,0xfffffb30,0x901fddff,0x8807ffff,
    0xff1001ee,0x21ffd001,0x3fe22ffd,0xffc9efff,0x42fcc5ff,0x3fe202fc,
    0xffc9efff,0x3ffe25ff,0xfffc9eff,0xdfffb05f,0x3ffff9fb,0xfffffd88,
    0xfffa84ff,0x803fe21f,0x2aa203fc,0x102ffeaa,0x9f9001fd,0xffe8bb99,
    0x3f6dfb5f,0xfffff981,0xb9dfffff,0x2fffffff,0x37fffe60,0x09f95109,
    0x3002fd80,0x07ff19fd,0x7449dfd7,0x84fa85ff,0x7f5c00fe,0x17ffa24e,
    0xe893bfae,0x3fa205ff,0xfffa8eff,0xfffc82ff,0x3fee03ef,0x01edacff,
    0x3a001be6,0x00ff207f,0x3ffffff2,0x57ffffa3,0x202dffd8,0xffffffd9,
    0x7fff4c1d,0xfeb8802f,0x2dffffff,0x00274c00,0x0073b6e2,0x15300401,
    0x00400550,0x00401001,0x80001510,0x971000a9,0xfd0059bd,0x0bdb0001,
    0x3a6017e6,0x01eeeeee,0x54c40000,0x01a9801a,0x15553100,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x03531000,0x20154003,0x99950009,0x40000007,0x0d4c0009,
    0x26600000,0x55440000,0x44003019,0x0000cccc,0x531000cc,0x10000035,
    0x4cc00003,0x36e20000,0xfdffd302,0x200b139f,0xeeb884fa,0x7f4402df,
    0x5fd3007f,0x5c40f7dc,0x3a2002fe,0x7ffdc00f,0xffeb8803,0xd91000df,
    0x9fffdfff,0xfb801aa3,0xd98003ff,0xea801cff,0x1dffffff,0xffd93000,
    0x0019bdfd,0x7ff77f54,0xe87db303,0x7fe42fff,0x1bffa60a,0x7f40fe40,
    0xd1017f64,0xffd005ff,0x713ffe2d,0x4005fffb,0x7fc403fc,0x3ea00fff,
    0x0effffff,0x06fffd40,0x1bfffee2,0x003ffd80,0x005f7f54,0x45677f4c,
    0x00dffda8,0x45dff910,0x803ffea8,0x3fea3ffd,0x97fff40e,0x2a5ffff8,
    0x1bf603ff,0x7fe43fc0,0x100bfea1,0xffb00bfd,0xd827ffcd,0xbf5002ff,
    0xffdffb00,0x3fbfea09,0x104fffff,0x8807fffb,0xf1006ffd,0xffc8009f,
    0x037ee005,0x5007fa60,0x2601dfff,0xf900efff,0x4bffd0df,0x3e4ffff8,
    0x3ffa3fff,0x201fa200,0x3ffcc4f9,0x1003ffe6,0x3bb300fd,0xfc806f54,
    0x0fe8802f,0xfc9ffcc0,0x2e22e80f,0xfd06ffff,0x7ec00dff,0x009f7006,
    0x002fff44,0xf90005f7,0x3fffe201,0x37ffe401,0x642fffcc,0x3ffa0fff,
    0x437fea2f,0x4c01fff8,0x742fc807,0x7ffc46ff,0x001d8804,0x0bff2000,
    0x3a00ff20,0x2e27d42f,0x0dfffd02,0x003ffff7,0x4c8037c4,0x037fec00,
    0x3bb67f30,0x40bcedde,0xbfffb06d,0x0ffffa00,0xf50ffff5,0x1f6cc3ff,
    0x77ffcc08,0x3f403400,0x3e237ffc,0x000006ff,0x05ff9000,0xd9805f98,
    0x2001b301,0x7cc4fffa,0xb8005fff,0xf7000006,0x2f4005ff,0x7fd4fffa,
    0xf70fe21f,0x32007fff,0x3ea1ffff,0x7fd42fff,0xff880007,0x00a02eff,
    0xfff98bf3,0x03fffc46,0x2007bd95,0x400addca,0x3a202ffc,0x0000000f,
    0x740fffa8,0x0002ffff,0x5bb9500b,0x3fffcc01,0xfc85f300,0x917ff23f,
    0x0fffff8d,0xbffff700,0x0fffffc4,0x0000bff7,0x3bfffffa,0x42fb8001,
    0x7c46fffa,0x7ec40fff,0x100efc9d,0xbff55dfb,0x9017fe40,0x5544007f,
    0xd8001aaa,0x7ffc40ef,0x800001ff,0xffaaefd8,0x29fff905,0x03f20099,
    0x7fd47ff9,0xff997d47,0x3e6007ff,0x7ff46fff,0x1dff2fff,0xfb800710,
    0x1dffffff,0xf703fa00,0xfff88dff,0x887ff41f,0xffe886ff,0x6c13fee2,
    0x0bf302ff,0xffffb880,0x27fd4005,0x07ffffcc,0x3fa20000,0x213fee2f,
    0xfffdffff,0xc86e80ef,0x17ff23ff,0x3ffea7f1,0x3fe6007f,0x3fe60fff,
    0x04feffff,0x3f2001a6,0xcfffffff,0x642fc400,0x7fc46fff,0x1bfee3ff,
    0xffc85ffb,0x0fffe20f,0x3a20fff6,0xffd0000f,0x3f6a00bf,0x3ee0efff,
    0x00007fff,0x220fffc8,0x3fea3fff,0xfffeadff,0x7e427c1f,0x03fff33f,
    0x3ffff29d,0x3ffe2006,0x7ffd41ff,0x2a00ffff,0x900bb887,0xffffffff,
    0x41fdc01d,0x7c46fffe,0xfff14fff,0x226ffc89,0xfff86fff,0x37bbb2a7,
    0x980ff20c,0x17fff202,0x3ffffa60,0xfff90fff,0x880000df,0xfff86fff,
    0x91fffee7,0x82f8dfff,0xdffeeffc,0x3ff6b900,0x3e2006ff,0xe982ffff,
    0x00ffffff,0x7ffc41f9,0xfffd501f,0x201fffff,0xfffd80fd,0x9ffffc46,
    0x7dc2fffa,0x17ffee7f,0x8003fffa,0x1fe605f9,0x005fffc8,0x3fffff66,
    0x0fffff92,0xfffb8000,0x90fffe85,0xff98dfff,0x320fe2ff,0x05ffcbff,
    0x7fffe57a,0x3ffe2006,0xfefb81ff,0xd80fffff,0x3fffee2f,0x7fffdc04,
    0x6f882fff,0x88dfff90,0xff72ffff,0xffdddddf,0x17fff21f,0x800bfffa,
    0xfff100fe,0x02fffe40,0xa7fffdc0,0x00fffffa,0x3bbbbb6e,0xfff90dee,
    0x25fffd0b,0xfe86fffd,0x321ba4ff,0x1fff8bff,0xfff74f88,0x7fcc00ff,
    0x3f620fff,0xdfffff96,0x7fd47ff0,0x640117ff,0xa85fffff,0xdfff703f,
    0xb1ffff88,0x33337fff,0x7ffec333,0x04fffe85,0x3a207f90,0x3ff207ff,
    0xff90005f,0x3fffe2df,0xfffc801f,0x7ffec2ff,0xb4fffe85,0xffd0dfff,
    0x3207e4bf,0x0dff73ff,0x3ffe65f5,0xff3000ff,0x3fff8fff,0x83ffffee,
    0x7fec5ff9,0x4403a8ff,0x6c0ffffe,0xdfff501f,0x367fff88,0xfb004fff,
    0xfffd0bff,0x40bf3009,0x3207febd,0x10005fff,0x7ff4bfff,0xff9802ff,
    0xfffd86ff,0x74fffe85,0xffb0ffff,0x3617ccbf,0x0bffa3ff,0x7fffc4f9,
    0xfff7000f,0x0fffd4bf,0xb8ffffee,0x2fb087ff,0xffe8806a,0xf3037c1f,
    0xfff88dff,0x017fff26,0x742fffe4,0xfe803fff,0x1ffa9900,0x005fffc8,
    0xfc93ff60,0xf9803fff,0xffc86fff,0x3fffe85f,0xc81ffff3,0x12f43fff,
    0x3ea1bfff,0xb89f10ff,0x9002ffff,0x7e41ffff,0x7ffc40ff,0x07fff24f,
    0x00fd57e2,0x3ea3ffdc,0x23fff404,0x3ee5fff8,0x54100fff,0xfff85fff,
    0x81fe401f,0xc81ffa5b,0x20005fff,0x7ff42ffc,0xfff9806f,0x5fffa86f,
    0xf11ffff8,0xffc81fff,0x645fcc1f,0x970ccccc,0x3a03b699,0xfd006fff,
    0xfffe89ff,0x23fffd80,0xfa83fffe,0xf500df50,0x401fc8bf,0x7fcc7ffa,
    0x3fffe21f,0x3fe0d885,0x06fff86f,0xbf9837cc,0x902ffeaa,0x32e0bfff,
    0x2217f601,0x4c01ffff,0xff06ffff,0x8dfff0df,0x7e42fffd,0x005f707f,
    0x3ea03f90,0x7e401fff,0x7fe40eff,0x1fffb81f,0xa89ffff1,0x017fea2f,
    0x07f81ffb,0x7dc1ffd0,0xffffc84f,0xfb85b32e,0x3ffe60ff,0xa807f402,
    0x7fffffff,0x30bfff90,0xff107fff,0x3fffea01,0x3fffe600,0x41fff706,
    0xfe82fff9,0x017ff46f,0xd10019f9,0xfff9805f,0x37ffe605,0x82fff980,
    0x3fe64ffe,0x507b25ff,0xb883dfff,0x027cc2ff,0x3fa4fe88,0xfffd880d,
    0xf904ffff,0x01ffec7f,0xaa880ff2,0xb02ffeaa,0xff30bfff,0xdb317dff,
    0xfffc8803,0xffffa81b,0xd8fff204,0xfff103ff,0x200ffe63,0x511bdffa,
    0x2001dfd9,0x4c0dffe8,0x7dc04ffe,0x1bfea0ff,0x0cbffff1,0xefdaaea8,
    0xc80dffdd,0x3f62002f,0xfc804ffe,0x5403efff,0x01efeeff,0x740037cc,
    0x3fffa07f,0xfffff707,0xd98007ff,0xffedfffe,0xfa800bdf,0x401efeef,
    0x2dfdffc9,0x3ffae200,0x002dffff,0xfbdffb70,0x260059df,0x3ffedffe,
    0x005fffd0,0x9aaa8811,0x8000aa00,0x0a98001a,0x00554400,0xd8000fe8,
    0xfffe985e,0xa9881eff,0x3000009a,0x00033555,0x40005544,0x4c0000a9,
    0x00009aaa,0x0006a620,0x80135310,0x00002db8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x98800009,0x100001aa,0x33260055,0xa988004c,0x0403001a,0xffffffb8,
    0x206fffff,0xf503ccca,0xffffffff,0x00100807,0x00000080,0x54c006a2,
    0x2cccb800,0x00009800,0xbfdfb500,0xfea80017,0x01dfffff,0x9fd9fb00,
    0x1fffd803,0xffbf9100,0x6ec407ff,0x7ec1f221,0xffffffff,0x3ffa04ff,
    0xffffb00e,0x201fffff,0x970aefea,0x000e8000,0x809fd000,0x03effffa,
    0x8017ffe6,0xbf901fda,0xb813f621,0x0bff70ff,0x2b3bfa60,0x0dffda88,
    0x267fd100,0xffd806ff,0x221fd003,0x6405fffd,0xf00cfbcf,0xffffffff,
    0x3e603fff,0x3ffe00ff,0x04ffffff,0xdffffff7,0x7dc0003f,0xfc800003,
    0x3fff604f,0x2604ffff,0x75400fff,0xff981fff,0x03fff73f,0xffe89ff5,
    0x006fdc04,0x6400ff4c,0x7fff12ff,0x900dfb00,0x7ffcc1ff,0x17fec03f,
    0xffffff30,0x40dfffff,0x3ea01ffb,0xffffffff,0xffffdb01,0xe8000dff,
    0x5400006f,0xff704fff,0x7fffffff,0x441ffcc0,0x1ffffffb,0xf72fff98,
    0xfff881ff,0x81fffe43,0xfc8002fb,0x4fffe200,0xd005fff8,0x2ffe803f,
    0x9837fffc,0x701ffdee,0x333337bf,0x7f409fd3,0x80026c01,0x33fb2668,
    0x3fea0001,0xf100002f,0xdf109fff,0xfffffb57,0xb85f980d,0x1ffffe9b,
    0x76449d70,0x43fffa83,0xf986fffb,0x6eff6443,0xb81b66ac,0x3ff64fff,
    0x805b1003,0x7fec5fff,0xd12ed87f,0x809903ff,0x3d101ff8,0x0001f880,
    0xd8000002,0x00005fff,0x709ffffd,0xfffff30b,0x200ea801,0x001ffff9,
    0x0ffff200,0xe81ffff5,0x2a1ffd45,0x640fe27f,0x00d45fff,0x17fdc000,
    0x0617fff6,0x0703ffea,0x0000ff70,0x01379df7,0x30000000,0x003fffff,
    0xfffdec80,0x3ff60284,0x980000ff,0x0001ffff,0x30ffffa0,0x7cc3ffff,
    0x5413fea2,0xffd83647,0xb950006f,0x8098015b,0x4c03fffe,0x005fff89,
    0xaa884fd8,0xffb01aaa,0x201bffff,0x2a2aaaaa,0xc8000bdd,0x005fffff,
    0x3ff23ea0,0x7fd4004f,0xaaaa886f,0x3ffe601a,0x5555101f,0x7fff4035,
    0x1ffffc44,0x3ffa21f9,0x05f51a00,0x800ffff9,0xffaaefd8,0x7ffc4005,
    0xeffd880e,0x002ffffe,0x2e207fe2,0xf885ffff,0xffffffff,0x7fff4c0c,
    0xeffffd8f,0x3e7e2000,0x8000ffff,0x9fff92f8,0x3fff9800,0x5ffffb88,
    0x07fffe60,0x2ffffdc4,0xf0bfffb0,0x53749fff,0xf8800dff,0x0ffffb83,
    0x45ffd100,0x32004ffb,0xfe880eff,0x17fff63f,0x7407fb80,0xffb85fff,
    0xffffffff,0xeffffb85,0x04fffeac,0x7ffed720,0x25d8004f,0x4004fffc,
    0x3a01fffb,0x3e605fff,0x7f401fff,0x3ff205ff,0x7fffc47f,0x5ffc93e3,
    0xff54e800,0xffffffff,0x07ffe409,0x1007fff1,0x7fec09ff,0x07fffcc7,
    0x6404fd80,0xdcb85fff,0xfffffffe,0x7fffd43f,0x01fffea3,0xffff31f8,
    0x20eb800f,0x4004fffc,0x7e405ffd,0x3fe605ff,0x7fe401ff,0x3ffe205f,
    0x3fffe22f,0x5ffd8be2,0xff55c800,0xffffffff,0x1bffe209,0x2e01fffe,
    0x3ffe203f,0x02ffff85,0x6401ff88,0x93005fff,0x41ffffff,0x7cc7fffa,
    0x8d7007ff,0x003ffffe,0xfffc83f3,0x07ffc004,0x817fff20,0x401ffff9,
    0x5c05fffc,0xfcacffff,0xc8fe1fff,0x5e8005ff,0xfffd3331,0x3ee01339,
    0xfffe85ff,0x2e017400,0xfff85fff,0x07fa803f,0x005fffc8,0x0ffffe44,
    0xf98ffff5,0x85d007ff,0x806ffffa,0xfffc83f8,0x0bfea004,0x817fff20,
    0x401ffff9,0xa805fffc,0xffefffff,0xff73746f,0x04f8800d,0x9007fff9,
    0xffd0bfff,0xd806805f,0xfff85fff,0x04fd804f,0x005fffc8,0x547fff90,
    0x7fcc7fff,0x835400ff,0x402fffff,0x9fff905d,0x8027f400,0x2605fffc,
    0x6401ffff,0x26005fff,0x3fffd8aa,0xfff887e4,0x40bea000,0xd801fff9,
    0xffe85fff,0x2012204f,0xff84fffe,0x7fc404ff,0x5fffc802,0x8bff6000,
    0x7cc7fffa,0x1ec00fff,0x05ffffc8,0x3bbbbbe6,0x2efffffe,0x90027e40,
    0x7cc0bfff,0x7e401fff,0xf10005ff,0x2f981fff,0x1c417fee,0x1fff01f2,
    0x0bfffb00,0x0809fffd,0x85fffd80,0x5402ffff,0xfff9007f,0x7fdc000b,
    0x31fffea0,0x4c01ffff,0xffffffff,0x300fffff,0xffffffff,0x407fffff,
    0x7e4004f9,0x3fe605ff,0x7fe401ff,0xff70005f,0xf917a05f,0x836e21bf,
    0x3fec04f8,0x2fffe430,0x001ffff4,0x42fffdc0,0x6c01ffff,0xfff9004f,
    0x37cc000b,0xf31fffea,0x26401fff,0x13ffff20,0x7fffffcc,0x3fffffff,
    0x0640bf10,0x302fffe4,0xc803ffff,0x88005fff,0x3e605ffe,0x677ee4c3,
    0x5c40ed82,0xf306feed,0x7c2fffd4,0x2e601fff,0x2fffcc00,0x2203fffc,
    0xff9002ff,0x039910bf,0x3fea1fd4,0x7fffcc7f,0x9801f100,0x880fffff,
    0xdaaaaaaa,0xd01adfff,0x641ee60b,0x3e605fff,0x7e401fff,0x744005ff,
    0x7dc00dff,0x81fc8002,0xeffffefe,0x7c6ffdce,0x6fff86ff,0x807ffee0,
    0x7c46fff8,0x3fd405ff,0x0bfff900,0xd019fff9,0x8ffff507,0x900ffff9,
    0x3fffa00b,0xffc8004f,0x3fff204f,0x05ffffff,0x4c0bfff9,0x6402ffff,
    0x22005fff,0x32004ffe,0xfe8800cf,0x3fe27982,0x4fffffff,0xf307ffdc,
    0x7ffc05ff,0x3ffd404f,0xb003ffe6,0x7fec00bf,0xffffb85f,0x703ea9bf,
    0xff98ffff,0x03f980ff,0x1fffff50,0x4fffc800,0xffffff70,0x3609ffff,
    0x3e605fff,0x7ec02fff,0xfd5005ff,0xff50005d,0x3b2a237b,0x21f100ef,
    0xfffffefc,0x3ffc80ff,0xfd00fff6,0xff7009ff,0x200ffec5,0x3a002ff8,
    0xff907fff,0x4039dfff,0x2e0ffffc,0x74c2ffff,0xfff3006f,0xfc800bff,
    0xfff984ff,0xffffffff,0x0ffffd02,0x02ffffe4,0x981ffffa,0x0001cffc,
    0x7ffff5c4,0xfc802dff,0xffff54ff,0x77fd401d,0xfb801efe,0xfb5000ff,
    0x1005bfdb,0x3fa60055,0x881effff,0xfd800aa9,0xfb9fffff,0xf93fffff,
    0x501bdfff,0xfffffffb,0x3ff2003f,0x7fffc44f,0xffffffff,0x7ffff4c1,
    0xffd951ef,0x439dffff,0xefffffe9,0x00001a81,0x026aaa60,0x53015100,
    0x05544003,0x8000a200,0x0000001a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x55555530,0x0d555445,0xa9835553,
    0x74c002aa,0x800fffff,0x76c40aa8,0xdeffffff,0x7ffff6c2,0xfffff90d,
    0xd301bdff,0x305fffff,0x33379db9,0xceca8033,0x55511622,0x336e6355,
    0xfffff901,0x3fae3dff,0x1effffff,0x01efffd8,0x3fb66005,0x2dffffff,
    0xffffffd5,0x7fffe403,0x996dc45f,0x21effffe,0x320cffa8,0x7fdc4fff,
    0xff70005f,0x7f5401ff,0xfe80effc,0xfc806fff,0xffff880e,0xdfd1006f,
    0x9dffc883,0x0ffffffc,0xfc9dffb8,0x7dc47fbc,0xfffacfff,0xfff305ff,
    0x3ff209ff,0x7cc02fff,0x03fff306,0x7ffffec0,0xfffff700,0x77e4401d,
    0x12fffd80,0x320bffff,0x44fffc86,0x0005fffb,0x201ffff3,0x9ffd3ffc,
    0x09ffff90,0x7dc07f10,0x36007fff,0x47ffd80f,0x40aadffd,0x7fec4ffa,
    0xdfffd07f,0x7fffb33d,0x17ffff20,0x03fffff8,0xffc817c4,0x3fee005f,
    0x7fe405ff,0x7c405fff,0x5ffff883,0x741ffff2,0x44fffc82,0x0005fffb,
    0x301ffff3,0x3ffa5fff,0x3ffffc84,0xff805f00,0x7d002fff,0xa8bfff50,
    0xff981fff,0x3fffd41f,0x41ffffd8,0xf981ffff,0x3ee07fff,0x35406fff,
    0x00bfff90,0x02ffffd4,0x3fffffee,0xff817c04,0x3ffe23ff,0xfc83c42f,
    0x7ffdc4ff,0xfff30005,0x5fff901f,0x7fdc0ae2,0x05f003ff,0x05ffffb8,
    0xfff90798,0x84fffa89,0xff987ffe,0xbfff907f,0x209fffb0,0x102ffffe,
    0x401fffff,0x3ffa203c,0x3ffea001,0x7f6dc04f,0x3a02ffff,0x81bff502,
    0x25c6fffd,0x5c4fffc8,0x30005fff,0xfd01ffff,0x3ee005ff,0x5f003fff,
    0xfffff880,0xfd81ec00,0x7ffcc3ff,0x437ffc45,0xf907fff9,0xfff709ff,
    0x3fffea0d,0x3ffff606,0x3001f104,0xffff5000,0xff9cb809,0x5d01ffff,
    0xfff30080,0xfc80f43f,0x7ffdc4ff,0x8cdca805,0xe80ffff9,0xf7002fff,
    0x3e007fff,0xffffc802,0x5c03e204,0x7fd44fff,0x37ffd43f,0xc83fffcc,
    0xffb84fff,0x3fffe07f,0xffff501f,0x00016a0f,0x4ffffa80,0xfffaa5c0,
    0x02e80eff,0x57fffa00,0x3fff2069,0x02fffdc4,0x7fddfff1,0x5541ffff,
    0x01acffff,0x01ffffdc,0xff9802f8,0x09900fff,0x2a27ffc4,0x7fe41fff,
    0x7fff985f,0x509fff90,0x3201ffff,0xfb04ffff,0x5b05ffff,0x2aaaaa20,
    0x3ffea001,0xf725c04f,0x5d0bffff,0x7ffd4000,0x3f203c8f,0x7ffdc4ff,
    0xa97ffa05,0x3e0fffff,0x3fffffff,0x1ffffdc0,0xfb002f80,0x1f107fff,
    0x6c7ffb80,0xfffd84ff,0x07fff985,0xf509fff9,0x7fcc0fff,0xfcf887ff,
    0x07c45fff,0x5ffffb88,0x3fffea00,0x3f625c04,0x1743ffff,0x3fffe000,
    0x3ff200fc,0x2fffdc4f,0x5c1fffc8,0xfe80ffff,0xff7002ff,0x0be007ff,
    0x37fffd40,0xfd8802dc,0x902ffdae,0xff30dfff,0x3fff20ff,0x06fffa84,
    0x217ffff4,0xfffff8cc,0x3fa012e0,0x3ea005ff,0x25c04fff,0x3fffffa2,
    0x70000ba2,0xc80bffff,0x7fdc4fff,0x7ffc425f,0x0ffff987,0x002fffe8,
    0x007ffff7,0xffe800be,0x000f41ff,0x803799d5,0xf986fffb,0xfff907ff,
    0x0bfff709,0x46ffffa8,0x7ffffb1f,0x7fe400f4,0x3fea005f,0x425c04ff,
    0x0ffffff8,0x00e5c05d,0x805ffff1,0x7e45fffc,0x3e6916ff,0xfff987ff,
    0x2fffe80f,0x7ffff700,0xb800be00,0x1aa5ffff,0x40036c40,0x4c0ffff9,
    0xff907fff,0x7fff909f,0x3fffff00,0xffffa9aa,0x3f200d36,0x3ea005ff,
    0x25c04fff,0x6fffff98,0x3fff605d,0x01fff201,0xfa9bfff2,0x72b8ffff,
    0xff30dfff,0xfffd01ff,0x3ffee005,0x003f003f,0x87ffffc4,0x0bfb002e,
    0x0ffff600,0x320ffffb,0x7fc1ffff,0xfff9006f,0xfff0ba9f,0x200793ff,
    0x2005fffc,0x404ffffa,0x3ffee04b,0xf882edff,0x3e605fff,0xfffd804f,
    0xfff9eeef,0x3fff26ff,0x0ffff985,0x002fffe8,0x007ffff7,0xff90007e,
    0x200d39ff,0xcccefff8,0xfd101bcc,0xffdd7bff,0x3fff20ff,0xfffd9bee,
    0xffff3001,0xfff90f3f,0x32001fbf,0x2a005fff,0x5c04ffff,0x7fffec04,
    0xffff02ff,0x801fd809,0x0dfffffd,0x6c19fff5,0xff985fff,0xfffe80ff,
    0xffff7002,0x0007e007,0x7bfffff3,0x3fffe200,0xefffffff,0xffffe880,
    0x907fff9b,0xfff39fff,0xfe8005bf,0xf984efff,0x2005ffff,0x1305fffc,
    0x04ffffa8,0x7ff4025c,0xff702fff,0x005a801d,0x2202aadf,0x6fffc80a,
    0x80ffff98,0x3002fffe,0x1007ffff,0xffb0001f,0x6c001fff,0xffffffff,
    0x2a206fff,0x41fffe61,0x2a64fffc,0xfff50000,0x3ffa01ff,0x3f2002ff,
    0x7ffc45ff,0x13fffea1,0xff100970,0x0c405fff,0xf8802c80,0x7fdc0007,
    0xffff987f,0x02fffe80,0x09ffff10,0x2a000f50,0x8004ffff,0xfffffffd,
    0x2000ffff,0xf907fff9,0x800009ff,0x2e05ffff,0x64007fff,0x7fdc5fff,
    0x3fffea5f,0x98025c03,0x4002ffff,0x401a23c8,0x20001ffa,0x541ffff8,
    0xfe80ffff,0x3fa002ff,0x274406ff,0x1fffd000,0x4e7e4400,0xfeb99999,
    0x3fe6000f,0x9fff907f,0xffc80000,0x3ffe202f,0x7ffe4004,0x527ffdc5,
    0xb803ffff,0x3ffee005,0x8fff4002,0x7ff7003b,0xfffd8000,0x3ffffe25,
    0x02fffe81,0x0ffffea0,0x20000fd8,0x64005ffb,0x05fa807f,0x07fffcc0,
    0x0027ffe4,0x01bfe600,0x90007ff6,0xff98bfff,0x1bffee0f,0xf9001b60,
    0xfff8005f,0xfb000e8b,0xe880009f,0xfcebcfff,0x7fc2dfff,0x7d4003ff,
    0xb98adfff,0x440001fe,0x7e4001ff,0x0bfa201f,0x1ffff300,0x00bfffb0,
    0x007fd000,0xfb000df3,0x1ff70bff,0x20077ff4,0x6c002ff9,0x7fe4002f,
    0x3f2002ff,0xd880003f,0xff9affff,0x3fe21bde,0xe98004ff,0xcfffffff,
    0x0b900000,0x59ffb100,0x03dd9753,0x7ffff900,0x0effff88,0x07d40000,
    0xe8003e80,0xfd507fff,0x401bfffd,0x3effffea,0x8005d100,0x4001cda8,
    0x00000cc8,0x009886a2,0xdfffffd9,0x55510005,0x80000135,0x2e200018,
    0x01abdedc,0xeeeed980,0xdddd35ee,0x00007ddd,0x00260018,0xfffffe98,
    0x0155301e,0x08800000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffffe980,0x7f6cc004,
    0x2dffffff,0xfffffdb3,0x3fae5bff,0x4effffff,0x3ffffb66,0xceeeffff,
    0xfffffb02,0xffec8800,0x40dfffff,0xfffffed8,0x3ffffe64,0x7fffecc5,
    0xffffffff,0x3660ffff,0x2ffffffe,0x3fffea00,0xffd0ceff,0xff000fff,
    0xc87fffff,0xfdb15fff,0xddffffff,0x03800399,0x027fff40,0xdffffb00,
    0x7fffec01,0xffff500f,0xfffe807f,0xfffcbacf,0xffff905f,0x7ffec000,
    0x7fc400ff,0x3fffa03f,0x3ffff605,0xfebaa99d,0xfffb00ff,0x7f400bff,
    0xfb05ffff,0x3a000fff,0xf500ffff,0x3ffff609,0xdfffebac,0x4005c801,
    0x0004fffc,0x017fffee,0x80bffff7,0x400fffff,0x543ffffc,0x5c0effff,
    0x20007fff,0x805ffffb,0x7ec01ef9,0x3fee05ff,0x3fee04ff,0xffffd700,
    0xfbf3003f,0x3ee05fff,0xf50007ff,0x3ee05fff,0x7ffff500,0x00ffffd8,
    0xf90017e6,0x5c0009ff,0x5404ffff,0x7c04ffff,0x5c00ffff,0xfc83ffff,
    0x7fd42fff,0x3ea0007f,0x7cc05fff,0xfffc800d,0x3fffea05,0xb807dc04,
    0x04ffffcd,0xffffdcc8,0x0ffff502,0x2ffff400,0x3fea04d8,0x7ffc43ff,
    0x0bfd105f,0x04fffc80,0x3fffea00,0x7fffd404,0x3ffffc04,0x1ffffdc0,
    0x22ffffd4,0x0007fffa,0x817fffea,0x3f2004fa,0x3fea05ff,0x3e2084ff,
    0xfff3b700,0x4fc401ff,0x501ffffd,0x4000ffff,0xf80ffffb,0x3fffe601,
    0x0fffff83,0x002fff44,0x0013fff2,0x04ffffa8,0x027fffd4,0x201ffffe,
    0x983ffffb,0x7d46ffff,0x2a0007ff,0xf705ffff,0xfffc8005,0x3fffea05,
    0x40362444,0x7ffffb5b,0xfffdadc0,0xffff501f,0x7ffc4000,0x2603542f,
    0xfe83ffff,0x3fe61fff,0x00aaaeff,0xc9a7ffe4,0xffa801ce,0x7fd404ff,
    0x7ffc04ff,0xfffb807f,0xffffb83f,0x53fffd43,0xfa8015bb,0x1ed85fff,
    0x5fffc800,0x13fffea0,0x56e00897,0x206ffffa,0x3ffffb2e,0x51fffea0,
    0x20355555,0x1e45fffd,0x0ffffe60,0x4c3ffffa,0xffffffff,0x7ffe401f,
    0x5fffffcd,0x27fffd40,0x13fffea0,0x00fffff0,0xb07ffff7,0xfa81ffff,
    0xfffd8fff,0x7ffd406f,0x0037a25f,0x02fffe40,0xd89ffff5,0xfe96e004,
    0x26982fff,0x501ffffd,0xfd98ffff,0xff500bef,0x200fc1ff,0xf83ffff9,
    0xffb85fff,0x7fe4005f,0xffc88cff,0x3ffea04f,0x7ffd404f,0x7fffc04f,
    0xffffb807,0x17fffec3,0x677fffd4,0x204fffea,0xf35ffffa,0x7e40007f,
    0x3fea05ff,0x013e24ff,0x3ffee5b8,0x3f63d85f,0xff501fff,0x01bf30ff,
    0x53ffff88,0xffff300d,0x2ffffa87,0x005fffb8,0x7c2fffe4,0xff502fff,
    0xffa809ff,0xaaaaadff,0x07ffffaa,0xcdffffb8,0x00adfffe,0x547ffff5,
    0x3ea06fff,0xfffbdfff,0xff90001f,0x7ffd40bf,0x04ffb9df,0xfff896e0,
    0xd83e20ff,0xf501ffff,0x00bb0fff,0x3db7ffec,0x3ffff980,0x40ffffe6,
    0x4005fffb,0xfc84fffc,0xfff504ff,0xfffa809f,0xffffffff,0x807fffff,
    0xfeeffffb,0x502dffff,0xff98ffff,0x3ffea07f,0xffffffff,0xfffc8000,
    0x3fffea05,0x004fffff,0xffff916e,0x3ff625c9,0xfff501ff,0x54005c8f,
    0x00f9ffff,0xdeffff98,0x200cfffe,0x4005fffb,0xfb84fffc,0xfff506ff,
    0xfffa809f,0x7fffc04f,0xffffb807,0x3ffff223,0x3fffd40e,0x403fffe6,
    0xfaeffffa,0x8006ffff,0x2a05fffc,0xe98cffff,0x316e004f,0x3e1fffff,
    0x0ffffec1,0x327fffa8,0xccccc806,0xccfeffff,0xfff983cc,0x00aaabef,
    0x005fffb8,0x5427ffe4,0xfa80ffff,0x7d404fff,0x7fc04fff,0xffb807ff,
    0xfffb83ff,0x3ffea0ef,0x07fffcc7,0x55ffffa8,0x009fffff,0x205fffc8,
    0x224ffffa,0x216e004f,0x6abffffd,0x01ffffd8,0x3f6ffff5,0x6666402f,
    0xcdffffec,0xff983ccc,0xf70003ff,0xfc800bff,0xfffa84ff,0xffffa80f,
    0x7fffd404,0x3ffffc04,0x1ffffdc0,0x24fffff8,0x7cc7fffa,0xff500fff,
    0x7ffe4bff,0x3f2003ff,0x3fea05ff,0x002644ff,0xffff50b7,0xfffb05bd,
    0x3ffea03f,0x00ffffdf,0x0ffffd40,0x3ffff980,0xbfff7000,0x4fffc800,
    0x507fffa8,0xa809ffff,0x7c04ffff,0xfb807fff,0xffb03fff,0x7ffd4dff,
    0x07fffcc7,0x45ffffa8,0x01fffffd,0x40bfff90,0x4c4ffffa,0x20b70504,
    0xb07ffffe,0x2a03ffff,0xfffdffff,0x7fd4005f,0xff3001ff,0x2e0007ff,
    0x64005fff,0xffa84fff,0xffff505f,0xffffa809,0x3ffffc04,0x1ffffdc0,
    0x26ffffb8,0x7cc7fffa,0xff500fff,0xfff88bff,0xfc800fff,0x3fea05ff,
    0x3a8384ff,0xfff705b8,0x3fff609f,0xffff501f,0x40bfffea,0xffdccccc,
    0x3ccccdff,0x03ffff98,0x0bfff700,0x84fffc80,0xf503fffb,0xfa809fff,
    0x7fc04fff,0xffb807ff,0xfffb03ff,0x3fffd4bf,0x403fffe6,0x985ffffa,
    0x806fffff,0x2a05fffc,0xd004ffff,0x3e20b705,0xffb00fff,0x3fea03ff,
    0x3ffff67f,0xdccccc80,0xcccdffff,0xffff983c,0xfff70003,0xfffc800d,
    0x01fffc85,0x809ffff5,0x404ffffa,0x400fffff,0xf03ffffb,0x7d45ffff,
    0x7ffcc7ff,0xffff500f,0x3fffee0b,0x7ffe405f,0x3fffea05,0xb81fc804,
    0x817ff205,0x502ffffd,0x7fc4ffff,0xff5005ff,0x3ea003ff,0x50003fff,
    0x4024dfff,0xfe86fffc,0x3ffee02f,0x7ffdc05f,0x7fffc05f,0x7ffe400f,
    0xffffd83f,0x23fffdc4,0x501ffff9,0x6c0bffff,0x205fffff,0x2e06fffd,
    0x5c05ffff,0x206b80ff,0x3fa02ff9,0xff702fff,0xffffa8ff,0xffffb803,
    0xffff5001,0x7ff40009,0xfc801edf,0x3fee2fff,0x7fffec04,0x7fffec06,
    0xffff300e,0xfffd805f,0xffeb9aef,0xfffc82ef,0x3fffee0f,0xfffff902,
    0x3fffea01,0xfffd05ff,0x7fffec0f,0xfba999af,0x2fe887ff,0xff881b60,
    0xff904fff,0xfffe81ff,0x7ffec01f,0xfff9004f,0x6c4000df,0xf9002dff,
    0xbfddfb15,0x3ffb2607,0x32ceffff,0xffffffd9,0x3ff6e59d,0x24dfffff,
    0xfffffed9,0x2cdeffff,0xffffffb0,0xffffff73,0x3fffb227,0x320defff,
    0xffffffff,0xffffd34f,0x3fb263df,0xffffffff,0x26ffffff,0x3effffd9,
    0xfeda83a8,0x0cefffff,0x5ffffffb,0x3fffffea,0x7fff6d44,0x440cefff,
    0xffffffec,0x020001de,0xaa881300,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xdd300000,0xffffffff,0x00079ddd,0xfffed880,0xffffffff,0x4c5fffff,
    0xfffffffd,0x802cdeef,0xfffffec9,0x26000cef,0xffffffff,0xffffffff,
    0x3ffffee0,0xfb00dfff,0x3a65ffff,0xefffffff,0x7ffff5c4,0x3ffb225e,
    0xffffffff,0xb32fffff,0xffffffff,0x3ffa007b,0xffffffff,0x7fffffff,
    0x059db730,0x3ffa0130,0xfca99bff,0x00001eff,0xffffefd8,0xffcaaa9d,
    0x3fffa05f,0xffebaacf,0xfffb004f,0x3ea0009f,0x9999acff,0x02fffffb,
    0x05fffffb,0x7e413f60,0x6c07ffff,0x7fec03ff,0xaaa99dff,0xfe82fffd,
    0x4000efff,0xf99acffe,0xca99ffff,0xaefd87ff,0xea884ffe,0xffff902f,
    0x7ffff505,0xaed80000,0xd104ffff,0x7ffe40bf,0x7fff443f,0x7ffdc01e,
    0xdf70002f,0x7ffff401,0x3fffe205,0x80db004f,0x01fffffe,0x3ee00fee,
    0x3aa05fff,0xffffc82f,0x81fe8004,0xf987ffff,0xff53fec7,0x7ffedc3f,
    0x5ffff702,0x03ffff60,0x54fcc000,0x7c04ffff,0x3fffee05,0xffffe883,
    0x3fffee00,0x01d90002,0x07ffffe4,0x3ffffee0,0x200fcc00,0x06fffff8,
    0x3ea00bd1,0x7c405fff,0x4ffffb82,0xff03e800,0xb9ee0fff,0x3ffe24ff,
    0x702ffc85,0x2a05ffff,0x0002ffff,0x3ffea9d0,0x8172084f,0x103ffffb,
    0x5c0dffff,0x099bffff,0xf980b200,0xd003ffff,0xd809ffff,0xffff7004,
    0x400db07f,0x805ffffa,0xffffb82e,0xf00e8004,0x5e20ffff,0x7ec3fff8,
    0x02ffc84f,0x205ffff7,0x005ffff9,0x3fea6b80,0xb31cc4ff,0x1ffffdc0,
    0x07ffffd0,0x3fffffee,0x2c03ffff,0x1bffffa0,0xfffffa80,0x4001f500,
    0x21fffffd,0x3ea000eb,0x21885fff,0xffffb82b,0x3e038004,0x55207fff,
    0x5dc42fff,0x702ffc80,0x2a05ffff,0x0005ffff,0xfff517c4,0x0043a89f,
    0x407ffff7,0x706ffffb,0x3265ffff,0x0101efff,0x0fffffdc,0x3ffffa00,
    0x88005d04,0xf36fffff,0xfffa8003,0xb802b85f,0x0004ffff,0x03ffffc0,
    0x001fffe4,0x7dc0bff2,0xff902fff,0xd80007ff,0x27fffd45,0xffb800f6,
    0x3fe603ff,0xffb81fff,0x7ffec2ff,0x3fe2000f,0x98005fff,0x641fffff,
    0xfff50006,0x0005f9ff,0xb0bffff5,0xffff7005,0xff800009,0xffd807ff,
    0x7fe4004f,0x5ffff702,0x03ffffa0,0x540fa800,0x3e64ffff,0x3ffee003,
    0x3ffe203f,0xfffb82ff,0x7fffd42f,0x3fff6003,0xfb0000ff,0x0fc4bfff,
    0xffffb000,0x3ea0009f,0x17d45fff,0x27fffdc0,0x3ffe0000,0xfffd807f,
    0x17fe4006,0x42ffffb8,0x01ffffe8,0x7d417400,0xffdadfff,0x7f664c03,
    0xccccefff,0x0fffffe0,0x10bfffee,0x200dffff,0x03fffff9,0x3fffe200,
    0x80009b1f,0x06fffff8,0xbffff500,0x005ff953,0x009ffff7,0x7ffff800,
    0x0ffffc80,0x40bff200,0xecdffffb,0x003ffffe,0x9999ec80,0xffffffb9,
    0x64c03fff,0xceffffec,0x3ffe0ccc,0xfffb84ff,0xfffff82f,0xffffe800,
    0xffc80006,0x000faeff,0xfffffa80,0xfffa8003,0x2fffffff,0x4ffffb80,
    0x7ffc0000,0xfffa807f,0x3ff6004f,0x9ffff703,0x07fffff7,0xffff3000,
    0xffffffff,0x800ffa69,0x403ffffb,0xb83fffff,0x7c42ffff,0xfb807fff,
    0x0001ffff,0xffffff88,0x3f600003,0x4001ffff,0xa8dffffa,0xfb802ffd,
    0x00004fff,0x403ffffc,0x81fffff8,0xbddd950a,0xffffb819,0x3fffff72,
    0x203e8000,0x224ffffa,0x3fee003f,0x3fe203ff,0xffb81fff,0x7ffcc2ff,
    0x7ffc404f,0x200004ff,0x007ffffb,0x3fffe600,0x7d4006ff,0x17d45fff,
    0x27fffdc0,0x3ffe0000,0xfff7007f,0x099317df,0x3fffee00,0x1bffff62,
    0x5406b800,0x1e44ffff,0x7ffff700,0x7ffffcc0,0x2ffffb80,0x00ffffe4,
    0x01bffff6,0x7fc40062,0x100006ff,0xfffff55f,0x7ffd4009,0xb802d85f,
    0x2004ffff,0x7ffff801,0x3ffff600,0x20004fff,0x222ffffb,0x004fffff,
    0x7d401f88,0x41d44fff,0xffffb80a,0x3fffea03,0x5ffff707,0x07bffee2,
    0x5fffff50,0x22005900,0x0006ffff,0x7ffe49d0,0xff5001ff,0x00570bff,
    0x009ffff7,0x7fffc034,0x7ffdc007,0x5dd504ef,0x17fffdc0,0x07ffffea,
    0xf5009b00,0x82889fff,0x7ffff706,0x17fffe40,0xffffffb8,0x400cefff,
    0x05fffff8,0xf1001f88,0x0000dfff,0xfffe88bb,0xfff5006f,0x700330bf,
    0x2009ffff,0xffff805b,0x01d50007,0x807fffc4,0xd82ffffb,0x000fffff,
    0xff5001f5,0x0d5009ff,0x40ffffee,0x206ffff8,0x99bffffb,0x3ff20009,
    0xfb800fff,0xffff1001,0x0eb8000d,0x4fffff98,0x5ffffa80,0x3ffee000,
    0x009d004f,0x000fffff,0xffb813f6,0xfff702ff,0xfffd105f,0x07d100bf,
    0x13fffea0,0x3ee0bd10,0xff703fff,0x7fdc03ff,0xf30002ff,0x3007ffff,
    0x3e2001ff,0x20007fff,0x3ff201fa,0x7d401fff,0x20005fff,0x804ffffb,
    0xfff804fa,0xfd88007f,0xffff302f,0x3ffff201,0xfffff303,0x2007d807,
    0x205ffffa,0xff904fe9,0xfff509ff,0xfffb803d,0xffd0002f,0xff700dff,
    0x7ffcc00f,0x9f50007f,0xfffff880,0x3ffea00e,0x3f20005f,0x7d405fff,
    0x7ffc403f,0xf88000ff,0x0fbae03f,0x05ffffe8,0x07fffff2,0xd800ffe4,
    0x99afffff,0x03fffdb9,0x33dffffd,0x009fff95,0x013ffff6,0x3ffffee0,
    0xb999999b,0x2006fffe,0x01fffffb,0x402ffdc0,0x05fffffd,0x03fffff2,
    0x7fffec00,0xdb9999af,0x7d402fff,0x4002ffff,0x0000ffb8,0xfffffdb3,
    0xffd019df,0x7f4cbfff,0x6441dfff,0xffffffec,0xffffffff,0x3ffb262f,
    0xeeffffff,0xfec9801c,0x0cefffff,0xfffff880,0xffffffff,0x405fffff,
    0xfffffdc9,0x2e00cdff,0x0cefffff,0x7fffff54,0xfd912fff,0x59dfffff,
    0xfffd9300,0xffffffff,0x203fffff,0xffffffdc,0xdeb804df,0x0000000c,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfda80000,0xefffffff,0xcb801cde,0xcccccccc,0x00cccccc,
    0x00000db0,0x004e9800,0x457bb710,0x801cedb8,0x802cedb9,0x5003deca,
    0x40037bb9,0x200addca,0x2a2aaaaa,0x9302aaaa,0x001915bd,0x54cae200,
    0x222aaaaa,0x5551aaaa,0x1edc4555,0x2fffffa2,0x3ffffcaa,0x098000e0,
    0x2000ff00,0x322cedba,0x005fa803,0x7f5df754,0xfbaffacf,0x2bbf604f,
    0xfb104ffe,0x201df93b,0xffebbdea,0x3bf6200e,0xd505ffaa,0x7f4cdfff,
    0xbffb87ff,0x0001ffeb,0xe99ffecc,0x541effff,0xffb30cff,0x3fffa2ff,
    0x17fffec1,0x03bfffe6,0x0098000e,0xfb000ff0,0xd9bfd55f,0x8017ea00,
    0x3fa20ffb,0x3fea2fff,0x3ea7fd83,0x0ffe81ff,0xff70dff1,0x82fffcc1,
    0x3ee2ffe8,0xdfff904f,0xf87fffb8,0x000fec3f,0x67fff5c4,0x17fffe20,
    0x7ffd436c,0x2ffffe8f,0x417fffe4,0x40effff9,0x00260003,0x3fa003fc,
    0x07ffea3f,0xf002fd40,0xfffd87ff,0x707ffc47,0x7ffc49ff,0x3637fdc5,
    0x27ff42ff,0x3207fffe,0x3fe20fff,0x6fffb83f,0x2a3fffd4,0x017c45ff,
    0x5dfff930,0x83fffe40,0xffff982e,0x40ffe9cd,0x302ffffc,0x038bffff,
    0x7c002600,0x3ffee007,0x013ffe21,0xf8802fd4,0x7ffe46ff,0xf13fff86,
    0x4ffd87ff,0xf913ffe2,0x3fffc4df,0xf107fffe,0xffff0dff,0xa8dfff70,
    0x7fe47fff,0x200ae0df,0x01dfffea,0x42ffff88,0xffff3079,0xffc8098d,
    0x3ffa02ff,0x8000e1ff,0x00ff0009,0x883fffe2,0xa800ffff,0x3ff6005f,
    0x427ffe43,0xfff54ffe,0x2a0bb885,0x7fdc2fff,0x3e1ffe47,0x7fdc2fff,
    0x0fffe85f,0x2a37ffdc,0x7fd47fff,0xc8801fff,0x000bffff,0x322fffec,
    0x7ffff303,0x3ffff200,0x3ffff202,0x098000e5,0x2a00ff00,0x3fa27fff,
    0xfa803fff,0x9104c005,0xddddffff,0x3f2bfffd,0xff7003ff,0xffdddddf,
    0x3aa0881f,0x7e42ffff,0xfffe85ff,0x237ffdc2,0xff87fffa,0xb503ffff,
    0x0005bfff,0xf0ffffd4,0x3fffe601,0xffff9002,0x7fffd405,0x4c00070f,
    0x55555510,0x55557ff5,0x3ffee355,0x3fff6f67,0x55555534,0x55555df9,
    0x67e44055,0x999dfffb,0xffb09999,0x3ff6009f,0x999999bf,0x3ebfaa01,
    0x7fec2fff,0x4fffe85f,0x2a37ffdc,0xffb87fff,0x7d45ffff,0x00001eff,
    0x12a9fffd,0x00ffff98,0x05ffff90,0x8fffffcc,0x54260003,0xffffffff,
    0xffffffff,0x32ffff93,0x36bfffb4,0xffffffff,0xffffffff,0xf71ffb80,
    0x3f600dff,0xffb006ff,0xfd88009f,0x85ffff1f,0xfe85fffd,0x7ffdc4ff,
    0x83fffd46,0x3ffffffa,0x2fffff22,0x7fdc0000,0x2601e8ff,0x32007fff,
    0x2202ffff,0x072fffff,0xcc984c00,0xcffccccc,0x91cccccc,0x6cb7dfff,
    0x99974fff,0x99dfb999,0xd8899999,0x3ffea2ff,0xffff9007,0xbfff9001,
    0x0fffcc00,0xfc85ffff,0xfffe85ff,0x237ffdc3,0x2607fffa,0x886ffffe,
    0x01dfffeb,0xbffff100,0x7fff980d,0x3ffff200,0x3fffe202,0x4c00073f,
    0x200ff000,0x20effffb,0xa802fffd,0x3ff2005f,0x17fffcc6,0x27fffd40,
    0x07fffdc0,0x1bffa208,0xfa85ffff,0xffff85ff,0x237ffd41,0x0547fffa,
    0x01ffffb1,0x5f7ffe4c,0x7ffe4000,0x7ffcc02f,0x3fff2007,0x3ffe202f,
    0x400072ff,0x00ff0009,0xb03fffe6,0xf5001fff,0x3ffe200b,0x0efffe85,
    0xffff1498,0x3e21503f,0x0d885fff,0xff8dfff5,0x6fff82ff,0xfa86fff8,
    0x7ffdc7ff,0x7fe42dc7,0xffd71007,0x3e20039f,0xff9807ff,0x3ff2007f,
    0x3fe602ff,0x00070fff,0x07f8004c,0x3a1fffa0,0xbf5007ff,0x3fffee00,
    0xfffff712,0xb83aa27f,0x98beffff,0x7fffe44c,0x7dc5b32e,0xfffbdfff,
    0x7fdc0aff,0x0bffe60f,0x543fffe6,0x2e0fffff,0x02ffcc2f,0x77ffecc0,
    0x03ffd802,0x00ffff98,0x05ffff90,0x73ffffd4,0x8004c000,0x3fea007f,
    0x07ffe20f,0x9802fd40,0xdfffffff,0xffffffc8,0xfffd81ff,0xd884ffff,
    0x4fffffff,0x77ffffc4,0x85ffffc9,0x3ff63ffc,0x3bfff603,0x1ffffcfd,
    0x7dc2ffea,0x2e20001f,0x7cc03fff,0xfffb800f,0xfff9001f,0x7ffdc05f,
    0x98000e6f,0x400ff000,0x3f24ffde,0x4cccc42f,0x999dfb99,0x7fe41999,
    0x7f641eff,0x2e01dfff,0x404effff,0x03effffc,0x7449dfd7,0x3fea05ff,
    0x4401efee,0xfa8efffe,0xbf52ffff,0x003dfdff,0x401ed400,0xfffc805e,
    0xfc804fff,0x3f602fff,0x000e1fff,0x0ff00098,0x77f4d320,0xffd82dfe,
    0xffffffff,0x80ffffff,0x00a8801a,0x200054c0,0x401000a9,0x02aa2000,
    0x40015100,0x0002a608,0x01300000,0xff900000,0x3fe205ff,0x0001c5ff,
    0x01fe0013,0x00554404,0xfffffffb,0xffffffff,0x0000001f,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffff9000,0x3ffff205,0x130001c0,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x36000000,0xfb83ffff,0x00380eff,0x00000260,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffffa20,0xfffda99d,
    0x2aaaae04,0xaaaaaaaa,0x00000caa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fffb2a0,0xceefffff,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55530000,0x2aaa3555,0x5550aaaa,0x80c0e435,
    0x0007264a,0x8aaaaaa0,0xaa80bdda,0x3b2a2aaa,0x56edc41c,0xaaaaa880,
    0xaaaa89aa,0x555554c1,0x01aaaaaa,0x001500a8,0x10288002,0x00000005,
    0x14c00026,0x4c018800,0x7fff4c2c,0xffff50cf,0x867ecc5f,0xffd99ffa,
    0x23ff52df,0x0002dffa,0x23ffffa6,0x40effffd,0xd8ffffe9,0xf32fffff,
    0x2e0dffff,0x88cfffff,0x7e41bffc,0xfffcccdf,0x836401ff,0x0df7006c,
    0x1fc41fc0,0x75401ec0,0x003fea00,0xb800bfa0,0x540dfffe,0x7fcc6fff,
    0x7ffe43ff,0x7e43540f,0xffeeffff,0x3f223fff,0x8000cfff,0xaceffffb,
    0xfb84fffe,0xfc9cefff,0xe9aebfff,0xff303fff,0x80fd49ff,0x7ffd40ec,
    0x417e404f,0xffb001fb,0x20bee001,0x3fea02fc,0x80bfea03,0x5c003ffc,
    0xff7006ff,0x741dffbf,0x7ec2ffff,0x7ffcc5ff,0xfd81e42f,0x27fe443f,
    0x5bfffd50,0x7fffd400,0x21fffea3,0x7c4ffff9,0x3ee0efff,0x3ff205ff,
    0x6405d0ff,0x0ffffe82,0x3ee1bee0,0x01366005,0xff885ff0,0x20ffea01,
    0x7d403ffa,0x3fe2001f,0x7fd403ff,0xfd9bf222,0x7fcc4fff,0x3ffee0ff,
    0x7c407c5f,0x013ee01f,0x2fbfff26,0x3fffd400,0x261fffe6,0xffe87fff,
    0x2fffd43f,0x79ffff10,0xffb8380b,0x3fea02ff,0x000ffd41,0x0ffdc000,
    0xfa807fee,0x20ffea3f,0xeb9ba2ec,0x3ef7f203,0x20ff600f,0xffd30ff8,
    0x7fffd0bf,0x87fffdf4,0x009f705a,0x75c400fd,0xf501dfff,0xfff98fff,
    0x87fff987,0x7d43fffe,0x7fe406ff,0x44000fff,0x2a06ffff,0x2ffd45ff,
    0xff000000,0x07ffc41f,0xff57ff50,0x2bfff107,0x07ffe8ac,0x13fa1ff1,
    0x7f900ff8,0xfb84f888,0x3fed36ff,0x360593ff,0x02fb801f,0xefffd980,
    0x1fffea0b,0x981ffff3,0xffe87fff,0x3fffd43f,0x17fffe20,0x3ffff600,
    0x43fff301,0xa981fff9,0xaaaaaaaa,0x02aaaaaa,0x7dc1dff7,0x3fea00ef,
    0x3ff603ff,0xfffecdef,0x7d49fb03,0x201ff00f,0x82fa83fc,0x3c9ffff8,
    0x03edfff9,0x7d4007f4,0x3fa20004,0x3ffea3ff,0x07fffcc7,0x3a1fffe6,
    0x7fd43fff,0xfffb807f,0x3fea001f,0xfff104ff,0x82fffc4b,0xfffffffd,
    0xffffffff,0x4dfff00f,0x6406fff8,0x998805ff,0x20199de9,0x2fec0ff9,
    0xff884fe8,0x3fa06d81,0xff30ecff,0x7f40b9ff,0x002fb801,0xcffffb88,
    0x31fffea0,0xf981ffff,0xfffe87ff,0x03fffd43,0x006fffe8,0x803ffffa,
    0x3f60fffd,0x9999707f,0x99999999,0x3e209999,0x3ffe24ff,0x3fffea04,
    0xb95d3003,0x983fe801,0xbffa81ff,0xd90dfb30,0x7fffdc01,0x17ffff45,
    0xfb007f90,0x7fecc001,0xfff502ef,0x0ffff98f,0x743fffcc,0x7fd43fff,
    0xfffd007f,0xfff7005f,0x7ffd005f,0x0003ffe8,0x13ff2000,0x7d40bff9,
    0x403ffabf,0x2ff98ffc,0x7e40df70,0xfdfffb06,0x067443ff,0x0bfffe20,
    0x980ffff7,0x17ea00ff,0x3fffae20,0x7ffd401c,0x07fffcc7,0x3a1fffe6,
    0x7fd43fff,0xfecc807f,0x7fc406ff,0x441985ff,0x3fa20ffe,0x10000007,
    0x5ff88bff,0xfa8ffea0,0x4bff503f,0x7fc40fff,0x40bfe202,0x40dffffb,
    0x3ff60008,0x04fff887,0xfb81efd8,0x3ff2603f,0xf5000bef,0xfff98fff,
    0x3fffcc0f,0x2a1ffff4,0xb4c07fff,0x203ffffa,0xd81ffffd,0x444fe881,
    0x3aa003fe,0x42fe4004,0x3fea06fd,0x983ffa83,0x03ff22ff,0xbd7009d5,
    0x00009880,0x3609ff50,0x7fd401ff,0xffedceff,0x7fed41ff,0xfb8002df,
    0x7ffcc7ff,0x7fffd40f,0x227fff40,0x2207fffb,0x3ffffa1f,0x4ffffa80,
    0xff100fb8,0x2007f881,0xf1000ffd,0x00ef981d,0x7d407ff3,0x1a81982f,
    0x00000000,0x407fe000,0x7fd407fa,0xdffffeaa,0xff50ffc9,0x6400019f,
    0x3ee0ffff,0x7fdc2fff,0x7fffc1ff,0x07fffe45,0x3fee3f44,0xfffe85ff,
    0x0ffb530f,0x3f984f98,0x400df700,0x00ed80ed,0x075401ec,0x00000000,
    0xd9000000,0x2d804f80,0x8f204d4c,0xd80002ea,0xb9ffffff,0x93ffffff,
    0x35ffffff,0x2dfffffd,0x2ffffffd,0x73bfffb1,0x1dfffffd,0x3fffffee,
    0x807fffff,0x400b5059,0x20362000,0x000000d8,0x00000000,0x44000000,
    0x00004c01,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x30060026,0x40180660,
    0x01530019,0xfffffff5,0xffffffff,0x3fffea7f,0xffffffff,0x0083ffff,
    0x20073bae,0x16665c1c,0x66441791,0x440001cc,0xeeeeeeee,0x26666664,
    0x99999999,0x33332219,0xcccccccc,0x00004ccc,0x40000000,0xd80efffc,
    0x3e60dfff,0x13ff20ff,0x6441fff3,0xf504feab,0x7d41bf7b,0xffffffff,
    0x3fffffff,0xfffffff5,0xffffffff,0xf986887f,0x0befffff,0x7ffc0f88,
    0x51fffe25,0xfd889fff,0xf88bfa64,0x5fffffff,0xfffffff3,0xffffffff,
    0x7ffffccf,0xffffffff,0x000007ff,0x32000000,0x645ffebe,0x324fffef,
    0xfff14fff,0x27ffec1f,0x07fea5fb,0x02fdcff3,0x003fb800,0xd13fa000,
    0xfffd757d,0x8dd515bf,0x3ea0effa,0x7fd42fff,0xc8fffdc6,0x3ffe27ff,
    0xd35fffff,0xdddddddd,0x4ddddddd,0xbbbbbbb8,0xbbbbbbbb,0x00000003,
    0x44710000,0x543626ff,0x3fff67ff,0x41ffff14,0x3fa4fffd,0xfe85ff54,
    0x000bfea6,0x0000fee0,0x88fff440,0xfffc980f,0x7ec1ffff,0x7fffd40e,
    0x2a1ffa81,0xfff91fff,0xaaaaaaa8,0x0000001a,0x00000000,0x20000000,
    0x7fc01ff8,0xf8ffff25,0x7ffe47ff,0x7fed4622,0xff337fc3,0x7f700007,
    0x7cc00000,0xa880b32f,0xef80befd,0x40bffb00,0x11f643fb,0x000005db,
    0x00000000,0x00000000,0x3bfaa000,0xa8bfe200,0x3ffa1fff,0x207ffd45,
    0x23ffacea,0x3fe66ff8,0x3fb80004,0xfffffff5,0xffffffff,0x037e447f,
    0x00d98000,0x025c004c,0x00000000,0x00000000,0x00000000,0x7fffec40,
    0xf889f700,0x21ffdc7f,0xafdc7ff8,0x37fc3ffa,0x00007ff5,0x3ffea7f7,
    0xffffffff,0xd73fffff,0x0000019b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20bffa60,0x8bfd05f8,0x5fe81ff9,0x7fdd3fe2,0xff53fe43,
    0x13100001,0x26666662,0x99999999,0x00000099,0x00000000,0x00000000,
    0x00000000,0x00000000,0x82ffa800,0x3fc8a24e,0x47f907f8,0xffbefff8,
    0xfd8ff41d,0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x207fc0c0,0x23ecccfd,0x305d81f9,0x50bc981f,0x3376e019,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfa977e40,0x7ffffec2,0x02a82c1f,0x00000016,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x40cefec9,0xeeeeeeea,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_35_latin1_x[224]={ 0,2,2,0,1,2,1,2,1,0,1,0,1,0,
1,0,1,2,0,0,0,1,1,1,1,0,2,2,0,0,0,1,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,1,1,0,0,0,0,0,0,3,0,1,2,-1,0,1,0,1,1,1,1,1,1,0,
-1,1,0,1,1,1,0,1,1,1,0,0,0,0,0,0,0,2,2,1,0,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,2,1,0,0,0,
2,1,0,0,0,0,0,0,0,-1,0,0,0,0,3,1,0,1,2,1,0,0,1,1,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,2,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,1,0,0,0,0,0,0,0,
 };
static signed short stb__times_bold_35_latin1_y[224]={ 28,6,6,6,6,6,6,6,6,6,6,9,23,19,
23,6,6,6,6,6,6,7,6,7,6,6,13,13,10,14,10,6,6,6,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,7,6,7,6,32,6,13,7,13,7,13,6,13,7,6,
6,7,7,13,13,13,13,13,13,13,8,13,13,13,13,13,13,6,6,6,17,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,28,12,7,6,10,7,
6,6,6,6,6,13,14,19,6,3,6,9,6,6,6,13,7,14,27,6,6,13,6,6,6,12,-1,-1,-1,0,
0,1,7,6,-1,-1,-1,0,-1,-1,-1,0,7,0,-1,-1,-1,0,0,10,6,-1,-1,-1,0,-1,7,6,6,6,
5,6,6,5,13,13,6,6,5,6,6,6,5,6,6,6,6,6,5,6,6,10,12,6,6,5,6,6,6,6,
 };
static unsigned short stb__times_bold_35_latin1_w[224]={ 0,6,13,16,14,28,24,5,10,10,14,18,6,10,
6,9,14,12,15,14,15,14,14,15,14,15,6,7,18,18,18,14,28,23,20,21,22,20,19,24,25,12,16,25,
20,30,23,23,19,23,24,16,19,23,23,32,23,23,21,7,9,7,15,18,8,15,17,13,16,13,12,15,16,9,
9,17,9,25,16,14,17,16,13,11,11,17,16,23,16,16,14,10,3,9,18,17,17,17,17,17,17,17,17,17,
17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,17,0,6,14,16,16,16,
3,14,11,23,10,16,18,10,23,18,12,18,9,9,7,17,18,6,6,8,10,16,23,22,24,13,23,23,23,23,
23,23,32,21,20,20,20,20,12,12,12,12,22,23,23,23,23,23,23,14,23,23,23,23,23,23,19,17,15,15,
15,15,15,15,21,13,13,13,13,13,10,10,11,11,14,16,14,14,14,14,14,18,14,17,17,17,17,16,17,16,
 };
static unsigned short stb__times_bold_35_latin1_h[224]={ 0,23,11,23,25,23,23,11,29,29,13,17,11,4,
6,23,23,22,22,23,22,22,23,22,23,23,16,21,16,8,16,23,29,22,21,23,21,21,21,23,21,21,22,21,
21,21,22,23,21,28,21,23,21,22,22,22,21,21,21,27,23,27,12,3,6,16,22,16,22,16,22,22,21,22,
29,21,21,15,15,16,22,22,15,16,21,16,16,16,15,22,15,29,29,29,6,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,23,27,23,16,21,
29,29,5,23,10,15,8,4,23,3,12,17,12,12,6,22,28,7,7,12,10,15,23,23,23,23,29,29,29,28,
28,27,21,28,29,29,29,28,29,29,29,28,21,29,30,30,30,29,29,15,24,30,30,30,29,29,21,23,23,23,
24,23,23,24,16,21,23,23,24,23,22,22,23,22,23,22,23,23,24,23,23,15,17,23,23,24,23,29,29,29,
 };
static unsigned short stb__times_bold_35_latin1_s[224]={ 254,249,27,46,40,1,207,21,197,59,204,
42,248,163,135,18,28,229,202,108,186,130,163,103,226,1,249,248,206,82,42,
73,1,162,58,232,1,132,172,123,32,19,208,96,192,153,225,202,219,132,1,
1,213,66,90,165,148,124,102,247,210,244,219,174,142,145,1,117,36,131,53,
114,79,198,30,184,122,78,61,161,147,130,242,194,239,176,225,1,104,1,121,
229,240,244,108,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,254,241,1,
41,25,202,40,44,151,17,41,136,63,163,178,193,235,76,11,1,127,18,204,
247,101,247,52,172,72,166,141,127,70,94,73,156,180,16,26,97,208,142,163,
223,184,197,210,119,59,223,97,1,73,1,25,189,134,49,25,121,49,118,82,
189,79,63,55,30,194,89,95,233,43,220,120,113,218,119,96,242,88,145,58,
148,105,234,57,153,61,95,176,71,158,162,179,145, };
static unsigned short stb__times_bold_35_latin1_t[224]={ 1,92,299,120,92,120,120,299,1,32,282,
260,282,299,299,144,144,168,168,144,168,168,144,168,144,168,192,144,260,299,282,
168,32,168,215,120,260,215,238,144,215,215,192,215,238,215,192,144,215,62,238,
144,238,192,192,192,238,238,238,32,92,62,282,299,299,260,215,260,192,260,192,
192,215,192,32,215,215,282,282,260,192,192,260,260,215,260,260,282,282,192,282,
1,1,1,299,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,
260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,260,1,144,92,
168,282,215,32,32,299,168,299,282,299,299,144,299,282,260,299,299,299,192,62,
251,299,238,299,282,144,120,120,120,32,32,62,62,62,92,238,62,1,32,32,
62,32,32,32,62,238,32,1,1,1,62,62,282,92,1,1,1,62,32,238,
120,120,120,92,120,92,92,260,238,144,92,92,120,168,168,144,168,168,168,168,
144,92,92,144,282,260,120,92,92,92,1,1,1, };
static unsigned short stb__times_bold_35_latin1_a[224]={ 126,168,281,253,253,506,421,140,
168,168,253,288,126,168,126,140,253,253,253,253,253,253,253,253,
253,253,168,168,288,288,288,253,470,365,337,365,365,337,309,393,
393,197,253,393,337,477,365,393,309,393,365,281,337,365,365,506,
365,365,337,168,140,168,294,253,168,253,281,224,281,224,168,253,
281,140,168,281,140,421,281,253,281,281,224,197,168,281,253,365,
253,253,224,199,111,199,263,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,393,
393,393,393,393,393,393,393,393,126,168,253,253,253,253,111,253,
168,378,152,253,288,168,378,253,202,278,152,152,168,291,273,126,
168,152,167,253,379,379,379,253,365,365,365,365,365,365,506,365,
337,337,337,337,197,197,197,197,365,365,393,393,393,393,393,288,
393,365,365,365,365,365,309,281,253,253,253,253,253,253,365,224,
224,224,224,224,140,140,140,140,253,281,253,253,253,253,253,278,
253,281,281,281,281,253,281,253, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_35_latin1_BITMAP_HEIGHT or STB_FONT_times_bold_35_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_35_latin1(stb_fontchar font[STB_FONT_times_bold_35_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_35_latin1_BITMAP_HEIGHT][STB_FONT_times_bold_35_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_35_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_35_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_35_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_35_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_35_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_35_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_35_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_35_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_35_latin1_s[i] + stb__times_bold_35_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_35_latin1_t[i] + stb__times_bold_35_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_35_latin1_x[i];
            font[i].y0 = stb__times_bold_35_latin1_y[i];
            font[i].x1 = stb__times_bold_35_latin1_x[i] + stb__times_bold_35_latin1_w[i];
            font[i].y1 = stb__times_bold_35_latin1_y[i] + stb__times_bold_35_latin1_h[i];
            font[i].advance_int = (stb__times_bold_35_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_35_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_35_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_35_latin1_s[i] + stb__times_bold_35_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_35_latin1_t[i] + stb__times_bold_35_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_35_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_35_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_35_latin1_x[i] + stb__times_bold_35_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_35_latin1_y[i] + stb__times_bold_35_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_bold_35_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_35_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_35_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_35_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_35_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_35_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_35_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_35_latin1_LINE_SPACING
#endif

