// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_42_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_42_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_42_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_bold_42_latin1_BITMAP_HEIGHT        424
#define STB_FONT_times_bold_42_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_bold_42_latin1_FIRST_CHAR            32
#define STB_FONT_times_bold_42_latin1_NUM_CHARS            224

#define STB_FONT_times_bold_42_latin1_LINE_SPACING          27

static unsigned int stb__times_bold_42_latin1_pixels[]={
    0x440300c0,0x04cccccc,0x7fdc0000,0x64c005ff,0x0001cc81,0x5e66554c,
    0x3990001a,0x33332000,0x4c000002,0x09999999,0x79999300,0x10000000,
    0x00099999,0x66666440,0xff980000,0x07bfe61f,0x3fffff4c,0x3fa00000,
    0x7dc005ff,0x017fc5ff,0x77ffe4c0,0xbefedccc,0x00bfe000,0x3ffffee0,
    0x36e20000,0xfffffffe,0x002effff,0x003ffff6,0xff900000,0x800003ff,
    0x003ffffa,0x25fffd80,0x2e04fffd,0x0007ffff,0x1bffe200,0x3ffffe00,
    0xb800bfe0,0x4400befe,0xff003fd9,0xfff88005,0x70003fff,0xdfffffff,
    0x009fd333,0x01fffec0,0x3fa00000,0x000002ff,0x000dfff5,0x74dfffb0,
    0x3e605fff,0x00007fff,0x003bfee0,0x3fffff10,0x6c4017fc,0xf50002ef,
    0x02ff801b,0x7f7ffe40,0x7e4000ff,0x6fffffff,0x200007ec,0x00005ffd,
    0x0bffe600,0xff700000,0xfa80001f,0x3ffea2ff,0x3fffe602,0x3a000007,
    0xf90000ef,0x02ff8dff,0x00027f4c,0x3fe036c4,0x3ffe2002,0x4009ff91,
    0xfffffffb,0x003ec6ff,0x000ffd80,0x5ff90000,0x2e000000,0x880003ff,
    0x400b880b,0x007ffff9,0x01df1000,0x0675c400,0xffa80bfe,0x27400002,
    0x6c005ff0,0x07fdc0ef,0x7ffffc40,0x6c6fffff,0xfd100007,0x20000007,
    0x000003fe,0x0002fe40,0xff980000,0x000007ff,0x00000151,0xff102ff8,
    0xf3000003,0x400bfe03,0x13ea05f9,0x3fffff20,0x6c6fffff,0x36200007,
    0x88000004,0x0000003e,0x00001d90,0xfff30000,0x000000ff,0xff800000,
    0x0007fd02,0xff82e400,0x30031002,0xffffb005,0x8dffffff,0x0000007d,
    0x00000000,0x00000000,0x2aaaaaa6,0x2aaa21aa,0x7ffcc1aa,0x0736e27f,
    0xaaaaaa98,0x2aaa21aa,0x555501aa,0x17fc1555,0xb9802fe4,0x0266663d,
    0x45ff01f1,0x99999999,0x99809999,0xd0999999,0xffffffff,0x007d8dff,
    0x01aa9880,0xa9880000,0x2660001a,0x99999999,0x99998099,0xffa89999,
    0x21dfffff,0x42effeb8,0xf97ffff9,0x503dffff,0xbfffffff,0x77ff5c43,
    0xffffd702,0x2617fc1f,0xffb800ff,0xffffacde,0x2ff83d80,0x3fffffb2,
    0xc83defff,0x3dfffffe,0xfffffffd,0x07d8dfff,0xfffec880,0x03efffee,
    0xffec8800,0x3efffeef,0x3fffb200,0x3defffff,0xfffffec8,0xfffff13d,
    0x9837cc0f,0xcfcfffff,0x80fffffd,0x07fffff8,0x3e601be6,0x3fe0ffff,
    0x22027e42,0x3f3a3ffd,0xf09906ff,0xffff505f,0x3e6009ff,0x7ffec0ff,
    0x6fffffff,0x3ea003ec,0x2e60aeff,0x0000dfff,0x415dfff5,0x00dfffb9,
    0x3ffffea0,0xfff3004f,0xfffff701,0x4c0be601,0x20ffffff,0x705ffff9,
    0x201fffff,0xfff002f9,0x217fc1ff,0x7fec00ff,0x1ffffec6,0x02ff85a8,
    0x03ffffff,0x7dc1fe40,0xffffffff,0x8803ec6f,0x200ffffd,0x003ffff8,
    0x03ffff62,0x03ffff88,0x3fffffe0,0x80ff2001,0x703fffff,0x7fffcc0f,
    0xffffd82f,0x7fffff03,0xff801ee0,0x8bfe0fff,0x7fdc06fa,0x7fffec1f,
    0x5ff0d301,0x3fffffa0,0x207ee001,0xfffffff9,0x03ec6fff,0x0fffffc4,
    0x2ffffd40,0x7ffffc40,0xffffa801,0xffffd005,0x0fdc003f,0x0dffff70,
    0xfff98136,0xffff507f,0x3fffee0b,0x7c009b06,0x3fe0ffff,0xf980bf62,
    0xffff86ff,0x3ba1a607,0xfffffd01,0x80fd4001,0xffffffff,0x403ec6ff,
    0x004ffffd,0x00bffffa,0x009ffffb,0x017ffff4,0x07fffff4,0x4403f500,
    0x442fffff,0x3ffe600f,0xffff307f,0x3fffe20f,0x0007c42f,0x7c1fffff,
    0xe803fa2f,0x7fc42fff,0x016a04ff,0x3fffffa0,0x407ea000,0xfffffffa,
    0x203ec6ff,0x01fffffa,0x3ffffea0,0xfffff500,0x7ffd4003,0x7ff400ff,
    0x2a000fff,0x7ffe401f,0x26035c5f,0xf107ffff,0x3201ffff,0x35c5ffff,
    0x3ffffe00,0x07f8bfe0,0x303fffea,0x6405ffff,0xfffe8004,0x3ea000ff,
    0x3ffff201,0x3ec6ffff,0xffffff10,0xffff8800,0xffff885f,0x7fc4007f,
    0x7f405fff,0x2000ffff,0x7fcc01fa,0x00ba1fff,0x20fffff3,0x01fffff8,
    0x43fffff3,0x7ffc002e,0x44bfe0ff,0x3fffa06f,0x0ffffc85,0x3a000fa0,
    0x000fffff,0xfd5007ea,0xd8dfffff,0x3ffff207,0xfff8004f,0x7fe41fff,
    0xf8004fff,0x201fffff,0x00fffffe,0x36007ea0,0x1f34ffff,0x7ffff980,
    0x0bffffe0,0x34ffffd8,0xfff8001f,0x4cbfe0ff,0xffff305f,0x6ffff885,
    0x20003e20,0x00fffffe,0x4c007ea0,0x6c6ffeec,0x3ffff607,0xffd8003f,
    0x7fec3fff,0xd8003fff,0x203fffff,0x00fffffe,0x2a007ea0,0x4c8fffff,
    0x7ffff980,0x07ffffe0,0x8fffffa8,0xfff8004c,0x4cbfe0ff,0xffff705f,
    0x3ffffc81,0x740016a0,0x000fffff,0xf80007ea,0xfff03ec6,0xb0005fff,
    0xf89fffff,0x002fffff,0x4fffffd8,0x3fffffa0,0x007ea000,0x7dfffff4,
    0xffff9801,0xfffff107,0x7ffffd00,0xfff0003f,0xf17fc1ff,0x1ffff20d,
    0x03fffff1,0xfe80016c,0x2000ffff,0x3e0001fa,0xff883ec6,0x8002ffff,
    0x25fffffc,0x2ffffff8,0xffffc800,0x3fffa05f,0x3ea000ff,0xffff7001,
    0x3fe600df,0xfff107ff,0xfff700df,0x3e000dff,0x3fe0ffff,0x7fec1fa2,
    0x7fff6c6f,0xaa816a07,0xfffffd00,0x00fd4001,0x07d8df00,0x3ffffff5,
    0xffff9000,0x7fffd4ff,0xfc8001ff,0x3a07ffff,0x000fffff,0x7c4007ea,
    0x3003ffff,0x260fffff,0x8805ffff,0x003fffff,0x41fffff0,0x203f22ff,
    0x3327ffff,0xd105fffd,0xe817fc01,0x000fffff,0xf80007ea,0xffb83ec6,
    0x8001ffff,0x0ffffffc,0x3ffffff7,0xffff9000,0x3ffa01ff,0x2a000fff,
    0x3ff2001f,0xff3000ff,0xff901fff,0x3f2003ff,0xf0000fff,0x7fc1ffff,
    0x3fa0bee2,0xe8edcfff,0x2e883fff,0xfe817fc0,0x2000ffff,0x3e0001fa,
    0xffa83ec6,0x8001ffff,0x27fffffc,0x1ffffffa,0xffffc800,0x3fffa07f,
    0x3ea000ff,0x3ffe2001,0x3ffe6005,0x3fe20fff,0x3e2003ff,0x3e0005ff,
    0x3fe0ffff,0x3ee0fea2,0xf91fffff,0x42ea87ff,0x40bfe0e8,0x00fffffe,
    0x80003ea0,0xf883ec6f,0x002fffff,0x6fffffc8,0x3fffffe2,0xfffc8002,
    0x3ffa06ff,0x2a000fff,0x7fec000f,0x3ffe6002,0xffbcfdff,0xfd8005ff,
    0x3fe0002f,0x8bfe0fff,0xfff985f8,0x3ffe61ef,0xb81ddbbf,0xfe817fc4,
    0x2000ffff,0x3e0000fa,0xfff03ec6,0xb0007fff,0xf89fffff,0x003fffff,
    0x4fffffd8,0x3fffffa0,0x003ea000,0x9800ff50,0xff77ffff,0x00019dff,
    0xf8000ff5,0x3fe0ffff,0x6cc17d42,0xeec980ce,0x81d101ce,0xfffd02ff,
    0x7dc001ff,0xb1be0000,0x7ffff40f,0xffd8004f,0x7ff43fff,0xd8004fff,
    0x203fffff,0x00fffffe,0x20003ee0,0x7fcc004e,0x00dcc7ff,0x00027400,
    0xf83ffffe,0x000fd82f,0xf82c8000,0xffffb02f,0x07dc003f,0x7d8df000,
    0x3ffffee0,0xffff8004,0x7ffdc0ff,0xff8004ff,0x3600ffff,0x001fffff,
    0xf10003ee,0xfff98001,0x1000007f,0xff80001f,0x0bfe0fff,0x000013e2,
    0x0bfe0d70,0x0fffffec,0x8000f900,0x3a03ec6f,0x4006ffff,0x04fffff9,
    0x00dffffd,0x4fffff98,0x7ffffec0,0x101f2001,0xf3000b70,0x0000ffff,
    0x0000b701,0xff8ffffd,0x0005f502,0x7c03ae00,0xffff902f,0x02f4005f,
    0x0fb1be00,0x2fffffa8,0x3fffee00,0xffff500f,0x7fdc005f,0x7e400fff,
    0x2002ffff,0x8bff305e,0xff98002e,0x260007ff,0x001745ff,0xfffd97a6,
    0xf9017fc7,0xdc800005,0x4c0bfe00,0x003fffff,0xf80007f3,0x7f403ec6,
    0x3a005fff,0x7403ffff,0x2005ffff,0x803ffffe,0x03fffff9,0x3f607f30,
    0x000d51ff,0x01ffffe6,0x51fffd80,0x3ffd000d,0xff17fff6,0x00dfa805,
    0x402ecc00,0x3ffa02ff,0x7c400eff,0x46f80007,0xffe8807d,0xffb800ff,
    0xfe8804ff,0xfb800fff,0x3a004fff,0x400effff,0x3ff607f8,0x0002e8bf,
    0x00fffff3,0x45fffec0,0xffe8002e,0xf81fff92,0x3fc8802f,0x03fd9800,
    0x7cc05ff0,0x100effff,0xf00005fd,0x32007d8d,0x2600efff,0x4004ffff,
    0x200efffc,0x004ffff9,0x77ffffcc,0x405fd100,0x05fffffa,0x3fffee00,
    0xff50001f,0x2000bfff,0xffe8cffa,0x2002ff83,0x40abceea,0x003edba9,
    0x3ea017fc,0xabdfffff,0x0001ffec,0x007d8df0,0x057fffd4,0x05ffff93,
    0x3fffea00,0x3fff260a,0xff50002f,0x957bffff,0xd7003ffd,0x220009ff,
    0xfffffffe,0xfeb8002c,0x7dc0004f,0xff01ceff,0xb9530005,0x59bdfdfd,
    0x00bfe000,0x3fffff22,0x000bffff,0x0fb1be00,0xfffb7100,0x17dffffd,
    0xfdb88000,0xeffffeff,0x6440000b,0xffffffff,0x004000bf,0x4ccccc00,
    0x00009999,0x11000002,0x00013300,0x80000220,0x54c00099,0x0001abcb,
    0x01881300,0xabba8800,0x2000000a,0x00aabba8,0x97530000,0x00000357,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x000cccc9,0x99970000,0x54400039,0x0000accb,
    0x5cc000a8,0x0001880a,0x05999950,0x332e0000,0xa80002cc,0x0002cccc,
    0x79999300,0x2b980000,0x33100330,0x00013333,0x013ffffa,0x3fe20000,
    0x2a0004ff,0xcffecfff,0x05d98000,0x6ffffe40,0x80001362,0x0007fffe,
    0x0bffff00,0x3fffa000,0xb000000e,0x0001ffff,0x3ffff620,0x2e00ba1c,
    0x04ffffed,0xfffffb80,0x4000000f,0x0005fffb,0xff70bff2,0x04fc800b,
    0x7ffffd40,0x001fefff,0x3fffa200,0x7d400001,0x300005ff,0x0001dfff,
    0x3fffe200,0x3f200001,0xffffffff,0x7fec000f,0x7fc4004f,0x004fffef,
    0x2fff4000,0x0bff5000,0x2007fff1,0xfe8003fd,0xffffffff,0xe8800006,
    0x400004ff,0x0000effd,0x001dff90,0x7ffd4000,0x3e200001,0xffffffff,
    0xffb8005f,0x7fe4004f,0x001ffd15,0x17fe2000,0x07ffd000,0xb00bfff3,
    0x4be000ff,0x2effffd9,0xfd100000,0xff80000f,0x3a00000e,0x000000ff,
    0x0000ffec,0x7ed47e60,0x8001efff,0x2004fffb,0x7f443ff8,0xf7000004,
    0xff80001d,0x4fff885f,0x001ffe40,0x02c98244,0xfe880000,0xdf500001,
    0x7cc00001,0x4000001f,0x00002ff8,0x1ca88388,0x3ffee000,0x80bf6004,
    0x800001fd,0xf80000dc,0xdfb81fff,0x03ffea00,0x00000000,0x007b1000,
    0x00036e00,0x0003d500,0x005d3000,0x00000000,0x013ffee0,0x01a80098,
    0x00000000,0x00ffffec,0x004ffe80,0x03553100,0x00000000,0x00000000,
    0x00000000,0x33331000,0x10013333,0x13333333,0x009fff70,0x006aa620,
    0x99999980,0x80999999,0x99999999,0x7ffffdc0,0x7ffd4003,0xfd910001,
    0xdfffddff,0x4c000007,0x26660000,0x99999999,0x33333109,0x01333333,
    0x4cccccc4,0x00260001,0x7fffecc0,0x5c00efff,0x1efffffd,0x004fffb8,
    0xddfffd91,0x4007dfff,0xffffffec,0xec83deff,0x83dfffff,0x0efffffc,
    0x01fffd00,0x5dfff500,0x6fffdcc1,0x3e800000,0xffb91000,0xbfffffff,
    0x3ffffee7,0x01ceffff,0x3fffffae,0x00fa0005,0xffffd100,0x3a200bff,
    0x3fee00ff,0xfffa804f,0x3fee60ae,0x3ea000df,0x004fffff,0xd801fff3,
    0x02ffffff,0x003fffd4,0x03ffff62,0x03ffff88,0x01be6000,0x3fffe600,
    0x3fee06ff,0x4007ffff,0x0000eff9,0x20001be6,0xfffffff8,0x807f7003,
    0x2204fffb,0x200ffffd,0x003ffff8,0x07fffffe,0xd803fc80,0x5fffffff,
    0x017fff60,0x1fffff88,0x5ffffa80,0x5ffb0000,0xfffb0000,0xffd805ff,
    0x2000ffff,0x40000ff8,0x80002ffd,0xfffffffd,0x402f9801,0xf104fffb,
    0x5003ffff,0x200bffff,0x01fffffe,0xfb007ee0,0xffffff71,0x17fffa0b,
    0x4ffffd80,0x3ffffa00,0x7fc40002,0xfd80006f,0x4402ffff,0x04ffffff,
    0x0000bea0,0x000dfff1,0xffffffb0,0x1f8801ff,0x827ffdc0,0x004ffffd,
    0x00bffffa,0x03fffffa,0x3201fa80,0x3fffa62f,0xffff84ff,0xffff5004,
    0x7fd4003f,0x20000fff,0x001ffffc,0x7ffffec0,0xffffb802,0x0bd000ff,
    0xffff9000,0xdcd80003,0x06ffffff,0x3ee00fc4,0xfffa84ff,0x3ea001ff,
    0x7400ffff,0x000fffff,0x7fd407ea,0x7fffec40,0x3fffe21f,0xffff8804,
    0x7fc4007f,0x10005fff,0x00bfffff,0xfffffd80,0xffffd002,0x01f7009f,
    0xffff8800,0x66c0005f,0xffffffe8,0x7007e204,0xff889fff,0x44007fff,
    0x405fffff,0x00fffffe,0x7ec07ea0,0x3fffee07,0x13fffe66,0x3fffff20,
    0xffff8004,0xfb8001ff,0x000fffff,0x3fffff60,0xffff5002,0x27c403ff,
    0x7ffdc000,0x20000fff,0xfffff14d,0x07e207ff,0xc89fff70,0x004fffff,
    0x1ffffff8,0x3fffffa0,0x407ea000,0x3ee02fff,0x3ffea7ff,0xfffd803f,
    0xfd8003ff,0x8003ffff,0x4fffffff,0x3fff6000,0x3fa002ff,0x3605ffff,
    0xfff00006,0x0009ffff,0xffff326c,0x3f103fff,0x44fffb80,0x03fffffd,
    0xfffffd80,0x3ffffa03,0x07ea000f,0x803bffe6,0xff51fffc,0xfff007ff,
    0xb0005fff,0x009fffff,0xffffafa8,0x3f60007f,0x2002ffff,0x1ffffff9,
    0x80002f98,0xfffffafa,0x71360007,0x1fffffff,0x7dc01f88,0x7fffc4ff,
    0xfd8002ff,0x3a04ffff,0x000fffff,0x7ffc07ea,0xfff100ef,0x027fffcc,
    0x3fffffe2,0xfffc8002,0xa74005ff,0x03fffffe,0xfffffb00,0xfffd8005,
    0x005e86ff,0x3ffa9d00,0xb0003fff,0xfffffb09,0x401f88df,0x3e24fffb,
    0x002fffff,0x5fffffc8,0x3fffffa0,0x407ea000,0x01effffd,0x7ffc49ff,
    0x7ffd404f,0xc8001fff,0x007fffff,0x7ffdc7e6,0xfb0006ff,0x8005ffff,
    0x2ffffff9,0x200003ee,0xffff71f9,0x136000df,0x7ffffff4,0xf7007e24,
    0x7ffd49ff,0xc8001fff,0x207fffff,0x00fffffe,0x7c407ea0,0x443fffff,
    0x7fffc1ff,0x7fffdc04,0xfc8001ff,0x000fffff,0xfffff8bb,0xffd8002f,
    0xc8002fff,0xf16fffff,0x17600009,0x05ffffff,0x3e209b00,0x12ffffff,
    0xfffb803f,0x3ffffee4,0xffc8001f,0xfd00ffff,0x4001ffff,0x3fe601fa,
    0xfb0dffff,0x0bfffd05,0xffffffa8,0xfffc8001,0x5f1007ff,0x5fffffc8,
    0xffffd800,0xff88002f,0x0ecbffff,0x42f88000,0x05fffffc,0x3e604d80,
    0x89ffffff,0x7ffdc01f,0x3ffffea4,0xffc8001f,0x3fa07fff,0x2000ffff,
    0x7fcc01fa,0x1fceffff,0x80dfffb0,0x2ffffff8,0xffffc800,0x10d9006f,
    0x03ffffff,0xfffffd80,0xfff90002,0x0005ffff,0x3fe21b20,0x4001ffff,
    0x7ffdc04d,0x01f9efff,0xf127ffdc,0x005fffff,0xdfffff90,0x7fffff40,
    0x003ea000,0x3fffffa6,0x3ffe603f,0xfffff807,0xffd8003f,0xf8804fff,
    0xfffffb03,0xfffd8009,0xf10002ff,0x00dfffff,0x6c0fe200,0x004fffff,
    0x7fe4026c,0x01feffff,0x3e27ffdc,0x003fffff,0x4fffffd8,0x3fffffa0,
    0x003ea000,0x7ffffec4,0x3fff600f,0x7ffff400,0xffd8004f,0x7b803fff,
    0x3ffffe60,0x3ff6000f,0x20002fff,0x04fffffb,0x4c0f7000,0x00ffffff,
    0x7ec01360,0x01ffffff,0x3a27ffdc,0x004fffff,0x3fffffd8,0x3fffffa0,
    0x003ee000,0xdfffff50,0x0bffea01,0x9fffff70,0xfffff000,0x99df001f,
    0xfff99999,0x6c007fff,0x002fffff,0x3ffffea0,0x9df00004,0xff999999,
    0x4007ffff,0xffd1004d,0xb803ffff,0x7fdc4fff,0xf8004fff,0x200fffff,
    0x01fffffd,0x20003ee0,0x04ffffd8,0x3a017ffa,0x4006ffff,0x04fffff9,
    0xeeeeefa8,0xffffeeee,0x3ff6007f,0x20002fff,0x04fffffa,0xeeefa800,
    0xffeeeeee,0x36007fff,0x3ffe6004,0x7dc01fff,0xfffe84ff,0x7fcc006f,
    0x7ec04fff,0x2001ffff,0x80b8807c,0x2a05fffc,0x7d400fff,0x2002ffff,
    0x00fffffb,0xffd004e8,0x36005fff,0x002fffff,0x3ffffea0,0x04e80004,
    0x5fffffd0,0x50013600,0x803fffff,0xfa84fffb,0x2002ffff,0x00fffffb,
    0x17ffffe4,0xf980bd00,0x7ffe80ff,0x4027fdc0,0x005ffffe,0x00fffffa,
    0x7dc007ea,0xb006ffff,0x005fffff,0x7ffffd40,0x0fd40004,0xfffffb80,
    0x0009b006,0x803ffff9,0xfd04fffb,0x7400bfff,0x9803ffff,0x003fffff,
    0xffc807f3,0x06ffb82f,0x4400ffc8,0x800ffffe,0x004ffffb,0x7fc400dd,
    0xd802ffff,0x002fffff,0x3ffffea0,0x03740005,0xffffff10,0x000bd005,
    0x7007fff6,0x3a209fff,0xb800ffff,0x2004ffff,0x00effffe,0x7e403fc4,
    0x3ffa81ff,0x2009f900,0x200efffc,0x004ffff9,0xfc8007f5,0xd806ffff,
    0x002fffff,0x3ffffea0,0x0fea0005,0xfffff900,0x006f880d,0x803ffd10,
    0x6404fffc,0x2600efff,0x4004ffff,0x0efffff9,0x3005fd10,0xffd01fff,
    0x06fe4001,0x57fffd40,0x3ffff260,0x07fd1002,0xfffffa80,0x7fff402f,
    0x2e0002ff,0x005fffff,0x8007fd10,0x2ffffffa,0x019ffb10,0x803ff100,
    0xa804fffe,0x260affff,0x002ffffc,0xffffff50,0x3ffd957b,0x56ffdc00,
    0x000efeb9,0x8800ec88,0xffefffdb,0x3000beff,0x4001fffd,0xfffffffa,
    0xfffff301,0xd10001df,0x03ffffff,0x0fffe980,0x3fffea00,0x3faa1fff,
    0x01efffff,0x7640fd40,0x004fffff,0xfdfffb71,0x0017dfff,0xffffc880,
    0x00bfffff,0xffffd980,0x4c0000bd,0xbba88000,0x7e4000aa,0x03efffff,
    0xffffffb1,0x322dffff,0xfffffffe,0x64c03eff,0xfffffffe,0x6402ceff,
    0x3effffff,0xfffffb10,0x00dfffff,0x000a8000,0x77510000,0x00000155,
    0x06af2ea6,0x00088000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x50000000,0x00009999,0x0a602a20,
    0x1cb98000,0x00e6665c,0x00000026,0x80799993,0x00000bc9,0x0013332a,
    0x1e666540,0x02980000,0x10000053,0x40379975,0x3333201a,0xff880002,
    0x00002fff,0xf70fffdc,0x540001ff,0x7cc0cffe,0x7cc04fff,0xb000000c,
    0x8803ffff,0x0001fffc,0x17ffffc4,0xfffe8000,0xfc800007,0x1bff60ff,
    0x7fed4000,0xceffffff,0x3ea05d11,0x0000ffff,0x37ffffe4,0x3ffa0000,
    0x13fffe4f,0x06ffd400,0x00ffff30,0x00005fd1,0x003ffff0,0x0017fec4,
    0xdfffff90,0x3fa20000,0x200002ff,0xf13ffff8,0x40005fff,0x9dffffe9,
    0xffff9510,0x3fffa05f,0x260004ff,0x3fffefff,0x3ffa0000,0x0ffffa4f,
    0x03ffe600,0x007ffea0,0x0000bfa2,0x001fffa8,0x002fff98,0xffefff98,
    0xd100003f,0x800009ff,0xff13ffff,0x2e0005ff,0x401fffff,0xb82fffd9,
    0x0fffdfff,0x29ffb000,0x00007ff9,0xfb83ffea,0xfd8000ef,0x3fea006f,
    0x03ff5004,0x07ff6000,0x05ffe800,0xf34ffd80,0x440000ff,0x400007fe,
    0x7fe46ffb,0xfff90006,0x7f4003ff,0x8fffc42f,0xa8004ffb,0x1ff442ff,
    0x20310000,0xff100018,0x7fa800df,0x007ffe00,0x000bfe00,0x001fffd0,
    0x3a217fd4,0x2200003f,0x400002fe,0x00031018,0x0fffffea,0xc85fd100,
    0x0ffd40ef,0x4407ba00,0x000000fe,0x7fcc0000,0x1ea8007f,0x01dff700,
    0x00174c00,0x00ffffc0,0x3a203dd0,0x2200000f,0x0000003d,0xfff98000,
    0xf50004ff,0x9806fcc5,0x004c005f,0x20000054,0x0001aa98,0x007fffc4,
    0x3fe20000,0x0000003f,0x0ffff880,0x2a002600,0x00000000,0x99999998,
    0x98099999,0x09999999,0x0ffffff4,0x0c45f000,0x40001440,0x88000009,
    0xfeefffec,0xe8003eff,0x33301fff,0x33333333,0x3ffec013,0x99999998,
    0x99999999,0x20099999,0x3307fff9,0x33333333,0x33333333,0x33330133,
    0x33333333,0x33333333,0xffffd901,0x07bdffff,0xbfffffd9,0x7ffffcc7,
    0x31640007,0x33333333,0x80001333,0x5400003e,0x260aefff,0x000dfffb,
    0x220bfff6,0xffffffdc,0x2e03dfff,0x76443fff,0xffffffff,0xffffffff,
    0x3fea05ff,0xffec885f,0xffffffff,0xffffffff,0x7fff6445,0xffffffff,
    0x5fffffff,0x3ffffea0,0xfff3004f,0xfffff901,0x6440000d,0xfffffffd,
    0x20003dff,0x100006f9,0x401ffffb,0x003ffff8,0x9807fff9,0x06ffffff,
    0x40dfff50,0xcffffff9,0xffcbaaaa,0x3ff205ff,0x7ffcc04f,0xaaaacfff,
    0x05ffffcb,0x3fffffe6,0xfcbaaaac,0x7fc05fff,0x2001ffff,0xffff03fc,
    0x000009ff,0x3fffffe6,0xffb00006,0xff880005,0xfa801fff,0xfb805fff,
    0xffd803ff,0xf1002fff,0x7ec05fff,0x2202ffff,0x3ee05ffd,0xffd803ff,
    0x36202fff,0x7fec05ff,0x36202fff,0x7ff405ff,0x2e001fff,0xffff881f,
    0x000003ff,0x0bfffff6,0x3ffe2000,0x7fec0006,0x3fa004ff,0x7d402fff,
    0xffd800ff,0x3e002fff,0x3f603fff,0xb802ffff,0x3ffe605f,0xffffd802,
    0x05fb802f,0x17ffffec,0x3a02fdc0,0x000fffff,0x3fe607ea,0x0001ffff,
    0x3ffff600,0xfc80002f,0x50001fff,0x003fffff,0x07ffffd4,0x200bffb0,
    0x02fffffd,0x813fffe0,0x02fffffd,0xffd80bd0,0xffffd804,0x80bd002f,
    0x02fffffd,0xffe80bd0,0x2a000fff,0xffffb81f,0x000001ff,0x0bfffff6,
    0xffff1000,0xff1000bf,0x8800ffff,0x105fffff,0x36001dff,0x002fffff,
    0xd817fffe,0x882fffff,0x3a202d40,0xfffd807f,0x540882ff,0x7fffec05,
    0x2d40882f,0x3fffffa0,0x207ea000,0x2ffffffa,0x3f600000,0x0002ffff,
    0x7fffffdc,0x7ffe4000,0xff8004ff,0x7541ffff,0x3f6000df,0x2002ffff,
    0x3606ffff,0xb82fffff,0x6c402c42,0x3ff601df,0x42b82fff,0x7ffec058,
    0x442b82ff,0x7ffff405,0x07ea000f,0x3fffffe6,0x36000003,0x002fffff,
    0x7fffffc0,0x7fec004f,0xd8003fff,0x363fffff,0xfd8001cf,0x2002ffff,
    0x3607fffe,0xd82fffff,0x32600182,0xffffb05f,0x0305b05f,0x2fffffd8,
    0x740182d8,0x000fffff,0x3fe207ea,0x0004ffff,0x3ffff600,0x3ea0002f,
    0x07fffffa,0x7fffffc0,0xfffd8002,0x073f64ff,0x3ffff600,0x3ffa002f,
    0x3fff607f,0x002f82ff,0xd82fe4c0,0xf82fffff,0xfffd8002,0x002f82ff,
    0x0fffffe8,0x7c07ea00,0x005fffff,0x3fff6000,0x3a0002ff,0x7fffffd4,
    0x3fffe200,0xfc8002ff,0x6cc5ffff,0x3f6000ef,0x2002ffff,0x3607fffe,
    0x5c2fffff,0xfd10002f,0x7ffec03d,0x017dc2ff,0x7ffffec0,0x40017dc2,
    0x00fffffe,0x7e407ea0,0x0006ffff,0x3ffff600,0x3f30002f,0x1bffffee,
    0x7ffffd40,0xffc8001f,0xdff07fff,0x3fff6001,0x3fe002ff,0x3ff605ff,
    0x3fe62fff,0xffe88002,0x7fffec00,0x00bfe62f,0x3fffff60,0x000bfe62,
    0x03fffffa,0xf101fa80,0x001fffff,0x3fff6000,0xbb0002ff,0x2ffffff8,
    0xfffffb80,0xffc8001f,0xfc80ffff,0xfffb006f,0x7fc005ff,0x3ff604ff,
    0xffdccfff,0xffd8002f,0xffffd805,0x2fffdccf,0xffffd800,0x2fffdccf,
    0xffffe800,0x07ea000f,0x4fffffc8,0xfd806000,0x8002ffff,0x7ffe42f8,
    0xffa805ff,0x8001ffff,0x07fffffc,0xb003fff5,0x005fffff,0xb01ffffc,
    0xffffffff,0x88005fff,0xfd802fff,0xffffffff,0xfd8002ff,0xffffffff,
    0xfe8002ff,0x2000ffff,0x7ff401fa,0xa8000fff,0x3ffff606,0x86c8002f,
    0x1ffffff8,0x7ffffc40,0xffc8002f,0xff706fff,0xfffb007f,0x3e2005ff,
    0x3f602fff,0xea8affff,0x7d4002ff,0xffd803ff,0xfea8afff,0xffd8002f,
    0xfea8afff,0xffe8002f,0x2a000fff,0x7ffc400f,0x7dc006ff,0x3ffff604,
    0x1fc4002f,0x4fffffd8,0xffffff80,0xfffd8003,0xfff904ff,0xffffb009,
    0x3fe6005f,0x7ffec06f,0x0bfa22ff,0x09fff700,0x5fffffb0,0x40017f44,
    0x22fffffd,0xe8002fe8,0x000fffff,0x3a6003ea,0x400dffff,0x7ec02fd8,
    0x4002ffff,0x3ffe607b,0x7f400fff,0x8004ffff,0x03fffffd,0xb005fffb,
    0x005fffff,0xb00fffee,0x985fffff,0x7fd4002f,0xfffd805f,0x017cc2ff,
    0x7ffffec0,0x40017cc2,0x00fffffe,0xc8003ee0,0x9acfffff,0x00efedb9,
    0x2fffffd8,0x66677c00,0xffffcccc,0x7fdc03ff,0xf8004fff,0xf00fffff,
    0xfb003fff,0x2005ffff,0xfd807ffc,0x2f82ffff,0x3fffcc00,0x7ffffec0,
    0xd8002f82,0xf82fffff,0xfffd8002,0x3ee001ff,0x7f5c4000,0xdfffffff,
    0x3fff6003,0x3ea002ff,0xeeeeeeee,0x07fffffe,0x06ffffe8,0x7ffffcc0,
    0x1ffff104,0xfffffb00,0x0fffe005,0x3fffff60,0x07302d82,0x801ffff1,
    0x82fffffd,0x3607302d,0xd82fffff,0x3f607302,0x2001ffff,0x4c40007c,
    0x0000acea,0x05fffffb,0xfe802740,0x5402ffff,0x002fffff,0x03ffffee,
    0x803fffcc,0x02fffffd,0x800effa8,0x82fffffd,0x3e05b01a,0x7ec01fff,
    0x1a82ffff,0x3ff605b0,0x01a82fff,0x3fff205b,0x17a002ff,0x06fd4000,
    0xffffb000,0x07ea005f,0x7ffffdc0,0xffffe806,0x3fffa005,0x3ffe203f,
    0xffffb006,0x3ffd005f,0x3ffff600,0x07e2002f,0x2007fff4,0x02fffffd,
    0x7ec07e20,0x2002ffff,0xfff301f8,0x3e6007ff,0xff880003,0x3f60007f,
    0xd002ffff,0x7ffc400d,0x74402fff,0xb800ffff,0xd804ffff,0xffb006ff,
    0xfa805fff,0x3ff6001f,0x36002fff,0x0bffd00f,0x5fffffb0,0xd807ec00,
    0x002fffff,0xffe803f6,0x7c400eff,0x3e200007,0xfb0002ff,0x5005ffff,
    0xffc8007f,0xf9006fff,0x7cc01dff,0xf5004fff,0xffb003ff,0x74405fff,
    0x7fec002f,0xfb002fff,0x07ffe20f,0x3fffff60,0x40ffb002,0x02fffffd,
    0xf980ffb0,0x100effff,0x800005fd,0xb0001ffe,0x805fffff,0x54003fe8,
    0x02ffffff,0x15ffff50,0x17fffe4c,0x037fea00,0x5fffffd0,0x000bba60,
    0x13fffffa,0x10dffd50,0x3a005ffb,0x404fffff,0x3a06ffea,0x404fffff,
    0xa806ffea,0xbdffffff,0x001ffeca,0x1bfea200,0xffffe800,0x3ffa602f,
    0x3fea000f,0x001fffff,0xfdfffb71,0x0017dfff,0x033ffa60,0x3fffffe6,
    0x001f4c0e,0xffffff98,0xedcaabcf,0x3225ffff,0xf3001dff,0x79ffffff,
    0xfffdb955,0x3ffe60bf,0xaabcffff,0x5ffffedc,0xffff9100,0x017fffff,
    0x77fec000,0x3fe60004,0xc80effff,0x3effffff,0xfffffb10,0x00dfffff,
    0x15577510,0x65440000,0xffffd911,0x27dfffff,0x76440009,0xffffffff,
    0xffffffff,0x2b264fff,0xffec8801,0xffffffff,0xffffffff,0x3ffb224f,
    0xffffffff,0xffffffff,0xba98004f,0x00001abc,0xc8800010,0xfffffffe,
    0x00003eff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26000000,0x0003302a,0x5665cc40,0x53000001,
    0x33000a60,0x00133333,0x0014c0a6,0x000d406a,0xa8001aa0,0x000001cd,
    0x88000000,0x5cc0002e,0x40000001,0x21cffffd,0x6c40003e,0xffeeffff,
    0x900003ef,0x7fec1fff,0x3fffe006,0xfc801def,0x1bff20ff,0xf12fff40,
    0x6c0009ff,0xbbfd0003,0x200000bf,0x09accba9,0x95101760,0x0057bffd,
    0x06ffff4c,0x005f6cc0,0x3fffff20,0x000fffff,0x2bbffea0,0x3bffee20,
    0x3fe20001,0xffff13ff,0x3fffe005,0x3ffe2003,0x5ffff13f,0x0ffffa80,
    0x001ffff7,0x50001f10,0x0007d41f,0xffffc880,0x42effffe,0x3fea01fc,
    0xfffedfbd,0x98f6c00b,0x7ffc404e,0x3fe2004f,0xffffffff,0xffb10005,
    0x7fd401ff,0x3e0003ff,0xfff13fff,0x3ffe005f,0x7ffc000f,0x5ffff13f,
    0x0ffffa80,0x001ffff5,0x36000b90,0x80004e84,0x20aefffc,0xbaefffca,
    0x4fff602f,0xdffd33f8,0x3ea17c40,0x3fffee00,0x23f3000f,0x1effffda,
    0xffff8800,0xfffb801f,0xff70005f,0x006ffc8d,0x0003fffe,0x7e41dff7,
    0x9ffd006f,0x0003ffe8,0x1360005f,0xe880013a,0x2600efff,0x203fffff,
    0x8fe26ffb,0x3e606fe8,0xf700fcc0,0x2001ffff,0x02ca8838,0x3ffff600,
    0x3fffa004,0x0310002f,0xfff00062,0x0310001f,0x01300062,0x3d400026,
    0x541f5000,0xff10000f,0xf7001fff,0x3e209fff,0x30fe23ff,0x643e80df,
    0x7fffc406,0x00000004,0x3fffff50,0x7fffdc00,0x0000000f,0x00ffff80,
    0x00000000,0x01360000,0xbfdbfd00,0x7fff4000,0x3ffa005f,0xfff981ff,
    0x1b60fe25,0x5fb5bf70,0x017db300,0x00013000,0x3fffffc4,0x3fffe600,
    0x0980005f,0x3fffe000,0x33333300,0x33333333,0x01333333,0x33333333,
    0x44013333,0x002fdeca,0x001ef980,0x3fffff20,0xfffd1001,0xffff70df,
    0x1a60fe25,0x00b7f6a0,0x3e800000,0x3fff2000,0xff8004ff,0x0001ffff,
    0xff0001f4,0xfd9101ff,0xffffffff,0xffffffff,0xffdc88bf,0xdfffffff,
    0xfd9ff903,0x980005ff,0x3e20006f,0x2006ffff,0x4ffffffd,0x5fffffd4,
    0x000503f8,0x40000000,0x360006f9,0x003fffff,0x3fffffe8,0x01be6000,
    0x00ffff80,0x7fffffcc,0xfcbaaaac,0x3e605fff,0x206fffff,0xff12ffd8,
    0x6c0009ff,0xf70002ff,0x2009ffff,0xfffff9fc,0x3fffe60f,0x0003feff,
    0x059db953,0xd80000c0,0xff0002ff,0x0005ffff,0x09fffffb,0x017fec00,
    0x00ffff80,0x2fffffd8,0x017ff620,0x05fffffb,0xff337fec,0x22000fff,
    0xd0006fff,0x009fffff,0x3fffa5f7,0x7ffec2ff,0x4004ffff,0xffecefe9,
    0x034c00ef,0x37ffc400,0x7fffc400,0xfc8002ff,0x0006ffff,0x000dfff1,
    0x2003fffe,0x02fffffd,0x7ec05fb8,0xf302ffff,0x7ffe47ff,0xfc8001ff,
    0x44001fff,0x03ffffff,0xfffb1fd4,0xffe889ff,0x00dfffff,0x7ec1ffb8,
    0x1ea00eff,0x3fff2000,0x7fd4001f,0x8001ffff,0x07fffffc,0x3ffff900,
    0x1ffff000,0xfffffb00,0xb017a005,0x205fffff,0x2fe2fffd,0x88007fff,
    0x005fffff,0x7fffffcc,0xf913e602,0xd10bffff,0xffffffff,0x17ffcc05,
    0x813fffe6,0x220001fb,0x005fffff,0x7fffffdc,0xfffb8000,0x44000fff,
    0x005fffff,0x800ffff8,0x82fffffd,0x3602d408,0x882fffff,0x2f52ffff,
    0xb8001dd9,0x00ffffff,0x3ffffea0,0x90bf101f,0x20ffffff,0xffffffd8,
    0xfff904ff,0x6ffff98d,0x8000bf20,0x0ffffffb,0x3fffea00,0xfc8001ff,
    0x8007ffff,0x0ffffffb,0x07fffc00,0x7ffffec0,0x02c42b82,0x0bfffff6,
    0x6cffffe6,0xfff00004,0x4009ffff,0x1ffffffb,0xfc80ee88,0x200fffff,
    0xfffffffa,0xffffd85f,0x1ffffe20,0x20003fe8,0x4fffffff,0x3fffe600,
    0xfc8002ff,0x8006ffff,0x4fffffff,0x07fffc00,0x7ffffec0,0x40182d82,
    0x82fffffd,0xf8cffffb,0xafa80001,0x007fffff,0x3fffffe6,0xf900ed81,
    0x100fffff,0xfffffffb,0x45fffa89,0x207ffff8,0xf50005ff,0x0ffffff5,
    0xffffff80,0xfffd8003,0x7d4005ff,0x07fffffa,0x007fffc0,0x17ffffec,
    0x7ec0017c,0xfc82ffff,0x006bdfff,0x3ffa9d00,0xf1003fff,0xd85fffff,
    0x3fff201f,0xff1006ff,0x81ffffff,0x7fecc2b8,0xfff307ff,0x7f53a000,
    0x2003ffff,0x04fffffe,0xfffffe80,0xfea74003,0x2003ffff,0xd800ffff,
    0x5c2fffff,0xffd8002f,0xffb82fff,0x0003eeff,0xfff71f98,0x7f400dff,
    0x3f23ffff,0x7fffec02,0xf9f1005f,0x807fffff,0xffffdfd9,0x03fff707,
    0xff71f980,0x5c00dfff,0x004fffff,0x0ffffff8,0x7dc7e600,0x2006ffff,
    0xd800ffff,0x262fffff,0xfd8002ff,0xf982ffff,0x000fffff,0x7ffc5d80,
    0xfb002fff,0x3ea9ffff,0xffffe803,0x17f1003f,0x209ffffd,0xff8affd8,
    0xfffb07ff,0x7c5d8007,0x002fffff,0x01bffffa,0x9fffff30,0x7fc5d800,
    0xf002ffff,0xfb001fff,0xfb99ffff,0xfb0005ff,0xf105ffff,0x000bffff,
    0xffc85f10,0xf7005fff,0x9f39ffff,0x3ffffe00,0x7c41220f,0x0bffff13,
    0x3e23fff7,0xfff07fff,0x17c4009f,0x17fffff2,0xfffffa80,0x3fff2002,
    0x3e2000ff,0x7ffffe42,0x1ffff005,0xfffffb00,0x05ffffff,0xfffffb00,
    0x3ffffa05,0x3200601f,0xfffff886,0xfffd001f,0x2600bfdf,0x444fffff,
    0x363f880f,0x7fec3fff,0x3fffe22f,0x6ffff887,0x3e21b200,0x001fffff,
    0x017ffffa,0x1fffffc4,0x3e21b200,0x801fffff,0xd800ffff,0xa8afffff,
    0xd8002ffe,0x302fffff,0x81ffffff,0x1fc402d8,0x4fffffd8,0xfffff300,
    0x7ffe400d,0x41fc40ff,0x3ffee3f8,0x11fffee2,0xf50fffff,0x1001ffff,
    0x3fff607f,0x3a2004ff,0xb801ffff,0x4003ffff,0xfffb03f8,0xfff009ff,
    0xfffb001f,0x17f445ff,0x7fffec00,0x3ffee02f,0x3fdbdfff,0x3e607b80,
    0x000fffff,0x009ffff9,0x417ffffc,0x1fc40ef8,0xfff8dffb,0x7fffc46f,
    0xfffffc87,0x2607b801,0x00ffffff,0x077ffec0,0x07ffff50,0x7cc0f700,
    0x400fffff,0xd800ffff,0x4c2fffff,0xffd8002f,0x7ec02fff,0x4fffffff,
    0x9999df00,0xfffff999,0x7ff4007f,0xffb802ff,0xdff104ff,0xff89fc41,
    0x3fffe61f,0xffffb33f,0xfffffb0f,0x999df005,0xffff9999,0xf90007ff,
    0x5c415fff,0x0002ffff,0x999999df,0x7ffffff9,0x00ffff80,0x2fffffd8,
    0xfd8002f8,0x6402ffff,0x3dffffff,0xddddf500,0xfffddddd,0x7ec00fff,
    0x2600ffff,0x2203ffff,0xf89befff,0xf82ffeab,0xdfffffff,0x0cafffff,
    0x03fffff9,0xeeeeefa8,0xffffeeee,0x36a0007f,0xffffefff,0x3ea0002d,
    0xeeeeeeee,0x07fffffe,0x4007fffc,0x82fffffd,0x3607302d,0x402fffff,
    0x0005712f,0x3ffa009d,0xfb802fff,0x0befffba,0x07bfff6a,0x3ffff2a0,
    0x00cfffff,0x5ffffff9,0x8ffffff2,0x806ffff9,0xfffd004e,0x980005ff,
    0x02ffffff,0xd004e800,0x405fffff,0xd800ffff,0xa82fffff,0x3f605b01,
    0x2a02ffff,0x1fa80007,0xfffff700,0x543fa80d,0xfffefffe,0x530002df,
    0x10019f75,0x4419dff9,0xeb83effd,0x0fd401df,0xfffffb80,0xffc80006,
    0x40005fff,0xff7001fa,0x7fc0dfff,0xffd800ff,0x22002fff,0xffffb01f,
    0x0026c05f,0xf1003740,0x205fffff,0x5d4c04f8,0x000009ab,0x02000fe2,
    0x40020020,0x3fe2006e,0x0002ffff,0x7fffffc4,0x01ba0002,0xffffff88,
    0x01ffff02,0x5fffffb0,0xd807ec00,0x102fffff,0xfa80003f,0x7ffe4003,
    0x000206ff,0x64400000,0x00000001,0x001fd400,0x1bfffff2,0x3ffe6000,
    0xa8002fff,0x7fe4003f,0xfff06fff,0xfffb001f,0x3f6005ff,0x3ffff607,
    0x000d702f,0x4003fe88,0x2ffffffa,0x00000000,0x00000000,0x3fe88000,
    0x7fffd400,0x880002ff,0x1dfffffe,0x007fd100,0xffffffa8,0x00ffff82,
    0x4fffffe8,0x037ff540,0x05fffffd,0xe98000fa,0x2a000fff,0x1fffffff,
    0x00000000,0x00000000,0x3ffa6000,0x3fea000f,0x001fffff,0xffffb880,
    0x986effff,0x2000fffe,0xfffffffa,0x01ffffc1,0x3fffffe6,0xedcaabcf,
    0xf305ffff,0x81dfffff,0xf90000f9,0x07dfffff,0x3fffff62,0x006fffff,
    0x00000000,0x00000000,0xffffffc8,0xfffb103e,0xdfffffff,0x66540000,
    0x640abcde,0x3effffff,0xfffffb10,0x7cdfffff,0x12efffff,0xffffffd9,
    0xffffffff,0x449fffff,0xffffffec,0x0003efff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x332a2000,0x32a0000a,0x55530003,
    0x55530003,0xaa980003,0x2a60001a,0x5c4001aa,0x0b2e0002,0x4000ae20,
    0xb9800cc9,0x32e0000a,0x6c000002,0x0004ffff,0x13ffff20,0x3ee03950,
    0x002ffcbf,0x8002ff88,0x00fffff8,0x3ffffe20,0xfff10000,0xf10001ff,
    0x3001ffff,0x20009ff9,0x32600ffb,0xfd0004ff,0xffffa809,0xffb8003f,
    0x0fb6a000,0x06fffd80,0x3fffe000,0x27fffc05,0x7fc57ff6,0x2ff4003f,
    0xffffc800,0x3ff2004f,0x90004fff,0x009fffff,0x9fffff90,0x7fff74c0,
    0x2ff88004,0x9fffdd30,0x80df9000,0xffffdce9,0x0bfe2000,0x3ffff980,
    0x07fff600,0x3ffe6000,0x7fffd405,0xd8bffea7,0xf7000fff,0xff30001f,
    0x003fffff,0xfffffff3,0xfff98001,0x2000ffff,0xfffffff9,0x3ffe2100,
    0x05fd8004,0x027ffc42,0xb007fe60,0x017ffcc1,0xc800bfb0,0x4007ffff,
    0x80004ffe,0xfd805ffc,0xffd2ffff,0x27ffe45f,0x0017fc40,0xfc8dffd8,
    0xdffd805f,0x4005ffc8,0xffc8dffd,0x37ff6005,0xf805ffc8,0x7dc004ff,
    0x9fff000f,0x004fe800,0x2001fff0,0x64000ffb,0x4006ffff,0x80006fe8,
    0xff9005ff,0xfff13fff,0x37ffe43f,0x8002fec0,0x7fdc3ffa,0x70ffea01,
    0x3ea003ff,0x00ffdc3f,0x3ee1ffd4,0x27ffc01f,0x005ff100,0x70027ffc,
    0x3ee000df,0x5ff1000f,0xffff3000,0x3fd10007,0x077cc000,0xfffffb80,
    0x21ffff98,0x5c07fffc,0xfd0000ff,0xe817ea05,0x00bf502f,0x2fd40bfa,
    0xfa817f40,0x027ffc05,0xf800bfb0,0xff3004ff,0xffda8003,0x0bfb005f,
    0x0176cc00,0x00035100,0xf500054c,0x3fe6ffff,0x3fff21ff,0x00bfe207,
    0x2600e4c0,0x401c980c,0x0e4c00c9,0xc9803260,0xf0064c00,0x3ee009ff,
    0x7ffc000f,0x009fd004,0xbffffd50,0x000ffb80,0x00000000,0x3e200000,
    0xfff15fff,0x37ffe45f,0x0000bfb0,0x00000000,0x00000000,0x013ffe00,
    0x2000bfe2,0xfb804fff,0x3aa0000e,0x3fe207ff,0x00000002,0x0b3b72a6,
    0x3b72a600,0xffff802c,0xd8bfffe3,0xff704fff,0x5c400001,0x26002cdc,
    0x402cedca,0x0aaaaaaa,0x0aaaaaaa,0x06f72e60,0x804fff80,0xff0005fd,
    0x1ff9809f,0xfffa8000,0x000bfb00,0xfd3000c0,0x1dfffd9d,0xd9dfd300,
    0x6c01dfff,0x3fee1fff,0x03fff63f,0x0000bfe2,0xffbdffb8,0x677f4c05,
    0x700efffe,0x43ffffff,0x07fffffc,0x7f67ffe4,0x4fff804f,0x0007fd40,
    0x7404fff8,0x3a00004f,0x01ff506f,0x40126000,0x7fec1ffb,0x3fee00ef,
    0x077ffec1,0xfe87ffb8,0x40fffe4f,0x100005fd,0x7fdc5ffb,0xd83ff706,
    0xf100efff,0xfa83ffff,0xfd107fff,0x04ffe8bf,0xf1027ffc,0x7fc0005f,
    0x03bee04f,0xfd09b300,0x005ff105,0x4c025c00,0x7fcc2fff,0xfff304ff,
    0x4ffff985,0xb10dff30,0x05ff95ff,0x00003fee,0x7fc3ffe4,0x17ffcc3f,
    0x813fffe6,0x4c1fffff,0xfb07ffff,0xfff983ff,0x0dfff304,0x30002fec,
    0x3e60dfff,0xffc8002f,0xb03fb9bf,0xd80000bf,0x6fffc803,0x837fffcc,
    0x7cc6fffc,0x3fe06fff,0x2f36ea04,0x405ff100,0x7cc00aa8,0xfffd84ff,
    0x31bfff20,0x7c0dffff,0x7cc1ffff,0xff987fff,0xffff80ff,0x3bbbb662,
    0x07fd43ee,0xed9872a0,0x743eeeee,0x2015104f,0x0bdeedb8,0xa801ff50,
    0x01fd801c,0x20ffffd8,0xb07ffff8,0x7c41ffff,0x3f607fff,0xbfb00002,
    0x3f77fa60,0x7fffb01e,0x6c5fffb0,0x3e20ffff,0x3fe07fff,0x7fc41fff,
    0xfffe87ff,0x0bfffd07,0x00bfe200,0x20005ff3,0x7f540efb,0x40002dff,
    0x7cc02ff8,0x17fa202f,0x22fffd40,0x507ffff8,0xff88bfff,0x07f207ff,
    0x03fee000,0x7f43ffea,0x2ffff83f,0x2a4fffc8,0x7fc45fff,0x3ffe07ff,
    0x7ffc41ff,0x7fffc47f,0x0ffffd06,0x1017f600,0x30005fff,0xfff885ff,
    0x0000ffff,0xff1017f6,0x3ffa605f,0x30ae2002,0x40fffffb,0x7fecc2b8,
    0x03ee07ff,0x05ff1000,0x7e4bfff1,0x3ffe60ff,0xfeccccdf,0x215c45ff,
    0x07ffffd9,0x107ffffe,0xfa8fffff,0xffd06fff,0xfa8003ff,0x7fff400f,
    0x84fe8002,0xfffd98bd,0x1ff50004,0x82fffe80,0x0006fffb,0x7ffefecc,
    0x3f66007f,0x207ffffd,0xfd800079,0x49fff905,0x3ea5fffb,0xeeeeefff,
    0x4c05eeee,0x7ffffdfd,0x07ffffe0,0xb8fffff1,0xfd06ffff,0x44005fff,
    0x7eec03ff,0x7dc002ff,0x3e21440e,0xf88004ff,0x7feec03f,0x7fffd42f,
    0xffb10003,0x0fffff15,0xf15ffb10,0x2440ffff,0x03fee000,0xf51ffff4,
    0x7ffdcfff,0x3620004f,0xffff8aff,0x3ffffe07,0x3ffffc41,0x41bffff2,
    0x004ffffe,0x1d9017f6,0x4c005fff,0x3fa002ff,0x5fd8001f,0x7ffc7640,
    0x03ffffc2,0x11fffb80,0xb80fffff,0xfff11fff,0x400000ff,0x3fe02ff8,
    0x3ffea3ff,0xbffff50f,0x3ffee000,0x0fffff11,0x20fffffc,0x5c7ffff8,
    0xfd06ffff,0x2a007fff,0x43ee00ff,0x3a002fff,0x3fe2004f,0x0ffa8006,
    0x7ffc3ee0,0x1bfffea2,0x3f60fb62,0x3ffe22ff,0x3fff607f,0x1ffffe22,
    0x5fd80000,0x8ffffe20,0xf31ffffa,0xb000ffff,0x7fc45fff,0x3ffe07ff,
    0x7ffc41ff,0x7fffd47f,0x5ffffd06,0x407ff100,0x0bffe1f9,0x0007fdc0,
    0x88001ff7,0x87e603ff,0x3ff22fff,0xfffd86ff,0x11fffee1,0x2e0fffff,
    0x7fc47fff,0x02a207ff,0x003fee00,0x7d47ffff,0xfff10fff,0x7dc005ff,
    0x7ffc47ff,0x3fffe07f,0x7fffc41f,0x37fffc47,0x00fffff8,0x3e205fd8,
    0x4017ffc2,0x22002ff9,0xfd8001ff,0xff0be205,0x7ffff45f,0x23fffe85,
    0x7c46ffff,0xfff07fff,0xffff88df,0x05fffb07,0x4017fc40,0x3ea4fffd,
    0x7fff46ff,0xff96606f,0x7ffc46ff,0x3fffa07f,0x7fffcc1f,0x07fffd87,
    0x500bffff,0x7fdc01ff,0x4fffffff,0x20027f40,0xfa8001fe,0x3ffee00f,
    0x94ffffff,0xf70dffff,0x3ffe67ff,0xfffb33ff,0xffff30ff,0x3fff667f,
    0xffff987f,0x017f6006,0xf727ffd4,0xfffa87ff,0x31f884ff,0x267fffff,
    0x207ffffd,0x222ffffd,0x987ffffe,0x7c40ffff,0x7c401fff,0x7ffdc03f,
    0x04ffffff,0xd8003fee,0x22016c0e,0x7fdc03ff,0x4fffffff,0x81fffff5,
    0x3fe1fff9,0xfdffffff,0x20caffff,0xffffffff,0xcafffffd,0x3fffff70,
    0x001ff500,0xffb37fec,0x3ffffa0d,0x44fcabef,0xffffffff,0xcafffffd,
    0x6ffffdc0,0xfffffd98,0x87fff907,0xd804fffb,0x3fe0005f,0x0bfe602f,
    0xeeeefc80,0x2fec00ff,0x85fff000,0xf84ffffd,0x7fffe44f,0xffff92ff,
    0xffffc87f,0xffff92ff,0x7fffcc7f,0x02ff8806,0x4d7fec40,0xfd100eff,
    0x9fffffff,0xffffff90,0x3fffff25,0xfffffd03,0xfffff3bf,0x47bff205,
    0xa804fff8,0x3e0000ff,0x17fa02ff,0xfffffc80,0x7fd407ff,0x3ffe0000,
    0x7fffec42,0x884fc9ae,0x220ceffc,0xc883effd,0x3620ceff,0xffd83eff,
    0x05fd802f,0x37ff6e00,0xffffb003,0x3f2207bf,0x3f620cef,0x3fa203ef,
    0xfff14fff,0x3ea0bfff,0x02effeff,0x0003ff88,0xfb80f774,0xddd3000f,
    0x409ddddd,0x40003ff8,0xfb301eee,0x003bdfff,0x02001001,0x01510020,
    0x00000000,0x4002b980,0x22000800,0x2200001a,0x00000aba,0x00000000,
    0x00000000,0x000c0000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80d4c000,
    0x7ffec009,0xb980004f,0x0000abcc,0x809ffff9,0x2aa00601,0xf90001aa,
    0x26009fff,0x8801301a,0x22001100,0x00001100,0x02b32ea2,0xfffe8800,
    0x2e60002f,0x2e0002bc,0x3ff6202c,0x03f10bef,0x00dfffb0,0x33bff620,
    0x000bfffe,0x302ffffc,0x7fcc3fff,0xffff301e,0x3ffe000f,0xffd8805f,
    0x03f10bef,0x3f62ffe4,0x2ffe404f,0x00013ff2,0xfffffff5,0x7f440007,
    0xea8004ff,0x01efffff,0xb00ffc40,0xdfffffff,0x7fec00ff,0x7f4c001f,
    0x2fffec5f,0x0bfff300,0x365fffd8,0xffb04fff,0x98007fff,0xfb005fff,
    0xfdffffff,0x7fffc40f,0x01ffff31,0x4c7fffe2,0x0000ffff,0x3faa5ffb,
    0x220003ff,0x64007ffe,0xffffffff,0x1fea001f,0xffffff88,0x4004ffff,
    0x26004ffe,0x7cc1ffff,0xf9003fff,0xfffb00bf,0x42ffff4d,0xfffffffa,
    0x17ff2000,0x7ffffcc0,0x204fffff,0xf52ffff9,0x3e603fff,0xfff52fff,
    0xff70003f,0x0ffffa8d,0x3ffe2000,0xffff9002,0x1fffffff,0xa813f600,
    0xffffb89f,0x744001ef,0x3ff2006f,0x7ffc40ff,0x0dff006f,0xa8bffea0,
    0xffe82fff,0x003ffd8c,0xfa8017fe,0xfffffb89,0x37ff401e,0xfd01bffa,
    0x06ffe8df,0x44fff880,0x001ffff8,0x4027fcc0,0xfea8adf9,0x002fffff,
    0x425405ff,0x20002db9,0xfd001fe8,0x3ffe0fff,0x0ef9807f,0x2202e200,
    0x42ffb80b,0xf9800ffc,0x212a000e,0x2a002db9,0x2a005502,0x20005502,
    0xfd85fffa,0x980001ff,0x703e807f,0x007fffff,0x00000ff3,0x00151000,
    0x7c1ffffe,0xa9807fff,0x88000000,0x09f701ef,0x00001530,0x00000000,
    0xfc800000,0x7ffc86ff,0x02a60000,0x3fe20398,0xfc802fff,0x00000005,
    0xffff8000,0x0dffff07,0x80000000,0x025400c9,0x00000000,0x00000000,
    0xffff9000,0x002ffe83,0xc8000000,0xf800ffff,0x32a6002f,0x98002ced,
    0xf001bdcb,0xff10ffff,0x971005ff,0x5c40059b,0x00002cdc,0x1bdcb980,
    0xbdcb9800,0xdcb98001,0xca98001b,0x20002ced,0x2e4ffffc,0x880003ff,
    0x0002cdcb,0x4027ffe4,0xe9800ff9,0xefffecef,0x9fff9000,0xff809ffd,
    0xeffc87ff,0xbdffb802,0xffb805ff,0x5105ffbd,0x00555555,0x3fb3fff2,
    0xfff9004f,0x2009ffd9,0xffecfffc,0xcefe9804,0x000efffe,0xafffffa8,
    0x80001efe,0x5ffbdffb,0x13ffa000,0x5c02fe40,0x7ffec1ff,0x3ffa200e,
    0xf027ff45,0x7fccffff,0xffd8802f,0x441bfee2,0x3fee2ffd,0xffffc886,
    0x7ff4407f,0x1027ff45,0xffe8bffd,0x17ffa204,0x7dc09ffd,0x77ffec1f,
    0x7ffc4000,0x0001dfff,0x2e2ffd88,0xfb8006ff,0x0ffa004f,0x985fff30,
    0x3604ffff,0x7fcc1fff,0xfffff04f,0x16fff5c4,0xff0fff90,0x0fff907f,
    0x3ee07fff,0x7ec07fff,0x7ffcc1ff,0x83fffb04,0xfb04fff9,0xfff983ff,
    0x42fff984,0x004ffff9,0x1fffffe8,0xffffff50,0x87ffc83f,0x2a003fff,
    0x8803ffff,0x7fe400ff,0x7fffcc6f,0x1ffff306,0xf05ffff0,0x3fa0ffff,
    0xfff981ff,0x20fffd84,0xfd84fff9,0xfff980ff,0x3ffe607f,0x2ffff80f,
    0x407fffcc,0x7cc2ffff,0xfff80fff,0x37ffe42f,0x01bfffe6,0xfffffea8,
    0x3ffa206f,0x4fff982f,0x200fffd8,0xffffffc8,0x037dc04f,0x107fffec,
    0x3a0fffff,0xffd07fff,0xfffff0bf,0x21bffea0,0xfd83fffd,0x3fff62ff,
    0x82fffd83,0x207ffff8,0xfd07fffe,0xfffe8bff,0x8bfffd07,0xfd07fffe,
    0xfffd8bff,0x3fffe20f,0x9dfe9807,0x03fffffe,0x7ec0bfea,0xfffd83ff,
    0x3fff6202,0x204fffff,0xffa803fe,0x7fffc45f,0x6ffff887,0xf0ffffd0,
    0x3e60ffff,0x7ffc3fff,0x4fffc82f,0x320bfffe,0xff884fff,0xfff107ff,
    0x3fffa0df,0x1bfffe27,0xf13ffff4,0x3fa0dfff,0x7ffd47ff,0x3ffffc45,
    0xfa93fee0,0x701fffff,0x7fffc0bf,0x04fffc82,0xfffffb88,0x03ff107f,
    0xfb30ae20,0xff50ffff,0x3ffa0dff,0x7fffc1ff,0xbffff307,0x66ffffcc,
    0x5fffeccc,0x99bffff3,0x0bfffd99,0x20fffff1,0xd06ffffa,0x3ea3ffff,
    0xffd06fff,0x3ffea3ff,0xffffd06f,0x6cc2b883,0x3207ffff,0x7fec1fff,
    0xfe80efff,0xbffff300,0xfffd9999,0x7ffcc00b,0x6fa81fff,0x37f66000,
    0xfb87ffff,0xffd06fff,0xffff85ff,0xdffff307,0x777fffd4,0x5eeeeeee,
    0xdddffff5,0x0bdddddd,0x20fffff1,0xd06ffffb,0x3ee5ffff,0xffd06fff,
    0x3ffee5ff,0xffffd06f,0xfdfd9805,0xff307fff,0xffff10df,0x02f98dff,
    0x3bbfffea,0x5eeeeeee,0x7fffc400,0x004fd84f,0xf8affd88,0xffc87fff,
    0xfffd06ff,0x7ffff89f,0x1fffff30,0x013fffee,0x04ffffb8,0xfffff100,
    0x1bffff20,0xca7ffff4,0xfd06ffff,0x3ff29fff,0xfffd06ff,0x3ff6209f,
    0x07ffff8a,0x701ffffd,0x2bffffff,0x7fdc05e8,0x000004ff,0x88bffff7,
    0x7dc001ff,0xffff11ff,0xdffff70f,0x0fffffa0,0x260fffff,0xf50fffff,
    0x5400bfff,0x0005ffff,0x20fffff1,0xd06ffffb,0x3ee7ffff,0xffd06fff,
    0x3ffee7ff,0xffffd06f,0x23fff707,0x887ffff8,0xb02fffff,0xb9ffffff,
    0xfffa801f,0x2000005f,0x7d43fffe,0x7ffec007,0x1ffffe22,0x41bfffea,
    0x7c2ffffe,0xff307fff,0x7ffccfff,0x3fe6007f,0xf10007ff,0x3ea0ffff,
    0xffd06fff,0x3ffea5ff,0xffffd06f,0x1bfffea5,0x217ffff4,0x3e22fffd,
    0xffa87fff,0x3fa04fff,0x02ffffff,0x07ffff98,0x3ff60000,0x0027ec1f,
    0xf88ffff7,0xff887fff,0xffff06ff,0x7ffff81f,0x897fffe0,0x002fffff,
    0x05fffff1,0xfffff100,0x1bfffe20,0x887ffffc,0xff06ffff,0x3fe21fff,
    0xffff06ff,0x3fffdc1f,0x21ffffe2,0x1ffffffa,0xffffff10,0xfff1009f,
    0x000005ff,0xff03ffee,0x7fffc005,0x3ffffc46,0xf07fffd8,0xfff0bfff,
    0xfd85ccff,0x7fff44ff,0xfe96606f,0x16606fff,0x81ffffe2,0xff07fffd,
    0xfffd8bff,0x8bffff07,0xff07fffd,0xffff8bff,0x3ffffc46,0x7fffffcc,
    0xffff300f,0x4981dfff,0x81bffffa,0x6400d459,0x03fcc3ff,0x7fffff30,
    0x1fffff66,0x207fffcc,0x441ffff8,0xff17ffff,0x50bffead,0x109fffff,
    0x7fffd43f,0x881f884f,0x2607ffff,0x7c40ffff,0x7fcc1fff,0x7ffc40ff,
    0x7fffcc1f,0x0ffffc40,0x27fffff3,0x07ffffd9,0xdfffffff,0x3ffff601,
    0xfb9cffff,0x3ffffea1,0x3fa1f884,0x437f405f,0x7fc005fc,0xfdffffff,
    0x40caffff,0x7dc3fffc,0xfff984ff,0x26fff57f,0xfffd04ff,0x9f957dff,
    0xdfffffd0,0x2209f957,0x6407ffff,0x7fdc3fff,0x7fff904f,0x904fffb8,
    0xffb87fff,0xfffff84f,0xffffdfff,0x3fe60caf,0xbeffffff,0xfffeffca,
    0x4fffffff,0xefffffe8,0x3e64fcab,0xf981efff,0x002ff80f,0x7fffffe4,
    0x7fffff92,0x447bff20,0xff904fff,0x47ff4fff,0x3fa206fb,0x4fffffff,
    0xfffffd10,0x7cc09fff,0x6401ffff,0xfff11eff,0x1effc809,0xc809fff1,
    0xfff11eff,0x3ffff209,0xffff92ff,0xffff707f,0xdfffffff,0x3ffffa63,
    0xfd105fff,0x9fffffff,0x9fffffd0,0x301bfb33,0xc88001ff,0x3620ceff,
    0x7d403eff,0x02effeff,0x4ffffffd,0x00bdffc9,0xdfffffd8,0xffffd803,
    0x7fdc03df,0xfa803fff,0x02effeff,0xffdfff50,0x3fea005d,0x202effef,
    0x20ceffc8,0x203effd8,0xffffffd9,0xfff902ef,0xffb009ff,0x2607bfff,
    0xfffffffe,0x017f201e,0x00100100,0x000aba88,0x98000400,0x5730002b,
    0xfffff100,0x1001dfff,0x20001575,0x0000aba8,0x80015751,0x26000800,
    0x1001abba,0x73000575,0x5d54c005,0x0597001a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x1bcb9800,0x01991000,0xaa881991,0xaaa882aa,0x5555301a,0x54435555,
    0x3311aaaa,0x33333333,0x4cccccc4,0x30099999,0x30133333,0x98809805,
    0x99999999,0x26660099,0x4c019999,0x99999999,0x31000099,0x54400775,
    0x001abccb,0x33333310,0x33333333,0xdffd8800,0x4c000dff,0x87fa80ff,
    0xa87ffff8,0xf505ffff,0x3bffffff,0x977ff5c4,0xfffffffb,0xffb30dff,
    0xbfffffff,0x3ffff207,0x43fe882f,0xffb82fc8,0xefffffff,0xffdb101c,
    0x7dc0dfff,0xffffffff,0x6d4001ff,0x93002cff,0xffffffff,0x7fc0017d,
    0xffffffff,0x2006ffff,0x3fe27ff9,0x1fee001f,0x7fc437e4,0xfffa87ff,
    0x3ffe205f,0x1be607ff,0x3fffffa2,0xfffd101f,0x36003fff,0x77ec00ef,
    0x2200dfb9,0x3ffffffd,0x1fffd400,0x3fffff60,0x006fffff,0x002fffee,
    0x0d6ffec4,0x05ffd731,0xffffff30,0xffffffff,0x3ffe2007,0x007ffe44,
    0x9fd05fd8,0x0fffff10,0x80bffff5,0x00fffffb,0x3fea05f3,0x2600ffff,
    0x01ffffff,0x32005f70,0xf1001fff,0x005fffff,0xf8803ff0,0xffffffff,
    0xfe8803ff,0x3ea000ef,0xfd3000bf,0xffffb809,0xffffffff,0xff9001ff,
    0x4fffa83f,0x3e07fd00,0xffff882f,0x5ffffa87,0x3fffff80,0xffe80f70,
    0x7ec03fff,0x9004ffff,0x3ffaa00d,0x3ff2004f,0x44005fff,0xfffb804f,
    0xffffffff,0x77ffd400,0x07bea000,0xb02fe400,0xffffffff,0x00dfffff,
    0x303fffe2,0x8801ffff,0x1ff982ff,0x87ffff88,0x805ffffa,0xb06ffffb,
    0xffffb809,0x7ffd406f,0x07f007ff,0xfe8bfd98,0xfff1005f,0x5c003fff,
    0xccee800f,0x3ccccccc,0x077ffd40,0x311df100,0x80333333,0xffff04fb,
    0xdddddddf,0x3ee007ff,0x7fc40fff,0x7fcc02ff,0xf107fa80,0xff50ffff,
    0xff100bff,0x0f885fff,0x7ffffc40,0x7fffc01f,0x07cc02ff,0x7cc19f30,
    0xffb005ff,0x74009fff,0x003f9804,0x1ffff880,0xfb8ff400,0xfffdefff,
    0x4c1fd82d,0x7e400aef,0xfff9001f,0x9ffff10f,0xf907fb80,0x3fffe20d,
    0x5ffffa87,0xbffff900,0xff9006b8,0xfc809fff,0x6c05ffff,0xff901805,
    0xfff3007f,0xf3001fff,0x001f7003,0x0bfffd00,0x7d43fa80,0xfff713ff,
    0x7546f887,0x00dff000,0x443ffff4,0x3225ffff,0xccffeccc,0xccefeccc,
    0x1ffffe20,0x017fffea,0x0fffffcc,0x3fe6005d,0x7cc07fff,0x100fffff,
    0x2630005f,0xe801ffff,0x803fffff,0x9bfd005d,0xfc800135,0x74002fff,
    0x43fff987,0x7dc0ffff,0x7d4006a1,0x3ffe004f,0xffff887f,0x3ffffe66,
    0xffffffff,0x3e21ffff,0xffa87fff,0x3f6005ff,0x01f34fff,0x7fffff40,
    0x3ffff202,0x00f703ff,0x7f7ffedc,0xfa806fff,0x4c06ffff,0xfff9801f,
    0x002effff,0x800fffff,0xfff883f9,0x217ffe43,0xf90004f8,0x3fe2003f,
    0xfff887ff,0xdddd30ff,0xddddddff,0x441dddff,0xfa87ffff,0x2a005fff,
    0x4c8fffff,0x7fffdc00,0x3ffbe06f,0x09d06fff,0x22bfff60,0x01fffffa,
    0x2ffffff8,0x7e401b20,0xffffffff,0x3ffea01e,0x3dfedbdf,0xff101f70,
    0x1fffd87f,0xff0007d8,0x7ffcc00d,0xffff887f,0x01ff301f,0x7fc40ff5,
    0xfffa87ff,0x7ff4005f,0x4001fbff,0x1ffffff8,0xffff8fa8,0x00fcc1ff,
    0x2e1fffec,0xb805ffff,0x105fffff,0x3ffe005f,0xffffffff,0xffffd05f,
    0xdfffffff,0xff107c83,0x37ffc47f,0x4c000fb8,0x3ea004ff,0xff887fff,
    0xff702fff,0xf8817f20,0xffa87fff,0x7dc005ff,0x0006ffff,0x09fffff9,
    0x3ffff2bd,0x5403644f,0xff887fff,0x7c400fff,0xb80fffff,0xffff3006,
    0xffffffff,0xffff889f,0xfffe98cf,0x441b60ff,0xffb33fff,0x007ea03d,
    0x4003ff90,0x887ffffc,0xb03fffff,0x813fa0bf,0xa87ffff8,0x0365ffff,
    0x7fffff10,0x3ffe6000,0x98fcc7ff,0x7c7fffff,0x6fffe803,0x03fffff0,
    0x9fffff90,0x32a007f0,0xfffffedc,0x262fffff,0x6c0fffff,0x17a5ffff,
    0x7fffffc4,0x17d403ff,0x001bfe00,0x10fffff7,0x205fffff,0x05ff04fe,
    0x07ffffcc,0x4ffffff1,0xffff9007,0x7ff40001,0xd1b22fff,0x2a5fffff,
    0x7ffcc00f,0xfffff06f,0xffff3005,0x007d41ff,0x3ffee200,0x3ea6ffff,
    0x7d40ffff,0x0db1ffff,0x3eafffe2,0x0fd404ff,0x009ff300,0x87ffffa8,
    0x81fffff8,0xff982ff8,0x3fffe600,0xffeea8cf,0x005ccfff,0x000bfff1,
    0x6fffffb8,0xfffb85f1,0x500bb5ff,0x3e0dffff,0xd003ffff,0x747fffff,
    0x75400004,0xf70fffff,0x3fe0ffff,0x20f93fff,0xffb3fff8,0x007e401f,
    0x8003ff90,0x887ffff9,0xd30fffff,0xddddffdd,0xddddffdd,0x7ffffcc1,
    0xfffb4fff,0x6c001fff,0x440002ff,0xb9ffffff,0xfffff887,0xfb802f9f,
    0xfff06fff,0x3ea009ff,0x1f36ffff,0xfd100000,0x3fee3fff,0xfffb07ff,
    0x2203ee9f,0xfff33fff,0x2003ec0b,0xf88007ff,0xff887fff,0x3ffe67ff,
    0xffffffff,0x21ffffff,0xfffffefa,0x3bfffa23,0x03fd4001,0xffffc800,
    0xffb04ecf,0x200fdfff,0xd06ffffc,0x4005ffff,0xd9ffffff,0x22000005,
    0xff52fffe,0xffb01fff,0x213e2bff,0x3f23fff8,0x04f881ff,0x0013fe60,
    0x443ffffc,0x3226ffff,0xccccefec,0xcccceffc,0x2ea33ee0,0x002ae601,
    0x80002740,0xfffffff9,0xfffff500,0x3fea009f,0xffff06ff,0x7fdc003f,
    0x001fefff,0x7ffd4000,0x3fffff10,0x49ffff90,0x5fffa87d,0x2e1bffe2,
    0x3ff2001f,0xfffd0001,0xbffff10f,0x7fc0ffa0,0x002fec02,0x01f10000,
    0x7fff4000,0x7ffc05ff,0xf3001fff,0x3fe0dfff,0x7c4007ff,0x005fffff,
    0x6ff88000,0x40fffff4,0x2a2ffffc,0x77ffe43f,0x893fff20,0x3ff4006f,
    0xffff7000,0x3ffff881,0xf982ff88,0x03ff401f,0x5b808000,0x7fdc0000,
    0x7e402fff,0x7c006fff,0xfff06fff,0xff9000df,0x00005fff,0xfb13fa00,
    0xff705fff,0xb1fd81ff,0x27dddddd,0xfb3eeed8,0x27fcc003,0x3fffe000,
    0x83fffcc1,0x7fb80ff9,0x00fffc40,0x8bff3000,0x4400002e,0x9806ffff,
    0x4003ffff,0xf887fffd,0x98005fff,0x0006ffff,0x7fc006a2,0x27fffdc2,
    0x4437ffe4,0x640000ff,0x7fe4003f,0x7fe40001,0x1fffdc1f,0xdf906fb8,
    0x02fff980,0x3fff6000,0x00000d51,0x400ffff2,0x4000fffe,0x440ffff9,
    0x0001ffff,0x0007fffd,0x807bffe6,0xfffd05fa,0x07fff90d,0x2000bfe6,
    0xe8005fd8,0xe880007f,0x37fec4ff,0x3fa0bfb0,0x27ffdc04,0xfffb0000,
    0x00005d17,0x003ffe60,0x8002ffd4,0x7dc2fffa,0x2a0004ff,0x2e0007ff,
    0x40cfffff,0x3fe606e8,0x27ff41ff,0x0073fa60,0x4001ffd4,0x00004ff9,
    0x3e61ffd1,0x0ffa00ef,0x3ea017fc,0x200002ff,0x05fffffa,0x27f40000,
    0x005ff100,0x8877fdc0,0x80004fff,0x220003fe,0xcfffffff,0xf9804fda,
    0x9ff70dff,0x37ff6200,0xfca9899b,0xf90001ff,0x4400005f,0x04fffffc,
    0x7cc0ffc4,0x0dfe801f,0x7f5c0000,0x8000004f,0x3e4001fb,0x7fed4000,
    0x0002dffe,0x80001f70,0xffffffd9,0x2e2001bd,0x03dfeffe,0xffffc880,
    0x002dffff,0x0003ff40,0x20037300,0x4c980cc8,0x00000200,0x00000010,
    0x14c001c4,0x06e60000,0x00e20000,0x1baa8800,0x15510000,0x2ea60000,
    0x800009ac,0x00003cc8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00cd5d4c,0x000ddc40,
    0xbccba880,0x9998001a,0x99999999,0x99999809,0xffb00999,0x880007ff,
    0x281bccb9,0x566654c0,0xb9710001,0x55544037,0x36e22aaa,0x4cc4001c,
    0x99999999,0x3f200099,0x26604fff,0x00019999,0xfbfff700,0xd9003dff,
    0x019dfdbf,0xffff9300,0x017dffff,0x3ffffb20,0x83deffff,0xdfffffec,
    0x1bfff603,0xefffa800,0x698beffe,0xffdbfb30,0x64003bff,0x04fffcef,
    0xffffff91,0x3bfffff2,0xffd95001,0x9dffffff,0x7fffc007,0x3fff6205,
    0x400007ff,0x2e0dffe9,0x3f603fff,0x03fffa2f,0x56ffec40,0x3ffae621,
    0x3ffea002,0xf3004fff,0x3fa001ff,0xfd8000ff,0x7ff4c1cf,0x20ff986f,
    0x01ffffea,0xff50ffd8,0x7ffdc0bf,0xffdcfcff,0x54000fff,0x05ffffff,
    0x05fff980,0x0fffff50,0x7ff44000,0x2fffd80f,0x7cc6ffc8,0x7d400eff,
    0xfd3000bf,0x7fffc009,0x3f2001ff,0x3ffa2003,0x2ffe4003,0xd11bff20,
    0xffff50ff,0x37fe401f,0x205ffff3,0x0ffffffa,0x017fffe6,0x3fffffe0,
    0x5ffc8001,0x3fffe600,0x3f200007,0xfff506ff,0x84fffb8d,0x2a05fffe,
    0xf90001ef,0x3fffa00b,0x3ee001ff,0x37f44001,0x03fff300,0xffa8dfb0,
    0xfffff82f,0x4dfff103,0x304ffff9,0xb05fffff,0x8007ffff,0x01fffffe,
    0x4005ff80,0x007ffff8,0x1ffffe00,0x3e3fffcc,0xffc84fff,0x0ef883ff,
    0x44135510,0xfd009f70,0x4001ffff,0xe88001fa,0xfff9000f,0xc8dd1001,
    0xffe84fff,0xfff905ff,0x02ffff8f,0x20fffff3,0x005ffffa,0x0ffffff4,
    0x003be600,0x0fffff10,0x3ffe2000,0xfff881ff,0x7ffff10f,0x0bffff70,
    0xdff703fd,0x45d9dd77,0x7ff401fd,0x2a000fff,0x1510001f,0x0ffffa00,
    0x3fea3dc0,0xffffe86f,0x1ffffb05,0x98077fdc,0xf307ffff,0xe800ffff,
    0x001fffff,0x4400054c,0x0007ffff,0xbfffff10,0x54bfff30,0xfa84ffff,
    0x1fd46fff,0x260fffa2,0x01be22fe,0x01fffffd,0x0000fd40,0xfffff800,
    0x7c478802,0xfffe82ff,0xfffff03f,0x7cc01883,0xff107fff,0x74001fff,
    0x001fffff,0x3fe20000,0x200007ff,0x43fffffe,0x3f23fffa,0xff984fff,
    0x21fa0fff,0x3ea03ffe,0xfd00fdc2,0x4001ffff,0xaaaa81fa,0x2aaa0aaa,
    0xffd82aaa,0x03803fff,0x3fffe015,0xfffff00f,0xfff30005,0x3ffe20ff,
    0x3fa001ff,0xaa81ffff,0x2a0aaaaa,0x102aaaaa,0x5d4fffff,0x7e4001cd,
    0x3a4fffff,0x3ff60eff,0xfff885ff,0xc87f32ff,0x16c00fff,0xffe813e2,
    0x2a000fff,0xffffb81f,0x3fff21ff,0xfffb87ff,0x0002efff,0x17fffe60,
    0x04fffff8,0x7ffff980,0x0bffffe0,0xfffffe80,0xfffffb81,0x3ffff21f,
    0xffff107f,0xfffffb1f,0x3fe2005f,0xfbefffff,0xffffc84f,0x7fffff05,
    0xfff883ee,0x7d808805,0x3fffffa0,0x407ea000,0x41fffff8,0x987ffffa,
    0xffffffff,0xfd80002e,0x3fa00eff,0x98005fff,0x3e07ffff,0x2001ffff,
    0x01fffffe,0x83fffff1,0x107ffffa,0x7bdfffff,0x03fffff7,0x3ffffe60,
    0xf702ffff,0x3fe0ffff,0xa8f93fff,0x20004fff,0xfffd00fb,0x7d4001ff,
    0x3ffffe01,0x3ffffcc1,0xffffffc8,0x0001efff,0x881bfff1,0xfffffccc,
    0x9804cccf,0xf107ffff,0xe800ffff,0x201fffff,0x4c1fffff,0xf107ffff,
    0xf889ffff,0x3000efff,0xffffffff,0x3fffe60b,0x7fffc42f,0xffc8db2f,
    0x3ea0003f,0xfffffd01,0x00fd4001,0x983fffff,0x3607ffff,0xffffffff,
    0xfc8004ff,0xffff303f,0xffffffff,0xffff300f,0x3fffe20f,0x7fff4006,
    0x3ffe01ff,0x7ffcc1ff,0xffff107f,0x3ffff20f,0x3ffa2004,0x80efffff,
    0x445ffffd,0xbd1fffff,0x002fffd8,0x7f40bea0,0x2000ffff,0x3ffe01fa,
    0x7ffc41ff,0x7ffec07f,0xefffffff,0x05ff1000,0x7fffffcc,0x07ffffff,
    0x07ffff98,0x00bffff3,0x1fffffe8,0x07ffffe0,0x20fffff1,0x307ffff8,
    0x200dffff,0xffffffc8,0xff885fff,0xfc99efff,0x8db0ffff,0x0003fffc,
    0x7ff407ea,0x2a000fff,0x3fffe01f,0x7fffc41f,0xfffea807,0x0effffff,
    0x4401fb80,0xffffbaaa,0x9802aabf,0xc80fffff,0x4001ffff,0x01fffffe,
    0x107ffffe,0x220fffff,0xf307ffff,0xf300ffff,0xffff53ff,0xfd307fff,
    0xffffffff,0x2e3e4bff,0x20004fff,0xfffd00fc,0x7d4001ff,0x3ffffe00,
    0x3ffffc41,0xfffff700,0x9009ffff,0x3ffa0009,0x7cc000ff,0x220fffff,
    0x8003ffff,0x01fffffe,0x107ffffe,0x220fffff,0xf107ffff,0x4c03ffff,
    0x3fea5fff,0x2e06ffff,0xffdadeed,0x983ee2ff,0x20006fff,0x3fffa07d,
    0x3ea000ff,0x3ffffe00,0x3ffffc41,0x3ffee200,0x400fffff,0xff70002c,
    0xff3000ff,0xf79fbfff,0x2000bfff,0x01fffffe,0x107ffffe,0x220fffff,
    0x3e07ffff,0x3602ffff,0x7fcc2fff,0x2000ffff,0x447ffff8,0x0fffec4f,
    0x813e2020,0x00fffffe,0xff803ee0,0x7fc41fff,0x880587ff,0x2ffffffc,
    0x98000640,0x98006fff,0xff77ffff,0x00019dff,0x07fffffa,0x41fffff8,
    0x107ffff8,0x7c0fffff,0xf101ffff,0xff503fff,0x5c005fff,0x7d84ffff,
    0x302fffc4,0x6c03f70d,0x001fffff,0xfff803ee,0x7ffc41ff,0x5000f87f,
    0x007fffff,0x5ffe8000,0xffff9800,0xa800dcc7,0xffffe80b,0x3fffe00f,
    0x7fffc41f,0xfffff107,0x03ffffc0,0x101ffff5,0x009fffff,0xa837fff4,
    0x77fec43f,0xf1037261,0xffffd80d,0x01f2001f,0x883fffff,0x3f87ffff,
    0x3fffee00,0x6c000003,0x4c0c03ff,0x0007ffff,0xfd07fffa,0x7c01ffff,
    0x7c41ffff,0xff107fff,0x3fe20fff,0x3ff206ff,0xfffb00ff,0x3fe6005f,
    0x07f600ff,0x37bfff6a,0xc803fb02,0x002fffff,0xffff017a,0xffff883f,
    0x7c006f87,0x0d401fff,0xfdbb7100,0x4c3cc05f,0x0007ffff,0xe89ffff3,
    0x7c07ffff,0x7c41ffff,0xff107fff,0x3fe20fff,0x3fea04ff,0xfff701ff,
    0xfff3001f,0x0ff8805f,0x7f900220,0xfffff300,0x00fe6007,0x983ffffd,
    0xff87ffff,0x1fff6003,0x805fff98,0xfffffffb,0xfecaaace,0x7ffff987,
    0xffff7000,0x5ffffe8b,0x0fffff40,0x41ffffe6,0x307ffff8,0x4405ffff,
    0xf902ffff,0xff300bff,0x3e6003df,0xfd88002f,0x3fffa005,0x3fc400ef,
    0x17fffec0,0x0fffffd1,0xf1003fff,0x7fec07ff,0x4ef402ff,0xffffffc9,
    0x985fffff,0x0007ffff,0xf83ffff3,0x6c03ffff,0x3a22ffff,0xf107ffff,
    0xf701ffff,0xff700bff,0x3fffe0bf,0x6fffcc00,0x67f4c000,0x07ff5001,
    0xfffff980,0x05fd100e,0x1bffff70,0xffffffb3,0x805ffff0,0x3e205ffc,
    0x2605ffff,0x3fffe61f,0x1fffffff,0x07ffff98,0x117ff600,0x700bffff,
    0xb31bffff,0x20ffffff,0x83fffff8,0x36006fff,0x3f223fff,0x3f6a01ef,
    0x220002df,0x899bdffd,0x01fffca9,0xfffff500,0xffd957bf,0x7fff4003,
    0xfff9dfff,0x7fffc2ff,0xdffb80df,0x7fffec00,0x74c67402,0xfffffedf,
    0xfff704ff,0x220003ff,0xffb12ffe,0x7ff400bf,0xff9dffff,0xff882fff,
    0x3f21efef,0x754000ef,0x3fffdfff,0x39dff710,0x7e440000,0xdfffffff,
    0xfc880002,0xffffffff,0x7f44000b,0xfff14fff,0x467cbfff,0xfeefffca,
    0xff3002ef,0xfff500bf,0x7fffdc9f,0xfffe883f,0x002dffff,0xffffff70,
    0x7440019d,0xff14ffff,0xf88bffff,0xffdff51e,0x4400017d,0x5401aba9,
    0x0000001a,0x01359753,0x2ea60000,0x80001abc,0x070001a8,0x002af2a6,
    0x2a000d40,0x0aba880a,0x26666660,0x20000999,0x000aca98,0x0000d440,
    0x02aa620a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x54c40000,0x3310001a,0x01333333,
    0x33333310,0x4cc40013,0x20019999,0x441bdda8,0x1008800d,0x000e5c01,
    0x332ea200,0x0006a01b,0x2b332ea2,0x71001701,0x33337bd9,0x5c400333,
    0x26666601,0x00999999,0x32200000,0xffeefffe,0xfb3003ef,0x1dffffff,
    0xffffdb80,0x3aa001ef,0x00ffffff,0x75f7ff54,0x801ff74f,0x7fe45ffc,
    0x000bf904,0x3ffff6a0,0x11ceffff,0x3faa005d,0xfffeefff,0x801f31ce,
    0xffbdfffc,0x01ffffff,0x8817fe44,0xffffffed,0xffffffff,0x200000cd,
    0x20aefffa,0x00dfffb9,0xfffffd10,0x3fa200bf,0x3ee0000f,0x2e00ffff,
    0x3fe22fff,0x2200ffff,0xff31ffff,0x1ff301ff,0x7ff4c000,0x95109dff,
    0x805fffff,0x82efffd8,0xffffffa8,0x8ffffa00,0xfffffff8,0xffffb301,
    0xffff5005,0xf95333ff,0x0007ffff,0x0ffffd88,0x0ffffe20,0x7ffffc40,
    0x7f7003ff,0xfff88000,0xfff500ff,0xfffff70b,0x7fffcc01,0x03ffff52,
    0x5c000bfe,0x401fffff,0x202fffd9,0x004ffffb,0x201ffff7,0xfd87fffc,
    0x3f6a02ff,0x002fffff,0x20fffffd,0x0dffffd8,0xffff8800,0xfffa801f,
    0xfffb005f,0x3003ffff,0xf880005f,0xf880ffff,0xff983fff,0x7f400fff,
    0x037ff46f,0xf90009f9,0x4003ffff,0xff902ffe,0xfb8009ff,0xfff880ff,
    0xffffb85f,0x7fef74c0,0xd002ffff,0x440fffff,0x006fffff,0x04ffffd8,
    0x0bffffa0,0x3fffff60,0x7c400fff,0xfff80001,0xfffb80ff,0xffff880f,
    0x502a800f,0x007fa805,0x1fffffd4,0x20bfa200,0x006ffffa,0xf501ff70,
    0xff50bfff,0x7d4105ff,0xd002ffff,0xc80fffff,0x002fffff,0x07ffffea,
    0xfffffa80,0x7fee6c00,0x4406ffff,0xff80001f,0xffd80fff,0xfff880ff,
    0x000000ff,0x26003ff0,0x004fffff,0xff885f50,0x20003fff,0xfffb80fe,
    0xffffa84f,0x7fffc403,0xfffd002f,0xfffb80ff,0xff1004ff,0x8800ffff,
    0x405fffff,0xffffe8cd,0x07e204ff,0x3fffe000,0x7ffff80f,0x1fffff10,
    0x36000000,0xfffd004f,0x7c0003ff,0x7ffffec2,0x03ea0000,0x213fffe6,
    0x802ffffa,0x002fffff,0x80fffffd,0x05fffffa,0x9fffff90,0xfffff000,
    0xf8a6c03f,0x03ffffff,0x2e2003f1,0x3fffe2cd,0x7fffc40f,0xfffff107,
    0xaaaaaa81,0x2aaaaa0a,0x00df502a,0x0ffffff3,0x3ea2c800,0x0006ffff,
    0xfffd00e8,0x0ffff70b,0x0bffffe0,0x3fffff40,0x3ffffea0,0xffffb004,
    0xffb0007f,0x26c07fff,0xfffffff3,0x8803f103,0x8efffffe,0x540fffff,
    0xf106ffff,0xfb81ffff,0x321fffff,0x107fffff,0xffc803ff,0x00006fff,
    0x2fffffe4,0xf9004000,0xfff90dff,0x3fffe00b,0xfffd002f,0xfffc80ff,
    0xfff003ff,0xb0005fff,0x409fffff,0x7fffdc4d,0x0fc40fff,0x22ffffa0,
    0xffffffda,0x37fffdc0,0x0fffff88,0x1fffff88,0x03ffffd4,0xfff807fb,
    0x00004fff,0x27fffff4,0x7ec00000,0x3ffe22ff,0xffff000d,0x3ffa005f,
    0x7ff407ff,0xf8801fff,0x002fffff,0x5fffffc8,0x3ff61360,0x7c46ffff,
    0x1bfff201,0x1fffffd1,0x07ffffa8,0x01fffff1,0x307ffffe,0x5c0fffff,
    0x3ffe206f,0x00003fff,0x1ffffffc,0xeb800000,0x3fffbcff,0x7ffffc00,
    0xffffd002,0x7fffdc0f,0xfff5003f,0x90003fff,0x40ffffff,0xffffd04d,
    0x80fc49ff,0x982ffffa,0x4c0fffff,0xf107ffff,0x3e01ffff,0x7cc1ffff,
    0x3e207fff,0xffff300f,0x400003ff,0x2ffffff9,0x2a000000,0x00aceedf,
    0x2fffff80,0xfffffd00,0xfffff930,0x7ffdc007,0xc8001fff,0x00ffffff,
    0x3ffe209b,0x3f12ffff,0x03ffff60,0x407ffffc,0x881fffff,0xf00fffff,
    0xf883ffff,0x7f407fff,0xfffff703,0x5400003f,0x01ffffff,0xec880000,
    0x3fe00000,0xfd002fff,0xffddffff,0x017fffff,0xfffffa80,0xffc8001f,
    0x13607fff,0xffffff98,0xff01f89f,0x7ffc0fff,0xfffb80ff,0xffff984f,
    0xfffff00f,0x7ffff883,0xfa837dc0,0x002fffff,0x3fffea00,0x000002ff,
    0x00027f44,0x0bffffe0,0x7fffff40,0xffffffcc,0xfff10003,0x90005fff,
    0x40dfffff,0x7ffdc04d,0x81f9efff,0x207ffff8,0x880fffff,0x262fffff,
    0x00ffffff,0x883fffff,0x4c07ffff,0xfff980ff,0x00003fff,0x3fffffe6,
    0xccccc803,0x44cccccc,0x0001effb,0x0bffffe0,0x3fffff40,0x3ffffff9,
    0x3fffe000,0xfd8003ff,0x3604ffff,0xffffc804,0xf981feff,0x3fe06fff,
    0xff300fff,0xf9fdbfff,0x3e01ffff,0x7c41ffff,0xfe807fff,0xfffff882,
    0x2200004f,0x04ffffff,0xffffea98,0x7f41bfff,0xffffffff,0xff002cee,
    0x3a005fff,0x7f47ffff,0x0006ffff,0x09fffffd,0xfffffb00,0xd8026c07,
    0x1fffffff,0x06ffffb8,0x803ffffe,0x9fffffe9,0x00fffff8,0x883fffff,
    0xc807ffff,0xfffff05f,0xe80000bf,0x005fffff,0x3fffffe2,0xfffffb02,
    0xffffffff,0xfffff00b,0x3fffa005,0x7fffcc7f,0xfb8004ff,0x8004ffff,
    0x00ffffff,0x7f440136,0xb81fffff,0x3e07ffff,0x8800ffff,0x3ffe20aa,
    0xffff00ff,0xffff883f,0x80ff9807,0x06fffffc,0x7ffdc000,0x7fc006ff,
    0xf501ffff,0xffffffff,0x80bfffff,0x002fffff,0x70fffffd,0x05ffffff,
    0xdffffd00,0xffff9800,0x0026c04f,0x3ffffff3,0x0fffff50,0x007ffffc,
    0xfffff100,0x3ffffe01,0x3ffffc41,0xf882ff80,0x000fffff,0x3fffe200,
    0x7ff4007f,0x3ea00fff,0xffffffff,0x7c07ffff,0xd002ffff,0x360fffff,
    0x00ffffff,0x7ffffd40,0x3ffee002,0x026c00ff,0x3ffffea0,0xfffff981,
    0x1fffff00,0x7ffc4000,0xffff00ff,0xffff883f,0x209f9007,0x04fffffc,
    0x3fea0600,0x3a002fff,0x200fffff,0xccccdfea,0x1ffffecc,0x0bffffe0,
    0x3fffff40,0xffffff88,0xfffe8005,0x3ffa005f,0x04d803ff,0x1ffffc80,
    0x05ffffd0,0x01fffff1,0x7fffc400,0xffffd00f,0x7ffff983,0x740ff500,
    0x000fffff,0xfff906a8,0x7ff400df,0xff880fff,0x7ff9800f,0x17ffffc0,
    0xfffffe80,0xfffff500,0xfe88007f,0xfb800fff,0xbd004fff,0x3fff6000,
    0xdffff701,0x1fffff90,0x7ffc4000,0xfffb00ff,0x7fff445f,0x07fe007f,
    0x37ffffc4,0xd813ee00,0xd003ffff,0x501fffff,0x7f400bff,0x3fffe204,
    0xfffd002f,0x7fec01ff,0x8001ffff,0x200efffc,0x004ffff9,0x22000df1,
    0x3fa01ffe,0x3fee2fff,0x0002ffff,0x07ffffe2,0x46ffffdc,0x7fffffd9,
    0x9813f600,0x00dffffe,0x64017ec4,0xe802ffff,0x980fffff,0xfa801fff,
    0x3ffe601e,0xfff003ff,0x74401fff,0x00efffff,0xaffffa80,0x3ffff260,
    0x9ffb1002,0x3ff10001,0x7ffff440,0xffff9ffe,0xa8000dff,0x203fffff,
    0xdffffffe,0x02fffff9,0xf900df50,0x3359ffff,0x001dfdb7,0x16ffff4c,
    0x7ffffd44,0x7fff700c,0xfb953133,0xfffd801b,0x7dc00fff,0x404fffff,
    0xdffffff9,0xfdb88000,0xeffffeff,0xffea800b,0x001effff,0x3a200fd4,
    0xff0effff,0x800379df,0xffffffda,0xffe881ef,0xffff14ff,0xff100bff,
    0xffd71003,0x7bffffff,0x7ff54000,0xffffefff,0xd71001cf,0x79dffffd,
    0x3ffb6205,0xefffffff,0x3ffffa65,0x2effffff,0xffffff90,0xa880009f,
    0x0000aabb,0x01500000,0x3506ea20,0x33310000,0x01333333,0x00000d44,
    0x22000e5c,0x000abba9,0x65d54400,0x00009aab,0x00000110,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0ddd4400,0x664c0000,0x99999980,0x00199999,
    0x9bd95100,0x33333103,0x00333333,0x33333300,0x01333333,0x26666666,
    0x4cccc099,0x99988199,0x40000999,0x99999999,0x26619999,0x99999999,
    0x03930099,0x26666662,0xba800000,0xc8001bcc,0x05ffffff,0x1ffd1000,
    0xffffec88,0xffffffff,0x2e003dff,0x5fffddff,0x7ffff64c,0xffffffff,
    0xc8800ace,0xfffffffd,0xec881dff,0x2effffff,0x3fffffa2,0xfffffb87,
    0x3220002f,0xfffffffd,0xfb914dff,0xdfffffff,0x9fffb07b,0xffffff70,
    0x7d400005,0x03fffcdf,0xfffffd10,0x0000bfff,0x4c01fffb,0xabffffff,
    0xefffffdb,0xd1ffe400,0x3ea0bfff,0xaabfffff,0x0cffffec,0xfffff100,
    0x3f2001df,0x3ee00dff,0xff107fff,0x00005fff,0x3fffffe6,0x7fffcc06,
    0x3fe205ff,0xff880fff,0x00002fff,0x7ffcfff9,0xfffd800f,0x5fffffff,
    0x3ffee000,0x7fff400f,0x7ffcc0ff,0xff901fff,0x1ffffb8f,0x3fffffd0,
    0x5fffff70,0x3ffff600,0x3ff2003f,0xffffa804,0x3ffffe07,0x3f600002,
    0xe803ffff,0x202fffff,0x00fffff9,0x005ffffd,0x2dfff500,0x401ffff8,
    0xfffefffb,0x001fffff,0x0fffff98,0x7ffffec0,0xfffff880,0x44fff987,
    0xd02ffff9,0x203fffff,0x03fffff9,0x3fffffc8,0x005ff300,0x81ffffe2,
    0x002ffffe,0x3ffff600,0xfffd802f,0x7ff401ff,0x3fffa05f,0xfe80002f,
    0x0ffee6ff,0xff507ba0,0x0009ffff,0x01fffffd,0x0fffffd8,0x3fffffd0,
    0xe84fffd8,0xffb00fff,0x7e403fff,0x6401ffff,0x802fffff,0x22000efa,
    0x3a07ffff,0x0002ffff,0x3fffff20,0xffffd802,0x67e4401f,0x3ffffa00,
    0x7fc40002,0xd30006ff,0x3fffea01,0x7fe4006f,0x6c00ffff,0x900fffff,
    0x449fffff,0xc883ffff,0x3fff602d,0x3fe201ff,0x3200ffff,0x402fffff,
    0x44000dfb,0x3a07ffff,0x0002ffff,0x3fffff20,0xffffd802,0x3a00001f,
    0x0002ffff,0x037fffcc,0x7fc00980,0x2a005fff,0x0fffffaf,0x7ffffec0,
    0xfffff700,0x27fffccb,0xffffb000,0xfffd803f,0x3ff204ff,0x3f602fff,
    0xfff10003,0x7fff40ff,0x3200002f,0x802fffff,0x01fffffd,0x3fffa000,
    0x7cc0002f,0x00006fff,0x0bffff20,0xfffa7c40,0x7fec00ff,0xffb00fff,
    0x7fd43fff,0x360005ff,0x401fffff,0x07fffffa,0x0bfffff2,0x8000bfa2,
    0x207ffff8,0x542ffffe,0x02aaaaaa,0x17ffffe4,0x7ffffec0,0xaaaaa881,
    0x3fffa02a,0x02f72a2f,0xffffcaa8,0x00000aaf,0x007fffd4,0x3fffe6e8,
    0x7ffec00f,0xffff00ff,0xffffb8df,0x3ff60006,0x7c401fff,0x902fffff,
    0x985fffff,0x440000ef,0x3a07ffff,0x6d42ffff,0x403dffff,0x02fffffc,
    0x1fffffd8,0xfffffc88,0x3ffffa07,0xfffffe8a,0xfffffb03,0x0005ffff,
    0x06fffb80,0x7ffc3f90,0x7fec00ff,0xffd80fff,0x7fd42fff,0x360007ff,
    0x801fffff,0x04ffffff,0x45fffff9,0x80000ffb,0x207ffff8,0xf02ffffe,
    0x3f2003ff,0xd802ffff,0x201fffff,0x207ffffb,0xfecffffe,0x81fffffd,
    0xfffffcaa,0x400000aa,0xa804fffc,0x7ffffc3f,0x7fffec00,0x3fff660f,
    0xfff980df,0xfb0001ff,0xf003ffff,0x20bfffff,0xb2fffffc,0x00009fff,
    0x40fffff1,0x882ffffe,0x3f2000ef,0xd802ffff,0x201fffff,0x207ffff9,
    0x24fffffe,0x205ffffb,0x006ffff9,0x1bffe000,0x3fe17e20,0x7ec00fff,
    0xffeeffff,0x2200cfff,0x006fffff,0xfffffff5,0xbfffffff,0x6fffffe8,
    0x7fffff90,0x05fffffd,0xffff8800,0x3ffffa07,0x4000ed82,0xeefffffc,
    0xfeeeeeee,0x201fffff,0x207ffff8,0x445ffffe,0x2607ffff,0x0006ffff,
    0x03fff500,0xfff01db0,0xffd801ff,0xffedcfff,0xb00befff,0x407fffff,
    0xffd55511,0x55557fff,0xfffffd85,0xfffff906,0xffffffff,0x7fc40003,
    0x3ffa07ff,0x0076c2ff,0x7ffffe40,0xffffffff,0x1fffffff,0x1ffffe20,
    0x42ffffe8,0x207ffff8,0x006ffff9,0x07ffb000,0x3fe03f70,0x7ec00fff,
    0x7d40ffff,0x983fffff,0x81ffffff,0xffffb03d,0xfffd003f,0x3ff20bff,
    0xfffadfff,0x0000efff,0x40fffff1,0x362ffffe,0xff90000f,0xfb005fff,
    0x4403ffff,0x3a07ffff,0xff82ffff,0xff300fff,0x00000dff,0xf300bff5,
    0x7ffffc07,0x7fffec00,0xfffe980f,0xfffd83ff,0x4ecbefff,0x3fffff60,
    0xfffff801,0xffff904f,0x3fffee5f,0xf10005ff,0x7f40ffff,0x7ffb2fff,
    0x3fff2000,0xffd802ff,0x3e201fff,0x3fa07fff,0xfff82fff,0xfff300ff,
    0xd00000df,0x2bfe00bf,0xffaaaaaa,0xb00abfff,0x201fffff,0x1ffffff9,
    0xffffffd8,0x7fec05ff,0xff801fff,0xf902ffff,0x7ec5ffff,0x004fffff,
    0x07ffff88,0x36bffffa,0x8000ffff,0x02fffffc,0x1fffffd8,0x1ffffe20,
    0x82ffffe8,0x300fffff,0x000dffff,0x000efc80,0xffffffff,0xffffffff,
    0x3ffff605,0x3fffe00f,0xfff704ff,0xfb007dff,0x8803ffff,0x01ffffff,
    0x45fffff9,0xffffffe8,0x7ffc4002,0x3fffa07f,0x6fffffef,0xffffc800,
    0xfffd802f,0x3fe201ff,0x3ffa07ff,0xffff82ff,0xffff300f,0x7d40000d,
    0xfff0200e,0xffffffff,0x205fffff,0x00fffffd,0x1bfffff6,0x4001bd30,
    0x01fffffd,0x3fffffcc,0x5fffff90,0xffffff88,0x3fe2001f,0x3ffa07ff,
    0xffffaeff,0x7fe4003f,0xfd802fff,0x2201ffff,0x3a07ffff,0xff82ffff,
    0xff300fff,0x20000dff,0x1a200ef8,0xffffffff,0xffffffff,0x3ffff605,
    0x3fff200f,0x6fcc06ff,0x3fff6001,0x7fe401ff,0x3f203fff,0xfa82ffff,
    0x00efffff,0x0fffff10,0xc97ffff4,0x001fffff,0x0bfffff2,0x3fffff60,
    0x3fffe201,0x3ffffa07,0x0fffff82,0x0dffff30,0x01dd1000,0x2aaa2ec4,
    0xffaaaaaa,0xb00abfff,0x401fffff,0x04fffffe,0x003fffa2,0x0fffffec,
    0xdfffff10,0xfffffc80,0xfffff902,0x3fe200bf,0x3ffa07ff,0x3fffa2ff,
    0x3ff2006f,0xfd802fff,0x2201ffff,0x3a07ffff,0xff82ffff,0xff300fff,
    0xb0000dff,0xdddddddf,0xf0009ffd,0xd801ffff,0x100fffff,0x05ffffff,
    0x002ffe88,0x03fffffb,0x0fffffdc,0x3fffff20,0x3ffff602,0xff8804ff,
    0x3ffa07ff,0x3ffe62ff,0xff9004ff,0xfb005fff,0x4403ffff,0x3a07ffff,
    0xff82ffff,0xff300fff,0xb8000dff,0xffffffff,0x8002ffff,0x400fffff,
    0x00fffffd,0x0bfffff9,0x4007ff60,0x01fffffe,0x05ffffd1,0x7fffff90,
    0x7ffffc40,0x7fc403ff,0xffd00fff,0xfffb85ff,0xffd801ff,0xfd802fff,
    0x2201ffff,0x3a07ffff,0x7c42ffff,0xf300ffff,0x4000dfff,0xfffffffa,
    0x01ffffff,0x0fffff80,0x7fffff40,0xfffffc82,0x0dff5006,0x7fffff40,
    0xeffff982,0xffffb000,0xfffb807f,0x2602ffff,0xf01fffff,0xfd05ffff,
    0xd801dfff,0x803fffff,0x02fffffe,0x07ffffe6,0x217ffff4,0x01fffff8,
    0x00fffff5,0x3ffffe60,0xffffffff,0xffff0007,0x7ffd401f,0xfdbcffff,
    0x802effff,0x2004effc,0xeffffffa,0xefffecab,0x3ffe6003,0x2a00efff,
    0xffffffff,0xffffb80c,0xffff983f,0xffffb84f,0xfff300df,0x5401dfff,
    0x06ffffff,0x0fffffee,0x17ffffe6,0x07fffff7,0x0bfffff2,0x3ffffa00,
    0xffffffff,0xfff0006f,0xffe881ff,0xffffffff,0x01cceeff,0xdb300020,
    0xffffffff,0x017bddff,0x3fffb220,0x2effffff,0x3fffffa2,0x15ffffff,
    0xffffffff,0x3ffff21d,0xff50ffff,0x25ffffff,0xfffffec8,0xb14effff,
    0xfffffffd,0x3fe27bff,0x0effffff,0xfffffff9,0x3fffff2f,0x3ffb26ff,
    0x02ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x99999998,0x00099999,0x26666666,
    0x00199999,0x26035300,0x33333300,0x40003333,0x99999999,0x04c00019,
    0x33333000,0x13333333,0x26666666,0x99998819,0x26666661,0x00019999,
    0x007ffffb,0x43ffffd8,0x33013008,0x33333333,0x33333333,0x3f722333,
    0xefffffff,0xfb91001c,0xdfffffff,0xd880009b,0xf10befff,0xfffb9103,
    0x003fffff,0xffffff50,0x80009bff,0xb910003e,0xffffffff,0x3fffa7bf,
    0x540effff,0x3b26fffe,0xffffffff,0x01cdefff,0x02ffff44,0x89ffff10,
    0x7fec4ffd,0x3fff7223,0xffffffff,0x7fffffff,0xffffff98,0x7fcc0003,
    0x0005ffff,0x3fffff60,0x9807feff,0x5fffffff,0xffffd800,0x80000fff,
    0x980006f9,0x06ffffff,0x05fffff9,0xff104fe8,0xd957ffff,0x403bffff,
    0x000fffe8,0xf989fff5,0xfff50fff,0xffff101f,0x555559ff,0x20fffff9,
    0x00fffffe,0xffffe800,0xf300002f,0xffffffff,0x3fba009f,0x000fffff,
    0x3ffffbe2,0xfb00004f,0xfb00005f,0x2205ffff,0x404fffff,0x7ffe406e,
    0x7ffe41ff,0x3fa201ff,0x9ffb003f,0x23ffff50,0xb00ffffb,0x805fffff,
    0xffb07ffb,0x20000fff,0x01fffffd,0x713f5000,0x03dfffff,0x3fff7360,
    0x3b2003ff,0x04fffffb,0x6fff8800,0xfffd8000,0x3ff202ff,0x0fe206ff,
    0x3fffff90,0x1fffffd0,0x402ff440,0x3fe05ff8,0x17ffe25f,0x2fffffc8,
    0xfb07e880,0x0000ffff,0x07fffff6,0x4c254000,0x66c002db,0x07fffffa,
    0x3ffeefe0,0xc80004ff,0x0001ffff,0x17ffffec,0x3fffff30,0xf9003ea0,
    0xf503ffff,0x8807ffff,0x2fd400ff,0x01b81540,0x17ffffe4,0xffb07a80,
    0x55599fff,0x7fec0013,0x00001fff,0x53600000,0x02fffffe,0xfffb8fa8,
    0x440004ff,0x005fffff,0x7ffffec0,0x7ffff402,0xf900bb04,0xf303ffff,
    0x100bffff,0x00298015,0xfff90000,0x83c005ff,0xfffffffd,0x01dfffff,
    0x1fffffd8,0x00000000,0x7ffdd360,0x75e806ff,0x009fffff,0xfffffb80,
    0x3f60000f,0x5c02ffff,0x7f07ffff,0xfffff900,0xfffff103,0x0000000f,
    0x3ff20000,0x83502fff,0xfffffb06,0x7ffffdcc,0x7fffec03,0x2a60001f,
    0x2a0aaaaa,0x9b000bdc,0x3fffffe2,0x7dc7e601,0x0004ffff,0x7ffffffc,
    0x3ff60004,0x7c402fff,0x7d41ffff,0xffffc800,0xffff981f,0x5555446f,
    0xaaa882aa,0x55102aaa,0x20055555,0x02fffffc,0x3ff6003b,0xfffb87ff,
    0x3ff603ff,0x20001fff,0xafffffea,0x4fffffe8,0x3ff24d80,0x9b204fff,
    0x04fffffb,0x3febea00,0x20007fff,0x02fffffd,0x44ffffd8,0xfff9005d,
    0xfff503ff,0xffc88bff,0xfc887fff,0x9107ffff,0x00ffffff,0x0bfffff2,
    0xffd800fc,0xfffd07ff,0x3ff601ff,0x80001fff,0xfecfffff,0x01fffffd,
    0xffff326c,0x45f101ff,0x04fffffb,0x7ff53a00,0xb0003fff,0x005fffff,
    0x44fffff5,0xfff9002f,0xfff903ff,0x3fee03ff,0x3fee07ff,0x7fdc07ff,
    0xff9007ff,0x3f705fff,0x3ffff600,0xfffff907,0x3ffff609,0xfe80001f,
    0x3ee4ffff,0x26c05fff,0x0ffffff6,0xffff71ee,0x3e60009f,0xdfffff71,
    0x3fff6000,0xff8802ff,0x01f52fff,0x3fffff20,0x7ffffc41,0x3fffe605,
    0x3fffe607,0x7fffcc07,0xffff9007,0x01ffb85f,0x0fffffb0,0x17ffffee,
    0x0fffffec,0x7fff4000,0x7fffc45f,0x3ea26c07,0x4e87ffff,0x27ffffdc,
    0x7fc5d800,0x8002ffff,0x02fffffd,0x2bffffb0,0x3ff2005d,0x3fea1fff,
    0x7c404fff,0x3e207fff,0x7c407fff,0xf9007fff,0xd959ffff,0x36003fff,
    0xf507ffff,0x360bffff,0x001fffff,0x2ffffe80,0x03ffffc4,0x3fffa136,
    0x703e62ff,0x009fffff,0xffc85f10,0xd8005fff,0x002fffff,0xf3fffff5,
    0x7ffe4005,0xffffeeff,0xff8802df,0x3fe207ff,0x7fc407ff,0xff9007ff,
    0xffffffff,0x3f6003ff,0xff707fff,0x3f607fff,0x0001ffff,0x42ffffe8,
    0x00fffff8,0x3ffee136,0x2e1766ff,0x004fffff,0xfff886c8,0x6c001fff,
    0xa82fffff,0xfffbaaaa,0xaaabfeff,0xffff902a,0x135999bf,0x7fffc400,
    0x3fffe207,0x7fffc407,0xffff9007,0xfffb715f,0x3fff6003,0xffffb07f,
    0x3fff603f,0xe80001ff,0xff82ffff,0x13600fff,0x3fffffe2,0xffb82f89,
    0x44004fff,0xffffb03f,0xffd8009f,0xfff82fff,0xffffffff,0x7fffffff,
    0x3fffff90,0xfff10000,0x7ffc40ff,0x7ffc407f,0xfff9007f,0x1ff885ff,
    0xfffffb00,0x1fffffa0,0x1fffffd8,0xfffe8000,0xfffff82f,0x7e413600,
    0x06bcffff,0x09fffff7,0x3e607b80,0x000fffff,0x0bfffff6,0xfffff980,
    0x7ffe4002,0x880001ff,0x2207ffff,0x4407ffff,0x9007ffff,0x505fffff,
    0x3ff6003f,0xfffb87ff,0x3ff601ff,0x48001fff,0x417ffff4,0x200fffff,
    0xffff304d,0x3ee07fff,0x4004ffff,0xccccccef,0x3ffffffc,0x3ffff600,
    0x3fe2002f,0x64001fff,0x001fffff,0x7ffff880,0x1ffffe20,0x0fffff10,
    0x3fffff20,0x36003d02,0xa99fffff,0x00effffc,0x0fffffec,0xffd1a600,
    0xffff05ff,0xb026c01f,0x01ffffff,0x13ffffee,0xeeeefa80,0xfffeeeee,
    0x3f6007ff,0x2002ffff,0x01fffff8,0x7ffffe40,0xff880001,0x3fe207ff,
    0x7fc407ff,0xff9007ff,0x07605fff,0x7ffffec0,0x3effffff,0xfffffb00,
    0x745c8003,0xff82ffff,0x13600fff,0x4fffffa8,0x3ffffee0,0x4013a004,
    0x02fffffe,0x5fffffb0,0xddddddd0,0xdddfffff,0x3f20bddd,0x0001ffff,
    0x07ffff88,0x01ffffe2,0x00fffff1,0x0bfffff2,0xffd800d4,0x199aafff,
    0xffffd800,0x13e2001f,0xf05ffffd,0x6c01ffff,0x7ffff404,0x3fffee01,
    0x03f5004f,0x3ffffee0,0xffffb006,0x9999905f,0xbfffffb9,0x20999999,
    0x01fffffc,0xffff8800,0x3fffe207,0x7fffc407,0xffff9007,0xfb00005f,
    0x0000ffff,0x07fffff6,0x7f43fc80,0xfff82fff,0x017600ff,0xb80dfff7,
    0x004fffff,0x7fc400dd,0xd802ffff,0x002fffff,0x07ffffe6,0xfffff900,
    0xff100003,0x7fc40fff,0x7fc407ff,0xff9007ff,0x00005fff,0x00fffffb,
    0x3ffff600,0x5ff7002f,0x42ffffe8,0x00fffff8,0xfff10176,0xffffb805,
    0x03fa804f,0x7ffffe40,0xffffd806,0x3fe6002f,0x64001fff,0x001fffff,
    0x7ffff880,0x1ffffe20,0x0fffff10,0x3fffff20,0xffe80003,0x80000fff,
    0x03fffffe,0x741fffc8,0x7c42ffff,0x3e00ffff,0x03fe400e,0x27ffffe4,
    0x000ffa20,0x5ffffff5,0xfffffe80,0x3ffea002,0x7ec002ff,0x0002ffff,
    0x1fffff98,0x3fffff30,0x7ffffcc0,0xffffd801,0x7d40003f,0x004fffff,
    0x7ffffd40,0xcaaabcff,0x20fffffd,0x45fffff9,0x03fffffb,0x44019ff9,
    0x7ffc403f,0xd301ffff,0x54001fff,0x1fffffff,0xffffff30,0xffd1001d,
    0x2001dfff,0x5ffffff9,0xfffb8000,0xfff703ff,0x7fdc07ff,0x7cc03fff,
    0x00efffff,0x7fff6440,0x1dffffff,0xfffdb100,0xffffffff,0xffffffff,
    0x3ffff21f,0xfffb6fff,0x362dffff,0x1effffff,0x3fb201b0,0xffffffff,
    0x3ffff24e,0xfb103eff,0xffffffff,0x3ffb22df,0xefffffff,0x7fff6c43,
    0x4effffff,0xfffffdb0,0x007dffff,0xffffff88,0xfff10eff,0x41dfffff,
    0xfffffff8,0x3fb220ef,0xffffffff,0x0000004e,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x44000000,
    0x99999999,0x99999999,0x00999999,0x26666662,0x99999999,0x4c419999,
    0x99999999,0x26620099,0x26619999,0x99999999,0x99998819,0x26209999,
    0x99999999,0x99800009,0x99999999,0x99999999,0x4ccc4099,0x99999999,
    0x99999999,0x16dc4199,0x33201500,0xcccccccc,0xcccccccc,0x00b6e20d,
    0xffb93000,0xffffffff,0xffffffff,0x7fec07ff,0xffffffff,0xffffffff,
    0x7ffffdc5,0x01ceffff,0x3fffffae,0xfffffb15,0x819dffff,0xefffffeb,
    0x3ffb261d,0xffffffff,0x1002ceef,0xffffffd9,0xffffffff,0xfc8bffff,
    0xffffffff,0xffffffff,0x3e27ffff,0xf9804fff,0x20000900,0x13fffe1a,
    0x7fcc0000,0xadfffffe,0xfffdbaaa,0x3fffa03f,0x99999abe,0x0ffffffe,
    0xffffff70,0xeff9800f,0xfffff980,0xffb806ff,0xfffb804f,0xecaabfff,
    0x2004ffff,0xcffffff9,0xffcbaaaa,0x7ffe45ff,0xfffcaabd,0xfcbaadff,
    0x3ffee7ff,0x3fa200ff,0x20000900,0xfffff51a,0xf1000001,0x9fffff7d,
    0x01fff4c0,0xfa805fff,0x403fffff,0x0ffffffd,0x803fe200,0x6ffffffa,
    0x003ff880,0x41fffffe,0x01effffb,0x5fffffb0,0x22ffec40,0xffa81ffc,
    0xfe884fff,0x3fffff27,0x403ff201,0x23500004,0x01fffffc,0xb9fc8000,
    0x404fffff,0x3fe03fe8,0x7fffc401,0xff8806ff,0x2004ffff,0xffd802fa,
    0x5c03ffff,0x7ffc004f,0x3fee07ff,0xfd802fff,0xb802ffff,0xa817e45f,
    0x104fffff,0x7fffccff,0x03ffee06,0x1a800024,0x00dffff3,0x2e7f1000,
    0x804fffff,0x05f103fa,0xffffff90,0x3ffee003,0xbd000fff,0x3fffe200,
    0xbf100fff,0xfffff000,0xffffd80f,0x7ffec00f,0x8bd002ff,0x3ffea05c,
    0x91f204ff,0x3f203dff,0x00900fff,0xffc86a00,0xd800002e,0x3ffffee6,
    0x81fc0884,0xfff98079,0x74004fff,0x804fffff,0x3ea000fb,0xd06fffff,
    0xfff0001d,0xff980fff,0x7ec06fff,0x0882ffff,0xa80b22d4,0x204fffff,
    0x7ec01079,0xaaabffff,0x2a000090,0x00000181,0x7ffdc3f5,0x642b84ff,
    0xfd009303,0x001fffff,0xffffffa8,0x0013e201,0x3ffffff2,0x8000fe43,
    0x807fffff,0x02fffffe,0x0bfffff6,0x0a8b10ae,0x3ffffea0,0xb1001c04,
    0xffffffff,0x000123ff,0x000000d4,0x7fdc4f88,0x42c84fff,0xb8011008,
    0x02ffffff,0xfffffd00,0x80036c0b,0xffffffe8,0x40005f50,0x807fffff,
    0x05fffffb,0x0bfffff6,0x500060b6,0x009fffff,0x7fe64400,0x0ccccfff,
    0x06a00009,0x7e400000,0x7ffffdc0,0x00002e84,0x3fffffe2,0x3fe60005,
    0xf981ffff,0x3fea0002,0x3f9dffff,0x7fffc000,0xfff9807f,0xffb01fff,
    0x05f05fff,0xffff5000,0x2000009f,0x900fffff,0x006a0000,0x0be60000,
    0x13ffffee,0x400005f5,0x1ffffffd,0x7ffec000,0x005e86ff,0xfffffc80,
    0xf80005ff,0x8807ffff,0x02ffffff,0x85fffffb,0xa80002fb,0x004fffff,
    0xfffff000,0x40001201,0x8000001a,0xffff705e,0x017fdc9f,0xffffa800,
    0x980004ff,0x22ffffff,0xd00000fb,0x03ffffff,0xfffff000,0xffff100f,
    0x3ff607ff,0x3fe62fff,0xffa80002,0x00004fff,0x01fffff0,0x0d400012,
    0x3ee00000,0xfffff700,0x05ffff9b,0x3fffa000,0x200006ff,0x16fffffc,
    0x4c00009f,0x06ffffff,0xfffff800,0xfffff007,0x3fff609f,0xfffdccff,
    0xffa80002,0x44004fff,0x7fffc03b,0x0000900f,0x0039506a,0x3339f100,
    0xffff7333,0x5ffffdff,0xfff90000,0x00005fff,0x7fffffc4,0x00000ecb,
    0x7fffffe4,0x7ffc0003,0xffd007ff,0x3f60bfff,0xffffffff,0xa80002ff,
    0x004fffff,0x40ffffea,0x900fffff,0xe86a0000,0x40004fff,0xfffffffd,
    0x4fffffff,0x0005ffb3,0xffffff98,0xfc800005,0x02ffffff,0xfffd0000,
    0x40003fff,0x007fffff,0x09ffffff,0x2bfffff6,0x002ffea8,0xfffffa80,
    0x3fffa004,0xffff81ff,0x0000900f,0x7fffd46a,0x5f50000f,0x73333333,
    0xd89fffff,0x7f40002f,0x000fffff,0xffff8800,0x000006ff,0xfffffff3,
    0x7ffc000d,0xff8807ff,0xfb03ffff,0x7445ffff,0xfa80002f,0x1004ffff,
    0x09ffffff,0x201fffff,0x23500004,0x01fffffc,0xb804f880,0x444fffff,
    0x3ee0002f,0x003fffff,0x3ffee000,0x800004ff,0xffffbcf8,0xff0003ff,
    0xf100ffff,0x203fffff,0x42fffffd,0xa80002f9,0x004fffff,0x17fffff6,
    0x403ffffe,0x23500004,0x006ffff9,0xf7001f90,0x5d09ffff,0x3ffe2000,
    0x26006fff,0x7ffd4004,0x800004ff,0x3ffffa6e,0xff8001ff,0xf9807fff,
    0xb00fffff,0xf05fffff,0xff500005,0x4c009fff,0xf85ffffd,0x0900ffff,
    0xfd86a000,0xf98002ff,0xffff7002,0x3205909f,0x3ffff600,0x0f2001ff,
    0xfffff500,0xfd800009,0x3ffffe60,0xfff8006f,0xffa807ff,0x3f606fff,
    0x2d82ffff,0x3ea00730,0x8004ffff,0xfff09f70,0x001201ff,0x00a20d40,
    0x2e005e80,0x984fffff,0x3e607881,0x004fffff,0x3ea00174,0x0004ffff,
    0x3ee07ee0,0x004fffff,0x03fffffc,0x0fffffec,0x5fffffb0,0x00b60350,
    0x27ffffd4,0xf05fb000,0x1201ffff,0x000d4000,0x4001f700,0x04fffffb,
    0xffe81b20,0x2000efff,0x7d4001fb,0x0004ffff,0x7f405f50,0x001fffff,
    0x01fffffe,0x0bfffff1,0x2fffffd8,0x4007e200,0x04fffffa,0x3e0df100,
    0x42a1ffff,0x43500004,0xcccccccc,0x03f882cc,0x7ffffdc0,0x20bf1004,
    0x2ffffffb,0x003fe600,0xbfffff50,0x09f30000,0xffffff88,0x3fffe006,
    0x7ffe407f,0x7fec00ff,0x36002fff,0xfff5000f,0x320009ff,0xffff901f,
    0x000492a7,0x7fffc350,0x85ffffff,0xffb8007e,0xe9804fff,0xffff884f,
    0x3ee005ff,0xffa8007f,0x40005fff,0xff7007f8,0x2009ffff,0x00ffffff,
    0x03fffff3,0x5fffffb0,0x801ff600,0x04fffffa,0x100fec40,0x8dfffffd,
    0x43500004,0xffffffff,0x037e45ff,0x7ffffdc0,0x1fffd405,0x7fffffec,
    0xfffe9800,0xfffb8007,0x260005ff,0x3fe004fe,0x802fffff,0x81ffffff,
    0x00dffffa,0x9fffffd0,0x06ffea80,0x3ffffee0,0x077a2005,0x33bff260,
    0x666666c0,0xcccccccc,0x3e1dcccc,0xffffffff,0x5fff915f,0x7fffc400,
    0xbaabdfff,0x42fffffd,0xdffffffa,0xcbaaaaaa,0x06fffffd,0x7ffff440,
    0x5c4001ff,0x8801ffff,0xffffffff,0x3fffee02,0xfecbbeff,0x26003dff,
    0xcfffffff,0xffedcaab,0xfd1005ff,0x003fffff,0x00400066,0x4cc00000,
    0x99999999,0xffffffa8,0xffdb904f,0xffffffff,0xffffffff,0x7fffc41f,
    0xffffffff,0xffffffff,0xec9805ff,0xffffffff,0x7e402cef,0x5effffff,
    0xfffffe88,0x30efffff,0xfffffffb,0x5bddffff,0x3fb22001,0xffffffff,
    0xffffffff,0x7f6404ff,0xffffffff,0x000000ce,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x04c98000,0x0165c000,0x40080000,0x02cedca9,0xcdeca880,
    0x9b971001,0x76e4c005,0x765c41ac,0x2e6000ac,0x55401bdc,0x2a0aaaaa,
    0x202aaaaa,0x390bddc9,0x99400000,0xaaaaaaaa,0x0d555541,0x02200011,
    0x000ff500,0x0004fd80,0x0deee544,0x3bfa60fa,0x00efffec,0xffbbff70,
    0xdffb80bf,0x75405ffb,0x4ffffdef,0xdff9bff5,0x9fff9003,0x3ee09ffd,
    0x321fffff,0x907fffff,0xffffbdff,0xb8800003,0xfffff57e,0xfeb83bff,
    0x41fd12ef,0x442bcba8,0x3ea000ee,0x7ec00007,0x3fee0004,0xd8dffece,
    0x6c1ffb86,0x6400efff,0x3fffa3ff,0x22ffd885,0xff706ffb,0xfefffc85,
    0x0bffe64f,0x3a2fff44,0xfff104ff,0xfffa83ff,0x24ffb87f,0x0002ffc8,
    0x4ffffb30,0x07fffff8,0xfff31be6,0xffffff73,0x03ffd37f,0x0003fd40,
    0x40013f60,0x3f20fffd,0x7fcc0eff,0x7fffcc2f,0x71fff204,0xfc83ffff,
    0x43fff87f,0xfe80fffa,0xffd86fff,0x83fffb06,0xff04fff9,0xff983fff,
    0x7ffc47ff,0x0002fc82,0x3ffffae2,0x7fffdc1c,0x505f300f,0xddffffff,
    0x3fffffff,0x007fa800,0x0027ec00,0x261fffe4,0xffc86fff,0x7fffcc6f,
    0x89fff306,0x262ffff9,0xffd84fff,0x17fff60f,0x217ffff6,0x7cc3fffa,
    0xfff80fff,0xfffff82f,0x3ffffcc1,0x203bffea,0xfc98002f,0x100befff,
    0x207fffff,0x3ffea06b,0x7ffec40c,0x07fa8001,0x027ec000,0x0bfffe20,
    0xfb0ffffe,0x7fc41fff,0xfffb07ff,0x41fffd09,0xfd83fffd,0x3fff62ff,
    0x7fffec0f,0x45fffa84,0xfd07fffe,0xffff0bff,0xffff883f,0x77fffd47,
    0xb5001dc1,0x005bffff,0x41bffff2,0x0bfee03e,0x0007ff70,0x80000ff5,
    0x7e4004fd,0x7fcc1fff,0x3fea0fff,0x7fffc45f,0x3ffff887,0x7fc2dc88,
    0xfffc82ff,0x217ffea4,0x982ffffc,0x3fe27fff,0xfffd06ff,0x3fffff0f,
    0x47ffff88,0x3ffffff8,0x3fee2004,0x4000cfff,0x41fffff8,0x9ff100f9,
    0x001ff600,0x00001fea,0xff8009fb,0x3fe20fff,0x5c42ffff,0x7fffecc2,
    0x4ffff987,0x3fffe600,0xffeccccd,0x5c0dc45f,0xaacfffff,0x0ffffbaa,
    0x20dffff5,0x7c1ffffe,0x7c41ffff,0xffd87fff,0x400dffff,0x2effffd9,
    0x7ffec000,0xf5026c5f,0x17fc400f,0x001fea00,0x4009fb00,0x20fffff8,
    0x3ffffdce,0x7fefecc0,0xfffa87ff,0x3fea005f,0xeeeeeeff,0xfb805eee,
    0xeeffffde,0xeeeeeeee,0x0dffff70,0xf0bffffa,0xf883ffff,0xffa87fff,
    0x81ffffff,0x1cffffeb,0xfff30000,0x807e21ff,0x7fc006fb,0x3bbbba63,
    0xeeffeeee,0x95eeeeee,0xdddddddd,0xdddddfff,0x3fe65ddd,0x36bb0fff,
    0xb104ffff,0xffff15ff,0xdffff70f,0x7fffdc00,0x7fdc0004,0x07ffff94,
    0x6ffffc80,0x89ffffd0,0x441fffff,0xf707ffff,0x1fffffff,0x077fffcc,
    0x7ff40000,0xd80b74ff,0x27f4005f,0xfffffff3,0xffffffff,0x3f6fffff,
    0xffffffff,0xffffffff,0xffff53ff,0x3f61d91f,0xffb84fff,0xfffff11f,
    0x0fffff50,0x2ffffd40,0x2ffe8800,0x013fffee,0x0dffff70,0xf0fffffa,
    0xf883ffff,0x3ea07fff,0x25ffffff,0xcfffffc8,0x3ea00000,0x02e8ffff,
    0x3e0037e4,0x3333223f,0xcffdcccc,0x4ccccccc,0x99999995,0x9999dff9,
    0x3e659999,0x20fbffff,0x6c3ffffc,0x3fe22fff,0xfff987ff,0xff3001ff,
    0xf5000fff,0xfffb87ff,0x7fd4006f,0xfffd06ff,0xfffff85f,0x3ffffc41,
    0x3ffffa20,0xffeb887f,0x00002dff,0x0dbfffff,0x4400ff50,0x7d4002ff,
    0x7ec00007,0x3ffe2004,0x7fec1fff,0x3ffee1ff,0x3ffffc47,0x37ffffc4,
    0xfffff880,0x3ffe6002,0x7fffcc0f,0x3fe2001f,0xffff06ff,0xfffff81f,
    0x3ffffc41,0x3fff20e6,0x3f2601ff,0x000befff,0x3fffff20,0x04ff8803,
    0x5000ffb0,0xd80000ff,0x7ffc004f,0xfffd82ff,0x237fffc7,0xb07ffff8,
    0x407fffff,0x1bffffa1,0x3fffa598,0xbfffff06,0x3ff60d80,0xbffff07f,
    0x83ffffd0,0x4c7ffff9,0xffffa80f,0xffeb8801,0x88001dff,0x000fffff,
    0xfb805ff9,0x7fa8003f,0x27ec0000,0x3ffff200,0x26fffe80,0x33fffff9,
    0x20fffffb,0x1ffffff9,0x3ffea3d8,0x11f884ff,0x883fffff,0x03fffffd,
    0xffff987b,0x0ffffc40,0x117fffec,0x88fffffd,0x0fffd05f,0xffffb300,
    0x7ec0017d,0x3ea004ff,0x7ec40cff,0xfa8001ff,0x7ec00007,0x7ffc4004,
    0x3ffff81f,0x7ffffffc,0xafffffdf,0x7fffec0c,0x84ecbeff,0xbefffffe,
    0x3fe24fca,0xfcacffff,0xdffffffd,0xf906ecab,0xfffb87ff,0xbffff704,
    0xfffffb31,0xd82ff88f,0x220005ff,0x1cfffffb,0x01fff980,0xffffff30,
    0xfffffddd,0x7fa8003f,0x27ec0000,0x27fff400,0x321bffe6,0x92ffffff,
    0x207fffff,0xfffffffd,0xfffd105f,0xb09fffff,0xdfffffff,0x3ffffa25,
    0x200effff,0xff11effc,0xfffe809f,0xfff9dfff,0x3ffe22ff,0x00dff31d,
    0x7ffed400,0x00dfd007,0x3ee7ffe6,0xabffffff,0x2a000fff,0x6c00007f,
    0x5f6c004f,0xffd12fff,0xdff9101d,0x77fec419,0x7fffdc03,0xffd803ef,
    0xb303dfff,0x109dffff,0x9ffffffb,0xdfff5001,0xd1005dff,0x3e29ffff,
    0x3e5fffff,0xdfffffdd,0xc8800000,0x05f5007f,0x75107ec0,0x04f98579,
    0xb003fd40,0xffffffff,0xffffffff,0x43ae7fff,0xdffeffe8,0x01001003,
    0x000aa980,0x22002b98,0x573000ab,0x75100015,0x35100015,0x5730a000,
    0x20000001,0x20012002,0x00030000,0x7ec00ff5,0xffffffff,0xffffffff,
    0x510113ff,0x00000037,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x22000000,0x2aa6002a,0xaaaaaaaa,0xaaaaaaaa,0x0000001a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x53000000,0x25555555,0xaaaaaaa8,0x8aaaaa1a,0x98000018,
    0x20aaaaaa,0x5300bdca,0x4c155555,0xb880acdb,0x2aa00add,0x8aaaaaaa,
    0x21aaaaa9,0x0aaaaaa9,0x2a20e64c,0xaaaaaaaa,0x000aaaaa,0x00c18031,
    0x98000026,0x0028001c,0x0e4c00c4,0x7ffffd40,0xfffb13ef,0x7dc39fff,
    0x0bbe64ff,0xffea8000,0xffe8afff,0xfe984fff,0xffb3ffff,0x7dc1dfff,
    0x901fffff,0x7fffffff,0x5bfffb31,0x7ffffecc,0x8dfffd13,0xeeeffffa,
    0x0ffffffe,0x3204f880,0x1f902f46,0xfff10000,0x027dc001,0x2201fe88,
    0xf8800fff,0xfd84ffff,0x5f707fff,0x1cffff98,0xffff0000,0xfffbfd9f,
    0x3ffe03ff,0xfeceecff,0xdbfb5fff,0x4c0dffff,0x446fffff,0x3ffa01ff,
    0xfffe8bff,0x07bea0ff,0x0bffffee,0x6403fa20,0x8827dc2f,0x4c0000ef,
    0x36001fff,0x7f4404ff,0x3ffea03f,0xffff7002,0xfffff30d,0x36a0d903,
    0x002dffff,0x7fffff40,0x17fffee4,0x2fffffec,0xddfffff1,0x17ffff41,
    0x5fffff50,0x3f6017d4,0xfefdbfff,0x407d47ff,0x06fffff8,0xf704fe88,
    0x640ffa0d,0x6c0000ef,0xffd8004f,0x07ffd104,0x000fff88,0x83fffff1,
    0x84fffff8,0x7fe4403e,0x8000cfff,0x445ffffe,0xfb07ffff,0xffb0dfff,
    0xffb81dff,0x7ff404ff,0x007f16ff,0x1fdffffb,0x0b50ffee,0x07fffff6,
    0x2e03ffa0,0x7ff702ff,0x000bff10,0xffd80000,0x41fff444,0x2a2fec2a,
    0x3ffff602,0x7ffffd44,0x50007cc7,0x05bffffd,0x17ffff40,0x41ffffe2,
    0xc83ffffd,0xfb84ffff,0x7cc04fff,0x05caffff,0x5fffff90,0xf3053010,
    0xb009ffff,0xdff507ff,0xc82ffe80,0x000005ff,0x8a7fec00,0xffc83ffe,
    0x3a65f51e,0xfff503ff,0xfffbd8ff,0x0016e1ff,0x7ffffe4c,0x7fff400b,
    0x7fffc42f,0xffffd80f,0x4ffffc83,0x05ffffb8,0xffffffd8,0xffff9000,
    0xffd0000f,0xfd801fff,0x2fff987f,0x20fffdc0,0x0004fff8,0x7fec0000,
    0xfb03ffec,0x7cde5fff,0x3fe05fff,0x91f12fff,0x1749ffff,0x3fae2000,
    0xfd01dfff,0xfff05fff,0xfffb01ff,0xffff907f,0xbffff709,0xfffff300,
    0x7ffe4009,0x7dc0006f,0x6402ffff,0x7fcc3fff,0xfffd006f,0x44fffc83,
    0xeeeeeeec,0xeeeeeeee,0x6c02eeee,0x2603ffff,0xcedffffe,0x201effff,
    0xb75ffffc,0x4dffffe6,0x6cc00007,0x743effff,0xff82ffff,0xffd80fff,
    0xfffc83ff,0xffffb84f,0xffff9005,0x3ff2001f,0x220005ff,0x406fffff,
    0x7cc6fffc,0xf7002fff,0x7fc41dff,0x3fff63ff,0xffffffff,0xffffffff,
    0x37ffc403,0xeb999980,0x9800999b,0x2e8fffff,0x32bffffa,0xf3000005,
    0xffe8ffff,0xffff82ff,0xffffd80f,0x4ffffc83,0x05ffffb8,0x9fffff10,
    0x3ffff200,0x3ff60003,0x3e201fff,0x7fe45fff,0xff1000ff,0xfffd89ff,
    0x9999950f,0x99999999,0x05999999,0x27ffff44,0x0be3ee00,0x3ffffa00,
    0x7fffe47d,0x400002fd,0x2effffd9,0x417ffff4,0xd80fffff,0xfc83ffff,
    0xffb84fff,0x3f2005ff,0xc800ffff,0x0003ffff,0x09fffff3,0x83ffff30,
    0x7003fffd,0xff88bfff,0x000001ff,0xdbffe880,0xfe9804ff,0x4001bf94,
    0x44fffffb,0x07fffff8,0xffd71000,0x3fa039ff,0xfff82fff,0xfffd80ff,
    0xffffc83f,0x5ffffb84,0x3ffff600,0xfffc804f,0xffd0003f,0x2a001fff,
    0x7f445fff,0x7fc400ff,0x7ffe40ef,0x80000002,0x3f63ffe8,0x3ffe604f,
    0x003fff52,0x07ffffe2,0x013ffffa,0xffff9300,0xffe8017d,0xffff82ff,
    0xffffd80f,0x4ffffc83,0x05ffffb8,0xffff7d70,0xfffc803f,0xffb8003f,
    0x20902fff,0x7441fffa,0x7fdc03ff,0x17ffc40e,0x20003000,0xfd83ffe8,
    0x4fff904f,0x2004fff8,0xf706fffd,0x20003fff,0x2dffffea,0x3ffffa00,
    0x0fffff82,0x83ffffd8,0xb84ffffc,0x8805ffff,0xbffffd1f,0x3ffffc80,
    0x7fffc400,0x5c0d106f,0xfff885ff,0x01dff100,0x20007ffb,0x44006ff8,
    0x3f603ffe,0x44ffb84f,0x2a003ffd,0xff104fff,0xfc8800df,0x000cffff,
    0x42ffffe8,0x80fffff8,0xc83ffffd,0xfb84ffff,0x4e805fff,0x0bffffea,
    0x03ffffd8,0x7ffffec0,0xfc80bb01,0x04ff981f,0xff303ff9,0x7fd40009,
    0x3ff6001f,0x84ffd803,0x002b882a,0x3601fff8,0xfb3004ff,0x0005dfff,
    0x42ffffe8,0x80fffff8,0xd84ffffd,0xfc84ffff,0x7e406fff,0x37ffffc0,
    0x07ffffb0,0x7ffffcc0,0x900bf904,0x03fe60bf,0x3f603ff1,0x7fc40004,
    0x01fcc006,0x00001fb0,0x501bf200,0xff3003ff,0x000039ff,0x8bfffff3,
    0x43fffffb,0x0efffff8,0x3bffffa2,0x3ffffa20,0x87fd880f,0x85fffffd,
    0x05fffff8,0x3fffffa0,0xfffcaa99,0x203fb004,0x80fe44fa,0x100005f9,
    0x00020003,0x80000002,0x06f803f9,0x0017df30,0x3ffff200,0xfffb6fff,
    0x3eedffff,0x9fffffff,0xfffffffa,0xfffff9af,0xffd13fff,0xffd37dff,
    0x23ffffff,0xfffffffb,0x7ffdc03e,0xffffffff,0x36003fff,0x05b16e04,
    0x000002e4,0x00000000,0x01900000,0x06200550,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xa880025c,0x395000ac,0x002ae600,0x06540aa2,0x77100ca8,
    0x880ee201,0x4c00abca,0xee980acb,0xeeeeeeee,0xeeeeeeee,0x3bbba66e,
    0xeeeeeeee,0x6eeeeeee,0x00100220,0x3fff6040,0x6c16442f,0x7102ffff,
    0x04402205,0x07ff3000,0x7fffec40,0xfff700df,0x3fea07ff,0xf9304fff,
    0x5fffb09f,0x20dfffe8,0x440ffff8,0x7640ffff,0x881ffd9a,0x43fe9bfd,
    0xfffffff9,0xffffffff,0x3e67ffff,0xffffffff,0xffffffff,0x01f107ff,
    0x06fbfff2,0xfff12d40,0xffffb87f,0x42ffff40,0x7ec6fffb,0x01ffec3f,
    0x00fffe80,0xfefffe88,0x7fcc0eff,0x4c0fffff,0x1ffffdce,0x13fffba6,
    0x54dffff1,0x2e4fffff,0x7e43ffff,0x9bea3fff,0x6fe86ff9,0xcc88ffe6,
    0xcccccccc,0xdccccccc,0x3333227f,0xcccccccc,0x4ccccccc,0xffb05fd0,
    0x05dfffff,0x3ffea4e8,0x3ffffe84,0x207fff44,0xf32ffffe,0x3fea1fff,
    0xffb8007f,0xffe804ff,0x8dff931c,0x9fff912e,0x3ffe60d8,0x44fff823,
    0x327ffffa,0x327fffff,0x7ec4ffff,0x3ff64fff,0xfb8fff32,0x007ffc5f,
    0x01fea000,0xff700000,0x66ffd47f,0xcffffffd,0xfd8bee21,0xffff984f,
    0x2ffe885f,0x57ffffe6,0xf70ffffa,0x44001fff,0x00ffedff,0x7dc0ffe6,
    0xfff1021f,0x01fff007,0xff313ffe,0x7ffd4dff,0xfff70fff,0xffffc87f,
    0xffb93662,0xf13ff60f,0x800005ff,0x000007fa,0x3a6ffb80,0x7ff5c40e,
    0x6ffeefff,0xfe813fe2,0xfd102fff,0x2ffffe8b,0xff897ffe,0x7fe4004f,
    0x3205ffa8,0x7ff100ff,0x400fff80,0x3fe00ffb,0x4ffff84f,0x87ff7fe4,
    0x541ffffa,0xd500ffff,0x7f41fff9,0x01fffc4f,0x01fea000,0x3e600000,
    0xb300be5f,0x3dffffff,0x3ea02fd4,0x3fc405ff,0x2a1bffea,0x4001b882,
    0x3ff64ff8,0xc809fd01,0x17fe606f,0x0dfffd98,0xfb09fff0,0xf11105ff,
    0x43fffc4f,0xe987fff8,0x20fff99f,0x7ffc4ffe,0x7d400003,0x33333227,
    0xcccccccc,0x84cccccc,0x0b12ffd8,0x5eee5440,0x15001cc0,0x5102e200,
    0x20000003,0x3fe20ffd,0xe80dfb06,0x03bf205f,0x5ffffea8,0xf709fff0,
    0x2fd401ff,0x7f41bffa,0x997fd45f,0x3ff60fff,0x0017ffc4,0xf99fea00,
    0xffffffff,0xffffffff,0x3ffe67ff,0x0000001d,0x00000000,0xf9800000,
    0x82ffc83f,0xff301ffc,0x003be609,0x407fff54,0xff984fff,0x320fec06,
    0x7ff903ff,0xff31ffe8,0x127fd41f,0x00001dff,0x3ba66e98,0xeeeeeeee,
    0xeeeeeeee,0x0000226e,0x00000000,0x00000000,0x7c41bfa0,0x0dff987f,
    0x440ffec4,0x500220ee,0xfff01fff,0x9813fe09,0x01ff984f,0xfff83ff5,
    0x1afffddf,0x2ffa9bf6,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5c05ff70,0xfffc83ff,0x84fffcac,0x00f4c5e8,0xfff83ff4,0x2a05fb04,
    0x881fe04f,0x2effb87f,0xdf70bffb,0x99883dd7,0x99999999,0x99999999,
    0x77777109,0x77777777,0x01777777,0x00000000,0x00000000,0xff880000,
    0x80ffe805,0xfffffffd,0xfffffb05,0x033661ff,0x3ffe05fd,0xd901f505,
    0x7405d807,0x00220205,0x3fe60353,0xffffffff,0xffffffff,0xfffff31f,
    0xffffffff,0x03ffffff,0x00000000,0x00000000,0xffc80000,0x04ff9801,
    0x05dfffd5,0x3ffffff6,0x2ffff26f,0xff303fb9,0x140e20df,0x0d402a80,
    0x4c000000,0xffffffff,0xffffffff,0xfff31fff,0xffffffff,0xffffffff,
    0x00000003,0x00000000,0xc8000000,0x332e003c,0x3aa00400,0x3eeeeeee,
    0x337bb6e2,0xeeeed980,0x000004ee,0x00000000,0x99999980,0x99999999,
    0x00019999,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_bold_42_latin1_x[224]={ 0,3,3,0,1,2,1,2,1,0,2,0,1,0,
1,0,1,2,0,0,0,1,1,1,1,1,3,2,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,0,1,0,1,1,0,0,0,0,0,0,3,0,1,2,-1,0,1,0,1,1,1,1,1,1,0,
-2,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,3,2,1,0,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,3,2,0,0,0,
2,1,0,1,0,0,0,0,1,-1,1,0,0,0,4,1,0,1,2,1,1,0,1,1,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,2,1,0,0,0,0,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,0,0,
 };
static signed short stb__times_bold_42_latin1_y[224]={ 33,7,7,7,7,7,7,7,7,7,7,10,27,22,
27,7,7,7,7,7,7,7,7,7,7,7,15,15,11,16,11,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,38,7,15,7,15,7,15,7,15,7,7,
7,7,7,15,15,15,15,15,15,15,9,15,15,15,15,15,15,7,7,7,19,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,33,14,8,7,11,7,
7,7,7,7,7,15,16,22,7,3,7,10,7,7,7,15,7,17,32,7,7,15,7,7,7,14,-1,-1,-1,0,
0,1,7,7,-1,-1,-1,0,-1,-1,-1,0,7,0,-1,-1,-1,0,0,12,6,-1,-1,-1,0,-1,7,7,7,7,
6,7,7,6,15,15,7,7,6,7,7,7,6,7,7,7,7,7,6,7,7,12,14,7,7,6,7,7,7,7,
 };
static unsigned short stb__times_bold_42_latin1_w[224]={ 0,7,15,19,17,34,29,7,12,12,15,21,8,12,
7,11,17,15,18,17,18,17,17,18,17,17,7,8,21,22,21,15,34,27,24,25,26,24,23,29,29,14,19,30,
24,36,27,28,23,28,28,19,23,27,28,38,28,27,25,9,11,8,18,21,9,18,20,15,20,15,15,18,20,11,
12,21,11,30,19,17,20,20,16,13,13,19,19,28,19,19,17,11,4,11,21,20,20,20,20,20,20,20,20,20,
20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,20,0,7,15,19,19,19,
4,17,13,27,12,19,22,12,27,21,13,21,11,11,8,21,21,7,7,9,11,19,27,27,28,15,27,27,27,27,
27,27,38,25,24,24,24,24,14,14,14,14,26,27,28,28,28,28,28,17,28,27,27,27,27,27,22,19,18,18,
18,18,18,18,26,15,15,15,15,15,12,11,13,13,17,19,17,17,17,17,17,21,17,19,19,19,19,19,20,19,
 };
static unsigned short stb__times_bold_42_latin1_h[224]={ 0,27,13,27,29,28,27,13,34,34,15,21,13,5,
7,27,27,26,26,27,26,27,27,27,27,27,19,25,19,9,19,27,35,26,26,27,26,26,26,27,26,26,27,26,
26,26,27,27,26,33,26,27,26,27,27,27,26,26,26,33,27,33,14,4,7,19,27,19,27,19,26,27,26,26,
35,26,26,18,18,19,27,27,18,19,25,19,19,19,18,27,18,34,35,34,7,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,0,28,32,27,19,26,
35,35,6,27,12,18,9,5,27,3,14,21,14,14,7,27,35,7,9,14,12,18,28,28,28,28,34,34,34,33,
33,32,26,34,34,34,34,33,34,34,34,33,26,34,35,35,35,34,34,17,29,35,35,35,34,34,26,27,27,27,
28,27,27,28,19,26,27,27,28,27,26,26,27,26,27,26,27,27,28,27,27,17,20,27,27,28,27,35,35,35,
 };
static unsigned short stb__times_bold_42_latin1_s[224]={ 254,248,85,19,209,1,177,68,76,85,238,
1,76,243,211,241,1,207,1,223,20,167,185,231,1,19,243,199,193,149,30,
133,80,106,39,132,123,150,232,158,172,134,190,107,24,69,30,1,169,29,223,
113,175,65,138,81,94,66,40,86,120,245,1,126,219,63,230,82,58,98,235,
188,214,202,62,150,138,72,52,141,169,79,123,179,208,159,215,1,103,61,140,
58,75,123,180,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,
222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,222,254,246,136,
149,235,149,115,58,237,37,101,158,126,243,203,148,20,23,34,46,202,39,148,
229,172,58,114,178,109,137,165,194,118,189,1,1,58,152,1,213,160,98,135,
96,70,146,239,121,80,217,170,199,1,89,29,220,180,228,30,120,185,161,1,
38,210,229,52,1,158,227,114,64,207,58,36,74,193,206,90,218,120,49,20,
104,91,122,140,198,45,93,210,71,100,42,21,1, };
static unsigned short stb__times_bold_42_latin1_t[224]={ 37,142,406,199,108,142,171,406,37,73,386,
364,406,357,406,171,199,255,283,171,283,199,199,199,227,227,337,337,364,406,386,
227,1,310,283,255,337,337,310,255,283,310,227,283,310,310,255,255,310,108,255,
227,337,227,199,199,337,337,337,108,255,37,406,416,406,364,227,364,255,364,283,
255,283,283,1,283,283,386,386,364,227,255,386,364,337,364,364,386,386,199,386,
73,1,73,406,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,
337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,337,37,108,108,
227,364,310,1,37,406,227,406,386,406,357,199,416,406,364,406,406,406,199,1,
406,406,406,406,386,142,142,142,142,37,37,73,108,108,108,337,73,73,73,73,
108,73,37,73,108,283,37,1,1,37,37,73,386,108,1,37,1,73,37,310,
171,142,142,142,171,171,108,364,283,171,171,142,171,310,310,171,310,199,310,171,
171,142,171,171,386,364,227,227,142,255,1,1,1, };
static unsigned short stb__times_bold_42_latin1_a[224]={ 152,202,337,303,303,607,505,169,
202,202,303,346,152,202,152,169,303,303,303,303,303,303,303,303,
303,303,202,202,346,346,346,303,564,438,405,438,438,405,371,472,
472,236,303,472,405,573,438,472,371,472,438,337,405,438,438,607,
438,438,405,202,169,202,353,303,202,303,337,269,337,269,202,303,
337,169,202,337,169,505,337,303,337,337,269,236,202,337,303,438,
303,303,269,239,134,239,316,472,472,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,472,
472,472,472,472,472,472,472,472,152,202,303,303,303,303,134,303,
202,453,182,303,346,202,453,303,243,333,182,182,202,350,328,152,
202,182,200,303,455,455,455,303,438,438,438,438,438,438,607,438,
405,405,405,405,236,236,236,236,438,438,472,472,472,472,472,346,
472,438,438,438,438,438,371,337,303,303,303,303,303,303,438,269,
269,269,269,269,169,169,169,169,303,337,303,303,303,303,303,333,
303,337,337,337,337,303,337,303, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_42_latin1_BITMAP_HEIGHT or STB_FONT_times_bold_42_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_42_latin1(stb_fontchar font[STB_FONT_times_bold_42_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_42_latin1_BITMAP_HEIGHT][STB_FONT_times_bold_42_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_42_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_42_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_42_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_42_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_42_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_42_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_42_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_42_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_42_latin1_s[i] + stb__times_bold_42_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_42_latin1_t[i] + stb__times_bold_42_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_42_latin1_x[i];
            font[i].y0 = stb__times_bold_42_latin1_y[i];
            font[i].x1 = stb__times_bold_42_latin1_x[i] + stb__times_bold_42_latin1_w[i];
            font[i].y1 = stb__times_bold_42_latin1_y[i] + stb__times_bold_42_latin1_h[i];
            font[i].advance_int = (stb__times_bold_42_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_42_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_42_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_42_latin1_s[i] + stb__times_bold_42_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_42_latin1_t[i] + stb__times_bold_42_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_42_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_42_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_42_latin1_x[i] + stb__times_bold_42_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_42_latin1_y[i] + stb__times_bold_42_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_bold_42_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_42_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_42_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_42_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_42_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_42_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_42_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_42_latin1_LINE_SPACING
#endif

