// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_45_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_45_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_45_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_45_latin1_BITMAP_HEIGHT        478
#define STB_FONT_arial_45_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_45_latin1_FIRST_CHAR            32
#define STB_FONT_arial_45_latin1_NUM_CHARS            224

#define STB_FONT_arial_45_latin1_LINE_SPACING          29

static unsigned int stb__arial_45_latin1_pixels[]={
    0x30000000,0x000aa655,0x00066600,0x00000cd4,0x066a6200,0x15544000,
    0x00099880,0x26005551,0x980001a9,0x00000999,0x00266620,0x87774c00,
    0xeeeeeee9,0x409ddd32,0x7f43fff9,0x7fc4006f,0x0007ff13,0xfffffda8,
    0xff002dff,0x000007ff,0xffffdb71,0x015bffff,0x40bff300,0xffffffd8,
    0x17fe600c,0x07fffd50,0xffffa800,0x36000000,0x0000efff,0xf30fffa8,
    0x27ffffff,0x2605fff9,0x7ff43fff,0x237ec006,0xb8000ffb,0xfffffffe,
    0x402effff,0x006fffff,0xffff9300,0xffffffff,0x4003bfff,0xff705ff9,
    0xffffffff,0x817fe605,0x03fffffa,0x17fff400,0xff900000,0x0000bfff,
    0x3e61fff5,0x33ffffff,0x7cc0bfff,0x37ff43ff,0xf05ff500,0x7ec400bf,
    0xffffffff,0x03ffffff,0x0bfffffa,0xfffd8800,0xcccdefff,0xffffffed,
    0x0bff3004,0xbbfffff3,0x303fffff,0x3fe20bff,0x0002efff,0x000fffe6,
    0xbfffa800,0x40003fff,0xff30fffa,0x3ffe603f,0x0fffe605,0x2200dffd,
    0x7ff506ff,0xffffd100,0xffb9835d,0x74402fff,0xf30005ff,0x003bffff,
    0x3bffff6a,0x42ffcc00,0x220afffe,0xf986fffb,0x5fff305f,0x3ff60000,
    0x22000005,0xfff55fff,0x4cc40005,0x807ffe61,0x00000999,0x017fec00,
    0xfe801ffd,0xf9001eff,0xfb805fff,0xffa8007f,0x10000bff,0x403ffff9,
    0x7fcc5ff9,0x3fff204f,0xb82ffcc2,0x300005ff,0x00001dff,0xb07fff40,
    0x00001fff,0x001fff98,0x88000000,0x7fdc06ff,0x3bffee04,0x7ffe4000,
    0x07ffc406,0x1dfff700,0x3fea0000,0xbff300ef,0x200fffa8,0x7cc4fff8,
    0x09ffb05f,0x02aa6000,0xaa880000,0x0d55441a,0x3fe60000,0x0000001f,
    0x03ffc800,0x4c07ffc4,0x0000ffff,0x4403fffd,0xf3000fff,0x000009ff,
    0x260bffd1,0x7ffd45ff,0x21e6ec01,0xffb05ff9,0x4c400007,0x00000009,
    0x00002662,0x03fff300,0x00002f54,0x01fff100,0xf907ffb0,0x540007ff,
    0x3e205fff,0xffd001ff,0x00131009,0x983fff98,0x7ffc45ff,0x3fe60004,
    0x007ffb05,0x7ffee540,0x000befff,0x3ff72a00,0x00beffff,0x21ddd300,
    0x2e01fff9,0x1f77447f,0x70fbb600,0x3ee00dff,0x0ffff86f,0x0de74000,
    0x003fff10,0xea80dff7,0x2e0cefff,0x37fd45ee,0x7ec2ffcc,0xf30004ff,
    0x0fff60bf,0x3fffa200,0xffffffff,0x220000cf,0xfffffffe,0x00cfffff,
    0x987ffd40,0x3ee01fff,0x007ffe87,0xff07ffe6,0x3fe2007f,0x17ffea2f,
    0xf8800000,0x7fc401ff,0xfffd100f,0x361dffff,0x2ffe85ff,0x7442ffcc,
    0x4000dfff,0xffd05ff9,0xfffb8007,0xffffffff,0x001effff,0xffffffb8,
    0xffffffff,0x3ea001ef,0x3fff30ff,0x2e07fe40,0xf9002fff,0x0fff98df,
    0xc97ff600,0x00004fff,0x00fffc00,0x74c0bff6,0xfeddffff,0x83fff8ef,
    0x7fcc5ffa,0xfffff305,0x2ffcc007,0x1003ffe8,0x59dffffb,0x7ffed4c1,
    0xfb1002ff,0x4159dfff,0xfffffda9,0x1fff5002,0xd807ffe6,0x7ffc40ff,
    0x87fff004,0x5c006ffb,0x3fff67ff,0x40000002,0x3e201fff,0xffff106f,
    0xffffa817,0x8fff02ff,0xfe985ff9,0x01efffff,0xfd05ff98,0x3ff2005f,
    0xfd3004ff,0xf9003fff,0x26009fff,0x801ffffe,0xff30fffa,0x0ffec03f,
    0x5403ffec,0x7ff40fff,0x7ffd4005,0x003fffb1,0xffe80000,0x413fee02,
    0x2a03fffd,0xb00fffff,0x2ffcc1ff,0x3f6bfff2,0x4c03ffff,0x5fff05ff,
    0x3dfff300,0xdfffb000,0x1efff980,0x6fffd800,0x30fffa80,0x7f403fff,
    0x2fffa81f,0x222ffec0,0x4c004fff,0xfffd3fff,0x80000001,0x3f603ffd,
    0x3fffa81f,0x06fffe80,0xff987ff2,0xa83bfea5,0x01efffff,0x3fe0bff3,
    0xfffe801f,0x3ffa0002,0x3fffa04f,0x3ffa0002,0x7ffd404f,0x403fff30,
    0xfff02ffe,0x17ffc40b,0x000fffe6,0x3fe9fff1,0x0000007f,0xf106ffb8,
    0x3fffa0df,0x5fffb800,0xf98bfee0,0x207ff65f,0x3fffffd8,0xfa85ff98,
    0xfffb806f,0x7fcc0005,0xfffb80ff,0x7fcc0005,0x3fea00ff,0x03fff30f,
    0xfc817ffc,0xfff700ff,0x03fff981,0xfd5fff80,0x000000ff,0x507fff30,
    0xfff309ff,0x3ffea009,0x98bff203,0x0fff15ff,0x3fffffa8,0x7fc40998,
    0xffff803f,0xffc80000,0x0ffff82f,0xfffc8000,0x43ffea02,0x3e01fff9,
    0xfff303ff,0x213ffa07,0x8002fffa,0xfffb5fff,0x00000001,0x5c39fff7,
    0xfffd83ff,0x3fff5000,0xf307ff40,0x01ffeabf,0x0bffff62,0x1dffd710,
    0x04fff980,0xbfff3000,0x004fff98,0x0bfff300,0xf987ffd4,0x3ffe01ff,
    0x21bffa04,0xfb81fff9,0xfe8001ff,0x01fffb6f,0x32000000,0xff91ffff,
    0x00dfff05,0xf007ffdc,0x15ff98ff,0x32005fff,0x7f407fff,0xfa800dff,
    0x200003ff,0x7fd47fff,0x3e00003f,0x3fea07ff,0x03fff30f,0xb813ffe2,
    0x7fe40fff,0x01fff706,0x32fffb00,0x00002fff,0x3ffea000,0xf883ff91,
    0x3f6004ff,0x1bfe606f,0x7ff4bff3,0xfffb000e,0x02fff403,0x005fff70,
    0x0fffec00,0x0005fff7,0x80fffec0,0xff30fffa,0x3ffe203f,0x0fffe205,
    0x3ee09ffd,0xfd8000ff,0x09fff36f,0x159d7000,0x3fffd300,0xff303ff6,
    0x7ff4007f,0x313fee04,0x7ffdcbff,0xfff9801e,0x37fffa03,0x1fffc800,
    0x3ff20000,0x07fff21f,0xfffc8000,0x21fff501,0xf301fff9,0xffd80bff,
    0x403ffe66,0x8001fffa,0x3ffe5ffe,0xffe80006,0x7ffd401f,0x307ff63d,
    0x22005fff,0x3fa03fff,0x22ffcc2f,0x803ffffc,0x32603ffe,0xfe806fff,
    0x200000ff,0x3fa2fffb,0x200000ff,0xf502fffb,0x3ffe61ff,0x0dfff501,
    0xf91fffa8,0x7ffcc0df,0x4ffe8001,0x000bfff2,0x806fff98,0xffc83fff,
    0x003fff82,0x2e03fffb,0x5ff985ff,0x1effffe8,0x003fff10,0xf807fff1,
    0x400007ff,0x3fe3fffb,0x5c00007f,0xff503fff,0x07ffe61f,0x4037ffd4,
    0x7ffd3fff,0x017ffcc0,0xf327ffc0,0x6c000fff,0x7d402fff,0x07ff906f,
    0xf3009ffd,0x3fe20fff,0x05ff980f,0x09fffff9,0x7fccdff9,0x406ffb85,
    0x00007fff,0xff17ffdc,0xb80000ff,0xff502fff,0x07ffe61f,0x403fffdc,
    0xfff8effc,0x0fffe200,0x87fff100,0x8005fffc,0xd807fffc,0x7ff703ff,
    0xd00fff90,0xfd30bfff,0x17fe607f,0xeffffe98,0x21fffd8a,0xff885ff9,
    0x3fffa00f,0x3f200000,0x3fffa2ff,0x3f200000,0xfff502ff,0x407ffe61,
    0x8807fffb,0x05ffcfff,0x4005ffe8,0x7c41fffa,0x9000efff,0xf005ffff,
    0x3fe605ff,0x03fffa86,0x89ffffd1,0x2606fffa,0xffb805ff,0x0cffffff,
    0xff82ffcc,0x3fff602f,0x3fa00001,0x3fff61ff,0x3fa00001,0xfff501ff,
    0x407ffe61,0xd007fffb,0x005fffff,0xb800fff7,0xfff506ff,0xf51039ff,
    0x2007ffff,0x3fa02fff,0xcfffd81f,0xfffff510,0xfffd75ff,0x2ffcc01d,
    0xffffe980,0x0bff302f,0xfc80bffa,0x200002ff,0x3f20ffff,0x200002ff,
    0xf500ffff,0x3ffe61ff,0x0ffff701,0x1ffffee0,0x007ffcc0,0x4c09ffb0,
    0xefffffff,0xfffffffe,0x07ffe004,0xe884ffc8,0xffffffff,0xffffff8e,
    0xf9804fff,0x7fdc005f,0xff980eff,0x407ffd05,0x0004fffa,0xa8dfff10,
    0x00004fff,0x540dfff1,0xfff30fff,0x1fffee03,0x27fffc40,0x005fff00,
    0x26017ffc,0xfffffffe,0x02efffff,0x300fffc0,0xff101fff,0x6cbfffff,
    0x3fffffff,0x00bff300,0x1dfffd30,0xfd05ff98,0xffff807f,0xffc80000,
    0x0ffff83f,0xfffc8000,0x43ffea03,0xf701fff9,0x7ec00fff,0x3f2001ff,
    0xfff5005f,0x7ffe4c00,0x03efffff,0x803fff00,0xb5105ffd,0xfd9039df,
    0x5510159d,0x017fe615,0x1fffec40,0x7ec17fe6,0x7ffe403f,0x7fcc0004,
    0xfffc80ff,0x7fcc0004,0x3fea00ff,0x03fff30f,0xdff90000,0x0fff9800,
    0x004ffd80,0x035bff30,0x03fff000,0x004fff88,0xffd10000,0x002ffccd,
    0xf31bffe0,0x0fff60bf,0x03ffff10,0x2ffff400,0x01ffff88,0x17fffa00,
    0x261fff50,0x00001fff,0x8002fff8,0x7c403ffd,0xf50000ff,0x2200005f,
    0xfb801fff,0x000003ff,0x30ffff44,0x4fed8bff,0x20fffc80,0xffb05ff9,
    0xdfff7007,0xfff90003,0x7ffdc01f,0xffc8001e,0x7fdc00ff,0x03fff30f,
    0x4013ffe6,0x30007ffa,0xffb80dff,0x3ff20004,0x440002ef,0xf9000fff,
    0x00001bff,0x85fffd50,0x7ff45ff9,0x0fffb806,0x7ec17fe6,0xfffd004f,
    0x3fa2007f,0xfe802fff,0xd1003fff,0x7005ffff,0x7ffccfff,0x09fff301,
    0x0013ffa0,0x3a01ffd8,0x4c0000ff,0x0000fffa,0xb001ffe6,0x0007ffff,
    0x3ffff620,0x645ff982,0x3e202fff,0x2ffcc5ff,0x1006ffc8,0x35bffffd,
    0xffffba88,0xffd1004f,0xa8835bff,0x04fffffb,0x266ffe88,0xff301fff,
    0x7ecc109f,0x260000ff,0x9ff505ff,0x7ff40000,0x3ff60003,0xfffb8005,
    0x2000adff,0xdffffdb8,0x98bff300,0x4c0affff,0x7cc3fffc,0x3fff505f,
    0x7fffec00,0xffffefff,0x8002ffff,0xfffffffd,0xfffffffe,0x3f7a602f,
    0x3fe63fff,0xf33fffff,0xfffd09ff,0x00007fff,0xdfd05ff9,0x26620001,
    0x002fffdb,0x1ffff6e4,0xfffe9800,0xbcceefff,0xfffeeccb,0x7cc01eff,
    0xffffa85f,0xffffecdf,0x02ffcc0e,0x03bdffff,0xffffff70,0xdfffffff,
    0x7fdc0001,0xffffffff,0x5c00efff,0x20ffffff,0xfffffff9,0x3fff6003,
    0x200005ff,0x0ffdc6fe,0xffffd000,0xff000bff,0x0000dfff,0xffffffb5,
    0xffffffff,0x2007ffff,0xff705ff9,0xffffffff,0x0bff301b,0x1fffffdc,
    0xffffd500,0x0039ffff,0x7fff5400,0x01cfffff,0x1dffffb0,0xffffff98,
    0x3ff2003f,0x400005ff,0x9ff12ff9,0xfffe8000,0xff0003ff,0x00001bff,
    0x7ff6e544,0xefffffff,0x3e6000ac,0x3ff6205f,0x203effff,0x7d405ff9,
    0x88003fff,0x0019aaa9,0x554c4000,0x9880019a,0x000000aa,0x00003530,
    0xaa8954c0,0x99980000,0x55540000,0x20000000,0x09aaaa98,0x0aaa2000,
    0x800d54c0,0x98802aa8,0x000001aa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4cccc400,0x77440000,0x003eeeee,0x00006662,0x3bbb72a6,
    0xeeeeeeee,0x7fd4004e,0xddd300ff,0x22000001,0x00001999,0x01333300,
    0x03770000,0x01333000,0x99980000,0x80000009,0x0004fffe,0x7fffffcc,
    0xfff1004f,0x3a6000bf,0xffffffff,0xffffffff,0x7fff4005,0x03ffea02,
    0x7fc40000,0x000002ff,0x0037ffe4,0x003fe800,0x0ffffd40,0xffb00000,
    0x000000df,0x001ffff1,0x7ffffcc0,0xffb004ff,0xc8007fff,0xffffffff,
    0xffffffff,0x3e6005ff,0x7fd404ff,0x2000000f,0x0006fff9,0x3fffe200,
    0xf8800000,0x3e60001f,0x000fffff,0x3fffa000,0x98000002,0x00004fff,
    0x5c027ffc,0x2fffafff,0xfffff500,0x999bffff,0x0799fffb,0x402ffec0,
    0x0000fffa,0x17ffdc00,0xffb80000,0x5000001f,0x744000ff,0x06ffcdff,
    0x3fe20000,0x0000005f,0x0001fff5,0x2027ffc0,0xff93fffa,0xfff8801f,
    0x1fffffff,0x4003ffd4,0xa800eff9,0x00000fff,0x006ffc80,0x07fff000,
    0x27ec0000,0x1fffb000,0x000bfff1,0x0fffcc00,0xfc800000,0x3e00004f,
    0x3fe204ff,0x037ff46f,0x3fffffee,0x7d41ffff,0xcca8007f,0x1fff5001,
    0x36000000,0x400002ff,0x00005ffb,0x80017fc0,0x3ea2fffb,0x000003ff,
    0x00017fea,0x002aa800,0x813ffe00,0x54c0aaa9,0x3ff201aa,0xffffffff,
    0x003ffd41,0xfffa8000,0x10000000,0x80000355,0x00000aaa,0x0003fe60,
    0x55415554,0x4000002a,0x000002aa,0x00013310,0x0027ffc0,0xfffe8000,
    0x1fffffff,0x0003ffd4,0x0fffa800,0x00000998,0x00000000,0xc9a88000,
    0x0000005f,0x00000000,0xfb950000,0x17dfffff,0xa7ffc000,0x40005eec,
    0xffff4eed,0x3fffffff,0xe887ffa8,0x76c003ee,0x21fff53e,0xbfffffeb,
    0x00bdd900,0xd94eed80,0xed8000bd,0xfd95104e,0x000bffff,0x07bbba20,
    0xdd100000,0x800003dd,0xffffffe8,0x0cffffff,0xd4fff800,0xf8000fff,
    0xffffd6ff,0x83ffffff,0xffd07ffa,0x7ffcc00f,0xfb3fff51,0xffffffff,
    0x00fffd03,0xfd6fff80,0xff8000ff,0xfffe986f,0x0effffff,0x7ffdc000,
    0x4000004f,0x004ffffb,0x3fffee00,0xffffffff,0x4001efff,0xfffd4fff,
    0x6fff8000,0xfffffff9,0xffa83fff,0x05fff707,0xfa9bff20,0xbdffffff,
    0x41ffffec,0x40007ffe,0xfffd6fff,0x6fff8000,0x6fffffcc,0x1fffffdb,
    0x3fffa000,0x000000ff,0x03fffffa,0xfffb1000,0x54c159df,0x02fffffd,
    0x7f53ffe0,0x7fc0007f,0xfffff56f,0xa83fffff,0xfff107ff,0x8fffe009,
    0x0dfffffa,0x746fffc8,0x7c0007ff,0x0fffd6ff,0x26fff800,0x20bffff8,
    0x06fffefd,0xfddff300,0x2000007f,0x3ffeeff9,0x7ffe4000,0xffd3004f,
    0x3fe003ff,0x00fffd4f,0x3a6fff80,0xffffffff,0x03ffd41f,0xf500fffb,
    0x7ffd41ff,0x7ffdc05f,0x001fffa3,0x3fadfff0,0x7fc0007f,0x13fff26f,
    0x3fff6bfe,0xcffc8001,0x00006ffc,0xff99ff90,0x7fcc000d,0xfd8001ef,
    0xfff006ff,0x001fffa9,0x7ccdfff0,0xffffffff,0x503ffd41,0xfd805fff,
    0x7fffd45f,0x26ffe800,0x40007ffe,0xfffd6fff,0x6fff8000,0x3e61bffe,
    0x009fff37,0xff35fff0,0xf000003f,0x3fff35ff,0x3fffa000,0x3ffa0002,
    0x4fff804f,0x8000fffd,0x7f546fff,0x41ffffff,0x7fc07ffa,0x3ffe205f,
    0x027ffd42,0x3fa7ffb8,0x7fc0007f,0x00fffd6f,0xf56fff80,0x4bf905ff,
    0x54001bcc,0xbfff0fff,0xffa80000,0x00bfff0f,0x00bfff70,0x0ffff980,
    0xfea7ffc0,0x7fc0007f,0xfffc886f,0x7fd41fff,0x07ffe407,0x540fffb8,
    0xf1001fff,0x1fffa3ff,0x2dfff000,0x40007ffe,0xfff96fff,0x0007fd03,
    0xfc97ff60,0x200000ff,0x3ff25ffd,0x7ffc000f,0xfc80000f,0x7ffc02ff,
    0x000fffd4,0x4406fff8,0x7d41fffa,0x7ffcc07f,0x509ffd03,0x7c001fff,
    0x0fffd2ff,0xd6fff800,0xf8000fff,0x0fffb6ff,0x00001ff1,0x7cc7fff1,
    0x100003ff,0x7fcc7fff,0x3fe6003f,0xf300004f,0xfff80bff,0x000fffd4,
    0xf006fff8,0x7ffa83ff,0x986ffe80,0xffa81fff,0xa7ffc007,0x40007ffe,
    0xfffd6fff,0x6fff8000,0xdf70dffb,0x3fee0000,0x037ff40f,0x0fffb800,
    0x50037ff4,0x00007fff,0x3e03fffc,0x0fffd4ff,0x06fff800,0xfa83fff0,
    0xfffb807f,0xa837fe40,0x7f4006ff,0x00fffd5f,0xfd6fff80,0xff8000ff,
    0xb0bffd6f,0x3a00009f,0xfffb85ff,0xffe80001,0x01fffb85,0x005fff70,
    0x0fffec00,0x3fa9fff0,0x7fc0007f,0x3fff006f,0x8807ffa8,0x7ff43fff,
    0x00fff504,0xffd4fff8,0xfff8000f,0x000fffd6,0xffd6fff8,0x0003ff0d,
    0x105fff30,0x8000bfff,0xf882fff9,0xff9005ff,0x6400003f,0x3fe01fff,
    0x00fffd4f,0x006fff80,0xffa83fff,0x4dffb007,0xf500fff9,0xfff800ff,
    0x000fffd2,0xffd6fff8,0xfff8000f,0xfa8fffb6,0xffb00007,0x07ffec0f,
    0x0fffb000,0x4007ffec,0x0000fffe,0x80bffee0,0xfffd4fff,0x6fff8000,
    0xa83fff00,0xff5007ff,0x81bff23f,0x1000fffa,0x3ffa1fff,0x7ffc0007,
    0x000fffd6,0xff96fff8,0x442fe41f,0xff8802bc,0x3ffea04f,0xfff10003,
    0x1fffd409,0x003fffc0,0x0fffee00,0xffd4fff8,0xfff8000f,0x83fff006,
    0x3e007ffa,0x07ffd3ff,0x8017ffd4,0x3ffa7ffb,0x7ffc0007,0x000fffd6,
    0xff56fff8,0x5c1ff45f,0x7dc00fff,0x7ffc01ff,0xfff70006,0x06fff803,
    0x0007fff8,0x017ffdc0,0x3ffa9fff,0x7ffc0007,0x83fff006,0x32007ffa,
    0x0fff8eff,0x01bffea0,0xffd2fffc,0xfff8000f,0x000fffd6,0x3fe6fff8,
    0xd01ff15f,0xffd00bff,0x5fff900d,0x0dffd000,0x805fff90,0x0000fffe,
    0x80bfff20,0xfffd4fff,0x6fff8000,0xa83fff00,0x3e2007ff,0x405ffcff,
    0x403ffffa,0x3fa2fffb,0x7fc0007f,0x00fffd6f,0x326fff80,0x86fbbfff,
    0x4c02fffb,0xf9803fff,0x7cc005ff,0xff9803ff,0x7ffec05f,0x3fa00001,
    0x3ffe01ff,0x000fffb4,0xf006fff8,0x7ffa83ff,0x7ffff400,0x7ffd402f,
    0xfff904ff,0x007ffd8d,0xfdb7ffc0,0x7fc0007f,0x3fffe26f,0x7ffd44fe,
    0xefffc806,0xeeeeeeee,0x000ffffe,0x3bbbfff2,0xfeeeeeee,0x3f200fff,
    0x200002ff,0x3e00ffff,0x0fffb4ff,0x2fffc400,0x541fff80,0x7dc007ff,
    0xfa807fff,0xbcefffff,0x40ffffed,0x20007ffd,0xffb5fff8,0x7fc4000f,
    0x7fffd45f,0xfffdbacf,0xffff800f,0xffffffff,0x04ffffff,0x3fffffe0,
    0xffffffff,0x2a04ffff,0x00004fff,0xf80dfff1,0x1fff94ff,0x3ffe6000,
    0x83fff005,0x44007ffa,0xa804ffff,0xfffeafff,0x80efffff,0x0000fffc,
    0x3f2bfff3,0xf30000ff,0xfff50bff,0xdfffffff,0xffff5003,0xffffffff,
    0x0fffffff,0x3ffffea0,0xffffffff,0x407fffff,0x0000ffff,0x403fffc8,
    0xfff94fff,0x3fea0003,0x3fff004f,0x8007ffa8,0xa801fffd,0xfff90fff,
    0x7e4059ff,0xf50001ff,0x3fff29ff,0xfff50001,0x3fffa209,0x2003ffff,
    0x9999fffd,0x99999999,0xd802fffd,0x99999fff,0xd9999999,0x3f202fff,
    0x4c0004ff,0x7c00ffff,0x7fff54ff,0x3ffee000,0x83fff002,0xc8007ffa,
    0xff5006ff,0x001a981f,0x0007fff5,0x7d4bffee,0xf70003ff,0x67fc05ff,
    0x44001aba,0xa8005fff,0x7c405fff,0xfa8005ff,0x3fe205ff,0x3a0001ff,
    0xff805fff,0x0dfff14f,0x03fffe00,0x2a0fffc0,0xff8007ff,0xfff5002f,
    0xff880001,0xfff0006f,0x1bffe21f,0x07fffc00,0x0000ff98,0x0017ffdc,
    0x200fffe8,0x0002fffb,0x5c01fffd,0x8001efff,0x800ffffc,0x3ffa4fff,
    0x7fdc004f,0x3ffe006f,0x003ffd41,0xa801ffea,0x80000fff,0x4004fffe,
    0x7f46fffb,0x7dc004ff,0x1bf206ff,0x1fffa000,0x4fffc800,0x001fffa0,
    0x404fffc8,0x003ffffe,0x05ffffd1,0xfb93ffe0,0xf5003fff,0x7c005fff,
    0x3ffd41ff,0x013ffa00,0x000fffa8,0x3ffffb80,0x5ffff500,0x03ffffb8,
    0x05ffff50,0x20001ff4,0x0004fff9,0x4c1fffe2,0x20004fff,0x4407fff8,
    0x1adffffe,0x7fffdd44,0x3ffe004f,0x77ffff44,0xfd5310ac,0xf800dfff,
    0x3ffd41ff,0x7ffecc10,0x3ffea000,0xffd00000,0x22159dff,0x6ffffea9,
    0x9dffffd0,0x3faa6215,0x3e206fff,0x7e40001f,0x6c0001ff,0xffc82fff,
    0x7ec0001f,0xffd802ff,0xffefffff,0x02ffffff,0x3fffffe6,0x7fff444f,
    0xffffffff,0x000effff,0x3ea0fffc,0x3fffa07f,0x54003fff,0x00000fff,
    0xffffffd1,0xffffffff,0x3fa201df,0xffffffff,0x0effffff,0x0001fee0,
    0x0001bffe,0x3e17ffea,0xa80006ff,0xf7005fff,0xffffffff,0x801dffff,
    0xfffffff9,0xffffd884,0xffffffff,0xfff0005f,0x207ffa83,0x05fffffd,
    0x00fffa80,0x3ff62000,0xffffffff,0xd8805fff,0xffffffff,0x805fffff,
    0x540004fd,0x00003fff,0x7d43ffff,0xf00003ff,0x54003fff,0xfffffffe,
    0xff3001cf,0x409fffff,0xffffffc9,0x0001cfff,0xff507ffe,0x7fffe40f,
    0xfff50005,0x93000001,0xffffffff,0xc980039f,0xffffffff,0x5d7001cf,
    0xfffd8000,0xff900000,0x07ffec9f,0xfffc8000,0xaa988004,0x0000019a,
    0x2aaa6600,0x00000019,0x000d4c00,0x00000000,0x066aaa66,0x554cc000,
    0x0000019a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0000aa00,
    0x00666620,0x004ccc00,0x4cc40000,0x00000009,0x33001330,0x33100133,
    0x33310013,0x33331003,0x22000000,0x00001999,0x66400000,0x0266543c,
    0x0000ff80,0x037ffe40,0x7fffe400,0x22000000,0x0002ffff,0x42cfea80,
    0xfb801ffb,0x7f400fff,0xffe806ff,0xfff9804f,0x8000002f,0x0005fffd,
    0x00bbaa00,0x322fffc0,0x73000fff,0x0037bffb,0x1ffff100,0xfffa8000,
    0x00000eff,0x009fff70,0xffffd000,0x0ffd7bff,0x027ffe40,0x0bfffff9,
    0x002fffd4,0x000dfff5,0x6fff9800,0x3f600000,0xf8005fcc,0x7ffe45ff,
    0x7fff5400,0x01efffff,0x07fff200,0x9fff1000,0x0000bffb,0x001bffe0,
    0x33bfee00,0x4fffffff,0x07ffec00,0x7fdfffd4,0x1dffd03f,0x1fffb800,
    0x3f600000,0x000000ff,0x007cc5f1,0xf917ffe0,0x7fdc01ff,0xffffffff,
    0xf88002ff,0xe80003ff,0x7fff16ff,0xffb80000,0xd800000f,0x77fed47f,
    0xffe88003,0xaafffc43,0x7fd41fff,0xffb0001f,0x2200000b,0x00002fff,
    0x00fe1ee0,0xa9855550,0x3ffe602a,0xfebffaef,0x5c001fff,0xc80005ff,
    0x3fee1fff,0x3a00002f,0x000001ff,0x000c0555,0xfd1ffe60,0x7ffec1ff,
    0x000bff60,0x0003ffd0,0x009ff900,0x22f88000,0x000000f9,0x1ffffc40,
    0x3ffee1ff,0x05554006,0x2aaa2000,0x002aaa82,0x00355100,0x99880000,
    0x55300000,0x106aaa21,0x15543555,0x0d544000,0x15540000,0xfd800000,
    0x40005ebb,0xa803eee9,0x07fc3fff,0x0003fffd,0x00000000,0x00000000,
    0x7fee5400,0x00beffff,0x00000000,0x00000000,0x00000000,0x02ffff98,
    0x27ffcc00,0x207ffe40,0x3ffea0ff,0x3bbbbb23,0xeeeeeeee,0x26eeeeee,
    0xeeeeeeec,0xeeeeeeee,0x0006eeee,0x003dddd1,0xfffe8800,0xffffffff,
    0xdd3000cf,0x7774c07d,0x0fbba603,0x3bbbbbb2,0xeeeeeeee,0x2e6eeeee,
    0x0000deee,0x00f77744,0x27fffdc0,0x3ffe6000,0x85ffe804,0x0de6c0ff,
    0xfffffffd,0xffffffff,0x7f4fffff,0xffffffff,0xffffffff,0xf70007ff,
    0x00009fff,0x7fffffdc,0xffffffff,0xff9801ef,0x3ffe604f,0x13ffe604,
    0x3ffffffa,0xffffffff,0x227fffff,0x0004ffff,0x0027ffec,0x0fffffe8,
    0x3ffe6000,0x85ffe804,0xffd000ff,0xffffffff,0xffffffff,0x7ffff4ff,
    0xffffffff,0x7fffffff,0xffffd000,0xd880001f,0x0aceffff,0x3ffff6a6,
    0x7ffcc02f,0x13ffe604,0xe84fff98,0xffffffff,0xffffffff,0x7fd47fff,
    0xf50001ff,0x26000dff,0x03ffeeff,0x13ffe600,0xf03fff20,0x3ffa001f,
    0xcccccccf,0xcccccccc,0x33fffa4c,0xcccccccc,0x4ccccccc,0xeeff9800,
    0x640003ff,0x3004ffff,0x403ffffd,0x2604fff9,0x3e604fff,0xfffe84ff,
    0xcccccccc,0xcccccccc,0x06fffc84,0x1ffff880,0x99ff9000,0x4c000dff,
    0xfa804fff,0x007fc2ff,0x0007ffe8,0x003fff40,0xffc80000,0x0006ffcc,
    0x007bffe6,0x81bfff60,0x2604fff9,0x3e604fff,0x7ffe84ff,0xff100000,
    0xfd8009ff,0x3e0004ff,0x1fff9aff,0x9fff3000,0x3ffff300,0xfe8007fc,
    0x7400007f,0x000007ff,0xf35fff00,0x3a0003ff,0x20002fff,0xf304fffe,
    0x7fcc09ff,0x3ffe604f,0x007ffe84,0x3ffea000,0xfff5001f,0x7fd4000d,
    0x00bfff0f,0x013ffe60,0x4effffe4,0xffd000ff,0xfe80000f,0x0000007f,
    0xff0fffa8,0xff7000bf,0xf98000bf,0xff980fff,0x3ffe604f,0x13ffe604,
    0x0001fffa,0x0dfff900,0x03ffff10,0x92ffec00,0x30001fff,0x64009fff,
    0xbfffffff,0x07ffe801,0x3fff4000,0x6c000000,0x3fff25ff,0x7fffc000,
    0xffc80000,0x4fff982f,0x813ffe60,0xfe84fff9,0x4000007f,0x403ffff8,
    0x0003fffd,0xf98fffe2,0xf98003ff,0x7dc004ff,0xffffffff,0x0fffd00c,
    0x7ffe8000,0x44000000,0x3fe63fff,0x3fe6003f,0xf300004f,0xfff30bff,
    0x27ffcc09,0xd09fff30,0x00000fff,0x03ffff50,0x0017ffea,0xe81fff70,
    0xf98006ff,0xb50004ff,0xffffffff,0x00fffd05,0x07ffe800,0x7dc00000,
    0x37ff40ff,0x07fff500,0x3fffc000,0x3027ffcc,0x7cc09fff,0x7ffe84ff,
    0xfb000000,0xfff10dff,0xfe80001f,0x1fffb85f,0x27ffcc00,0x3ffe2000,
    0x743fffff,0x400007ff,0x00007ffe,0x42fff400,0x7001fffb,0x00005fff,
    0x260fffec,0x3e604fff,0x3fe604ff,0x07ffe84f,0xff100000,0xfffc85ff,
    0x7fcc0003,0x5fff882f,0x27ffcc00,0x547fc000,0x3a0ffffe,0x400007ff,
    0x00007ffe,0x0bffe600,0x4017ffe2,0x0001fffc,0x307fff20,0x7cc09fff,
    0x3fe604ff,0x07ffe84f,0x3ea00000,0xfff30fff,0xffb0000b,0x07ffec0f,
    0x09fff300,0x641ff000,0x3ffa5fff,0xcccccccf,0xcccccccc,0x667fff44,
    0xcccccccc,0x004ccccc,0xfd81fff6,0xffe800ff,0x2e00000f,0x7fcc2fff,
    0x3ffe604f,0x13ffe604,0x3333fffa,0xcccccccc,0x4004cccc,0xffd4fffd,
    0xf880001f,0x3fea04ff,0x3fe6003f,0xff80004f,0xe87fff40,0xffffffff,
    0xffffffff,0x7fff47ff,0xffffffff,0x7fffffff,0x09fff100,0x401fffd4,
    0x00007fff,0x261fffdc,0x3e604fff,0x3fe604ff,0xffffe84f,0xffffffff,
    0x07ffffff,0x67fffc40,0x80002fff,0x7c01fffb,0x3e6006ff,0xf80004ff,
    0x8fffe40f,0xfffffffe,0xffffffff,0x7ff47fff,0xffffffff,0xffffffff,
    0x3fff7007,0x806fff80,0x00007fff,0x2617ffdc,0x3e604fff,0x3fe604ff,
    0xffffe84f,0xffffffff,0x07ffffff,0xfffffa80,0xfd00004f,0xfff900df,
    0x3ffe6005,0xf04a9804,0x3fff981f,0xddddfffd,0xdddddddd,0xffe8bddd,
    0xeeeeeeef,0xeeeeeeee,0x0dffd005,0x805fff90,0x0000fffe,0x30bfff20,
    0x7cc09fff,0x3fe604ff,0xefffe84f,0xeeeeeeee,0x05eeeeee,0xdffffb00,
    0xff300001,0xfff3007f,0x3ffe600b,0x0fffd404,0x3fe607fc,0x00fffd2f,
    0x07ffe800,0xff980000,0xfff9803f,0x0fffec05,0xfffd0000,0x04fff983,
    0x9813ffe6,0xffe84fff,0x00000007,0x003ffff1,0x3bfff200,0xeeeeeeee,
    0x800ffffe,0x4404fff9,0x0ff83fff,0xfe8fffd4,0x7400007f,0x000007ff,
    0xeeefffc8,0xfeeeeeee,0x3f200fff,0x200002ff,0x7cc0ffff,0x3fe604ff,
    0x3ffe604f,0x007ffe84,0x3f600000,0x3e00007f,0xffffffff,0xffffffff,
    0xfff9804f,0x86ffe804,0x3ffec0ff,0x0000fffd,0x0007ffe8,0xfffff800,
    0xffffffff,0x204fffff,0x0004fffa,0x30dfff10,0x7cc09fff,0x3fe604ff,
    0x07ffe84f,0x36000000,0x500007ff,0xffffffff,0xffffffff,0xff300fff,
    0xfff7009f,0x3e60ff87,0x1fffa5ff,0xfffd0000,0xfa800000,0xffffffff,
    0xffffffff,0x7fffc07f,0xffc80000,0x4fff983f,0x813ffe60,0xfe84fff9,
    0x0000007f,0x001fff60,0x4cfffec0,0x99999999,0x02fffd99,0x4027ffcc,
    0x3e3ffff9,0x1ffff50f,0x0003fff4,0x001fffa0,0x3fffb000,0x33333333,
    0x5fffb333,0x027ffe40,0x3fffe600,0x04fff980,0x9813ffe6,0xffe84fff,
    0x00000007,0x0001fff6,0x0017ffe2,0x3017ffea,0x2a009fff,0xffbeffff,
    0x43ffffec,0x00007ffe,0x0003fff4,0x0bfff100,0x0bfff500,0x00ffffc4,
    0x0bfffd00,0x9813ffe6,0x3e604fff,0x7ffe84ff,0x20000000,0x80007ffd,
    0x0002fffb,0x4c01fffd,0x26004fff,0xffffffff,0xfe82ffff,0x7400007f,
    0x000007ff,0x000bffee,0x7007fff4,0x0003dfff,0x201ffff9,0x2604fff9,
    0x3e604fff,0x7ffe84ff,0x20000000,0x80007ffd,0x20007ffe,0x2604fffc,
    0x4c004fff,0xfffffffc,0xfffd00df,0xffe80000,0x3a000007,0x320007ff,
    0x7f404fff,0xd1003fff,0x4c05ffff,0x3e604fff,0x3fe604ff,0x07ffe84f,
    0x36000000,0x4c0007ff,0x20004fff,0x2607fff8,0x20004fff,0x801bffb9,
    0x00007ffe,0x0003fff4,0x04fff980,0x1fffe200,0xbffffd10,0xffba8835,
    0x7cc04fff,0x3fe604ff,0x3ffe604f,0x007ffe84,0x3f600000,0x7e40007f,
    0x6c0001ff,0xff302fff,0xff00009f,0x3fffa001,0xaaaaaaaa,0xaaaaaaaa,
    0x55fffd1a,0x55555555,0x35555555,0x001fffc8,0x017ffec0,0x7fffffec,
    0xffffffef,0xff9802ff,0x3ffe604f,0x13ffe604,0x2aabfffa,0xaaaaaaaa,
    0x01aaaaaa,0x007ffd80,0x0037ffc0,0x82fffd40,0x0004fff9,0xfd000ff8,
    0xffffffff,0xffffffff,0x3ffabfff,0xffffffff,0xffffffff,0x37ffc5ff,
    0x7ffd4000,0xffff7005,0xffffffff,0x3e6001df,0x3fe604ff,0x3ffe604f,
    0xfffffe84,0xffffffff,0x5fffffff,0x07ffd800,0x0fffea00,0x7fffc000,
    0x04fff981,0x000ff800,0xfffffffd,0xffffffff,0x3abfffff,0xffffffff,
    0xffffffff,0x3ea5ffff,0xf00003ff,0x54003fff,0xfffffffe,0x7cc001cf,
    0x3fe604ff,0x3ffe604f,0xfffffe84,0xffffffff,0x5fffffff,0x07ffd800,
    0x03fff600,0x7ffe4000,0x30000004,0x7fff4003,0xffffffff,0xffffffff,
    0xfffffd5f,0xffffffff,0xbfffffff,0x0007ffec,0x04fffc80,0x9aaa9880,
    0x3fe60001,0x3ffe604f,0x13ffe604,0x3ffffffa,0xffffffff,0x05ffffff,
    0x007ffd80,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x64000331,
    0x2665c2cc,0x1e65c000,0x0003332a,0x004cc000,0x20ccca80,0x0001ccc8,
    0x9911332a,0x44000039,0x000009a9,0xa8000262,0x1310002a,0x35510000,
    0x3bee2000,0x0037ec1c,0xfd89fff0,0xfe80007f,0x07ffdc6f,0x6fecc000,
    0x00ffe20b,0x307ffdc0,0x40007fff,0x7fcc7ffc,0x6d40002f,0xdfffffff,
    0xfff70002,0xf88005df,0xffb8005f,0x7f440002,0xff98000f,0xfccfffff,
    0x3fe0005f,0x03ffec4f,0x237ff400,0x0000fffb,0x7fffffe4,0x002ffebd,
    0x4c1fff70,0x20003fff,0x7fcc7ffc,0xff70002f,0xffffffff,0x6c007fff,
    0x4fffffff,0x007ff200,0x005fff90,0x002ffc80,0xffbbffb0,0x003fffff,
    0x3627ffc0,0xe80007ff,0x7ffdc6ff,0x3fe60000,0xfffffecf,0x3ee0006f,
    0x3ffe60ff,0x3ff20003,0x017ffcc7,0x3ffff620,0xffffffff,0x5400dfff,
    0xffc9cfff,0x5ff8802f,0x3fff6600,0x3ea0002f,0x3fe0005f,0x37ff6e25,
    0x55540002,0x001554c1,0x26155540,0x20000aaa,0x3b262ffa,0x20000cff,
    0x55442aa9,0x2a60001a,0x0555442a,0xffffd300,0x754c157b,0x201effff,
    0x7fcc1ffe,0x01ffd806,0xffdfff90,0x3fe20005,0x2aa0000e,0x00003101,
    0x00000000,0x00001331,0x0130154c,0x00000000,0x88000000,0x003ffffe,
    0x01fffff5,0x3f60bff3,0x17fe601f,0xfb9dfe80,0xffb0002f,0x00000003,
    0x00bdd900,0x004eed80,0x3ffff72a,0x0000beff,0x80000000,0x001eeee8,
    0xeeeeeec8,0xeeeeeeee,0x906eeeee,0x8001dfff,0xb84fffe8,0x5ff904ff,
    0x0007fec0,0x017fdc39,0x0027fdc0,0x3bbba200,0x7ffe8001,0x37ffc000,
    0x7ffff440,0xffffffff,0x7776c00c,0x3bb60001,0xfffb8004,0xffe8004f,
    0xffffffff,0xffffffff,0xffffa87f,0xfff10000,0x03ffc85f,0x3e607ff7,
    0x7dc0004f,0x7fcc002f,0xfb800006,0xe8004fff,0x7c0007ff,0x7fdc06ff,
    0xffffffff,0x01efffff,0x001bfffe,0x8005ffe8,0x00fffffe,0x7fffff40,
    0xffffffff,0x87ffffff,0x0003fffd,0x3237ffd4,0x9ff703ff,0x0003ff60,
    0x8005ff70,0x00000ffe,0x0fffffe8,0x03fff400,0x41bffe00,0xceffffd8,
    0x3ff6a60a,0xfff02fff,0x3a0007ff,0x7cc005ff,0x003ffeef,0x6667fff4,
    0xcccccccc,0x444ccccc,0x00006fff,0x7dc1fffd,0x07ff703f,0x00009ff3,
    0x64005ff7,0x800003ff,0x3ffeeff9,0x03fff400,0x41bffe00,0x004ffffc,
    0x03ffffd3,0x03ffffff,0x00bffd00,0xffccffc8,0x3fff4006,0x7fdc0000,
    0xf700002f,0x27fd47ff,0xfd82ffc8,0xfb80000f,0xbff5002f,0x3f200000,
    0x006ffccf,0x0003fff4,0x3e61bffe,0xd8001eff,0xfff86fff,0xe8006fff,
    0x7fc005ff,0x01fff9af,0x001fffa0,0x07fff600,0x7ffc4000,0x7c1bfe26,
    0x27fcc0ff,0x2ffb8000,0x00fff880,0x5fff0000,0x4003fff3,0x40007ffe,
    0xffe86fff,0x3fa0002f,0x7fffc4ff,0x74003fff,0x3ea005ff,0x0bfff0ff,
    0x003fff40,0x07fffc00,0xfffd0000,0x910cffd8,0x1ffd0bff,0x3fee0000,
    0x02ffd802,0xfff50000,0x8017ffe1,0x40007ffe,0x7fdc6fff,0x7cc0005f,
    0x3ffe0fff,0x001ffffe,0xd8017ffa,0x3fff25ff,0x0fffd000,0xffff0000,
    0xffe80000,0x3fffe60f,0x540ffffc,0x200004ff,0x7dc02ffb,0x2000004f,
    0x3ff25ffd,0xfffd000f,0x6fff8000,0x0007fffc,0xf17ffe40,0xdfff7bff,
    0x02fff400,0x263fff88,0xfd003fff,0x880000ff,0x00006fff,0x2607ffec,
    0x1effffff,0x0000ffe8,0x880bfee0,0x000006ff,0xf98fffe2,0xffd003ff,
    0xfff8000f,0x013ffe66,0x2fffcc00,0x3ffabfff,0xbffd003f,0x03ffee00,
    0x3a00dffd,0x400007ff,0x0005fff9,0x40fffe40,0x80bdedb8,0x02204ffa,
    0x40399300,0x98801ffe,0x7ffdc001,0x8037ff40,0x40007ffe,0x3fea6fff,
    0x3e00003f,0x57ffe7ff,0x801ffff9,0xfd005ffe,0x3fff70bf,0x00fffd00,
    0x5fff8800,0x7fec0000,0x7f40000f,0xeffec80f,0xf900000c,0xffd1007f,
    0x85ffe800,0xe801fffb,0x7c0007ff,0x3ffee6ff,0x3f600002,0x4bfff1ff,
    0xe806fffb,0xff9805ff,0x5fff882f,0x007ffe80,0x07fff800,0x3fffc000,
    0x0ffea000,0xffffffb1,0xf980003d,0xfffd005f,0x17ffcc00,0x402fffc4,
    0x40007ffe,0x3ff26fff,0x3200001f,0xbfff1fff,0x404fffe8,0xfd805ffe,
    0x3fff607f,0x67fff400,0xcccccccc,0x84cccccc,0x00007fff,0x001bffe2,
    0xfd81ffd0,0x6fffbcff,0x3ffa2000,0x7fffd800,0x81fff600,0x7400fffd,
    0x7c0007ff,0x3fffa6ff,0x3ee00000,0x8bfff2ff,0x201ffff9,0x7c405ffe,
    0x3fea04ff,0x7fff403f,0xffffffff,0x7fffffff,0x001fffe8,0x09fff300,
    0x21ffdc00,0x7e40eff9,0xffb0003f,0xffff7005,0x3ffe200f,0x0fffea04,
    0x000fffd0,0x3fe6fff8,0x5c00007f,0xbfff3fff,0x40dfff70,0x7dc05ffe,
    0x7ffc01ff,0x7ffff406,0xffffffff,0x87ffffff,0x0002fffb,0x007fff50,
    0x7e43ffc0,0x07ff883f,0x804ffa80,0x07feeffa,0x803fff70,0x7f406fff,
    0x7fc0007f,0x01fffe6f,0x5fff7000,0x7f417ffe,0xbffd04ff,0x806ffe80,
    0x3a02fffc,0xeeeeefff,0xeeeeeeee,0xfff985ee,0xffd00006,0x3ee0005f,
    0x01ffd83f,0xf8800ffd,0x7fcc00ef,0xd007fe8f,0xff900dff,0x3fff405f,
    0x9bffe000,0x0000fffe,0x7cbfff20,0xfff305ff,0x0bffd03f,0x401fffcc,
    0x3a05fff9,0x000007ff,0x7007fffd,0xdfff7039,0x83ffc000,0xffd00ffe,
    0x0fff4003,0x747ffe20,0xfff9807f,0x5fff9803,0x001fff60,0x7ecdfff0,
    0x200001ff,0xfff1fffe,0x37ffdc0b,0xf902fff4,0xddddddff,0xffffdddd,
    0x01fffa01,0x7ffd4000,0x77ff400f,0x03ffff11,0x40ffee00,0xffb00fff,
    0x0ffee003,0x745ffd10,0xfffc807f,0xeeeeeeee,0x00ffffee,0x4000fffb,
    0x3f25fff8,0x200002ff,0xfff0ffff,0x4fffe80b,0xff02fff4,0xffffffff,
    0xffffffff,0x01fffa09,0xfffd8000,0xffff300d,0x09fffb7f,0x81bfe200,
    0xffd00ffe,0x0dff3003,0xfe87ffb0,0xfffff807,0xffffffff,0x904fffff,
    0x20001fff,0x3ea5fff9,0x100004ff,0x7ffcdfff,0x7fffcc05,0x5417ffa1,
    0xffffffff,0xffffffff,0xfffd07ff,0x7c400000,0x9302ffff,0xdfffffff,
    0x17fe4000,0x3e03ffb0,0x1ffd007f,0xccfffa80,0x04cfffcc,0xfffffff5,
    0xffffffff,0x3f20ffff,0xf50001ff,0xffff89ff,0xffc80000,0x017ffe3f,
    0xfe9bffee,0x3fffb05f,0x33333333,0x5fffb333,0x000fffd0,0xffff9800,
    0x7dc40acf,0x001fffff,0xc80dff10,0x6ff983ff,0x802ffc80,0xfffffffa,
    0xfb07ffff,0x333333ff,0xfb333333,0xfff505ff,0x3fee0007,0x27ffe42f,
    0x3ffe6000,0x017ffe0f,0xfea7fff4,0x5fff885f,0x5fffa800,0x0007ffe8,
    0xfffe8800,0xfffeffff,0x1effffff,0x02ffc800,0xb10fffc4,0xffa805ff,
    0x99993005,0x99fff999,0x00bfff10,0x10bfff50,0x2000dfff,0x7c40ffff,
    0x20001fff,0x7fc5fffe,0xfff3005f,0x70bffd3f,0x20005fff,0x7f40fffe,
    0x0000007f,0x3ffffff2,0xefffffff,0x000dffff,0x3200dff1,0xfffcdfff,
    0x077fc406,0x07fe8000,0x000bffee,0x7407fff4,0x5c004fff,0xff706fff,
    0xf90003df,0xfff81fff,0x3ffee005,0xfe85ffee,0x3f20007f,0x3fff44ff,
    0x22000000,0xffffffeb,0xffd30bef,0xff9007ff,0x3ff62005,0x400effff,
    0x00001ffd,0xffe81ffa,0x3ff20007,0xffffb84f,0xffff5003,0x7ffff405,
    0xfffd1003,0x0bfff05f,0xfffffe80,0x27ffcc5f,0xffff1000,0x0007ffe8,
    0x2a620000,0x3ea009aa,0x7fc403ff,0xffda8006,0x4ffb803d,0x265c0000,
    0x004fff98,0x41fffe20,0xaceffffe,0xfffd5310,0xffe880df,0x5441adff,
    0x04fffffb,0x9800bfff,0x45ffffff,0x0001fffc,0xfd17ffec,0x555555ff,
    0x55555555,0x00003555,0x000fb800,0x10000000,0x00000033,0x003fff90,
    0x82fffd80,0xffffffe8,0xffffffff,0xffb000ef,0xffdfffff,0x05ffffff,
    0x4002fffc,0x45fffffb,0x80006fff,0x3fa5fffa,0xffffffff,0xffffffff,
    0x00005fff,0x00000800,0x00000000,0xfff00000,0xff50000d,0x3ff620bf,
    0xffffffff,0xb8005fff,0xffffffff,0x00efffff,0x8002fffc,0x2a5ffffe,
    0x00003fff,0x3fa3ffff,0xffffffff,0xffffffff,0x00005fff,0x00000000,
    0x00000000,0xfff50000,0x3fe00007,0x3f2601ff,0xffffffff,0x7540001c,
    0xffffffff,0xbfff001c,0x3ffe6000,0x03fff65f,0x7ffe4000,0xffffffd4,
    0xffffffff,0x0bffffff,0x00000000,0x00000000,0x20000000,0x0000fffd,
    0x009fff90,0x066aaa66,0x2a620000,0xf80019aa,0x320005ff,0x00005fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000880,0x88006aa6,0xaa800009,0x26600002,0x000ae001,0x15540000,
    0x00015550,0x00000000,0x00019880,0x10000000,0xfd000399,0xffb709ff,
    0x40003bff,0x7000ffe8,0xb80005ff,0x260004ff,0xeffffffd,0x07ff503d,
    0x7c43fff7,0x7c4004ff,0x01ffe06f,0xff83fff5,0xfff5004f,0x027ffc43,
    0x7fff6544,0xf70002ef,0x7ffc43ff,0xdefb8004,0x3fea004f,0xffffc85f,
    0x0001ffff,0x32005ffb,0x20002fff,0x50006ff8,0xfffffffd,0x4c5dffff,
    0xffb81fff,0x13ffe21f,0x209ff300,0x7d406ff8,0x27ffc1ff,0x21fffa80,
    0x4c04fff8,0xfffffffe,0xfb8005ff,0x3ffe21ff,0x2a4f8004,0xfffd000f,
    0x31eff981,0x5000bffb,0xfb300bff,0x40005fff,0xd8001ffe,0xffffffff,
    0xefffffff,0xf701fffa,0x7ffc43ff,0x1ffdc004,0x5404ffa8,0x7ffc1fff,
    0x3fff5004,0x3027ffc4,0xf9bdffff,0x8009ffff,0x3e21fffb,0x7d4004ff,
    0x7d401fc0,0x0feb81ff,0x2003ffcc,0x6400eff8,0x02ffefff,0x007ff900,
    0xeffffe88,0x3f6a60ab,0x02ffffff,0xf887ffee,0x7e4004ff,0x07ff701f,
    0x7c1fffa8,0xff5004ff,0x27ffc43f,0x307fffd0,0x4003fffd,0x3e21fffb,
    0x7c4004ff,0x36007e22,0xfb8003ff,0x7fec004f,0xb9dfe801,0xf98002ff,
    0xffd8005f,0xff5004ff,0x00009fff,0x07ff4000,0x0001ffd8,0x00000000,
    0x5409fff3,0x00003fff,0x2bb60000,0xcc8806d9,0x7fe54003,0x3fee001e,
    0x7dc39004,0x7f44002f,0x7fdc000f,0x7c4001ef,0x00006fff,0x0dff1000,
    0x00003ffc,0x90000000,0xfe801fff,0x0000004f,0x37ff6600,0x26000001,
    0x4c005fff,0x2e0006ff,0x7ec002ff,0x7fcc002f,0xfd8001ff,0x0002ffff,
    0x4ff98000,0x000dff10,0x00000000,0x74037fec,0x000003ff,0x00188000,
    0xffea8000,0xffd000df,0x7fdc0001,0x17fea002,0x13fff200,0x3fbff200,
    0x000006ff,0x503ffb80,0x310009ff,0x4c000013,0xbffd000a,0x01fff980,
    0x000d4c00,0x20035300,0x4002eee8,0xc807ffa8,0x5c0003ff,0xff1002ff,
    0xfff0001d,0xffb8001f,0x22fffd8e,0xd000eeea,0x3bbae5dd,0xeeefffee,
    0xeeffeeee,0x3ff6205e,0x002dffff,0x7ffff644,0x3ffe02df,0x037fec04,
    0x7fff6d40,0x2001dfff,0xfffffeda,0xfff101df,0x3ff20007,0x017fea02,
    0x00bfee00,0x4000ffec,0x4004fffa,0xff50effa,0x07ffd4bf,0xf93fff80,
    0xffffffff,0xffffffff,0xf910dfff,0xffffffff,0xff50019f,0xffffffff,
    0x813ffe09,0x2002fff9,0xffffffd8,0x00cfffff,0x3fffff62,0x0cffffff,
    0xa81fffc4,0x09ff902a,0x0003ffe2,0x200bfee0,0x90004ffb,0x4c005fff,
    0x3fe21fff,0x03ffea6f,0xfc9fffc0,0xffffffff,0xffffffff,0xffd86fff,
    0xffecdeff,0x3f200eff,0xfecdefff,0x7fc0efff,0x1bff603f,0xeffff980,
    0xffffeccd,0xffff304f,0xfffd99bd,0xfff889ff,0x883ffd03,0xffb03fff,
    0x3ee00005,0x37fcc02f,0x3fffb000,0x07ffe600,0xffa9fffa,0x7fff000f,
    0x8827fcc0,0x7fdc06ff,0xffd881ef,0xdfff505f,0x13fff603,0x3e607fff,
    0x3fa002ff,0x3fee02ff,0xfffe80ff,0x3fffee02,0x40fffe20,0xfdadfff9,
    0xffb80eff,0x3ee00004,0x07ff402f,0x1fffd000,0x05ffd100,0x7d43fff6,
    0xfff000ff,0x81ffdc07,0x3e204ffa,0x7e400eff,0xeffe82ff,0x0fffdc00,
    0x3f607fff,0x3fe6006f,0xfffb802f,0x017ffcc2,0xf117ffdc,0x7fec07ff,
    0x81efffff,0x00006ff9,0xf9017fdc,0xff80007f,0xffe8807f,0x47fff203,
    0xf000fffa,0x7fec07ff,0x405ff901,0x8801fffd,0x3ee0ffff,0xffd001ff,
    0xe81fffcd,0x3f2006ff,0xfff1006f,0x006ffc87,0x7c47fff1,0x76cc03ff,
    0x3fa03def,0x0198801f,0xf501cc98,0x200880bf,0xd806fff8,0x7fdc04ff,
    0x01fff52f,0xe80fffe0,0x03ff607f,0x2005fff8,0x3fa2fffb,0x3fea005f,
    0x207fff0f,0x1000fffd,0x7fc00553,0x0154c43f,0x7c47fff0,0x400003ff,
    0xe8803ffc,0xf880007f,0xffda80ff,0xfff83eff,0x02ffec06,0xfa97ffe4,
    0xfff000ff,0x81bfe207,0x3fe207ff,0x3fe2002f,0x013ffe3f,0xff1fff98,
    0x3ffea07f,0x1000001f,0x00009fff,0x7c49fff1,0x200003ff,0xfd005ff9,
    0xfb0000ff,0xffff703f,0xfe8bffff,0x17ff207f,0xa8fffec0,0xff000fff,
    0x13fe607f,0xf502ffc4,0xff8003ff,0x59fff14f,0x55555555,0x3e5fff55,
    0x3ff603ff,0x440003ff,0xffffecba,0x65d44004,0x224ffffe,0x00003fff,
    0xb001fff1,0x8000ffff,0xff984ffb,0xfffca9bf,0x203fff63,0xd000effb,
    0x3fea1fff,0x7fff000f,0x540ffee0,0x3fee04ff,0x7ff4000f,0xffffff55,
    0xffffffff,0x3fe9ffff,0x7ffec03f,0xcb8800ef,0xfffffffe,0x2e204fff,
    0xffffffec,0x3e24ffff,0xb00003ff,0xff9005ff,0x4c000fff,0x9ffb06ff,
    0x7e4bff90,0x77fd41ff,0x9fffe000,0xf000fffa,0x3bbae7ff,0xeeeeefff,
    0xeeeeffee,0x00fff95e,0x3eedffb0,0xffffffff,0xffffffff,0x007fff5f,
    0x03fffff7,0x7fffffe4,0xfffdffff,0xfffff904,0xffbfffff,0x1fffc49f,
    0x27fd4000,0x7ff7fd40,0x3ffa0007,0x2a053301,0x3ffee4ff,0x007ffe64,
    0x2a5fff98,0xff000fff,0x3ffff27f,0xffffffff,0xffffffff,0x001fff76,
    0xff56ffe8,0x5555557f,0x55555555,0x400fffe3,0x80ffffe9,0xeffffffd,
    0x13ffe1bc,0x3ffffff6,0x3ffe1bce,0x00fffe24,0x01dff100,0xfe8eff98,
    0x7ff90007,0x0ffec000,0x3e6ffff1,0x7ec001ff,0x3ffea2ff,0x3fff9800,
    0xfffffff9,0xffffffff,0x2adfffff,0x7c001fff,0x5fff35ff,0x7fff0000,
    0x7ffec400,0x5ffffe43,0x13ffe201,0x037ffff9,0xf127ffc4,0xe80007ff,
    0x7fc401ff,0x000ffd1f,0x4000bff5,0xffd86ffc,0x002ffebf,0x2a3fffcc,
    0xfa800fff,0xf73313ff,0x5333339f,0x33333bff,0x00bffe61,0xf14fff88,
    0xf00007ff,0xfd0007ff,0x0efff8df,0x44fff980,0x9800efff,0x3fe24fff,
    0x3ee0003f,0x7ff4403f,0x1001ffa2,0x10001fff,0xf101dffb,0x007fffff,
    0xa89fffd0,0xfb801fff,0x2ffb83ff,0x8809ff50,0x2a004fff,0x3ffe2fff,
    0x2b326005,0x0007fff1,0x3e63fff7,0xff5003ff,0x1fffcc9f,0x24fffa80,
    0x0003fff8,0xfb00dff3,0x007fe87f,0x40017fec,0x200efff9,0x004ffffc,
    0x986fffc8,0xfd802fff,0x1ffd83ff,0xd005ff90,0x3a001fff,0x3ff60fff,
    0xfffd002f,0x2a0fffe3,0x47ffee01,0xb002fffb,0x7fdc9fff,0xfffb002f,
    0x01fffc49,0x007ff440,0x3333ffea,0x804cfffc,0xb8004ffb,0xf8804fff,
    0x3002ffff,0x103ffffd,0x6401ffff,0xff83ffff,0x003ffa07,0x2017ffe6,
    0x7c45fffb,0x7dc00eff,0x8fffe6ff,0xfd00efea,0x2fffd4ff,0x27fffe40,
    0x900bfff5,0x7c49ffff,0xfc8003ff,0xfffa802f,0xffffffff,0x037fc407,
    0x01fffe40,0xffffffc8,0x7e5440ad,0x3603ffff,0x6440dfff,0x443fffff,
    0x1ffe06ff,0x0efffc80,0x01ffff90,0x103dfff7,0x7c5ffff5,0x3ffea3ff,
    0x25fffb85,0x201ffff8,0x25fffffc,0x201ffff8,0x25fffffc,0x4003fff8,
    0x93005ffa,0xff999999,0xffe8099f,0x7ffe4001,0xddff9001,0xdfffffff,
    0xffffffff,0xffffa803,0xdfffecef,0x7fd43ffd,0x00bff304,0x6fffff44,
    0xfffffdbc,0x3ffffa01,0xffffdbce,0x21fffc3f,0xfccffffb,0x7e40ffff,
    0xebacefff,0x6ffeefff,0x677fffe4,0xeefffeba,0x3ffe26ff,0x3bfe2003,
    0xffd00000,0x007ff900,0xeeefffb8,0x3ee5eeee,0xfffd50ef,0xffffffff,
    0x3ee001bf,0xffffffff,0xfb87ff94,0x09ff502f,0xffffc880,0x1effffff,
    0xfffffc80,0x83ffffff,0xffd83fff,0x1fffffff,0xffffffd0,0x3ea7ffff,
    0x7fff40ff,0x3fffffff,0x3e21fff5,0x3f6003ff,0x3a00001f,0x2ffcc07f,
    0x7ffff400,0x16ffffff,0xfd701fff,0x9fffffff,0xffb30001,0x7e47dfff,
    0x80ffec3f,0x50002ffc,0x9dfffffd,0xffd98005,0x00cfffff,0x3ee07fff,
    0x00dfffff,0x7fffffdc,0x3ffe20df,0xfffffb83,0x3fe20dff,0x7dc0003f,
    0x5c00004f,0x3ffa204c,0x66644000,0xcccccccc,0x22007a63,0x00009aa9,
    0x20006a60,0x2aa602aa,0xaa980000,0x55100000,0x98000035,0x4c0009aa,
    0x80000aaa,0x0000aaa9,0x00333000,0x26200000,0x00000009,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x9800154c,0x02aa8001,0x4cc40000,0x26000000,0x10000009,
    0x00000133,0x00002a62,0x00003310,0x0000ccc0,0x004cc400,0x004c4000,
    0x07fe8000,0xfffecb98,0x6c02bdef,0x200000ff,0xfffffdca,0xd3000bef,
    0x7ffedcbd,0x20000bff,0xfffffec8,0x40000bef,0xceffffeb,0x3009dd70,
    0x9ffffffb,0x7ed40001,0x2dffffff,0xfeb88000,0xacefffff,0xfec98000,
    0x3bae3eff,0x5ff88002,0x3ffff220,0xffffffff,0x05ff701e,0xfffd1000,
    0xffffffff,0xffa8019f,0xffffff96,0x98003fff,0xfffffffd,0x01dfffff,
    0x7ffff440,0xfc8effff,0x3ff6205f,0xffffffff,0x7ff5c002,0xffffffff,
    0xd98002ef,0xffffffff,0x002fffff,0xffffffd1,0x0fff2bff,0x40bfea00,
    0xffffffe8,0xffffffff,0x04ff982f,0x7fffdc00,0xffffffff,0x2a01efff,
    0xdfffdeff,0x1ffffecb,0xbffff900,0xfb753355,0x22007fff,0xdceffffe,
    0x5ffdffff,0x3bffffa0,0x2ffffedc,0xffffd880,0xffffffff,0x2a003fff,
    0xffffffff,0xffffffff,0x3ffa200d,0xffecbdef,0x8003ffde,0xffb00ffd,
    0x26135bff,0x1fffffca,0x10006ff8,0x59dffffb,0x7ffed4c1,0xfff502ff,
    0xff901bff,0xffe880df,0xfc8800be,0x7ec00dff,0xffc80dff,0xffb05fff,
    0xfff701bf,0x7ff4403f,0x5cc1aeff,0x802fffff,0xbcfffffc,0xffb7510a,
    0x3f601dff,0xfff905ff,0xff0007ff,0x3bffe20d,0xfffd8800,0x001ffc85,
    0x04ffffc8,0x3ffffd30,0x0bffff50,0x103fffb8,0x0001bffd,0x540bffd1,
    0x7d404fff,0xffa85fff,0x7ffd405f,0x3bfffa05,0xffff9001,0x7fffdc05,
    0xfff5000e,0x9fff509f,0x3ffffb80,0x827fcc00,0x2001fffb,0xfa87ffe8,
    0x7fcc003f,0xfd8001ef,0xfffa86ff,0x6ffe800f,0x0007ffb0,0x3607ff90,
    0xfd800fff,0xfffc85ff,0x07ffc800,0x001dfff7,0x106fffc8,0x0007ffff,
    0xc81fffd1,0xfe800fff,0x7dc003ff,0x0bffb01f,0x85fff500,0x74005ff8,
    0x20002fff,0x7d44fffe,0xff7004ff,0x409ff70f,0x203cddb9,0xfff81ffd,
    0xbfff3003,0x200dffd0,0x7cc2fff9,0xd0000fff,0xffd03fff,0x7cc0009f,
    0x27ff44ff,0x03fffb80,0xff03ff40,0x3fe000bf,0x007fe84f,0x0017ffee,
    0x41ffff30,0x1001fffa,0x7fc43fff,0xfffff505,0xff107fff,0x01fff88d,
    0x3e17ffe0,0x2b2005ff,0x1fffe409,0xbfff5000,0x006fffa8,0x20fffe80,
    0xf1002fff,0x7c4007ff,0x3fffa05f,0x2aab8000,0xf001ffb8,0x00001fff,
    0x7d45fff9,0x3fe000ff,0x203fee2f,0xebbdfffa,0xffa83fff,0x003ffea2,
    0xff85ffe8,0xff00005f,0xe80001ff,0x7ffe41bc,0xdfa80002,0x03fff30b,
    0x001fffc0,0x7e407ff5,0x800003ff,0xf9804ff9,0x300004ff,0x7fd4bfff,
    0x27ffc007,0xdff50bfd,0x01fff101,0x3ffdcbfd,0x217ff600,0x80006fff,
    0x0005fffa,0x03fffc00,0x3fea0000,0x3ffa000f,0x03ff2003,0x0cffff98,
    0x37fc0000,0x01fffd40,0x4ffff000,0x74006ffa,0x03ff55ff,0xff980fff,
    0xf90ffb84,0xffc800ff,0x00fffd85,0x27ffe400,0xff500000,0x800000df,
    0x2000fffb,0x3e003ffd,0xfffd806f,0x0001beff,0x5c00ffd8,0x00002fff,
    0x7d47fff6,0x7ffc007f,0xff10ff74,0x22013007,0x1fff72ff,0x42ffec00,
    0x0002fffb,0x0017ffec,0x9fff7000,0xfa800000,0x3f6000ff,0x9ff3003f,
    0x3ffff200,0x01bdffff,0x402ffa80,0x0001fffc,0x547fff20,0x7fc007ff,
    0xf50bf92f,0xff00001f,0x007ffea7,0xf985ffe8,0x6c0004ff,0x00001fff,
    0x00ffff20,0xfff30000,0x1fff4003,0x002ffb80,0x3fffffee,0x01cfffff,
    0xe80bff10,0x00000fff,0x7d4bffee,0xff1000ff,0x3213f61f,0xfd00007f,
    0x00bffe69,0xff15fff8,0xffffffff,0x3fa00fff,0x000000ff,0x0007fff6,
    0x5fff1000,0x01fffc00,0x4000ffd8,0xfffffeb8,0x01dfffff,0x7fc07fe8,
    0x5c00007f,0xfff53fff,0x9ffee005,0x06fe83fe,0x22bfb000,0xf5005fff,
    0x3ffe2bff,0xffffffff,0xffff007f,0xfe800000,0x993000ff,0xddddd999,
    0x02fffc9d,0x003fff98,0x88000bff,0xffffffda,0x7e402fff,0x1fffe01f,
    0xfff70000,0x01bffea5,0x9fd2fffc,0x0000ffb0,0xfffc93fa,0x5fffe801,
    0xfffffff1,0x00ffffff,0x0001fffa,0x01fffb00,0x3ffffea0,0x26ffffff,
    0xd801fffc,0xfa803fff,0x4400003f,0xffffffdb,0x80ffea01,0x0000fffe,
    0x54bfff20,0x5c03ffff,0x17f62fff,0x40001ff2,0x3ffe23ff,0x3fff200e,
    0x7fff305f,0x7ffec000,0x32000000,0xf5001fff,0xffffffff,0x7ffc4dff,
    0x7fffcc05,0x01ffc803,0x7fe40000,0x37fc05ff,0x003fffb0,0x8ffff400,
    0x04fffffa,0xfc8dfff9,0x801ffa86,0x2ff883ed,0x85ffffdc,0xfffffea8,
    0x0bfff105,0x07ffec00,0xff900000,0x3326005f,0xffcccccc,0x77ffdc6f,
    0xfffffa80,0x007fe803,0xffd30000,0x07fec01f,0x002fffc8,0x43fffe00,
    0xeffffffa,0xffffedbc,0x220ffd40,0x7fd406ff,0xc80ffb85,0xffffffff,
    0x05fffdff,0x80013ffe,0x0002fffc,0x13ffee00,0x6fff8000,0xbdffffd8,
    0xffffffec,0x027fc403,0x0000dd54,0x5c05fff7,0xfff502ff,0x3e200009,
    0x3ffea6ff,0xffffffea,0x9ff00eff,0x2209ff70,0x5fe81ffe,0x3ffffea0,
    0x9ffd3fff,0x00bffe20,0x04fff980,0x0aceb800,0x000dfff1,0xc837ffc0,
    0xffffffff,0x403fff9e,0x7c402ffb,0x220005ff,0x3e604fff,0x3fffe04f,
    0xffc80000,0x43ffea3f,0x2cfffffc,0x7407fdc0,0xfebabeff,0x2ff983ff,
    0x6ff65440,0x413ffe1b,0x0000fff9,0x00037ffc,0xfb0ffff4,0x200003ff,
    0x3aa06fff,0xf0dfffff,0xffd807ff,0x0fffe800,0x13ffe000,0x7e40fff0,
    0x4c0004ff,0x3ea0ffff,0x00d4c0ff,0x320bff10,0xffffffff,0x006fe883,
    0x40fffe00,0x80006ffb,0x0002fffc,0xf51bffe6,0x20000bff,0x53006fff,
    0x807fff03,0xffb006ff,0x3ea0005f,0x7fe401ff,0x3ffff101,0x7fff4000,
    0x007ffd45,0x03ffb800,0x19dffb93,0x060bff60,0x0bffe200,0x00007ff4,
    0x003fffcc,0x885fffb0,0x0003ffff,0x0006fff8,0x2603fff8,0xff3004ff,
    0xfb0005ff,0x7ff500ff,0x0f7ffdc0,0x7fffe400,0x007ffd40,0x05ffb000,
    0x09ff9000,0x6400fbfa,0xffc80fff,0x3f200003,0xfc8005ff,0xfff307ff,
    0x3220007f,0x80006fff,0x3ee03fff,0x3ffa001f,0xfb1003ff,0xff1009ff,
    0xffffe80b,0xfffd1003,0x1fff505f,0x7fc40000,0xfb10005f,0x7ffec0df,
    0x37ffcc00,0x008affe4,0xffff8800,0xfff9000e,0x7ffe405f,0x3ee000df,
    0x0006ffff,0x3a03fff8,0x7fc4007f,0x21acefff,0xfffffba9,0x80ffd001,
    0xadffffe8,0x7ffdd441,0xfff504ff,0xe8800001,0x8800beff,0x200dfffb,
    0x301dfffb,0xfd85fffd,0xeffffeff,0x36a20abd,0xfffff501,0xfff51039,
    0xffb007ff,0x237bffff,0xfffedba8,0x80000dff,0xff103fff,0xfff3000b,
    0xffffffff,0x03ffffff,0x4017fdc0,0xfffffffd,0xfffffffe,0x3ffea02f,
    0xf9000000,0x33359fff,0x7ffffb55,0x3ffff600,0xfffdcbcf,0x7fffcc5f,
    0xffffffff,0x4fffffff,0x3ffffe60,0xffffeeff,0x2e004fff,0xffffffff,
    0xffffffff,0x200002ef,0xff503fff,0x3f620007,0xffffffff,0x001effff,
    0xb8027fcc,0xffffffff,0x00efffff,0x0007ffd4,0xfffd5000,0xffffffff,
    0x744003bf,0xffffffff,0xffd04fff,0xffdddfff,0xffffffff,0xfffe980f,
    0xffffffff,0xe98002ef,0xffffffff,0x03ffffff,0x3fff8000,0x0001ff90,
    0xffffec98,0x002cefff,0x5001bfe0,0xfffffffd,0x3ea0039f,0x000000ff,
    0xfffffc98,0x0000beff,0x3fffffaa,0x3ee01dff,0xfda880ae,0x0befffff,
    0xffffc980,0x003effff,0xfffeb880,0x0bceffff,0xfff00000,0x000aaa07,
    0x35553100,0x15540000,0xaaa98800,0x00000019,0x33300000,0x31000001,
    0x10013555,0xaaa98003,0x2a660001,0x000001aa,0x006aaa62,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00099880,0x00988000,0x3ffee000,0xf300000f,
    0x80003fff,0x0002eeeb,0x03bffee0,0x9ddb9100,0x3eed8015,0x00ddd500,
    0x20001998,0x059900a8,0x5ef6e540,0x00000009,0xffffec88,0x0000beff,
    0xfffffb10,0xfb000019,0x100007ff,0x01ffffff,0x17ffe400,0xfffd0000,
    0x7fe44003,0x04ffffff,0x5c013ffa,0x6dc407ff,0x01dfffff,0x7dfff910,
    0x200ffe61,0xffffffe9,0x3ffa03ff,0x00fffdc6,0x3fffff66,0xdfffffff,
    0x3fea0001,0x1fffffff,0xfffe8000,0x7fec0000,0x0006ffce,0x000bfff2,
    0x01fffd40,0x3fffff60,0xd05fffff,0x3ee009ff,0x3fff207f,0x4fffffff,
    0xfffffe80,0x01fffeff,0x7fffffd4,0xd04fffff,0xfffb8dff,0x3ffff201,
    0xdba99aad,0x8003ffff,0xfdeffff9,0x0000ffff,0x001fffc4,0xf13fff70,
    0x32000bff,0x00002fff,0xd8009ffd,0xa88adfff,0xfe85fffd,0xfff7004f,
    0x3bffff60,0x4fffffcd,0x2e77fe60,0x05fffffe,0x8dffffcc,0x85fffd98,
    0x7fdc6ffe,0xeffe881f,0xffc8800b,0xfd1000df,0x7fe443ff,0xf980005f,
    0xff50007f,0x1fffd49f,0x04ccc400,0x37fd4000,0x17ffe600,0x742fffd8,
    0xff7004ff,0x3dfff70f,0x05fffd50,0xd7107fea,0xfffd003b,0x0fffe403,
    0xff71bffa,0xdffe883f,0xffe88000,0x7fff3005,0x001fffe0,0x000e6540,
    0x65c2665c,0x000000cc,0x00ccb800,0x403ffec0,0x7ff45ffd,0x8fff7004,
    0x200efff8,0x0006fff9,0x3fff9800,0x004ffe80,0x00fff600,0x00fff200,
    0x6403ffee,0x00000fff,0x00000000,0x00000000,0x27ffcc00,0xd0fffd40,
    0x3ee009ff,0x17ffdc7f,0x007ffec0,0x3ff20000,0x0dff9007,0x93fee000,
    0x99999998,0x00ffec00,0x6403ffee,0x300007ff,0x4c000015,0xe980000a,
    0x300000ee,0x7fdc0015,0xfff8801f,0x4013ffa4,0x7ff47ffb,0x159b1006,
    0x000d4c00,0x2e00bfb7,0x40000fff,0x7fe45ff8,0x2effffff,0xa80dff10,
    0xffd03fff,0x3b220009,0x02dfffff,0x7fff6440,0x50002dff,0x20001fff,
    0xfffffec8,0x37fec02d,0x74dffb00,0xff7004ff,0x027ffc4f,0x7f6d4000,
    0x01dfffff,0x3ff60010,0xffb80006,0x7ffffe40,0x504fffff,0x7fc405ff,
    0x7ffd41ff,0xfffa8001,0x4fffffff,0xfffff500,0x009fffff,0x000fff70,
    0x3fffffea,0x3a04ffff,0x3ee005ff,0x013ffa7f,0xff33ffdc,0x4400007f,
    0xfffffffd,0x000cffff,0x409fff00,0xfd02eee8,0x310ff90b,0x3fa03ffd,
    0x77ffe405,0x00dfff70,0xbdffff90,0x1dffffd9,0x77fffe40,0xeffffecd,
    0x1bff2000,0x3ffff200,0xffffecde,0x27ffc40e,0x23fff700,0xf7005ffe,
    0x17ffd4ff,0xfff98000,0xffeccdef,0x80004fff,0x2201fffd,0xffa83fff,
    0x2607fc81,0x1ff703ff,0xdefffe80,0xa8005fff,0xfb01efff,0x3fea09ff,
    0xfffb01ef,0x3ffe2009,0x7ffd4005,0x9fffb01e,0x004fff88,0x7f4bffea,
    0xfff7005f,0x000fffd4,0x02fffe80,0x003fffee,0x3fffae60,0x1fffc403,
    0x7fc83fdc,0x440ffe20,0x7fcc02ff,0x003fffff,0x801dffd0,0xfe81fffb,
    0x7fdc00ef,0xfffd801f,0x77ff4001,0x0fffdc00,0x4007fff1,0xffd2fffa,
    0x9fff200b,0x0002fff9,0x802fff98,0x2002fffb,0x1ffffffd,0x83fff880,
    0x0ff905fc,0xff007fe4,0xffffb007,0x3ee0003f,0xffd001ff,0x01fffb8d,
    0xd80dffd0,0x5c004fff,0xfd001fff,0x17ffccdf,0x25fff300,0xfb006ffe,
    0x17ffc4ff,0x37fe4000,0x03fff880,0xffffff10,0xfff10019,0x3209fb07,
    0xca9999ff,0x27f405ff,0xfffffd50,0x3fa0003f,0x3fea005f,0x017ffa0f,
    0xb00fffa8,0x8001dfff,0x2a005ffe,0xfff30fff,0x7ffcc005,0x200fffd3,
    0x7ffc7ffe,0x82aee003,0x3e002a98,0xff3003ff,0x09ffffff,0xe83fff88,
    0xffff903f,0x01bfffff,0xff905fd8,0x1fffffff,0x09fff000,0xf0fffcc0,
    0x7cc009ff,0x7fec41ff,0xff8000df,0x3fe6004f,0x05fff31f,0xe9fffcc0,
    0x7cc02fff,0x2fff47ff,0x007fff00,0x04fff880,0x7fdcc310,0x3fe205ff,
    0x904fe83f,0xbfffffff,0x213fa003,0xe8affffd,0x0aa86fff,0xaacfff88,
    0xaaaaaaaa,0xff12fffa,0x5555559f,0xfff55555,0x05fffd85,0x59fff100,
    0x55555555,0x225fff55,0x26002fff,0xfffd2fff,0x3ffa201f,0x0fffe47f,
    0x00fffd40,0xffd97510,0x880009ff,0xf103fffe,0x0bfb07ff,0xffc99ff2,
    0xd87ff003,0x3e60efff,0x3fe24fff,0x7fffd45f,0xffffffff,0x54ffffff,
    0xffffffff,0xffffffff,0x7ffe49ff,0x3fea0005,0xffffffff,0xffffffff,
    0x800fffe4,0xffd2fffa,0xfea85dff,0x7fc47fff,0x6ffe805f,0x3ffb2e20,
    0xffffffff,0xff880004,0x7fff107f,0x3f20df90,0x401ffb87,0x3fe62ff8,
    0xfffa80ef,0x89fff52f,0xfffffffb,0xffffffff,0xfff75fff,0xffffffff,
    0xbfffffff,0x001bffe2,0xffffff70,0xffffffff,0x7fcbffff,0x3fea004f,
    0xfffffd1f,0xdffffdff,0xfff70fff,0xfffb101d,0x3ffff205,0xfdffffff,
    0x900004ff,0xff103fff,0x03ff507f,0x3ffa0ff9,0xd83fee00,0x3f202fff,
    0xfffd9fff,0x55fffd41,0xaaaaaaaa,0xf51aaaaa,0x555557ff,0x55555555,
    0x07ffea35,0x7fff5000,0x55555555,0x43555555,0x2e004ffe,0xbffd0fff,
    0xfffffffb,0x3a0fff3d,0xdbbdffff,0xfb04ffff,0x79dfffff,0x0027ffc3,
    0x82fffa80,0xff03fff8,0x260ff909,0x17fa05ff,0xfb00ffff,0x0dfffdff,
    0x0005fff3,0x005fff30,0x00fff900,0x7ffcc098,0xffb00002,0x3ffe400b,
    0x3ff29ffd,0xff88dfff,0x3ffff207,0x04ffffff,0x037ffff9,0x0027ffc4,
    0x83fff980,0xf703fff8,0x207fc81f,0xff982ffc,0x013ffe22,0x3fffffa2,
    0x3fff883f,0xfff88000,0xffe80003,0x3ffe2006,0x007fff13,0x01fff200,
    0x3fa5ffe8,0x000d4c4f,0xfffffd30,0x7ffc03df,0xfff9800e,0x00bfb624,
    0x882fffa8,0xff103fff,0x2207fc8b,0x3fa20fff,0x027ffc46,0x6fffff88,
    0x8017ffe0,0x3fe1acc9,0x3326005f,0x00fffb1a,0xff17ffdc,0x664c00bf,
    0x0bffe61a,0xe8fffe60,0x000004ff,0x00273fe6,0x2007fff3,0x7fc4fffa,
    0x3fee005f,0x3fff880f,0xeb8ffee0,0xb1f75405,0xdfff05ff,0x7fffd400,
    0x0bfff604,0xb0ffff40,0x3a005fff,0xfff71fff,0x1fffa005,0x2005fffb,
    0x7f41fffe,0xfffc805f,0x0013ffa0,0x0cffc800,0x02fffb80,0xd89fffb0,
    0xf8800fff,0xfff107ff,0x02ffd807,0x04ffc800,0x2005fffd,0x03fffffd,
    0x801dfff1,0x7c46fffb,0x7dc00eff,0x3ffe66ff,0x7ffdc00f,0x077ffc45,
    0x21bffee0,0x2601fffa,0x7ff45fff,0x2e000004,0x5404fffe,0xfc805fff,
    0x7fdc4fff,0xfffd805f,0x07fff103,0x005fff88,0x40dffb10,0x200efffa,
    0xffffffe8,0xdfff703f,0xffff5103,0x3dfff705,0x5ffff510,0x01efffc8,
    0x701ffff7,0x5103dfff,0x3a05ffff,0xff982fff,0x27ff41ff,0x7c400000,
    0x3fe200ff,0x3ff201ff,0xffd85fff,0xffd880cf,0x3ffe205f,0xeffe8803,
    0xffb8800b,0x7fec00df,0x7f5441ff,0xffffefff,0xdffffd03,0xfffffb79,
    0x7ffff407,0xffffdbce,0xffffd03f,0xfffdb79d,0x7fff405f,0xfffdbcef,
    0x3fea03ff,0xffdbceff,0x4ffe83ff,0xf8800000,0x7fe402ff,0xfebaceff,
    0x86ffeeff,0xbcfffff8,0x0fffffdb,0x00fffe20,0xacffffc8,0xffdaa999,
    0xfd1003ff,0xffdbffff,0xfd11dfff,0x3f209fff,0xffffffff,0xffc803ff,
    0xffffffff,0x3ff2203f,0xffffffff,0xfffc802f,0xffffffff,0xffff9803,
    0x04ffffff,0x00009ffd,0xfffd9970,0xfffd001f,0x7fffffff,0x2603ffea,
    0xfffffffe,0x4400dfff,0x54003fff,0xfffffffe,0x01dfffff,0x7fffec40,
    0x84ffffff,0x2602fffd,0xfffffffd,0x3f66000c,0x0cffffff,0xffffb300,
    0x40019fff,0xffffffd9,0x362000cf,0x1dffffff,0x0013ffa0,0x3ffffe00,
    0x3ee001ff,0x0dffffff,0xa80fffe2,0xefffffff,0x7fff1002,0x3ff26000,
    0x0befffff,0x7ff5c000,0x202dffff,0x2a2003fd,0x880001aa,0x40001aaa,
    0x00009aa8,0x001aaa88,0x009aa880,0xd8000000,0x000bdeee,0x00155530,
    0x0d5cc400,0x1fffc400,0x09998000,0x2a600000,0x000a000a,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00ffffcc,0x55555540,0xaaaaaaaa,0xddb73000,0x7000019b,
    0x4001dfff,0x004fffe8,0xdeedc980,0xb750002c,0x00017bdd,0x82cc8054,
    0x40005eec,0x3aa04eed,0x00c884ee,0x17fffcc0,0x04cc4000,0xffff1000,
    0x7c4001ff,0xffffffff,0x403fffff,0xffffffe8,0x20000cff,0x8001ffff,
    0x000ffff8,0xfffffb10,0x2001bfff,0xffffffe8,0x322004ff,0xf31befff,
    0x0fffd07f,0x06fff800,0x4477ffd4,0x22004ffc,0x00fffffe,0xffffd980,
    0x6c002eff,0x06ffdeff,0x3ffffe60,0xffffffff,0x3ffea03f,0xffffffff,
    0xfff70006,0x7fcc0005,0xff88004f,0xffffffff,0x7fd402ff,0xffffffff,
    0xffd800ef,0xffefffff,0x07ffe82f,0x037ffc00,0x7fffff44,0x3f6002ef,
    0x006ffcef,0x3fffff22,0x01efffff,0xf89fffc8,0xff7004ff,0xffffffff,
    0x2a07ffff,0x512cffff,0x0009fffd,0x00009ffd,0x8001fff7,0x261dfffe,
    0x300ffffc,0x215bffff,0x00efffc9,0x3ae77fe6,0xd05fffff,0xf8000fff,
    0xff5006ff,0xb8005dff,0xffe89fff,0xffffb005,0xffffd9bd,0x7ffd403f,
    0x00fffea4,0x0001bff2,0x880ffff4,0x2001fffe,0x00006ffa,0xb8013ff2,
    0x3ea04fff,0xfffd05ff,0x27ffd409,0xb885ff50,0x3ffa01de,0x7ffc0007,
    0x7fff5406,0x26000fff,0x3fea4fff,0x7ffe403f,0xfffd882e,0x0999700e,
    0xe8019997,0xa80004ff,0x7d403fff,0x32e003ff,0x6400000c,0x3ffa004c,
    0x87ffd806,0xb805fffb,0x00001fff,0x003fff40,0x4c1bffe0,0xfe9cffff,
    0x332e005f,0x00cccb84,0x801ffff3,0x0004fffc,0x05fff000,0x0bffd000,
    0x001bffa0,0x00000000,0xa804fff8,0x7fec1fff,0x9ffd000f,0xfe800000,
    0x7fc0007f,0x19ff106f,0x001fffcc,0x3fee0000,0xfffd002f,0x000d4c00,
    0x0007ffe6,0x001fff50,0x30006aa6,0x4c000035,0x3fe2001a,0xfff9803f,
    0x002fffc2,0x4400dff9,0xffd00099,0xfff8000f,0x7dc02a06,0x988001ff,
    0x3ffa0009,0x3ffee007,0xfffdb500,0xa803bfff,0xd80007ff,0x000005ff,
    0xfffffdb5,0x6d4003bf,0xdffffffe,0x027ff401,0xf107ffd4,0x7dc007ff,
    0x3f6200ff,0x02dfffff,0x0001fffa,0xba80dfff,0xffe9bded,0xfffb1006,
    0x4405bfff,0x2a004fff,0x7ec42fff,0xffffffff,0xff900cff,0xffd0000d,
    0xd8800007,0xffffffff,0x2200cfff,0xfffffffd,0x900cffff,0xff900dff,
    0x02fff98d,0x20bffea0,0xffffffc8,0xe80cffff,0x7c0007ff,0xffd306ff,
    0xffffffff,0x7fe4405f,0xffffffff,0x0353100c,0x307ffdc0,0x99bdffff,
    0x09fffffd,0x76d53ff6,0x7c01ceff,0x665441ff,0xfff3001a,0xffd99bdf,
    0x3e609fff,0xeccdefff,0x504fffff,0x7d409fff,0x7ffcc4ff,0x3ffea002,
    0xeffffd82,0xeffffecd,0x003fff40,0x2e1bffe0,0xffffffff,0x206fffff,
    0xcdeffffd,0x00effffe,0x1bff6000,0x5c05fffd,0xff80ffff,0xfffffedf,
    0x3fe04fff,0xffffd31f,0xfe803dff,0x3fee02ff,0xfffe80ff,0x3fffee02,
    0x3bfff700,0x37fff261,0x004fff80,0xf70ffff2,0xfb103dff,0x7ffe8bff,
    0x37ffc000,0x82ffffea,0x2fffffb8,0x81efffb8,0x005fffd8,0x49fff300,
    0xb802fff9,0x7fc42fff,0xffffffff,0x441effff,0xfff98fff,0x3fffffff,
    0x005fff30,0xf985fff7,0xffb802ff,0x3ffa602f,0x3fffffff,0x801bffa0,
    0x3e23fffe,0x7e400eff,0x1fffa2ff,0x8dfff000,0x2601fffe,0x7c44fffe,
    0x7e400eff,0x4c0002ff,0x3f20ffff,0xfff1006f,0xfffff987,0xffc988ac,
    0x7ffcc6ff,0xcbcdfffa,0xc82ffffe,0xff1006ff,0x06ffc87f,0x807fff10,
    0xfffffffa,0x7ffec04f,0xffffa802,0x007fff64,0x743fffe2,0x7c0007ff,
    0x3ffee6ff,0x7fffa802,0x400fffec,0x000ffff8,0x85ffff30,0x3e002a98,
    0x7ffdc3ff,0x3ffa600e,0x3fffea3f,0xfff701ef,0x02a9881f,0x310fffe0,
    0x7ffc0055,0xfffff503,0x7fffffff,0x07fffe20,0x4ffffe98,0xb8017ffe,
    0xfffd2fff,0x6fff8000,0xd801bffe,0x3ffe1fff,0x3ffee005,0xfff98002,
    0xf100003f,0xdcb989ff,0xffff9800,0x1fffff70,0x04fffb80,0x4fff8800,
    0xfff88000,0xbffffb84,0x3fffea21,0x9ffff704,0x7f7fdc43,0x5fff13ff,
    0x9fffc400,0x40007ffe,0xfff16fff,0x7ffd4007,0x005fff13,0x001fffc4,
    0x00ffffea,0x7f65d440,0x00004fff,0x3ea3fff9,0xfd002fff,0xba8800ff,
    0x04ffffec,0x7f65d440,0x7fcc4fff,0x3f6200ef,0xfffd02ff,0xdfffffff,
    0x3ea7fff1,0x7fc001ff,0x00fffd4f,0xf36fff80,0x7c4005ff,0x3fff54ff,
    0x04fff800,0x0bfffe20,0x7ff65c40,0xffffffff,0xff300004,0x1fffe67f,
    0x01fffa80,0xffffd971,0x09ffffff,0x7fff65c4,0x4fffffff,0x400fffec,
    0x3206fff8,0xffffffff,0x2e5fff0e,0x74000fff,0x0fffb5ff,0x56fff800,
    0xf8003fff,0x1fff74ff,0x05ffe800,0x00bfff60,0x7fffffe4,0xfffdffff,
    0xff100004,0x17ffe29f,0x82fff980,0xfffffffc,0x4fffdfff,0xffffff90,
    0xfffbffff,0x02fffc49,0x403fff70,0x2ceffed9,0x7e4bffe2,0xffd8007f,
    0x000fffb6,0xfbafffc4,0x7fc000ff,0x00fff95f,0x200dffb0,0xb004fff8,
    0x9dffffff,0x027ffc37,0x4bfff000,0x22004fff,0x7fec3fff,0x1bceffff,
    0x3f613ffe,0xbcefffff,0xf993ffe1,0x3e6003ff,0x011003ff,0x7dc7ffe6,
    0x7f4000ff,0x01fff96f,0x57ffe600,0x4000fffb,0xfff74fff,0x6ffe8001,
    0x01fff500,0x37ffff90,0x027ffc40,0x4fff8800,0x88017ffe,0x3ff22fff,
    0x3e201bff,0x7ffe44ff,0x3fe201bf,0x0bffea4f,0x009fff00,0x54fff700,
    0x7c001fff,0x3fff95ff,0x3ffea000,0x003fff54,0xfa9fffc4,0x7fc001ff,
    0xdff7005f,0x03bffe00,0x893ffe60,0x26002edc,0x3ffa2fff,0x3ffe6007,
    0x003bffe0,0xff13ffe6,0xff3001df,0x1fffcc9f,0x07fff100,0x4bffd000,
    0x2002fff9,0xff54fff8,0x3ee0007f,0x5fff32ff,0x97ffcc00,0x2002fff9,
    0x9004fff8,0xff300dff,0x3fea007f,0x02fffc4f,0x5c3fff70,0xf7001fff,
    0x1fffccdf,0x24fffa80,0x5003fff9,0xfff89fff,0x3ffe6005,0x4017bae1,
    0x3e23fff9,0x3ea004ff,0xdfff12ff,0x3fffe000,0x009fff10,0xf88fffe4,
    0x3ea004ff,0xdd9002ff,0x5fff7009,0x13fff600,0x1001fffb,0xff88dfff,
    0x9ffd004f,0x8017ffdc,0x3ee4fffd,0xffb002ff,0x0fffe89f,0x41fff900,
    0xf9007ffb,0xfffe81ff,0x1fffd000,0x0027fff4,0xfb1bffee,0xff1001ff,
    0x0fffe8df,0x01fffd00,0x3fea0000,0xfffc805f,0x2fffdc4f,0x417ffe40,
    0x5c03fffb,0x3fea2fff,0xfffc805f,0x17ffea4f,0x13ffff20,0x500bfff7,
    0xff88bfff,0x7ffd403f,0x05fff983,0x5c5fffb8,0x5003ffff,0xf985ffff,
    0xffc805ff,0x2fffcc2f,0x02fffdc0,0xfff10000,0x7ffe403f,0xfffe85ff,
    0xfffd880d,0x5ffff105,0x113fff20,0x6403ffff,0x225fffff,0x3201ffff,
    0xd85fffff,0xf700dfff,0xffb01fff,0xfff7017f,0x3fff201f,0xffff900e,
    0xdffffd01,0x3aa62159,0xfb06ffff,0xfb101bff,0x3ff20bff,0xfff900ef,
    0x8000001f,0xaceffffc,0xfeefffeb,0xffff886f,0xfffdbbcf,0x3fea00df,
    0xfecbdfff,0xfff905ff,0xffd759df,0xc8dffddf,0xbaceffff,0xffeefffe,
    0xfffff886,0xfffecbce,0xffff102f,0xffffb7bf,0x7ff4403f,0xffdbcdff,
    0xfd101fff,0xffffffff,0x1dffffff,0x6ffffec0,0xfffffdbb,0xffffd100,
    0xffffb79b,0xfff8003f,0xfffd000f,0x7fffffff,0x2603ffea,0xfffffffe,
    0xd1004fff,0xffffffff,0xfffe80df,0x3fffffff,0xfe81fff5,0xffffffff,
    0x01fff53f,0xffffffb1,0x803dffff,0xfffffff9,0x8801efff,0xfffffffc,
    0x4401efff,0xfffffffd,0x05ffffff,0xffffff90,0x801bffff,0xffffffc8,
    0x001effff,0x000ffff8,0x3fffffee,0x3ffe20df,0x3fffee03,0x8002dfff,
    0xdfffffec,0xffff7003,0x7c41bfff,0xfffb83ff,0x220dffff,0x3aa03fff,
    0x3fffffff,0x3fff2200,0x8003ffff,0xefffffea,0x7e4c002c,0xffffffff,
    0x7ed4001c,0x02efffff,0x7ffff540,0x20002cef,0x8000ffff,0x0000aaa9,
    0x002aa620,0x00d4c400,0x01555300,0x15553000,0xaa980000,0x54c00009,
    0x300001aa,0x20000155,0x019aaa99,0x03551000,0x02aa6000,0x7fffc000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xdd900000,0xfffd800d,0x3fff2005,0x3fee0006,
    0x000000ff,0x00266200,0x03fffee0,0x3ffff300,0x77400000,0x01ddd32e,
    0x3eee8800,0x01f76c00,0x0f777440,0xdb950000,0x000179bf,0x003ffec0,
    0x001dfff1,0x002fffe8,0x013fff20,0x4c00b500,0x03ffffec,0x00ffff40,
    0x3ffffe20,0xf000000f,0x3ffea7ff,0xffe80000,0x3ffe6007,0xfffb8001,
    0xe980004f,0xffffffff,0xfb00003f,0x7fe400ff,0xff88001f,0x7f40006f,
    0xd88000ff,0xfff1006f,0x4005ffff,0x8003fffa,0x6ffdeffe,0xfff00000,
    0x003ffea7,0x0bffee00,0x0037fe40,0x0fffffe8,0x3ffee000,0xffffffff,
    0xfd80006f,0xfff1007f,0x7fcc0007,0x3a20002f,0xfd8003ff,0xfffd006f,
    0x4001ffff,0xc8005ffe,0xfff89fff,0xff800004,0x01fff53f,0x9fff1000,
    0x00fffe00,0x3fbbfe60,0xff30003f,0x2e6139ff,0x0004ffff,0xc803ffec,
    0xa80004ff,0x4c0006ff,0xfd8007ff,0xfff9806f,0xfa8000ae,0xffa8006f,
    0x0fffea3f,0x7fff0000,0x0003ffea,0x403ffec0,0x8000fffa,0x6ffccffc,
    0xfffe8800,0x3fffa201,0x3ff60002,0x00999007,0x00665c00,0x00732a00,
    0x500dffb0,0x40007fff,0xc8000ccb,0xcccb84cc,0x3fe00000,0x01fff53f,
    0x3ffea000,0x02ffec02,0xf9afff80,0x7d4001ff,0xff8803ff,0x3f60005f,
    0x0000007f,0x00000000,0x806ffd80,0x0001fffb,0x00000000,0x7fff0000,
    0x0003ffea,0x205fff80,0x8002fff8,0xfff0fffa,0x6ffc800b,0x01fff600,
    0x007ffd80,0x00000000,0x00099880,0xb806ffd8,0x440007ff,0x00000099,
    0x80cc4000,0xfff53fff,0x90003301,0x3ee01fff,0xfd8000ff,0x03fff25f,
    0x005ffe80,0x0003ffee,0xdd53ffec,0x3bba001d,0x001ddd52,0xd880bbba,
    0x2dffffff,0x3fffba60,0xfb81eeef,0xfd88007f,0x02dfffff,0x4003bbaa,
    0x3ae02eee,0x3e3effff,0x1fff53ff,0x3bffffae,0x7fff3003,0x0013ffa0,
    0xf98fffe2,0x32a003ff,0x3fee003c,0xffb0000f,0x007ffd4f,0xff53fff8,
    0x3ffe001f,0xffffc883,0x0cffffff,0xffffff98,0xddd72fff,0x1ddddfff,
    0x3ffff220,0x0cffffff,0x000fffa8,0xfd107fff,0xbfffffff,0x3ea7fff1,
    0xffffc9ff,0x800effff,0xff986ffe,0xffb8001f,0x037ff40f,0x7fec0000,
    0x3ff60007,0x003ffea7,0xffa9fffc,0x7fff000f,0xbdffffb0,0x1dffffd9,
    0xffffee98,0xfff91eee,0x1fffffff,0x3bffff60,0xeffffecd,0x007ffd40,
    0x7443fff8,0xfdceffff,0x53fffeff,0xdfffdfff,0x3fffffb9,0x40fffb80,
    0xd0006ffc,0xfff70bff,0x44000003,0x20005fff,0x3fea7ffd,0x7fff000f,
    0x4003ffea,0x7fdc3fff,0xffd881ef,0x1bff605f,0x7fff775c,0xfb80eeee,
    0xfd881eff,0x7ffd45ff,0x87fff000,0xc80dfffd,0xf53fffff,0xb01bffff,
    0xf880dfff,0x27ff43ff,0x17ffcc00,0x002fffc4,0x7fff9000,0x3ffec000,
    0x2001fff5,0xfff53fff,0x8fffe001,0x400efff8,0xfb02fffc,0xfff700df,
    0x1dfff100,0x22fffc80,0xf000fffa,0x7ffd47ff,0x7fffdc04,0x0bffff53,
    0x402fffc8,0x3fe66ffd,0xffd8000f,0x03fff607,0x3fe60000,0x7ec0006f,
    0x03ffea7f,0xfa9fffc0,0xfff000ff,0x00fffec7,0x407fffc4,0xfb806ffd,
    0xfffd807f,0xffff8801,0x001fff50,0xffd8fffe,0xfffe800f,0x01ffff53,
    0xa80dfff0,0xdff91fff,0x9fff1000,0x01fffd40,0x3ffe6000,0x7ec0000f,
    0x03ffea7f,0xfa9fffc0,0xfff000ff,0x002fffc7,0xfb05fff7,0xfff700df,
    0x00bfff00,0xfa97ffdc,0xfff000ff,0x8027ff47,0xff53fffb,0x3fee009f,
    0x9fffc00f,0xb8003ffe,0x7fc01fff,0x2200006f,0x0003ffff,0x3ea7ffd8,
    0xfff000ff,0x003ffea7,0xff89fffc,0x3fe2002f,0x06ffd83f,0x4407ffb8,
    0x22002fff,0xfff53fff,0x8fffe001,0xf1002fff,0x3ffea7ff,0x5fff3001,
    0xf8effc80,0xfe8000ff,0xfffc806f,0xff980002,0xb00004ff,0x7ffd4fff,
    0x27fff000,0xf000fffa,0x3ffea7ff,0x27ffc001,0x5c037fec,0x7fd407ff,
    0x7ffc001f,0x001fff54,0x7fccfffe,0x3ffe001f,0x001fff53,0x100fffe2,
    0x0bff9fff,0x07fff300,0x00bfff30,0x4ffffa80,0x3ff60000,0x003ffea7,
    0xffa9fffc,0x7fff000f,0x0003ffee,0xffb0bffd,0x0fff700d,0x000fffb8,
    0xffaafff4,0x7fff000f,0x8003ffea,0xfff53ffe,0x04fff800,0x2fffffe8,
    0xefffc800,0xeeeeeeee,0x000ffffe,0x09ffff70,0x7ffd8000,0x4003ffea,
    0xfff53fff,0x4fffe001,0xd8007ffc,0x6ffd86ff,0x407ffb80,0xd8007ffc,
    0x1fff56ff,0x64fffe00,0x7ec007ff,0x00dff53f,0xb805ffe8,0x0007ffff,
    0xffffffff,0xffffffff,0xf90009ff,0x00007fff,0x7d4fffb0,0xfff000ff,
    0x003ffea7,0xffb9fffc,0x7ff4000f,0x806ffd86,0x7dc07ffb,0x7f4000ff,
    0x01fff56f,0x7dcfffe0,0x3fa000ff,0x00fff53f,0x8804fff8,0x8004ffff,
    0xfffffffa,0xffffffff,0x6c007fff,0x1002ffff,0xffd00575,0x007ffd4f,
    0xfa9fffcc,0xff9800ff,0x03fff53f,0xd85fff80,0xffb806ff,0x0fffd407,
    0x557ffe00,0xf9800fff,0x3fff33ff,0xa9fffc00,0x3e2007ff,0xffb003ff,
    0xffb0003f,0x3333333f,0xffb33333,0xffb1005f,0x7ec003ff,0x6fff805f,
    0x2003ffea,0xff53fffa,0xfff5001f,0x00bffe67,0xd84fff88,0xffb806ff,
    0x17ffcc07,0x29fff100,0xa800fffa,0x3ffe3fff,0x4fffe002,0x3000fffa,
    0x32003fff,0xf88006ff,0xfa8005ff,0x7f4405ff,0x64000eff,0xfff806ff,
    0x007ffea6,0x7d4fffee,0xffb801ff,0x09fff13f,0x417ffd40,0xfb806ffd,
    0x7ffc407f,0x3ffea004,0x003fff52,0x7f47fff7,0xfff3004f,0x00fffea7,
    0x8007ffdc,0xb8002fff,0xd0002fff,0x7ec01fff,0xb8000eff,0x3e600fff,
    0x3ffe64ff,0x3fffd802,0xb005fff3,0x7ff47fff,0xfffd000f,0x00dff901,
    0xfd00fff7,0x3fa001ff,0x5fff30ff,0x47fffb00,0xd800fffc,0xfff53fff,
    0xdfff100b,0x01ffea00,0x003fff40,0x209fff90,0x0005fffb,0xe813ffea,
    0x3fe22fff,0x3ff200ff,0xffff13ff,0x7fffe401,0x017ffe63,0x6417ffee,
    0xffb807ff,0x5fff9807,0x25fffb80,0x200ffff8,0x2a3ffffc,0x7d405fff,
    0xfff53fff,0xfffc807f,0x09ffd001,0x09fff300,0x3fffc400,0x0077ffc4,
    0x33fffa00,0xffffb510,0x0dfffd81,0x7ffffe44,0x037fff63,0x7fffff91,
    0x00efffc8,0x201ffff9,0x088bfffc,0x9007ffb8,0x3201dfff,0x7ec0ffff,
    0x7e440dff,0x7ec3ffff,0xffa80dff,0xfff53fff,0x3ff607ff,0x7ecc105f,
    0xfc8000ff,0x6c0001ff,0x7fec2fff,0xaaaaaacf,0x0aaaaaaa,0x3fffffea,
    0x83ffffff,0xcefffffa,0xffddfffe,0x3ffffea3,0xddfffece,0x7ff443ff,
    0xffdbcdff,0x3ea01fff,0xb83fffff,0xfd1007ff,0xfb79bfff,0xf503ffff,
    0xfd9dffff,0x87ffbbff,0xbdffffe8,0xffeeffec,0xffdfff53,0xffffb7bf,
    0x3fffa01d,0xf0003fff,0x50000dff,0x7fccbfff,0xffffffff,0xffffffff,
    0x7ffffe41,0x204fffff,0xfffffffb,0x87ff94ff,0xfffffffb,0x07ff94ff,
    0xffffff91,0x003dffff,0x09fffffd,0x4400fff7,0xfffffffc,0x2e01efff,
    0xffffffff,0x107ff94f,0xfffffffd,0x27ffb1df,0xffd8effa,0x0dffffff,
    0x3fffff60,0xfff50005,0x3fe00007,0xffff71ff,0xffffffff,0x03ffffff,
    0xdfffffd3,0xffb30039,0x7e47dfff,0xfffd983f,0x3ff23eff,0x3fffaa03,
    0x2002ceff,0x86ffffd8,0xa8007ffb,0xcefffffe,0xfffb3002,0x7fe47dff,
    0x3fffae03,0x7ffb0dff,0xffd9bfea,0xc803efff,0x0005ffff,0x0003fff6,
    0xda7ffe40,0xffffffff,0xffffffff,0x2a6201ff,0x2a60000a,0x1a980001,
    0x2aa60000,0x09880000,0x000fff70,0x0000aa98,0x80000d4c,0x00001aa9,
    0x98001551,0x0000001a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26051000,
    0x5c0000cc,0x3bb203ee,0xee88000d,0x7777745e,0xdeeeeeee,0x774c00ac,
    0xddddb03e,0xdddddddd,0x55400379,0xaaaaaaaa,0xaaaaaaaa,0x261ddd51,
    0x20000eee,0xdd35eeea,0x03bba61d,0x9fffd000,0xddddddb0,0x79dddddd,
    0x3f200003,0x3ff66007,0x1ff90adf,0x7ffcc000,0x13ffe604,0x0ffff200,
    0xffffffff,0xffffffff,0x27ffcc09,0xffffffe8,0xffffffff,0x7fc401df,
    0xffffffff,0xffffffff,0x2a1fff54,0x20001fff,0xff56fffb,0x03ffea3f,
    0xffff1000,0xfffffe81,0xffffffff,0x20001dff,0xf1007ffb,0xdfffffff,
    0x44000dff,0x6c04fffe,0x22001fff,0xfff86fff,0xffffffff,0x05ffffff,
    0x3a09fff3,0xffffffff,0xffffffff,0xfff101ef,0xffffffff,0x9fffffff,
    0x7d43ffea,0x2e0001ff,0xfff56fff,0x003ffea3,0x13ffe600,0xfffffffd,
    0xffffffff,0x98003dff,0xf9007fff,0xffff937f,0x640005ff,0x4404ffff,
    0x36005fff,0xfff82fff,0xccccccce,0xdffffedc,0x827ffcc0,0xccccfffe,
    0xffeccccc,0xf881ffff,0xffffffff,0xffffffff,0x21fff52f,0x0001fffa,
    0x7d5bffee,0x1fff51ff,0x3fee0000,0x33fffa0f,0xdccccccc,0x1ffffffe,
    0xfffff100,0x261ff600,0x20000bec,0x04fffffa,0x801fffc8,0xff06fff9,
    0x7fd400bf,0x7ffcc2ff,0x00fffd04,0x7ffffe44,0xff500000,0x87ffd49f,
    0x0001fffa,0x4c5bffee,0x03ffea19,0x4ffc8000,0x8801fffa,0x00fffffb,
    0x3fffffd4,0x00000000,0x9ffffff1,0x0dfff100,0x203fffb0,0x4c005fff,
    0x7fcc5fff,0x0fffd04f,0xbfffd300,0xfff10000,0x50fffa8b,0x40003fff,
    0x5406fffb,0x00000fff,0xfffd2664,0xffff1000,0x3fff620b,0x00007fff,
    0x3ff60000,0x7004fffc,0x7d405fff,0x3ffe05ff,0x7ffe8005,0xe827ffcc,
    0xf30007ff,0x80003fff,0x7d40effe,0x3fff50ff,0x7ffdc000,0x07ffd406,
    0x7f400000,0xff30007f,0xfffb83ff,0x007ffeff,0x00005440,0x7ffdbfee,
    0x3fffa004,0x01fffd00,0x4002fffc,0x3e61fffc,0xfffd04ff,0x7ffe4000,
    0x3ff20005,0x0fffa82f,0x0003fff5,0x202fffdc,0xa880fffa,0xffd00000,
    0x7fdc000f,0x3ffff25f,0x207ffb8e,0x3b6a4ee9,0x001dffff,0xff8fffcc,
    0x3fea004f,0x4fffa83f,0x002fffc0,0x3e63ffe4,0xfffd04ff,0x7ffc4000,
    0xfff30007,0x43ffea0b,0x6c01fffa,0x3fea3eee,0x21ddd35f,0xfb30fffa,
    0x8059dfff,0x3fa2eee8,0x3e20007f,0x3fff27ff,0xa81ffee4,0xffff76ff,
    0x007fffff,0xfff1fff4,0xfffd8009,0x007fff40,0x20017ffe,0x7fcc5ffe,
    0x0fffd04f,0x1fffc800,0x0fffe800,0x2a1fff50,0x3f601fff,0x7ffd45ff,
    0x2a3fff54,0xfffb8fff,0x02ffffff,0xfe8fffe2,0x7ec0007f,0x819f91ff,
    0x3ea07ffb,0xeffffbef,0x03fffffe,0x7fc5ffc8,0x7fcc004f,0x0bffee4f,
    0x0017ffe0,0xf987fff3,0xfffd04ff,0xfffa8000,0x7ffdc004,0x43ffea03,
    0xfb01fffa,0xfff30bff,0x547ffea9,0xffffefff,0x2fffffed,0x747fff10,
    0x540007ff,0x20154fff,0x3ea07ffb,0x440dffff,0x4c06fffd,0x7ffc0fff,
    0xfffc8004,0x200dfff0,0x32005fff,0xff985fff,0x0fffd04f,0x5fff8800,
    0x1bffe200,0x2a1fff50,0xffd81fff,0x7fff304f,0x7d47ffea,0xc81dffff,
    0xff107fff,0x03fff47f,0x17ffe600,0xa81ffee0,0x6c04ffff,0xfd102fff,
    0x09fff05f,0x79fff100,0x3e003fff,0xeeeeefff,0xffffeeee,0x09fff304,
    0x0001fffa,0x400bfff1,0x5403fffb,0xfff50fff,0x04fffd83,0x7d4fffe2,
    0xffff51ff,0x2fffd80d,0x3a3fff88,0x440007ff,0xfb805fff,0x3ffea07f,
    0x7ffcc00f,0x20bffb03,0x70004fff,0x0bffffff,0x7fffffc0,0xffffffff,
    0x3fe604ff,0x3ffbba4f,0xeeeeeeff,0x6fff805e,0x03fffa00,0x2a1fff50,
    0x3ff61fff,0x2fff804f,0x3ea3fff5,0x7cc00eff,0xfff883ff,0x001fffa3,
    0x201bffe0,0x3ea07ffb,0xff8804ff,0x0fffa84f,0xc809fff0,0xffeeeeee,
    0xeeeeffff,0xffff86ee,0xffffffff,0x82efffff,0x3fe4fff9,0xffffffff,
    0xf806ffff,0xff3007ff,0xfff500bf,0x647ffea1,0xff004fff,0x47ffea5f,
    0xf004fffa,0xfff109ff,0x003fff47,0x4037ffc0,0x3ea07ffb,0xfff003ff,
    0x02fff889,0xfb013ffe,0xffffffff,0xffffffff,0x9dfff0ff,0xfdb99999,
    0x87ffffff,0x3ba4fff9,0xeeeffffe,0x4405eeee,0xf9006fff,0xff5003ff,
    0x27ffea1f,0x2004fffc,0xfff51fff,0x00fffea3,0x7c427ff4,0x1fffa3ff,
    0xdfff1000,0x40fff700,0xd002fffa,0x4ffd89ff,0x2027ffc0,0xfffffffd,
    0xffffffff,0xfff87fff,0x3ff66005,0x3ffe62ff,0x00fffd04,0x05fff980,
    0x200dfff0,0xff50fffa,0x09ffffbf,0xfa8fff40,0x5fff51ff,0x213ffa00,
    0x3fa3fff8,0x7cc0007f,0xffb805ff,0x07ffea07,0xf727ff40,0x9fff00df,
    0x6ffc8000,0x05fff800,0x26fffb80,0xfd04fff9,0xfa8000ff,0xffa805ff,
    0xfff5003f,0x3ffffea1,0xb001ffff,0x3ffea1ff,0x003fff51,0x3e213ffa,
    0x1fffa3ff,0x7fff5000,0x40fff700,0xd000fffa,0x3ffe69ff,0x9999999b,
    0x999cfff9,0x37fe4000,0x02fffc00,0x32fffe80,0x3fa09fff,0x7dc0007f,
    0xffd804ff,0x3ffea007,0x9fffff50,0x3600dfff,0x3fff50ff,0x4003ffea,
    0xff884ffe,0x01fffa3f,0x05fff700,0x540fff70,0xfd000fff,0x3fffee9f,
    0xffffffff,0x3fffffff,0x4cccccc4,0x999fffd9,0xff819999,0xff90005f,
    0x13ffe67f,0x0003fff4,0x1007fff6,0x54009fff,0xfff50fff,0x13ffee7f,
    0xffa9ff20,0x01fff51f,0x2213ffa0,0x3ffa3fff,0x7fec0007,0x7ffb801f,
    0x003ffea0,0xffba7ff4,0xffffffff,0xffffffff,0x7fffec3f,0xffffffff,
    0x87ffffff,0x30005fff,0x3fe69fff,0x0fffd04f,0x3fffc400,0x00fffe40,
    0x2a1fff50,0x7ff43fff,0x53fe401f,0x3fea3fff,0x9ffd000f,0x747fff10,
    0x220007ff,0xb800ffff,0x3fea07ff,0x9ffd000f,0x3fffffee,0xffffffff,
    0x6c3fffff,0xffffffff,0xffffffff,0x5fff87ff,0x7fff5000,0x7413ffe6,
    0x320007ff,0xfe805fff,0x7fd4006f,0x83fff50f,0x5406fff9,0x47ffea5e,
    0xd000fffa,0xfff109ff,0x003fff47,0x009fff90,0xfa81ffee,0xffd000ff,
    0x7ffc0009,0x66665c04,0xcfffeccc,0x84cccccc,0x90005fff,0x3fe63fff,
    0x0fffd04f,0x3fffe600,0x2fffc401,0x43ffea00,0xfc81fffa,0x7d4004ff,
    0x1fff51ff,0x213ffa00,0x3fa3fff8,0xff30007f,0x3ee001ff,0x3ffea07f,
    0x09ffd000,0x027ffc00,0x01bff200,0x0017ffe0,0x4c3fffe6,0xffd04fff,
    0xffd1000f,0xfff300bf,0xfffa8007,0x203fff50,0x2001fffe,0xff51fffa,
    0x3ffa001f,0x23fff884,0x88007ffe,0x2004fffe,0x3ea07ffb,0xffd000ff,
    0x7ffc0009,0x7fe40004,0x5fff8006,0x7fffcc00,0x413ffe65,0x5c007ffe,
    0x800fffff,0x4002fffb,0xff50fffa,0x3ffe603f,0xfff5000e,0x003ffea3,
    0x7c427ff4,0x1fffa3ff,0xfffff700,0x3ffdc001,0x001fff50,0x80013ffa,
    0x40004fff,0xf8006ffc,0xaaaaaeff,0xffecbaaa,0x3fe60eff,0x5fffd04f,
    0xb9555555,0x3ffffffd,0x03fff600,0x21fff500,0x3201fffa,0x7fd44fff,
    0x23fff55f,0xd000fffa,0xfff109ff,0x557fff47,0xedcaaaaa,0x01ffffff,
    0x503ffdc0,0x3a001fff,0x3e0004ff,0x640004ff,0xff8006ff,0xffffffff,
    0xffffffff,0x27ffcc1f,0xffffffe8,0xffffffff,0x2002ffff,0xa8007ffe,
    0xfff50fff,0x7fffc403,0x557ffea1,0xfff51fff,0x13ffa001,0xfe8fffe2,
    0xffffffff,0xffffffff,0xffb8001f,0x03ffea07,0x0027ff40,0x0009fff0,
    0x8006ffc8,0xffffffff,0xffffffff,0xfff981cf,0xfffffd04,0xffffffff,
    0xd0005dff,0xf5000dff,0x3ffea1ff,0x77ffd401,0x2abfff50,0xfff51fff,
    0x13ffa001,0xfe8fffe2,0xffffffff,0xbfffffff,0xfff70000,0x007ffd40,
    0x0004ffe8,0x00013ffe,0xf000dff9,0xffffffff,0x179bdfff,0x827ffcc0,
    0xfffffffe,0x2defffff,0x13ffe000,0x43ffea00,0xd801fffa,0xfff54fff,
    0x547ffeab,0xfd000fff,0x7fff109f,0x7ffffff4,0xcceeffff,0xffb80002,
    0x00000007,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x009ddd00,0xeeeeec80,0xeeeeeeee,0x46eeeeee,
    0x005eeeee,0x2eeeec80,0xddddddd9,0xdddddddd,0x3bb69ddd,0x3b60001e,
    0xddddd94e,0xdddddddd,0xb001599d,0xdddddddd,0x1799dddd,0x006eec80,
    0xeda776c0,0x8000005e,0x500ffffb,0x31007ddd,0x00bfff00,0xfffffe80,
    0xffffffff,0x47ffffff,0x00ffffff,0x3fffe200,0xfffffb3f,0xffffffff,
    0x3ebfffff,0x20006fff,0xfffd5ffe,0xffffffff,0x9fffffff,0x7ffff401,
    0xffffffff,0xb02dffff,0xf8000fff,0x0fffd6ff,0xff980000,0xff506fff,
    0x453ba69f,0xf02dfffd,0xe8000bff,0xffffffff,0xffffffff,0x7ffc7fff,
    0x20003fff,0xb3fffffa,0xffffffff,0xffffffff,0x3fffebff,0xffd0003f,
    0x3fffffab,0xffffffff,0x0effffff,0xffffffd0,0xffffffff,0xfb07ffff,
    0xff8000ff,0x00fffd6f,0x7ff44000,0xfa85ffed,0x1bff54ff,0x0bffffff,
    0x00017ffe,0x9999fffd,0x99999999,0xff899999,0x0006ffff,0x4ffffff6,
    0xccccfffd,0xcccccccc,0xffff3ccc,0xfd0003ff,0x2bfffabf,0xaaaaaaaa,
    0xfffffcba,0x99fffd06,0x99999999,0x85fffffd,0x40007ffd,0xfffd6fff,
    0x7ec00000,0x3fff98ff,0xfaa7ffd4,0xfffffddf,0x0bfff02f,0x07ffe800,
    0xffff8000,0x88000fff,0xb3ffffff,0x00001fff,0x0dffffff,0x3abffd00,
    0xb88007ff,0xfe81ffff,0x7f4c007f,0x3ff60fff,0x7ffc0007,0x000fffd6,
    0x8bffee00,0x2621fffc,0xffff5099,0x40db77df,0x40005fff,0x00007ffe,
    0xfffdfff8,0xdffb8003,0xfffb3fff,0xfff00001,0x8007ffff,0xfffd5ffe,
    0x7ffe4000,0x007ffe83,0x23fffe88,0x40007ffd,0xfffd6fff,0x99100000,
    0x07999079,0x0bffff50,0x005fff80,0x003fff40,0x667ffc00,0xfd8006ff,
    0xfb3fffaf,0xf00001ff,0x3ffffdff,0xeafff400,0x7c0007ff,0x7ffe85ff,
    0x9fff7000,0x0003ffec,0x7ff5bffe,0xffffffff,0x001ceeef,0xffa80000,
    0x7fc000ff,0x7f40005f,0xf800007f,0x0fff9cff,0x23bfe200,0xfffb3fff,
    0xfff00001,0x00dfff7b,0xffeafff4,0x7ff40007,0x03fff40f,0x26fff880,
    0x40007ffd,0xfffd6fff,0xffffffff,0x07dfffff,0x7d400000,0xff8004ff,
    0x7f40005f,0xf800007f,0x07fff4ff,0x7c67fdc0,0x1fffb3ff,0xbfff0000,
    0x400ffffa,0xfffd5ffe,0xfffe8000,0x003fff40,0x7ecfffd0,0x7fc0007f,
    0xfffffd6f,0xffffffff,0x009fffff,0x0005ddd1,0x0007fff5,0x8000bfff,
    0x00007ffe,0xff94fff8,0x4fff400d,0xffb3fff8,0xff00001f,0x3fffe6bf,
    0xd5ffe801,0x44000fff,0xffe87fff,0x3ffe0007,0x001fff67,0x3fadfff0,
    0xaaaaaaff,0xfffcbaaa,0x7fc403ff,0xffa8003f,0xfff8002f,0x7ff40005,
    0xff800007,0x01fff34f,0x3e2dff10,0x1fffb3ff,0xbfff0000,0x4037ffdc,
    0xfffd5ffe,0x7ffdc000,0x007ffe85,0x6cbfff10,0x7c0007ff,0x0fffd6ff,
    0xffffe880,0x0fffe201,0x07ffea00,0x017ffe00,0x00fffd00,0x49fff000,
    0xfb803fff,0x27fff13f,0x0000fffd,0x7f45fff8,0x7ff404ff,0x000fffd5,
    0x20bffff2,0x90007ffe,0x7fec9fff,0x7ffc0007,0x000fffd6,0x880ffff6,
    0xa8003fff,0xf8000fff,0x740005ff,0xcccccfff,0xcccccccc,0x4fff84cc,
    0x3a01bff2,0x7fff10ff,0x3333fff6,0xcccccccc,0x2fffc2cc,0x807fffe6,
    0xfffd5ffe,0x33333333,0xfffd9533,0x1fffa0bf,0x3fffee00,0x3fffff60,
    0xffffffff,0xffffffff,0x000fffd6,0x8817ffea,0xa8003fff,0xf8000fff,
    0x740005ff,0xffffffff,0xffffffff,0x4fff87ff,0x8803ffe6,0x3ffe26ff,
    0xffffffb3,0xffffffff,0x5fff89ff,0x206fffb8,0xfffd5ffe,0xffffffff,
    0xffffffff,0x3fffa01b,0x99999999,0xffffeba9,0x7ffffec3,0xffffffff,
    0xffffffff,0x000fffd6,0x881bffe2,0xa8003fff,0xf8000fff,0x740005ff,
    0xffffffff,0xffffffff,0x4fff87ff,0xf701fffc,0x9fffc47f,0xfffffffd,
    0xffffffff,0x82fffc4f,0xfd04fffe,0x3ffffabf,0xffffffff,0x02ffffff,
    0x7ffffff4,0xffffffff,0xfd86ffff,0xffffffff,0xffffffff,0xffd6ffff,
    0x7ff4000f,0x0fffe207,0x03ffea00,0x017ffe00,0xddfffd00,0xdddddddd,
    0xf0bddddd,0x6ffc89ff,0xf883ffa0,0xffffb3ff,0xffffffff,0xff89ffff,
    0xffff305f,0x3abffd03,0xffffffff,0xbdffffff,0xffffd001,0xffffffff,
    0x207fffff,0xaaaafffd,0xaaaaaaaa,0xd6fffaaa,0x7c000fff,0x3fe207ff,
    0xffa8003f,0xfff8000f,0x7ff40005,0xff800007,0x07ffcc4f,0x3e22ffcc,
    0x1fffb3ff,0xbfff0000,0x437ffdc0,0xfffd5ffe,0xb5333333,0x4003dfff,
    0xfffffffe,0xeeffffff,0x1fff600c,0x2dfff000,0x10007ffe,0x7c40bfff,
    0xfa8003ff,0xff8000ff,0x7f40005f,0xf800007f,0x3fff84ff,0x7c43ffb8,
    0x1fffb3ff,0xbfff0000,0x44fffe80,0xfffd5ffe,0x7ffff500,0x27fffa00,
    0x09999999,0x03ffec00,0x75bffe00,0xfb0007ff,0x7fc409ff,0x3ffea03f,
    0x001fff54,0x000bfff0,0x0007ffe8,0xc84fff80,0x0ffe86ff,0xfd9fffc4,
    0xf80000ff,0x7fcc05ff,0x57ffa1ff,0xf5007ffe,0xfd005fff,0xb00000ff,
    0xf8000fff,0x0fffd6ff,0xffffc880,0x0fffe200,0xf54fffa8,0xff0001ff,
    0xfe8000bf,0xf800007f,0xfff984ff,0x2217fe60,0xfffb3fff,0xfff00001,
    0xdfff700b,0xffeafff4,0x3ffee007,0x3fff401f,0x7fec0000,0x7ffc0007,
    0x333fffd6,0x97533333,0x807fffff,0x2a03fff8,0xfff54fff,0xbfff0001,
    0x7ffe8000,0xfff80000,0x647ffd04,0xfff882ff,0x001fffb3,0x00bfff00,
    0x7f53fffa,0x00fffd5f,0x00efffd8,0x0001fffa,0x001fff60,0x3fadfff0,
    0xffffffff,0xffffffff,0xfff8805f,0x53ffea03,0x8000fffa,0x40005fff,
    0x00007ffe,0xf904fff8,0x407ffcdf,0xffb3fff8,0xff00001f,0x3fe600bf,
    0xd5ffe9ff,0xf8800fff,0x3fa05fff,0xd800007f,0x7c0007ff,0xffffd6ff,
    0xffffffff,0x005dffff,0x200fffe2,0x1fff53fb,0x0bfff000,0x07ffe800,
    0x4fff8000,0xf31fff30,0x3ffe20bf,0x001fffb3,0x00bfff00,0x7f77ffdc,
    0x00fffd5f,0x05ffff50,0x0001fffa,0x001fff60,0x3fadfff0,0xffffffff,
    0x03cdefff,0x01fffc40,0x00000fec,0x8000bfff,0x00007ffe,0x3a04fff8,
    0x02ffcbff,0x3f67fff1,0xf80000ff,0x7f4005ff,0xfd5fffff,0x3f6000ff,
    0xffe80fff,0xfd800007,0x7fc0007f,0x33fffd6f,0x00133333,0x07fff100,
    0x26621ff0,0x19999999,0x0017ffe0,0x000fffd0,0x409fff00,0x07ffeffc,
    0x7ecfffe2,0xf80000ff,0x7cc005ff,0xfd5fffff,0x3e2000ff,0xffe85fff,
    0xfd800007,0x7fc0007f,0x00fffd6f,0xfff10000,0xb2fec407,0xffffffff,
    0x3ffe01ff,0xaaaaaaae,0xd2aaaaaa,0x55555fff,0x55555555,0x7fc35555,
    0x3ffe604f,0x3fe204ff,0x01fffb3f,0x0bfff000,0xfffff700,0x001fffab,
    0x42ffffb8,0x00007ffe,0x0007ffd8,0xffeb7ffc,0x88000007,0x3ea03fff,
    0x7ffffec5,0xf00fffff,0xffffffff,0xffffffff,0x3fffffaf,0xffffffff,
    0x5fffffff,0xfd013ffe,0x7c405fff,0x1fffb3ff,0xbfff0000,0x3fffa000,
    0x00fffd5f,0x46fffe80,0x00007ffe,0x0007ffd8,0xffeb7ffc,0x88000007,
    0x41403fff,0xfffffffd,0xfff00fff,0xffffffff,0x2fffffff,0xfffffffe,
    0xffffffff,0x3e5fffff,0x7fe404ff,0x7ffc407f,0x001fffb3,0x00bfff00,
    0x57fffe60,0x40007ffe,0x3a4ffff9,0x800007ff,0x40007ffd,0xfffd6fff,
    0xf1000000,0x530007ff,0x55555555,0x7ffffc05,0xffffffff,0xffd7ffff,
    0xffffffff,0xffffffff,0x27ffcbff,0x013ffe60,0x3f67fff1,0xf80000ff,
    0x320005ff,0xfffd5fff,0xfff70000,0x01fffa3f,0x1fff6000,0x2dfff000,
    0x00007ffe,0x03fff880,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xea800000,0xeeeeeeee,
    0xeeeeeeee,0xddd70eee,0xe880001b,0x3ba21eee,0x2e0001ee,0x3baa2eee,
    0x774c002e,0x74c002ee,0x5ddd72ee,0x3baa0000,0x013bba1e,0x277774c0,
    0x3bba6000,0xeeeeeeee,0xeeeeeeee,0x7742eeee,0xeeeeeeee,0xeeeeeeee,
    0xdd34eeee,0x204c407d,0xfffffffb,0xffffffff,0xf10fffff,0x80009fff,
    0xfc84fffd,0xa8000eff,0x7fc46fff,0x7fe4005f,0x7e4005ff,0xbfff31ff,
    0x3ffa0000,0x002fffc7,0x077fffcc,0x3fff6000,0xffffffff,0xffffffff,
    0x7fc3ffff,0xffffffff,0xffffffff,0xff55ffff,0x0bfee09f,0xfffffff7,
    0xffffffff,0x541fffff,0x0001ffff,0x740dfff5,0x44004fff,0xfe80ffff,
    0x7ff4007f,0x7f4007ff,0x07fff47f,0x3ffe6000,0x002fffc4,0x017fffe6,
    0x3fffe600,0xffffffff,0xffffffff,0x7fc3ffff,0xffffffff,0xffffffff,
    0xff55ffff,0x5fff909f,0xcccccca8,0xcccccccc,0x40ffffec,0x8006fffc,
    0x201ffff8,0x002ffff8,0x640bfffa,0xf1000fff,0x005fffff,0xf713ffe2,
    0xc80007ff,0x7ffc1fff,0x3ffe6005,0xfb00005f,0xfff99bff,0x9999999f,
    0x59999999,0xccccccc8,0xcdfffecc,0x3ccccccc,0x6cc9fff5,0x0002ffff,
    0x0bfffe60,0x013fffe2,0x009fffb0,0x001ffff7,0x5409fff9,0xf5002fff,
    0x009ffbbf,0xf10bffea,0xf8000dff,0x5fff86ff,0xbffff300,0x3fe20000,
    0x03ffec6f,0x3f200000,0x262001ff,0xdfff9099,0x200005ff,0x204ffff8,
    0x001ffffa,0x400dfff5,0x5405fffd,0x7c406fff,0xffb004ff,0x200dff77,
    0xfd80fffc,0xf50001ff,0xbfff07ff,0xbffff300,0x7fe40000,0x03ffec2f,
    0x3f200000,0xe80001ff,0x02ffb9df,0xfffe8800,0x6fffc805,0x1ffff880,
    0x3fffe200,0x1ffff103,0x00dffd00,0x3fe67ffe,0x6ffe800f,0x009fff50,
    0x203fff60,0x7cc05fff,0x00005fff,0x361bffe2,0x000007ff,0x00fffe40,
    0xff70e400,0xffd00005,0xff1001df,0xffd807ff,0xff98003f,0xfffe81ff,
    0x1fff9002,0x3e7ff980,0x7fc403ff,0x1bffe04f,0x17ffe200,0xf302fffc,
    0x00009fff,0xd83fffc8,0x000007ff,0x00fffe40,0x17fdc000,0x3fff2000,
    0x3fea001f,0xfff501ff,0x7fe4000b,0x27ffe46f,0x05fff300,0x3f65ffb8,
    0x7ffcc05f,0x07fff201,0x03fff500,0x7cc17ffe,0x00004fff,0xd83fffc4,
    0x000007ff,0x00fffe40,0x17fdc000,0xffff5000,0xfffb0005,0x1ffff10d,
    0xfffe8000,0x00dfff34,0xe807fff0,0x1ffea3ff,0x980fff70,0x74004fff,
    0x3ffe06ff,0x4ffff985,0xffc80000,0x0fffb03f,0xfc800000,0x800001ff,
    0x30002ffb,0x0007ffff,0x90bfffe2,0x00007fff,0xfd3ffff3,0xfb0001ff,
    0x7ffc40bf,0x807ffe20,0xfe805ffd,0x3fe2007f,0x17ffe03f,0x009ffff3,
    0xffff1000,0x003ffec0,0x3ff20000,0xb800001f,0xe88002ff,0x40005fff,
    0xf30ffffa,0x40000bff,0xfffffffb,0xfff70002,0x7437fd40,0x3ffe03ff,
    0x2fffb803,0x01fff700,0xff32fffc,0x000007ff,0xd80fffee,0x000007ff,
    0x00fffe40,0x17fdc000,0x77ffec00,0xffd80000,0x01fffd4f,0xfffd8000,
    0x260004ff,0xff901fff,0x20dff909,0x8801fff9,0xfd005fff,0x5fff80bf,
    0x09fffff3,0x3ffe0000,0x3fff600f,0xcccccccc,0x002ccccc,0x003fff90,
    0x05ff7000,0x0ffffc80,0xfff10000,0x005fff9f,0xffff1000,0xfff0000d,
    0x20bffa07,0xfb80fffa,0x3ff2006f,0x7ffcc00f,0x4efffc02,0x2fffffff,
    0x7fdc0000,0x7ffec04f,0xffffffff,0x003fffff,0x003fff90,0x05ff7000,
    0x17fffd40,0x3fea0000,0x0004ffff,0xfffff100,0xffd80003,0x00fff985,
    0xffb05fff,0x7ffcc009,0x03ffe402,0x7ffffffc,0x00ffffdf,0x3fffe000,
    0x7fffec00,0xffffffff,0x0003ffff,0x0003fff9,0x005ff700,0x00ffffe6,
    0x7ffec000,0x000000ef,0x0dfffffb,0x87ffb800,0x3f605ffb,0x02fff85f,
    0x202fff40,0xff804fff,0xfb2fffff,0x20000dff,0xd804fffb,0xeeeeefff,
    0xeeeeeeee,0xfff90002,0x93000003,0xffd10039,0x400000bf,0x001ffff8,
    0xffff7000,0x40009fff,0x7ec0fff9,0x1bfee03f,0x8001fff3,0xf500fffb,
    0xfff001ff,0x7fc45fff,0xe80004ff,0xfd800fff,0x0000007f,0x000fffe4,
    0x7ec00000,0x000006ff,0x0007ffd8,0x3dfff300,0x0005ffff,0x3fe17ffc,
    0x3ffe601f,0x001bfee0,0x6c0fffe2,0xfff005ff,0xfff505ff,0x7d40003f,
    0xeeeeefff,0x7fffeeee,0x64000000,0x2a001fff,0x80004fff,0x000ffffc,
    0x7ffd8000,0xfe880000,0xffff71ff,0x3ff20001,0x201ffe64,0x3ff62fff,
    0xdffb0003,0x005fff10,0xc80bfffe,0x0000ffff,0xfffffffd,0xffffffff,
    0x000000ff,0x001fffc8,0x0013ffea,0x03ffff50,0x3f600000,0xd800007f,
    0x7fec4fff,0xff50005f,0x402ffe4d,0x3ffe3ffd,0xfff50001,0x007ffb83,
    0x3a017ffe,0xa8005fff,0xffffffff,0xffffffff,0x0000007f,0x000fffe4,
    0x0009fff5,0x01ffffcc,0xffb00000,0xfb80000f,0xfff886ff,0xff88003f,
    0x005ffd0f,0x3fe6bff5,0x7ffc0007,0x0027ff43,0xf300bfff,0xe8007fff,
    0xcccccfff,0xffcccccc,0x0000007f,0x000fffe4,0x0009fff5,0x017fffa2,
    0xffb00000,0x7cc0000f,0xff501fff,0xfd0003ff,0x01fff13f,0x3eafff10,
    0x7e40005f,0x07ffe66f,0x005fff80,0x003ffff7,0x0017ffea,0x0000fffb,
    0x1fffc800,0xd8000000,0x00006fff,0x07ffd800,0xfffd1000,0x6fffd807,
    0xabffc800,0x3fa006ff,0x003ffc8f,0xc8fffcc0,0x7fc006ff,0x3ffa005f,
    0xffe800ef,0x7fec001f,0x40000007,0x0001fffc,0x7ffe4000,0x0000000e,
    0x0007ffd8,0x00bfffb0,0x009fffd1,0xffcdffa8,0x2bff2004,0x80000ffe,
    0x7ffd4ffe,0x05fff800,0x17fffe20,0x00bfff30,0x000fffb0,0xfffc8000,
    0x1bff6001,0xf501fff5,0x00003fff,0x1fff6000,0x3ffee000,0xfff3000f,
    0x7fc4005f,0x2001ffee,0x06ffdffa,0x3dff7000,0xf8001fff,0x7d4005ff,
    0x3f602fff,0xfd8001ff,0x0000007f,0x000fffe4,0xffa8dffb,0x7fffc40f,
    0xaaaaaaad,0xaaaaaaaa,0xfd8001aa,0x7cc0007f,0x64001fff,0x2000ffff,
    0x007ffffe,0x04fffff8,0xbfff1000,0xff0009ff,0xffb000bf,0xfff301ff,
    0x3ff6000d,0xaaaaaaaf,0x2aaaaaaa,0x1fffc800,0x51bff600,0xff881fff,
    0xffffffff,0xffffffff,0x8004ffff,0x40007ffd,0x0004fffe,0x400bfffd,
    0x005ffffc,0x02ffffd8,0x3fff2000,0xff8001ff,0xff88005f,0xfffd86ff,
    0xfffb0002,0xffffffff,0x0fffffff,0x03fff900,0x2a37fec0,0x7fc40fff,
    0xffffffff,0xffffffff,0x8004ffff,0x20007ffd,0x0006fffc,0x00ffffe6,
    0x01ffffcc,0x07fffdc0,0xfff30000,0x3fe000df,0xff30005f,0x7ffcc9ff,
    0x3ff60006,0xffffffff,0x7fffffff,0x1fffc800,0xf1000000,0xffffffff,
    0xffffffff,0x009fffff,0x000fffb0,0x003fffea,0x3ffff700,0x03fffe00,
    0x1bffe600,0x3ffa0000,0xfff0003f,0x7fe4000b,0x5fff92ff,0x7ffec000,
    0xffffffff,0x07ffffff,0x01fffc80,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4ccc0000,
    0x99999999,0x99999999,0x02662001,0x00000000,0x00335310,0x00002662,
    0x00001a98,0x88000666,0x200001a9,0x100000a9,0x40000133,0x980000a8,
    0x006a2001,0x5555556c,0xaaaaaaaa,0x000daaaa,0x0000bff9,0x0db80d4c,
    0x7fffedc0,0x6cc0cfff,0x0cfffffe,0x7ff6d400,0x001dffff,0x3ffff6e2,
    0xfb8801df,0x1defffff,0x3ffb2200,0x4002dfff,0xffffffd8,0x93ba602d,
    0xdffffeda,0x2a4ee981,0x83dffffd,0xdffffec8,0x80001200,0xbff9000b,
    0x7f644000,0xf32effff,0x3ffa609f,0xffffffff,0xfffff71f,0x007fffff,
    0xffffffb1,0x019fffff,0xffffffc8,0x2604ffff,0xffffffff,0xfa803fff,
    0xffffffff,0xffc8804f,0xffffffff,0x76ffa80c,0xffffffff,0x76ffa87f,
    0xffffffff,0x7ffff449,0x0902ffff,0x8005c000,0x50005ffc,0xffffffff,
    0x20dffdff,0xcefffffa,0xdfffffec,0xecceffff,0x2603ffff,0xccdeffff,
    0x04fffffe,0x37bffff6,0x84fffffc,0xccefffe8,0x04fffffd,0x37bffff2,
    0x0effffec,0x3bffff60,0xeffffecd,0x7df7fd40,0xfffeefff,0x3bfea3ff,
    0xfeeffffc,0xfff9afff,0x6fffffef,0x5c000090,0x0bff9000,0xfffff900,
    0xffffff9b,0x3fffa01f,0xffff9102,0xfd301bff,0x3ffa03ff,0x3ffee02f,
    0xefffb80f,0x2fffea81,0xa817ffe4,0xfa80ffff,0xffb01eff,0x3ffee09f,
    0xfffd881e,0x7ffffd45,0x7ffec40d,0x3ffffea6,0x7fffd41c,0x7f4c1eff,
    0x000483ff,0x7e4002e0,0x7fd4005f,0xffda82ff,0xfffa80ff,0xffffe800,
    0x85ffe804,0xb802fff9,0x7fc42fff,0x3fe600ef,0x027ff46f,0x3a0bffee,
    0x7dc00eff,0x7ffc41ff,0x7ffe400e,0x13fffea2,0x2a5fffb0,0x2e05ffff,
    0x2606ffff,0x00484fff,0x64002e00,0x7f4005ff,0x3fea01ff,0x5ffd84ff,
    0x0dfff900,0x907ffe60,0x3e200dff,0x7ffdc3ff,0x0fffd802,0xd005fff1,
    0xfffb859d,0x8dffd001,0x8801fffd,0xff50ffff,0xff9801ff,0x1ffff53f,
    0x0ffffc40,0x1217ffa0,0x000b8000,0x6400bff9,0x3e203fff,0x4c1fffff,
    0xff7001ba,0x7ff4007f,0x00154c43,0xffe87fff,0x159b1006,0x0002fffc,
    0xa8017ffa,0x3ffe0fff,0x3ffee005,0x009fff52,0x3ea9fff1,0xfff804ff,
    0x86ffd806,0x42e00004,0xaaaaaaa8,0xaaaaeffd,0x3ffa1aaa,0x7d7ff406,
    0xb80004ff,0x36001fff,0x880004ff,0x3fe24fff,0xfc80004f,0x8000beff,
    0x26004fff,0xfff11fff,0x7ffc4005,0x007fff53,0x7fd53ffe,0x5fff802f,
    0x487ffc80,0x5c2e0000,0xffffffff,0xffffffff,0x13ffe4ff,0xffd1ffc8,
    0xdca9800b,0xaabfffff,0xaaaaaaaa,0x44006ffd,0xffffecba,0x00fffe64,
    0x3fffe600,0x8801ceff,0xaaaacfff,0xfaaaaaaa,0x3fff52ff,0x54fff800,
    0x3a005fff,0x3fff54ff,0x009fff00,0x0090fff9,0xffb85c00,0xffffffff,
    0xffffffff,0x205fff14,0x3ff63ffa,0x3fb2a206,0xffffffff,0xffffffff,
    0x7fffffff,0x3ffb2e20,0xffffffff,0x00bffea4,0x7fffcc00,0x02dfffff,
    0xfffffff5,0xffffffff,0x3fee9fff,0x7ff4000f,0x003fff55,0x7fd53ffa,
    0x4fff801f,0x487ffc80,0x5c2e0000,0xffffffff,0xffffffff,0x3fff34ff,
    0xfc8bff30,0xffff707f,0xfbdfffff,0xffffffff,0xffffffff,0xffff901f,
    0xfbffffff,0x7ffd49ff,0x36200001,0xffffffff,0x7ffdc0ef,0xffffffff,
    0x5fffffff,0xb000fff9,0x3ffeadff,0x29ffd000,0xf800fffa,0xffc804ff,
    0x20000487,0xbff9000b,0x07ffea00,0xfb81dfd1,0xffffc87f,0xf50abdef,
    0x555557ff,0x55555555,0xfffffb05,0x7fc379df,0x0bffe64f,0x32a20000,
    0xffffffff,0x2afffea2,0xaaaaaaaa,0xf71aaaaa,0xfe8001ff,0x01fff56f,
    0x7d53ffa0,0xfff800ff,0x87ffc804,0x02e00004,0x802ffe40,0x7ec1fffa,
    0x47ffc81f,0x01befffd,0x0003ffee,0x5ffffe40,0x93ffe201,0x0002fff8,
    0xffdb9800,0x3ffe67ff,0xffa80002,0x7ffc001f,0x001fff55,0x7fd53ffa,
    0x4fff800f,0x487ffc80,0x002e0000,0x9802ffe4,0x3fee2fff,0xf8bffb03,
    0xff7007ff,0x3e00003f,0xf9800eff,0x1fffc4ff,0x00157700,0x47fffe20,
    0x0003fff8,0x002fff98,0x7d53ffe2,0xffd000ff,0x003ffea9,0x32013ffe,
    0x000487ff,0x7e4002e0,0x3ffe005f,0x740bff33,0x3ffea4ff,0x5fff9003,
    0x31e6ec00,0x2a007fff,0x7ff44fff,0x4fffe005,0xf7004ca9,0x2fffc7ff,
    0x23599300,0x2004fff8,0xff52fffa,0x3ffa001f,0x001fff54,0xf9009fff,
    0x000090ff,0xffc8005c,0x3bffa005,0xf300efe8,0x7ffe47ff,0xffff9801,
    0xbfff5005,0x8017ffdc,0x7e44fffd,0xffa801ff,0x01fff71f,0x6c5fff30,
    0xfd002fff,0x7fff43ff,0x1fffd000,0x4003ffea,0xfff54ffe,0x09fff001,
    0x090fff90,0x8005c000,0x36005ffc,0x01ffefff,0xfb87fff6,0x7fc404ff,
    0x4404ffff,0x3ea1ffff,0xffc805ff,0x7ffc44ff,0x26ffe805,0xd804fff8,
    0x3fe20fff,0x7fdc00ef,0x2fffcc6f,0x52fffdc0,0x3a001fff,0x1fff54ff,
    0x009fff00,0x0090fff9,0xc8005c00,0x3e6005ff,0x2a02ffff,0x7fcc5fff,
    0xffd300ff,0x019fffdf,0x88bfffb3,0x3201ffff,0xb85fffff,0xd880efff,
    0x7ff42fff,0x3ffea03f,0x1efffb85,0x2ffffa88,0x00efffc8,0x541ffff9,
    0xfd000fff,0x03ffea9f,0x2013ffe0,0x00487ffc,0x5c002e00,0x7e4004ee,
    0xfb80afff,0xffd80fff,0xffdbbeff,0xfffb0dff,0xffff99df,0x3fff20df,
    0xffebacef,0xd06ffeef,0xb77bffff,0xf109ffff,0x9779ffff,0x203ffffd,
    0xbceffffe,0x03fffffd,0x9bffffd1,0x3fffffb7,0x000fffa8,0x3fea9ffd,
    0x4fff800f,0x487ffc80,0x002e0000,0x3fe60000,0xedbdffff,0xd102ffff,
    0xffffffff,0xfff907ff,0xbfffffff,0x7ffff401,0x53ffffff,0x3f201fff,
    0xffffffff,0x3ffe604f,0xffffffff,0x7ffe400e,0xffffffff,0x7ffe4403,
    0xefffffff,0x00fffa81,0x3ea9ffd0,0xfff800ff,0x87ffc804,0x42e00004,
    0xaaaaaaa8,0xaaaaaaaa,0x7ff41aaa,0xffffffff,0xfb802fff,0x0cefffff,
    0x3ffff6e0,0xf7002eff,0x1bffffff,0x301fffc4,0xdffffffd,0xfff71003,
    0x009dffff,0x7ffffecc,0x2a000cff,0xcefffffe,0x03ffea02,0xfaa7ff40,
    0xfff800ff,0x87ffc804,0x42e00004,0xfffffffb,0xffffffff,0x3ff24fff,
    0xfffffd99,0xa98003ff,0x5510001a,0x2a600013,0x400000aa,0x00009aa9,
    0x00035533,0x00355510,0x00155300,0x00000000,0x01200000,0xff70b800,
    0xffffffff,0xffffffff,0x2621fe49,0x000009aa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01200000,0xff70b800,0xffffffff,
    0xffffffff,0x00000189,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xe8000000,0xcccccccc,0xcccccccc,0x00000dcc,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x75400000,0xddd000ee,0x2017bb25,0xc802eee9,0x3bbb23ee,
    0x5eee9803,0x77777754,0xeeeeeeee,0x3bba63ee,0x3bba2002,0x05ddb002,
    0x88001c80,0x0000b20c,0x32600000,0x40d54401,0x55510aa9,0x20015530,
    0x206a000c,0xf000fffa,0x3ffee7ff,0x2fffe400,0x88bffe20,0x7401ffff,
    0x7fd41fff,0xffffffff,0x44ffffff,0x2e005fff,0xfd000fff,0x7fe4007f,
    0x86b2ea21,0xffb0efe8,0x00000019,0x01ffda80,0x3e217fec,0x07ff60ff,
    0xfb00dff1,0x3ff5001d,0x000fffa8,0x3fe27fff,0x7fff402f,0x43ffd407,
    0x3206fffb,0xffa83fff,0xffffffff,0x43ffffef,0xd000fffc,0x7f400bff,
    0xfff3003f,0xfffffb5f,0x7fffd5df,0x0b7ffff6,0xb8800000,0x201fffff,
    0xffd85ffa,0x2077fc42,0x3ee04ffb,0x3ea00eff,0x3fea0fff,0x7fff000f,
    0xf102fff4,0x6403ffff,0xfffb05ff,0x0bfff507,0x3ffee000,0x03fff985,
    0x002fff98,0xb800fffa,0xffffffff,0xffffffff,0x3fffff24,0x00000bef,
    0xfffffb30,0x3fe201df,0x837fdc1f,0xffe85ffc,0xdfffd102,0x5ffff501,
    0x000fffa8,0x7fe47fff,0x3fffea07,0x0bffe03f,0x107fffc4,0x0001ffff,
    0x40dfff50,0xfc806ffe,0x7ff4007f,0x7ffd4003,0xffeddfff,0xeb884fff,
    0x1cffffff,0xffd50000,0x803bffff,0x7fc44ffd,0x5fff101f,0x100fffa8,
    0x541dfffd,0xfa82ffff,0xfff000ff,0x80fffcc7,0x05ffdffd,0x5401fff3,
    0x3ff65fff,0xf980002f,0x3ee00fff,0x7ff400ff,0x1fff4004,0x1ffffc00,
    0x00ffff4c,0x3fffff6a,0xc88002df,0xbeffffff,0x0fffb800,0x2e02ffec,
    0x7fec0fff,0x3fffa205,0x2ffffa8e,0x001fff50,0xfff0fffe,0x3e7ffe07,
    0x0bff707f,0xf75fff90,0x100009ff,0x8803ffff,0x3e603fff,0x7f4001ff,
    0x7fdc003f,0x3ffe201f,0xfff71005,0x8017ffff,0xffffffd9,0x3fe6002d,
    0x07ffdc3f,0x262fff40,0x3a202fff,0xffffefff,0x03ffea02,0x321fffc0,
    0x5ff985ff,0xffd03fff,0x3fffa007,0x80006fff,0x002fffe8,0x7e40dffb,
    0xffe8006f,0x27ff4003,0x007ffd40,0x3ffff6a0,0x3ae21cff,0x0cffffff,
    0x46ffe800,0x3003fff9,0xffc87fff,0x3ffa200f,0x5402ffff,0xff000fff,
    0x0fffa87f,0xffd9ffdc,0x007ffc43,0xffffff98,0xffd80000,0x3fea003f,
    0x07fff01f,0xddddddd9,0xdddddfff,0xfff83ddd,0x03fff001,0x3fff2600,
    0xfffb1fff,0x40005dff,0x7f42fffc,0x7fec006f,0x17ffe20f,0x7ffffd10,
    0x01fff500,0x3e0fffe0,0x8ffec2ff,0x7fd45ffb,0x7ffdc006,0xfc80002f,
    0xff8004ff,0x0fffa84f,0xffffffd8,0xffffffff,0x3e21ffff,0x3ffa007f,
    0xffa80002,0xbfffb1ff,0xff880003,0x1fffdc6f,0x17ffe600,0x5405fff9,
    0x00efffff,0x8007ffd4,0xffd83fff,0xff33ffc4,0x003ffd8f,0x01ffffd4,
    0x17ffee00,0x43ffe400,0xffb05ffd,0xffffffff,0xffffffff,0x007ffc43,
    0x0002fff8,0x3ffffae2,0x3bffffb1,0xfffd8000,0x01bffe21,0xe83fff90,
    0xff500eff,0x01dfffff,0x8007ffd4,0xffb83fff,0xff17fea6,0x00fffc3f,
    0xffffff10,0x3fea0001,0xf30000ef,0x7ffc43ff,0x55555302,0x559fff55,
    0xf8155555,0xff8802ff,0xfc98001f,0x70dfffff,0x7dffffff,0xfff10001,
    0x02fffa8b,0xb89fff10,0xff501fff,0xdfffd7ff,0x03ffea01,0x20fffe60,
    0xff90fff8,0xf54ffd87,0xffd800df,0x8006ffff,0x000ffff9,0xf727ff40,
    0x7f4000ff,0x7fec003f,0x06ffd806,0x7ffff540,0xfd500cff,0x039fffff,
    0x42fffa80,0xfb006ffc,0x4fff88df,0x25ffff50,0x80efffe8,0xa800fffa,
    0xffd03fff,0xf707ffa7,0x013ff2df,0xfbcfffa8,0x3e6004ff,0x80001fff,
    0x3ffa7ffb,0x3ffa0004,0x7ffcc003,0x7fff900d,0xffff9100,0x4c007dff,
    0xdffffffc,0x1bff2002,0x9807ffd1,0x7fe41fff,0x5ffff506,0x0efffe88,
    0x400fffd4,0xf703fffb,0x10fff1bf,0x3fff1fff,0x9bffe200,0x8801fffd,
    0x0002fffe,0xf15fff10,0x740003ff,0x7c4003ff,0xb99befff,0x201ffffe,
    0xffffffda,0x2e20001d,0xbfffffff,0x43ffe800,0x3a00fffa,0x7ffcc3ff,
    0x2ffffa81,0x1dfffd10,0x4017ffcc,0xf303fffd,0x20bff5ff,0x07ffcffe,
    0x887fff60,0xfe806fff,0x400003ff,0x6ffbcffd,0x1fff4000,0xffffd100,
    0xffffffff,0x75c43fff,0x0cffffff,0x7f540000,0x01dfffff,0xf903ffe6,
    0x1bfee0bf,0x7d40fff6,0x7f4402ff,0x7fffc45f,0x3ffff200,0x3fbffa03,
    0xffff903f,0x3fee009f,0x4fffb84f,0x013fff60,0x3ffea000,0x40003ffe,
    0xd1003ffe,0xffffbfff,0xfffbffff,0x3ffff63f,0x000003ef,0xfffffc98,
    0x13ff201f,0xff107ffa,0x05ffa81f,0xe88017d4,0x1bfffb05,0xfffffc88,
    0x3ffff203,0xffff500f,0xfff3005f,0x17fff40d,0x002fffe4,0xfffff000,
    0xfe80001f,0xfff1003f,0x3bffb229,0x25fff51d,0x001dfffd,0xfb880000,
    0x7f401fff,0x237fcc0f,0xffe83ffc,0x04000800,0xdfffff50,0xfbbfffd9,
    0x7ffd407f,0x3ffe206f,0xfffd007f,0x7fffc403,0x3bfffe60,0xffffffff,
    0x801fffff,0x005ffffc,0x003ffe80,0x2a0013e6,0x0033f62f,0x54000000,
    0x664401fd,0x320cca82,0x02cc983c,0xf7000000,0xffffffff,0xf00fff29,
    0xfe809fff,0xffc805ff,0xfffb804f,0x3ffffe65,0xffffffff,0x801fffff,
    0x002ffff9,0x000aaa80,0x18100004,0x00000000,0x00000260,0x00000000,
    0xfffd9800,0x3ff23eff,0x17ffec03,0x00bfff20,0x400dfff3,0xff33fffe,
    0xffffffff,0xffffffff,0x1fffa003,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4c000000,0x0000001a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0000cccc,0x88001554,0x88000999,0x00988000,0x4c000880,0x4ccc402a,
    0x99999999,0x21999999,0x99999998,0x99999999,0x00cc0199,0x3a29ddd1,
    0x3bbae5ee,0x00aaa002,0x040004cc,0xd87fffe6,0x99885fff,0xfff00009,
    0xffa8000f,0x3f66001f,0x402effff,0x2effffea,0x7ffffe40,0x7ffedc02,
    0xffc801df,0x3ffff600,0xffffffff,0xb1ffffff,0xffffffff,0xffffffff,
    0xffd883ff,0xfff984ff,0x64dfff15,0xfff52fff,0x4c09ff09,0x2dfffffe,
    0x7fec5a80,0x7fff443f,0x027ffd40,0x007fff80,0x027ffec0,0xffffff98,
    0xffb02fff,0x0bffffff,0xffffffd3,0x3fff20bf,0x401fffff,0x7fec07fc,
    0xffffffff,0xffffffff,0xffffffb1,0xffffffff,0x7443ffff,0x0effffff,
    0x7c57ffe6,0x3fff26ff,0x989fff52,0xfff903ff,0x9fffffff,0x226fc983,
    0xff304fff,0x4fffa89f,0x0ffff000,0x7fffcc00,0xbffd800f,0x70fff931,
    0xf9537fff,0xfffe85ff,0x43fffebc,0xfb31eff9,0x37dc08bf,0xfffffb04,
    0xffffffff,0x363fffff,0xffffffff,0xffffffff,0x8bbf61ff,0x3fe64feb,
    0x4dfff15f,0xff52fffc,0xefffc89f,0x3ffffe62,0xffffffff,0x26ffffee,
    0x7d406ffc,0x3ffea0ff,0xdddb0004,0x7ffe4000,0x7fcc03ff,0xe81ffb04,
    0x4ffd82ff,0xf3037fea,0x07f5c1ff,0xef89ffe6,0x3f22df53,0x3fe00004,
    0x2000001f,0xffa82ff8,0x22bfff30,0x3ff26fff,0x09fff52f,0x261fff53,
    0xfebbdeff,0xffffffff,0xfff15fff,0x49ff7001,0x0003eee9,0x3fe20000,
    0x3007ffaf,0x10bff201,0x8bfee053,0xff901ffd,0x93fee005,0xefdffffa,
    0x0007fffd,0x0007ffe0,0x206fa800,0xbfff11ff,0xff72fffc,0x203fb83f,
    0x09f33ffe,0x3ffff6a2,0x730cffff,0x1ddc0037,0x00000000,0xffd5ffb8,
    0x65d44005,0x4002fffe,0x1ffa0fff,0x5403ff98,0x36a1effc,0xffffffff,
    0x00000cef,0x00003fff,0xfd037d40,0xfd1fffc5,0x07ffd49f,0x5ccc47f6,
    0x0732fffc,0x3bfbae20,0x0000001c,0xeeeeea80,0xeeeeeeee,0xf03eeeee,
    0x1bfea3ff,0xfffff910,0x4005ffff,0x37fc5ffd,0x4c0bff10,0x5cc05fff,
    0x0009dfff,0x01fff800,0x3fe60000,0x3a0ff981,0x8fff62ff,0x0ff87ff8,
    0xbffffffb,0x00000000,0x3ee00000,0xffffffff,0xffffffff,0x46ffb84f,
    0xff101fff,0xfb7bdfff,0xffd1005f,0x206ff81d,0x3ae05ff8,0x3600dfff,
    0x0002ffff,0x003fff00,0x0dfe8000,0xff91bf62,0x3e0ffdc3,0xe97f625f,
    0x003fffff,0x00000000,0x3ffee000,0xffffffff,0x4fffffff,0x7e43ffe8,
    0x5bffb05f,0x402ffc81,0xe80dfffa,0x13fe607f,0x41ffea20,0x1ffe9ffd,
    0xfff80000,0x99999971,0x99999999,0x7cc19999,0x0fffddff,0x3fea3fdc,
    0xbf527f40,0x00013330,0x00000000,0x55551000,0x55555555,0x83555555,
    0x7cc0fff9,0x0fff80ff,0x6405ffd0,0x3f603fff,0x05ff701f,0x2e17fe40,
    0x1fff34ff,0xfff80000,0xffffffb1,0xffffffff,0xe983ffff,0x881effff,
    0x4c15442a,0x0000141a,0x00000000,0x00000000,0xd82ffec0,0x0fff84ff,
    0x882fffc8,0x5c01fffd,0xfff885ff,0x7e40aaa0,0x707fec4f,0x800005ff,
    0xfffb1fff,0xffffffff,0x3fffffff,0x0006eea0,0x00000000,0x00000000,
    0x55000000,0x7fc40055,0x1fff501f,0xa89dffd8,0xd82ffffd,0xfd000eff,
    0xfff937ff,0x441ffe87,0x82b83fff,0xc800000d,0xdddd90cc,0xdddddddd,
    0x03dddddd,0x00000000,0x00000000,0x00000000,0x00ffff00,0x3e037fe4,
    0x7ffcc3ff,0xffbfffff,0x777ffe43,0x4c4eeeee,0xffffffff,0xadfff986,
    0x000efffd,0x00000000,0x00000000,0x00000000,0x00000000,0xf0000000,
    0x3e200fff,0x7fdc03ff,0xffffe986,0x7c4dfd0c,0xffffffff,0xffd885ff,
    0x3f603fff,0x1effffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x401fffe0,0x4400fffb,0x13102fff,0x33332600,0x3ccccccc,
    0x4006a620,0x03defed9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x5006eed8,0x2aa00555,0x0000001a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0xbbbbbbba,0xbbbbbbbb,0x3bbbbbbb,0x55555553,0x55555555,0x35555555,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fff2000,0xffffffff,0xffffffff,0xfff96fff,0xffffffff,0xffffffff,
    0x0000dfff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0xfffffffc,0xffffffff,0x6fffffff,0xfffffff9,0xffffffff,
    0xdfffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4ccccc40,0x99999999,0x99999999,0x00000009,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__arial_45_latin1_x[224]={ 0,3,1,0,1,2,1,1,2,2,1,2,3,1,
3,0,1,4,1,1,0,1,1,1,1,1,3,3,2,2,2,1,2,-1,2,2,3,3,3,2,3,3,1,2,
2,2,3,1,3,1,3,1,0,3,0,0,0,0,0,2,0,0,1,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,1,3,0,1,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,2,0,1,-1,
3,1,1,0,0,2,2,1,0,-1,2,1,0,0,4,3,0,3,2,2,0,2,2,2,0,3,-1,-1,-1,-1,
-1,-1,0,2,3,3,3,3,1,2,-1,0,-1,3,1,1,1,1,1,3,1,3,3,3,3,0,3,3,1,1,
1,1,1,1,1,1,1,1,1,1,0,3,-1,0,1,2,1,1,1,1,1,1,2,2,2,2,2,0,2,0,
 };
static signed short stb__arial_45_latin1_y[224]={ 36,7,7,6,4,6,6,7,6,6,6,12,31,23,
31,6,7,7,7,7,7,7,7,7,7,7,15,15,12,15,12,6,6,7,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,7,6,7,6,41,7,14,7,14,7,14,6,14,7,7,
7,7,7,14,14,14,14,14,14,14,7,15,15,15,15,15,15,6,6,6,18,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,36,15,7,6,12,7,
6,6,6,6,6,16,15,23,6,2,6,11,6,6,7,15,7,19,35,6,6,16,6,6,6,15,-1,-1,-1,0,
1,0,7,6,-1,-1,-1,1,-1,-1,-1,1,7,0,-1,-1,-1,0,1,13,6,-1,-1,-1,1,-1,7,6,7,7,
7,7,6,6,14,14,7,7,7,6,7,7,7,6,7,7,7,7,7,7,6,13,13,7,7,7,6,7,7,6,
 };
static unsigned short stb__arial_45_latin1_w[224]={ 0,5,12,22,20,32,25,5,10,10,14,20,5,12,
5,12,20,12,20,20,21,20,20,20,20,20,5,5,20,20,20,20,38,28,23,26,24,22,20,27,23,5,17,25,
19,29,23,29,23,29,26,24,24,23,27,38,27,27,24,9,12,9,17,24,9,20,19,19,19,20,13,19,18,5,
9,18,5,29,18,20,19,19,12,18,11,18,20,29,20,20,20,12,4,13,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,5,19,22,20,24,
4,20,12,30,15,18,20,12,30,24,12,20,13,13,8,18,22,5,9,8,14,18,32,31,34,19,28,28,28,28,
28,28,39,26,22,22,22,22,8,9,13,12,28,23,29,29,29,29,29,18,29,23,23,23,23,27,23,21,20,20,
20,20,20,20,34,19,20,20,20,20,9,8,14,12,20,18,20,20,20,20,20,20,21,18,18,18,18,20,19,20,
 };
static unsigned short stb__arial_45_latin1_h[224]={ 0,29,11,31,37,32,31,11,39,39,13,20,11,5,
5,31,30,29,29,30,29,30,30,29,30,30,21,27,20,13,20,30,39,29,29,31,29,29,29,31,29,29,30,29,
29,29,29,31,29,33,29,31,29,30,29,29,29,29,29,38,31,38,17,4,6,23,30,23,30,23,30,31,29,29,
38,29,29,22,22,23,31,31,22,23,30,22,21,21,21,30,21,39,39,39,8,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,0,29,38,31,20,29,
39,39,6,31,16,19,13,5,31,4,12,25,16,16,6,30,38,5,10,16,16,19,32,32,32,30,37,37,37,36,
35,36,29,39,37,37,37,35,37,37,37,35,29,36,38,38,38,37,36,18,32,38,38,38,36,37,29,31,30,30,
30,30,31,31,23,30,30,30,30,31,29,29,29,30,30,29,30,30,30,30,31,17,25,30,30,30,31,38,38,39,
 };
static unsigned short stb__arial_45_latin1_s[224]={ 254,172,175,117,1,190,32,169,22,33,99,
113,188,239,248,1,141,238,234,222,20,22,43,126,106,127,240,233,176,135,155,
235,85,205,67,176,213,21,74,203,170,91,1,149,1,44,95,52,146,160,119,
14,215,169,121,82,54,26,1,238,39,31,22,1,235,101,164,122,144,161,90,
133,184,178,228,153,147,222,203,182,82,231,239,142,78,1,92,20,50,184,71,
155,124,71,204,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,254,248,177,
153,134,42,150,129,240,102,40,197,114,239,1,26,156,23,56,85,226,162,65,
245,194,246,70,216,223,36,1,100,226,68,197,1,108,211,175,44,160,22,45,
137,127,150,136,240,97,84,1,168,198,97,54,235,68,129,153,41,30,183,194,
182,85,64,1,201,204,225,66,181,58,120,79,161,203,246,218,243,193,1,57,
104,214,148,140,1,44,38,19,125,98,88,109,1, };
static unsigned short stb__arial_45_latin1_t[224]={ 1,314,454,155,80,118,220,454,1,1,454,
431,454,367,31,188,220,314,283,220,314,252,252,314,252,252,374,344,431,454,431,
252,1,283,314,188,314,344,344,188,344,314,283,374,344,344,344,188,344,118,344,
188,374,252,374,374,374,374,374,1,188,41,454,472,454,404,283,404,283,404,283,
188,314,314,1,314,314,404,404,404,188,188,344,404,283,431,431,431,431,283,431,
1,1,1,454,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,
404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,404,1,1,41,
188,431,314,1,1,396,188,454,431,454,367,220,472,454,404,454,454,454,220,41,
454,454,374,454,431,118,155,155,220,41,80,41,118,118,80,374,1,80,80,80,
118,80,80,80,80,314,118,41,1,1,80,118,431,155,41,41,41,118,80,344,
155,252,252,252,220,155,155,404,220,220,220,220,155,314,155,344,220,252,314,283,
283,252,252,155,454,404,283,283,283,155,41,41,1, };
static unsigned short stb__arial_45_latin1_a[224]={ 179,179,229,358,358,573,430,123,
215,215,251,376,179,215,179,179,358,358,358,358,358,358,358,358,
358,358,179,179,376,376,376,358,654,430,430,465,465,430,394,501,
465,179,322,430,358,537,465,501,430,501,465,430,394,465,430,608,
430,430,394,179,179,179,302,358,215,358,358,322,358,358,179,358,
358,143,143,322,143,537,358,358,358,358,215,322,179,358,322,465,
322,322,322,215,167,215,376,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,179,215,358,358,358,358,167,358,
215,475,239,358,376,215,475,356,258,354,215,215,215,371,346,179,
215,215,235,358,537,537,537,394,430,430,430,430,430,430,644,465,
430,430,430,430,179,179,179,179,465,465,501,501,501,501,501,376,
501,465,465,465,465,430,430,394,358,358,358,358,358,358,573,322,
358,358,358,358,179,179,179,179,358,358,358,358,358,358,358,354,
394,358,358,358,358,322,358,322, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_45_latin1_BITMAP_HEIGHT or STB_FONT_arial_45_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_45_latin1(stb_fontchar font[STB_FONT_arial_45_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_45_latin1_BITMAP_HEIGHT][STB_FONT_arial_45_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_45_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_45_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_45_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_45_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_45_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_45_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_45_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_45_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_45_latin1_s[i] + stb__arial_45_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_45_latin1_t[i] + stb__arial_45_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_45_latin1_x[i];
            font[i].y0 = stb__arial_45_latin1_y[i];
            font[i].x1 = stb__arial_45_latin1_x[i] + stb__arial_45_latin1_w[i];
            font[i].y1 = stb__arial_45_latin1_y[i] + stb__arial_45_latin1_h[i];
            font[i].advance_int = (stb__arial_45_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_45_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_45_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_45_latin1_s[i] + stb__arial_45_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_45_latin1_t[i] + stb__arial_45_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_45_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_45_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_45_latin1_x[i] + stb__arial_45_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_45_latin1_y[i] + stb__arial_45_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_45_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_45_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_45_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_45_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_45_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_45_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_45_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_45_latin1_LINE_SPACING
#endif

