// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_47_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_47_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_47_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_47_latin1_BITMAP_HEIGHT        525
#define STB_FONT_arial_47_latin1_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_arial_47_latin1_FIRST_CHAR            32
#define STB_FONT_arial_47_latin1_NUM_CHARS            224

#define STB_FONT_arial_47_latin1_LINE_SPACING          31

static unsigned int stb__arial_47_latin1_pixels[]={
    0x31026660,0x4ccc0133,0x40000000,0x00019998,0x44001993,0x99999999,
    0x98009999,0x000aacba,0x332a6200,0x4cc001ab,0x22199999,0x073224cc,
    0x004ccc00,0x00000000,0x57999533,0x40000013,0x7fd46fff,0x7fff303f,
    0xf8000000,0xd0004fff,0xfecb80df,0xffffffff,0x205fffff,0xffffffd9,
    0x2a0000cf,0xfffffffd,0x7c400bff,0x27ffffff,0x3fa0fff8,0xfff98006,
    0x0ef40003,0x7f5c4000,0xffffffff,0x0000adff,0x2a37ffc0,0xff303fff,
    0x0000007f,0x002fffdc,0xd501ffb8,0xffffffff,0xffffffff,0x3ffea0bf,
    0xffffffff,0x7ffd4002,0xffffffff,0x3e203fff,0x27ffffff,0x3e60fff8,
    0x7fcc004f,0x3e60003f,0x3220001f,0xffffffff,0xffffffff,0xf00000cf,
    0xfffa8dff,0x07fff303,0x7f400000,0xf98000ff,0xffff905f,0xffffffff,
    0xbfffffff,0xbfffff30,0x1fffffb7,0x3ffff200,0xfffeefff,0xf104ffff,
    0x4fffffff,0x7ec0fff8,0x3fe6001f,0x3ee0003f,0x3ff60007,0xacdeffff,
    0xfffeccaa,0x80002fff,0x7fd46fff,0x7fff303f,0x2a000000,0xd0001fff,
    0xfff501ff,0x5dffffff,0x5dffd555,0x7fffd035,0x6fffc881,0x7ffff440,
    0xfea880be,0xff884fff,0x3ffe204f,0x0037fc40,0x0007fff3,0x440027ec,
    0x0beffffe,0xfffd7100,0x0000009f,0x07fff300,0x3fa00000,0xff70003f,
    0xfffff10b,0xb0bfffff,0x7fc40bff,0x7fff406f,0x3ffff600,0x3fff2003,
    0x27ffc43f,0x901fff10,0x4cc007ff,0xff100009,0xffe88005,0x540001df,
    0x0005ffff,0x7fcc0000,0x8000003f,0x20002aa8,0xffb81ffe,0xffffffff,
    0x205ffd85,0x5c02fff9,0xff502fff,0xf90005ff,0xfff88fff,0x03ffe204,
    0x0001ffe2,0x01ff5000,0x1ffffcc0,0xffb10000,0x0000007f,0x01fffcc0,
    0x00000000,0xf906ffa8,0xffffffff,0x0bffb0bf,0x201fffcc,0xf882cde9,
    0x20002fff,0x3e23fffe,0x3fe204ff,0x07ffd00f,0x7e400000,0x3ffe2005,
    0x9000001f,0x00005fff,0x3ffe6000,0x00019883,0x3fa00000,0xffffb03f,
    0x0bffffff,0xff80bffb,0x5c0000ef,0x40006fff,0x3e26fffa,0x3fe204ff,
    0x0dff700f,0x99980000,0x3f2003ff,0x013000ff,0x01fffb00,0x00277744,
    0x7ccbbba2,0xffdb13ff,0x74403bff,0x744004ee,0x7ffcc2ee,0xffffff01,
    0xb0bfffff,0xffc80bff,0x3a0000ef,0x80002fff,0x3fe22bdf,0x3ffe204f,
    0x05fff100,0x202eee98,0xfffffdb8,0xfff3002f,0xfffea803,0x333260bd,
    0x00fffa20,0x4001fffd,0xff30fffb,0xfffff57f,0x740bffff,0x2e000fff,
    0x7fec0fff,0x3ffffa06,0x85ffffff,0xfe805ffd,0x88001fff,0x00007fff,
    0x027ffc40,0x7401fff1,0x7fcc05ff,0xffff903f,0x07ffffff,0x4c09ffd0,
    0xfffffffe,0x81fff90e,0x7dc06ffa,0x3fa003ff,0x3bffe66f,0xfeddffff,
    0xfb80dfff,0x3fa003ff,0x1fffc46f,0xffffff90,0xfb0bffff,0xfff100bf,
    0x5c0019ff,0x00006fff,0x027ffc40,0x5c01fff1,0x3e600fff,0x7ff443ff,
    0xfffcefff,0xff700dff,0x7fffd40d,0x8efffeff,0xffd06ffd,0x37ffc405,
    0x22fff980,0x3ffffff9,0x84ffff98,0x3006fff8,0xffa85fff,0x3ffee01f,
    0x5fffffff,0xb805ffd8,0x2effffff,0x0bfff900,0xff880000,0x3ffe204f,
    0x0bffe600,0x643fff98,0xf10aefff,0x209fffff,0xff502ffe,0x7e4439ff,
    0x704fffef,0xffd80bff,0xfffc801f,0x3ffffe60,0x3fffa202,0x01fffd81,
    0x640fffc8,0x3a200fff,0xffffffff,0x05ffd85f,0x3f7bffa6,0x400dffff,
    0x0004fffc,0x27ffc400,0x401fff10,0x2604fff8,0x3fea3fff,0x47fd41ff,
    0xff987ffe,0x7ffff107,0x7ffffdc0,0x80dff303,0xf804fffa,0x7ffcc5ff,
    0xfffa804f,0x04fffa84,0xfe85fff8,0xfffa807f,0x85ffffff,0xff305ffd,
    0x7fffd49f,0x3ff602ff,0x4000002f,0x2204fff8,0x7fc00fff,0x3ffe606f,
    0x20ffff63,0x5fff55fd,0xfb04ffb8,0xffd007ff,0x3fe203ff,0x06fff807,
    0x2617ffd4,0xd000ffff,0x3ffe0dff,0x17ffd406,0xb8037ffc,0xffffffff,
    0x705ffd85,0xffb109ff,0xfd01bfff,0x000003ff,0x204fff88,0x7400fff8,
    0xff300fff,0x17ffe27f,0x7dff1ffc,0xf981ffe8,0xff7006ff,0x07ff80ff,
    0x201fffc8,0xff987ffd,0x3fee004f,0x03fff907,0x7c43ffec,0x3a6005ff,
    0x85ffffff,0xffd05ffd,0x7fffd403,0x7fff40ef,0x44000001,0x32204fff,
    0xfffd804c,0x27fff300,0xf983fffa,0x7fc4020f,0x05fffb06,0x01bffea0,
    0xf9801fff,0xfff104ff,0x07fff309,0x40fffd40,0xf104fff9,0xfff309ff,
    0xfb730009,0xbffb0bff,0x801fff30,0x45ffffd8,0x0002fffd,0x27ffc400,
    0xfff90000,0x4fffe603,0xfc82fffc,0x0bff3006,0x400dfff1,0x2204fff9,
    0xffd007ff,0x07ffee0f,0x800bffe6,0xfd02fff9,0x3ffee0ff,0x03fff981,
    0x42ffe400,0xff885ffd,0xfff5003f,0x17ffe49f,0x3e200000,0x200004ff,
    0xf302fffb,0x3fff27ff,0x5004fe81,0xfff509ff,0x7ffd4007,0x017fea02,
    0x7417ffdc,0xfff306ff,0x7ffc4003,0x05fff704,0x3ea0dffd,0x640002ff,
    0x5ffd85ff,0x400dffd0,0x3ee7fffa,0x000003ff,0x0027ffc4,0x05fff500,
    0x7ecfffe6,0x0ffc40ff,0xc83ffb80,0x2e002fff,0x3f201fff,0xfff1004f,
    0x03fff88b,0x4001fff3,0xf104fff8,0xfff88bff,0x05fff503,0x85ffc800,
    0xff905ffd,0x7fec00bf,0x0dfff51f,0x102a6000,0x00009fff,0x981fffd4,
    0xfffb3fff,0x6400ff70,0xfffd82ff,0x1fff6000,0x4005ffd0,0x3ee0fffd,
    0xfff300ff,0x7ffcc003,0x83fff602,0xf500fffb,0xc80007ff,0x5ffd85ff,
    0x1dfffd10,0x45fff300,0x0000ffff,0xf12effc8,0x400009ff,0xf302fffa,
    0x3fff27ff,0xb002fec1,0xfffd05ff,0x05ffe800,0x8007ffe2,0x3fa2fffa,
    0x3ffe605f,0x3ffea002,0x8bffea01,0x3e605ffe,0x640003ff,0x5ffd85ff,
    0x3ffffe60,0x0fffc403,0x0005fffb,0x223ffff0,0x00004fff,0x4c07ffee,
    0xfff93fff,0x2003ff85,0xffd83ffc,0x3ffe6007,0x017ff204,0x7c57ffe0,
    0x3fe602ff,0x3fee003f,0x15fff807,0x7c405fff,0x640004ff,0x5ffd85ff,
    0x7ffffd40,0x1fff701e,0x0037ffd4,0x89bffea0,0x55404fff,0x0fffc802,
    0x2e7fff30,0x3fe63fff,0x70ceec80,0xfff709ff,0x3fffa001,0x01fff302,
    0x2efff900,0x7fcc07ff,0x3ffa006f,0x77ffc805,0xfff00fff,0xffc80009,
    0x805ffd85,0x4fffffe8,0x741fffcc,0x10003fff,0x7c47ffff,0x3fe204ff,
    0x3ffe400f,0x227fff30,0x1bf25fff,0xff537ff4,0x03fff50b,0x01ffff50,
    0x0007ffd1,0x3f6bffe2,0x7ffcc04f,0xfffa802f,0xafff8804,0xfe804ffd,
    0x7e40006f,0x05ffd85f,0x3ffffee0,0x05fffb9e,0x007ffff3,0x41ffffd0,
    0x2204fff8,0x7f400fff,0x3ffe607f,0x747fff63,0x3fff984f,0x3e21bfe6,
    0x7fcc05ff,0xffe886ff,0x7ff40006,0x4c01fffd,0x200effff,0x000fffe8,
    0x3fffbffd,0x00fff900,0xd85ffc80,0x6c4005ff,0xffffffff,0x7fffec03,
    0xfffb3004,0x4fff885f,0x003ffe20,0x7cc09fff,0x3ffea3ff,0xfe81ff9e,
    0x07ffc1ff,0x9817fff4,0x4c6fffff,0x0001fffe,0x37ffffdc,0x7ffffcc0,
    0xffff981e,0x3ffee003,0xff5006ff,0x7e40003f,0x05ffd85f,0xfffff500,
    0xffd1001f,0x44139fff,0x3fffffc9,0x204fff88,0x2600fff8,0x3e602fff,
    0x7ffec3ff,0x7fec47fe,0x84ffd83f,0x50cffff9,0xffffdff9,0x5ffffb79,
    0xfff10000,0xff3007ff,0xb9dfffff,0x00bffffd,0x3fffff88,0x00fffe00,
    0xd85ffc80,0x220005ff,0x006ffffd,0x3ffffff6,0xffffffff,0xfff104ff,
    0x07ffc409,0x401fff70,0x7c43fff9,0xdbbfffff,0xf505ffff,0x3ffe60ff,
    0x8dffffff,0xffffffff,0x200000ef,0x800ffffd,0xffcbfff9,0x4fffffff,
    0xffffb000,0x2ffec001,0x0bff9000,0x0000bffb,0x00bffff7,0x7fffffe4,
    0xefffffff,0x13ffe202,0x200fff88,0x7cc05ffd,0xffe883ff,0xffffffff,
    0x5fff100d,0x3ffffee0,0x3fff24ff,0x0005ffff,0x05fff980,0x2a7fff30,
    0x1dfffffe,0x3ffe6000,0x7ffdc005,0xbff90000,0x000bffb0,0x0bfffe60,
    0xfffeb880,0x02efffff,0x204fff88,0xf100fff8,0xff9807ff,0x3fff603f,
    0x801effff,0x7101fffb,0xd7037bfb,0x26017bdf,0xf98002aa,0xff3002ff,
    0x0aaa887f,0xfff98000,0x3fff8002,0x0bff9000,0x0000bffb,0x0027ffcc,
    0x1abffc88,0x27ffc400,0x201fff10,0x4c00fffa,0x3f603fff,0x000abbae,
    0x00077ff4,0xfff50000,0xdff90009,0x1fffcc00,0x7e400000,0xff70006f,
    0x3ff2000d,0x205ffd85,0xfd006fec,0x7ec000df,0xff10000f,0x7ffc409f,
    0x007ffd00,0x7c05fff3,0xfa80004f,0x000006ff,0x00dfff50,0x800fffe0,
    0x0003fff9,0x03fff800,0x03fff100,0xb0bff900,0x7fec0bff,0x7ffe800f,
    0xffff1000,0xff880019,0x3ffe204f,0x00fff980,0x302fffa8,0x200003ff,
    0x002efffb,0x3ffee000,0xffa8000e,0x3fe6000f,0x4000003f,0x0000fffa,
    0x20013ff2,0xffd85ffc,0x13ffee05,0x009fff30,0x37fed4c0,0x13ffe200,
    0xc80fff88,0xff5004ff,0x01ff203f,0xffff7000,0x4c00001b,0x000ffffe,
    0x004fffa8,0x001fffcc,0x9fff5000,0xfff88000,0x2ffe4000,0xf102ffec,
    0x7ec07fff,0x880002ff,0x22001fff,0x3e204fff,0x7ffc40ff,0x1fffb000,
    0x00013fa0,0x3ffffee0,0xb88000ad,0x00cffffe,0xffffddb0,0xff98001f,
    0x3600003f,0x0fffffee,0x4ffa8000,0x42ffe400,0x7d405ffd,0xbaadffff,
    0x000efffe,0x3fff6620,0x3ffe2001,0x3e26eeee,0x1ffe40ff,0xfffd7930,
    0x00bfe20d,0x7ff44000,0xabceffff,0xecbaa99a,0x01efffff,0x7ffffe40,
    0xff98002f,0x3200003f,0x02ffffff,0x07ff6000,0xd85ffc80,0xffc805ff,
    0xffffffff,0xfa8000df,0x05ffffff,0x7ffffc40,0x3ffe27ff,0x7017fe20,
    0x07ffffff,0x00003fee,0xffffd500,0xffffffff,0xffffffff,0x3fee0005,
    0x30003fff,0x00007fff,0x1fffffdc,0x3fe20000,0x17ff2005,0x54017ff6,
    0xfffffffe,0x3ea0004f,0x004fffff,0xffffff88,0x83ffe27f,0x7ec00ffd,
    0x3204ffff,0x0000005f,0x3ffffb26,0xffffffff,0x0000beff,0x002f7722,
    0x01aaa880,0x37722000,0x5000000b,0x2a6001dd,0x02aa981a,0x5ef65d40,
    0x5cc0000a,0x0000accc,0x2aaaaaaa,0x443bba22,0xecb802ee,0x018802cd,
    0x22000000,0xceeecba9,0x00000acc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,0x8800abcc,
    0x2ea004cc,0x4ccccc4c,0x3a600199,0x00000dee,0x00bbbb60,0xdd500000,
    0x800003dd,0x000eeeeb,0x77640000,0x76c0005e,0x000005ee,0x00f77754,
    0x3bbbae00,0xff099980,0xf8803dff,0x7fd400ff,0x3ffe67ff,0x1007ffff,
    0x01dffffd,0xfff90000,0x000003ff,0x01ffff40,0xfffe8000,0x20000004,
    0x001ffff9,0x17fffcc0,0x3f600000,0xe80005ff,0xfff84fff,0x3ffffff6,
    0x007ffc40,0x4ffffff3,0xfffffff9,0xdfffb007,0x80000bff,0xeffefffa,
    0xa8000000,0x00005fff,0x03fffe20,0x7ec00000,0x500003ff,0x0000dfff,
    0x1fffe880,0x7ffc4000,0xcb7ffc0f,0x205fffec,0x3a00fff8,0x264defff,
    0x7fffffff,0x9bfffb80,0x00003fff,0xff1bfff3,0x000000bf,0x0001dffd,
    0x4fff9800,0xf8800000,0x400004ff,0x0001fffb,0x2fffcc00,0x7ffcc000,
    0x6437ffc4,0xff100fff,0x3ffe201f,0x1fff6004,0x64dfff30,0x40002fff,
    0xf50fffe8,0x000009ff,0x000fffd4,0xfffb8000,0x64000000,0x000006ff,
    0x0000bffb,0x01fff500,0x1fff5000,0x7cc37ffc,0xfff102ff,0x03ffea01,
    0x207ffd80,0x220fffe8,0x0000fffe,0xfb0bfff6,0x000005ff,0x0000bffa,
    0x07ff9000,0x7fc40000,0x2000000f,0x00001ffe,0x004ffb80,0x7c9ff900,
    0x7fff06ff,0x403ffe20,0x6c007ffb,0x000007ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7c000000,0x7ffd06ff,0x403ffe20,
    0x6c007ffb,0x033317ff,0x03333000,0x57973100,0x40000013,0x09abcb98,
    0x26200000,0x0009abcb,0x0000ccc4,0x9988cccc,0x99980001,0x33310001,
    0x26600001,0x837ffc09,0xff104ffe,0x1bfee01f,0x36fffb00,0x40001fff,
    0xb7007fff,0xffffffff,0x200003bf,0xffffffdb,0x0001dfff,0xfffffb70,
    0x003bffff,0x0007fff6,0x3f6ffff0,0x7c0001ff,0xfb0007ff,0x00001fff,
    0xfff8dfff,0x209ffd06,0xf900fff8,0xffd800df,0x003fffb7,0x407fff80,
    0xffffffd8,0xefffffff,0xffb10001,0xffffffff,0x0003dfff,0x3fffff62,
    0xffffffff,0x7ffec01e,0x7ffc0001,0x003fffb7,0x007fff80,0x3fffff88,
    0x6fff8000,0xfe837ffc,0x1fff104f,0x001bff20,0x3ff6fffb,0x7fc0001f,
    0x3ffea07f,0xffefffff,0x02ffffff,0x7ffffd40,0xffffefff,0x4002ffff,
    0xfffffffa,0xffffffef,0x3ff602ff,0x7fc0001f,0x03fffb7f,0x07fff800,
    0xfffffb80,0xfff80006,0xe837ffc6,0xfff104ff,0x01bff201,0x3f6fffb0,
    0x7c0001ff,0xfffb07ff,0xb30159ff,0x009fffff,0x33fffff6,0xfffd980a,
    0xffb004ff,0x30159fff,0x09fffffb,0x0007fff6,0x3f6ffff0,0x7c0001ff,
    0xfe8007ff,0x001fffdf,0x3e37ffc0,0x9ffb06ff,0x403ffe20,0x6c006ffc,
    0x3fffb7ff,0x7fff8000,0x1effffb8,0xffffd100,0xffffb807,0xffd1001e,
    0xffb807ff,0xd1001eff,0xfb07ffff,0xf80003ff,0x3fffb7ff,0x7fff8000,
    0x47ffcc00,0x40004fff,0x7ffc6fff,0x20bffb06,0xfb00fff8,0xffd800bf,
    0x003fffb7,0x447fff80,0x0003ffff,0x201ffffb,0x003ffff8,0x01ffffb0,
    0x00ffffe2,0x07fffec0,0x0007fff6,0x3f6ffff0,0x7c0001ff,0x7e4007ff,
    0x01fff96f,0x237ffc00,0xff906fff,0x03ffe20d,0x20027ff4,0xfffb7ffd,
    0xfff80003,0x02fffe47,0x17fffa00,0x002fffe4,0x417fffa0,0x0005fffc,
    0x362ffff4,0x40001fff,0xfffb7fff,0xfff80003,0xa7ffc007,0x0003fffa,
    0xfff1bffe,0x03ffea0d,0x2203ffe2,0x6c002fff,0x3fffb7ff,0x7fff8000,
    0x003fffe6,0x3ffff300,0x00ffff98,0x7fffcc00,0x07fffcc1,0x3ffe6000,
    0x07fff61f,0x2ffff000,0x0001fffd,0x5003fffc,0x7ffc5fff,0x3ffe0006,
    0x8837ffc6,0xff884fff,0x07ffc80f,0xfb7ffd80,0xf80003ff,0x3fffa7ff,
    0xff900003,0x3fffe89f,0xfff90000,0x03fffe89,0x9fff9000,0x000fffec,
    0x7edfffe0,0x7c0001ff,0x3f6007ff,0x0fffe47f,0x46fff800,0x3f206fff,
    0x7ffc42ff,0x027ffd40,0xfdbffec0,0x7c0001ff,0xffff17ff,0x7fcc0000,
    0x1fffe27f,0xfff98000,0x01fffe27,0x7fff9800,0x0007fff6,0x3f6ffff0,
    0x7c0001ff,0xff1007ff,0x5fff989f,0x8dfff000,0x7ec06fff,0xfff14fff,
    0x17ffff21,0xdbffec00,0x40001fff,0xfff37fff,0xfe80000b,0xbfff31ff,
    0xffe80000,0x0bfff31f,0xfffe8000,0x003fffb1,0xfb7fff80,0xf80003ff,
    0xff7007ff,0x1fffd03f,0x8dfff000,0xfb806fff,0x1fff16ff,0x000ffffa,
    0xffb7ffd8,0xff80003f,0x09fff57f,0xfffc8000,0x009fff53,0x3fffc800,
    0x0009fff5,0xb3fffc80,0x80003fff,0xfffb7fff,0xfff80003,0x0dffd007,
    0x000fffee,0xfff1bffe,0xdffd300d,0x7f43ffe2,0x360002ef,0x3fffb7ff,
    0x7fff8000,0x0007fff7,0x74fffb80,0x00007fff,0xf74fffb8,0x800007ff,
    0xffb4fffb,0xff80003f,0x03fffb7f,0x07fff800,0x104fff98,0xf000dfff,
    0x6fff8dff,0xaffffd40,0xffb0fff8,0x360009ff,0x3fffb7ff,0x7fff8000,
    0x0005fff9,0x94fffa80,0x00005fff,0xf94fffa8,0x800005ff,0xffb4fffa,
    0xff80003f,0x03fffb7f,0x07fff800,0x200fffd8,0x4001fffd,0x7ffc6fff,
    0x33ffea06,0x983ffe21,0x8003fffc,0xfffb7ffd,0xfff80003,0x003fffd7,
    0x5fffa800,0x0003fffd,0xd5fffa80,0x00003fff,0xfb5fffa8,0xf80003ff,
    0x3fffb7ff,0x7fff8000,0x037ffc40,0x0017ffea,0xfff8dfff,0x217ffa06,
    0xfd80fff8,0xffd8007f,0x003fffb7,0xff7fff80,0x800001ff,0xfff5fffa,
    0xa800001f,0xffff5fff,0xfa800001,0x3fffb5ff,0x7fff8000,0x0003fffb,
    0x5c07fff8,0xff803fff,0x3fe000ff,0x837ffc6f,0xf881fff8,0xfff880ff,
    0xbffec001,0x0001fffd,0xffebfffc,0x5c00001f,0xfffd4fff,0xfb800003,
    0x3fffd4ff,0xffb80000,0x03fffb4f,0xb7fff800,0x80003fff,0x7f407fff,
    0xffc800ff,0x3ffe003f,0xb837ffc6,0xfff106ff,0x013ffa01,0x3f6fffb0,
    0x7c0001ff,0x7fffb7ff,0xffc80000,0x07fffb4f,0xfffc8000,0x007fffb4,
    0x4fffc800,0x0003fffb,0xffb7fff8,0xff80003f,0x3ffe607f,0xaaaaaaae,
    0x06fffcaa,0xff1bffe0,0x17ff60df,0xd807ffc4,0x7ec005ff,0x05fff97f,
    0xb7ffc400,0x0004fffc,0xc9fffec0,0x00004fff,0xfc9fffec,0x400004ff,
    0xff93fffd,0x7c40005f,0x5fff96ff,0x7ffc4000,0x3ffff206,0xffffffff,
    0x02ffffff,0xff8dfff0,0x0bffb06f,0x6403ffe2,0x7ec005ff,0x05fff77f,
    0xb7ffcc00,0x0005fffa,0xa8ffff40,0x00005fff,0xfa8ffff4,0x400005ff,
    0xff71fffe,0x7cc0005f,0x5fff76ff,0x7ffcc000,0x3ffffe06,0xffffffff,
    0x05ffffff,0xff8dfff0,0x09ffd06f,0x6403ffe2,0x7ec006ff,0x07fff77f,
    0xb7ffcc00,0x000ffff8,0x4ffff300,0x000ffff8,0x4ffff300,0x000ffff8,
    0x4ffff300,0x0003fffb,0x7ddbffe6,0x260003ff,0xff506fff,0xdddddddf,
    0xffdddddd,0xfff001ff,0xd06fff8d,0x3fe209ff,0x0dff900f,0xf57ffd80,
    0x540009ff,0x3ff65fff,0xfb00004f,0xfffd89ff,0xffb00004,0x4fffd89f,
    0xfffb0000,0x027ffd49,0x2bfff500,0x0004fffa,0x6c17ffea,0xd8001fff,
    0xff804fff,0x837ffc6f,0xff104ffe,0x1bff201f,0x22fffb00,0x20006fff,
    0x3ea3fffd,0x40001fff,0x541ffffa,0x0001ffff,0x20ffffd4,0x001ffffa,
    0x0ffffd40,0x000dfff1,0xf89fffec,0x360006ff,0xff883fff,0xff30006f,
    0xdfff00ff,0xfd06fff8,0x3ffe209f,0x00dff700,0x3fa7ffd8,0xf88002ff,
    0x7fec1fff,0x7f40005f,0xfffb05ff,0xffe8000b,0xbfffb05f,0xfffe8000,
    0x02fffe85,0x1ffff880,0x000bfffa,0x207fffe2,0x0003fffb,0xf00bfffa,
    0xfd000dff,0x3ffe209f,0x00dff700,0x3f27ffd8,0x64001fff,0xff886fff,
    0x44000dff,0x100ffffe,0x001bffff,0x0ffffe88,0x1bffff10,0xfffe8800,
    0xffffc80f,0x7ffe4001,0x0ffffe46,0x1bfff200,0x0007fff4,0x80bfff70,
    0xf8006fff,0xfff103ff,0x01ffee01,0x7c4fffb0,0x8801ffff,0x702ffffd,
    0x003dffff,0x0bffffea,0x3dffff70,0x3fffea00,0x7ffdc02f,0xff5001ef,
    0x3e205fff,0x8801ffff,0x442ffffd,0x801fffff,0x82ffffd8,0x0006fff9,
    0x007fffc4,0xf000dfff,0x3fe205ff,0x1fff500f,0x23ffec00,0xcefffffb,
    0xffca998a,0x7dc05fff,0x09bdffff,0xffffb731,0x3fee007f,0x109bdfff,
    0xfffffb73,0x3ffee007,0x3109bdff,0x7fffffb7,0xfffffb80,0xca998ace,
    0x705fffff,0x59dfffff,0xfff95331,0x3ff20bff,0xfd80003f,0x3ffe04ff,
    0x7ffd4006,0x01fff100,0x800fffe6,0xffc87ffd,0xffffffff,0x0dffffff,
    0xfffffa80,0xffffffff,0x4002ffff,0xfffffffa,0xffffffff,0x7d4002ff,
    0xffffffff,0xffffffff,0xffff9002,0xffffffff,0x401bffff,0xfffffffc,
    0xffffffff,0xffff00df,0xff500001,0x37ffc0ff,0x7ffedd40,0x03ffe206,
    0x2cdfffe8,0x3ffbbba2,0xffff707f,0xffffffff,0xd98009ff,0xffffffff,
    0x00dfffff,0xffffb300,0xffffffff,0x260001bf,0xfffffffd,0x0dffffff,
    0x7fffdc00,0xffffffff,0xff7004ff,0xffffffff,0x5409ffff,0x00005fff,
    0x7c0bfffe,0xfff806ff,0x3e202fff,0x3fea00ff,0x3fe67fff,0x207fffff,
    0xfffffeb8,0x000cffff,0x3ffff220,0x00bfffff,0xfff91000,0x17ffffff,
    0x3f220000,0xffffffff,0x2e20000b,0xfffffffe,0x44000cff,0xffffffeb,
    0x6c00cfff,0x00002fff,0x7c17fff2,0xfff806ff,0x7fc404ff,0x7ffdc00f,
    0x3fffe67f,0x31007fff,0x00335755,0x57531000,0x80000013,0x009aba98,
    0x54c40000,0x000009ab,0x9abaa988,0x53100001,0x00033575,0x00000000,
    0x1cdee800,0x00eee880,0x226edc98,0x2aaaaaaa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x90000000,0x00009ddd,0xdddd3000,0xd5000005,0xdb100007,0x000009dd,
    0x005eeed8,0x07ddd900,0x03331000,0x80001333,0x4c409998,0xdd500019,
    0x3baa01dd,0x0666205e,0x99982666,0x7ffd4000,0x000003ff,0x02fffec0,
    0x04fb8000,0xffff3000,0x26000003,0x0001ffff,0x2fffffb8,0x7ffe4000,
    0x0037ffc0,0xb0fffea0,0xd0001fff,0x3e207fff,0xfd05ffff,0x4fff98ff,
    0x4005fff3,0xfffefff9,0x30000001,0x0001dfff,0x3ffb6e20,0x40003dff,
    0x0005fffb,0x05fffb00,0xdfff3000,0x40001fff,0x7fc0fffc,0x7d40006f,
    0x7ffec3ff,0x7ffd4000,0x3fbffa05,0x7ffe83ff,0xf9a7ffcc,0xfd1002ff,
    0x1fffb1ff,0xf9000000,0x200003ff,0xfffffffa,0x0002efff,0x0007fff2,
    0x09fff300,0xdfff1000,0x0003bffa,0x3e07ffe4,0x540006ff,0x7fec3fff,
    0x7ff4000f,0x3fffb00e,0xfe83fff7,0xa7ffcc7f,0xb002fff9,0x3fe25fff,
    0x4000006f,0x0002fff8,0xffffff70,0x5fffffff,0x2ffec000,0x3ff60000,
    0xffd00006,0x17ffe63f,0x07ffe400,0x0001bffe,0xfd87fff5,0x3ea000ff,
    0xfff701ff,0xd07fff49,0xfff98fff,0x005fff34,0xfb89fff7,0x000004ff,
    0x00013ff2,0x5fffffcc,0xffffbdfc,0xfd10001f,0x2600001f,0x80000fff,
    0x7e44fffc,0x000003ff,0x00000000,0x40bffa00,0x7cc6fff9,0x4c0006ff,
    0x00002fff,0x00000000,0x7ff44000,0x6453ee3f,0x00006fff,0x00000000,
    0x44000000,0x98000199,0x98800199,0x0009abcb,0x80000000,0xff300999,
    0x3310005f,0x00000013,0x0004ccc4,0x717ffea0,0x7fffc49f,0x26666620,
    0x99999999,0x19999999,0x26666662,0x99999999,0x21999999,0x99999998,
    0x99999999,0x36199999,0x40001fff,0xb7007fff,0xffffffff,0x998003bf,
    0x13330009,0x837ffc00,0x8002fff9,0x000ffffd,0xfffb0000,0x7dc0001f,
    0x227dc2ff,0x3f22fffd,0xffffffff,0xffffffff,0xff90ffff,0xffffffff,
    0xffffffff,0x3ff21fff,0xffffffff,0xffffffff,0xfffb0fff,0xfff80003,
    0x7ffec407,0xffffffff,0xff001eff,0x3ffe00df,0x1bffe006,0x0017ffcc,
    0x0fffffe2,0x3e200000,0x0003ffff,0x3ee1fff6,0x90de74c4,0xffffffff,
    0xffffffff,0x321fffff,0xffffffff,0xffffffff,0xf90fffff,0xffffffff,
    0xffffffff,0x3f61ffff,0x7c0001ff,0x3fea07ff,0xfeffffff,0x2fffffff,
    0x006fff80,0x7c00dfff,0xfff306ff,0xfffb8005,0x000006ff,0x6fffffb8,
    0x1fff6000,0xfc8013ee,0xffffffff,0xffffffff,0xff90ffff,0xffffffff,
    0xffffffff,0x3ff21fff,0xffffffff,0xffffffff,0xfffb0fff,0xfff80003,
    0xfffffb07,0xffb30159,0xff809fff,0xdfff006f,0x837ffc00,0x4002fff9,
    0x1fffdffe,0x7f400000,0x001fffdf,0xb85fff90,0x3ff2004f,0xaaaaaacf,
    0xaaaaaaaa,0x3fff22aa,0xaaaaaaac,0xaaaaaaaa,0x33fff22a,0xaaaaaaaa,
    0xaaaaaaaa,0x007fff62,0x70ffff00,0x003dffff,0x0fffffa2,0xf006fff8,
    0x7fc00dff,0x5fff306f,0x47ffcc00,0x00004fff,0x3e3ffe60,0xf50004ff,
    0x04fb89ff,0x007fff20,0x3fff9000,0xffc80000,0x6c00001f,0x40001fff,
    0x7fc47fff,0xfb0003ff,0x3fe01fff,0xdfff006f,0x837ffc00,0x2002fff9,
    0xfff96ffc,0x32000001,0x1fff96ff,0xffff1000,0x90027dc5,0x00003fff,
    0x001fffc8,0x0fffe400,0x3ff60000,0x7fc0001f,0x2fffe47f,0x3fffa000,
    0x00dfff05,0xf801bffe,0xfff306ff,0xa7ffc005,0x0003fffa,0x2a9fff00,
    0x90003fff,0xf739ffff,0x7ffe4009,0x7e400001,0x400001ff,0x0001fffc,
    0x00fffec0,0x99fffe00,0x0000ffff,0x40ffffcc,0xff006fff,0x7ffc00df,
    0x05fff306,0xf8bffea0,0x800006ff,0x3fe2fffa,0x3f20006f,0x0dffffff,
    0x03fff900,0xfffc8000,0x7e400001,0x400001ff,0x0001fffd,0xffd3fffc,
    0x3200007f,0xfff84fff,0x0dfff006,0x9837ffc0,0xfb002fff,0x1fffc8ff,
    0x7fec0000,0x00fffe47,0xfffff900,0x4017dfff,0x0001fffc,0x00fffe40,
    0x3fff2000,0x7ec00001,0x7c0001ff,0xffff17ff,0x7fcc0000,0x06fff87f,
    0x400dfff0,0xff306fff,0xfff1005f,0x05fff989,0x3ffe2000,0x02fffcc4,
    0x3fff2600,0x03ffffff,0x0003fff9,0x01fffc80,0x7ffe4000,0x7ec00001,
    0x7c0001ff,0xbfff37ff,0xffe80000,0x037ffc1f,0x2006fff8,0xff306fff,
    0xfff7005f,0x01fffd03,0x3ffee000,0x00fffe81,0xfffd5000,0xc81dffff,
    0x00001fff,0x000fffe4,0x07fff200,0xfffb0000,0xfff80003,0x009fff57,
    0x3fffc800,0xf8037ffc,0x3fe006ff,0x5fff306f,0x20dffd00,0x0003fffb,
    0x2e0dffd0,0x00003fff,0x3fff37ee,0x7ffe45ff,0x7e400001,0x400001ff,
    0x0001fffc,0x00fffec0,0x5dfffe00,0x00003fff,0x3e27ffdc,0xfff006ff,
    0x37ffc00d,0x402fff98,0xf104fff9,0x30000dff,0x3e209fff,0x200006ff,
    0xfff914fb,0x67ffe45f,0xaaaaaaaa,0x2aaaaaaa,0x5567ffe4,0xaaaaaaaa,
    0x642aaaaa,0xaaaacfff,0xaaaaaaaa,0x7fec2aaa,0x7fc0001f,0x05fff97f,
    0xfffa8000,0x8037ffc4,0x3e006fff,0xfff306ff,0x0fffd805,0x007fff60,
    0x01fffb00,0x000fffec,0x7dc4fb80,0x3fff26ff,0xffffffff,0xffffffff,
    0x7ffffe47,0xffffffff,0x47ffffff,0xfffffffc,0xffffffff,0x7ec7ffff,
    0x7c0001ff,0x3fffd7ff,0xffa80000,0x037ffc5f,0x2006fff8,0xff306fff,
    0x7ffc405f,0x2fffd406,0xdfff1000,0x05fffa80,0x889f7000,0xff90ffff,
    0xffffffff,0xffffffff,0xffffc8ff,0xffffffff,0x7fffffff,0x7fffffe4,
    0xffffffff,0x6c7fffff,0x40001fff,0xffff7fff,0xfa800001,0x37ffc5ff,
    0x006fff80,0x7cc1bffe,0x3fee02ff,0xffff803f,0xfff70000,0x1ffff007,
    0x09f70000,0x3f23fffb,0xffffffff,0xffffffff,0x7ffe47ff,0xffffffff,
    0xffffffff,0x7ffffe47,0xffffffff,0x47ffffff,0x0001fffd,0xffebfffc,
    0x5c00001f,0x7ffc4fff,0x0dfff006,0x9837ffc0,0x3fa02fff,0xffc800ff,
    0xffd0003f,0xfff9001f,0x2fdc8807,0xffb84fb8,0x37fff92f,0x33333333,
    0x83333333,0x999bfffc,0x99999999,0x7e419999,0x99999bff,0x99999999,
    0x7ffec199,0x7ffc0001,0x007fffb7,0x4fffc800,0xf8037ffc,0x3fe006ff,
    0x5fff306f,0x2bbffe60,0xaaaaaaaa,0x8006fffc,0xaaaefff9,0xfcaaaaaa,
    0x7fcc06ff,0xb84fb84f,0xfff91fff,0xfc800003,0x400001ff,0x0001fffc,
    0x017ffe40,0x2dfff100,0x0004fffc,0x21fffec0,0xff006fff,0x7ffc00df,
    0x05fff306,0x3ffffff2,0xffffffff,0x4002ffff,0xfffffffc,0xffffffff,
    0x7fc02fff,0xc84fb86f,0xfff90fff,0xfc800003,0x400001ff,0x0001fffc,
    0x017ffdc0,0x2dfff300,0x0005fffa,0x20ffff40,0xff006fff,0x7ffc00df,
    0x05fff306,0x3ffffffe,0xffffffff,0x4005ffff,0xffffffff,0xffffffff,
    0x7e405fff,0x227dc1ff,0x3f26fff8,0x400001ff,0x0001fffc,0x00fffe40,
    0x3ffee000,0x3fe60003,0x1ffff16f,0x3fe60000,0x06fff87f,0x400dfff0,
    0xff306fff,0xdfff505f,0xdddddddd,0xffffdddd,0x3ffea001,0xeeeeeeee,
    0xfffeeeee,0x3ffea00f,0xfb13ee0e,0x7ffe47ff,0x7e400001,0x400001ff,
    0x0001fffc,0x027ffd40,0x4bfff500,0x0004fffd,0xf09fffb0,0x3fe00dff,
    0x3ffe006f,0x05fff306,0x0003fffb,0x2009fffb,0x8001fffd,0x7404fffd,
    0x9f70efff,0x91bfff62,0x00003fff,0x001fffc8,0x0fffe400,0x3fe20000,
    0x3f60006f,0x3ffea3ff,0x7d40001f,0xfff81fff,0x0dfff006,0x9837ffc0,
    0x7fc42fff,0xff30006f,0xfff100ff,0x3fe6000d,0x7ff4407f,0xfdefdeff,
    0x7e41ffff,0x400001ff,0x0001fffc,0x00fffe40,0x7fff4000,0xfff88002,
    0x2fffec1f,0x3fffa000,0x00dfff05,0xf801bffe,0xfff306ff,0x03fffb85,
    0x0bfffa00,0x007fff70,0x017fff40,0x3fffffa2,0x1effffff,0x001fffc8,
    0x0fffe400,0x3ff20000,0xc800001f,0x4001ffff,0xf886fffc,0x4000dfff,
    0x00ffffe8,0x3e00dfff,0x3fe006ff,0xffd0006f,0x7dc0001f,0x7ff405ff,
    0x3ee0000f,0xeb8805ff,0xffffffff,0x07fff204,0xfff90000,0xfc800003,
    0x800001ff,0x01fffff8,0x2ffffd88,0x3dffff70,0x3fffea00,0x1bffe02f,
    0x0037ffc0,0x3000dfff,0x8000dfff,0x300ffff8,0x8000dfff,0x000ffff8,
    0x02bbfaa2,0x007fff20,0x3fff9000,0xffc80000,0x7000001f,0x59dfffff,
    0xfff95331,0xffb80bff,0x109bdfff,0xfffffb73,0x06fff807,0x400dfff0,
    0xc8006fff,0x80003fff,0xf904fffd,0xb00007ff,0x70009fff,0x7fe4009f,
    0xccccccdf,0xcccccccc,0xfff93ccc,0x9999999b,0x99999999,0x3fff2799,
    0xcccccccd,0xcccccccc,0xfffc83cc,0xffffffff,0x00dfffff,0xffffffa8,
    0xffffffff,0xff802fff,0xdfff006f,0x037ffc00,0x007fffc0,0x3fffd400,
    0x000ffff8,0x07fffa80,0x2004fb80,0xfffffffc,0xffffffff,0x95ffffff,
    0xffffffff,0xffffffff,0x32bfffff,0xffffffff,0xffffffff,0x705fffff,
    0xffffffff,0x09ffffff,0xffffd980,0xffffffff,0xfff000df,0x1bffe00d,
    0x006fff80,0x002fffd4,0x85ffff00,0x0005fffa,0x00bfffe0,0x64009f70,
    0xffffffff,0xffffffff,0xf95fffff,0xffffffff,0xffffffff,0x3f2bffff,
    0xffffffff,0xffffffff,0x2205ffff,0xffffffeb,0x0000cfff,0x3fffff22,
    0x000bffff,0xf8037ffc,0x3fe006ff,0x7fec006f,0x3200002f,0x7fec5fff,
    0x3200002f,0x4c005fff,0x3ff2001a,0xffffffff,0xffffffff,0xfff95fff,
    0xffffffff,0xffffffff,0x3fff2bff,0xffffffff,0xffffffff,0x531005ff,
    0x00033575,0x35753100,0x7ffc0001,0x0dfff006,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0009dddb,0x50379500,0x000003dd,0x000002e2,0x26204ccc,
    0x73000019,0x0bdb0159,0x0b32a000,0x8000bba2,0x4cc40999,0x00000001,
    0x00000000,0xfff70000,0x4400001f,0x8beffffe,0x0000ffd8,0x0dfffd80,
    0x3fe60000,0x0fffe44f,0x3ffee000,0xbff32cff,0xfffb0000,0x3ff237ff,
    0xfff30002,0x01fffc89,0x75310000,0xd7001579,0x6fecc001,0xfd000002,
    0x800003ff,0xfffffffd,0x0006ffff,0x9d52fb80,0x7fcc0000,0x0fffe44f,
    0xffff3000,0xffffffff,0xffb80007,0xffffffff,0xf30000ff,0xfffc89ff,
    0x6d400001,0xffffffff,0x6ffa80df,0xfb7df300,0xfa800005,0x400003ff,
    0xfda9eff9,0x001fffff,0x3dc5e800,0xfff30000,0x01fffc89,0x233ff200,
    0x6fffffeb,0xafff8000,0xffffffc9,0x3fe60003,0x0fffe44f,0xfffa8000,
    0xffffffff,0xff50cfff,0x91b6003f,0xfe80000d,0xa800005f,0x776443ff,
    0xf000000b,0x0000fa89,0xc89fff30,0x20001fff,0x76cc0ffd,0xf880002d,
    0x0cfdb85f,0x7ffcc000,0x00fffe44,0x7fffe400,0xfffeffff,0xffbfffff,
    0x50fe002f,0x2a00001f,0x000006ff,0x00000000,0x00bb07e4,0x00000000,
    0x00000000,0x00000000,0x36000000,0x0abfffff,0x7fffecc4,0x6c003fff,
    0x00003646,0x20000000,0x09abcb98,0x3e200000,0x0002ffdf,0x33333331,
    0x33333333,0x00333333,0x004ccc40,0x00333100,0x00333100,0x00266620,
    0xffffc800,0xffd5000d,0xf5000bff,0x8807f939,0x00001999,0x40026662,
    0xffffffdb,0x0001dfff,0x1ffffb00,0x3fff2000,0xffffffff,0xffffffff,
    0xfb0000ff,0x20001fff,0x0005fffd,0x8003fff4,0x000ffffd,0x3ffffa80,
    0xffff8800,0xfeb8000f,0x7fdc00cf,0x980002ff,0x4401ffff,0xfffffffd,
    0x1effffff,0x3fe20000,0x90003fff,0xffffffff,0xffffffff,0x001fffff,
    0x7fffff10,0x3fff6000,0x3fa0002f,0xff88007f,0x40003fff,0x004ffff8,
    0x7fffffb0,0x2000c000,0x000ffffd,0x13fffa20,0xffffff50,0xfffffdff,
    0x00005fff,0x1bffffee,0x7fffe400,0xffffffff,0xffffffff,0xffb8000f,
    0xb0006fff,0x001fffff,0x001fffa0,0x1bffffee,0xffff7000,0xdff90001,
    0x0001ffff,0x22001331,0x0004ffff,0xb01bfff2,0x159fffff,0xfffffb30,
    0xffd00009,0x0003fffb,0x5559fff9,0x55555555,0x00555555,0x3ff7ffa0,
    0xffd8001f,0xd0005fff,0xfd000fff,0x003fffbf,0x01ffff40,0x6c77fdc0,
    0xc8804fff,0xeffffffd,0x3ffee00c,0xff98002f,0x3fee01ff,0xd1001eff,
    0x0007ffff,0x7fc7ffcc,0xffc8004f,0x0000001f,0xff1fff30,0xffb0009f,
    0x0005ffff,0x9800fffd,0x4fff8fff,0xdfff1000,0x3fff5000,0x701fffea,
    0xffffffff,0x6c05ffff,0xe8006fff,0x3e204fff,0xb0003fff,0x0001ffff,
    0x7fe5bff2,0x7fe4000f,0x0000001f,0x3f2dff90,0x7ec000ff,0x00ffffff,
    0x003fff40,0x7fe5bff2,0xffb8000f,0x7fd4004f,0x07fffc1f,0x7fffff44,
    0xfffffeee,0xffff102f,0x7ffe4009,0x2fffe406,0x3fffa000,0x9fff0005,
    0x000fffea,0x0003fff9,0x3ffe0000,0x007fff54,0xffefffd8,0x7ff4005f,
    0xa7ffc007,0x8003fffa,0x2003fffc,0xfd82fff9,0xfffc81ff,0xfffd501e,
    0x7fffdc0b,0xffff9801,0x3fffe601,0x7fcc0000,0x7d4001ff,0x1bffe2ff,
    0x03fff900,0xf5000000,0x37ffc5ff,0x27fff600,0x2002ffff,0x2a007ffe,
    0x3ffe2fff,0xfffd8006,0x7fff1002,0x20bfff20,0xf8806fff,0x3fa01fff,
    0xffe806ff,0x7fff403f,0xff900003,0xffd8009f,0x00fffe47,0x003fff90,
    0xffb00000,0x01fffc8f,0x7ddfff60,0xfd000fff,0x7fec00ff,0x00fffe47,
    0x007fffa0,0xb813ffa2,0x7fdc3fff,0xfff7001f,0x7fffc405,0x17ffee04,
    0x00ffff10,0x3fffcc00,0x89fff100,0x2005fff9,0x0001fffc,0x7ffc4000,
    0x02fffcc4,0x7f4fffb0,0xffd005ff,0x3ffe200f,0x02fffcc4,0x003fffe0,
    0xf5017ffa,0x5dca8bff,0x0bffea00,0x03ffff70,0x801ffff3,0x0005fff9,
    0x00ffff40,0xe81fffb8,0xf9000fff,0x000003ff,0x81fffb80,0xb000fffe,
    0x7ffccfff,0x7ffe802f,0x03fff700,0x4001fffd,0x6c00ffff,0xffa805ff,
    0xf300005f,0xffd005ff,0x5fffd0df,0x09fff500,0xfffc8000,0x0dffd003,
    0x400fffee,0x0001fffc,0x37ff4000,0x003fffb8,0xffb8fffb,0x7ff400ff,
    0x0dffd007,0x800fffee,0x3201fffe,0xfc800eff,0x220004ff,0x03fffeb9,
    0x22ffff88,0x7005fffb,0x00007fff,0x804fffb8,0xf104fff9,0x3f200dff,
    0xaaaaacff,0xaaaaaaaa,0x3e6002aa,0xfff104ff,0x1fff600d,0xd017fffa,
    0xff300fff,0x3ffe209f,0x3fff6006,0x01dff702,0x00ffff60,0x3ffb2e62,
    0x03ffffff,0x11ffff70,0x2001ffff,0x0002fffc,0x027ffd40,0xb007ffec,
    0xf9003fff,0xffffffff,0xffffffff,0x7ec00fff,0x3ff600ff,0x7ffd801f,
    0x02ffff98,0x3601fffa,0x3f600fff,0xff9001ff,0x3fff505f,0x17fff400,
    0xfffffd50,0xffffffff,0x7fff4007,0x002fffcc,0x0007fffa,0x0bfff500,
    0x406fff88,0xc805fffa,0xffffffff,0xffffffff,0xf1007fff,0xffa80dff,
    0x7ffd805f,0x01ffff70,0xf101fffa,0xffa80dff,0xfff7005f,0x01fffa89,
    0x40ffffc0,0xfffffff8,0xffaadfff,0x3fe2003f,0x004fffff,0x0007fffc,
    0x17ffea00,0x007fff70,0xc801ffff,0xffffffff,0xffffffff,0xf7007fff,
    0xfff007ff,0x7ffd801f,0x417fffa0,0x7dc07ffe,0xfff803ff,0xfff9800f,
    0x05fff30f,0x86fff980,0xdfffffe8,0x7ffd409b,0x7ffdc003,0x74000eff,
    0x00001fff,0x2027ffdc,0xc800fffe,0x7e403fff,0x99999bff,0x99999999,
    0xffd00199,0xfff9001f,0x07ffd807,0x20bfffe6,0x7f407ffe,0xffc800ff,
    0xfffd003f,0x007fff17,0xb07fffd0,0x7003dfff,0xd0007fff,0x0003ffff,
    0x0007fffb,0x04fffc80,0x2abbffe6,0xcaaaaaaa,0x7e406fff,0x000001ff,
    0xaaefff98,0xcaaaaaaa,0x7ec06fff,0x7ffe407f,0x03fff40f,0x555dfff3,
    0xf9555555,0x3ea00dff,0x04ffeeff,0x0ffffb80,0x000ffff8,0x0007fff9,
    0x000bfff3,0x0013fff2,0x07fffb00,0x7fffffe4,0xffffffff,0x3202ffff,
    0x00001fff,0xfffffc80,0xffffffff,0x202fffff,0xfe807ffd,0x3fff45ff,
    0xffffff90,0xffffffff,0x2005ffff,0x05fffffe,0x4ffff880,0x004fff98,
    0x000ffff6,0x0017ffe6,0x002fffd4,0x07fffa00,0xfffffff8,0xffffffff,
    0x3205ffff,0x00001fff,0xffffff80,0xffffffff,0x205fffff,0xf9807ffd,
    0x3ffa2fff,0x3ffffe07,0xffffffff,0x05ffffff,0x0dffff30,0xdfffd300,
    0x09fff501,0x0ffffe60,0x17ffe600,0x7fffc400,0xff300000,0x7ffd40ff,
    0xeeeeeeee,0xfffeeeee,0x3fff900f,0xfa800000,0xeeeeeeff,0xfeeeeeee,
    0xffb00fff,0x3fff200f,0x20fffd0f,0xeeeefffa,0xeeeeeeee,0x000ffffe,
    0x03dffffd,0x3ffffee0,0x1ffff301,0xfffff980,0xfff98003,0x3ff60005,
    0xfb00004f,0x7fec09ff,0xffd8001f,0x3fff904f,0xfd800000,0xfd8001ff,
    0xfffb04ff,0xaffff400,0xffb07ffe,0xffb0003f,0xfff9009f,0x4359ffff,
    0xffffdba8,0x7fffc03f,0x3fffea04,0xf98004ff,0x2a0005ff,0x0001ffff,
    0x80ffffd4,0x0006fff8,0x320ffff3,0x00001fff,0x01bffe20,0x83fffcc0,
    0x26007ffd,0xffeaffff,0x06fff887,0x0ffff300,0xffceffb8,0xffffffff,
    0x1effffff,0xeffffb80,0xffffebac,0x8005fffc,0x0005fff9,0x002fffec,
    0x817fffa0,0x0003fffb,0x320bfffa,0x00001fff,0x00fffee0,0x82fffe80,
    0x64007ffd,0x7fffffff,0x003fffb8,0x40bfffa0,0xfb11fffa,0xffffffff,
    0x001bffff,0x7fffffec,0xf91effff,0xf98001ff,0x440005ff,0x000dffff,
    0x07ffff44,0x001fffd0,0x42fffdc0,0x0001fffc,0x03fffa00,0x5fffb800,
    0x8007ffd8,0x7ffffffe,0x000fffe8,0x217ffee0,0xd981fff8,0xfffffffe,
    0xd50000be,0x7dffffff,0x002fffa8,0x002fffcc,0x77fffdc0,0xffff5001,
    0x7ffcc05f,0x7fc40006,0x7ffe40ff,0xf3000001,0x88000dff,0x7ec0ffff,
    0xff98007f,0x7cc7ffff,0x440006ff,0xe980ffff,0x35753002,0x4c400001,
    0x000001aa,0x0017ffe6,0x7ffffdc0,0xb73109bd,0x807fffff,0x0003fffc,
    0x644fffd8,0xccccdfff,0xcccccccc,0x643ccccc,0x80003fff,0x7ec4fffd,
    0xff90007f,0xffc8ffff,0xfd80003f,0x000004ff,0x00000000,0x7ffcc000,
    0x3ea00005,0xffffffff,0xffffffff,0x0ffff802,0xfffa8000,0x7ffffe47,
    0xffffffff,0xffffffff,0x007fffc5,0x3fffd400,0x8001fff6,0x7c7ffffe,
    0x80000fff,0x0007fffa,0x00000000,0x7cc00000,0x400005ff,0xffffffd9,
    0xdfffffff,0x5fffa800,0x3ffe0000,0x3ffff22f,0xffffffff,0xffffffff,
    0x17ffea5f,0xffff8000,0x001fff62,0x27ffff98,0x0005fffa,0x00bfffe0,
    0x00000000,0x98000000,0x00005fff,0xfffff910,0x0017ffff,0x0017ffec,
    0x4bfff900,0xfffffffc,0xffffffff,0x25ffffff,0x0002fffd,0xd97fff20,
    0x640007ff,0x3ff67fff,0x3200002f,0x00005fff,0x00000000,0x3fe60000,
    0x8000005f,0x009aba98,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xaa880000,0x0001abcc,
    0x0000aa60,0x8800665c,0x00009bca,0x88001997,0x0000aaaa,0x40079930,
    0x300002a9,0x22000799,0x80000999,0x0001acb9,0x00333310,0x02cc9800,
    0xfffd7100,0x19ffffff,0x2ffdc000,0x2ffdc000,0xfffffc80,0x7fcc001f,
    0x7ffec005,0x0000dfff,0x4007ffe2,0x80005ffb,0x8001ffe8,0x00fffff8,
    0x7fff6440,0x0002efff,0x00ffffd4,0x05ff9000,0xfffff700,0xffffffff,
    0xfc8001bf,0x4c0005ff,0xfd800fff,0x3fffffff,0x007ff600,0xffefffc8,
    0x360006ff,0xff9003ff,0xfb0000bf,0x3f60007f,0x000effff,0xfffffff3,
    0x000bffff,0x005fffc8,0x003ffa00,0xfffffd88,0xffffefff,0xa801ffff,
    0x005ffffe,0x400fff40,0xd98cfffa,0xf9800fff,0x3fea005f,0x0bffea0e,
    0x017fea00,0x17ffffaa,0x0bff5000,0x2bfff200,0xf8805fff,0xfcbcffff,
    0x0004ffff,0x000fffec,0x0037fc40,0x7fffffd1,0xffea8813,0x3f602fff,
    0x005ffeff,0x4013ff20,0xffc82ffe,0x01ffd804,0x3a07b2a0,0x7c4003ff,
    0x7fec00ff,0x0005ffef,0x0003ffe2,0x7d53ffea,0x7fec03ff,0xffff504f,
    0x7f440001,0xfa80005f,0x3ff6003f,0xf3000dff,0x3603ffff,0x05ff99df,
    0x00dff500,0x7cc1ffe6,0x2ffcc07f,0xfff10000,0x2ffe8001,0xf99dfd80,
    0x3f60005f,0xff88002f,0x3fff60ef,0x0dfff102,0x002fffc8,0x00fffc40,
    0x007ff600,0x017fffdc,0x37fff440,0x17fe61b8,0x07ffe200,0xf037fd40,
    0x1ffe80ff,0xfeca8000,0x7fdc003f,0x7cc37005,0xff70005f,0x2aa6000b,
    0x1555441a,0x402fffb8,0x0003fff8,0x0001aa98,0xf8803ffc,0x20003fff,
    0x804ffff8,0xd8005ff9,0x3ee003ff,0x07ffe05f,0x0002ffd4,0x001ffff8,
    0x00077fcc,0x8005ff98,0x0000eff9,0x7fe40000,0x7ffcc00f,0x00000002,
    0x4017fe60,0x0006fffc,0x00ffffa8,0x2002ffcc,0x5c005ffb,0x3ffe05ff,
    0x003ffd01,0xdffff300,0x3ffa2005,0x3fe60001,0x1ffe8005,0x04c40000,
    0x00fffb00,0x0001fff7,0x00009988,0xf8017fdc,0x00002fff,0x9805fffd,
    0x3e2005ff,0x7d4000ff,0x03ffe05f,0x00017fea,0x07ffb510,0x0007ff90,
    0x4005ff98,0x00003ffc,0xdfffffd7,0x3ffec019,0x013ffe20,0x3fff7220,
    0x000cefff,0x4c007ff4,0x00005fff,0x3017ffee,0x7f400bff,0xff98002f,
    0x20fff106,0x00000ffe,0xa80dff30,0x980006ff,0x3ea005ff,0xe980006f,
    0xffffffff,0xdffd02ff,0x00fffb80,0x7ffffdc0,0x2fffffff,0x00dff100,
    0x000ffff2,0x0ffff880,0x4017fe60,0x10004ffc,0xff501fff,0x009ff50d,
    0xf8814cc0,0xfff100ff,0xff300001,0x3ffe200b,0x7fdc0000,0xfffeffff,
    0xffe85fff,0x17ffe206,0xffffe880,0xffffeeef,0xffa802ff,0x5fffd004,
    0xffe80000,0x17fe601f,0x001bfe60,0xe889ffb0,0x0ffe82ff,0x3fff1000,
    0x6c0fff70,0x300002ff,0x3f600bff,0x7c40002f,0x6441dfff,0x7f43ffff,
    0x3fff206f,0x3fff2000,0xfffd501e,0x03ff900b,0x007fffe0,0x5fffb000,
    0x202ffcc0,0x0001ffe8,0x65ffffc4,0xffa86fff,0x7fec0004,0xfffca9be,
    0x00bff705,0x02ffcc00,0x0002ffdc,0x201ffff4,0x3a0ffffa,0xfff106ff,
    0x6fff800b,0x1ffff880,0xf003ff40,0x00001fff,0x203fffc8,0x7ec05ff9,
    0xf500003f,0x3dffffff,0x0001ffd0,0xfffffe88,0xf980efff,0x200000ff,
    0x7cc05ff9,0x5c0000ff,0xf7004fff,0x37ff4bff,0x003fff98,0x4007ffee,
    0x2602fffb,0xff1005ff,0x700000ff,0x7cc09fff,0x17fea05f,0xffb30000,
    0x3fee09ff,0xf9100004,0x407fffff,0x00001ffe,0x3a02ffcc,0xe80001ff,
    0x3a000fff,0xdffd0fff,0x017ffe60,0x2005dca8,0x2e02fffa,0xff1003ff,
    0x900000ff,0x80007fff,0x9500fff8,0x400399db,0x07ffc009,0x0166e5c4,
    0xc8013310,0xdd5004ff,0x3f200003,0x3dd5004f,0x800bfff0,0xffd2fffb,
    0x1ffffc0d,0x3e600000,0x3ff602ff,0x3fffe001,0x7ec00000,0x740002ff,
    0xffe882ff,0x005fffff,0x509ff700,0x1dffffff,0x7fd40000,0x5fff3006,
    0xdff50000,0x0bffe600,0x8007fff1,0xffd3fff9,0x7fffdc0d,0x2200000d,
    0x03fffeb9,0xff001bfe,0x800003ff,0x0000fffe,0x3a217fee,0xfffdefff,
    0x7c40004f,0x7ffd40ff,0x00ffffef,0x1fff8800,0x2ffff880,0x7ffc4000,
    0xffff8801,0x017ffd42,0x753ffe20,0x7fe406ff,0x44001eff,0xffffecb9,
    0xf503ffff,0xffe8009f,0x7c00002f,0x260007ff,0xffb80eff,0x1fff220e,
    0x09ff7000,0x3aa1bfff,0xd80004ff,0xfe8803ff,0x40002fff,0xe8803ffd,
    0x7dc2ffff,0xff8001ff,0x00dffd5f,0x07fffff7,0xfffffd50,0xffffffff,
    0x00bff207,0x007fff90,0x37ffcc00,0x03ffd000,0x3e20bfb2,0xf10000ff,
    0x6ffb81ff,0x001fff88,0x4017fee0,0x02fffffe,0x017fee00,0x17ffffec,
    0x0007ffee,0x7ff57ffe,0xffff3006,0x3ffe209f,0xdfffffff,0xd03fffaa,
    0xf98001ff,0x200006ff,0x0005fffa,0x40009ff9,0x20006ff9,0xffd83ffc,
    0x007ffb03,0x003ffe20,0x3ff37ff6,0xfff10002,0x9bff9001,0xfffa85ff,
    0x7ffc4002,0x400dffd5,0x43ffffd8,0xdfffffe8,0x7ffd409b,0x006ff883,
    0x005ffff0,0xffff8802,0x6ffa8003,0x1ffec000,0x0fff8800,0xf701ffe8,
    0x3fa0009f,0xeffb802f,0x0002ffc8,0xf7005ffd,0x85ff91df,0x4003fff9,
    0xffd4fff9,0xfff7000d,0x1efffd8f,0x83fffb80,0x90003ffa,0x3e00ffff,
    0x7ffe40be,0xfff88006,0x3ff60000,0xff90000f,0x407ffe07,0xc8005ffb,
    0xffa804ff,0x005ff90e,0x5009ff90,0x3ff21fff,0x027ffc42,0x74fffea0,
    0xfd0006ff,0x7fffc3ff,0x7fff9000,0x0003ffb0,0x00ffffe2,0x265ffff3,
    0x8001ffff,0x10003ffd,0x0003fffd,0xff81ffe2,0x0bff700f,0x806ff980,
    0x3f21fff9,0x7fcc002f,0x1fff9806,0x3fe0bff2,0x3fa000ff,0x0dffd1ff,
    0x4bffee00,0x2004fff9,0xff83fffd,0x7fd40007,0x3fea03ff,0xfffedfff,
    0x5ffb8004,0xdfff5000,0x7fe40001,0x407ffa03,0x22004ffb,0x7c401ffe,
    0x17fe42ff,0x03ffd100,0x642fff88,0xfffc82ff,0xdfff5004,0x6d437ff4,
    0x47fff200,0x3004fffa,0xf987ffff,0xfc80005f,0x7100efff,0xdfffffff,
    0x1fff3000,0xbfff9000,0x7ff88000,0xc817fec0,0x3f6003ff,0xfffb803f,
    0xefffeeee,0x3ffd802e,0xeefffb80,0x2eefffee,0x007fffe2,0x747fffd1,
    0x3ffe66ff,0x4ffff105,0x400ffff9,0x43fffff9,0x00002ffb,0x59fffffb,
    0x7ffe5443,0xe8002fff,0xfd8002ff,0xc80003ff,0x7fe403ff,0x005fff05,
    0x5c017fea,0xffffffff,0x5403ffff,0xff7005ff,0xffffffff,0xfffa87ff,
    0xffff503f,0x6c6ffe8b,0x7ecc3fff,0x7fffc4ff,0x3fffea04,0x07ff44ff,
    0xfff70000,0xffffffff,0xffffffff,0x27fe4007,0x0fffec00,0x37fcc000,
    0x117ffc40,0x2200dff9,0x53000fff,0xfb555555,0x7c40159f,0x553000ff,
    0xffb55555,0xfffb0159,0xfffb9bff,0xffe81dff,0x7ffff446,0x0effffec,
    0x677fffdc,0xcffffeba,0x3fe25fff,0xea800006,0xffffffff,0xffdfffff,
    0x7d402eff,0xffb8006f,0xeeeeeeef,0x5ffb001e,0x3bfff200,0x001ffffc,
    0x00005ffd,0x6c017fe4,0x200002ff,0x7d402ffc,0xffffffff,0xdffd05ff,
    0xffffff30,0x3603dfff,0xffffffff,0xfff91eff,0x0013fea1,0xfffd9800,
    0x0befffff,0x0dffffb3,0x0007ffe2,0x3ffffffe,0x802fffff,0x64006ff9,
    0x2fffffff,0x00bff700,0x02ffc800,0x0002ffdc,0x200bff20,0xffffffd8,
    0x3ffa01df,0xffffb306,0xfd5009ff,0x87dfffff,0xff92fffa,0x20000003,
    0x009abaa9,0x6c17ffaa,0xc88003ff,0xcccccccc,0xfd801ccc,0xfda8002f,
    0xf3000cef,0x800001df,0x3e601cca,0x400000ef,0x44001cca,0x00009aa9,
    0x04d5d440,0x06aa6200,0x00132e00,0x40000000,0x033302fb,0x80000000,
    0x00000199,0x00133100,0x4c400000,0x00000009,0x00000000,0x00000000,
    0x00000000,0x00040000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00033331,
    0x00666620,0x00133310,0x03995000,0x4cc02664,0x04ccc409,0x09998800,
    0x00cc0000,0x13333100,0x4c400000,0x22000199,0x20000999,0x4cc40999,
    0x3bbba009,0x7fc40000,0x880003ff,0x4003ffff,0x443fffd8,0xffb0006b,
    0x01bfe603,0xfb8bfff1,0xf88002ff,0x0000ffff,0x3ffff6e6,0x7f44003e,
    0x000005ff,0x007ffff1,0x3ffffe20,0xfff88000,0x017ffdc5,0x0001ffff,
    0x005fffc8,0x0bfff700,0x6fffe400,0x003fffc8,0xf500fff8,0xfff8809f,
    0x017ffdc5,0x7fffff40,0xfff98006,0xffffffff,0x3ffe6002,0xc800000f,
    0x20005fff,0x06fffffe,0x45fff880,0x3e02fffb,0x20000fff,0x0006fff8,
    0x003bffe0,0xfffff500,0x880019ff,0x3ff206ff,0x2fffc403,0x000bffee,
    0xfff5fff9,0x7ffdc00b,0xffffefff,0x3ea001ff,0x400004ff,0x000efff8,
    0xff5fff90,0xff8800bf,0x17ffdc5f,0x001ffff0,0x007ffdc0,0x1fffb800,
    0xffe98000,0x50000cff,0x7ff40bff,0x2fffc401,0x800bffee,0xff54fffa,
    0xfff3007f,0xffda83bf,0x3ee000ff,0x200000ff,0x0001fffb,0x3ea9fff5,
    0x3e2003ff,0x7ffdc5ff,0x02aaaa02,0x17ffc400,0x5fff0000,0xffda8000,
    0x0005ffff,0xff80fff2,0x0000000f,0xd8dfff10,0x7f401fff,0x7fec03ff,
    0x7fec003f,0x3fe00004,0xff10002f,0x7ffec1df,0x00000001,0x2aa20000,
    0x2a200002,0x3a20002a,0xffaaefff,0xffb0003f,0x01bfe603,0xa9800000,
    0x555441aa,0x1bffea02,0x01bffe60,0x0000aaa0,0x00015544,0xa8835553,
    0x000002aa,0x00000000,0x00000000,0x3f20eff4,0xff8001ff,0x09ff700f,
    0x00000000,0x3fff2000,0x1bdf9001,0x00000000,0x00000000,0x44000000,
    0x440000aa,0x20000099,0x54000098,0x03bffa01,0x206ff880,0x10003ffc,
    0x88000013,0x3fe00099,0x0002006f,0x00000988,0x000004c4,0x00000262,
    0xf9800131,0x6e44001f,0xceffffff,0x7ff5c000,0x000cefff,0x9cddca88,
    0xeb83fffa,0xfffeeeee,0xffeeeeee,0x5c05eeef,0xcefffffe,0x7ee44000,
    0x0cefffff,0x00bfff10,0x7f6dc000,0x000cefff,0xffffedb8,0xdb8000ce,
    0x0ceffffe,0xffedb800,0x4c00ceff,0x3ee002ff,0xffffffff,0xe9802fff,
    0xffffffff,0x3f2002ff,0xfeffffff,0x7fe40fff,0xffffffff,0xffffffff,
    0xfd306fff,0xffffffff,0x3fee005f,0xffffffff,0xfff982ff,0xd8800004,
    0xffffffff,0xfb1001ef,0xffffffff,0x3f62003d,0xffffffff,0xffb1001e,
    0xdfffffff,0x017fd403,0x7fffff44,0xfffffeee,0x3ffee02f,0xffffefff,
    0x7f4405ff,0xffffffff,0x7e44ffff,0xffffffff,0xffffffff,0xfb86ffff,
    0xffefffff,0x2205ffff,0xeefffffe,0x2ffffffe,0x001fffcc,0x3fffea00,
    0xffffeeff,0x7ffd404f,0xfffeefff,0x7fd404ff,0xffeeffff,0x7d404fff,
    0xfeefffff,0xf504ffff,0xfff9007f,0x3ffaa03d,0xffff105f,0xfffc883b,
    0xffff103f,0x3fae637d,0x2620ffff,0x9fff9999,0xffc99999,0x7c40999d,
    0x6441dfff,0xf903ffff,0x3aa03dff,0x7fcc5fff,0x2200003f,0x441dffff,
    0x102ffffa,0x883bffff,0x102ffffa,0x883bffff,0x102ffffa,0x883bffff,
    0xb82ffffa,0xfff803ff,0xffff8806,0x03fffe81,0x407fffd4,0x100dfffc,
    0x805ffffb,0x3f206ff9,0x7fff403f,0x7fffd403,0x806fff80,0x221ffff8,
    0x00004fff,0x300ffff2,0x3f20dffd,0x7f4c03ff,0x7fff906f,0x06ffe980,
    0x9807fff9,0xffb86ffe,0x0fffdc04,0x42fffb80,0x7004fffb,0xff98bfff,
    0xfffb006f,0x04ffa80b,0xfb807ffa,0xff7004ff,0x1fffb8bf,0x85fff700,
    0x00005fff,0x200bfff3,0x7cc3fff9,0xff3005ff,0x5fff987f,0x87fff300,
    0x3005fff9,0xffc87fff,0x02ee5405,0xe85fff50,0x3a000fff,0x3ff60fff,
    0xfff3002f,0x03ffc80f,0xfe80fff1,0x3fa000ff,0x1772a0ff,0x42fffa80,
    0x22006ffe,0x3ff62cef,0x3ff6000f,0x007ffec7,0xfd8fffb0,0x3f6000ff,
    0x07ffec7f,0xc8fffb00,0x000005ff,0xff85fff3,0x7fdc005f,0x01bffe2f,
    0x405fffb0,0xff301ffe,0x05fff80d,0x017ffdc0,0x17ffcc00,0x4003fff6,
    0x3fa2fffa,0x7fdc006f,0x01bffa0f,0x741fff70,0x7dc006ff,0x1bffa0ff,
    0x41fff700,0x00006ffd,0x3fffae62,0x00fffe23,0x227fff30,0x5c004fff,
    0x3fe02fff,0x09ff700f,0x001fffc4,0x000fffe6,0x7fff5cc4,0x027ffd43,
    0x7fc7ffd8,0x7fd4005f,0x017ffe1f,0x7c3fff50,0x7d4005ff,0x17ffe1ff,
    0x43fff500,0x88006ffd,0xffffecb9,0x3ea3ffff,0x7c4002ff,0x7fff34ff,
    0x3fffa800,0x6c0dff30,0x3fea02ff,0x7fc4002f,0x65cc404f,0xfffffffe,
    0x1fffe83f,0x12fffd40,0xffffffff,0xffffffff,0x3fe25fff,0xffffffff,
    0xffffffff,0xfffff12f,0xffffffff,0x25ffffff,0xfffffff8,0xffffffff,
    0x3fa2ffff,0x3faa007f,0xffffffff,0x3ee3ffff,0xff8001ff,0x05fff55f,
    0x14fff980,0x3bff7333,0xffd33333,0x2e133335,0xf8001fff,0xffd505ff,
    0xffffffff,0xff307fff,0x3fee07ff,0x3ffea0ff,0xffffffff,0xffffffff,
    0xffffff54,0xffffffff,0x2a9fffff,0xffffffff,0xffffffff,0xfff54fff,
    0xffffffff,0xffffffff,0x403fff49,0xfffffff8,0xffaadfff,0x07ffee3f,
    0x5d7ffe00,0x44002fff,0xfff94fff,0xffffffff,0xffffffff,0x3ffeedff,
    0x5fff8001,0x7fffffc4,0xfaadffff,0xfff903ff,0xffdb9bff,0xfffa83ff,
    0xffffffff,0xffffffff,0xffffff54,0xffffffff,0x2a9fffff,0xffffffff,
    0xffffffff,0xfff54fff,0xffffffff,0xffffffff,0x007fffc9,0xbfffffd1,
    0xfffa8137,0x00bffea3,0x2abfff10,0x4c002fff,0xfff93fff,0xffffffff,
    0xffffffff,0x3ffeadff,0x7ffc4002,0x3ffffa25,0x7d409bdf,0x3fea03ff,
    0xffffffff,0x3fff982f,0xfff30000,0x3e600007,0x300003ff,0x00007fff,
    0xb007fffc,0x7003dfff,0x7fcc7fff,0x7fcc003f,0x07fff34f,0x72fffa80,
    0xddfffddd,0xdfffdddd,0x26bddddd,0x4c003fff,0x3ff64fff,0xffb801ef,
    0x7fec403f,0x00cfffff,0x0009fff1,0x013ffe20,0x27ffc400,0xfff88000,
    0xff100004,0x7ffc03ff,0xfff9000f,0x027ffc47,0x44fffea0,0x64004fff,
    0xff981fff,0x00bff606,0x8009fff1,0x3fe3fffa,0xff9000ff,0x77f4007f,
    0xdfff001a,0x7ffc0000,0x3fe00006,0x3e00006f,0x100006ff,0x2603ffff,
    0x36004fff,0x7ffc3fff,0x3ffa000f,0x03fffe1f,0x80ffff80,0x3fa04ffb,
    0xffff800f,0x3fffa000,0x009fff31,0x801fffec,0x2001eff8,0x2000fffe,
    0x3fa1cefc,0x3f2000ff,0x3fffa1ce,0x33bf2000,0x003fffa1,0xf31cefc8,
    0x3ea05fff,0xff3004ff,0xfffc87ff,0xdfff5004,0x003fffb8,0x3209fff7,
    0xfff103ff,0x13fff200,0x537ffd40,0x26009fff,0x5003ffff,0x003dfffd,
    0x200bfff7,0x2e0ffff8,0xf1005fff,0x7fdc1fff,0xfff1005f,0x2fffdc1f,
    0x0ffff880,0x205ffff3,0x400ffff9,0x43fffff9,0x401ffff8,0x443fffe8,
    0x4c01ffff,0xfd00ffff,0x17fea03f,0x0ffffc40,0x8ffffa20,0x400ffff9,
    0x03fffff9,0x005ffc80,0xb007fffd,0xffd09fff,0xfffb007f,0x07fffd09,
    0xd09fffb0,0xfb007fff,0x7ffcc9ff,0x3fffe02f,0x3fffea04,0xfffa84ff,
    0xffff503f,0x3fffee0b,0x7ffff503,0xf703ffc0,0x7fd4009f,0xfff503ff,
    0x9ffff0bf,0x7ffffd40,0xffc8004f,0xffff3007,0xfffb501b,0xffff301f,
    0xfffb501b,0xffff301f,0xfffb501b,0xffff301f,0xfffb501b,0x7fffcc1f,
    0x3fffee02,0xfffebace,0xb05fffcf,0xb9bfffff,0x01dfffff,0x6fffffdc,
    0x5fffffdc,0xd81bfe60,0x7ec002ff,0xfdcdffff,0xb80effff,0xbaceffff,
    0xffcffffe,0x6554c05f,0x2005fffd,0xcefffffc,0x1ffffffd,0x3fffff20,
    0xfffffdce,0x3fff201f,0xfffdceff,0x3f201fff,0xfdceffff,0x4c1fffff,
    0x6c02ffff,0xffffffff,0xfff91eff,0x3fffea01,0x5fffffff,0xfffff500,
    0x07ffffff,0x3a04ffb8,0xfa8000ff,0xffffffff,0x7fec05ff,0xffffffff,
    0x01fff91e,0x7fffffe4,0x7fd4000f,0xffffffff,0xffa802ff,0xffffffff,
    0xffa802ff,0xffffffff,0xffa802ff,0xffffffff,0xfff982ff,0xffea802f,
    0x543effff,0x36202fff,0xdfffffff,0x7f64c001,0x00dfffff,0xf103ffc8,
    0x6c4000ff,0xdfffffff,0xfffd5001,0xfa87dfff,0x3ff602ff,0x0000cfff,
    0xfffffd91,0xc88007ff,0xfffffffe,0x7f644003,0x03ffffff,0x7fff6440,
    0x4c03ffff,0x22000999,0x00001aa9,0x009aa988,0x0ab98800,0x80665c00,
    0x00003cc8,0x00135531,0x006aa620,0x00998800,0x554c4000,0x98800009,
    0x800009aa,0x0009aa98,0x09aa9880,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x98800000,
    0x31000099,0x00001333,0x99881333,0x26620009,0x4c000019,0x0001acba,
    0x04cccc00,0x44099980,0x22000199,0xa9800001,0x00009bcb,0x00133300,
    0xcb800cc4,0xf8800004,0x8000ffff,0x005fffe8,0x227ffc40,0x2002fffb,
    0x004ffff8,0xffffd880,0x00000dff,0x01ffffa8,0x644fff98,0x26001fff,
    0x2cdffffd,0x3ffaa000,0x00dfffff,0x3ffe6000,0x221ddd15,0x1dffffec,
    0x0007ff60,0xfffffd00,0x3fe6000d,0x220000ff,0x7fdc4fff,0x7fd4002f,
    0x2a0000ff,0xffffffff,0x400001ff,0x3003fffe,0xffc89fff,0xfffb001f,
    0x09ffffff,0xffffe880,0x3fffffff,0xfff30000,0x263ffe6b,0xffffffff,
    0x09ff505f,0x7ffe4000,0x0004fffa,0x0009fff5,0x2e27ffc4,0xb8002fff,
    0x10003fff,0xf99fffff,0x0001dfff,0x017ffe60,0x644fff98,0xfd801fff,
    0xfffeffff,0x3f6004ff,0xecbcdfff,0x0002ffff,0xf35fff98,0xbffff7ff,
    0x1bffffdb,0x0006ff88,0x2e9fff50,0x70003fff,0x20001fff,0x7dc4fff8,
    0xf90002ff,0x3f6000ff,0x7fec43ff,0xfb00004f,0x7cc001df,0x7ffe44ff,
    0x77ffe401,0xfffd510a,0xdfff900b,0x3ffff203,0x7fcc0000,0xfffff35f,
    0xffff307f,0x001ffd09,0x46fff980,0x0001fffd,0x00009ffb,0xfd000000,
    0xff88007f,0xdfff306f,0xfff30000,0x00000001,0x8077ffc4,0x201fffe8,
    0x400ffff9,0x0004fffc,0xf9afffcc,0x2202ffff,0x7e41fffe,0x54c0002f,
    0x555440aa,0x0aaa0002,0x00000000,0x000aaa20,0x7407fff3,0x980007ff,
    0x000001aa,0x0fffe400,0x813ffe20,0xd002fffb,0x98000dff,0xfff35fff,
    0xfff5009f,0x005ff989,0x00000000,0x00000000,0xa8000000,0x3fa04fff,
    0x0000007f,0x22000000,0xfb006fff,0x3ff201ff,0xfff9000f,0x7fcc0003,
    0x1ffff35f,0x21bffa00,0x000007ff,0x13100000,0x99880000,0x00000000,
    0x20dfff10,0x0005fff8,0x00000000,0x00fffea0,0xe81fffd4,0x326007ff,
    0x2600009b,0xfff35fff,0x3ffdc009,0x2000ffec,0x3001eee9,0xeb803ddd,
    0x0cefffff,0x7fee4400,0x00ceffff,0x2003ddd3,0x3a01eee9,0xffc84fff,
    0xddd3002f,0x3bba6003,0x003ddd31,0xfc87bba6,0x3fe000ff,0x1ffff05f,
    0x30000000,0x3fe6bfff,0x3fea003f,0x01ffdc1f,0x00bffe60,0x9817ffd4,
    0xfffffffe,0xf7002fff,0xffffffff,0xff305fff,0x3fea005f,0x3ffea02f,
    0x17fff22f,0x02fff980,0x265fff50,0xf5002fff,0x3ffec5ff,0x41fffa00,
    0x0000fffe,0xfff98000,0x005fff35,0x2217ffcc,0x7cc005ff,0xff5002ff,
    0xffff705f,0xfffffdff,0x7ff440bf,0xffeeefff,0x7cc2ffff,0xff5002ff,
    0xfffd805f,0x0efffebf,0x0bffe600,0x997ffd40,0xf5002fff,0x37ffc5ff,
    0x03fff600,0x000bfff2,0x3fe60000,0x03fff35f,0x427ffc40,0x26000ffe,
    0xf5002fff,0xfff885ff,0x7fe441df,0xfff903ff,0x3ffaa03d,0x17ffcc5f,
    0x02fffa80,0x7fffff44,0x4c000dff,0xf5002fff,0x3ffe65ff,0x5fff5002,
    0x20037ffc,0xfa81fffd,0x000004ff,0x35fff980,0x44001fff,0xffc84fff,
    0x3ffe6002,0x5fff5002,0x403fffe8,0xf80ffffa,0xff8806ff,0x3ffe61ff,
    0x5fff5002,0xfffff300,0x3e60005f,0xff5002ff,0x0bffe65f,0x897ffd40,
    0x64005fff,0xff881fff,0x0000006f,0xf35fff98,0x7cc003ff,0x4ffa82ff,
    0x0bffe600,0x717ffd40,0x2e009fff,0x7fdc5fff,0xfff7001f,0x017ffcc5,
    0x402fffa8,0x4ffffffa,0x3ffe6000,0x5fff5002,0x400bffe6,0xff12fffa,
    0xffb800bf,0x3ff3321f,0xccccccff,0xf3000002,0x3ffe6bff,0x3ffea002,
    0x006ff881,0x400bffe6,0x3fa2fffa,0x3fa000ff,0x1772a0ff,0x22fffa80,
    0x5002fff9,0x3a205fff,0xffffffff,0xfff30003,0x3ffea005,0x005fff32,
    0x7ccbffea,0x7dc004ff,0xffff12ff,0xffffffff,0x2000009f,0xff35fff9,
    0x7fdc007f,0x003ff607,0x8017ffcc,0x3fe2fffa,0x7fdc005f,0xf980002f,
    0x3ffe62ff,0x5fff5002,0x5fffff30,0x103ffffb,0x02fff980,0x265fff50,
    0xf5002fff,0x3ffe65ff,0x7ffdc004,0xffffff12,0x9fffffff,0x3e600000,
    0xdfff35ff,0x02fff400,0x26007ff7,0xf5002fff,0x3ffe25ff,0x7ffcc003,
    0xd7310003,0x7fcc7fff,0xfff5002f,0xdffff985,0x1dfffd10,0xf983def8,
    0xff5002ff,0x0bffe65f,0x897ffd40,0x5c004fff,0x2aaa1fff,0xaaaefffa,
    0x000001aa,0x3e6bfff3,0xfa802fff,0x3fe604ff,0x5fff3005,0x4bffea00,
    0x4002fffa,0x4404fff8,0xffffecb9,0x3e63ffff,0xff5002ff,0x5fffe85f,
    0x25ffff98,0xf985fffa,0xff5002ff,0x0bffe65f,0xf17ffd40,0xfc800bff,
    0x3ffe01ff,0x40000007,0xff35fff9,0x74401dff,0x7fc00fff,0x5fff3007,
    0x4bffea00,0x8001fffb,0xfd505fff,0xffffffff,0x7cc7ffff,0xff5002ff,
    0x37ffd45f,0x29ffff50,0xf983fffd,0xff5002ff,0x0bffe65f,0xf17ffd40,
    0xfc800bff,0x3ff601ff,0x0000000f,0x7cd7ffe6,0x981effff,0xc803ffff,
    0xff9801ff,0xfff5002f,0x007ffee5,0xf117ffe0,0xffffffff,0x7fff55bf,
    0x8017ffcc,0x3fa2fffa,0x7fe403ff,0x0ffffaff,0x002fff98,0x3e65fff5,
    0xff5002ff,0x037ff45f,0x803fff60,0x00006ffd,0xafffcc00,0xfffffff9,
    0xffffedce,0x09ff5005,0x005fff30,0x7d4bffea,0x7c4002ff,0x3ffa25ff,
    0x409bdfff,0x3e63fffa,0xff5002ff,0x07fffc5f,0x7ffffec0,0xfff305ff,
    0x3ffea005,0x005fff32,0xfd8bffea,0x7fec006f,0x027ff407,0x3e600000,
    0x7fff35ff,0xfffffff9,0x7c4009ff,0xfff9806f,0x5fff5002,0x000fffe6,
    0x7ec9fff3,0xfb801eff,0x3ffe63ff,0x5fff5002,0x401bffe2,0xffffffe8,
    0x05fff301,0x4cbffea0,0xf5002fff,0x3ffe45ff,0x017ffa00,0x80005fff,
    0xf9806edb,0x7fff35ff,0x3fffffaa,0xffe8001d,0x1fffcc00,0x12fffb80,
    0xa8009fff,0x3ffe3fff,0xfff9000f,0x01fffcc7,0x3e2fffb8,0x3e6007ff,
    0x2605ffff,0xf7003fff,0x3ffe65ff,0x5fff7003,0x8017ffdc,0x2e04fff9,
    0x40000eff,0xf9807ffc,0x7fff34ff,0x000aaa88,0x300bff20,0x36007fff,
    0x3ffe2fff,0x3ffa000f,0x09fff31f,0x31fffec0,0x36007fff,0x3ffa2fff,
    0x3ff2001f,0x3fe605ff,0xfffb003f,0x00fffe65,0xf117ffec,0x3f200bff,
    0x3ffa02ff,0xffb80001,0x7ffdc00f,0x007fff33,0x2ffcc000,0x01bffe20,
    0xc8bfffe6,0xf5004fff,0x7ffd4dff,0xffff3004,0x037ffc47,0x917fffcc,
    0x2a00dfff,0x05ffffff,0x300dfff1,0x3e25ffff,0xff9806ff,0x7ffe42ff,
    0x06fff800,0x00013ff6,0x201fffd4,0xff32fffd,0x8000007f,0xffe807ff,
    0x3ffe203f,0x3ffe22ff,0x7ff4401f,0x3fffe63f,0x7fffcc00,0x1ffff43f,
    0x5fffff10,0x01ffffc4,0x3fffffea,0xfffd05ff,0x7fffc407,0x0ffffa2f,
    0x2fffff88,0x202fffc4,0xfb03fffc,0x013531df,0x3fffe600,0x1ffff700,
    0x000fffe6,0x03ffb000,0x0affffb8,0x3ffffaa2,0x7fffd42f,0xbffff503,
    0x409ffff0,0x4ffffffa,0x057fffdc,0xfffffd51,0xcffffb85,0x3fff6a20,
    0x5ffffedf,0x0affffb8,0x3ffffaa2,0x3fffee2f,0x3ffaa20a,0xffd82fff,
    0xfffd80df,0xffffd886,0xceffffff,0x1fc9889a,0x4d7fffec,0x5ffffca8,
    0x000fffe6,0x07ff7000,0xffffff88,0xfaffffee,0xfffd82ff,0xfffdcdff,
    0xffb80eff,0xfebaceff,0x5fffcfff,0x7fffffc4,0xfaffffee,0xfffd82ff,
    0xffffefff,0xfffb14ff,0xffff88bf,0xffffeeff,0x3e22fffa,0xfeefffff,
    0x2fffafff,0xeffffe88,0x0fffffdc,0xffffff98,0xffffffff,0x44ffffff,
    0xfffffff8,0x20ffffff,0x0003fff9,0x037fc400,0x7fffff4c,0xfff1ffff,
    0x3fffea05,0x5fffffff,0x7ffffec0,0x91efffff,0xfe981fff,0xffffffff,
    0x2e05fff1,0xffffffff,0xffd82fff,0xfffe983f,0xf1ffffff,0xffe985ff,
    0x1fffffff,0x36205fff,0xffffffff,0x3ffa01ff,0xffeddfff,0xffffffff,
    0xffffa87f,0x1effffff,0x001fffcc,0x07ff4000,0x7fffe440,0x3ffe1dff,
    0x3fff6202,0x001dffff,0xffffffd5,0x2fffa87d,0xfffffc88,0x0bffe1df,
    0xfffffd98,0x3f200cef,0x3fff2204,0x3fe1dfff,0xfffc882f,0x3fe1dfff,
    0x7ff6402f,0x400cffff,0x7300aefb,0xdffffffd,0x3fff6207,0x980bdfff,
    0x00003fff,0x002ffc80,0x00005544,0x01355310,0x06aa6200,0x0aa88000,
    0x2ea20000,0x1001c001,0x10000155,0x40000155,0x0009ab98,0xaa880051,
    0x2a6000ab,0xaaa8801b,0x98000001,0x000002cc,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4c400000,
    0x04400000,0x55300000,0x00003599,0xabcb9880,0x20000009,0x31000001,
    0x01357975,0xca980000,0x8000009b,0x44000009,0x0ccc4001,0x0cccc000,
    0x3ffff260,0x07bb61ce,0xbffffd70,0xc9800037,0xffffffff,0x80002def,
    0xffffffdb,0x0001dfff,0xffffecb8,0x64c0001d,0xffffffff,0x300001df,
    0xffffffd9,0x20007bff,0xdffffeda,0xffb70002,0xd8019fff,0x40001fff,
    0x3f207fff,0xffffffff,0x2a05fff2,0xfffffffe,0xe88003ff,0xffffffff,
    0x2effffff,0xfffd8800,0xffffffff,0x88001eff,0xfffffffe,0x4c000cff,
    0xfffffffe,0x2effffff,0xfff91000,0xffffffff,0x22005fff,0xfffffffd,
    0xd3001eff,0xffffffff,0x7ffec09f,0x7ffc0001,0xfffffb07,0xf5ffffbb,
    0xfff505ff,0xffffdfff,0x7fd4009f,0xefffffff,0xffffffff,0x3ffea002,
    0xffefffff,0x02ffffff,0x3ffffea0,0x5fffffef,0x3fffee00,0x32a609ad,
    0x8004ffff,0xfffffffd,0xffffffff,0x7ffc403f,0xffffefff,0x7fd401ff,
    0xfffeffff,0xffd80dff,0x7fc0001f,0xffffb87f,0xfffffa82,0x7fffc42f,
    0x7fff540c,0xffffb804,0x54c09bdf,0x02fffffd,0xcfffffd8,0xfffd980a,
    0xffa804ff,0x3ee22cff,0x6c403fff,0x1000bfff,0x003dfff7,0x2b7ffff2,
    0x7ffe4c40,0x3ff602ff,0x7fecc1ef,0x3ffe206f,0x3f660aef,0xfffd86ff,
    0x7ffc0001,0x0ffffc47,0x5fffff30,0x403fffe8,0x2a00fffe,0x002fffff,
    0x01bfffea,0x03dffff7,0x3ffffa20,0x3fffa203,0x3fffe203,0x03bffa00,
    0x7ffec400,0x2ffff800,0xbfffd100,0x01bffea0,0x3609fffb,0x2e00dfff,
    0x7fec3fff,0x7fc0001f,0x1fffdc7f,0x17fffd40,0x300bfff1,0x3a205fff,
    0x8000dfff,0x102fffe8,0x0007ffff,0x403ffff6,0xc805fffc,0xff902fff,
    0x3f200009,0x7ffcc05f,0x7ffc4003,0x0fffc80f,0x437ffc40,0x800ffffa,
    0x3f60fffd,0x7c0001ff,0x7ffe47ff,0x5fffd000,0x8017ffdc,0xff905fff,
    0xf98000df,0xfff905ff,0xffe8000b,0x1ffff05f,0x0bfff300,0x9998bff5,
    0xd8019999,0x3ff203ff,0xffb8000f,0x06ffe82f,0xd81fffb0,0xf3002fff,
    0x7ffec7ff,0x7ffc0001,0x002fff47,0x75c5fff7,0x3ffa007f,0x2ffff887,
    0xfffd8000,0x07fffcc1,0x3ffe6000,0x17ffcc1f,0xf0355700,0x7ffcc1ff,
    0x1dffffff,0x201ffd10,0x10007ffe,0xfff09fff,0x3ffee00b,0x003fff41,
    0xffd97ffa,0x7fc0001f,0x027ffc7f,0x205fff30,0x17ffe000,0x0017ffee,
    0x20e77d40,0x0003fffe,0xc89fff90,0x200007ff,0x7fcc2ffa,0xffffffff,
    0x07ff302f,0x000bfff6,0x7ec15e64,0xfff9006f,0x800bfff0,0x3ff67ffd,
    0x7fc0001f,0x0fffe67f,0x02fff880,0x1fffcc00,0x0017fff4,0x3fe20100,
    0x2600007f,0x7ff47fff,0x3fa00005,0x443ff986,0xd00fffb9,0x3ffee0ff,
    0xf7000005,0xffd001ff,0x04fff88b,0xd8fffe40,0x40001fff,0x3fee7fff,
    0x7ffc002f,0x3fa20002,0x7ffc40ff,0x8000000f,0x0005fff9,0xf0ffff40,
    0x2ae609ff,0x83ff9800,0x3f203ff9,0x05ff502f,0x01bffff1,0xfff98000,
    0x1fffe405,0x0013ffe2,0x3f63fff9,0x7c0001ff,0x3ffee7ff,0x17ffc002,
    0x7ff5c400,0x7fffa83f,0xf5000000,0x800009ff,0xff13fffc,0x7ffedc7f,
    0x3ee03fff,0x03ff980f,0xff80ffea,0xfffffb04,0x2000037b,0x441efffc,
    0xf80dfffc,0x7f4005ff,0x3fffb2ff,0x7fff8000,0x800fffe6,0x3002fff8,
    0x5fffffd9,0x01bffee0,0x7fdc0000,0x5c00003f,0xfff34fff,0x3fffff25,
    0xc80dffff,0x07ff307f,0xfd007fec,0x7fffe40b,0x00acffff,0x3fffe600,
    0x3ffffeef,0x001fffa0,0x3f65ffff,0x7c0001ff,0x3ffe27ff,0x3ffe6004,
    0xffff9002,0x7fe403ff,0x0000004f,0x0005fff9,0x34fffa80,0xfff95fff,
    0xfffffddf,0x306fd81f,0xff7107ff,0x406fd80b,0xfffffffb,0x001cefff,
    0xfffffe88,0x7e401fff,0xff7003ff,0x3fff67ff,0x7ffc0001,0x002fffc7,
    0x2005fff5,0xfffffffd,0x2fffd80c,0x2aaaa600,0x2aaaaaaa,0x0007fffa,
    0x2bfff500,0xeffefffa,0x4ffffb81,0xff982ff4,0xffffffff,0x03fe401f,
    0x7ffffecc,0x2fffffff,0xfffff700,0x19ffffff,0x03fffe60,0x7fffff10,
    0x0007fff6,0xfe8ffff0,0xff9000ff,0x2af2005f,0x1fffffcb,0x0017ffec,
    0xfffffff9,0x3e1fffff,0x00000fff,0xfaafffd4,0x4405ffff,0x3fa1ffff,
    0xfffff305,0x0019dfff,0x54400ff9,0xfffffffd,0xb100dfff,0x7579ffff,
    0x01dffff9,0x40bffff2,0x3ffffffa,0x0003fffb,0x7d47fff8,0xff8804ff,
    0x220002ff,0x320ffffd,0x32003fff,0xffffffff,0xffd0ffff,0xb800003f,
    0xfff54fff,0xff5001df,0x9837ecdf,0xffdbadff,0x01bf6004,0xfffdb980,
    0xe80effff,0xb100dfff,0xf101dfff,0x97bdffff,0xfff5fffd,0x007fff65,
    0xd0ffff00,0xfd803fff,0x80002fff,0x3ee4fffd,0x3f2004ff,0xffffffff,
    0xfffb0fff,0xfc800007,0xffff34ff,0x3fff4005,0x3fe60ff9,0x802ffcc3,
    0x200005fe,0x4fffffc9,0x8037ffd4,0xd303fffd,0xffffffff,0x5fff31df,
    0x0007fff6,0xf30ffff0,0xfd107fff,0x0005ffff,0x21ffff10,0x2005fffa,
    0x99999998,0xf90fffe9,0x800009ff,0xff13fffd,0x7e4001ff,0x01ff70ff,
    0xff707ff3,0x04ff8809,0xffe98000,0x0ffff47f,0x0ffff880,0x3fffff20,
    0xfff50dff,0x00bfff23,0x06fff880,0x9bfffff7,0xfffffffd,0x3f600005,
    0xffff31ff,0xffe80000,0x0bfff50f,0xfffe8000,0x001fffe1,0x3e25fff7,
    0x03ff984f,0x7dc03ffb,0x2000001f,0x3fe1fffd,0x7fe4006f,0x6e54401f,
    0x1fffb82c,0x0005fff7,0x5037ffcc,0xffffffff,0x05fff59f,0x3fff2000,
    0x00bfffa2,0x0fffe800,0x001ffff1,0x1fffe600,0xa800dfff,0x1ff62fff,
    0x7cc0ffe6,0x21bfa06f,0x40006eed,0xff14fffa,0xffa8009f,0xf900002f,
    0x1fffdcff,0xdfff3000,0xffffd880,0x5fff53ef,0x5c001a98,0x3fee2fff,
    0x3a00005f,0x3ff60fff,0xfb00004f,0xfffe89ff,0x3ffee000,0xf30ffea0,
    0x27fe407f,0x7fc1ffd4,0x220000ff,0xfff36fff,0xfff98009,0xffd00003,
    0x027ffd4b,0x0bfff500,0x2a055440,0xfff12fff,0xfffc800b,0x0bfffe21,
    0x7fff4000,0x07fffea0,0xffff5000,0x02fffd83,0x3a1fff20,0x0ffe61ff,
    0x221fff88,0xffd80fff,0x3e60003f,0xbfff15ff,0x2fffa800,0x3e600098,
    0x3ffe23ff,0x3ff60006,0xf500003f,0x7fff45ff,0x1fffa000,0x003ffff2,
    0x03fffa00,0x000bfffb,0x985fffe8,0x3a003fff,0xeff985ff,0x98015510,
    0x0bffa1aa,0x0037ffdc,0x749fff70,0x7e4007ff,0x3fff20ff,0x3fff9000,
    0x002fffe8,0x01ffff88,0x5fff5000,0x801fffe4,0xfd05fffb,0x20003fff,
    0x40ffffe9,0x00dffff8,0x7ffff440,0x03fffb00,0x207fff50,0x0000effb,
    0x1027fec4,0x001bffff,0x21fffe88,0x1002fffd,0xff98ffff,0xfff8802f,
    0x1ffffc85,0x37ffe400,0xfff50000,0x0ffffcc5,0x07fffe60,0x67ffffcc,
    0xfff91001,0xff701fff,0x2a003dff,0x202fffff,0x200efff9,0x201fffe8,
    0x0002fffd,0x900dfff3,0x003fffff,0x317fffea,0xb005ffff,0xfff07fff,
    0x7ff4401d,0xffff881f,0xffd8801f,0x200002ff,0x7dc2fffa,0xff702eff,
    0xffa807ff,0x9bdfffff,0xfffedb98,0x2e00dfff,0x9bdfffff,0xfffb7310,
    0xffd007ff,0xfff303df,0xfff9009f,0x3f66005b,0x3f6004ff,0x9bceffff,
    0xfffdca98,0xfffb80ff,0xffe980af,0xbfff905f,0xbfffd305,0x7ffffdc0,
    0xca998ace,0x005fffff,0x17ffd400,0x677fffec,0x5fffffdc,0xffffd100,
    0xffffffff,0x05dfffff,0x3ffffea0,0xffffffff,0x1002ffff,0x9bfffffd,
    0x00dffffd,0x67ffffd4,0xfecaa9ab,0xe8002fff,0xffffffff,0xffffffff,
    0x3fffa01f,0xffecceff,0x3f600fff,0xffdcffff,0xfc805fff,0xffffffff,
    0xdfffffff,0x7d400000,0xffc882ff,0xffffffff,0xffb8003f,0xffffffff,
    0x003fffff,0xfffffd98,0xffffffff,0xffc8000d,0xffffffff,0xffc88005,
    0xffffffff,0x0000cfff,0x3fffffee,0xffffffff,0xfffb800d,0xffffffff,
    0x7ff4400d,0xffffffff,0x3ffee005,0xffffffff,0x00004fff,0x405fff50,
    0xffffffe9,0x540000df,0xfffffffd,0x0000bcef,0x7ffffe44,0x000bffff,
    0x7ffff540,0x80002eff,0xffffffda,0x00000bef,0xfffffb71,0x0037bfff,
    0xfffffd88,0x54002eff,0xdfffffff,0xfeb88001,0xffffffff,0x2000000c,
    0x8800aaa8,0x0000aba9,0x15753300,0x98800000,0x00009aba,0x01575300,
    0x2a620000,0x80000009,0x00abaa98,0x2aea2000,0xba980001,0x1000009a,
    0x03357553,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xba988000,0x00009abc,0x00002666,
    0x00026200,0x4ccc4000,0x654c4000,0x20001abc,0xeeeeeeec,0x1eeeeeee,
    0x00009800,0x02666200,0x22000000,0x99999999,0x99999999,0x19999999,
    0x0004c400,0x3fffff26,0x001dffff,0x001fffcc,0xfffc9800,0x3bb22dff,
    0xffa80003,0xffb5002f,0x7fffffff,0xfffe8001,0xffffffff,0xdb801fff,
    0x0cefffff,0x3ff60000,0x000000ff,0x7ffffec0,0xffffffff,0xffffffff,
    0xf5001fff,0x3fa6009f,0xffffffff,0x002effff,0x0007fff3,0xfffff900,
    0x3fa9ffff,0xfa80004f,0x7fd402ff,0xffffffff,0x1003ffff,0xffffffff,
    0x3fffffff,0x7ffff540,0x03ffffff,0xffff8800,0x0000003f,0x3fffffe6,
    0xffffffff,0xffffffff,0xf8801fff,0xffb804ff,0x2609adff,0x04ffffca,
    0x003fff98,0x7fffec00,0xdffffeef,0x80004ffe,0x3202fffa,0xefffffff,
    0xfffffffe,0xefff9804,0xeeeeeeee,0xff701eee,0xfffdffff,0x8000dfff,
    0x06fffffb,0x3f600000,0xffffffff,0xffffffff,0xffffffff,0x7fff4401,
    0x3fff6204,0xff71000b,0x7fcc03df,0x2e00003f,0x220bffff,0x4ffffffa,
    0xfffa8000,0xffffe882,0xfea880be,0x7dc04fff,0x980000ff,0x441dffff,
    0x003ffffb,0x3ff7ffa0,0x8000001f,0xaaaffff9,0xaaabffff,0xaaaaaaaa,
    0x7ec00aaa,0x3fa04fff,0xb10000ef,0x3e601fff,0x100003ff,0x4403ffff,
    0x004ffffe,0x82fffa80,0x003ffffd,0x80fffff2,0x00007ffc,0x9805fffd,
    0x8001ffff,0xfff8fff9,0xd8000004,0x7ffc4fff,0xd3000007,0x209fffff,
    0x00004ffc,0x3e60bff9,0x900003ff,0xf3007fff,0x00009fff,0xfa85fff5,
    0xc8002fff,0x3fa07fff,0xf980005f,0xff5005ff,0xff90009f,0x003fff2d,
    0xfff88000,0x03fffc0f,0x7ffe4000,0xfa84ffff,0x36e6205f,0x3ff602cd,
    0x03fff983,0x0fffb000,0x027ffec0,0x17ffd400,0x005ffff1,0x81ffff40,
    0x80003fff,0x2000fffb,0xf8006fff,0x7fff54ff,0x7e400000,0x7fff84ff,
    0x3fa60000,0x4fffdfff,0xd880fff8,0xefffffff,0x40ffe881,0x9883fff9,
    0x13ffe000,0x04fff980,0xff501310,0x37ffdc5f,0x3ffea000,0x02fff986,
    0x07ffd800,0x003ffec0,0xff8bffea,0x1000006f,0xff01ffff,0x2a0000ff,
    0xff3fffff,0x02ffa89f,0xfb7bdffb,0xff305fff,0x13fff987,0x39dfffd9,
    0x017ffc40,0x409fff10,0xceffffc9,0x745fff51,0x80002fff,0xffa82bdf,
    0xcb80000f,0x7fec005d,0x3ffec007,0x0007fff2,0x13fff200,0x0003fffc,
    0x21efffa8,0x37f44fff,0xf504ffd8,0x8ffd01ff,0xff9bfff9,0x3fffffff,
    0x003fff50,0xf904fff8,0xffffffff,0x225fff55,0x00007fff,0x22fff900,
    0x02cdfecb,0x7ffc0000,0x3ffe2006,0x02fffcc4,0x3ffe2000,0x0ffff00f,
    0x0ffea000,0xff993ffe,0x404ffb83,0xffa83ffc,0x3f7ffe62,0xfffeefff,
    0xfffb85ff,0x27ff4001,0x77ffffec,0xffdffffe,0x0dfff72f,0x3f600000,
    0xfffffbdf,0x0001efff,0x04fff980,0x207ffee0,0x0000fffe,0x813fff20,
    0x00007fff,0x27ffc075,0xffb01ff7,0x20157001,0x3ffe64ff,0x7d40bfff,
    0x7fe43fff,0x7ffc001f,0x5ffffdc4,0x3fffee20,0xbfff92ff,0x3e000000,
    0xffffffff,0x04ffffff,0x7fff4000,0x1bffa002,0x001fffdc,0x0ffff880,
    0x001fffe0,0x27ffc000,0x13fe0ff9,0x32ff4000,0x405fffff,0x2a0ffff9,
    0x7c002fff,0x3ffe24ff,0x3ffe601f,0x9fff92ff,0xf1000000,0x57bfffff,
    0x7fffffb7,0x3fea0000,0x3fe6006f,0xdfff104f,0x3fee0000,0x7fffc05f,
    0x99999999,0x00199999,0xdfb27ffc,0x0007ff30,0xff99bf60,0xffb804ff,
    0x0fffe64f,0x24fff880,0xa803fffb,0xffb2ffff,0x0000005f,0x40bffff5,
    0x00ffffd8,0x7fffcc00,0x3fff6001,0x07fff600,0x3fffe000,0x7ffffc01,
    0xffffffff,0x000fffff,0x5fe93ffe,0x0002ffb8,0x7fccff90,0xfff000ff,
    0x027ffc4f,0x6c9fff50,0xfd000fff,0x3fffa5ff,0xa8000001,0xfb004ffe,
    0x4c000bff,0x2003ffff,0x5406fff8,0x40005fff,0xf805fffb,0xffffffff,
    0xffffffff,0x3ffe000f,0x3ee17fa4,0xf900002f,0x027ffccf,0x741fff70,
    0xfd000fff,0x27ff49ff,0x25fff700,0x0001fffe,0x1000c000,0x0001ffff,
    0x00bffff3,0x803fffb8,0x0000ffff,0x2007fffe,0xffffffff,0xffffffff,
    0x3fe000ff,0x261bf64f,0xb00003ff,0x1fffccdf,0x45fff500,0xa804fffa,
    0xff14ffff,0x7fd4007f,0x05fffb2f,0x00000000,0x001fffc8,0x02ffffd4,
    0x007fff40,0x001fffe4,0x005fffb8,0x3333ffff,0x33333333,0xfff80033,
    0x3e21ff24,0x4055004f,0x3ffe65fe,0x3ffe6002,0x01ffff43,0x29fffff5,
    0x2002fff9,0xff92fff9,0x0000005f,0xfffb8000,0x3ffee003,0xff98005f,
    0xaaaaaaef,0x6fffcaaa,0x7fffd000,0x33333333,0x000ffff3,0x93ffe000,
    0xfff80ffb,0x437fc400,0x3fe64ff8,0x3fe2001f,0x7fffcc4f,0xffca89ad,
    0xff54ffff,0x7fc4003f,0x07fff72f,0x00000000,0x004fff98,0x009ffff9,
    0x3fffff20,0xffffffff,0x002fffff,0x7fffffd4,0xffffffff,0x00007fff,
    0x449fff00,0x4ffb84ff,0x5c1ffec0,0x3ffe61ff,0x3ffe2000,0xfffffa84,
    0xfcffffff,0x3fff73ff,0x52fff800,0x0000dfff,0x000002a6,0xb009fff3,
    0x0007ffff,0x7ffffffc,0xffffffff,0x4005ffff,0xfffffffe,0xffffffff,
    0x000007ff,0xfd89fff0,0x509ffd07,0xfd01dffb,0x01fff98d,0x40bffe60,
    0xffffffe8,0x3fff99ef,0x4005fff7,0x3fe2fff8,0xc80000ff,0x00882eff,
    0x01fffd40,0x05ffffd1,0x77ffd400,0xeeeeeeee,0xffffeeee,0xffff5000,
    0xffffffff,0x0fffffff,0x3fe00000,0x41ffd44f,0xfdefffe9,0xfa80ffff,
    0x17ffcc3f,0x03fff500,0x677edd44,0x27fff30a,0x2003fffa,0x3f62fff9,
    0xf80002ff,0xfff11fff,0xfffc800d,0xffffd101,0xffd80003,0xffd8001f,
    0xfffd004f,0x55555559,0xffff5555,0x3e000000,0x1ffe84ff,0xffffff90,
    0xfff101bf,0x03fff981,0x003ffee0,0x4bffe600,0x2004fff8,0x3ea2fffa,
    0x540006ff,0x7ff46fff,0x3ffa000f,0xfffe880f,0x7c40001e,0xf30006ff,
    0xff500fff,0xfff000df,0x2000000f,0xff984fff,0x9b95100e,0x17ff4037,
    0x0037ffcc,0x0008fffd,0x743fff50,0xfb000fff,0xfffe85ff,0xfff10003,
    0x3fffc87f,0x09fff700,0x003bfffa,0x0fffee00,0x2fffe800,0x017ffec0,
    0x003fffc0,0x4fff8000,0x001dff70,0x04ffd880,0x003ffff3,0xfd87fff7,
    0x3ffa004e,0x01fffdc7,0x217fffcc,0x003ffff9,0x40ffffe8,0x401ffff9,
    0xb80ffff9,0x0000efff,0x001fffd0,0x02fffdc0,0x000dfff3,0x0001fffe,
    0x027ffc00,0x0005fffb,0x981bffe6,0x200effff,0xfc87fff8,0xffb801ff,
    0x7fffc45f,0x7fffec01,0x4ffffd82,0xffffb300,0x3ffff205,0x7ffff702,
    0x01ffff10,0x3ffe6000,0x7fc40006,0xfffb00ff,0x3ffe0007,0xf0000007,
    0xffc809ff,0xfb3002df,0xff9809ff,0xfa81efff,0xffb82fff,0x7ffcc05f,
    0xffffb82f,0xffffe882,0xfffe882f,0x26209cff,0x03fffffc,0x6f7ffff4,
    0x3fffffdc,0x99dfffb0,0x99999999,0xfc819999,0xd80003ff,0xff984fff,
    0x3fe0007f,0xccccccff,0xcccccccc,0x9fff003c,0xfffff500,0xd9553579,
    0x3005ffff,0xffffbfff,0xbffffdbb,0x5fffff40,0xfffda99a,0x3fff604f,
    0xfffecdff,0x3602fffd,0xffffffff,0xffffffff,0xfffc8804,0xffffffff,
    0xfffff302,0xffffffff,0x81ffffff,0x0000ffff,0xd87fffa8,0x20003fff,
    0xffffffff,0xffffffff,0xff005fff,0x3f22009f,0xffffffff,0x000cffff,
    0xff71fff3,0x7fffffff,0xfffff880,0xffffffff,0xffffc805,0xf8cfffff,
    0x7fe402ff,0xffffffff,0x4002efff,0xffffffe9,0x3fee00de,0xffffffff,
    0xffffffff,0x17ffea0f,0xffff8000,0x03fffe22,0xfffff800,0xffffffff,
    0x05ffffff,0x0009fff0,0xffffffb5,0x980017df,0xffd50fff,0x2003bfff,
    0xffffffc8,0x2002efff,0xefffffd9,0x200bffe3,0xfffffeb8,0x0002efff,
    0x0009ba98,0xfffffff9,0xffffffff,0x7ec1ffff,0x200002ff,0x3f25fffc,
    0x7c0004ff,0xffffffff,0xffffffff,0xfff005ff,0xa9880009,0x40000009,
    0x20001aa8,0xcceedca8,0x2a620001,0x4400000a,0x001abaa9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x33333331,0x10000333,0x33333333,0x33333333,0x4c433333,
    0x99999999,0x99999999,0x33331099,0x33333333,0x4cc40001,0x4cc00009,
    0x44000019,0x26620019,0x19999999,0x33330000,0x19998000,0x0013bba2,
    0x3005ddd1,0x00357975,0xfffffffb,0xbdffffff,0x7ffe4005,0xffffffff,
    0xffffffff,0xffff90ff,0xffffffff,0xbfffffff,0x3ffffff6,0xffffffff,
    0xc802ceff,0x40002fff,0x00007fff,0x4007ffe2,0xfffffffd,0xdeffffff,
    0x7ffec002,0xfff70002,0x00fffe8d,0x803ffee0,0xffffffe9,0x3ff603ff,
    0xffffffff,0x3effffff,0xfffffc80,0xffffffff,0xffffffff,0xffffff90,
    0xffffffff,0x36bfffff,0xffffffff,0xffffffff,0x3201efff,0x40002fff,
    0x00007fff,0x4007fffa,0xfffffffd,0xffffffff,0xff1003ef,0x3fe000df,
    0x7ffdc2ff,0x1bffa003,0x7ffffec4,0x1effffff,0xffffffd8,0xffffffff,
    0x202fffff,0xfffffffc,0xffffffff,0x90ffffff,0xffffffff,0xffffffff,
    0x3ff6bfff,0xffffffff,0xffffffff,0xff901fff,0xff80005f,0xf900007f,
    0x36003fff,0xffffffff,0xffffffff,0xfc802fff,0x7dc003ff,0xfff885ff,
    0x5fff3006,0x3bffff60,0xffffdcbc,0x5fffec1f,0xcbaaaaaa,0xffffffdc,
    0x59fff902,0x55555555,0x55555555,0x5567ffe4,0xaaaaaaaa,0xfb2aaaaa,
    0x333335ff,0xf9533333,0x901fffff,0x80005fff,0x80007fff,0x01fffff9,
    0x557fffb0,0xb9955555,0x05ffffff,0x00ffff88,0x03ffff10,0x2007fff6,
    0xfb80fffc,0xfd302fff,0xfffd8dff,0x7ffdc001,0xfffc81ff,0x7e400001,
    0xb00003ff,0x20003fff,0xc82ffffb,0x40002fff,0x40007fff,0x1fffffe8,
    0x03fffb00,0x7fffe440,0x7ffdc01f,0x9fff9004,0x027ffd40,0x7c42fffc,
    0xfe801fff,0x3fff64ff,0xfff98001,0x1fffc86f,0x7fe40000,0xfb00003f,
    0x640003ff,0xffc84fff,0x7fc0002f,0x7e40007f,0x001fffff,0x0003fffb,
    0x00dfffd3,0x8803fffd,0x7c00ffff,0x7fd406ff,0x4fffb82f,0x4dfff300,
    0x0001fffd,0xc85ffff3,0x00001fff,0x001fffe4,0x01fffd80,0x43fffc00,
    0x0002fffc,0x0003fffc,0xfff7fff5,0x3fff6003,0xfff50001,0xfffa805f,
    0x1fffe405,0x00fffe40,0x3f60fffb,0x3f6001ff,0x07fff67f,0x6fffc800,
    0x000fffe4,0x0ffff200,0x7ffec000,0x7ff40001,0x17ffe41f,0x1fffe000,
    0x5fffc400,0xb001fffa,0x40003fff,0xd806fffd,0xff302fff,0x3fe600df,
    0x9fff104f,0x001fffe0,0x3f63fff9,0x220001ff,0x3f20ffff,0x400001ff,
    0x0003fffc,0x003fffb0,0x41fffe80,0x0002fffc,0x8003fffc,0xfff55ffd,
    0x3fff6003,0x3fe20001,0x7fcc00ff,0x5fffb06f,0x83fff400,0x3101fffb,
    0xffd80055,0x007fff67,0x47fffb00,0x0001fffc,0x01fffe40,0x1fffd800,
    0x3ffe2000,0x17ffe40f,0x1fffe000,0x43ffee00,0xb001fffa,0x80003fff,
    0xc803fffc,0x7fcc3fff,0x7fdc006f,0x06ffe82f,0xbfff0000,0x000fffec,
    0xc97ffea0,0x00001fff,0x001fffe4,0x01fffd80,0x1fffee00,0x000bfff2,
    0x800ffff0,0x3ea2fff9,0xffb001ff,0xfa80003f,0xff8805ff,0x0ffff47f,
    0x17ffe200,0x0007fff1,0x47fff700,0x0001fffd,0xf937ffcc,0x800003ff,
    0x0003fffc,0x003fffb0,0x13fffee0,0x000bfff2,0x800ffff0,0x7fd44ffe,
    0xfffb001f,0xff980003,0xfff7006f,0x017ffea7,0x707ffec0,0x00001fff,
    0x20ffffa8,0x0001fffd,0xf93fffc4,0x555559ff,0x55555555,0xfffc8555,
    0x9999999b,0x40999999,0x2001fffd,0x6ffffc99,0xdddfff90,0xdddddddd,
    0xfffddddd,0x77fe400f,0x00fffd40,0x001fffd8,0x03fffc40,0x3fafffd0,
    0xf50000ff,0x2fff45ff,0x3fea0000,0x7ffec2ff,0x7fc40001,0x3ffff27f,
    0xffffffff,0x7fffffff,0x7fffffe4,0xffffffff,0x7fec4fff,0xeeeeeeef,
    0xfffffeee,0xff901fff,0xffffffff,0xffffffff,0x200fffff,0xfa81fff9,
    0x2aaa01ff,0xaaabfffe,0xf801aaaa,0x3ea007ff,0x04fffdff,0x8afffc00,
    0x00002fff,0x20ffffea,0x0001fffd,0xf90ffff8,0xffffffff,0xffffffff,
    0xfffc8fff,0xffffffff,0x44ffffff,0xfffffffd,0xffffffff,0x200dffff,
    0xfffffffc,0xffffffff,0x7fffffff,0x04ffe880,0x7c03fff5,0xffffffff,
    0x03ffffff,0x5c0ffff8,0xffcccccc,0xcccfffff,0xf9004ccc,0x01ffeeff,
    0xffffb800,0x03fffb03,0x7fff8800,0x3ffffff2,0xffffffff,0x647fffff,
    0xffffffff,0xffffffff,0x7fffec4f,0xffffffff,0x02ceffff,0xeeefffc8,
    0xeeeeeeee,0xfffeeeee,0x06ffd807,0xf807ffea,0xffffffff,0x03ffffff,
    0x207fffc4,0xfffffffd,0xffffffff,0x1007ffff,0x9ffb5fff,0x3fea0000,
    0x3ff603ff,0x7cc0001f,0x3fff27ff,0x9999999b,0x99999999,0x567ffe41,
    0xaaaaaaaa,0x7ec1aaaa,0xcccccdff,0x03fffffe,0x017ffe40,0x01fffe00,
    0x5403fff5,0x26601fff,0x99afffe9,0x40099999,0xfd87fff9,0xffffffff,
    0xffffffff,0x3fa007ff,0x001fffdf,0x05fffd00,0x001fffd8,0x92fffd40,
    0x00003fff,0x003fffc8,0x03fffb00,0x0dffffa8,0x05fff900,0x07fff800,
    0x500fffe2,0x36003fff,0x40001fff,0xcb86fffa,0xfdcccccc,0xccccceff,
    0x3ee004cc,0x0006ffff,0x007fff90,0x0003fffb,0x324fffb8,0x00001fff,
    0x001fffe4,0x01fffd80,0x06ffff98,0x005fff90,0x207fff80,0xfa805ffd,
    0xffb001ff,0xfb80003f,0xf98006ff,0x200003ff,0x03fffff8,0x0fffd000,
    0x007fff60,0x47fff900,0x0001fffc,0x01fffe40,0x1fffd800,0xbffff300,
    0x05fff900,0x07fff800,0x999bfff5,0xffb99999,0x203999bf,0x0001fffd,
    0x0027ffe4,0x001fffcc,0x3ffff600,0xfff00000,0x3fff6009,0x7ff40001,
    0x07fff22f,0xfff90000,0x3f600007,0x3ea001ff,0x7e403fff,0x7c0002ff,
    0xfff707ff,0xffffffff,0xffffffff,0x3fff605f,0x7ff40001,0xccccb82f,
    0xefffdccc,0x4ccccccc,0x2fffcc00,0xfff88000,0x3fffb003,0x7ffd4000,
    0x07fff20f,0xfff90000,0x3f600007,0x7e4001ff,0x3f202fff,0x7c0002ff,
    0xfff707ff,0xffffffff,0xffffffff,0x3fff605f,0x3fea0001,0xffffb07f,
    0xffffffff,0xffffffff,0x2fff9800,0xfff30000,0x3fff6005,0x3ffa0001,
    0x0fffe44f,0x3ff20000,0xfb00003f,0xe88003ff,0xf900ffff,0xf80005ff,
    0xddd507ff,0xdddddddd,0xdddfffdd,0x3fff603d,0x3ffa0001,0xffffb05f,
    0xffffffff,0xffffffff,0x06ffc800,0x33322000,0x3fffb000,0x3ffee000,
    0x0fffe40f,0x3ff20000,0xfb00003f,0xf30003ff,0x3f20bfff,0x7c0002ff,
    0x200007ff,0xb001fffa,0x20003fff,0x301ffffb,0x75555555,0x5555bfff,
    0xf8005555,0x000003ff,0x1fffd800,0xffffa800,0x01fffc84,0x7ffe4000,
    0xffb00003,0x3f20003f,0xffc82fff,0x7fc0002f,0x2a00007f,0xfb001fff,
    0xf50003ff,0x4000bfff,0x0003fff9,0x003ffea0,0x36000000,0x26001fff,
    0x80effffd,0x0001fffc,0x01fffe40,0x1fffd800,0xffff1000,0x05fff90d,
    0x07fff800,0x3ffea000,0x3fffb001,0x7ffecc00,0x260000ff,0x00003fff,
    0x0009fff5,0x00999880,0x99bfffb0,0xfb999999,0x01dfffff,0x3337fff2,
    0xcccccccc,0x3ccccccc,0x0007fff9,0x007fff60,0x4ffffa80,0x0017ffe4,
    0x001fffe0,0x01fffa80,0x99bfffb0,0xfb999999,0x03ffffff,0x3fff9800,
    0xffddb000,0x00001fff,0x004fffb8,0xfffffffb,0xffffffff,0x6401dfff,
    0xffffffff,0xffffffff,0xf95fffff,0x200007ff,0x0001fffd,0x90ffffec,
    0x80005fff,0x00007fff,0x4007ffea,0xfffffffd,0xffffffff,0x0001efff,
    0x003fff98,0xffffff90,0xf7000005,0x3f6009ff,0xffffffff,0xefffffff,
    0xffffc802,0xffffffff,0xffffffff,0x07fff95f,0x3fff6000,0x7fc40001,
    0x3fff26ff,0x7ffc0002,0x3ea00007,0xffb001ff,0xffffffff,0x3bffffff,
    0x7fcc0000,0xff70003f,0x00007fff,0x013ffee0,0x7fffffec,0xcdefffff,
    0x3ff2001c,0xffffffff,0xffffffff,0xfff95fff,0x3f600007,0xb80001ff,
    0xff93ffff,0xff80005f,0x2a00007f,0xfb001fff,0xffffffff,0x039dffff,
    0xfff30000,0x37220007,0x000000bd,0x0013ffee,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x26660999,0x97000000,0x03dd3059,0x2acca880,0x00006662,0x4404cccc,
    0x00019999,0x21333310,0x3b219998,0x3bb2005e,0x6eee8805,0x00333100,
    0x06662000,0x33333000,0x0004ccc1,0x26066620,0x7fff3099,0x000fffe6,
    0xffffd100,0x3ffb139f,0x3fffa600,0x1fffa7ff,0x7ffe4000,0x7ffff40f,
    0xfd80002f,0xfff56fff,0x01fff61f,0x8806ffd8,0xfb007fff,0x000003ff,
    0x4000fffd,0x265ffffc,0x40003fff,0x7fc47ffe,0x27fff35f,0x0003fff9,
    0x7ffffec0,0x06ffffff,0xffffff10,0x03fff4df,0x7fffb000,0x4fffffe8,
    0x7ffc4000,0xffff56ff,0x801fff61,0xf8806ffd,0xffb007ff,0xd000003f,
    0x32000fff,0x7cc5ffff,0x740003ff,0x7ffc47ff,0x267fff35,0x00003fff,
    0x3267bfe2,0x02ffffff,0xdfffffd0,0x03fff49d,0xfffd1000,0x7fffffe8,
    0x7ffd4000,0xffff56ff,0x801fff61,0xf8806ffd,0xffb007ff,0xd000003f,
    0xf9000fff,0xff30bfff,0xfe80007f,0xafffc47f,0xff33fff9,0x4c00007f,
    0xbdda84ff,0x3fffe000,0x01fffa02,0x7fff3000,0x7ffffff4,0x3ff60002,
    0xfff56fff,0x01fff61f,0x5006ffd8,0x3f600555,0x800001ff,0x64007ffe,
    0xf304ffff,0xe80007ff,0x7ffc47ff,0x7cc26665,0x000003ff,0xff880000,
    0x3fff404f,0x7fd40000,0x3fffffa6,0xff10004f,0x3eadffff,0xfffb0fff,
    0x037fec00,0xfffb0000,0xfd000003,0x7fe400ff,0x3fe604ff,0x0000003f,
    0x0fffe600,0x00000000,0x00bffe60,0x0000fffd,0x7f42aaa0,0x007ffcff,
    0xfffbff50,0x43fffead,0x36007ffd,0x000006ff,0x0007fff6,0x01fffa00,
    0x027fffe4,0x000fffe6,0xf9800000,0x000003ff,0x80009988,0x7402fffa,
    0x000007ff,0x3ebfffa0,0xfd8002ff,0xf56fffaf,0x3ff61fff,0x1bff6007,
    0x801554c0,0xfffffffd,0xeeffffff,0x3fff401c,0x27fffe40,0x01fffcc0,
    0x30000000,0x06607fff,0x7fee4400,0x00ceffff,0x402fffa8,0x00007ffe,
    0x7dfffa00,0x7c4004ff,0x56fff8ff,0x3f61ffff,0x3ff6007f,0x0dffd006,
    0x3fffff60,0xffffffff,0xd03effff,0xffc80fff,0xff3003ff,0x0000007f,
    0x265ddd10,0x3f6e3fff,0x800bdfff,0xfffffffb,0xb82fffff,0xeefffeee,
    0x3fff43ee,0x776c0000,0x7e5fffa4,0x7fdc007f,0x3e6dfff5,0xfffb0fff,
    0x037fec00,0xb005ffe8,0xffffffff,0xffffffff,0xffd09fff,0x7fffe40f,
    0x3ffe6003,0x7776c403,0x413bb603,0xff33fff9,0xffffd17f,0x201dffff,
    0xefffffe8,0xffffffee,0x7ffffe42,0x744fffff,0x800007ff,0x3ffa5fff,
    0x003fff37,0xfff97fec,0x6cffff16,0x3f6007ff,0x7fff006f,0x37fff600,
    0xcccccccc,0xfffffecc,0xc83fff42,0x4003ffff,0x2203fff9,0x7c04fffe,
    0xfff305ff,0x3f7ffe67,0xffffffff,0xffc80eff,0xffd501ef,0xffffc8bf,
    0x44ffffff,0x00007ffe,0x3fa5fff8,0x013ffe7f,0xff87ffc4,0x4ffff16f,
    0x36007ffd,0xffa806ff,0xfffb002f,0xfffb8003,0x1fffa1ff,0x00fffff2,
    0x40fffe60,0x804fffe8,0xff305fff,0x3fffe67f,0xf510acff,0xfff0bfff,
    0xffff100d,0x0bffea03,0x000fffd0,0x74bfff00,0x1fff27ff,0xff2ffdc0,
    0xb37ffcdf,0x7f400fff,0xfffe806f,0x3fffb000,0xfffd1000,0x323fff47,
    0x0002ffff,0xd107fff3,0x3e009fff,0xfff305ff,0x3ffffe67,0x3fffe603,
    0x007ffee0,0xa817ffdc,0x7f402fff,0xf800007f,0x9fffa5ff,0xe801fff9,
    0x9bffe2ff,0x3ff66fff,0xdffd000f,0x04fffd80,0x007fff60,0xd2fffe40,
    0x7ffe4fff,0xf30000ff,0xffe887ff,0x3ffe004f,0x27fff305,0x804ffff9,
    0x32a2fffc,0x3fea005d,0x5fff502f,0x007ffe80,0x25fff800,0x7ffc7ffe,
    0x23ffc404,0x3ffa6fff,0x007fff65,0xfb037ffc,0x6c001fff,0x30001fff,
    0x7ff4ffff,0xffffff97,0x3fe6000d,0x3fffa23f,0x2fffc003,0xf33fff98,
    0x3ea00fff,0x980002ff,0xff502fff,0x7ffe805f,0xfff80000,0xf91fffa5,
    0x4ffb80ff,0xffd37ffc,0x017ffecb,0xd837ffc4,0x4001ffff,0x0001fffd,
    0x7f43fffe,0xfffffcff,0x98003fff,0xffd13fff,0xfff0007f,0x4fffe60b,
    0x3006fff9,0x20007fff,0x3fffeb98,0x805fff50,0x00007ffe,0x3fa5fff8,
    0x0fffcc7f,0xff83ffd0,0xd93ff66f,0xfd806fff,0xfffd86ff,0xffd8001f,
    0x3fe0001f,0xffffd0ff,0xfff73fff,0xff98003f,0x3fffe8bf,0x0bfff000,
    0x7ccfffe6,0xff1005ff,0xcb98807f,0xfffffffe,0x5fff503f,0x007ffe80,
    0x25fff800,0xfff87ffe,0xf0fff104,0x27fecdff,0x409ffffb,0x6c6ffffb,
    0x0000efff,0x0003fffb,0xfe9fffe2,0x361fffff,0x2000ffff,0xffecfff9,
    0x3fe0006f,0x7fff305f,0x4013ffe6,0xd503fff8,0xffffffff,0x207fffff,
    0x7402fffa,0x800007ff,0x3ffa5fff,0x707ffc87,0xdfff09ff,0xffb1ffe4,
    0x64c39fff,0x2e6fffff,0x0000efff,0x0007fff6,0xfd2fffdc,0xf883ffff,
    0x26005fff,0xffffffff,0xfff0003f,0x4fffe60b,0x1003fff9,0xff887fff,
    0xffffffff,0x03fffaad,0xe805fff5,0x800007ff,0x3ffa5fff,0x81fff987,
    0xfff81ffe,0xfd8fff26,0xffffffff,0x6ffeffff,0x0003fffe,0x003fffb0,
    0x47ffff30,0x501ffffe,0x2007ffff,0xfffffff9,0xf8001fff,0xfff305ff,
    0x00fffe67,0xd11fffc4,0x37bfffff,0x03fffa81,0xe805fff5,0x800007ff,
    0x3ffa5fff,0x989fff07,0xdfff06ff,0xffb17fdc,0xffffff5f,0x2dff59ff,
    0x0003fff9,0x001fffd8,0x1bffff22,0xc803fffd,0x9801ffff,0xfbafffff,
    0xff8006ff,0x7fff305f,0x400fffe6,0x3f63fff8,0xfb801eff,0xfff503ff,
    0x07ffe805,0x5fff8000,0x7e41fffa,0x827fdc7f,0x3fea6fff,0x7cdfff61,
    0xf54fffff,0x07ffeedf,0xffd81300,0xccccccdf,0xfffffedc,0x3fff41ff,
    0x77fff440,0x7fffcc00,0x00ffffa2,0x260bfff0,0xfff33fff,0x3ffe2007,
    0x003fffe3,0xa81fffe4,0x7f402fff,0xf800007f,0x1fffa5ff,0xff17ffcc,
    0x9bffe03f,0x3ff61ffa,0x40055447,0x2000fffd,0xffb3fffa,0xffffffff,
    0xffffffff,0x0fffd05f,0x17fffe60,0x989fff30,0x2001ffff,0xff305fff,
    0x0fffe67f,0x99fffc40,0x36004fff,0xff503fff,0x7ffe805f,0xfff80000,
    0xe81fffa5,0x0dff34ff,0x99137ffc,0x003ffec1,0x007fff20,0xfb1fffc8,
    0xffffffff,0xffffffff,0x03fff409,0x05ffff90,0x5c1fffcc,0x3e006fff,
    0xfff305ff,0x00fffe67,0xfa9fffc4,0xff3004ff,0x3fea07ff,0x3fff402f,
    0x7ffc0000,0xc81fffa5,0x07ff97ff,0x6c037ffc,0x540007ff,0xf1004fff,
    0x7ffecfff,0xeeeeeeee,0x400aacde,0x74007ffe,0xf300ffff,0x3ffa07ff,
    0xbfff003f,0x4cfffe60,0xf1003fff,0x3ffe67ff,0x7ffcc00f,0xfff503ff,
    0x07ffe805,0x5fff8000,0xf981fffa,0x00fffaff,0x3601bffe,0x440007ff,
    0xc801ffff,0x3ff65fff,0xe800001f,0x7c4007ff,0xff306fff,0x3ffe607f,
    0x5fff801f,0x267fff30,0xf1003fff,0x7fffc7ff,0x3fffea04,0xfff504ff,
    0x07ffe805,0x5fff8000,0xfd01fffa,0xf80dffdf,0x866666ff,0x80007ffd,
    0x202ffffb,0x360ffffb,0x00001fff,0x8007ffe8,0x984ffffb,0x3f203fff,
    0xfff806ff,0x27fff305,0x1003fff9,0x7fdc7fff,0xfebaceff,0x5fffcfff,
    0x805fff50,0xccccfffe,0xcccccccc,0xbfff03cc,0x3203fff4,0x403fffff,
    0xfff36fff,0x003ffecf,0xdffffe80,0xfffeba9b,0x0fffec2f,0x7ff40000,
    0xfffb0007,0x3fff985f,0x01ffff40,0x7cc17ffe,0x7fff33ff,0x0fffe200,
    0xfffffffb,0x3f23dfff,0xfffa80ff,0x7ffff402,0xffffffff,0xf06fffff,
    0x3fff4bff,0x3ffffe60,0x9b7ffc00,0x3ff67fff,0xfb100007,0xffffffff,
    0xffb07fff,0xd000003f,0x22000fff,0x260fffff,0x7d403fff,0x3fe01fff,
    0x7fff305f,0x400fffe6,0xea83fff8,0x3effffff,0x5417ffd4,0x7f402fff,
    0xffffffff,0xffffffff,0x74bfff06,0xffe807ff,0x6fff805f,0x7ecffff3,
    0x5400007f,0xfffffffe,0xfffb01df,0xfd000003,0x7d4000ff,0x3fe65fff,
    0xfffc803f,0x417ffe06,0xff33fff9,0x3fe2007f,0x2aa6203f,0x7fd40001,
    0x7fff402f,0xffffffff,0x06ffffff,0x7ff4bfff,0x3fffc807,0xf36fff80,
    0x1554cfff,0xcb980000,0x6c01acdd,0x00001fff,0x0007ffe8,0x99ffffe4,
    0xf8803fff,0xfff03fff,0x0000000b,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x33331000,0x00066621,0x98066620,0x26620199,
    0x99999999,0x33310001,0x13333333,0x665c0000,0x002ee982,0x26662002,
    0x99999999,0x99999999,0x06666219,0x99988000,0x02666620,0x33331000,
    0x99999998,0x99999999,0x99999999,0x00bddd30,0x7ecdfffb,0x740005ff,
    0xfff707ff,0x3fff609f,0xffffffff,0x402defff,0xfffffffe,0xceffffff,
    0x7ff44001,0xfd89cfff,0x01f7001f,0xffffffa8,0xffffffff,0x0fffffff,
    0x005ffff7,0x3ffff300,0x02ffff44,0x0ffffa00,0xffffffff,0xffffffff,
    0xdfffffff,0x301fffe6,0x7ec1ffff,0x20002fff,0xff987ffe,0xfd83ffff,
    0xffffffff,0xffffffff,0xffffd04f,0xffffffff,0x4009ffff,0xfffffffc,
    0x9807ffff,0x7d400ffe,0xffffffff,0xffffffff,0x3f60ffff,0x20000fff,
    0x984fffe8,0x0003ffff,0xff0bfff9,0xffffffff,0xffffffff,0x26dfffff,
    0x7ec07fff,0x7ffec1ff,0xfd0000ff,0xefff88ff,0x7ec1fffb,0xffffffff,
    0xffffffff,0xfffe84ff,0xffffffff,0x0dffffff,0xb89eff80,0x02ffffff,
    0x400fffc8,0xfffffffa,0xffffffff,0x20ffffff,0x004ffff8,0x81bfff20,
    0x000ffffc,0x407fffd4,0xffffffff,0xffffffff,0x6fffffff,0x440ffff3,
    0xffd83fff,0xd0005fff,0xfffd8fff,0x6c1fffd1,0xaaaabfff,0xfdcaaaaa,
    0x7f43ffff,0xaaaaabff,0xfffeccba,0x3fe200ef,0x00bdda84,0x801fff90,
    0xaaaaaaa8,0xaaaaaaaa,0x40ffffea,0x002ffffb,0x01ffff98,0x0037fff4,
    0x203ffff1,0xaaaaaaaa,0xaaffffba,0x2aaaaaaa,0x64055551,0xfffb05ff,
    0xd0005fff,0x7ffe4fff,0xd9bffe23,0x54001fff,0x3a1fffff,0x7dc007ff,
    0x00002fff,0x0fffc800,0x7dc00000,0xffb01fff,0xffd000df,0xfff3009f,
    0x3ffa007f,0x7c40003f,0x000006ff,0x7ec02aaa,0x00ffffff,0x553fff40,
    0x15553055,0x0007fff6,0xe8ffffa2,0xfa8007ff,0x000005ff,0x00fffc80,
    0x3fea0000,0x3fe203ff,0x3f2004ff,0x3ee006ff,0x7e401fff,0x880005ff,
    0x00006fff,0x7ffec000,0x4005fffe,0x80007ffe,0x0001fffd,0x7f4bfff7,
    0xfff0007f,0x0131000f,0x03fff200,0x7fcc0000,0xffb805ff,0xff9801ff,
    0x7ec001ff,0xff500eff,0x100001ff,0x0000dfff,0xfffd8000,0x002ffff9,
    0x0001fffa,0x0007fff6,0xfd3fffcc,0x3f6000ff,0xfeb801ff,0x00ceffff,
    0x3fffbba6,0x00005eee,0x00dffff1,0x4037fff4,0x8003fffe,0x884ffff8,
    0x0002ffff,0x00dfff10,0x2776c000,0xff77ffd8,0x3fa001ff,0x13bb607f,
    0x001fffd8,0x743fffe0,0xfb0007ff,0x7f4c01ff,0xffffffff,0xffff302f,
    0x00dfffff,0x3ffffa00,0x3ffe2000,0x3ffee04f,0x3fea0005,0x7fff42ff,
    0x3e200004,0x000006ff,0x7ec17ffe,0x17fffa7f,0xf03fff40,0x7fec0bff,
    0x3fe0001f,0x0fffd0ff,0x81bffe00,0xeffffffb,0x85ffffff,0xfffffff9,
    0xd80006ff,0x8001ffff,0x981ffffb,0x0000ffff,0xb87fffe4,0x00006fff,
    0x0037ffc4,0x0bfff000,0xff99fff6,0xffe802ff,0x817ffe07,0x0001fffd,
    0x7f4dfff1,0xffa8007f,0xffff103f,0xfffc883b,0x3fff203f,0x3ee00000,
    0x20003fff,0xfe86fffe,0xd00002ff,0xfff3bfff,0x8800001f,0x00006fff,
    0x6c17ffe0,0x7ffdc7ff,0x3fff400f,0x6c0bfff0,0x90001fff,0x7ff4bfff,
    0x7ffdc007,0x7fffd00e,0x0ffffa80,0x001fff90,0x3fffe600,0x7fc40004,
    0x3ffee2ff,0x3e600005,0x2fffffff,0xff880000,0x2000006f,0xffb05fff,
    0x0bfffd0f,0x3e07ffe8,0x3ff605ff,0xffa8001f,0x3fffa2ff,0xbaaaaaab,
    0x0dfffecc,0x009fff70,0x6417ffee,0x80000fff,0x006ffff8,0x1ffff700,
    0x001ffff1,0xffffb800,0x000004ff,0x000dfff1,0x82fffc00,0xff987ffd,
    0x3ffa02ff,0x817ffe07,0x2001fffd,0x45ffffd9,0xfffffffe,0xffffffff,
    0x7fff404f,0x3fffa000,0x00fffc80,0xffffe800,0x3fa00000,0x2fffccff,
    0xffb00000,0x00000dff,0x0037ffc4,0x0bfff000,0x7dc1fff6,0xffd00fff,
    0x02fffc0f,0xddddfffb,0xfffddddd,0xe81fffff,0xffffffff,0xffffffff,
    0x17ffe02e,0x05fff700,0x0001fff9,0x01ffffd8,0x7ffc4000,0x0004ffff,
    0x3fffea00,0x22000005,0x00006fff,0x6c17ffe0,0x3ffa07ff,0x0fffd05f,
    0xfb02fffc,0xffffffff,0xffffffff,0xfffd03df,0xffffffff,0xdfffffff,
    0x03fff881,0x41fffcc0,0x0000fffc,0x00ffffee,0x7ffdc000,0x00000eff,
    0xffffff10,0x22000005,0x00006fff,0x6c17ffe0,0x3fe607ff,0x7ffe82ff,
    0xd817ffe0,0xffffffff,0xffffffff,0x1fffa03f,0xffb53310,0x7fd41dff,
    0x7fc4002f,0x0fffc84f,0xffff3000,0xe8000009,0x0001ffff,0x3ffff600,
    0x00000fff,0x006fff88,0x3e019998,0xfffb05ff,0x0ffffc80,0xff03fff4,
    0x7ffec0bf,0xeeeeeeee,0xe801aacd,0xfa8007ff,0x3fee5fff,0xfff8001f,
    0x00fffc85,0x6ffff880,0xf9800000,0x000005ff,0x3fb7ffee,0x800006ff,
    0x4006fff8,0x3e07fff9,0xfffb05ff,0x8bfffd00,0x3fe07ffe,0x3fff605f,
    0xfe800001,0xff30007f,0x3ffee3ff,0x5fff8001,0x000fffc8,0x00efffe8,
    0xff980000,0x3000005f,0xff31ffff,0x800007ff,0x4006fff8,0x3e07fff9,
    0xfffb05ff,0x5ffff300,0xff03fff4,0x7ffec0bf,0xfe800001,0x3fa0007f,
    0x5fff53ff,0x5fff8800,0x000fffc8,0x00ffffe4,0xff980000,0x8800005f,
    0x3ee3fffe,0x00001fff,0x001bffe2,0x7c0ffff3,0xfffb05ff,0x3ffff200,
    0x7c0fffd0,0x3ff605ff,0xe800001f,0x2e0007ff,0xfff35fff,0xfff98007,
    0x00fffc84,0x0bfffee0,0xf9800000,0x800005ff,0xfe85fffd,0x00000eff,
    0x800dfff1,0x3e07fff9,0xfffb05ff,0xaffff400,0x3fe07ffe,0x3fff605f,
    0xfe800001,0x3ea0007f,0x9fff15ff,0x3fffa800,0x000fffc8,0x009ffff3,
    0xff980000,0x5c00005f,0xf880ffff,0x00005fff,0x000dfff1,0xfff81be6,
    0x00fffb05,0x757fffcc,0x3ffe07ff,0x07fff605,0x3ffa0000,0x3ff20007,
    0x03fffe3f,0x81fffe80,0x8800fffb,0x0005ffff,0xfff98000,0x3e600005,
    0x3ee02fff,0x80002fff,0x0006fff8,0x7ffc09f7,0x00fffb05,0xffffffc8,
    0x17ffe07f,0x001fffd8,0x07ffe800,0x8bfffa00,0x5004fffc,0x3ee0dfff,
    0xffe800ff,0x000000ef,0x05fff980,0xfffd1000,0xffffb009,0xff880001,
    0x5fb0006f,0xd82fffc0,0xfe8007ff,0x207fffff,0x3f605fff,0x800001ff,
    0x70007ffe,0x7c41ffff,0x74401fff,0xff703fff,0xfffc803f,0x0000001f,
    0x00bfff30,0x1bfff600,0x37fffc40,0x3ffe2000,0x0ffb8006,0x6c17ffe0,
    0xf98007ff,0x207fffff,0x3f605fff,0x800001ff,0x44007ffe,0xa85ffffc,
    0xf503ffff,0x7d40bfff,0x5c19aeff,0x0001ffff,0x3fe60000,0xfa80005f,
    0x2a001fff,0x0003ffff,0x001bffe2,0xff803ff3,0x0fffb05f,0x3ffff200,
    0x17ffe07f,0x001fffd8,0xcfffe800,0xcccccccc,0x6fffffdc,0x3fffff60,
    0xfffffdcd,0x3ffe600e,0x3fe27fff,0xccccceff,0xcccccccc,0x002ccccc,
    0x005fff98,0x1ffffc40,0x7fffe400,0xfff10001,0x0019000d,0x3f60bfff,
    0x3fa0007f,0x3fe07fff,0x3fff605f,0xfe800001,0xffffffff,0xffffffff,
    0x7fd400ff,0xffffffff,0xfff9005f,0x3fe21fff,0xffffffff,0xffffffff,
    0x004fffff,0x005fff98,0x02ffff40,0x1dfffd00,0xdfff1000,0x7fc00000,
    0x0fffb05f,0x7fffcc00,0x817ffe07,0x0001fffd,0xfffffe80,0xffffffff,
    0x000cffff,0xffffffb1,0xec8003bf,0xff11ffff,0xffffffff,0xffffffff,
    0x009fffff,0x00bfff30,0x07fffe40,0xffff3000,0xfff10009,0x7c00000d,
    0xfffb05ff,0xfffc8000,0x817ffe07,0x0001fffd,0xfffffe80,0xeeffffff,
    0x440003cd,0x00009aa9,0x3fe20cc4,0xffffffff,0xffffffff,0x004fffff,
    0x005fff98,0x05ffff50,0xffff7000,0xfff88005,0x00000006,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4c400000,0x98800099,0x88000999,0x26662199,0x26200000,0x32e20099,
    0xe86eb81c,0xeeeeeeee,0xeeeeeeee,0x333312ee,0x33333333,0x33333333,
    0x00199800,0x00000000,0x30006662,0x44000013,0x30000099,0x2fffd401,
    0x7fffe400,0xfffe8003,0x00bfff90,0x1fffe400,0xefffffa8,0xf87ff98b,
    0xffffffff,0xffffffff,0x5555b3ff,0x55555555,0x95555555,0x3ffe6003,
    0x26200001,0x50037201,0xffffffd9,0xffd9307b,0x80039fff,0xfffffdc8,
    0xdd300cef,0x5efff5cd,0x03fffc40,0x2fffff40,0x97ffe200,0x000ffff8,
    0x01fffd00,0xfffffff1,0xf09fffff,0xffffffff,0xffffffff,0x000127ff,
    0x3e600350,0x540001ff,0xcfffffed,0x6409ff50,0xffffffff,0x3fee5fff,
    0xffffffff,0xffff7004,0xffffffff,0x32fff305,0x82ffffff,0x2001fffe,
    0x0ffffff8,0x0fffea00,0x0005fffd,0x20bfff30,0xfda8dffa,0xe80effff,
    0xeeeeeeee,0xffeeeeee,0x000091ff,0xff3001a8,0x3620003f,0xffffffff,
    0x80effdff,0xefffffe8,0xdfffffee,0xeefffffd,0x205fffff,0xefffffe8,
    0xffffffee,0x7d7ffcc2,0x707fffff,0x5c005fff,0x02ffffff,0x507fff20,
    0x0000bfff,0x2e05fff9,0x6edc41ff,0xfd800002,0x000122ff,0x3e600350,
    0xf98001ff,0xfeefffff,0x01ffffff,0x203bfffb,0xfffffffb,0xfffe981e,
    0x3dfff904,0x17fffaa0,0xdffffff3,0x3e609fb9,0x3f6004ff,0x004ffecf,
    0x7fc1fffa,0x220000ff,0x00006fff,0xff700000,0x0000489f,0xff9800d4,
    0x7f44001f,0xffb81eff,0xfff106ff,0xffff7009,0xfffb00bf,0x00dfff01,
    0x4c3ffff1,0x442fffff,0x01bffe00,0xffcafff8,0xbfff1006,0x00ffff20,
    0x03fffa80,0x80000000,0x0485fff9,0x800d4000,0x4001fff9,0x5c05fffc,
    0xfc83ffff,0xfff000ff,0xff1001ff,0x1fffb89f,0x45fff700,0x004ffff9,
    0x800fffd8,0xffa8fff9,0xfffa800f,0x0dfff302,0x07ffec00,0x00018800,
    0x0ffff880,0x54000048,0x3fff3001,0x37ffcc00,0x3ffffe60,0x005edb87,
    0x800ffffa,0x6e546ffc,0x3ffea005,0x01fffe62,0x017ffdc0,0xff8b7fe4,
    0xfffc803f,0x07fffa00,0x17ffe200,0x5c43bba2,0x0ceffffd,0xfffc8000,
    0x80000903,0xfff3001a,0x7ffe4003,0x37ffa202,0x00003fff,0x4003fffb,
    0x0000fffa,0x262fff98,0x30006fff,0xfd009fff,0x02fff49f,0x2e037ff4,
    0xb8004fff,0xff982fff,0xffffe88f,0x001effff,0x81bffe60,0x8d400004,
    0xfffffffa,0xffffffff,0x3f63ffff,0x57fec07f,0x0004fff9,0x1ffff2a6,
    0x03fff300,0x3fae6200,0x3ffe63ff,0x3ffe0005,0x0fffc406,0xf880fff7,
    0x7fc404ff,0xffe8006f,0xd3fff307,0xffffffff,0x20003fff,0x1201fffe,
    0x2a350000,0xffffffff,0xffffffff,0x3ffe3fff,0xf93fee05,0xb98805ff,
    0xffffffec,0xffffffff,0xffffffff,0x65cc403f,0xfffffffe,0x13ffe63f,
    0x07ffd800,0x3e63ffd4,0x3fea01ff,0xfffd802f,0x3ffe6001,0xfffff304,
    0x7fdcc39f,0xfb8004ff,0x002405ff,0x7fd46a00,0xffffffff,0xffffffff,
    0x09fff13f,0xffd17fe6,0x7fff5c0d,0xffffffff,0xffffffff,0xffffffff,
    0xfffd504f,0xffffffff,0x7ffcc7ff,0x3fea0003,0x17ff601f,0xfc813ffe,
    0xfff5007f,0x7ffe4009,0xfffff300,0x7fffd403,0x7fff4000,0x00002401,
    0x5555446a,0xcfffbaaa,0x1aaaaaaa,0xf107fff3,0x7ffd81ff,0xfffffd88,
    0xfd9cefff,0xffffffff,0xffffffff,0x7fffc45f,0xadffffff,0x3e63fffa,
    0x220002ff,0x3fe03fff,0x06ffd83f,0xf8017ffa,0x3fe007ff,0x3ffe606f,
    0xfffc803f,0x3ffe6002,0x00004806,0xff9800d4,0xfff3001f,0xb03ffb07,
    0xffe88fff,0xd81acfff,0x200007ff,0xdfffffe8,0x7ffd409b,0x00bffe63,
    0x20bffd00,0xfb80fff9,0xfff880ff,0x3fff2003,0x2fffa802,0x01fffe60,
    0x001fffdc,0x9007fff9,0x01a80000,0x003fff30,0xf913ffe2,0x1bffa07f,
    0x003bfffb,0x0000fffb,0x00f7ffec,0xf31fffdc,0xc80005ff,0xdff707ff,
    0x20bffe20,0x2001fffa,0xd805fff8,0x7fcc07ff,0xfff5005f,0x3ffe2007,
    0x00009007,0xff3001a8,0x7ffc003f,0xf817fea4,0x3ffe25ff,0xfffd000f,
    0x3fe00001,0xff9000ff,0x17ffcc7f,0x3ffea000,0x204ffe80,0xffc85ffe,
    0xfffd8007,0x13ffe200,0x009fff30,0x400fffe6,0x9004fffb,0x01a80000,
    0x003fff30,0xff8b7ff4,0x7fff100e,0x8027ffd4,0x002ffff8,0x7ccbbff2,
    0x3f6004ff,0x3ffe63ff,0x7fc40002,0x17ffc42f,0xfd0fff90,0xff5000bf,
    0x7ffdc05f,0x1fffcc01,0x03fff980,0x003fffd0,0x35000012,0x07ffe600,
    0xe9fffd80,0x3ff201ff,0x0fffee2f,0x2ffffec0,0x0ffff980,0x2009fff5,
    0x263ffff9,0x80002fff,0x7fd44ffe,0x07ffd407,0x0005fff1,0xfe817ffe,
    0xfff9806f,0x7fff3003,0x0bfff300,0x20000240,0xfff3001a,0x7ffdc003,
    0x3e202fff,0x3fea0fff,0xfffc806f,0xfe805fff,0x3ffe64ff,0x7ffcc00f,
    0x3ffe63ff,0xffc80002,0x202ffe46,0x3ea2fff8,0xf90000ff,0xfff301ff,
    0x7fff3007,0x0fffe600,0x00bfff20,0x54000048,0x3fff3001,0xffffe800,
    0x1fffec04,0x02ffffe2,0x3b7fff26,0xda81dfff,0x7fc0ffff,0x3fea04ff,
    0x3e64ffff,0xa80002ff,0x3ffa0fff,0x24ffe803,0x20006ffb,0xfc83fff9,
    0xff9800ff,0xfff3003f,0x0ffff007,0x40000480,0x9991001a,0xfff98001,
    0xffe982df,0xffff705f,0xffffb7bf,0x3fff625f,0xffffddff,0xfffb81ff,
    0xffebacef,0x25fffcff,0x0002fff9,0x3e65fff0,0xffb801ff,0x0013ff66,
    0xff0dffd0,0x3fe6009f,0xfff3003f,0x3fffa807,0x00002400,0x0000006a,
    0x7fffffc4,0xffffedcf,0x3fff600f,0xefffffff,0xfffffd80,0x01efffff,
    0x3ffffff6,0xf91effff,0x3ffe61ff,0xffb00002,0x401ffee9,0x3ffe7ff9,
    0x7fdc0002,0x07ffea1f,0x01fffcc0,0x403fff98,0x4001fffc,0x8d400004,
    0xaaaaaaa8,0xaaaaaaaa,0x7ec1aaaa,0xffffffff,0x801effff,0xffffffea,
    0x7fedc03d,0x003fffff,0xffffffd5,0x2fffa87d,0x0005fff3,0x7ed7fee0,
    0x3ffe004f,0x0007ff99,0x364fff88,0x3e6006ff,0xff3003ff,0xfffe807f,
    0x00024000,0x7ffd46a0,0xffffffff,0xffffffff,0x2e33fee3,0xefffffff,
    0xaa988002,0x35510000,0x2a620001,0x0000001a,0x7dffe600,0x3f6002ff,
    0x005ffbbf,0x7cdffb00,0x3e6003ff,0xff3003ff,0x7ffc407f,0x00048007,
    0xfffa8d40,0xffffffff,0xffffffff,0x2a617ee3,0x000009aa,0x00000000,
    0x00000000,0x3ebffe00,0x3ee000ff,0x003ffdcf,0x53fff500,0x4c001fff,
    0xf3003fff,0x7fcc07ff,0x0048005f,0xffa8d400,0xffffffff,0xffffffff,
    0x00004c3f,0x00000000,0x00000000,0x7ec00000,0x4006ffef,0x1ffeeff8,
    0x3ffa0000,0x4005ffdb,0x3003fff9,0x7dc07fff,0xcd8004ff,0xcccccccc,
    0xcccccccc,0x00001dcc,0x00000000,0x00000000,0x00000000,0x7ffdc000,
    0xfe8003ff,0x00007fff,0x7fff7fdc,0x7ffcc002,0x7fff3003,0x017ffdc0,
    0x00000000,0x00000000,0x00000000,0x00000000,0x98000000,0x001fffff,
    0x05ffffc8,0x7ffc4000,0xf98007ff,0xff3003ff,0x7ffe407f,0x00000001,
    0x00000000,0x00000000,0x00000000,0x00000000,0x01ffffe0,0x17fffd40,
    0x7fec0000,0xf98004ff,0xff3003ff,0x7ffec07f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x017fff20,0x07fffc40,0x7fd40000,
    0x000000ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x19800000,0x01988000,0x004c4000,0x00262000,
    0x00062000,0x4c000980,0x0f774c00,0x91eee980,0x3b200ddd,0xeeb800ee,
    0x02777645,0x4c4eeeb8,0xeeeeeeee,0xeeeeeeee,0x0000002e,0xffffb730,
    0x7ecc007d,0x03deffff,0xfffedb80,0xb8000cef,0xcefffffe,0x43bba200,
    0xeffffdb8,0x0eee880c,0x9dfffb71,0xfffb7103,0xfff303bf,0x3ffea005,
    0x003fff72,0xf007ffff,0xfff989ff,0x7ffcc02f,0x7fffd41f,0xffffffff,
    0x003fffff,0x981d9800,0xffffffff,0x7ec02fff,0xffffffff,0xfd8800ef,
    0xffffffff,0xffd3001e,0xffffffff,0x23ffe605,0xffffffe8,0x7fcc1eff,
    0xffffe88f,0x3a21ffff,0xffffffff,0x017ffcc3,0xf12fffa8,0xff9809ff,
    0x7fcc05ff,0xffffb82f,0x0ffffa00,0x3fffffea,0xffffffff,0x00002fff,
    0xb83ffd71,0xfeffffff,0xb01fffff,0xfdddffff,0x403fffff,0xeffffffa,
    0x04fffffe,0x7fffffdc,0x5ffffffe,0xfe9fff98,0xffffffff,0x3ffe61ff,
    0xfffffff9,0xfe88ffff,0xffffffff,0x0bffe60f,0xd17ffd40,0xffc80dff,
    0x7fdc07ff,0x17fff607,0x882fffe4,0x99999999,0xfffc8999,0xfc980005,
    0x3e61ffff,0x6d41dfff,0x7dc0ffff,0x6d440dff,0xff105fff,0xfa883bff,
    0xff102fff,0xfc883bff,0x7fcc3fff,0x261cffff,0x264ffffb,0x1cffffff,
    0x3fbfffa6,0xfd510aff,0x7ffccbff,0x5fff5002,0xd007ffe4,0x403fffff,
    0x3e205ffe,0x7fd42fff,0x700000ef,0x8000dfff,0xffffffda,0x0ffffa0f,
    0xd87fffb0,0x3e200fff,0xffc80fff,0x7ff4c03f,0x07fffd06,0x20ffffa8,
    0x01fffff9,0x4c3fffea,0x202fffff,0x00efffff,0x7ccffff3,0xff5002ff,
    0x17ffcc5f,0xffefff88,0x05fff103,0x10ffffa8,0x0003ffff,0x03bffea0,
    0x3ffae200,0x542dffff,0xf9806fff,0x27ffc6ff,0x217ffdc0,0x3005fff9,
    0xffb87fff,0xfff7004f,0x1ffffccb,0x997ffe40,0x6404ffff,0x6402ffff,
    0xfff30fff,0x3ffea005,0xa827ffc2,0x05ffcdff,0x9001fff5,0x3ff69fff,
    0xf300003f,0x98003fff,0xfffffffc,0x3fff900c,0x837bf200,0x13006fff,
    0x003fff60,0x7f47ffd8,0x3fa000ff,0xffff30ff,0x4fffee00,0xa807fff9,
    0xfb806fff,0x5fff31ff,0x0bffea00,0x3f20fff9,0xb07ffabf,0x7f400bff,
    0x05fffcff,0xffff3000,0x7ff54005,0x802effff,0x02006fff,0x00dfffd8,
    0x01bffa00,0x7c1fff70,0x7dc005ff,0xbfff32ff,0x4fffea00,0x9805fff9,
    0xfb804fff,0x5fff32ff,0x0bffea00,0xfd03fff5,0x03fff13f,0x4c007fff,
    0x0fffffff,0xffe88000,0xffc8803f,0x01cfffff,0x00bfff10,0x3fffea00,
    0x7c001bef,0x7d4005ff,0x7fff11ff,0x3fff9800,0x2009fff3,0xff33fff9,
    0xfff3009f,0x5fff5007,0x400bffe6,0x7c42fffa,0x3ffcc3ff,0xff987fff,
    0x7fdc000f,0x00002fff,0x7009fffd,0x7dffffff,0xfff98001,0x3f200004,
    0xdfffffff,0x3ffe200a,0xffffffff,0xffffffff,0x005fff52,0xf34fff88,
    0x3e6007ff,0x7fff33ff,0x07fff300,0x265fff50,0xf5002fff,0xbffb05ff,
    0x3f25ffb8,0x037fe45f,0x05fffe80,0xbfffb000,0x3ffff600,0x3e60001d,
    0x400003ff,0xfffffffb,0xfa81dfff,0xffffffff,0xffffffff,0x3fff74ff,
    0x2bfff000,0x3003fff9,0x3fe67fff,0xfff9803f,0x2fffa803,0x2005fff3,
    0xfb82fffa,0x51ffec7f,0x3ffe8fff,0xffff9800,0x7e40002f,0xfb000eff,
    0x80005dff,0x0003fff9,0xfffeb880,0x42ffffff,0xfffffffa,0xffffffff,
    0xff74ffff,0xfff0003f,0x00fffe6b,0xf99fffcc,0xff9803ff,0xfffa803f,
    0x005fff32,0x220bffea,0x3ffe2fff,0x447ffe21,0x44001fff,0x0fffffff,
    0xffff7000,0x7ffe4001,0x8000cfff,0x0004fff8,0x7fed4400,0x263fffff,
    0x00003fff,0x8005fff5,0xff35fff8,0x3fe6007f,0x07fff33f,0x007fff30,
    0x3e65fff5,0xff5002ff,0x53ffa05f,0xffe87ff9,0x000dff73,0xfffbfffb,
    0xfff5000b,0xfb50003f,0x05bfffff,0x005fff80,0x7e4c0000,0x3fe26fff,
    0xf300004f,0xf98007ff,0x7fff34ff,0x4fffe600,0x9803fff9,0xfa803fff,
    0x7fff32ff,0x0bffee00,0xffbb7fdc,0xfb6ffc84,0xffa8009f,0x07fffb5f,
    0x17fffcc0,0x3ff26000,0x00bfffff,0x2006ffe8,0x0002cef8,0xf83fffe6,
    0x100006ff,0xa8009fff,0xfff33fff,0x3ffe6007,0x007fff33,0x5007fff3,
    0x3fe65fff,0xfffb003f,0x23ffe605,0xffa82ffd,0x001fff8f,0x443fffe2,
    0x8800ffff,0x0003ffff,0x3fffae20,0x3601dfff,0xf5000fff,0x3fb6a5ff,
    0x5fff9000,0x0007fff4,0x7fc39df9,0x3fa000ff,0x7fff31ff,0x4fffe600,
    0x9803fff9,0xfa803fff,0xdfff12ff,0x5ffff300,0x7fdfffc0,0xcfff880f,
    0x7ec007ff,0x7ffdc3ff,0x7fff4406,0x2a000004,0xeffffffd,0x27ffd40b,
    0x2a7ffd80,0xf9002fff,0x7ffdc1ff,0xffff1005,0x027ffe41,0x266fffa8,
    0xf3003fff,0x3ffe67ff,0x3fff9803,0x22fffa80,0x2203fffe,0x202fffff,
    0x06fffffc,0x13fffffa,0x05fffb80,0x7407fffb,0x00005fff,0xffff9300,
    0x7f419fff,0x7fd401ff,0x07fffc5f,0x21bffe20,0xd803fffe,0x7fc44fff,
    0x7f4401ff,0x3ffe63ff,0x7fff3003,0x200fffe6,0xa803fff9,0x3fee2fff,
    0x3aa20aff,0x202fffff,0x04fffffa,0x0bfffff2,0x07fffcc0,0x81ffff88,
    0x2665fffd,0x99999999,0x2e200019,0x21fffffe,0x703ffff9,0xfc81ffff,
    0xfb101eff,0xfff307ff,0xffb501bf,0xfff501ff,0x3ffea07f,0x1fffcc5f,
    0x33fff980,0xf3007fff,0xff5007ff,0x7fffc45f,0xffffeeff,0x7c02fffa,
    0x2602ffff,0x2007ffff,0x5c03fffe,0x7fc46fff,0xffffffff,0xffffffff,
    0xda80000f,0x7fe41fff,0xfedcdfff,0xffd01fff,0xfd99bdff,0x3201bfff,
    0xdcefffff,0x01ffffff,0x37fffff6,0xefffffdc,0x01fffcc0,0xf33fff98,
    0xff3007ff,0xfff5007f,0xffffe985,0xff1fffff,0xfffd805f,0x7fffc00f,
    0xbfff9005,0x93fff600,0xfffffff8,0xffffffff,0x0000ffff,0x2a07f220,
    0xffffffff,0x3a202fff,0xffffffff,0xfa804fff,0xffffffff,0xfa802fff,
    0xffffffff,0xfff305ff,0x3ffe6007,0x007fff33,0x5007fff3,0xf9105fff,
    0x43bfffff,0x7d402fff,0xffd806ff,0xfff9802f,0xfff1000f,0x3fffe25f,
    0xffffffff,0x0fffffff,0x00880000,0xffffffb1,0x3aa0019f,0xdfffffff,
    0x3fb22002,0x03ffffff,0x7fffec40,0x2601dfff,0xf3003fff,0x3ffe67ff,
    0x3fff9803,0x02fffa80,0x00005544,0x00000000,0x00000000,0x00000000,
    0x006aa620,0x0aaa9880,0xaa988000,0x98800009,0x000009aa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x3a66eee8,0x754003ee,0x000001ee,0x03775400,0x98001640,0x40662005,
    0x80ccc198,0x06e00199,0x88001700,0x80000999,0x88001ccb,0x2000aaaa,
    0x002accba,0x00355531,0x7fcc154c,0x037ffc7f,0x643fff60,0x0000000b,
    0x2003ffdc,0x654c2ffb,0x17fe60ab,0x261bfe60,0x1ffec6ff,0x5c017fec,
    0xdf9001ff,0x7ffe4001,0x7fc40004,0x7fec006f,0x200dffff,0xfffffffb,
    0xfff9102e,0xb805dfff,0xfff985ff,0x00fffe47,0x364fff88,0x00001dff,
    0x00fff700,0x5d7fffcc,0xcfffffff,0x403ffffa,0xffe82ffe,0x207ffc42,
    0x2a00fff8,0x6401ffff,0x32006fff,0x40004fff,0x001ffffc,0xfffdfff9,
    0x3ffee0df,0x0fffffef,0xffffffd8,0xff902fff,0xffff30bf,0x004fff98,
    0x7ec3fff7,0x0002efff,0x03ffdc00,0x3ffffea0,0xffffffff,0x6404ffff,
    0x5ffc85ff,0xf90dff90,0xfffd80df,0xffff901f,0x7ffe4005,0x7ffc0004,
    0xffa805ff,0x0bffea0e,0x4417fff1,0x7fdc4ffd,0xfffd50af,0x5ffffea8,
    0xe82aaa88,0xffd007ff,0xfffffb8d,0x00000cff,0x8007ffb8,0xfffffffa,
    0xfffffffe,0x0fffcc04,0xf807ffe6,0x7ffc43ff,0x7fffec03,0x17fffe41,
    0x13fff200,0xffffb800,0x765400ff,0x4c3ffe81,0xbff305fe,0xf983ffe8,
    0xdfffb0ff,0x2e000bff,0x7c402fff,0xffb883ff,0x02dfffff,0x1ffee000,
    0x77ffec00,0x3fffec41,0x113ffa20,0xfa809ffd,0x7ffd41ff,0x3fff6201,
    0x5ffff91f,0x80000000,0x4ffdbffe,0x3ffe2000,0x3e201100,0xf101886f,
    0x4cefecdf,0xf10005ff,0xffb80bff,0x7fed400f,0x00beffff,0x03ffdc00,
    0x02fffcc0,0xd80bfff2,0x7fe40fff,0x6ffe800f,0x4406ffe8,0xffcffffe,
    0x000002ff,0x47ffd400,0x4000fffa,0x803ffeca,0xfffdcb98,0x27fe4007,
    0x02ffcc37,0x01fffb00,0x3002fff4,0xfffffff9,0x3ee00039,0xffc8007f,
    0x6ffe800f,0xa87fff50,0xf3003fff,0xfff989ff,0x7fff4404,0x2602ffff,
    0xcccccccc,0xcccccccc,0xffb01ccc,0x001fffc9,0x7007fffe,0xfffffffd,
    0x7fd400ff,0x17fe601f,0x2fffa800,0x005fff30,0x3ffffaa0,0x66542dff,
    0xffdccccc,0xcccccccf,0x027ff40c,0x440fffa8,0x7fc46fff,0x7fe4006f,
    0x0fffec1f,0x3ffffa20,0x7ffd402f,0xffffffff,0xffffffff,0x21fff983,
    0x26006ffb,0x882effff,0xcefffffe,0xf9007ffb,0xff9807ff,0x7ffc0005,
    0x00fff905,0xffff9300,0x3ff21fff,0xffffffff,0xffffffff,0x017ffc1f,
    0x6c1fff98,0x7fec2fff,0x7fc4002f,0x3ffe20ef,0x7ffe400f,0x7fd401ff,
    0xffffffff,0xffffffff,0x46ffc83f,0x4002fff8,0x643ffda8,0x7c41cfff,
    0x7ff4407f,0x5ff9802f,0x7ffe4000,0x004fff80,0x3ffae200,0xffff91ff,
    0xffffffff,0x3fffffff,0x1002fff8,0x7fc43fff,0x7fff41ff,0xfffe8000,
    0x00ffff40,0xfffffff9,0x77775403,0xeeeeeeee,0x2eeeeeee,0x6c1fffc4,
    0xf30005ff,0x02ffe8df,0x7cc0fff5,0xf3001eff,0xf98000bf,0x7ffd43ff,
    0x64c00001,0xdd71ffff,0xffdddddd,0xdddddddf,0x03ffe81d,0x981fff50,
    0x7fcc5fff,0x7fdc005f,0x1fffdc3f,0xfdffff90,0x00003fff,0x3ffee000,
    0x81fffa80,0xfff10299,0x440fffc1,0xff706ffe,0xff9800bf,0xffe80005,
    0x0037fec6,0xffffd500,0x3ee003ff,0xffd8007f,0x0fffb006,0xf907fff2,
    0x3e2003ff,0x7ffc45ff,0x3ffff206,0x03ffffb2,0xff000000,0x27ff409f,
    0x2e07ffe2,0x6ffec7ff,0x1ffffaa0,0x000fffee,0x00017fe6,0x7c47ffee,
    0x440003ff,0xfffffffb,0x3fee000c,0xfff98007,0x1fffd404,0xfd0dffd0,
    0x3ff200df,0x07ffe40f,0x42ffffc8,0x001ffffd,0x001f775c,0x5c03fff5,
    0x7fec0fff,0xfffca9be,0x77fffd45,0x0ffeefff,0x333bffea,0x300ccccc,
    0x10000bff,0x3fea7fff,0xfb30000f,0x07dfffff,0x01ffee00,0x06ffff40,
    0x007fffdc,0xf987fff3,0x7fcc03ff,0x1fffcc3f,0x82ffffc8,0x01ffffd8,
    0x013fff20,0x4406ffe8,0x7f443fff,0xefffffff,0xfffffb80,0x745ff74f,
    0xffffffff,0xff301fff,0x3f60000b,0x00bffb6f,0xffffeb88,0x40001dff,
    0x98007ffb,0xcdffffff,0x2ffffffd,0x207ffdc0,0x3600fffb,0x5ffd85ff,
    0x05ffff50,0x037fff44,0x009fff90,0x200fffe6,0xfc887ffc,0x403fffff,
    0x220accb8,0xffff31aa,0xffffffff,0x017fe603,0x4fffd400,0x93002fff,
    0x9fffffff,0x3ee00001,0x7fcc007f,0xffffffff,0x3fffffff,0x7427fec0,
    0xfff504ff,0x00fffa81,0x2200bff6,0x32001ffe,0xd7004fff,0xdd3001dd,
    0x04cc403d,0x00000000,0x33330000,0x3fbffe00,0xffea807f,0x002effff,
    0x07ffb800,0x33fffe60,0xfffffffc,0x02ffffbd,0xf103ffe2,0x5ffd01ff,
    0xb005ffd0,0x00ec4005,0x006aaa60,0x00000000,0x00000000,0xfff98000,
    0xffff9007,0xfffb009f,0x00003bff,0x003ffdc0,0xcb88fff6,0x3fea1bce,
    0x2ffd400e,0x3ee2ffdc,0x04ffb84f,0x00000000,0x00000000,0x00000000,
    0x26000000,0xf3007fff,0xb003ffff,0x00019fff,0x0fff7000,0x20009b00,
    0x997000ea,0x64199901,0x04cb80cc,0x00000000,0x00000000,0x00000000,
    0x4c000000,0x3a007fff,0xdb006fff,0x80000005,0x00001998,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7ffcc000,0x3ffee007,
    0x00001003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xca980000,0x3260009b,0x2666202c,
    0x99999999,0x19999999,0x26666662,0x99999999,0x26019999,0x26600acb,
    0x30cccc19,0x19998333,0x0000aa98,0x26660000,0x0ccccc19,0x4cc0cccc,
    0x8ffff119,0x376e1999,0xdddddddd,0x55555533,0x55555555,0x55555555,
    0x80000035,0xffffffd8,0x07ff5001,0x7fffffe4,0xffffffff,0xf91fffff,
    0xffffffff,0xffffffff,0xffd883ff,0xfff03fff,0x5fffe61f,0x3e67fff8,
    0x07fd87ff,0xcefffdb8,0xf8891001,0x7fdc3fff,0x3ffec0ff,0xff8afffc,
    0x9fffe27f,0xfffffffc,0xfff94fff,0xffffffff,0xffffffff,0x000dffff,
    0x7fffcc00,0x803fffff,0x3f202ff9,0xffffffff,0xffffffff,0xffff91ff,
    0xffffffff,0x3fffffff,0x7effffc4,0xffff84ff,0x22ffff30,0x3fe67fff,
    0x02ffc47f,0xffffffd3,0x2a017dff,0x2fffdc5f,0x6c4fffd8,0x5fff87ff,
    0x7c4ffff1,0x3fff27ff,0x4fffffff,0xfffffff9,0xffffffff,0xffffffff,
    0x7400000d,0xffb9cfff,0xf104c0ff,0x3ff2283f,0xffffffff,0xffffffff,
    0xfffff91f,0xffffffff,0x43ffffff,0x3f222ffd,0x87fffc2f,0xff17fff9,
    0x3fffccff,0x10fbffea,0xffffffff,0x57bfffff,0xff8bfff9,0x3ffa00ef,
    0x21fff60f,0xfff15fff,0x93fffc4f,0xffffffff,0x2aaa69ff,0xaaaaaaaa,
    0xaaaaaaaa,0x0001aaaa,0x01dff500,0x7fc4bff9,0xb89ff89c,0x333311fe,
    0x33333333,0x3fff5333,0x26666662,0x99999999,0x3e219999,0xf8bfd03f,
    0xfff30fff,0x99fffe2f,0x5cc47fff,0x3fe63ffe,0xffffeeff,0xffffffff,
    0x3ffee5ff,0x1fffc401,0xfff0fff9,0xf10ccccb,0x00000fff,0x00000000,
    0x40bff600,0x3fea7ff8,0xffdffdff,0x300004ff,0x00003fff,0x700ff980,
    0x0ffff8df,0x3e2ffff3,0x06f987ff,0xff99ffee,0x3ff6a20b,0xffffffff,
    0x00bffa2f,0x0003ffcc,0x00000000,0x00000000,0x007ff400,0x3b661ffd,
    0xffffffff,0x300002df,0x00003fff,0x500ff980,0x27fff8ff,0x3fe6fff8,
    0x884fb87f,0x3a66ffea,0xfffea801,0x2e20dfff,0x5dcc002b,0x00000000,
    0x00000000,0x7c000000,0x0ffec07f,0x57fffd44,0xf9800000,0x000001ff,
    0xfe81ffc4,0x3e37fec5,0x17ffa4ff,0x7ffe4bf6,0x0223ffff,0x13755100,
    0x00000000,0x00000000,0x00000000,0x03ffc000,0x7dc0bff6,0x00005fff,
    0x003fff30,0x3dfb0000,0x7e42ffa8,0xb1ffec5f,0x0ffb89ff,0x7ffffffb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7401ffd0,0xcffb80ff,
    0x00004ffb,0x001fff98,0xfff88000,0xa85fffce,0x17fe43ff,0x7fcc7ff9,
    0x0af32ea1,0x7777775c,0xeeeeeeee,0xeeeeeeee,0x0000004e,0x00000000,
    0x00000000,0x2ffd8000,0x3e61ffe0,0x07ffd0ff,0xfff98000,0xffffff91,
    0xffffffff,0x983fffff,0x0dfffffe,0x7dc2ff98,0x907fea0f,0x7fe40001,
    0xffffffff,0xffffffff,0x006fffff,0x00000000,0x00000000,0x80000000,
    0xff705ffb,0x4c7ffb0b,0x00000fff,0x7e47ffe6,0xffffffff,0xffffffff,
    0x9b9501ff,0x440cc803,0x0066444c,0x3bbae000,0xeeeeeeee,0xeeeeeeee,
    0x0004eeee,0x00000000,0x00000000,0xd0000000,0x3f665dff,0x90d901ff,
    0x9800001b,0xfff91fff,0xffffffff,0xffffffff,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x54000000,0xffffffff,0x0000004f,
    0x530ccc00,0x55555555,0x55555555,0x00000155,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffffe98,0x0000003f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x000bcdca,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_47_latin1_x[224]={ 0,3,1,0,1,2,1,1,2,2,1,2,3,1,
3,0,1,4,1,1,0,1,1,1,1,1,3,3,2,2,2,1,2,-1,3,2,3,3,3,2,3,3,1,3,
3,3,3,2,3,1,3,1,0,3,0,0,0,0,0,2,0,0,1,-1,1,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,1,0,2,0,0,0,0,0,1,3,0,1,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,2,0,1,-1,
3,1,1,0,0,2,2,1,0,-1,2,1,0,0,4,3,0,3,2,2,0,2,2,2,0,3,-1,-1,-1,-1,
-1,-1,0,2,3,3,3,3,1,2,-1,0,-1,3,2,2,2,2,2,3,1,3,3,3,3,0,3,3,1,1,
1,1,1,1,1,1,1,1,1,1,0,3,-1,0,1,2,1,1,1,1,1,1,2,2,2,2,2,0,2,0,
 };
static signed short stb__arial_47_latin1_y[224]={ 38,7,7,7,5,7,7,7,7,7,7,13,33,25,
33,7,7,7,7,7,7,8,7,8,7,7,16,16,12,16,12,7,7,7,7,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,43,7,15,7,15,7,15,7,15,7,7,
7,7,7,15,15,15,15,15,15,15,8,16,16,16,16,16,16,7,7,7,19,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,38,16,7,7,13,7,
7,7,7,7,7,17,16,25,7,3,7,12,7,7,7,16,7,21,37,7,7,17,7,7,7,16,0,0,0,1,
1,1,7,7,0,0,0,1,0,0,0,1,7,1,0,0,0,1,1,14,6,0,0,0,1,0,7,7,7,7,
7,8,7,6,15,15,7,7,7,7,7,7,7,7,7,8,7,7,7,8,7,14,14,7,7,7,7,7,7,7,
 };
static unsigned short stb__arial_47_latin1_w[224]={ 0,6,12,23,21,33,27,6,11,11,14,21,5,12,
6,12,21,12,21,21,22,21,21,21,21,21,6,5,21,21,21,21,40,30,23,27,26,23,21,29,24,5,17,25,
19,29,24,29,24,31,27,25,25,24,28,40,28,28,25,10,12,9,18,25,9,21,20,20,20,21,14,20,19,5,
9,19,5,31,19,21,20,20,13,19,12,19,21,31,21,21,21,13,5,13,22,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,6,20,23,21,25,
5,21,12,32,15,19,21,12,32,25,13,21,14,14,9,18,23,6,10,8,15,19,33,33,35,20,30,30,30,30,
30,30,40,27,23,23,23,23,8,9,14,12,30,24,29,29,29,29,29,19,31,24,24,24,24,28,24,22,21,21,
21,21,21,21,35,20,21,21,21,21,9,9,14,12,21,19,21,21,21,21,21,21,22,19,19,19,19,21,20,21,
 };
static unsigned short stb__arial_47_latin1_h[224]={ 0,31,12,32,38,33,32,12,40,40,14,21,11,4,
5,32,32,31,31,32,31,31,32,30,32,32,22,28,22,14,22,31,40,31,31,32,31,31,31,32,31,31,32,31,
31,31,31,32,31,34,31,32,31,32,31,31,31,31,31,40,32,40,17,4,7,24,32,24,32,24,31,32,31,31,
40,31,31,23,23,24,32,32,23,24,31,23,22,22,22,31,22,40,40,40,8,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,0,31,40,32,21,31,
40,40,5,32,16,20,14,4,32,3,12,26,16,17,7,31,40,5,10,16,16,20,33,33,33,31,38,38,38,37,
37,37,31,40,38,38,38,37,38,38,38,37,31,37,39,39,39,38,38,19,34,39,39,39,38,38,31,32,32,32,
32,31,32,33,24,32,32,32,32,32,31,31,31,31,32,30,32,32,32,31,32,18,26,32,32,32,32,40,40,40,
 };
static unsigned short stb__arial_47_latin1_s[224]={ 253,248,90,67,63,67,85,103,66,169,17,
52,110,197,190,238,153,241,147,22,1,125,104,91,185,207,1,245,234,54,30,
103,212,169,76,97,125,152,176,44,226,250,199,66,188,218,11,74,51,1,198,
159,219,229,42,1,190,161,135,152,238,35,178,210,160,217,34,1,76,42,173,
55,131,125,181,92,250,106,86,64,217,1,239,22,122,138,8,158,190,81,212,
21,15,1,127,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,
113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,113,253,244,191,
175,74,55,163,102,170,1,212,96,32,197,126,127,76,136,228,197,150,1,78,
183,116,243,1,116,137,33,101,20,210,32,1,115,171,60,200,124,85,109,133,
91,241,212,222,237,24,146,130,100,70,30,182,136,202,185,160,45,157,1,41,
193,216,1,113,151,43,234,181,135,156,178,200,222,208,1,36,112,45,71,21,
23,171,100,91,156,158,65,113,1,133,44,23,1, };
static unsigned short stb__arial_47_latin1_t[224]={ 1,359,504,196,83,161,229,504,1,1,504,
481,504,504,504,161,229,295,295,262,328,295,262,424,262,262,481,392,456,504,481,
328,1,295,392,295,327,327,327,262,327,42,229,360,359,359,392,262,392,161,327,
262,392,262,424,424,392,392,392,1,229,42,481,504,504,424,295,456,295,456,359,
295,359,359,1,360,83,456,456,456,229,262,424,456,392,456,481,456,456,328,456,
42,42,42,504,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,1,196,1,
229,481,328,1,1,504,295,481,481,504,504,262,513,504,424,481,481,504,360,1,
504,504,481,504,481,161,161,161,360,42,83,83,122,122,122,295,1,83,83,83,
122,42,83,83,83,328,122,42,42,42,122,83,481,122,42,42,42,83,122,360,
161,161,196,196,359,229,122,424,196,196,196,196,196,359,392,392,360,196,424,229,
196,161,392,196,481,424,229,229,229,229,1,1,1, };
static unsigned short stb__arial_47_latin1_a[224]={ 187,187,239,374,374,599,449,129,
224,224,262,393,187,224,187,187,374,374,374,374,374,374,374,374,
374,374,187,187,393,393,393,374,683,449,449,486,486,449,411,524,
486,187,337,449,374,561,486,524,449,524,486,449,411,486,449,635,
449,449,411,187,187,187,316,374,224,374,374,337,374,374,187,374,
374,150,150,337,150,561,374,374,374,374,224,337,187,374,337,486,
337,337,337,225,175,225,393,505,505,505,505,505,505,505,505,505,
505,505,505,505,505,505,505,505,505,505,505,505,505,505,505,505,
505,505,505,505,505,505,505,505,187,224,374,374,374,374,175,374,
224,496,249,374,393,224,496,372,269,369,224,224,224,388,362,187,
224,224,246,374,561,561,561,411,449,449,449,449,449,449,673,486,
449,449,449,449,187,187,187,187,486,486,524,524,524,524,524,393,
524,486,486,486,486,449,449,411,374,374,374,374,374,374,599,337,
374,374,374,374,187,187,187,187,374,374,374,374,374,374,374,369,
411,374,374,374,374,337,374,337, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_47_latin1_BITMAP_HEIGHT or STB_FONT_arial_47_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_47_latin1(stb_fontchar font[STB_FONT_arial_47_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_47_latin1_BITMAP_HEIGHT][STB_FONT_arial_47_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_47_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_47_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_47_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_47_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_47_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_47_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_47_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_47_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_47_latin1_s[i] + stb__arial_47_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_47_latin1_t[i] + stb__arial_47_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_47_latin1_x[i];
            font[i].y0 = stb__arial_47_latin1_y[i];
            font[i].x1 = stb__arial_47_latin1_x[i] + stb__arial_47_latin1_w[i];
            font[i].y1 = stb__arial_47_latin1_y[i] + stb__arial_47_latin1_h[i];
            font[i].advance_int = (stb__arial_47_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_47_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_47_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_47_latin1_s[i] + stb__arial_47_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_47_latin1_t[i] + stb__arial_47_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_47_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_47_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_47_latin1_x[i] + stb__arial_47_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_47_latin1_y[i] + stb__arial_47_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_47_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_47_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_47_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_47_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_47_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_47_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_47_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_47_latin1_LINE_SPACING
#endif

