// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_44_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_44_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_44_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_44_latin1_BITMAP_HEIGHT        492
#define STB_FONT_arial_bold_44_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_44_latin1_FIRST_CHAR            32
#define STB_FONT_arial_bold_44_latin1_NUM_CHARS            224

#define STB_FONT_arial_bold_44_latin1_LINE_SPACING          29

static unsigned int stb__arial_bold_44_latin1_pixels[]={
    0x88999950,0x9501cccc,0x20000199,0x01ccccc9,0x952ccc80,0x53000599,
    0x00013599,0x0332ea60,0x00199998,0xccaa9880,0x0000aacc,0x00aaf322,
    0x402ccca8,0x01accca9,0x33333330,0xcc980133,0x00002ccc,0x31ffff20,
    0x2605ffff,0x00004fff,0x009ffffd,0x325fff70,0xd7004fff,0xffffffff,
    0x3660007f,0x301fffff,0x001fffff,0x3ffff6a0,0xefffffff,0x7fc4000b,
    0xc801efff,0xfd304fff,0x5dffffff,0x7ffffc40,0xc802ffff,0x0006ffff,
    0x1ffff200,0x405ffff3,0x0001fffe,0x02ffffcc,0x327fff80,0x74404fff,
    0xffffffff,0x001effff,0x3fffffe6,0xffff301f,0x7e44001f,0xffffffff,
    0xffffffff,0xfff1000d,0xc805ffff,0xffb84fff,0xffffffff,0xffff105f,
    0x005fffff,0x00bffff6,0x7ffe4000,0x17fffcc7,0x00dfff50,0x05fffd80,
    0x47fff700,0x2e04fffc,0xffffffff,0xffffffff,0xffffb003,0x3e603fff,
    0x7000ffff,0xffffffff,0xfffffdff,0x007fffff,0xfffffff1,0x4fffc80d,
    0x7fffffcc,0x3fffffff,0xffffff88,0x36002fff,0x00006fff,0x98ffff90,
    0x7c02ffff,0x30003fff,0x0001dfff,0x641ffff1,0xff904fff,0xffffffff,
    0xffffffff,0xffff9803,0xf301ffff,0x8801ffff,0xcffffffd,0x5d4c409a,
    0x05fffffd,0x7fffffc4,0x3ff202ff,0x7ffff44f,0xffffdbef,0x7ffc41ff,
    0x02ffffff,0x07fffa20,0x00000000,0x037ffe40,0x00effd80,0x8bfff900,
    0xf984fffc,0xbcffffff,0xffffeb99,0x3ea00fff,0x9801ffff,0x200eeeee,
    0x2dffffe9,0xfffd5000,0x3fa6009f,0x3f204fff,0x7fffc4ff,0x7fffc44f,
    0x7fffc43f,0xfe880007,0x0000005f,0xfff30000,0x0000005f,0x0bfffe20,
    0xfd09fff9,0x401dffff,0x3ffffffb,0x13fffee0,0xffe80000,0x700002ff,
    0x2005ffff,0x205ffffa,0x3e64fffc,0xfc82ffff,0x7fc45fff,0x100007ff,
    0x00000333,0x7fc00000,0x000005ff,0x1ffff900,0x544fffc8,0x005fffff,
    0x0dfffff7,0x017fffe4,0xfffc8000,0x4c00001e,0x9800ffff,0x3205ffff,
    0x7ffc4fff,0x019885ff,0x01ffffe2,0x00133333,0x00ccccc4,0x0155554c,
    0x0aaaaa88,0x41ffffc8,0x002aaaa9,0x41555551,0xc85ffff8,0x7ffc4fff,
    0x3a000fff,0x900dffff,0x2005ffff,0x502aaaa8,0x4c01dfff,0x2a61bddb,
    0xfff90aaa,0xffff3009,0x27ffe40b,0x13fffffa,0x3fffe200,0x3fffe207,
    0x3fea003f,0x7d401fff,0xc802ffff,0xf506ffff,0xffa89fff,0xfc802fff,
    0x7fd46fff,0xfffc83ff,0x3ffffe64,0x0ded4004,0x17fffe40,0xfffff980,
    0x07fffc40,0xffffffc8,0x3ffffd3f,0x2007fff4,0x206ffff8,0x7cc4fffc,
    0x01efffff,0x1ffffe20,0x3fffff88,0x3fffea00,0xffff801f,0xffff804f,
    0xffff104f,0x9fffff0d,0x9fffff00,0x81ffffc8,0x3ee4fffc,0x0001ffff,
    0x7fffe400,0xffff3001,0x3fffc81f,0xffffffb0,0xffff9fff,0x03fff88f,
    0x037fffc4,0xf909fff9,0x09ffffff,0x1ffffe20,0x3fffff88,0x3fffea00,
    0xfffc801f,0x7ffcc07f,0x3ffe01ff,0x7ffe40ff,0x7ffcc07f,0x7fffc1ff,
    0x49fff907,0x00fffffc,0x7fec0000,0xff3001ff,0xfff81fff,0xfffffb06,
    0xffffffbf,0xbffd0dff,0x6ffff880,0x113fff20,0xfffffffd,0xff8803df,
    0x3fe207ff,0x2a003fff,0x801fffff,0x02fffff9,0x01bffff2,0x985ffffd,
    0x202fffff,0x4c6ffffc,0xf907ffff,0x7ffec9ff,0x8000007f,0x000ffffd,
    0x41fffff3,0xfd81fffa,0x3222dfff,0x84ffffff,0xff806ffd,0x3ff207ff,
    0x3fffa24f,0xffffffff,0x3fffe204,0x3fffe207,0x3fea003f,0xfd001fff,
    0x7fc09fff,0x7ec03fff,0xffe84fff,0x3ffe04ff,0x7ffdc3ff,0x9fff906f,
    0x037ffff4,0x7ffc0000,0x3fe6007f,0x3ff60fff,0x6ffffb87,0x3fffffa0,
    0x807ffb82,0x900fffff,0x7ff49fff,0xffffecff,0xf880efff,0x3e207fff,
    0x2003ffff,0x01fffffa,0x0fffff70,0x03ffffe6,0x0bffff90,0x20fffff7,
    0x40fffff9,0x905ffffc,0x7ffc9fff,0x000005ff,0x037fffd4,0x1fffff30,
    0x3a13ffe2,0x2a01ffff,0x981fffff,0x7e400fff,0xff904fff,0x3fffe69f,
    0x3fffff24,0x7fc40eff,0x3fe207ff,0x2a003fff,0x001fffff,0x05fffff1,
    0x00bffff9,0x10dffff7,0x905fffff,0xf90bffff,0x32a09fff,0xffff12cc,
    0x400000df,0x04fffff9,0x3ffffe60,0xa83fff30,0x4c05ffff,0xf507ffff,
    0xff9801ff,0xffc82fff,0x1ffff74f,0xffffffa8,0x7fffc46f,0x3fffe207,
    0x3fea003f,0x36001fff,0xfe84ffff,0xfa802fff,0xffb06fff,0xfffd09ff,
    0xffffb05f,0xffff0007,0x700000df,0x1ffffffb,0x7fffcc00,0xd0fff50f,
    0x9801ffff,0xf905ffff,0x3ffa00ff,0x3f24ffff,0xffffb4ff,0xffffb103,
    0x7ffc49ff,0x3ffe207f,0x3ea003ff,0x2001ffff,0x4c7ffffa,0x3007ffff,
    0x2a0fffff,0x7cc7ffff,0xffd07fff,0xfb0005ff,0x0000ffff,0xffffffd0,
    0xfff98005,0x8fff70ff,0x807ffff8,0xd04ffffa,0x3a600dff,0x327fffff,
    0xfffb4fff,0x7ffdc09f,0x3ffe27ff,0x3ffe207f,0x3ea003ff,0x4001ffff,
    0x322fffff,0x1004ffff,0x7c0fffff,0x3f22ffff,0xffd04fff,0xf90003ff,
    0x0001ffff,0x7ffff401,0xff98001f,0xdffb0fff,0x05ffff98,0x02ffffc8,
    0x4400bfff,0x327ffffe,0xfff54fff,0x7fd405ff,0xfff11fff,0x7ffc40ff,
    0x3ea003ff,0x4001ffff,0x3a4ffffc,0x1001ffff,0x640fffff,0x3fa4ffff,
    0xffd01fff,0xf70003ff,0x8005ffff,0x7f41befa,0x8004ffff,0xb0fffff9,
    0xfffa8bff,0xfffd804f,0x3fff980f,0x3fffee00,0x53fff27f,0x3ffffff8,
    0x4fffff20,0x207ffff8,0x03fffff8,0x3ffffea0,0x7ffcc001,0xdffff37f,
    0x7fffcc00,0x3fffe605,0x0dffff37,0x017fffec,0x7ffffd40,0x7ffec005,
    0xffffd1ef,0xf98009ff,0xffb0ffff,0x3ffffb8b,0x3ffffc40,0x000fffd8,
    0xfffffff7,0xfb27ffe4,0x01bfffff,0x225ffff3,0x2207ffff,0x003fffff,
    0x07ffffea,0x3ffffa00,0x03ffffc9,0x13fffe60,0x93ffffd0,0x6c07ffff,
    0x8003ffff,0x1ffffff8,0xfffff300,0x7fff5ccf,0x3e6001ff,0xff90ffff,
    0x3ffffb8d,0x2ffffdc0,0x8027ffe4,0xaefffff8,0x993fff21,0xffffffff,
    0x13fffdc3,0x440fffff,0x003fffff,0x07ffffea,0x3fffee00,0x00ffffec,
    0x0ffffea0,0xd9ffff70,0x6401ffff,0xf903ffff,0xfffa89ff,0xfe800eff,
    0xfd03ffff,0x4c00bfff,0xf70fffff,0xffffa8ff,0x3fffe204,0x7fffd43f,
    0xffff7000,0x9fff901d,0xffffff98,0xfff88dff,0x3fffe25f,0x3fffe207,
    0x3fea003f,0x88001fff,0xffffffff,0x7fd4006f,0x7fc402ff,0x6fffffff,
    0x27fffdc0,0xd84fffc8,0x01efffff,0xffffffd3,0x3fffe601,0x3ffe6006,
    0x1fff50ff,0x037fffcc,0x45fffff9,0x003ffff9,0x40bffff6,0xe884fffc,
    0xffffffff,0x221ffffe,0x2207ffff,0x003fffff,0x07ffffea,0x7fffec00,
    0x4003ffff,0x801ffffc,0xfffffffd,0x7ffcc03f,0x9fff905f,0xffffff30,
    0xffb759df,0x809fffff,0x2007fffe,0x30fffff9,0xffe87fff,0x7fe40cff,
    0xfc8affff,0x74004fff,0xf900ffff,0x7fe409ff,0xffffffff,0x7fffc41f,
    0x3fffe207,0x3fea003f,0x50001fff,0xffffffff,0xfffd8001,0xffff5007,
    0xf001ffff,0x3f20dfff,0xfff904ff,0xffffffff,0x0bffffff,0x01ffffb0,
    0x3ffffe60,0xf31bffa0,0xfbbfffff,0xffffffff,0x007fffff,0x40fffff0,
    0x4c04fffc,0xfffffffe,0xffff881f,0x3fffe207,0x3fea003f,0x20001fff,
    0x5fffffff,0x6ffff800,0x3ffffe00,0xffb005ff,0xfff901ff,0x7fffd409,
    0xffffffff,0xfb006fff,0x26003fff,0x2e0fffff,0x7fe42fff,0xffffffff,
    0xffffffff,0xf88002ff,0x3f206fff,0xfc8804ff,0x84ffffff,0x407ffff8,
    0x004fffff,0x07ffffee,0xffffc800,0x7c4002ff,0x32004fff,0x02ffffff,
    0x05ffff70,0x8809fff9,0xfffffffd,0x00cfffff,0x03ffff90,0x3ffffe60,
    0x21bffe20,0xfffffffb,0xfffffb8e,0x10001eff,0x640dffff,0x26004fff,
    0x2ffffffe,0x03ffffc4,0x017ffffe,0x0fffffc8,0x3ffe6000,0xfa8007ff,
    0x26001fff,0x007fffff,0x213fffe6,0x7004fffc,0xffffffdb,0xfc80019f,
    0xf3002fff,0xfd81ffff,0xfdc984ff,0x6fedc3ce,0x555500ab,0x2ffffc40,
    0x009fff90,0xdfffff90,0x07ffff88,0x07fffff4,0x7ffffe80,0x7ffc4000,
    0xfd8004ff,0x7c4006ff,0x4004ffff,0xfc86fffe,0x5cc004ff,0x0001dffe,
    0x00bffff2,0x07ffffd4,0x00ffffe2,0x3ff60000,0x3ffe604f,0x3fff205f,
    0x32013104,0x220fffff,0x6c07ffff,0x805fffff,0x06fffffa,0x7fffe400,
    0xfff8001f,0x7fe4003f,0x54001fff,0x7e40ffff,0x7f4004ff,0x001fffff,
    0x07ffff90,0x1ffffea0,0x027fffcc,0xfffb0000,0x7ffcc01d,0x3fff205f,
    0x1bfffae4,0x0fffffc4,0x80fffff1,0x3ffffffa,0x3ffffe60,0x3e20003f,
    0x8006ffff,0x000ffff9,0x1bffffe2,0x17fffc00,0x8013fff2,0xfffcaac8,
    0xfff70005,0x3ff600bf,0x3fee07ff,0x00002eff,0x07ffffaa,0x09ffff70,
    0xf527ffe4,0xf305ffff,0x7c41ffff,0xfe807fff,0xbcefffff,0xfffffdca,
    0x4462007f,0x2ffffffa,0x5fffc800,0x7fd44620,0x0002ffff,0xfc8bfff9,
    0x5c0004ff,0xa8001fff,0xaadfffff,0x3ffffb60,0x7fe406ff,0x000bdfff,
    0xffffeb88,0xff95502f,0x7e407fff,0x3ffe24ff,0xfb30beff,0xff88ffff,
    0x0aaaafff,0x7fffffd4,0xffffffff,0x2003ffff,0xfffffffa,0xff0006ff,
    0x7fd403ff,0x6fffffff,0x3ffe2000,0x13fff20f,0x3fff9000,0xffff1000,
    0x3e23ffff,0x4fffffff,0xffffea80,0x9aacceff,0xffecbaa9,0x100effff,
    0xffffffff,0x27ffe403,0x3ffffff2,0xffffffff,0x7ffffc44,0xfb82ffff,
    0xffffffff,0xdfffffff,0x3ffe6000,0x02ffffff,0x04fffa80,0x7fffffcc,
    0x40002fff,0x3f23fffb,0x557004ff,0x0dfffb75,0x7fffe400,0xfff51fff,
    0x001fffff,0x3fffff22,0xffffffff,0xffffffff,0x7ffc404f,0x6405ffff,
    0xffd84fff,0xffffffff,0xfff886ff,0x02ffffff,0xffffffd3,0x7fffffff,
    0xffff1000,0x0007ffff,0x1003fffa,0xffffffff,0x3fa00007,0x13fff27f,
    0x7fffffc0,0x20000eff,0xffffffe8,0xffffff71,0xd730005f,0xffffffff,
    0xffffffff,0xff10017d,0x803dffff,0xd884fffc,0xffffffff,0xff880dff,
    0x2fffffff,0x3fffb220,0x0dffffff,0x3fffe000,0x50001dff,0x3e007fff,
    0x01dfffff,0x3ffea000,0x009fff92,0x37bfffba,0x3aa00002,0xff91ffff,
    0x00059dff,0xfffdb710,0x7bdfffff,0xfff88003,0xff9003ff,0x7fecc09f,
    0x202dffff,0xfffffff8,0x531002ff,0x00035555,0x0004cc40,0x000ccc40,
    0x00002662,0x31099980,0x00000133,0x0cc40000,0x000004cc,0x00199880,
    0x00026600,0x80026662,0x00000099,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x99999999,0x66540001,0x00001ccc,0x0f333322,0xa9800000,0x10002aaa,
    0x00033333,0x33331000,0x33333333,0x55440013,0x000002aa,0x00999997,
    0x20000000,0x02ccccc9,0xfff98000,0x01ffffff,0x3ffffa00,0xfa800004,
    0x0001ffff,0xfffe8800,0xfa8002ff,0x00007fff,0xfffffb30,0xffffffff,
    0x7f400bff,0x0003ffff,0x7ffffcc0,0x32000002,0xff90002d,0x00000fff,
    0xfffffff3,0x2a0003ff,0x0005ffff,0x3fffee00,0xd8000004,0x0fffffff,
    0x7fffd400,0x74c00007,0xffffffff,0xffffffff,0xfff9005f,0x0001ffff,
    0x17fffec0,0x3fe00000,0x3ff20004,0x400002ff,0xfffffff9,0xfd0001ff,
    0x00000bff,0x01ffff70,0x7fd40000,0x05fffdef,0x3ffffd40,0xffd10000,
    0xffffffff,0xffffffff,0xffff500b,0x000dfffb,0x0ffffe20,0xff300000,
    0xffd80003,0x4c00006f,0xffffffff,0xffa8001f,0x0000006f,0x0013fff2,
    0x7fffc400,0x03fffe89,0x1ffffea0,0xfffd8000,0xffffffff,0xffffffff,
    0x7fffc405,0x007fffd2,0x09fff900,0xff900000,0x3ff60000,0x4000002f,
    0x001ffffe,0x000effd8,0x7fe40000,0xe800000f,0x3fe63fff,0xff5000ff,
    0x20000fff,0xfffffffa,0xfeeeffff,0x404eefff,0x3e24fffd,0x20001fff,
    0x0004fff8,0x00bfd000,0x1bffa200,0xffd00000,0x330003ff,0x00000013,
    0x00006660,0x440cccc0,0xf5000999,0x0000ffff,0x3fffffee,0x3e1fffff,
    0x33003fff,0x13331033,0x0ccc4000,0xf8800000,0x2200002f,0x00000199,
    0x00fffff4,0x4de5d440,0x44000000,0x0009bcba,0x65d44000,0xfa80009b,
    0x00007fff,0xfffffffb,0x7fc3ffff,0x999983ff,0x26620009,0x4cccc199,
    0x26620009,0x2e000199,0x980000ff,0x00019999,0x7ffff400,0xffdc8801,
    0xefffffff,0xdc880002,0xffffffff,0x880002ef,0xffffffdc,0x5002efff,
    0xca8fffff,0x7c00acdd,0xffffffff,0x3ffe1fff,0x7fffc43f,0x3fea003f,
    0xfff11fff,0x7d4007ff,0x4401ffff,0x6ffeedba,0xfff98000,0x00001fff,
    0x07ffffa0,0xffffff50,0xffffffff,0x3ea0001b,0xffffffff,0x00dfffff,
    0xfffff500,0xffffffff,0xffa801bf,0xfffd17ff,0x7c05ffff,0xffffffff,
    0x3ffe1fff,0x7fffc43f,0x3fea003f,0xfff11fff,0x7d4007ff,0x3201ffff,
    0xffffffff,0x7e40004f,0x004fffff,0x3fffa000,0x3fff201f,0xffffffff,
    0x02ffffff,0x7ffffe40,0xffffffff,0x4002ffff,0xfffffffc,0xffffffff,
    0x3fea02ff,0xffffafff,0x04ffffff,0xfffffffb,0x7fc3ffff,0x7ffc43ff,
    0x3ea003ff,0xff11ffff,0x54007fff,0x981fffff,0xfffffffe,0x001effff,
    0xffffff88,0x000000ff,0x203ffffd,0xfffffffd,0xffffffff,0xb003ffff,
    0xffffffff,0xffffffff,0x36007fff,0xffffffff,0xffffffff,0xff503fff,
    0xffffffff,0x7fffffff,0xffffff90,0x7c3fffff,0x7fc43fff,0x2a003fff,
    0xf11fffff,0x4007ffff,0x41fffffa,0xfffffff8,0xffffffff,0x7ffdc000,
    0x003fffff,0xffffd000,0xfffff503,0x95359bff,0xfffffffd,0xffffa801,
    0xa9acdfff,0xffffffec,0x7ffd400f,0x9acdffff,0xfffffeca,0xfffa80ff,
    0xb9beffff,0x0ffffffd,0x7fffffc4,0x3e1fffff,0x7fc43fff,0x2a003fff,
    0xf11fffff,0x4007ffff,0x41fffffa,0xcefffffc,0xfffffffa,0x7fff4003,
    0x006fffff,0xffffd000,0xfffff883,0x7fdc02ff,0x2205ffff,0x2fffffff,
    0x7ffffdc0,0x3ffe205f,0x5c02ffff,0x85ffffff,0x4ffffffa,0x9fffff90,
    0xffffff70,0x7fc3ffff,0x7ffc43ff,0x3ea003ff,0xff11ffff,0x54007fff,
    0x261fffff,0x265fffff,0xfffffeff,0xffff3000,0x03ffffff,0xfffd0000,
    0xffffd83f,0xff3000ef,0x3603ffff,0x00efffff,0xffffff30,0x3ffff603,
    0xff3000ef,0xfa83ffff,0x7406ffff,0xf907ffff,0xffffffff,0x21ffffc3,
    0x03fffff8,0x3ffffea0,0x7fffff11,0x7fffd400,0x3ffff61f,0x7fcffe47,
    0xf9001eff,0xffffdfff,0xd000009f,0x7c43ffff,0x001fffff,0x37ffffdc,
    0x7fffffc4,0x7ffdc001,0xfff886ff,0x5c001fff,0x546fffff,0x403fffff,
    0x00fffffa,0xfffffff5,0x1ffffc3f,0x0fffffe2,0xfffffa80,0x7fffff11,
    0x7fffd400,0x3ffffa1f,0x1aba7f43,0xfffff800,0x0fffffcb,0x7ff40000,
    0x3ffee1ff,0xfd0005ff,0xfb83ffff,0x0005ffff,0x83fffffd,0x05fffffb,
    0xfffffd00,0x7ffffd43,0x7fffc401,0x7ed4401f,0x3ffe1fff,0x7fffc43f,
    0x3fea003f,0xfff11fff,0x7d4007ff,0x3fe1ffff,0x3fe22fff,0x7fd40002,
    0xfff98fff,0x400003ff,0x361ffffe,0x001fffff,0x5fffff70,0x1fffffd8,
    0xffff7000,0xffffd85f,0xff70001f,0x7fd45fff,0xff800fff,0xf7002fff,
    0x7ffc3fff,0x7fffc43f,0x3fea003f,0xfff11fff,0x7d4007ff,0xff11ffff,
    0x7fdc3fff,0x7fec0000,0x3fffa5ff,0x7400006f,0x3fe1ffff,0x20007fff,
    0x43fffff9,0x007fffff,0x3ffffe60,0x3fffffc3,0xffff3000,0x7fffd47f,
    0xfffff007,0x3ffee007,0x0ffffe1f,0x07fffff1,0x7ffffd40,0x7fffff11,
    0x7fffd400,0xfffff51f,0x0002fec1,0x8bffffe2,0x01fffffb,0x3fffa000,
    0xfffff11f,0x7fc4000d,0x3fe25fff,0x20006fff,0x25fffff8,0x06fffff8,
    0x3fffe200,0x3fffea5f,0xffff800f,0xfff7003f,0x1ffffc3f,0x0fffffe2,
    0xfffffa80,0x7fffff11,0x7fffd400,0xfffff31f,0x000ffe23,0x1fffff70,
    0x27ffffc4,0xfffd0000,0x3fffe23f,0x7fc0005f,0x3fe26fff,0x40005fff,
    0x226fffff,0x005fffff,0x37ffffc0,0x03fffff5,0x2fffff88,0x3ffff700,
    0x221ffffc,0x003fffff,0x47ffffea,0x03fffff8,0x3ffffea0,0x5fffff31,
    0x00003fea,0xd0bffffd,0x001fffff,0x3ffffa00,0x9fffff31,0xfffe8000,
    0x3fffe67f,0x7f40004f,0x3fe67fff,0x40004fff,0x2a7ffffe,0x403fffff,
    0x01fffff9,0x43ffff70,0x7c43ffff,0x2003ffff,0x11fffffa,0x007fffff,
    0x8fffffd4,0x93fffff8,0x0abcb8df,0x7ffffcc0,0xfffffb82,0xffd00003,
    0x3ffe63ff,0x740004ff,0x3e67ffff,0x0004ffff,0x33fffff4,0x009fffff,
    0x7ffffe80,0x1bffffea,0x1fffff90,0x3fffee00,0x10ffffe1,0x007fffff,
    0x8fffffd4,0x03fffff8,0x3ffffea0,0x5bffffa1,0x3ffe24ff,0x3ff605ff,
    0xfff107ff,0x20000dff,0xf11ffffe,0x000bffff,0x26fffff8,0x05fffff8,
    0x7ffffc00,0x3ffffe26,0x7ffc0005,0x3ffea6ff,0xff103fff,0x5c00dfff,
    0x3fe1ffff,0x7ffc43ff,0x3ea003ff,0xff11ffff,0x54007fff,0x2e1fffff,
    0xffdfffff,0x3ffffee1,0xfffff102,0x7fffec09,0xfe80001f,0x3ffe1fff,
    0x220006ff,0x7c4fffff,0x0006ffff,0x13ffffe2,0x00dfffff,0x7ffffc40,
    0x3ffffea4,0x3fea0cff,0x2001ffff,0x3e1ffffb,0x7fc43fff,0x2a003fff,
    0xf11fffff,0x4007ffff,0x21fffffa,0xfffffff8,0xfffff937,0x7fffdc0f,
    0x999999bf,0x04fffffb,0xffffe800,0x1fffff61,0xffff9800,0x7fffec3f,
    0x3fe60007,0x7fec3fff,0x260007ff,0x2a3fffff,0xffffffff,0xffffffef,
    0x7fdc005f,0x3fffe1ff,0x7ffffc43,0x3ffea003,0xffff11ff,0x7fd4007f,
    0x7fdc1fff,0xffffffff,0x203fffff,0xfffffffe,0xffffffff,0x0000ffff,
    0x90fffff4,0x005fffff,0x3fffff20,0x7ffffe42,0xfff90002,0xfffc85ff,
    0xf90002ff,0x7d45ffff,0xfffeffff,0xffffffff,0x7ffdc000,0x0ffffe1f,
    0x013ffffe,0x1fffffb8,0x013ffffe,0x1fffffb8,0xffffffd8,0x4fffffff,
    0x3ffffe60,0xffffffff,0x3fffffff,0x7fff4000,0x3fffee1f,0xff88006f,
    0x7dc1ffff,0x8006ffff,0x1ffffff8,0x37ffffdc,0x7fffc400,0x3ffea1ff,
    0xffffc8ff,0x000effff,0x21ffffb8,0xff83ffff,0x32005fff,0x3e0fffff,
    0x2005ffff,0x00fffffc,0xfffffff9,0xc809ffff,0xffffffff,0xffffffff,
    0x0006ffff,0x10fffff4,0x07ffffff,0xfffffc80,0xfffff886,0x7fe4003f,
    0xff886fff,0x4003ffff,0x46fffffc,0x2a7ffffa,0x04fffffe,0x3fffee00,
    0x20ffffe1,0x00fffffe,0x8fffffd0,0x00fffffe,0x0fffffd0,0xffffff98,
    0xff801dff,0xffffffff,0xffffffff,0x0001ffff,0x707ffffa,0x05ffffff,
    0x3ffffee0,0xffff701f,0x3ee005ff,0x701fffff,0x05ffffff,0x3ffffee0,
    0x7fffd41f,0x000aa887,0x1ffffb80,0x360ffffe,0x805fffff,0x46fffffa,
    0x05fffffd,0x6fffffa8,0x5567fc40,0x3fea001a,0xccccdfff,0xfdcccccc,
    0x0005ffff,0x207ffffa,0x4ffffffe,0x3ffff620,0x7ff404ff,0x2204ffff,
    0x4ffffffd,0x7fffff40,0x3ff6204f,0xfa84ffff,0x00007fff,0x1ffffb80,
    0x2a0ffffe,0x03ffffff,0x3fffffe6,0x7ffffd43,0x3ffe603f,0x7d403fff,
    0x3f60000f,0xf8007fff,0x000fffff,0x03ffffd0,0xfffffff3,0xffd959bf,
    0x01ffffff,0xffffff98,0xfecacdff,0x0fffffff,0x7ffffcc0,0xecacdfff,
    0xffffffff,0x7ffffa80,0xfb800000,0x3ffe1fff,0xffffd03f,0xb9579dff,
    0x0fffffff,0x3ffffffa,0xffdcabce,0xd807ffff,0x3e20006f,0x8004ffff,
    0x03fffffc,0xfeaaaa88,0xff901fff,0xffffffff,0xffffffff,0x3ff2005f,
    0xffffffff,0xffffffff,0xfff9002f,0xffffffff,0xffffffff,0x3fffea05,
    0xb8000007,0x3fe1ffff,0xfff503ff,0xffffffff,0x7fffffff,0x3ffffea0,
    0xffffffff,0x803fffff,0x2e0003ff,0x002fffff,0x6fffff98,0xfffff980,
    0x2a01ffff,0xffffffff,0xffffffff,0x7fd4001e,0xffffffff,0x1effffff,
    0x7fffd400,0xffffffff,0x201effff,0x007ffffa,0xfffb8000,0x0ffffe1f,
    0xffffffb8,0xffffffff,0x3ee00dff,0xffffffff,0xdfffffff,0x00ffcc00,
    0xfffffd00,0x7fff4000,0x7fcc01ff,0x1fffffff,0x7fffec40,0xffffffff,
    0x3620003f,0xffffffff,0x003fffff,0x3ffff620,0xffffffff,0xfffa803f,
    0x8000007f,0x3e1ffffb,0x74c03fff,0xffffffff,0x003fffff,0xffffffd3,
    0x7fffffff,0x001ff200,0x4fffffa8,0x3ffee000,0x7fcc05ff,0x1fffffff,
    0xfffd9500,0x039bffff,0x3fb2a000,0xcdffffff,0xd9500001,0xbfffffff,
    0x3fea0039,0x000007ff,0x21ffffb8,0x8803ffff,0xffffffec,0x4000dfff,
    0xfffffec8,0x000dffff,0xd80013fa,0x001fffff,0x3ffffe20,0x3ffe600f,
    0x01ffffff,0x01355100,0x2a200000,0x0000009a,0x00135510,0x1bbbba60,
    0x3aa00000,0x3bba0eee,0x54c4002e,0x0001aaaa,0x55555310,0x06e60003,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xa9800000,0x00001aaa,0x33332e00,
    0xcb80000c,0x00004ccc,0x33333260,0x554c0002,0xc98001aa,0x32e1cccc,
    0x51004ccc,0xaaa81555,0x5c40001a,0x0059901c,0x02aaaaa0,0x2aaaa200,
    0x00d55540,0x7ffcc000,0x00000fff,0xfffff880,0xff300002,0x00005fff,
    0x17ffff60,0xffff3000,0xfd8003ff,0x7fcc5fff,0xfa802fff,0x7ffc1fff,
    0x3f20004f,0xf71befff,0xff70007f,0x5000dfff,0x7c43ffff,0x00003fff,
    0xffffffe8,0xc8000006,0x0003ffff,0x37fffcc0,0x7fcc0000,0x40000eff,
    0x6ffffffe,0x3fffe600,0xdffff306,0x3ffff500,0x004ffff8,0xffffff10,
    0x03ffffff,0xfffff980,0x7d4004ff,0x3fe21fff,0x400003ff,0xffedfffc,
    0x2000003f,0x004ffff8,0xffff5000,0xfc800005,0x40000eff,0xffedfffc,
    0xfffb004f,0x7ffd401d,0x7ffd401f,0x27fffc1f,0xdeffa800,0x6fffffff,
    0xcfffe800,0x2001ffff,0x221ffffa,0x0003ffff,0x23fffea0,0x001ffff9,
    0x9fff7000,0xfa800000,0x200005ff,0x000ffff8,0x47fffcc0,0x401ffff9,
    0x800efff8,0x5405fffb,0x7fc1ffff,0xf90004ff,0xcffec98f,0x7ffe4000,
    0x01ffff75,0x87fffea0,0x003ffff8,0x3ffff100,0x0037ffdc,0x05fff800,
    0xff700000,0x3200003f,0x40001fff,0x2a2ffff8,0x3200efff,0x2e000fff,
    0x26200fff,0x99998199,0x01310000,0x7cc00044,0x3ff20fff,0x3331005f,
    0x01333303,0x26662000,0x00999980,0x01998000,0x4c400000,0x31000009,
    0x31000013,0x33330133,0x004cc401,0x3304ccc0,0x44001333,0x00019999,
    0x01379751,0x01333100,0x20003333,0x009bcba8,0x99980000,0x00000199,
    0x01999998,0x26666600,0x99999999,0x09999999,0x4ccccccc,0x99999999,
    0x4c099999,0x99999999,0x99999999,0x4ccc0999,0x4ccc0099,0xffff1099,
    0x7fd4007f,0xc8801fff,0xfffffffd,0x30002eff,0x00013333,0xfffffb91,
    0x005dffff,0xffff3000,0x000003ff,0x7fffffcc,0xfff88001,0xffffffff,
    0xffffffff,0x3fffe25f,0xffffffff,0xffffffff,0x3ffffe25,0xffffffff,
    0x5fffffff,0x0bffffe6,0x2fffff98,0x07fffff1,0x7ffffd40,0x7fffd401,
    0xffffffff,0x26000dff,0x002fffff,0x7fffffd4,0xffffffff,0x3200000d,
    0x04ffffff,0x3ff20000,0x8004ffff,0xfffffff8,0xffffffff,0x225fffff,
    0xffffffff,0xffffffff,0x3e25ffff,0xffffffff,0xffffffff,0x3fe65fff,
    0x3e602fff,0xff12ffff,0x54007fff,0x201fffff,0xfffffffc,0xffffffff,
    0xff3002ff,0x64005fff,0xffffffff,0xffffffff,0xf880002f,0x0fffffff,
    0xff880000,0x00ffffff,0x7ffffc40,0xffffffff,0x5fffffff,0x3fffffe2,
    0xffffffff,0x25ffffff,0xfffffff8,0xffffffff,0x265fffff,0x202fffff,
    0x12fffff9,0x007fffff,0x0fffffd4,0xffffffd8,0xffffffff,0x803fffff,
    0x02fffff9,0xffffffb0,0xffffffff,0x007fffff,0xfffffb80,0x00003fff,
    0xffffffb8,0x7c4003ff,0xffffffff,0xffffffff,0x3fe25fff,0xffffffff,
    0xffffffff,0x3ffe25ff,0xffffffff,0xffffffff,0x3fffe65f,0x3ffe602f,
    0xffff12ff,0x7fd4007f,0xffa81fff,0xacdfffff,0xffffeca9,0x7cc00fff,
    0xa802ffff,0xdfffffff,0xffeca9ac,0x000fffff,0x3fffffa0,0x00006fff,
    0xffffffe8,0x7c4006ff,0xccceffff,0xcccccccc,0x3fe23ccc,0xccccefff,
    0xcccccccc,0x3ffe23cc,0xccccceff,0xcccccccc,0x3fffe63c,0x3ffe602f,
    0xffff12ff,0x7fd4007f,0x7fc41fff,0x402fffff,0x5ffffffb,0x7ffffcc0,
    0x7fffc402,0x7dc02fff,0x005fffff,0xffffff30,0x0003ffff,0x7ffffcc0,
    0x001fffff,0x13ffffe2,0x7ffc4000,0x100004ff,0x009fffff,0x3fffe600,
    0x3ffe602f,0xffff12ff,0x7fd4007f,0x7fec1fff,0x3000efff,0x03ffffff,
    0x17ffffcc,0x3fffff60,0xfff3000e,0x90003fff,0xfffdffff,0x400009ff,
    0xffeffffc,0x22004fff,0x004fffff,0xfffff100,0x3e200009,0x0004ffff,
    0x5fffff30,0x7ffffcc0,0x7fffff12,0x7fffd400,0x3fffe21f,0x7dc001ff,
    0x2606ffff,0x202fffff,0x1ffffff8,0x7fffdc00,0xfff8006f,0xffffcbff,
    0xff00000f,0xfff97fff,0x3e2001ff,0x0004ffff,0x9fffff10,0x3fe20000,
    0x00004fff,0x05fffff3,0x97ffffcc,0x03fffff8,0x3ffffea0,0x3ffffee1,
    0xfffd0005,0x3fe603ff,0x3ee02fff,0x0005ffff,0x03fffffd,0x7ffffd40,
    0x3fffff98,0xfffa8000,0xffff98ff,0xfff1003f,0x200009ff,0x04fffff8,
    0xffff1000,0x2600009f,0x202fffff,0x12fffff9,0x007fffff,0x0fffffd4,
    0x03fffffb,0x3fffee00,0xffff302f,0x7ffec05f,0xf70001ff,0x4005ffff,
    0x3a5ffffd,0x0006ffff,0x25ffffd8,0x006ffffe,0x09fffff1,0x3ffe2000,
    0x100004ff,0x009fffff,0x3fffe600,0x3ffe602f,0xffff12ff,0x7fd4007f,
    0x3ffe1fff,0x260007ff,0x303fffff,0x405fffff,0x007fffff,0x3ffffe60,
    0xffff1003,0x7fffdc5f,0x3e20001f,0x3ee2ffff,0x8801ffff,0x99cfffff,
    0x99999999,0x7fc40999,0x9999cfff,0x99999999,0x7fffc409,0x999999cf,
    0x09999999,0x17ffffcc,0x5fffff30,0x0fffffe2,0xfffffa80,0xdfffff11,
    0x7ffc4000,0xfff305ff,0x3fe205ff,0x20006fff,0x05fffff8,0x1fffff70,
    0x27ffffc4,0xffff7000,0x7fffc41f,0xfff8804f,0xffffffff,0xffffffff,
    0x7ffffc45,0xffffffff,0x45ffffff,0xfffffff8,0xffffffff,0x7cc5ffff,
    0x2602ffff,0xf12fffff,0x4007ffff,0x11fffffa,0x00bfffff,0x6fffff80,
    0x5fffff30,0x3ffffe20,0x7ffc0005,0xffd006ff,0xfffd0bff,0x3a0001ff,
    0xfe85ffff,0x4400ffff,0xffffffff,0xffffffff,0x7fc45fff,0xffffffff,
    0xffffffff,0x7fffc45f,0xffffffff,0x5fffffff,0x17ffffcc,0x5fffff30,
    0x0fffffe2,0xfffffa80,0x9fffff31,0xfffe8000,0xffff307f,0x3ffe605f,
    0x740004ff,0x9807ffff,0xb82fffff,0x003fffff,0x2fffff98,0x3fffffb8,
    0x7ffffc40,0xffffffff,0x45ffffff,0xfffffff8,0xffffffff,0x7c45ffff,
    0xffffffff,0xffffffff,0x7ffcc5ff,0x3fe602ff,0xfff12fff,0x7d4007ff,
    0xff31ffff,0x80009fff,0x307ffffe,0x205fffff,0x04fffff9,0x7ffff400,
    0xffffd807,0xfffff107,0xfffb000d,0x3ffe20ff,0x7fc406ff,0xffffffff,
    0xffffffff,0x7fffc45f,0xffffffff,0x5fffffff,0x7fffffc4,0xffffffff,
    0x4c5fffff,0x202fffff,0x12fffff9,0x007fffff,0x8fffffd4,0x05fffff8,
    0x7ffffc00,0xfffff306,0x3fffe205,0x7fc0005f,0x7c406fff,0x3604ffff,
    0x001fffff,0x13ffffe2,0x1fffffd8,0x3ffffe20,0xccccccce,0x42cccccc,
    0xcefffff8,0xcccccccc,0x7c42cccc,0xccceffff,0xcccccccc,0x7ffcc2cc,
    0x3fe602ff,0xfff12fff,0x7d4007ff,0x3fe1ffff,0x20006fff,0x04fffff8,
    0x05fffff3,0x037ffffc,0xfffff100,0xffffb809,0x999999bf,0x04fffffb,
    0x3ffffee0,0xb999999b,0x204fffff,0x04fffff8,0xffff1000,0x2200009f,
    0x004fffff,0xfffff300,0x7fffcc05,0xfffff12f,0x7ffd4007,0x3fff61ff,
    0x3e60007f,0xf303ffff,0x6c05ffff,0x0007ffff,0x0fffffe6,0xffffffd0,
    0xffffffff,0x001fffff,0x3ffffffa,0xffffffff,0x100fffff,0x009fffff,
    0x3fffe200,0xf100004f,0x0009ffff,0x3ffffe60,0x3fffe602,0x3ffffe2f,
    0x3ffee004,0x3fff21ff,0xf90002ff,0x2605ffff,0x202fffff,0x02fffffc,
    0xfffff900,0x7fffcc05,0xffffffff,0xffffffff,0xffff9803,0xffffffff,
    0xffffffff,0xfffff103,0x3e200009,0x0004ffff,0x9fffff10,0x3fe60000,
    0x3e602fff,0x3fe2ffff,0x32005fff,0x2e0fffff,0x006fffff,0xffffff88,
    0xfffff301,0x7fffdc05,0xff88006f,0x3201ffff,0xffffffff,0xffffffff,
    0xc806ffff,0xffffffff,0xffffffff,0xf106ffff,0x0009ffff,0x3ffffe20,
    0xff100004,0x00009fff,0x0bffffe6,0x2fffff98,0x03fffffa,0x3fffff40,
    0x3fffffe2,0x7ffe4003,0x3fe606ff,0x3e202fff,0x003fffff,0x37ffffe4,
    0x3fffffe0,0xffffffff,0xffffffff,0x7ffffc01,0xffffffff,0xffffffff,
    0xffff881f,0xf100004f,0x0009ffff,0x3ffffe20,0xff300004,0x7cc05fff,
    0x3f62ffff,0xa805ffff,0xb86fffff,0x02ffffff,0xffffff70,0x7fffcc03,
    0x7ffdc02f,0xf7002fff,0x403fffff,0xcdfffffa,0xcccccccc,0x5fffffdc,
    0x3ffffea0,0xcccccccd,0xffffdccc,0xffff885f,0xf100004f,0x0009ffff,
    0x3ffffe20,0xff300004,0x7cc05fff,0x3ea2ffff,0x203fffff,0x3ffffff9,
    0xffffffd0,0x7ffec409,0x7cc04fff,0xe802ffff,0x04ffffff,0x3fffff62,
    0x7ffec04f,0xfff8007f,0xffb00fff,0xff000fff,0xf881ffff,0x0004ffff,
    0x9fffff10,0x3fe20000,0x00004fff,0x05fffff3,0x17ffffcc,0x3ffffffa,
    0xffdcabce,0x2607ffff,0xffffffff,0xfffecacd,0x400fffff,0x02fffff9,
    0xffffff98,0xfecacdff,0x0fffffff,0x3ffffe20,0xfffc8004,0xfff883ff,
    0xfc8004ff,0x7c43ffff,0xeeeeffff,0xeeeeeeee,0xff11eeee,0xdddddfff,
    0xdddddddd,0x3fe23ddd,0xeeeeefff,0xeeeeeeee,0xfff31eee,0x7fcc05ff,
    0x7fd42fff,0xffffffff,0xffffffff,0x7fffe403,0xffffffff,0x2fffffff,
    0xfffff980,0xffff9002,0xffffffff,0x5fffffff,0xfffffb80,0xfff98002,
    0xfffb86ff,0xf98002ff,0x7c46ffff,0xffffffff,0xffffffff,0xff11ffff,
    0xffffffff,0xffffffff,0x3fe23fff,0xffffffff,0xffffffff,0xfff31fff,
    0x7fcc05ff,0xffb82fff,0xffffffff,0x0dffffff,0xfffffa80,0xffffffff,
    0x3001efff,0x005fffff,0x7fffffd4,0xffffffff,0xfe801eff,0x20007fff,
    0x41fffffe,0x007ffffe,0x3fffffa0,0x3ffffe21,0xffffffff,0xffffffff,
    0xffffff11,0xffffffff,0x3fffffff,0x3fffffe2,0xffffffff,0x1fffffff,
    0x05fffff3,0x17ffffcc,0xfffffe98,0xffffffff,0x7fec4003,0xffffffff,
    0x4c003fff,0x002fffff,0x7ffffec4,0xffffffff,0xffff5003,0x7dc0009f,
    0x3ea5ffff,0x0004ffff,0x97ffffee,0xfffffff8,0xffffffff,0x11ffffff,
    0xffffffff,0xffffffff,0x223fffff,0xffffffff,0xffffffff,0xf31fffff,
    0x4c05ffff,0x202fffff,0xfffffec8,0x000dffff,0x3fffb2a0,0x01cdffff,
    0xfffff980,0xfd950002,0x9bffffff,0x7ffec003,0x220001ff,0xb0ffffff,
    0x003fffff,0x7ffffc40,0xfffff10f,0xffffffff,0xffffffff,0x3ffffe23,
    0xffffffff,0xffffffff,0xffffff11,0xffffffff,0x3fffffff,0x0bffffe6,
    0x2fffff98,0x55553100,0x20000035,0x00009aa8,0x2fffff98,0x35510000,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x004ccccc,0x530aaaaa,0x54c00555,
    0xa980000a,0x555442aa,0x2200000a,0x0cc881bc,0x05950000,0xa8800f2e,
    0x55540aaa,0x2600001a,0x000000cc,0x004c0000,0x00001540,0x1fffff98,
    0x17fffa00,0x400ffff9,0x80000ffc,0x7d47fffc,0x00001fff,0x37dffffb,
    0x0003ffb1,0xcfffffa8,0x005ff98a,0xf0ffffe2,0x0000bfff,0x013ffff6,
    0x2ea60000,0xd1009abc,0x3fee001d,0x400003ff,0x002ffffd,0x322ffff4,
    0xa8807fff,0x0001cffe,0x2a3fffe4,0x0001ffff,0xffffff98,0x00ffffff,
    0x7ffff400,0x3fffffff,0x3fffe200,0x02ffffc3,0x5df7cc00,0x800000ff,
    0xffffffeb,0x3a21dfff,0x7c401fff,0x000ffddf,0x5ffff300,0xbfffd000,
    0x207fffc8,0xffffffd8,0xf90003ff,0xfffa8fff,0xfc80001f,0xfffffddf,
    0x440004ff,0xfffeceff,0x2000ffff,0x7c3ffff8,0x80005fff,0x00fee2fc,
    0xfffe9800,0xffffffff,0xfffdaeff,0x91fdc00e,0x3600007f,0xd0003fff,
    0xffc8bfff,0xffff507f,0xdfffffff,0xfffc8001,0x0ffffd47,0x22ff4000,
    0x003effc9,0x221ffa80,0x001cffeb,0x21ffffc4,0x0005ffff,0x0ff23fc8,
    0x7ffdc000,0xffffffff,0xffffffff,0x2fc800ef,0x200013ee,0x0004fff8,
    0x31026662,0xfff30333,0xffffffff,0x98800bff,0x4ccc4199,0x13300001,
    0x10000040,0x00008033,0x33026666,0x30000133,0x01ff97ff,0xffffb000,
    0xffffffff,0xffffffff,0x3be6003f,0x0001fea9,0x00019988,0x04ccccc0,
    0x3fffffa0,0xfffffffe,0x2660003f,0x00001999,0x19999980,0x26666000,
    0x4ccc0009,0x4ccccc19,0x99999999,0x09999999,0xffff9800,0x540001ff,
    0xdfffffff,0xffeba9ab,0x003fffff,0x02fffff4,0x04cccccc,0x99999800,
    0xfffff301,0x7fffd405,0xfd9ffc9f,0x30006fff,0x03ffffff,0x7fcc0000,
    0x0001ffff,0x00dfffff,0x11fffff8,0xffffffff,0xffffffff,0x000bffff,
    0x9ffffff9,0x7ffc4000,0x5401ffff,0x06ffffff,0x002dda80,0x1ffffff9,
    0xffffc800,0xffff306f,0x7ffe405f,0xf11ff92f,0x0001ffff,0x9ffffff9,
    0x7e400000,0x004fffff,0x7ffffff0,0x7ffffc00,0xffffff11,0xffffffff,
    0x0bffffff,0xfffff880,0x90000fff,0x01dfffff,0xffffff50,0x0000003f,
    0x9ffffff1,0x7fffcc00,0xfff301ff,0x7fec05ff,0x21ff90ff,0x0009abcb,
    0x7fffffc4,0x800000ff,0xfffffff8,0xfff8000f,0xf000ffff,0x3e23ffff,
    0xffffffff,0xffffffff,0x5c005fff,0xffffffff,0xfff98003,0xf9801fff,
    0x5fffffff,0xeeecc880,0x7d401bde,0x001fffff,0x09fffffd,0x17ffffcc,
    0x21ffffd0,0x00000ffc,0x3fffffee,0x800003ff,0xfffffffb,0xfff8003f,
    0xf005ffff,0x3e23ffff,0xffffffff,0xffffffff,0x74005fff,0xffffffff,
    0xfffb8006,0xff8805ff,0xffffffff,0xffffb301,0x0bffffff,0x5fffffd8,
    0xfffffa80,0x3ffe600e,0x3ff602ff,0x01ff92ff,0x7fff4000,0x006fffff,
    0xffffe800,0x8006ffff,0xffffffff,0xfffff802,0xdfffff11,0x99999999,
    0x07999999,0x7ffffcc0,0x001fffff,0x0fffffe4,0x37fffa20,0x82fffffb,
    0xfffffff8,0x0effffff,0xffffff10,0xffffe805,0x7ffcc02f,0x3fee02ff,
    0x0ffcafff,0xfff30000,0x3fffffff,0x7fcc0000,0xffffffff,0x7fffc001,
    0xf806ffff,0xff11ffff,0x00009fff,0x3ffff200,0x04fffffe,0x3ffffec0,
    0x477fff40,0x84fffffa,0xfffffffe,0x5fffffff,0x3ffffee0,0x3ffff206,
    0xfff9805f,0x3fe602ff,0x0fffffff,0xfff90000,0x9fffffdf,0x7fe40000,
    0xfffffeff,0x7fffc004,0x403fffff,0xf11fffff,0x0009ffff,0x3fffe000,
    0xfffffcbf,0x3fffe000,0x7ffec06f,0xfffff30e,0xfffffa8b,0xfffca9bd,
    0x3fa00fff,0xf884ffff,0x800fffff,0x02fffff9,0x7fffffec,0x80001dff,
    0xfcbfffff,0x0000ffff,0x97fffff0,0x001fffff,0x7ffffffc,0x3fe00fff,
    0xfff11fff,0x000009ff,0x1fffff50,0x07fffff3,0x3ffffe20,0x3ffff205,
    0x3ffffe21,0x2fffff46,0x1fffffb8,0x3ffffe60,0x7fffec0f,0xfff3003f,
    0xff8805ff,0xffffffff,0xfa8000cf,0xff98ffff,0x80003fff,0x98fffffa,
    0x003fffff,0x3ffffffe,0x3fe05fff,0xfff11fff,0x000009ff,0x4bffffb0,
    0x006ffffe,0x09fffff3,0x207fffee,0x987fffff,0xff100dca,0xfc803fff,
    0x3e65ffff,0x2006ffff,0x02fffff9,0xfffffe88,0x01ffffff,0x2ffffec0,
    0x00dffffd,0xbffffb00,0x037ffff4,0xfffffff0,0x3e05ffff,0xff11ffff,
    0x00009fff,0xfffff880,0x3ffffee2,0xffff9801,0xffffa84f,0xfffffd02,
    0x7ffc4000,0xffe802ff,0xfffd2fff,0x7cc003ff,0x2002ffff,0xfffffffc,
    0x1002ffff,0x5c5fffff,0x001fffff,0x3ffffe20,0x3ffffee2,0xfffff001,
    0x1ffffff7,0x23fffff0,0x9cfffff8,0x99999999,0x70009999,0x441fffff,
    0x804fffff,0x46fffff8,0x203ffffa,0x006fffff,0x3fffb2a2,0xfa802fff,
    0xffbeffff,0x4c004fff,0x002fffff,0xfffffea8,0xb800ffff,0x220fffff,
    0x004fffff,0x3ffffee0,0x3ffffe20,0xfffff004,0x9fffff93,0x23fffff0,
    0xfffffff8,0xffffffff,0xd005ffff,0xfd0bffff,0xf001ffff,0x7ccfffff,
    0x3e204fff,0x5404ffff,0xffffffec,0xb002ffff,0xffffffff,0xf3000dff,
    0x0005ffff,0x3fffbff2,0xfe804fff,0xffe85fff,0xd0000fff,0xfd0bffff,
    0xf001ffff,0xff13ffff,0xff83ffff,0xfff11fff,0xffffffff,0xffffffff,
    0xffff300b,0xffff705f,0xfffd007f,0xffff11ff,0xffff980b,0xffff903f,
    0xffffffff,0x3e2005ff,0xffffffff,0xff98001f,0x90002fff,0xfffd51ff,
    0xfff980df,0xfffb82ff,0xf98003ff,0xfb82ffff,0xf803ffff,0xff51ffff,
    0xfff8dfff,0xffff11ff,0xffffffff,0xbfffffff,0xfffffb00,0x3ffffe20,
    0xffffd806,0x05fffeaf,0x2fffffb8,0xffffffd8,0xffffacef,0x3fea002f,
    0x05ffffff,0xfffff300,0x3ff20005,0x0fffff10,0x07ffffd8,0x0dfffff1,
    0xfffffb00,0x3ffffe20,0xfffff806,0x3fffff61,0x47ffffe2,0xfffffff8,
    0xffffffff,0x4405ffff,0x204fffff,0x01fffffd,0x7fffffdc,0x4400efff,
    0x41ffffff,0xadfffffd,0x17ffffc0,0x3ffff600,0x30000fff,0x805fffff,
    0x3ff21a98,0x03ffffa0,0x27ffffc4,0x3fffffb0,0x7fffc400,0x3fff604f,
    0x7ffc01ff,0x3ffe21ff,0xffff0fff,0x3fffe23f,0xccccccef,0x2ccccccc,
    0x7ffffdc0,0xb999999b,0x804fffff,0xffffffff,0xfffc800e,0x7ffc46ff,
    0x3ffe04ff,0x7c4002ff,0x002fffff,0x3ffffe60,0xbffff702,0xff907fe4,
    0x7ffdc0ff,0x99999bff,0x4fffffb9,0x3fffee00,0x999999bf,0x04fffffb,
    0x20fffffc,0xf4fffffb,0x3e23ffff,0x0004ffff,0xfffffd00,0xffffffff,
    0x01ffffff,0xffffffb8,0xfff9801f,0x7fd41fff,0xff100fff,0xb0005fff,
    0x000fffff,0x2fffff98,0x3fffff30,0xfff83ff2,0x3fffa06f,0xffffffff,
    0xffffffff,0xffffd000,0xffffffff,0x1fffffff,0x0fffffc0,0x4ffffff4,
    0xf11fffff,0x0009ffff,0xfffff300,0xffffffff,0x7fffffff,0xffffff00,
    0xfffb803d,0xffb84fff,0xff700fff,0xb0005fff,0x000fffff,0x2fffff98,
    0x37ffffe0,0xff50ffc8,0x3fe609ff,0xffffffff,0xffffffff,0xff9803ff,
    0xffffffff,0xffffffff,0x3ffe03ff,0xfffa81ff,0xfffffeff,0x9fffff11,
    0xff900000,0xffffffff,0xffffffff,0xff900dff,0x37bfffff,0xffffd953,
    0xff501fff,0xff507fff,0x0005ffff,0x00fffffb,0xfffff980,0x3ffff202,
    0xfc9ffdef,0xf901ffff,0xffffffff,0xffffffff,0xf900dfff,0xffffffff,
    0xffffffff,0x7fc0dfff,0xffb01fff,0xffffffff,0x3ffffe23,0xff800004,
    0xffffffff,0xffffffff,0x2a01ffff,0xffffffff,0xffffffff,0x302fffff,
    0x7dffffff,0xfffffff9,0xffb0007f,0x98000fff,0x202fffff,0xffffffe8,
    0xffffffff,0x3ffffe04,0xffffffff,0xffffffff,0x7fffc01f,0xffffffff,
    0xffffffff,0xffff01ff,0x3ffe203f,0x1fffffff,0x09fffff1,0xfffa8000,
    0xcccccdff,0xffdccccc,0xff305fff,0xffffffff,0xffffffff,0xfc803dff,
    0xffffffff,0x5fffffff,0xffffd800,0x7fcc0007,0x7d402fff,0xffffffff,
    0x500effff,0x99bfffff,0x99999999,0x0bfffffb,0x6fffffd4,0xcccccccc,
    0xfffffdcc,0x3fffff05,0x7ffffdc0,0xff11ffff,0x00009fff,0x07ffffd8,
    0xffffff80,0x67fffcc0,0xffffffd9,0x3fffffff,0xffffd100,0xf37fffff,
    0xb000ffff,0x000fffff,0x2fffff98,0xfffff980,0x04ffffff,0x03ffffec,
    0x7fffffc0,0xfffffb00,0xfffff000,0xfffff01f,0xffffe803,0xff11ffff,
    0x00009fff,0x27ffffc4,0x7fffe400,0x2fffd43f,0x3fffff66,0x001cefff,
    0xffffffb8,0x3ffffe0d,0x7ffec002,0x7cc0007f,0x1002ffff,0xfffffff9,
    0xfff88039,0xfc8004ff,0xf883ffff,0x8004ffff,0x83fffffc,0x401fffff,
    0xfffffff9,0xfffff11f,0xdddddddd,0xdddddddd,0x7ffffdc3,0xfff98002,
    0x0efa86ff,0x02aaa620,0x1aa98000,0x3f600000,0x40007fff,0x02fffff9,
    0x02ffd980,0x3ffffee0,0xfff98002,0xfffb86ff,0xf98002ff,0xff86ffff,
    0xfc801fff,0x11ffffff,0xffffffff,0xffffffff,0x743fffff,0x0007ffff,
    0x07fffffa,0x00000026,0x00000000,0x03ffffec,0x3fffe600,0xff90002f,
    0x7fff4001,0x3fa0007f,0x7f41ffff,0x20007fff,0x41fffffe,0x801fffff,
    0xfffffff8,0xffffff11,0xffffffff,0x3fffffff,0x13ffffea,0xffffb800,
    0x0000005f,0x00000000,0x3ffffec0,0x3ffe6000,0xf90002ff,0x3fea001f,
    0x20004fff,0x25fffffb,0x04fffffa,0x3fffee00,0x7ffffc5f,0xffff5001,
    0x3ffe23ff,0xffffffff,0xffffffff,0xffffb1ff,0x7c40003f,0x000fffff,
    0x00000000,0x3f600000,0x40007fff,0x02fffff9,0x001ff900,0x07fffff6,
    0xffff8800,0xffffb0ff,0x7c40003f,0x3e0fffff,0x2001ffff,0x11fffffd,
    0xffffffff,0xffffffff,0x003fffff,0x00000000,0x00000000,0xffb00000,
    0x00000fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x055e5d4c,0x59950000,
    0x0332e000,0x15995300,0x2ccc8800,0x05995000,0x00332e00,0x000aba98,
    0x000b3260,0x442cccb8,0x2a00cccc,0x000ccccc,0x66664400,0x2ea2002c,
    0x0001abcc,0xffffeb80,0x02efffff,0x0fffe600,0x017fea00,0xffffff90,
    0x7ffe4007,0xfff98002,0x5ffa8003,0xffffd300,0xfd0001bf,0x7f40001f,
    0x7ffd42ff,0x3ffa200f,0x400004ff,0x006ffffc,0xffffff91,0x00003bff,
    0xffffffd3,0xbfffffff,0xffea8001,0xffe8003f,0x3fffa000,0x804fffff,
    0x8006fff8,0x003fffea,0xf000ffe8,0xdfffffff,0x04ffa800,0x3fffe200,
    0x037ffe41,0x07ffff44,0xfff88000,0xfe8800ef,0xffffffff,0x2e0002ff,
    0xffffffff,0xffffffff,0xffea802f,0x5c003fff,0x3ea004ff,0xfffccfff,
    0x7ffe401f,0x3ffaa002,0x5c003fff,0xff7004ff,0x5fffb37f,0x03ffe200,
    0x7fff9800,0x004fffd8,0x007ffff1,0x3bffee00,0xffffd000,0xffffffff,
    0xffb0001f,0xffffffff,0xffffffff,0x7ffcc07f,0x2003ffff,0x2000fff8,
    0x3f22fffe,0x3fe205ff,0x3fe6006f,0x003fffff,0x4003ffe2,0x3fe24fec,
    0x7ff7003f,0xfffb8000,0x03ffff86,0x01fffe60,0x07fffc00,0xfffffb80,
    0xfffffddf,0x7fd4003f,0xacdfffff,0xffffeca9,0xff300fff,0x007fff5b,
    0x2001ffe4,0x3ea0ffff,0x3ff206ff,0x3fe6002f,0x003fffad,0x0000fff2,
    0x003fffb1,0x0000dff1,0xf889fffb,0x4c001fff,0x40002fff,0x2001fffb,
    0x20fffffd,0x05fffff8,0x3ffffe20,0x7fdc02ff,0xb305ffff,0x00fffe23,
    0x20037fc4,0x7cc7fff8,0xfff107ff,0x11d9800d,0x22007fff,0x6c0006ff,
    0xb002ffff,0xd00005ff,0xffa85fff,0x0000007f,0x7fc00000,0xffd82fff,
    0x3f2005ff,0x000effff,0x5ffffff3,0x07fff100,0x000bff60,0xf88ffff3,
    0xffc80fff,0x7c40002f,0xffb003ff,0xfff80005,0xff9801ff,0x4ccc4005,
    0x9affff99,0x9efffc99,0x00000009,0x7fc40000,0xffd81fff,0xff3003ff,
    0x8003ffff,0x06fffffb,0x803fff88,0x98005ff9,0x7fcc7fff,0x6fff887f,
    0xfff88000,0x05ff9803,0x7f66c400,0x7fec03ff,0x7ffe4001,0xffffffff,
    0xffffffff,0x3b32203f,0x001bdeee,0x77776644,0x3fe601bd,0x7fc40fff,
    0xf7001fff,0x000bffff,0x07fffffe,0x007fff10,0x10003ffd,0xff98ffff,
    0x2fffc87f,0xfff88000,0x01ffe803,0x3fff4000,0x0009ff50,0xfffffff9,
    0xffffffff,0x307fffff,0xfffffffb,0xb300bfff,0xffffffff,0x3fe60bff,
    0x7fe40fff,0x3f2006ff,0x0001ffff,0x05fffff7,0x403fff88,0x20004ffa,
    0x3ee1ffff,0x7ffc46ff,0xff100006,0x4ffa807f,0x83753000,0xfd01fffb,
    0xff90001f,0xffffffff,0xffffffff,0xfff887ff,0xffffffff,0xff100eff,
    0xffffffff,0xfa81dfff,0x3e20ffff,0x2003ffff,0x007ffffd,0x3ffffe60,
    0x1fffc403,0x0003ffa0,0x98dfffc8,0x7e43fffe,0x100002ff,0xfe807fff,
    0xfff0000f,0x80fffe8b,0x90003ffb,0xffffffff,0xffffffff,0xfe87ffff,
    0xffffffff,0xd05fffff,0xffffffff,0x8bffffff,0x5c7ffffa,0x4006ffff,
    0x006ffffe,0x3ffffe20,0x1fffc404,0x0007ff70,0xffffff88,0x7fc46fff,
    0x2200006f,0x3ee03fff,0x3f20003f,0xfffeceff,0x007ff885,0x3fffe200,
    0x037ffdc1,0x7bfffff5,0xfffff953,0xffffa81f,0xffca9bdf,0x3ea0ffff,
    0x7ff47fff,0x7fc004ff,0x40005fff,0x406fffff,0xf103fff8,0x2e0000ff,
    0xffffffff,0x017ffe41,0x7fff1000,0x001ffe20,0xfffffd10,0xff901dff,
    0x7d400005,0xfffd87ff,0x3ffffa04,0xfffff705,0x5ffffe83,0x3fffff70,
    0x13ffffd4,0x00bfffff,0x27ffffcc,0x3fffa000,0x7ffc407f,0x005ff903,
    0x7ffecc00,0x7ffc40df,0x7c400006,0x5ff903ff,0xff910000,0x3e207fff,
    0x5c00006f,0xfff86fff,0x6e54c03f,0xfffff100,0x01b95303,0x87ffffe2,
    0x7c7ffffa,0x001fffff,0x09fffff3,0xffffe800,0xff980007,0x05ddb006,
    0xffc80220,0xbcdba82f,0x3e600001,0x9b97306f,0x01310017,0xd801ffd8,
    0x7fec01ee,0x7fffc44f,0xff100001,0x40005fff,0x22fffff8,0x647ffffa,
    0x01ffffff,0x0bfffff0,0xfffff800,0xffd80005,0x2fffc801,0xfff88000,
    0x7fffec46,0xb00004ff,0xfff903ff,0x0005ffff,0x900bff30,0xff805fff,
    0x7ffd42ff,0x32a20007,0x2ffffffe,0x3fb2a200,0x2a2fffff,0x7447ffff,
    0x01ffffff,0x06ffffe8,0x3fffe200,0x7d40004f,0xfffa805f,0xfc80002f,
    0x7fff42ff,0x005fffff,0x642ffd40,0xffffffff,0x7f40001f,0x7ffdc00f,
    0x7cccc42f,0xc999afff,0x9999efff,0x3ffb2a00,0xffffffff,0x7ff65402,
    0xffffffff,0x1ffffea2,0x3fffffe6,0x7ffec00f,0x3e60007f,0x0003ffff,
    0x26007ff4,0x002fffff,0x237ffc40,0xfcbffffa,0x20001fff,0x7fc40ffe,
    0xfffb89ef,0x3fea0004,0x7fffcc04,0x7fffe42f,0xffffffff,0xffffffff,
    0xfffffc83,0xffffffff,0xffff902f,0xffffffff,0x7ffd45ff,0xffff507f,
    0x7e401dff,0x2a01ffff,0xfffff901,0x7fdc0005,0x7fffc404,0x640002ff,
    0x7ff42fff,0x17fff22f,0x427fdc00,0x7f43fffa,0x3fe0005f,0x3ffe200f,
    0x7fe42fff,0xffffffff,0xffffffff,0x7ffec3ff,0xfaceffff,0xfd82ffff,
    0xceffffff,0x22fffffa,0x207ffffa,0x4ffffffa,0x3ffffee0,0x8833fa05,
    0x00ffffff,0x01fff100,0xfffbffe8,0x3fe20002,0x0ffff86f,0x001bffe6,
    0x3003ffe2,0x004fff88,0xe807ff70,0x42fffbff,0xfffffffc,0xffffffff,
    0x363fffff,0x0adfffff,0x217ffffc,0xadfffffd,0x17ffffc0,0x80fffff5,
    0x0ffffffa,0xffffff10,0x9ffff703,0xdfffff91,0x1ffe4000,0x7fd3ff20,
    0x3f20002f,0x7ffc42ff,0x03fffcc7,0x001ffe40,0x007fffa2,0xb01bfe20,
    0x0bffe9ff,0xfffffff9,0xffffffff,0x227fffff,0x204fffff,0x222fffff,
    0x204fffff,0x2a2fffff,0xa807ffff,0x202fffff,0x0efffffb,0x7fffffec,
    0x02ffffff,0x80dff100,0x3ffe6ffb,0xfff10002,0x8ffff30d,0x000ffff8,
    0x1001bfe2,0x0009fffd,0xfb80bff2,0x40bffe6f,0x5c1ffff8,0x7d405fff,
    0xf100ffff,0x7d45ffff,0xf100ffff,0x7d45ffff,0xff007fff,0xfe809fff,
    0x542fffff,0xfffffffe,0x360005ff,0x3fe602ff,0x00bffe0f,0x417ffe40,
    0x7cc7fff8,0x36000fff,0x3e6002ff,0x30005fff,0x7fcc0dff,0x40bffe0f,
    0xfd87fffa,0x7fdc04ff,0xff700fff,0x7fdc5fff,0xff700fff,0x7fd45fff,
    0xfe8107ff,0x7d404fff,0xceffffff,0xffffeb9a,0x0000ffff,0xfe80dff3,
    0xfffeeeef,0x3e2002ee,0x3ffe06ff,0x03fffcc7,0x400dff30,0x004ffffa,
    0xf807ff60,0xffeeeeff,0x7fdc2eef,0x2fffe85f,0x7ffffd40,0xfffffa83,
    0x3fffea2f,0xffffa83f,0x3ffea2ff,0xa8ff4c7f,0x802fffff,0xfffffffc,
    0xffffffff,0x000effff,0xf803ffd0,0xffffffff,0x32003fff,0x3fe02fff,
    0x3ffee1ff,0x07ffa006,0x17fffdc0,0x0bff5000,0xfffffff8,0x6c3fffff,
    0x7fc44fff,0x7fcc01ff,0xfcbeffff,0x3fffffff,0x3fffffe6,0xfffffcbe,
    0x3fea3fff,0xfffb17ff,0xffffffff,0x3ffea001,0xffffffff,0xffffffff,
    0x3ea000cf,0xffff805f,0xffffffff,0xdfff1003,0x8dfffc80,0x003fffe9,
    0x2a00bff5,0x999bffff,0x3ffa0009,0x7ffffc00,0x3fffffff,0x2617fffc,
    0xf9007fff,0xffffffff,0xbfffffff,0xffffffc8,0xffffffff,0x3ffea5ff,
    0x3ffff67f,0x03ffffff,0x7fffec40,0xffffffff,0xffffffff,0x01ffd003,
    0x02fff800,0x017ffe40,0x3fffffe2,0x3a006fff,0xfff000ff,0xdfffffff,
    0x013fee00,0x105fff00,0xfb83ffff,0xfd1005ff,0xffffffff,0x8fffff37,
    0xffffffe8,0xfff9bfff,0x3fffea7f,0x7ffffec7,0x20005fff,0xfffffeca,
    0xffdabdef,0xb805ffff,0xf80004ff,0x3e2002ff,0xff5006ff,0x03ffffff,
    0x4013fee0,0xfffffffa,0xf8806fff,0x7c0000ff,0xfffa82ff,0x04fffd87,
    0x7ffffdc0,0x3fffe0df,0xffffb82f,0x3ffe0dff,0xffff52ff,0xffffd70f,
    0x8800005f,0xff7009a9,0xf8803fff,0xe80000ff,0x3f2002ee,0x362002ff,
    0x000ceffe,0x2001fff1,0xeeeeeeeb,0xfc805eee,0xee80003f,0x2aaa981e,
    0x000aaaa8,0x00035530,0x0006aa60,0x06aa2000,0x20000000,0x0005ffd8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00e4c000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x664c0000,
    0x333220cc,0x665c001c,0xca8003cc,0x0000cccc,0xceedba88,0x332e001b,
    0x800004cc,0x01ccccc9,0x2ccccb80,0x26665400,0x00333326,0x9113332a,
    0x20003999,0x001aaaa9,0x20002600,0x442dfeb8,0x7fdc04ff,0x3ffe20ff,
    0x3fe6003f,0x4002ffff,0x04ffffe8,0x7fffdc00,0x01dfffff,0x2fffff88,
    0x7ff40000,0xfb8005ff,0x000fffff,0xf51ffff2,0xf9003fff,0xfff98fff,
    0xffb0002f,0x440009ff,0x3dffffec,0xfffffd00,0x07ffb7bf,0x20ffffb8,
    0x003ffff8,0xfffffff1,0xfe88001f,0x98000fff,0xfffffffe,0x801fffff,
    0x006ffff9,0x3fffe600,0xfff98005,0x2006ffff,0x7d47fffc,0xfc801fff,
    0x7ffcc7ff,0xffb0002f,0x260009ff,0xffffffff,0x3fe200df,0xffffffff,
    0x7fdc01ff,0x3ffe20ff,0xfffb003f,0x00bfffb9,0x07fffd10,0xfffff880,
    0xffffffff,0xff9800ff,0xb00002ff,0x2000dfff,0xffebfffe,0xfff9003f,
    0x1ffffa8f,0x47fffc80,0x002ffff9,0x09ffffb0,0xfffff500,0x1dffffff,
    0x2e6ffee0,0x04fffffd,0x20ffffb8,0x803ffff8,0xfd16fffb,0xf30005ff,
    0xfc800fff,0xcaceffff,0x05ffffff,0x00bfff50,0x1dfff300,0xbfff9000,
    0x007fffe6,0xf51ffff2,0xf9003fff,0xfff98fff,0xffb0002f,0xff0009ff,
    0xffffffff,0x3ae09fff,0x00ccb885,0x22000000,0x3e61ffff,0x98000fff,
    0xf3003fff,0x360bffff,0x000fffff,0x0003fff5,0x000effc8,0x20ffffa8,
    0x0006fffa,0x00000000,0xffffb000,0xfffb8009,0xffeb9cff,0x00000fff,
    0x00000000,0x00000000,0x3fffff60,0xdffff300,0x00000005,0x00000000,
    0x00000000,0x00000000,0x3ffffa00,0x7ffffc45,0x00000003,0x00000000,
    0x3a000000,0x5c04ffff,0x0000001a,0x00000000,0x00000000,0x80000000,
    0x20009999,0x80fffffa,0x206ffffc,0xdeeeecc8,0x6644001b,0x01bdeeee,
    0x77766440,0x2a201bde,0xaa802aaa,0x3ffe0aaa,0x800002ff,0x0abdecb9,
    0xbd973000,0x26000157,0x00abdecb,0x7bd97300,0x64c00015,0x009bceed,
    0x7fffcc00,0x3fff2005,0xffff105f,0xfffd983f,0x5fffffff,0xffffd980,
    0x05ffffff,0xfffffd98,0x305fffff,0x401fffff,0x11fffff8,0x003fffff,
    0x7fff4400,0x003fffff,0x3fffffa2,0x22003fff,0xfffffffe,0x3fa2003f,
    0x3fffffff,0x7fff5400,0x02ffffff,0x3fffe600,0x3fff6004,0x3fffe04f,
    0x3fffe22f,0xffffffff,0xfff100ef,0xffffffff,0x3e201dff,0xffffffff,
    0x4c0effff,0x200fffff,0x31fffff8,0x003fffff,0x3fffea00,0xdfffffff,
    0x7fffd400,0xdfffffff,0x7fffd400,0xdfffffff,0x7fffd400,0xdfffffff,
    0xffffd800,0xffffffff,0xffb8000c,0x3fa003ff,0x3fa03fff,0x3ffa3fff,
    0xffffffff,0xfd05ffff,0xffffffff,0x20bfffff,0xfffffffe,0x5fffffff,
    0x07ffffcc,0x3fffff10,0x07ffffe6,0x3ffea000,0xffffffff,0x3fea07ff,
    0xffffffff,0x3ea07fff,0xffffffff,0x2a07ffff,0xffffffff,0x407fffff,
    0xfffffffd,0x6fffffff,0x7fffc400,0x3ffe001f,0x3ffa02ff,0xffff54ff,
    0xff9537bf,0xfa81ffff,0xa9bdffff,0x0ffffffc,0x6fffffd4,0xffffca9b,
    0x3ffe60ff,0x3fe200ff,0xfff11fff,0xd00005ff,0x759fffff,0x07ffffff,
    0x33fffffa,0xffffffba,0xfffffd03,0xfffff759,0x3fffa07f,0xfffbacff,
    0xff703fff,0xd99dffff,0x09ffffff,0x3ffffa20,0x7fffc007,0x3fff602f,
    0xbffffd5f,0x3ffffee0,0x2fffff41,0x1fffffb8,0x82fffff4,0x21fffffb,
    0x00fffff9,0x87ffffe2,0x403fffff,0x7dc0abcb,0xfa81ffff,0xffb87fff,
    0xffa81fff,0xfffb87ff,0xfffa81ff,0xffffb87f,0xffffa81f,0xfffff887,
    0xffff982f,0x7f4401ff,0x2004ffff,0x02fffff8,0x997ffff6,0xff100dca,
    0x95303fff,0x3ffe201b,0xdca981ff,0xfffff100,0x7ffffcc3,0x3fffe200,
    0x3ffffa1f,0x7ffffc06,0x7fffff15,0x1ffffe40,0x07fffff1,0x11ffffe4,
    0x407fffff,0x223ffffc,0x203fffff,0x543ffffc,0x202fffff,0x06fffff8,
    0x3fffffe6,0x7ffcc006,0x3ff602ff,0xf88006ff,0x0002ffff,0x0bffffe2,
    0xffff8800,0x3fffe62f,0x3ffe200f,0x3ffee1ff,0xfff703ff,0x3ffe65ff,
    0x3fe600ff,0x3ffe66ff,0x3fe600ff,0x3ffe66ff,0x3fe600ff,0x3ffe66ff,
    0x3fe600ff,0x7ffe46ff,0xfffc806f,0xfff980ff,0x4000dfff,0x02fffff9,
    0x01fffff6,0x3fffb2a2,0x22002fff,0xfffffeca,0x32a2002f,0x2ffffffe,
    0x03ffffe6,0x1fffff88,0x67fffff4,0xfffff930,0x3ffffd4f,0x9bfffe20,
    0x407ffffa,0x2a6ffff8,0x4407ffff,0x3ea6ffff,0x7c407fff,0x7ff46fff,
    0xff9802ff,0x7fcc1fff,0x0005ffff,0x05fffff3,0x837fffec,0xfffffeca,
    0x402fffff,0xfffffeca,0x402fffff,0xfffffeca,0x262fffff,0x200fffff,
    0x41fffff8,0xfffffffa,0xffffffff,0x3ffffee3,0xffffffff,0x3ee7ffff,
    0xffffffff,0xffffffff,0x3ffffee7,0xffffffff,0x3ee7ffff,0xffffffff,
    0xffffffff,0x3ffffe27,0xffff8801,0x7ffff42f,0x3e20004f,0x3602ffff,
    0x7e45ffff,0xffffffff,0x902fffff,0xffffffff,0x05ffffff,0x3ffffff2,
    0xffffffff,0x3ffffe62,0x3fffe200,0xffffd81f,0xffffffff,0x7fffec4f,
    0xffffffff,0xb0ffffff,0xffffffff,0xffffffff,0x3fff61ff,0xffffffff,
    0x0fffffff,0xfffffffb,0xffffffff,0x3fea1fff,0xff000fff,0x7fdc9fff,
    0x80003fff,0x202fffff,0x364ffffd,0xefffffff,0x2fffffac,0xffffffd8,
    0xffffacef,0xffffd82f,0xffacefff,0x3fe62fff,0x3e200fff,0xf701ffff,
    0xffffffff,0xfffb0bff,0xffffffff,0x3fffffff,0x3ffffff6,0xffffffff,
    0xffb1ffff,0xffffffff,0xffffffff,0x3fffff63,0xffffffff,0xf51fffff,
    0x2003ffff,0x363fffff,0x0005ffff,0x07fffff0,0xd9fffff4,0x0adfffff,
    0x217ffffc,0xadfffffd,0x17ffffc0,0x37fffff6,0x7ffffc0a,0x3ffffe62,
    0x3fffe600,0x3ff6201f,0x01dfffff,0x55dffff7,0x55555555,0x3fee1555,
    0xaaaaaeff,0xaaaaaaaa,0x5dffff70,0x55555555,0x3ee15555,0xaaaaefff,
    0xaaaaaaaa,0xfffff30a,0xffff1005,0x7ffffc5f,0x3579b002,0x04ffffe8,
    0x22fffffe,0x204fffff,0x222fffff,0x204fffff,0x222fffff,0x204fffff,
    0x262fffff,0x201fffff,0x01fffffa,0x0dffeb88,0x3ffffd40,0x3ffea000,
    0x7d40007f,0x40007fff,0x007ffffa,0x7ffffc40,0xffffa803,0x3ffffe0f,
    0xffff9802,0x2ffffec7,0xafffff88,0x00fffffa,0x45fffff1,0x00fffffa,
    0x45fffff1,0x00fffffa,0x45fffff1,0x01fffff9,0x07ffffee,0x3fffff60,
    0x3ffe602f,0x06a601ff,0x0fffffcc,0x3e603530,0x2601ffff,0xffff301a,
    0x00d4c03f,0x01fffffd,0x47ffffe8,0x806ffffd,0x5c4ffffd,0xb80fffff,
    0xfb8fffff,0xf700ffff,0x7dc5ffff,0xf700ffff,0x7dc5ffff,0xf700ffff,
    0x7c45ffff,0xf104ffff,0x003fffff,0xdffd7559,0x5ffffe80,0x13bfffa0,
    0x40bffffd,0x744efffe,0x3a05ffff,0x7f44efff,0x3fa05fff,0x7fdc4eff,
    0x3ee04fff,0x7dc4ffff,0x2e02ffff,0x441fffff,0xf84fffff,0xff54ffff,
    0xff507fff,0x7d45ffff,0xfa83ffff,0x2a2fffff,0xa83fffff,0x42ffffff,
    0x42ffffff,0xffffffe9,0xfffa8001,0x3fffee02,0xffffc84f,0x7fffdc3f,
    0xffffc84f,0x7fffdc3f,0xffffc84f,0x7fffdc3f,0xffffc84f,0x7fffc43f,
    0xfb309eff,0xd10dffff,0x139fffff,0xffffff93,0x3ffff20f,0xfffd98bf,
    0xffff30ff,0xfff97dff,0x4c7fffff,0xbeffffff,0xfffffffc,0x3fffe63f,
    0xfffcbeff,0x6c3fffff,0xdfffffff,0xffffffff,0xffb8001f,0x7fffc02f,
    0xfffddeff,0xfff06fff,0xffbbdfff,0x3e0dffff,0xddefffff,0x06ffffff,
    0xbdffffff,0xdffffffb,0x3ffffea0,0xffffffff,0xff301fff,0xffffffff,
    0x03ffffff,0x3fffffe6,0x5fffffff,0x7fffffe4,0xffffffff,0x7ffe45ff,
    0xffffffff,0x645fffff,0xffffffff,0xffffffff,0x7ffffc45,0xdcffffff,
    0x2e01ffff,0xfffdbaaa,0x7ff4c00f,0xffffffff,0xfd301fff,0xffffffff,
    0x2603ffff,0xfffffffe,0x01ffffff,0xffffffd3,0x3fffffff,0x7ffffdc0,
    0xffffffff,0x7ffd403f,0xffffffff,0x7e402fff,0xffffffff,0x7f441fff,
    0xffffffff,0x47ffff9b,0xffffffe8,0xfff9bfff,0x7fff447f,0x9bffffff,
    0xf987ffff,0xffffffff,0x03ffffb3,0x7ffffffc,0xfb1001ef,0xffffffff,
    0xfd8803ff,0xffffffff,0x7ec401ff,0xffffffff,0x7ec401ff,0xffffffff,
    0xff9801ff,0xffffffff,0xf91001ef,0xffffffff,0x3ea001bf,0xffffffff,
    0x3ffee00e,0x3fe0dfff,0xffb82fff,0x3e0dffff,0xfb82ffff,0x20dfffff,
    0x982fffff,0x2dfffffd,0x807ffff6,0x2defffed,0xfffb7000,0x0017ffff,
    0x7ffffedc,0x2e000bff,0xfffffffd,0x3f6e000b,0x0bffffff,0x3fb2a200,
    0x004effff,0xbffdb930,0xb3000159,0x09ffffff,0x000d54c0,0x001aa980,
    0x00355300,0x000d4c00,0x80000000,0x00019aa8,0x0019aa88,0x019aa880,
    0x19aa8800,0x35510000,0x00000000,0x002aa600,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x70000000,0x00079999,0x33333220,0x97510002,0x80001579,0x220cccc9,
    0x8001cccc,0x003cccca,0x333332a0,0x91000001,0x80079999,0x00199998,
    0x9e664400,0x00199998,0x00999900,0x416ff540,0x7cc005ff,0x002fffff,
    0xeffffc80,0xfffb8000,0x00cfffff,0x1ffff700,0x01ffffc4,0x3ffffe60,
    0x3f60003f,0x00005fff,0x1dffff70,0xffffb000,0x001b221b,0xfaafffd4,
    0x00007fff,0x0003fffb,0xbffffffb,0x4009ffb7,0xffffffe8,0x3e20000f,
    0x4000efff,0xffffffe8,0x000fffff,0x20ffffb8,0x003ffff8,0x7ffffff4,
    0x3fa0000f,0x00000fff,0x00fffff8,0x3fffee00,0x001fffde,0xf53fffc8,
    0x0000ffff,0x000fffee,0x3ffffffe,0x002fffff,0x3f77fff6,0x2e0005ff,
    0x8000ffff,0xfffffffd,0x006fffff,0x20ffffb8,0x003ffff8,0x3f77fff2,
    0x220006ff,0x0004fffe,0x0ffffd40,0x7ffd4000,0x0000cfff,0x3ea3fffd,
    0x00007fff,0x800bfff3,0xfdb9cffa,0x2005ffff,0xe88efffa,0xf0003fff,
    0x30003fff,0x35bfffff,0x07fffff7,0x0ffffb80,0x00ffffe2,0xe87fffd4,
    0x20003fff,0x000fffe8,0x07fffa00,0x7ff4c000,0x10000fff,0x7fd4ffff,
    0x200007ff,0x54007fff,0x1ccb886e,0x3fffe200,0x03fffe61,0x03fff700,
    0x3fffee00,0x4ffffa86,0x00000000,0x445ffff1,0x0001ffff,0x000fffe2,
    0x017ffd40,0x7fff5400,0x000effff,0x2a5fffa8,0x0007ffff,0x003fffa0,
    0x00000000,0x00000000,0x0bffff90,0x001bfffe,0x00000000,0x00000000,
    0x50000000,0x3fea7dff,0xfb8006ff,0x3ffea3ff,0x3200007f,0x00002fff,
    0x00000000,0x5c000000,0x440fffff,0x0005ffff,0x00000000,0x00000000,
    0x44000000,0xffffc82e,0x7ffec004,0x1ffffea1,0xfffa8000,0xdb930004,
    0x8801379d,0xa802aaaa,0x5510aaaa,0x55500555,0x3fe60155,0x7fec5fff,
    0xaa8802ff,0xaaa802aa,0xdc9800aa,0x0009bcee,0x33bb7260,0x2600009b,
    0x09bceedc,0x44d4c000,0x01fffff8,0xf51fffe0,0x6544ffff,0x8800acdd,
    0x54006fff,0xfffffffe,0x3fe602ff,0x3e200fff,0xff31ffff,0x7c401fff,
    0x3a01ffff,0xe8bfffff,0x800fffff,0x00fffff9,0x07ffffe2,0xfffffea8,
    0x4002ffff,0xffffffea,0x54002fff,0xfffffffe,0x6c4002ff,0xfcdfffff,
    0xf3006fff,0xfffa8bff,0xffffd37f,0xfd005fff,0x3f6001ff,0xffffffff,
    0xf980cfff,0x2200ffff,0xf31fffff,0x4401ffff,0x201fffff,0xfffffff9,
    0x003fffff,0x01fffff3,0x0fffffc4,0xffffffd8,0x0cffffff,0xfffffd80,
    0xcfffffff,0xffffd800,0xffffffff,0xfffb800c,0xffffffff,0xfb803fff,
    0x7ffd43ff,0xfffffaff,0x404fffff,0xd802fffc,0xffffffff,0x86ffffff,
    0x00fffff9,0x47ffffe2,0x00fffff9,0x07ffffe2,0xffffff90,0x4007ffff,
    0x00fffff9,0x07ffffe2,0x3ffffff6,0xffffffff,0x7fffec06,0xffffffff,
    0x7fec06ff,0xffffffff,0x6406ffff,0xffffffff,0x7fffffff,0x41fffd80,
    0xfffffffa,0xffffffff,0x3fea03ff,0x7ffdc04f,0xfeccefff,0x4c4fffff,
    0x200fffff,0x31fffff8,0x401fffff,0x01fffff8,0x7fffffc4,0x4c001eff,
    0x200fffff,0x41fffff8,0xeffffffb,0xfffffecc,0xffff704f,0xffd99dff,
    0x2e09ffff,0xceffffff,0xffffffec,0xfffff304,0xffffffff,0xf805ffff,
    0x7fd40fff,0x9befffff,0xffffffeb,0x0dfff100,0x7fffffc4,0xfffff982,
    0x3fffe61f,0x3ffe200f,0xffff31ff,0x7ffc401f,0x3faa01ff,0x0fffffff,
    0xffff9800,0x3ffe200f,0x3ffe21ff,0xff982fff,0x7c41ffff,0x982fffff,
    0x41ffffff,0x2ffffff8,0xffffff98,0xfffffe81,0x3fff620d,0x3e604fff,
    0xfffa86ff,0xff904fff,0x7f409fff,0xfff500ff,0x7fc405ff,0x3fe66fff,
    0x3e200fff,0xff31ffff,0x7c401fff,0xfb01ffff,0xffffffff,0xff30009f,
    0x7c401fff,0x3ea1ffff,0x2202ffff,0x546fffff,0x202fffff,0x46fffff8,
    0x02fffffa,0x1bffffe2,0x09fffff9,0x3fffffe4,0x509fff70,0x80dfffff,
    0x207ffffe,0xf902fffc,0xf900dfff,0x3e61ffff,0x2200ffff,0xf31fffff,
    0x4401ffff,0xd81fffff,0xffffffff,0x2e22ffff,0x3fffe601,0x3ffe200f,
    0x3fff21ff,0xfffc806f,0x3fff20ff,0xfffc806f,0x3fff20ff,0xfffc806f,
    0x3fffa0ff,0x7ff400ff,0xffb01fff,0xffff505f,0xfffb805f,0xfff500ff,
    0x3ffffa07,0xffff9802,0xfffff31f,0x7fffc401,0xfffff31f,0x7fffc401,
    0x7fffe41f,0xffffdbff,0xbfff70ff,0xfffff985,0x3fffe200,0x3ffffa1f,
    0xffff9802,0x3ffffa1f,0xffff9802,0x3ffffa1f,0xffff9802,0x3ffffe1f,
    0xffffa804,0x1ffff02f,0x1fffff50,0xfffff980,0x0bfff101,0x03fffff1,
    0x5fffff10,0x03ffffe6,0x1fffff88,0x01fffff3,0x0fffffc4,0x3ffffff3,
    0xb7fffff4,0x4c3ffffe,0x200fffff,0x11fffff8,0x003fffff,0x25fffff1,
    0x01fffff8,0x2fffff88,0x03fffff1,0x5fffff10,0x0bffffe2,0x3ffffe60,
    0x06fff883,0x00fffff5,0x05fffff1,0x7d43fffc,0xf000ffff,0x3e69ffff,
    0x2200ffff,0xf31fffff,0x4401ffff,0x361fffff,0x441fffff,0xfdffffff,
    0x7cc0ffff,0x2200ffff,0xf51fffff,0x2001ffff,0xf54fffff,0x2001ffff,
    0xf54fffff,0x2001ffff,0xf54fffff,0x1003ffff,0x509fffff,0x3ea09fff,
    0xff007fff,0x7ec07fff,0x7ffd41ff,0xfff001ff,0x3ffe67ff,0x3fe200ff,
    0xfff31fff,0x7fc401ff,0x3ffe1fff,0xfff306ff,0xdfffffff,0x1fffff30,
    0x7ffffc40,0x3fffff51,0x3ffffe00,0x3fffff53,0x3ffffe00,0x3fffff53,
    0x3ffffe00,0x5fffff33,0xfffff100,0x05fff905,0x01ffffea,0x017ffffc,
    0xf987fff7,0x8802ffff,0xf32fffff,0x4c01ffff,0xf31fffff,0x4c01ffff,
    0xf11fffff,0x5c07ffff,0xffffffff,0xffff982f,0x3ffe600f,0xffff31ff,
    0xfff1005f,0x3ffe65ff,0xff8802ff,0xfff32fff,0xff1005ff,0x3fe25fff,
    0xf9803fff,0xfe81ffff,0xfff500ff,0xff8801ff,0x3e601fff,0x7ffc45ff,
    0xffa803ff,0xfff30fff,0x7fd403ff,0xfff31fff,0x7fd403ff,0xfff31fff,
    0xffc807ff,0x306fffff,0x403fffff,0x11fffffa,0x007fffff,0x21fffff5,
    0x03fffff8,0x0fffffa8,0x07fffff1,0x1fffff50,0x027ffffc,0x07ffffd4,
    0xa81bffe2,0x402fffff,0x00fffff9,0x7f43fffc,0x7400ffff,0x3e67ffff,
    0x2e01ffff,0xf31fffff,0x5c03ffff,0x3e1fffff,0xe806ffff,0x04ffffff,
    0x03fffff3,0x0fffffdc,0x01fffffd,0x47ffffe8,0x00fffffe,0x23fffff4,
    0x00fffffe,0x23fffff4,0x00fffffd,0x43fffff4,0x2a04fffa,0x405fffff,
    0x807ffffd,0x7dc1fffd,0x2e04ffff,0x224fffff,0x104fffff,0x23ffffff,
    0x04fffff8,0x3ffffff1,0x0ffffff4,0xffffff70,0xfff10bff,0x3fe209ff,
    0x3ee1ffff,0x2e04ffff,0x5c4fffff,0x204fffff,0x44fffffb,0x04fffffb,
    0x13ffffee,0x0bfffff5,0x1fffffe4,0x501fffe4,0x05ffffff,0x17ffffe6,
    0x10fffee0,0x3dffffff,0x3ffff661,0xfffff86f,0x7fff4c2f,0x3ffe1fff,
    0x7f4c2fff,0x2e1fffff,0x1dffffff,0xfffffd51,0x83dfffff,0x42ffffff,
    0xffffffe9,0x3ffffe21,0xffb309ef,0xff10dfff,0x213dffff,0x6fffffd9,
    0xffffff88,0xfffb309e,0x3ff60dff,0x3661efff,0xd06fffff,0x7d403fff,
    0x0bffffff,0x3fffffea,0x5fff9801,0xffffffa8,0xffffffff,0xfffd81ff,
    0xfffdffff,0x21ffffff,0xfffffffd,0xfffffffd,0x7fff41ff,0xffffffff,
    0xffffffff,0x3f63ffff,0xfdffffff,0xffffffff,0x7ffffd41,0xffffffff,
    0xff501fff,0xffffffff,0x03ffffff,0x3fffffea,0xffffffff,0xfff101ff,
    0xffffffff,0x103fffff,0xfa80ffff,0xffffffff,0xfffffffe,0x1fffe004,
    0x7fffffdc,0xffffffff,0xfffff103,0xb9ffffff,0x7c43ffff,0xffffffff,
    0xffffdcff,0x7ffffcc1,0xffffffff,0xffffedff,0x3ffe20ff,0xffffffff,
    0x81ffffdc,0xfffffffb,0x3fffffff,0x7ffffdc0,0xffffffff,0x7ffdc03f,
    0xffffffff,0x7d403fff,0xffffffff,0x503fffff,0xfa80bfff,0xfffdcfff,
    0xffffffff,0x3fff6000,0xfffff300,0x3dffffff,0xfffff980,0xffb3ffff,
    0xfff983ff,0xb3ffffff,0xb103ffff,0xffffffff,0x7e45ffff,0xff981fff,
    0x3fffffff,0x203ffffb,0xfffffff9,0x001effff,0xfffffff3,0x003dffff,
    0x3fffffe6,0x01efffff,0xfffffd10,0x03dfffff,0x201fffe4,0xf94ffffa,
    0xbfffffff,0xfffb8001,0x3fb2a202,0x004effff,0x3fffff66,0x3ffff62d,
    0xffffd981,0x3fff62df,0x3ffaa01f,0x0cefffff,0x2603ff98,0x2dfffffd,
    0x807ffff6,0xffffeca8,0xa88004ef,0xefffffec,0xeca88004,0x04efffff,
    0xffffd700,0xfd009dff,0xffa803ff,0x3ffae4ff,0x50004fff,0x44009fff,
    0x980001aa,0x2600001a,0x8800001a,0x71001aaa,0x000d4c00,0x01aa8800,
    0x0d544000,0x2aa20000,0x54c00001,0x5554001a,0x2a200002,0xaa80000a,
    0x0000002a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x004c4000,0x99731000,0x00000355,0x01379751,
    0x55555300,0x2aaaa200,0xba88000a,0x001abcec,0x00266000,0x004ccccc,
    0x03333310,0x0000cc40,0xcecba880,0x800001ab,0x54000018,0x2effffec,
    0xfffd8800,0x3fffffff,0x3f722000,0xffffffff,0xfff5002e,0xff9005ff,
    0xda800dff,0xffffffff,0x980002ef,0x3fffffec,0x3ffffe20,0x3ffea003,
    0x3faa01ff,0x00cfffff,0x7ffed400,0x2effffff,0x7ff5c000,0x0001ceff,
    0x3ffffff6,0x5000dfff,0xffffffff,0x05ffffff,0xfffffa80,0xffffffff,
    0xfff800df,0xfff804ff,0xfd3004ff,0xffffffff,0x005fffff,0x3ffffea0,
    0x881effff,0x003fffff,0x07ffffea,0x3fffffa6,0x003fffff,0xfffffe98,
    0xffffffff,0x7f44002f,0xffffffff,0x7ff44003,0xffffffff,0x7fdc00ff,
    0xffffffff,0x02ffffff,0xffffff90,0xffffffff,0xfc805fff,0x7cc07fff,
    0xb801ffff,0x9abfffff,0xfffeba99,0x7fe4004f,0xffffffff,0x7ffc40ff,
    0x3ea003ff,0x7c41ffff,0xffffffff,0x2003ffff,0xacfffffb,0xffeba999,
    0xff3004ff,0xffffffff,0x7ec009ff,0xffffffff,0x2a05ffff,0xffffffff,
    0xffffffff,0x7fec00ff,0xffffffff,0xffffffff,0x3ffe603f,0x3ff202ff,
    0xffd806ff,0xfb3002ef,0xf9001dff,0xffffffff,0xf88dffff,0x2003ffff,
    0x41fffffa,0xfffffffd,0x1fffffff,0x2efffd80,0xdfffb300,0xffffe801,
    0xffffffff,0xfff8803f,0xfeb9beff,0xfb02ffff,0x233bffff,0xfffffc98,
    0x3ffea05f,0x9acdffff,0xfffffeca,0x3ffa00ff,0x3ffe04ff,0x7fe403ff,
    0xff70004f,0xfff880bf,0xfeb9aeff,0x3e21ffff,0x2003ffff,0x21fffffa,
    0xbefffff9,0xfffffc98,0x1fffe405,0x5fffb800,0x3fffff20,0xffffc9ae,
    0x7fdc00ff,0xfff886ff,0xffff04ff,0xfffa809f,0xfff107ff,0xb805ffff,
    0x05ffffff,0x41ffffee,0x00fffff9,0x000bffea,0x407fff30,0x80effffc,
    0x224fffff,0x003fffff,0x87ffffea,0x80fffffa,0x207ffffb,0x0402fffa,
    0x20fffe60,0x84fffff8,0x03fffffa,0x81fffff4,0xa86ffffd,0x800fffff,
    0x81fffffc,0x0efffffd,0xfffff300,0x3ffe203f,0xfffc82ff,0x3ffe205f,
    0xdddddd13,0xf50159dd,0xfff103ff,0x3ff205ff,0x3ffe25ef,0x3ea003ff,
    0x3f21ffff,0xff105fff,0xff101fff,0x3fb2a07f,0xffa80adf,0x7fffcc1f,
    0x3ffff607,0x765d4407,0xbffff900,0x3fffff70,0xfffff500,0xfffff885,
    0x7fdc001f,0x3f606fff,0xffe84fff,0x3ff202ff,0x3ffffe25,0x80ffffff,
    0xffb84ffc,0x026207ff,0x1fffffc4,0xfffff500,0x1ffffdc3,0x01fffff0,
    0x3f60bff9,0x2fffffff,0x7dc4ffc8,0x3e605fff,0x0002ffff,0x07fffff0,
    0x1bfffff3,0x3fee0000,0xd0005fff,0x203fffff,0x4c7ffffa,0x7c07ffff,
    0x3ffe20ff,0xfffeeecc,0xd81fff07,0x0005ffff,0x0fffffe2,0xfffffa80,
    0x1bfffe61,0x82ffffcc,0xffc80fff,0xffffdcef,0x320fff81,0x2204ffff,
    0x003fffff,0xfffffa80,0xfffff880,0x40001cff,0x01fffffd,0xfffff700,
    0x7ffffc05,0x13ffff22,0x7c45ffa8,0x3fff707f,0xfe87ff90,0x00c44fff,
    0x3fffff88,0x3fffea00,0x7ffffc1f,0x3ffffc81,0xfb85ffa8,0x7ffc42ff,
    0x363ffc85,0x7c04ffff,0x0004ffff,0xfffff933,0x7fffec09,0x0bdfffff,
    0x7ffffc00,0x3fe60007,0x3f203fff,0x3ffa4fff,0x3ff601ff,0xd03ffc42,
    0xdff107ff,0x93ffffe8,0x409dffff,0x03fffff8,0x3ffffea0,0x7ffffdc1,
    0xffffebad,0x81ffd80f,0xdf503ffe,0x5cdff309,0x2205ffff,0x005fffff,
    0xfffffff0,0xfffe8807,0xffffffff,0x7fc401ce,0x20006fff,0x05fffff8,
    0x4dffffe6,0x7406ffff,0x3ffc40ff,0x3a03fff0,0x7ffffc7f,0xffffffeb,
    0xfff880ef,0x3ea003ff,0xfa81ffff,0xffffffff,0xffd00eff,0x401fff10,
    0xf53ffc00,0x7cc0dfff,0x8006ffff,0x2ffffff9,0xfffff300,0xffffffff,
    0x3fe203df,0x40005fff,0x406fffff,0xfc9ffffe,0x7fc03fff,0x447ff887,
    0x3606ffd9,0xffff10ff,0xffffffff,0xf883ffff,0x2003ffff,0x01fffffa,
    0xfffffff1,0x7ff80bff,0x0006ffa8,0xff987ff4,0xff901fff,0x5000dfff,
    0x7dffffff,0xfffb1001,0xffffffff,0xff303fff,0x80009fff,0x407ffffe,
    0xfecffffb,0x3e200fff,0xffff886f,0x2fffffff,0x7cc7ff20,0xffffffff,
    0x6ffffffd,0x1fffffc4,0xfffff500,0xffffb103,0x19ffffff,0xf70dff10,
    0xfd8000bf,0x3ffffa1f,0x3ffee22e,0xb8007fff,0xffffffff,0xffb5000e,
    0xffffffff,0xff985fff,0x40004fff,0x407ffffe,0xfffffff8,0x7fc406ff,
    0xfffff886,0xc803efff,0xffff31ff,0x32219fff,0x223fffff,0x003fffff,
    0x07ffffea,0xfffffff3,0x1dffffff,0xfc86ff88,0x7ec0005f,0x3fffe61f,
    0xffffceff,0x8007ffff,0xffff9108,0xfb5000df,0xffffffff,0x7ffc43ff,
    0x7c0005ff,0xd806ffff,0xffffffff,0x887ff803,0xffecbfff,0x0ffd802e,
    0x7ffffff3,0x9fffff20,0x03fffff8,0x3ffffea0,0x3ffffe21,0xfffea9ae,
    0x87ff85ff,0x40006ffb,0x7fe40ffe,0xffffffff,0x006fffff,0xfffff300,
    0x6dc40007,0x5fffffff,0x037ffffc,0xfffff100,0xffff5009,0xd001ffff,
    0x7ff881ff,0x200fffdc,0x3ffe27fe,0x3fe207ff,0xfff10fff,0x7d4007ff,
    0x3ee1ffff,0xfa80efff,0x7f40ffff,0x00fff987,0x3fe015b1,0xfffff707,
    0xfffbdfff,0x7c0000bf,0x0006ffff,0xfffffb10,0x7fffec1f,0x3fe60007,
    0xff003fff,0x00bfffff,0xff10bff6,0x40dffb0f,0x7ffc6ff8,0x7ffc06ff,
    0xffff11ff,0x7fd4007f,0x3ff61fff,0x3ffa03ff,0x17fec3ff,0x640fffe2,
    0x6ff987ff,0x3ffffa60,0xbffffb4f,0x7fe40000,0x2ea627ff,0x7ff4004c,
    0x3ff21fff,0x90002fff,0x005fffff,0x3ffffff2,0x8bff5002,0xff987ff8,
    0x87ff904f,0x405ffffe,0x3e2ffffe,0x2004ffff,0x21fffffb,0x201fffff,
    0x545ffffc,0xfffb85ff,0x13ffea0b,0x2200fff2,0x7fff41a9,0x2a00004f,
    0xf50fffff,0x4005ffff,0x21fffffb,0x06fffffb,0xfffff880,0xfff3001f,
    0xff800fff,0x41ffe20f,0xff80fffc,0x7fffec0f,0x7ffff406,0x17ffffe2,
    0xfffffc80,0x0fffff30,0x87ffff98,0xffe80fff,0xffffecff,0x007ffc40,
    0x3ffffe00,0xffdb9303,0x7ffffb80,0x13ffffe2,0xfffffb80,0x3ffffe20,
    0x7fe4003f,0x22006fff,0x004fffff,0xff12ffe4,0x17ffe20f,0xffb09ff9,
    0xfff80fff,0x3fffa1ff,0xffd000ff,0x7ffccfff,0x3fea00ff,0x5ffc87ff,
    0xfffffd88,0xffd81fff,0x7fc40004,0xff302fff,0x7ec05fff,0x7ff46fff,
    0xfd001fff,0xff70dfff,0x2005ffff,0x1ffffffb,0x3ffff200,0x7fc4001f,
    0x40ddd13f,0xff51eeeb,0xffff303f,0x3ffe205f,0x3fff60ff,0xffa805ff,
    0x3fe26fff,0x3ee01fff,0xff886fff,0xfffd703f,0xfff5019f,0xffedc883,
    0xdffff901,0x6fffff80,0x9fffff50,0xffffffc8,0x3fff6202,0xfffd04ff,
    0x6c409fff,0x04ffffff,0x3ffffe20,0xfff50006,0xff980005,0x3fffa02f,
    0xfffc80ef,0x7fffd46f,0x3fe603ff,0x7f43ffff,0xff106fff,0x3ea09fff,
    0x004402ff,0x3a05fff5,0xf885ffff,0x6403ffff,0x8befffff,0xffffffea,
    0x7ffffc40,0xcbaabdff,0x1fffffff,0xffffff30,0xfd959bff,0x1fffffff,
    0x7fd44620,0x0002ffff,0x0013fff2,0x202fffdc,0xaefffffa,0xfffffea8,
    0xfffffe83,0xfdcabcef,0xc87fffff,0x8befffff,0xffffffb8,0x13fff202,
    0x2fffe400,0x9fffff90,0x3ffffaa3,0xfffe8807,0xffffffff,0xff303fff,
    0xffffffff,0xffffffff,0xffffc80d,0xffffffff,0x2fffffff,0x3ffffea0,
    0x0006ffff,0x02efffd8,0x1bfffd50,0xfffffd00,0xffffffff,0x3fffea0d,
    0xffffffff,0x83ffffff,0xffffffe8,0xffffffff,0xefffd805,0xffea800b,
    0x3fe600df,0xffffffff,0x3003ffff,0xffffffff,0x80bfffff,0xfffffffc,
    0xffffffff,0xffa800ef,0xffffffff,0x1effffff,0x7ffffcc0,0x0002ffff,
    0x9fffff70,0xff953355,0x4c007fff,0xfffffffe,0x201fffff,0xfffffffb,
    0xffffffff,0xfff300df,0xffffffff,0x2e001fff,0xabcfffff,0xffffcba9,
    0xfff7003f,0xffffffff,0xfea8009f,0xffffffff,0xffd5003f,0xffffffff,
    0x4001bfff,0xffffffd8,0x3fffffff,0xfffff100,0x00007fff,0xfffffe98,
    0xffffffff,0xfd88001e,0xffffffff,0xffe9801e,0xffffffff,0xea803fff,
    0xffffffff,0x4c000dff,0xfffffffe,0x1effffff,0x7fffec00,0x02ffffff,
    0x3fffee00,0x8000dfff,0xffffffeb,0x0001dfff,0x3ffffb2a,0x001cdfff,
    0x6ffffffc,0x26000001,0xfffffffd,0x80002dff,0xffffffeb,0x7f644003,
    0xffffffff,0x7fdc000d,0x02ffffff,0x7ffecc00,0x2dffffff,0x3ffaa000,
    0x001dffff,0x01553100,0x554cc000,0x000001aa,0x00013551,0x00013310,
    0xca988000,0x0000aacc,0x009a9880,0xaaa98800,0x880001aa,0x00009aa9,
    0x66654c40,0x200000aa,0x0000aaa9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x1abcb980,
    0x2aa20000,0x009abccc,0x99880000,0x26000099,0x80009999,0x009acca9,
    0x676dd400,0x2aaaa60a,0x33333301,0x01333333,0x2aaaaa00,0x03333330,
    0x04ccccc0,0x81e66664,0x01ccccc8,0x80355555,0x001aaaa9,0xfffffea8,
    0x20001eff,0xffffffda,0x001cffff,0x3fffa000,0x3fe0004f,0xd7005fff,
    0xffffffff,0xfe98007f,0x72ffffff,0xf107ffff,0xffffffff,0x19dfffff,
    0x3ffffe00,0x3fffff92,0xfffff700,0xeffffb85,0xfffffb00,0x3ffffa0d,
    0x7fffec03,0x7ffdc005,0xffffffff,0x7ff44004,0xffffffff,0x000dffff,
    0xffffe800,0x3ffe0004,0x7f4405ff,0xffffffff,0xb801efff,0xffffffff,
    0xffffbaff,0xfffff883,0xffffffff,0xf803ffff,0xff12ffff,0xf880bfff,
    0xfe86ffff,0xff701fff,0xd09fffff,0xd807ffff,0x2005ffff,0xfffffffc,
    0x03ffffff,0xffffff50,0xffffffff,0x0001dfff,0x4ffffe80,0x3fffe000,
    0x3ffee05f,0xffffffff,0x203fffff,0xfffffff9,0xffefffff,0xfff883ff,
    0xffffffff,0xefffffff,0x3ffffe01,0x3fffff22,0x3fffee01,0x7fffd42f,
    0x7ffff301,0xfe83ffff,0x7ec03fff,0xf7005fff,0xfbffffff,0x03ffffff,
    0xffffffa8,0xffffffff,0x00efffff,0x3fffa000,0x3fe0004f,0xff905fff,
    0xffffffff,0xffffffff,0x3ffffa03,0xffdb9bef,0x883fffff,0xffffffff,
    0xffffffff,0xff01ffff,0x7fc45fff,0x3fe04fff,0xffe86fff,0x3fffa02f,
    0x41dfff73,0x403ffffe,0x005ffffd,0x45dffffb,0x4fffffb8,0x3ffffe20,
    0xa99bceff,0xfffffffc,0x3fa00004,0x20004fff,0x985fffff,0xcfffffff,
    0xfffeb99b,0x7d40ffff,0xf705ffff,0x107fffff,0x99dfffff,0xfffdb999,
    0x3e0bffff,0x7ec2ffff,0xfb80ffff,0x7cc2ffff,0x3ff202ff,0x27ffec5f,
    0x807ffffd,0x005ffffd,0x205fffff,0x206ffffe,0x3ffffffe,0x7ffff440,
    0xd00000ff,0x0009ffff,0x42fffffc,0x0efffffe,0x3ffffee0,0x7ffff43f,
    0x3fff600f,0xfff883ff,0x7ec403ff,0x002fffff,0x9fffff30,0x0dffffd0,
    0x74000000,0x6c03ffff,0xa805ffff,0x2e07ffff,0xb80effff,0x01ffffff,
    0xffffff30,0x3fa00007,0x20004fff,0x545fffff,0x005fffff,0x8dfffff7,
    0x404fffff,0x83fffff9,0x03fffff8,0xdfffff50,0x7ffec000,0x3ffea0ff,
    0x000002ff,0x3ffffa00,0x7fffec03,0xffffb805,0x2004d405,0x02fffffe,
    0x77fffe40,0x76dd4403,0x3fffa0ac,0x3fe0004f,0x7ffc5fff,0x3a000fff,
    0xf10dffff,0xf005ffff,0xf107ffff,0x4007ffff,0x83fffffd,0xff301ffe,
    0x7ff47fff,0x555106ff,0xaa880155,0xffd00aaa,0xffd807ff,0xff9805ff,
    0x980006ff,0x006fffff,0x26003790,0xfffffffe,0x09ffffd2,0x7ffffc00,
    0x3ffffe65,0x0ded4004,0x0fffffcc,0x1fffff40,0x1fffffc4,0xfffff300,
    0x405fff0d,0xf57ffffd,0x2205ffff,0x401fffff,0x01fffff8,0x807ffffd,
    0x805ffffd,0x007ffff8,0xfffffc80,0xb8000002,0xffffffff,0xffffebff,
    0x3ffe0004,0x3ffee5ff,0x400001ff,0x00fffffa,0x83ffffd8,0x03fffff8,
    0x3fffff40,0x980fffe2,0xfdafffff,0x3e206fff,0x4401ffff,0xd01fffff,
    0xd807ffff,0xf005ffff,0x0003ffff,0x0fffffd8,0x7d400000,0xffffffff,
    0xffffffff,0x3ffe0004,0x3fff25ff,0x400000ff,0x01fffff9,0x83ffffe8,
    0x03fffff8,0x7ffffe40,0x00fffe21,0xffdffffb,0x7c405fff,0x4401ffff,
    0xd01fffff,0xe809ffff,0x2205ffff,0xcffffe99,0x00099999,0x00fffffd,
    0xfffd0000,0xfb737dff,0x09ffffff,0x7ffffc00,0x1fffff65,0x3fe20000,
    0xff802fff,0xff883fff,0x5c003fff,0x262fffff,0x7cc04fff,0xffffffff,
    0x7fffc406,0x7ffc401f,0xfffd01ff,0xfffe809f,0x3fff605f,0xffffffff,
    0xfff004ff,0x33300dff,0x33333333,0xfffffa83,0xffffb80d,0x3e0004ff,
    0x3fa5ffff,0x00006fff,0x09fffff0,0x3fffff98,0x3ffffbba,0x3eeeeeef,
    0x5fffff70,0x3e2fffd4,0xffffffff,0xffffffff,0x3ffe25ff,0x7fc401ff,
    0xffd01fff,0xfff80bff,0x3ff605ff,0xffffffff,0xff004fff,0xff00bfff,
    0xffffffff,0x7fff43ff,0x3ff600ff,0x20004fff,0x3e5fffff,0x0005ffff,
    0xfffffd00,0x7ffff401,0x3ffffe3f,0xffffffff,0xffff504f,0x37ffdc7f,
    0x3ffffffe,0xffffffff,0x3e25ffff,0x4401ffff,0xd01fffff,0x201fffff,
    0x05fffff9,0x3ffffff6,0x4fffffff,0xdfffff00,0xffffff00,0x43ffffff,
    0x404fffff,0x04fffffa,0x3ffffe00,0xdfffff15,0x3ea00000,0xc80dffff,
    0x23ffffff,0xffffffff,0x04ffffff,0x47fffff5,0x7fc7fffc,0xffffffff,
    0xffffffff,0x3fffe25f,0x7ffc401f,0xfffd01ff,0x3ffa07ff,0x3f605fff,
    0xffffffff,0xf004ffff,0xf00fffff,0xffffffff,0x3fe23fff,0x7c402fff,
    0x0004ffff,0xf97ffffe,0x0006ffff,0x3ffffe00,0xffecacff,0x323fffff,
    0xefffffcc,0x702ccccc,0x643fffff,0x7ffc7fff,0xffffffff,0xffffffff,
    0x3ffffe25,0x7fffc401,0xffffd01f,0x3f6617ff,0x005fffff,0x013ffff6,
    0xfffffe80,0x7ffffc00,0x1fffffff,0x03fffff3,0x09fffff0,0x7ffffc00,
    0x1fffff65,0xffb80000,0xffffffff,0x3fffffff,0x3fffff88,0x7fffe400,
    0x3ffff60f,0x26666660,0x9cffffe9,0x22099999,0x401fffff,0x01fffff8,
    0xfffffffd,0xffffffff,0x7ec00bff,0x20003fff,0x01fffffd,0x76666664,
    0xf51fffff,0xd001ffff,0x0009ffff,0x92fffffc,0x001fffff,0x3fee0010,
    0xffffffff,0x83ffffe9,0x03fffff8,0x3ffffe40,0x007ffffa,0x01fffff4,
    0x1fffff88,0x7ffffc40,0xfffffd01,0xffffffff,0x400bffff,0x001fffff,
    0x3ffffee0,0xfff70004,0x3ffe63ff,0xffe801ff,0x803304ff,0x2e4fffff,
    0x002fffff,0x200df7d4,0xfffffffa,0x7ffffd1f,0x7fffff10,0xffffe800,
    0x17ffffc6,0xf9999999,0x999dffff,0x7fc47999,0x7c401fff,0xfd01ffff,
    0xfffb7fff,0xffff5fff,0x3ffea00b,0x220000ff,0x00ffffff,0xfffffb80,
    0x3fffff11,0x9fffff00,0x03ffffa6,0x24fffff8,0x05fffffa,0x77fffec0,
    0x3bb2a201,0x3fffa0ac,0xffff883f,0x3fe6003f,0x7ffc5fff,0x3fffe2ff,
    0xffffffff,0x5fffffff,0x07ffffe2,0x3fffff10,0x2fffffa0,0xa9efffe8,
    0xb005ffff,0x0009ffff,0x9fffffb0,0xffff7000,0x7ffffc3f,0x7fffc403,
    0xfffff14f,0x3fffe203,0x3fffe24f,0xff3001ff,0x0000ffff,0x20bffffe,
    0x03fffff8,0x3fffff20,0x3ffffe23,0x3fffffe3,0xffffffff,0x225fffff,
    0x401fffff,0x01fffff8,0x447ffffd,0xfb80001a,0x00006fff,0x7ffffff5,
    0x7fff4c00,0x3fffa1ff,0x7ffe406f,0x3fffe4ff,0xffff503f,0xffffa85f,
    0xffe800ef,0x55d43fff,0xffff0009,0xffff103f,0x3ff2007f,0x7fcc6fff,
    0x3ffe4fff,0xffffffff,0xffffffff,0x3ffffe25,0x7fffc401,0xffffd01f,
    0xf7000007,0x5533ffff,0xf9004c01,0x01bfffff,0x7ffffec4,0x3fff21ff,
    0xfff103ff,0x7ff49fff,0xffd81fff,0xffd81fff,0xd301efff,0x81ffffff,
    0x05fffffc,0x03ffffea,0x0fffffe2,0xfffffb10,0xffff983f,0x3bbbba4f,
    0xefffffee,0x24eeeeee,0x01fffff8,0x0fffffc4,0x03ffffe8,0x7ffd4000,
    0xffffffff,0x4fecabde,0x3ffffa20,0xdbbcefff,0xfffffffe,0x3ffe21ff,
    0x3ea0bfff,0x24ffffff,0xcffffffc,0xfffffeca,0xfffff306,0xfb759dff,
    0x09ffffff,0x5ffffff5,0x7fffdcc1,0xffff106f,0xdddddddf,0xffffffff,
    0xfffff309,0x3fffa009,0xfff1003f,0xff8803ff,0xffd01fff,0x800007ff,
    0xfffffffb,0xffffffff,0x2600ffff,0xffffffff,0xffffffff,0xb85fffff,
    0xefffffff,0xffffffff,0x3fffe24f,0xffffffff,0x3f202fff,0xffffffff,
    0xffffffff,0xfffff105,0xffffdfff,0x2203ffff,0xffffffff,0xffffffff,
    0xf980ffff,0xd004ffff,0x2007ffff,0x01fffff8,0x0fffffc4,0x03ffffe8,
    0xffff8000,0xffffffff,0x3fffffff,0x7ffff440,0xffffffff,0x02ffffff,
    0x3ffffffa,0xffceffff,0x7ffdc4ff,0xffffffff,0xffa804ff,0xffffffff,
    0x406fffff,0xfffffffa,0xffffffff,0x3fffe204,0xffffffff,0x1effffff,
    0x9fffff30,0x3ffffa00,0xffff1003,0xfff8803f,0xfffd01ff,0x9000007f,
    0xffdfffff,0xffffffff,0x3f200fff,0xffffffff,0x03ffffff,0xffffffb0,
    0xfff71bff,0xffff709f,0x9fffffff,0x7ffec400,0xffffffff,0xffb800cf,
    0xffffffff,0x7c403fff,0xffffffff,0xefffffff,0x7fffcc02,0xfffd004f,
    0x3fe2007f,0x7c401fff,0xfd01ffff,0x00007fff,0x8815df10,0xfffffedb,
    0x2a2002df,0xfffffffe,0xb8001bce,0x24effffe,0x104ffffb,0xfffffffb,
    0x36e0003b,0xfffffffe,0xfdb8000c,0xceffffff,0xffff8800,0xffffffff,
    0xd3002cee,0x2007dddd,0x003ffffe,0x03fffff1,0x1fffff88,0x05ddddb0,
    0x80060000,0x0009aa98,0x01aa9980,0x05544000,0x55530000,0x44000013,
    0x00009aa9,0x0004ccc0,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x22000000,0x99999999,0x99999999,0x99999999,0x3bbbb601,
    0xeeeeeeee,0x4ccccc2e,0x26600000,0x99999999,0x33000099,0x33333333,
    0x33333333,0x06200133,0x99999998,0x99999999,0x31001999,0x00001355,
    0x5446aaaa,0x6dcc1aaa,0x4cc00acd,0x4c000999,0x00009999,0xfffffffd,
    0xffffffff,0xffffffff,0x3ffe20ff,0xffffffff,0x3fe23fff,0x00004fff,
    0xfffffff1,0xdfffffff,0xfff10019,0xffffffff,0xffffffff,0x07f700bf,
    0x3fffffe2,0xffffffff,0x201fffff,0xfffffffb,0xf50001df,0x3fea7fff,
    0xfffd15ff,0x2205ffff,0x004fffff,0x0bffffe6,0x3fffe600,0xffffffff,
    0xffffffff,0x307fffff,0xffffffff,0x47ffffff,0x04fffff8,0xffff1000,
    0xffffffff,0x807fffff,0xfffffff8,0xffffffff,0x205fffff,0xf103ffe9,
    0xffffffff,0xffffffff,0xffd503ff,0xffffffff,0xfe80019f,0xfff53fff,
    0xfffff3bf,0x109fffff,0x009fffff,0x17ffffcc,0x7fffec00,0xffffffff,
    0xffffffff,0x707fffff,0xffffffff,0x47ffffff,0x04fffff8,0xffff1000,
    0xffffffff,0x3dffffff,0x3ffffe20,0xffffffff,0x5fffffff,0x07ffffb0,
    0x3fffffe2,0xffffffff,0x5c1fffff,0xffffffff,0x0effffff,0xfffff900,
    0x3bfffea7,0xffffffff,0x7c43ffff,0x2004ffff,0x02fffff9,0x7ffffcc0,
    0xffffffff,0xffffffff,0x907fffff,0xffffffff,0x47ffffff,0x04fffff8,
    0xffff1000,0xffffffff,0xffffffff,0xfffff103,0xffffffff,0xbfffffff,
    0x0fffffe0,0x7fffffc4,0xffffffff,0x261fffff,0xefffffff,0xffffffec,
    0xffffc805,0xffff53ff,0xd959ffff,0x41ffffff,0x04fffff8,0x3ffffe60,
    0x7ffec002,0x3ffff27f,0xcccccccf,0x04cccccc,0x335ffffd,0x13333333,
    0x27ffffc4,0xfff88000,0xccccceff,0xffffffed,0xffff885f,0xccccccef,
    0xcccccccc,0x7fffff03,0x3ffffe20,0xccccccce,0x10cccccc,0x39ffffff,
    0xfffffc88,0xffffb103,0x3fea7fff,0xd80dffff,0x224fffff,0x004fffff,
    0x0bffffe6,0xfffff880,0x1fffff23,0xffff0000,0x3fe2000f,0xeeeeefff,
    0x00bcdeee,0x0fffffe2,0xfffffb30,0xffff885f,0xf800004f,0xf103ffff,
    0x0009ffff,0x2fffffa8,0x2fffff40,0x7fffffdc,0xfff53fff,0x7f401fff,
    0x3fe27fff,0x26004fff,0x002fffff,0x83fffff2,0x007ffffc,0x3fffe200,
    0xfff10006,0xffffffff,0x19ffffff,0x7fffff10,0x3fffea00,0x7fffc46f,
    0x5100004f,0x5bfffff5,0x3ffe2155,0x640004ff,0xb805ffff,0x3aa7ffff,
    0xffffffff,0xffff53ff,0xfffa807f,0xffff10ff,0x7fcc009f,0xf1002fff,
    0xfc89ffff,0x00007fff,0x017fffea,0x7ffffc40,0xffffffff,0x40efffff,
    0x03fffff8,0x3fffffa0,0x3ffffe23,0xff500004,0xffffffff,0x3fffe21f,
    0x7ec0004f,0xf8802fff,0xffd1ffff,0xffffffff,0x3fffea7f,0x7ffc401f,
    0xffff11ff,0x7fcc009f,0xf7002fff,0xfc81ffff,0x00007fff,0x26fffff2,
    0x200acddb,0xfffffff8,0xffffffff,0x7c46ffff,0x2003ffff,0x25fffff9,
    0x04fffff8,0xffff5000,0x1fffffff,0x13ffffe2,0x00298000,0x74fffff5,
    0xfe8effff,0xfff53fff,0xfff001ff,0x3ffe25ff,0x3e6004ff,0xf002ffff,
    0xf90bffff,0x0000ffff,0x7fffffec,0x03ffffff,0xddfffff1,0xffffffdd,
    0x445fffff,0x003fffff,0x13fffff4,0x009fffff,0x3fffea00,0x0fffffff,
    0x09fffff1,0x36000000,0x3fa5ffff,0x3fffa4ff,0xfffff53f,0x3ffffe00,
    0x9fffff13,0x7fffcc00,0xfffb802f,0xfffc81ff,0x999999ff,0x00999999,
    0xffffffff,0x1bffffff,0x4fffff88,0x3fffea20,0x3ffe26ff,0x7e4003ff,
    0xff11ffff,0x33339fff,0x33333333,0xffeea813,0x0eeeefff,0x09fffff1,
    0xfb000000,0x7f45ffff,0x7ffff41c,0x1fffff53,0x7fffff00,0x13ffffe2,
    0xfffff980,0xffffe802,0xfffff906,0xffffffff,0xf10dffff,0xffffffff,
    0x89ffffff,0x04fffff8,0xffffff98,0x7fffff10,0xffffb800,0xfffff11f,
    0xffffffff,0x0bffffff,0x81fffffc,0xeffffff8,0xeeeeeeee,0x220001ee,
    0x45fffffd,0xffffd00b,0x3ffffea7,0x7fffc401,0xfffff12f,0xffffffff,
    0xffffffff,0xfffa805f,0xfff902ff,0xffffffff,0x0dffffff,0xbffffff3,
    0xfffffb77,0x7fffc43f,0xfffb004f,0x3ffe23ff,0x7dc003ff,0xff12ffff,
    0xffffffff,0xffffffff,0x7fffc0bf,0xffff103f,0xffffffff,0x005fffff,
    0x3ffffa20,0x3fa000ef,0xfff53fff,0xff9805ff,0xfff11fff,0xffffffff,
    0xffffffff,0xfe805fff,0x3f207fff,0xffffffff,0xffffffff,0xeffffb86,
    0xfffffa81,0x3ffffe26,0xffff7004,0x3fffe25f,0x7fd4003f,0xfff12fff,
    0xffffffff,0xffffffff,0x7ffffc0b,0xfffff103,0xffffffff,0x0005ffff,
    0xdfffffd1,0xfffe8001,0xfffff53f,0xffffc80d,0xfffff10f,0xffffffff,
    0xffffffff,0x7ffd405f,0x3ff203ff,0xffffffff,0x6fffffff,0xc802aa60,
    0xf11fffff,0x2009ffff,0x11fffffc,0x007fffff,0x2fffffb8,0xfffffff1,
    0xffffffff,0x7c0bffff,0xf103ffff,0xffffffff,0xffffffff,0xffe88005,
    0x8000dfff,0xf53ffffe,0x207fffff,0x26fffff8,0xfffffff8,0xffffffff,
    0x2fffffff,0x3fffff60,0x3ffff200,0xcccccccf,0x003ccccc,0xfffff880,
    0x9fffff12,0x3ffffe00,0xfffff10f,0xfffb8007,0xffff11ff,0x999999df,
    0x59999999,0x1fffffc0,0xffffff88,0xffffffff,0x64002fff,0x005fffff,
    0x4fffffa0,0xfffffffa,0x3fffea0b,0x3ffe21ff,0xccccceff,0xffdccccc,
    0xff302fff,0x9999dfff,0xffffd999,0x0000000f,0x89fffffc,0x804fffff,
    0x26fffffb,0x03fffff8,0x7ffffdc0,0x9fffff10,0xfff00000,0x3fe207ff,
    0x00004fff,0x2fffff40,0x3fffa000,0xfffff53f,0xfffdffff,0xf88bffff,
    0x2004ffff,0x02fffff9,0xfffffffb,0xffffffff,0x0000ffff,0x7fff4000,
    0xfffff14f,0xfd999989,0x224fffff,0x003fffff,0x13ffffe4,0x009fffff,
    0xfffff000,0x3fffe207,0x2000004f,0x006ffff8,0x3ffffe80,0xfdfffff5,
    0xffffffff,0xfff881ff,0x3e6004ff,0xf882ffff,0xffffffff,0xffffffff,
    0x000007ff,0x3ffffe00,0xffffff14,0xffffffff,0x43ffffff,0x03fffff8,
    0x37ffff40,0x09fffff1,0xffff0000,0x3ffe207f,0x000004ff,0x013fffe6,
    0x3ffffa00,0x1fffff53,0xfffffff9,0xfff101df,0x7cc009ff,0xfc82ffff,
    0xffffffff,0xffffffff,0x500007ff,0xf803b995,0xff12ffff,0xffffffff,
    0xffffffff,0xffff885f,0x3fe6003f,0x3fe25fff,0x00004fff,0x03fffff8,
    0x09fffff1,0x7fdc0000,0xe80003ff,0xff53ffff,0x7ff54fff,0x3e204fff,
    0x2004ffff,0x42fffff9,0xfffffff8,0xffffffff,0x007fffff,0xbfffff00,
    0x7ffffd40,0xffffff11,0xffffffff,0xf107ffff,0x4007ffff,0x23fffffd,
    0x04fffff8,0xfffe8000,0xffff103f,0x4000009f,0x002eeeea,0x3ffffe80,
    0x10fffff5,0xff100155,0x4c009fff,0x642fffff,0xaacfffff,0xeaaaaaaa,
    0x0007ffff,0x3fffffb0,0x9bffffa0,0xfffffff8,0xffffffff,0xfff101cf,
    0x3ea007ff,0x7c47ffff,0x0004ffff,0x3ffffe80,0x9fffff10,0x00000000,
    0xffffd000,0x1ffffea7,0x3ffe2000,0x3e6004ff,0x3e22ffff,0x000fffff,
    0x00fffffb,0x3fffea00,0xffd10bef,0x7fc45fff,0xccccefff,0x400abccc,
    0x03fffff8,0x7ffffe44,0x7fffc43f,0xe800004f,0xa88effff,0x9fffff10,
    0x54400000,0x80002aaa,0xf53ffffe,0x0000ffff,0x09fffff1,0x7ffffcc0,
    0x3ffffee2,0x3fff6004,0xeeeeeeff,0xeeeeeeee,0x7ffffec2,0xffffffff,
    0x7fffc46f,0xf100004f,0xddddffff,0xfffffddd,0xff10dfff,0xdddddfff,
    0xdddddddd,0xffb03ddd,0x23ffffff,0x04fffff8,0x3fee0000,0xe80007ff,
    0xff53ffff,0x10000fff,0x009fffff,0x17ffffcc,0x01fffffd,0x7ffffec0,
    0xffffffff,0x43ffffff,0xffffffe8,0x0dffffff,0x27ffffc4,0xfff88000,
    0xffffffff,0xffffffff,0xffff880f,0xffffffff,0xffffffff,0xffffa81f,
    0xff12ffff,0x00009fff,0x3ffffdc0,0x7fff4000,0xfffff53f,0xfff10000,
    0x7cc009ff,0xff52ffff,0xd800bfff,0xffffffff,0xffffffff,0xfe983fff,
    0xffffffff,0xffff104f,0x2200009f,0xffffffff,0xffffffff,0xff101dff,
    0xffffffff,0xffffffff,0xff103fff,0x27ffffff,0x04fffff8,0x3fee0000,
    0xe80007ff,0xff53ffff,0x10000fff,0x009fffff,0x97ffffcc,0x01fffffe,
    0x7ffffec0,0xffffffff,0x03ffffff,0x3fffffaa,0x3fe202df,0x00004fff,
    0xfffffff1,0xffffffff,0xff8805df,0xffffffff,0xffffffff,0xfb101fff,
    0x225dffff,0x004fffff,0x3ffee000,0xfe80007f,0xfff53fff,0xf10000ff,
    0x4009ffff,0xaafffff9,0x006fffff,0xffffffd8,0xffffffff,0x803fffff,
    0x1000aa98,0x009fffff,0x3fffe200,0xffffffff,0xf1002cee,0xffffffff,
    0xffffffff,0x8803ffff,0xfff881a9,0x000004ff,0x01ffffee,0x3ffffa00,
    0x0ddddd33,0xffff1000,0x7fcc009f,0x00002fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4cccc000,
    0x99999109,0x86666607,0x00199998,0x21666640,0x4cc4ccca,0x4cccc199,
    0x88000001,0x44000099,0x4c09acca,0x40009999,0x09999999,0x55554000,
    0x26666601,0x99999999,0x26000001,0x00019999,0x21333331,0x982aaaa8,
    0x2a2fffff,0x440fffff,0xf51fffff,0x8000ffff,0x7e45ffff,0x3ffe27ff,
    0xffff11ff,0x5000003f,0xbffffffb,0x7ffd4003,0x3e0fffff,0x2004ffff,
    0xfffffffb,0x3ff20001,0xfff103ff,0xffffffff,0x05bfffff,0x3ffe6000,
    0xb8001fff,0xf32fffff,0xf981ffff,0x7dc2ffff,0x7fc44fff,0xfff51fff,
    0xff8000ff,0x7ffe45ff,0x3ffffe27,0x3fffff11,0x7f4c0000,0xffffffff,
    0x7fd400df,0x47ffffff,0x004fffff,0xfffffff5,0x7fcc0003,0xff103fff,
    0xffffffff,0xffffffff,0xfc80005f,0x004fffff,0x2fffffb8,0x81fffff3,
    0x82fffff9,0x220ffffb,0xf51fffff,0x8000ffff,0x7e45ffff,0x3ffe27ff,
    0xffff11ff,0x2200003f,0xffffffff,0x206fffff,0xfffffff8,0x7fffc5ff,
    0xfffa804f,0x0001ffff,0x1ffffff4,0xffffff88,0xffffffff,0x01ffffff,
    0xfffff100,0xb8001fff,0xf32fffff,0xf981ffff,0xf902ffff,0x7ffc47ff,
    0xffff51ff,0xfff8000f,0x3fffe45f,0x23fffff1,0x01fffff8,0xffffd000,
    0xffffffff,0x3fea09ff,0x3ccdffff,0x027ffffc,0x3fffffe6,0x7e40001f,
    0x103fffff,0xffffffff,0xffffffff,0x001fffff,0xffffff70,0xfb8007ff,
    0xff32ffff,0xff981fff,0x3f202fff,0x3fffe27f,0xfffff51f,0x40000000,
    0x10eeeee8,0x003fffff,0xfffff700,0xfffb53bf,0xff703fff,0xff803fff,
    0x3e604fff,0x01ffffff,0x7fffcc00,0xff103fff,0x9755bfff,0xffff9999,
    0xd0007fff,0xffffffff,0xfffb800d,0xffff32ff,0xffff981f,0xff88002f,
    0xfff51fff,0x000000ff,0x7ffc4000,0xd80001ff,0xa80effff,0xb83fffff,
    0xf807ffff,0xf104ffff,0x05ffffff,0xfffe8800,0xf103ffff,0x2009ffff,
    0x05fffffb,0x7ffffcc0,0x001fffff,0x0bffffee,0xfffff300,0xfff10005,
    0x3ffea3ff,0x0000007f,0x3ffe2000,0xf80001ff,0x3e02ffff,0xfb85ffff,
    0xff806fff,0xfe884fff,0x002fffff,0xfffffc80,0xff103fff,0x74009fff,
    0x4007ffff,0xffeffffc,0x2e004fff,0x002fffff,0x17ffffcc,0x85555544,
    0x51fffff8,0x540fffff,0x102aaaaa,0x20155555,0x10aaaaa8,0x4c3fffff,
    0x201bdedb,0x01fffff9,0x4dbffff2,0xfffffdaa,0xfff82aaa,0x7ff444ff,
    0x0002ffff,0xffffffa8,0xff103fff,0x5c009fff,0x4007ffff,0xfcbfffff,
    0x5000ffff,0x003fffff,0x2fffff98,0x1fffff88,0x23fffff1,0x707ffffa,
    0x03ffffff,0x07ffffe2,0x8fffffc4,0x91fffff8,0x9fffffff,0x02554c40,
    0x5d7ffff6,0xffffffff,0xfff86fff,0x7fff44ff,0x80002fff,0xfdeffff8,
    0xff103fff,0x6c009fff,0x2004ffff,0x98fffffa,0x003fffff,0x01fffff3,
    0xfffff980,0xfffff882,0x3fffff11,0x21ffffea,0x1ffffffa,0x3ffffe20,
    0xfffff101,0x3ffffe23,0xffffffea,0x0000efff,0x73fffff8,0xffffffff,
    0xfff0dfff,0x7ffec9ff,0x00003fff,0xfb3ffffb,0x3e207fff,0x1004ffff,
    0x005fffff,0xd2ffffec,0x200dffff,0x00fffff8,0x7ffffcc0,0xfffff882,
    0x3fffff11,0x31ffffea,0x03ffffff,0x1fffff88,0x3fffff10,0x3fffffe2,
    0xffffffff,0x40003fff,0x72fffffa,0xffffffff,0xfff0dfff,0x3fff29ff,
    0x00003fff,0x369ffff5,0xf103ffff,0x8809ffff,0x0efffffb,0xfffff100,
    0x7ffffdc5,0xfffff001,0xffff3000,0xffff105f,0x3fffe23f,0xfffff51f,
    0x7fffffc4,0xffff8802,0xffff101f,0x3fffe23f,0xdbabefff,0x006fffff,
    0x7fffff40,0xfffddd50,0xf0bdddff,0xff99ffff,0x009fffff,0xdffff100,
    0x81ffffec,0xfffffff8,0xffffffff,0x000effff,0x83ffffee,0x04fffff8,
    0x00dffff0,0x5fffff30,0x3fffff10,0x47ffffe2,0xd17ffffa,0x005fffff,
    0x07ffffe2,0x8fffffc4,0x5ffffff8,0x1fffffb0,0x3fff6000,0xfff703ff,
    0xffff00df,0xffffffff,0x80003fff,0x361ffffd,0xf103ffff,0xffffffff,
    0xffffffff,0xffd000bf,0xfffd0bff,0xffd001ff,0xff3000df,0xff105fff,
    0x3fe23fff,0xfff51fff,0x3ffff6ff,0x3fe2003f,0xff101fff,0x3fe23fff,
    0xf300efff,0x0003ffff,0x0dfffff9,0x037fffdc,0x7ffffffc,0xffffffff,
    0x3fea0006,0x7ffec3ff,0xffff103f,0xffffffff,0x5dffffff,0x7fffcc00,
    0xffffb82f,0xfffd803f,0xfff98005,0xfff882ff,0xffff11ff,0x3fffea3f,
    0x4fffffdf,0x7fffc400,0xffff101f,0x3fffe23f,0x3ffe204f,0x7ec002ff,
    0x201fffff,0x806ffffb,0xffffffff,0xffffffff,0xfff88004,0xffffd86f,
    0xfffff103,0xffffffff,0xdfffffff,0xffffb001,0x3fffe20f,0xfffc806f,
    0x0aaaaa24,0x0bffffe6,0x47ffffe2,0x51fffff8,0xffffffff,0x88003fff,
    0x101fffff,0x223fffff,0x403fffff,0x002fffff,0x3ffffff6,0x7fffdc02,
    0xfffff806,0xffabffff,0x4001ffff,0xd81ffffd,0xf103ffff,0xdddfffff,
    0xfffddddd,0x401dffff,0x04fffff8,0x07fffff6,0x4c7fff90,0x4c0fffff,
    0x882fffff,0xf11fffff,0x3ea3ffff,0xffffffff,0x7c4006ff,0xf101ffff,
    0x3e23ffff,0x7c02ffff,0xb002ffff,0x07ffffff,0x0dffff70,0xfffffff0,
    0x7fffec9f,0x3fee006f,0xfffb03ff,0x3ffe207f,0xff5004ff,0x5c09ffff,
    0x99bfffff,0xfffb9999,0x7fdc04ff,0x3fffe63f,0x7fffcc0f,0xffff882f,
    0xfffff11f,0x3ffffea3,0x3fffffff,0x3fffe200,0xffff101f,0x3fffe23f,
    0x7fffc01f,0xfffd802f,0xf7003fff,0xff00dfff,0x889fffff,0x03ffffff,
    0xbfffff88,0xffeaaaaa,0x222aadff,0x004fffff,0x3fffffe2,0xfffffd00,
    0xffffffff,0x01ffffff,0xf317ffd4,0xf981ffff,0xf882ffff,0xff11ffff,
    0x3fea3fff,0xffffffff,0xf1000fff,0x2203ffff,0xf11fffff,0xf803ffff,
    0x6c02ffff,0x02ffffff,0x1bfffee0,0x3fffffe0,0xfffff904,0xfff9803f,
    0xffffffff,0xffffffff,0x3ffffe27,0x7ffec004,0xfff981ff,0xffffffff,
    0xffffffff,0x3ffe603f,0x3ffffe61,0x7ffffcc0,0xfffff882,0x3fffff11,
    0x3fffffea,0x4fffff8e,0xfffff100,0x3fffe203,0xfffff11f,0xfffff803,
    0x3ffff602,0x7dc002ff,0xff806fff,0x3e205fff,0x406fffff,0xfffffff9,
    0xffffffff,0x3e27ffff,0x4004ffff,0x83fffffb,0xfffffffc,0xffffffff,
    0x206fffff,0x3e60fff8,0xff987fff,0xff882fff,0xfff11fff,0x3ffea3ff,
    0xfff70eff,0xff1003ff,0x3e203fff,0xff11ffff,0xff803fff,0xff702fff,
    0x0003ffff,0x00dffff7,0x809fffff,0x3ffffffa,0x3ffffe60,0xffffffff,
    0x27ffffff,0x04fffff8,0x7ffffec0,0xffffff82,0xffffffff,0xffffffff,
    0x40ddd101,0xfff986fe,0xfff882ff,0xffff11ff,0x3fffea3f,0x7ffff40f,
    0xffff8805,0xffff101f,0x3fffe23f,0x7fffc01f,0xffff982f,0xf70001ff,
    0xff00dfff,0xfd009fff,0x201fffff,0xfffffff9,0xffffffff,0x3e27ffff,
    0x4004ffff,0x40ffffff,0xcdfffffa,0xcccccccc,0x5fffffdc,0x17fe2000,
    0x0bffffe6,0x47ffffe2,0x51fffff8,0xf50fffff,0x8805ffff,0x101fffff,
    0x223fffff,0x401fffff,0x442fffff,0x03ffffff,0x3fffee00,0xfffff806,
    0xffff9804,0x555105ff,0x55555555,0x55bffffd,0x7ffffc45,0xfffd5004,
    0xfffb0dff,0xfff000ff,0xaa881fff,0x7fdc0aaa,0xfffff983,0xfffff882,
    0x3fffff11,0x41ffffea,0x406ffffe,0x01fffff8,0x23fffff1,0x01fffff8,
    0x217ffffc,0xfffffffb,0xffffffff,0xffffb87f,0xfffff806,0xffff9004,
    0xb00005ff,0x2207ffff,0xeeffffff,0xfeeeeeee,0x44ffffff,0x04fffff8,
    0xfffffc80,0x7ffffcc3,0x20dffb10,0x82fffff9,0x11fffff8,0x2a3fffff,
    0xf307ffff,0x4407ffff,0x101fffff,0x223fffff,0x401fffff,0x742fffff,
    0xffffffff,0xffffffff,0x6ffffb87,0x4fffff80,0xfffff100,0xd80001ff,
    0xf103ffff,0xffffffff,0xffffffff,0xf70bffff,0x0005ffff,0x8dfffff3,
    0x70fffff9,0x3e603fff,0xf882ffff,0xff11ffff,0x3fea3fff,0x3ff607ff,
    0xff100fff,0x3e203fff,0xff11ffff,0xff803fff,0x3fe22fff,0xffffffff,
    0x7fffffff,0x06ffffb8,0x04fffff8,0x3ffffee0,0x7ec0005f,0xff103fff,
    0xffffffff,0xffffffff,0xffd01dff,0x74000fff,0x261fffff,0xf10fffff,
    0x7ffcc019,0xfff882ff,0xffff11ff,0x3fffea3f,0x3fffe207,0xffff104f,
    0x3ffe203f,0xffff11ff,0xffff803f,0x3fffee2f,0xffffffff,0xb87fffff,
    0xf806ffff,0x4004ffff,0x2ffffffe,0x3fff6000,0xffff103f,0xffffffff,
    0xbfffffff,0xfffff501,0x7fdc0009,0x3fe65fff,0x20020fff,0x82fffff9,
    0x11fffff8,0x2a3fffff,0x6407ffff,0x881fffff,0x101fffff,0x223fffff,
    0x401fffff,0x3a2fffff,0xffffffff,0xffffffff,0xffffb87f,0xfffff806,
    0x7ffd4004,0x0000ffff,0x207ffffb,0xfffffff8,0xefffffff,0x3f600ade,
    0x0001ffff,0x3fffffe2,0x1fffff30,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4ccccc00,
    0x31000999,0x83333333,0x00099999,0x400ccccc,0x20acedb9,0x261aaaa8,
    0x99999999,0x00000999,0x99998000,0x4cc00099,0x33101999,0x33333333,
    0x33333333,0x99999813,0x33300009,0x99998333,0x26200019,0x3ffe1999,
    0x4c0005ff,0xffffffff,0xffffb003,0xfff8ffff,0x7fc006ff,0xfb101fff,
    0x27ffffff,0xf14ffffa,0xffffffff,0x7bffffff,0x2dfea800,0xff905ff8,
    0x2001ffff,0x06fffffc,0xfffffffd,0xffffffff,0xfc8bffff,0x000fffff,
    0x37ffffe4,0x0bfffff6,0x7ffffc00,0x17ffffe7,0xffff3000,0x200bffff,
    0xffffffff,0x7fffffc7,0x3fffe003,0xffff981f,0xabffffff,0xff14ffff,
    0xffffffff,0xffffffff,0xffffb003,0x9ffb7bff,0x3ffffe20,0xfff9804f,
    0xffd01fff,0xffffffff,0xffffffff,0xffff88bf,0x3e6004ff,0x541fffff,
    0x005fffff,0x4fffffa8,0x017ffffe,0xfffff300,0xf300ffff,0xffffffff,
    0xfffffff8,0xfffff000,0xfffff883,0xefffffff,0xff14ffff,0xffffffff,
    0xffffffff,0xffff805f,0xffffffff,0x3fffea02,0x7ff401ff,0x3fa04fff,
    0xffffffff,0xffffffff,0xfffa85ff,0xfd001fff,0xf109ffff,0x001fffff,
    0x1fffffd8,0x017ffffe,0xfffff300,0xb803ffff,0xffffffff,0x7fffffc7,
    0xffff005f,0xffffc83f,0xffdbbcff,0xf14fffff,0xffffffff,0xffffffff,
    0x3ea01fff,0xfffdb9bf,0xffd805ff,0x3ee06fff,0x200effff,0xfffffffe,
    0xffffffff,0xfb05ffff,0x500bffff,0x01dfffff,0x0bfffff6,0xdfffff00,
    0x05fffff8,0x7fffcc00,0x403fffff,0xfffffffd,0x7ffffc7f,0xff802fff,
    0x3fe61fff,0xfb81efff,0xf14fffff,0x999dffff,0xffffd999,0x3ae09fff,
    0x01ccb885,0xffffff10,0xfffff107,0xcccb805f,0xcccccccc,0xfffffffc,
    0xfffff103,0xfffe805f,0x3fea02ff,0x2a005fff,0x7c4fffff,0x0005ffff,
    0x7fffffcc,0x7fc06fff,0x7fffffff,0x7ffffffc,0xffff806f,0x3ffff21f,
    0x3fff201f,0xffff14ff,0xffea809f,0x00007fff,0x7fffd400,0x7ffec0ff,
    0x800005ff,0x5ffffffb,0x7ffffdc0,0x3ffff206,0xffff805f,0xff9000ff,
    0xfff83fff,0x4c0005ff,0xffefffff,0xfff300ff,0x8fffffdf,0xffffffff,
    0x7fffc03f,0x3ffffa1f,0x7fffc406,0xfffff14f,0xffff1009,0x000003ff,
    0xfffffd80,0x3ffffea5,0x5400000f,0x06ffffff,0x9fffffd0,0xffffff10,
    0xffff9001,0x3ffe007f,0xffff86ff,0x7cc0005f,0xfffcffff,0xffff702f,
    0xf8fffff9,0xffffffff,0x3fffe00f,0x3ffffe1f,0xffffe803,0x9fffff14,
    0x3ffff600,0x5555512f,0x1bdeca88,0x3fffe200,0xffffd2ff,0x8800005f,
    0x0fffffff,0xfffff300,0xffffd81f,0xfff3003f,0xff500bff,0xfff07fff,
    0x98000bff,0xff9fffff,0xfffb04ff,0x8fffff5f,0xffffffff,0x3ffe05ff,
    0xffff11ff,0xfffb005f,0x3fffe29f,0xfff7004f,0x3ffe65ff,0x3ffff66f,
    0x7000dfff,0xf9dfffff,0x000bffff,0xffffe880,0x7e4001ff,0x3e65ffff,
    0x4006ffff,0x00fffffe,0x07ffffe4,0x02fffffc,0x3fffe600,0x06ffff8f,
    0xff3dffff,0xffff8fff,0x2fffffff,0x23fffff0,0x02fffff9,0x14ffffd8,
    0x009fffff,0x47fffff2,0xe8effff9,0xffffffff,0xffd000ef,0xffffffff,
    0xd800001f,0x03ffffff,0xfffffd00,0x3fffffa5,0x7ffe4001,0x7ffc03ff,
    0xffff05ff,0xf98000bf,0xfffb7fff,0xffff981f,0x47ffff9c,0xffbfffff,
    0xff80ffff,0xfff11fff,0xffb005ff,0x3ffe29ff,0xfff004ff,0x7ffccfff,
    0xfffffeef,0x03ffffff,0xffffff30,0x0007ffff,0xfffffb80,0x3ea0004f,
    0xffbeffff,0x98004fff,0x206fffff,0x02fffff9,0x00bfffff,0x7ffff980,
    0xb85ffff7,0xff99ffff,0x7fffc7ff,0xfffffc9f,0x1fffff84,0x00fffffe,
    0x453ffffa,0x404fffff,0x6fffffe8,0x3fffffe6,0xffebacef,0x32007fff,
    0xffffffff,0x7d400006,0x006fffff,0xfffffd80,0x006fffff,0x3fffffa0,
    0xfffff900,0x3ffffe01,0x7fcc0005,0xffff37ff,0x8ffffe89,0x7c7ffff9,
    0xff89ffff,0x7fc1ffff,0x3ffa1fff,0x7fc404ff,0xfff14fff,0x75555bff,
    0xffffffb9,0x7fffcc9f,0xffe885ff,0x3a000fff,0x1fffffff,0x3fe60000,
    0x000effff,0xfffff880,0x001fffff,0x3ffffee0,0xbfffff03,0x2fffffc0,
    0x3ffe6000,0x9bfffe7f,0xf36ffff8,0xfff8ffff,0xffff51ff,0xfffff8df,
    0x1bffff61,0x9fffff70,0x3fffffe2,0xffffffff,0x20efffff,0x0ffffff9,
    0x3fffff50,0x7fffe400,0x200005ff,0xffffffe8,0x3ea00001,0x5fffffff,
    0x7ffc4000,0xfff986ff,0x3ffe02ff,0x4c0005ff,0x3f67ffff,0xfff50fff,
    0x3fffe69f,0x0fffffc7,0x45fffffb,0x2e1fffff,0x103fffff,0x29ffffff,
    0xfffffff8,0xffffffff,0x7cc0ffff,0x2203ffff,0x002fffff,0xfffffff1,
    0x3600003f,0x02ffffff,0xfffd8000,0x0000ffff,0x0fffffd8,0x03ffffe4,
    0x017ffffe,0xfffff300,0xc9ffffdc,0xff32ffff,0xffff8fff,0x3fffe21f,
    0xfffff0ff,0xfffffe83,0x3fffea0b,0xfff14fff,0xffffffff,0x3dffffff,
    0x5fffff30,0x2fffff80,0xfffffd00,0x0000dfff,0x9ffffff9,0x3e200000,
    0x002fffff,0xfffff500,0x4fffff87,0x2fffffc0,0x3ffe6000,0x3fffe67f,
    0x21ffffd5,0x7c7ffff9,0x7dc1ffff,0xfff4ffff,0xfffa83ff,0xfffeffff,
    0x14ffffff,0xffffffff,0xdfffffff,0x7fffcc05,0x7fffc01f,0xfffb802f,
    0x4fffffff,0x3ffea000,0x00005fff,0x3ffffec0,0xfff10000,0x7ffccdff,
    0x7ffc01ff,0x4c0005ff,0x7fc7ffff,0xffff8fff,0x1ffffe66,0xd03fffff,
    0xff3fffff,0xffb03fff,0xffffffff,0x29ffffff,0xadfffff8,0x0199aaaa,
    0x3fffff30,0x2fffff80,0x7ffffc40,0x1fffffff,0xffff9800,0x00000eff,
    0x3ffffec0,0x3ff60000,0xfff91fff,0xffff00df,0xf98000bf,0x7fec7fff,
    0x4ffffcff,0xf1ffffe6,0xf503ffff,0xfffdffff,0x3ff603ff,0x8effffff,
    0xf14ffffe,0x0009ffff,0x3ffffe60,0x7ffffc01,0x7fffec02,0xfffffdef,
    0x7ff44006,0x0001ffff,0xffffd800,0x7d400007,0xffd3ffff,0xfff009ff,
    0x98000bff,0x7dc7ffff,0xffffffff,0x1ffffe62,0x203fffff,0xfffffffd,
    0x3ee01fff,0x3a4effff,0xff14ffff,0x00009fff,0x03ffffe6,0x05fffff0,
    0x7fffffd4,0xffffff89,0x3fff6004,0x00002fff,0xfffffb00,0xfff00000,
    0xffff3dff,0xffff003f,0xf98000bf,0x7fcc7fff,0x0fffffff,0xf1ffffe6,
    0x2203ffff,0xffffffff,0xaa8801ff,0x4ffffe80,0x09fffff1,0x3ffe6000,
    0x7ffc00ff,0xfff102ff,0x7fdc9fff,0xc801ffff,0x03ffffff,0x3f600000,
    0x00007fff,0xefffffc8,0xf006ffff,0x000bffff,0x87ffff98,0xffffffff,
    0x3ffffcc6,0x807ffffe,0xfffffffb,0xe80001ff,0xff14ffff,0x00009fff,
    0x03ffffe6,0x05fffff0,0x3ffffff6,0x7fffff40,0x7fffd406,0x000005ff,
    0x3ffffec0,0x7fcc0000,0xffffffff,0xfffff003,0xff98000b,0xfffd87ff,
    0x7cc4ffff,0x7ffc7fff,0x7ff401ff,0x01ffffff,0xffffe800,0x9fffff14,
    0x3fe60000,0x7fc00fff,0xffa82fff,0xf982ffff,0x303fffff,0x1dffffff,
    0xd8000000,0x0007ffff,0xfffffd00,0x2001ffff,0xeeffffff,0xeeeeeeee,
    0xfff35eee,0xffff70ff,0xff985fff,0x7fffc7ff,0x7ffcc01f,0x001fffff,
    0x4ffffe80,0x09fffff1,0x3ffe6000,0x7ffc00ff,0x7ffc42ff,0x3ee05fff,
    0xc81fffff,0xeeffffff,0xeeeeeeee,0x01eeeeee,0x7ffffd80,0xff900000,
    0x0bffffff,0x7fffffc0,0xffffffff,0xf36fffff,0xff30ffff,0x981fffff,
    0x7fc7ffff,0xfc801fff,0x01ffffff,0xffffe800,0x9fffff14,0x3fe60000,
    0x7fc00fff,0x7fec2fff,0x7400ffff,0xc86fffff,0xffffffff,0xffffffff,
    0x02ffffff,0x7ffffd80,0xff300000,0x05ffffff,0x7fffffc0,0xffffffff,
    0xf36fffff,0x3fe0ffff,0xf986ffff,0x7ffc7fff,0xff8801ff,0x001fffff,
    0x4ffffe80,0x09fffff1,0x3ffe6000,0x7ffc00ff,0x3ffea2ff,0xf9803fff,
    0x643fffff,0xffffffff,0xffffffff,0x02ffffff,0x7ffffd80,0x3fa00000,
    0x00ffffff,0x3fffffe0,0xffffffff,0xf36fffff,0x3f60ffff,0xf984ffff,
    0x7ffc7fff,0xff5001ff,0x0003ffff,0x29ffffd0,0x04fffff8,0xffff3000,
    0xffff801f,0xfffff12f,0x7fe400df,0x3f21ffff,0xffffffff,0xffffffff,
    0x002fffff,0x07ffffd8,0x3fee0000,0x4005ffff,0xffffffff,0xffffffff,
    0xfff36fff,0x3ffee0ff,0xfff982ff,0x7ffffc7f,0x3fff6001,0xc80001ff,
    0xff13eeee,0x00009fff,0x03ffffe6,0x25fffff0,0x1ffffffc,0x3fffa200,
    0x3fff26ff,0xffffffff,0xffffffff,0xd8002fff,0x0007ffff,0x3fffe200,
    0x000002ff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4ccccc00,0x99999999,0x33310000,
    0x26620033,0x31001999,0x99983333,0x99999999,0x99999999,0x3bba6199,
    0xeeeeeeee,0x0eeeeeee,0x19999500,0x33333200,0xcccccccc,0x02cccccc,
    0x40018000,0x00099998,0xdddd9910,0x5100037b,0x0379ddb7,0x40aaaaa8,
    0xfffffff8,0xffffffff,0xfd802cef,0xe800ffff,0x01ffffff,0x27ffffd8,
    0xfffffff8,0xffffffff,0x1fffffff,0xfffffff5,0xffffffff,0x32001fff,
    0x7001ffff,0x40240000,0x2cdedca9,0xfd001fec,0x98007fff,0xfffffffd,
    0x2e005fff,0xffffffff,0xfff881df,0x7ffc41ff,0xffffffff,0xffffffff,
    0x3ffee00e,0x7fc402ff,0x803fffff,0x225fffff,0xffffffff,0xffffffff,
    0x51ffffff,0xffffffff,0xffffffff,0x3f2001ff,0x07001fff,0xd1024000,
    0xffffffff,0x01fff97f,0x0fffffa0,0xfffff880,0xffffffff,0x3ffa600e,
    0xffffffff,0x7ffc41ff,0x7ffc41ff,0xffffffff,0xffffffff,0xfff300ef,
    0xffa807ff,0x406fffff,0x23fffff8,0xfffffff8,0xffffffff,0x1fffffff,
    0xfffffff5,0xffffffff,0x32001fff,0x7001ffff,0xb8240000,0xffffffff,
    0x1fffffff,0x3ffffa00,0x3fffa003,0xffffffff,0xff105fff,0xffffffff,
    0x441fffff,0x441fffff,0xffffffff,0xffffffff,0x205fffff,0x405fffff,
    0xfffffffc,0x7fffd407,0x3fffe21f,0xffffffff,0xffffffff,0xffff51ff,
    0xffffffff,0x00bfffff,0x00ffffe4,0x12000038,0x3ffffff2,0xffffffff,
    0x7ff4003f,0xff5003ff,0x9537bfff,0x01ffffff,0x9dfffff9,0xffffff95,
    0x7ffffc4b,0x7ffffc41,0xccccccce,0xffffffec,0x3ffff607,0x7ffff407,
    0x3201ffff,0x6447ffff,0xfccccccc,0xcccfffff,0x310ccccc,0x33333333,
    0xdffff733,0x7ffe4001,0x0007001f,0x3ffe6240,0xfdaacfff,0x005fffff,
    0x01fffff4,0x05ffffe8,0x83fffff7,0x05fffff9,0x21fffffb,0x41fffff8,
    0x04fffff8,0xfffffd50,0x3fffee05,0xffff100f,0x407fffff,0x005ffffe,
    0x06ffffd8,0x3ffa0000,0x7e4001ff,0x07001fff,0x3fa24000,0xf981efff,
    0x001fffff,0x00266662,0x100dca98,0xd83fffff,0x300fffff,0x005dffff,
    0x4fffff88,0x3fffee00,0xffff304f,0x3ffea05f,0x05ffffff,0x07fffff1,
    0xdffffb00,0x3f200000,0x33303fff,0xfffb3333,0x3333335f,0x900001c1,
    0x0fffffdc,0xffffffe8,0x00000006,0xfffff880,0x27ffff42,0x80006ae0,
    0x04fffff8,0x3ffffe20,0x3ffffe06,0xbffff904,0x260fffff,0x001fffff,
    0x06ffffd8,0xfff98000,0x3fffe05f,0xffffffff,0x4fffffff,0x2480000e,
    0xb04ffffd,0xffffffff,0x55555541,0xaaaaaaaa,0x001aaaaa,0xffffd951,
    0xffff85ff,0x8000002f,0x04fffff8,0x37ffffc0,0x0dffffd0,0x3e7ffffe,
    0xfb81ffff,0xb0007fff,0x000dffff,0x3ffffd00,0x7fffffc0,0xffffffff,
    0x0e4fffff,0x3fe48000,0xffc82fff,0x2fffff8f,0x3ffffffe,0xffffffff,
    0x2a04ffff,0xffffffec,0x3e22ffff,0x0001ffff,0xffff8800,0x3fe6004f,
    0x3f204fff,0xff987fff,0xffffb7ff,0xdffffb07,0x3fff6000,0x5c00006f,
    0x7c04ffff,0xffffffff,0xffffffff,0x0000e4ff,0xfffff148,0xd1fffb83,
    0x7fc7ffff,0xffffffff,0xffffffff,0xffffc84f,0xffffffff,0x3ffe62ff,
    0x000001ff,0x4fffff88,0xffffd100,0x7ffd407f,0x7ffdc1ff,0xbffff55f,
    0x09fffff0,0x3ffff600,0x7fc00006,0x7fc00fff,0xffffffff,0xffffffff,
    0x80000e4f,0x1fffff34,0xfb17ffd4,0x7ffcbfff,0xffffffff,0xffffffff,
    0x7ffffec4,0xfffaceff,0x3ffe62ff,0x000001ff,0xcfffff88,0xaaa99999,
    0x6ffffffc,0x7ffffc40,0x97fffec3,0x447ffff8,0x002fffff,0x0dffffb0,
    0x7ffdc000,0xeeee805f,0xfffffeee,0x3eeeeeee,0x3480000e,0x261fffff,
    0x7fec3fff,0x3fffe4ff,0xffffffff,0x4fffffff,0x37fffff6,0x7ffffc0a,
    0x3ffffe22,0x88000002,0xffffffff,0xffffffff,0x802fffff,0x7c5ffffe,
    0x3fa0ffff,0x3fea1fff,0xb0000fff,0x000dffff,0x17ffff40,0x3fff2000,
    0x0007001f,0xfffff240,0xd09fff15,0x6647ffff,0xcccccccc,0xcccccccc,
    0xfffff12c,0x7ffffc09,0x1fffffc2,0x002af2e0,0x3ffffe20,0xffffffff,
    0x2fffffff,0xdffff900,0x237fffcc,0x323ffffc,0x0006ffff,0x01bffff6,
    0x7fffd400,0xffc80006,0x007001ff,0xfffd2400,0x20bffd9f,0x001fffff,
    0x7ffd4000,0xfff100ff,0xfffe85ff,0x7fffc06f,0x7fc4005f,0xffffffff,
    0xffffffff,0x3fea000d,0xfff70fff,0xffffa89f,0x13ffffa5,0xffffd800,
    0xffd00006,0x900007ff,0x2003ffff,0xd9200003,0x6fffffff,0x1fffff70,
    0xfb800000,0xf700ffff,0xfb85ffff,0xf703ffff,0x5545ffff,0x7fc40aaa,
    0xffffffff,0x01efffff,0xfffff100,0x0bffff65,0x7cfffff1,0x0002ffff,
    0x01bffff6,0x3fffe600,0xfc80000f,0x07001fff,0xff324000,0x101dffff,
    0x009fffff,0x01fffff4,0x1fffffd4,0x7fffffd4,0xfffffe82,0xffff930c,
    0x7fffc4ff,0x7fffc41f,0xffcaa9cf,0x0004ffff,0x7cfffffe,0xfe80ffff,
    0xfff99fff,0x360000ff,0x0006ffff,0x05ffffb8,0xffff9000,0x0000e003,
    0x7fffe448,0x7ffd41df,0x3a000fff,0x9803ffff,0xbeffffff,0xfffffffc,
    0xffffa83f,0xffffffff,0x3fe23fff,0x7fc41fff,0xfe984fff,0x000effff,
    0x9dffffd8,0xf906ffff,0xfff77fff,0xfd8000df,0x80006fff,0x002ffffe,
    0x3ffff900,0x80000e00,0x7ffffc44,0xffffefff,0x74002fff,0x9003ffff,
    0xffffffff,0xffffffff,0x3ffff60b,0xffffffff,0x7fffc44f,0x7fffc41f,
    0xffff104f,0xb8001dff,0xffcfffff,0xfff304ff,0x9ffffbbf,0xfffd8000,
    0x7c40006f,0x00007fff,0x007ffff2,0x8900001c,0xfffffff9,0xffffffff,
    0xfffe8003,0xffd1003f,0x7fffffff,0x40fffff3,0xfffffffb,0xf885ffff,
    0x7c41ffff,0x2a04ffff,0x05ffffff,0x7ffffcc0,0x202fffff,0xffffffff,
    0x6c0002ff,0x0006ffff,0x02ffffd4,0x33331000,0x00001c00,0x7ffffcc9,
    0xffffffff,0xfd0001ef,0xb8007fff,0x0dffffff,0x80bffffe,0xffffffd8,
    0xfff101df,0xfff883ff,0x7fe404ff,0x4003ffff,0xffffffff,0x7ffec07f,
    0x00ffffff,0x7fffec00,0x7fec0006,0x000003ff,0x00007000,0x2abffd24,
    0xeffffffe,0x55540004,0x530001aa,0x10000035,0x00003553,0x27ffffc4,
    0x7fffff40,0x3ff6000f,0x05ffffff,0x7fffffdc,0xd80007ff,0x0006ffff,
    0x00fffff4,0x3fffffe0,0xffffffff,0x0e4fffff,0x3a248000,0x01aa9885,
    0x00000000,0x00000000,0xfff88000,0xff9804ff,0x2005ffff,0xfffffffb,
    0x7ffcc03f,0x005fffff,0x6ffffd80,0x7fffc000,0x7ffc000f,0xffffffff,
    0xffffffff,0x480000e4,0x00000044,0x00000000,0x00000000,0xfffff880,
    0xffff9004,0x3e6005ff,0x1fffffff,0xffffff80,0xd80003ff,0x0006ffff,
    0x01ffffe2,0x3fffffe0,0xffffffff,0x3a4fffff,0xcccccccc,0xcccccccc,
    0x000004cc,0x00000000,0x00000000,0x3ffe2000,0x3fa004ff,0x800fffff,
    0xfffffff8,0xffffb007,0x00003fff,0x00dffffb,0x37fffcc0,0x7ffffc00,
    0xffffffff,0x04ffffff,0x00000000,0x00000000,0x00000000,0xff880000,
    0x26004fff,0x04ffffff,0xffffffd0,0x3ffee00b,0x00007fff,0x00dffffb,
    0x2ffffd40,0x7ffffc00,0xffffffff,0x04ffffff,0x00000000,0x00000000,
    0x00000000,0xff880000,0x64004fff,0x01ffffff,0xffffffc8,0xffff3003,
    0x20000bff,0x006ffffd,0x17fffee0,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3e200000,0x8004ffff,0x06fffffe,0xffffffa8,0x3fffe001,
    0xb00003ff,0x000dffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x57bd9730,0x00018801,0x2aaaa880,
    0x0aaaaa80,0x20000000,0x9bceedc9,0x20000000,0x7665400a,0x0002ccee,
    0x79ddd995,0x9ddb9503,0xaaa88017,0x6f65442a,0x5555301b,0x55554403,
    0x55555402,0x43555511,0xd101bdda,0xffffffff,0x01f7c407,0xffff3000,
    0x7ffc401f,0x004b81ff,0xfea801d8,0xffffffff,0x22000002,0xff700feb,
    0xffffffff,0x3fee007d,0xffffffff,0xffffea8d,0x2604ffff,0x3f66ffff,
    0x0dffffff,0x02ffffdc,0x03fffff7,0xa97ffffc,0xfd8cffff,0x7d44ffff,
    0xffffffff,0xff880dff,0x40000cff,0x00fffff9,0x07ffffe2,0x5d449ff5,
    0x07ff60aa,0xffffffd8,0x0cffffff,0x3f260000,0xffc80fff,0xffffffff,
    0x7e403fff,0xffffffff,0xffffffff,0xdfffffff,0xeffff980,0xffffffe8,
    0x3e60efff,0x3f607fff,0xf303ffff,0x7fd4ffff,0xffffdcff,0x3ffea2ff,
    0xffffffff,0xfff887ff,0x0001dfff,0x01fffff3,0x0fffffc4,0xfb9ffff5,
    0xfb9fffff,0xffb03fff,0xffffffff,0x000dffff,0xfffffb50,0xffffb81f,
    0xffffffff,0xff902fff,0xffffffff,0xffffffff,0xffffffff,0xdffff30b,
    0xfffffffd,0xfe87ffff,0xfff01fff,0x3f20bfff,0x3fea5fff,0xfffffeff,
    0x7ffff47f,0xffffbacf,0x7ffc43ff,0x02efffff,0x7ffffcc0,0x3fffe200,
    0x3ffffa1f,0xffffffff,0x44ffffff,0xeffffffb,0xfffffecc,0xeb88004f,
    0xffffffff,0x67ffff40,0xffff730a,0xffff10df,0xffb759df,0x7dffffff,
    0xfffffb75,0xfffff987,0xfebaceff,0x7e47ffff,0xff983fff,0xfd07ffff,
    0x7fd45fff,0xffffffff,0x3fffee4f,0xffffa81f,0x7ffffc47,0x0bffffff,
    0xfffff980,0x3fffe200,0x3fffa21f,0xffffffff,0x444fffff,0x82ffffff,
    0x1ffffff9,0xffff9100,0x1fffffff,0x037fffc4,0x819dfff7,0x80fffffb,
    0xeffffffa,0x7ffffb80,0x7fffffcc,0xffffe885,0x3fffe60f,0xfffffb86,
    0x7ffc41ff,0x3ffea0ff,0x3932efff,0x0fffffe2,0x43ffffc8,0xfffffeb8,
    0x01cfffff,0x03ffffe6,0x1fffff88,0x7fffff44,0xffffffff,0xffffa84f,
    0x3ffe202f,0x7ecc06ff,0xffffffff,0x7fcc0bef,0x06a01fff,0x80b6e620,
    0x01ffffff,0x98bffff6,0x00ffffff,0x83fffff5,0x6c0fffff,0x3fffffff,
    0x22ffffd4,0x1ffffffa,0x3ffffe60,0x3fffe600,0x3fff2606,0xefffffff,
    0xfffff982,0x3fffe200,0xffffe81f,0xfffda9df,0xfffc84ff,0xfffc806f,
    0xffea80ff,0xffffffff,0x3ffe201c,0x001befff,0x7fec4000,0x7fdc07ff,
    0x3ffe64ff,0x3fe203ff,0x7fe42fff,0x7fffc2ff,0x7ec5ffff,0x7fd42fff,
    0x7d404fff,0x7c407fff,0xd5006fff,0xffffffff,0x7ffcc7ff,0x3fe200ff,
    0x7fcc1fff,0xffa80fff,0xfffe87ff,0xfff9802f,0x3fff21ff,0xdfffffff,
    0x3fffa002,0xbdffffff,0x5d440000,0x6ffffffe,0x37fffcc0,0x05fffff3,
    0x42fffff8,0x264ffffa,0xfffcffff,0x07ffffc7,0x0bffffea,0xffffff70,
    0xffffffff,0x8800ffff,0xfffffffc,0xffff30ff,0x7ffc401f,0x7ffdc1ff,
    0x3fffa04f,0x3fffe21f,0xfff8801f,0xffff12ff,0x017dffff,0xfffff300,
    0xdfffffff,0x7f654005,0xffffffff,0xffffffff,0x27ffffff,0x01fffff9,
    0x417ffffc,0x3ee7ffff,0xffff9eff,0x0bffff31,0x03fffff5,0xffffffd8,
    0xffffffff,0x0000ffff,0xffffffb5,0x3ffffe61,0x3fffe200,0x7fffe41f,
    0x3fffee01,0x3ffffea2,0xfffff000,0x3ffffe29,0xa80001df,0xffffffff,
    0x01efffff,0x3fffffee,0xffffffff,0xffffffff,0x267fffff,0x401fffff,
    0xd82fffff,0xffd1ffff,0x4ffffe9f,0xa83ffffc,0x400fffff,0xfffffffd,
    0xffffffff,0x30001fff,0x1ffffff9,0x03ffffe6,0x1fffff88,0x00ffffe4,
    0x545ffff7,0x001fffff,0x227fffff,0x1cffffff,0xff910000,0xffffffff,
    0xffb01dff,0x7bffffff,0xfffffffd,0xffffffff,0x3fe61fff,0x7fc01fff,
    0xffa82fff,0x5ffff3ff,0x7f57fff6,0xffa80fff,0x7dc00fff,0xaaaaefff,
    0xaaaaaaaa,0x3ae2000a,0xffffffff,0x1fffff30,0x7ffffcc0,0x27fffdc1,
    0x43ffffd0,0x02fffff9,0x2fffff88,0xfffffff1,0x000017df,0x3ffffb2a,
    0x5c4fffff,0x1bffffff,0x56fffff4,0xaaaaaaaa,0x3fe62aaa,0x7fc00fff,
    0xff882fff,0xffffadff,0xf1ffff50,0x3ea0dfff,0xfa807fff,0x00007fff,
    0x3ffff260,0x0cffffff,0x03fffff3,0x0fffffd4,0x03ffffe6,0x11ffffea,
    0x007fffff,0x21fffff5,0xffffffc8,0x001dffff,0x3ff6a200,0x7f45ffff,
    0xfd00dfff,0x8000dfff,0x00fffff9,0x817ffffc,0xffcffffd,0x3fffe26f,
    0x503ffffd,0x300fffff,0x403fffff,0xd71001a9,0xffffffff,0xff9819ff,
    0x3ee01fff,0xfe81ffff,0xda9dffff,0xe84fffff,0x400fffff,0x887ffffe,
    0xfffffffc,0x800befff,0x36202ba9,0x3e27ffff,0x3e01ffff,0x200fffff,
    0xfff301a9,0xfff801ff,0xfff702ff,0xe89fffff,0xffffffff,0xfffff501,
    0x3ffffa00,0x3bfffa05,0xffffd984,0x2effffff,0x3ffffe20,0xfffff104,
    0xffffd03f,0xffffffff,0xfff709ff,0x7fdc09ff,0x75404fff,0xffffffff,
    0xffe81dff,0x3ee00fff,0x3fe66fff,0xff502fff,0x2209ffff,0x263effff,
    0x400fffff,0x102fffff,0xffffffff,0xfffffc85,0x3fea06ff,0xff7007ff,
    0xff909fff,0x7f447fff,0xffffffff,0xfff001df,0xfe985fff,0x6c1fffff,
    0xffffffff,0xffffffff,0x7ffffc44,0xffb309ef,0x4c00dfff,0xfffffffd,
    0x3ee0efff,0xf104ffff,0x7c49ffff,0xf885ffff,0xcfffffff,0x3ffff621,
    0x3fffe62f,0x7fffc00f,0x3fffa02f,0x7d40ffff,0x04ffffff,0x01ffffea,
    0xeffffff8,0xffffffdd,0x7ffffc46,0x000cffff,0x7fffffec,0xffffffdf,
    0x3ff61fff,0xffffffff,0xffffffff,0x7ffffd44,0xffffffff,0x88001fff,
    0xfffffffc,0x3ffe20ff,0xecbdffff,0x41ffffff,0xcffffffe,0xffffffeb,
    0xfedfffff,0x4c6fffff,0x400fffff,0x202fffff,0x6ffffffb,0xffffff88,
    0x3ffea01f,0x3fa6007f,0xffffffff,0x7c41ffff,0x0befffff,0xffff1000,
    0x9fffffff,0x4c3ffffb,0xffddffff,0xffdcffff,0xfffb81ff,0xffffffff,
    0x40003fff,0xfffffeb8,0x7fffcc0f,0xffffffff,0xffa82fff,0xffffffff,
    0xffffefff,0xffffffff,0x7ffcc0ef,0x7ffc00ff,0x3fe602ff,0xfd04ffff,
    0xa80dffff,0x4007ffff,0xffffffd8,0x881fffff,0x002dffff,0xfffff300,
    0x3f67ffff,0x7fcc1fff,0x82aaea24,0x3e601ffd,0xffffffff,0x00001eff,
    0x07fffed4,0x7fffffcc,0x3fffffff,0x3fffff20,0x31efffff,0xfffffffd,
    0xf301dfff,0xf801ffff,0x7402ffff,0x902fffff,0x809fffff,0x007ffffa,
    0xfffffb70,0x3e2017ff,0x800001cf,0xdfffffd9,0x07ffff62,0x07600126,
    0x3ffb2a20,0x0004efff,0x07fe4c00,0xfffffd50,0x50019fff,0xbffffffd,
    0x3fffae05,0x2603efff,0x400fffff,0x402fffff,0x00fffffc,0x03fffff5,
    0x07ffffa8,0x19aa8800,0x0000b880,0x00353000,0x00000000,0x0001aa88,
    0x00b88000,0x09aaa988,0x13531000,0x19aa9800,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x2aaaa600,0xaaaaaaaa,0x5530aaaa,0x76544155,
    0xd95101bd,0x2aa6037b,0x551002aa,0x2aa21555,0x2600aaaa,0x001aaaaa,
    0x0017bbb6,0x40010002,0x7f46fffa,0x9fffb3ff,0x007fffcc,0x00357530,
    0xa9816654,0xcb8000ab,0xba8003cc,0x6400bccc,0xffffffff,0xffffffff,
    0x25ffff91,0xfffffffa,0x7ffffcc5,0x7fd40eff,0xfb801fff,0x3f60ffff,
    0xf105ffff,0x003fffff,0x003ffffc,0x7dc00fe2,0xffff8800,0x89bffee2,
    0x3f21ffff,0xfe9805ff,0x402fffff,0x74c3fff9,0x00dfffff,0x3fffff10,
    0x3fffa200,0x3205ffff,0xffffffff,0xffffffff,0x75ffff91,0xffffffff,
    0x3fffeebf,0xf86fffff,0xe804ffff,0x7c44ffff,0xd82fffff,0x003fffff,
    0x003ffffc,0xb807fff1,0x7ec00eff,0x3ffe65ff,0x37ffe42f,0x407ffff1,
    0xfffffff8,0xfff502ff,0xfffff87f,0xf9006fff,0x200bffff,0xfffffffd,
    0xfff903ff,0xffffffff,0x323fffff,0xffffffff,0xffffffff,0xfffffffe,
    0x7e45ffff,0x7cc07fff,0xfa81ffff,0x2a0fffff,0x006fffff,0x007ffff8,
    0x07fffff1,0x03bfffea,0xd0ffffdc,0xff10bfff,0x7ffdc9ff,0x9fffb00f,
    0xa8dfff73,0x23fffffe,0xfd9bfffb,0x7fc402ff,0x400fffff,0xdbbefffa,
    0xff906fff,0xffffffff,0x21ffffff,0xfffffffc,0xffffdaad,0xcabeffff,
    0x20ffffff,0x02fffff9,0x81bffff2,0x14fffffd,0x01ffffff,0x0fffff00,
    0x3fffff20,0x7fffd43f,0xfff883ff,0x3ffff24f,0x3ffff701,0xf837fff4,
    0x7ffe46ff,0xffffff30,0x127f647f,0xfb807fff,0x04ffffff,0x3e0765c4,
    0x2a0007ff,0x22ffffff,0x1ffffffc,0xffffffe8,0xfffffb84,0x2fffff41,
    0x07fffff0,0x7fffff44,0x2fffffd9,0xfffff000,0x7fffe400,0xffff53ff,
    0x3ffa07ff,0xffff30ff,0xefffe809,0x07ffff50,0xffd83533,0x3eb7fe67,
    0x7ec403ff,0x7ffc01ff,0x00ffffff,0x7fffb880,0xffff5000,0xfffc87ff,
    0xfff703ff,0xff101dff,0xffa85fff,0xffa80fff,0x7cc00fff,0xffffffff,
    0x3e0005ff,0x64007fff,0xfdffffff,0x703fffff,0x3e27ffff,0x5400ffff,
    0x3fa4ffff,0xf5001fff,0x88eccbff,0x3f603fff,0x7dc02fff,0xffffefff,
    0xffdb9803,0x8007ffff,0x4ffffff9,0x0fffffc8,0x7fffff30,0x1fffffc0,
    0x417ffffc,0x004ffffd,0xfffffff9,0x54401dff,0xffaaaaaa,0xaaaaafff,
    0xfffc80aa,0xffffffff,0xdffff303,0x01ffffec,0x32ffffe8,0x700dffff,
    0x4401ffff,0x3fe03fff,0x7f401fff,0xffff8fff,0x7fffe407,0x007fffff,
    0x7fffffc4,0xfffff905,0x7ffffcc0,0x3ffffe02,0x5ffffc83,0x0fffffc4,
    0xfffffd00,0xfa803fff,0xffffffff,0xffffffff,0xfff902ff,0x07ffffff,
    0xa97ffff4,0x2006ffff,0xb0fffff9,0x6409ffff,0x4401ffff,0x9b103fff,
    0x2a07fffd,0xff94ffff,0x3ff207ff,0xffe8bdff,0x3ffa2007,0x3f206fff,
    0x3e606fff,0x3e01ffff,0xf983ffff,0x3ee0ffff,0x44006fff,0x3fffffff,
    0xfffffa80,0xffffffff,0x02ffffff,0x3ffffff2,0x7ffe404f,0xfffff14f,
    0x3ffe6001,0xffffb0ef,0xdfffb107,0x7fff1003,0x41fffa00,0xf31ffffe,
    0x3fe0dfff,0x3ffe20ff,0x3fffa007,0x3f200eff,0x3e606fff,0x3e01ffff,
    0xfd03ffff,0x7ff47fff,0xfc8003ff,0x801fffff,0xfffffffa,0xffffffff,
    0x2e02ffff,0x3fffffff,0x7ffff440,0x0bffff70,0x47ffffa0,0x886ffff9,
    0x000efffe,0x54c7fff1,0x0fffdc1b,0xd1bfffea,0xf985ffff,0x7ffdc6ff,
    0xffffb007,0xffc803ff,0x3fe606ff,0x3fe00fff,0xff503fff,0x3ffe2dff,
    0x7c4000ff,0x06ffffff,0xffffffa8,0xffffffff,0x702fffff,0xffffffff,
    0xfff9807f,0x3ffff65f,0x7fffd401,0x03ffffa4,0x009fffd1,0x3e3fff88,
    0x7fff45ff,0x17fffec0,0x21bfffea,0xfc9cfffe,0x6400ffff,0x01ffffff,
    0x06ffffc8,0x03ffffe6,0x03fffff8,0x2e7ffffe,0x8005ffff,0xfffffffd,
    0x6664c03f,0xffffcccc,0xcccccccf,0xfffffb81,0x03ffffff,0x88ffffe4,
    0x7c06ffff,0x3fee6fff,0xfffc82ff,0x0fffffff,0x647fff10,0xffecefff,
    0x7fffcc5f,0x3fffff07,0xffffffb8,0x200fffff,0x2ffffffb,0xdffff900,
    0x7ffffcc0,0x3ffffe00,0x3ffff203,0x01ffffeb,0x7ffffdc0,0x001fffff,
    0x01ffffe0,0xffffff50,0x7ffffffd,0x26fffe80,0x702ffffa,0x3e23ffff,
    0xfff05fff,0xffffffff,0x8fffe201,0xffffffe8,0x7ffec0ef,0xffff904f,
    0xffffe88b,0x01fffadf,0x7ffffff5,0x7fffe400,0x3fffe606,0x3fffe00f,
    0x3ffe603f,0x06ffffff,0x7ffffcc0,0x06ffffff,0x1ffffe00,0xfffffa80,
    0xfffffb3f,0x7ffcc07f,0x1bfff62f,0xc8ffffe2,0xfa80ffff,0xffffffff,
    0xfff100ff,0xffffc887,0xffff983f,0xffff301f,0x3799501f,0x7cc0d554,
    0x003fffff,0x037fffe4,0x01fffff3,0x01fffffc,0x3ffffffa,0x7f4003ff,
    0xffd9ffff,0xf0004fff,0x2a00ffff,0x43ffffff,0x3ffffffd,0x89bfff20,
    0x7ec3ffff,0x3ffe25ff,0x0000002f,0xa8026200,0x5c03cccc,0x0002cccc,
    0x3ffffe20,0xeeeedcff,0xff95eeee,0x7fcc0dff,0x3fe00fff,0x7d403fff,
    0x0fffffff,0x3ffff200,0xfffff13f,0xfff0005f,0x3fea00ff,0xffb03fff,
    0xfe803fff,0x3ffea3ff,0x1ffff30f,0x0027ffec,0x00000000,0x00000000,
    0xfffffa80,0xffffffff,0xff96ffff,0x7fcc0dff,0x3fe00fff,0xff803fff,
    0x005fffff,0x1bffffe6,0x1ffffff5,0x7ffff800,0x0fffea00,0x003fffb0,
    0xcb899993,0x599971cc,0x00266644,0x00000000,0x00000000,0xfffff500,
    0xffffffff,0x3f2dffff,0x3e606fff,0x3e00ffff,0xc803ffff,0x02ffffff,
    0xffffff10,0xfffffb03,0xffff800b,0x027d4007,0x00001fd8,0x00000000,
    0x00000000,0x00000000,0xffffff50,0xffffffff,0x3ff2dfff,0x3fe606ff,
    0x3fe00fff,0xf9803fff,0x2006ffff,0x04fffffd,0x7ffffff1,0x3ffffc00,
    0x06000c00,0x00000000,0x00000000,0x00000000,0xffa80000,0xffffffff,
    0x6fffffff,0x40dffff9,0x00fffff9,0x00fffffe,0x01fffff4,0x6fffffa8,
    0x7ffffd40,0x0000000f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0de65440,0xcccccc98,0xcccccccc,0x201ccccc,
    0x64c04cc8,0xcccccccc,0xcccccccc,0x795301cc,0x55551015,0x0ccccc45,
    0x98266666,0x98809999,0x14001acb,0x01e6e5d4,0x91333332,0x2a099999,
    0xff90aaaa,0xbfffffff,0x88555554,0xaaaaaaaa,0xaaaaaaaa,0x322aaaaa,
    0x66543ccc,0xff90004c,0xa81bffff,0xffffffff,0xffffffff,0x3e202fff,
    0x7ffd407f,0xffffffff,0xffffffff,0xfffffc82,0x7fffcc1e,0xfffffd0f,
    0xafffffc4,0x44fffff9,0xfffffffc,0x117a201c,0x1dffffff,0x3fffff30,
    0x2fffff88,0x87ffffc4,0xfffffffd,0xffff16ff,0x3fffea1f,0xffffffff,
    0xffffffff,0x17fffa7f,0x000ffff9,0xfffffffd,0x7ffd41ff,0xffffffff,
    0xffffffff,0x01ffe202,0xfffffff5,0xffffffff,0xfd85ffff,0x2fffffff,
    0x43ffffe6,0x227ffffe,0xf35fffff,0x3a29ffff,0xffffffff,0xf731beff,
    0xcaab98bf,0xffd83fff,0xfff302ff,0xffff88df,0xfffffb0f,0x3e2dffff,
    0xff50ffff,0xffffffff,0xffffffff,0x7ff4ffff,0x3fffe45f,0x3fffee00,
    0x25ffffef,0xfffffffa,0xffffffff,0x0aa2ffff,0x2a198dff,0xffffffff,
    0xffffffff,0x3fee2fff,0xffffedff,0x1fffff30,0x89fffffa,0xf35fffff,
    0x3f69ffff,0xffffffff,0xffffffff,0xffc805ff,0x3fffe20f,0x7fffcc02,
    0x3ffffe21,0xffffffb0,0x3fe2dfff,0xfff50fff,0xffffffff,0xffffffff,
    0x7fff4fff,0x03fffe45,0xa8ffffe0,0xff52ffff,0xffffffff,0xffffffff,
    0xf977ec5f,0x54bfb55f,0xffffffff,0xffffffff,0x3ffe2fff,0x4fffe60d,
    0xd0fffff9,0x7c4fffff,0xff35ffff,0x3ff69fff,0xffffffff,0xffffffff,
    0xfffd805f,0x00ffff20,0xf12fffd4,0x3f61ffff,0xffffffff,0x1fffff16,
    0x44444444,0x88888888,0x20888888,0x7e44fffe,0x3e2007ff,0xfffc86ff,
    0x33333313,0x33333333,0x225ffffb,0xeffeffff,0x510ffffe,0x55555555,
    0x55555555,0x3ffe2155,0xf35ffc81,0x7ff4ffff,0x3ffe27ff,0xffff35ff,
    0x33bff69f,0xfffffdba,0x3fffffff,0xfd955551,0x7ffc4bff,0x7ffd4004,
    0x1fffff11,0x2eeeeeea,0xfff12bbb,0x000001ff,0x20000000,0xfa84fffa,
    0xc80005ff,0xfd32ffff,0xffffffff,0x00005fff,0x507ff980,0x4dfd0dff,
    0x7c6ffffc,0x3fe4ffff,0x03fb3fff,0x7ffffed4,0x3fe61eff,0x0dffffff,
    0x10000444,0x00000001,0x00000000,0x7fdc0000,0x6fffa84f,0xfffc8000,
    0x7fe5442f,0x001bcfff,0xfff10000,0x88bffb03,0x3ffee5ff,0x7ffff45f,
    0x4bffffa2,0xdd71000b,0xfdd3059d,0x0003bdff,0x00000000,0x00000000,
    0x54000000,0xffa84fff,0xfc80005f,0xff302fff,0x26203fff,0x99999999,
    0x99999999,0x37ffe099,0x70fffea0,0x7ffcc7ff,0x7fffe43f,0x03ffff21,
    0x00000000,0x00000000,0x00000000,0x00000000,0xc86fff98,0x80004fff,
    0x982ffffc,0x0effdfff,0xffffffa8,0xffffffff,0x2e2fffff,0xffedffff,
    0xdffb10ff,0x42ffff88,0x7dc7fffa,0x000007ff,0x00000000,0x00000000,
    0x00000000,0xfff80000,0x3fffe22f,0xffc80002,0x7ffcc2ff,0xa81dffd5,
    0xffffffff,0xffffffff,0x7fec2fff,0x22ffffff,0xed81fffb,0x7774c0ee,
    0x32f774c5,0xbbbbbbbb,0xbbbbbbbb,0x00bbbbbb,0x00000000,0x00000000,
    0x00000000,0xeffffb80,0x006ffffd,0x5ffff900,0xf30fffe8,0xfffa89ff,
    0xffffffff,0xffffffff,0xfffffb82,0x0027c41e,0xffa80000,0xffffffff,
    0xffffffff,0x00007fff,0x00000000,0x00000000,0x80000000,0xfffffffe,
    0x900001ff,0xe885ffff,0x2067ec3f,0xfffffffa,0xffffffff,0x5102ffff,
    0x00040377,0xff500000,0xffffffff,0xffffffff,0x0000ffff,0x00000000,
    0x00000000,0x00000000,0xffffffb1,0x5c00003d,0x0701eeee,0x3bba6031,
    0xeeeeeeee,0xeeeeeeee,0x00000001,0x774c0000,0xeeeeeeee,0xeeeeeeee,
    0x00006eee,0x00000000,0x00000000,0x00000000,0x00af72e6,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_44_latin1_x[224]={ 0,3,2,0,1,1,1,1,2,1,0,1,2,1,
2,-1,1,3,0,1,0,1,1,1,1,1,3,3,1,1,1,2,1,0,2,1,2,2,2,1,2,2,0,2,
3,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,2,-1,0,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,0,0,2,0,0,0,0,0,1,3,0,1,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,0,3,1,0,0,0,
3,1,0,-1,0,1,1,1,-1,-1,1,0,0,0,3,2,-1,2,0,1,0,2,1,1,0,1,0,0,0,0,
0,0,-2,1,2,2,2,2,-1,2,-1,-1,-1,2,1,1,1,1,1,2,1,2,2,2,2,-1,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,-1,2,-1,-1,1,2,1,1,1,1,1,0,1,2,2,2,2,0,2,0,
 };
static signed short stb__arial_bold_44_latin1_y[224]={ 35,6,6,6,4,6,6,6,6,6,6,11,29,22,
29,6,6,6,6,6,6,7,6,7,6,6,14,14,10,14,10,6,6,6,6,6,6,6,6,6,6,6,6,6,
7,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,39,6,14,6,14,6,14,6,14,6,6,
6,6,6,14,14,14,14,14,14,14,7,14,14,14,14,14,14,6,6,6,17,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,35,14,6,6,10,6,
6,6,6,6,6,16,14,22,6,1,6,8,6,6,6,14,6,18,35,6,6,16,6,6,6,14,-1,-1,-1,0,
0,1,6,6,-1,-1,-1,0,-1,-1,-1,0,6,0,-1,-1,-1,0,0,11,5,-1,-1,-1,0,-1,6,6,6,6,
6,6,6,5,14,14,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,10,13,6,6,6,6,6,6,6,
 };
static unsigned short stb__arial_bold_44_latin1_w[224]={ 0,7,15,22,20,33,27,7,10,11,15,21,7,11,
7,12,19,13,20,20,22,20,20,20,20,20,7,7,21,21,21,21,38,29,25,26,25,23,21,28,24,7,19,27,
20,29,24,29,23,30,27,24,24,24,28,38,27,28,24,11,12,11,19,24,10,20,21,20,21,20,15,21,20,7,
11,20,7,31,20,22,21,21,14,21,13,20,22,31,22,22,19,14,5,15,21,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,7,20,22,21,22,
5,20,14,31,14,19,21,11,31,24,13,21,13,13,10,19,23,7,12,9,14,18,32,31,33,22,29,29,29,29,
29,29,40,26,23,23,23,23,10,9,14,14,28,24,29,29,29,29,29,19,29,24,24,24,24,28,23,21,20,20,
20,20,20,20,33,20,20,20,20,20,10,10,14,14,22,20,22,22,22,22,22,21,22,20,20,20,20,22,21,22,
 };
static unsigned short stb__arial_bold_44_latin1_h[224]={ 0,29,11,30,35,31,30,11,38,38,14,20,13,6,
6,30,30,29,29,30,29,29,30,28,30,30,21,28,22,14,22,29,38,29,29,30,29,29,29,30,29,29,30,29,
28,29,29,30,29,32,29,30,29,30,29,29,29,29,29,37,30,37,16,4,7,22,30,22,30,22,29,30,29,29,
38,29,29,21,21,22,29,29,21,22,29,22,21,21,21,30,21,38,38,38,9,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,29,37,30,22,29,
38,38,5,30,15,18,14,6,30,5,13,27,16,16,7,29,37,6,9,16,15,18,31,31,31,30,36,36,36,35,
35,34,29,38,36,36,36,35,36,36,36,35,29,35,37,37,37,36,36,20,32,37,37,37,36,36,29,30,30,30,
30,30,30,31,22,30,30,30,30,30,29,29,29,29,30,29,30,30,30,30,30,22,24,30,30,30,30,38,37,38,
 };
static unsigned short stb__arial_bold_44_latin1_s[224]={ 249,237,98,165,45,65,66,114,59,24,38,
99,90,187,179,207,236,195,93,1,158,42,132,93,178,231,245,245,110,54,22,
173,130,207,181,95,87,113,151,24,231,1,75,130,234,1,31,47,78,1,1,
22,68,153,205,29,123,176,151,212,242,1,218,122,168,203,220,224,53,1,114,
122,72,64,118,28,20,21,188,87,209,56,241,132,137,44,53,209,76,77,1,
103,185,169,122,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,
136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,136,249,173,199,
1,65,181,70,191,232,199,238,141,16,187,100,207,76,114,180,204,157,230,125,
199,144,194,1,161,32,99,131,213,220,31,1,96,66,175,1,76,61,85,109,
151,143,133,209,30,144,126,43,13,73,179,224,121,205,224,174,149,154,1,63,
230,188,209,43,1,22,235,154,85,106,127,148,169,9,204,215,49,184,102,138,
161,115,1,190,181,158,64,45,24,94,36,103,1, };
static unsigned short stb__arial_bold_44_latin1_t[224]={ 1,339,474,152,115,152,216,474,1,1,474,
452,474,474,474,216,185,309,339,247,339,309,247,399,247,247,399,339,429,474,429,
309,1,339,339,278,309,309,309,278,309,339,278,339,369,369,369,247,369,152,399,
247,399,247,369,399,369,369,369,1,216,40,452,484,474,399,216,399,278,429,339,
278,339,339,1,339,339,452,429,429,309,369,429,429,309,429,452,429,452,247,452,
1,1,1,474,399,399,399,399,399,399,399,399,399,399,399,399,399,399,399,399,
399,399,399,399,399,399,399,399,399,399,399,399,399,399,399,399,399,1,278,40,
278,429,278,1,1,474,247,452,452,474,474,247,474,474,399,452,452,474,278,40,
474,474,452,474,452,152,152,152,185,40,78,78,115,115,115,309,1,78,78,78,
115,78,78,78,115,278,115,40,40,40,78,78,452,115,1,40,40,78,115,309,
152,152,152,185,185,185,115,429,185,185,185,185,185,339,278,278,339,216,369,216,
216,216,216,185,399,399,185,216,216,216,1,40,1, };
static unsigned short stb__arial_bold_44_latin1_a[224]={ 175,210,299,350,350,560,455,150,
210,210,245,368,175,210,175,175,350,350,350,350,350,350,350,350,
350,350,210,210,368,368,368,385,614,455,455,455,455,420,385,490,
455,175,350,455,385,525,455,490,420,490,455,420,385,455,420,595,
420,420,385,210,175,210,368,350,210,350,385,350,385,350,210,385,
385,175,175,350,175,560,385,385,385,385,245,350,210,385,350,490,
350,350,315,245,176,245,368,473,473,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,473,
473,473,473,473,473,473,473,473,175,210,350,350,350,350,176,350,
210,464,233,350,368,210,464,348,252,346,210,210,210,363,350,175,
210,210,230,350,526,526,526,385,455,455,455,455,455,455,630,455,
420,420,420,420,175,175,175,175,455,455,490,490,490,490,490,368,
490,455,455,455,455,420,420,385,350,350,350,350,350,350,560,350,
350,350,350,350,175,175,175,175,385,385,385,385,385,385,385,346,
385,385,385,385,385,350,385,350, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_44_latin1_BITMAP_HEIGHT or STB_FONT_arial_bold_44_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_44_latin1(stb_fontchar font[STB_FONT_arial_bold_44_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_44_latin1_BITMAP_HEIGHT][STB_FONT_arial_bold_44_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_44_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_44_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_44_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_44_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_44_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_44_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_44_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_44_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_44_latin1_s[i] + stb__arial_bold_44_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_44_latin1_t[i] + stb__arial_bold_44_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_44_latin1_x[i];
            font[i].y0 = stb__arial_bold_44_latin1_y[i];
            font[i].x1 = stb__arial_bold_44_latin1_x[i] + stb__arial_bold_44_latin1_w[i];
            font[i].y1 = stb__arial_bold_44_latin1_y[i] + stb__arial_bold_44_latin1_h[i];
            font[i].advance_int = (stb__arial_bold_44_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_44_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_44_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_44_latin1_s[i] + stb__arial_bold_44_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_44_latin1_t[i] + stb__arial_bold_44_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_44_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_44_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_44_latin1_x[i] + stb__arial_bold_44_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_44_latin1_y[i] + stb__arial_bold_44_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_44_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_44_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_44_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_44_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_44_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_44_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_44_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_44_latin1_LINE_SPACING
#endif

