// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_45_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_45_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_45_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_45_latin1_BITMAP_HEIGHT        504
#define STB_FONT_arial_bold_45_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_arial_bold_45_latin1_FIRST_CHAR            32
#define STB_FONT_arial_bold_45_latin1_NUM_CHARS            224

#define STB_FONT_arial_bold_45_latin1_LINE_SPACING          29

static unsigned int stb__arial_bold_45_latin1_pixels[]={
    0x81555530,0x5301aaaa,0xa8000055,0x0002aaaa,0x80004c40,0x0000019a,
    0x026a6200,0x5554c000,0x01331002,0x05553000,0x31a99880,0x3ba25555,
    0x3eeeeeee,0x2aaaaa00,0x55100002,0xff705555,0xffff83ff,0x09fff505,
    0x3ffee000,0x220002ff,0xfffffeca,0xff8802ce,0x0000cfff,0xfffd9300,
    0x5bffffff,0x3ffee000,0x3fffaa06,0x8000cfff,0x3005fff8,0x2e9ffffd,
    0xfff16fff,0x09ffffff,0x7ffffd40,0xffc80003,0xffb81fff,0x7fffc1ff,
    0x03fffa05,0x3fffa000,0x3ea0003f,0xffffffff,0x2200dfff,0x1fffffff,
    0xfd710000,0xffffffff,0x39ffffff,0x37ffdc00,0x7fffff44,0x004fffff,
    0x4017ffe4,0x4ffffffd,0x3e2dfff7,0xffffffff,0x7ffd4004,0x7c40006f,
    0xf701ffff,0xfff83fff,0x3ffee05f,0x7fd40005,0x320003ff,0xffffffff,
    0x3fffffff,0xffffff10,0xf90000df,0xffffffff,0xffffffff,0x2e007fff,
    0xffe86fff,0xffffffff,0xff1004ff,0xfff500ff,0x3ee9ffff,0xffff16ff,
    0x009fffff,0x05ffff70,0x7fffdc00,0x3fffee02,0x02ffffc1,0x005ffff1,
    0x027fff40,0xffffe980,0xffffffff,0x883fffff,0xffffffff,0xffd10003,
    0x79bdffff,0xffdb9755,0x801bffff,0x7e46fffb,0xffffffff,0x802fffff,
    0xe803fffc,0x4fffffff,0x3e2dfff7,0xccccffff,0xfff90002,0x7ffc000d,
    0x5554c03f,0x0d55540a,0x01bfff60,0x02fffcc0,0xfffffd00,0xffdbbfff,
    0x03ffffff,0xfffff955,0xfff5000b,0x80019fff,0x0ffffffb,0xd1bffee0,
    0x225fffff,0x06fffffb,0x007fffcc,0x3bffffe6,0xdfff71ab,0x03ffffe2,
    0xfffc8000,0xfffa8001,0x00000003,0x005ffff5,0x00079950,0x7fffffdc,
    0xfffc881d,0x7dc06fff,0x54006fff,0x002fffff,0x7fffe440,0x9bffee05,
    0x83fffff8,0x00fffffc,0x2017fff6,0x706ffffa,0x3fe2dfff,0x00000fff,
    0x4001665c,0x00003ccb,0x7fffc000,0x00000005,0x7ffffff1,0xfffff700,
    0x7ffcc03f,0x3fe6007f,0x00000eff,0x413fffa6,0x3e26fffb,0xe885ffff,
    0xf300abcd,0xf7007fff,0x3ee0bfff,0xffff16ff,0x2200001f,0x00000199,
    0xb0000000,0x0001ffff,0xfff90000,0x7e4009ff,0x2205ffff,0x2007ffff,
    0x8804fffe,0x7ffcc001,0x6fffb81f,0x0ffffff4,0x3fff6000,0xfffb800f,
    0xdfff704f,0x03ffffe2,0x7fedc400,0x1bceffff,0xddddd300,0x77777547,
    0xeeee8801,0xffffa83e,0x77777544,0xeeee8801,0x3fffe23e,0x3e6000ff,
    0x7c01bdff,0xf9007fff,0x76540bff,0xdd12efff,0x7ffdcbdd,0x46fffb84,
    0x3ffffffb,0xffff1000,0x3ffee00d,0xdfff704f,0x03ffffe2,0x3fffee00,
    0xffffffff,0xfff9804f,0x3ffe64ff,0xffa804ff,0xff881fff,0x7ffcc6ff,
    0xffa804ff,0x3fe61fff,0xa8004fff,0x7fffc000,0xffff9807,0xffffe880,
    0xffabffff,0x7fff46ff,0x437ffdc0,0xeffffffe,0x7ffd4000,0xfff7003f,
    0x3ffee07f,0x1fffff16,0x7ffec400,0xffffffff,0x201effff,0x44fffff9,
    0x807ffffe,0x206ffffd,0x740ffffe,0xd807ffff,0x7dc6ffff,0x0002ffff,
    0xfffff000,0x2fffd801,0xfffffe88,0xffefffff,0x7ffcc4ff,0x437ffdc3,
    0xfffffffb,0x3ff6003f,0xff7002ff,0x3fee07ff,0xfffff16f,0x3ffe6001,
    0xffffffff,0xffffffff,0xfffff304,0xfffffb89,0x3fffe201,0x3fff603f,
    0x7fffdc2f,0x3ffe201f,0x7ffe43ff,0x000001ff,0x01fffff0,0x442fffc4,
    0xadfffffe,0xfffffffc,0x27ffc42f,0xf51bffee,0xffffffff,0xfff003df,
    0x3f2003ff,0xff703fff,0x3fffe2df,0xffe8800f,0xdeffffff,0xfffffffe,
    0xfff982ff,0x7ffc44ff,0x3fea04ff,0x3f600fff,0x7fc44fff,0x3ea04fff,
    0x7ec0ffff,0x0000ffff,0xffffd000,0x17ffdc03,0x06fffff4,0x3fffff62,
    0x45ffe81f,0x3ea6fffb,0xffffffff,0x2603ffff,0x000fffff,0x205ffffb,
    0xff16fffb,0xf9001fff,0x15dfffff,0xfffff910,0xfff981ff,0xfffd84ff,
    0x3fff607f,0x7ffe405f,0xffffd86f,0x3ffff607,0x7ffffe85,0x36000000,
    0x3a03ffff,0xfffa87ff,0xfff100ff,0x3ff20fff,0xf37ffdc6,0xff55ffff,
    0x0bffffff,0x01ffffee,0x00fffff8,0x3e2dfff7,0x5400ffff,0x0dffffff,
    0xfffffa80,0x7fffcc4f,0xffffa84f,0xffff881f,0x7ffdc02f,0xffffa87f,
    0xffff881f,0xfffff82f,0x20000007,0x80fffffa,0xfe84fff8,0x7f403fff,
    0xff705fff,0x36fffb8f,0x7447ffff,0x4fffffff,0x06ffffb8,0x0fffff50,
    0xf8b7ffdc,0x7400ffff,0x005fffff,0x7fffffcc,0x3ffffe61,0x9fffff04,
    0x1fffff50,0xfffffa80,0x4fffff80,0x0fffffa8,0x07fffff8,0x7fc00000,
    0x7cc1dfff,0x7ffd41ff,0xfffd806f,0x8fff904f,0xff709998,0xfff903ff,
    0xfc87ffff,0xfa805fff,0x2e04ffff,0xfff16fff,0x7fcc01ff,0x8001ffff,
    0x25fffffd,0x04fffff9,0xb0fffff9,0x300bffff,0x901fffff,0xfb0fffff,
    0x3fa0bfff,0x0000ffff,0x3fff2000,0xff51ffff,0xffffd81f,0xffffd802,
    0x00dffd02,0x40fffff6,0xfffffffa,0x13ffff61,0xffffffd8,0x3ffee00f,
    0x1fffff16,0x7ffffe40,0xfff30005,0x7ffccfff,0xfff304ff,0xffff83ff,
    0xfff8802f,0xfff981ff,0x7fffc1ff,0xffffb02f,0x0000003f,0xffffffc8,
    0xff0fff72,0xff003fff,0xff101fff,0x3ff6009f,0x3fa206ff,0x3fa3ffff,
    0x3fa03fff,0x401fffff,0xff16fffb,0x7f401fff,0x0001ffff,0x43fffffa,
    0x04fffff9,0xa93ffffa,0x2007ffff,0xd01fffff,0x7d49ffff,0x3ee07fff,
    0x8002ffff,0x3f60001a,0xff92ffff,0x7ffff88f,0x7ffff880,0x007fff50,
    0x37fffff2,0x3ffff600,0x0bffffa5,0x1fffffe8,0x16fffb80,0x401fffff,
    0x00ffffff,0x3ffff600,0xfffff31f,0x7fffdc09,0x13ffff67,0x1fffff80,
    0x4fffff70,0x204ffffd,0x04fffffa,0x01cfff80,0x3ffffee0,0x98dffb2f,
    0x9806ffff,0xf905ffff,0x3e6003ff,0x00efffff,0x74fffff1,0x3a03ffff,
    0x00efffff,0xf8b7ffdc,0x3e00ffff,0x0007ffff,0x97ffffe4,0x04fffff9,
    0x47ffffe2,0x001fffff,0x01fffff1,0x47ffffe2,0x201fffff,0x0ffffff9,
    0x3fffea00,0xfffb806f,0xffb2ffff,0x5ffffa8d,0x3ffffc80,0x006fff98,
    0x7fffffec,0xbfffd03f,0x027fffec,0xfffffffd,0x16fffb80,0x201fffff,
    0x06fffff8,0x7fffdc00,0xfffff33f,0xffffd809,0x06ffffac,0x3ffffe20,
    0x3ffff600,0x06ffffac,0x3fffffe8,0x3ffffa00,0x7ffc403f,0x3f20aeff,
    0x7fffcc7f,0x7fffc405,0x7fff441f,0x7ff44001,0x20dfffff,0x323ffff9,
    0x5404ffff,0x03fffffc,0x7c5bffee,0xf300ffff,0x000bffff,0x4fffffa8,
    0x09fffff3,0xdfffffa8,0x2003ffff,0x407ffff9,0xfdfffffa,0xf9803fff,
    0x802fffff,0x0ffffffc,0x7ffffdc0,0x20fffb80,0x407ffff8,0x40fffffc,
    0xf705fffe,0xffe88dff,0x8affffff,0x321ffffe,0xb005ffff,0x5c0fffff,
    0xfff16fff,0x3fe201ff,0x40006fff,0x34fffffa,0x009fffff,0xffffffff,
    0x7d4001ff,0xff805fff,0xffffffff,0xffff9000,0x3f2207ff,0x804fffff,
    0x504ffffc,0xfff83fff,0xfff302ff,0xfffc8fff,0xdfff701f,0xfffffb10,
    0xffffffff,0x6ffffa87,0xfffff100,0x5bffee01,0x00fffff8,0x01fffffe,
    0xfffff700,0x3ffffe67,0xffffc804,0x4005ffff,0x804ffffb,0xfffffffc,
    0x3fe2005f,0xcdffffff,0xffffffdc,0xffd800ff,0xfff101ff,0xeffffc89,
    0x7ffffd42,0xfffea8ff,0x3ffee02f,0x3fffea06,0x3fffffff,0x06ffff88,
    0x07ffff60,0xf8b7ffdc,0x3a00ffff,0x000fffff,0x3fffff60,0x9fffff31,
    0xfffff100,0xc8005fff,0x8802ffff,0xffffffff,0x7ffd4002,0xffffffff,
    0x1fffffff,0x1ffffd00,0x107ffec0,0xbdffffff,0xffffffff,0x3fffffff,
    0x06fffb80,0x7ffffec4,0x3fe04fff,0x3f2007ff,0xff702fff,0x3fffe2df,
    0x3fff600f,0x3a0001ff,0xf30fffff,0x2009ffff,0x7ffffffe,0xffffe800,
    0xffffd000,0x26000fff,0xfffffffe,0xffffffff,0x3fffe002,0x3ffea00f,
    0x7ffffd43,0xffffffff,0xefffffff,0x6fffb800,0xfffff700,0x3f601fff,
    0xf9001fff,0x3ee07fff,0xffff16ff,0x7ffdc01f,0xf30004ff,0x7ccfffff,
    0x7004ffff,0x09ffffff,0x0dffff00,0x7ffffdc0,0x7e40004f,0xffffffff,
    0x4001efff,0xf807ffff,0x7f4c0fff,0x8bffffff,0xffffffff,0xfff7000d,
    0x7fec400d,0xf706ffff,0x2e007fff,0xf703ffff,0x3ffe2dff,0x3fea00ff,
    0x8001ffff,0x26fffffd,0x04fffff9,0xffffff10,0xfff98003,0x3fe2003f,
    0x0001ffff,0xffffec98,0x0002efff,0x900fffff,0xb710dfff,0x64c17bfd,
    0x5101bdee,0x7ffdc555,0xfffb8006,0xff882fff,0xff7006ff,0x3fee09ff,
    0xfffff16f,0xffffe801,0x7fcc005f,0x3e62ffff,0x2004ffff,0x006fffff,
    0x00ffffc8,0x37ffffc0,0x36a20000,0x40002eff,0x807ffff8,0x005fffe8,
    0xffe88000,0x1bffee3f,0xfff50098,0x3ff607ff,0xfff7007f,0x3ffee09f,
    0x1fffff16,0xfffffa80,0xfff3004f,0xff98bfff,0xf7004fff,0x0007ffff,
    0x800bfffd,0x03fffffb,0x7ffe4000,0x20004fff,0x007ffff8,0x01bffff3,
    0x3fa20000,0x7ffdc6ff,0x3ffffae6,0xbffffd00,0x07fffea0,0x17fffee0,
    0xf8b7ffdc,0xd800ffff,0x1effffff,0x3ffffee0,0x7ffcc0ff,0xfff004ff,
    0x88001fff,0x4002ffff,0x00ffffff,0x5d5dc000,0x0000fffe,0x00dffff5,
    0x1fffffdc,0x3fee0000,0x7fdc0fff,0x3fffea6f,0xffffd04f,0x27fff409,
    0x37fffd40,0xf16fffb8,0x3333ffff,0xfffff101,0xd99bffff,0xffffffff,
    0xfffff309,0x3fa60889,0x8005ffff,0x2206fffb,0x3ffffa60,0x8000005f,
    0x2004fff8,0xfffffba9,0x7ffe4005,0x0001beff,0xffffff71,0x4dfff703,
    0xbffffff8,0xfffff710,0x3fffdc05,0x7ffffcc0,0xfff709ad,0x3ffffe2d,
    0xf704ffff,0xffffffff,0xffffffff,0x3fe60dff,0x7fcc4fff,0xffffffff,
    0xfffe8001,0x3fffe602,0x01ffffff,0xff880000,0xfff1005f,0x007fffff,
    0xfffffd30,0x335579df,0xffd95533,0x201bffff,0x7e46fffb,0xfeffffff,
    0x00ffffff,0x00bfffe2,0xfffffff1,0x5bffee9f,0xfffffff8,0x3fa604ff,
    0xffffffff,0x3fffffff,0x3ffffe60,0x7ffffcc4,0x8005ffff,0x4c06fff9,
    0xffffffff,0x5400005f,0xffeca99a,0xfff1003f,0x001fffff,0x7ffffe40,
    0xffffffff,0xffffffff,0x7fdc04ff,0xffffd86f,0xffffffff,0xfffb802f,
    0xffffb805,0xfff74fff,0x3ffffe2d,0xb804ffff,0xffffffff,0x00efffff,
    0x27ffffcc,0x3fffffe2,0xfb0005ff,0xff8803ff,0x05ffffff,0xfffe8000,
    0x004fffff,0x3fffffe2,0xc980003f,0xfffffffe,0xffffffff,0xb800beff,
    0xfd886fff,0xffffffff,0x3fa003ff,0xffe800ff,0xff74ffff,0x3fffe2df,
    0x004fffff,0xfffffb93,0x2007bdff,0x84fffff9,0x3fffffff,0xbfff3000,
    0x3ffffe00,0x000003ff,0xbffffffd,0xfff88003,0x00000dff,0xffffeb98,
    0xefffffff,0x7fdc001c,0x3ffa606f,0x00dfffff,0x027ffcc0,0x4fffffb8,
    0x4ccdfff7,0x09999999,0x35531000,0x31000000,0x80003555,0x1000aaa9,
    0x00035553,0x00662000,0x02aaaa00,0x98800000,0x0099aaa9,0x15554c00,
    0x0d554c40,0x0aaaa000,0x23553300,0x0002aaa9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xaaaa8800,0xe880002a,0x0001eeee,0x00033333,0x55544000,
    0x000002aa,0x03555553,0xeeeeee98,0x4c002eee,0x00001999,0x4000b880,
    0x4c409999,0x40000199,0x01aaaaa9,0x0aaaaaa0,0x01f7776c,0x07ffffe4,
    0x3ffe6000,0xfc8001ff,0x0004ffff,0xffff7000,0x2000003f,0x00effffe,
    0x7fffffcc,0x2e003fff,0x005fffff,0x07fdc000,0x4ffff880,0x003fffec,
    0x3ffffa00,0x7ffd4006,0xffff82ff,0xfffb004f,0xf980009f,0x4001ffff,
    0xfffffff9,0xf8000002,0x0002ffff,0xdffff500,0xffff3001,0x007fffff,
    0x3fffffe6,0x2000002f,0x3e2006fe,0x7fec4fff,0x2a00007f,0x000effff,
    0x86ffffb8,0x004fffff,0x003ffff6,0xfffff980,0x3ffa2001,0x00ffffef,
    0x3fee0000,0x000002ff,0x003ffff6,0x7fffffcc,0xfd003fff,0x1ffffdff,
    0xff100000,0x7ffc4007,0x3fffec4f,0xfffd0000,0x7dc0001d,0x7ffc1fff,
    0x3a2004ff,0x20003fff,0x01fffff9,0x757fff60,0x00005fff,0x00ffffa0,
    0xfff98000,0x2aa2001f,0x3ffffeaa,0xb6fffc80,0x0000bfff,0x4003ff50,
    0x6c4ffff8,0x00007fff,0x001ffff5,0x8bfff900,0x004fffff,0x003fff44,
    0x00666660,0x10ffffa8,0x0007ffff,0x09fff500,0xffd80000,0xfd80001f,
    0x7d403fff,0xffd10fff,0xd800007f,0x6644007f,0x666542cc,0xffb00004,
    0x6c00003f,0x33321fff,0xc88002cc,0x000001cc,0x83999900,0x0004ccc9,
    0x003ccb80,0x2ccc8000,0xfffb0000,0xcccb807f,0x026664c2,0x013fe000,
    0x00000000,0x000e6644,0x01665c00,0x00000000,0x33100000,0x40000003,
    0x00001998,0xd8000000,0x0003ffff,0x54400000,0x2202ffaa,0x004eeeee,
    0x02f7776c,0x00000000,0xe882aa60,0x4004eeee,0x105eeeed,0x003ddddd,
    0x3ffff6e2,0x001bceff,0xfffb7100,0x0379dfff,0x3bbbba20,0x7776c004,
    0x3fff605e,0xddddd13f,0xeeed8009,0x7ff5c05e,0x202fffff,0x05fffff8,
    0x37ffffc0,0x0bddddd9,0xddddb100,0xdddd307d,0x23ffe87d,0x05fffff8,
    0x37ffffc0,0x1fffff98,0xfffffb80,0xffffffff,0x7fdc0004,0xffffffff,
    0xf8804fff,0x4005ffff,0x206fffff,0xf13ffffd,0x800bffff,0x306fffff,
    0xfffffffd,0x3e209fff,0x4005ffff,0x266fffff,0x04ffffff,0x7ffffe40,
    0xffff980f,0x127ff44f,0x00bfffff,0x06fffff8,0x03fffff3,0x7ffffec4,
    0xffffffff,0x44001eff,0xfffffffd,0xffffffff,0x3ffe201e,0x7fc005ff,
    0x3f606fff,0xfff13fff,0xff800bff,0xffb86fff,0xffffffff,0x7c40efff,
    0x4005ffff,0x646fffff,0x00ffffff,0xffffff10,0x3fffe607,0x127ffc4f,
    0x00bfffff,0x06fffff8,0x03fffff3,0x3fffffe6,0xffffffff,0x004fffff,
    0xfffffff3,0xffffffff,0x2209ffff,0x005fffff,0x037ffffc,0x227ffffb,
    0x005fffff,0x237ffffc,0xfffffff9,0xffffffff,0x7ffffc44,0x7fffc005,
    0xffffe86f,0xfffb005f,0x7fcc0bff,0x3fe24fff,0x3fffe25f,0x7ffc005f,
    0xfff306ff,0xffd103ff,0xbdffffff,0xfffffffd,0xfe8805ff,0xefffffff,
    0xffffffed,0xff882fff,0x7c005fff,0x3606ffff,0xff13ffff,0xf800bfff,
    0x7ec6ffff,0xfd1dffff,0x41ffffff,0x05fffff8,0x37ffffc0,0x7fffffd4,
    0x7fffd402,0x3fe600ff,0x3fe64fff,0x3fffe26f,0x7ffc005f,0xfff306ff,
    0xfff903ff,0x1015dfff,0xfffffff9,0x7fffe401,0xc880aeff,0x0fffffff,
    0x2fffffc4,0x3ffffe00,0x3ffff606,0xbfffff13,0xfffff800,0x3ffffea6,
    0x3ff3fe24,0x3fe24fff,0x7c005fff,0xfb06ffff,0xe80dffff,0x403fffff,
    0x24fffff9,0x3e27fff9,0x4005ffff,0x306fffff,0xa83fffff,0x0dffffff,
    0xfffffa80,0xffff504f,0xf5001bff,0x889fffff,0x005fffff,0x037ffffc,
    0x227ffffb,0x005fffff,0xb37ffffc,0x541fffff,0xcdffd9ff,0x3ffffe22,
    0x7fffc005,0xffff106f,0x3fee07ff,0xf9806fff,0x3ea4ffff,0x3ffe27ff,
    0x7fc005ff,0xff306fff,0xffe83fff,0x4c005fff,0x81ffffff,0x05fffffe,
    0x7ffffcc0,0x3fffe21f,0x7ffc005f,0x3ff606ff,0xffff13ff,0xfff800bf,
    0x3fffa6ff,0x08b7ec4f,0x3ffffe20,0x7fffc005,0x3ffee06f,0x7fc40fff,
    0x9801ffff,0x2e4fffff,0xff10ffff,0xf800bfff,0xf306ffff,0x7cc3ffff,
    0x001fffff,0x5fffffd8,0x7fffffcc,0xfffd8001,0x3ffe25ff,0x7fc005ff,
    0x3f606fff,0xfff13fff,0xff800bff,0x3ffe6fff,0x027fc3ff,0x5fffff88,
    0x7ffffc00,0x7fffec06,0x7fffe45f,0xfff3004f,0x7ffe49ff,0xfffff11f,
    0xffff800b,0xffff306f,0x7fffe43f,0xff30005f,0xffc8ffff,0x30005fff,
    0x44ffffff,0x005fffff,0x037ffffc,0x227ffffb,0x005fffff,0x8b7ffffc,
    0x262fffff,0xff1001ff,0xf800bfff,0x4c06ffff,0x31ffffff,0x01ffffff,
    0x3ffffe60,0x4bffff64,0x05fffff8,0x37ffffc0,0x1fffff98,0x07fffffa,
    0xffffe800,0x3ffffa0f,0x3fa0001f,0xff10ffff,0xf800bfff,0x3606ffff,
    0xff13ffff,0xf800bfff,0xff36ffff,0x3fe45fff,0xfffff100,0xffff800b,
    0xfffb806f,0xffffd6ff,0x7fcc005f,0x3ff64fff,0xffff13ff,0xfff800bf,
    0xfff306ff,0x7fffc3ff,0x360000ff,0x3e1fffff,0x000fffff,0x3fffff60,
    0xbfffff11,0xfffff800,0x3ffff606,0xbfffff13,0xfffff800,0x7fffff36,
    0xf1002ff4,0x800bffff,0x006fffff,0xfbfffffd,0x800bffff,0x24fffff9,
    0xf13ffffe,0x800bffff,0x306fffff,0x7c3fffff,0x0007ffff,0x17ffffe4,
    0x00ffffff,0xfffffc80,0xbfffff12,0xfffff800,0x3ffff606,0xbfffff13,
    0xfffff800,0x9fffff16,0x8800bfe6,0x005fffff,0x037ffffc,0xffffff98,
    0x000fffff,0x27ffffcc,0x229fffff,0x005fffff,0x837ffffc,0x11fffff9,
    0x00dfffff,0xfffffb80,0xdfffff13,0xfffb8000,0xffff13ff,0xfff800bf,
    0x3ff606ff,0xffff13ff,0xfff800bf,0x3fffe6ff,0x4c1ff75f,0x3e21acde,
    0x4005ffff,0x006fffff,0x3ffffff2,0x98003fff,0xf14fffff,0x3e2bffff,
    0x4005ffff,0x306fffff,0x263fffff,0x005fffff,0x7ffffd40,0xbfffff34,
    0xfffa8000,0xffff14ff,0xfff800bf,0x3ff606ff,0xffff13ff,0xfff800bf,
    0x3fff66ff,0x5c6fd9ff,0xf10fffff,0x800bffff,0x006fffff,0x3fffffe2,
    0xf30006ff,0x3e29ffff,0xff16ffff,0xf800bfff,0xf306ffff,0x3e23ffff,
    0x0006ffff,0xa7ffffd4,0x06fffff8,0x7fffd400,0xfffff14f,0xffff800b,
    0x3fff606f,0xfffff13f,0xffff800b,0x3fffea6f,0x3e23ffdf,0x3e25ffff,
    0x4005ffff,0x006fffff,0x7fffffd4,0xff30001f,0x3fe29fff,0xfff16fff,
    0xff800bff,0xff306fff,0x7ffc3fff,0x5c0007ff,0x3e3fffff,0x0007ffff,
    0x9fffffdc,0x05fffff8,0x37ffffc0,0x27ffffb0,0x05fffff8,0x37ffffc0,
    0x3ffffffe,0xfffec99f,0x7fffc2ff,0x7ffc005f,0xfd8006ff,0x0004ffff,
    0x53ffffe6,0x26fffff8,0x005fffff,0x837ffffc,0x21fffff9,0x00fffffe,
    0x3ffff600,0x3ffffa1f,0x3f60000f,0x3fe1ffff,0x7c005fff,0x3606ffff,
    0x3fe3ffff,0x7c005fff,0x7d46ffff,0xffffffff,0x86ffffff,0x005fffff,
    0x037ffffc,0x7ffffdc0,0x3fe60001,0xfff14fff,0x7fffcdff,0x7ffc005f,
    0xfff306ff,0x7ffec3ff,0x3a0001ff,0x360fffff,0x001fffff,0x3fffffa0,
    0x17ffffe0,0xdfffff00,0x1ffffec0,0x00bfffff,0x86fffff8,0xfffffffc,
    0x0effffff,0x06fffff8,0x2fffffc0,0x7fffdc00,0x3e60001f,0xff14ffff,
    0x7ffcdfff,0x7fc006ff,0xff305fff,0x7fdc3fff,0x30004fff,0xb8ffffff,
    0x004fffff,0xffffff30,0x06fffff8,0x2fffffc0,0x47ffffb0,0x006fffff,
    0x82fffffc,0xfffffffb,0xd01effff,0x400fffff,0x04fffff8,0xfffffb80,
    0x3fe60001,0xfff14fff,0x7fff4dff,0x3fe2007f,0xff304fff,0x7fd43fff,
    0x8001ffff,0x46fffffd,0x1ffffffa,0xffffd800,0x7ffff46f,0x3ffe2007,
    0x3ff604ff,0x3fffa3ff,0x3fe2007f,0x3a204fff,0xefffffff,0x7fffec02,
    0xfff7003f,0xf70009ff,0x0003ffff,0xa7ffffcc,0x26fffff8,0x03fffffd,
    0x9fffff70,0x3ffffe60,0x7fffff41,0x7ffcc005,0xffe82fff,0x4c005fff,
    0x42ffffff,0x03fffffd,0x9fffff70,0x1ffffec0,0x07fffffb,0x3ffffee0,
    0x556ffc04,0xff90009a,0x8801ffff,0x02ffffff,0xfffffb80,0x3fe60001,
    0x32004fff,0x00ffffff,0x7fffffc4,0xfffff502,0xfffffa83,0xfff3004f,
    0x3ea0bfff,0x004fffff,0xbffffff3,0xffffff90,0xffff8801,0x3ff602ff,
    0x3fff23ff,0x7c400fff,0x202fffff,0x20002ff9,0xdffffff9,0xffffb100,
    0x3ee000ff,0x0001ffff,0x13ffffe6,0xfffff980,0xffb100df,0x7ec0ffff,
    0xfd80ffff,0x01efffff,0x3fffffee,0x3fff600f,0x2e01efff,0x0fffffff,
    0xffffff98,0xfffb100d,0xffd80fff,0x3ffe63ff,0xb100dfff,0x80ffffff,
    0x40000ffb,0xfffffffd,0xfffdcbcd,0x0003ffff,0x03fffff7,0x7fffcc00,
    0x2eeeee4f,0x7ffffec1,0xfdcbcdff,0x43ffffff,0xfffffecd,0xfffff107,
    0xd99bffff,0xffffffff,0xffff8809,0xccdfffff,0xfffffffe,0x3fff604f,
    0xcbcdffff,0xfffffffd,0x7eccccc3,0x7fec3fff,0xbcdfffff,0xffffffdc,
    0x02ff403f,0x7fffcc00,0xffffffff,0x0fffffff,0xffff7000,0x7cc0003f,
    0x3fe4ffff,0x7fcc2fff,0xffffffff,0xffffffff,0x3fffe20f,0x2e06ffff,
    0xffffffff,0xffffffff,0xf7006fff,0xffffffff,0xffffffff,0xff980dff,
    0xffffffff,0xffffffff,0x3fffe60f,0x4c3fffff,0xffffffff,0xffffffff,
    0x3e200fff,0xf500003f,0xffffffff,0xffffffff,0x7fdc0005,0x20001fff,
    0x24fffff9,0xa82fffff,0xffffffff,0xffffffff,0x7fffd42f,0x4c02ffff,
    0xfffffffe,0xffffffff,0x7f4c003f,0xffffffff,0x3fffffff,0xfffff500,
    0xffffffff,0xf985ffff,0xffffffff,0xfffffa83,0xffffffff,0x5c02ffff,
    0x200000ff,0xffffffe8,0xdfffffff,0x7fdc0000,0x20001fff,0x24fffff9,
    0x102fffff,0xfffffffd,0x1bffffff,0xffffff90,0x7fdc009f,0xffffffff,
    0x0000efff,0x3fffffee,0xefffffff,0x7ff44000,0xffffffff,0xf980dfff,
    0xffffffff,0xffffd103,0xffffffff,0xdfb001bf,0x3ae00000,0xffffffff,
    0x700003ef,0x003fffff,0x7ffffcc0,0x0bffffe4,0xfffffd70,0x407dffff,
    0x4efffffd,0xffdc9800,0x3defffff,0xfb930000,0xbdffffff,0xfeb80007,
    0xffffffff,0x3ffe603e,0x03ffffff,0x7fffff5c,0x003effff,0x00000f6a,
    0x55555310,0xb8000013,0x001fffff,0x3ffffe60,0x0bffffe4,0x55554c40,
    0x5510009a,0x44000015,0x00001aa9,0x03553100,0x2a620000,0x0009aaaa,
    0x33333333,0x2a620013,0x0009aaaa,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x55555510,0x30000000,0x00355555,0x004cc400,
    0x99998800,0x31000001,0x00003333,0x10266660,0x20003333,0x30099998,
    0x003ddddd,0x55554000,0x000000aa,0x00aaaaaa,0xffff9000,0x0000003f,
    0x0effffd8,0x3fea0000,0xffb00003,0x00005fff,0x5fffffd0,0xff980000,
    0x7ffec3ff,0xfff98007,0xff980eff,0x00001fff,0x3ffffe60,0xf5000004,
    0x0007ffff,0x9ffff900,0x4c000000,0x000fffff,0x01ffdc00,0x7fffdc00,
    0x00000fff,0x3fffffee,0x2600000f,0x7ec3ffff,0x744007ff,0x84ffffff,
    0x01fffff9,0x7fcc0000,0x00000fff,0x03ffffe8,0x3ff60000,0x000000ff,
    0x03ffffb0,0x3fb26000,0x002dffff,0xfeffff98,0x300005ff,0xfffdffff,
    0x7cc0000b,0x7fec3fff,0x7fe4007f,0x42ffffef,0x01fffff9,0xffa80000,
    0x400003ff,0x004ffff9,0xfffd8000,0x88000004,0x0001ffff,0xffffff90,
    0x001bffff,0x7c5ffff4,0x40003fff,0xf8bfffe8,0x00003fff,0xd87ffff3,
    0x2a007fff,0xffb8ffff,0x3ffe60ff,0x000001ff,0x00ffff50,0x4fffd800,
    0xd1000000,0x00001fff,0x02fffc80,0xffffd000,0xffffffff,0x3fff200d,
    0x07fffe66,0x5fffc800,0x007fffea,0x33332200,0x026665c2,0x22ffff88,
    0x3e65fffd,0x0001ffff,0x3ffee000,0xff300003,0x000000bf,0x001ccc88,
    0x16664000,0xfffb8000,0xffffffff,0x64404fff,0x66540ccc,0x9910003c,
    0xccca8199,0x31000003,0x65400033,0x666443cc,0xfffff31c,0x80000003,
    0x00003ccb,0x00009995,0x00000000,0x10000000,0xf9dfffff,0xfffffd9f,
    0x00000001,0x00000000,0xffffb710,0x00379dff,0xfff30000,0x015103ff,
    0x00000000,0x00000000,0x3eeeeed8,0x76c00000,0x0003eeee,0x2abffff7,
    0xfffe8bff,0x7777743f,0xeeeeeeee,0xeeeeeeee,0xeeed8001,0x400003ee,
    0xfffffffb,0x04ffffff,0x777774c0,0xfffff303,0x3ffff623,0x777400de,
    0xeeeeeeee,0xeeeeeeee,0x3bbba1ee,0xeeeeeeee,0xeeeeeeee,0x3e60001e,
    0x006fffff,0x3ffe6000,0x90006fff,0x3ea5ffff,0x7dfff73f,0xfffffff8,
    0xffffffff,0x01ffffff,0x7ffffcc0,0xb100006f,0xffffffff,0xdfffffff,
    0x3ffe6003,0xfff304ff,0xffff53ff,0x405fffff,0xffffffff,0xffffffff,
    0x3e1fffff,0xffffffff,0xffffffff,0x0001ffff,0x3ffffff2,0x9000002f,
    0x5fffffff,0xffffb000,0x018ffea1,0x7ffffffc,0xffffffff,0x01ffffff,
    0x7ffffe40,0x4c0002ff,0xffffffff,0xffffffff,0xf9804fff,0xf304ffff,
    0xfffbffff,0xffffffff,0x3ffffe07,0xffffffff,0xffffffff,0x3fffffe1,
    0xffffffff,0x1fffffff,0xffff1000,0x000bffff,0xfffff100,0xb000bfff,
    0x3ea5ffff,0x3ffe003f,0xffffffff,0xffffffff,0x3e2001ff,0x5fffffff,
    0x3ffa2000,0xdeffffff,0xfffffffe,0x7fcc02ff,0xff304fff,0xffffffff,
    0xffffffff,0xffffff01,0xffffffff,0x3fffffff,0x7ffffffc,0xffffffff,
    0x01ffffff,0xfffff700,0x0001ffff,0xfffffb80,0x4000ffff,0xa8effffc,
    0x3fe003ff,0xffffffff,0xffffffff,0x2e001fff,0xffffffff,0xff90000f,
    0x015dffff,0xffffff91,0x7ffcc01f,0xfff304ff,0x4c19ffff,0x85fffffe,
    0xffffffff,0xffffffff,0x3e1fffff,0xffffffff,0xffffffff,0x0001ffff,
    0xfffffffd,0x800007ff,0xfffffffe,0x7d4003ff,0xffceffff,0x3fffe003,
    0x0000005f,0x3ffffffa,0xa8003fff,0x0dffffff,0xfffffa80,0x3ffe604f,
    0xfff304ff,0x7f409fff,0x7fc1ffff,0x00005fff,0x017ffffe,0x3e600000,
    0xffffffff,0x2600006f,0xffffffff,0xfe8006ff,0x3fffffff,0x3ffffe00,
    0x30000005,0xffffffff,0xfd000dff,0x800bffff,0x1ffffff9,0x9fffff30,
    0x3ffffe60,0x7fffd407,0x7ffffc3f,0x3fe00005,0x00005fff,0xffffc800,
    0x2fffffcf,0xfff90000,0xfffff9ff,0xfffa8005,0xadffffff,0x7ffffc00,
    0x90000005,0xff9fffff,0x4c005fff,0x01ffffff,0xfffffd80,0xfffff305,
    0x3fffe609,0xfffe804f,0x7ffffc5f,0x3fe00005,0x00005fff,0xfffff800,
    0x5fffff8c,0xffff0000,0xfffff19f,0xfff9000b,0xffffffff,0x7ffffc09,
    0xf0000005,0xff19ffff,0x6400bfff,0x005fffff,0xffffff30,0x3ffffe60,
    0xfffff304,0xffffb005,0x5fffff8d,0x3ffe0000,0x000005ff,0x7ffffd40,
    0x1fffffb1,0xfffa8000,0xffffb1ff,0xff70001f,0xffffffff,0xffff01df,
    0x000000bf,0x23fffff5,0x00fffffd,0x3fffffd0,0x7fff4000,0xfff980ff,
    0xfff304ff,0xff9003ff,0xffff8fff,0x3e00005f,0x0005ffff,0x7ffec000,
    0x3fffea7f,0x7ec0003f,0x3fea7fff,0x30003fff,0xfffffff9,0xff81ffff,
    0x00005fff,0x7ffffd80,0x0fffffea,0x7fffffc0,0x3ff60000,0xff981fff,
    0xff304fff,0xf9003fff,0xfff8ffff,0x200005ff,0x005fffff,0x3fe20000,
    0x3fe24fff,0x20006fff,0x24fffff8,0x06fffff8,0x7ffe4400,0x44ffffff,
    0xccefffff,0xcccccccc,0x8800cccc,0x224fffff,0x006fffff,0x00ffffff,
    0xfffffc80,0xfffff982,0xfffff304,0xffff9005,0xefffff8f,0xcccccccc,
    0x40cccccc,0xccefffff,0xcccccccc,0x4000cccc,0x41fffffb,0x02fffffd,
    0xfffff700,0xfffffd83,0x7fd40002,0xffffffed,0x3fffffe0,0xffffffff,
    0x01ffffff,0x1fffffb8,0x17ffffec,0x3ffffe20,0x7fdc0006,0xff983fff,
    0xff304fff,0xfb005fff,0xfff8dfff,0xffffffff,0xffffffff,0x7ffffc1f,
    0xffffffff,0x1fffffff,0x7ffff400,0xfffff986,0xfffd0005,0xffff30df,
    0xfa8000bf,0xfffff73f,0x7fffffc5,0xffffffff,0x01ffffff,0x86ffffe8,
    0x05fffff9,0x2fffffcc,0x3ffea000,0xfff984ff,0xfff304ff,0xffd00bff,
    0xffff8bff,0xffffffff,0xffffffff,0x7fffffc1,0xffffffff,0x01ffffff,
    0x3ffffe60,0xffffff03,0xfff98001,0xffff03ff,0x540001ff,0x3fff63ff,
    0x3ffffe3f,0xffffffff,0x1fffffff,0x7ffffcc0,0xffffff03,0x7fffc401,
    0x7d40006f,0xf984ffff,0xf304ffff,0x401fffff,0x43fffffa,0xffffffff,
    0xffffffff,0x7fc1ffff,0xffffffff,0xffffffff,0x3f6001ff,0xf900ffff,
    0x8007ffff,0x00fffffd,0x07fffff9,0x515d54c4,0x7ffd47ff,0x3ffffe4f,
    0xffffffff,0x1fffffff,0x7ffffec0,0xfffff900,0xfffff807,0x7fdc0007,
    0xff983fff,0xff304fff,0x740bffff,0x7c1fffff,0xffffffff,0xffffffff,
    0x7ffc1fff,0xffffffff,0xffffffff,0xfff1001f,0x7fcc0bff,0x22006fff,
    0x205fffff,0x06fffff9,0xa9ffffee,0x3ffea3ff,0x3ffffe2f,0x9999999e,
    0x01999999,0x2fffffc4,0xdfffff30,0xfffffe80,0x3ff60000,0xff981fff,
    0xff304fff,0x43bfffff,0x5fffffe9,0x9efffff8,0x99999999,0xff819999,
    0x9999efff,0x99999999,0x3fee0019,0xaaaadfff,0xfffffaaa,0xfff7002f,
    0x55555bff,0xffffff55,0x3fffe205,0x6c7ff53f,0x3fe1ffff,0x00005fff,
    0xbfffff70,0xf5555555,0x405fffff,0x01fffffd,0x3ffffa00,0xffff980f,
    0xffff304f,0xffffffff,0x01ffffff,0x00bfffff,0x7ffffc00,0xe8000005,
    0xffffffff,0xffffffff,0xfd005fff,0xffffffff,0xffffffff,0x7ff40bff,
    0x3ffa9fff,0x41fffff1,0x005fffff,0xffffd000,0xffffffff,0xbfffffff,
    0x7ffffdc0,0xfff30004,0x3fe60fff,0xff304fff,0xffffbfff,0x7fffffff,
    0x17ffffe0,0xffff8000,0x4000005f,0xfffffff9,0xffffffff,0x00ffffff,
    0x7fffffcc,0xffffffff,0x0fffffff,0xffffff70,0xfff97ffb,0xffff89ff,
    0x9800005f,0xffffffff,0xffffffff,0x500fffff,0x03ffffff,0xfffffb00,
    0x3fffe60d,0xffff304f,0xfffff53f,0x7c05ffff,0x0005ffff,0x17ffffe0,
    0xff900000,0xffffffff,0xffffffff,0xfc807fff,0xffffffff,0xffffffff,
    0x3a03ffff,0xffffffff,0x86ffffff,0x005fffff,0xffffc800,0xffffffff,
    0xffffffff,0x3fffa03f,0x7cc005ff,0x302fffff,0x209fffff,0x31fffff9,
    0x1bfffffd,0x5fffff80,0x3ffe0000,0x000005ff,0x7ffffffc,0xffffffff,
    0x6fffffff,0x7fffffc0,0xffffffff,0xffffffff,0x3fffe606,0xffffffff,
    0xffff81ff,0xf800005f,0xffffffff,0xffffffff,0x206fffff,0x4ffffffa,
    0xfffff300,0x7ffcc0bf,0xfff304ff,0x1a9883ff,0x3ffffe00,0x3fe00005,
    0x00005fff,0x3ffffea0,0xaaaaaaad,0xfffeaaaa,0xfff502ff,0x55555bff,
    0xfd555555,0x4c05ffff,0xfffffffe,0xff00efff,0x0000bfff,0xdfffffa8,
    0xaaaaaaaa,0xffffeaaa,0x3fff602f,0x2e01efff,0x0fffffff,0x3ffffe60,
    0xfffff304,0x3fe00003,0x00005fff,0x017ffffe,0xfffd8000,0x7dc000ff,
    0xfb05ffff,0x8001ffff,0x05fffffb,0xfffffeb8,0x7ffc03df,0x400005ff,
    0x00fffffd,0x7ffffdc0,0x3fffe205,0xccdfffff,0xfffffffe,0x7ffcc04f,
    0xfff304ff,0x200003ff,0x005fffff,0x3ffffe00,0xf1000005,0x000dffff,
    0x1ffffff1,0x6fffff88,0xffff8800,0xf91000ff,0x3fe0019f,0xeeeeffff,
    0xeeeeeeee,0x3fe25eee,0x88006fff,0x00ffffff,0x3fffffee,0xffffffff,
    0x806fffff,0x04fffff9,0x03fffff3,0x3fffe000,0xeeeeeeff,0xeeeeeeee,
    0x3ffffe5e,0xeeeeeeef,0xeeeeeeee,0xfffff705,0x3ff60007,0x7fdc3fff,
    0xb0003fff,0x007fffff,0xf001ffd4,0xffffffff,0xffffffff,0x7dcdffff,
    0x0003ffff,0x07fffffb,0xfffffe98,0xffffffff,0xf3003fff,0x2609ffff,
    0x001fffff,0xffffff00,0xffffffff,0xdfffffff,0x7ffffffc,0xffffffff,
    0x06ffffff,0x01fffffd,0x3fffea00,0x7ffff46f,0xff50000f,0x5400dfff,
    0x3fe003ff,0xffffffff,0xffffffff,0x3ffa6fff,0x50000fff,0x00dfffff,
    0x3fffffee,0xefffffff,0x3ffe6000,0xfff304ff,0x200003ff,0xffffffff,
    0xffffffff,0x3e6fffff,0xffffffff,0xffffffff,0xfa86ffff,0x0005ffff,
    0x97fffffc,0x05fffffa,0x7ffffc00,0x7ff5002f,0x7ffffc00,0xffffffff,
    0xffffffff,0xbfffff56,0xffff8000,0xb93002ff,0xdfffffff,0xff30007b,
    0x3e609fff,0x0001ffff,0xfffffff0,0xffffffff,0x4dffffff,0xffffffff,
    0xffffffff,0xd86fffff,0x002fffff,0x7ffffe40,0x5fffffb5,0xfffc8000,
    0x000005ff,0x7ffffffc,0xffffffff,0xb6ffffff,0x005fffff,0xfffffc80,
    0x55310005,0xff300003,0x3e609fff,0x0001ffff,0xfffffff0,0xffffffff,
    0x4dffffff,0xffffffff,0xffffffff,0x006fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0xeeeeedca,0xeeeeeeee,0x054c000e,0x20002a98,0x4c409999,0x31000199,
    0x33330333,0xa9800001,0x00055500,0x54406a20,0x1333100a,0x00999988,
    0x0002e600,0x00000000,0x05555400,0xfffffeb8,0xffffffff,0x3001ffff,
    0x415dfffb,0x3e0007fe,0x7fe45fff,0xfb8000ff,0x7ffc1fff,0xd500005f,
    0x2215bfff,0x440005ff,0x21befffc,0xffd01ffc,0xffffa8df,0xffe98002,
    0x0000004f,0x26002662,0x3fe2002f,0xffff907f,0xffffffff,0x3fffffff,
    0x3ffff600,0x6fffefff,0x3fffe000,0x07fffe45,0x7fffdc00,0x02ffffc1,
    0xfffff800,0x4fffefff,0x7ffe4000,0xffeeffff,0xdfffd00f,0x02ffffa8,
    0xffcefe80,0xa8800002,0xffffffdc,0x7ff440ce,0xbfff5002,0xffffff50,
    0xffffffff,0x03ffffff,0xffffff10,0x07ffffff,0x2ffffc00,0x003ffff2,
    0x07fffee0,0x000bffff,0xffffff50,0x03ffffff,0xffffe800,0x5fffffff,
    0x51bfffa0,0x8005ffff,0x017e66f9,0xffff5000,0xffffffff,0xfffd119f,
    0x3fff200d,0x7ffffc43,0xffffffff,0xffffffff,0x12ffa801,0x09ffffb7,
    0x5ffff800,0x007fffe4,0x0ffffdc0,0x0017fffe,0x5cc3ff20,0x003ffffe,
    0xa8a7fc40,0x00dffffc,0xf51bfffa,0xb8005fff,0x001fe24f,0x7fffec40,
    0xffffffff,0xfffeffff,0xfffd000e,0xfffffb85,0xadffffff,0xaaffffea,
    0x104ca800,0x90000155,0xcca85999,0xc98000cc,0x66640ccc,0xcb80003c,
    0x00055303,0x54033220,0xcccb800a,0x0e6664c3,0x227fe200,0x980004fc,
    0xffffffff,0xffffffff,0x01ffffff,0x81ffff10,0xfffffffc,0x3f23ffff,
    0x880007ff,0x00000199,0x00000000,0x00000000,0x00000000,0x00000000,
    0x07fffffd,0xffff8800,0xddefffff,0xfffffffe,0x3e6001ff,0xfffe86ff,
    0xffffffff,0x01ffff23,0x3fff6e20,0x01bcefff,0x3bbbbba0,0xeeeeeeee,
    0x1eeeeeee,0xeeeed800,0x4000003e,0x03eeeeed,0xbddddd00,0xeeeea800,
    0xeeeee985,0x7fcc0003,0x0006ffff,0x7fffffe4,0xfff9102e,0x4003ffff,
    0xff84fffb,0xffffffff,0x3fff23ff,0x7ffdc007,0xffffffff,0xfff004ff,
    0xffffffff,0xffffffff,0xf98003ff,0x006fffff,0x3ffe6000,0xf0006fff,
    0x007fffff,0x437fffdc,0x04fffff9,0x7fffe400,0x30002fff,0x1bffffff,
    0xfffff700,0x7fec009f,0xffffe82f,0x3fffffff,0x401ffff2,0xffffffd8,
    0xffffffff,0x7ffc01ef,0xffffffff,0xffffffff,0x7e4001ff,0x02ffffff,
    0xfff90000,0x0005ffff,0x1fffffff,0x3fffee00,0xfffff986,0x3fe20004,
    0x05ffffff,0xfffffd00,0x3ffea00b,0x000fffff,0xfb01ffff,0xffffffff,
    0x7ffe47ff,0xffff9807,0xffffffff,0x4fffffff,0x3fffffe0,0xffffffff,
    0x1fffffff,0x3fffe200,0x0005ffff,0xfffff880,0xf8005fff,0x05ffffff,
    0x0dffff70,0x09fffff3,0x7fffdc00,0x000fffff,0x7fffffd4,0xffff9801,
    0x804fffff,0xf706fff9,0xffffffff,0x7ffe47ff,0x7fff4407,0xedefffff,
    0xffffffff,0xfffff02f,0xffffffff,0xffffffff,0x7ffdc003,0x00ffffff,
    0x7ffdc000,0x00ffffff,0x7fffffc0,0xffb801ff,0xfff986ff,0x3a0004ff,
    0xffffffff,0x7fdc003f,0xf8804fff,0xffffefff,0xfffb807f,0x3ffffa04,
    0x23ffffff,0x6407fffc,0xaeffffff,0xffffc880,0xfff80fff,0x000005ff,
    0x3fffffa0,0x0003ffff,0x7fffff40,0x4003ffff,0xffffffff,0xffffb806,
    0xfffff986,0xfff30004,0xdfffffff,0xffffc800,0x7ff4401f,0xfffff8ef,
    0x7ffec00f,0x3fffe602,0x23ffffff,0x2a07fffc,0x0dffffff,0xfffffa80,
    0xfffff84f,0x30000005,0xffffffff,0x40000dff,0xfffffff9,0x7c006fff,
    0xffffffff,0x7fffdc03,0xfffff986,0xfff90004,0xfffff9ff,0x7fff4005,
    0x7ff400ff,0xffffb0ef,0xffff803f,0x7fff4c00,0x323fffff,0x3fa07fff,
    0x4005ffff,0x1ffffff9,0x02fffffc,0xffc80000,0xffffcfff,0xf900002f,
    0xfff9ffff,0x7fc005ff,0xffffffff,0x3fffee00,0xfffff986,0xffff0004,
    0xfffff19f,0x7fffc00b,0x7ffec07f,0x3ffff21f,0x3ffe602f,0xffd91007,
    0x7e47ffff,0xfff307ff,0xb0003fff,0xf8bfffff,0x0005ffff,0xfffff000,
    0xbfffff19,0x3ffe0000,0xffff8cff,0x3ffe005f,0x5fffffff,0x1bfffee0,
    0x13ffffe6,0x3fffea00,0xfffffb1f,0xffff1001,0x7ffe40df,0x7fffdc1f,
    0x3ffee03f,0xffb88005,0x3fff23ff,0xfffff907,0x3fe6000b,0x7ffc7fff,
    0x000005ff,0x1fffffa8,0x01fffffb,0xffffa800,0xfffffb1f,0x3fffe001,
    0x2fffffff,0x0dffff70,0x09fffff3,0xfffffb00,0x1fffffd4,0x7ffffcc0,
    0x5ffff705,0x9fffff50,0x01fffec0,0x3ffff980,0x741ffff2,0x001fffff,
    0x3fffffa0,0x17ffffe0,0x3f600000,0x3fea7fff,0x40003fff,0x2a7ffffd,
    0x003fffff,0xffbfffff,0x3ee0dfff,0xff986fff,0x44004fff,0x224fffff,
    0x806fffff,0x86fffff8,0x503ffffa,0x409fffff,0x0001ffff,0x647ffff3,
    0xfff07fff,0x40001fff,0x21fffffd,0xccefffff,0xcccccccc,0x8800cccc,
    0x224fffff,0x006fffff,0x3ffffe20,0x3ffffe24,0xfffff006,0x9fffffb5,
    0x0dffff70,0x09fffff3,0xfffffb80,0x7ffffec1,0xfffff802,0x27fffd47,
    0x5fffff70,0x01fffe20,0x3ffff980,0x7c1ffff2,0x0007ffff,0x17ffffe4,
    0xffffffff,0xffffffff,0x7003ffff,0xd83fffff,0x002fffff,0x3fffff70,
    0x2fffffd8,0xafffff80,0x1ffffff9,0x437fffdc,0x04fffff9,0x37ffff40,
    0x2fffffcc,0x7fffff40,0x0bffff31,0x1fffffd8,0x00bfff50,0x1ffffcc0,
    0xf10ffff9,0x000dffff,0x3fffffb8,0x3ffffffe,0xffffffff,0x801fffff,
    0x986ffffe,0x005fffff,0x0dffffd0,0x0bfffff3,0x25fffff0,0x45fffffc,
    0x986ffffb,0x004fffff,0x0fffffe6,0x07fffffc,0x3fffff60,0x05ffff8a,
    0x0fffffe8,0x007fff90,0x1ffffcc0,0xf30ffff9,0x000bffff,0x4fffffa8,
    0x3ffffffe,0xffffffff,0x401fffff,0x03fffff9,0x01ffffff,0xfffff980,
    0xffffff03,0xfffff801,0x3fffffa2,0x1bfffee2,0x13ffffe6,0xfffffd80,
    0xfffff900,0xffffc807,0x0efffecf,0x7ffffc40,0x07fffa07,0xffff9800,
    0x21ffff23,0x06fffff8,0x7fffd400,0x3ffffe4f,0xffffffff,0x1fffffff,
    0x7ffffec0,0xfffff900,0xfffd8007,0xfff900ff,0xfff807ff,0x3ffea2ff,
    0xfff70fff,0xffff30df,0x3fe2009f,0x3e605fff,0x4c06ffff,0xffffffff,
    0xffc800ef,0xff106fff,0xf98000ff,0x3ff23fff,0xfffff07f,0xffb8000f,
    0x3ffe3fff,0x99999eff,0x99999999,0x7fffc401,0x3ffe605f,0x3e2006ff,
    0x2605ffff,0x406fffff,0x6c2fffff,0xf74fffff,0xff30dfff,0x2e009fff,
    0xaadfffff,0xfffaaaaa,0x7f402fff,0x1fffffff,0xfffff880,0xbfff502f,
    0xfff98000,0x1ffff23f,0x07fffff4,0xffffb000,0x7ffffc3f,0xf7000005,
    0x555bffff,0xffff5555,0x3ee005ff,0xaaadffff,0xffffaaaa,0x3ffe02ff,
    0x7ffc42ff,0xfffb9fff,0xffff986f,0xfffd004f,0xffffffff,0xffffffff,
    0xffffa80b,0xe8801fff,0x205fffff,0x0003fffc,0x91ffffcc,0x3f60ffff,
    0x0001ffff,0x83fffffa,0x005fffff,0xffffd000,0xffffffff,0xbfffffff,
    0x3ffffa00,0xffffffff,0x5fffffff,0x0bffffe0,0x3bffffee,0x986ffffb,
    0x804fffff,0xfffffff9,0xffffffff,0x00ffffff,0x7ffffff4,0x7fffd404,
    0x3fa00fff,0x4c0001ff,0x3f23ffff,0xfff707ff,0x260009ff,0x7c7fffff,
    0x0005ffff,0xfffff980,0xffffffff,0xffffffff,0x7fffcc00,0xffffffff,
    0xffffffff,0xfffff00f,0x3ffffa05,0x86ffffff,0x04fffff9,0xffffffc8,
    0xffffffff,0x3fffffff,0x7ffffe40,0xca9acfff,0xfffffffe,0x1fffe203,
    0x3ffe6000,0x1ffff23f,0x7fffffd4,0xfffd8001,0x7fffc6ff,0xc800005f,
    0xffffffff,0xffffffff,0x403fffff,0xfffffffc,0xffffffff,0x03ffffff,
    0x205fffff,0xfffffff9,0xff986fff,0xff804fff,0xffffffff,0xffffffff,
    0x2a06ffff,0xffffffff,0xffffffff,0x406fffff,0x0006fffa,0x23ffff98,
    0x3a07fffc,0x005fffff,0x7fffffcc,0x2fffffc2,0x7ffc0000,0xffffffff,
    0xffffffff,0x7fc06fff,0xffffffff,0xffffffff,0xff06ffff,0x7e405fff,
    0xffffffff,0xfffff986,0x7fffd404,0xaaaaaadf,0xffeaaaaa,0xff982fff,
    0xffffffff,0xffffffff,0xfc803fff,0x980004ff,0x3f23ffff,0x3fea07ff,
    0x3004ffff,0x0bffffff,0x00bfffff,0xffffa800,0xaaaaaadf,0xffeaaaaa,
    0xff502fff,0x5555bfff,0xd5555555,0xf05fffff,0x4405ffff,0xffffffff,
    0xffff986f,0x7ffec04f,0x7dc000ff,0x7cc5ffff,0xffc9dfff,0xffffffff,
    0xd000efff,0x00005fff,0x647ffff3,0x7ec07fff,0x01efffff,0x3fffffee,
    0xfffff80f,0x7ec00005,0x4000ffff,0x05fffffb,0x01fffffb,0xfffffb80,
    0x2fffff85,0x7ffffd40,0xff986fff,0x3e204fff,0x8006ffff,0x0ffffff8,
    0x883bffea,0xfffffffc,0x54003def,0x80000aaa,0x323ffff9,0x7c407fff,
    0xffffffff,0xffffeccd,0xff04ffff,0xddddffff,0xdddddddd,0x7fc4bddd,
    0x88006fff,0x40ffffff,0x06fffff8,0xfffff880,0x7ffffc0f,0xffffd802,
    0xff986fff,0x3ee04fff,0x0003ffff,0x87fffffb,0x54c00ef9,0x000001aa,
    0xfff98000,0x1ffff23f,0x3ffffee0,0xffffffff,0x06ffffff,0x3ffffffe,
    0xffffffff,0x26ffffff,0x03fffffb,0xfffffb00,0xfffffb87,0xfffb0003,
    0xffff87ff,0xfff9802f,0xf986ffff,0x3a04ffff,0x000fffff,0xdfffff50,
    0x00000330,0x20000000,0x323ffff9,0xd3007fff,0xffffffff,0xffffffff,
    0xfffff807,0xffffffff,0xffffffff,0x3fffffa6,0xfff50000,0xfffe8dff,
    0xf50000ff,0xff8dffff,0xf9002fff,0x30dfffff,0x209fffff,0x05fffffa,
    0x7ffffc00,0x0000002f,0x20000000,0x323ffff9,0x5c007fff,0xffffffff,
    0x00efffff,0xfffffff8,0xffffffff,0x56ffffff,0x00bfffff,0xffffff80,
    0xbfffff52,0xffff8000,0x3fffe2ff,0x3ffa002f,0xff986fff,0xffb04fff,
    0x80005fff,0x05fffffc,0x00000000,0x3fe60000,0x3fff23ff,0xfdc98007,
    0xdeffffff,0x3fffe003,0xffffffff,0xffffffff,0xfffffb6f,0xffc80005,
    0xfffb5fff,0xc80005ff,0x3e5fffff,0x2002ffff,0x86fffffa,0x04fffff9,
    0x00000000,0x00000000,0xff980000,0x3fff23ff,0xa9880007,0x0000001a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0000cc40,0x0004cc40,0x00001330,0x4cc00002,
    0x55530000,0x13310001,0x004cc000,0x20000300,0xa9800198,0x0000aaaa,
    0x50555530,0x2a203555,0x55540aaa,0xca88002a,0xdefffffd,0x7ec0001b,
    0xff90005f,0x7dc40007,0xe98001df,0x002effff,0x0007fff4,0x8002ffec,
    0x5c003ffc,0x003ffffe,0x000dff10,0x0bfffff1,0x3fff2000,0x04ffff85,
    0xe85ffff5,0x54006fff,0xffffffff,0x00dfffff,0x05fffc80,0x006ff880,
    0x7ffffec0,0x3ffea001,0x004fffff,0x0009fff5,0x000bfff9,0xd800dff1,
    0x5fffffff,0x02ffd800,0xfffff300,0xffd00001,0xffff889f,0x5ffff502,
    0x006fffe8,0xffffffb1,0xffffffff,0x3aa005ff,0x8005ffff,0x20002ffd,
    0x09f90ef8,0x3ffffe20,0x801fffff,0x2000fffe,0x05ffffea,0x002ffd80,
    0x3f7fffe6,0x26003fff,0x4c0006ff,0x0004ffff,0x542ffff8,0xf501ffff,
    0xffe85fff,0xfff9806f,0xffffffff,0xffffffff,0x3fffa205,0x4c005fff,
    0x5c0006ff,0x401fe24f,0xfb0dfffc,0xffa80dff,0xffd1004f,0x800bffff,
    0x6c006ff9,0x3ffe27ff,0x07ffa005,0x3ffea000,0x3e60000f,0x7fdc0fff,
    0x3ffea07f,0x37fff42f,0x3ffffe20,0xfedeffff,0xffffffff,0xfdfff103,
    0xfe800bff,0x7cc0001f,0x74017ea6,0x3fe62fff,0x3ffa00ff,0xfff1000f,
    0x800bfffd,0x44001ffe,0x3ffe22a9,0x0bff5004,0x7ffd4000,0x3fee0004,
    0x5fffd87f,0x02aaaa20,0xc8055555,0xaeffffff,0xffffd980,0xdf880fff,
    0x400bfff2,0x00005ffa,0x03ffbffd,0xf03fffe0,0x3ea03fff,0x3e2004ff,
    0x00bfff2d,0x0002ffd4,0x07fffe54,0x000ffe80,0x02665400,0x0bfff900,
    0x0009fffd,0x7ffcc000,0xa800dfff,0x84ffffff,0x02fffc18,0x0001fff0,
    0x0ffff660,0x07fffc40,0x740bfffe,0x22000fff,0x002fffc1,0x00001fff,
    0x003ffffb,0x00013fee,0xfe800000,0x7ffc44ff,0x0000002f,0x17fffffa,
    0xfffff300,0xbfff003f,0x013fee00,0x000a2000,0xf81ffff3,0xffa83fff,
    0xff80004f,0x9ff7005f,0x3ffa0000,0x7c401eff,0x000000ff,0xcccca800,
    0xccdffffc,0xcdffffdc,0x4c000004,0x01ffffff,0xfffffd80,0x05fff805,
    0x000fff88,0x26a66200,0xfff88009,0x17fffc0f,0x0007fff4,0x402fffc0,
    0x0000fff8,0xfffd5130,0x01ffe401,0x77777440,0x77776401,0xffffff94,
    0xffffffff,0x2fffffff,0x01eeeee8,0x72777764,0x00bfffff,0x3ffffe60,
    0x05fff807,0x0003ffc8,0xfffffc88,0x7c03dfff,0x3fe21fff,0x7ffd41ff,
    0xfff00004,0x07ff900b,0x3fee0000,0x0dff302f,0x3fffe600,0x7ffec01f,
    0xfffff95f,0xffffffff,0xffffffff,0x07ffffe6,0x4bffffb0,0x01fffffc,
    0x3ffffa00,0x2fffc00f,0x001bfe60,0x3ffffee0,0x4fffffff,0xa8ffffa0,
    0x7f40ffff,0xf00000ff,0xff980bff,0x3b220006,0x1fffd44e,0x0002ffd8,
    0x03fffff3,0x95ffffd8,0xffffffff,0xffffffff,0x3e6fffff,0x6c01ffff,
    0x3f65ffff,0x0000ffff,0x07fffff6,0xd80bfff0,0x540002ff,0xffffffff,
    0x05ffffff,0xf79ffff5,0xffa89fff,0x3e00004f,0x7fec05ff,0x7ff40002,
    0x3fffd31f,0x000bff30,0x0fffffcc,0x57ffff60,0xfffcccca,0xffccccdf,
    0xf34ccdff,0xd803ffff,0x3fa5ffff,0x40007fff,0x02fffffc,0xf502fffc,
    0xf88000bf,0xfeffffff,0x2fffffff,0xffffffd0,0xffe81fff,0x3e00000f,
    0x3fea05ff,0xffa80005,0x5fffffff,0x0003ffd0,0x0fffffcc,0x17ffff60,
    0x217fffc4,0x980ffff9,0x401fffff,0x3e5ffffd,0x0006ffff,0x1fffffdc,
    0xe817ffe0,0x5c0001ff,0x20bfffff,0x4fffffc8,0xfffffb10,0xfffa83df,
    0x7fc00004,0x07ffa05f,0x7ffdc000,0xa80dffff,0x4c0004ff,0x401fffff,
    0x305ffffd,0xfb81ffff,0xfff307ff,0xffd803ff,0xffff35ff,0xfa8000bf,
    0x6c04ffff,0x9ff704ee,0xffd90000,0x3ffe209f,0x765405ff,0xfffd03ce,
    0xed800001,0x09ff704e,0xeec98000,0xfff102ce,0xff980001,0x7ec01fff,
    0xff705fff,0xbfffb0ff,0x3ffffe60,0x7fffec01,0xdfffff15,0xfffa8000,
    0x440003ff,0xed980fff,0x4c00ceff,0x3fff600a,0xf500005f,0xfdb509ff,
    0x200005bf,0xa800fff8,0x00000fff,0x2e00fff2,0xfff987ff,0x7fec01ff,
    0xfffb05ff,0x09fffd0b,0x07ffffe6,0x4bffffb0,0x007fffff,0x7ffffdc0,
    0x7fe40002,0xfffffb83,0x20002fff,0x06ffffea,0x1fffd000,0xffffffc8,
    0x640000df,0xff9803ff,0x100000ff,0xff300fff,0xffff30ff,0xfffd803f,
    0x9fffd05f,0x02ffff88,0x03fffff3,0x25ffffd8,0x00fffffe,0x3ffff600,
    0x3e20001f,0xffff986f,0x00fffffe,0xfffeca88,0x0006ffff,0x5c4fffa8,
    0xffffffff,0x3e20004f,0xfff8806f,0xb00000ff,0xff8805ff,0xfff987ff,
    0x7fec01ff,0xf99955ff,0xb999bfff,0x999bffff,0x3ffffe69,0x7fffec01,
    0x3fffff25,0x3ffa0001,0x20000fff,0xffc82ffd,0x0bfff22f,0x7ffff5cc,
    0x6fffffff,0xfffe8000,0x33fffe20,0x00ffffb8,0x005ffb00,0x01fffffd,
    0x0dff3000,0x0fffffd0,0x05fffff3,0x95ffffd8,0xffffffff,0xffffffff,
    0x3e6fffff,0x6c02ffff,0x3ee5ffff,0x2604ffff,0xffff980c,0x3e60007f,
    0x8fddb06f,0x7443fff9,0xffffffff,0x06ffffff,0x27ffd400,0xfd1bffea,
    0xf30007ff,0xfff900df,0x00001fff,0xfd803ffd,0xf987ffff,0x7402ffff,
    0xff95ffff,0xffffffff,0xffffffff,0x3ffe6fff,0x7ff402ff,0x3ffea5ff,
    0xffb00fff,0xfffffd87,0x3ffa0005,0xfffc8001,0x3ffffa21,0xfc9bdfff,
    0x40006fff,0x7dc0fffe,0x7ffe44ff,0x1ffe8004,0x7df7fdc0,0x540000ff,
    0x7fdc05ff,0xf987ffbe,0x7402ffff,0xff95ffff,0xffffffff,0xffffffff,
    0x3ffe6fff,0x7ff402ff,0x7fff45ff,0xfff984ff,0xffff9bff,0xf50003ff,
    0xff7000bf,0xffffe8df,0xfffc81cf,0x3ee0006f,0xfffc84ff,0x02fffdc4,
    0x3017fea0,0xfff51fff,0xffe80001,0x23ffea00,0xff987ffa,0x7fc02fff,
    0xfdd75fff,0xdddddfff,0xddddffff,0x3fffe6bd,0x7fffc02f,0x7fffd45f,
    0x7ffd43ff,0xffffffff,0x3fa0006f,0x7fe4000f,0x3ffe20ff,0x3ff604ff,
    0x3a0006ff,0xffd80fff,0x37ffdc3f,0x803ffa00,0xff51fff8,0x7dc0001f,
    0x3ffe204f,0xf10fff51,0x4c07ffff,0x445fffff,0x7cc2ffff,0x3e200fff,
    0x2603ffff,0xd85fffff,0x45ffffff,0xffffffb8,0x0001ffff,0x44009ff7,
    0x542ffffd,0x200fffff,0x006ffffd,0x209fff70,0x7dc4fffd,0x3ee006ff,
    0x1fff404f,0x0001fff5,0x4403ffe2,0x3fea3ffe,0xfffff887,0x3ffffa06,
    0x7fffcc5f,0x03fffdc0,0x1bffffe2,0x5fffffe8,0xffffff88,0xfdbacdff,
    0x4fffffff,0x1fff1000,0x3fffa200,0xffffb81e,0xffff501f,0x3fa000df,
    0xfff700ff,0x05fffc89,0x401fff10,0xeeeefffb,0x000eefff,0xf701ffe4,
    0xffddddff,0x7ff41ddf,0x3660cfff,0x45ffffff,0xfc87fffb,0xffe805ff,
    0x3660cfff,0x05ffffff,0xfffffff7,0xffffffff,0x007fffff,0x400fff20,
    0x00dffff8,0x0bfffff5,0xdffffff3,0x9fff7000,0x237ffd40,0x9004fffe,
    0xffb807ff,0xffffffff,0x3e2001ff,0x7ffdc06f,0xffffffff,0x3ffff21f,
    0xffffefff,0x6c5fffff,0xffe85fff,0xfffc803f,0xfffeffff,0x05ffffff,
    0x3fffffa6,0xffffffff,0x2effffff,0x01bfe600,0x4f7fff44,0xff109999,
    0xf99fffff,0xffffffff,0x1fffd000,0x67fffc40,0x00ffffb8,0xb806ff98,
    0xffffffff,0x2001ffff,0x7dc02ffd,0xffffffff,0x3fa21fff,0xffffffff,
    0x5ffffbef,0x221ffff4,0x8802ffff,0xfffffffe,0xfffbefff,0xfffb805f,
    0xffffffff,0xffffffff,0xffd802ef,0xffff7002,0x49ffffff,0xfffffffc,
    0xffffffff,0x3ee000ff,0xffb804ff,0x4fffffff,0x005ffb00,0x00fffa80,
    0x0037fcc0,0x881ffea0,0xfffffffe,0xbffff55f,0x217fffc4,0x000ffff9,
    0xffffffd1,0x3ffeabff,0xfb93005f,0x9bffffff,0xffffff75,0x5ffa805f,
    0x3ffffa00,0x44ffffff,0xfffffffe,0xffffd4ff,0x7fff4007,0xffffb000,
    0x5001bfff,0x50000bff,0xe8001fff,0x540001ff,0x7ec407ff,0x2a3dffff,
    0x3e65ffff,0x7fdc0fff,0x7ec4007f,0x2a3dffff,0x0005ffff,0x22015531,
    0x806ffffd,0xd1001ffe,0xdddddddd,0xfff707dd,0x7e45dfff,0xf7006fff,
    0xea8009ff,0x2003efff,0x80001ffe,0x2000eeea,0x80005ffa,0x22006eea,
    0x5510001a,0x55553055,0x00d44000,0x40000000,0x0002fffb,0x98000000,
    0x800001aa,0x00009998,0x00000002,0x00000000,0x00000000,0x00000000,
    0x00000000,0x000b5000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x51000000,0xaaa81555,
    0x2a20002a,0x40002aaa,0x01aaaaa9,0x0ccc4000,0x2a600000,0x0000aaaa,
    0x0aaaaaa8,0xaaaa8800,0xaaa98002,0x0d55540a,0x02aaaa20,0x00055555,
    0x8000cd44,0x00aaaaaa,0x7ffdc000,0x2ffffc1f,0xffffb000,0x7440007f,
    0x0006ffff,0xfffffc88,0x00000cff,0x17ffffe2,0x3ffe6000,0xfd0004ff,
    0x8005ffff,0x220ffffc,0x5404ffff,0x7f42ffff,0x75c006ff,0x2effffff,
    0x3fffea00,0x5c00003f,0x7fc1ffff,0xf70005ff,0x03ffffff,0x7fff4400,
    0x3ee0001f,0xffffffff,0x700002ff,0x000bffff,0x13ffff60,0x7fffe400,
    0x32000fff,0x3e20ffff,0x7d404fff,0x7ff42fff,0xffd3006f,0xffffffff,
    0x3fea001d,0x400006ff,0x7c1ffffb,0x88005fff,0xfffeffff,0x7fcc0006,
    0xf70005ff,0xffffffff,0x0003ffff,0x01dffff0,0xffff1000,0x3fe6000b,
    0x05fffeff,0x83ffff20,0x404ffff8,0x742ffffa,0xfb806fff,0xffffffff,
    0x000effff,0x005ffff7,0x7fffdc00,0x02ffffc1,0x467fff40,0x0004fffe,
    0x00ffffcc,0x3ffffe20,0xffffffff,0x7dc0006f,0x00000eff,0x000bfff9,
    0x22ffffa2,0x9003ffff,0x7c41ffff,0x7d404fff,0x7ff42fff,0x7ffc406f,
    0xffffffff,0x2006ffff,0x0006fffb,0x02aaaa20,0x80055555,0x3e66fffc,
    0x40002fff,0x4004fff9,0x9cfffffc,0xffffffb8,0x3ffa0000,0xf100000f,
    0x20001dff,0x3e65fffd,0xa9801fff,0x55540aaa,0x5554401a,0x1555540a,
    0x3fffff60,0xfffd731d,0x7e4003ff,0x000002ff,0x2aa00000,0x5554c0aa,
    0xcca80002,0x7fff4004,0xffffc86f,0x9910001f,0x4c000039,0x10000ccc,
    0xaa815555,0x000001aa,0x50000000,0x209fffff,0x05fffff9,0x001665c0,
    0x00000000,0x00000000,0xfffff000,0xfffff507,0x00000001,0x00000000,
    0x00000000,0x36000000,0x200fffff,0x002cdffd,0x10000000,0x00000153,
    0x00001531,0x80015310,0x82fffff8,0x005ffffc,0x00054c40,0x33533100,
    0x99880001,0x8000099a,0x10000198,0x00133533,0x013ffffa,0x4c400011,
    0x93000001,0x9dffffff,0x3f260001,0x0cefffff,0xfff93000,0x8019dfff,
    0x42fffff8,0x03fffff8,0xffffc980,0x4000ceff,0xffffffc8,0x22003dff,
    0xfffffffc,0x6cc003df,0x1deffffe,0x3fff2200,0x03dfffff,0x01fffffc,
    0x7f6cc000,0x001defff,0x7fffec40,0x2fffffff,0x3fff6200,0xffffffff,
    0x3ff62002,0xffffffff,0x3ffe602f,0x7ffdc1ff,0x362000ff,0xffffffff,
    0xf7002fff,0xffffffff,0xf7009fff,0xffffffff,0x2e009fff,0xffffffff,
    0xffb803ff,0xffffffff,0xfff104ff,0x800007ff,0xfffffffb,0x30003fff,
    0xfffffffd,0x1bffffff,0xffffe980,0xffffffff,0x7f4c00df,0xffffffff,
    0x980dffff,0x7c1fffff,0x2004ffff,0xffffffe9,0xdfffffff,0x3fffea00,
    0xffffffff,0x3fea05ff,0xffffffff,0x6c05ffff,0xffffffff,0x500dffff,
    0xffffffff,0x0bffffff,0x05fffff3,0x7ffec000,0xffffffff,0x3a2000df,
    0xffffffff,0x4fffffff,0x3ffffa20,0xffffffff,0x3a204fff,0xffffffff,
    0x4fffffff,0x1fffff98,0x03ffffea,0x7ffff440,0xffffffff,0xff104fff,
    0xffdfffff,0x05ffffff,0xfffffff1,0xfffffffd,0x3ffee05f,0xffffffff,
    0xff884fff,0xffefffff,0x42ffffff,0x03fffff8,0xffff7000,0xffffffff,
    0x7ec009ff,0x9acfffff,0xffffffda,0xfffffb01,0xffb5359f,0x3603ffff,
    0xacffffff,0xfffffda9,0x7fffcc1f,0x3ffff61f,0x3fff6007,0xda9acfff,
    0x81ffffff,0x0bfffffb,0x3fffff22,0xfffffb84,0x3fff220b,0xfff884ff,
    0x3fae1eff,0x7dc0ffff,0x220bffff,0x84fffffc,0x004fffff,0xfffff880,
    0x3fffae1e,0xff8800ff,0xf501efff,0xf10dffff,0x203dffff,0x86fffffa,
    0x1efffff8,0xdfffff50,0x1fffff98,0x07fffffa,0x3ffffe20,0xffff501e,
    0xfffd90df,0x3fffe209,0xfffec85f,0xfffff104,0xfffffb0b,0x3ffff601,
    0x27fff644,0x5fffff88,0x05ffffe8,0x20d66f4c,0x00fffffd,0x009ffffb,
    0x05fffff5,0x3fffffc8,0x17ffffd4,0x3fffff20,0x7ffffd43,0x7fffe402,
    0x3fffe63f,0x3ffff21f,0x7fd400ef,0x7e402fff,0x2603ffff,0x3fff600a,
    0x0054c05f,0x88bffffb,0x203fffff,0x00fffff8,0x7fec0153,0xfffd85ff,
    0x3fee00ff,0xfff10fff,0x7fc407ff,0x7ec00fff,0xf8806fff,0x7ec4ffff,
    0xf8806fff,0x7ec4ffff,0xf8806fff,0x3e64ffff,0x3e61ffff,0x00efffff,
    0x01bffff6,0x13ffffe2,0xfffea800,0x7540006f,0x7cc6ffff,0x7401ffff,
    0x0001ffff,0x0dffffd5,0x0bfffff7,0x97ffffe2,0x01fffff9,0x00fffff4,
    0x00fffffe,0x237fffec,0x003fffff,0xf8dffffb,0xb003ffff,0x7ccdffff,
    0x7dc1ffff,0x206fffff,0x003fffff,0x00dffffb,0x3fffb2a2,0x2006ffff,
    0xffffeca8,0x7fd46fff,0x99999fff,0xffffe999,0xfeca8802,0x06ffffff,
    0x5dfffffd,0xffffd931,0x7fffd45f,0x9999999f,0x02ffffe9,0x0bffffe2,
    0x3ffffe40,0x05fffff1,0x9fffff20,0x02fffff8,0x4fffff90,0x81fffff9,
    0x5ffffffc,0x2fffff88,0xfffff900,0x7fff5cc0,0xffffffff,0x7ff5cc06,
    0xffffffff,0x7fffdc6f,0xffffffff,0x03ffffff,0xfffffd73,0x0dffffff,
    0x3fffffe6,0xffffffff,0x7fffdc6f,0xffffffff,0x03ffffff,0x0bffffea,
    0x7ffffdc0,0x5fffff50,0x3fffee00,0xfffff50f,0x3ffee005,0xffff30ff,
    0x3fff603f,0x7fd44fff,0xf7002fff,0xe881ffff,0xffffffff,0x06ffffff,
    0xffffffd1,0xffffffff,0xfffffd8d,0xffffffff,0x444fffff,0xfffffffe,
    0x6fffffff,0x3fffff20,0xffffffff,0x7fffec0e,0xffffffff,0x04ffffff,
    0x0bffffe6,0x3ffffe40,0x05fffff3,0x9fffff20,0x02fffff9,0x4fffff90,
    0x01fffff9,0x3ffffff6,0x3ffffe61,0xffff9002,0xffffe88f,0xfc9bdfff,
    0xfe886fff,0xbdffffff,0x46ffffc9,0xfffffffc,0xffffffff,0x3fa25fff,
    0xbdffffff,0x06ffffc9,0x7fffffd4,0x81efffff,0xfffffffc,0xffffffff,
    0x3e205fff,0xb003ffff,0x7c4dffff,0xb003ffff,0x7c4dffff,0xb003ffff,
    0x7ccdffff,0x6c01ffff,0x224fffff,0x003fffff,0xe8dffffb,0x81cfffff,
    0xe86ffffc,0x81cfffff,0x5c6ffffc,0x999fffff,0x99999999,0x3fffa099,
    0xffc81cff,0xec8806ff,0x2effffff,0x3ffffee0,0x99999999,0x40099999,
    0x005fffff,0xf89fffff,0xf005ffff,0xff89ffff,0xff005fff,0x7fcc9fff,
    0xfe801fff,0x7ffc6fff,0xfff005ff,0x7ffc49ff,0x3ff604ff,0x7ffc46ff,
    0x3ff604ff,0x7ffd46ff,0x220000ff,0x204fffff,0x006ffffd,0x0bbffae2,
    0x3ffffea0,0xfd800000,0x5c01ffff,0x6c3fffff,0x401fffff,0x43fffffb,
    0x01fffffd,0x1fffffdc,0x03fffff3,0x1fffff70,0x0fffffec,0x3ffffee0,
    0x3ffffea3,0x3ffff600,0x7ffffd46,0x3ffff600,0x7ffffcc6,0x206b2202,
    0x00fffffa,0x01bffff6,0xffffffc8,0x7fffcc04,0x06b2202f,0xfffffa80,
    0xffff300e,0xfffa81df,0xff300eff,0xfa81dfff,0x300effff,0x41dfffff,
    0x81fffff9,0x3ffffdc1,0x3bffffea,0xfffff300,0x7fffdc1d,0xffff501f,
    0xffffb8df,0xffff501f,0xffffd0df,0x3fff601f,0xffff71ef,0x3ffea03f,
    0x2ee006ff,0x01fffeba,0x07fffff4,0x1effffd8,0xfffffe80,0xffc989bf,
    0xfd02ffff,0x137fffff,0xffffff93,0x3ffffa05,0xfc989bff,0x4c2fffff,
    0x261fffff,0xffe98bfe,0xfffe86ff,0xc989bfff,0x42ffffff,0x85fffffa,
    0x6ffffff9,0x2fffffd4,0x7fffffcc,0xfffffa86,0x7fffd40e,0x3fffea6f,
    0xffff985f,0x220006ff,0x7d405fff,0x540effff,0x006fffff,0xfffffff3,
    0xffffffff,0x7ffcc09f,0xffffffff,0x204fffff,0xfffffff9,0xffffffff,
    0xffff984f,0xfffff91f,0x09ffffff,0xfffffff3,0xffffffff,0xffff109f,
    0xfff99fff,0x88ffffff,0xcfffffff,0xfffffffc,0xffffd07f,0xffffbdff,
    0x7fc45fff,0xfccfffff,0x7fffffff,0x3ffe2000,0xffffe806,0xffffdeff,
    0x2a002fff,0xffffffff,0x0dffffff,0x7ffffd40,0xffffffff,0x7fd400df,
    0xffffffff,0x980dffff,0xf71fffff,0xffffffff,0x7ffd40df,0xffffffff,
    0xf900dfff,0xffffffff,0xffffffff,0xfffffc81,0xffffffff,0xe880ffff,
    0xffffffff,0xc84fffff,0xffffffff,0xffffffff,0x4cd5400f,0x03fffeba,
    0xfffffe88,0xffffffff,0xffe98004,0xffffffff,0x3fa6003f,0xffffffff,
    0x3a6003ff,0xffffffff,0x3e603fff,0x3ee1ffff,0xffffffff,0x7fff4c01,
    0xffffffff,0xffffe803,0xfd4fffff,0xffd07fff,0x9fffffff,0x80fffffa,
    0xfffffffc,0x3a03ffff,0xffffffff,0x7ffffd4f,0xfffffd80,0x64005fff,
    0xffffffff,0x40003fff,0xfffffdba,0x750000de,0xbdfffffb,0x36ea0001,
    0x0defffff,0x7ffffcc0,0x7fffed41,0x2ea000cf,0xdefffffd,0x3ffee000,
    0x3f22efff,0xff706fff,0x645dffff,0x5406ffff,0xfffffffd,0xfffb801c,
    0x3f22efff,0x7ec06fff,0x01dfffff,0xffffb500,0x00039fff,0x00135300,
    0x01353000,0x13530000,0xa9800000,0xa9800009,0x54c00009,0x2600001a,
    0x000001aa,0x00135531,0x00035530,0x00033100,0x13553100,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x55500000,0x53000555,0x50003555,0x00155555,0x2aaaa000,
    0x4c0000aa,0x20000019,0x002aaaa8,0x0004cc00,0x0cccc000,0x02aaa800,
    0x02620000,0x02a20000,0x7fd40000,0x44002fff,0x01ffffff,0x7ffffc40,
    0xf8800005,0x8004ffff,0xffffffc8,0x7400003e,0x003fffff,0xfffdb750,
    0x0005bdff,0xfffff930,0x0017dfff,0x0003fffd,0xfffd9510,0x00059dff,
    0x3bffff66,0xddddd10c,0xffffe800,0xfffd8003,0x98006fff,0x000fffff,
    0x7fffe400,0xfffb8005,0xefffffff,0xffb80001,0x000fffff,0x3fffffa6,
    0xefffffff,0xffe98001,0xffffffff,0x3200cfff,0x40003fff,0xfffffffa,
    0x00dfffff,0x3ffffee0,0xff89ffff,0x3ea007ff,0xb8004fff,0xffffffff,
    0xfff98004,0x2200004f,0x8005ffff,0xfffffff9,0x00efffff,0x3fffe600,
    0x3006fffe,0xffffffff,0xffffffff,0x7ffe4007,0xffffffff,0x01ffffff,
    0x000bfff5,0x7fffffe4,0xffffffff,0xfffd803f,0xffffffff,0x007ffffa,
    0x0013fffa,0x267fffe6,0x8001ffff,0x000ffffa,0x0dfff900,0xfffff100,
    0xffffd9ff,0x3a2000bf,0xfff8bfff,0x7ffc403f,0xffffffff,0x1fffffff,
    0x7ffff440,0xffffffff,0x0fffffff,0x007fff88,0xfffffe98,0xffffffff,
    0x2a03ffff,0xffffffff,0xffffffff,0xfff3007f,0x3ffa000b,0x3bffee4f,
    0xfffa8000,0xff880003,0xf98000ef,0x7cc3ffff,0x90007fff,0x7fccbfff,
    0x3fee01ff,0xccceffff,0xffffffec,0x3fff600f,0xdeffffff,0xfffffffe,
    0xfffe80ef,0x7fff4000,0xeddfffff,0xffffffff,0xffffff01,0x7fff4c1b,
    0x95007fff,0x2a200099,0xaaaa82aa,0x79950001,0x99930000,0x3fee0001,
    0xfffb06ff,0x5550003f,0x1aaa9815,0x3fffffa0,0x3fffee01,0xfff702ff,
    0x2017ffff,0xffffffea,0x02fffc83,0x3ffffee0,0xffc881df,0xfb86ffff,
    0x3604ffff,0x007fffff,0x00000000,0x00000000,0x7fdc0000,0xffc80fff,
    0x000001ff,0x3fffe200,0xfffc803f,0xfff884ff,0x8800efff,0x86fffffe,
    0x1004fffa,0x07ffffff,0xffffff70,0xfffffe83,0x3fffe600,0x0662007f,
    0x01988000,0x35331000,0x00000013,0x3fffe600,0x7fff444f,0x00000007,
    0x0fffffd4,0x7ffffc40,0xfffffc86,0x7ffc4006,0x7fc41fff,0xfff9006f,
    0x7e4009ff,0x7fc5ffff,0xfd804fff,0x6cc07fff,0x1deffffe,0x7ff6cc00,
    0x2001deff,0xffffffc8,0x3a203dff,0x6401eeee,0x3e04eeee,0xd11fffff,
    0x200bffff,0x01eeeee8,0x52777764,0x009fffff,0x20ab332e,0x02ffffff,
    0xabdefc80,0x00ffff80,0x7fffffc4,0x3ffe6000,0x3ffe21bd,0xffc803ff,
    0x3fee07ff,0xffffffff,0xffff7003,0x07ffffff,0xffffff70,0x09ffffff,
    0x07ffffe6,0x0bffffb0,0x7fffffdc,0x2ffffffa,0xfffff300,0xffffd803,
    0x3ffffe25,0xa80000cf,0x006fffff,0x3f600110,0x7fcc02ff,0xa8004fff,
    0x3fffe600,0xfffb802f,0xffffb07f,0xffffffff,0x7ffec01b,0xffffffff,
    0xfff500df,0xffffffff,0xff30bfff,0xfd803fff,0x7f405fff,0xffffffff,
    0x3e6003ff,0x6c01ffff,0x7fc5ffff,0xbdffffff,0xfff90001,0x000005ff,
    0x809fff70,0x02fffffb,0xfff98000,0xffb802ff,0xfffb87ff,0xffffffff,
    0xff704fff,0xffffffff,0xf109ffff,0xfdffffff,0x5fffffff,0x1fffff98,
    0x2ffffec0,0x3ffffe20,0x003fffff,0x0fffffcc,0x17ffff60,0xfffffff5,
    0x0159ffff,0x3fffff60,0x98000001,0x7e406fff,0x0001ffff,0xfffff980,
    0xffffc803,0x7ffffc47,0x3fffae1e,0x7ffc40ff,0x3fae1eff,0x7dc0ffff,
    0x220bffff,0x44fffffc,0x01fffff9,0x02ffffec,0x3fffffa6,0x98000eff,
    0x401fffff,0xc85ffffd,0xffffffff,0x02dfffff,0x07fffff4,0xff800000,
    0x3ff600ff,0x00000fff,0x4fffff88,0x7ffffd80,0x07ffffec,0x44ffffd8,
    0x00fffffd,0xc89ffffb,0xf104fffe,0xf98bffff,0x6c01ffff,0x3205ffff,
    0xffffffff,0xff30003f,0xfd803fff,0xffb05fff,0xffffffff,0x201dffff,
    0x807fffff,0xaaaaaaa9,0xfb02aaaa,0x7ff405ff,0x000007ff,0x01bffffe,
    0x4ffffff1,0x03fffff8,0x43ffffe2,0x03fffff8,0x03ffffe2,0xffb0054c,
    0xfff98bff,0x7fec01ff,0xffe885ff,0xffffffff,0xff98001f,0x7ec01fff,
    0x3aa05fff,0xffffffff,0x80efffff,0x807fffff,0xfffffffc,0xf706ffff,
    0x7ffc09ff,0x000007ff,0x0bfffff6,0x7fffffb8,0x07ffffe6,0x23ffffd0,
    0x01fffff9,0x00fffff4,0xffffea80,0x7ffffcc6,0x7fffec01,0x7ffff445,
    0xffffffff,0x402b320e,0x01fffff9,0x02ffffec,0x7ffffe54,0xffffffff,
    0x7fffffc1,0x7fffe400,0x6fffffff,0x40bfff30,0x007fffff,0x3ffea000,
    0xffb81fff,0x3ea7ffff,0x9999ffff,0xfffe9999,0xfffff52f,0x33333333,
    0x005ffffd,0xffffd951,0xff98dfff,0x7ec01fff,0x7fec5fff,0xff9affff,
    0xff15ffff,0xff983fff,0x7ec01fff,0x4c005fff,0xffffffec,0x7ff46fff,
    0x7e401fff,0xffffffff,0x3ffe06ff,0x3ffffa07,0x2000000f,0xdffffffe,
    0xfffffecb,0x3ffee7ff,0xffffffff,0x3fffffff,0xfffffff7,0xffffffff,
    0x2e607fff,0xfffffffe,0x7cc6ffff,0x6c01ffff,0x3e65ffff,0x2a1effff,
    0xbbffffff,0xf987ffff,0x6c01ffff,0x0005ffff,0x3ffff6a2,0x3ff62fff,
    0x7e402fff,0xffffffff,0x3ff606ff,0xffffb01f,0x4000003f,0xfffffffa,
    0xffefffff,0x3fff67ff,0xffffffff,0x4fffffff,0xfffffffb,0xffffffff,
    0xfe889fff,0xffffffff,0x4c6fffff,0x402fffff,0x365ffffd,0xc81fffff,
    0xfeffffff,0xff985fff,0x7ec02fff,0x00005fff,0x9fffffd3,0x1fffffe4,
    0x2aaaaa60,0x06fffffa,0x5c0fffee,0x002fffff,0xff3001a8,0xffffffff,
    0x4fffff77,0xfffffffc,0xffffffff,0xfff95fff,0xffffffff,0xbfffffff,
    0x7fffff44,0xffc9bdff,0x7ffcc6ff,0x7ff402ff,0x3fffe5ff,0x3fff606f,
    0x2fffffff,0x2fffff98,0xafffff40,0x01eeccb9,0x3ffffea0,0x3ffffe65,
    0x3ffe0006,0x3fea06ff,0xffff505f,0xfff0009f,0xfff98039,0xf72fffff,
    0x7fdcffff,0x99999fff,0x99999999,0x3fffff70,0x33333333,0x7f413333,
    0xc81cffff,0x7cc6ffff,0x7402ffff,0xff15ffff,0x74409fff,0xffffffff,
    0xfffff306,0xffffe805,0x9fffff35,0xfffff800,0x7fffffc6,0xffff0002,
    0x7ffc40df,0xfffff307,0x7fd4001f,0x54406fff,0x2e0bdfec,0x3ea7ffff,
    0x0000ffff,0x03ffffea,0xffff8800,0x3fff604f,0x7fffcc6f,0x7fffc02f,
    0xfffff15f,0xffff9809,0xf301ffff,0xf805ffff,0x3fe5ffff,0x22006fff,
    0x645fffff,0x006fffff,0x0dfffff0,0xd01fffe8,0x007fffff,0x1ffffff4,
    0xfffc8000,0x3fffe66f,0x06b2202f,0x0bffffe6,0xfa81ac88,0x3600ffff,
    0x7c46ffff,0x2603ffff,0x3e5fffff,0x400fffff,0xfffffffb,0xfffff101,
    0x7fffcc07,0x3ffff65f,0xfff9004f,0xfff889ff,0x1000efff,0x0dfffff9,
    0x303fffc8,0x05ffffff,0xffffff90,0x009aba81,0x8bffff90,0x00fffffe,
    0x43dffffb,0x00fffffe,0x23dffffb,0x01fffffb,0x8dfffff5,0x06fffff8,
    0x97fffffa,0x03fffffd,0x3fffffea,0xff883fff,0x3fa06fff,0x3ee5ffff,
    0x00cfffff,0xffffff91,0xfffff705,0x7e4405ff,0x06ffffff,0x902fffd4,
    0x07ffffff,0x3fffff22,0xffffb84f,0x3ffa205f,0x7ffd44ff,0x7fd40eff,
    0x7fd46fff,0x7d40efff,0x3ea6ffff,0xf985ffff,0xe86fffff,0x20cfffff,
    0xffffffd9,0x3ffffea5,0xfda98bef,0xffffffff,0x7ff40dff,0x3660cfff,
    0x45ffffff,0xfffffffe,0xfffccabc,0x3606ffff,0xffffffff,0xffffdcce,
    0x06ffffff,0x103fffc4,0xffffffff,0xffffb99b,0xf501ffff,0x417fffff,
    0xfffffd98,0xfffffe82,0xfffffdef,0xfffe82ff,0xfffdefff,0x3e22ffff,
    0xccffffff,0xffffffff,0xfffffc87,0xfffffeff,0x7ec5ffff,0xffffffff,
    0xffffffff,0x0fffffff,0x3ffffff2,0xffffffef,0x7fcc5fff,0xffffffff,
    0xffffffff,0x3ffa201f,0xffffffff,0xffffffff,0xfe802fff,0x3fea00ff,
    0xffffffff,0xffffffff,0xfffff101,0xfffddfff,0x220bffff,0xfffffffe,
    0x04ffffff,0xffffffd1,0x9fffffff,0xffffff90,0xffffffff,0xfe881fff,
    0xffffffff,0x5ffffbef,0x7fffff44,0xffffffff,0xfffffcff,0x7fff444f,
    0xefffffff,0xa85ffffb,0xffffffff,0xffffffff,0xfffb002f,0xffffffff,
    0xbfffffff,0x3fff2001,0x7fff4c02,0xffffffff,0x5402ffff,0xffffffff,
    0xffffffff,0x7fffe400,0x3fffffff,0xfffffc80,0x03ffffff,0x3ffffffa,
    0xfffd4fff,0xfffd107f,0x2abfffff,0xf905ffff,0xffffffff,0x3a619fff,
    0xfd106fff,0xbfffffff,0x417fffea,0xffffffe9,0xefffffff,0x7ff5c002,
    0xffffffff,0x001dffff,0x8027ffd4,0xfffffffc,0x01efffff,0xffffff70,
    0xdfffffff,0x3ff6a005,0x01cfffff,0x3ffff6a0,0xb801cfff,0x2effffff,
    0x41bffff2,0xdfffffd8,0x17fffea3,0xfffffd98,0xf901dfff,0x7fec401f,
    0x3ea3dfff,0x75405fff,0xffffffff,0x540003df,0xfffffffd,0x0000acdf,
    0x400dfff1,0xfffffec9,0x88002eff,0xfffffffb,0x20003fff,0x0009aa98,
    0x04d54c40,0x00d54c00,0x006a2000,0x2aa62000,0x00350009,0x00000d44,
    0x9aaba988,0x99800000,0x00000aaa,0x00015554,0x00033553,0x4d554c40,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x98800000,0x000009aa,0x00333100,0x03310000,
    0xa9880000,0x4000009a,0x1bceedb9,0x1f777640,0x3bbbbaa0,0xfeca8800,
    0xb98002cd,0x001bceec,0x9bddb950,0xaaa98005,0xaaaaaaaa,0x555442aa,
    0xb30002aa,0xffffffff,0x44000039,0xffffffdb,0x80001bce,0xfffffeca,
    0xd980000c,0xffffffff,0x3e60001c,0xffffffff,0x3ffffa04,0x7fffd404,
    0x7ffec00f,0x01dfffff,0xffffff90,0x754009ff,0xffffffff,0xfffd002e,
    0xffffffff,0xfffb0dff,0x75c001ff,0xffffffff,0x002effff,0x7ffffdc0,
    0xffffffff,0xffb10004,0xffffffff,0x3fae0009,0xffffffff,0x4002efff,
    0xfffffffa,0xe81effff,0x5404ffff,0x100fffff,0xfffffffd,0x4401ffff,
    0xfffffffd,0x6400efff,0xffffffff,0x4404ffff,0xffffffff,0x06ffffff,
    0x009ffffb,0xdfffffb1,0xfffdb99b,0xb10009ff,0xffffffff,0xdfffffff,
    0x7ff44003,0xffffffff,0x362003ff,0xcdefffff,0xfffffedc,0xffff7004,
    0xffffffff,0xffffd0df,0xffffa809,0xffff980f,0xffffffff,0xfffb00ef,
    0xffffffff,0x7ffd40df,0xffffffff,0x3e602fff,0xffffffff,0x206fffff,
    0x200ffffe,0x0beffff9,0x3fffee20,0xfff3000e,0xffffffff,0xffffffff,
    0xfffd1009,0xffffffff,0xf3005fff,0x4017dfff,0x0effffc8,0x7fffff40,
    0xfffffedf,0x7ffff44f,0x7fffd404,0xffffe80f,0xffffedff,0xfff884ff,
    0xfffeefff,0xfff01fff,0xff99ffff,0x201fffff,0xfffffffb,0x6fffffff,
    0x0ffffa20,0x017fffcc,0x077ffdc0,0x3ffffa20,0xfedeffff,0xffffffff,
    0x7fffdc02,0xffeb8bef,0x7cc06fff,0xc8002fff,0xf300efff,0x4c17ffff,
    0x747fffff,0x5404ffff,0x4c0fffff,0x444fffff,0xc86ffffe,0x221fffff,
    0x985fffff,0xb84fffff,0x901fffff,0xddddffff,0x0bdddddd,0x887ffe88,
    0x0000effe,0x9017ffe6,0x5dffffff,0xffff9101,0x7f401fff,0xffb06fff,
    0x3a201fff,0x20000eff,0xf905fffa,0x3f20dfff,0x3fa0ffff,0x7d404fff,
    0x7ec0ffff,0xff706fff,0x7fc43fff,0xffc84fff,0x7fdc0fff,0xff880fff,
    0xffd03fff,0x400005ff,0x7ec1ccc8,0x333310ef,0x7cc03333,0xfff503ff,
    0x5001bfff,0x09ffffff,0x0bffffe2,0x1fffffd4,0x200effd8,0xf302bcb9,
    0xffd907ff,0x3ffe605f,0x3fffa1ff,0x7ffd404f,0x3ffe60ff,0x99d102ff,
    0x7ffdc155,0xfff880ff,0x7ffe44ff,0x3fff205f,0xfffff04f,0x20000001,
    0x3fa1fffa,0xffffffff,0x0fffa80d,0x5fffffe8,0x7fffcc00,0xfffa81ff,
    0x66f7407f,0x1fffa81a,0xfffffd88,0xfffb81ef,0xfb80a600,0x7ff47fff,
    0x7fd404ff,0x3ff20fff,0x640007ff,0x3606ffff,0x7d45ffff,0x3f606fff,
    0xff882fff,0x000007ff,0xfd0fff60,0xffffffff,0x7ffb01df,0xffffff98,
    0xfffd8001,0xfffa85ff,0xfb00007f,0xfffd107f,0x03ffffff,0x40007ffb,
    0x745ffffe,0x5405ffff,0x360fffff,0x0006ffff,0x02ffffec,0x88dffff9,
    0x880fffff,0xa80fffff,0x2626ffff,0xeee88000,0x1fff12ee,0xa99bffe8,
    0x984fffda,0x7ffe46ff,0xf30005ff,0xf10fffff,0x0001ffff,0xe80fff88,
    0xfb99bfff,0x6ff986ff,0xffff7000,0xffffe85f,0x7fffdc05,0x3ffffa0f,
    0x02af2e65,0x09ffffd0,0x43ffffdc,0x20dffffe,0x05ffffc8,0xd9dffff9,
    0x001bdfff,0x4bffffe2,0xffe84ffb,0x20dffb02,0x3ffa1ffe,0x20001fff,
    0x80fffffe,0x002fffff,0x6427fdc0,0xffa80fff,0x02ffe82f,0xffffd970,
    0xffffd09f,0xffffb80b,0x3ffffa0f,0xfffffe8c,0x3fffe03f,0x3ffee04f,
    0x7ff440ff,0xfffeefff,0xffb01eff,0xffffffff,0xf1005fff,0x3f65ffff,
    0x02ffe81f,0x3ea0dff7,0x3ffffe3f,0x3f60000f,0xfe81ffff,0x40004fff,
    0xffe81ffd,0x202b3204,0xfd003ffb,0x205fffff,0x406ffffe,0x20fffffb,
    0xffdfffff,0xdfffffff,0x3fffff80,0x3ffffea0,0xfffffb00,0x01bfffff,
    0x7ffffffc,0xffffffff,0x7fffc404,0xd01ffd2f,0x3ff605ff,0x7c9ff304,
    0x0007ffff,0x97ffffe4,0xffffeccb,0x04cccccf,0xff01ffd0,0x7cc0003f,
    0xffff004f,0x7ff409ff,0x7fec07ff,0xfff10fff,0xffffffff,0x88dfffff,
    0x203fffff,0x01fffffa,0xffffffd1,0x7c401fff,0xffffffff,0x2fffffff,
    0x3ffffe20,0x3fa0fff2,0xfebaaacf,0xdff100ff,0x1bffffe2,0xffff7000,
    0x3ffff67f,0xffffffff,0x0fff007f,0x0001fff3,0x44037fc4,0xffffffff,
    0xfffffe83,0xfffff101,0x3fffe61f,0xebbeffff,0x263fffff,0x203fffff,
    0x82fffffa,0xfffffffa,0x303fffff,0x37dfffff,0xfffffd53,0x7fffc40d,
    0xd06ff8af,0xffffffff,0x6ff805df,0x0bfffff3,0xffffa800,0xfffffb4f,
    0xffffffff,0x0dff100f,0x0000fff5,0xbd300dff,0xbffffffb,0x5fffffe8,
    0xffffffb0,0x3ffffe61,0xfffd82ff,0xffff30ff,0x7ffd407f,0x7ffd42ff,
    0xffffffff,0xed984fff,0xffb00dff,0x3e207fff,0xdff2ffff,0x3fffffa0,
    0xf8802fff,0xfffff16f,0xffa8000d,0xfffb4fff,0xffffffff,0x3fe00fff,
    0x007ffa86,0x0037fc40,0x7ffffe4c,0x3fffffa3,0xfff931df,0x3e21ffff,
    0x103fffff,0x267fffff,0x203fffff,0x21fffffa,0x0efffff8,0x3fffffaa,
    0x3e200402,0xf105ffff,0x3fe5ffff,0x737ffd07,0x9801dffd,0x3fffe5ff,
    0x7dc0007f,0xdd93ffff,0xdffffffd,0x3e00dddd,0x0fff987f,0x17fe6000,
    0xffffd800,0xfffffd0f,0xffffffff,0x7c1fffff,0x200fffff,0xf34ffffd,
    0x5c07ffff,0x2e0fffff,0x3a07ffff,0x0005ffff,0x06ffffd8,0x25fffff1,
    0xffe80ffe,0x01bffa22,0x7ff49ff5,0x20000fff,0x01fffffd,0x00dffff9,
    0x2207ff40,0x37a02fff,0x04ffa80b,0x3fffe600,0xdffffd2f,0xffffffff,
    0x7c1fffff,0x6407ffff,0xff15ffff,0x7dc09fff,0x7fec7fff,0x3fee04ff,
    0xc80007ff,0xf107ffff,0x3f25ffff,0x42ffe83f,0x3603fff9,0x3fff62ff,
    0x3a0001ff,0xb00fffff,0x0009ffff,0x7f41ffe4,0x7fff506f,0x0005ffb0,
    0x9fffffc4,0xfccffffe,0xffafffff,0x3ffa0fff,0x7fdc07ff,0x3fffe6ff,
    0x3fff204f,0x7ffffc7f,0x3fffe202,0x7dc0001f,0xf880ffff,0xff32ffff,
    0xb05ffd0d,0xff101fff,0x7fffdc1f,0xff30004f,0x7fc0ffff,0x20003fff,
    0xff986ff9,0x3ffaa0df,0x00fff887,0xffff0031,0x3ffffa9f,0x25ffffb4,
    0x360fffff,0x5c07ffff,0x3fa6ffff,0x3f606fff,0x3fe66fff,0x7fc00fff,
    0x40003fff,0x107ffffc,0x745fffff,0x17ff42ff,0x5c2fffc4,0x7ffd44ff,
    0xd8001fff,0x306fffff,0x003fffff,0xc82ffe80,0xfffeffff,0x4ffc82ff,
    0x07fffba6,0x3fffff98,0x449ffffd,0x3f2000aa,0x3201ffff,0x3f64ffff,
    0x3fa07fff,0x3fe65fff,0x7fc01fff,0x372e2fff,0x7fec03ee,0xfff106ff,
    0x7ffdc5ff,0x640bffa0,0x3fe61fff,0xffffe81f,0x7fcc005f,0xfb02ffff,
    0x00009fff,0xf701fff7,0x7fffffff,0x443fff30,0x204fffff,0xd1fffffb,
    0x0009ffff,0x9fffff10,0x1fffff40,0x05fffff5,0x85fffff3,0x203fffff,
    0x21fffff9,0x207fffff,0x05fffff8,0x85fffff1,0x3bb65ffe,0x29ddd101,
    0xf505ffe8,0x009fffff,0x3fffffe6,0xdffff905,0x3fa00001,0xffb9105f,
    0xffd1019d,0xfffffd0b,0xfffff301,0x27ffff4f,0xfffd8000,0xfffa81ff,
    0x3ffe22ff,0xfffd86ff,0xffffe87f,0xffffb00f,0x7fffe41f,0xffff903f,
    0x3ffe203f,0x7ffcc2ff,0x7ec40004,0x3ff600ef,0x201effff,0xfffffffb,
    0xfffffc80,0x100abcaa,0x27ffcc05,0x3ffa2000,0xffffb80e,0xffb99cff,
    0x3fa3ffff,0x00004fff,0x7ffffff3,0xfffffd53,0xfffffb0d,0xffff933b,
    0xffff707f,0xff7139ff,0xfa8bffff,0x11dfffff,0x0bfffffb,0x17ffffc4,
    0x0077ffd4,0x0ffffcc0,0x3ffffe20,0xeccdffff,0xffffffff,0xfffffb84,
    0xefffffff,0x00ffeccc,0x003bffea,0x07fffe60,0xffffffe8,0xffffffff,
    0x27ffff46,0xfffb0000,0xffffffff,0xff303fff,0xffffffff,0x3a01ffff,
    0xffffffff,0x0fffffff,0xffffffd8,0xffffffff,0x3ffe201f,0xfff702ff,
    0xf930019f,0x2e005fff,0xffffffff,0xffffffff,0xff506fff,0xffffffff,
    0xffffffff,0xfffb809f,0xfd9801cf,0x7c402fff,0xffffffff,0x740fffff,
    0x0004ffff,0x3ffffa20,0xffffffff,0x3fffee03,0xffffffff,0x3fffe203,
    0xffffffff,0x3ffa02ff,0xffffffff,0x7c401fff,0x2602ffff,0xacdfffff,
    0xfffeca99,0x74c000ef,0xffffffff,0xffffffff,0x7ffffc03,0xffffffff,
    0x0fffffff,0x7ffffcc0,0xecbaaacd,0x000effff,0xffffffd3,0xd01bffff,
    0x0009ffff,0xfffffb00,0x005fffff,0xfffffff3,0xd3005fff,0xffffffff,
    0xd8805fff,0xffffffff,0xf8800eff,0x4402ffff,0xfffffffd,0x4fffffff,
    0x7ffdc000,0xffffffff,0xfb800eff,0xfffeffff,0xffffffff,0xfd8803ff,
    0xffffffff,0x004fffff,0xffffff50,0x7ff405df,0x000004ff,0xffffffd7,
    0x7ec4001b,0x01dfffff,0x7ffff540,0x2000cfff,0xffffffe9,0xff1000ce,
    0x22005fff,0xfffffffc,0x0000beff,0xffffb930,0x007bdfff,0x220577c4,
    0xfffffeca,0x22000cff,0xfffffffc,0x0000beff,0x001aa988,0x40000000,
    0x80000aa9,0x80001aa8,0x000aba98,0x00d54c40,0xfffff880,0xcba98002,
    0x00001abc,0x01aa9880,0x31000c00,0x00003355,0x35799753,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x51000000,
    0x0157bdb9,0x5c400000,0x06eb80bc,0xddddd500,0x3bbba200,0x776c004e,
    0xdddd35ee,0x0000001d,0x55500004,0x55401555,0x55500aaa,0xaaaa9855,
    0x3bbb6200,0x0006444e,0xeeeea800,0x004cc006,0x3fffffea,0x90002fff,
    0x3ffee00b,0xff98adff,0xfff70006,0x3fe200ff,0x7c005fff,0xff56ffff,
    0x00001fff,0x3ffb6e20,0x8800bcef,0x204fffff,0x05fffffb,0xfb8bffff,
    0x6c401fff,0xfc9effff,0x7000004f,0x900fffff,0x5dfffffb,0xffffffd8,
    0x003fffff,0x74017fea,0xffffffff,0x70005fff,0x200fffff,0x05fffff8,
    0xb7ffffc0,0x00fffffa,0xfffb8000,0xffffffff,0x7fffe403,0x3fffe205,
    0xfff83fff,0x7fffdc5f,0xffff9001,0x0003bfff,0x3fffee00,0x7fffec07,
    0x3f22ffff,0xffffffff,0x4c04ffff,0x9805fffe,0xfffeceff,0x0002ffff,
    0x00fffff7,0x17ffffe2,0xdfffff00,0x03ffffea,0xffe88000,0xffffffff,
    0xf880efff,0x7f405fff,0x1ffffeff,0x2e2ffffc,0x2001ffff,0x02fffffc,
    0x7fdc0000,0x3ff607ff,0x0fffffff,0xfffffff3,0xfffffffb,0x7ffff403,
    0x21ffb805,0x02dffeb8,0x3fffee00,0xffff1007,0xfff800bf,0xffff56ff,
    0x7400001f,0xffffffff,0x6fffffff,0x406fffc8,0xff96fffc,0x5ffff8df,
    0x00ffffdc,0x7ffffecc,0x000000ef,0x41ffffee,0xfffffff8,0x3fffa7ff,
    0x7ffe43ff,0x3ffa05ff,0x2a9805ff,0x20000220,0x004cccca,0x0bfffff1,
    0x6fffff80,0x01fffff5,0x3fff2000,0xa98befff,0x24fffffe,0x200efff8,
    0x3a1ffff9,0x2aaa4fff,0x55554c2a,0x3fffa600,0x05ffffbc,0x3fee0000,
    0xfff507ff,0xf8843bff,0xfb02ffff,0x3a01ffff,0x0005ffff,0x00000000,
    0x3ffffe20,0x7fffc005,0xfffff56f,0xff100001,0x6c01dfff,0x930fffff,
    0xaaa80199,0x1555441a,0xff100000,0x7fffec17,0xf7000004,0x3ea0ffff,
    0xf502ffff,0x7c40ffff,0xfd04ffff,0x1000bfff,0x00133533,0x0aaaaa00,
    0x7ffffc40,0x7fffc005,0xfffff56f,0x20015301,0x00fffffa,0x17ffffd4,
    0x00000000,0xf1028000,0x0007ffff,0x3fee02a2,0xfff707ff,0x3fee01ff,
    0x7ff406ff,0x3fba66ff,0xeeefffff,0xffff9102,0x007bffff,0x07ffff80,
    0xbfffff10,0xfffff800,0x1fffff56,0x3bffff66,0x3fff600d,0xfffd004f,
    0x0000009f,0x22000000,0xfaaceeca,0x5000ffff,0x19dffffb,0x41ffffee,
    0x207ffffb,0x405ffffc,0x2a7ffffd,0xffffffff,0xffb83fff,0xffffffff,
    0xf10004ff,0x2200ffff,0x005fffff,0xab7ffffc,0xfb8fffff,0xffffffff,
    0x5db97502,0x3ffff600,0x5ddddd14,0xddddd100,0xdddd1005,0x7fdc005d,
    0xffefffff,0xfc804fff,0xefffffff,0x27ffffb9,0xffffeeea,0xf90eeeef,
    0xfd80bfff,0xff50ffff,0xffffffff,0xffffa87f,0xffffffff,0xfa8005ff,
    0xf1005fff,0x800bffff,0xf56fffff,0xfffbffff,0xffffffff,0x7c400007,
    0xff12ffff,0xf1005fff,0x1005ffff,0x005fffff,0xffffffb1,0xffffffff,
    0x7fff401f,0xffffffff,0x2e7ffffe,0xffffffff,0xff71ffff,0xffe80dff,
    0xfff51fff,0xffffffff,0x7ffffc47,0xfffffeff,0x22002fff,0x003fffff,
    0x0bfffff1,0x6fffff80,0xfffffff5,0xffffffff,0x00001fff,0x43fffff6,
    0x02fffff8,0x2fffff88,0xfffff880,0xffffd802,0xffffffff,0xf704ffff,
    0xffffffff,0xffffffff,0x7ffffdcf,0x1fffffff,0x01fffff3,0x8ffffffc,
    0xfffffcc9,0x3ee1ccce,0x220bffff,0x04fffffc,0xfffffd10,0x3ffe2003,
    0x7fc005ff,0xfff56fff,0x4c19ffff,0x05fffffe,0x7ffec400,0x3ffe25ff,
    0xff8802ff,0xf8802fff,0x5402ffff,0xceffffff,0xffffffdb,0xffff887f,
    0x3fa60dff,0x2e7fffff,0xffffffff,0xff11ffff,0x3ee09fff,0xe82fffff,
    0x3205ffff,0xf104fffe,0x100bffff,0x0bfffffd,0x7ffffc40,0x7fffc005,
    0xfffff56f,0x3ffa207f,0x10001fff,0x1dfffffd,0x17ffffc4,0x7ffffc40,
    0xffff8802,0x3ffe202f,0xfe883fff,0x5c1fffff,0x204fffff,0x27fffffd,
    0xffffdaa9,0x320aaabf,0x263fffff,0xfffffffd,0x5ffffe83,0x6c015300,
    0x4c05ffff,0x0effffff,0x3fffe200,0x7ffc005f,0xffff56ff,0xfffa80df,
    0xe88003ff,0x41ffffff,0x02fffff8,0x2fffff88,0xfffff880,0x3ffff202,
    0x7fff404f,0x7fff44ff,0x3fe600ff,0xff707fff,0xffd00fff,0xfffdffff,
    0x07ffffff,0x00bffffd,0x3fffaa00,0x3ffe606f,0x4000efff,0x05fffff8,
    0xb7ffffc0,0x03fffffa,0x04fffff8,0x7ffffcc0,0xfff880ef,0xff8802ff,
    0xf8802fff,0x3a02ffff,0x400fffff,0x45fffffa,0x804fffff,0x707ffffe,
    0x500fffff,0xffffffff,0xffffffff,0xbffffd05,0xfd951000,0x0dffffff,
    0x3fffffe2,0xff88000e,0x7c005fff,0xff56ffff,0xfd005fff,0xe800bfff,
    0x00efffff,0x05fffff1,0x5fffff10,0xfffff100,0x7ffffc05,0xfffff005,
    0x7ffffc4d,0xffffd803,0xfffff707,0x3fffa600,0xffaeffff,0xffe81fff,
    0xd73005ff,0xffffffff,0x3fa0dfff,0x0005ffff,0x02fffffc,0x5bffffe0,
    0x01fffffa,0x06ffffd8,0x3ffffee0,0x3ffe200d,0xff8802ff,0xf8802fff,
    0xf102ffff,0x2007ffff,0x267ffffe,0x802fffff,0x707ffffc,0x800fffff,
    0x54efffec,0xd01fffff,0x880bffff,0xfffffffe,0x6fffffff,0x4fffffa8,
    0xffff8000,0x7ffc005f,0xffff56ff,0xfff9001f,0x7fec00ff,0xff8805ff,
    0xf8802fff,0x8802ffff,0x502fffff,0x005fffff,0x99fffff6,0x802fffff,
    0x707ffffb,0x000fffff,0x3ffee04c,0xffffd07f,0x7fff440b,0xc9bdffff,
    0xfd86ffff,0x00006fff,0x00dfffff,0x55fffff8,0x003fffff,0x00dffffb,
    0x007ffff4,0x17ffffc4,0x7ffffc40,0xffff8802,0xffff302f,0x3ff6007f,
    0x3ffe66ff,0xffc802ff,0xfff707ff,0xc80000ff,0xfd06ffff,0x7f40bfff,
    0xc81cffff,0xfe86ffff,0xb5004fff,0x7ff41579,0x3e2007ff,0xff54ffff,
    0xfd005fff,0x2200bfff,0x1006ffff,0x005fffff,0x05fffff1,0x5fffff10,
    0x27ffffc0,0x5ffffe80,0x0fffffe2,0x1fffff60,0x03ffffdc,0xfffd0060,
    0x3fffa0bf,0xffff105f,0x7ffec09f,0xffffe86f,0xffffd003,0x7ffffec7,
    0xffff7003,0x3fffea9f,0xffff804f,0xfff3004f,0x3fe200df,0xf8802fff,
    0x8802ffff,0x202fffff,0x806ffffe,0x44fffff8,0x805fffff,0x707ffffe,
    0xd80fffff,0xf503fffe,0x3a03ffff,0xf505ffff,0x6c01ffff,0xfd86ffff,
    0xf9807fff,0x3f20ffff,0x400fffff,0x2ffffff8,0x0ffffff5,0x3fffffa8,
    0x79999100,0x3fffe200,0xfff8802f,0xff8802ff,0x3f602fff,0x6402ffff,
    0x6c2fffff,0x200fffff,0x07fffff9,0x80fffff7,0x886ffffe,0x206ffffe,
    0x705ffffe,0x203fffff,0x86fffffa,0x03fffffb,0x17ffffe2,0xbffffff3,
    0x3fff6201,0x3ffea7ff,0xfd105fff,0x0001ffff,0xffff1000,0xfff1005f,
    0xff1005ff,0x7cc05fff,0x500effff,0x70dfffff,0x20bfffff,0x7fffffe8,
    0x0fffff70,0xdfffffb8,0xffffea8a,0x3fff602f,0xf51a9aff,0xf30bffff,
    0x10dfffff,0x39fffffd,0x3ffff6a2,0xfffd83ff,0xcbcdffff,0xfffffffd,
    0x3ffffea3,0x3fa61dff,0x2004ffff,0x00ccccc8,0x2fffff88,0xfffff880,
    0xffff8802,0x7ffe402f,0xf930bfff,0x203fffff,0x1dfffffe,0x3fffffa6,
    0xffff707f,0xffff880f,0xffffffff,0x7fe406ff,0x14ffffff,0x9fffffff,
    0xfffffff9,0x3ffe60ff,0xffffffff,0x305fffff,0xffffffff,0xffffffff,
    0x7fd41fff,0xffffffff,0xffffffff,0x3ffe6000,0xff8801ff,0xf8802fff,
    0x8802ffff,0x402fffff,0xffffffe8,0xffffffff,0x3ffea04f,0xffffffff,
    0x07ffffff,0x00fffff7,0xfffffff5,0x01dfffff,0xffffffa8,0x3fff24ff,
    0xffffffff,0x00ffffff,0xfffffff5,0xdfffffff,0x7fffd401,0xffffffff,
    0x542fffff,0xffcdffff,0xffffffff,0x7fcc003f,0xf8801fff,0x8802ffff,
    0x802fffff,0x02fffff8,0xffffff98,0xffffffff,0x7ffec00e,0xffffffff,
    0x707ffffa,0x200fffff,0xfffffffc,0x3a004fff,0x5fffffff,0x7ffffff4,
    0xfffd4fff,0x7fec407f,0xffffffff,0xffd1004f,0xffffffff,0xf501bfff,
    0x3feebfff,0x2fffffff,0xffff9800,0xfff8801f,0xff8802ff,0xf8802fff,
    0x1002ffff,0xfffffffb,0x4007ffff,0xfffffffc,0xffff89ff,0xfffff707,
    0x7fff4c00,0x4002dfff,0xffffffd8,0xfffffb84,0x3fff22ef,0xfed9806f,
    0x00acefff,0xffffeb80,0x03efffff,0xa97fffea,0x0dfffffd,0xffff3000,
    0xfff1003f,0xff1005ff,0xf1005fff,0x8005ffff,0xffffffea,0xea8000df,
    0x10dfffff,0x2e0fffff,0x8007ffff,0x0001aa98,0x8009a988,0x00001aa9,
    0x00000c40,0x2aaaaa62,0x4c000009,0xf980001a,0x8801ffff,0x802fffff,
    0x02fffff8,0x2fffff88,0x26aa2000,0x53100000,0xffb80003,0x000007ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xeeea8000,0xee8801ee,0x88003eee,0xca800009,0x00eea80b,
    0x3bbae000,0x151000ee,0x3bbba000,0xeeeeeeee,0xeeeeeeee,0x5555511e,
    0x55555555,0x00355555,0x1bfffe20,0x77777744,0xdeeeeeee,0x800000ac,
    0x03eeeeed,0xeeeee980,0x5ddddd13,0x09fffff3,0x3fffff50,0x997bbba6,
    0x0defffec,0x7fffd400,0x7fe88bdf,0x7fe40000,0x36200fff,0x21ceffff,
    0x7fc6eeee,0xffffffff,0xffffffff,0xfff31fff,0xffffffff,0x9fffffff,
    0x3fff6000,0xffff106f,0xffffffff,0x005fffff,0x7fffcc00,0xf98006ff,
    0xff14ffff,0x3ffa5fff,0xffd807ff,0x3ffe66ff,0xfffff56f,0x4005ffff,
    0xfffffffd,0x0006ffff,0x7ffffe40,0xfffff500,0x3fe3ffff,0x7fffc7ff,
    0xffffffff,0xffffffff,0xfffff31f,0xffffffff,0x009fffff,0xdfffff50,
    0x3ffffe20,0xffffffff,0x00dfffff,0xffffc800,0x4c002fff,0xf14fffff,
    0x3ee5ffff,0x2201ffff,0x263fffff,0xffaeffff,0xffffffff,0xfff8803f,
    0xffffffec,0x6400003f,0xc80fffff,0xffffffff,0xffff9fff,0x7fffffc7,
    0xffffffff,0x1fffffff,0xfffffff3,0xffffffff,0x88009fff,0x06ffffff,
    0xfffffff1,0xffffffff,0x005fffff,0x7ffffc40,0x4c005fff,0xf14fffff,
    0x3e25ffff,0x2a04ffff,0x260fffff,0xffffffff,0xffffffff,0x7fd400ff,
    0x3bff6a22,0xfc800002,0x7cc0ffff,0xffffffff,0xffffffff,0x7fffffc7,
    0xffffffff,0x1fffffff,0xfffffff3,0xffffffff,0xd8007fff,0x06ffffff,
    0xfffffff1,0xffffffff,0x01ffffff,0x3fffee00,0x000fffff,0x53ffffe6,
    0x22fffff8,0x207ffffd,0x4c5ffffd,0xdfffffff,0xffffa889,0x154405ff,
    0x00000310,0x07ffffe4,0x3bfffffa,0xffffb30a,0xffff8fff,0x9100005f,
    0x99999999,0xfffff999,0xfffb800d,0xf106ffff,0x260bffff,0xffffffb9,
    0xffd0004f,0x7fffffff,0x7fffcc00,0xfffff14f,0x7ffffd45,0xfffff881,
    0x7ffffcc2,0xfffd105f,0x000003ff,0xffc80000,0x3fea0fff,0xfb00efff,
    0xff8fffff,0x00005fff,0xffff3000,0x7fc4001d,0x06ffffff,0x0bfffff1,
    0xfffff710,0xff98003f,0xffffffff,0x3ffe6006,0xffff14ff,0xfffff85f,
    0xfffffa84,0x7ffffcc0,0x3ffea00f,0x4c4003ff,0x8000000a,0x20fffffc,
    0x02fffffc,0x1fffffe2,0x00bfffff,0x3fa00000,0x6c001fff,0xffffffff,
    0xfffff106,0x7ffec00b,0x7e4005ff,0xfffcffff,0xff3002ff,0x3fe29fff,
    0x7fe42fff,0xfffd87ff,0xffff985f,0xfffe804f,0xffc9805f,0x00ceffff,
    0xfffc8000,0x3fffa0ff,0xfffc806f,0x7ffffc7f,0x80000005,0x003ffffc,
    0x7f7fffdc,0xff106fff,0x4400bfff,0x01ffffff,0x33ffffe0,0x05fffff8,
    0x9fffff30,0x0bffffe2,0x83fffff3,0x982fffff,0x802fffff,0x206ffffd,
    0xffffffd8,0x002fffff,0x7fffe400,0x3ffffe0f,0xffffb804,0x2fffffc7,
    0x26000000,0x4006ffff,0xfbeffff8,0xff106fff,0xc800bfff,0x003fffff,
    0x23fffff5,0x00fffffd,0x4fffff98,0x05fffff1,0x549ffffd,0xf307ffff,
    0x9003ffff,0x260fffff,0xfffffffe,0x0dffffff,0xfff90000,0x3ffe21ff,
    0xffa804ff,0x7fffc7ff,0x0000005f,0x00fffff4,0x27ffffa0,0x106ffffb,
    0x00bfffff,0x5fffffa8,0xfffffb00,0x1fffffd4,0x7ffffcc0,0x5fffff14,
    0x4fffff70,0x304ffffd,0x003fffff,0x10fffff7,0xfffffffd,0xffffffff,
    0x3f200009,0xff10ffff,0xf5007fff,0xfff8ffff,0xccccceff,0xcccccccc,
    0x7fdc000c,0x7dc005ff,0xfff73fff,0x3ffe20df,0x7c4005ff,0x8806ffff,
    0x224fffff,0x806fffff,0x14fffff9,0x105fffff,0x3e3fffff,0xf301ffff,
    0x9005ffff,0xfb0fffff,0x359fffff,0xffffffb5,0xff900003,0x7ffc1fff,
    0xffa803ff,0x7fffc7ff,0xffffffff,0xffffffff,0x7fff4001,0x3fe6002f,
    0x3ffee6ff,0xffff106f,0xfff000bf,0xff700fff,0xffd83fff,0x7cc02fff,
    0xff14ffff,0x3f605fff,0xfffacfff,0x3ffe606f,0xffd803ff,0x7ffc46ff,
    0xff501eff,0x0000dfff,0x41fffff9,0x804ffffe,0x7c7ffffb,0xffffffff,
    0xffffffff,0x2a001fff,0x4006ffff,0x2e1ffffe,0xf106ffff,0x000bffff,
    0x00ffffff,0x30dffffd,0x80bfffff,0x14fffff9,0x205fffff,0xfdfffffa,
    0x3e603fff,0xe804ffff,0x7d45ffff,0x6402ffff,0x003fffff,0x7ffffe40,
    0x17ffff60,0x1fffff60,0xffffffff,0xffffffff,0x4003ffff,0x003ffffe,
    0x70fffff2,0x220dffff,0x005fffff,0x07fffff8,0x1fffffcc,0x0ffffff8,
    0x3ffffe60,0x5fffff14,0x7fffffc0,0x2600ffff,0x00ffffff,0x0fffffe6,
    0x00dffffb,0x09fffff1,0xffffc800,0x3ffff20f,0x3ffe601f,0x7fffc7ff,
    0xffffffff,0xffffffff,0xffff5001,0x3fe6001f,0xfffb86ff,0xffff106f,
    0xfff000bf,0xffd80fff,0xff900fff,0x7cc07fff,0xff14ffff,0x7e405fff,
    0x5fffffff,0x7ffffcc0,0x3fffa05f,0x7fffc1ff,0xfffb003f,0xfc8000df,
    0x3ea0ffff,0xd105ffff,0xf8ffffff,0x999effff,0x99999999,0x3f600199,
    0x3a005fff,0xfb81ffff,0xff106fff,0xf000bfff,0x440dffff,0x205fffff,
    0x06fffff9,0x53ffffe6,0x02fffff8,0x3fffffe2,0x7fcc02ff,0x21efffff,
    0x5fffffe9,0x17ffffc4,0x7ffffc80,0x7ffe4000,0x7ffec0ff,0x3fa61dff,
    0x7c7fffff,0x0005ffff,0x7fffc400,0xfff9002f,0x3ffee07f,0xffff106f,
    0xff8800bf,0x3ee05fff,0xaaadffff,0xffffaaaa,0xfff302ff,0x3ffe29ff,
    0x7ff402ff,0x9807ffff,0xffffffff,0xffffffff,0x7ffd40ff,0xff7002ff,
    0x40001fff,0x40fffffc,0xfffffff9,0xffffffff,0x7fffc7ff,0x4000005f,
    0x006ffffb,0x99fffff1,0xfffb9999,0x223999ff,0x005fffff,0x27ffffcc,
    0xffffffd0,0xffffffff,0x20bfffff,0x14fffff9,0x805fffff,0x4ffffffb,
    0xfffff980,0xfffffffd,0xf983ffff,0x9002ffff,0x310fffff,0x7fec0175,
    0xffc80fff,0xffffffff,0x47ffffef,0x005fffff,0x7ffec000,0xfff3003f,
    0xffffffff,0xffffffff,0x3fffe27f,0x7fdc005f,0xff302fff,0xffffffff,
    0xffffffff,0xff301fff,0x3fe29fff,0x7c402fff,0x801fffff,0xa9fffff9,
    0xffffffff,0xffff102f,0x3ff6007f,0x3ffe66ff,0x3ff601ff,0x3ff207ff,
    0x9fffffff,0x7c7ffffb,0x0005ffff,0x7ffffc00,0xffff3000,0xffffffff,
    0xffffffff,0x3ffffe27,0x7fff4005,0xfff901ff,0xffffffff,0xffffffff,
    0xfff307ff,0x3ffe29ff,0xfff802ff,0xff3006ff,0x3fa63fff,0x400dffff,
    0x005fffff,0x449fffff,0x202fffff,0x407ffffe,0xdfffffea,0x8fffff70,
    0x005fffff,0x3ffe6000,0x3fe6007f,0xffffffff,0xffffffff,0xffff13ff,
    0x7fd400bf,0x3fe07fff,0xffffffff,0xffffffff,0xf986ffff,0xff14ffff,
    0xfb805fff,0x3003ffff,0x883fffff,0x3f6001a9,0x5c01ffff,0x7c3fffff,
    0xf105ffff,0x200bffff,0xffb81a98,0x7fffc7ff,0x2000005f,0x005ffffc,
    0x3fffffe6,0xffffffff,0x13ffffff,0x00bfffff,0x3fffffa2,0xfffff503,
    0x5555555b,0xfffd5555,0xfff985ff,0xffff14ff,0xffff805f,0xff3000ff,
    0x00003fff,0x3bffffea,0xfffff300,0xffffe81d,0xffffc83f,0xf700004f,
    0xfff8ffff,0x000005ff,0x00fffff6,0x33333330,0xfff93333,0x221333df,
    0x405fffff,0xffffffc8,0xffffb00f,0xffb8001f,0x7fcc5fff,0xfff14fff,
    0xe98225ff,0x005fffff,0x07ffffe6,0xfffe8000,0xc989bfff,0x82ffffff,
    0xdffffffb,0xfffffecc,0xf700001f,0xfff8ffff,0xeeeeefff,0xeeeeeeee,
    0x3ffa05ee,0x000002ff,0x41bfffee,0xeffffff8,0xffffeeee,0x02ffffff,
    0x0dfffff1,0xfffff100,0x7fffcc1f,0xfffff14f,0x3ffffe65,0x001fffff,
    0x07ffffe6,0xfff98000,0xffffffff,0x204fffff,0xfffffffe,0x5fffffff,
    0x3fee0000,0x7fffc7ff,0xffffffff,0xffffffff,0x3fffe06f,0x2000000f,
    0x106ffffb,0xffffffff,0xffffffff,0x5c09ffff,0x003fffff,0x7fffffb0,
    0xa7ffffcc,0x32fffff8,0xffffffff,0xff9800bf,0x00001fff,0x7fffffd4,
    0xffffffff,0x3ffea00d,0xffffffff,0x00000eff,0xf1ffffee,0xffffffff,
    0xffffffff,0x220dffff,0x000fffff,0x3ffee000,0xffff106f,0xffffffff,
    0x5fffffff,0xfffffe80,0xfff50000,0x7ffccdff,0xffff14ff,0x3fffe25f,
    0x8005ffff,0x01fffff9,0xffe98000,0xffffffff,0xfff5003f,0xffffffff,
    0xb800001d,0x7fc7ffff,0xffffffff,0xffffffff,0xff306fff,0x00000fff,
    0x06ffffb8,0xfffffff1,0xffffffff,0xff5009ff,0x8000bfff,0x32ffffff,
    0x229fffff,0x3e2fffff,0x03ffffff,0xfffff300,0x54000003,0xefffffdb,
    0x7ec4000d,0x2effffff,0xff700000,0xffff8fff,0xffffffff,0xffffffff,
    0xffff506f,0xb800000f,0xf106ffff,0xffffffff,0x17bdffff,0x3ffff600,
    0x7e40002f,0xff35ffff,0x3fe29fff,0x2a622fff,0x4c0001aa,0x001fffff,
    0x26a60000,0x55100000,0x00000135,0x07ffffb8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xdddddd00,0xdddddddd,
    0x3a00179d,0x0004eeee,0x80bca800,0x77440eea,0xddd12eee,0x000005dd,
    0x79bddb95,0xeeeee801,0x77764004,0x3bbbb66e,0x77764004,0x3b20deee,
    0xb001eeee,0x65cbdddd,0x00003ccc,0xdddddddd,0xdddddddd,0x3ba69ddd,
    0x7ffc3eee,0xffffffff,0xdfffffff,0x7ffffc02,0x2a000005,0x8bdfffff,
    0xff887fe8,0xfff12fff,0x400005ff,0xffffffea,0x3fe03fff,0x74005fff,
    0x3fe7ffff,0x32006fff,0x1fffffff,0x2fffffd4,0x7ffffdc0,0x1bffffa3,
    0x7fffc000,0xffffffff,0x5fffffff,0x89fffff5,0xffffffff,0xffffffff,
    0x3e02ffff,0x0005ffff,0x3ffff600,0x6fffffff,0x2fffff88,0x05fffff1,
    0x3fff2000,0xffffffff,0xffff80ef,0x7ff4005f,0x3fffe7ff,0xfff7006f,
    0x3a03ffff,0x400fffff,0x20ffffff,0x006ffffe,0xffffff00,0xffffffff,
    0x2abfffff,0x7c4fffff,0xffffffff,0xffffffff,0xff01ffff,0x0000bfff,
    0x3b3ffe20,0x3fffffff,0x2fffff88,0x05fffff1,0xffff5000,0xffffffff,
    0xffff0bff,0xffe800bf,0x3fffe7ff,0xfffb806f,0x2a01ffff,0x204fffff,
    0x43fffffb,0x006ffffe,0xffffff00,0xffffffff,0x2abfffff,0x7c4fffff,
    0xffffffff,0xffffffff,0xff06ffff,0x0000bfff,0xb88bfea0,0xf102effe,
    0x3e25ffff,0x0002ffff,0x7fffffcc,0xfffffdef,0x7fffc3ff,0x7ff4005f,
    0x3fffe7ff,0x7ffd406f,0xe801ffff,0xd00fffff,0xe81fffff,0x0006ffff,
    0xfffffff0,0xffffffff,0x3eabffff,0x7fc4ffff,0xd9805fff,0x80ffffff,
    0xaaefffff,0x019aaaaa,0x2202a880,0x99999801,0x5fffff10,0xfffb8000,
    0x3f221cff,0x7fc6ffff,0x74005fff,0x3fe7ffff,0x3ea06fff,0x01ffffff,
    0x9fffff50,0x7fffff50,0x0dffffd0,0x3fffe000,0x7d40005f,0x7fc4ffff,
    0x32005fff,0xf82fffff,0xffffffff,0xefffffff,0x00000002,0x7ffffc40,
    0x7ff40002,0x3ffa06ff,0x3ffe0fff,0x7f4005ff,0x3ffe7fff,0xfff306ff,
    0x8005ffff,0x40fffffe,0x80fffffe,0x006ffffe,0xbfffff00,0xfffa8000,
    0x7fffc4ff,0x3fe6005f,0xfff84fff,0xffffffff,0xefffffff,0x01980000,
    0x7fffc400,0x4019882f,0x03fffff8,0x87ffffee,0x005fffff,0xf3fffff4,
    0xf30dffff,0x05ffffff,0xfffff500,0x7ffffd47,0xdffffd03,0x3ffe0000,
    0x540005ff,0x7c3fffff,0x2005ffff,0x82fffff8,0xffffffff,0xffffffff,
    0x7440efff,0x3b225eee,0x883effff,0xf12eeeee,0x7645ffff,0x882effff,
    0x201ffeec,0x21fffff9,0x005fffff,0xf3fffff4,0xe88dffff,0x02ffffff,
    0x3ffffa00,0x3fffffa7,0xdffffd00,0x3ffe0000,0x4c0005ff,0x7c3fffff,
    0x2005ffff,0x80fffffb,0xffffffff,0xffffffff,0x7c44ffff,0xffd17fff,
    0x1bffffff,0x97ffffc4,0x8afffff8,0xfffffffe,0xfb80004f,0x3fe0ffff,
    0x74005fff,0x3fe7ffff,0x3fa26fff,0x003fffff,0x7ffffd40,0x4fffff9a,
    0x1bffffa0,0x7fffc000,0x7c40005f,0x7fc2ffff,0xd3005fff,0x3e0bffff,
    0xaaaeffff,0xfffecccb,0x3e20ffff,0xfff9ffff,0xffffffff,0x3ffffe25,
    0x9fffff12,0xffffffff,0x80009fff,0x7c6ffffe,0x4005ffff,0x3e7ffffe,
    0xfd16ffff,0x007fffff,0x3ffffa00,0x0fffffcd,0x1bffffa0,0x7fffc000,
    0xff80005f,0x7ffc1fff,0xaaaaaeff,0xffffdaaa,0xffff01ff,0xfff700bf,
    0x7fc49fff,0xffffffff,0xffffffff,0x5fffff11,0x3fffffe2,0xffffffff,
    0x0000ffff,0x8bfffff3,0xaaefffff,0xaaaaaaaa,0x27ffffea,0xfb6fffff,
    0x00bfffff,0x7fffdc00,0x04ffffff,0x037ffff4,0xfffff800,0x9999999e,
    0xff809999,0x7ffc0fff,0xffffffff,0xffffffff,0x3fffe00e,0xfff9005f,
    0x7ffc4bff,0x2a2dffff,0x14ffffff,0x225fffff,0xcfffffff,0x3ffffa61,
    0xffd0003f,0xfff83fff,0xffffffff,0xffffffff,0x3ffe7fff,0xffffdeff,
    0x0001ffff,0xfff75555,0x7fffffff,0x7f415555,0x00006fff,0xffffffff,
    0xffffffff,0xffffd0df,0xffffff81,0xffffffff,0x400effff,0x005fffff,
    0x4dfffff3,0x5ffffff8,0x9fffff50,0x4bffffe2,0x5ffffff8,0xbfffff30,
    0xffffb000,0xfffff09f,0xffffffff,0xffffffff,0x7ffffcff,0xffffffff,
    0xff0006ff,0xffffffff,0xffffffff,0x7fff43ff,0xff00006f,0xffffffff,
    0xdfffffff,0xf0ffffb0,0xffffffff,0xffffffff,0x7fc07fff,0x3e005fff,
    0x3e27ffff,0x200effff,0xf15ffffe,0x3e25ffff,0x200fffff,0x006ffffe,
    0x7fffffec,0xffffff80,0xffffffff,0xffffffff,0x3fffffe7,0xffffffff,
    0xff8004ff,0xffffffff,0xffffffff,0x3fffa1ff,0xff00006f,0xffffffff,
    0xdfffffff,0xf0dfff90,0xffffffff,0xffffffff,0x3e0bffff,0x3005ffff,
    0x44bfffff,0x404fffff,0xf16ffffd,0x3e25ffff,0x6c05ffff,0x2006ffff,
    0x2ffffffd,0xfffffff0,0xffffffff,0xffffffff,0x7ffffffc,0xffffdfff,
    0x7fc001ff,0xffffffff,0xffffffff,0x3fffa1ff,0xff00006f,0xffffffff,
    0xdfffffff,0xf0bfff70,0x555dffff,0xfd997555,0xf0bfffff,0x200bffff,
    0x24fffffc,0x03fffff8,0x8b7fffec,0xf12fffff,0xd809ffff,0xb006ffff,
    0x07ffffff,0x577ffffc,0xaaaaaaaa,0x7ffffeaa,0x3ffffffe,0xffffd3ff,
    0xfff800df,0xffffffff,0xffffffff,0x3ffffa1f,0xfff00006,0xdddddfff,
    0x09dddddd,0xff0bfff7,0x5c00bfff,0x42ffffff,0x805fffff,0x2ffffffa,
    0x0fffffe2,0x2dffff90,0x12fffff8,0x807fffff,0x806ffffc,0x4ffffffd,
    0x2fffffc0,0x3ffffa00,0x3fffffe7,0x3ffe64ff,0x00003fff,0x00dffffb,
    0x037ffff4,0xfffff800,0xffa80005,0xfffff84f,0x7ffdc005,0x7fffc5ff,
    0xaaaaaaef,0xffffffeb,0x3fffe20f,0x7ffe402f,0xfffff16f,0x3ffffe25,
    0x7fffe402,0x7fffec06,0xfff803ff,0x7f4005ff,0x3ffe7fff,0xfd84ffff,
    0x001fffff,0x6ffffd80,0x3ffffa00,0xfff00006,0x30000bff,0xfff07fff,
    0xf8800bff,0x7fc7ffff,0xffffffff,0xffffffff,0x7ffc44ff,0x7fe402ff,
    0xffff16ff,0x3fffe25f,0x7ffe402f,0x3fff606f,0xff003fff,0xe800bfff,
    0x3fe7ffff,0xf104ffff,0x00dfffff,0x3bbbbbb6,0xeeffffff,0x3a0eeeee,
    0x0006ffff,0x0bfffff0,0x5fff1000,0x0bfffff0,0xffffff00,0xfffffff8,
    0xffffffff,0xf885ffff,0x6402ffff,0xff16ffff,0x3fe25fff,0x7e402fff,
    0xffb06fff,0x4005ffff,0x005fffff,0xf3fffff4,0xb80dffff,0x03ffffff,
    0xfffffff8,0xffffffff,0x3a1fffff,0x0006ffff,0x0bfffff0,0x0bffe000,
    0x017ffffe,0xdfffff30,0xfffffff8,0xffffffff,0xff105fff,0xfc805fff,
    0xfff16fff,0x3ffe25ff,0x7fe402ff,0xfffc86ff,0x7c002fff,0x4005ffff,
    0x3e7ffffe,0xe806ffff,0x00ffffff,0x7ffffffc,0xffffffff,0x3a1fffff,
    0x0006ffff,0x0bfffff0,0x03332000,0x017ffffe,0x9fffff90,0xfffffff8,
    0xffffffff,0x3fe201df,0x7e402fff,0xfff16fff,0x3ffe25ff,0x7fe402ff,
    0x7ffd46ff,0xf8002fff,0x4005ffff,0x3e7ffffe,0xa806ffff,0x05ffffff,
    0x7ffffffc,0xffffffff,0x3a1fffff,0x0006ffff,0x0bfffff0,0x3fe00000,
    0xb3005fff,0x85ffffff,0xccefffff,0x09aacccc,0xfffff880,0x7fffe402,
    0x5fffff16,0x0bffffe2,0x4dffff90,0xdffffff8,0x99999999,0x3fffe099,
    0x7ff4005f,0x3fffe7ff,0xfffb006f,0x66405fff,0xffeccccc,0xcccccfff,
    0x3fffa0cc,0xff00006f,0x8000bfff,0x41ccccc8,0xeeffffff,0xffeeeeee,
    0x0fffffff,0x02fffffc,0xffff1000,0xfffc805f,0xfffff16f,0x3ffffe25,
    0x7fffe402,0x3ffffee6,0xffffffff,0x3fe2ffff,0x74005fff,0x3fe7ffff,
    0xf3006fff,0x01ffffff,0xdffffb00,0x7ffff400,0xeeeeeeef,0x1eeeeeee,
    0x017ffffe,0xfffff100,0xffffff85,0xffffffff,0xffffffff,0x5fffff82,
    0x3fe20000,0x7e402fff,0xfff16fff,0x3ffe25ff,0x7fe402ff,0x3fff66ff,
    0xffffffff,0x22ffffff,0x005fffff,0xf3fffff4,0x400dffff,0x5ffffffc,
    0xffffd800,0x3fffa006,0xffffffff,0xffffffff,0x17ffffe2,0xffff1000,
    0xfffff85f,0xffffffff,0xffffffff,0xbfffff03,0x7fc40000,0x7e402fff,
    0xfff16fff,0x3ffe25ff,0x7fe402ff,0xffff16ff,0xffffffff,0x45ffffff,
    0x005fffff,0xf3fffff4,0x400dffff,0xfffffff8,0x7ffec002,0x3ffa006f,
    0xffffffff,0xffffffff,0x3ffffe2f,0x7fc40005,0x7ffc2fff,0xffffffff,
    0xffffffff,0x3fffe03e,0x2200005f,0x402fffff,0xf16ffffc,0x3e25ffff,
    0x6402ffff,0xff76ffff,0xffffffff,0xffffffff,0x2fffffc5,0x3ffffa00,
    0x1bffffe7,0xfffff700,0x7ec001ff,0x3a006fff,0xffffffff,0xffffffff,
    0x3ffe2fff,0x440005ff,0x7c2fffff,0xffffffff,0xeeffffff,0xffff801b,
    0x2200005f,0x402fffff,0xf16ffffc,0x3e25ffff,0x6402ffff,0xffd6ffff,
    0xffffffff,0xffffffff,0x2fffffc5,0x3ffffa00,0x1bffffe7,0x3ffffa00,
    0x3f6004ff,0x3a006fff,0xffffffff,0xffffffff,0x3ffe2fff,0x440005ff,
    0x002fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xe8800000,0x3eeeeeee,0xddddd100,0x77749ddd,
    0x754005ee,0xfd005eee,0x77774dff,0xeeeeeeee,0x4c01bcde,0x000eeeee,
    0x77777400,0xeeeeeeee,0x6c000acd,0xeeeeeeee,0xeeeeeeee,0x3b21eeee,
    0x8005eeee,0x3eeeeed8,0x17bbbbb2,0xeeeed880,0x3bbba23e,0xeeeeeeee,
    0xeeeeeeee,0x3ffe24ee,0x006fffff,0xfffffff5,0x7ffffcbf,0x3fee003f,
    0xffa806ff,0x3fffe6ff,0xffffffff,0x01efffff,0x03fffff3,0xffff8000,
    0xffffffff,0x002fffff,0x3ffffffa,0xffffffff,0x21ffffff,0x4ffffff9,
    0x7fffe400,0x3ffe60ff,0xf9004fff,0x441fffff,0xffffffff,0xffffffff,
    0x25ffffff,0xfffffff8,0xffc800ff,0x25ffffff,0x0fffffff,0xdffff700,
    0xffffe880,0x3fffffe6,0xffffffff,0x982fffff,0x001fffff,0x7ffffc00,
    0xffffffff,0x00dfffff,0xffffffe8,0xffffffff,0x41ffffff,0x0ffffffc,
    0xfffff100,0xffff907f,0xff9803ff,0x7c42ffff,0xffffffff,0xffffffff,
    0x225fffff,0xffffffff,0xfffe803f,0x3e5fffff,0x05ffffff,0x0dffff70,
    0x7fffff44,0x3fffffe6,0xffffffff,0x42ffffff,0x01fffff9,0x7fffc000,
    0xffffffff,0xffffffff,0x7ffff402,0xffffffff,0xffffffff,0xfffffe81,
    0xffffb005,0x7fff40bf,0x7ff405ff,0xff885fff,0xffffffff,0xffffffff,
    0x3e25ffff,0xffffffff,0x7fffc405,0x3e5fffff,0x1fffffff,0x6ffffb80,
    0xfffffd10,0x7ffffcdf,0xffffffff,0x6fffffff,0x0fffffcc,0x3ffe0000,
    0xffffffff,0xffffffff,0x3ffa00ff,0xffffffff,0xffffffff,0xfffa81ff,
    0x7d402fff,0x200fffff,0x2ffffff9,0xffffff70,0xfffff101,0xffffffff,
    0xffffffff,0x7fffc4bf,0x407fffff,0xfffffffa,0x3fffe5ff,0xb806ffff,
    0xfb86ffff,0x6fffffff,0x417ffffe,0xfffffc98,0x3ffe62ff,0x400001ff,
    0x885fffff,0xfffffb99,0x400004ff,0x4ffffffd,0x3fffff60,0x7ffff406,
    0xfffc803f,0x7fc40fff,0x0003ffff,0x07fffff2,0xfffff880,0x201fffff,
    0xfffffffc,0x3fffe5ff,0x403fffff,0x2a6ffffb,0xffffffff,0x3fffe6ff,
    0xffe9805f,0x3fe64fff,0x00001fff,0x02fffffc,0x7ffffe44,0xf900001f,
    0x80bfffff,0x3ffffff8,0xdfffff70,0x3fffe200,0x7ffec4ff,0x640006ff,
    0x001fffff,0x37ffffe2,0x3e03ffff,0xfffdffff,0x3ffffe5f,0x200fffff,
    0xfb6ffffb,0xffffffff,0x7fffcdff,0xfff9005f,0x7ffccdff,0x400001ff,
    0x005fffff,0x17fffff2,0x3ffea000,0xb800efff,0x40ffffff,0x1ffffff8,
    0x3fffea00,0xffff31ff,0xc80003ff,0x001fffff,0x2fffffe2,0xf105ffff,
    0xfffbbfff,0x7ffffcbf,0x205fffff,0xfd6ffffb,0xffbbffff,0x7fffcdff,
    0xfff3005f,0x7ffccfff,0xddd901ff,0x7fc01bdd,0x22005fff,0x01ffffff,
    0x3fffe600,0x36001fff,0x645fffff,0x004fffff,0xefffffd8,0x4fffffe8,
    0xfffc8000,0x3e2001ff,0xfff9ffff,0xffff707f,0x4bffffb7,0xffffffff,
    0xff702fff,0x3fffadff,0xdffff93f,0x02fffffc,0x6fffff88,0x07ffffe6,
    0x3fffffee,0x7ffffc01,0x7ffe4005,0xd10003ff,0x05ffffff,0xfffff980,
    0xfffff31f,0xff10001f,0xfffdffff,0x20000dff,0x01fffffc,0x3ffffe20,
    0x81ffffd9,0xfd9ffffd,0x3ffe5fff,0xfffffdff,0xdffff706,0xfc87bffa,
    0x3ffe6fff,0xff5005ff,0x7fccbfff,0x7fd41fff,0xf801ffff,0x4005ffff,
    0x05fffff9,0xfffffb00,0x3ee0007f,0xffd6ffff,0x40005fff,0xfffffffa,
    0x0001ffff,0x3fffff90,0x7fffc400,0x3ffffb9f,0xfb7ffff8,0x7ffcbfff,
    0xffffdaff,0xffffb84f,0xff905bd6,0x7fffcdff,0xffe8805f,0x3fe63fff,
    0x3fe61fff,0xf002ffff,0x800bffff,0x06fffff8,0xfffffc80,0x7f40005f,
    0xfffdffff,0xd80005ff,0xffffffff,0x3200004f,0x001fffff,0x27ffffe2,
    0x4c6ffff9,0xffb5ffff,0x7fffcbff,0xfffff9af,0x7fffdc1f,0x7ffe4016,
    0x3ffffe6f,0x7fff4c05,0x3fe61fff,0xfff31fff,0x99805fff,0x9dfffff9,
    0x3e009999,0x4007ffff,0xeffffffa,0x7fcc0000,0xffffffff,0xf880000f,
    0xffffffff,0x3f200000,0x2001ffff,0xf1fffff8,0x7dc1ffff,0xfffb3fff,
    0x7ffffcbf,0xbfffff92,0x06ffffb8,0x26ffffc8,0xeeffffff,0xffffeeee,
    0x7cc7ffff,0xfe89ffff,0xf803ffff,0xffffffff,0x206fffff,0x007fffff,
    0x3fffffe6,0xf900000f,0xffffffff,0x7dc00007,0x02ffffff,0x7ffe4000,
    0x3e2001ff,0xffb1ffff,0x7ffec5ff,0xbffffb1f,0xd17ffffc,0x5c5fffff,
    0xc806ffff,0x3fe6ffff,0xffffffff,0xffffffff,0x7ffcc1ff,0xffffe9ff,
    0xffff003f,0xffffffff,0x7ffc0dff,0xff1007ff,0x003fffff,0x7fffc400,
    0x0006ffff,0x7ffffdc0,0x400000ff,0x01fffffc,0x3ffffe20,0x49ffff71,
    0x3f67ffff,0x3ffe5fff,0x3ffea2ff,0xfff70fff,0xfff900df,0x7ffffcdf,
    0xffffffff,0x82ffffff,0xfefffff9,0x2004ffff,0xffffffff,0x06ffffff,
    0x01fffffe,0x7ffffff4,0xfa800003,0x01ffffff,0x3ffe2000,0x006fffff,
    0x7fffe400,0x3fe2001f,0xfff31fff,0x3fffe6df,0x97ffff65,0x6c2fffff,
    0xf74fffff,0xf900dfff,0x7ffcdfff,0xffffffff,0x2effffff,0xffffff30,
    0x00bfffff,0x7fffdd54,0x2aaaaaef,0x1bffffe0,0x3fffff20,0x2000004f,
    0x04fffffd,0x7fff4000,0x03ffffff,0x3fff2000,0x3e2001ff,0x3fe1ffff,
    0xfffb8fff,0x3ffff63f,0x0bffffe5,0x3ffffff1,0x00dffff7,0x7cdffff9,
    0xffffffff,0x1defffff,0x7ffffcc0,0x2fffffff,0xfffff800,0x7ffc4005,
    0x7fdc05ff,0x0006ffff,0x7fffdc00,0x2e00001f,0xffffffff,0x00000fff,
    0x03fffff9,0x7ffffc40,0x2bffff61,0x361ffffd,0x3fe5ffff,0xffb82fff,
    0xfffbefff,0xfffc806f,0x3ffffe6f,0x0009999e,0xffffff30,0x0dffffff,
    0xbfffff00,0xffff9800,0x3ffe603f,0x0000ffff,0x7fffdc00,0xf100001f,
    0xffffffff,0x0000dfff,0x07fffff2,0xfffff880,0x37fffee1,0x7ec7ffff,
    0x3ffe5fff,0xfffd02ff,0xdfffffff,0xdffff900,0x02fffffc,0xffff3000,
    0xffffdfff,0xfff8007f,0x7dc005ff,0xf102ffff,0x03ffffff,0xff700000,
    0x00003fff,0x3ffffff6,0x3ffffffa,0xfffc8000,0x3e2001ff,0x3e61ffff,
    0xffffffff,0x2ffffec5,0x205fffff,0xfffffff9,0xfc806fff,0x3ffe6fff,
    0x200005ff,0xeffffff9,0x0fffffd8,0x3ffffe00,0x7fff4005,0xfffd01ff,
    0x00005fff,0x3fffee00,0xfa80001f,0xf93fffff,0x001fffff,0xfffffc80,
    0x3ffe2001,0x7fffc1ff,0x6c3fffff,0x3fe5ffff,0x3f202fff,0xffffffff,
    0xffffc806,0x17ffffe6,0xfff98000,0xfff10eff,0x7fc009ff,0x26005fff,
    0xb07fffff,0x09ffffff,0x7dc00000,0x0001ffff,0x7fffffc4,0x3ffffe25,
    0x7e40006f,0x2001ffff,0x41fffff8,0xfffffffd,0x7fffec1f,0x0bffffe5,
    0xffffff88,0xfc806fff,0x3ffe6fff,0x200005ff,0x41fffff9,0x01fffffc,
    0x0bfffff0,0x3ffffea0,0xffffb82f,0x000005ff,0x7ffffdc0,0x7fec0001,
    0x7d40ffff,0x003fffff,0x3fffff20,0x3ffe2001,0x7ffdc1ff,0xfd87ffff,
    0x3ffe5fff,0x7fd402ff,0x06ffffff,0x26ffffc8,0x005fffff,0x3fffe600,
    0x7fffc41f,0xffff006f,0xffb880bf,0xf985ffff,0x00efffff,0x7dc00000,
    0x0001ffff,0x3fffffea,0xfffffb03,0x3f20001f,0x2001ffff,0x41fffff8,
    0xfffffff9,0x5ffffd85,0x00bffffe,0x3ffffff6,0xfffc806f,0x3ffffe6f,
    0x3e600005,0xfb81ffff,0xf802ffff,0xeeefffff,0xffffffee,0xfc80ffff,
    0xeeefffff,0xeeeeeeee,0x005eeeee,0x1fffffb8,0xffff1000,0x7fc40dff,
    0x0005ffff,0x03fffff9,0x7ffffc40,0xffffff81,0xffffd83f,0x0bffffe5,
    0x3ffffe60,0xffc806ff,0x3fffe6ff,0x2600005f,0xd01fffff,0xf00fffff,
    0xffffffff,0xffffffff,0x3f207fff,0xffffffff,0xffffffff,0x006fffff,
    0x1fffffb8,0xffffb000,0xffb803ff,0x8003ffff,0x01fffffc,0x3ffffe20,
    0xfffffd81,0xffffd81f,0x0bffffe5,0x7ffffe40,0xfffc806f,0x3ffffe6f,
    0x3e600005,0xf501ffff,0xf809ffff,0xffffffff,0xffffffff,0x3ff203ff,
    0xffffffff,0xffffffff,0x8006ffff,0x01fffffb,0xfffffa80,0xfffd004f,
    0xc8001fff,0x001fffff,0x07ffffe2,0x1fffffee,0xf2ffffec,0x4005ffff,
    0x06fffffe,0x26ffffc8,0x005fffff,0x3fffe600,0x3fffa01f,0x3ffe00ff,
    0xffffffff,0x0cffffff,0x7ffffe40,0xffffffff,0xffffffff,0xffb8006f,
    0x44001fff,0x0effffff,0xfffff300,0xffc800bf,0x22001fff,0x981fffff,
    0xb05fffff,0x7fcbffff,0x2a002fff,0x806fffff,0x3e6ffffc,0x0005ffff,
    0x3ffffe60,0x3fffe601,0x3fffe05f,0xffffffff,0x9000bdef,0xffffffff,
    0xffffffff,0x0dffffff,0xfffff700,0xfffc8003,0x5c002fff,0x03ffffff,
    0x3fffff20,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xeeeec800,0xeeea800e,0xdb004eee,
    0x7774bddd,0xeeeeeeee,0x0accdeee,0xdddddb00,0x3baa0005,0x20003eee,
    0xeeeeeeea,0xeeeeeeee,0xeeeeeeee,0x262004ee,0xd1000999,0x2663dddd,
    0x99999999,0x99999999,0x00000019,0x00066200,0x5c013100,0x802fffff,
    0x7ffffffc,0xfffff880,0x3fffffe4,0xffffffff,0x00dfffff,0x2fffffdc,
    0xffffd800,0x3fa0002f,0xffffffff,0xffffffff,0xffffffff,0x3ffee005,
    0xfff3004f,0x2aab65ff,0xaaaaaaaa,0xdaaaaaaa,0x04d4c000,0xed9802d8,
    0x01deffff,0x453bbba6,0xa83efffd,0x804fffff,0xfffffffe,0x7fffd401,
    0x3ffffe2f,0xffffffff,0xffffffff,0x3fffe201,0x7c4000ff,0x0007ffff,
    0x3fffffea,0xffffffff,0xffffffff,0x2005ffff,0x004ffffb,0x25fffff3,
    0x02e00004,0xffffd910,0x3ff219ff,0x3fffee03,0x03ffffff,0xf1bffff5,
    0x10dfffff,0x80dfffff,0xfffffff8,0x7ffe403f,0x3fffe0ff,0xffffffff,
    0xffffffff,0x3ffa00ff,0x5c003fff,0x004fffff,0x3fffff60,0xffffffff,
    0xffffffff,0x005fffff,0x013fffee,0x97ffffcc,0x02e00004,0xffffffb8,
    0xffefffff,0xffffb01f,0xffffffff,0xffffa81b,0xffffffde,0xfffffd03,
    0xfffffa80,0x7f405fff,0x7ffc7fff,0xffffffff,0xffffffff,0x3ee03fff,
    0x4005ffff,0x01fffffd,0xfffff300,0xfffffb9b,0xffffffff,0x0bffffff,
    0x27fffdc0,0xfffff980,0x5c000092,0xffffe880,0xffffffff,0xff702fff,
    0xffffffff,0xfa89ffff,0xffffffff,0xff901fff,0x7ec03fff,0x7fffffff,
    0x2fffffc0,0x017ffffe,0x3fffff26,0x3ffe205f,0xf1000fff,0x000dffff,
    0x87ffffec,0x03fffff9,0xffb80000,0x991004ff,0x00123999,0xffd80b80,
    0xffffffff,0x106fffff,0x43dfffff,0x0fffffeb,0x3fffffea,0x206fedff,
    0x03fffffa,0x3ffffffe,0xff301fff,0xfff87fff,0x3e6005ff,0x6c07ffff,
    0x003fffff,0x09fffff5,0x3fffe200,0x3fffe64f,0x8000003f,0x004ffffb,
    0x40000900,0x7fffdc0b,0xff930aef,0xfb05ffff,0x3601ffff,0x3ea4ffff,
    0x20dfffff,0x3ffe2018,0xfff304ff,0x7fffffff,0x3ffffee0,0x2fffffc1,
    0x3ffffa00,0x3ffea01f,0xffb005ff,0x20003fff,0x20fffffc,0x03fffff9,
    0xffb80000,0x900004ff,0x105c0000,0x01dfffff,0xffffffd1,0x3fffff88,
    0x3ffffe20,0xffffff50,0xfffd0003,0x3ffee0df,0x5ffffcdf,0x0fffff90,
    0x00bfffff,0x3fffffb8,0x3ffffe20,0x7ffc400f,0xf10006ff,0xf98bffff,
    0x0003ffff,0x99999990,0x99dffffb,0x00199999,0x0b800012,0x07fffff2,
    0x7ffffff4,0x3fffe63f,0x7fff401f,0xfffff51f,0x3ff2000b,0xffd80fff,
    0xffffabff,0xbffffd07,0x0bfffff0,0xfffffd80,0x7fffec02,0x7ffd403f,
    0xf90003ff,0xf983ffff,0x0003ffff,0xfffffff0,0xffffffff,0x001fffff,
    0x0b800012,0x417ffff6,0xfffeeffd,0x3fffea5f,0x9999999f,0x52ffffe9,
    0x007fffff,0x3ffffee0,0x9fffff82,0x41fffff8,0x83fffff8,0x005fffff,
    0x07fffffc,0x3ffffea0,0x7fffec06,0xff88000f,0xff986fff,0x00003fff,
    0xffffffff,0xffffffff,0x2001ffff,0x82e00004,0xc83fffff,0xfffc9fff,
    0x3fffee6f,0xffffffff,0x53ffffff,0x005fffff,0x3ffffe60,0x3ffffcc3,
    0xa87ffffd,0xf81fffff,0x1005ffff,0x0dfffffd,0x3fffffe0,0xfffff100,
    0x3fee000b,0xff982fff,0xccccefff,0xcccccccc,0xffffff82,0xffffffff,
    0x00ffffff,0x5c000090,0x5fffff10,0xf72fffb8,0x3f61ffff,0xffffffff,
    0xffffffff,0xfffff54f,0x7ffc0003,0x7ffdc5ff,0x3ffff25f,0x3ffffdc5,
    0xcefffff8,0xeedccccc,0x1fffffff,0xfffff900,0x3fffea07,0xfff0002f,
    0x3fe60fff,0xffffffff,0xffffffff,0xffffff84,0xffffffff,0x00ffffff,
    0x5c000090,0x3fffff30,0xf31fffd4,0x3f23ffff,0xffffffff,0xffffffff,
    0xfffff55f,0x7fec0003,0x7fff47ff,0x3fffea3f,0x2ffffec7,0xfffffff8,
    0xffffffff,0x04ffffff,0x3ffffe60,0xfffffb06,0xfff50001,0x3fe607ff,
    0xffffffff,0xffffffff,0xcccccc84,0xceffffdc,0x00cccccc,0x5c000090,
    0x5fffff10,0xf513ffe6,0x3ee1ffff,0x9999ffff,0x99999999,0xfffff509,
    0x7fdc0003,0xfff10fff,0x7ffc43ff,0x3fffe1ff,0xfffff03f,0xffffffff,
    0x5fffffff,0xffffd000,0xfffff01f,0x3ffa000b,0xff300fff,0xffffffff,
    0xffffffff,0xfffb8009,0x0900004f,0xff05c000,0xffd17fff,0xfffff70b,
    0x07ffffd4,0xffff5000,0x7cc0003f,0xff52ffff,0xfffd0fff,0x3fffe27f,
    0xfffff01f,0xffffffff,0x017dffff,0x3fffee00,0x7fffd43f,0xffa8002f,
    0x3e604fff,0xffffffff,0xffffffff,0x7fdc004f,0x991004ff,0x00123999,
    0x3ff60b80,0x06ffedff,0x4cbffff9,0x202fffff,0xffa81ac8,0x40000fff,
    0xf94fffff,0xff709fff,0x3ffeabff,0xffff00ff,0xffffffff,0x0005ffff,
    0xdfffff30,0x07ffffd8,0xfffffd00,0x7fffcc01,0xaaaaaadf,0x01aaaaaa,
    0x27fffdc0,0xfffff980,0x5c000092,0x3fffff20,0xff980eff,0x7ff44fff,
    0xffb00fff,0x3fea3dff,0x40000fff,0xfd6ffffe,0xff305fff,0x3fff2fff,
    0x3fffe06f,0x3ff6625f,0x0003ffff,0x1fffffe8,0x013ffffe,0x3ffffe60,
    0xeeeeeeef,0x03fffffe,0xffb80000,0xff3004ff,0x00125fff,0x3fe20b80,
    0x880fffff,0x40fffffd,0x0efffffa,0x37ffffd4,0x01fffff5,0xffffc800,
    0x0fffff8f,0xd3fffff0,0x7c09ffff,0xf705ffff,0x00bfffff,0xfffffb80,
    0x3fffff54,0xffffb000,0xffffffff,0x7fffffff,0xf7000000,0x26009fff,
    0x092fffff,0x2e05c000,0x0befffff,0x3fffffa6,0xfffffd02,0xfffffbdf,
    0x7ffd45ff,0x540000ff,0xffcfffff,0x3ff606ff,0xfffffbff,0x3ffffe02,
    0x3ffff205,0x220004ff,0xf96fffff,0x3000ffff,0xffffffff,0xffffffff,
    0x0007ffff,0xffff7000,0x3ffe6009,0x000091ff,0x3ffe205c,0xffefffff,
    0x205fffff,0xffffffe8,0x4fffffff,0x07ffffd4,0x3ffe2000,0x4fffffff,
    0x3ffffee0,0x200fffff,0x405fffff,0x3ffffffe,0x3fff6000,0xfffff9ff,
    0xfffc8004,0xffffffff,0xffffffff,0x8000003f,0x004ffffb,0x23fffff3,
    0x02e00004,0xfffffff3,0xffffffff,0xfff9001d,0xffffffff,0xfffff507,
    0xffd00001,0x5fffffff,0x7ffffcc0,0x7c06ffff,0x4405ffff,0x0fffffff,
    0xffff5000,0x3fffffdf,0xffff8800,0xffffffff,0xffffffff,0x0000003f,
    0x3ff20000,0x5c000090,0x3ffffe20,0xffffffff,0x6d4003ff,0xcfffffff,
    0xfffff501,0xff900001,0x1fffffff,0xffffff80,0x7fc04fff,0xfb805fff,
    0x005fffff,0xffffff10,0x000dffff,0x39fffff9,0x33333333,0x07fffff7,
    0x26666000,0x99999999,0x19999999,0x0024fff0,0x7fec1700,0xfffffb35,
    0x80001bff,0x0009aa98,0x3ea00000,0x6fffffff,0xfffffd80,0x7fc02fff,
    0xfb005fff,0x005fffff,0x3fffff60,0x4003ffff,0x0ffffff8,0xfffff300,
    0x3fe00007,0xffffffff,0xffffffff,0x2ffd40ff,0x05c00009,0xa9881dd1,
    0x0000009a,0x00000000,0x3fffffe2,0xffb804ff,0x00ffffff,0x02fffffc,
    0xffffff88,0xffa8000f,0x0fffffff,0x7fffdc00,0x3fe6005f,0xeeeeefff,
    0xeeeeeeee,0x3fffe1ee,0xffffffff,0xffffffff,0x483fff20,0x202e0000,
    0x00000000,0x00000000,0xfffffff0,0xfff1003f,0xf00dffff,0x400bffff,
    0x5ffffffb,0xfffff000,0xf000bfff,0x003fffff,0x7fffffcc,0xffffffff,
    0x22ffffff,0xffffffff,0xffffffff,0xff70ffff,0xcccce85f,0xcccccccc,
    0x0dcccccc,0x00000000,0x00000000,0x3fffff60,0x3ffa007f,0xf804ffff,
    0x4005ffff,0x1ffffffd,0xffffc800,0x5c003fff,0x006fffff,0x7fffffcc,
    0xffffffff,0x22ffffff,0xffffffff,0xffffffff,0x37e0ffff,0x00000001,
    0x00000000,0x00000000,0x7fffffdc,0x3fff2005,0xff803fff,0x44005fff,
    0x06ffffff,0xfffff980,0x7f4000ff,0x4002ffff,0xfffffff9,0xffffffff,
    0x3e2fffff,0xffffffff,0xffffffff,0x00060fff,0x00000000,0x00000000,
    0x7cc00000,0x003fffff,0x3fffffea,0xfffff801,0xfffb8005,0xe8003fff,
    0x005fffff,0x3fffffd4,0x7fffcc00,0xffffffff,0xffffffff,0x00000002,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x99880000,
    0x0000099a,0x00003351,0x00066a62,0x004d4c40,0x0000ccc4,0x44000000,
    0x400000a9,0x004eeeec,0x03ddddd1,0x04eeeec8,0x22001980,0xeeee8009,
    0x000fa22e,0xfff91000,0x07bfffff,0xffffd700,0xa8005dff,0xfffffffe,
    0x36a000be,0xefffffff,0x3ffff222,0x00002dff,0x4c04d980,0xeffffffc,
    0x7ec0000c,0xf3006fff,0xd803ffff,0xdd55ffff,0x7fed47dd,0xed983dff,
    0xf00cefff,0x7c47ffff,0x00000cff,0x7fffffdc,0x04ffffff,0xfffffd30,
    0x01dfffff,0xfffffe88,0x2fffffff,0x7ffff440,0xefffffff,0xfffffffc,
    0x0000dfff,0x04ffea80,0xffffffb1,0x005fffff,0x37fffec0,0xfffff980,
    0x7fffec01,0x29ffff75,0xfffffffc,0x3fffea4f,0xf80effff,0x3e23ffff,
    0x001dffff,0xfffffa80,0xffffffff,0x7ffdc05f,0xffffffff,0xfd100eff,
    0xffffffff,0x205fffff,0xffffffe8,0xffffffff,0xffffffff,0x0000efff,
    0xfffffb88,0xffffe984,0xffffffff,0xfd8000df,0xf3006fff,0xd803ffff,
    0xff75ffff,0xffffb9ff,0x77ffffff,0xffffffff,0xfff81dff,0x3ffe23ff,
    0x002effff,0xffffff10,0xffffffdf,0x3fe205ff,0xffffffff,0x906fffff,
    0x9dffffff,0xfffffffd,0x3fffff60,0xffffffff,0xffffffff,0x05ffffff,
    0x3fff2600,0x7444ffff,0xffffffff,0x4fffffff,0xffffd800,0xffff3006,
    0xfffd803f,0xfffff75f,0xffffffff,0xffffffff,0xffffffff,0x3fffff89,
    0x3fffffe2,0x000cffff,0x2fffffee,0x3ffff220,0xffffb04f,0x3fae63bf,
    0xff81ffff,0xfc882fff,0x7c42ffff,0x261dffff,0xfffffffc,0xfff930af,
    0xea8005ff,0xffffffff,0x7fffec4f,0xfda9acff,0x001fffff,0x02777764,
    0x1fffff98,0xaffffec0,0xeffffffb,0xffffd30a,0x7dc3bfff,0x6646ffff,
    0x7fe41ccc,0xffffffff,0xfec801df,0xfff104ff,0xfff50bff,0x3fe609ff,
    0x7fc45fff,0x6ff407ff,0x7fed40ac,0xfffd00ef,0x3f203fff,0xb8806fff,
    0xffffffff,0x3e22efff,0x501effff,0x00dfffff,0x7fcc0000,0x7ec01fff,
    0xfff75fff,0xff503fff,0x360dffff,0x000fffff,0xfffffb50,0x05dfffff,
    0xfd802a60,0xffd85fff,0x3f600fff,0x7fc42cdf,0x0001dfff,0x7dc03510,
    0x7c04ffff,0x9300ffff,0xffffffff,0xf5039fff,0xc805ffff,0x003fffff,
    0xfff30000,0xffd803ff,0xffff75ff,0x7fffc07f,0xfff701ff,0x880001ff,
    0xfffffffc,0x000bffff,0x3ffffaa0,0x4ffffe86,0x7fc00440,0xacefffff,
    0xb3000000,0x805fffff,0x543ffffd,0xfffffffd,0x6c02dfff,0x8806ffff,
    0x744fffff,0xeeeeeeee,0xeeeeeeee,0xfff30eee,0xffd803ff,0xffff75ff,
    0x7fffc03f,0x3ffea07f,0x200000ff,0xffffffda,0x8803ffff,0xfffffeca,
    0xffff86ff,0xfb00003f,0xffffffff,0x200037df,0xffffdba8,0x999affff,
    0xfffd9999,0xffffd14f,0x17dfffff,0x3ffffe00,0xffffb003,0xffffff8d,
    0xffffffff,0x30ffffff,0x803fffff,0xf75ffffd,0x7c01ffff,0x2a05ffff,
    0x001fffff,0xffeb8800,0x304fffff,0xffffffd7,0x88dfffff,0x003fffff,
    0xffffd100,0xffffffff,0xfd91005d,0xffffffff,0xffffffff,0xffffffff,
    0x3ffffe2b,0x4001dfff,0x02fffff8,0x8fffff90,0xffffffff,0xffffffff,
    0xff30ffff,0xfd805fff,0xfff75fff,0xfffe80ff,0x3ffea05f,0x000001ff,
    0x7fffff4c,0x7ffff444,0xffffffff,0x7ffcc6ff,0x200002ff,0xffffffe8,
    0x5fffffff,0xfffff910,0xffffffff,0xffffffff,0xbfffffff,0x3fffffe2,
    0xff50000b,0x2e005fff,0x3e0fffff,0xffffffff,0xffffffff,0xfff30fff,
    0xffe805ff,0xffff75ff,0xffffe80f,0x3fffea04,0x2000001f,0xffffffea,
    0x3ffffa24,0xfc9bdfff,0x7fc46fff,0x00003fff,0xfffffda8,0x4fffffff,
    0xffffffd8,0xfffb9bef,0xffffffff,0x6fffffff,0xfffffff1,0xff300039,
    0x32005fff,0x7fc7ffff,0xffffffff,0xffffffff,0xffff30ff,0xfffe805f,
    0xfffff75f,0x4ffffe80,0x3ffffea0,0x64c00001,0xffffffff,0x3ffffa4f,
    0xfffc81cf,0xfffff86f,0x22000004,0xfffffeca,0x3ee0ffff,0x40afffff,
    0x99fffffb,0x99999999,0xfff10999,0x7dffffff,0x3ffe2001,0xffb003ff,
    0xaaaa8dff,0xaaaaaaaa,0x2aaaaaaa,0x0bffffe6,0x2bfffff0,0x407ffffb,
    0x204ffffe,0x01fffffa,0xffeb8800,0xffffffff,0xfffff10c,0x7fffec09,
    0x5ffffe86,0x0d66f4c0,0xffda8800,0x3fa1ffff,0x3ee05fff,0x0002ffff,
    0x7fffff54,0x01dfffff,0x05fffff8,0x09fffff0,0x3e200000,0x2603ffff,
    0xf75fffff,0xfe80ffff,0x3ea04fff,0x0001ffff,0x3fffff26,0x0bffffff,
    0x07ffffd4,0x0dffffb0,0x01fffffb,0x07ffffdc,0x50132ea6,0x225fffff,
    0x202fffff,0x04fffffc,0xb3004de4,0xffffffff,0x36017dff,0x401fffff,
    0x03fffffb,0x02666620,0x7ffffc40,0x3ffffa06,0xfffff75f,0x4ffffe80,
    0x3ffffea0,0x07333321,0xfffffd71,0x05dfffff,0x0fffffdc,0x6fffffa8,
    0x5fffffb8,0xbfffff10,0x1fffffe8,0x3ffffe60,0x7fffff31,0x3ffffe20,
    0xfff700ff,0x7e4405df,0xffffffff,0x7fd41dff,0xf300efff,0x001dffff,
    0x037fffec,0x9fffffd0,0x7fffecc1,0xffff75ff,0xffffe80f,0x3fffea04,
    0x3ffffe1f,0x3ffffe23,0x1cffffff,0xfffffa80,0xfffff985,0xffffd06f,
    0xfd9315df,0xfa85ffff,0x880effff,0x7c7ffffd,0x440fffff,0xfffffffe,
    0xfff510bf,0x2e001fff,0xfffffffe,0x7ff44fff,0x989bffff,0x2ffffffc,
    0x7fffec00,0x3fff2006,0xfffeffff,0x75ffffff,0xe80fffff,0x2a04ffff,
    0x3e1fffff,0x3e23ffff,0xffffffff,0x3fe2000b,0xfccfffff,0x7fffffff,
    0xffffff30,0xffffffff,0x3fffa0df,0xfeccefff,0x744fffff,0xbdffffff,
    0xfffffffe,0xffefffff,0x003fffff,0xfffffda8,0x7fcc4fff,0xffffffff,
    0x04ffffff,0x6ffffd80,0x3fffa200,0xefffffff,0xf75ffffb,0xfe80ffff,
    0x3ea04fff,0x3fe1ffff,0x3fe23fff,0x002effff,0x3fffff20,0xffffffff,
    0xf900ffff,0xffffffff,0x201dffff,0xffffffe8,0xffffffff,0xfffff985,
    0xffffffff,0xffffffee,0x5fffffff,0x7fe4c000,0xfa84ffff,0xffffffff,
    0x00dfffff,0x6ffffd80,0x7fff4400,0xf55fffff,0x3feebfff,0x7ff407ff,
    0x3fea04ff,0x3ffe1fff,0x3ffe23ff,0xd00001df,0xffffffff,0x3ffffa9f,
    0x3fffea03,0xefffffff,0x7fff4401,0xffffffff,0xfff700df,0xffffffff,
    0x7ffffe45,0x05ffffff,0x3fee2000,0xffd304ff,0xffffffff,0x7ec0007f,
    0x88006fff,0x3dfffffd,0x5d7fffea,0x7407ffff,0x2a04ffff,0x3e1fffff,
    0x3e23ffff,0x800000cf,0xeffffffb,0x1bffff22,0xffffd910,0xa8005dff,
    0xfffffffd,0xfe9801df,0x0befffff,0xfffffd98,0x00001dff,0x5013faa0,
    0xdfffffb7,0xa980001b,0x40002aaa,0xfb8001a8,0x7f407fff,0x3ea04fff,
    0x2001ffff,0x000000b8,0x0001aa98,0x13553100,0xaa988000,0x3100019a,
    0xa8800155,0x000009aa,0x3000a600,0x00000135,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0cc00000,0x3bbbb620,0x3bbaa03e,0x775c0dee,
    0xeeeeeeee,0x24eeeeee,0x00eeeeeb,0x29ddddb0,0x403eeeeb,0x202eeeee,
    0x00eeeee9,0x01555550,0x88001880,0x7000dc00,0xaaaa8001,0xa8aaaa20,
    0x55541aaa,0x2a20000a,0xd10002aa,0x7644bddd,0x703effff,0x03ffffff,
    0x5ffffff1,0xffffff90,0xffffffff,0x7ffccbff,0xff9803ff,0xfff52fff,
    0x7ffcc0ff,0x3fee05ff,0x3f6006ff,0x74001fff,0x3fa2001f,0x003ff700,
    0x2e001df9,0x7fec6fff,0x3fffee5f,0x017fff60,0x2ffffd80,0xffff8800,
    0xfffffd17,0xfb01bfff,0xfb0dffff,0x3209ffff,0xffffffff,0xffffffff,
    0x37ffff45,0x3ffffe40,0x03fffff1,0x1ffffff2,0x03ffffe8,0x07ffff60,
    0x89fffd80,0x89deffec,0x7dc0effe,0x3f201fff,0x7cc00eff,0x3fee2fff,
    0x7fff40ff,0x0bfffe24,0x3fffe600,0xff88006f,0xffff9fff,0x5fffffff,
    0xffffff88,0x3ffffea3,0xffff900e,0xffffffff,0xfa8bffff,0x7c01ffff,
    0x7ec4ffff,0xffd03fff,0xf103ffff,0x4003ffff,0x001ffffd,0xfffffffb,
    0xffffffff,0x3ee1dfff,0xc81fffff,0x00efffff,0xf89bfffa,0xffa83fff,
    0x3fff22ff,0x7fe4000f,0x4002ffff,0xfffffff8,0xffffffff,0xffa81fff,
    0xff88ffff,0x2a01ffff,0xcccccccc,0xfffffffc,0x4fffff81,0x3ffffea0,
    0x2ffffdc0,0x7fffffc4,0xffffa83f,0x7ffec006,0xfff7001f,0xffffffff,
    0x9fffffff,0x7fffffcc,0x3ffff21f,0x3ff204ff,0x3fffa1ff,0x3ffff606,
    0x0bffff10,0x7ffffc40,0x7c4005ff,0x2dffffff,0x3fffffea,0xfffff904,
    0x7fffffbb,0xfff70000,0x3f205fff,0x3f607fff,0xff885fff,0x7fd40fff,
    0xd85fffff,0x4004ffff,0x001ffffd,0x3fffffee,0xffffffff,0xfff984ff,
    0xffc9ffff,0x2604ffff,0x3f24ffff,0x3e602fff,0x3fee5fff,0xff9003ff,
    0x03ffffff,0x7ffffc40,0xffff505f,0x7fff409f,0x6fffffff,0xfffa8000,
    0x3e604fff,0xf882ffff,0xfd02ffff,0xffc85fff,0xf87fffff,0x4001ffff,
    0x001ffffd,0x7fffffec,0xffffffef,0x3fffe606,0xffffffff,0x3ffa204f,
    0xffff30ff,0xffff900d,0x07ffff45,0x3ffffe20,0x2005ffff,0x0efffff8,
    0x17ffffa0,0xffffff98,0x0000ffff,0x7fffffd4,0xffffe805,0x7ffffb85,
    0x13fffee0,0xfffffffd,0x7fffcc3f,0xfffd8007,0x7ff4001f,0x3f662eff,
    0x2600ffff,0xffffffff,0x7e404fff,0xffd13fff,0xff1003ff,0x3fea1fff,
    0x7fdc05ff,0xfffffbff,0xffff1000,0xfffd809f,0x7ffdc06f,0x002fffff,
    0x7ffffcc0,0xfff5006f,0xfffe81ff,0x3ffe604f,0x3fffe26f,0x323ffffb,
    0xe984ffff,0xffeeeeee,0xeeeeefff,0x7ffcc4ee,0xfffb00ff,0xfff9807f,
    0x04ffffff,0x937fffd4,0x400bffff,0x3a5ffffb,0x3e03ffff,0xffb8ffff,
    0xff1004ff,0xfd807fff,0xfd806fff,0x005fffff,0x7ffffc40,0x3fe000ef,
    0x3fe63fff,0x7f401fff,0xfff51fff,0x4bfffb3f,0xa82ffffe,0xffffffff,
    0xffffffff,0x7fdc6fff,0x3fea04ff,0xff9805ff,0x804fffff,0xf33fffff,
    0x8003ffff,0xf32fffff,0xf701ffff,0x3fe29fff,0xf8800fff,0x6403ffff,
    0xb806ffff,0x04ffffff,0x3fffa200,0x64000fff,0x3f26ffff,0xfc805fff,
    0xfff93fff,0x45fffeef,0xf507ffff,0xffffffff,0xffffffff,0xfffb8dff,
    0x7fffc01f,0xffffc806,0x5c01ffff,0x3f66ffff,0x26004fff,0xf70fffff,
    0x3fa0bfff,0x3ff61fff,0xff8803ff,0x7e402fff,0x7c406fff,0x2fffffff,
    0xffffb000,0xf30003ff,0x3fe1ffff,0xf9802fff,0xfffd5fff,0x27fffe69,
    0x505ffffa,0xffffffff,0xffffffff,0xffb8dfff,0x3fe603ff,0x7fe405ff,
    0xffffffff,0x7fffec00,0x1fffff13,0x3ffffa00,0x1fffff12,0x8dffff50,
    0x807ffffa,0x02fffff8,0x037fffe4,0x3ffffff6,0x64000fff,0x02ffffff,
    0x3ffffa00,0x07ffffab,0x27ffffe0,0x3fe2ffff,0xffffdbff,0xfffff502,
    0xffffffff,0x8dffffff,0x206ffffa,0x204ffffc,0xfffffffc,0x200fffff,
    0x50fffff8,0x500bffff,0x7e4bffff,0xffd02fff,0xffff07ff,0xfff8805f,
    0x7fe402ff,0x3fee06ff,0xffffffff,0x3ffee005,0x40003fff,0xfceffffa,
    0x32004fff,0xfffdffff,0x3bfff60f,0x100fffff,0xd5555555,0x5559ffff,
    0xff885555,0xffa83fff,0xff902fff,0xfff9ffff,0x5401ffff,0x3f64ffff,
    0x7f401fff,0xfff30fff,0x3ffea0bf,0xfffb80ff,0x7ffc406f,0x7fe402ff,
    0xfff306ff,0xffffffff,0xfff5007f,0x00007fff,0x3ffffffe,0x2a001fff,
    0xffffffff,0x7ffffdc6,0x20005fff,0x001ffffd,0x7fffffe4,0xfffffebc,
    0xfffff906,0x3fffe69f,0x3f600fff,0xfff10fff,0x7ffdc0df,0x3ffffa2f,
    0x9ffffd00,0x3ffffe20,0x3fffe202,0x7ffe402f,0xffffd06f,0xfffff55f,
    0x7ffcc01f,0x00004fff,0x3ffffff2,0xff8006ff,0x44ffffff,0xfffffff9,
    0x3f60002f,0x22001fff,0xfffffffe,0xffffffff,0x7ffffdc1,0x7fffcc4f,
    0xff100fff,0x7ffd4bff,0xffff882f,0x0bfffea4,0x0fffffcc,0x0bffffb0,
    0x17ffffc4,0x1bffff20,0x97fffff2,0x06fffffd,0xfffffff1,0xdddddddd,
    0xf9803ddd,0x2fffffff,0xffffd800,0xfff82fff,0x000fffff,0x07ffff60,
    0x7ffff440,0xffffffff,0x221fffff,0x304ffffe,0x809fffff,0x321ffffa,
    0xffc86fff,0x27fff46f,0x05555530,0x02aaaa88,0x0bffffe2,0x8dffff90,
    0x0ffffff9,0x3fffffe2,0xfffffa83,0xffffffff,0x801fffff,0x7ffffffe,
    0xffff5000,0xffb01fff,0x000bffff,0x01ffffd8,0xffffffb0,0xffffffff,
    0x441fffff,0x7cc04ffe,0xff9004ff,0x3fffe8df,0xb87fffe6,0x00006fff,
    0xfff88000,0x7fe402ff,0x3ffa26ff,0xffa82fff,0x7d41ffff,0xffffffff,
    0xffffffff,0xfffa801f,0x10004fff,0x0dffffff,0x3fffffea,0x7fec0003,
    0xfd1001ff,0xffff7bff,0xffff79ff,0x2009d107,0x322004f9,0x33260ccc,
    0x0b332a4c,0x00039999,0xff100000,0xfc805fff,0x3ff66fff,0x3f605fff,
    0x7d46ffff,0xffffffff,0xffffffff,0xffff001f,0x6c0003ff,0x104fffff,
    0x01ffffff,0xffffd800,0x13fa2001,0x7d413553,0x1000203f,0x00000000,
    0x00000000,0xfffff880,0x7fffe402,0xffffff56,0x7fffc401,0x3ffea4ff,
    0xffffffff,0x1fffffff,0xdffff900,0xfffb8000,0x3ffa02ff,0xc80006ff,
    0x4001eeee,0x03a80048,0x00000000,0x00000000,0x7c400000,0x6402ffff,
    0x0006ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80013533,0x01330001,
    0x80133100,0x26662008,0x99999999,0x99999999,0x33333310,0x33333333,
    0x80133333,0x98000aaa,0x66664401,0xddddd10c,0x3bbbbb29,0x3bbbbb60,
    0x40000000,0x00bcdcb9,0x42aaaaa6,0x99999998,0x55554199,0xff70002a,
    0x407dffff,0x03ffffeb,0x7ffffec4,0x17ffa004,0x37ffffaa,0x7ffffd41,
    0xffffffff,0x56ffffff,0xffffffff,0xffffffff,0x7c40dfff,0xfb1001ff,
    0xf301bfff,0x3e23ffff,0xffb6ffff,0x7ffc3fff,0xecb80fff,0x9000bdef,
    0xffffff03,0x3fffe03f,0x3ffff65f,0x20ffffff,0x02fffffa,0x7ffffd40,
    0xfd83ffff,0x05ffffff,0xfffffff5,0xffc801df,0x7fffec5f,0x3ea2ffff,
    0xffffffff,0xffffffff,0xffff56ff,0xffffffff,0xdfffffff,0x801fff80,
    0xfffffffa,0x7fffcc2f,0xfffff11f,0x3fffff6d,0x3fffffe1,0x3ffffa60,
    0x101dffff,0xaac883fd,0xfa85fffc,0x3f60efff,0xffffffff,0x7fffdc0f,
    0x3ffe2006,0xfffffeff,0x37fffe60,0x7c43ffff,0xffffffff,0xfffd506f,
    0x7fffdcbf,0x50ffffed,0xffffffff,0xffffffff,0x3feadfff,0xffffffff,
    0xffffffff,0x3ffa026f,0x7fffc400,0x20ffffff,0x11fffff9,0x36dfffff,
    0x3e1fffff,0xf50fffff,0xffffffff,0xb759ffff,0xf7003fff,0xfffe83ff,
    0x7fffec0e,0x80ffffff,0x001ffffb,0x7c47ffd5,0x3ff61fff,0xb17ffe27,
    0xfb37ffff,0x7f445fff,0x3a5fffff,0x3ff20fff,0xfffff51f,0xffffffff,
    0x2dffffff,0xfffffffa,0xffffffff,0x3f26ffff,0x7c99ffa3,0x4467ffec,
    0x3e65fffc,0xff11ffff,0x3ff6dfff,0x3ffe1fff,0xfff90fff,0xffffffff,
    0xffffffff,0xfff9003f,0x07fffd45,0x7fffffec,0xf900ffff,0x18800bff,
    0x221fffd8,0x3ffe22a9,0x03fffe24,0x7ccbfff9,0x25fffeff,0x7fdc4edc,
    0xfffff52f,0xffffffff,0x2dffffff,0xfffffffa,0xffffffff,0x3fa6ffff,
    0xeaefdbff,0x3ffe1fff,0x267ffc84,0xf10fffff,0x3f6bffff,0x3fa0ffff,
    0x3ff27fff,0xffffffff,0xffffffff,0x333511ff,0x41ffffb7,0xfb01fffd,
    0xffffffff,0x7ffec01f,0xfdb98001,0x2a02ffff,0x260ffffc,0xff986fff,
    0x7c77e66f,0xffd005ff,0x0000001f,0x7ffcc000,0xfffff36f,0xffffffff,
    0x203ffe67,0xfd80fff9,0xa7ffff47,0x647ffffb,0x3f26ffff,0xfca98acf,
    0xffffffff,0x3ffe64ff,0x21ffffff,0x2601bbb8,0xaaaaaaaa,0x1bbb802a,
    0xffffb100,0x405fffff,0x541ffffd,0xff885fff,0xfff0627f,0x9fffb00b,
    0x00000000,0x6ffff980,0xffffd951,0x259dffff,0xf980fff9,0x47ff80ff,
    0xf52ffffd,0xffb8dfff,0x003b25ff,0xffffffb5,0xffff985f,0x0000beff,
    0x00000000,0xbffffff3,0x7405fffd,0x2a1effff,0xff885fff,0x3ffe00ff,
    0x3fffa205,0x00000006,0xffff9800,0xffffd106,0x427ffc03,0xffa87ffc,
    0x8ffffdc5,0x4c4ffff8,0x00a3ffff,0x037b9710,0x00001330,0x00000000,
    0xd877fffa,0x22602fff,0xf30fffea,0xfff30bff,0x05fff80f,0x81dfffd3,
    0xaaaaaaa8,0xaaaaaaaa,0x0002aaaa,0x06ffff98,0x0bfffff9,0x4ce7ffec,
    0x7e44fffd,0x7ffd40ff,0x0ffffe0f,0x005ffff1,0x00000000,0x00000000,
    0x0ffff880,0x00bfffe2,0xf897ffdc,0x7fdc0fff,0x2fffc06f,0x06ffffd4,
    0x7fffffd4,0xffffffff,0x006fffff,0x6ffff980,0xffafffc8,0xffff105f,
    0x41ffffff,0xa882fffb,0x555542aa,0x40aaaa80,0x532eeeee,0xaaa88355,
    0x2222220a,0x88888888,0x88888888,0x99999308,0x99999999,0x99999999,
    0x3ffe6059,0x3fffee0f,0xa89dd912,0x3ffa3fff,0xffff71df,0x45fff807,
    0x204ffffa,0xfffffffa,0xffffffff,0x0006ffff,0x46ffff98,0xff74fffb,
    0x3ffea09f,0x441effff,0x000000df,0x3ffffe00,0xa8dfffd2,0xff51ffff,
    0xffffffff,0xffffffff,0x3ea9ffff,0xffffffff,0xffffffff,0x204fffff,
    0xfecfffff,0x3fa2ffff,0xfffd31ff,0x7ffffcc3,0x806fffff,0x3fe65fff,
    0xaaaaadff,0xffffff50,0xffffffff,0x00dfffff,0xdffff300,0x3a0fffc8,
    0x3f6205ff,0x0300cfff,0xf0000000,0x3fa5ffff,0x7ffd46ff,0xfffff51f,
    0xffffffff,0xffffffff,0x3fffea9f,0xffffffff,0xffffffff,0x3fee04ff,
    0xffefffff,0x3fffea3f,0xb85fffff,0xffffffff,0x5fff801f,0x3ffffff6,
    0xff52ffff,0xffffffff,0xffffffff,0xf30000df,0x5f50dfff,0x22003f98,
    0x00000000,0xfffff000,0x51bfffa5,0x3ea3ffff,0xffffffff,0xffffffff,
    0xf54fffff,0xffffffff,0xffffffff,0x809fffff,0xf3fffffb,0xfffb8bff,
    0x300dffff,0x1bfffffd,0x457ffe00,0xffffffff,0x99932fff,0x99999999,
    0x99999999,0x99100007,0x04020799,0x00000000,0xfff00000,0x3fffa5ff,
    0x8ffffd46,0xbbbbbbb8,0xbbbbbbbb,0x1bbbbbbb,0x00000000,0x98003531,
    0x002ceeec,0x80013531,0xddd54eee,0xdddddddd,0x00000005,0x00000000,
    0x00000000,0x6eec0000,0x555551dd,0x00aaaa88,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_45_latin1_x[224]={ 0,3,2,0,1,1,1,1,2,1,0,1,2,1,
2,-1,1,3,1,1,0,1,1,1,1,1,3,3,1,1,1,2,1,0,2,1,2,2,2,1,2,2,0,3,
3,2,2,1,2,1,2,1,0,2,-1,0,0,-1,0,2,-1,0,2,-1,0,1,2,1,1,1,0,1,2,2,
-2,2,2,2,2,1,2,1,2,0,0,2,0,0,0,0,0,1,3,0,1,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,3,1,0,0,0,
3,1,0,-1,0,1,1,1,-1,-1,1,0,0,0,3,2,-1,2,0,1,0,2,1,1,0,1,0,0,0,0,
0,0,-2,1,2,2,2,2,-1,2,-1,-1,-1,2,1,1,1,1,1,2,1,2,2,2,2,-1,2,2,1,1,
1,1,1,1,1,1,1,1,1,1,-1,2,-2,-1,1,2,1,1,1,1,1,0,1,2,2,2,2,0,2,0,
 };
static signed short stb__arial_bold_45_latin1_y[224]={ 36,7,7,6,4,6,6,7,6,6,6,11,30,22,
30,6,7,7,7,7,7,7,7,7,7,7,15,15,10,14,10,6,6,7,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,7,6,7,6,40,6,14,7,14,7,14,6,14,7,7,
7,7,7,14,14,14,14,14,14,14,7,15,15,15,15,15,15,6,6,6,17,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,36,15,7,6,11,7,
6,6,6,6,6,16,14,22,6,1,6,8,6,6,6,15,7,19,36,6,6,16,6,6,6,15,-1,-1,-1,0,
0,1,7,6,-1,-1,-1,0,-1,-1,-1,0,7,0,-1,-1,-1,0,0,12,5,-1,-1,-1,0,-1,7,6,6,6,
6,7,6,5,14,14,6,6,6,6,6,6,6,6,7,7,6,6,6,7,6,11,13,6,6,6,6,6,7,6,
 };
static unsigned short stb__arial_bold_45_latin1_w[224]={ 0,7,16,22,20,33,28,7,11,11,15,21,7,12,
7,13,20,13,20,20,22,21,20,20,20,20,7,7,21,21,21,21,39,29,26,27,26,23,21,28,25,7,20,27,
21,29,24,29,24,30,27,24,24,24,28,38,27,28,24,11,13,11,20,24,10,21,22,21,22,20,15,22,20,7,
11,21,7,32,20,23,22,22,15,21,13,20,22,32,23,22,20,14,5,15,22,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,7,21,22,22,23,
5,21,14,31,14,20,21,12,31,24,14,22,13,13,10,20,24,7,12,9,15,19,33,32,34,22,29,29,29,29,
29,29,41,27,23,23,23,23,10,9,14,14,29,24,29,29,29,29,29,20,30,24,24,24,24,28,24,22,21,21,
21,21,21,21,33,21,20,20,20,20,10,10,15,14,23,20,23,23,23,23,23,22,23,20,20,20,20,22,22,22,
 };
static unsigned short stb__arial_bold_45_latin1_h[224]={ 0,29,11,31,37,32,31,11,39,39,15,21,13,7,
6,31,30,29,29,30,29,30,30,29,30,30,21,28,23,15,23,30,39,29,29,31,29,29,29,31,29,29,30,29,
29,29,29,31,29,33,29,31,29,30,29,29,29,29,29,38,31,38,17,4,7,23,30,23,30,23,30,31,29,29,
38,29,29,22,22,23,30,30,22,23,30,22,21,21,21,30,21,39,39,39,9,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,0,30,37,31,21,29,
39,39,6,31,16,19,15,7,31,5,14,28,16,16,7,30,37,6,9,16,16,19,32,32,32,30,37,37,37,36,
36,35,29,39,37,37,37,36,37,37,37,36,29,36,38,38,38,37,37,20,33,38,38,38,37,37,29,31,31,31,
31,30,31,32,23,31,31,31,31,31,30,30,30,30,30,29,31,31,31,30,31,22,25,31,31,31,31,39,37,39,
 };
static unsigned short stb__arial_bold_45_latin1_s[224]={ 246,246,161,211,61,87,86,153,171,24,114,
123,145,225,247,241,181,56,103,118,160,223,160,139,202,1,246,162,123,70,1,
129,103,210,1,204,183,115,224,161,124,240,71,150,202,1,31,33,70,1,40,
136,229,81,68,1,201,172,147,204,190,123,230,226,238,23,106,45,217,216,240,
232,82,74,26,95,248,213,1,145,24,92,237,67,22,192,67,90,22,1,46,
183,198,87,178,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,
170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,170,246,247,160,
63,145,178,143,149,186,86,1,189,92,225,1,201,130,139,56,16,214,139,1,
178,201,46,30,210,121,32,155,58,1,31,106,110,80,180,97,59,204,228,82,
56,236,246,166,165,117,140,216,68,38,26,136,168,210,1,98,135,182,207,28,
73,43,120,142,36,185,65,89,207,229,1,22,164,245,151,162,178,193,53,49,
96,25,47,1,169,192,190,65,115,234,36,181,1, };
static unsigned short stb__arial_bold_45_latin1_t[224]={ 39,348,485,156,80,156,222,485,1,1,485,
462,485,485,72,118,254,378,348,254,317,254,254,317,254,286,438,408,438,485,438,
286,1,317,348,222,317,317,348,222,348,317,317,348,348,378,378,254,378,156,408,
222,378,286,408,408,378,378,378,1,222,41,462,495,485,438,286,438,286,408,286,
222,348,348,41,378,317,438,462,438,317,317,408,438,286,438,462,462,462,317,462,
1,1,1,485,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,
408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,408,39,41,41,
254,462,348,1,1,495,254,485,462,485,485,254,495,485,408,485,485,485,254,118,
495,485,485,485,462,156,156,156,286,80,80,80,118,118,118,408,1,80,80,80,
118,41,1,80,118,378,118,1,41,41,118,80,462,118,41,41,41,41,41,348,
190,222,190,190,286,190,156,438,190,190,222,222,190,254,286,286,286,286,348,190,
190,190,317,190,438,408,156,222,222,156,1,80,1, };
static unsigned short stb__arial_bold_45_latin1_a[224]={ 179,215,306,358,358,573,465,153,
215,215,251,376,179,215,179,179,358,358,358,358,358,358,358,358,
358,358,215,215,376,376,376,394,628,465,465,465,465,430,394,501,
465,179,358,465,394,537,465,501,430,501,465,430,394,465,430,608,
430,430,394,215,179,215,376,358,215,358,394,358,394,358,215,394,
394,179,179,358,179,573,394,394,394,394,251,358,215,394,358,501,
358,358,322,251,180,251,376,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,483,
483,483,483,483,483,483,483,483,179,215,358,358,358,358,180,358,
215,475,239,358,376,215,475,356,258,354,215,215,215,371,358,179,
215,215,235,358,537,537,537,394,465,465,465,465,465,465,644,465,
430,430,430,430,179,179,179,179,465,465,501,501,501,501,501,376,
501,465,465,465,465,430,430,394,358,358,358,358,358,358,573,358,
358,358,358,358,179,179,179,179,394,394,394,394,394,394,394,354,
394,394,394,394,394,358,394,358, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_45_latin1_BITMAP_HEIGHT or STB_FONT_arial_bold_45_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_45_latin1(stb_fontchar font[STB_FONT_arial_bold_45_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_45_latin1_BITMAP_HEIGHT][STB_FONT_arial_bold_45_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_45_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_45_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_45_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_45_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_45_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_45_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_45_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_45_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_45_latin1_s[i] + stb__arial_bold_45_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_45_latin1_t[i] + stb__arial_bold_45_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_45_latin1_x[i];
            font[i].y0 = stb__arial_bold_45_latin1_y[i];
            font[i].x1 = stb__arial_bold_45_latin1_x[i] + stb__arial_bold_45_latin1_w[i];
            font[i].y1 = stb__arial_bold_45_latin1_y[i] + stb__arial_bold_45_latin1_h[i];
            font[i].advance_int = (stb__arial_bold_45_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_45_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_45_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_45_latin1_s[i] + stb__arial_bold_45_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_45_latin1_t[i] + stb__arial_bold_45_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_45_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_45_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_45_latin1_x[i] + stb__arial_bold_45_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_45_latin1_y[i] + stb__arial_bold_45_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_45_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_45_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_45_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_45_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_45_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_45_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_45_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_45_latin1_LINE_SPACING
#endif

