// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_48_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_48_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_48_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_48_latin1_BITMAP_HEIGHT        575
#define STB_FONT_arial_bold_48_latin1_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_arial_bold_48_latin1_FIRST_CHAR            32
#define STB_FONT_arial_bold_48_latin1_NUM_CHARS            224

#define STB_FONT_arial_bold_48_latin1_LINE_SPACING          31

static unsigned int stb__arial_bold_48_latin1_pixels[]={
    0x20266660,0x22019999,0x00000999,0x0cccccc4,0x41333000,0x00000099,
    0x01333000,0x98800000,0x99998000,0x4ccc4000,0x80266660,0x005eeeee,
    0x20002620,0xeeeeeeed,0xdddd12ee,0x03dddddd,0x46ffff88,0x207ffff8,
    0x0006fff9,0x7ffffec0,0xfff70004,0x6fffffc9,0x44000001,0xfffffedb,
    0x000befff,0x3ffb2200,0x400cefff,0x002ffff9,0x29ffffd5,0x202ffff9,
    0x006fffff,0xffffb951,0xff0059df,0xffffffff,0x3ffffe67,0x401fffff,
    0x446ffff8,0x7407ffff,0x00003fff,0x09fffff1,0x3fffe200,0x3fffffe0,
    0x4400004f,0xffffffda,0xffffffff,0x20000bef,0xfffffffb,0x2603ffff,
    0x4c02ffff,0x4ffffffe,0x405ffff3,0x806fffff,0xfffffffb,0x01efffff,
    0x3ffffffe,0xfff33fff,0x3fffffff,0x6ffff880,0x03ffffc4,0x003fffee,
    0x3ffff200,0x3ff20005,0x7ffffc5f,0x00002fff,0xfffffff9,0xffffffff,
    0x05ffffff,0xfffff500,0xffffffff,0x3fffe609,0x7ffff402,0xfff34fff,
    0x7fffc05f,0x3ff6206f,0xffffffff,0x80cfffff,0xffffffff,0xffff33ff,
    0x03ffffff,0x46ffff88,0x407ffff8,0x005ffff8,0x2ffffc40,0xffff1000,
    0xffffff85,0x440006ff,0xfffffffe,0xfeccdeff,0xffffffff,0x3ffe6004,
    0xffffffff,0xf982ffff,0x3ea02fff,0x4fffffff,0x405ffff3,0x506fffff,
    0xffffffff,0xffffffff,0xfff81dff,0x2eeeefff,0xffddddd1,0xe8803fff,
    0x77445eee,0xffc805ee,0x2e0001ff,0x40006fff,0xee87fffc,0x2fffffff,
    0xffff5000,0x10017dff,0xfffffd73,0xfff9001d,0xfd737fff,0xf30fffff,
    0x7ec05fff,0x3eefffff,0x405ffff3,0x983ccccc,0xffffffff,0xffffffff,
    0x7fc5ffff,0x54004fff,0x001fffff,0x3e600000,0x20005fff,0x0000efff,
    0x00ffffe2,0x07fffff7,0xfffff900,0xfb80005b,0xd805ffff,0xe81fffff,
    0x4c1fffff,0x3e02ffff,0x980effff,0x0002ffff,0xffffffe8,0xfb988abf,
    0x2fffffff,0x013ffffe,0x3fffff50,0x80000000,0x000ffffe,0xfd800000,
    0xff801fff,0x54004fff,0x002fffff,0x3fff6200,0x7fffc04f,0xfffb80ff,
    0x7ffcc3ff,0x3fffe02f,0xffff303f,0xffb80005,0x400dffff,0x6ffffffc,
    0x013ffffe,0x3fffff50,0x80000000,0x003ffffc,0x7cc00000,0xfd006fff,
    0x44009fff,0x000effff,0xffff7000,0x7fffec05,0x009a884f,0x40bfffe6,
    0x02fffff8,0x405ffff3,0x22099999,0x04ffffff,0x3fffff60,0x9fffff1f,
    0xffffa800,0x4cccc41f,0x26660009,0xfff30199,0x333310ff,0x4ccc0013,
    0xfffd8199,0xfffb004f,0x7ff4009f,0x65cc00df,0x266620ab,0x1bfffa19,
    0xffffffc8,0xfff30002,0x3ffe205f,0xfff301ff,0x7fffc05f,0x3ffff26f,
    0x3e2000ff,0xff3fffff,0xa8009fff,0x541fffff,0x006fffff,0x0dfffff1,
    0x217ffffc,0x06fffffa,0xdfffff10,0x03fffff0,0x17ffff60,0x07fffe40,
    0xfffffd98,0xffff92ff,0x0ffffc4f,0xffffff88,0x7cc000cf,0xff102fff,
    0x3e603fff,0x3fe02fff,0x3ffe6fff,0xc8004fff,0x7ffc1bdf,0x7d4004ff,
    0xff81ffff,0xb800ffff,0x203fffff,0xf84ffffd,0x800fffff,0x43fffffb,
    0x007ffff9,0x017ffff6,0x40bfffe2,0xfffffff9,0xfffeafff,0x27ffd45f,
    0xffffff50,0x7cc005ff,0xff102fff,0x3e603fff,0x3fe02fff,0xfff16fff,
    0x10001fff,0x4fffff80,0x7fffd400,0xffffc81f,0xfffe803f,0x3fee00ff,
    0xfffc86ff,0xffe803ff,0x7fdc0fff,0x3f2006ff,0xfc805fff,0xfff505ff,
    0xffffffff,0x07ffffff,0x7cc0ffff,0xffffffff,0xfff9800d,0xffff102f,
    0x3ffe603f,0x3fffe02f,0xfffff56f,0x3e00000d,0x4004ffff,0x81fffffa,
    0x06fffff9,0x37ffffc4,0x3ffffea0,0x7ffffcc0,0x7fffc406,0xffffe86f,
    0x3fff2005,0xffff806f,0xfffffa80,0xfffa88ae,0xd82fffff,0xff981fff,
    0xffffffff,0x7fcc02ff,0xfff302ff,0x3fe601ff,0x3ffe02ff,0xffff76ff,
    0x200000bf,0x004fffff,0x0fffffd4,0x0fffffe8,0x3ffffee0,0x7fffd403,
    0xffffe82f,0x3ffee00f,0x7ffc43ff,0x3ee004ff,0x7d407fff,0xfff985ff,
    0xfff104ff,0xf901ffff,0xfff985ff,0xffffffff,0x3e604fff,0xff502fff,
    0x7fcc0fff,0x3ffe02ff,0xffff96ff,0x2000009f,0x004fffff,0x0fffffd4,
    0x3fffffb8,0x3fffff60,0x7fffcc00,0xffffb84f,0x3fff603f,0x7ffcc0ff,
    0x3ea003ff,0x3601ffff,0xffd82fff,0x7fe406ff,0xff506fff,0xfffff87f,
    0xfffffd8d,0xf980efff,0xffb02fff,0x7fcc0dff,0x3ffe02ff,0xffffb6ff,
    0x2000009f,0x004fffff,0x0fffffd4,0x6fffff88,0xbfffff10,0xfffff100,
    0xfffff10b,0x3fffe20d,0xffffa85f,0x7ffc002f,0x3ffe06ff,0xfffff887,
    0x7fffcc00,0x9fff305f,0x23ffffc4,0xfffffffa,0xffff986f,0xfffff882,
    0x3fffe604,0x3ffffe02,0x7fffffd6,0x3fe00000,0x54004fff,0x201fffff,
    0x80fffffd,0x02fffffb,0x0dfffff0,0x03fffff6,0x0bffffee,0x07ffffee,
    0xfffff900,0x5fff8819,0x05ffffc8,0x3fffff88,0x547fff50,0xe885ffff,
    0x5fffffff,0x44099998,0x02fffffe,0x80bfffe6,0xfd6fffff,0x0007ffff,
    0x3ffffe00,0x7ffd4004,0x3fea01ff,0xffd83fff,0x3fa007ff,0xff506fff,
    0xffb07fff,0x3fee0fff,0x4c000fff,0xefffffff,0x887fff30,0x802fffff,
    0x01fffff9,0x7e45fff9,0x3f206fff,0x03ffffff,0xfffffd70,0xfff980df,
    0x3fffe02f,0xfffffb6f,0x3e000009,0x4004ffff,0x01fffffa,0x237ffffc,
    0x04fffff8,0x1fffff60,0x46fffff8,0x04fffff8,0x00fffff9,0x3ffffea0,
    0x5fff51ff,0x1fffff98,0xfffffa80,0x43fffd00,0x01fffffc,0x3fffffea,
    0xffffb006,0xf9801dff,0x3fe02fff,0xfff96fff,0x00000bff,0x013ffffe,
    0x3fffff50,0xfffffc80,0x3ffffea0,0x3fff2001,0x3fff207f,0x3ffea0ff,
    0xfffb01ff,0x7cc000ff,0xf71fffff,0xfffb83ff,0xfff7007f,0x3fffc0df,
    0x3bffffee,0x3fffa200,0xffd800ff,0x9800dfff,0x3e02ffff,0xff56ffff,
    0x4000dfff,0x3ffffe00,0x7ffd4004,0x7fcc01ff,0x3ff63fff,0x7e4006ff,
    0x3e607fff,0x3f63ffff,0x3f606fff,0x20007fff,0x1ffffffc,0xfc81fff9,
    0xfb006fff,0x3e609fff,0x7ffcc6ff,0x2601ffff,0x802fffff,0x1efffffd,
    0x2ffff980,0x5bffffe0,0x07fffff9,0x817bf700,0x004fffff,0x0fffffd4,
    0xb7ffff40,0x03fffff8,0x3ffffe40,0x5bffffa0,0x03fffff8,0x01fffff2,
    0x7ffffec0,0x1fff91ff,0x05ffffd8,0x07fffff0,0x360ffff6,0x3fffffff,
    0x07ffffa0,0x3fffff60,0x7fcc01ff,0x3ffe02ff,0xffff16ff,0xfd0007ff,
    0x3fe5dfff,0x54004fff,0x801fffff,0xa8fffffb,0x000fffff,0x037fffec,
    0x23ffffee,0x00fffffa,0x03ffffee,0xfffff500,0x3fee19bf,0x7fffec1f,
    0xffffa804,0x7fffb81f,0xffffff30,0xfff01dff,0x3f6a00ff,0x406fffff,
    0x202ffff9,0x3a6fffff,0x006fffff,0x7fffffcc,0x09fffff3,0xfffffa80,
    0xffff8801,0x5ffffdbf,0xffffd800,0x7fffc405,0x5ffffdbf,0x7ffffdc0,
    0x7fff4001,0xfffa82ff,0x2ffffe42,0x3fffff40,0x01ffffcc,0xfffffff3,
    0x7ffdc7ff,0x3333225f,0x7fffec41,0x3ffe602f,0x3fffe02f,0x3fffea6f,
    0x3fa003ff,0x3fe7ffff,0x54004fff,0x001fffff,0xffdffffb,0xd0005fff,
    0xb009ffff,0xfffdffff,0xffa805ff,0x22001fff,0x303fffff,0xffb87fff,
    0x7fd407ff,0x7fc46fff,0xff9806ff,0xdfffffff,0x22fffffa,0x882ffff9,
    0x205fffff,0x202ffff9,0x6c6fffff,0x03ffffff,0xffffffc8,0x13ffffe4,
    0xfffff500,0x3ffea003,0x0fffffff,0xfffff800,0xffffa803,0x00ffffff,
    0x17ffffc4,0xfffff300,0x17ffe201,0x07fffff3,0x3fffffe6,0x3ffffa65,
    0xfffb1002,0xffffffff,0xfff985ff,0xffff902f,0x7fffcc0d,0x3ffffe02,
    0x7ffffc46,0x75409dff,0x0fffffff,0x013ffffe,0x3fffff50,0x7ffffc00,
    0x8005ffff,0x01fffff8,0xfffffff0,0x3fe00bff,0x2e003fff,0x7406ffff,
    0x7ff40fff,0xf711dfff,0x5dffffff,0x07fffffb,0xfffff700,0x07ffffff,
    0x205ffff3,0x207ffffa,0x202ffff9,0xb86fffff,0xffffffff,0xfffffeef,
    0x7fc3ffff,0x54004fff,0x001fffff,0x3ffffff2,0xfa8002ff,0x32007fff,
    0xffffffff,0xffffb002,0x7ffe4009,0x7ffdc05f,0x7ffffcc4,0xffffffff,
    0xffffffff,0x20003fff,0xffffffe9,0xfff306ff,0x3ffe605f,0xfff300ff,
    0x7fffc05f,0xffffb06f,0xffffffff,0x09ffffff,0x009fffff,0x1fffffa8,
    0x3fffe600,0x70007fff,0x400dffff,0xfffffff9,0x3ffee007,0x3ff2006f,
    0x7fc405ff,0xffffb87f,0xfeffffff,0xffffffff,0x700002ff,0xffffffff,
    0x5ffff305,0x3ffffe60,0x5ffff301,0x37ffffc0,0xffffff50,0xffffffff,
    0x3ffe0bff,0x7d4004ff,0x4001ffff,0x4ffffffe,0xffffb000,0xfffe8007,
    0x26004fff,0x000fffff,0x00bffff9,0xf509fffb,0x9fffffff,0x3fffffee,
    0x00000cff,0x7fffff44,0x7ffcc1ff,0xffff102f,0x3ffe603f,0x3fffe02f,
    0x7fec406f,0xffffffff,0x3fe03fff,0x54004fff,0x001fffff,0x7fffffdc,
    0xffff0001,0xffb8001f,0x4001ffff,0x002ffffe,0x00bffffb,0x105ffff5,
    0x839bfdb7,0x0adeffdb,0x00355550,0x3ffffee0,0x7fffcc4f,0xfffff102,
    0x3fffe603,0xfffff102,0x3fb6e00d,0x3fffffff,0x4fffff80,0x7fffd400,
    0x7fdc001f,0x30006fff,0x000bffff,0x0dfffff7,0x9ffff700,0x3ffff600,
    0xffffb004,0x40000003,0x400ffffc,0x3fffea01,0x7fffcc6f,0xfffff102,
    0x3fffe603,0xfffff102,0xfdb8800b,0x7fc003ef,0x54004fff,0x001fffff,
    0x1ffffff4,0xffffc800,0xfffe8002,0xf88003ff,0xfd006fff,0x22009fff,
    0x002ffffe,0xfffd8000,0x7ff6cc2f,0x3fffe03f,0x7fffcc7f,0xfffff102,
    0x3fffe605,0xfffff702,0xfffe800b,0x3e005fff,0x4004ffff,0x01fffffa,
    0x3ffffea0,0xffd0000f,0xff5000ff,0x0001ffff,0x003ffff2,0x013ffffe,
    0xdfffff98,0xe9800000,0xf985ffff,0xd00fffff,0xf98fffff,0x3fe02fff,
    0xff304fff,0x7eddc5ff,0x004fffff,0x3ff6f3a2,0xfff004ff,0xfa8009ff,
    0x5001ffff,0x0bffffff,0x3fffe200,0x7ffd4004,0x20005fff,0x203ffff9,
    0x3fffffd9,0x7fffd400,0x80001cff,0xefffffd9,0xffffff00,0xffffa819,
    0x7fffcc5f,0x3ffffe02,0x7ffcc0af,0xfffff12f,0x0007ffff,0x007fff98,
    0xffffffff,0x3ffe67ff,0x1fffffff,0xffedde98,0x001fffff,0x01ffff90,
    0x7ff6ef4c,0x001fffff,0x437ffec0,0xffffffff,0xfe98001f,0xacffffff,
    0x36e62009,0x4fffffff,0x7ffffe40,0xfffecdff,0x7fcc3fff,0x3ff602ff,
    0x34ffffff,0x3ea5ffff,0xffffffff,0xfff80000,0xffff800f,0x33ffffff,
    0xffffffff,0xfff103ff,0xbfffffff,0x7fffc000,0x7fffc403,0x05ffffff,
    0xffff9800,0x7fffffc1,0x640006ff,0xffffffff,0xffeeffff,0xffffffff,
    0xffb002ff,0xffffffff,0xf30dffff,0x7cc05fff,0x4fffffff,0x325ffff3,
    0xffffffff,0x7e4c0002,0xfff006ff,0x7fffffff,0x3fffffe6,0xff01ffff,
    0xdfffffff,0x3fea0001,0xffff006f,0x01dfffff,0x3fff2000,0x7fffffc5,
    0x980001ff,0xfffffffe,0xffffffff,0xcfffffff,0x3ffa2000,0xffffffff,
    0xff980fff,0x7fec02ff,0xf34fffff,0x3ff65fff,0x004fffff,0x3ffbbfe6,
    0xf001ffff,0xffffffff,0x3fffe67f,0x01ffffff,0xfffffffd,0x7f40001d,
    0xffd002ff,0x01dfffff,0x7ffc4000,0x3ffffe0f,0x400002ef,0xfffffdb8,
    0xffffffff,0x0002dfff,0x3fffff22,0x00cfffff,0x805ffff3,0xffffffc8,
    0x25ffff34,0x1bdfffdb,0x7fffcc00,0x001dffff,0x33333332,0x99911ccc,
    0x19999999,0x3bfffb20,0x7cc0001d,0x3b2006ff,0x001defff,0x9fff7000,
    0x01effffc,0x65440000,0xeeffeedc,0x0000abcd,0x3ffb6e20,0x7cc01cde,
    0x93002fff,0x3e69ffdb,0x00002fff,0xcdeccb88,0x0000001b,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xd3000000,0x001bdddd,0xeeee9800,
    0x4400002e,0x01eeeeed,0x77774400,0x0000004e,0x5ddddd30,0x10000000,
    0xcb880015,0xeeeeeeec,0x3eeeeeee,0x77777540,0xc8000005,0x803eeeee,
    0x00199998,0x7ffffec0,0x7c400001,0x00ffffff,0x7ffcc000,0x440005ff,
    0x006fffff,0xff880000,0x000fffff,0x7fd40000,0xfffc8801,0xffffffff,
    0x4fffffff,0xfffffd80,0x22000001,0x006fffff,0x03fffff9,0x3fffe600,
    0xd800002f,0x6fffffff,0xffa80000,0x20001fff,0x06fffff8,0xfd800000,
    0x06ffffff,0x7ec00000,0x7ffcc00f,0xffffffff,0xffffffff,0xfffb004f,
    0x400000bf,0x00effffc,0x3fffff90,0x3fff2000,0xa800003f,0xfffdffff,
    0xa800003f,0x0004ffff,0x1bffffe2,0xf5000000,0xffffbfff,0x40000007,
    0x7fc405ff,0xffffffff,0xffffffff,0x3a004fff,0x0001ffff,0xeffff880,
    0x3fff2000,0xf88001ff,0x00003fff,0x94ffff88,0x0003ffff,0x1ffff700,
    0x3ffe2000,0x000006ff,0x53fffe20,0x001ffffc,0x3ffa8000,0x7fffff40,
    0xffffffff,0xffffffff,0x3ffa2004,0xb800005f,0x4000ffff,0x01fffffc,
    0x04fffc80,0xfffd0000,0x06fffe8d,0xfff90000,0x3fe20009,0x00006fff,
    0x1bfffa00,0x000dfffd,0x01ff9000,0x7fffffcc,0xeeffffff,0xeefffffe,
    0x7ff44003,0x7c00000f,0xc8001fff,0x001fffff,0x0002aaa8,0x15555100,
    0x00aaaa88,0x55550000,0x3ffe2000,0x000006ff,0x81555510,0x000aaaa8,
    0x037f4000,0x3fffffee,0x22ffffff,0x002ffffc,0x002aaa20,0x1aaa8800,
    0x99995000,0x26200019,0x00000009,0x20000000,0x40000998,0x06fffff8,
    0x22000000,0x00000099,0x404ff980,0xfffffffd,0x322fffff,0x0002ffff,
    0x00000000,0x44000000,0xffffffdb,0x36001bce,0x001eeeee,0x1f77775c,
    0xfffb7100,0x0379dfff,0x7ffffc40,0x55ee54c6,0xdb880000,0xceffffff,
    0x3100001b,0x3ffbbb95,0xffffff80,0x2fffffff,0xb0bffff2,0x003ddddd,
    0x3eeeeeb8,0x03dddddb,0xeeeeeb80,0x80066623,0xfffffffc,0x0dffffff,
    0xfffffe80,0x7ffe4001,0xff9004ff,0xffffffff,0x1001bfff,0x22dfffff,
    0xfffffffd,0x3ff20004,0xffffffff,0x0000dfff,0x3ffffff2,0x3e00dfff,
    0xffffffff,0x3f22ffff,0x7ff42fff,0x64001fff,0xfd4fffff,0x8003ffff,
    0x24fffffc,0xe9807ffb,0xffffffff,0xffffffff,0x7ffff403,0x7fe4001f,
    0x74c04fff,0xffffffff,0xffffffff,0x7fffc403,0xffffe9ef,0x00efffff,
    0x3ffffa60,0xffffffff,0x4003ffff,0xffffffe9,0x02ffffff,0xfffffffb,
    0x645fffff,0x7f42ffff,0x4001ffff,0xd4fffffc,0x003fffff,0x4fffffc8,
    0xb803ffee,0xffffffff,0xffffffff,0xfd00dfff,0x8003ffff,0x04fffffc,
    0x3fffffee,0xffffffff,0x00dfffff,0xfffffff1,0xffffffff,0x7001ffff,
    0xffffffff,0xffffffff,0x5001bfff,0xffffffff,0x7fffffff,0xffffff90,
    0x45ffffff,0x742ffffc,0x001fffff,0xa7ffffe4,0x01fffffe,0x7ffffe40,
    0x407fff24,0xfffffffa,0xffffffff,0x06ffffff,0x03fffffd,0xfffffc80,
    0xfffff504,0xffffffff,0xffffffff,0x3fffe20d,0xeeffffff,0x4fffffff,
    0x7ffffd40,0xffffffff,0xffffffff,0x7fffc406,0xfffeffff,0x540fffff,
    0xffffffff,0x3f22ffff,0x7ff42fff,0x64001fff,0xfd4fffff,0x8003ffff,
    0x24fffffc,0xf881fffd,0xdfffffff,0xfeba889b,0x83ffffff,0x01fffffe,
    0x7ffffe40,0xfffff884,0x889bdfff,0xfffffeba,0xfff883ff,0x442fffff,
    0x1ffffffd,0xffffff10,0x51137bff,0xffffffd7,0x7ffe407f,0xfff0afff,
    0xb07fffff,0xffffffff,0x7fe45fff,0x7fff42ff,0x7e4001ff,0xffd4ffff,
    0xc8003fff,0x3a4fffff,0xffd82fff,0x801fffff,0xfffffffc,0x7fffff40,
    0x7ffe4001,0xfffd84ff,0xc801ffff,0x0fffffff,0x7fffffc4,0x3fff600f,
    0xfffb05ff,0x9003ffff,0x1fffffff,0xffffff30,0x7fe7fd41,0x7c40ffff,
    0xffffffff,0x3fff22ff,0x7ffff42f,0x7fe4001f,0xfffd4fff,0xfc8003ff,
    0x3fe4ffff,0x7ffd43ff,0x2000dfff,0x5ffffff9,0x0ffffff4,0x3ffff200,
    0x7fffd44f,0x26000dff,0x45ffffff,0x4ffffff8,0x7ffffcc0,0xfffffa87,
    0x3e6000df,0xc85fffff,0x644fffff,0xceffd8ff,0xfffe980b,0x22ffffff,
    0x742ffffc,0x001fffff,0xa7ffffe4,0x01fffffe,0x7ffffe40,0xd13fffe4,
    0x01ffffff,0xfffff900,0x7ffff45f,0x7fe4001f,0x7ff44fff,0x8000ffff,
    0x2ffffffc,0x3fffffe2,0xffffe800,0x7ffff41f,0xfc8000ff,0x6c2fffff,
    0x7c0fffff,0xc800316f,0xfffffffe,0x0bffff22,0x03fffffd,0xfffffc80,
    0x3fffffd4,0xffffc800,0xbffff14f,0x7fffffc4,0xfff10004,0x7ff4bfff,
    0x64001fff,0x224fffff,0x04ffffff,0xfffff100,0x7fffc4bf,0xfff9007f,
    0x7ffc45ff,0x10004fff,0x8bffffff,0x4c7ffffe,0x880004ff,0x22ffffea,
    0x742ffffc,0x001fffff,0xa7ffffe4,0x01fffffe,0x7ffffe40,0x4bffff34,
    0x0ffffffb,0x3ffee000,0x3fffa6ff,0x7e4001ff,0x3ee4ffff,0x000fffff,
    0x3ffffee0,0x3ffffe26,0xffff7006,0x7fffdc7f,0x2e0000ff,0x7c6fffff,
    0x7dc6ffff,0x3600001f,0x3f22ffff,0x7ff42fff,0x64001fff,0xfd4fffff,
    0x8003ffff,0x54fffffc,0x7ecdffff,0x0005ffff,0x3fffffcc,0x03fffffd,
    0xfffffc80,0x3fffff64,0x7fcc0005,0x3fe27fff,0xf5005fff,0x7ec9ffff,
    0x0005ffff,0x3fffffcc,0x8dfffff1,0x400007fe,0x322ffffd,0x7f42ffff,
    0x4001ffff,0xd4fffffc,0x003fffff,0x4fffffc8,0x74fffff5,0x004fffff,
    0x7ffffc40,0xfffffd1f,0xfffc8003,0x3fffa4ff,0x440004ff,0x11ffffff,
    0x00dfffff,0x8fffffee,0x04fffffe,0x7fffc400,0xffff11ff,0x027fc4df,
    0x3fff6000,0x3ffff22f,0x7fffff42,0x7ffe4001,0xffffd4ff,0xffc8003f,
    0xfff74fff,0x3fffe1ff,0xf80003ff,0xfd2fffff,0x8003ffff,0x24fffffc,
    0x03ffffff,0xfffff800,0xfffff12f,0x3ffee00f,0x3fffe2ff,0xf80003ff,
    0x3e2fffff,0x3ea7ffff,0x6c00002f,0x3f22ffff,0x7ff42fff,0x64001fff,
    0xfd4fffff,0x8003ffff,0x94fffffc,0x3e1fffff,0x002fffff,0xfffffe80,
    0x3fffffd3,0xffffc800,0x3ffffe4f,0xfe80002f,0xff13ffff,0x9001ffff,
    0x7c3fffff,0x002fffff,0xfffffe80,0x3fffffe3,0x9b81ffb0,0xfffb0000,
    0x7fffe45f,0x7fffff42,0x7ffe4001,0xffffd4ff,0xffc8003f,0xfffb4fff,
    0xffff13ff,0xb00003ff,0x3a9fffff,0x001fffff,0xa7ffffe4,0x1ffffff8,
    0xfffd8000,0xffff14ff,0xffd007ff,0x3fe21fff,0x0001ffff,0x4fffffd8,
    0x4ffffffa,0x7ffd45ff,0x3f6002df,0x3ff22fff,0x7fff42ff,0x7e4001ff,
    0xffd4ffff,0xc8003fff,0xfd4fffff,0x3fe5ffff,0x0002ffff,0x4fffffe8,
    0x03fffffd,0xfffffc80,0x3fffffe4,0xffe80002,0xfff14fff,0x5401dfff,
    0x7c7fffff,0x002fffff,0xfffffe80,0x3ffffee4,0x7ec3ffaf,0x2002ffff,
    0x322ffffd,0x7f42ffff,0x4001ffff,0xd4fffffc,0x003fffff,0x4fffffc8,
    0x27fffffd,0x03fffffe,0xfffff800,0xfffffd2f,0xfffc8003,0x3fffa4ff,
    0xf80003ff,0xf12fffff,0x1dffffff,0xffffff30,0xfffffe87,0xfff80003,
    0x3fe22fff,0x0fffffff,0x1fffffea,0x5ffffb00,0x217fffe4,0x01fffffe,
    0x7ffffe40,0x3fffffd4,0xffffc800,0xfffffd4f,0x3fffff67,0x7fc40004,
    0xffd1ffff,0xc8005fff,0x363fffff,0x004fffff,0x7ffffc40,0xfffff11f,
    0x7337dfff,0x0fffffff,0x09fffffb,0xffff8800,0x7ffe41ff,0xecafffff,
    0x04ffffff,0x17fffec0,0xe85ffff9,0x002fffff,0x9fffffe4,0x02fffffe,
    0x7ffffe40,0x7fffffd3,0x17fffff2,0xffff3000,0x3fffa1ff,0x7e4002ff,
    0x3f23ffff,0x0005ffff,0x7fffffcc,0xffffff10,0xffffffff,0x907fffff,
    0x00bfffff,0xfffff980,0x7fff440f,0xffffffff,0x000effff,0x917fffec,
    0xfe85ffff,0x4002ffff,0xd3fffffc,0x005fffff,0x3fffffc8,0x27fffffd,
    0x0ffffffa,0x3ffee000,0x3fffa7ff,0x7ec002ff,0x3ea3ffff,0x000fffff,
    0x3ffffee0,0x3ffffe27,0xffffffde,0x505fffff,0x01ffffff,0x7fffdc00,
    0xffff307f,0xffffffff,0xb0003fff,0x7e45ffff,0x7ff42fff,0x6c002fff,
    0xfd3fffff,0x8005ffff,0xd3fffffd,0x267fffff,0x04ffffff,0xfffff100,
    0x7fffecdf,0x7fec003f,0x3fe63fff,0x0004ffff,0xdffffff1,0xb7ffffc4,
    0xfffffffc,0x3fe603ff,0x0004ffff,0xdffffff1,0x7ffff4c0,0xefffffff,
    0xfffb0001,0x7fffe45f,0x7ffffec2,0x7ffec003,0xffffb3ff,0xffd8007f,
    0xfffd3fff,0x3ffe27ff,0x8000ffff,0x3ffffffb,0x17fffff2,0xfffffd00,
    0x7ffffc45,0xfb8000ff,0x223fffff,0x2a6fffff,0x1efffffe,0x7ffffc40,
    0xfb8000ff,0x803fffff,0xfffffffc,0x6c0002ef,0x3f22ffff,0x7fe42fff,
    0x74005fff,0xf92fffff,0x800bffff,0xd2fffffe,0x547fffff,0x05ffffff,
    0x7ffffcc0,0x7fffdc6f,0xff7002ff,0xfa83ffff,0x005fffff,0x7fffffcc,
    0x7ffffc46,0x001aa886,0x7fffffd4,0x7ffcc005,0xf7006fff,0x0135559f,
    0x3fff6000,0x3ffff22f,0x7ffffdc2,0xfff7002f,0x3fee3fff,0x7002ffff,
    0x23ffffff,0x41cccccb,0xeffffffe,0xffffa800,0x7fcc2fff,0x400fffff,
    0x7ffffff8,0xffffffd0,0xfff5001d,0xf885ffff,0x0006ffff,0xfffffe80,
    0xffa800ef,0x002fffff,0x00000ffb,0x22ffffd8,0x4c2ffffc,0x0fffffff,
    0x7ffffc40,0x3fffe67f,0x7c400fff,0x007fffff,0xffffff98,0x6d441bff,
    0x5fffffff,0xffffffb0,0x3ffaa05d,0xf303ffff,0x7fffffff,0xfffda883,
    0xf885ffff,0x0006ffff,0xfffff980,0x5441bfff,0xfffffffd,0x0bff1005,
    0xffd80000,0x3fff22ff,0xffffd82f,0xfd502eff,0xd87fffff,0x2effffff,
    0xfffffd50,0x77776c7f,0xfffff905,0xffdfffff,0xffffffff,0x3ffe601f,
    0xeeffffff,0xfffffffe,0x7ffe407f,0xefffffff,0xffffffff,0xff880fff,
    0x00006fff,0xffffff90,0xfffdffff,0xffffffff,0x0bfea001,0xffb00000,
    0x7ffe45ff,0xffff982f,0xeeefffff,0xffffffff,0xfffff987,0xfeeeffff,
    0x7fffffff,0x83fffff4,0xffffffd8,0xffffffff,0x02ffffff,0x7fffffec,
    0xffffffff,0x403fffff,0xffffffd8,0xffffffff,0x02ffffff,0x0dfffff1,
    0x3f620000,0xffffffff,0xffffffff,0x32002fff,0x000000ff,0x917fffec,
    0x3605ffff,0xffffffff,0xffffffff,0xffb03fff,0xffffffff,0xffffffff,
    0xffffe87f,0x7fffd407,0xffffffff,0x00dfffff,0xffffff90,0xffffffff,
    0x54009fff,0xffffffff,0xffffffff,0x3fe200df,0x00006fff,0x7ffffd40,
    0xffffffff,0x000dffff,0x000037fc,0x17fffec0,0x405ffff9,0xfffffffc,
    0xffffffff,0x7fe404ff,0xffffffff,0x4fffffff,0x07ffffe8,0xfffffd88,
    0xffffffff,0xffa8003f,0xffffffff,0x001effff,0xfffffd88,0xffffffff,
    0xfff8803f,0x000006ff,0xfffffd88,0xffffffff,0xff98003f,0xd8000003,
    0x3f22ffff,0x7d402fff,0xffffffff,0x01efffff,0xffffff50,0xffffffff,
    0x3fffa03d,0x3b2a007f,0xefffffff,0x220000cd,0xffffffec,0x000cefff,
    0x7fff6540,0x0cdeffff,0xfffff100,0x4000000d,0xfffffeca,0x000cdeff,
    0x0003ff70,0xffffb000,0x17fffe45,0x7fff6440,0xceffffff,0x7f644000,
    0xffffffff,0x3ffa00ce,0x220007ff,0x00001ab9,0x2aeaaa20,0x000000aa,
    0x0006ae62,0x05555550,0x44000000,0x00001ab9,0x00000144,0x20aaaaa8,
    0x000aaaa9,0x555d5544,0x5100000a,0x01555755,0x1fffffa0,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3fa00000,0x40007fff,0x02eeeeed,0x77754000,0x000005ee,0x00003310,
    0xddddd700,0xc8000009,0x000eeeee,0x7774c000,0x00000dee,0xd3017b93,
    0x3200005d,0x000deeee,0x3bbbbae0,0xfffffd00,0x7ffcc000,0x000005ff,
    0x05fffff9,0xffb00000,0x44000003,0x00efffff,0x3fea0000,0x0005ffff,
    0x7fffec00,0xfb00002f,0x117bffff,0x00005ffb,0xbffffff5,0x3ffea000,
    0xffd06fff,0x6c000fff,0x0005ffff,0x7fffec00,0xd8000006,0x000002ff,
    0x03bfffee,0xff880000,0x03ffffff,0xfff10000,0x200005ff,0xfffffffb,
    0x01ffffff,0x7fffc400,0x4003ffff,0xfffffff8,0xffffe83f,0xfff30007,
    0x000000df,0x007ffff6,0x3ff6e000,0x001cefff,0x7ffffc00,0x6c000000,
    0xfffdffff,0xc800001f,0x0003ffff,0x3fbfffa0,0x6fffffff,0xfffd8000,
    0x00ffffde,0x37ffff60,0x7f41ffff,0xb0007fff,0x0001dfff,0x7fff4000,
    0x3a600005,0xffffffff,0x700004ff,0x0003ffff,0xffffb800,0x06fffe89,
    0x7ffc4000,0x7c00004f,0xff9510ff,0x80001bff,0xe89ffffb,0xf7006fff,
    0xffd15fff,0xffffe8df,0xfff88007,0x0000000e,0x00ffff44,0x7fffd400,
    0xffffffff,0xfe80006f,0x000001ff,0x327fffcc,0x0009ffff,0x027ffdc0,
    0x01e64000,0x30000155,0x7cc7ffff,0x7c404fff,0x3fe64fff,0x3fffa4ff,
    0xaa98007f,0x0000000a,0x00355510,0xfffff880,0xffffffff,0x220004ff,
    0x00001aaa,0x82aaa980,0x0002aaa9,0x000aaaa0,0x09988000,0x554c0000,
    0x2aaa982a,0x415554c0,0x3fa2aaa9,0x00007fff,0x00000000,0x3ff60000,
    0xeffeefff,0x01ffffff,0x00000000,0x00000000,0x80000000,0xfffffdb8,
    0x0001bcef,0x00000000,0x3fffff40,0x5dddddd9,0x3bbae000,0x88002eee,
    0x03eeeeee,0x3fffe600,0xa9ffd8df,0x004fffff,0xdddddd10,0x10000007,
    0x07dddddd,0x3bbbb600,0xeeeeeeee,0xeeeeeeee,0x3ff2005e,0xffffffff,
    0xd800dfff,0xeeeeeeee,0xeeeeeeee,0x205eeeee,0x00eeeeee,0x4cfffffd,
    0x06ffffff,0xfffff980,0xff70006f,0x001fffff,0x3ffffea0,0x3f63ffb0,
    0x70006fff,0x1fffffff,0xfb800000,0x00ffffff,0xfffffe80,0xffffffff,
    0xffffffff,0xfffe9807,0xffffffff,0x403fffff,0xfffffffe,0xffffffff,
    0x07ffffff,0x03fffffe,0x23fffff4,0x3ffffffc,0x7fffec00,0xfd0001ff,
    0x07ffffff,0x3fffee00,0x6cc7ff65,0xd0001abc,0x7fffffff,0xfe800000,
    0x03ffffff,0xfffffe80,0xffffffff,0xffffffff,0x7fffdc07,0xffffffff,
    0xdfffffff,0xfffffd00,0xffffffff,0xffffffff,0x7ffffc0f,0xffffd00f,
    0xfffff88f,0xff5000ff,0x0009ffff,0x3fffffe6,0xf90006ff,0x7fecbfff,
    0x7cc00001,0x6fffffff,0x3e600000,0x6fffffff,0xffffe800,0xffffffff,
    0xffffffff,0x3ffea07f,0xffffffff,0xffffffff,0xfffd06ff,0xffffffff,
    0xffffffff,0x7ffc0fff,0xffd00fff,0xfff50fff,0x3a00bfff,0x00ffffff,
    0xfffff900,0x0003ffff,0x6cfffff7,0x400001ff,0xfffffffc,0x000001ff,
    0xfffffff9,0xfe8003ff,0xffffffff,0xffffffff,0xf107ffff,0xbfffffff,
    0xfd751137,0x07ffffff,0xfffffffd,0xffffffff,0x0fffffff,0x07fffffc,
    0x07ffffe8,0x5ffffffb,0xfffffb80,0xff10002f,0xffffffff,0xfff50009,
    0x07ff69ff,0xfff88000,0x4fffffff,0xff880000,0xffffffff,0x7fff4004,
    0xaaaaacff,0xaaaaaaaa,0xfffb02aa,0x9003ffff,0x1fffffff,0xcfffffe8,
    0xaaaaaaaa,0x2aaaaaaa,0x3fffffe0,0xfffffd00,0x3ffffe20,0x3ffe206f,
    0x20005fff,0xfffffffb,0x4000ffff,0xeffffff8,0x00001ffe,0x3fffffee,
    0x000fffff,0x7fffdc00,0x0fffffff,0x3ffffa00,0xa800002f,0x0dffffff,
    0x3fffe600,0x7fff45ff,0x000002ff,0x03fffffe,0x03fffff4,0x7ffffff7,
    0x3fffff20,0x3fa0000f,0xfffeffff,0xfc8003ff,0xffffffff,0x3fa00002,
    0xfffeffff,0x400003ff,0xfefffffe,0x2003ffff,0x02fffffe,0xfffe8000,
    0xc8000fff,0x22ffffff,0x02fffffe,0x3ffe0000,0xffd00fff,0xffe80fff,
    0x7cc0ffff,0x003fffff,0x3ffffe60,0x6fffffae,0xffff8800,0xbeffffff,
    0x3fe60000,0xfffaefff,0x200006ff,0xaefffff9,0x006fffff,0x0bfffffa,
    0xfff10000,0x20009fff,0x5ffffff8,0x0bfffffa,0xfff80000,0xffd00fff,
    0xff980fff,0x7f44ffff,0x0006ffff,0x57ffffe4,0x1ffffff8,0xffffa800,
    0xffffffff,0xffc8000d,0xfff8afff,0x00001fff,0x15fffff9,0x03ffffff,
    0x3fffffa0,0x7dc00002,0x000fffff,0x3ffffee0,0x3fffffa6,0x3e000002,
    0xd00fffff,0x900fffff,0x23ffffff,0x1ffffffa,0x7fffc000,0xffff90ff,
    0x3a60009f,0xffffffff,0x4001ffff,0x90ffffff,0x009fffff,0x3ffffe00,
    0xfffff90f,0x3fffa009,0x400002ff,0x05fffffd,0x7fffcc00,0x3ffffa7f,
    0x2000002f,0x00ffffff,0x00fffffd,0xdfffffd1,0x9ffffff1,0xfffa8000,
    0x3ffe65ff,0x10000fff,0xfffffff7,0x003fffff,0x97ffffea,0x0ffffff9,
    0x7ffd4000,0x3ffe65ff,0xfe800fff,0x0002ffff,0x7fffff40,0x7fc40004,
    0xffd1ffff,0x00005fff,0x7fffffc0,0xfffffd00,0x3fffea00,0xfffffeff,
    0x7ec0000e,0x7f42ffff,0x0003ffff,0xfffffea8,0xb006ffff,0xe85fffff,
    0x003fffff,0x7ffffec0,0x7fffff42,0xffffe803,0xeeeeeeef,0xeeeeeeee,
    0xffffff84,0xfff80003,0xfffd2fff,0xddddddff,0xdddddddd,0xffff809d,
    0xfffd00ff,0x7fec00ff,0xffffffff,0x7c40002f,0xfb87ffff,0x0006ffff,
    0xfffdffb0,0x8805ffff,0xb87fffff,0x006fffff,0x3ffffe20,0xfffffb87,
    0xffffe806,0xffffffff,0xffffffff,0xffffff85,0xffe80002,0xfffd3fff,
    0xffffffff,0xffffffff,0xffff80bf,0xfffd00ff,0x7fc400ff,0xffffffff,
    0xffb80005,0xff884fff,0x0001ffff,0xfe99ffd8,0x5c04ffff,0x884fffff,
    0x01ffffff,0xfffff700,0xfffff109,0xfffe803f,0xffffffff,0xffffffff,
    0x7fffc45f,0xd80001ff,0xfd4fffff,0xffffffff,0xffffffff,0xff80bfff,
    0xfd00ffff,0xb800ffff,0xffffffff,0xfe80000f,0xfd01ffff,0x0009ffff,
    0x7f43ffb0,0x7f405fff,0xfd01ffff,0x0009ffff,0x07fffffa,0x27fffff4,
    0x3fffffa0,0xffffffff,0x5fffffff,0x2ffffff8,0xfffe8000,0xffffd4ff,
    0xffffffff,0xffffffff,0xfffff80b,0x4000000f,0xfffffffe,0xff980003,
    0x3ee06fff,0x000fffff,0xb87ff60c,0x2607ffff,0x206fffff,0x0ffffffb,
    0x7fffcc00,0x3ffee06f,0x3fa00fff,0xffffffff,0xffffffff,0xffe85fff,
    0x80003fff,0xd2ffffff,0xffffffff,0xffffffff,0xf80bffff,0x200fffff,
    0x004eeeee,0x7fffffcc,0xff900006,0x7c407fff,0x203fffff,0x21fffed9,
    0x3fe61ffd,0x3ff206ff,0x3e203fff,0x003fffff,0x1fffffe4,0xffffff10,
    0x7ffff407,0xaaaaaacf,0xaaaaaaaa,0xfffffd82,0x7fc40004,0xffd1ffff,
    0x55559fff,0x55555555,0xfff80555,0x3fe00fff,0xd8006fff,0x002fffff,
    0xfffff880,0x999999af,0x6fffffd9,0x3ffffe60,0xfb87ff65,0xff105fff,
    0x3335ffff,0xfffb3333,0x7c400dff,0x99afffff,0xffd99999,0x3fa06fff,
    0x0002ffff,0x7ffffe40,0x7fcc0005,0xffd0ffff,0x00005fff,0x7fffffc0,
    0x3ffffe00,0xfffd8006,0xb80002ff,0xffffffff,0xffffffff,0x201fffff,
    0xb0ffffff,0x7fff43ff,0xffff703f,0xffffffff,0xffffffff,0x3fee003f,
    0xffffffff,0xffffffff,0xffd01fff,0x00005fff,0xffffffa8,0x3fee0000,
    0x3ffa7fff,0x00002fff,0x3fffffe0,0x3ffffe00,0xfffd8006,0xe80002ff,
    0xffffffff,0xffffffff,0x204fffff,0x9ffffffc,0xfff71ffd,0x3ffa03ff,
    0xffffffff,0xffffffff,0xfd004fff,0xffffffff,0xffffffff,0x3a09ffff,
    0x002fffff,0x7fffcc00,0xf10004ff,0x74dfffff,0x002fffff,0x3fffe000,
    0x3ffe00ff,0xfd8006ff,0x0002ffff,0x7fffffcc,0xffffffff,0xffffffff,
    0xffff300f,0xd9ffdfff,0x20bfffff,0xfffffff9,0xffffffff,0xffffffff,
    0x7fffcc00,0xffffffff,0xffffffff,0xffe80fff,0x00002fff,0x7fffffc4,
    0xffb8000f,0x3fa3ffff,0x0002ffff,0x3ffffe00,0x3fffe00f,0xffd8005f,
    0x40002fff,0xfffffffc,0xffffffff,0xffffffff,0x3fffee03,0xffffffff,
    0xf900ffff,0xffffffff,0xffffffff,0x07ffffff,0xffffffc8,0xffffffff,
    0xffffffff,0xffffe83f,0xa800002f,0x05ffffff,0x7ffffcc0,0x7ffff46f,
    0x2000002f,0x00ffffff,0x8004ffa8,0x02fffffd,0x7ffffc00,0xffffffff,
    0xffffffff,0x7ec06fff,0xffffffff,0x201fffff,0xffffffff,0xffffffff,
    0xffffffff,0x7ffffc06,0xffffffff,0xffffffff,0xffe86fff,0x00002fff,
    0xffffffd0,0xfff5001d,0xfe85ffff,0x0002ffff,0x3ffffe00,0x3ffc800f,
    0xffffd800,0x3ea0002f,0x8007ffff,0x1ffffffa,0x7ffffe40,0x0effffff,
    0x3ffffea0,0xfffa8007,0xff501fff,0x5000ffff,0x83ffffff,0x02fffffe,
    0xfff30000,0x837fffff,0xfffffda8,0xfffe85ff,0x000002ff,0x03fffffe,
    0x0007ffa0,0x0bfffff6,0xffffd800,0xfff0004f,0xb3009fff,0xbfffffff,
    0xffffb005,0x3fe0009f,0xfb04ffff,0x0009ffff,0x13fffffe,0x37fffffd,
    0x33333333,0x13333333,0x3fffff20,0xffefffff,0xffffffff,0xffffe80f,
    0x999999bf,0x99999999,0xffff0099,0x7f4c01ff,0xffb0004f,0x20005fff,
    0x1ffffff8,0xffff9000,0x74c001ff,0x3e2003ff,0x001fffff,0xffffff90,
    0xfffff881,0xff90001f,0x7f41ffff,0xffffffff,0xffffffff,0x103fffff,
    0xfffffffb,0xffffffff,0x205fffff,0xfffffffe,0xffffffff,0x3fffffff,
    0x1ffffff0,0x03fffea0,0x7fffec00,0xff70002f,0x4000dfff,0x3ffffff9,
    0x00ffec00,0xdfffff70,0x7ffcc000,0x7fdc3fff,0x20006fff,0x3ffffff9,
    0x3ffffffa,0xffffffff,0xffffffff,0x7fffd403,0xffffffff,0x00dfffff,
    0x3ffffffa,0xffffffff,0xffffffff,0xffffff03,0x037fe201,0xffffd800,
    0xffd0002f,0x80007fff,0x06fffffe,0x000ffec0,0x07fffffd,0xffffe800,
    0x7ffff46f,0x7f40003f,0x3fa6ffff,0xffffffff,0xffffffff,0x803fffff,
    0xffffffd8,0xffffffff,0xffffe803,0xffffffff,0xffffffff,0xffff03ff,
    0x015c01ff,0x7fffec00,0xff98002f,0x0000ffff,0x7fffffdc,0x07ff6001,
    0x7ffffcc0,0x7dc0000f,0xf31fffff,0x001fffff,0xfffffb80,0xfffffd1f,
    0xffffffff,0xffffffff,0x7654007f,0xefffffff,0xffd000cd,0xffffffff,
    0xffffffff,0x3e07ffff,0x000fffff,0xfffd8000,0xfd8002ff,0x0005ffff,
    0xffffff88,0x02aa6004,0x7ffffec0,0xff880005,0xffb4ffff,0x0000bfff,
    0x9ffffff1,0x3ffffffa,0xffffffff,0xffffffff,0x2e620003,0x3fa0001a,
    0xffffffff,0xffffffff,0xf03fffff,0x001fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3bbbbb60,0x3bbb6201,0x800001ee,0x541cccca,0x2001cccc,0x03eeeeec,
    0x83999950,0x201cccca,0xcc84cccc,0x99000ccc,0x99990999,0xa8000019,
    0x1dd902cd,0x3332a000,0x6666541c,0x7b910002,0x007dd101,0x00cccc40,
    0x07fffff7,0xbfffff30,0xff900000,0xfffc87ff,0x3fa2003f,0xf9007fff,
    0xffc85fff,0x3ffe03ff,0x7fffc0ff,0xffff000f,0xfffff81f,0xfd300000,
    0x3159ffff,0x64000fff,0x7e43ffff,0xc8003fff,0x9bdfffff,0x0004ffc8,
    0xe817fff2,0x2004ffff,0x01fffffa,0x7ffe4000,0x7fffe43f,0x7ffc4003,
    0xffc803ff,0x7ffe42ff,0x3fffe03f,0x7ffffc0f,0xfffff000,0x0fffff81,
    0xfffd0000,0xffffffff,0x7e4000df,0x7fe43fff,0x7d4003ff,0xffffffff,
    0x0002ffff,0x540ffffa,0x8005ffff,0x005ffffa,0x7fffe400,0x1ffffe43,
    0x7fffcc00,0xffffc806,0x1ffffe42,0x81fffff0,0x000fffff,0xf81fffff,
    0x0000ffff,0xfeefff88,0x3fffffff,0x3fff2000,0x7fffe43f,0x7ffe4003,
    0xfffffffe,0x3e20007f,0xffd01fff,0x7dc000bf,0x00000fff,0x90fffff2,
    0x0007ffff,0x00bfffe6,0xc85ffff9,0x3e03ffff,0x7fc0ffff,0xff000fff,
    0xfff81fff,0x980000ff,0x3f6e25ff,0x40003fff,0x643ffffc,0x4003ffff,
    0x3f261ffd,0x0001dfff,0x203fffea,0x0006fff9,0x004fffb8,0x2aaaa600,
    0x0d5554c0,0xdfff5000,0x0aaaa980,0x0055554c,0x55055555,0x55400555,
    0xaaaa82aa,0x99100002,0x000aa203,0x0d5554c0,0x006aaaa6,0x54c09970,
    0xffc80001,0x1555306f,0x2aaa0000,0x44000002,0x00000099,0x00005553,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7f400000,0x000004ff,
    0x20000000,0xfffffdb8,0x0001bcef,0x3bbbb600,0x775c001e,0xddd03eee,
    0x00001ddd,0x7dddddd1,0xd1000000,0x007ddddd,0x3bbbbb60,0xeeeeeeee,
    0xeeeeeeee,0x3bbbbb25,0x77744002,0x7fc403ee,0x3bba02ff,0x776c0eee,
    0xeeeeeeee,0xeeeeeeee,0x32005eee,0xffffffff,0x00dfffff,0xeeeeee80,
    0x3fffffd0,0xffffc800,0xfffff04f,0xf700001f,0x01ffffff,0xffb80000,
    0x000fffff,0xffffffe8,0xffffffff,0x7fffffff,0x3ffffffa,0x3ffe2000,
    0x7fcc04ff,0x3ffe00ff,0x7ff40fff,0xffffffff,0xffffffff,0xe9807fff,
    0xffffffff,0xffffffff,0x7fffc003,0xffffd0ff,0xffc8003f,0xfff04fff,
    0x00001fff,0xfffffffd,0xe8000007,0x3fffffff,0xffffe800,0xffffffff,
    0xffffffff,0x3ffffa7f,0x3e2004ff,0x5c04ffff,0x7fc06fff,0x7f40ffff,
    0xffffffff,0xffffffff,0x5c07ffff,0xffffffff,0xffffffff,0xf000dfff,
    0x3a1fffff,0x001fffff,0x27ffffe4,0x0ffffff8,0x7ffcc000,0x006fffff,
    0x3ffe6000,0x006fffff,0xffffffe8,0xffffffff,0x7fffffff,0x3ffffffa,
    0xfff1001f,0xffd809ff,0x7fffc04f,0x7fff40ff,0xffffffff,0xffffffff,
    0x3fea07ff,0xffffffff,0xffffffff,0xff006fff,0x3fa1ffff,0x4001ffff,
    0x04fffffc,0x01ffffff,0xffffc800,0x001fffff,0xffff9000,0x003fffff,
    0xffffffe8,0xffffffff,0x7fffffff,0x3ffffffa,0xfff1006f,0xfff809ff,
    0x7fffc02f,0x7fff40ff,0xffffffff,0xffffffff,0xfff107ff,0x37bfffff,
    0xfffd7511,0xf007ffff,0x3a1fffff,0x001fffff,0x27ffffe4,0x0ffffff8,
    0x3ffe2000,0x4fffffff,0xff880000,0xffffffff,0x7fff4004,0xaaaaacff,
    0xaaaaaaaa,0x3fffa2aa,0x803fffff,0x04fffff8,0x003fffe6,0x81ffffff,
    0xacfffffe,0xaaaaaaaa,0x02aaaaaa,0xfffffffb,0xffff9003,0xff801fff,
    0xffd0ffff,0xc8003fff,0xf04fffff,0x001fffff,0x7ffffdc0,0x00ffffff,
    0x7ffdc000,0xffffffff,0x3fffa000,0x200002ff,0xfffffffe,0x7fc400ff,
    0x3ee04fff,0xfff806ff,0x7ff40fff,0x00002fff,0xffffffa8,0x3fe6000d,
    0x7c05ffff,0xfd0fffff,0x8003ffff,0x04fffffc,0x01ffffff,0x7ffff400,
    0x3fffffef,0x7ff40000,0xffffefff,0x3ffa003f,0x00002fff,0x3ffffffa,
    0x7c404fff,0x3604ffff,0xff805fff,0x7f40ffff,0x0002ffff,0xfffffe80,
    0xffc8000f,0x3e02ffff,0xfd0fffff,0x8003ffff,0x04fffffc,0x01ffffff,
    0x3fffe600,0xfffffaef,0x3e600006,0xffaeffff,0x3a006fff,0x002fffff,
    0x3ffffa00,0x01ffffff,0x13ffffe2,0x803ffff8,0x40ffffff,0x02fffffe,
    0x7ffc4000,0x10004fff,0x0bffffff,0x87fffffc,0x01fffffe,0x7ffffe40,
    0xffffff04,0x3ff20001,0xfff8afff,0x00001fff,0x15fffff9,0x03ffffff,
    0x3fffffa0,0x3fa00002,0xffffffff,0x3ffe206f,0xfff304ff,0xffff003f,
    0xfffe81ff,0x400002ff,0x0ffffffb,0x3ffee000,0x3ffe06ff,0xfffd0fff,
    0xfc8003ff,0xff04ffff,0x0001ffff,0x43fffffe,0x04fffffc,0xfffff000,
    0x3ffff21f,0xfffd004f,0x400005ff,0xfffffffe,0xf103ffff,0x2e09ffff,
    0xff007fff,0xfe81ffff,0x0002ffff,0x7ffffec0,0x7fcc0005,0x3fe07fff,
    0xffd0ffff,0xc8003fff,0xf04fffff,0x001fffff,0xbfffff50,0x7fffffcc,
    0x7fd40000,0x3fe65fff,0xe800ffff,0x002fffff,0x3ffffa00,0xffffffdf,
    0xfffff880,0x0bfffb04,0x3fffffe0,0x7fffff40,0x7f400002,0x0004ffff,
    0x7fffffc4,0xffffff01,0x3fffffa1,0x7ffe4001,0xffff04ff,0xfb0001ff,
    0xfe85ffff,0x0003ffff,0x17ffffec,0x0ffffffa,0x3fffffa0,0xeeeeeeee,
    0x4eeeeeee,0x47fffff4,0x85ffffff,0x04fffff8,0x2007ffff,0x40ffffff,
    0xeefffffe,0xeeeeeeee,0xf84eeeee,0x003fffff,0xffffff80,0xffffff02,
    0x3fffffa1,0x7ffe4001,0xffff04ff,0xf88001ff,0xfb87ffff,0x0006ffff,
    0x1fffffe2,0x1bffffee,0x3fffffa0,0xffffffff,0x5fffffff,0xbbfffff4,
    0x42ffffff,0x84fffff8,0x001ffff8,0x81ffffff,0xfffffffe,0xffffffff,
    0xf85fffff,0x002fffff,0xfffffe80,0xffffff03,0x3fffffa1,0x7ffe4001,
    0xffff04ff,0xfb8001ff,0xf884ffff,0x001fffff,0x9fffff70,0xffffff10,
    0xffffe803,0xffffffff,0xffffffff,0x3fffff45,0x8dfffffd,0x84fffff8,
    0x2007fffa,0x40ffffff,0xfffffffe,0xffffffff,0x445fffff,0x01ffffff,
    0xffffd800,0xfffff04f,0x3ffffa1f,0x7fe4001f,0xfff04fff,0xe8001fff,
    0xd01fffff,0x009fffff,0x3fffffa0,0xfffffd01,0xffffe809,0xffffffff,
    0xffffffff,0x3fffff45,0x7ffffff3,0x27ffffc4,0x002fffe4,0x81ffffff,
    0xfffffffe,0xffffffff,0xf85fffff,0x002fffff,0xfffffe80,0xffffff04,
    0x3fffffa1,0x7ffe4001,0xffff04ff,0x7cc001ff,0x2e06ffff,0x00ffffff,
    0x7ffffcc0,0x3fffee06,0x3ffa00ff,0xffffffff,0xffffffff,0x7fff45ff,
    0x7fffe47f,0xffff10ff,0x7fffd09f,0x7ffffc00,0x7ffff40f,0xffffffff,
    0xffffffff,0xfffffe85,0xfff80003,0xfff02fff,0x3ffa1fff,0x64001fff,
    0xf04fffff,0x001fffff,0x1fffffe4,0xffffff10,0xfffc8007,0x3fe203ff,
    0x3a03ffff,0xaacfffff,0xaaaaaaaa,0x7f42aaaa,0x7fc47fff,0xff15ffff,
    0xff889fff,0x3fe001ff,0x7f40ffff,0xaaacffff,0xaaaaaaaa,0xffd82aaa,
    0x40004fff,0x1ffffff8,0x1ffffff0,0x0bfffffa,0xfffff900,0x3ffffe07,
    0xfff1000f,0x33335fff,0xffffb333,0x7fc400df,0x999affff,0xfffd9999,
    0x3ffa06ff,0x00002fff,0x21fffffa,0xaffffffa,0x44fffff8,0x4007fffa,
    0x40ffffff,0x02fffffe,0x7ffe4000,0x4c0005ff,0x00ffffff,0x21ffffff,
    0x02fffffe,0x7ffffe40,0xffffff03,0x3ffee001,0xffffffff,0xffffffff,
    0xff7001ff,0xffffffff,0xffffffff,0x3fa03fff,0x0002ffff,0x1fffffa0,
    0x77ffffec,0x44fffff9,0x4006fffc,0x40ffffff,0x02fffffe,0x7ffd4000,
    0x20000fff,0x07fffffb,0x43fffffe,0x02fffffe,0x7ffffec0,0xffffff03,
    0x3fffa001,0xffffffff,0xffffffff,0xffd004ff,0xffffffff,0xffffffff,
    0x3fa09fff,0x0002ffff,0x1fffffa0,0x7fffffc4,0x44fffffd,0x4004fffe,
    0x40ffffff,0x02fffffe,0x7ffcc000,0x10004fff,0x0dffffff,0x87fffffc,
    0x03fffffd,0x7ffffec0,0xffffff03,0xffff3001,0xffffffff,0xffffffff,
    0xf9801fff,0xffffffff,0xffffffff,0x80ffffff,0x02fffffe,0x3fffa000,
    0x3ffee07f,0xffffffff,0x0bfffe24,0xffffff00,0xfffffe81,0x7c400002,
    0x00ffffff,0xfffffb80,0x3fffe03f,0xffff90ff,0xffe800bf,0xfff02fff,
    0xf9001fff,0xffffffff,0xffffffff,0x07ffffff,0xffffffc8,0xffffffff,
    0xffffffff,0xffffe83f,0x3a00002f,0x7407ffff,0xffffffff,0x3ffea4ff,
    0x7ffc000f,0x7ff40fff,0x00002fff,0xffffffa8,0x7ffcc005,0x7fc06fff,
    0xff70ffff,0x2005ffff,0x1ffffffb,0x1ffffff0,0xffffff00,0xffffffff,
    0xffffffff,0xfff80dff,0xffffffff,0xffffffff,0xe86fffff,0x002fffff,
    0x3ffffa00,0x7fffd407,0x24ffffff,0x8006fffc,0x40ffffff,0x02fffffe,
    0xfffd0000,0x5001dfff,0x5fffffff,0xffffff80,0xffffff30,0xfff8801f,
    0x3fe07fff,0x5400ffff,0x007fffff,0xffffffa8,0xfffff501,0xfff5000f,
    0xffe83fff,0x00002fff,0x01fffffa,0x3ffffff6,0x3ffa4fff,0xfff8004f,
    0x7ff40fff,0x00002fff,0xffffff30,0xda8837ff,0x5fffffff,0xffffff80,
    0x3fffff60,0xffd502ef,0x7c07ffff,0x400fffff,0x04fffffd,0xffffff00,
    0x3ffff609,0xfff0004f,0xffe89fff,0x9999bfff,0x99999999,0xffd09999,
    0xff100fff,0x9fffffff,0x000e6664,0x07fffffc,0x2ffffffa,0x99999999,
    0x99999999,0xfffff900,0xffdfffff,0xffffffff,0xffff001f,0x7ffcc1ff,
    0xeeffffff,0xfffffffe,0x7fffc07f,0x3fe200ff,0x0001ffff,0x1ffffff9,
    0xffffff88,0xfff90001,0x7ff41fff,0xffffffff,0xffffffff,0xffd3ffff,
    0x3ee00fff,0x4fffffff,0x7ffc0000,0x7ff40fff,0xffffffff,0xffffffff,
    0xb103ffff,0xffffffff,0xffffffff,0x2005ffff,0x40ffffff,0xfffffffd,
    0xffffffff,0x7c03ffff,0x200fffff,0x06fffffb,0x3fffe600,0x7ffdc3ff,
    0x260006ff,0x23ffffff,0xfffffffe,0xffffffff,0x3fffffff,0x00fffffd,
    0x7ffffff4,0x7c00004f,0x740fffff,0xffffffff,0xffffffff,0x03ffffff,
    0x7fffffd4,0xffffffff,0x2000dfff,0x80ffffff,0xfffffffc,0xffffffff,
    0xfff804ff,0x3fa00fff,0x0003ffff,0x37fffff4,0x0ffffffa,0xffffd000,
    0x7ffff4df,0xffffffff,0xffffffff,0xffffd3ff,0x7ffcc00f,0x0004ffff,
    0x7fffffc0,0x7fffff40,0xffffffff,0xffffffff,0xffd8803f,0xffffffff,
    0x8003ffff,0x00ffffff,0xfffffff5,0xdfffffff,0x3fffe003,0xfff300ff,
    0x80001fff,0x1ffffffb,0x1ffffff3,0xfffb8000,0xfffd1fff,0xffffffff,
    0xffffffff,0x3ffa7fff,0x7e4007ff,0x004fffff,0x7ffffc00,0x7ffff40f,
    0xffffffff,0xffffffff,0x32a003ff,0xfffffffe,0xf0000cde,0x401fffff,
    0xfffffec8,0x00ceffff,0x3fffffe0,0xfffffb00,0xff10000b,0x3f69ffff,
    0x0005ffff,0xffffff88,0xffffffd4,0xffffffff,0xffffffff,0x1fffffa7,
    0xfffff100,0xf800009f,0x740fffff,0xffffffff,0xffffffff,0x03ffffff,
    0x06ae6200,0xffff8000,0x551000ff,0x00155575,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00005b91,
    0x0004c000,0x00000000,0x00262000,0x00333300,0x00099880,0x00026620,
    0x80000440,0x20000998,0x00000998,0x06666662,0x3ff20000,0x00000fff,
    0x3fb72a20,0x02bcefff,0x33100000,0x200f5400,0x0dffffeb,0x37ffcc00,
    0x5fff5000,0x3ffe2000,0x7e4c0002,0x2a0001cf,0x10002fff,0x00005fff,
    0x27ffffe4,0x3fe20000,0x0004febc,0xfffff700,0xffffffff,0x4400003d,
    0xffffedca,0xff981cee,0xfffe881f,0x002fffff,0x000ffff6,0x017fffc4,
    0x005ffb80,0x7ffffc40,0xff88000f,0xf70002ff,0x440000bf,0x004fffff,
    0x264fc800,0x4400007f,0xfffffffe,0xffffffff,0xfb80003f,0xffffffff,
    0xf11dffff,0xffb0dfff,0xffffffff,0xffff3001,0x3ffee000,0xf88002ff,
    0x640001ff,0x03fd98df,0x7ffffdc0,0xfff88002,0x3f200001,0x00005fff,
    0x7fc47fb0,0xff700000,0xffffffff,0xffffffff,0xb10003df,0xffffffff,
    0xffffffff,0x83ffffdb,0xb8cffff9,0xd804ffff,0x5c003fff,0x2fffffff,
    0x04ffc800,0x261ff800,0xfff7006f,0x0005ffff,0x00009ff9,0x02ffffc4,
    0x3df50000,0x400017f2,0xfffffffb,0xffffffff,0x0fffffff,0x3fffee00,
    0xffffffff,0xffffffff,0xffd82fff,0x3fffec6f,0x01fffe60,0x3fffffe0,
    0x7cc002ff,0xe80000ff,0x401bea2f,0xffffffff,0x7ffcc002,0x3ee00000,
    0x00000eff,0x3ffffe20,0xf880004f,0xdfffffff,0xfeca889b,0x04ffffff,
    0xffffff70,0xffffffff,0xffffffff,0x3fffa05f,0x07fffd44,0x007fffb0,
    0xff95dff0,0xffd8005f,0xff700003,0x2005ff77,0xfffcaeff,0x1ffec002,
    0x3ffe0000,0x4000000e,0xfffffffb,0x7fe40000,0x801fffff,0xfffffffc,
    0x7fffc401,0x11bcffff,0xfffffd73,0x7ffc0dff,0x7fffd43f,0x0ffff301,
    0xffc8b600,0x3fea002f,0x3a200006,0x2006ffff,0x0bfff22d,0x006ffa80,
    0x00000000,0xfffffe80,0x260003ff,0x0dffffff,0x3fffea00,0x7fe406ff,
    0x801effff,0xfffffffb,0x3ffff881,0x817fffcc,0x0003fffe,0x005fff90,
    0x00017ff4,0x0016ed40,0x00bfff20,0x0002ffe8,0x00000000,0x7fffffcc,
    0x3a0006ff,0x00ffffff,0xfffffc80,0xffff302f,0x2e001bff,0x5fffffff,
    0x987ffff0,0xf982ffff,0x200007ff,0x7002fffc,0x00000dff,0xff900000,
    0x3fee005f,0xa9800006,0x0001acdc,0xfffff900,0x0003ffff,0x9ffffff3,
    0x3ffe2000,0xffd05fff,0x2001ffff,0xfffffffa,0xffff81ff,0x0ffffd44,
    0x001ffff4,0x05fff900,0x003fff10,0x76654c00,0x8000bcce,0x8802fffc,
    0x00001fff,0x3fffffa6,0x00004fff,0x3fffffe2,0x8004ffff,0x0ffffffa,
    0x3fff2000,0xfff986ff,0xf3004fff,0xffffffff,0xbfffd0bf,0x40ffffb8,
    0x0007fff9,0x017ffe40,0x0002ffe4,0xfffffda8,0x00efffff,0x00bfff20,
    0x00017ff2,0xffffffb8,0x00efffff,0xffffb800,0x0fffffff,0x7fffdc00,
    0x7cc0005f,0xfa87ffff,0x800fffff,0xfcfffff9,0xfc87ffff,0x3ffa0fff,
    0x3fffe86f,0x7fe40000,0x7ffc402f,0xffb80000,0xffffffff,0x9001ffff,
    0xf8805fff,0xb00000ff,0xffffffff,0x05ffffff,0xffffe800,0x3fffffef,
    0x7fffe400,0x7c40004f,0x5c1fffff,0x805fffff,0x99ffffe8,0x40ffffff,
    0xebfffff8,0x7d42ffff,0x800007ff,0x6c02fffc,0xa80004ff,0xffffffff,
    0xffffffff,0x2fffc801,0x0027fec0,0xfffffa80,0xffffeeff,0x260006ff,
    0xfaefffff,0x4006ffff,0x03fffffd,0xfffff800,0x7fffec2f,0x7ff4404f,
    0x3fffe1ff,0xfffc81ff,0x86ffffff,0x0003fffe,0x02fffc80,0x0003ffe6,
    0x3fffffe0,0xffffeeff,0xfc804fff,0x3fe602ff,0xf880000f,0x444fffff,
    0x03fffffd,0xfffff900,0xffffff15,0x7fffc003,0xe80002ff,0x743fffff,
    0x403fffff,0x742ffffd,0x702fffff,0xbfffffff,0x07fffa81,0xfff90000,
    0x01fff405,0x7fffd400,0xfffc81ef,0xffc807ff,0x0fffa02f,0x7ffe4000,
    0x3ff603ff,0xff0006ff,0x3f21ffff,0x1004ffff,0x03ffffff,0xffffb000,
    0xfffff89f,0x3fff602f,0xffffe83f,0x3f72603f,0xfffd02ce,0x2e000007,
    0xff502eee,0x3ae0000d,0xf100ffff,0x700fffff,0x3ea05ddd,0x3e00006f,
    0x4407ffff,0x003fffff,0x2fffffd4,0x1ffffff3,0x3ffffe00,0xfe80002f,
    0x3e24ffff,0x901fffff,0x3609ffff,0x004fffff,0x0ffff500,0x0b3bfb6e,
    0x3ffe0000,0xddfdb502,0x01a88017,0x07ffffec,0x2fff8000,0x81fff700,
    0x05fffff8,0x04ffffe8,0x7ffffec0,0x7fffff42,0xffffd003,0xff00007f,
    0xff87ffff,0xfb82ffff,0x3fa05fff,0x0004ffff,0x887fffd0,0xfffffffd,
    0x3ee00004,0xfffd885f,0x001fffff,0x7ffff4c0,0xfb80000f,0xfff5005f,
    0xffff981f,0xfffd804f,0x3fe2005f,0xffb87fff,0xfb006fff,0x0009ffff,
    0xffffff88,0x7fffff43,0x37fffd44,0x3fffffe0,0xffa80002,0xffffe87f,
    0x004fffff,0x81fff880,0xfffffffd,0x26000fff,0xffffffdb,0x440000ff,
    0xf8801fff,0x7d40ffff,0xffffffff,0xffffffff,0x3ee006ff,0xf884ffff,
    0x801fffff,0x05fffffc,0x7fffcc00,0x7ffec2ff,0x3ffe65ff,0x3fe200ef,
    0x0001ffff,0x543fffe8,0xfebdffff,0x40000fff,0xff884ffc,0xffe98aff,
    0x3fb2603f,0xffffffff,0x40000fff,0xe8804ffc,0x5c0fffff,0xffffffff,
    0xffffffff,0x3a007fff,0xd01fffff,0x009fffff,0x0dfffff5,0x7ffdc030,
    0x7fe40fff,0xfff36fff,0xff9801ff,0x0000ffff,0x743fffd4,0x7ffc5fff,
    0x3e60004f,0xfffa80ff,0x42fffd45,0xffffffe9,0xffffffff,0x3e60000f,
    0xffd800ff,0x7e40ffff,0xffffffff,0xffffffff,0xff3007ff,0x7dc0dfff,
    0x400fffff,0x3ffffff9,0xf1077ee0,0x70dfffff,0xd1ffffff,0x5003ffff,
    0x00ffffff,0x07fffd00,0xfd87ffff,0x360006ff,0x2a6603ff,0x21fffe41,
    0xfffffffa,0xfffdbdff,0x360000ff,0xffc803ff,0x5c0fffdf,0xccdfffff,
    0xcccccccc,0xc800cccc,0x203fffff,0x3ffffff8,0x7ffffc40,0x3fffe07f,
    0xfffff70d,0xffff309f,0x3fffffff,0x3ffffa00,0x7d40006f,0xfff887ff,
    0x3fffe42f,0x07ffa800,0x3ffff100,0x7fffffd4,0x7ffe41be,0xf50000ff,
    0xfff500ff,0xa81fff93,0x004fffff,0x3ffe2000,0x9999afff,0xffffd999,
    0xfffb806f,0xffb83fff,0xfffcffff,0xfd00ffff,0xffffffff,0x3ffee005,
    0x40003fff,0xf983fffe,0x7fdc1fff,0xfe8000ff,0xff98002f,0x7fff44ff,
    0x3ff603ff,0xd0000fff,0xff9805ff,0x81fff93f,0x05fffff9,0x3fee0000,
    0xffffffff,0xffffffff,0xfe801fff,0x444fffff,0xfffffffc,0x203fffff,
    0xfffffffa,0xfff1003f,0x8000dfff,0xf507fffa,0xffb83fff,0x7dc000ff,
    0xffa8006f,0x7ffc46ff,0x7fec06ff,0xb8000fff,0x7f4406ff,0x03fff24f,
    0x03fffffe,0x0abcefa8,0xfffffe80,0xffffffff,0xffffffff,0xffff9804,
    0x6441efff,0xffffffff,0xfffe806f,0xd3006fff,0x05ffffff,0x3fffe800,
    0x83ffff30,0x4007fffc,0x4001fff8,0x40dffffc,0x03fffffa,0x3fffffe2,
    0x7ffc4000,0x4f7fec01,0x9afffc99,0x3ffffee0,0x3ffffa05,0x7ffcc03f,
    0xffffffff,0xffffffff,0xc800ffff,0xffffffff,0xffffecef,0x01ffffff,
    0xffffffa8,0xff7101ef,0x00bfffff,0x07fffa80,0xb0bfffe2,0xc800dfff,
    0x7ec005ff,0xff504fff,0x7ec0dfff,0x000fffff,0x2202ffe4,0xffffffff,
    0x7c2fffff,0x21efffff,0xffffffda,0x7fffe400,0xffffffff,0xffffffff,
    0xd8803fff,0xffffffff,0xffffffff,0x00cfffff,0x7fffffdc,0xeccdefff,
    0xffffffff,0x7f40000f,0x7ffc03ff,0x2ffffc5f,0x03fff100,0x1ffffec0,
    0xffffff10,0x7ffe4c19,0x2001ffff,0x4401fff8,0xffffffff,0x5c2fffff,
    0xffffffff,0xffffffff,0xfffff803,0xffffffff,0xffffffff,0x2a006fff,
    0xffffffff,0xffffffff,0x0bffffff,0xffffffa8,0xffffffff,0xffffffff,
    0x7d40002f,0xffb807ff,0xfffd9cff,0x3ff6001f,0x3fff2004,0x1aaaaadf,
    0x3ffffffa,0xffffffdf,0x2002ffff,0xe8804ffd,0xfeeeeeee,0xfb82eeff,
    0xffffffff,0x804fffff,0x07fffffa,0xfffffa80,0x3f62001f,0xffffffff,
    0xffffffff,0x262fffff,0xffffffff,0xffffffff,0x0dffffff,0xfffe8000,
    0xfffff003,0x00bfffff,0x8007ffcc,0xfffffff8,0x3e65ffff,0xffffffff,
    0xffffefff,0xfff3003f,0xff900001,0xfff9801f,0xffffffff,0xfffb004f,
    0x3e0009ff,0x004fffff,0xffffeca8,0xdaceffff,0x3fffffff,0x33fffff1,
    0xfffffffb,0x7fffffff,0x3fea0000,0xfd3000ff,0x1dffffff,0x01fff400,
    0xffffff70,0xb8bfffff,0xffffffff,0xffffd3ff,0x0fffa00d,0x7ffe4000,
    0xffec8800,0x00cfffff,0xffffff10,0x3ff20003,0x0000ffff,0x04d5dcc4,
    0x37ffffd4,0x983ffff3,0xfffffffd,0x0000cdef,0x00ffffa0,0xdfffd910,
    0x6ffa8007,0x77776400,0x4eeeeeee,0xfffffe98,0x3ffee0df,0x7fd401ff,
    0x3ae00006,0xa98000ee,0x5c0009aa,0x006fffff,0x3ffffe60,0x0000003f,
    0x217ffec4,0x4c402fe9,0x00009aba,0x00666600,0x40003100,0x00000998,
    0x2aa62000,0x4c400001,0x00000009,0xe8000000,0x003fffff,0x7fffff40,
    0x00000006,0x00a20d93,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fcc0000,0x0000ffff,0x7fffffdc,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2fffffec,
    0x7ffc4000,0x00004fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0000ccc0,
    0x01999988,0x26660000,0x98000999,0x00099999,0x80999980,0x00009999,
    0x00001331,0x99999980,0x33331000,0x80000033,0x00999999,0x13333100,
    0xffd98000,0x20000dff,0x80006ffb,0x3ffffff8,0xff980000,0x8000efff,
    0x04fffffc,0x7fffcc00,0x37fffcc5,0xffffb300,0x00007dff,0xefffffa8,
    0x3fff6000,0x000002ff,0x0bfffff7,0x3fffe600,0xf50001ff,0x5fffffff,
    0x3fff1000,0xfffb0000,0x0003ffff,0xfffffd80,0x3ff60000,0x20000fff,
    0x4c5ffff9,0x8806ffff,0xfffffffe,0x0002ffff,0x1dffffd0,0xfffe8800,
    0xd000006f,0x000dffff,0x3fffffa2,0xff8000ef,0xffffffff,0x2ffe4000,
    0x7ffdc000,0x006fffff,0x3fffe200,0xfd80001f,0x20003fff,0x4c5ffff9,
    0x4406ffff,0xfffffffe,0x01ffffff,0x7fffcc00,0xfd10000e,0x00005fff,
    0x0effffa8,0xffff9000,0x800bffff,0xfb13fffb,0x7c4007ff,0x440000ff,
    0xff9cffff,0x900004ff,0x0003ffff,0x03fffec0,0xbffff300,0x06ffff98,
    0x7fffffec,0xffffffff,0x7fec0007,0x440001ff,0x0006fffe,0x077fff40,
    0xffffa800,0x02ffffba,0xf71b72a0,0x7ec007ff,0xfe80004f,0x3ffee6ff,
    0x7c40001f,0x00002fff,0x01ffff44,0x4eeee980,0x0277774c,0xdffffff3,
    0xfffffd77,0x3e20003f,0x00001fff,0x003ffff3,0x3fffe600,0xfff10000,
    0x7fffec9f,0x3ea60000,0xf3001fff,0xc80001ff,0x7ec1ffff,0x20000eff,
    0x0002fffb,0x0dffd100,0x40000000,0x85fffffb,0x03fffffe,0x05fff900,
    0xfff98000,0xffb00005,0x7ec0003f,0x3fa20eff,0xf50005ff,0x4003ffff,
    0x00003ffe,0x00000000,0x00000000,0x20000000,0x80fffffd,0x03fffffb,
    0x00000000,0x00000000,0x00000000,0x3dffff70,0x01bfea00,0x00000000,
    0x00000000,0x00000000,0xfffffd00,0x3fffff20,0x00000001,0x00000000,
    0x00000000,0xffbb9000,0xfff007ff,0x73000005,0x00359bb9,0x3772e600,
    0x300001ac,0x0359bb97,0x9b953000,0x7ffc0035,0xfffd06ff,0x999980df,
    0x99988009,0xcca98019,0x000bccee,0x9dd99530,0x26000179,0xbcceecca,
    0x3e600000,0x7fdc07ff,0x75400005,0xffffffff,0xfd50003f,0xffffffff,
    0x3faa0007,0xffffffff,0xffe98003,0x04ffffff,0x86fffff8,0x04fffffa,
    0x037ffffc,0x0fffffe4,0xfffffda8,0x00efffff,0xfffffb50,0x01dfffff,
    0x3ffff6a0,0x0effffff,0x7ec04400,0xfff101ff,0x36200003,0xffffffff,
    0x000effff,0xffffffb1,0x1dffffff,0x3fff6200,0xffffffff,0xff7000ef,
    0xffffffff,0x7ffc01df,0xfffe86ff,0x7ffc01ff,0xffc806ff,0xffb81fff,
    0xffffffff,0x5c01ffff,0xffffffff,0x01ffffff,0x7fffffdc,0xffffffff,
    0x0fffe801,0xc80ffff4,0x100004ff,0xfffffffd,0xffffffff,0xfffe8805,
    0xffffffff,0x4402ffff,0xfffffffe,0xffffffff,0x7fffec02,0xffffffff,
    0xfff882ff,0x7ffcc6ff,0xfff804ff,0xffc806ff,0x7fd41fff,0xffffffff,
    0x01ffffff,0xfffffff5,0xffffffff,0x3ffea03f,0xffffffff,0x401fffff,
    0xc89cfffd,0xf980ffff,0xd00000ff,0xffffffff,0xffffffff,0x7fff401f,
    0xffffffff,0x00ffffff,0x3ffffffa,0xffffffff,0xff500fff,0xfddfffff,
    0x10dfffff,0xd8dfffff,0x801fffff,0x806fffff,0x41fffffc,0xffffffff,
    0xffffffee,0xfffff04f,0xfffddfff,0x3e09ffff,0xefffffff,0xfffffffe,
    0x7fffcc04,0x03ffffff,0x00007ffb,0x3ffffff2,0xffc988ae,0xf905ffff,
    0x15dfffff,0xfffff931,0x3fff20bf,0x988aefff,0x5ffffffc,0xffffff88,
    0x7fffec44,0x7fffc43f,0x7ffffc6f,0xffff800f,0xfffc806f,0x3ffea1ff,
    0xffc81eff,0xffa87fff,0xfc81efff,0xfa87ffff,0xc81effff,0x807fffff,
    0xfffffffa,0x0dff503f,0x3ffe2000,0x3ea05fff,0x442fffff,0x05ffffff,
    0x3fffffea,0x7ffffc42,0x3ffea05f,0x7fe42fff,0x3f603fff,0x7fc46fff,
    0x3fe26fff,0xf802ffff,0xc806ffff,0x2e1fffff,0x100ffffe,0x70ffffff,
    0x201ffffd,0x87fffff8,0x00ffffeb,0x0ffffff1,0x3bffb220,0x0bffa00c,
    0x7ffdc000,0xffb806ff,0x7fdc7fff,0xfb806fff,0x7dc7ffff,0xb806ffff,
    0x7c7fffff,0x4407ffff,0x223fffff,0x746fffff,0x01ffffff,0x037ffffc,
    0x0fffffe4,0x7ec01a88,0x2200ffff,0x7ffec01a,0x06a200ff,0x1fffffb0,
    0x3ee00000,0xfff7006f,0xfffffd01,0x3fffe005,0x3fffa0ff,0xfff002ff,
    0x7ff41fff,0xff002fff,0x3e21ffff,0xe805ffff,0x3e24ffff,0x7dc6ffff,
    0x00ffffff,0x01bffffe,0x07fffff2,0xfffe9800,0x4c0000ff,0x00fffffe,
    0x7fff4c00,0x800000ff,0xa801fff8,0xff80ffff,0x9000ffff,0x7c3fffff,
    0x000fffff,0x43fffff9,0x00ffffff,0x3fffff90,0x13ffffe6,0x97ffff60,
    0x86fffff8,0xeffffffe,0xdfffff00,0xfffff900,0x7edcc003,0x0fffffff,
    0x7fedcc00,0x00ffffff,0x7ffedcc0,0x000fffff,0x05ffc800,0x0fffff98,
    0x3fffffc4,0xfffff700,0x3ffffe27,0x3ffee007,0xffff13ff,0x7fdc00ff,
    0xfff53fff,0xffffffff,0xffffffff,0x7ffffc4d,0xffffe886,0xfff80eff,
    0xffd806ff,0x32601fff,0xfffffffe,0x400fffff,0xfffffec9,0x0fffffff,
    0x7fff64c0,0xffffffff,0x4400000f,0x74400fff,0x4c0fffff,0x006fffff,
    0x53ffffea,0x06fffff9,0x3ffffea0,0xdfffff34,0x7fffd400,0xfffff74f,
    0xffffffff,0x4fffffff,0x06fffff8,0xfffffff1,0xdfffff0d,0xfffffb00,
    0xffffd303,0xffffffff,0x3a601fff,0xffffffff,0x0fffffff,0xfffffd30,
    0xffffffff,0x800001ff,0xfd804ffd,0x440fffff,0x006fffff,0x53ffffee,
    0x06fffff8,0x3ffffee0,0xdfffff14,0x7fffdc00,0xfffff94f,0xffffffff,
    0x4fffffff,0x06fffff8,0x3fffffe6,0x7ffffc3f,0xffffd806,0x7fffd41f,
    0xdbdfffff,0xa80fffff,0xffffffff,0xffffdbdf,0xffffa80f,0xdbdfffff,
    0x000fffff,0x03ffe600,0xffbfff90,0xffff881f,0x3ff2007f,0xfff12fff,
    0x7e400fff,0xff12ffff,0x6400ffff,0xf72fffff,0x999bffff,0x99999999,
    0x3fe21999,0x74406fff,0x7c7fffff,0xd806ffff,0x2a1fffff,0xbeffffff,
    0x7ffffe41,0x7ffffd40,0x7fe41bef,0x7fd40fff,0x41beffff,0x00fffffc,
    0x0fffa000,0xf93fff50,0xffff01ff,0x3f6001ff,0x3fe1ffff,0xb000ffff,
    0x7c3fffff,0x000fffff,0x23fffffb,0x04fffffa,0xffff8800,0xfff9806f,
    0x3ffe1fff,0xffe807ff,0x3ffa1fff,0x3f603fff,0x7f40ffff,0x3603ffff,
    0x740fffff,0x203fffff,0x00fffffd,0x0dff5000,0xf93fff98,0xfffb01ff,
    0xff1007ff,0xffd8ffff,0xf8803fff,0x7ec7ffff,0x8803ffff,0x267fffff,
    0x005fffff,0xfffff880,0xffff9006,0x7ffffc7f,0xfffff807,0xfffff11f,
    0xffffd80d,0x3fffe20f,0x7ffec06f,0x3ffe20ff,0x7fec06ff,0x00000fff,
    0x74405ffd,0x3fff24ff,0xfffffa80,0x7ffec00f,0x7ffd46ff,0x7ec00fff,
    0x7d46ffff,0x400fffff,0x46fffffd,0x00ffffff,0x82af3bea,0x06fffff8,
    0x9fffff30,0x07fffffc,0xffffff50,0x3ffffea3,0x3fffe203,0x3ffea0ff,
    0x3fe203ff,0x3ea0ffff,0x2203ffff,0x00ffffff,0x05ffb800,0x4ccf7fec,
    0x209afffc,0xeffffff8,0xfffff901,0xffff883f,0xff901eff,0xf883ffff,
    0x01efffff,0x3ffffff9,0x5fffffb8,0x3fffffa0,0x3ffffe23,0x7fdc4986,
    0x3ffa3fff,0xff305fff,0x2a3fffff,0x206fffff,0x0ffffffd,0x1bffffea,
    0xffffffd8,0x3ffffea0,0x3ffff606,0x440000ff,0x3e201fff,0xffffffff,
    0x7dc2ffff,0xbcffffff,0xfffffeca,0xffff703f,0xd9579fff,0x07ffffff,
    0x3fffffee,0xffecabcf,0xff03ffff,0x543dffff,0x0ffffffd,0x9bffffe2,
    0xfbadffc8,0x322fffff,0x1cffffff,0xffffff93,0x3ffe23ff,0x3260cfff,
    0x1fffffff,0x3fffffe2,0x3fff260c,0x3e21ffff,0x20cfffff,0xffffffc9,
    0x7e40001f,0x7ffc404f,0xffffffff,0xfffd82ff,0xffffffff,0x406fffff,
    0xfffffffd,0xffffffff,0x7ffec06f,0xffffffff,0x206fffff,0xfffffffb,
    0xffffffff,0x7fffc43f,0xfffff36f,0xdfffffff,0x7ffffcc1,0xffffffff,
    0x21ffffff,0xfffffffe,0xfffffffd,0x7ff42fff,0xffdfffff,0xffffffff,
    0x7fffff42,0xfffffdff,0x002fffff,0x003ffe60,0xddddddd1,0x05ddffff,
    0xffffffb1,0xffffffff,0xffd8801d,0xffffffff,0x400effff,0xffffffd8,
    0xffffffff,0x7ffdc00e,0xffffffff,0xff884fff,0x3ff26fff,0xffffffff,
    0xffffb81f,0xdfffffff,0x21fffff9,0xfffffff9,0xffefffff,0x7fcc3fff,
    0xffffffff,0xfffffeff,0x7ffffcc3,0xefffffff,0x003fffff,0x000fff60,
    0x003fff20,0x3fffffee,0x03ffffff,0x7ffffdc0,0x3fffffff,0x7fffdc00,
    0xffffffff,0x3ffe6003,0xffffffff,0xffff104f,0xffffc8df,0x203fffff,
    0xfffffffc,0xffff34ff,0xffffb83f,0xd3ffffff,0xf70dffff,0xffffffff,
    0x3ffffa7f,0xfffffb86,0xfd3fffff,0x2000dfff,0x00007ffa,0x2001fff9,
    0xfffffeb8,0x10001def,0xffffffd7,0x220003bd,0xffffffeb,0xc88001de,
    0xfffffffe,0x3ffe200c,0xffda86ff,0xb801efff,0x3dfffffe,0x07ffffe6,
    0x3fffffa6,0x3ffee0df,0xffe981ff,0x2e0dffff,0x981fffff,0xdffffffe,
    0x3ffffee0,0x2ffe8001,0xddd70000,0x55310001,0x88000013,0x00009aa9,
    0x04d54c40,0x2aa60000,0x0000009a,0x400026a6,0x200001a9,0x0001aa98,
    0x006aa620,0x1aa98800,0x99800000,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x30000000,0x00013333,0x26066666,0x10001999,0x00033333,0x4c0ccccc,
    0x26001999,0x99981999,0x33300019,0x33331013,0x99999880,0x33300001,
    0x00000333,0x00001330,0x04ccc400,0xeeeee800,0x7ffdc00e,0xf8000fff,
    0xfff87fff,0xff88007f,0x0002ffff,0xff0fffff,0x7fc00fff,0x7ffc0fff,
    0x7c4000ff,0xffe84fff,0x7ff4407f,0x80001fff,0x03fffffd,0x7f644000,
    0x002effff,0x7fed4400,0x2defffff,0xffffff00,0x7fffcc01,0xf8005fff,
    0xfff87fff,0xffe8007f,0x000fffff,0xf87ffff8,0x3e007fff,0x7fc0ffff,
    0x54000fff,0xff82ffff,0xff8806ff,0x00004fff,0x00fffffb,0x7fffe400,
    0x1effffff,0xfffa8000,0xffffffff,0x7fc02eff,0x3a00ffff,0xffffffff,
    0x7fffc003,0x07ffff87,0x7ffffe40,0xf8005fff,0xfff87fff,0x3ffe007f,
    0x7fffc0ff,0x7fdc000f,0x7ffcc0ff,0xfff3004f,0x200001ff,0x003ffffe,
    0xfffffc80,0xffffffff,0x3ff60000,0xffffffff,0x05ffffff,0x03fffffe,
    0x6cffffe4,0x2001ffff,0xff87ffff,0x3e6007ff,0xfffabfff,0x7ffc003f,
    0x7ffff87f,0x3ffffe00,0x07ffffc0,0x1ffff600,0x00bfffee,0x04ffff98,
    0xfffd1000,0xffb8000d,0xffffffff,0x0006ffff,0xfffffff9,0xffffffff,
    0x3fe07fff,0xf980ffff,0xffd13fff,0x777400df,0x6eeee86e,0xbfffd100,
    0x00ffffe4,0xd0bdddd0,0x6c00dddd,0x76c0eeee,0x7c000eee,0xffc85fff,
    0x7d4001ff,0x00000fff,0x005fffd1,0x7fffff40,0xffff931c,0xff88005f,
    0xefffffff,0xffffffff,0xffff81ff,0x7ffc40ff,0x7fffcc5f,0x00000004,
    0x40ffffd8,0x0006fffe,0x00000000,0x7ffc4000,0x7fffe84f,0x7fff5000,
    0x7fc40000,0x3fe0006f,0xffd06fff,0xfb8009ff,0x80cfffff,0xffffffda,
    0xffffff86,0x00000000,0x00000000,0x00000000,0x40000000,0xf82ffffa,
    0x00005fff,0x00000000,0x3ffffe20,0xbffff704,0xffffd800,0xfffd802f,
    0x7ffc0fff,0x00000fff,0x00000000,0x00000000,0x00000000,0x7fffdc00,
    0x27fffcc0,0x00000000,0x3fe00000,0xff906fff,0x7c4009ff,0x1006ffff,
    0x85ffffff,0x00ffffff,0x0d66e54c,0x332a6000,0x800bccee,0x80099999,
    0x00199998,0x2b3772e6,0x26666001,0x99988009,0x3ffff219,0xffffffff,
    0xffffffff,0xca9802ff,0x26001acd,0x88009999,0x6c019999,0x544fffff,
    0x001fffff,0x1bffffe6,0xfffffd80,0x7fffffc3,0xffffd300,0x8009ffff,
    0xffffffda,0x200effff,0x806fffff,0x01fffffc,0x7fffff54,0xf803ffff,
    0xc806ffff,0xf91fffff,0xffffffff,0xffffffff,0x405fffff,0xffffffe9,
    0xfff804ff,0xffc806ff,0x3ee01fff,0xf52fffff,0x800fffff,0x3ffffff8,
    0x03333100,0x03fffffe,0x3fffffee,0x00efffff,0xffffffb8,0xffffffff,
    0xdfffff01,0xfffff900,0x3fff6203,0xffffffff,0x3ffe00ef,0xffc806ff,
    0xfff91fff,0xffffffff,0xffffffff,0x3ee05fff,0xffffffff,0x3fe00eff,
    0xfc806fff,0x7401ffff,0xfdffffff,0x003fffff,0xffffffe8,0xff00001d,
    0xfd81ffff,0xffffffff,0x202fffff,0xfffffffa,0xffffffff,0xfffff81f,
    0xffffc806,0xfffe881f,0xffffffff,0xff02ffff,0xf900dfff,0x3f23ffff,
    0xffffffff,0xffffffff,0xd82fffff,0xffffffff,0x02ffffff,0x00dfffff,
    0x03fffff9,0xffffff98,0x04ffffff,0xfffff900,0x015bffff,0x3ffffe00,
    0x3fffea0f,0xfffeefff,0x3fe06fff,0xeeffffff,0x4fffffff,0x06fffff8,
    0x1fffffc8,0xffffffe8,0xffffffff,0xfff80fff,0xffc806ff,0x99951fff,
    0x99ffffd9,0xdffffb99,0xffa83999,0xfeefffff,0xf06fffff,0x900dffff,
    0x003fffff,0xfffffff7,0x40007fff,0xffffffe8,0x1befffff,0x3ffffe00,
    0xfffff10f,0xfffd889f,0xfffa83ff,0xffc81eff,0xfff87fff,0xffc806ff,
    0x7fe41fff,0x88aeffff,0xffffffc9,0x6fffff85,0xfffffc80,0x1ffff601,
    0x80bfffea,0x4ffffff8,0x7ffffec4,0x6fffff83,0xfffffc80,0xffffc801,
    0x000effff,0xfffff980,0xffffffff,0x7fc00cff,0xff90ffff,0x7ec07fff,
    0xfeb86fff,0xff100fff,0xfff0ffff,0xff900dff,0x7fc43fff,0x2a05ffff,
    0x42ffffff,0x806fffff,0x01fffffc,0x3217fffe,0x3200ffff,0x203fffff,
    0xf86ffffd,0xc806ffff,0x201fffff,0xffffffea,0x00003fff,0x3fffffea,
    0xffffffff,0x3ffe03ff,0xffff0fff,0xfff880ff,0x06a203ff,0x1fffffb0,
    0x06fffff8,0x1fffffc8,0x1bffffee,0x3ffffee0,0x37ffffc7,0x7ffffe40,
    0x9ffff101,0x80ffffd0,0x407fffff,0x43fffff8,0x806fffff,0x01fffffc,
    0xfffffff9,0x003fffff,0x7ffec400,0xffffffff,0xff03ffff,0xff11ffff,
    0xfd00bfff,0x80009fff,0x0fffffe9,0x037ffffc,0x0fffffe4,0x05fffffd,
    0x3fffffe0,0x1bffffe0,0x3fffff20,0x5ffff501,0x40bffff0,0x05fffff8,
    0x44ffffe8,0x806fffff,0x81fffffc,0xfffffffc,0x0fffffff,0x40002b26,
    0xfffffeb9,0xffffffff,0xffffff84,0x4fffff98,0x5ffffd80,0x7fedcc00,
    0x40ffffff,0x806fffff,0x21fffffc,0x00ffffff,0x3fffff90,0x037ffffc,
    0x0fffffe4,0x40ffffc8,0x204ffff9,0x04fffff9,0x45ffffd8,0x806fffff,
    0x41fffffc,0xfffffffb,0xffffffba,0x17ffff25,0xffdb9800,0xffffffff,
    0x7ffffc3f,0xfffffa8f,0xffffffff,0x06ffffff,0x7ffff64c,0xffffffff,
    0x37ffffc0,0x7ffffec0,0xffffff11,0x7fffdc00,0x3ffffe3f,0xffffd806,
    0xfd33311f,0x73333fff,0x3337ffff,0x3fffea13,0xffffffff,0x6fffffff,
    0x037ffffc,0x0fffffec,0xdffffff1,0x7ffffec1,0xfffff8cf,0x32600006,
    0xfffffffe,0x7fffffc6,0xffffffb8,0xffffffff,0x307fffff,0xfffffffd,
    0xffffffff,0x6fffff81,0xfffffd80,0xdfffff31,0x7fffd400,0x3ffffe4f,
    0xffffd806,0xfffff91f,0xffffffff,0xffffffff,0x3fffee5f,0xffffffff,
    0x7fffffff,0x037ffffc,0x0fffffec,0x1dfffff7,0xfffffe88,0x3fffffdf,
    0xff700000,0x7c3fffff,0xfc8fffff,0xffffffff,0xffffffff,0xfffa87ff,
    0xbdffffff,0x40fffffd,0x806fffff,0x11fffffd,0x00dfffff,0x27ffffdc,
    0x00dfffff,0x23fffffb,0xfffffffc,0xffffffff,0x2fffffff,0xfffffff9,
    0xffffffff,0xff8fffff,0xfd806fff,0x3f61ffff,0xf104ffff,0xffffffff,
    0x26201fff,0x4c002ba9,0x22ffffff,0xb8ffffff,0xccdfffff,0xcccccccc,
    0x3ea0cccc,0x1befffff,0x07ffffe4,0x01bffffe,0x47fffff6,0x07fffff8,
    0x3fffff20,0x1bffffe2,0x3fffff60,0xffffff91,0xffffffff,0xffffffff,
    0x3ffffee5,0xcccccccd,0x0ccccccc,0x01bffffe,0x87fffff6,0x01ffffff,
    0x3fffffea,0xf305ffff,0x000fffff,0x47fffffd,0xa8ffffff,0x004fffff,
    0xfffffd00,0x7fffec07,0x7ffffc0f,0xffffe807,0x3ffffe1f,0xfffb000f,
    0x7fffc3ff,0xfffe807f,0xffff91ff,0xffffffff,0xffffffff,0x3ffea5ff,
    0xf00004ff,0xd00fffff,0x7c3fffff,0xb807ffff,0xffffffff,0x3fffe01f,
    0x7ec001ff,0x3fe3ffff,0xff98ffff,0x80005fff,0x06fffff8,0x07ffffec,
    0x01fffffe,0x87fffffe,0x03fffffd,0x7fffff88,0x03fffffc,0x8ffffffc,
    0xffffeaa9,0xfffcaaaa,0x0aaaaacf,0x0bfffff3,0x3fffe000,0xffff807f,
    0x3fffe1ff,0xffd800ff,0x405fffff,0x05fffffd,0x7fffffc0,0x3fffffe2,
    0x1ffffff0,0x55e77d40,0x3ffffea0,0x3fffe203,0x7fffc0ff,0x3fea00ff,
    0x3ea1ffff,0x400fffff,0x46fffffd,0x00ffffff,0x3fffffea,0x85ffff81,
    0x800ffffc,0x00ffffff,0x02af3bea,0x01ffffff,0x7fffffd4,0x3fffff61,
    0xffffa803,0x2e02ffff,0x03ffffff,0xffffffb0,0x7fffffc1,0xbfffff70,
    0x7fffff40,0x3ffffea3,0x3ffff606,0x7fff40ff,0xfff305ff,0x7c43ffff,
    0x01efffff,0x3ffffff9,0x5fffffe8,0xffffff30,0xffff983f,0x06fffd83,
    0xbfffff70,0x7fffff40,0x7fffff43,0xfffff305,0x7ffdc3ff,0xfb102fff,
    0xffffffff,0x3ffe609f,0x301dffff,0xbffffffd,0x0ffffff8,0x3bfffffe,
    0x3ffff6a1,0x3ffe20ff,0x3260cfff,0x1fffffff,0x7fffffe4,0xffff931c,
    0xfb83ffff,0xbcffffff,0xfffffeca,0xffffc83f,0xff931cff,0x83ffffff,
    0xf82ffffa,0x3e005fff,0x21efffff,0xffffffda,0x7ffffe40,0xfff931cf,
    0x443fffff,0xdfffffff,0xffffdbab,0xffffffff,0xfffb81ef,0xeeffffff,
    0xfffffffe,0x7fffc2ff,0x3ffee0ff,0xffffffff,0xe83fffff,0xdfffffff,
    0xffffffff,0x7ffcc2ff,0xffffffff,0xffffffff,0xfffffd81,0xffffffff,
    0xff306fff,0xffffffff,0xffffffff,0xffffc83f,0x1ffffc40,0xfffff700,
    0xffffffff,0xff307fff,0xffffffff,0xffffffff,0xffffa83f,0xffffffff,
    0xffffffff,0x80ffffff,0xfffffffd,0xffffffff,0xff84ffff,0x7dc0ffff,
    0xffffffff,0x304fffff,0xffffffff,0xfffdffff,0xfff707ff,0xffffffff,
    0x3fffff3b,0xfffffb10,0xffffffff,0x7fdc01df,0xffffffff,0xfffff9df,
    0x43fffec1,0x002ffffa,0x7fffffdc,0xffffffff,0x3fffee04,0xdfffffff,
    0x81fffff9,0xfffffffc,0xffffffff,0xfffffdbf,0xfffd102f,0xffffffff,
    0x0bffffff,0x03fffffe,0x3fffffe6,0x04ffffff,0x7fffffdc,0xffd3ffff,
    0x3ff20dff,0x4fffffff,0x03fffff3,0x7fffffdc,0x03ffffff,0xffffff90,
    0x3fe69fff,0x7ffc1fff,0xffffc85f,0xfff98000,0xffffffff,0xfffc804f,
    0x34ffffff,0x203fffff,0xffffffe9,0x0cffffff,0x013fffee,0x3fffffee,
    0xffffffff,0x3fffe03f,0xfd9100ff,0x19ffffff,0x3fffa600,0x3ee0dfff,
    0xd701ffff,0x47bfffff,0x01fffff9,0x7ffff5c4,0x4001deff,0xdfffffeb,
    0x3ffffe63,0x0ffffe61,0x001bfff6,0xffffec88,0x2000cfff,0xdfffffeb,
    0x3ffffe63,0x7fff6401,0x01dfffff,0x4400bfd3,0xfffffffc,0x000befff,
    0x5554c000,0x53100009,0x30000035,0x40000035,0x0009aa98,0x00035300,
    0x40e6664c,0x0003cccc,0x026aaa60,0x00353000,0x55d4c000,0x00320009,
    0xaacaa980,0xdddb0009,0x000000bd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x98fffffd,0x00000999,
    0x00013310,0x04cc4000,0x44000000,0x4c000009,0x9981bdcb,0x88000999,
    0x00000009,0x00035531,0x09999988,0x26666600,0xa9880001,0x7f40001a,
    0x7ff47fff,0x9300003f,0xdfffffff,0x2000019d,0xfffffdb8,0x0001bcef,
    0x3ff72a20,0x002cefff,0xffffff50,0x7fffc5ff,0xeca8803f,0x00ceffff,
    0x3ff6a000,0x1cffffff,0x7fffd400,0xfff1006f,0x2a000dff,0xfffffffd,
    0x7f4001cf,0x7fe47fff,0x7d40005f,0xffffffff,0x01dfffff,0x3ffff200,
    0xffffffff,0x5c0000df,0xffffffff,0x001effff,0x3ffffff2,0xfff3ffff,
    0xffb807ff,0xffffffff,0x2e20003f,0xffffffff,0x02efffff,0x3fffffe0,
    0xffffb800,0x3ee2003f,0xffffffff,0x002effff,0xa8fffffd,0x10007fff,
    0xfffffffb,0xffffffff,0xe98009ff,0xffffffff,0xffffffff,0xffd88003,
    0xffffffff,0x00cfffff,0x7fffffec,0xfcffffff,0x3a03ffff,0xffffffff,
    0x004fffff,0xfffffe98,0xffffeeff,0xc800dfff,0x803fffff,0x00fffffe,
    0xfffffd30,0xffffddff,0xb801bfff,0x7c44cccc,0x4c000fff,0xfffffffe,
    0xffffffff,0x7003ffff,0xffffffff,0xffffffff,0x2001bfff,0xfffffffa,
    0xffffffff,0xf300efff,0xdfffffff,0xfffffffd,0x3ff207ff,0xffffffff,
    0x002fffff,0x33ffffee,0xffda8809,0x7cc01fff,0x4406ffff,0x006fffff,
    0x39fffff7,0x3fff6a20,0xe80002ff,0x22002fff,0xffffffff,0xffffffff,
    0x03ffffff,0x7fffffd4,0xffffffff,0x6fffffff,0xfffff980,0xffffffff,
    0x5fffffff,0xffffffd0,0xffffd885,0xff983fff,0xebdfffff,0x0fffffff,
    0xbffffc80,0x3ff22000,0x7ff402ff,0x3ee00fff,0xc803ffff,0x000bffff,
    0x0bffff22,0x9fffb000,0x7fffec00,0x30abefff,0xffffffb5,0x3fe201ff,
    0xbdffffff,0xffeba889,0x403fffff,0xfffffffe,0xffb988ab,0x42ffffff,
    0x0ffffffa,0x3fffff60,0xffffb83f,0x7ffcc0df,0x7d402fff,0x20001eff,
    0x201ffffa,0x03fffffb,0x03fffff6,0x03dfff50,0x7fffd400,0x19999881,
    0x006fffb8,0xfffffff9,0xfffd3007,0x3f607fff,0x01ffffff,0xffffffc8,
    0xffff700f,0xfc801bff,0x646fffff,0x404fffff,0x3ffffff8,0x0fffffd8,
    0x9fffff50,0x02fffcc0,0x7ff44018,0x3fffe206,0xffff106f,0xfff980bf,
    0xfd100005,0xffffd0df,0x1ffff30f,0xfffff880,0x3a2000ef,0xa86fffff,
    0x0dffffff,0x3fffe600,0xfff885ff,0x36004fff,0x21ffffff,0x00fffffd,
    0x3fffffd8,0x2fffffc4,0x1bffffe0,0x500effe8,0x05dfffd7,0xd813ffe6,
    0xb80fffff,0x402fffff,0xdd30fffe,0x7bdddddd,0x13ffe603,0x20fffffd,
    0x5c02ffff,0x02ffffff,0xfffffa80,0x7ffff41f,0xfc8000ff,0x642fffff,
    0x00ffffff,0x3ffffe20,0x3ffffe3f,0xffff7007,0xffff987f,0x0d5d403f,
    0x407ffea0,0xfffffffd,0xfffb80ef,0xfffff500,0xfffffb07,0x21fffa80,
    0xfffffffa,0xf705ffff,0x7fff41ff,0x9fffb07f,0xfffffe80,0x2f760005,
    0xffff880a,0xf10004ff,0xf8bfffff,0x004fffff,0xf81bdfc8,0x5006ffff,
    0x887fffff,0x003fffff,0x413ff600,0xfeeffffc,0xffd06fff,0x7ffffc07,
    0x7ffffc46,0x227ff404,0xfffffffa,0xd04fffff,0x7fff47ff,0xdfff707f,
    0x7ffffcc0,0x4000001f,0x0ffffffb,0x3ffee000,0x3ffe26ff,0x08000fff,
    0x7ffffc40,0xffff5006,0xfffff07f,0x3e60000b,0xfffb80ff,0x3fff660d,
    0x207ffa83,0x20fffffc,0x01fffffa,0xf507ffe6,0xffa881ff,0x4fff507f,
    0x307ffffe,0x2e01ffff,0x007fffff,0xfffd8000,0x4c0005ff,0x2a7fffff,
    0x006fffff,0xffff1000,0x3fea00ff,0xffd83fff,0x900007ff,0xfff10bff,
    0x1bffe20b,0xf9817ffc,0x3f63ffff,0x7e406fff,0x0fffa85f,0x203fff70,
    0xfffd2fff,0x7fffc0ff,0xfffff902,0xd000000d,0x009fffff,0xfffff880,
    0xfffff71f,0x7c00000b,0x7007ffff,0x907fffff,0x003fffff,0x305ffb00,
    0x5cc03fff,0x80fff201,0xf16ffffe,0xd807ffff,0xfffa82ff,0x03fff500,
    0x7ff4fff2,0x3ff607ff,0xffffb04f,0x000000bf,0x07ffffff,0xfffff000,
    0x3ffff25f,0x2000004f,0x00fffffe,0x3fffffd8,0xffffb997,0x999999bf,
    0x40fff400,0x80007ffb,0x3ee04ffb,0xffa8ffff,0x7f400fff,0x0fffa81f,
    0x5c0dffb0,0xffffd4ff,0x37ffdc0f,0x4fffffe8,0xaaaaa980,0x2aaaaaaa,
    0x0bfffffe,0x3fffa000,0xffffb3ff,0x4000009f,0x04fffffd,0x7fffffcc,
    0xffffffb3,0xffffffff,0x07ffc00f,0x00037fec,0xf102ffd4,0xffb7ffff,
    0xfff00bff,0x57fff501,0x7fffd955,0xfeaffd40,0x3e607fff,0xfffd07ff,
    0xff9007ff,0xffffffff,0x3ffe2dff,0x80001fff,0xd4fffffd,0x007fffff,
    0x7ffd4000,0x3f600fff,0xfb3fffff,0xffffffff,0x00ffffff,0x7f41ffe2,
    0xf980005f,0x7ffec06f,0x2fffffef,0xa83ffc40,0xffffffff,0x7cc04fff,
    0xfffffd6f,0x81ffff80,0x04fffffe,0xffffffc8,0x26ffffff,0x02ffffff,
    0xffffe800,0xfffffd4f,0xf8000007,0x42ffffff,0xffffffe9,0xfffffb3f,
    0xffffffff,0x3fe200ff,0x05ffe80f,0x06ffa800,0x7fffffd4,0x4400ffff,
    0xffa80fff,0xbfffffff,0xd6ff9800,0xe80fffff,0xffd83fff,0xfc805fff,
    0xffffffff,0x3ffa6fff,0x80003fff,0xb2ffffff,0x009fffff,0xfffb8000,
    0xffefffff,0xffffffff,0xffffffb3,0xffffffff,0x0fffc00f,0x00037fec,
    0x7c02ffdc,0xffffffff,0x03fff005,0xfb73fff5,0xf5001dff,0x3ffffabf,
    0x2fffe407,0x37ffffe4,0x7ffffe40,0x6fffffff,0x13fffff6,0xffff1000,
    0x3fff23ff,0x000005ff,0xffffffd8,0xfdffffff,0xf503ffff,0x0007ffff,
    0xfc82ffe8,0x0b6a00ff,0xc804ffc8,0xffffffff,0x05ffd002,0x7cc1fff5,
    0x7dc00eff,0xfffffd4f,0x87fffa80,0x07fffffb,0xcccccca8,0x26fffffd,
    0x05fffffc,0x7fffcc00,0xffff50ff,0x004000df,0xffffffb0,0xff55ffff,
    0x3ea07fff,0x0002ffff,0x7d427fec,0xfff103ff,0x00fffa0f,0x3fffffe6,
    0x3ff6007f,0x40fffa84,0x7404fffa,0xffffd3ff,0xffff880f,0x7ffffcc1,
    0x3ee0001f,0x3ea6ffff,0x000fffff,0x3ffffee0,0x3ffffe67,0x7bf70007,
    0xffff9001,0x3ea3ffff,0xf903ffff,0x0001ffff,0xfd07ffa8,0xfff903ff,
    0x01fff309,0x3fffffa0,0x3fea004f,0x07ffd40f,0x980ffff4,0xfffd0fff,
    0xfffd00ff,0xfffffd07,0x7fdc000d,0x3fe66fff,0x0004ffff,0xdffffff1,
    0x7fffffc4,0xfffe8003,0x65c402ef,0x3ea0acee,0xff02ffff,0x0000ffff,
    0x3e60bffe,0xfecacfff,0xffd80fff,0x3ffee005,0x7c001fff,0x7ffd43ff,
    0x06fff980,0x7ff4bff9,0xffc807ff,0xffffc85f,0xf70002ff,0x7c4dffff,
    0x00ffffff,0xfffffb80,0x7ffff43f,0x7fcc006f,0x0003ffff,0x5fffff70,
    0x7fffff30,0x3ff20000,0xffffb80e,0x81ffffff,0x2001fff9,0x06fffffb,
    0x20effc80,0xfb00fffa,0xfff985ff,0x1fffffa1,0x21fffea0,0xeffffff9,
    0xfffc8000,0x7ffd46ff,0x4c005fff,0x86ffffff,0x3ffffffa,0x3ffffa00,
    0x00cd4c7f,0x3fffff20,0x7ffff441,0x3e200006,0xffd105ff,0x103bffff,
    0xe800dffd,0x003fffff,0x2a5fff88,0xff300fff,0x37ff41ff,0x01fffffa,
    0x207fffe2,0xfffffffc,0xfffd3002,0xffd0dfff,0x001dffff,0xfffffff5,
    0x3ffff605,0xffc803ff,0x7d44ffff,0x402effff,0x20fffffe,0x1fffffe8,
    0x7fdc0000,0x332a603f,0x3fff601b,0x3ffea001,0x70000fff,0x26627fff,
    0x84ccc401,0x7f41fffd,0xfd007fff,0x3ffa07ff,0x0acfffff,0x7fffed4c,
    0xf986ffff,0xbfffffff,0x7ffed441,0x2205ffff,0xdfffffff,0x7fff5409,
    0x7cc0ffff,0x206fffff,0x46fffffc,0xcdfffffd,0x440acefe,0x7fec00eb,
    0x6c40004f,0x2a003fff,0x05ffffff,0x27ffec00,0x3ff62000,0xffffe83f,
    0xbfff9007,0x3ffffe60,0xfeffffff,0xffffffff,0xff905fff,0xffffffff,
    0xfffffffd,0xb801ffff,0xffffffff,0xfffffeef,0xff03ffff,0x7bffffff,
    0xffffffd9,0x7fffe45f,0xffffffff,0xffffefff,0x7fff4404,0xfe98000e,
    0x37a605ff,0xffffffed,0x7440001f,0x8000efff,0xd05fffe9,0x200fffff,
    0x2a07fffa,0xffffffff,0xffffffff,0x0dffffff,0xfffffb10,0xffffffff,
    0x5fffffff,0x3ffff600,0xffffffff,0x04ffffff,0x3fffffea,0xffffffff,
    0x7fcc5fff,0xffffffff,0xffffffff,0x74400fff,0x801dffff,0x04ffffda,
    0x7fffffc4,0x0005ffff,0x9ffffd10,0xfffb5003,0x7fff409f,0xfff1007f,
    0x7ff4401f,0xffffffff,0xffffffff,0xfff5003f,0xffffffff,0x1bffffff,
    0xffffa800,0xffffffff,0xc805ffff,0xffffffff,0xefffffff,0xfffffe80,
    0xffffffff,0x3fffffff,0xfffff900,0xfb9779bd,0x005fffff,0x3ffffffe,
    0x00000eff,0x77ffffe4,0xfedcaacd,0x0002ffff,0x17fffc00,0x7ffffe40,
    0xffffffff,0x88003eff,0xfffffffd,0x3fffffff,0x3ff62000,0xffffffff,
    0x2a003fff,0xfffffffe,0x203fffff,0xeefffffa,0xfffffffe,0x007fffff,
    0x3fffffaa,0xffffffff,0x3fa001df,0x0effffff,0xfd500000,0xffffffff,
    0x03bfffff,0xffb00000,0x7ed4009f,0xffffffff,0xa80001ce,0xffffffec,
    0x0000cdef,0xffffdb70,0x0007ffff,0x7ff76e4c,0xe800bcde,0xeca880bf,
    0xdfffffff,0xffd98001,0xffffffff,0xfec8001c,0x0001deff,0xfffb3000,
    0x9fffffff,0x40000003,0x0003ccc9,0x13557533,0x98800000,0x000001ab,
    0x006aea60,0x40000000,0x2a620009,0x800009aa,0xaccdcaa8,0x00000001,
    0x2a200000,0x01accdca,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2a600000,0x000abdec,
    0x55555544,0xaaaaaaaa,0x2666620a,0x99998801,0xb9510009,0x2000379d,
    0xbceedca8,0x32e60002,0x0000abde,0x2b3b72a2,0x2ee20000,0x00199501,
    0xccdca988,0x2000001a,0x01eeeeed,0x777775c0,0xdddddd13,0xfffe8803,
    0x003fffff,0x3fffffee,0xffffffff,0x3ffff21f,0x7ffd400f,0x7f4404ff,
    0xdfffffff,0x3fff2000,0x1effffff,0x3fffee00,0x003fffff,0xffffffc8,
    0x22001eff,0x0beffffd,0x4001ffd1,0xfffffffc,0x88001dff,0xffffd01d,
    0xffc8003f,0xfff14fff,0x7cc03fff,0xffffffff,0xffb005ff,0xffffffff,
    0x643fffff,0x400fffff,0x04fffffa,0x3fffffea,0x01ffffff,0x7fffffcc,
    0x4fffffff,0xfffffd80,0x0dffffff,0xffffe980,0x2fffffff,0xfffffb00,
    0xffffdfff,0x3fffa600,0xffffffff,0x3fee003f,0xfffffd01,0xfffc8003,
    0xffff14ff,0x3fe603ff,0xffffffff,0xfe806fff,0xffffffff,0x21ffffff,
    0x00fffffc,0x27ffffd4,0xffffffc8,0xefffffff,0x3ffffa00,0xffffffff,
    0xffd102ff,0xffffffff,0xf980dfff,0xffffffff,0x804fffff,0xffffffff,
    0x804fffff,0xfffffffa,0xffffffff,0x7fff5403,0xfffffd01,0xfffc8003,
    0xffff14ff,0x3ffa03ff,0xffffffff,0x2203ffff,0xffffffff,0xffffffff,
    0x3fffff21,0x7fffd400,0xffffb84f,0xffffffff,0xff905fff,0xffdfffff,
    0x01ffffff,0xfffffff7,0xffffffff,0x7fffec09,0xffffffff,0x3e601fff,
    0xfeca88ef,0x4400dfff,0xffffffff,0xffffffff,0xffff901f,0x3fffa03f,
    0x7e4001ff,0xff14ffff,0xf703ffff,0x317fffff,0x1ffffffb,0x3ffffe60,
    0xffffffff,0x3ff21fff,0x7d400fff,0x7c44ffff,0x31dfffff,0x1ffffff9,
    0xbffffff0,0x3fffae23,0xfffe83ff,0xffb52dff,0xf501ffff,0x115fffff,
    0xbffffff7,0x981774c0,0xff9001cc,0x2215ffff,0x5fffffeb,0x3fffff90,
    0x3fffffa0,0x7ffe4001,0xffff14ff,0xfffd03ff,0xfffd07ff,0x3fee05ff,
    0x99999fff,0x64199999,0x400fffff,0x44fffffa,0x05fffffc,0x85fffffb,
    0x06fffff8,0x89fffff3,0x04fffff9,0x05ffffff,0x01ffffff,0x1ffffff3,
    0x4c000000,0x00ffffff,0x1ffffff3,0x3fffff90,0x3fffffa0,0x7ffe4001,
    0xffff14ff,0xfff883ff,0xfff506ff,0x3ff20bff,0x320006ff,0x400fffff,
    0x44fffffa,0x01ffffff,0x87fffff3,0x03fffffa,0xb1bffffa,0x201fffff,
    0x44fffffc,0x04fffff8,0x13ffffee,0xfc800000,0x6c04ffff,0xc80bceff,
    0xd01fffff,0x003fffff,0x4fffffc8,0x3ffffff1,0x3fffffb8,0x1fffffe0,
    0x02fffff4,0xfffff900,0xffffa801,0x3fffe64f,0x004d405f,0x01fffff5,
    0x237fffe4,0x205edca9,0x43fffffa,0x02fffff9,0x3fffffe2,0x76654c00,
    0xd800bcce,0x401fffff,0x36662018,0x99afffff,0x3fffffa1,0x7ffe4001,
    0x3fffe4ff,0x7ffe40ff,0x3ff602ff,0xfff81fff,0x320003ff,0x400fffff,
    0x24fffffa,0x03fffffb,0xffff8800,0x3fffe03f,0x7dc0004f,0x7dc1ffff,
    0x7401ffff,0x501fffff,0xfffffffb,0x7401dfff,0x0007ffff,0xffffffa8,
    0xd1ffffff,0x003fffff,0x4fffffc8,0x21fffffe,0x01fffffd,0x0bfffff2,
    0x25fffff1,0xc800aba8,0x400fffff,0x24fffffa,0x02fffffd,0xffffd000,
    0x3fffe60d,0x7f40001f,0xffc86fff,0x7ec00fff,0xfb82ffff,0xffffffff,
    0xf01fffff,0x000fffff,0xffffff50,0x23ffffff,0x01fffffe,0x7ffffe40,
    0x1fffffa4,0x03fffffe,0x3fffffb8,0x6fffffd4,0x2ffffffe,0x3fffff20,
    0x7fffd401,0x3ffffa4f,0x7bfb931f,0x3ffee005,0xfd711cff,0x4000ffff,
    0x3fffffd9,0x1fffffb8,0x7ffffec0,0x7ffffd43,0xffffffff,0x7fc41fff,
    0x80006fff,0xfffffffa,0xfd1fffff,0x8003ffff,0x24fffffc,0xf86ffffd,
    0x200fffff,0x44fffffb,0xfffffffc,0xdfffffff,0xfffffc80,0x7fffd401,
    0x3ffffe4f,0xfffffc8f,0xfd800dff,0xffefffff,0x001effff,0x7ffff6c4,
    0xfff503ff,0xffe805ff,0x7ffc4fff,0xfeefffff,0x44ffffff,0x07fffff8,
    0xffffa800,0xffffffff,0x3fffffd1,0xffffc800,0x3ffff24f,0x7ffffc45,
    0x7fffdc07,0x7fffec4f,0xffffffff,0x7e40efff,0x5c02ffff,0x3e4fffff,
    0xffdfffff,0xffffffff,0xffffc801,0xdfffffff,0xfffa8000,0x2202ffff,
    0x204fffff,0x4ffffff8,0x3bffffea,0xfffffc81,0x7fffff87,0xdaa88000,
    0xaacfffff,0xfffffd0a,0xfffc8003,0x3fff24ff,0x7fffc44f,0x7ffd407f,
    0x7fffc5ff,0xffffffff,0x644fffff,0x402fffff,0x14fffffc,0xffffffff,
    0xffffffff,0xff9001ff,0xffffffff,0x3fee0003,0x400cffff,0x00ffffff,
    0xbffffff9,0x07ffff5c,0x7fffff88,0x0fffffe8,0x64009b80,0xd01fffff,
    0x003fffff,0x4fffffc8,0x113fffee,0x80ffffff,0x25fffffa,0xdffffff8,
    0xfffeb99b,0x3ff21fff,0x7ec05fff,0xff14ffff,0x9fffffff,0xffffff95,
    0x7ffec40b,0xffffffff,0xffc8004f,0x04ffffff,0x3bffffea,0x7ffffe41,
    0x035106ff,0x0fffffd8,0x1fffffec,0x37fffe60,0xfffffc82,0xfffffd01,
    0xfffc8003,0x3ffea4ff,0x7fffc43f,0x7ffd407f,0x3ffa65ff,0xffd103ff,
    0x7fe4dfff,0x3e607fff,0xf14fffff,0x1dffffff,0xfffffe88,0xffffe882,
    0xffffffff,0x7ec005ff,0xffffffed,0xffffd00d,0xffffddff,0x00dfffff,
    0x7ffff4c0,0x7fffdc0f,0x7ffe406f,0xfffc82ff,0xfffd01ff,0xfc8003ff,
    0x3e64ffff,0x7fc42fff,0x7dc07fff,0x3105ffff,0xffff9803,0x3ffff27f,
    0xfff885ff,0x3fe4ffff,0x301fffff,0xd0bfffff,0x439fffff,0x4fffffe9,
    0x3ff62000,0xff305fff,0xffffffff,0xdfffffff,0x7fedcc00,0x40ffffff,
    0x4ffffff8,0xffffff50,0x3fffff20,0xfffffd01,0xfffc8003,0x3ffe24ff,
    0x7fffc41f,0x7ffdc07f,0xd80004ff,0xf91fffff,0x7bffffff,0xffffff93,
    0x7fffc9ff,0x7fec05ff,0x7ffcc7ff,0xffd104ff,0x80001fff,0x01fffffe,
    0xffffffd3,0xffff7fff,0x7f64c0bf,0xffffffff,0xffb80fff,0xbaceffff,
    0x4ffffffe,0x3fffff90,0x3fffffa0,0x7ffe4002,0x7fffc3ff,0xffffff81,
    0x3fffee00,0xfc80004f,0xff92ffff,0xffffffff,0xffffffff,0x7ffff49f,
    0x7ffe404f,0x3ffee0ff,0x3fea01ff,0x40004fff,0x05fffffa,0x7fffffe4,
    0xfffffa8e,0xffffe985,0xffffffff,0xffd00fff,0xffffffff,0x01dfffff,
    0x07fffff2,0x17fffff4,0x3ffff200,0x07fffc3f,0x07fffffc,0x7fffff90,
    0xfff70000,0x3fff27ff,0xfffffeff,0xfffffeff,0x3fffff64,0x7fffdc03,
    0x3ffff61f,0xfffff806,0x7fc40005,0x73006fff,0x7ffdc159,0x7ffd43ff,
    0xbdffffff,0x00fffffd,0xffffffd3,0xffffffff,0x7fffe403,0xffffd01f,
    0xffd8005f,0x7ff43fff,0xfffffb07,0x7fffec03,0xfb80002f,0xff93ffff,
    0xfffd3fff,0xfffd3fff,0x7fffe49f,0x7ffdc03f,0xffff11ff,0xfffd009f,
    0xff0000df,0x0000ffff,0x45fffff9,0xeffffffa,0x7fffe41b,0x3ff2200f,
    0xffffffff,0x7fe401ef,0xffb01fff,0xd8007fff,0x6c3fffff,0xfff907ff,
    0x7ff405ff,0xa9980fff,0xffffc802,0xfffff92f,0x5ffffd31,0xb93ffffa,
    0x404fffff,0x30fffffb,0x009fffff,0x22dfffff,0x402dcba9,0x06fffff8,
    0xffffe800,0x3ffffa1f,0x3fff603f,0xfea800ff,0x2effffff,0xfffff900,
    0x3ffff203,0x7ff4005f,0x7fe42fff,0xfffff706,0x7ffffc09,0x7fffffc7,
    0x7ffff401,0xfffff90f,0x00055cc1,0x0dfffff3,0x47ffffd8,0x406fffff,
    0x15fffff8,0x80dfffff,0x45fffff9,0x204cba99,0x26fffff9,0x06fffff8,
    0x07ffffec,0xbffd9100,0xfffc8005,0xfff701ff,0x2e005fff,0x01ffffff,
    0xfffff880,0xffffb80f,0x7fffe44f,0x3ffea05f,0x3fff26ff,0xb00000ff,
    0x207fffff,0x46fffff8,0x01fffffd,0x8fffffee,0x02fffffe,0x0ffffffa,
    0x01fffffd,0x93fffff2,0x03fffffa,0x3fffffe2,0x3fffe000,0x32004fff,
    0x301fffff,0x1fffffff,0xfffff880,0x3fa0007f,0x7c44ffff,0x541fffff,
    0x82ffffff,0x2fffffe8,0x03fffff2,0x7ffd4000,0x7ec41fff,0x7e43ffff,
    0x980effff,0x22ffffff,0x1efffffc,0xffffffc8,0x7ffffe41,0xfffffa84,
    0x3fffea0f,0x3fff606f,0xb1000fff,0x7ffffb79,0x3ffff200,0x3fff602f,
    0xd502efff,0x87ffffff,0x506eeeed,0x7dffffff,0xdffffff9,0xffffff10,
    0xfff737df,0xffc8dfff,0x00000fff,0x3ffffffa,0xfffffdbd,0xffff986f,
    0xfba9bfff,0x4c6fffff,0xefffffff,0xfffffebb,0xffff984f,0xffdbbeff,
    0x7c44ffff,0x20cfffff,0xffffffc9,0x3ea0001f,0xff7006ff,0x3b77ffff,
    0x7fffffcc,0xffeeefff,0x87ffffff,0x207ffffe,0xfffffffd,0x1fffffff,
    0xffffff30,0xffffffff,0xfffc83ff,0x200000ff,0xfffffffa,0xffffffff,
    0xfffff702,0xffffffff,0xff701fff,0xffffffff,0x40dfffff,0xfffffffd,
    0xefffffff,0xfffffe80,0xfffffdff,0x002fffff,0x01fffe20,0x7fffffd4,
    0x7fec3fff,0xffffffff,0xffffffff,0xffffe83f,0x3fffa207,0xffffffff,
    0x7ffdc03f,0xffffffff,0xffc81fff,0x00000fff,0x7fffffdc,0x4fffffff,
    0x7ffffe40,0xffffffff,0x3fff603f,0xffffffff,0x3e201fff,0xffffffff,
    0x300dffff,0xffffffff,0xfffdffff,0x260007ff,0x2005fffd,0xffffffff,
    0xffffc83f,0xffffffff,0xd04fffff,0x900fffff,0xffffffff,0x3ee005ff,
    0xffffffff,0xff900eff,0x00001fff,0xffffff30,0x005fffff,0x3ffffff2,
    0x02ffffff,0xffffffb8,0x00dfffff,0xffffff98,0x804fffff,0xfffffffb,
    0xfffd3fff,0xeffa80df,0x1ffffffe,0x3ffff200,0xf504ffff,0xffffffff,
    0x03dfffff,0x03fffff4,0xfffffeb8,0x644001df,0xdfffffff,0x3fff200c,
    0x000000ff,0xfffffd91,0xc88001bf,0xffffffff,0x3f62000c,0x2effffff,
    0x7ffe4400,0x002dffff,0x3fffffa6,0x3ffee0df,0x3fea01ff,0x1dffffff,
    0xffffa800,0x32203eff,0xfffffffe,0x7400ceff,0x8007ffff,0x00001ab9,
    0x40037531,0x00ccccca,0xba880000,0x5300000a,0x00001377,0x00035753,
    0x01575310,0x1aa98800,0x33220000,0x001bcded,0x001aa980,0xaabaaa88,
    0x0000000a,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00333331,0x0cccccc4,0x40000000,
    0x01999998,0x004cccc4,0x26066666,0xeb801999,0x1a83eeee,0x3bbbba20,
    0x26600004,0xdb980999,0x000000ab,0x1777774c,0x0dee54c0,0x004cccc4,
    0xc980ddc4,0x7f40001c,0x6c007fff,0x003fffff,0x3bffb2e6,0x7f4002cd,
    0x2602ffff,0x02ffffff,0x3e1ffffe,0xb800ffff,0xd54fffff,0x7ffc40bf,
    0x100005ff,0x225fffff,0xfffffffd,0x2a000004,0x203fffff,0xffffffe8,
    0x3ffffa3f,0x7fffe403,0x0bff61be,0xffffd000,0xfffb000f,0xff9100df,
    0xffffffff,0xfff3005f,0xffe807ff,0xf00fffff,0xfff0ffff,0x3e6001ff,
    0xffffffff,0x3fffe204,0xf100005f,0xfd15ffff,0xffffffff,0x5000001d,
    0x207fffff,0xfffffffa,0xfffd4fff,0x7ffdc07f,0xffffffff,0x740001ff,
    0x8007ffff,0x02ffffe8,0x3fffffee,0xffffffff,0x3fff601e,0x7ffe404f,
    0xf05fffff,0xfff0ffff,0x744001ff,0x00cfffff,0x2fffffc4,0xfff88000,
    0xffffecff,0xffffffff,0x7d400000,0xfb83ffff,0xffffffff,0xfffecfff,
    0x3fffa03f,0xffffffff,0xfe80006f,0x10007fff,0x2a0dfffd,0xffffffff,
    0xffffffff,0xffff980e,0x7fffd404,0x82ffffbb,0xff87ffff,0x91000fff,
    0x0bffffff,0xbfffff10,0x3fe20000,0xffffffff,0xffffffff,0x5400004f,
    0x443fffff,0xffffffff,0xffffffff,0x3fe03fff,0xfffd730f,0xd00003df,
    0x000fffff,0x217fffc4,0xfffffff8,0xfffdcacd,0xffc85fff,0x7ffc405f,
    0x3ffff65f,0x43777740,0x400eeeed,0xfeefffc8,0x7c404fff,0x0005ffff,
    0xffffff10,0x7f4c17ff,0x001fffff,0x3fffea00,0x7fffe43f,0x3f620cff,
    0x03ffffff,0x65cc13ba,0x32e00001,0x40004ccc,0x7f45fff9,0x301effff,
    0x47fffffd,0xd805fff8,0x3a20efff,0x00006fff,0x25dffd00,0x03fffff9,
    0x17ffffe2,0x7ffc4000,0xd102ffff,0x00bfffff,0x7fffd400,0x3fffe63f,
    0x3ff203ff,0x0003ffff,0x00000000,0xff880000,0x4c00ffff,0x005fffff,
    0x00000000,0x20baa000,0x02fffffb,0x0bfffff1,0x3ffe2000,0x7cc05fff,
    0x0007ffff,0x3ffffea0,0x3ffffee3,0x7fffc406,0x000003ff,0xaaa88000,
    0x2000002a,0x02fffffa,0x0fffffb0,0x00000000,0x26200000,0x3fffffa0,
    0xfffff880,0x55ee5445,0x7fffc400,0xffe801ff,0xb9801fff,0x7fd41bdc,
    0x3ff23fff,0xfc802fff,0x3003ffff,0x0359bb97,0xfffa8000,0x2620007f,
    0x3ff21999,0x3ee007ff,0x2621ffff,0x22001999,0x40019999,0x00199998,
    0xffffec88,0x3fffffac,0x5fffff88,0xffffffd1,0x7ffc409f,0xff9007ff,
    0x7d405fff,0x2fffffff,0x47fffff5,0x01fffffd,0x3fffffa8,0x7ffff540,
    0x003fffff,0xfffff500,0x7fff4000,0x1dd4c47f,0xfffffb00,0x3fffff41,
    0xfffffd00,0xffffe800,0x7ffdc007,0xffffffff,0x7c40ffff,0xff9dffff,
    0xffffffff,0xffff880e,0xfff7006f,0x3ff207ff,0xffffffff,0x3fffffab,
    0x03fffffe,0x3ffffe60,0xffffb103,0xffffffff,0xfc80001d,0x20005fff,
    0x007ffffe,0xfffff100,0x7ffffe8b,0x3ffffa00,0x7fff4007,0x3ff6007f,
    0xffffffff,0x45ffffff,0xfffffff8,0xffffffff,0x7c40ffff,0x5005ffff,
    0xb09fffff,0xffffffff,0xffffffff,0x7fffc7ff,0xfff3007f,0xffd107ff,
    0xffffffff,0x005fffff,0x3ffffe20,0x3ffa0003,0x880007ff,0x43fffffe,
    0x007ffffe,0x01fffffa,0x0fffffd0,0x3fffff20,0xffffffff,0x220fffff,
    0xffffffff,0xfffffeff,0x7fc44fff,0xf5006fff,0xf987ffff,0xefffffff,
    0xfffffffe,0x3fffe3ff,0xfff3007f,0xfffd07ff,0xffffffff,0x01ffffff,
    0xffffe880,0x3fa0002f,0x40007fff,0xffffffe8,0x3fffff40,0xfffffd00,
    0xffffe800,0xffff9807,0xfcbbdfff,0x3fffffff,0x3fffffe2,0x7ff442ff,
    0x3e21ffff,0x7007ffff,0xe85fffff,0x42ffffff,0xffffffd8,0x3ffffa3f,
    0xfffa800f,0x7ffe43ff,0x988aefff,0x5ffffffc,0x3fffa200,0x20000fff,
    0x007ffffe,0x3ffffe60,0xfffe82ff,0x3ffa007f,0x7f4007ff,0xfe807fff,
    0x881effff,0x5ffffffe,0x3fffffe2,0x3fffa00f,0x3ffe25ff,0xfc800fff,
    0x3ea1ffff,0x201fffff,0x3ffffffd,0x07fffff6,0x3ffffee0,0x3ffffe23,
    0x3ffea05f,0xf9802fff,0x01ffffff,0x7ffff400,0xfff30007,0x3a07ffff,
    0x2007ffff,0x007ffffe,0x03fffff4,0x3fffffee,0x7ffff400,0xffff10ff,
    0xffa807ff,0x3fe27fff,0xe803ffff,0x320fffff,0x404fffff,0x3ffffff9,
    0x0ffffff2,0x3fffffa0,0x3ffffee3,0xffffb806,0x7ffd407f,0x0003ffff,
    0x07ffffe8,0xfffffa80,0x3ffa02ff,0x3fa007ff,0x74007fff,0x6407ffff,
    0x804fffff,0x1ffffffa,0x1ffffff1,0xfffffd00,0x3ffffe21,0x7ffd407f,
    0x7ffec7ff,0xffd800ff,0x3fea3fff,0x7d406fff,0x3a3fffff,0x002fffff,
    0x01ffffff,0x3fffffea,0xfd00002f,0x8800ffff,0x1fffffff,0x3fffff40,
    0xfffffd00,0xffffe800,0x7ffff407,0xfffd001f,0x3ffe25ff,0xffb006ff,
    0x3fe23fff,0x80dfffff,0x3fffffe9,0x03fffffc,0x3fffffc8,0x27fffff4,
    0xffffffa8,0x3ffffe3f,0xfff9000f,0xfff103ff,0x0005ffff,0x3fffff40,
    0x3ffff600,0xffe801ff,0x3fa007ff,0x74007fff,0x7c07ffff,0x000fffff,
    0x27fffffb,0x05fffff8,0x5fffff90,0x3fffffe2,0xfba9beff,0xf87fffff,
    0x7006ffff,0xa87fffff,0xaeffffff,0xfffffca9,0xfff13fff,0x7dc00fff,
    0xfd83ffff,0x001fffff,0x7ffff400,0x7fffc007,0xffd000ff,0x7f400fff,
    0x74007fff,0x2207ffff,0x007fffff,0x53fffff2,0x05fffff8,0x7fffff70,
    0x3fffffe2,0xffffffff,0x443fffff,0x006fffff,0x07fffff5,0xfffffffd,
    0xffffffff,0x3fe67fff,0x2a006fff,0x544fffff,0x00ffffff,0xfffe8000,
    0x3fe2007f,0x3a002fff,0x2007ffff,0x007ffffe,0x03fffff4,0x0ffffff1,
    0x7ffffdc0,0xbfffff13,0x3fffee00,0xfffff13f,0xffffffbd,0x10bfffff,
    0x00dfffff,0x0fffffea,0x3fffffe6,0xfdffffff,0xff13ffff,0x5c00dfff,
    0x644fffff,0x002fffff,0xffffd000,0x7ffd400f,0x7ff4007f,0x3fa007ff,
    0x74007fff,0x7c07ffff,0x000fffff,0x25fffff9,0x06fffff8,0x5fffff90,
    0x5bffffe2,0xfffffffc,0x3ffe03ff,0xff7007ff,0x3a607fff,0xffffffff,
    0xfffffa9f,0xffffff13,0x7fffe400,0x7fffec2f,0x99d3000f,0x7fff4035,
    0x3ff2007f,0x7f4006ff,0x3a007fff,0x4007ffff,0x407ffffe,0x01fffffe,
    0x1fffffd0,0x1fffffe2,0x7ffffec0,0xdfffff11,0x7fffff54,0x7fff401e,
    0xffc800ff,0x32203fff,0x0dffffff,0x47fffff5,0x00ffffff,0x3fffffb0,
    0x07ffffd8,0x1fffff60,0x07ffffe8,0x17ffff20,0xfffffd00,0x7ffff400,
    0x7fff4007,0x7ffe407f,0xff9804ff,0x3fe27fff,0x4402ffff,0x10ffffff,
    0x10dfffff,0x7ec00355,0xf802ffff,0x003fffff,0xff501551,0x7fec7fff,
    0xf8803fff,0xfb87ffff,0x8800ffff,0x204fffff,0x007ffffe,0x7ff40000,
    0x3fa007ff,0x74007fff,0x5407ffff,0x00ffffff,0x2fffffec,0xdffffff1,
    0xfffffb80,0x3ffffe26,0x3f200006,0x5c05ffff,0x03ffffff,0xffff5000,
    0x7fffd47f,0x7fec00ff,0xffa86fff,0xfe805fff,0x3a01ffff,0x0007ffff,
    0x7fff4000,0x3ffa007f,0x7f4007ff,0xfe807fff,0xb01effff,0x41ffffff,
    0xfffffff8,0xfffff305,0x7fffc47f,0x2200006f,0x05ffffff,0xfffffff3,
    0x3ea00007,0x3e23ffff,0x01efffff,0x3ffffff9,0x3fffffa0,0xfffe981d,
    0x7ff407ff,0x3ae007ff,0x2001eeee,0x007ffffe,0x01fffffa,0x0fffffd0,
    0xffffff30,0xffd9559f,0xf887ffff,0xefffffff,0xffffc99b,0x7ffc46ff,
    0x400006ff,0xdffffffc,0xffffca9b,0x0003ffff,0x7fffff50,0xffffffb8,
    0xffecabcf,0x2603ffff,0xffffffff,0xffffffee,0x7ff402ff,0x3f2007ff,
    0x2001ffff,0x007ffffe,0x01fffffa,0x0fffffd0,0x3fffff20,0xffffffff,
    0xff886fff,0xffffffff,0xffffffff,0x7fffc42f,0x4400006f,0xffffffff,
    0xffffffff,0x00003fff,0x07fffff5,0xfffffffb,0xffffffff,0xfff500df,
    0xffffffff,0x009fffff,0x00fffffd,0x0fffffe4,0xfffffd00,0x7ffff400,
    0x7fff4007,0x3ff2007f,0xffffffff,0x880effff,0xfdafffff,0xffffffff,
    0xfff885ff,0x800006ff,0xfffffffa,0xff9fffff,0x00003fff,0x07fffff5,
    0xffffffb1,0xffffffff,0x3faa001d,0xffffffff,0xd003ffff,0x400fffff,
    0x01fffffc,0x1fffffa0,0x7ffffe80,0x7ffff400,0x7ffd4007,0xffffffff,
    0x3ffe203f,0xffff91ff,0x207fffff,0x06fffff8,0xffd30000,0x1dffffff,
    0x00fffffe,0x7fffd400,0x3ffee03f,0xffffffff,0xff70003f,0xffffffff,
    0x7ff4001b,0x3f2007ff,0x2001ffff,0x007ffffe,0x01fffffa,0x0fffffd0,
    0xfffd9100,0x803bffff,0x21fffff8,0xefffffeb,0x3fffe201,0x2000006f,
    0xefffffc8,0x3ffffe0c,0xff500003,0xb8807fff,0xeffffffe,0x4c40001d,
    0x00abddca,0xfffffd00,0x7fffe400,0x3ffa001f,0x3fa007ff,0x74007fff,
    0x0007ffff,0x0009ba98,0x03551000,0x15555540,0xa8800000,0x0000000a,
    0x1aaaaa88,0x26aa6200,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xc8000000,0x002eeeee,
    0xeeed804c,0xeeeeeeee,0x01bccdee,0xeeeeeed8,0xeeeeeeee,0x5eeeeeee,
    0xeecca880,0x3b600abc,0xeeeeeeee,0x0abccdee,0x3a200000,0xa880eeee,
    0xaaaaaaaa,0xaaaaaaaa,0xdddd12aa,0xd900009d,0x4007dddd,0x02eeeeed,
    0x0bdddd10,0xfffb0000,0xec9805ff,0xd2deffff,0xffffffff,0xffffffff,
    0x7f405dff,0xffffffff,0xffffffff,0x5c07ffff,0xffffffff,0xfffd02ff,
    0xffffffff,0x39ffffff,0xffb00000,0xff101fff,0xffffffff,0xffffffff,
    0x3fffe2ff,0xfa80005f,0x800fffff,0x0ffffffa,0xdffff900,0xffb00000,
    0x7d405fff,0xffffffff,0xffffffd2,0xffffffff,0x0bffffff,0x3ffffffa,
    0xffffffff,0x7fffffff,0xffffff10,0xdfffffff,0xfffffe81,0xffffffff,
    0x03ffffff,0x3ffee000,0xff880fff,0xffffffff,0xffffffff,0xfffff17f,
    0x3fa0000b,0xe803ffff,0x004fffff,0x0dfffff1,0xfffb0000,0x3fe605ff,
    0xffffffff,0xffffffd0,0xffffffff,0x9fffffff,0xffffffd0,0xffffffff,
    0xffffffff,0xfffffd10,0xffffffff,0xffffe8bf,0xffffffff,0xffffffff,
    0xff880005,0x880fffff,0xffffffff,0xffffffff,0xfff17fff,0x20000bff,
    0x07fffffa,0x7fffffd4,0xfffe8800,0x800006ff,0x02fffffd,0xfffffffb,
    0x7fff4fff,0xffffffff,0xffffffff,0x7ff42fff,0xffffffff,0xffffffff,
    0xffd87fff,0xffffffff,0x23ffffff,0xfffffffe,0xffffffff,0x03ffffff,
    0x7ffff400,0xff880fff,0xffffffff,0xffffffff,0xfffff17f,0x7f40000b,
    0x3a03ffff,0x804fffff,0xffffffe8,0xfd800006,0xff02ffff,0x557bffff,
    0x7fffff47,0xaaaaaaac,0xffffffca,0x7ffff45f,0xaaaaaacf,0xaaaaaaaa,
    0x7fffcc2a,0xfc98beff,0xd0ffffff,0x559fffff,0xffd99755,0x01ffffff,
    0x3fffee00,0xf880ffff,0xffffffff,0xffffffff,0xffff13ff,0x540000bf,
    0x306fffff,0x01ffffff,0xffffffa8,0x800006ff,0x82fffffd,0x0ffffff8,
    0x3fffffa0,0xfff91002,0xfffe8fff,0x400002ff,0x05fffffb,0x3fffffd1,
    0x0bfffffa,0x3ffffaa0,0xf98004ff,0xffffffff,0x33333300,0xf3333333,
    0x7c4bffff,0x0005ffff,0x7fffff40,0xfffffd82,0x3fff2204,0x06ffffff,
    0xfffd8000,0xfff882ff,0x7ff406ff,0x22002fff,0x21ffffff,0x02fffffe,
    0x7ffec000,0x3fee00ff,0xfffd3fff,0x7ec005ff,0x001fffff,0x7ffffff4,
    0x00000fff,0x88dffffb,0x005fffff,0x7fffdc00,0x7fffcc6f,0xffc880ff,
    0xffffffff,0xd800006f,0x982fffff,0x405fffff,0x02fffffe,0x7ffffec0,
    0x3fffffa1,0x7fc00002,0x7cc06fff,0xffd5ffff,0x44005fff,0x05ffffff,
    0x3ffffee0,0x000fffff,0xfffffa80,0x7ffffc40,0x26666205,0x3ffa0099,
    0x3ff62fff,0xff904fff,0xffffffff,0x00000dff,0x25fffffb,0xffffa998,
    0x741999df,0x002fffff,0x23fffff4,0x02fffffe,0x65d4c000,0x7ffd404d,
    0xffffd4ff,0xffc8005f,0x9800ffff,0xffdfffff,0x40000fff,0x83fffff8,
    0x05fffff8,0xffffffd1,0x7fffdc03,0xfffff15f,0x3fff201f,0xffff9eff,
    0xd800006f,0xf72fffff,0xffffffff,0xffe8ffff,0x26002fff,0x744fffff,
    0x002fffff,0xfc800000,0xffd2ffff,0x88005fff,0x01ffffff,0xcbffffe8,
    0x000fffff,0x37fffec0,0x5fffff88,0xffffffd0,0xfffff003,0xfffff91f,
    0x7fffe409,0x1bffffe4,0x3ff60000,0xfff72fff,0xffffffff,0xffffe8ff,
    0xffd5002f,0xffe85fff,0x00002fff,0xffff8000,0xffffd1ff,0xffd0005f,
    0xfc807fff,0xfff95fff,0x540001ff,0x101fffff,0xb0bfffff,0x05ffffff,
    0x3ffffee0,0x0ffffffc,0xf0bbff20,0x000dffff,0xfffffb00,0x3ffffee5,
    0x7fffffff,0x6ffffff4,0xcccccccc,0x4ffffffe,0xefffffe8,0xeeeeeeee,
    0x04eeeeee,0xffffa800,0x3ffffa7f,0xffd8002f,0x3e604fff,0xff90ffff,
    0x40001fff,0x205ffffe,0x45fffff8,0x2ffffffc,0x7ffffc00,0x04ffffff,
    0xfff816e4,0x800006ff,0x72fffffd,0xffffffff,0xfe8fffff,0xffffffff,
    0xffffffff,0xffd02fff,0xffffffff,0xffffffff,0x88000bff,0x23ffffff,
    0x02fffffe,0xfffffc80,0x3ffffa05,0x3fffff23,0xfff50000,0x7fc403ff,
    0x3fee5fff,0x6403ffff,0xfffecccc,0xdfffffff,0x0022cccc,0x00dfffff,
    0xffffb000,0x3eeaa65f,0xaaaeffff,0x7fffff42,0xffffffff,0x03ffffff,
    0x3ffffffa,0xffffffff,0x05ffffff,0x3fffa200,0x7fff46ff,0xfc8002ff,
    0xf905ffff,0xffc8bfff,0xb0000fff,0x880dffff,0xf55fffff,0x007fffff,
    0xffffffff,0xffffffff,0x009fffff,0x037ffffc,0x7ffec000,0xfff982ff,
    0x7ff404ff,0xffffffff,0xffffffff,0xffe81dff,0xffffffff,0xffffffff,
    0xd10005ff,0x83ffffff,0x02fffffe,0xfffffb80,0xfffff986,0x7ffffe40,
    0xfff98000,0x7fc403ff,0xfff9dfff,0xff004fff,0xffffffff,0xffffffff,
    0x7c009fff,0x0006ffff,0xfffffd80,0xfffff982,0x7ffff404,0xffffffff,
    0xffffffff,0x7fff42ff,0xffffffff,0xffffffff,0xfe88005f,0xe84fffff,
    0x002fffff,0x6fffffc8,0x1fffff44,0x07ffffe4,0x7fffec00,0x7ffc400f,
    0xfffffeff,0x3ffe004f,0xffffffff,0xffffffff,0x3fe004ff,0x00006fff,
    0x2fffffd8,0x4fffff98,0x7fffff40,0xcccccccd,0xffffffec,0x3fffa2ff,
    0xaaaaacff,0xaaaaaaaa,0x7f44002a,0xd05fffff,0x005fffff,0xbfffff90,
    0x05ffffc8,0x01fffff9,0xfffff880,0xffff8805,0xffffffff,0x3fffe005,
    0xffffffff,0xffffffff,0x3ffe004f,0x800006ff,0x82fffffd,0x04fffff9,
    0x17fffff4,0xfffff700,0x7ffff4df,0x0000002f,0xffffffd1,0x7ffff40b,
    0xffc8002f,0x3fea5fff,0xff900fff,0xc8001fff,0x801fffff,0xfffffff8,
    0x01ffffff,0x33333330,0x3dfffff5,0x01333333,0x37ffffc0,0x7fec0000,
    0xff982fff,0x7f404fff,0x4002ffff,0x3ffffff9,0x05fffffd,0xfd100000,
    0x80bfffff,0x02fffffe,0xfffffe80,0xbfffff14,0xfb555555,0x5557ffff,
    0xdffffd00,0x3fffe200,0xffffffff,0xf880006f,0x0005ffff,0x1bffffe0,
    0xffd00200,0xff305fff,0xfe809fff,0x8002ffff,0xd4fffffe,0x005fffff,
    0xffe88000,0xe805ffff,0x002fffff,0x2ffffff8,0xfffffff3,0xffffffff,
    0x0dffffff,0x3fffff88,0xfffff100,0xffffffff,0x5555005f,0xffff7555,
    0x555555df,0x7ffc0035,0x372206ff,0x7f404ffe,0xf982ffff,0x7404ffff,
    0x002fffff,0x6fffffc8,0x05fffffd,0x7f440000,0x004fffff,0x05fffffd,
    0xfffff980,0xfffff30f,0xffffffff,0xffffffff,0xffffa80d,0xfff1000f,
    0xff5dffff,0xf801ffff,0xffffffff,0xffffffff,0x2004ffff,0x206fffff,
    0x05fffff8,0x0ffffffc,0x27ffffcc,0x3fffffa0,0xfffd8002,0xffffd6ff,
    0x4000005f,0x4ffffffe,0x3ffffa00,0x7ff4002f,0x3fe66fff,0xffffffff,
    0xffffffff,0x7ec06fff,0x22006fff,0x0fffffff,0x09fffff9,0xfffffff8,
    0xffffffff,0x04ffffff,0x1bffffe0,0x0ffffff0,0x7fffffc4,0xfffff980,
    0x7ffff404,0x7fc4002f,0xffd4ffff,0x00005fff,0x3fffff20,0x7ff4004f,
    0x2a002fff,0x23ffffff,0xfffffff9,0xffffffff,0x06ffffff,0x027ffffc,
    0xffffff10,0x7ffffc43,0x3fffe00f,0xffffffff,0xffffffff,0x3ffe004f,
    0x7ff406ff,0xff702fff,0x3e60ffff,0x7404ffff,0x002fffff,0x7fffffe4,
    0x5fffffd2,0xff500000,0x000bffff,0x05fffffd,0x3ffffea0,0x7777447f,
    0xeeeeeeee,0xeeffffff,0x3ffe605e,0x3e2002ff,0xfb85ffff,0x3e05ffff,
    0xffffffff,0xffffffff,0x2004ffff,0x406fffff,0x2ffffffd,0x7fffffcc,
    0xfffff305,0xffffe809,0x999999bf,0xffffb999,0xffd0ffff,0x33337fff,
    0x33333333,0x7c413333,0xabffffff,0xaaaaaaaa,0xfffffd1a,0x33333337,
    0xffffffd7,0xf900007f,0x2001ffff,0x01fffffa,0x3ffffe20,0xfffffd05,
    0x26666603,0xfffffa99,0x9999999e,0x3fffe000,0x7ffcc06f,0xffefffff,
    0x01ffffff,0x09fffff3,0xffffffe8,0xffffffff,0xffffffff,0x3ffffa4f,
    0xffffffff,0xffffffff,0x3ffea3ff,0xffffffff,0x5fffffff,0xfffffffd,
    0xffffffff,0x0bffffff,0x3fff2000,0xff7000ff,0xf8800fff,0xf505ffff,
    0x000dffff,0x0bfffff1,0x7fffc000,0xfffc806f,0xffffffff,0x2605ffff,
    0x404fffff,0xfffffffe,0xffffffff,0x5fffffff,0x7ffffff4,0xffffffff,
    0xffffffff,0x3fffff63,0xffffffff,0xfd5fffff,0xffffffff,0xffffffff,
    0x0001dfff,0x3fffff20,0xffff9000,0xfff8800d,0x3ffa05ff,0x44003fff,
    0x005fffff,0x3ffffe00,0xffff8806,0xffffffff,0x3e600eff,0x7404ffff,
    0xffffffff,0xffffffff,0x40efffff,0xfffffffe,0xffffffff,0x3fffffff,
    0xfffffff1,0xffffffff,0x3fabffff,0xffffffff,0xffffffff,0x400003ff,
    0x00fffffc,0x0dffffb0,0xfffff880,0x3fffe605,0x3e2000ff,0x0005ffff,
    0x1bffffe0,0x7ffff440,0xefffffff,0x7fffcc00,0x7fff404f,0xffffffff,
    0xffffffff,0xfffe80cf,0xffffffff,0xffffffff,0xfff53fff,0xffffffff,
    0xffffffff,0x3fffffab,0xffffffff,0x000cffff,0xffffc800,0xfffd000f,
    0xff8800bf,0x7ec05fff,0x2004ffff,0x05fffff8,0x3fffe000,0x7fdc006f,
    0x2dffffff,0xfffff300,0xffffe809,0xffffffff,0x01ceefff,0x7ffffff4,
    0xffffffff,0xffffffff,0xffffffb3,0xffffffff,0x3abfffff,0xffffffff,
    0xbdefffff,0x32000001,0x000fffff,0x00bfffff,0x5fffff88,0x7ffffcc0,
    0xfff1000f,0x40000bff,0x006fffff,0x13575310,0xffff9800,0x0000004f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x05eeeed8,0x74400000,0x003eeeee,0x5ddddd90,
    0xeeee9800,0xddb0deee,0xa8003ddd,0x954eeeee,0x00039999,0xdddddd90,
    0xdddddddd,0x23dddddd,0xeeeeeeed,0x3bae002e,0x94eeeeee,0x005ddddd,
    0x3eeeee88,0x03dddddb,0x99998000,0x33333119,0x07fffff8,0x7dc00000,
    0x00ffffff,0xfffffd80,0x3ffe6002,0x3a0fffff,0x002fffff,0xafffffdc,
    0x03fffffd,0xffffe800,0xffffffff,0xffffffff,0xfffffff1,0x7f4009ff,
    0x5fffffff,0x1ffffffd,0x7fffc400,0xfffffd4f,0xff800005,0xfffb7fff,
    0x7fffc1ff,0x0000007f,0x7ffffff4,0xffd8003f,0xf1002fff,0x3fffffff,
    0x2fffffe8,0x7fffdc00,0xfffffb5f,0xffd00007,0xffffffff,0xffffffff,
    0x3fffe3ff,0x007fffff,0xfffffff1,0x3fffabff,0x22004fff,0xfd4fffff,
    0x0005ffff,0x7fffff80,0x41fffffb,0x007fffff,0x3fe60000,0x06ffffff,
    0xfffffd80,0xfffe8802,0xfe81ffff,0x4002ffff,0xb5fffffb,0x007fffff,
    0xfffffd00,0xffffffff,0x3fffffff,0x3ffffffe,0xfa801fff,0xffffffff,
    0xffffffd5,0x3fe2003f,0xfffd4fff,0x800005ff,0xfb7fffff,0x7fc1ffff,
    0x00007fff,0x3ffff200,0x001fffff,0x17ffffec,0x3ffffa20,0xffd01fff,
    0xb8005fff,0xfb5fffff,0x0007ffff,0xffffffd0,0xffffffff,0x23ffffff,
    0xffffffff,0xffc803ff,0x5fffffff,0xfffffffd,0x3ffe200d,0xffffd4ff,
    0xf800005f,0xffb7ffff,0x7ffc1fff,0x000007ff,0xffffff10,0x8009ffff,
    0x02fffffd,0x7ffffff4,0x3fffa01f,0x7dc002ff,0xffb5ffff,0x00007fff,
    0x59fffffd,0x55555555,0x3e155555,0xffffffff,0xfffe805f,0xd5ffffff,
    0xffffffff,0xffff1007,0x3ffffa9f,0x7c00002f,0xffb7ffff,0x7ffc1fff,
    0x000007ff,0xffffff70,0x001fffff,0x17ffffec,0xffffffb0,0xfffe805f,
    0x7dc002ff,0xffb5ffff,0x00007fff,0x05fffffd,0xfffff000,0x80ffffff,
    0xfffffff8,0xfffd5fff,0x01ffffff,0x4fffff88,0xfffffffd,0xbddfffff,
    0xccc80179,0x999974cc,0x7fffff89,0xfd000000,0xfffdffff,0x7ec007ff,
    0xfb02ffff,0x05ffffff,0x5fffffd0,0xffffb800,0xfffffb5f,0xffd00007,
    0x00005fff,0xffdfffff,0x7dc03fff,0xffffefff,0xfffffd5f,0x8809ffff,
    0xfd4fffff,0xffffffff,0xffffffff,0x4000009f,0x987fffff,0x0001bcdb,
    0x3bffffe6,0x06fffffa,0x3fffff60,0xfffffc82,0xffd002ff,0xb8005fff,
    0xfb5fffff,0x0007ffff,0x5fffffd0,0xffff0000,0x7ffffbdf,0x67fffec0,
    0xfd5fffff,0xffffffff,0x7ffc403f,0xffffd4ff,0xffffffff,0xbfffffff,
    0x3fe00000,0x3fee7fff,0x01efffff,0xfffffc80,0xffffff8a,0xffffb001,
    0xffffb85f,0x3a002fff,0x002fffff,0xafffffdc,0x03fffffd,0xffffe800,
    0xff80002f,0xfffbefff,0x3fffe05f,0x5fffffaf,0xfffffffd,0x7c40dfff,
    0xffd4ffff,0xffffffff,0xffffffff,0x00000bff,0x36ffffff,0xffffffff,
    0x7fc002ff,0xff90ffff,0x36009fff,0x2e2fffff,0x3fffffff,0x7ffff400,
    0x7fdc002f,0xfffb5fff,0xd00007ff,0x005fffff,0xdfffff00,0x20fffff3,
    0xf8fffff9,0xffd5ffff,0xffffffff,0x3ffe207f,0xffffd4ff,0xffffffff,
    0xffffffff,0xf800005f,0xffefffff,0xffffffff,0xff5000ff,0x7fccbfff,
    0xd800ffff,0xf52fffff,0x07ffffff,0xfffffd00,0xfffb8005,0xffffb5ff,
    0xfd00007f,0x0005ffff,0x2dfffff0,0xb81fffff,0xfff6ffff,0x3fffabff,
    0xfffffdff,0xffff880f,0xfffffd4f,0x55333337,0xfffffff9,0xff80000d,
    0xffffffff,0xffffffee,0xfffb004f,0xfffe85ff,0xffd803ff,0xfff9afff,
    0x0007ffff,0x9bfffffd,0x99999999,0xfffffb99,0x3fffff6b,0xffe80003,
    0x9999bfff,0x19999999,0xb6fffff8,0xfb09ffff,0x3ffe7fff,0xffffd5ff,
    0xffffff1f,0xfffff10b,0x3fffffa9,0xfffe9802,0x00001fff,0x3ffffffe,
    0x3ffa20af,0xf8807fff,0xfb87ffff,0xd806ffff,0xffcfffff,0x4fffffff,
    0xffffe800,0xffffffff,0xffffffff,0xfffb5fff,0xd00007ff,0xffffffff,
    0xffffffff,0xffff83ff,0xdffff76f,0x23fffff0,0xfd5fffff,0x3feeffff,
    0x7c42ffff,0xffd4ffff,0x2a005fff,0x02ffffff,0x3fffe000,0xff102fff,
    0xb801ffff,0x884fffff,0x01ffffff,0x7fffffec,0xffffffff,0x7f4001ff,
    0xffffffff,0xffffffff,0xb5ffffff,0x007fffff,0xfffffd00,0xffffffff,
    0xf83fffff,0xff36ffff,0x7fcc1fff,0x3fffe7ff,0xfffffd5f,0x37fffff4,
    0x53ffffe2,0x02fffffe,0x3fffffe0,0x3fe00003,0x6c04ffff,0x401fffff,
    0x01fffffe,0x09fffffd,0xffffffd8,0xffffffff,0x7f4006ff,0xffffffff,
    0xffffffff,0xb5ffffff,0x007fffff,0xfffffd00,0xffffffff,0xf83fffff,
    0x3fe6ffff,0x3fee2fff,0x3fffe6ff,0xfffffd5f,0x7fffffcc,0x3ffffe23,
    0x5fffffd4,0x7fffec00,0x3e00004f,0x401fffff,0x01fffffc,0x1bffffe6,
    0xffffffb8,0x3ffff600,0xfeffffff,0x003fffff,0x3ffffffa,0xffffffff,
    0xffffffff,0xfffffb5f,0xffd00007,0xffffffff,0xffffffff,0x6fffff83,
    0xd93ffff6,0x3fe4ffff,0xfffd5fff,0xffffc8ff,0xffff10ff,0x3ffffa9f,
    0x3ffe002f,0x00003fff,0x03fffffe,0x5fffff90,0x7ffffe40,0x3fffe203,
    0x3ff603ff,0xbfffffff,0xfffffff8,0xffffd000,0x999999bf,0xffb99999,
    0x3ff6bfff,0x80003fff,0xfffffffe,0xffffffff,0x7ffc1fff,0x3ffee6ff,
    0x3ffffe6f,0x57ffffe1,0x447ffffe,0x15ffffff,0x3a9fffff,0x002fffff,
    0x3ffffff5,0xcaf7776c,0x3e0eeeee,0xc807ffff,0x102fffff,0x35ffffff,
    0xfb333333,0x6c0dffff,0xffffffff,0x3ffffea4,0xfffd005f,0xfb8005ff,
    0xffb5ffff,0x00007fff,0x05fffffd,0xfffff000,0x7ffffccd,0x0fffff98,
    0x757ffffe,0xfa87ffff,0xf8afffff,0xffd4ffff,0xb1005fff,0xf8ffffff,
    0xffb7ffff,0x7ffc1fff,0xffb807ff,0xff702fff,0xffffffff,0xffffffff,
    0x3f603fff,0x84ffffff,0x3ffffffe,0xfffffe80,0x7ffdc002,0xffffb5ff,
    0xfd00007f,0x0005ffff,0x8dfffff0,0xfbafffff,0x7ffc6fff,0xffffd5ff,
    0x3ffff60f,0xfffff9ef,0x5fffffd4,0x7fffdcc0,0x7ffc6fff,0xffffb7ff,
    0x7ffffc1f,0xffffb807,0xffffd02f,0xffffffff,0xffffffff,0x3fff609f,
    0xff304fff,0x801fffff,0x02fffffe,0x7ffffdc0,0x7fffffb5,0xfffd0000,
    0xf00005ff,0xfd8dffff,0xfffecfff,0x7ffffc4f,0x0fffffd5,0x3fffffe2,
    0xd4fffffd,0xffffffff,0xffffffff,0xf85fffff,0xffb7ffff,0x7ffc1fff,
    0xffb807ff,0xff982fff,0xffffffff,0xffffffff,0xd80fffff,0x404fffff,
    0x5ffffffc,0x7fffff40,0x7ffdc002,0xffffb5ff,0xfd00007f,0x0005ffff,
    0x8dfffff0,0xfffffffb,0x7ffc2fff,0xffffd5ff,0x7fffdc0f,0x4fffffff,
    0xfffffffd,0xffffffff,0xf09fffff,0x3f6fffff,0x3fe0ffff,0xfb807fff,
    0xfc82ffff,0xffffffff,0xffffffff,0x83ffffff,0x02fffffd,0x7fffffc4,
    0x3fffa02f,0x7dc002ff,0xffb5ffff,0x00007fff,0x05fffffd,0xfffff000,
    0xfffff98d,0x7c0fffff,0xffd5ffff,0xffe80fff,0xffffffff,0xffffffd4,
    0xffffffff,0x20bfffff,0xfb6fffff,0x7fc1ffff,0xfb807fff,0xff82ffff,
    0xffffffff,0xffffffff,0x86ffffff,0x02fffffd,0xffffffb8,0xffffd00f,
    0xffb8005f,0xfffb5fff,0xd00007ff,0x005fffff,0xdfffff00,0xfffffff0,
    0xffff0dff,0x3ffffabf,0x7fffd407,0xd4ffffff,0xffffffff,0xffffffff,
    0xff3007ff,0x7fffc00b,0xfffb807f,0x7ffd42ff,0xfa8007ff,0x6c1fffff,
    0x002fffff,0xbffffffd,0x3fffffa0,0x7ffdc002,0xffffb5ff,0xfd00007f,
    0x0005ffff,0x0dfffff0,0xfffffffb,0xfffff09f,0x1fffffab,0x3fffff60,
    0xffd4ffff,0xffffffff,0x07bfffff,0xfea7fdc0,0x7ffc6fff,0xffb807ff,
    0x7fec2fff,0xf0004fff,0xd89fffff,0x002fffff,0xfffffff5,0xfffffd05,
    0xfffb8005,0xffffb5ff,0x3333339f,0x33333333,0x3fffffa3,0xfff80002,
    0xfffb86ff,0xf82fffff,0xffd5ffff,0xff100fff,0x9fffffff,0x2ffffffa,
    0x01999999,0x74bffa00,0x7fc7ffff,0xfb807fff,0x3e22ffff,0x001fffff,
    0xffffff90,0x7ffffec1,0x3fff6002,0x7f40ffff,0x4002ffff,0xb5fffffb,
    0xffffffff,0xffffffff,0x3fafffff,0x0002ffff,0x86fffff8,0xfffffff9,
    0xfffff80f,0x0fffffd5,0x3ffffee0,0xfffd4fff,0x800005ff,0x3fa5ffe8,
    0x7ffc7fff,0xffb807ff,0x3fee2fff,0x20006fff,0x3ffffff9,0x0bfffff6,
    0xfffff980,0x7fff44ff,0x7dc002ff,0xffb5ffff,0xffffffff,0xffffffff,
    0x3fffafff,0xf80002ff,0xff06ffff,0x20dfffff,0xfd5fffff,0x7400ffff,
    0x4fffffff,0x05fffffd,0x7ffcc000,0x3ffffa0f,0x3fffffc7,0x7ffffdc0,
    0x3fffffa2,0x7ff40003,0x3ff66fff,0x64002fff,0x1fffffff,0x0bfffffa,
    0xfffff700,0x3fffff6b,0xffffffff,0x7fffffff,0x05fffffd,0xfffff000,
    0x3ffff60d,0xffff04ff,0x3ffffabf,0x3ffe6007,0xffd4ffff,0x00005fff,
    0x7f41efe8,0x7ffc7fff,0xffb807ff,0xfff32fff,0x80001fff,0x1ffffffb,
    0x05fffffb,0xfffff880,0x3fffa6ff,0x7dc002ff,0xffb5ffff,0xffffffff,
    0xffffffff,0x3fffafff,0xf80002ff,0xf706ffff,0x205fffff,0xfd5fffff,
    0xc800ffff,0xd4ffffff,0x005fffff,0xfd02a800,0xfff8ffff,0xffb807ff,
    0xfffb2fff,0x10000bff,0x29ffffff,0x02fffffd,0xfffffb80,0xffffd4ff,
    0xffb8005f,0xfffb5fff,0xffffffff,0xffffffff,0x3ffffaff,0xff80002f,
    0xff306fff,0x3e01ffff,0xffd5ffff,0xf8800fff,0xfd4fffff,0x0005ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x30666660,0xeed817b7,0xeeeeeeee,0x01acccce,
    0x301bb880,0xddb00399,0xdddddddd,0x015799bd,0xeeeeec80,0xeeeeeeee,
    0xeeeeeeee,0x77777644,0xdd70002e,0x7645dddd,0x002eeeee,0x77777764,
    0x3bbbbb22,0xdddd3003,0x32001ddd,0xdb2eeeee,0xdddddddd,0x7999dddd,
    0x3fe20015,0xfffb1fff,0x3ffa1dff,0xffffffff,0xefffffff,0xffff9002,
    0x17fec37d,0x7fffff40,0xffffffff,0x001cffff,0xfffffffb,0xffffffff,
    0x8bffffff,0x6ffffff9,0xffff9800,0x7ffcc6ff,0x3000ffff,0x8dffffff,
    0x05fffffc,0xffffff90,0x3ffe007f,0xfffd1fff,0xffffffff,0xffffffff,
    0xfff8803d,0xffffd9ff,0x3fffa6ff,0xffffffff,0xffffffff,0x7fffdc04,
    0xffffffff,0xfffe801f,0xffffffff,0xffffffff,0xffffd803,0xffffffff,
    0xffffffff,0xffffc85f,0x7ec003ff,0xc81fffff,0x04ffffff,0xffffffd0,
    0xfffffa83,0xffffd007,0xf300bfff,0x7f4fffff,0xffffffff,0xffffffff,
    0x2204ffff,0xffdfffff,0x3a3fffff,0xffffffff,0xffffffff,0x3a04ffff,
    0xffffffff,0xd006ffff,0xffffffff,0xffffffff,0xd80bffff,0xffffffff,
    0xffffffff,0x885fffff,0x0fffffff,0xfffff500,0x7fff409f,0x7dc01fff,
    0x884fffff,0x01ffffff,0x7fffffc4,0xffb807ff,0x3ffa5fff,0xffffffff,
    0xffffffff,0xf103ffff,0xffffffff,0x7f41ffff,0xffffffff,0xffffffff,
    0xff01ffff,0x3ffae61f,0xfd001eff,0xffffffff,0xffffffff,0x6c07ffff,
    0xffffffff,0xffffffff,0x505fffff,0x0bffffff,0x3fffffa0,0x3ffe600f,
    0x3e206fff,0x206fffff,0x02fffffe,0x7fffffd4,0x7e401fff,0x3fa3ffff,
    0xffffffff,0xffffffff,0x80ffffff,0xfffffff8,0x745fdcef,0xaacfffff,
    0xfffccaaa,0xd05fffff,0x072e609d,0xfffffd00,0x99955559,0xfffffffd,
    0x2aaa601f,0xaaaaaaaa,0xfffffdaa,0x3ff603ff,0x5c02ffff,0x02ffffff,
    0xffffffc8,0xfffffb03,0x7ffe403f,0x7fe404ff,0x3fffffff,0x7fffff40,
    0x3fffffa1,0xaaaaaaac,0xffffffcb,0xfff884ff,0x0c43ffff,0x0bfffffa,
    0xfffff910,0x000003ff,0xfffffe80,0xfffea802,0x00004fff,0x3fffffe6,
    0x7ffc404f,0x3e206fff,0x005fffff,0xffffffd1,0xfffffa81,0x7ffd404f,
    0x7ff406ff,0x5fffffff,0x3ffffe20,0x7fffff47,0x3ffee002,0xff887fff,
    0xd006ffff,0x005fffff,0x3fffffee,0x40000002,0x02fffffe,0x3fffff60,
    0xf880001f,0x05ffffff,0xffffff70,0x3ffff207,0x3ea000ff,0x745fffff,
    0x00ffffff,0x3fffffc4,0xffffff10,0x4c0fffff,0x745fffff,0x002fffff,
    0x7fffffec,0x7ffffc40,0xfffd002f,0x3e2005ff,0x333fffff,0xb7301333,
    0x7f400379,0x2002ffff,0x5ffffff8,0xfffe8000,0x2000efff,0x0ffffffe,
    0x7fffffcc,0xfffd8003,0xfff92fff,0x3a005fff,0x501fffff,0xffbfffff,
    0x3ee03fff,0x7f43ffff,0x4002ffff,0x1ffffffa,0x7fffffc4,0xffffd000,
    0x7ff4005f,0xffff4fff,0x7fffdc7f,0xe801ffff,0x002fffff,0x7fffffe4,
    0x3ff20000,0x001fffff,0x7fffffcc,0x7fffff44,0xfff10006,0xfff3dfff,
    0x6c00bfff,0x903fffff,0xff3fffff,0x3f607fff,0x7f41ffff,0x4002ffff,
    0x1ffffff8,0x3fffffc4,0xfffffd00,0x7fffc005,0xfffff3ff,0x3fffff67,
    0x403fffff,0x02fffffe,0x7ffffc40,0xff70002f,0x005fffff,0x3fffff20,
    0xfffff51f,0x7d40003f,0xffffffff,0x2000ffff,0x05fffffb,0x3e9fffff,
    0xff05ffff,0xffd0ffff,0xa8005fff,0x887fffff,0x006fffff,0x0bfffffa,
    0x7ffffcc0,0x9fffff1f,0xfffffffd,0x403fffff,0x02fffffe,0xfffffe80,
    0xfff98003,0x0004ffff,0x3fffffa2,0xffffff8e,0xffd80004,0xffffffff,
    0x7fcc003f,0xff986fff,0xfffb2fff,0xffff10ff,0xffffd0df,0xffd8005f,
    0xff886fff,0x3a006fff,0x802fffff,0xffffffd8,0xfffffff0,0xffffdfff,
    0x740bffff,0x002fffff,0x5fffffd8,0x7fffc400,0x80005fff,0xeffffffa,
    0x00efffff,0xffff8800,0x05ffffff,0xffffff00,0xfffffb81,0x3fffff70,
    0x4fffffa8,0x2fffffe8,0xffffd100,0xfff107ff,0x7f400bff,0x2202ffff,
    0xffffffe9,0x3fffffe6,0x3fe60bff,0x5547ffff,0xcffffffa,0x202aaaaa,
    0x05fffffc,0x7fffff40,0xb00000ef,0xffffffff,0x00005fff,0x7fffffdc,
    0xb0000fff,0xd85fffff,0x3e66ffff,0x7e43ffff,0xfe82ffff,0xeeeeffff,
    0xfffeeeee,0x106fffff,0x00bfffff,0x77fffff4,0xfffeeeee,0x4fffffff,
    0x3ffffffe,0xfffff302,0x7ffffc1f,0xffffffff,0x3ff206ff,0x36006fff,
    0x1fffffff,0x3fe20000,0xffffffff,0xfe800005,0x03ffffff,0x3fffee00,
    0x7ffffc4f,0x2fffffc4,0x03fffffa,0x3ffffffa,0xffffffff,0xffffffff,
    0xfffff101,0x7fff400b,0xffffffff,0xffffffff,0x7ffffc5f,0x7fff404f,
    0x3fffe1ff,0xffffffff,0x3ee06fff,0x7006ffff,0x5fffffff,0xff700000,
    0x1fffffff,0xffd00000,0x005fffff,0x7ffffcc0,0x3ffffe65,0x3ffffec2,
    0x41bffffe,0xfffffffe,0xffffffff,0x00efffff,0x17ffffe2,0xfffffe80,
    0xffffffff,0x0effffff,0x0ffffffc,0x3fffff20,0x3fffffe1,0xffffffff,
    0x3fff206f,0xff9806ff,0x003fffff,0x3fffa000,0x0003ffff,0xfffffb80,
    0x40006fff,0x2e7fffff,0x540fffff,0xf30fffff,0x3a09ffff,0xffffffff,
    0xffffffff,0xf8803dff,0x2005ffff,0xfffffffe,0xffffffff,0xff80dfff,
    0x6400ffff,0x322fffff,0xffffffcc,0x03cccccd,0x13fffff2,0xffffff10,
    0x800000bf,0x6ffffff9,0xff880000,0xffffffff,0x3ffa0004,0xfffb1fff,
    0xffff10df,0x3fffee7f,0xffffd02f,0xffffffff,0x0019ffff,0x2fffffc4,
    0xfffffd00,0xffffffff,0x7c039fff,0xc807ffff,0xd02fffff,0x005fffff,
    0x7fffffb0,0xfffffe80,0x0000006f,0x05fffffb,0xfffd0000,0xffffffff,
    0x3ff20003,0xffff2fff,0x3fffa09f,0xfffff95f,0x3ffffa01,0xffba99bf,
    0x003fffff,0x17ffffe2,0xfffffe80,0xaaaaaaac,0xffff0009,0xfff700ff,
    0x3ffa05ff,0xd8002fff,0x202fffff,0xfffffffd,0xb0000000,0x005fffff,
    0xffffb800,0xffffffff,0xfff50006,0xffff59ff,0x3fff203f,0xdffffd7f,
    0x7fffff40,0xffffd882,0xf8800dff,0x2005ffff,0x02fffffe,0x3fffe000,
    0xfffb807f,0xfffd02ff,0xff0005ff,0x2e03ffff,0x1fffffff,0x36000000,
    0x002fffff,0x3fffe200,0xffffdfff,0xf88004ff,0xffceffff,0x3fea07ff,
    0xffff9fff,0x3fffa04f,0x3ffa02ff,0x8806ffff,0x005fffff,0x0bfffffa,
    0xffff8000,0xfffb807f,0xfffd02ff,0xfa8005ff,0xf507ffff,0x07ffffff,
    0xfd800000,0x0002ffff,0x3fffff60,0xffffe8cf,0xfe8001ff,0xfffeffff,
    0x3ffe205f,0xfffffdff,0x3ffffa02,0x3ffe202f,0x4404ffff,0x005fffff,
    0x0bfffffa,0xffff8000,0xfffb807f,0xfffd02ff,0xfc8005ff,0xf886ffff,
    0x04ffffff,0xfd800000,0x0002ffff,0xffffff50,0x7ffffd4d,0xffc8006f,
    0xffffffff,0x7ffff403,0x00ffffff,0x0bfffffa,0xffffff50,0x8000005f,
    0x02fffffe,0x3fffe000,0xfffb807f,0xfffd02ff,0x7d4005ff,0x443fffff,
    0x6ffffffe,0xb0000000,0x005fffff,0xfffff100,0xfffd83ff,0x54004fff,
    0xffffffff,0x7fe401ff,0x7fffffff,0x7fffff40,0xffffc802,0x26600fff,
    0xd0009999,0x005fffff,0x7ffffc00,0xffffb807,0xffffd02f,0x3ff2005f,
    0x6c0fffff,0x0fffffff,0xb0000000,0x005fffff,0xfffffb00,0xffff109f,
    0x44003fff,0xffffffff,0xfffa807f,0x05ffffff,0x17fffff4,0x7ffff440,
    0x3fea05ff,0xfd006fff,0x0005ffff,0x3fffffc0,0x7ffffdc0,0xfffffd02,
    0x53333337,0xffffffb7,0xffffb87f,0x9999bfff,0x99999999,0x00009999,
    0x05fffffb,0xffffa800,0xff500fff,0x800dffff,0xffffffff,0xfff8805f,
    0x03ffffff,0x17fffff4,0xfffffa80,0x3fee02ff,0xfe801fff,0x0002ffff,
    0x1fffffe0,0x3ffffee0,0xfffffd02,0xffffffff,0xffffffff,0xfffff70b,
    0xffffffff,0xffffffff,0x20007fff,0x02fffffd,0x3fffe200,0x7ec02fff,
    0x004fffff,0x3ffffff6,0xffb003ff,0x03ffffff,0x2fffffe8,0x3ffff200,
    0x3ee00eff,0xfe805fff,0x0002ffff,0x1fffffe0,0x3ffffee0,0xfffffd02,
    0xffffffff,0xdfffffff,0xfffff701,0xffffffff,0xffffffff,0x20007fff,
    0x02fffffd,0x3ffff600,0xff8805ff,0x001fffff,0xfffffff7,0x3fee001f,
    0x807fffff,0x02fffffe,0x3ffffa20,0x7fe404ff,0x7ff400ff,0x00002fff,
    0x01fffffe,0x0bffffee,0x7ffffff4,0xffffffff,0x00cfffff,0xfffffff7,
    0xffffffff,0xffffffff,0x3f60007f,0x0002ffff,0xfffffff5,0x3ffee001,
    0xf3006fff,0x0dffffff,0x7ffffcc0,0xffe805ff,0x54002fff,0x1fffffff,
    0x027ffe40,0x0bfffffa,0xffff8000,0xfffb807f,0xfffd02ff,0xffffffff,
    0x1bffffff,0xfffffb80,0xffffffff,0xffffffff,0xb0003fff,0x005fffff,
    0xffffff10,0xffe8007f,0xf004ffff,0x09ffffff,0xffffff80,0xfffe803f,
    0xfc8002ff,0x806fffff,0x3a00fffd,0x002fffff,0x3ffffe00,0xffffb807,
    0xffffd02f,0xffffffff,0x20037bdf,0xfffffffb,0xffffffff,0xffffffff,
    0xffb0003f,0x90005fff,0x0bffffff,0xfffff300,0xffb003ff,0x8005ffff,
    0x1ffffffd,0xfffffe80,0xffe88002,0x0003ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x9dddddb0,0x77744000,0x40002eee,0xeeeeeeeb,0xeeeeeeee,0xeeeeeeee,
    0x3ba1eeee,0xeeeeeeee,0xeeeeeeee,0x01eeeeee,0x07ffffd0,0x333332e0,
    0xcccccccc,0x4ccccccc,0x01100000,0x55555440,0x654c0001,0x00bcceec,
    0x372a6200,0x10001acc,0xfffc8133,0x50000fff,0x01ffffff,0x7fffc400,
    0xffffffff,0xffffffff,0xffffffff,0x3fffffe2,0xffffffff,0xffffffff,
    0xffd002ff,0x012007ff,0x44012000,0x82bcdcb9,0xff1001fd,0x2000bfff,
    0xffffffda,0x000effff,0x7fffffe4,0x2001dfff,0x7cc2fffa,0x003fffff,
    0xdfffffb0,0xfffb8000,0xffffffff,0xffffffff,0xffffffff,0x3ffffe2f,
    0xffffffff,0xffffffff,0xfd002fff,0x12007fff,0x10120000,0xfffffffd,
    0xfff919ff,0xffff1001,0xff7000bf,0xffffffff,0x3003ffff,0xfffffffd,
    0x007fffff,0xd05ffff1,0x00dfffff,0x3fffffe0,0x7ffc0003,0xffffffff,
    0xffffffff,0xffffffff,0x3fffe2ff,0xffffffff,0xffffffff,0xd002ffff,
    0x2007ffff,0x04800004,0x3fffffee,0xffffffff,0xff1003ff,0xa800bfff,
    0xffffffff,0xffffffff,0x3fffea01,0xffffffff,0xf7103fff,0xf705ffff,
    0x001fffff,0xffffffa8,0x3fea0000,0xffffffff,0xffffffff,0xffffffff,
    0x3ffe2fff,0xffffffff,0xffffffff,0x002fffff,0x007ffffd,0x12000012,
    0x3fffffa2,0xffffffff,0x22004fff,0x005fffff,0x7ffffffc,0xfffffeef,
    0xfff104ff,0xffffffff,0x83ffffff,0xfffffffb,0xfffff882,0x7fec003f,
    0x40005fff,0x21fffffe,0xabffffff,0xaaaaaaaa,0x2a0aaaaa,0xaaaaaaaa,
    0xacffffff,0x0aaaaaaa,0x7ffffd00,0x00001200,0x3ffff212,0xfffeefff,
    0x002fffff,0x17ffffe2,0xfffffa80,0xffffc81e,0xffff907f,0x3ae215ff,
    0x225fffff,0xffffffff,0xfffffb02,0xffff800d,0x2a0002ff,0x7c6fffff,
    0x000fffff,0x3ffe0000,0x00001fff,0x00fffffa,0x24000024,0x3fffffe6,
    0x3ffae20c,0x22006fff,0x001aaaaa,0x03ffffae,0x3fffffc4,0x7fffffcc,
    0xfffff300,0x2bbfe21f,0xf502fffc,0x001fffff,0x1fffffea,0xffffd000,
    0xfffff85f,0x0000000f,0x07fffffe,0xfffe8000,0x0009003f,0xfffe8900,
    0xffd103ff,0x0007ffff,0x06a20000,0x1fffffb0,0x4fffffc8,0x5e77fec0,
    0x7fe45b10,0xffff102f,0x3f2007ff,0x0004ffff,0x1bffffe6,0x03fffffe,
    0xff800000,0x2001ffff,0xffffffff,0xffffffff,0x094fffff,0x7d490000,
    0x3a05ffff,0x7fffffff,0x00000000,0x3ffffa60,0x7fffec0f,0x000c401f,
    0xd80bfff2,0x006fffff,0x05ffffff,0x7fffec00,0xfffff83f,0x0000000f,
    0x07fffffe,0xffffff80,0xffffffff,0x4fffffff,0x49000009,0x01fffffc,
    0xfffdfffb,0x3fffe3ff,0xffffffff,0xffffffff,0x36e6003f,0xffffffff,
    0x3fffff40,0xffc80000,0x3ffea02f,0x7d401fff,0x0007ffff,0x3fffffe6,
    0xffffff80,0x20000000,0x01ffffff,0x3fffffe0,0xffffffff,0x4fffffff,
    0x49000009,0x907ffffd,0xfff75fff,0x3fffe5ff,0xffffffff,0xffffffff,
    0x3fb2603f,0xffffffff,0x7ffc0fff,0x000007ff,0xf805fff9,0x404fffff,
    0x04fffffc,0x3ffff200,0xfffff04f,0x0000001f,0x0ffffffc,0xffffff00,
    0xffffffff,0x9fffffff,0x92000012,0xb86fffff,0xfff33fff,0x3fffe9ff,
    0xffffffff,0xffffffff,0xfffe983f,0xffffffff,0x3e20ffff,0x0006ffff,
    0x05fff900,0x6fffffc8,0x7fffffc0,0xfff10001,0x3fe01fff,0xeeeeffff,
    0xeeeeeeee,0xff8000ee,0x2001ffff,0xffffffff,0xffffffff,0x094fffff,
    0x3e290000,0x7d45ffff,0x3ffe24ff,0xfffff5ff,0xffffffff,0xffffffff,
    0xfffffa87,0xfdbdffff,0x3e20ffff,0x0007ffff,0x05fff900,0xffffff98,
    0xfffff301,0x7fe4000d,0x3fe05fff,0xffffffff,0xffffffff,0xff8000ff,
    0x2001ffff,0xcccccccc,0xccdfffff,0x092ccccc,0x7fc90000,0x3fe66fff,
    0x7fffc45f,0xffffff5f,0xffffffff,0x7fffffff,0x7fffffd4,0x7ffe41be,
    0x7fffc0ff,0x9000007f,0xff005fff,0x3209ffff,0x003fffff,0xffffff10,
    0x7ffffc03,0xffffffff,0x0fffffff,0xfffff800,0x3a00001f,0x9003ffff,
    0x74900000,0xff17ffff,0xfff981df,0x999993ff,0x99999999,0x99999999,
    0x7fffff45,0x3ffff603,0x7ffff40f,0x009b800f,0x005fff90,0x0dfffff9,
    0x03fffffe,0x7fffdc00,0x7fffc06f,0xffffffff,0xffffffff,0xffff8000,
    0x200001ff,0x003ffffe,0x49000009,0xe9fffffd,0xffa80fff,0x00002fff,
    0xfffff880,0x7fffec06,0x7fffec0f,0x7ffcc03f,0x3ff202df,0xfff9802f,
    0x7fcc1fff,0x20006fff,0x02ffffff,0x7ffffffc,0xffffffff,0x000fffff,
    0x1ffffff8,0x3ffa0000,0x009003ff,0x7fe49000,0x1fffefff,0x1fffffb0,
    0xf5000000,0x4407ffff,0x40ffffff,0x06fffffb,0x17ffffe4,0x003ddd70,
    0x13fffffa,0x07fffff9,0x3fffee00,0xffff806f,0xaaaaabff,0x2aaaaaaa,
    0xfffff000,0x7400003f,0x9003ffff,0x4c900000,0xffffffff,0xfffff502,
    0x3bba200d,0xff5004ee,0x7ec0dfff,0x440fffff,0x04ffffff,0x0ffffff5,
    0x3fee0000,0x7ffc7fff,0xd0000fff,0x99dfffff,0xff999999,0x0001ffff,
    0x7fffc000,0x200001ff,0x003ffffe,0x89000009,0x3ffffffd,0xfffffd30,
    0x3ffe2003,0xff1005ff,0x4c19ffff,0xfffffffc,0xfffffb81,0xffebacef,
    0x3b64ffff,0x10006eee,0x23ffffff,0x05fffff9,0xfffff500,0xffffffff,
    0xffffffff,0x40000001,0x01ffffff,0x3fffa000,0x0009003f,0xfff88900,
    0xa8acffff,0x4ffffffc,0x3fffe200,0x3ffa005f,0xffdfffff,0xffffffff,
    0xfffffd02,0xffffffff,0x7ff41dff,0x3a0007ff,0xf94fffff,0x0005ffff,
    0x3ffffffa,0xffffffff,0x0fffffff,0x3e000000,0x001fffff,0x3ffffa00,
    0x00009003,0xffff9090,0xffffffff,0x001dffff,0x2fffffc4,0xfffff300,
    0xdfffffff,0x207fffff,0xffffffe9,0xffffffff,0x3fffff41,0xffff7000,
    0x3ffffaff,0xfff50007,0xffffffff,0xffffffff,0x00001fff,0x7ffffc00,
    0x2e00001f,0x9001cccc,0x88900000,0xffffffff,0xffffffff,0x7fc4001e,
    0x5c005fff,0xffffffff,0xffffd3ff,0x7ffe440d,0xffffffff,0xffffe81e,
    0x3fe20007,0xfffcffff,0xfb0005ff,0xffffffff,0xffffffff,0x001fffff,
    0x7ffc0000,0x00001fff,0x00090000,0x7ff44900,0xffffffff,0x003fffff,
    0xbfffff10,0xfffd3000,0x7dc1bfff,0x5401ffff,0xfffffffe,0x3fffa02e,
    0x7ec0007f,0xffffffff,0xf98002ff,0xeeefffff,0xeeeeeeee,0x00ffffff,
    0x3fe00000,0x2001ffff,0xcccccccc,0xcccccccc,0x092ccccc,0x7e490000,
    0xffeb89ff,0x01dfffff,0x4ccccc00,0x2a620000,0x2000001a,0x8009aaa8,
    0x007ffffe,0x7ffffd40,0x007fffff,0xdfffffb0,0x7fffc400,0x000000ff,
    0x3fffffe0,0x3fffe001,0xffffffff,0xffffffff,0x0000094f,0x9881fd89,
    0x000009aa,0x00000000,0x00000000,0xfff00000,0x9fffffff,0xffff1000,
    0x7c4007ff,0x999fffff,0x99999999,0x40009999,0x01ffffff,0x3fffffe0,
    0xffffffff,0x4fffffff,0x09000009,0x00000003,0x00000000,0x00000000,
    0xff900000,0x3fffffff,0xffff9000,0x7c4001ff,0xffffffff,0xffffffff,
    0x4006ffff,0x01ffffff,0x3fffffe0,0xffffffff,0x4fffffff,0x99999999,
    0x99999999,0x00b99999,0x00000000,0x00000000,0x00000000,0x3ffe6000,
    0x006fffff,0xffffff88,0x7ffc4004,0xffffffff,0xffffffff,0x7fc006ff,
    0x2001ffff,0xffffffff,0xffffffff,0x004fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffffff0,0xff90007f,0x8001ffff,0xfffffff8,
    0xffffffff,0x06ffffff,0x7fffffc0,0x3fffe001,0xffffffff,0xffffffff,
    0x0000004f,0x00000000,0x00000000,0x00000000,0xff900000,0x001fffff,
    0xffffff88,0xfff88005,0xffffffff,0xffffffff,0x7fc006ff,0x0001ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xdffffff3,
    0xffff7000,0xf10003ff,0xffffffff,0xffffffff,0x800dffff,0x01ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0d66e54c,0xdcb98000,0x26001acd,0x88009999,0x00019999,
    0x54012600,0x1acceccb,0x599d9730,0x00032001,0xcba88000,0x401bcced,
    0x88199998,0x4401bdcb,0x2601bdca,0xb9809999,0x00001bcd,0x3ffa6000,
    0x04ffffff,0xffffd500,0x007fffff,0x00dfffff,0x03fffff9,0x7fda8000,
    0x3fffee20,0x1dffffff,0xffffffd3,0xff8019ff,0x2000002d,0xffffffb8,
    0x503effff,0x7ccfffff,0x1fffffff,0x7fffff44,0xffff83ff,0x3fffee3f,
    0x4c01ffff,0x00dffffd,0xfffffb80,0x0effffff,0xffffb100,0xffffffff,
    0x7fffc01d,0xfffc806f,0x880001ff,0x107fffeb,0xfffffffd,0xfdffffff,
    0xffffffff,0x7fc03fff,0x00003eff,0x7fffffc4,0xffffffff,0x7ffffa85,
    0xfffffff5,0x3fe61fff,0xffffffff,0x9fffffc2,0xfffffffd,0xff503fff,
    0x05ffffff,0x7ffffec0,0xffffffff,0x7ff4402f,0xffffffff,0xf02fffff,
    0x900dffff,0x003fffff,0x7fffe440,0xffe887ff,0xffffffff,0xffffffff,
    0xffffffff,0xffff02ff,0x00019fff,0xffffffd0,0xffffffff,0xffffa8bf,
    0xffffffcf,0xfbefffff,0xffffffff,0x3ffe1fff,0xffffecff,0xffffffff,
    0xffffff81,0xa800ffff,0xefffffff,0x6ffffffe,0x7fffff40,0xffffffff,
    0xff80ffff,0xfc806fff,0x8001ffff,0xffffffd9,0xfffc87ff,0xffeeffff,
    0xffffffff,0xfffffeff,0xfff80eff,0x1dffffff,0xffff9000,0xffb799df,
    0x543fffff,0xffffffff,0xfffffeef,0xefffffff,0x6fffffff,0x3ffffffe,
    0xffffefff,0x7dc5ffff,0xfffb13ff,0xffff8807,0x7fec44ff,0xff903fff,
    0x115dffff,0xffffff93,0xdfffff0b,0xfffff900,0x7ff54003,0xffffffff,
    0x7ffffc47,0x3ff220af,0x0bffffff,0x3fffff66,0xffffff84,0x02efffff,
    0x2fffff40,0xbfffff90,0x7fffffd4,0x3ffa20cf,0x42ffffff,0x0ffffffc,
    0xffffffff,0x7fffcc17,0x36e547ff,0x900fffee,0x407fffff,0x886ffffd,
    0x05ffffff,0x3fffffea,0x37ffffc2,0x7ffffe40,0x7ffe4401,0xffffffff,
    0x7f6cc2df,0x3ffe03ff,0x3604ffff,0xc987ffff,0xffffffff,0x800cffff,
    0x403fffff,0x2a1acdfe,0x05ffffff,0xfffffff5,0x3ffffe05,0xffffff1f,
    0x3ffe605f,0x54c00fff,0x7c01ffff,0x4407ffff,0x5c3fffff,0x806fffff,
    0x47fffffb,0x806fffff,0x01fffffc,0xffffffb3,0x17dfffff,0xc8053100,
    0x407fffff,0x02fffff8,0xfffffd71,0x3bffffff,0x3ffffe20,0x3ea0002f,
    0x200fffff,0x04ffffff,0x4bfffff2,0x04ffffff,0x0ffffff4,0x3fffff50,
    0xfffff880,0xffffe805,0x7fffff44,0xfffff002,0x7ffffc1f,0xffffc806,
    0x7fff541f,0xffffffff,0x9800001c,0x05fffffc,0x04ffffe8,0xfffffc98,
    0x2effffff,0xffffffe8,0x2a001bdf,0x406fffff,0x02ffffff,0x4bfffff2,
    0x01ffffff,0x0fffffe4,0x3dffff70,0xfffff980,0xffffd804,0x7fffffc5,
    0xffff9000,0x7ffffc3f,0xffffc806,0x3ffffe1f,0x2dffffff,0x6dcc0000,
    0xffffffff,0xffffd804,0x7fed4006,0xffffffff,0x3ffff20f,0xcfffffff,
    0x3ffea00a,0x7ffc04ff,0x3ee00fff,0xfff2ffff,0xfc801fff,0x3202ffff,
    0x03ffffdd,0x3fffffea,0xffffffff,0x226fffff,0x007fffff,0x8fffffee,
    0x806fffff,0x21fffffd,0xffffffff,0x100000be,0xffffffb7,0xffffffff,
    0xffffffff,0x000fffff,0x3ffffee2,0x3a20ffff,0xffffffff,0x80dfffff,
    0x04fffffa,0x07fffff4,0x5fffff70,0x01fffffe,0x0bfffff2,0x03fffcc0,
    0xfffffff7,0xffffffff,0x7ccfffff,0x2006ffff,0x24fffffa,0x806fffff,
    0x21fffffd,0x1effffff,0x3f660000,0xffffffff,0xffffffff,0xffffffff,
    0x0007ffff,0xfffffea8,0x7fff440f,0xffffffff,0x7fd44fff,0x7f404fff,
    0x7dc07fff,0xfff2ffff,0xff700fff,0x01105fff,0x3203fffb,0xffffffff,
    0xffffffff,0x3fe27fff,0x2e006fff,0x3e4fffff,0xd806ffff,0x3e1fffff,
    0xaeffffff,0x7fcc0000,0xefffffff,0xffffffdc,0xffffffff,0x00ffffff,
    0x3fff6a00,0xb880ffff,0xffffffff,0x24ffffff,0x03fffffa,0x03fffff4,
    0x4bffffee,0x807fffff,0x22fffffb,0x7f40fffe,0xfff701ff,0x99999bff,
    0x99999999,0x3fffe219,0x3ff2007f,0x3ffe2fff,0xffd806ff,0x3ffe1fff,
    0xcfffffff,0xfff88001,0x20adffff,0xcdfffffb,0xcccccccc,0x000ccccc,
    0x7ffffdc4,0x400fffff,0xfffffeca,0x51ffffff,0x807fffff,0x407ffffe,
    0xf2fffffb,0x700fffff,0x6c5fffff,0xfc89cfff,0xff500fff,0x00009fff,
    0x03fffffe,0x7ffffec0,0x1fffffe1,0x3fffffa0,0x3fffff21,0xbeffffff,
    0xffff9000,0x3fee03bf,0x00004fff,0xffffda80,0x4fffffff,0x7fedc400,
    0x53ffffff,0x807fffff,0x407ffffe,0xf2fffffb,0x700fffff,0x4c5fffff,
    0xffffffff,0x3fe603ff,0x00005fff,0x07fffffb,0xffffff10,0x07fffff8,
    0x1ffffff8,0xfffffea8,0x1cffffff,0x7fffff40,0x3ffff200,0x1000006f,
    0xfffffff9,0x017dffff,0xffea8030,0xfff55fff,0xffe807ff,0x7fdc07ff,
    0xffff2fff,0xfff700ff,0xfffa85ff,0x803fffff,0x00ffffff,0x02af3bea,
    0x1ffffff5,0xfffffd80,0x7fffffc6,0x3fffea00,0x3f6601ff,0xffffffff,
    0xff80beff,0x7f406fff,0x201fffff,0x00abdef9,0xffffffb5,0x05bfffff,
    0x17ff6e54,0x3ffffe60,0x7fffff55,0x7ffffe80,0x7ffffdc0,0x0ffffff2,
    0x5fffff70,0x9dffd910,0x3ffee001,0x3ffa05ff,0x7fc43fff,0x901effff,
    0x83ffffff,0x05fffffe,0xfffffff3,0xfff91003,0xffffffff,0xfffff89f,
    0xffff701f,0x3a01bfff,0x644fffff,0xffffffff,0x801cffff,0x06fffffc,
    0x9fffffd4,0x03fffffa,0x03fffff4,0x4bffffee,0x807fffff,0x02fffffb,
    0x3ffe0000,0x36a1efff,0x80ffffff,0xfffffffb,0xfffecabc,0xffc83fff,
    0x931cffff,0xffffffff,0x7f5c4003,0xffffffff,0x7fffff47,0x3ffee21d,
    0xcfffffff,0xffffdb89,0x7fffc0ff,0xbfffffff,0x3ffe2000,0x540adfff,
    0x51fffffe,0x807fffff,0x407ffffe,0xf2fffffb,0x700fffff,0x005fffff,
    0x7ffdc000,0xffffffff,0x203fffff,0xfffffffd,0xffffffff,0xffff306f,
    0xffffffff,0x3fffffff,0x3ff6a000,0x647fffff,0xefffffff,0xfffffffe,
    0xffffffff,0x3fffffff,0xfffffff8,0x320002ef,0xffffffff,0xffffffee,
    0x3fffea5f,0x7fff403f,0x7ffdc07f,0xfffff2ff,0xffff700f,0x8000005f,
    0xfffffffb,0x4fffffff,0x7fffec40,0xffffffff,0x3ee00eff,0xffffffff,
    0xffff9dff,0x64c0001f,0x447fffff,0xfffffffe,0xddffffff,0xffffffff,
    0x04ffffff,0x3bffffff,0x3ff60000,0xffffffff,0x546fffff,0x403fffff,
    0x407ffffe,0xf2fffffb,0x700fffff,0x005fffff,0xfff30000,0xffffffff,
    0x7fdc009f,0xffffffff,0xff9003ff,0x9fffffff,0x07ffffe6,0x7fdc4000,
    0xffff987f,0xefffffff,0x3ffffaa2,0x4fffffff,0x033fffe0,0x3ff20000,
    0xffffffff,0x7d40dfff,0x7403ffff,0x5c07ffff,0xff2fffff,0xf700ffff,
    0x0005ffff,0x3fb22000,0x0cffffff,0xffeb8800,0x01deffff,0x7ffff5c0,
    0x3ffe63df,0x800001ff,0xff9107ea,0x07bfffff,0x7fffff64,0x77c01cff,
    0x88000002,0xfffffffc,0xff501dff,0xfe807fff,0x7dc07fff,0xfff2ffff,
    0xff700fff,0x00005fff,0x2aaa6000,0x31000009,0x00001355,0x000006a6,
    0x44018000,0x80009aa9,0x0009aaa9,0x00000003,0x026aaa62,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33330000,0x33300133,0x99881333,
    0x99999999,0x19999999,0x02666662,0x19999880,0x00666662,0x00266666,
    0x01333331,0x02000000,0x22000100,0x001fffff,0x22666540,0x951cccc9,
    0xccc98999,0x4c40000c,0x3ba00199,0x3a01eeee,0x01ffffff,0x3ffffff2,
    0x7ffffdc1,0xffffffff,0x3ee7ffff,0x2005ffff,0x90ffffff,0x401fffff,
    0x06fffff9,0x07ffffe4,0x54000f4c,0x003f600e,0x44002f44,0x001fffff,
    0x13fffe20,0x7c4dfffd,0x7ff44fff,0x3e20006f,0xf002ffff,0x405fffff,
    0x6ffffff8,0xffffff50,0xfffff707,0xffffffff,0x7c4fffff,0x800fffff,
    0x24fffffa,0x02fffff9,0x3fffffee,0x3ffffe00,0x21fff986,0x2a0abba9,
    0xffd80eff,0x7ff4400f,0x7ffc4005,0x3a0001ff,0x3f20ffff,0x7fe41fff,
    0x3ffea1ff,0xff70003f,0x3e00bfff,0x402fffff,0x4ffffffb,0x7fffff44,
    0xfffff706,0xffffffff,0xfc8fffff,0xd803ffff,0x7c1fffff,0x3605ffff,
    0x02ffffff,0x87fffff3,0xebfffff8,0xbdffffff,0x360effff,0x100fffff,
    0x00bffffd,0x0fffffc4,0xffffb800,0x17fffe63,0x83bfffe2,0x001ffffd,
    0xfffffff8,0xfffff801,0xfffd802f,0x3ff21fff,0xf700ffff,0xffffffff,
    0xffffffff,0xfffff98f,0x7fffc406,0xffffc86f,0x3ffffe07,0xfff704ff,
    0xfffe83ff,0xffffffff,0xffffffff,0xfffff73f,0xffe881ff,0x1003ffff,
    0x003fffff,0x4dffff30,0x00fffff8,0x4c9ffff7,0x4006ffff,0xfffffffb,
    0xfffff805,0xfff8802f,0xfff56fff,0x64c05fff,0xcccccccc,0xfffffffc,
    0xfffffe82,0x3fffee00,0xffffa83f,0xffff981f,0xffb06fff,0xffd10dff,
    0xffffffff,0xffffffff,0xfffffd89,0xfffd10ff,0x44009fff,0x001fffff,
    0x22ffffe8,0x404ffffd,0x322ffffe,0x2004ffff,0xfffffffe,0x7fffc00f,
    0xff5002ff,0xfff9ffff,0x0000bfff,0x3ffffffa,0xfffff704,0x7ffff407,
    0xfffff00f,0xfffff907,0xff881fff,0xfd104fff,0xffffffff,0x9fffffff,
    0x3fffff60,0xffffe9ff,0x7c4004ff,0x4001ffff,0x2a5ffffc,0x400fffff,
    0x10fffffa,0x003fffff,0xfffffff5,0xffe809ff,0x32000fff,0xffffffff,
    0x0000efff,0xffffffd8,0x3fffe205,0xffff306f,0x7ffec0bf,0xffffe86f,
    0x7d42ffff,0x2a01ffff,0xcfffffff,0xfffffffd,0x3ffff600,0xffffffff,
    0xff88004f,0x2a001fff,0xf10fffff,0x2005ffff,0x2e5ffffd,0xe806ffff,
    0xfffdffff,0x3ff200ff,0xfe8007ff,0xffffffff,0xfc80001f,0x805fffff,
    0x81fffffc,0x01fffffc,0x83ffffea,0xfffffff8,0x7ffe44ff,0x7ffec06f,
    0x3f220bff,0x6c03ffff,0xffffffff,0xff304fff,0xffffffff,0xffffffff,
    0x3fe23fff,0x3ff64fff,0x3e6006ff,0xff12ffff,0x7d409fff,0xfff8ffff,
    0x3fee03ff,0xf98006ff,0xffffffff,0xffb80003,0x800effff,0x84fffff9,
    0x406fffff,0x22fffff8,0xffcffffa,0x7fffc6ff,0x3ffe204f,0x3ffa04ff,
    0xffd806ff,0x4fffffff,0x3ffffe60,0xffffffff,0xffffffff,0x1fffffb1,
    0x07ffffee,0xfffff900,0x3ffffea1,0x9ffffd02,0x81ffffee,0x004ffff9,
    0xffffff70,0xf50000df,0x01ffffff,0x3fffff40,0x0fffffea,0x97ffff60,
    0xfd9ffffc,0xfff30fff,0x7fcc03ff,0x3ea00fff,0xfb007fff,0x0bffffff,
    0xffffff98,0xffffffff,0x1fffffff,0x23fffff7,0x02fffff9,0x7ffffe40,
    0x5fffff51,0x3fffff30,0x0bffffe2,0x01ffffc4,0xfffffd00,0xf980007f,
    0x01ffffff,0x7ffffdc0,0x3fffff62,0xffffb800,0x5dffffa7,0xff72ffff,
    0xffa80fff,0xfff805ff,0x7f4400ff,0x0fffffff,0x3ffffe60,0xffffffff,
    0xffffffff,0x97ffffa1,0x00fffffc,0x7fffff10,0x82fffff4,0x6c6ffffd,
    0x2606ffff,0x50000999,0xffffffff,0x3fe20001,0x002fffff,0x5fffff88,
    0x0bfffff1,0x3ffffe20,0x35ffff89,0x3fa9ffff,0x7d404fff,0x7cc07fff,
    0x2200ffff,0xfffffffe,0xff300fff,0xffffffff,0xffffffff,0x7fc43fff,
    0x3ffa2fff,0xffb003ff,0x7ffdcbff,0xfff980ef,0x7ffd42ff,0x000002ff,
    0x3fffffe2,0x88005fff,0x3ffffffe,0x3fff2000,0xffffa8ff,0x3ffa002f,
    0xffffabff,0x23bfffe3,0x402fffff,0x02fffff9,0x81fffff2,0xffffffe8,
    0x80efffff,0xccccccc8,0xcdfffffc,0x40cccccc,0x266ffffb,0x400fffff,
    0x10fffff9,0x203fffff,0xd07ffffd,0x000bffff,0x7fffec00,0x03ffffff,
    0x7fffff40,0x7cc0004f,0xffdaffff,0x7dc006ff,0xfffcefff,0x3ffff61f,
    0x007ffffb,0x20bfffff,0x05fffff8,0xffffffd1,0xdffffffd,0xfff88001,
    0xfd8001ff,0x3ff23fff,0x7ff404ff,0x3fff22ff,0xffff104f,0x3ffee09f,
    0x800001ff,0xfffffffb,0x001fffff,0xbffffffb,0x3ffa0000,0xfffffdff,
    0x7ffc4003,0x47ffffff,0xfffffffb,0xff7005ff,0xb339ffff,0x03ffffff,
    0xffffffd1,0x3fffff69,0x3e2000ef,0x8001ffff,0x20fffff8,0x701ffffe,
    0x7ccbffff,0x3f206fff,0xf101ffff,0x000bffff,0xfffff980,0xffffffbf,
    0xffffc806,0x200005ff,0xfffffffb,0xe8000fff,0xffffffff,0x7ffffcc5,
    0x7002ffff,0xffffffff,0xffffffff,0xffffe883,0x7ffec4ff,0x1000efff,
    0x003fffff,0x93fffee0,0x885ffff9,0x360effff,0xf101ffff,0xd80dffff,
    0x000fffff,0x3ffffa00,0xfffff55f,0x7ffdc09f,0x9998efff,0x09999999,
    0x7ffffc40,0x0005ffff,0xfffffff9,0xfffff07f,0x5001ffff,0xffffffff,
    0xffffffff,0x7ffd43ff,0xffb04fff,0x2005ffff,0x01fffff8,0x3ffff600,
    0x0bfffee0,0x543ffff9,0x2203ffff,0x401aaaaa,0x00aaaaa8,0xffff9000,
    0x7ffec1ff,0xff981fff,0xffffffff,0xffffffff,0xfffc804f,0x002fffff,
    0xffffff30,0xfff903ff,0x500bffff,0xffffffff,0xffffffff,0x7d43ffff,
    0x7ec04fff,0x22003fff,0x001fffff,0x17fffe20,0x7c4dfffd,0x7ff44fff,
    0x0000005f,0xff980000,0x7c43ffff,0x40efffff,0xfffffff9,0xffffffff,
    0x9804ffff,0x7fffffff,0x7fffc000,0xff507fff,0x007fffff,0xfffffff7,
    0xffffffff,0xa85fffff,0xffb004ff,0xfff88007,0x540001ff,0x3220cccc,
    0x99951ccc,0x0cccc989,0x00000000,0x7fff4400,0xfff506ff,0xff98bfff,
    0xffffffff,0xffffffff,0xfffd004f,0x80007fff,0x5ffffffc,0xffffff10,
    0x3fee001f,0xdffdb35f,0x5fffd139,0x7b0012a0,0xffff1000,0x0000003f,
    0x00000000,0x80000000,0x0ffffffc,0x3fffff60,0x3fffe62f,0xffffffff,
    0x4fffffff,0xfffff700,0xfa80001f,0x202fffff,0x06fffffe,0x2002fdc0,
    0x00003fe8,0x99910000,0x00000199,0x00000000,0x00000000,0x7fffffd4,
    0x7fffc403,0xfff30fff,0xffffffff,0xffffffff,0x3ffe2009,0xf00005ff,
    0x401fffff,0x03fffffc,0x51000280,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00019998,0x00800013,0x66666644,
    0xcccccccc,0x0ccccccc,0x200ccc40,0xccccccc8,0xcccccccc,0x00cccccc,
    0x3ae004c4,0x3a24eeee,0x400eeeee,0x20200009,0x01ccdba8,0x09999998,
    0x22222222,0x33330888,0x43333303,0xaaaaaaa8,0xaaaaaaaa,0xaaaaaaaa,
    0x3fff6602,0x5c01dfff,0x01dffffe,0xefffed98,0xfffff982,0xffffffff,
    0xffffffff,0x037fec01,0x3fffffe6,0xffffffff,0x1fffffff,0x7dfffd70,
    0x3fffff20,0x3ffffe25,0xfffdb81f,0x97000bef,0xffffffd0,0x3ffee01b,
    0x3fff25ff,0x7fffffff,0xe81ffffd,0xff50ffff,0xffffffff,0xffffffff,
    0x20ffffff,0xfffffff8,0xfe881fff,0x4fffffff,0x3ffffee0,0x3e60efff,
    0xffffffff,0xffffffff,0x6401ffff,0x7fcc06ff,0xffffffff,0xffffffff,
    0x7f441fff,0x0dffffff,0x2fffffe4,0x3ffffff1,0x7fffff44,0x102dffff,
    0xb79d09fb,0x3e0bffff,0x7e45ffff,0xffffffff,0x1ffffd7f,0x50ffffe8,
    0xffffffff,0xffffffff,0xffffffff,0x3fffff60,0xe86fffff,0xffffffff,
    0xfff983ff,0x5fffffff,0x3fffffe6,0xffffffff,0x1fffffff,0x202ffdc0,
    0xfffffff9,0xffffffff,0x41ffffff,0xfffffffd,0x7ffe45ff,0x3ffe25ff,
    0xfff51fff,0xffffffff,0xfb779fff,0xff1009ff,0xfffa81ff,0xffffc86f,
    0xd7ffffff,0xfe81ffff,0xfff50fff,0xffffffff,0xffffffff,0xf50fffff,
    0xf9115fff,0x7fdc1fff,0xfffdbfff,0x7ffec0ff,0x4ffff50c,0xfffffff9,
    0xffffffff,0x21ffffff,0x93fee2ea,0x3ffe64b8,0xffffffff,0xffffffff,
    0x3ffee1ff,0xffffc9cf,0x3fffff23,0x3ffffe25,0xfffff91f,0xffffffff,
    0xffffffff,0x3fffa009,0x077fff40,0x7fffffe4,0xffd7ffff,0xfffe81ff,
    0x7777710f,0x77777777,0x77777777,0x32a20777,0x07fffc42,0xf98bffff,
    0x7ffc4fff,0x8ffff40f,0xeeeeeee8,0xeeeeeeee,0x21fffffe,0xffaaeffd,
    0x10fffc8b,0xdddddddd,0xdddddddd,0x743ddddd,0x7fc40fff,0x3ffff26f,
    0x3fffe25f,0xffff91ff,0xffffffff,0xffffffff,0xffc9809f,0x7fffd47f,
    0xfffff900,0x36ffffff,0x7640eeee,0x00000eee,0xca880000,0xff11ffff,
    0xfffb03ff,0xff10660b,0x440000ff,0xf11fffff,0xdfffffff,0x005fffff,
    0x7ffc0000,0x5cfff904,0x7c4fffff,0x3f27ffff,0xfca9acef,0xffffffff,
    0xff32ffff,0xffffffdd,0x01fffd85,0x3bbbbbae,0x0005eeee,0x00000000,
    0xfffedb88,0xff31ffff,0xfff701ff,0x7ffec00f,0x3e200005,0xfb31ffff,
    0xffffffff,0x0009ffff,0x3ffe2000,0x21fff502,0x42fffff9,0x326ffffd,
    0x7fed403f,0x0dffffff,0x3fffffe6,0x00001eff,0x00000000,0x2a000000,
    0xffffffff,0xfff51fff,0x1fffee0f,0x3ffff620,0x3e200000,0x5441ffff,
    0xdeffffec,0x0000009b,0xd82fffc0,0x3ffe27ff,0x7ffe41ff,0x88006e5f,
    0x81bdffdb,0xbcdeccb8,0x00000001,0x00000000,0x7ffdc000,0xfff9bdff,
    0x0ffff51f,0x101fffee,0x005ffffd,0xffff8800,0x3fff601f,0x266600ef,
    0x99999999,0x99999999,0x0ffff419,0xfd17ffe6,0xffa81fff,0x000004ff,
    0x00000000,0x00000000,0x3a000000,0x7fcc5fff,0xffff11ff,0x0dfff901,
    0x0fffffcc,0x7fc40000,0xff901fff,0x260dffdf,0xffffffff,0xffffffff,
    0x2a1fffff,0xfebdffff,0x7fec2fff,0xffff987f,0x00000002,0x00000000,
    0x00000000,0xfff10000,0xffffc83f,0x10ffffe1,0x2a0bffff,0x000effff,
    0xffff1000,0x7fff903f,0xf30bfff5,0xffffffff,0xffffffff,0xfd83ffff,
    0xffffffff,0x00999884,0x00003333,0x00000000,0x00000000,0x40000000,
    0x2a4ffff8,0x321ffffe,0xeb9dffff,0xfa81ffff,0x00005fff,0x7ffffc40,
    0xb37ffe41,0xff989fff,0xffffffff,0xffffffff,0xffc81fff,0x004fffff,
    0x00000000,0x00000000,0x00000000,0x3a000000,0xffefffff,0x3e21ffff,
    0xffffffff,0xfff984ff,0xccccccff,0xff100000,0xffa83fff,0x0fffe21f,
    0xfffffff3,0xffffffff,0x03ffffff,0x0b7fff6a,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffffff5,0xa85fffdf,0xffffffff,0xfffc80ef,
    0xffffffff,0xff100001,0xbd103fff,0xff303d90,0xffffffff,0xffffffff,
    0x00003fff,0x00000000,0x00000000,0x00000000,0x00000000,0x1dffffd5,
    0xb109fff3,0x07ffffff,0x7ffffffc,0x001fffff,0x06666600,0x33300010,
    0x33333333,0x33333333,0x00000033,0x00000000,0x00000000,0x00000000,
    0x98000000,0x3100009a,0xee980355,0xeeeeeeee,0x000001ee,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x51000000,0x55555555,0x55555555,0x05555555,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fffffea,
    0xffffffff,0xffffffff,0x0000007f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffff5000,0xffffffff,0xffffffff,
    0x0000ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ea00000,0xffffffff,0xffffffff,0x07ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x77777771,0x77777777,0x77777777,0x00000007,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__arial_bold_48_latin1_x[224]={ 0,3,2,0,1,1,1,1,2,1,0,1,2,1,
3,-1,1,3,1,1,0,1,1,1,1,1,4,3,1,1,1,2,1,0,3,2,3,3,3,2,3,2,0,3,
3,3,3,1,3,1,3,1,0,3,-1,0,0,-1,0,3,-1,0,2,-1,0,1,2,1,1,1,0,1,3,3,
-2,2,3,2,3,1,2,1,2,1,0,2,0,0,0,0,0,1,3,0,1,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,1,0,0,0,
3,1,0,-1,0,2,1,1,-1,-1,1,1,0,0,3,2,-1,3,0,1,0,2,1,1,0,2,0,0,0,0,
0,0,-2,2,3,3,3,3,-1,2,-1,-1,-1,3,1,1,1,1,1,2,1,3,3,3,3,-1,3,2,1,1,
1,1,1,1,1,1,1,1,1,1,-1,2,-2,-2,1,3,1,1,1,1,1,1,1,2,2,2,2,0,2,0,
 };
static signed short stb__arial_bold_48_latin1_y[224]={ 38,7,7,6,4,6,6,7,6,6,6,12,32,23,
32,6,7,7,7,7,7,7,7,7,7,7,15,15,11,15,11,6,6,7,7,6,7,7,7,6,7,7,7,7,
7,7,7,6,7,6,7,6,7,7,7,7,7,7,7,7,6,7,6,42,6,15,7,15,7,15,6,15,7,7,
7,7,7,15,15,15,15,15,15,15,7,15,15,15,15,15,15,6,6,6,18,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,38,15,7,6,11,7,
6,6,6,6,6,17,15,23,6,1,6,9,6,6,6,15,7,20,38,6,6,17,6,6,6,15,-1,-1,-1,0,
0,1,7,6,-1,-1,-1,0,-1,-1,-1,0,7,0,-1,-1,-1,0,0,12,5,-1,-1,-1,0,-1,7,6,6,6,
6,7,6,5,15,15,6,6,6,6,6,6,6,6,7,7,6,6,6,7,6,11,14,6,6,6,6,6,7,6,
 };
static unsigned short stb__arial_bold_48_latin1_w[224]={ 0,8,17,24,21,36,30,8,11,12,16,23,7,12,
6,13,21,14,21,22,23,22,22,21,21,21,7,7,23,23,23,23,41,31,26,27,26,24,22,29,25,8,21,28,
22,30,25,31,24,32,28,26,26,25,30,41,29,30,26,11,13,12,21,26,11,22,23,22,23,22,16,23,21,6,
11,22,6,34,21,24,23,23,16,21,14,22,24,34,24,24,21,15,6,16,23,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,7,22,24,23,24,
6,22,15,33,15,20,23,12,33,26,15,22,14,14,11,21,25,6,13,10,16,20,35,34,36,23,31,31,31,31,
31,31,43,27,24,24,24,24,11,10,15,15,30,25,31,31,31,31,31,21,32,25,25,25,25,30,24,23,22,22,
22,22,22,22,36,22,22,22,22,22,11,11,16,16,24,21,24,24,24,24,24,22,24,22,22,22,22,24,23,24,
 };
static unsigned short stb__arial_bold_48_latin1_h[224]={ 0,31,12,33,39,34,33,12,42,42,16,22,13,7,
6,33,32,31,31,32,31,32,32,31,32,32,23,30,24,16,24,32,42,31,31,33,31,31,31,33,31,31,32,31,
31,31,31,33,31,36,31,33,31,32,31,31,31,31,31,40,33,40,18,5,7,24,32,24,32,24,32,33,31,31,
41,31,31,23,23,24,32,32,23,24,32,24,23,23,23,33,23,42,42,42,10,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,0,32,40,33,23,31,
42,42,6,33,17,20,16,7,33,5,15,29,17,18,7,32,40,6,9,17,17,20,34,34,34,32,39,39,39,38,
38,37,31,41,39,39,39,38,39,39,39,38,31,38,40,40,40,39,39,22,35,40,40,40,39,39,31,33,33,33,
33,32,33,34,24,32,33,33,33,33,32,32,32,32,32,31,33,33,33,32,33,24,26,33,33,33,33,42,40,42,
 };
static unsigned short stb__arial_bold_48_latin1_s[224]={ 253,245,130,118,64,99,189,242,64,26,73,
154,248,198,243,238,1,235,92,113,141,23,68,165,91,136,246,238,72,90,133,
37,93,23,40,77,114,67,133,15,84,247,1,55,110,156,187,45,1,33,209,
220,76,219,1,167,137,106,79,228,1,240,220,1,238,197,132,220,180,1,23,
105,1,247,188,187,248,179,214,24,156,204,238,157,204,49,48,73,1,188,26,
165,181,76,148,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,
126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,253,248,147,
129,108,210,158,135,211,154,1,178,49,198,213,227,114,103,34,236,186,46,170,
246,172,243,17,199,194,136,1,1,32,86,118,155,123,1,32,200,12,150,207,
187,69,1,232,107,48,212,59,1,115,175,37,132,66,196,222,33,81,1,213,
136,183,206,229,158,24,171,96,181,143,230,1,113,25,61,73,90,107,26,88,
63,38,228,70,174,149,166,160,47,95,39,91,1, };
static unsigned short stb__arial_bold_48_latin1_t[224]={ 1,306,550,238,85,165,238,526,1,1,550,
526,109,550,487,125,306,372,372,306,372,306,306,372,306,306,405,405,501,550,501,
339,1,405,372,272,372,372,405,272,405,238,372,405,405,405,405,272,437,165,437,
238,469,306,469,437,437,437,437,1,272,1,526,568,460,469,339,469,339,501,372,
272,405,270,1,372,77,501,501,501,339,339,436,501,306,501,526,526,526,272,526,
1,1,1,550,469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,
469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,469,1,44,44,
272,526,372,1,1,550,272,550,526,550,550,272,550,550,469,550,501,550,306,44,
429,550,469,550,526,165,165,203,339,85,85,85,125,125,165,469,1,125,85,85,
125,125,125,85,125,437,125,44,44,44,85,125,526,165,44,44,44,125,85,405,
203,203,203,203,306,238,165,501,306,238,165,238,203,339,339,339,339,339,437,203,
203,203,339,238,469,469,238,203,238,238,1,44,1, };
static unsigned short stb__arial_bold_48_latin1_a[224]={ 191,229,326,382,382,611,496,163,
229,229,268,401,191,229,191,191,382,382,382,382,382,382,382,382,
382,382,229,229,401,401,401,420,670,496,496,496,496,459,420,535,
496,191,382,496,420,573,496,535,459,535,496,459,420,496,459,649,
459,459,420,229,191,229,401,382,229,382,420,382,420,382,229,420,
420,191,191,382,191,611,420,420,420,420,268,382,229,420,382,535,
382,382,344,268,192,268,401,516,516,516,516,516,516,516,516,516,
516,516,516,516,516,516,516,516,516,516,516,516,516,516,516,516,
516,516,516,516,516,516,516,516,191,229,382,382,382,382,192,382,
229,507,254,382,401,229,507,380,275,377,229,229,229,396,382,191,
229,229,251,382,573,573,573,420,496,496,496,496,496,496,687,496,
459,459,459,459,191,191,191,191,496,496,535,535,535,535,535,401,
535,496,496,496,496,459,459,420,382,382,382,382,382,382,611,382,
382,382,382,382,191,191,191,191,420,420,420,420,420,420,420,377,
420,420,420,420,420,382,420,382, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_48_latin1_BITMAP_HEIGHT or STB_FONT_arial_bold_48_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_48_latin1(stb_fontchar font[STB_FONT_arial_bold_48_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_48_latin1_BITMAP_HEIGHT][STB_FONT_arial_bold_48_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_48_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_48_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_48_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_48_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_48_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_48_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_48_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_48_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_48_latin1_s[i] + stb__arial_bold_48_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_48_latin1_t[i] + stb__arial_bold_48_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_48_latin1_x[i];
            font[i].y0 = stb__arial_bold_48_latin1_y[i];
            font[i].x1 = stb__arial_bold_48_latin1_x[i] + stb__arial_bold_48_latin1_w[i];
            font[i].y1 = stb__arial_bold_48_latin1_y[i] + stb__arial_bold_48_latin1_h[i];
            font[i].advance_int = (stb__arial_bold_48_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_48_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_48_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_48_latin1_s[i] + stb__arial_bold_48_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_48_latin1_t[i] + stb__arial_bold_48_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_48_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_48_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_48_latin1_x[i] + stb__arial_bold_48_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_48_latin1_y[i] + stb__arial_bold_48_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_48_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_48_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_48_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_48_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_48_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_48_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_48_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_48_latin1_LINE_SPACING
#endif

