// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_arial_bold_50_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_arial_bold_50_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_arial_bold_50_latin1_BITMAP_WIDTH         256
#define STB_FONT_arial_bold_50_latin1_BITMAP_HEIGHT        621
#define STB_FONT_arial_bold_50_latin1_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_arial_bold_50_latin1_FIRST_CHAR            32
#define STB_FONT_arial_bold_50_latin1_NUM_CHARS            224

#define STB_FONT_arial_bold_50_latin1_LINE_SPACING          32

static unsigned int stb__arial_bold_50_latin1_pixels[]={
    0x03333320,0x40599995,0x0003ccc9,0xcccccc80,0x332e0003,0x7310001c,
    0x80000357,0x09abba98,0x59999100,0x00000000,0x2b32ea62,0x9000009a,
    0x00015599,0xcccc8800,0x6654c002,0xffff000c,0xffffc83f,0x3fffe205,
    0x3ea00001,0x000effff,0x00ffff30,0x7fffee44,0x00ceffff,0xffffb100,
    0x8019ffff,0x405ffff8,0x01fffffe,0x7ff5c400,0xffffffff,0x20000bef,
    0x0cffffff,0xfffff880,0xf15fffff,0x2a00bfff,0x01ffffff,0x83fffff0,
    0x405ffffc,0x0006fffd,0x3fffffa0,0x3ffa0000,0xfff5004f,0xffffffff,
    0xb8007fff,0xffffffff,0x2204ffff,0x7405ffff,0x001fffff,0xffffda88,
    0xffffffff,0x03efffff,0xffffff80,0x7fc401ff,0xffffffff,0x0bffff15,
    0xfffffe88,0xfff001ff,0xfffc83ff,0x7ffcc05f,0xf980003f,0x0001ffff,
    0x007fffea,0xffffffb1,0xffffffff,0xf5003dff,0xffffffff,0x207fffff,
    0x405ffff8,0x01fffffe,0x7ffffd40,0xffffffff,0xffffffff,0x3fe000df,
    0x06ffffff,0x7fffffc4,0xff15ffff,0xffc80bff,0x01ffffff,0x83fffff0,
    0x805ffffc,0x000ffffe,0x0ffffec0,0x3fffa000,0x7fffcc05,0xffffffff,
    0xffffffff,0x3fffe200,0xffffffff,0xf882ffff,0x7f405fff,0x1001ffff,
    0xfffffffb,0xb9599ddf,0xfffffffd,0x3fe005ff,0x2fffffff,0x3ffffe20,
    0xf15fffff,0x7c40bfff,0xffffffff,0x99999001,0x2cccca81,0x4ffffb80,
    0x3ffe2000,0x7d40002f,0x3e202fff,0xffffffff,0xffffffff,0x2e06ffff,
    0x9cffffff,0xfffffec9,0x5ffff886,0x7fffff40,0xfffe9801,0x2001dfff,
    0xfffffd98,0xfedc804f,0x205fffff,0xffeeeee8,0xfff15fff,0x7ffe40bf,
    0x00cdefff,0x88000000,0x000fffff,0x007fff90,0x0ffffd00,0xffffffd8,
    0x3ee61adf,0x4fffffff,0x9fffff90,0xffffff30,0x5ffff881,0x666665c0,
    0x7fffd400,0x40000bef,0x2fffffe9,0x3fffe600,0x7fc4007f,0xfff15fff,
    0x7ffec0bf,0x000003ff,0xfffb0000,0x0000007f,0x3fffee00,0x3fffe604,
    0x6c402fff,0x07ffffff,0x07fffffd,0x0bbffffa,0x00bffff1,0xffff1000,
    0x700000bf,0x003fffff,0x03ffffec,0x3ffffe20,0x0bffff15,0x03ffffec,
    0x00000000,0x00dffff5,0x3e000000,0x3a02ffff,0x00ffffff,0x3fffffa0,
    0xffffc82f,0x0135306f,0x02ffffc4,0x7fff4000,0x2000003f,0x006ffff9,
    0x03fffff2,0xfffff880,0x0bffff15,0x037ffff4,0x09999988,0x4ccccc00,
    0xfffff101,0x99999885,0x4cccc000,0xffffb819,0x3fffee07,0x7c4003ff,
    0xb85fffff,0x05ffffff,0x3fffe200,0x4cccc405,0x3ffff201,0x1bcb9802,
    0x84ccccc4,0x002ffffb,0x01fffff7,0x7ffffc40,0x0bffff15,0x02fffff4,
    0xffffffa8,0xffff5000,0x7ffec0df,0x7fffd45f,0xff5000ff,0xffb0dfff,
    0x7ff40bff,0xb0007fff,0x740159df,0x1effffff,0xffff8800,0x7ffff405,
    0xffffa81f,0x3fff6a03,0xff71ffff,0x7fec5fff,0xfff7006f,0x7c4001ff,
    0xff15ffff,0x7ff40bff,0xff1005ff,0x2005ffff,0x03fffffd,0x11ffffee,
    0x05ffffff,0x3fffff60,0x7ffffc43,0x3ffffe02,0x0110003f,0x7ffffcc0,
    0x44003fff,0x7405ffff,0xf81fffff,0x3ee06fff,0xffffffff,0xfffffdaf,
    0x07fffe20,0x3ffffee0,0x3ffe2000,0xffff15ff,0x7ffff40b,0x3fff2005,
    0xff8805ff,0x2a00ffff,0x641fffff,0x805fffff,0x0ffffff8,0x0fffffd4,
    0xffffff88,0x20000001,0xfffffffe,0xff1001ef,0xffe80bff,0x7fd41fff,
    0xfff700ff,0xffffffff,0x0dffffff,0x7009fff7,0x003fffff,0xafffffc4,
    0x205ffff8,0x004fffff,0x3fffffe6,0x7fffd400,0x7ffcc06f,0x7ffcc4ff,
    0x7d400fff,0xfc86ffff,0xf500ffff,0x001fffff,0x3ff60000,0xffffffff,
    0xfff8804f,0x7fff405f,0x7ffec1ff,0xfffff903,0xfff9557f,0x30bfffff,
    0xf500dfff,0x4003ffff,0x15fffff8,0x7c0bffff,0x4004ffff,0x02fffffe,
    0x1fffffec,0x3ffffe20,0xfffffe86,0x7fffec02,0xffffe83f,0x3fffee07,
    0x0000007f,0xfffffffb,0x3dffffff,0x2ffffc40,0x3fffffa0,0x03fffe21,
    0x37ffffee,0xfffffa80,0xfff883ff,0xffff9807,0x3fe2002f,0xfff15fff,
    0x3ffe20bf,0x7dc003ff,0x2205ffff,0x00ffffff,0x0ffffff8,0x2fffffdc,
    0xffffff10,0xfffff881,0x3ffff206,0x8000007f,0xdbfffffd,0xffffffff,
    0xffff102f,0xffffe80b,0x17ffee1f,0x17ffffe2,0xffffffb0,0x03fffa03,
    0x9fffff30,0x7fffc400,0xbffff15f,0x3ffffea0,0x7ffc4002,0xff500fff,
    0x3a00bfff,0x441fffff,0x00ffffff,0x0bfffff5,0x0bfffff3,0x37ffffec,
    0x7fc00000,0x3fee3fff,0x2fffffff,0x05ffff88,0x0ffffff4,0xf705fffd,
    0xa801ffff,0x207fffff,0xe801fffd,0x000fffff,0x2bfffff1,0xb05ffff8,
    0x001fffff,0x5fffffb0,0x3fffff60,0xffffb002,0xffffb03f,0x3fff605f,
    0xfffa82ff,0x3ffa04ff,0x00006fff,0x7ffffcc0,0x7ffff4c0,0x6441ffff,
    0x7f402ccc,0x3fe1ffff,0x7ffc40ff,0xff8804ff,0x3f606fff,0xffb801ff,
    0xf1004fff,0x3e2bffff,0xffa85fff,0x50007fff,0x20bfffff,0x007fffff,
    0x0bfffff2,0x17ffffea,0x83fffffc,0x04fffffa,0x1ffffff6,0xff700000,
    0x7fe40fff,0x00ffffff,0x7ffff400,0x0bfff11f,0x01fffff7,0x9fffff10,
    0x007fffc0,0x7fffffc4,0x3fe201ce,0xfff15fff,0x3ff2e2bf,0x0003ffff,
    0x1ffffff1,0x4fffffa8,0x3fffee00,0xffff883f,0x7ffd40ff,0xfff704ff,
    0x7fdc07ff,0x00007fff,0x7ffffe40,0x3fffea02,0x40004fff,0x31fffffe,
    0xffd09fff,0x3e600dff,0xf102ffff,0x7e400fff,0x07ffffff,0x57ffffe2,
    0xfb5ffff8,0x0dffffff,0xffffc800,0x7fffec2f,0x3fee001f,0xff903fff,
    0xffd85fff,0xff901fff,0x7d405fff,0x000fffff,0x3ffee000,0x7f4405ff,
    0x0006ffff,0x8ffffff4,0xff84fffa,0xf7005fff,0x2a03ffff,0x5c006fff,
    0x07ffffff,0x57ffffe2,0xfb5ffff8,0x00bfffff,0xfffff300,0x6fffff8b,
    0x7fffd400,0xffff303f,0xfffff8bf,0x3ffff206,0x3ffe601f,0x30001fff,
    0x7ffd4037,0x2200efff,0x00fffffe,0x3ffffa00,0x87fff71f,0x04fffff8,
    0x0fffff90,0x0027ffe4,0x3fffffec,0xbfffff10,0x6d7fffe2,0x00ffffff,
    0xffffd000,0x3fffea1f,0x7fd4003f,0x3fa03fff,0xff50ffff,0x7e407fff,
    0x2201ffff,0x04ffffff,0x39dffb00,0xfffffff0,0x7ffd403d,0x3a0001ff,
    0xf91fffff,0xfff985ff,0xffb002ff,0x7ff40dff,0x7fec003f,0x2207ffff,
    0xf15fffff,0x3ff6bfff,0x000effff,0xfffffb80,0x1fffff92,0xffffa800,
    0x3ffee02f,0xffff92ff,0x7ffdc01f,0x7ffc02ff,0x8000ffff,0x46ffffff,
    0xfffffffb,0xffff103f,0xffe8000f,0xfff71fff,0xfffffa85,0xffff8801,
    0xdfff504f,0xffffd800,0x3e207fff,0xff15ffff,0x3fff6bff,0x0006ffff,
    0x5fffff88,0x00bfffff,0x5fffff70,0x7ffffc40,0x0bfffff5,0x3fffffa8,
    0x7ffffe40,0x7fdc003f,0xfd83ffff,0xefffffff,0x2ffffd40,0x3fffa000,
    0x7fff51ff,0x1fffffa8,0xfffffc80,0x2ffff882,0x3fffe600,0x2200acff,
    0xf15fffff,0x36a2bfff,0x03ffffff,0xffffd800,0x2fffffaf,0xffffb800,
    0x7ffec01f,0xfffffaff,0x7fffd402,0xfffe804f,0xf3000fff,0x01ffffff,
    0x3ffffff6,0xffd13fff,0x777447ff,0x7fff404e,0x9fff31ff,0x2fffff88,
    0x7ffffc40,0x6fffd80f,0x7fffec00,0xfff1003f,0x3ffe2bff,0xffffa85f,
    0xfa80007f,0xffffffff,0xfc8000ff,0x5400ffff,0xffffffff,0x7cc00fff,
    0xa804ffff,0x2fffffff,0x7ffff4c0,0x7fe404ff,0xdfffffff,0x20effffe,
    0x405ffff8,0x31fffffe,0xfff0bfff,0xffc80bff,0xffd87fff,0x7fc002ff,
    0x22006fff,0xf15fffff,0x3f60bfff,0x0000ffff,0xfffffff8,0xb0005fff,
    0x200dffff,0xffffffff,0xfff005ff,0x3f600bff,0xadffffff,0xffff9311,
    0x5003ffff,0xffffffff,0x81dfffff,0x405ffff8,0x11fffffe,0xfe81ffff,
    0xf701ffff,0x44dfffff,0x005ffffe,0x1fffffc4,0xfffff100,0x17fffe2b,
    0x17ffffcc,0x7ffe4000,0x02ffffff,0x9fffff00,0x3ffff200,0x002fffff,
    0x00dffffb,0x3fffffe6,0xffffffff,0x3fffffff,0x3fff6200,0xffffffff,
    0x5ffff880,0x7fffff40,0x30ffff61,0x17ffffff,0xfffffb51,0xfffb9fff,
    0xf3000bff,0x4003ffff,0x15fffff8,0x220bffff,0x003fffff,0xfffff980,
    0x10007fff,0x007fffff,0x3fffffe6,0x3ee007ff,0x2a007fff,0xffffffff,
    0xffffffff,0x70004fff,0xffffffff,0x3ffe209f,0x7fff405f,0x3ffea1ff,
    0xfffffd86,0xffffffff,0xffffffff,0x50006fff,0x003fffff,0xafffffc4,
    0x205ffff8,0x004fffff,0xfffffd00,0x2a0009ff,0x001fffff,0x3ffffffa,
    0x3fe6004f,0x22001fff,0xfffffffd,0xffffffff,0x6c40005f,0xffffffff,
    0x5ffff881,0x7fffff40,0x217fffc1,0xffffffe8,0xfffdffff,0xffffffff,
    0x3fea0003,0x22000fff,0xf15fffff,0x7fc0bfff,0x00004fff,0xfffffff7,
    0x3fee0003,0x7dc006ff,0x01ffffff,0x1fffffc0,0x7fffdc00,0xffffffff,
    0x200002ef,0xfffffffa,0x7fffc40f,0x7ffff405,0x77ffe41f,0xfffffc80,
    0xfff73fff,0x03bfffff,0xffffb800,0x3fe2000f,0xfff15fff,0x7fffc0bf,
    0xf100005f,0x00dfffff,0x1ffffec0,0x3fffe200,0xfd8006ff,0x30005fff,
    0xffffffb9,0x00005dff,0x3ffffa20,0x7ffc43ff,0x7fffc05f,0x7ffcc1ff,
    0xdfb7305f,0xffdb817b,0x55100bde,0x7fdc0155,0x22000fff,0xf15fffff,
    0x7f40bfff,0x00005fff,0x7ffffff1,0x3ffe2000,0x7c4000ff,0x003fffff,
    0x07ffff98,0xfffb9800,0x2200002d,0x3ffffa00,0x7fffc45f,0x7ffffc05,
    0xffffc80f,0x40000004,0x406ffff9,0x00fffffb,0x3ffffe20,0x0bffff15,
    0x02fffff4,0xffffc800,0xf50000ff,0x9000bfff,0x01ffffff,0x3ffffa00,
    0x3fea0001,0x004fffff,0x6ffedc98,0x3ffffea0,0x2ffffc46,0x3fffffe0,
    0x9ffffb00,0x26000000,0x400fffff,0x00fffffc,0x3ffffe20,0x0bffff15,
    0x037ffff4,0x7fffc400,0x320005ff,0x4002ffff,0x5ffffff8,0x3ffee000,
    0x3b20003f,0x3fffffdc,0x7fffc400,0xfff302ff,0xfff88dff,0x3ffe605f,
    0xff100fff,0x0005dfff,0x7fffdc00,0xfffe803f,0x7fc4007f,0xfff15fff,
    0x7fff40bf,0x6c40007f,0x02ffffff,0x3ffffe00,0x3ff62000,0x0002ffff,
    0x01bfffe2,0xdfff9000,0xffffd000,0xfffb01df,0xfff889ff,0x7fdd545f,
    0x4c07ffff,0x1dffffff,0x3fea0000,0xb805ffff,0x006fffff,0xafffffc4,
    0x205ffff8,0x04fffffd,0xff979910,0x00dfffff,0x1ffffd40,0xff979910,
    0x00dfffff,0x3ffff900,0x7fcc0000,0xffb8007f,0xbadfffff,0x3ffffffe,
    0x12ffffc4,0xffffffff,0xffd300df,0x159fffff,0x7fedc400,0x203fffff,
    0xffffffee,0x3bba205f,0x5fffffee,0x40bffff1,0xfffffffb,0x3ffe01ee,
    0xffffffff,0x3ff60002,0xffff806f,0x2fffffff,0xfff88000,0xb100004f,
    0x2000dfff,0xfffffffe,0xffffffff,0x5ffff886,0x3fffffea,0x2e004fff,
    0xffffffff,0xdccdeeff,0xffffffee,0x7c01efff,0xffffffff,0x3fffe202,
    0x15ffffff,0x440bffff,0xffffffff,0x3fffe01f,0x05ffffff,0x3fffe200,
    0xfffff802,0x005fffff,0x3fffee00,0x33372000,0x2fffffec,0xfffd1000,
    0xffffffff,0xff101fff,0x7ffe4bff,0x006fffff,0xfffffe98,0xffffffff,
    0xffffffff,0xf800cfff,0x6fffffff,0x7ffffc40,0xf15fffff,0xfc80bfff,
    0x1fffffff,0x3fffffa0,0x40005fff,0xd006fffc,0xffffffff,0xfd00000b,
    0x7f4007ff,0xffffffff,0x7ec40003,0xffffffff,0xff101eff,0x7ffecbff,
    0x000fffff,0x3fffb260,0xffffffff,0xdfffffff,0x7fffc002,0x4401efff,
    0xffffffff,0xffff15ff,0xfffd880b,0x3601ffff,0x2effffff,0x7ffc4000,
    0xfffb001f,0x0005dfff,0x1fffea00,0xfffffd80,0x400003ef,0xffffffd9,
    0x7fc402ef,0x3fffa5ff,0x0001ceff,0x3fff6e60,0xffffffff,0xf0000bee,
    0x005dffff,0x3fffffe2,0xff15ffff,0x3aa00bff,0x401fffff,0x0009aa99,
    0x05555100,0x09aa9980,0xaa800000,0x098000aa,0x22000000,0x540019a9,
    0x54c41aaa,0x0000000a,0x066aa662,0x55550000,0x20000001,0x4001aaaa,
    0x000aaa98,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x55530000,0x00000055,0x01555553,
    0x00000000,0x00000000,0xaaaaaa80,0x00000002,0xaaaaaa98,0x55100000,
    0x00015555,0x2aaaa000,0x998801aa,0xfffe8999,0x07ffffff,0x7ffffcc0,
    0x2000004f,0x4ffffff8,0x3fffe000,0x000000ff,0x7ffff64c,0xffffffff,
    0x4004ffff,0x1ffffff9,0x40000000,0x04fffffe,0x7ffe4000,0x000005ff,
    0xffffffa8,0xffffb800,0xfffffecf,0x4007ffff,0xfffffffe,0xfd000002,
    0x05ffffff,0x3ffffe00,0x3000000f,0xfffffffb,0xffffffff,0x0009ffff,
    0x0bfffff3,0x54000000,0x004fffff,0xffffb000,0x8000003f,0x01fffffe,
    0x9fffff70,0xfffffffd,0x7e400fff,0xffffffff,0x7e400000,0xffffffff,
    0xffff8000,0x800000ff,0xfffffffa,0xffffffff,0x04ffffff,0xfffff500,
    0x00000001,0x017ffffa,0xfffb0000,0x400000bf,0x01fffff9,0x3ffffee0,
    0xffffffec,0xf5007fff,0xfff59fff,0x4c0000bf,0xffadffff,0xff8005ff,
    0x0000ffff,0x7ffffc40,0xffffffff,0xffffffff,0x3ea0004f,0x00004fff,
    0xffff9800,0x88000005,0x000ffffe,0xffffb000,0xfffb8005,0xffffecff,
    0x806eeeef,0x326ffff8,0x0002ffff,0x0efffe88,0x007ffff9,0x0ffffff8,
    0x7ff40000,0xffffffff,0xffffffff,0x0004ffff,0x007fffdc,0x3f600000,
    0x00000eff,0x9fffd100,0xff300000,0xf70005ff,0xffd9ffff,0x36000fff,
    0x7f41ffff,0x40000fff,0x6c1ffffd,0x2000ffff,0x00ffffff,0x3ffe6000,
    0xffffffff,0xfffcccff,0x0002cdff,0x004fffc8,0x3fe60000,0x000000ef,
    0x07fff440,0x3ff20000,0xff70003f,0xfffd9fff,0x266000ff,0x99988099,
    0x4cc00009,0x99988099,0x3ffe0009,0x00000fff,0x3fffffee,0x46ffffff,
    0x001fffff,0x004ccc00,0x33100000,0x00000013,0x00266620,0x03333000,
    0x3ffa0000,0x000007ff,0x22000000,0x001acbaa,0x7fffffc0,0x3f600000,
    0xffffffff,0x7ffc6fff,0x440001ff,0x001acbaa,0x55440000,0x00001acb,
    0x00000000,0xe8000000,0x6c07ffff,0x004fffff,0x5fffffd8,0x3ffb2600,
    0xdeffffff,0x3ffe000b,0x654c0fff,0xfff001ac,0xffffffff,0xffff8dff,
    0xec98001f,0xffffffff,0x00000bde,0x7ffff64c,0x0bdeffff,0x3ffff600,
    0xffd8004f,0xfffb5fff,0xfb0009ff,0x744bffff,0xffffd1ee,0xffffd80f,
    0xffd8004f,0xf9005fff,0xffffffff,0x05ffffff,0x3fffffe0,0xfffffd30,
    0xfff805ff,0xffffffff,0x7fffc6ff,0x7fe4001f,0xffffffff,0x002fffff,
    0xfffff900,0xffffffff,0x3f6005ff,0x8004ffff,0xb5fffffd,0x009fffff,
    0xbfffffb0,0xfe9fffcc,0x7ec07fff,0x8004ffff,0x05fffffd,0x7fffff4c,
    0xffffffff,0x400dffff,0xb8ffffff,0xffffffff,0x3ffa04ff,0xffffffff,
    0x7fffc6ff,0xffd3001f,0xffffffff,0xbfffffff,0x3fa60001,0xffffffff,
    0xffffffff,0x7ffec00d,0xfd8004ff,0xffb5ffff,0xb0009fff,0x54bfffff,
    0xfffd3fff,0xfffd80ff,0xfd8004ff,0x2e05ffff,0xffffffff,0xffffffff,
    0x202fffff,0xfeffffff,0xffffffff,0xff906fff,0xffffffff,0xffff8dff,
    0xfffb801f,0xffffffff,0xffffffff,0x7dc002ff,0xffffffff,0xffffffff,
    0x3602ffff,0x004fffff,0x5fffffd8,0x09fffffb,0xfffffb00,0xea7ffdcb,
    0x6c07ffff,0x004fffff,0x5fffffd8,0xffffff30,0xffffffff,0xffffffff,
    0x3fffe03f,0xffffffff,0xffffffff,0xfffffb83,0x6fffffff,0x00fffffc,
    0x3fffffe6,0xffffffff,0xffffffff,0xfff3001f,0xffffffff,0xffffffff,
    0x3603ffff,0x004fffff,0x5fffffd8,0x09fffffb,0xfffffb00,0xeafffe4b,
    0x6c07ffff,0x004fffff,0x5fffffd8,0xffffffd0,0x2a2157df,0xffffffeb,
    0xfffff05f,0x2615dfff,0xfffffffc,0xfffffe80,0x46ffffff,0x401fffff,
    0xfffffffe,0xd7510abe,0xbfffffff,0x3ffffa00,0x10abefff,0xfffffd75,
    0x3ff60bff,0xd8004fff,0xfb5fffff,0x0009ffff,0x4bfffffb,0xffd6fffc,
    0xffd80fff,0xd8004fff,0xc85fffff,0x4fffffff,0xfffff900,0xffff05ff,
    0x2a01bfff,0x84ffffff,0xfffffff9,0x7fc6ffff,0x3f201fff,0x04ffffff,
    0xffffff90,0xfffc805f,0x9004ffff,0x5fffffff,0x9fffffb0,0xffffb000,
    0x3ffff6bf,0xffd8004f,0x3ff65fff,0xfffffd7f,0xfffffd80,0xfffd8004,
    0x7ffcc5ff,0x4002ffff,0xfffffffa,0x7fffffc0,0x7ffec00f,0xfff707ff,
    0xdfffffff,0x01fffff8,0xfffffff3,0xfffa8005,0xf300ffff,0x05ffffff,
    0xfffffa80,0x7ffec0ff,0xfd8004ff,0xffb5ffff,0xb0009fff,0x74bfffff,
    0xfffd7fff,0xfffd80ff,0xfd8004ff,0x7ec5ffff,0x004fffff,0xffffff90,
    0xffffff89,0xffff9805,0xffd100ff,0x8dffffff,0xb01fffff,0x09ffffff,
    0x3ffff200,0xfffb04ff,0x20009fff,0x4ffffffc,0x27ffffec,0x7fffec00,
    0xfffffb5f,0xfffb0009,0x7fffcbff,0x7ffffe8f,0x7ffffec0,0xfffd8004,
    0x7fffc5ff,0x10000fff,0x8fffffff,0x02ffffff,0x3fffffd0,0xffedb980,
    0x7fffc6ff,0xfffff01f,0x220001ff,0x07ffffff,0x1fffffff,0x3ffe2000,
    0x7fec7fff,0xd8004fff,0xfb5fffff,0x0009ffff,0x4bfffffb,0xfe9fffff,
    0x7ec07fff,0x8004ffff,0x25fffffd,0x4ffffffa,0x7ffe4000,0x3ffe0fff,
    0xfd001fff,0x4005ffff,0x7c6ffffb,0xfa81ffff,0x004fffff,0x7ffffe40,
    0x7fffd40f,0x640004ff,0x20ffffff,0x04fffffd,0xfffffd80,0x9fffffb5,
    0xffffb000,0x3fffe2bf,0x7ffffeaf,0x7ffffec0,0xfffd8004,0x3fff25ff,
    0x40000fff,0x2ffffff9,0x03fffffe,0x7ffffec0,0x3ffee003,0x7ffffc6f,
    0xfffffc81,0x7cc0000f,0x642fffff,0x00ffffff,0x7fffcc00,0x3fff62ff,
    0xfd8004ff,0xffb5ffff,0xb0009fff,0x26bfffff,0xfeafffff,0x7ec07fff,
    0x8004ffff,0x25fffffd,0x07fffffd,0xffff8800,0x3fffe3ff,0xff9000ff,
    0x5c009fff,0x7fc6ffff,0xffd81fff,0x80007fff,0x3ffffff8,0x3fffffec,
    0x7ffc4000,0x3ff63fff,0xd8004fff,0xfb5fffff,0x0009ffff,0x2bfffffb,
    0xebfffffa,0x6c07ffff,0x004fffff,0x5fffffd8,0x1ffffffa,0x7fffc000,
    0x3fffe4ff,0xffb001ff,0x5c007fff,0x7fc6ffff,0xffe81fff,0x00007fff,
    0x89ffffff,0x07fffffe,0xfffff000,0x7fffec9f,0xffd8004f,0xfffb5fff,
    0xfb0009ff,0x3eebffff,0xffecffff,0x7fec07ff,0xd8004fff,0x3a5fffff,
    0x006fffff,0xfffffd00,0x7fffffcb,0xffffd002,0x7fdc005f,0x7fffc6ff,
    0xffffe81f,0xfd00006f,0xfe8bffff,0x0006ffff,0xbfffffd0,0x27ffffec,
    0x7fffec00,0xfffffb5f,0xfffb0009,0x3ffeebff,0xffffedff,0x7fffec07,
    0xffd8004f,0x3ffe5fff,0x00005fff,0x4ffffffb,0x04ffffff,0x3ffffff0,
    0x7fffdc00,0x0fffffc6,0x2ffffffc,0xfffd8000,0x7fffc7ff,0xb00005ff,
    0x6cffffff,0x004fffff,0x5fffffd8,0x09fffffb,0xfffffb00,0x3fffff2b,
    0x07ffffee,0x27ffffec,0x7fffec00,0x3ffffe5f,0xfb00005f,0x7fcfffff,
    0xa807ffff,0x00ffffff,0x1bfffee0,0xf03fffff,0x00bfffff,0x3ffff600,
    0x7ffffc7f,0xfb00005f,0x7ecfffff,0x8004ffff,0xb5fffffd,0x009fffff,
    0xbfffffb0,0x3bfffff6,0x407ffffe,0x05fffffd,0xfffffd80,0x3fffffa5,
    0xffd00006,0x7ffcbfff,0x7404ffff,0x006fffff,0x237fffdc,0xe81fffff,
    0x006fffff,0xfffffd00,0xfffffe8b,0xffd00006,0x7fecbfff,0xd8005fff,
    0xfb5fffff,0x000bffff,0x2bfffffb,0xeefffffd,0x6c07ffff,0x005fffff,
    0x5fffffd8,0x1ffffff6,0x7fffc000,0x3fffe4ff,0xf904ffff,0x005fffff,
    0x46ffffb8,0xd81fffff,0x007fffff,0xffffff00,0xfffffd89,0xfff00007,
    0x7fec9fff,0xd8005fff,0xfb5fffff,0x000bffff,0x2bfffffb,0xeefffffd,
    0x6c07ffff,0x005fffff,0x5fffffd8,0x1fffffee,0x3ffe2000,0x3ffe3fff,
    0xceffffff,0xfffffeba,0xffb8006f,0x7fffc6ff,0xffffb81f,0xf880007f,
    0x5c3fffff,0x007fffff,0xfffff880,0x3ffff63f,0xffd8005f,0xfffb5fff,
    0xfb000bff,0x3f6bffff,0xffeeffff,0x7fec07ff,0xd8005fff,0x2a4fffff,
    0x01ffffff,0x7fffcc00,0x3fffe2ff,0xffffffff,0xffffffff,0xfffb8001,
    0x7ffffc6f,0xfffffa81,0x7cc0001f,0x542fffff,0x01ffffff,0x7fffcc00,
    0x3fff62ff,0xfd8005ff,0xffb4ffff,0xb000bfff,0x369fffff,0xfeefffff,
    0x7e407fff,0x8006ffff,0x24fffffe,0x4ffffff9,0x7ffec000,0x3ffe0fff,
    0xffffcfff,0xffffffff,0xfff70004,0xfffff8df,0xfffff981,0x7ec0004f,
    0x4c0fffff,0x04ffffff,0x7fffec00,0x3fff20ff,0xfe8006ff,0xff94ffff,
    0xd000dfff,0x369fffff,0xfeefffff,0x7dc07fff,0x8006ffff,0x23ffffff,
    0xfffffff8,0xfff30001,0xfff8ffff,0xffe98fff,0x2fffffff,0x3ffee000,
    0x7ffffc6f,0xfffff881,0xf30001ff,0x10ffffff,0x3fffffff,0x3ffe6000,
    0x7fdc7fff,0xf8006fff,0xf73fffff,0x000dffff,0x27ffffff,0xeefffffd,
    0x5407ffff,0x02ffffff,0x3ffffe60,0x7fffec2f,0xfb0005ff,0xf89fffff,
    0xb10fffff,0x1bffffff,0xfffb8000,0x7ffffc6f,0xfffffb01,0x3f6000bf,
    0xb04fffff,0x0bffffff,0x3ffff600,0x7ffd44ff,0x26002fff,0x52ffffff,
    0x05ffffff,0x7ffffcc0,0xddddd92f,0x0fffffdb,0xffffff98,0xfffd000f,
    0xff883fff,0x003fffff,0x7fffffdc,0x7ffffc0f,0x01ab980f,0x3ffee000,
    0x7ffffc6f,0xfffff101,0xfb8007ff,0x00ffffff,0xfffffff1,0xfffb8007,
    0x7cc0ffff,0x00ffffff,0xffffffd0,0x3ffffe63,0xffd000ff,0xd003ffff,
    0xf00fffff,0x0bffffff,0xffffff50,0x3fffee0f,0x4400dfff,0xfffffffd,
    0xffffff82,0x20000000,0x7c6ffffb,0x2e01ffff,0xdfffffff,0x7ffec400,
    0x5c02ffff,0xdfffffff,0x7ffec400,0xff02ffff,0x00bfffff,0xfffffff5,
    0xfffffff8,0xffffa805,0x3332e7ff,0xffffe9cc,0xffffb807,0x221aefff,
    0xffffffd9,0x3fffa03f,0x0acfffff,0xfffff951,0x3fe0dfff,0x0000ffff,
    0x3ffee000,0x7ffffc6f,0x7ffff401,0x10acffff,0xffffff95,0x3fa00dff,
    0xcfffffff,0xfff9510a,0x40dfffff,0xfffffffb,0x3f6621ae,0x43ffffff,
    0xfffffffb,0x3f6621ae,0x23ffffff,0xe9fffffd,0xf007ffff,0xffffffff,
    0xffffffff,0x980fffff,0xffffffff,0xffffffff,0x1fffffff,0x1ffffff0,
    0x5c000000,0x7fc6ffff,0x7cc01fff,0xffffffff,0xffffffff,0x01ffffff,
    0xffffff30,0xffffffff,0xffffffff,0xffff803f,0xffffffff,0xffffffff,
    0xfffff07f,0xffffffff,0xffffffff,0xfffffd8f,0xefffffe9,0xffb86eee,
    0xffffffff,0xffffffff,0xffa803ff,0xffffffff,0xffffffff,0x3fe02fff,
    0x0000ffff,0x3ffee000,0x7ffffc6f,0xffffa801,0xffffffff,0xffffffff,
    0x7fd4002f,0xffffffff,0xffffffff,0xfb802fff,0xffffffff,0xffffffff,
    0xff703fff,0xffffffff,0xffffffff,0xfffd87ff,0xffffe9ff,0x507fffff,
    0xffffffff,0xffffffff,0x6c4007ff,0xffffffff,0xffffffff,0x7ffc00df,
    0x00000fff,0x3fffee00,0x0fffffc6,0xffffd880,0xffffffff,0x00dfffff,
    0xffffb100,0xffffffff,0x01bfffff,0x7ffffd40,0xffffffff,0x403fffff,
    0xfffffffa,0xffffffff,0xffd83fff,0xfffe9fff,0x07ffffff,0x3fffffa2,
    0xffffffff,0xf50001ef,0xffffffff,0x05ffffff,0x3fffffe0,0x20000000,
    0x7c6ffffb,0x4001ffff,0xfffffffa,0xffffffff,0xff500002,0xffffffff,
    0x005fffff,0x3ffffa20,0xffffffff,0xd1001eff,0xffffffff,0x3dffffff,
    0x3fffff60,0xffffffe9,0xdb807fff,0xffffffff,0x80003eff,0xffffedb8,
    0x00bdefff,0x3fffffe0,0x20000000,0x7c6ffffb,0x8001ffff,0xffffedb8,
    0x00bdefff,0x76dc4000,0xefffffff,0xb80000bd,0xfffffffd,0x0003efff,
    0xffffffb7,0x807dffff,0xe8bbbbba,0xffffffff,0x2a62007f,0x00aaacba,
    0x5d4c0000,0x76c0001a,0x0000eeee,0x3bbaa000,0x77776c5e,0x75300000,
    0x00000035,0x006aea60,0x55310000,0x00155597,0x2eaa6200,0x0000aaac,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x03333300,0x00133331,
    0xaaaa8800,0x000001aa,0xaaaaa800,0x2600002a,0x99881999,0x2a200099,
    0x0000aaaa,0x0aaaaaa0,0x50000000,0xaaa80037,0x20002aaa,0x01aaaaaa,
    0x1555554c,0x3fffe600,0x3ffffe87,0xffc80000,0x00006fff,0x7ffcc000,
    0x00001fff,0xd0fffff3,0x4005ffff,0x06fffffe,0xffff7000,0x000003ff,
    0x007fec00,0xffffff30,0x3fea0003,0xf100ffff,0x005fffff,0x87ffff98,
    0x003ffffe,0xffff9000,0x0000005f,0x7ffffec0,0x3e600001,0xffe87fff,
    0xff9002ff,0x009fffff,0xfffff980,0x00000eff,0x06ff8800,0xfffffa80,
    0x3fee0005,0xff703fff,0x30007fff,0xfd0fffff,0x00007fff,0x2ffffec0,
    0x98000000,0x002fffff,0x7fffcc00,0x2ffffe87,0xfffffa80,0x0002ffff,
    0xffffffd1,0x000009ff,0x007ff500,0x3ffffea0,0x3fee0000,0xffff07ff,
    0x3e60007f,0xffe87fff,0x000003ff,0x00ffffec,0x7e400000,0x00002fff,
    0x87ffff98,0x402ffffe,0xf9effff8,0x8000ffff,0xfdaffffd,0x00002fff,
    0x00ffec00,0x9ffff700,0xfffc8000,0x7fffdc3f,0x3fe60004,0xfffe87ff,
    0x4000003f,0x005fffe8,0x7fc40000,0x000003ff,0xd0fffff3,0xd805ffff,
    0xff51ffff,0xfa800bff,0xffd14fff,0x000001ff,0x00037fc0,0x007fffdc,
    0x1bfff600,0x000bfffd,0x10333330,0x00013333,0xfffd1000,0x40000001,
    0x0004fffc,0x0ccccc00,0x004cccc4,0xc87ffff7,0x1002ffff,0xf98dffff,
    0x00005fff,0x009ff300,0x0ffff200,0x3fff6000,0x00bfff52,0x97551000,
    0x00000035,0x004ccc40,0x33100000,0x00000003,0x26620000,0x13333019,
    0x26666200,0x01999880,0xff900000,0x4cc00005,0x33000009,0x00666213,
    0xffec9800,0xdeffffff,0x0000000b,0x00000000,0x3f600000,0x8004ffff,
    0x05fffffd,0x00000000,0x4c400000,0x07ffcdcb,0x00000000,0x20000000,
    0xfffffffc,0xffffffff,0xfb000002,0x007fffff,0x7fec0000,0x0003ffff,
    0x13fffff6,0x3ffff600,0xfffff05f,0x3600007f,0x03ffffff,0xffe98000,
    0x3fffffff,0x3fffff60,0xffffffff,0xffffffff,0x3fffe07f,0x3fffe3ff,
    0x74c003ff,0xffffffff,0xffffffff,0x200000df,0xfffffff8,0x10000006,
    0xdfffffff,0x7ffec000,0xfd8004ff,0xff05ffff,0x0007ffff,0xffffff10,
    0xc80000df,0xffffffff,0xd80dffff,0xffffffff,0xffffffff,0x07ffffff,
    0x8ffffffe,0x03ffffff,0x3ffffee0,0xffffffff,0xffffffff,0xff700002,
    0x05ffffff,0xff700000,0x05ffffff,0x3ffff600,0xffd8004f,0xfff05fff,
    0x00007fff,0xfffffff7,0xd100005f,0xffffffff,0x3fffffff,0xffffffd8,
    0xffffffff,0xffffffff,0x3ffffe07,0x3ffffe3f,0xfff3003f,0xffffffff,
    0xffffffff,0x0003ffff,0xffffffd0,0x00000bff,0xffffffd0,0x36000bff,
    0x004fffff,0x5fffffd8,0x7ffffff0,0xfffd0000,0x00bfffff,0xfffffb00,
    0xffffffff,0xffd8dfff,0xffffffff,0xffffffff,0x3e07ffff,0x3e3fffff,
    0x003fffff,0xfffffffd,0x2ea2157d,0xfffffffe,0x7fcc0005,0xffffffff,
    0x26000000,0xffffffff,0xfd8000ff,0x8004ffff,0x05fffffd,0x07ffffff,
    0xffff9800,0x00ffffff,0x3fffea00,0xffb9aeff,0x22ffffff,0xfffffffd,
    0xffffffff,0x7fffffff,0x3fffffe0,0x3fffffe3,0xffffc803,0xf9004fff,
    0x05ffffff,0x7fffe400,0x03ffffff,0x3ff20000,0xffffffff,0xfffd8003,
    0xfd8004ff,0xff05ffff,0x0007ffff,0xffffffc8,0x0003ffff,0x17fffffa,
    0xffffbffb,0x7fffecdf,0xaaaaaaef,0xaaaaaaaa,0x3ffe02aa,0x3ffe3fff,
    0x7cc03fff,0x02ffffff,0x7ffffd40,0xf88000ff,0xffffffff,0x000006ff,
    0xfffffff1,0x000dffff,0x09fffffb,0xfffffb00,0x3ffffe0b,0x3e20003f,
    0xffffffff,0xf50006ff,0xf81fffff,0xfffff8ef,0xfffffb0e,0xf800000b,
    0x3e3fffff,0x403fffff,0x4ffffffd,0xffff9000,0xf50009ff,0xfffdffff,
    0x00005fff,0xdfffff50,0x05ffffff,0xfffffd80,0xfffd8004,0xffff05ff,
    0x540007ff,0xffefffff,0x8002ffff,0x44fffffc,0x35794ff9,0xbfffffb0,
    0xff800000,0x3fe3ffff,0x7c03ffff,0x00ffffff,0xfffff100,0xffd000ff,
    0xfffb5fff,0x00000bff,0xb5fffffd,0x00bfffff,0x4fffffd8,0xffffd800,
    0xfffff05f,0x7f40007f,0xffdaffff,0xd8005fff,0x642fffff,0xffb001ff,
    0x0000bfff,0xffffff80,0x3fffffe3,0x3fffea03,0x640004ff,0x00ffffff,
    0x3ffffe60,0xfffffa8f,0x2600000f,0xa8ffffff,0x00ffffff,0x3fffff60,
    0xfffd8004,0xffff05ff,0x260007ff,0xa8ffffff,0x00ffffff,0x7fffff40,
    0xb003ff41,0x00bfffff,0xffff8000,0x3fffe3ff,0x3ff203ff,0x0000ffff,
    0x7fffffcc,0x3fff2002,0xffff15ff,0x400007ff,0x15fffffc,0x07ffffff,
    0x7ffffec0,0xfffd8004,0xffff05ff,0x320007ff,0xf15fffff,0x007fffff,
    0x0ffffff8,0xd8017fe6,0x005fffff,0x7fffc000,0x3fffe3ff,0x3ff603ff,
    0x80007fff,0x3ffffff8,0x3ffffe00,0x3ffff22f,0x3e00006f,0x322fffff,
    0x006fffff,0x13fffff6,0x3ffff600,0xfffff05f,0x3fe0007f,0x3f22ffff,
    0x2006ffff,0x0ffffff8,0xd800bfee,0x005fffff,0x7fffc000,0x3fffe3ff,
    0x3ffa03ff,0x00007fff,0x09ffffff,0x3ffffea0,0x7ffffcc7,0xfa80002f,
    0x7cc7ffff,0x002fffff,0x09fffffb,0xfffffb00,0x3ffffe0b,0xffa8003f,
    0x7fcc7fff,0x2002ffff,0x21ffffff,0x36000ffd,0xccefffff,0xcccccccc,
    0x403ccccc,0x23ffffff,0x03ffffff,0x1bfffffa,0x7fff4000,0xffb005ff,
    0xffd09fff,0x0000bfff,0x09fffffb,0x0bfffffd,0x3fffff60,0xfffd8004,
    0xffff05ff,0xfb0007ff,0xfd09ffff,0x400bffff,0x12ffffff,0xfd800dff,
    0xffffffff,0xffffffff,0x7c06ffff,0x3e3fffff,0x203fffff,0x05ffffff,
    0xffffb000,0xfff100ff,0xff903fff,0x0001ffff,0x7fffffc4,0xfffffc81,
    0xfffd800f,0xfd8004ff,0xff05ffff,0x8007ffff,0x1ffffff8,0xffffffc8,
    0xffffd000,0x50ffea7f,0x7ec1359b,0xffffffff,0xffffffff,0x7c06ffff,
    0x3e3fffff,0x203fffff,0x05ffffff,0xffffb000,0xfff700ff,0x3fe20dff,
    0x0003ffff,0x1bffffee,0x7fffffc4,0xffffd803,0xffd8004f,0xfff05fff,
    0xb8007fff,0x106fffff,0x07ffffff,0x3fffff20,0xfd83ffb7,0xffb3ffff,
    0xffffffff,0xffffffff,0xff80dfff,0x3fe3ffff,0x3a03ffff,0x006fffff,
    0xfffffd00,0xffffd00b,0x7fff407f,0x3a0006ff,0x203fffff,0x06fffffe,
    0x5fffffd8,0xffffd800,0xfffff05f,0xffe8007f,0x3fa03fff,0x3006ffff,
    0xf7ffffff,0xffff88df,0xffffb1ff,0xffffffff,0xffffffff,0xffff80df,
    0x3fffe3ff,0x3ff603ff,0x00007fff,0x09ffffff,0xffffff98,0x3fffee00,
    0xf98002ff,0x200fffff,0x2ffffffb,0x7ffffec0,0xfffd8005,0xffff05ff,
    0x7cc007ff,0x200fffff,0x2ffffffb,0xfffffd00,0x7f4c9fff,0x3f66ffff,
    0xeeefffff,0xeeeeeeee,0x7c04eeee,0x3e3fffff,0x203fffff,0x07fffffb,
    0xffff8800,0x7fe403ff,0x7c406fff,0x005fffff,0x6fffffc8,0x7ffffc40,
    0x7ffec05f,0xfd8005ff,0xff05ffff,0x4007ffff,0x06fffffc,0x7fffffc4,
    0xffff5005,0xfd9bffff,0x47ffffff,0x05fffffd,0x7ffc0000,0x3ffe3fff,
    0x3ea03fff,0x001fffff,0x7ffffcc0,0x3ffe202f,0xccccefff,0xffffcccc,
    0x22000fff,0xceffffff,0xfccccccc,0x00ffffff,0x17fffff6,0x3ffff600,
    0xfffff04f,0x3fe2007f,0xccceffff,0xfffccccc,0x9000ffff,0xffffffff,
    0xffffffff,0xfffffd8b,0x7c000005,0x3e3fffff,0x203fffff,0x4ffffff9,
    0x7ffec000,0x3ee00fff,0xffffffff,0xffffffff,0x003fffff,0x3fffffee,
    0xffffffff,0xffffffff,0x3ffff203,0xffe8006f,0xfff04fff,0x2e007fff,
    0xffffffff,0xffffffff,0x03ffffff,0x3fffffa0,0xffffffff,0xffffd86f,
    0x4000005f,0x23ffffff,0x03ffffff,0x3fffffe2,0xff30001f,0xe80fffff,
    0xffffffff,0xffffffff,0x06ffffff,0x3fffffa0,0xffffffff,0xffffffff,
    0x3ffee06f,0xff8006ff,0xff03ffff,0x2007ffff,0xfffffffe,0xffffffff,
    0x6fffffff,0x7fffe400,0xffffffff,0xffffd80d,0x4000005f,0x23ffffff,
    0x03ffffff,0x7fffffec,0xfffb0005,0x7cc09fff,0xffffffff,0xffffffff,
    0x2fffffff,0xfffff980,0xffffffff,0xffffffff,0xff502fff,0x4005ffff,
    0x2ffffff9,0x7ffffff0,0xfffff300,0xffffffff,0xffffffff,0x98005fff,
    0xffffffff,0x3ff601df,0x00005fff,0x7fffffc0,0x3fffffe3,0x7fffc403,
    0x5c003fff,0x0fffffff,0x3fffff20,0xffffffff,0xffffffff,0xfc805fff,
    0xffffffff,0xffffffff,0x5fffffff,0xffffff30,0x3ffa001f,0xff01ffff,
    0x9007ffff,0xffffffff,0xffffffff,0xffffffff,0xeff8800b,0xb001abba,
    0x00bfffff,0xffff8000,0x3fffe3ff,0xffb803ff,0x00dfffff,0x7ffffec4,
    0x7ffc02ff,0xeeeeefff,0xeeeeeeee,0x0fffffff,0x7fffffc0,0xeeeeeeee,
    0xfffeeeee,0xff00ffff,0x00bfffff,0xfffffff5,0x7fffffc0,0xfffff803,
    0xeeeeeeef,0xffeeeeee,0x000fffff,0x8000ffee,0x05fffffd,0x7ffc0000,
    0x3ffe3fff,0xfd003fff,0x9fffffff,0x3ff2a215,0x06ffffff,0x7fffffd4,
    0xfffa8001,0x3ea03fff,0x001fffff,0xffffffa8,0xfffff703,0x4c435dff,
    0xfffffffd,0x3ffffe03,0x7ffd403f,0xa8001fff,0x03ffffff,0x0003ff60,
    0x5fffffd8,0x7fc00000,0x3fe3ffff,0x3003ffff,0xffffffff,0xffffffff,
    0x3fffffff,0xfffffd80,0x3ffe0006,0x3f606fff,0x0006ffff,0x1bfffffe,
    0xfffffff8,0xffffffff,0x07ffffff,0x1ffffffc,0x3fffff60,0x3ffe0006,
    0x3e006fff,0x7ec0006f,0xaaaeffff,0xaaaaaaaa,0x01aaaaaa,0x47ffffff,
    0x03ffffff,0x3ffffea0,0xffffffff,0xffffffff,0x7fffc402,0x320003ff,
    0x82ffffff,0x3ffffff8,0x3fff2000,0xff702fff,0xffffffff,0xffffffff,
    0xfff807ff,0x3e203fff,0x003fffff,0x3fffff20,0x3ffa802f,0x7ffec000,
    0xffffffff,0xffffffff,0xff04ffff,0x7fc7ffff,0x4003ffff,0xffffffd8,
    0xffffffff,0xb800dfff,0x00ffffff,0x3fffe600,0xfffb85ff,0x20000fff,
    0x5ffffff9,0x3ffffea0,0xffffffff,0x803fffff,0x03ffffff,0x3fffffee,
    0x3fe60000,0xc805ffff,0x6c0001ff,0xffffffff,0xffffffff,0x4fffffff,
    0x7ffffff0,0x1ffffffc,0xffffa800,0xffffffff,0x3a002fff,0x005fffff,
    0xfffffe80,0x7ffff40f,0xfe80005f,0x200fffff,0xffffffe8,0xffffffff,
    0xffff001e,0x7ff407ff,0x80005fff,0x0ffffffe,0x0003ffc0,0x7fffffec,
    0xffffffff,0xffffffff,0xfffff04f,0x7ffffc7f,0x2e20003f,0xffffffed,
    0x2000bdef,0x2ffffff9,0xfffb8000,0x3fe63fff,0x0002ffff,0xffffffb8,
    0xfffdb803,0xefffffff,0x7fffc003,0xfff303ff,0x00005fff,0x7ffffff7,
    0x0027fcc0,0x7ffffec0,0xffffffff,0xffffffff,0xffff04ff,0x7fffc7ff,
    0x400003ff,0x0001aba9,0x7fffffec,0xff880000,0x3f67ffff,0x000fffff,
    0xfffff880,0x2a62007f,0x00aaacba,0xffffff00,0x3ffff607,0x880000ff,
    0x07ffffff,0x40000e54,0xfffffffd,0xffffffff,0xffffffff,0xffffff04,
    0x7fffffc7,0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x55100000,0x00035555,0x5100d400,
    0x20000035,0x0aaaaaa9,0xaaaa8000,0x2000001a,0x0aaa0098,0x33310000,
    0x33333013,0x99300000,0x4cccc007,0x09999881,0x20666660,0x00099998,
    0x7ffe4000,0x800006ff,0x0befffb8,0x00017fec,0xfffffe80,0xffc80003,
    0x0001ffff,0x6fffecc0,0x003ffc42,0x3ffff200,0x3ffffcc4,0x7fd40000,
    0x3fffe006,0x7fffe41f,0xfffff305,0x05ffffd0,0x7fc40000,0x0000efff,
    0xfffffe80,0xfffdceff,0xfa800001,0x0004ffff,0xffffffa8,0x2600006f,
    0xffffffff,0x006ffecd,0x7fffe400,0x3ffffcc4,0x3f220000,0xfff001ef,
    0xfffc83ff,0xffff305f,0x5ffffd0f,0x7dc00000,0x0000efff,0xfffff980,
    0xffffffff,0xe800000f,0x0005ffff,0xffffff88,0x00004fff,0xfffffffb,
    0x09ffffff,0xfffc8000,0x7fffcc4f,0xec880007,0xdfffffff,0x3ffffe01,
    0x2ffffe41,0x87ffff98,0x002ffffe,0x3fffe000,0x7000000f,0xffb75dff,
    0x009fffff,0xffff3000,0x3f60000b,0xfffe9fff,0xfe80001f,0xfffecacf,
    0x0000ffff,0x27fffe40,0x01ffffe6,0xffffd300,0x9fffffff,0x3fffff01,
    0x05ffffc8,0xd0fffff3,0x0005ffff,0x3fffea00,0x32000001,0xffda82ff,
    0xb000003f,0x0000dfff,0x44ffffee,0x000effff,0x5c43ffc0,0x0001effe,
    0x4ffffc80,0x03ffffcc,0xfffff500,0xffffffff,0xfffff0bf,0x5ffffc83,
    0x0fffff30,0x005ffffd,0x3fffa000,0x44000001,0x00000019,0x077ffcc0,
    0x7ffc4000,0x7fffcc5f,0x04cc0005,0x20000000,0x98099998,0x10001999,
    0xffffffff,0xffffffff,0x81999987,0x20099998,0x98819999,0x00000999,
    0x00013330,0x75510000,0x00000359,0x00099988,0x13333100,0x00333310,
    0x00000000,0x00000000,0x3fffff20,0xffeeffdf,0x0000ffff,0x00000000,
    0x00000000,0xffec9800,0xdeffffff,0x0000000b,0x00000000,0x3ff60000,
    0x0003ffff,0x3fff6000,0x40003fff,0x9efffff8,0xfffb6ffa,0x7ffc07ff,
    0xffb03fff,0xffffffff,0xffffffff,0x6c0fffff,0x06ffffff,0x3ffffa00,
    0xff9003ff,0xffffffff,0x005fffff,0x3ffffff6,0xffffffff,0xffffffff,
    0x3fffff67,0xffffffff,0xffffffff,0xff10007f,0x00dfffff,0x3fe20000,
    0x006fffff,0x7ffffcc0,0x3e2dff52,0x3e05ffff,0xb03fffff,0xffffffff,
    0xffffffff,0x0fffffff,0x7fffffc4,0xffb8002f,0x9806ffff,0xfffffffe,
    0xffffffff,0x7ec00dff,0xffffffff,0xffffffff,0x367fffff,0xffffffff,
    0xffffffff,0x07ffffff,0xfffff700,0x00005fff,0xfffff700,0x40005fff,
    0x50fffffa,0x5e6e4dff,0x3fffe01a,0xfffb03ff,0xffffffff,0xffffffff,
    0xfb80ffff,0x00ffffff,0x3ffffe20,0x7fdc01ff,0xffffffff,0xffffffff,
    0x3f602fff,0xffffffff,0xffffffff,0x367fffff,0xffffffff,0xffffffff,
    0x07ffffff,0xfffffd00,0x0000bfff,0xfffffd00,0x4000bfff,0x2a7ffffb,
    0x3e0006ff,0xb03fffff,0xffffffff,0xffffffff,0x0fffffff,0xffffffd0,
    0x7ffe4009,0x7cc04fff,0xffffffff,0xffffffff,0x01ffffff,0xfffffffb,
    0xffffffff,0xffffffff,0x7fffffec,0xffffffff,0xffffffff,0xfff98007,
    0x0fffffff,0x3e600000,0xffffffff,0xff50000f,0x3fea3fff,0x3ffe0006,
    0xffb03fff,0xffffffff,0xffffffff,0x300fffff,0x3fffffff,0xfffff300,
    0xffe801ff,0xabefffff,0xfffd7510,0x360bffff,0xffffffff,0xffffffff,
    0x27ffffff,0xfffffffd,0xffffffff,0x7fffffff,0xffffc800,0x03ffffff,
    0x3ff20000,0xffffffff,0xfff30003,0xdff51bff,0x7fffc000,0xfffb03ff,
    0x55555dff,0x55555555,0x32005555,0x05ffffff,0xffffffd8,0x7fffe402,
    0xf9004fff,0x05ffffff,0x5dfffffb,0x55555555,0x55555555,0x77ffffec,
    0xaaaaaaaa,0xaaaaaaaa,0x7ffc4002,0xffffffff,0xf1000006,0xffffffff,
    0x22000dff,0xcfffffff,0x3e0006ff,0xb03fffff,0x00bfffff,0xffe80000,
    0x2a02ffff,0x05ffffff,0x7fffffcc,0x7fd4002f,0x6c0fffff,0x005fffff,
    0x7fffec00,0x0000005f,0xefffffa8,0x02ffffff,0xfffa8000,0xfffffeff,
    0xff90002f,0xdfffffff,0x7fffc000,0xfffb03ff,0x00000bff,0xfffffa80,
    0x3fffa06f,0x7ec00fff,0x004fffff,0xffffff90,0xfffffd89,0x7ec00005,
    0x0005ffff,0xfffe8000,0xffffdaff,0xe800005f,0xfdafffff,0x0005ffff,
    0xfffffff1,0x0017dfff,0x3ffffff8,0xbfffffb0,0xb0000000,0x09ffffff,
    0x7ffffff7,0xffffff00,0x3e20001f,0x6c7fffff,0x005fffff,0x7fffec00,
    0x0000005f,0x7fffffcc,0xffffffa8,0x3e600000,0xfa8fffff,0x000fffff,
    0xffffff70,0x3bffffff,0x3ffffe00,0xffffb03f,0x000000bf,0xffffff10,
    0x7fffc41f,0xffa806ff,0x0004ffff,0x7fffffe4,0x3fffff60,0x7ec00005,
    0x0005ffff,0x7ffe4000,0xffff15ff,0x400007ff,0x15fffffc,0x07ffffff,
    0x7fffd400,0xffffffff,0xffff803f,0xfffb03ff,0x00000bff,0x3fffea00,
    0x3fff25ff,0xfc801fff,0x000fffff,0x7ffffcc0,0x3ffff62f,0x6c00005f,
    0x005fffff,0x7ffc0000,0x3ff22fff,0x00006fff,0x8bfffffe,0x06fffffc,
    0x7ffecc00,0xffffffff,0x7fffc05f,0xfffb03ff,0x00000bff,0x7fffec00,
    0xffff9aff,0xffb004ff,0x0000ffff,0x7ffffff1,0x2fffffec,0x3ff60000,
    0x00005fff,0x3fffea00,0x7fffcc7f,0xa80002ff,0x4c7fffff,0x02ffffff,
    0xfffc9800,0xffffffff,0x3ffffe03,0xffffb03f,0x999999df,0x99999999,
    0x7c400079,0xfeefffff,0x000fffff,0x0ffffffd,0x3fffe000,0x3fff64ff,
    0xccccceff,0xcccccccc,0x7ffec3cc,0xccccceff,0xcccccccc,0x3f6003cc,
    0xfe84ffff,0x0005ffff,0x4fffffd8,0x5fffffe8,0x3fea0000,0xffffffff,
    0xfffff00f,0x3fff607f,0xffffffff,0xffffffff,0x5c0006ff,0xffffffff,
    0x2002ffff,0x06fffffe,0xffffd000,0x7fffecbf,0xffffffff,0xffffffff,
    0x7fffec6f,0xffffffff,0xffffffff,0xfff1006f,0xff903fff,0x0001ffff,
    0x7fffffc4,0xfffffc81,0xf500000f,0xfffff5df,0x3ffe07ff,0xffb03fff,
    0xffffffff,0xffffffff,0x0000dfff,0xfffffffd,0xf800bfff,0x005fffff,
    0xfffffb00,0x7ffffecf,0xffffffff,0xffffffff,0x7ffffec6,0xffffffff,
    0xffffffff,0xffff7006,0x3ffe20df,0x20003fff,0x06fffffb,0x7ffffff1,
    0x3fea0000,0xfffff916,0x3ffffe09,0xffffb03f,0xffffffff,0xffffffff,
    0xf30000df,0xffffffff,0xfff8001f,0x00005fff,0x4ffffffb,0xfffffffd,
    0xffffffff,0x46ffffff,0xfffffffd,0xffffffff,0x06ffffff,0x7fffffd0,
    0x7fffff40,0x3ffa0006,0x3fa03fff,0x0006ffff,0x7c4dff50,0xff05ffff,
    0x3607ffff,0xffffffff,0xffffffff,0x006fffff,0xfffff900,0xd0007fff,
    0x00dfffff,0x3ffffa00,0x3ffff65f,0xffffffff,0xffffffff,0x7fffec6f,
    0xffffffff,0xffffffff,0xfff9806f,0x3ee00fff,0x002fffff,0xffffff98,
    0x3fffee00,0x998802ff,0x1bfea1ba,0x20dffffb,0x03ffffff,0xdffffffb,
    0xdddddddd,0x09dddddd,0x3ffe2000,0x0006ffff,0x0ffffffb,0x3fffe000,
    0x3fff64ff,0xeeeeefff,0xeeeeeeee,0x7ffec4ee,0xeeeeefff,0xeeeeeeee,
    0xffc804ee,0x7c406fff,0x005fffff,0x6fffffc8,0x7ffffc40,0x7ffd405f,
    0x1bfea5ff,0x20bffff9,0x03ffffff,0x0bfffffb,0x40000000,0x1ffffffb,
    0xffff7000,0xf10000ff,0x6c7fffff,0x005fffff,0x7fffec00,0x4000005f,
    0xeffffff8,0xcccccccc,0x0fffffff,0x3fffe200,0xccccceff,0xfffffccc,
    0x7ffc00ff,0xdff50fff,0x04ffffe8,0x07ffffff,0x17fffff6,0x80000000,
    0x0ffffffa,0xffff5000,0x980003ff,0x22ffffff,0x05fffffd,0x7ffec000,
    0x000005ff,0x7fffffdc,0xffffffff,0xffffffff,0x3ffee003,0xffffffff,
    0xffffffff,0x7ec03fff,0xff55ffff,0x7ffffccd,0xffffff02,0x3ffff607,
    0x0000005f,0x3fffea00,0xf30000ff,0x009fffff,0xfffffd80,0x3ffff60f,
    0x6c00005f,0x005fffff,0x7fff4000,0xffffffff,0xffffffff,0x3a006fff,
    0xffffffff,0xffffffff,0x06ffffff,0x7fffffdc,0xfd56ffad,0x3e01ffff,
    0xb03fffff,0x00bfffff,0x54000000,0x00ffffff,0xfffff100,0x260003ff,
    0x47ffffff,0x05fffffd,0x7ffec000,0x000005ff,0x3fffffe6,0xffffffff,
    0xffffffff,0xff9802ff,0xffffffff,0xffffffff,0x02ffffff,0x7ffffff4,
    0xfffeefff,0x3fe03fff,0xfb03ffff,0x000bffff,0x7d400000,0x000fffff,
    0x3fffff60,0xffb0005f,0xfd89ffff,0x0005ffff,0x7ffffec0,0x32000005,
    0xffffffff,0xffffffff,0xffffffff,0xffffc805,0xffffffff,0xffffffff,
    0x4c05ffff,0xffffffff,0xffffffff,0x7ffffc06,0xffffb03f,0x000000bf,
    0x7fffd400,0x220000ff,0x3fffffff,0x7fffdc00,0x7fec0fff,0x00005fff,
    0x2fffffec,0xfff00000,0xdddddfff,0xdddddddd,0x1fffffff,0xffffff80,
    0xeeeeeeee,0xfffeeeee,0x5c00ffff,0xffffffff,0x0effffff,0x7fffffc0,
    0xfffffb03,0x0000000b,0x7ffffd40,0x7dc0000f,0x0dffffff,0x7fffec40,
    0xffd82fff,0x00005fff,0x2fffffec,0xffa80000,0x8001ffff,0x3ffffffa,
    0x3ffffea0,0xffa8001f,0xa803ffff,0xffffffff,0xf004ffff,0x207fffff,
    0x05fffffd,0x20000000,0x0ffffffa,0xfffe8000,0x0acfffff,0xfffff951,
    0x3f60dfff,0x0005ffff,0x7ffffec0,0xfb000005,0x000dffff,0x37fffffc,
    0xdfffffb0,0x7fffc000,0xd91006ff,0x9dffffff,0x7fffc003,0xfffb03ff,
    0x55555dff,0x55555555,0x00035555,0xffffff50,0xff300001,0xffffffff,
    0xffffffff,0x203fffff,0xaefffffd,0xaaaaaaaa,0xaaaaaaaa,0xdfffffb1,
    0x55555555,0x55555555,0x7fffc435,0x320003ff,0x82ffffff,0x3ffffff8,
    0x3fff2000,0x44002fff,0x0001effc,0x07ffffff,0x3ffffff6,0xffffffff,
    0xffffffff,0xfa80004f,0x000fffff,0xfffff500,0xffffffff,0xffffffff,
    0x7fffec05,0xffffffff,0xffffffff,0xfffb4fff,0xffffffff,0xffffffff,
    0x7dc9ffff,0x000fffff,0x3ffffe60,0xffffb85f,0x260000ff,0x05ffffff,
    0x006ffa80,0x3fffffe0,0xfffffb03,0xffffffff,0xffffffff,0x500009ff,
    0x01ffffff,0x7fec4000,0xffffffff,0xdfffffff,0x7fffec00,0xffffffff,
    0xffffffff,0xfffb4fff,0xffffffff,0xffffffff,0x7f49ffff,0x0005ffff,
    0xffffffe8,0x7fffff40,0xffe80005,0x4000ffff,0x20006ffa,0x03ffffff,
    0xfffffffb,0xffffffff,0xffffffff,0xff500009,0x0001ffff,0xfffff500,
    0xffffffff,0x3f6005ff,0xffffffff,0xffffffff,0xb4ffffff,0xffffffff,
    0xffffffff,0x9fffffff,0x3fffffe6,0xffb80002,0x3e63ffff,0x002fffff,
    0xfffffb80,0x7fd4003f,0x3ffe0006,0xffb03fff,0xffffffff,0xffffffff,
    0x009fffff,0xfffff500,0x2000001f,0xffffedb8,0x00bdefff,0x3fffff60,
    0xffffffff,0xffffffff,0xffffb4ff,0xffffffff,0xffffffff,0x3ff69fff,
    0x0000ffff,0xffffff88,0x3fffff67,0xf880000f,0x007fffff,0x00015544,
    0x07ffffff,0x3ffffff6,0xffffffff,0xffffffff,0xfa80004f,0x000fffff,
    0x2ea60000,0x7ec0001a,0xffffffff,0xffffffff,0xb4ffffff,0xffffffff,
    0xffffffff,0x9fffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40350000,0x00001aa8,0x00000130,0x5654c400,
    0x00000009,0x00280000,0x00157751,0x00e66640,0x009aa980,0x0aaa8800,
    0x02aa9800,0x00d54c00,0x66666644,0x3fae2001,0x7fdc1cff,0x75c00004,
    0x00001dff,0xffedc880,0xcdefffff,0x88000000,0x8019aca9,0x3f6205fa,
    0x00dfffff,0x07fffd40,0x3fffaa00,0x20000cff,0x98006ffc,0x20006fff,
    0x7002fff8,0x00dfffff,0x7fffffec,0x3fffccef,0x3fee0000,0x0000ffff,
    0x3fffee00,0xffffffff,0x00003fff,0x7fff6e44,0x83efffff,0x440dfffa,
    0xfffffffe,0x3fa000ef,0x7dc003ff,0xefffffff,0xfff88000,0x7ffc4001,
    0x3f20006f,0x7fe4006f,0xf8802fff,0xffffffff,0x001fffff,0x2633fa00,
    0x800003fe,0xffffffd8,0xffffffff,0x0000dfff,0xffffffb8,0xffffffff,
    0xfffff33f,0xfffffd83,0x005fffff,0x001ffff5,0xfefffff8,0xd8005fff,
    0x322005ff,0x006fffff,0x003fff30,0x0bffff90,0xb77fff50,0xbfffffff,
    0x7fcc0000,0x0001fea0,0xffffff70,0xffffffff,0x5fffffff,0x3ff62000,
    0xffffffff,0xffffffff,0x4c2fffff,0xd88dffff,0xe801ffff,0x5c003fff,
    0x3fe64fff,0x7fcc007f,0xfff9001f,0x000dffff,0x80017ff6,0x401ffffd,
    0xfda84ffb,0x400004ff,0x1bee0ff8,0xfff98000,0xffffffff,0xffffffff,
    0x4001ffff,0xfffffffa,0xffffffff,0xffffffff,0xffffc83f,0x13fffe60,
    0x01ffff50,0x20dcb980,0x4007fff8,0x3e004ffe,0x6fffffff,0x0fffa800,
    0x7ffec000,0x004cc405,0xfb000000,0x007ff75d,0x7ffff400,0x10abefff,
    0xfffffd75,0x7cc00dff,0xffffffff,0xffffffff,0x4fffffff,0xf0dfffb0,
    0xfe80bfff,0x300003ff,0x009fffd5,0x0007ffd4,0xfff57dff,0x9ffd000d,
    0xffd10000,0x0000001f,0xfffb0000,0x00007fff,0x3fffffee,0xffd8804f,
    0x003fffff,0xfffffffd,0x2e62137d,0xfffffffe,0xdfffd00f,0x40dfffd0,
    0x000ffffa,0xfffff880,0x1fff4005,0xff98ba00,0x7fdc006f,0x4000000f,
    0x06fffffc,0xfffff980,0xfff88005,0x0006ffff,0xffffff88,0x7fd4002f,
    0x400fffff,0xfffffffb,0xffff7004,0x3fe07fff,0xfffe85ff,0x0ffffa07,
    0x7ffcc000,0x3ee003ff,0xf980006f,0x3e2006ff,0x000003ff,0xffffffc8,
    0x7ffcc003,0xfb8005ff,0x2fffffff,0x7ffec000,0xb0004fff,0x09ffffff,
    0x7fffffc4,0x3ff2002f,0xf07fffff,0xffd0bfff,0x3ffea0ff,0xd500000f,
    0x01bffffd,0x002fff88,0x06fff980,0x001bff20,0x4ccccc40,0xffffff90,
    0x7fcc001f,0xe8005fff,0xffffffff,0x3fe20005,0x000fffff,0xffffff10,
    0x7fffec0f,0x3ee004ff,0xffffffff,0x86fffe83,0xfd06fffe,0x000007ff,
    0x00ffffa2,0x0000dff9,0x401bffe6,0x0002fff8,0x5fffffb0,0x3ffffff2,
    0x3fe6005f,0x4c005fff,0xffffffff,0xf30000ff,0x009fffff,0xfffffc80,
    0xffff880f,0xf5000fff,0xffffffff,0xffffb0df,0x50bffff0,0x0001ffff,
    0x37ffd400,0x003fff30,0x1bffe600,0x002ffec0,0xfffffb00,0x3fffff25,
    0xf3002fff,0x800bffff,0xfffffffc,0x50003fff,0x01ffffff,0xffff9800,
    0xfff982ff,0xf3003fff,0xfffbffff,0xffc83fff,0x3ffea1ff,0x4fffe84f,
    0x7ff6c000,0x037ffdc0,0x0000bffb,0x4037ffcc,0x0001fff9,0x3fffff60,
    0xffffff92,0xf3001fff,0x400bffff,0xfffffff8,0x0006ffff,0x0ffffff7,
    0xffff1000,0xfff507ff,0xf1001fff,0xff35ffff,0xf885ffff,0xffbaefff,
    0x7fd40fff,0x6c0000ff,0xfd10cfff,0x3fea0bff,0x2600000f,0xfe806fff,
    0x6c00004f,0xf92fffff,0xffffffff,0xffff3009,0x7fd400bf,0xffffefff,
    0xfc8002ff,0x0007ffff,0x9ffffff0,0xffffff70,0xffffd100,0x7fffffc5,
    0xfffffc83,0xe84fffff,0x80004fff,0xfefffffa,0xfd01ffff,0x9800009f,
    0x7d406fff,0x400000ff,0x92fffffd,0xffffffff,0xff9803ff,0x3a005fff,
    0xfdafffff,0x8005ffff,0x06fffffe,0xffffd000,0xffffb0bf,0xfffd00df,
    0xffffe87f,0xfffd884f,0x40dfffff,0x000ffffa,0xfffff700,0x2e05ffff,
    0x00000fff,0x2037ffcc,0x00003ffe,0x2fffffd8,0xfffffff9,0xf980dfff,
    0x3005ffff,0x51ffffff,0x01ffffff,0xffffff80,0xffb00005,0xffd0dfff,
    0xfd80bfff,0xffe84fff,0x3aa05fff,0xd03effff,0x00009fff,0xfffffea8,
    0x7fff100d,0xff300000,0x37fdc0df,0xffd80000,0xfff92fff,0xffffffff,
    0x7fffcc05,0xfff9005f,0x3ffe2bff,0x7c003fff,0x004fffff,0xfffffb00,
    0xffffff0f,0x7fffe409,0xfffffb05,0x8026600d,0x880ffffa,0x000abcb9,
    0x32006a62,0x991006ff,0x13330059,0x00bffe20,0x20166644,0x92fffffd,
    0xffffffff,0x2601ffff,0x005fffff,0x45ffffff,0x06fffffc,0x7fffff40,
    0xffd00005,0xfff0dfff,0x3f209fff,0x3f606fff,0x0007ffff,0x213fffa0,
    0xffffffe9,0xf8800003,0xffb002ff,0x3200007f,0x3f6006ff,0x7fec04ff,
    0xfff92fff,0xfffffbff,0x3ffe609f,0xffa805ff,0x7fcc7fff,0x2002ffff,
    0x06fffffd,0xfffff000,0xffffd0df,0xffff70bf,0x7fff401d,0x700005ff,
    0xfb81ffff,0xffffffff,0x7ec00005,0xfff9005f,0xf300007f,0x3f2003ff,
    0x7ec04fff,0xff92ffff,0xfffd5fff,0xff303fff,0xfb00bfff,0xfd09ffff,
    0x400bffff,0x07fffffb,0xffff8800,0xfffd85ff,0x7ffd45ff,0x7ffc00ff,
    0x00004fff,0xf889fffd,0xffffffff,0x300002ff,0xf5003fff,0x0007ffff,
    0x200bffb0,0x04fffffa,0x97ffffec,0x9afffffc,0x86ffffff,0x05fffff9,
    0x7fffffc4,0xfffffc81,0xfff5000f,0x80001fff,0x3ffffff9,0x7fffffc8,
    0x07ffffe6,0xffffff10,0xff700007,0xfffc81ff,0xdffff32f,0x3ffa0000,
    0xffff9804,0x540003ff,0xf9800fff,0x404fffff,0x92fffffd,0x325fffff,
    0x43ffffff,0x05fffff9,0x37ffffdc,0xffffff88,0xffff3003,0x0cb807ff,
    0xffffffb0,0xfffff703,0xfffff13f,0xffff3005,0xd00005ff,0xfff09fff,
    0xffffc8bf,0x7fd40001,0x7ffc400f,0x0003ffff,0x44027ff4,0x4ffffffe,
    0x7ffffec0,0x5fffff92,0x7ffffff4,0x3ffffe60,0x7ffff405,0x3fffa03f,
    0xff1006ff,0x401fffff,0x7fcc3fff,0xf507ffff,0xfd9fffff,0x32005fff,
    0x00ffffff,0x7fffdc00,0x1ffffc40,0x00bfffea,0x007ffd00,0xfff5dffd,
    0x7fdc0007,0xeffd800f,0x6c04fffa,0xf92fffff,0x7d45ffff,0x265fffff,
    0x205fffff,0x0ffffff9,0x3ffffee0,0xfffb002f,0x3ee09fff,0xffb2ffff,
    0x220bffff,0xffffffff,0xf1003fff,0x00ffffff,0x09fffd00,0x985ffff3,
    0x0003ffff,0x3201bfee,0xfffa8fff,0xfff10003,0x3fff9007,0xd809fff5,
    0xf92fffff,0xfd85ffff,0xf32fffff,0x640bffff,0x406fffff,0x5ffffff8,
    0xfffff100,0xfffd03ff,0xffffdfff,0x7dc01fff,0xffffffff,0x3fff2004,
    0x40004fff,0xa80ffffb,0x7cc2ffff,0x10004fff,0xfb805fff,0x7fff52ff,
    0x1bff2000,0x54bffee0,0x7ec04fff,0xff92ffff,0xff885fff,0xff36ffff,
    0x3e20bfff,0xccefffff,0xffcccccc,0x000fffff,0xfffffff7,0xfffff707,
    0x7fffffff,0xfffff880,0x2a005fff,0x0fffffff,0x7fff4000,0x5ffff504,
    0x04ffff98,0x80dff900,0x3ea3fff9,0xf88003ff,0x7fcc02ff,0x13ffea3f,
    0x5fffffb0,0x0bfffff2,0x3fffffee,0x5fffff9b,0xffffff70,0xffffffff,
    0xffffffff,0x7fff4007,0x21adffff,0xffffffd8,0xf9006fff,0x05ffffff,
    0x3ffffee0,0x5c0002ff,0xf300ffff,0xffa87fff,0xf88003ff,0x3fe201ff,
    0xffcaaaff,0x36002adf,0x7fc405ff,0xffcaaaff,0xffb02adf,0x3ff25fff,
    0xffd02fff,0xfff5ffff,0x3ffa0bff,0xffffffff,0xffffffff,0x2006ffff,
    0xfffffff9,0xfffeffff,0xffffffff,0xffff1001,0x103bffff,0xffffffb5,
    0xff0000df,0x7fc409ff,0x7ffd44ff,0xffd8002f,0x7fffcc05,0xffffffff,
    0xfff3006f,0xffff9803,0xffffffff,0xffffb06f,0x3ffff25f,0xffff302f,
    0xffffffff,0xfffff30b,0xffffffff,0xffffffff,0x5c005fff,0xffffffff,
    0xffffffff,0x1effffff,0xfffffa80,0xeeffffff,0xffffffff,0x40001fff,
    0x400ffffb,0x7ec6ffff,0x4c001fff,0x7cc00fff,0xffffffff,0xd006ffff,
    0xff3009ff,0xffffffff,0x3f60dfff,0xff92ffff,0x7e405fff,0xffffffff,
    0xfffc85ff,0xffffffff,0xffffffff,0x005fffff,0x7ffffec4,0xffffffff,
    0xffffffff,0xfff501df,0xffffffff,0xffffffff,0x005fffff,0x09ffff00,
    0x5dffff70,0x00bffffb,0x1009ffd0,0xdddddddd,0x00bddfff,0x1001fff5,
    0xdddddddd,0x20bddfff,0x92fffffd,0x405fffff,0xfffffff8,0xff85ffff,
    0xeeeeffff,0xeeeeeeee,0xfffffffe,0xfffa8000,0xffffffff,0xffffffff,
    0x7cc5ffff,0xffffffff,0xffffffff,0x0dffffff,0xfffb8000,0xfffd000f,
    0x3fffffff,0x0fffa800,0xfffa8000,0x0fffa003,0x7ffd4000,0x7fffec04,
    0xfffff92f,0xffffa805,0x45ffffff,0x1ffffffa,0xffffa800,0x710003ff,
    0xffffffdb,0xffb37dff,0x44bfffff,0xb8afffff,0xffffffff,0x2fffffff,
    0x3ffe0000,0x3fa6004f,0x2fffffff,0x03fff800,0x7fff5000,0x01bfee00,
    0x4fffa800,0x7ffffec0,0x5fffff92,0xfffffd00,0xfd8bffff,0x0006ffff,
    0x1bfffffe,0xbba98000,0xfffa809a,0x3fe61fff,0x7f5c43ff,0xefffffff,
    0x200000bd,0x000ffffb,0xdffffec8,0x6ffb8000,0x3fea0000,0xfff8803f,
    0x3ea00002,0x640004ff,0x802fffff,0xfffffff9,0x3ffe25ff,0x20003fff,
    0x2ffffffc,0x10000000,0xd10bfffb,0x7531009f,0x80000035,0x00009998,
    0x200004c4,0x00000998,0x0ccc4000,0x00000000,0x3fffff20,0xffff9002,
    0x7dcbffff,0x000fffff,0x3ffffe60,0x0000005f,0x880fe4c0,0x00000003,
    0x00000000,0x00000000,0x00000000,0x20000000,0x02fffffc,0x3fffffa0,
    0x3fffa5ff,0xe80005ff,0x00ffffff,0x08000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0bfffff2,0xfffffa80,0xffff35ff,
    0x700005ff,0x07ffffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x02fffffc,0x7ffffec0,0xfffffb5f,0xf100001f,
    0x00ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xc8000000,0x002fffff,0x7fffffc4,0x00000005,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x01b98000,0x02aa9800,0x00d54c00,0x33332000,0x2a0003cc,0xcc80cccc,
    0x666404cc,0x666540cc,0x9970002c,0x20003999,0x03cccccb,0x32aa2000,
    0x000009ab,0x05999993,0xccca8000,0x80000ccc,0x01dfffd9,0x0dfff300,
    0x17ffc400,0xfff50000,0x40001dff,0xf887fffe,0x3e206fff,0x7ec0ffff,
    0x98004fff,0x06ffffff,0xfffff300,0xea80003f,0xffffffff,0x7f40000c,
    0x001fffff,0x3ffffa00,0xfd00003f,0x000dffdf,0x00dffff1,0x0037fe40,
    0x3ffff600,0x3e20001f,0xffa86fff,0x3fe204ff,0x7fec0fff,0x7c4004ff,
    0x4fffffff,0xffff3000,0x3a2000bf,0xffffffff,0x0002ffff,0xfffffff9,
    0xf500001d,0x0007ffff,0x7c43fea0,0xff91001f,0x2000dfff,0x0001fff9,
    0x3ffffe60,0x7fcc0001,0xfffc84ff,0x3ffe203f,0x7ffec0ff,0x7fec004f,
    0x1ffffeff,0xffff5000,0xfe88001f,0xffffffff,0x001fffff,0x7f7fffd4,
    0x80004fff,0x004ffffe,0xfb13f600,0xffff9009,0x2000dfff,0x00005ffd,
    0x017fffec,0x7fffdc00,0x1ffffd82,0x3ffffe20,0x27fffec0,0x7ffff500,
    0x01dffff1,0x3fffea00,0x7ffe4004,0xffffffff,0x2006ffff,0xfb6ffff8,
    0x40005fff,0x004ffffa,0x3a37dc00,0xffff802f,0x8006ffff,0x0000fffa,
    0x0bfffe20,0x7ffe4000,0x7ffff81f,0x0ccccc80,0x01666654,0x26ffff88,
    0x005ffffa,0x03fffee0,0x7ffffc40,0xffec9bef,0xb000ffff,0x3a23ffff,
    0x0000ffff,0x000bfffb,0xd7bff100,0x3bfe00ff,0x006fffab,0x0004ffe8,
    0x01fffe40,0xffffd000,0x0dffff10,0x90000000,0xeb81bddd,0x20001eee,
    0x5003fffb,0x81ffffff,0x2ffffff9,0x3eeeea80,0x0277774c,0x037ffcc0,
    0xfff90000,0x8ba007ff,0x4006fff9,0x0000fffb,0x10000000,0xf50dffff,
    0x00009fff,0x00000000,0xc8000000,0xd03fffff,0x005fffff,0x00000000,
    0xc8800000,0x260000be,0x22006fff,0x00003fff,0x26000000,0xfc84ffff,
    0x00003fff,0x00000000,0x6c000000,0xf02fffff,0x000fffff,0x00000000,
    0x00000000,0x06fff980,0x001bff20,0x5e654c00,0xfff90009,0xffffffff,
    0xffffffff,0x2005ffff,0x009bcca9,0x79953000,0x26620013,0x33300199,
    0x7fff4333,0xfff981ff,0x266205ff,0x33300199,0x4ccc4333,0x33330019,
    0x95500033,0x003799b9,0x00dfff30,0x000bffe2,0xfffff900,0xc803dfff,
    0xffffffff,0xffffffff,0x2fffffff,0x7ffffe40,0x0001efff,0xfffffff9,
    0xffe803df,0xff801fff,0xffd0ffff,0xffb03fff,0x7f407fff,0xf801ffff,
    0xfd0fffff,0xf003ffff,0x001fffff,0xffffff91,0x009fffff,0x8037ffcc,
    0x00005ffd,0x3fffffa6,0x03ffffff,0x3ffffff2,0xffffffff,0xffffffff,
    0xfffd302f,0xffffffff,0x7ff4c007,0xffffffff,0x3fffa03f,0xfff801ff,
    0xffff0fff,0xfff983ff,0x3fa00fff,0xf801ffff,0xfd0fffff,0xf003ffff,
    0x801fffff,0xfffffff8,0xdfffffff,0x6fff9800,0x01fff980,0xffff5000,
    0xffffffff,0xff901dff,0xffffffff,0xffffffff,0x505fffff,0xffffffff,
    0x1dffffff,0xfffffa80,0xffffffff,0xfffe80ef,0xfff801ff,0xffff0fff,
    0xfffc81ff,0x7ff403ff,0xff801fff,0xffd0ffff,0xff003fff,0x4401ffff,
    0xfffffffe,0xffffffff,0x7ffcc00e,0x04ffe806,0xffff1000,0xffffffff,
    0xd709ffff,0xffffdddd,0xfffddddd,0x83ddddff,0xfffffff8,0xffffffff,
    0x3ffe204f,0xffffffff,0xe84fffff,0x801fffff,0xf0ffffff,0x441fffff,
    0x00ffffff,0x0ffffff4,0x7fffffc0,0x3fffffd0,0xffffff00,0x7fffec01,
    0xffffffff,0x403fffff,0x5406fff9,0x00000fff,0x7ffffffb,0x3ffff221,
    0xffb800ff,0xfffd82ff,0x7ffec01f,0xf910bfff,0x201fffff,0xbffffffd,
    0xfffff910,0xffffe81f,0xffff801f,0xfffff0ff,0x7fffd41f,0xfffe806f,
    0xfff801ff,0xfffd0fff,0xfff003ff,0x3e201fff,0x0acfffff,0xffffff71,
    0x6fff980b,0x001fff40,0xfffff980,0xffff500f,0xfffb009f,0xfffff03f,
    0xfffff980,0xffff500f,0xffff309f,0x3fea01ff,0x7ff44fff,0xff801fff,
    0xfff0ffff,0x7fe41fff,0x7400ffff,0x801fffff,0xd0ffffff,0x003fffff,
    0x01ffffff,0x17fffff2,0x6fffffc8,0x037ffcc0,0x0000dff7,0x1fffffec,
    0x3fffff60,0x3ffff400,0x037fffc4,0x0ffffff6,0x1fffffb0,0x3fffffd8,
    0x7ffffec0,0x3fffffa0,0xfffff801,0xffffff0f,0x7ffffdc1,0x7fff404f,
    0xfff801ff,0xfffd0fff,0xfff003ff,0x4c401fff,0x3e600dcb,0x9807ffff,
    0xfff10099,0x56654c05,0x3ffffe01,0x7ffcc00f,0x3fe203ff,0xfffa86ff,
    0x7fffc04f,0x7fcc00ff,0x7ffc3fff,0x7cc00fff,0x3fa3ffff,0xf801ffff,
    0xff0fffff,0x7c41ffff,0x03ffffff,0x07fffffa,0x3fffffe0,0x3fffffd0,
    0xffffff00,0xff800001,0x00007fff,0x3aa0dff9,0x1effffff,0x3fffffc4,
    0x7ffffc40,0x3fffe604,0x2ffffb84,0x3ffffe20,0xffff8807,0x3fffe24f,
    0xfff8807f,0x3fffa4ff,0xfff801ff,0xffff0fff,0xfffc81ff,0xfd03ffff,
    0xf003ffff,0x3a1fffff,0x801fffff,0x00ffffff,0x7fed4400,0x0007ffff,
    0xa81fff98,0xffffffff,0x3ffe60ff,0xcccccfff,0xffffcccc,0x3ffee05f,
    0xffffd83f,0x3fffe601,0xccccccff,0xfffffccc,0x3ffffe65,0xcccccccf,
    0x5fffffcc,0x07fffffa,0x3fffffe0,0x1ffffff0,0xffffffb0,0xffffd07f,
    0xffff003f,0x3fffa1ff,0xfff801ff,0x4c000fff,0xffffffdb,0x0007ffff,
    0xf885ffd8,0xffdcffff,0x3ffea6ff,0xffffffff,0xffffffff,0x3fbbae6f,
    0xeeeeffff,0xeefffffe,0xfff51eee,0xffffffff,0xffffffff,0x7fffd4df,
    0xffffffff,0xffffffff,0x3fffffa6,0xfffff801,0xffffff0f,0xffffd101,
    0xffe85fff,0xff801fff,0xffd0ffff,0xff003fff,0x3001ffff,0xfffffffb,
    0xffffffff,0xfffa8000,0x47fffa80,0x3ee7fff9,0xffffffff,0xffffffff,
    0x3ff26fff,0xffffffff,0xffffffff,0xf72fffff,0xffffffff,0xffffffff,
    0x7fdcdfff,0xffffffff,0xffffffff,0x3fffa6ff,0xfff801ff,0xffff0fff,
    0x3fa201ff,0x20ffffff,0x01fffffe,0x0ffffff8,0x03fffffd,0x1ffffff0,
    0xfffffc80,0xffffffff,0x40007fff,0xdd504ffe,0xffff88bf,0xffffff70,
    0xffffffff,0x4fffffff,0xfffffffc,0xffffffff,0xffffffff,0xffffff72,
    0xffffffff,0x4fffffff,0xfffffffb,0xffffffff,0x3a7fffff,0x801fffff,
    0xf0ffffff,0x401fffff,0xffffffe8,0x3fffffa5,0xfffff801,0xfffffd0f,
    0xfffff003,0x7ffec01f,0x1bdfffff,0x00ffffff,0x007ffdc0,0x26fffb80,
    0x9efffffa,0x99999999,0x32199999,0xffffffff,0xffffffff,0x2fffffff,
    0x3dfffff5,0x33333333,0x54333333,0x99efffff,0x99999999,0x3fa19999,
    0xf801ffff,0xff0fffff,0x8801ffff,0x0ffffffe,0x03fffffd,0x1ffffff0,
    0x07fffffa,0x3fffffe0,0xfffff700,0x3ffe039f,0xf10007ff,0x260007ff,
    0x3e63ffff,0x0007ffff,0xffffff90,0xffffffff,0xffffffff,0x3fffe65f,
    0xf300007f,0x000fffff,0x3fffffa0,0x7fffc402,0xfffff0ff,0xfff1001f,
    0x3ffa5fff,0x7c402fff,0xfd0fffff,0x8805ffff,0x00ffffff,0x09fffffd,
    0x07fffff8,0x00dff900,0x1bfffea0,0x1ffffff1,0xb0009880,0xff03ffff,
    0xff100fff,0x8801ffff,0x3ffe2009,0x4c400fff,0x3ffffa00,0x7ffd402f,
    0xffff0fff,0x3f6001ff,0xffd4ffff,0xfa805fff,0xfd0fffff,0xa805ffff,
    0x80ffffff,0x0ffffff8,0x3ffffe20,0xfff88007,0xfffc8002,0xfffd80ef,
    0x7ff404ff,0xfff01cde,0xffff10ff,0x3fff600b,0x7ff404ff,0x7fec1cde,
    0x7f404fff,0x3f61cdef,0x2204ffff,0x0ffffffe,0x01ffffff,0x3ffffee0,
    0x9fffffb5,0x7ffff440,0xffffb0ff,0x7ff4409f,0xfa80ffff,0x5c06ffff,
    0x007fffff,0x8005ffd8,0x00effffd,0x5ffffff3,0x3ffffee0,0xffff882f,
    0x4ffffa86,0xfffff300,0x3ffee05f,0x7fcc2fff,0xf702ffff,0x645fffff,
    0x01ffffff,0xfffffffb,0x3fffffe1,0x3fa2ec40,0xff93ffff,0x3603ffff,
    0x0fffffff,0x3ffffff9,0x3fffff60,0xfff980ff,0xff302fff,0x800fffff,
    0x2001fff9,0x04ffffe8,0xffffffe8,0xfffca89c,0xff506fff,0xfff709ff,
    0x7ff4005f,0xa89cffff,0x6ffffffc,0xffffffd0,0xfff95139,0xffa8dfff,
    0x9acfffff,0xffffffec,0xfffff0ff,0x6fffdc1f,0xffffffeb,0xffffff52,
    0xffd9359f,0x21ffffff,0xfffffffa,0xfffec9ac,0x880fffff,0xbeffffff,
    0xfffff930,0x74001fff,0x3a2004ff,0x3003ffff,0xffffffff,0xffffffff,
    0x3ffee03f,0xffffd82f,0x3ffe6000,0xffffffff,0x01ffffff,0xfffffff3,
    0xffffffff,0xfff883ff,0xffffffff,0xffffefff,0xffffff0f,0x3fffff61,
    0x6fffffff,0x3fffffe2,0xffffffff,0x10fffffe,0xffffffff,0xfdffffff,
    0x3601ffff,0xffffffff,0xffffffff,0xf5001fff,0x7ec001ff,0xccccefff,
    0xffe980cc,0xffffffff,0x3602ffff,0xfe81ffff,0xe98007ff,0xffffffff,
    0x02ffffff,0x7fffff4c,0xffffffff,0xffff302f,0xffffffff,0x1fffff75,
    0x43fffffe,0xffffffe8,0x4c1fffff,0xffffffff,0xffbaffff,0x3fe60fff,
    0xffffffff,0xffffbaff,0xffff100f,0xffffffff,0x7fffffbf,0x00fffa00,
    0xffffff98,0x00ffffff,0xffffffb1,0x05ffffff,0x887ffff8,0x0005ffff,
    0xffffffb1,0x05ffffff,0x3ffff620,0xffffffff,0x7fffd402,0x71ffffff,
    0x3e1fffff,0x220fffff,0xfffffffe,0xfff502ff,0x3fffffff,0x03ffffee,
    0xfffffff5,0x3fee3fff,0x3ea00fff,0xffffffff,0xffff88ef,0x6ffb806f,
    0x7fffe400,0xffffffff,0x7ffedc00,0x00bfffff,0x437fffc4,0x004ffff9,
    0x7fffedc0,0x000bffff,0xfffffdb8,0x5000bfff,0x9dfffffb,0x7ffffdc1,
    0x1ffffff0,0xffffeb88,0x7ed400df,0x20ceffff,0x80fffffb,0xefffffda,
    0x3fffee0c,0x7fec400f,0x743effff,0x201fffff,0x4002fff8,0xfffffffe,
    0x000fffff,0x0066ae62,0x82cccc88,0x001cccc9,0x26ae6200,0x26200001,
    0x400019ab,0x00000ab9,0x026ea200,0x002ae600,0x01573000,0x2a620000,
    0x2000009b,0x00001998,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xcccc8000,0x000002cc,
    0x2666665c,0x99995000,0x32e00059,0x664c1ccc,0x310003cc,0x00559b97,
    0x99999910,0x31000003,0x00013333,0x66664c00,0x65c000cc,0x664c1ccc,
    0x440003cc,0x003ccccc,0x3ffea000,0x00000fff,0xffffff10,0x3fe20003,
    0x000fffff,0x42ffffe8,0x006ffffb,0x7fffff4c,0x000bffff,0x1bffffee,
    0x3fee0000,0x00004fff,0x3fffffa0,0xfffe8004,0x7fffd43f,0x7ff40006,
    0xf002ffff,0x407fffff,0x03fffffa,0xfff90000,0x6c0005ff,0x5fffffff,
    0xffffe800,0x37fffdc2,0xfffff900,0xffffffff,0x7ffe4003,0x400001ff,
    0x04fffffb,0xfff30000,0x3a0009ff,0x7d43ffff,0x20006fff,0xfffffffb,
    0xffff800f,0x7fdc03ff,0x800007ff,0x03fffff8,0x3fffee00,0x003ffffe,
    0x217ffff4,0x806ffffb,0xffffffe8,0xffffffff,0x3ff6001f,0x400005ff,
    0x04fffffb,0xfffb0000,0x7f4000bf,0x7fd43fff,0xf30006ff,0xffffdfff,
    0xfffff00b,0xfff7007f,0xb800007f,0x0003ffff,0x757fffe6,0x2001ffff,
    0x5c2ffffe,0xd806ffff,0xffffffff,0xffffffff,0x3ff6000f,0x200001ff,
    0x04fffffb,0xfff98000,0x7f40005f,0x7fd43fff,0xfd0006ff,0xfff91fff,
    0xffff807f,0xff9003ff,0xe80000df,0x40004fff,0xf10ffffe,0x5c00dfff,
    0x64c1cccc,0x7cc03ccc,0x9aefffff,0xfffffeb9,0x7ff4003f,0x2e00005f,
    0x004fffff,0xefffc800,0x665c0000,0x6664c1cc,0xffc8003c,0x3fffa1ff,
    0x3fffe01f,0x3f6003ff,0x500002ff,0x8000bfff,0x542eeeeb,0x0003eeee,
    0x7ff40000,0xfb00dfff,0x800dffff,0x000fffe8,0xfffff700,0xf8800009,
    0x00000eff,0x26000000,0x6c43eeee,0x3fe04eee,0x0003ffff,0x00000000,
    0x00000000,0xff500000,0x4c01ffff,0x01efffff,0x00000000,0x00000000,
    0x00000000,0xf8000000,0x003fffff,0x00000000,0x00000000,0xf7000000,
    0x9009ffff,0x00000359,0x00000000,0x00000000,0x00000000,0xffff8000,
    0x655403ff,0x001bccdc,0x66e65540,0x540001bc,0x1bccdcca,0x66554000,
    0xb001bccd,0x007fffff,0x99530000,0x40000137,0x005ffffe,0x66e5d400,
    0x5400001a,0x001acdcb,0x66e5d400,0x3ffe001a,0xfc883fff,0xffffffff,
    0x322004ff,0xffffffff,0x22004fff,0xfffffffc,0x2004ffff,0xffffffc8,
    0x404fffff,0x02fffffe,0x3ff20000,0x1effffff,0xffff8000,0xc880005f,
    0xffffffff,0x910001ef,0xffffffff,0x220003df,0xfffffffc,0x7fc01eff,
    0x7c43ffff,0xffffffff,0x00dfffff,0x7fffffc4,0xffffffff,0x7ffc400d,
    0xffffffff,0x4400dfff,0xffffffff,0x0dffffff,0x3ffffff0,0xfd300000,
    0xffffffff,0xf80007ff,0x0003ffff,0x7fffffd4,0x3fffffff,0x7fffd400,
    0xffffffff,0x7fd4003f,0xffffffff,0x3fe03fff,0x3a23ffff,0xffffffff,
    0xefffffff,0xffffd100,0xffffffff,0x2201dfff,0xfffffffe,0xffffffff,
    0xfffd100e,0xffffffff,0x881dffff,0x01ffffff,0x7ffd4000,0xffffffff,
    0x8000efff,0x02fffffa,0x3ffff200,0xffffffff,0xc801efff,0xffffffff,
    0xefffffff,0xffffc801,0xffffffff,0xff81efff,0x3f63ffff,0xffffffff,
    0xffffffff,0xfffffb03,0xffffffff,0x3607ffff,0xffffffff,0xffffffff,
    0xffffb03f,0xffffffff,0xf07fffff,0x005fffff,0x7fffc400,0xffffffff,
    0x4004ffff,0x0fffffe8,0xffff7000,0xffffffff,0x80dfffff,0xfffffffb,
    0xffffffff,0x7fdc06ff,0xffffffff,0x6fffffff,0x3ffffff8,0x9ffffff1,
    0x3ffee215,0xff885fff,0x10acffff,0xbffffff7,0xffffff10,0x3fee2159,
    0xf885ffff,0x0acfffff,0xffffff71,0xfffffd0b,0x7ec00005,0x10bfffff,
    0x1ffffff9,0x3fffa200,0xf30006ff,0x7dffffff,0xfffff955,0x3fe607ff,
    0xabefffff,0xffffffca,0xffff303f,0x9557dfff,0x7fffffff,0x3ffffff8,
    0x0bfffff9,0x37ffffe4,0x2fffffe4,0xdfffff90,0xbfffff90,0x7ffffe40,
    0xfffffc86,0x3ffff205,0xffffd86f,0xacda804f,0x7fffcc09,0xfff500ff,
    0xfd1009ff,0x005fffff,0x3fffffa0,0xfffd103f,0xffd03fff,0x2207ffff,
    0x1ffffffe,0xffffffe8,0xffffd103,0x7fffc3ff,0x32e623ff,0x3ffe600d,
    0x973107ff,0x7ffcc01b,0x973107ff,0x7ffcc01b,0x973107ff,0x7ffcc01b,
    0xfffb87ff,0xffd807ff,0x3ff64fff,0x7ec03fff,0x2600ffff,0x4fffffff,
    0xffff3000,0xff8807ff,0x7cc6ffff,0x403fffff,0x6ffffff8,0x7fffffcc,
    0x7fffc403,0x3fffe6ff,0x7c0003ff,0x0007ffff,0x1fffffe0,0xffff8000,
    0x3e00007f,0xfa87ffff,0x202fffff,0x1ffffff8,0x03fffffe,0x7fffff30,
    0x3ffffea0,0x320005ff,0x006fffff,0x8ffffff7,0x06fffffc,0xffffff70,
    0x6fffffc8,0xfffff700,0x7fffffcf,0x7ed44003,0x007fffff,0x3fff6a20,
    0x20007fff,0xfffffda8,0x2a20007f,0x7ffffffd,0xffffffb0,0xffffd307,
    0x7fffc4df,0xfff8807f,0xfffa84ff,0x0004ffff,0x1ffffff4,0xffffff00,
    0x7fffff43,0x3fffe003,0x3fffa1ff,0x3fe003ff,0xfff1ffff,0xb9807fff,
    0xfffffffd,0x26007fff,0xffffffdb,0x2007ffff,0xfffffdb9,0x007fffff,
    0x3ffff6e6,0x07ffffff,0xfffffff3,0xffffd99d,0x7fcc7fff,0xccccffff,
    0xfffccccc,0x7ffc45ff,0x0003ffff,0x2ffffff8,0x3ffffa00,0x3ffffe2f,
    0x3ffa002f,0x3ffe2fff,0x3a002fff,0xff2fffff,0xb307ffff,0xffffffff,
    0x0fffffff,0xfffffd98,0xffffffff,0x7fecc07f,0xffffffff,0x4c07ffff,
    0xfffffffd,0x7fffffff,0x3fffff20,0xffffffff,0x7fd45fff,0xffffffff,
    0xffffffff,0x7ffec6ff,0x80002fff,0x1ffffff8,0x3ffff600,0xfffff14f,
    0x7fec003f,0xfff14fff,0x6c003fff,0xff4fffff,0xfc87ffff,0xffffffff,
    0x7fffffff,0x3fffff20,0xffffffff,0x3f207fff,0xffffffff,0x7fffffff,
    0x3fffff20,0xffffffff,0x36207fff,0xffffffff,0x0effffff,0x7fffffdc,
    0xffffffff,0x26ffffff,0x2ffffff9,0xfff10000,0x64001fff,0xf15fffff,
    0x001fffff,0xafffffe4,0x0ffffff8,0x3ffff200,0xffffff5f,0x7ffffec7,
    0xff1bdfff,0x3f60ffff,0xdfffffff,0xffffff1b,0x3fffff60,0xff1bdfff,
    0x3f60ffff,0xdfffffff,0xffffff1b,0xfffff500,0xbfffffff,0xfffff701,
    0xffffffff,0xffffffff,0x27ffffdc,0x3ffe0000,0x36001fff,0x3e3fffff,
    0x001fffff,0x8ffffff6,0x01ffffff,0x3fffff60,0x7ffffff3,0x3fffffee,
    0xfffff01c,0xfffff70f,0x3ffe039f,0xfffb87ff,0xff01cfff,0xff70ffff,
    0x2039ffff,0x007fffff,0xfffffdb1,0x7d403bff,0x999effff,0x99999999,
    0x3ff61999,0x2e002fff,0x7fc1acce,0x2002ffff,0x22fffffe,0x02ffffff,
    0x3fffffa0,0x3fffffe2,0x3fffa002,0xfffff2ff,0x3ffffa7f,0x7fffc04f,
    0xffffe87f,0x7fffc04f,0xffffe87f,0x7fffc04f,0xffffe87f,0x7fffc04f,
    0x6d44007f,0x9800cfff,0x007fffff,0xfffffb00,0x7fff4003,0x7ffff47f,
    0xfff1004f,0x7ff41fff,0xf1004fff,0x741fffff,0x004fffff,0x1ffffff1,
    0x2ffffffe,0x0ffffff8,0x3ffffe20,0x7ffffc47,0x3ffe200f,0x7ffc47ff,
    0x3e200fff,0x7c47ffff,0x200fffff,0x07fffff8,0x7ffffe40,0x7fc402ff,
    0x4400ffff,0x3ffee009,0xff5003ff,0xffc89fff,0xc800ffff,0x647fffff,
    0x00ffffff,0x7fffffc8,0x7fffffe4,0xffffc800,0x3ffffe7f,0xfffffabf,
    0x7fffdc06,0x7fffd47f,0x7ffdc06f,0x7ffd47ff,0x7fdc06ff,0x7fd47fff,
    0x7dc06fff,0x4007ffff,0xffffdcee,0x7ffec01f,0x7ff404ff,0x3fe61cde,
    0x4400ffff,0x41ffffff,0x4ffffff9,0x7ffffc40,0x7fffcc4f,0x7fc404ff,
    0x7cc4ffff,0x404fffff,0x4ffffff8,0x2ffffffe,0x2ffffff9,0xffffff30,
    0xfffff98f,0xffff302f,0xfff98fff,0xff302fff,0xf98fffff,0x302fffff,
    0x0fffffff,0x9fffd000,0xfffff980,0xffff702f,0xfffe85ff,0xfd501eff,
    0x3a0fffff,0x0dffffff,0xffffffa8,0xffffe80f,0xffa80dff,0xe80fffff,
    0x0dffffff,0xffffffa8,0x3ffffe0f,0xfffff8bf,0xff930bef,0x41ffffff,
    0xeffffff8,0xffff930b,0x7c41ffff,0x0befffff,0xffffff93,0x7ffc41ff,
    0x930befff,0xffffffff,0xffb80001,0xfffe805f,0xca89cfff,0x86ffffff,
    0xfffffff9,0xfffeccce,0xf303ffff,0xbfffffff,0xfffffd99,0x3fe605ff,
    0xcdffffff,0xffffffec,0xffff302f,0xd99bffff,0x5fffffff,0x3ffffff8,
    0xfffffffb,0xffffffff,0xfd83ffff,0xffffffff,0xffffffff,0x7ffec1ff,
    0xffffffff,0xffffffff,0x7ffffec1,0xffffffff,0x01ffffff,0x3fffa200,
    0xffff9804,0xffffffff,0x501fffff,0xffffffff,0xffffffff,0xfffb809f,
    0xffffffff,0x05ffffff,0x7fffffdc,0xffffffff,0x7dc05fff,0xffffffff,
    0xffffffff,0xffffff85,0xffffff13,0xbfffffff,0x887fffff,0xffffffff,
    0xffdfffff,0x7fc43fff,0xffffffff,0xffffdfff,0x7fffc43f,0xffffffff,
    0x3fffffdf,0x66667440,0x00fffffe,0xfffffd30,0xffffffff,0xfffb805f,
    0xffffffff,0x7005ffff,0xffffffff,0x9fffffff,0x3fffee00,0xffffffff,
    0xf7004fff,0xffffffff,0x09ffffff,0x8ffffffe,0xfffffffa,0xff88efff,
    0xffa86fff,0xffffffff,0xfffff88e,0xfffffa86,0x88efffff,0xa86fffff,
    0xffffffff,0xfff88eff,0x7fc406ff,0xefffffff,0x7fec4001,0xffffffff,
    0xf91002ff,0xffffffff,0x98005dff,0xfffffffe,0x002effff,0x7fffff4c,
    0x2effffff,0x7fff4c00,0xffffffff,0x3fffe02e,0x7fec43ff,0x743effff,
    0x881fffff,0xeffffffd,0x7fffff43,0xffffd881,0x7ff43eff,0xfd881fff,
    0x43efffff,0x01fffffe,0x3fffffa2,0x5c0002de,0xfffffffd,0xc98000bf,
    0xacefffed,0x7ed40001,0xceffffff,0x3f6a0000,0xceffffff,0x3f6a0000,
    0xceffffff,0x7ffffc00,0x3753103f,0x4c400001,0x000009ba,0x0026ea62,
    0x9ba98800,0x31000000,0x44000001,0x00019ab9,0x00000080,0x006aea62,
    0x2ea62000,0x8800001a,0x0001aba9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2ea62000,
    0x000009ab,0x88599995,0x0004cccc,0x97000000,0x00099999,0x00001000,
    0x01cccc88,0xccaa9880,0x0000019a,0x00000000,0x00100000,0xffd98000,
    0x0cffffff,0x7ffec000,0x7fffcc4f,0x7ff4c007,0x0f4c2fff,0x7fff4400,
    0x400002ff,0xbdfffeca,0x7fd40001,0x36a001ff,0xffffffff,0x3e002eff,
    0x000fffff,0x32000000,0x403fffff,0xdeffecb9,0x3200000c,0xffffffff,
    0x0002ffff,0x313ffff6,0x000fffff,0x7fffffb1,0x000bffd5,0x17ffffe2,
    0x7ff44000,0x3fffffff,0x3fff2000,0xffff5007,0xffffffff,0xf007ffff,
    0x001fffff,0x64000000,0x203fffff,0xfffffffc,0x80003fff,0xfffffffb,
    0x0fffffff,0xffffb000,0x7ffff989,0x3fff2000,0x02dfffff,0x3fffe600,
    0x7cc0001f,0xffffffff,0xd0005fff,0xf900bfff,0xffffffff,0xffffffff,
    0x7ffc01df,0x00000fff,0x3ff20000,0xffb03fff,0xffffffff,0x20001bff,
    0xfffffff9,0xffffffef,0xfffb0006,0xffff989f,0x7fd40007,0x0001ffff,
    0x0bffff30,0x7fffcc00,0xffffffff,0x7c4005ff,0x3a203fff,0xffffffff,
    0xffffffff,0x3e05ffff,0x000fffff,0x32000000,0x443fffff,0xfffffffe,
    0x5fffffff,0xffff9000,0x7fecc3df,0xa8002fff,0x6442cccc,0x20004ccc,
    0xfffffffb,0x3ea00004,0xb0000fff,0xffffffff,0x5fffffff,0x7fffd400,
    0x3ffffa01,0xffffffff,0xffffffff,0xffff05ff,0x000001ff,0x7ffe4000,
    0x7ffdc3ff,0xffffffff,0x003fffff,0x1fffffe8,0x3fffff88,0x00000000,
    0x3fffee20,0x03fffffd,0x3ffee000,0xfffa8004,0xfd51cfff,0x400dffff,
    0x3207fffc,0xffffffff,0x3f6621ac,0x2fffffff,0x0ffffff8,0x00000000,
    0x0ffffff2,0x5dfffffd,0x3ffffae2,0xfff8007f,0xffb00fff,0x00000bff,
    0x7fdc0000,0xffff90cf,0x0000005f,0x7fffec00,0xffff886f,0xffd001ff,
    0x3ffea0bf,0x800dffff,0xfffffff9,0xffffff85,0x00000000,0x3fffff20,
    0x3ffffe63,0xfffff506,0xffd8003f,0xffd02fff,0x000007ff,0x5fc40000,
    0xfffffe80,0x00000001,0x3ffffff0,0x3fffff20,0xffff8804,0xffffff03,
    0xff98007f,0x7c0fffff,0x000fffff,0x32000000,0x323fffff,0x203fffff,
    0x02ffffff,0x7ffffdc0,0x7fffe40f,0x3331001f,0x26660033,0x08800199,
    0x1bffffe6,0xcdcba800,0x7fd4001a,0x3ea06fff,0x9806ffff,0xfa81ffff,
    0x006fffff,0xffffff70,0xffffff87,0x0d665cc0,0x32ea2000,0x7ffe40ab,
    0x372a63ff,0x3ff600ff,0x4c002fff,0x26ffffff,0x06fffffc,0x3fffffa0,
    0xfffff801,0xfedb800f,0xfffcadff,0x322002ff,0xffffffff,0xffb801ef,
    0x3e205fff,0x400fffff,0xd80ffffb,0x01ffffff,0x06f3be00,0x87fffffc,
    0xfffffffa,0x7ec4002f,0x0dffffff,0x07fffff9,0x7fff4008,0xfc8000ff,
    0xfddfffff,0x003fffff,0x07fffffa,0x3fffffe0,0x3fffa200,0xffffffff,
    0xf5006fff,0xffffffff,0xd807ffff,0x404fffff,0x01ffffff,0x4437ffec,
    0x05ffffff,0xfff00000,0xfff91fff,0x9fffffff,0x3fffe600,0x9effffff,
    0x03fffffc,0x3fffe600,0xfd10005f,0xffffffff,0xe8009fff,0x801fffff,
    0x00ffffff,0xfffffff5,0xffffffff,0xffc807ff,0xffffffff,0x01efffff,
    0x07fffffd,0x2fffffe8,0x427fffc0,0x2ffffffa,0xff000000,0xfffdffff,
    0xffffffff,0xfffa80df,0xffffffff,0xfffffeff,0xffd30003,0x40007fff,
    0xfffffffa,0x8003ffff,0x01fffffe,0x0ffffff8,0xffffff98,0xffffffff,
    0x2e07ffff,0xffffffff,0xffffffff,0xfffff06f,0xfffe805f,0x3fe603ff,
    0xfffb82ff,0x00001fff,0xffffff00,0xffffffff,0x07ffffff,0x3fffffe2,
    0xffffffff,0x03ffffff,0x3fff72a0,0x40004fff,0xfffffff8,0xd0001eff,
    0x003fffff,0x01ffffff,0xfffffffd,0xfffffd9d,0xf305ffff,0x7dffffff,
    0xfffff955,0xffff07ff,0xffe805ff,0x3ee03fff,0xffc80fff,0x0000ffff,
    0xfffff000,0x2615dfff,0xfffffffc,0xfffffc80,0xff930aef,0x07ffffff,
    0x7fffff40,0x5c0002ff,0xffffffff,0x3a0000ff,0x801fffff,0x40ffffff,
    0xeffffffc,0xfffffc80,0xfffe84ff,0xfd103fff,0xf83fffff,0x402fffff,
    0x04fffffd,0x6c1bfff6,0x007fffff,0x33333331,0xf8333333,0x05ffffff,
    0x3fffffee,0x7ffffc44,0xfff500df,0x4007ffff,0x2fffffff,0x3ffa2000,
    0xffffffff,0x3fa0005f,0xf801ffff,0x260fffff,0x05ffffff,0x7fffffdc,
    0x7ffffcc7,0x7ffc403f,0x3fe26fff,0x6c02ffff,0x204fffff,0xfd04ffff,
    0x200dffff,0xfffffffe,0x20ffffff,0x0fffffff,0x7ffffec0,0x7ffffdc7,
    0x7ffec00f,0xf1003fff,0x9fffffff,0xffe88001,0xffffffff,0x00c43fff,
    0x0ffffff4,0x7fffffc0,0x3ffffee0,0xfffe801f,0x3ff21fff,0xf7006fff,
    0x7c4fffff,0x402fffff,0x04fffffd,0x205ffff3,0x06fffffd,0xffffffd0,
    0x1fffffff,0x27fffffc,0x7ffffcc0,0x3ffff20f,0xfff9804f,0xf3003fff,
    0xffffffff,0x3fa2003f,0xfcffffff,0x22ffffff,0xe82bdffc,0x801fffff,
    0x20ffffff,0x05fffffc,0xffffff30,0x7fffff45,0x3fffe003,0x3fffe1ff,
    0x7fec02ff,0xff704fff,0x3ff601ff,0xfd007fff,0xffffffff,0x7fc1ffff,
    0xf002ffff,0x6c3fffff,0x002fffff,0x07ffffff,0x36a66a60,0x01ffffff,
    0xffffffc8,0xfffff90e,0x3fffe1ff,0x7fff40ff,0xfff801ff,0x3ffa0fff,
    0x3e003fff,0x3e3fffff,0x002fffff,0x8bfffffa,0x02ffffff,0x27fffff4,
    0x206fffd8,0x0ffffffc,0xfffffe80,0xffffffff,0x3fffffe0,0xffffd001,
    0x7ffff45f,0xfffd001f,0xc80007ff,0x406fffff,0xdffffff8,0x7ffffec0,
    0xfffffaef,0xfffffe86,0xfffff801,0x3ffffe0f,0x3ffa002f,0xfff14fff,
    0x6c003fff,0x3e4fffff,0x402fffff,0x03fffffe,0x5c09ffff,0x01ffffff,
    0xffffffe8,0x0fffffff,0x03fffffe,0x7ffffec0,0x3fffffe3,0xffffb000,
    0xfd00007f,0x6405ffff,0x80ffffff,0xffffffe8,0x83ffffff,0x01fffffe,
    0x0ffffff8,0x3ffffff1,0x7fffec00,0xfffff14f,0x7fe4001f,0x3ffe5fff,
    0x7f402fff,0xf883ffff,0x3ea02fff,0x803fffff,0xb9999998,0x20ffffff,
    0x00ffffff,0x9fffffb0,0x3fffffe2,0xffff9000,0xf900007f,0x6c09ffff,
    0x205fffff,0xfffffff9,0xe80fffff,0x801fffff,0x20ffffff,0x02ffffff,
    0x3fffffa0,0x3fffffe3,0x3fff6001,0x3fff63ff,0x7ffc03ff,0xffa81fff,
    0x7ffc01ff,0x40006fff,0x0ffffffb,0x03fffffe,0x7ffffec0,0x3fffffe2,
    0xffffb001,0xf500007f,0x740dffff,0x403fffff,0xfffffffa,0xffd04fff,
    0xff003fff,0x7f41ffff,0x2003ffff,0x21ffffff,0x02ffffff,0x3fffffa0,
    0x3fffff22,0x3fffe204,0xfffc80ff,0xffffc807,0x2e0003ff,0x20ffffff,
    0x01ffffff,0x3fffffd0,0x0ffffff4,0xfffffe80,0x2a002203,0x206fffff,
    0x02ffffff,0xffffffb8,0xffd00fff,0xf8805fff,0x320fffff,0x004fffff,
    0x1ffffff1,0x27fffff4,0xfffff880,0x3fffee0f,0x3ffe606f,0xfffd07ff,
    0xffff300b,0x5c000dff,0x20ffffff,0x03ffffff,0x1ffffff0,0x1fffffec,
    0xffffff80,0xdffdb913,0xfffff700,0x7ffff40b,0xfffb003f,0x740bffff,
    0x402fffff,0x0ffffffa,0x3fffffee,0xffffc800,0x7fffe47f,0xffc800ff,
    0x7fcc7fff,0xf700ffff,0xf10bffff,0x3a007fff,0x0dffffff,0x7ffec400,
    0x3ffe0fff,0xfa806fff,0x7e47ffff,0xa806ffff,0x23ffffff,0x00ffffff,
    0x27ffffec,0xffffff90,0xfffd8801,0x80dfffff,0x04fffffd,0x3fffffa2,
    0x3fffe60f,0x7fcc05ff,0x7cc4ffff,0x404fffff,0x4ffffff8,0x3fffffe8,
    0xffffff88,0x1ffffa82,0xfffff300,0x91003dff,0xffffffff,0x7fffffc1,
    0x7fff403f,0x7ffd46ff,0x7f402fff,0x363fffff,0x204fffff,0x2ffffffa,
    0x3ffffea0,0xfff700ef,0xffffffff,0xffffc83d,0xfffb01ff,0xfc81ffff,
    0x80dfffff,0xeffffffa,0xfffffe80,0xfffa80df,0xfc80ffff,0x641fffff,
    0x80ffffff,0x4007fffc,0xfffffffc,0xb9889bcf,0xfffffffc,0x3ffe0fff,
    0xb03fffff,0x03ffffff,0x5ffffffd,0xfffffb10,0x7ffdc7ff,0x7d41cfff,
    0x00ffffff,0x7fffffec,0xfffeccdf,0xffffffff,0x3ea4ffff,0xacffffff,
    0xfffffec9,0xffe80fff,0xcbdfffff,0xfffffffe,0xfffff302,0xfd99bfff,
    0x05ffffff,0x3fffffe2,0xfffffcef,0xfffd04ff,0xfffd000b,0xffffffff,
    0xffffffff,0xf8ffffff,0xffffffff,0xfffecace,0xff505fff,0x57bfffff,
    0xfffffff9,0x7ff447ff,0xecefffff,0x2fffffff,0xfffff880,0xffffffff,
    0xffffffff,0x11ffffff,0xffffffff,0xfdffffff,0xf301ffff,0xffffffff,
    0xffffffff,0xffffb80b,0xffffffff,0x405fffff,0xfffffffb,0xffffffff,
    0x3ffff880,0xfffd8800,0xffffffff,0xffffffff,0x7fc0dfff,0xffffefff,
    0xffffffff,0x3ff601ff,0xffffffff,0xffffefff,0x7fffcc3f,0xffffffff,
    0x2004ffff,0xfffffffa,0xffffffff,0xffffdaef,0x7ffcc3ff,0xffffffff,
    0xfffffbaf,0xfffff500,0xffffffff,0xf7001bff,0xffffffff,0x09ffffff,
    0x3fffff20,0xffffffff,0x3ffff501,0x7ffe4000,0xffffffff,0xffffffff,
    0xfffff03f,0xffffff59,0x07ffffff,0xfffffe88,0x9dffffff,0xb83fffff,
    0xffffffff,0x06ffffff,0xffffd880,0xffffffff,0x7fffdc3f,0xfffff505,
    0x2e3fffff,0x200fffff,0xffffffd8,0x02ffffff,0x7ffff4c0,0xefffffff,
    0x7ffd4002,0xefffffff,0x1ffff200,0x3ff6a000,0xffffffff,0x03efffff,
    0x9a7ffffc,0xffffffff,0xfb1001ff,0xffffffff,0x3ffffe69,0xffffd503,
    0x7fffffff,0xffea8000,0xdeffffff,0x01dfd100,0x7ffffed4,0x3ffee0ce,
    0xfea800ff,0xceffffff,0x3f6a0000,0xceffffff,0xffb30000,0x009dffff,
    0x000dfffd,0x7fffe440,0xbeffffff,0xfffff001,0x7fffec49,0xb8000dff,
    0x3dfffffe,0x0fffffe6,0xffffff70,0x00001bff,0x01aba988,0x73000640,
    0x80000015,0x0001aba8,0x1aba9880,0xba880000,0x33320009,0x1000002c,
    0x13559553,0xb8800000,0x3100000a,0x20000037,0x000aba98,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xcbaa8800,0x000009aa,0x99880008,0x4c000999,0x00019999,
    0x566654c4,0x0000000a,0x00000002,0x00400000,0x54c40000,0x000aaccc,
    0x00000000,0x7ff64400,0xffffffff,0xb930000b,0x0059bfff,0x1ffffff5,
    0x3fffea00,0xfd50006f,0xffffffff,0x8000017d,0xdefffdba,0x7fffec02,
    0xffd8004f,0x64c05fff,0x3deffffe,0x3faa0000,0xffffffff,0x000000be,
    0xffffff10,0x3fffff63,0x3fffee02,0xffffffff,0x22003fff,0xfffffffc,
    0x3e200eff,0x002fffff,0x07fffffb,0x7fffe440,0xffffffff,0x0000cfff,
    0x7fffff44,0xb01dffff,0x009fffff,0xbfffffb0,0x3ffff220,0x1effffff,
    0x3fff2000,0xffffffff,0x000cffff,0x7ffc4000,0xfffb1fff,0x3ff605ff,
    0xffffffff,0x6fffffff,0xffffe980,0xffffffff,0x3ffff202,0xfff8805f,
    0xd3000fff,0xbdffffff,0xfffffdb9,0x2a0003df,0xffffffff,0xd80fffff,
    0x004fffff,0x5fffffd8,0xffffff88,0xffffffff,0x7ff4c003,0xdcdeffff,
    0xeffffffe,0x22000001,0xb1ffffff,0x905fffff,0xffffffff,0xffffffff,
    0x7c409fff,0xffffffff,0x03ffffff,0x1ffffff3,0xfffffa80,0xffff7006,
    0xfc9803bf,0x4003ffff,0xfffffffb,0x6fffffff,0x4fffffd8,0xffffd800,
    0xffffe85f,0xffffffff,0xf7001fff,0x803bffff,0x3fffffc9,0xff100000,
    0x3f63ffff,0x7c42ffff,0xffffffff,0xfffffeee,0xfb02ffff,0xffffffff,
    0x3fffffff,0x3fffffa0,0x7fffec02,0xfffc803f,0x5c4000cf,0x5004ffff,
    0xffffffff,0xffffffff,0xfffffd89,0xfffd8004,0x7ffdc5ff,0xffefffff,
    0x00efffff,0x067fffdc,0x3fff2200,0x8800004f,0xb1ffffff,0xc85fffff,
    0x1dffffff,0xfffffd50,0xffff50ff,0x3f6217ff,0x706fffff,0x40bfffff,
    0x0ffffff8,0x17fffd40,0x3ffe6000,0xfffe802f,0xfb50afff,0xfd8fffff,
    0x8004ffff,0x45fffffd,0x2efffffe,0x3ffffee2,0x3ffe602f,0x7d40002f,
    0x00002fff,0x7fffffc4,0x5fffffb1,0x5ffffff8,0xffffe880,0x7fff40ff,
    0xfff903ff,0xff103fff,0x2a01ffff,0x405fffff,0x000ffff8,0x1fffd100,
    0x7ffffdc0,0xffff881f,0x3fff61ff,0xfd8004ff,0x3e25ffff,0x901fffff,
    0x207fffff,0x800ffff8,0x7ff44008,0x2200000f,0xb1ffffff,0x445fffff,
    0x00ffffff,0xffffff50,0x7fffff85,0x7fffff40,0xfffffb04,0x3ffff605,
    0x7fff402f,0x3bbbbba1,0x100aceee,0x7f40dfff,0x3204ffff,0x363fffff,
    0x004fffff,0x5fffffd8,0x1bffffe6,0x5fffff98,0x203fffd0,0xdfffeca8,
    0x0dfff302,0x7ffc4000,0xfffb1fff,0x7ffc45ff,0x3e001fff,0x264fffff,
    0x404fffff,0x07fffffb,0x0bfffff5,0x01fffffe,0xff87fff3,0xffffffff,
    0xfff503ff,0xfffff105,0x0cd4401f,0x4fffffd8,0xffffd800,0x3fffe65f,
    0x7fffc03f,0x3fff985f,0xffffff50,0x3ee0bfff,0x100002ff,0x23ffffff,
    0x42fffffd,0x05ffffff,0x2666aaa0,0x3ffffea0,0x7fffcc04,0xfff880ff,
    0x7fd40fff,0x7ec04fff,0xfffff86f,0xffffffff,0x50bffb03,0x00dfffff,
    0xfffffb00,0xfffb0009,0xffff8bff,0x3ffe605f,0x6ffd83ff,0xffffff70,
    0x20bfffff,0x00005ffd,0x3ffffff1,0x0bfffff6,0xdffffffb,0x3ee00005,
    0x4403ffff,0x02ffffff,0x85fffff9,0x01fffffd,0x3e0bffe2,0x366624ff,
    0xff306fff,0xffffc81f,0xfd80005f,0x8004ffff,0x45fffffd,0x00fffffd,
    0x81fffff9,0xf982fff8,0xf710cfff,0xff505fff,0xf100001f,0x363fffff,
    0x642fffff,0xffffffff,0x70000adf,0x807fffff,0x3ffffff8,0xbfffff30,
    0x06fffff8,0xff83ffdc,0x3fff604f,0xd89ffd00,0x264fffff,0x4009bddb,
    0x04fffffd,0xfffffd80,0x7ffffdc5,0x3ffea21d,0x7ffb86ff,0x207fffb0,
    0xfd06fffa,0xf100009f,0x363fffff,0x442fffff,0xfffffffe,0x01beffff,
    0x3ffffe60,0x7fffcc04,0x3ffa04ff,0xfff50fff,0xffd807ff,0x409fff04,
    0xf701fffb,0xffffe8df,0xffffe8bf,0x3f602fff,0x8004ffff,0x85fffffd,
    0xeffffffd,0xfffffffd,0xd04ffd81,0xbdc80dff,0x00dff701,0xfffff100,
    0x3ffff63f,0xffff982f,0xffffffff,0x4401cfff,0x406fffff,0x5ffffffa,
    0x3ffffee0,0x1fffff92,0xf03ffe80,0x7fec09ff,0xf1ffe606,0xff9fffff,
    0xffffffff,0x3ffff609,0xffd8004f,0xfd885fff,0xffffffff,0xfd00efff,
    0x7fff107f,0xfff50000,0xfff10000,0x3ff63fff,0xff702fff,0xffffffff,
    0x1dffffff,0x7fffffc0,0x3ffffa01,0x3fe205ff,0xffff5fff,0x5fff00bf,
    0x4c53ffe0,0x03fffd99,0xff83ffe2,0xffffffff,0xffffffff,0xfffffd85,
    0xfffd8004,0x3fea05ff,0xffffffff,0x40fffc05,0x0002fff9,0x000fff98,
    0x7ffffc40,0xfffffb1f,0x7fff4c05,0xffffffff,0x701effff,0x01dfffff,
    0xfffffff9,0xffffd80b,0x2fffffaf,0x80fffc40,0xffffffff,0x400effff,
    0x3ffe1fff,0xefffffff,0xfffffffe,0x7ffffec2,0xfffd8004,0xffd305ff,
    0xffffffff,0xfff101bf,0x03fff701,0x3fff1000,0xfff88000,0xfffb1fff,
    0xfd7005ff,0xffffffff,0x03ffffff,0x3ffffffa,0xffffdbac,0x5405ffff,
    0xffffffff,0x7c400fff,0xffff00ff,0x9fffffff,0x23fff001,0xfffffff8,
    0x3ff620df,0x3f60ffff,0x8004ffff,0x85fffffd,0xfffffffb,0xffffffff,
    0x407ffc41,0x0001fffc,0x001fff88,0x7ffffc40,0xfffffb1f,0x7f5c4005,
    0xffffffff,0xfa81ffff,0xffffffff,0xffffffff,0xffff805f,0x05ffffff,
    0x3e03fff0,0xffffefff,0xfff1001f,0x7fffffc1,0x3fff606f,0x3fff64ff,
    0xfd8005ff,0x7d45ffff,0xabdfffff,0xffffffec,0x5c0fffc1,0x80002fff,
    0x0000fff9,0x7fffffc4,0x5fffffb1,0x3b2a2000,0xffffffff,0xffff705f,
    0xdfffffff,0x00bfffff,0xfffffff9,0x3fa005ff,0x49fff02f,0x802fffea,
    0x7ffc7ff9,0x2601ffff,0x365fffff,0x005fffff,0x5fffffd8,0x1ffffffc,
    0x7ffffec4,0x5417ff45,0x04c03fff,0x001ffea0,0x3ffffe20,0xfffffb1f,
    0x32200005,0xffffffff,0xffffd300,0xff93ffff,0xf3009fff,0xffffffff,
    0x827fec00,0x7fc44fff,0x7fdc01ff,0x7fffffc6,0xfffff807,0x3fffff67,
    0xfffd8005,0x3ffe65ff,0x3fe205ff,0x3f61ffff,0x6fff884f,0xb81f7f40,
    0x880006ff,0xb1ffffff,0x005fffff,0xfffd8800,0x2e202fff,0xb0cefffd,
    0x007fffff,0x3ffffffa,0x3ff2004f,0x709fff07,0xfe80dfff,0x7ffff44f,
    0xfffe806f,0xffffb0ff,0xffb000bf,0x7fdc9fff,0x7dc03fff,0x3f24ffff,
    0x3fffb07f,0x417ffee0,0x80004ffe,0x1ffffff8,0x25fffffb,0x0feedcb8,
    0x7fffcc00,0x402003ff,0x02fffffe,0xffffff70,0x7fc4003f,0x04fff82f,
    0x2605fffd,0x7fec1fff,0xfd806fff,0xff91ffff,0xd000dfff,0x749fffff,
    0x400fffff,0x25fffffa,0xf982fff8,0x3ee22fff,0xff982fff,0x3aa9881f,
    0x7ffffcc0,0xfffffb1f,0x3ffffe25,0xffe8002f,0x80004fff,0x01ffffff,
    0xffffff10,0xdffb000d,0x2609fff0,0xff907fff,0xfffff70d,0xffffb00f,
    0x3fffee1f,0xfff8006f,0xfff13fff,0xff300dff,0xffd8dfff,0xfffff905,
    0x0bfffffd,0xff11bff6,0xf980ffff,0xfb0fffff,0x7f45ffff,0x8005ffff,
    0x03ffffff,0x7fffcc00,0x3fe2007f,0x8003ffff,0x7fc3fffa,0x3fff604f,
    0x417ffd44,0x0ffffffa,0x3fffff40,0x5ffffff5,0x7fffcc00,0x3fffe2ff,
    0xfffa807f,0x7ffd45ff,0xfffff703,0x2a0bffff,0xfff82fff,0x3ea00fff,
    0xfb0fffff,0x7e45ffff,0x002fffff,0x3fffffea,0x3fbb32a2,0x3ffff601,
    0x3ff2004f,0x0000ffff,0x7fc3fffd,0x3ffe604f,0x0dfff10f,0x3fffffe2,
    0x3fffe203,0x3fffe66f,0xfd000fff,0x743fffff,0x401fffff,0x83fffffb,
    0xb301fffe,0x05dfffff,0x741bffe2,0x202fffff,0x27fffffc,0x22fffffd,
    0xfffffffa,0xffff9801,0x3ff60fff,0xff104fff,0x2005ffff,0x5ffffff8,
    0x3ffe2000,0xd100000e,0x7ec03fff,0x700fffff,0xf8bfffff,0x05ffffff,
    0xffffffa8,0x7ffffe47,0x3fffe205,0xfff882ff,0x04d4400e,0x03fffd10,
    0x3bfffff6,0xffffff00,0x7ffffecb,0x7fffff42,0x26209cff,0xfffffffc,
    0x7ffffd45,0x7fff441f,0xfb1006ff,0x005fffff,0x1ffffa80,0x7ff4c000,
    0x7ffd403f,0x7d40efff,0x5c2fffff,0xefffffff,0x3ff6621a,0x5c3fffff,
    0x83ffffff,0xffffffd8,0x3ffff500,0xffe98000,0x3fff203f,0x9889efff,
    0x3ffffffe,0x0bfffff6,0xfffffff3,0xffffffff,0x3fffffff,0xffffff88,
    0xffffdcef,0xcc881fff,0xffffffcb,0xf900006f,0x20007fff,0x005ffffb,
    0xfffffffb,0xfffffd9b,0x3fffe0bf,0xffffffff,0xffffffff,0xfffe887f,
    0xecacefff,0x04ffffff,0x01ffffe4,0x5ffffb80,0x7ffffc40,0xffffffff,
    0x7ec7ffff,0xfb82ffff,0xffffffff,0xffffffff,0xff903fff,0xffffffff,
    0x409fffff,0xffffffff,0x00002fff,0x33ffffee,0x7ffdc400,0x3e2004ff,
    0xffffffff,0x0fffffff,0xffffff70,0xffffffff,0x07ffffff,0x3fffffe6,
    0xffffffff,0xff7006ff,0x88039fff,0x04fffffc,0xffffff70,0xffffffff,
    0xfffd87ff,0xfff902ff,0xffffffff,0x9fffffff,0xfffffd80,0xffffffff,
    0x7ffffc03,0x005fffff,0xffff9800,0xdcbcdeff,0x2ffffffe,0xfffe9800,
    0xffffffff,0x7fd402ff,0xffffffff,0xffffffff,0x7fffd403,0xffffffff,
    0x26001fff,0xeeffffff,0xfffeeccc,0x74002fff,0xffffffff,0x84ffffff,
    0x02fffffd,0x3fffffa6,0xffffffff,0xfe8802ff,0xffffffff,0xffe801ff,
    0x05ffffff,0x3f620000,0xffffffff,0x0dffffff,0x3ff62000,0xffffffff,
    0xffd1001e,0xffffffff,0x003dffff,0x3fffffaa,0x0dffffff,0xfffd8800,
    0xffffffff,0x000dffff,0xfffffc88,0x3fffffff,0x5fffffb0,0xffffd500,
    0x7bffffff,0xfffa8001,0x00ceffff,0xffffffb0,0x0000005d,0x3ffffae2,
    0x0bffffff,0x3fae0000,0x03ffffff,0xffffb700,0x7dffffff,0x3ffee000,
    0x02ffffff,0xffeb8800,0xffffffff,0xe980000b,0xffffffff,0x3fff600c,
    0x4c4002ff,0x009aabba,0x9bba9800,0x55330000,0x00000013,0x6765d4c0,
    0x000001ac,0x0009bb98,0x97553100,0x00001555,0x026b2a62,0x5d4c0000,
    0x001accec,0x2aea6000,0x0000009a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2b2eaa20,
    0x22000001,0x3301bcb9,0x30001333,0x00013577,0x2aee6200,0x99990001,
    0x33220005,0xcccccccc,0x004ccccc,0x3e039db3,0x4400007f,0x00009999,
    0x00000000,0x004cccc4,0x7fff64c0,0xbdefffff,0x7ec40000,0x0dffffff,
    0x07fffff3,0xffffd930,0x0001bfff,0xffffdc88,0x00ceffff,0x00bfffd0,
    0x3ffffea0,0xffffffff,0x3a200fff,0x9befffff,0x0006ffb8,0x37fffec0,
    0xfffffd80,0xffffffff,0x0001bdef,0x27fffec0,0x3ffff200,0xffffffff,
    0x30002fff,0xffffffff,0xfff31dff,0xffc807ff,0xffffffff,0xf50004ff,
    0xffffffff,0x007fffff,0x000ffff9,0x3fffffee,0xffffffff,0x3ff200ff,
    0xffffffff,0x00005fff,0x1bffffea,0x7ffffec0,0xffffffff,0x02efffff,
    0xffff9800,0xffd3004f,0xffffffff,0xbfffffff,0x7ffd4001,0xffffffff,
    0xfffffbef,0x3ffff603,0xffffffff,0x362004ff,0xffffffff,0xffffffff,
    0x3ffea01e,0xffd8001f,0xffffffff,0x00ffffff,0x3ffbfffa,0x2fffffff,
    0xfff10000,0x3600dfff,0xffffffff,0xffffffff,0x0005ffff,0x27fffff4,
    0x7ffffdc0,0xffffffff,0xffffffff,0xffff8802,0xffffffff,0xffffffff,
    0xfffff903,0xffffffff,0xf3005fff,0xffffffff,0xffffffff,0x3e201fff,
    0xe8003fff,0xffffffff,0xffffffff,0x443ffe00,0x4fffffca,0x3ff60000,
    0xb006ffff,0xffffffff,0xffffffff,0x01dfffff,0xfffffb00,0xfff9809f,
    0xffffffff,0xffffffff,0x5c01ffff,0xaeffffff,0xfffff930,0xff107fff,
    0x97dfffff,0xffffffff,0xfffff880,0xffffffff,0xffffffff,0x13fffa06,
    0xfffff100,0xffffffff,0x6401ffff,0x06eea03c,0xfffb8000,0xb006ffff,
    0xffffffff,0xffffffff,0x09ffffff,0xfffffd80,0x7ff404ff,0xabefffff,
    0xfffd7510,0x440bffff,0x0dffffff,0xffffff50,0xffff507f,0xfff503df,
    0x7ec03fff,0xadffffff,0x3fffee61,0xf904ffff,0xf9800dff,0x999cffff,
    0x19999999,0x00000000,0xffffff10,0x3f600dff,0xaaaeffff,0xffecbaaa,
    0x00ffffff,0xfffffe98,0x3f204fff,0x04ffffff,0xffffff90,0x3ffee05f,
    0x7e400fff,0xc83fffff,0x203fffff,0x04fffffc,0xfffffff3,0xfffd8805,
    0xff507fff,0x7dc001ff,0x0001ffff,0x00000000,0xffffffd8,0xffb006ff,
    0x2e00bfff,0x5fffffff,0x7ffffdc0,0x304fffff,0x5fffffff,0xffffa800,
    0xffc80fff,0xf8804fff,0xf83fffff,0x200fffff,0x05fffff9,0x1ffffffd,
    0x7ffff400,0xfff882ff,0x3ff2002f,0x00000fff,0x99b99550,0x2e000037,
    0xffffffff,0xfffb006f,0x74400bff,0x41ffffff,0xffffffb8,0x04ffffff,
    0x9ffffffb,0x3fff2000,0xffd84fff,0xfd002fff,0xf887ffff,0xc806ffff,
    0x3fee01ab,0x4003ffff,0x5ffffff8,0x009fffd0,0x03fffff4,0x3ff22000,
    0xffffffff,0x3e20004f,0xffffffff,0xfffb006f,0xf9800bff,0x5c6fffff,
    0xffffffff,0xf04fffff,0x01ffffff,0x3fffe200,0xfffe87ff,0xffb001ff,
    0xfff07fff,0x40000dff,0x07fffffe,0x159dfb00,0x037ffe40,0x4bfffff0,
    0x880009a8,0xffffffff,0x0dffffff,0xffffe800,0x06fffffd,0xbfffffb0,
    0xffffb000,0x7ffdc3ff,0xfffbcfff,0xfffa84ff,0x40004fff,0x0ffffffc,
    0x07fffffc,0xfffffc80,0x7ffffe83,0x3ffe0000,0x10003fff,0x7ffd4001,
    0xfff8800f,0xfffecdff,0xe8800cef,0xffffffff,0xefffffff,0x3ffee000,
    0xfffff8ff,0xffffb006,0xff3000bf,0x7dc7ffff,0xff72ffff,0xff909fff,
    0x0001ffff,0xffffff98,0x3ffffe22,0xfff9000f,0xfff907ff,0x100003ff,
    0x03ffffff,0x3e200000,0xfa802fff,0xffffffff,0x01ffffff,0x7fffffec,
    0xffffffff,0xf3003fff,0x3fe5ffff,0xfb006fff,0x000bffff,0x97fffffe,
    0x2e0dfffb,0xd84fffff,0x007fffff,0xfffff880,0x7ffffc3f,0xfffb001f,
    0xfff707ff,0x500007ff,0x01ffffff,0x7fc00000,0xffb804ff,0xffffffff,
    0x04ffffff,0x9ffffff1,0x3ffee215,0xfd005fff,0x7ffcbfff,0xffb006ff,
    0x2000bfff,0x26fffffe,0xffb80cfb,0xffe84fff,0x00007fff,0x89ffffff,
    0x02fffffe,0x7fffffd0,0x3fff2aa6,0xaaaaaeff,0xfff7001a,0x00000fff,
    0x06fffd80,0xffffffd8,0xffffffff,0xffc81fff,0x3f205fff,0xb806ffff,
    0x3e0fffff,0xb006ffff,0x00bfffff,0x3fffff60,0xffb80267,0xffe84fff,
    0x00006fff,0x8bfffffd,0x04fffffd,0xffffff88,0xffffffb3,0xffffffff,
    0x3ff2009f,0x00007fff,0x7fffdc00,0x7ffffc00,0xfecbdeff,0x106fffff,
    0x4c01b973,0x407fffff,0x42fffff9,0x206fffff,0xffffffff,0xffffffff,
    0x3ffff204,0x3fee007f,0xfff84fff,0x00005fff,0x8ffffffb,0x0ffffffc,
    0x7ffffec0,0xfffffb3f,0xffffffff,0x3f6009ff,0x0006ffff,0x7ffcc000,
    0x3ffe201f,0xff902fff,0x0007ffff,0x1fffffe0,0x0bffffd0,0x40dfffff,
    0xffffffff,0xffffffff,0x3ffff204,0x3fee007f,0xfff84fff,0x00005fff,
    0x8ffffffb,0x5ffffff9,0x3ffffea0,0xffffb3ff,0xffffffff,0x3a009fff,
    0x006fffff,0xfff80000,0x65d4c03f,0x7fff401d,0x510006ff,0xfffffffb,
    0x7ffffe40,0x6fffff80,0x3fffffe0,0xffffffff,0x3ff204ff,0x7000ffff,
    0xd09fffff,0x00dfffff,0x3ffffa00,0xffffd85f,0xf930aeff,0x7fffffff,
    0x3ffffff6,0xffffffff,0xfffb004f,0x00000fff,0x0bfffb00,0xfff30000,
    0x73001fff,0xfffffffb,0x3e60ffff,0xff02ffff,0x7fc0dfff,0xffffffff,
    0x04ffffff,0x1ffffff2,0xfffffb80,0xfffffd84,0xfff00007,0xff309fff,
    0xffffffff,0xffffffff,0x2aaa67ff,0xaffffffb,0x7001aaaa,0x00ffffff,
    0xff700000,0x200000ff,0x01ffffff,0xffffffb3,0xffffffff,0x3ffffa0f,
    0x3ffffe05,0xffffb006,0x3f6000bf,0x2005ffff,0x84fffffb,0x07fffffb,
    0xffff8800,0xfff703ff,0xffffffff,0xfffffbdf,0x3fffe207,0x7d40006f,
    0x000fffff,0x7fcc0000,0x800001ff,0x82fffffe,0xfffffffc,0xffffffff,
    0xffffc87f,0x3fffe00f,0xfffb006f,0x3a000bff,0x004fffff,0x13ffffee,
    0x3fffffea,0x7fcc0001,0x2e02ffff,0xffffffff,0xfffc8eff,0xfff503ff,
    0x98000bff,0x01ffffff,0x00037300,0x0007ffff,0xfffffd00,0xfffffd87,
    0xff1bdfff,0xff88ffff,0xeeeeffff,0xfffffeee,0xfb05eeef,0x000bffff,
    0x0ffffffe,0xfffffb80,0xfffff984,0x7ec0004f,0x400fffff,0xfffffffa,
    0xffff90df,0x3fff207f,0x440003ff,0x04ffffff,0x39dffb00,0x17fff600,
    0x3ffa0000,0x3fee2fff,0xf01cffff,0xf88fffff,0xffffffff,0xffffffff,
    0xb06fffff,0x00bfffff,0xffffff30,0x7ffdc003,0xfff884ff,0x0001ffff,
    0xfffffff3,0x3f6ea200,0x7ffe41bd,0xfffd02ff,0xf00003ff,0x01ffffff,
    0xffffff00,0xffff700d,0x3b72ea60,0xfffff801,0x3ffffa0f,0x7fffc04f,
    0x7fffc47f,0xffffffff,0xffffffff,0xfffb06ff,0xf7000bff,0x001fffff,
    0x27ffffdc,0xffffffd8,0xfffb0005,0x00009fff,0x5fffffb0,0xbfffff30,
    0x3ff20000,0x4003ffff,0x3ffffffb,0x1ffff980,0x5fffffd8,0x7ffffcc0,
    0x3ffffe27,0x3ffe200f,0x7ffc47ff,0xffffffff,0xffffffff,0xffb06fff,
    0xd000bfff,0x00ffffff,0x4fffffb8,0xffffff10,0xffb8007f,0x880fffff,
    0xfe80009a,0xfe81ffff,0x0000ffff,0x3fffffa0,0xfff3000f,0x1001ffff,
    0xf707ffff,0x403fffff,0x25fffffe,0x06fffffa,0x3fffffdc,0x3fffffe2,
    0xffffffff,0xffffffff,0xfffffb06,0xfffc800b,0x5c003fff,0x204fffff,
    0xfffffffb,0x7fec400d,0x502fffff,0x07ddffff,0x7fffff88,0x1fffffd8,
    0xa8020031,0x2fffffff,0x7ffff4c0,0x3fa004ff,0xfff885ff,0xfc81dfff,
    0x260fffff,0x02ffffff,0xfffffff3,0xcccccc88,0xfccccccc,0xcccfffff,
    0xfffffb03,0x3ff2200b,0x000fffff,0x27ffffdc,0x3fffffa0,0x510acfff,
    0xfffffff9,0x7ffc40df,0x3600ffff,0x226fffff,0xdefffffd,0x09bdffff,
    0x6c01fb53,0xdfffffff,0xfff9311a,0x003fffff,0xd83fffe4,0xefffffff,
    0xfffffecb,0x7fffc44f,0xf930beff,0x1fffffff,0xffff0000,0x3ff600df,
    0xaaaaefff,0xfffdcbaa,0x003fffff,0x4fffffb8,0x7ffffcc0,0xffffffff,
    0xffffffff,0x7ff401ff,0xabdfffff,0xfffffeba,0x3ffff22f,0xffffffff,
    0xffffffff,0x3ffe604f,0xffffffff,0xffffffff,0x7d4003ff,0xfe880fff,
    0xffffffff,0x0effffff,0xffffffd8,0xffffffff,0x001fffff,0x6fffff80,
    0xfffffb00,0xffffffff,0xffffffff,0x3ee000bf,0xa804ffff,0xffffffff,
    0xffffffff,0x802fffff,0xfffffffb,0xffffffff,0x7fc45fff,0xffffffff,
    0xffffffff,0x2a00ffff,0xffffffff,0xffffffff,0x88004fff,0xf302ffff,
    0xffffffff,0x01bfffff,0x3fffffe2,0xdfffffff,0x003fffff,0x6fffff80,
    0xfffffb00,0xffffffff,0xffffffff,0x3ee0001d,0x1004ffff,0xfffffffb,
    0xffffffff,0x64001bff,0xffffffff,0xffffffff,0xffffd80f,0xffffffff,
    0xffffffff,0x7fec403f,0xffffffff,0x05ffffff,0x13fffa00,0xfffffe98,
    0x04ffffff,0xffffffa8,0xf88effff,0x0006ffff,0x06fffff8,0xffffffb0,
    0xffffffff,0x07ffffff,0xffffb800,0x7fd4004f,0xffffffff,0x002fffff,
    0xffffff90,0xffffffff,0x3ffe601b,0xfffeddff,0xffffffff,0xff7007ff,
    0xffffffff,0x0005dfff,0x806fffc8,0xffffffea,0x362002df,0x3effffff,
    0x0ffffff4,0x3fffe000,0xfffb006f,0xffffffff,0x9fffffff,0xff700001,
    0x10009fff,0xfffffdb7,0x0017bdff,0xffffb880,0x1defffff,0x300cfe80,
    0xffffffb7,0x4c0039ff,0xffffffdc,0x00002eff,0x001ffff5,0x002aea62,
    0x13753100,0xf8000000,0xb006ffff,0xffffffff,0x9ddfffff,0x5c000017,
    0x004fffff,0x03575300,0x53100000,0x13000335,0xaaaa8800,0x75100001,
    0x00000355,0x00399991,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x40000000,0x00000001,0x00000000,0x00000000,0x00000000,
    0x80000000,0x00000000,0x02666662,0x26666620,0x59973000,0x13333301,
    0x76dc4000,0x00cdefff,0x17fffff6,0xfffb0000,0xffffffff,0x5bdfffff,
    0x3ffff600,0x3fea007f,0xffb2ffff,0xffffffff,0x37bdffff,0x7fffec00,
    0xffffffff,0xffffffff,0x9b1007ff,0x7ffffec0,0xffffffff,0xffffffff,
    0x7fffff91,0xfffff900,0xffffc807,0xff10efff,0x3ff67fff,0xfc882fff,
    0xffffffff,0xfffb03ff,0x80000bff,0xfffffffd,0xffffffff,0x00cfffff,
    0x3fffffe6,0xffffb003,0x7fffecdf,0xffffffff,0x2effffff,0xfffffd80,
    0xffffffff,0xffffffff,0x4ffc807f,0x3fffff60,0xffffffff,0xffffffff,
    0x7fffff91,0xfffff900,0x3fffa207,0x8fffffff,0xb3fffff8,0x885fffff,
    0xffffffff,0x0effffff,0x2fffffec,0x3ff60000,0xffffffff,0xffffffff,
    0x3600efff,0x806fffff,0x2ffffff9,0x3ffffff6,0xffffffff,0x05ffffff,
    0x7fffffec,0xffffffff,0xffffffff,0x3fffea07,0x3ffff604,0xffffffff,
    0xffffffff,0xfffff91f,0xffff9007,0xffff307f,0xffffffff,0x7fffff5f,
    0x0bfffff6,0xfffffffd,0xffffffff,0xfffffd8b,0x7ec00005,0xffffffff,
    0xffffffff,0x205fffff,0x2ffffff9,0x7ffffec0,0x7ffffec6,0xffffffff,
    0xffffffff,0x3ffff606,0xffffffff,0xffffffff,0xfff707ff,0x7fec09ff,
    0xffffffff,0xffffffff,0xfff91fff,0xff9007ff,0xffb07fff,0xffffffff,
    0xffffffff,0x3ffff67f,0x3ffff22f,0xffffffff,0x362fffff,0x005fffff,
    0x7fffec00,0xffffffff,0xffffffff,0x3f604fff,0x2606ffff,0x42ffffff,
    0xfffffffd,0xffffffff,0x4fffffff,0xffffffb0,0xffffffff,0xffffffff,
    0x3fffee0f,0x3fff604f,0xffffffff,0xffffffff,0xffff91ff,0xfff9007f,
    0xfffa87ff,0x989bffff,0xfffffffc,0xfffffb3f,0x3ffffe25,0x3fee22ef,
    0x3f67ffff,0x0005ffff,0x7ffffec0,0xaaa9999e,0xfffffcaa,0x3fe606ff,
    0xfb02ffff,0xfb0dffff,0x555dffff,0xfff97555,0x01ffffff,0x5dfffffb,
    0x55555555,0x55555555,0x3ffffee0,0x3ffff604,0xaaaaaaef,0xaaaaaaaa,
    0xfffff90a,0xffff9007,0xffffe87f,0xfff501ff,0x32e7ffff,0xff51cccc,
    0x2a01ffff,0xb1ffffff,0xffffffff,0xddffffff,0xfffd8079,0x362005ff,
    0x00ffffff,0x1bfffff6,0x3fffffe2,0xfffffd82,0xffff7005,0xffb0bfff,
    0x0000bfff,0x7ffffdc0,0x3ffff604,0xf900005f,0x9007ffff,0x547fffff,
    0x02ffffff,0x7fffffdc,0xffffb003,0xfffe807f,0xffffb2ff,0xffffffff,
    0x7fffffff,0x3fffff60,0x7ffcc005,0x3e602fff,0x641fffff,0xb06fffff,
    0x00bfffff,0xffffffe8,0x7ffffec1,0x4c400005,0xdfffffc9,0x3ff60999,
    0x00005fff,0x07fffff9,0x7fffff90,0x37ffffdc,0x7ffffc40,0xffff003f,
    0xffc803ff,0xfffb4fff,0xffffffff,0xffffffff,0xffffb0bf,0xffd000bf,
    0xfe805fff,0x3e25ffff,0xb02fffff,0x00bfffff,0xffffffa8,0x7ffffec6,
    0x7d400005,0xffffffff,0x3ff66fff,0x00005fff,0x07fffff9,0x7fffff90,
    0x27ffffe4,0xfffffd80,0x13333313,0x01bb32ea,0x4ffffff2,0xfffffffd,
    0xffffffff,0x45ffffff,0x05fffffd,0xffffff80,0x7fffd400,0xffff91ff,
    0x7ffec0df,0xfd8005ff,0x361fffff,0x005fffff,0x7fffd400,0xffffffff,
    0x3fffff66,0xff900005,0xf9007fff,0x7ec7ffff,0x9003ffff,0x367fffff,
    0x002fffff,0x7fffffc0,0xffffffb1,0xffffffff,0xffffffff,0x7ffffec5,
    0x7ffd4005,0xffd006ff,0x3ffe9fff,0x3f602fff,0x8005ffff,0x3ffffff9,
    0x17fffff6,0xfff50000,0xffffffff,0x7fffecdf,0xf900005f,0xb007ffff,
    0x7c7fffff,0x002fffff,0x27fffff7,0x02fffffd,0x3fffe600,0xffffb0ff,
    0x555555df,0xfffffd99,0x7ffecdff,0x3a6005ff,0x003fffff,0x5ffffff5,
    0x80dfffff,0x05fffffd,0xffffff00,0x7ffffec9,0x7d400005,0xffffffff,
    0x3ff66fff,0x00005fff,0x09fffff9,0x7fffffb0,0x0ffffffc,0xfffffb80,
    0x5fffffb3,0x7ffe4000,0x3fff67ff,0xff9005ff,0x363fffff,0x99efffff,
    0xdaaaaa99,0x0effffff,0x3ffffa00,0x2fffffff,0x7ffffec0,0xfffd0005,
    0x7ffecdff,0xccccceff,0xcccccccc,0x7664c3cc,0xccefffff,0x3ffff63c,
    0xf900005f,0xb009ffff,0x747fffff,0x002fffff,0x27fffff9,0x02fffffd,
    0xfffff300,0x7fffec7f,0x3ff2005f,0xffb3ffff,0xffffffff,0xffffffff,
    0x9880bfff,0xffffb999,0x9fffffff,0x3f609999,0x0005ffff,0x4dfffffb,
    0xfffffffd,0xffffffff,0x06ffffff,0x13ffffee,0xffffffd8,0xffffffff,
    0x640fffff,0x805fffff,0x23fffffe,0x03fffffd,0x7fffffb0,0x0bfffff6,
    0x3fffe600,0x7ffec6ff,0x3e6005ff,0xfb4fffff,0xffffffff,0xffffffff,
    0xfd009fff,0xffffffff,0xffffffff,0x7ec9ffff,0x0005ffff,0x4ffffff9,
    0xfffffffd,0xffffffff,0x06ffffff,0x13ffffee,0xffffffd8,0xffffffff,
    0x640fffff,0x806fffff,0x23ffffff,0x04fffffb,0x7fffffd0,0x0bfffff6,
    0xfffff100,0xfffd83ff,0x7fc005ff,0xffb5ffff,0xffffffff,0xffffffff,
    0xfe805dff,0xffffffff,0xffffffff,0x3f64ffff,0x0005ffff,0x4ffffff9,
    0xfffffffd,0xffffffff,0x06ffffff,0x13ffffee,0xffffffd8,0xffffffff,
    0x640fffff,0x00ffffff,0x3fffffe6,0x3ffffea3,0xffffa807,0xffffb3ff,
    0x7fcc005f,0xd85fffff,0x005fffff,0x3fffffe2,0xffffffb5,0xffffffff,
    0xffffffff,0x3fffa01d,0xffffffff,0xffffffff,0x3fff64ff,0xf90005ff,
    0x7ecfffff,0xffffffff,0xffffffff,0x2e06ffff,0x204fffff,0xfffffffd,
    0xffffffff,0x7e40ffff,0x203fffff,0x3ffffffe,0x3fffffe6,0x7ffff403,
    0xffffb3ff,0x3fe6005f,0x80efffff,0x05fffffd,0x3ffffea0,0xfffffb4f,
    0xffffffff,0xffffffff,0xffd03fff,0xffffffff,0xffffffff,0x7fec9fff,
    0x90005fff,0x6cffffff,0xeeffffff,0xeeeeeeee,0x204eeeee,0x04fffffb,
    0x3ffffff6,0xffffffff,0x640fffff,0x2fffffff,0xffffffc8,0x7fffec3f,
    0xffd882ff,0xfb3fffff,0x3005ffff,0xdfffffff,0x3ffff601,0x3ff6005f,
    0xffb3ffff,0x9980bfff,0xffffffb9,0xccccb86f,0xffffeccc,0xccccccdf,
    0x3ffff62c,0xffb0005f,0x7fecffff,0x00005fff,0x3ffffee0,0x3ffff604,
    0xaaaaaaef,0x82aaaaaa,0xfffffffc,0xffffcbdf,0x443fffff,0xdfffffff,
    0xfffffcab,0xffb3ffff,0xf9805fff,0x0effffff,0x3fffff60,0xfffd8805,
    0xffb1ffff,0x8800bfff,0x2ffffffd,0x7fffec00,0x3ff6002f,0xd0005fff,
    0x6cdfffff,0x005fffff,0x3ffee000,0x3ff604ff,0x00005fff,0xfffffff9,
    0xffffffff,0x907fffff,0xffffffff,0xffffffff,0x3ff67fff,0x3e602fff,
    0x0effffff,0x7ffffec0,0xccbaaaae,0xfffffffc,0x3ffff66f,0xff88005f,
    0x4005ffff,0x02fffffd,0x3fffff60,0xffff0005,0x7ffecbff,0x000005ff,
    0x13ffffee,0x5fffffd8,0xfff90000,0xfffffbff,0xffffbfff,0xfffd107f,
    0xffffffff,0x7fffffbd,0x0bfffff6,0x7fffffcc,0xffd800ef,0xffffffff,
    0xffffffff,0x3f60ffff,0x0005ffff,0x8ffffffd,0xeeeeeeed,0xeeffffff,
    0x23eeeeee,0x05fffffd,0xfffff880,0x3ffff63f,0x2000005f,0x04fffffb,
    0x17fffff6,0x7ffe4000,0xffffbbff,0xffff9eff,0x3fff603f,0x95ffffff,
    0x367fffff,0x982fffff,0x5fffffff,0x3ffff600,0xffffffff,0xffffffff,
    0x7fffec1f,0xff90005f,0xffe8ffff,0xffffffff,0xffffffff,0x3ff64fff,
    0xc8005fff,0x21ffffff,0x05fffffd,0x3fee0000,0x3f604fff,0x0005ffff,
    0x7fffff90,0x237ffff2,0x03fffff8,0x7fffff5c,0x3ffff23e,0xfffffb3f,
    0xffffe885,0x7ec005ff,0xffffffff,0xffffffff,0xffd82fff,0xf0005fff,
    0xe8ffffff,0xffffffff,0xffffffff,0x364fffff,0x005fffff,0x7fffffc4,
    0x7ffffec6,0x2e000005,0x204fffff,0x05fffffd,0xffff9000,0x00dd447f,
    0x13751000,0x7fffff90,0x0bfffff6,0xbffffffb,0xffffb000,0xffffffff,
    0x39ffffff,0x3fffff60,0xfff98005,0x7ff45fff,0xffffffff,0xffffffff,
    0x3ff64fff,0x6c005fff,0x43ffffff,0x05fffffd,0x3fee0000,0x3f605fff,
    0x0005ffff,0x7fffff90,0x00000000,0x4ffffff2,0x22fffffd,0xfffffffb,
    0xfffd8000,0xffffffff,0x00bceeef,0x2fffffec,0x3fffaa00,0x7ff43fff,
    0xffffffff,0xffffffff,0x3ff64fff,0xb3005fff,0x0fffffff,0x0bfffffb,
    0x7fdc0000,0x3f606fff,0x0005ffff,0x7fffff90,0x00000000,0x4ffffff2,
    0x12fffffd,0xffffffff,0xdddddddd,0x3ff67ddd,0x00005fff,0x77ffffec,
    0xaaaaaaaa,0xfffffdca,0x6c001fff,0x002fffff,0x3bfffff6,0xcaaaaaaa,
    0xfffffffd,0xffffd83f,0xaaaaaaef,0xaaaaaaaa,0xffa81aaa,0x6eceffff,
    0x17fffff6,0x7ffe4000,0x000003ff,0xffff9000,0x3ffff67f,0xfffff72f,
    0xffffffff,0x29ffffff,0x05fffffd,0x7ffec000,0xffffffff,0xffffffff,
    0x004fffff,0x2fffffd8,0x3ffff600,0xffffffff,0xffffffff,0xfffb04ff,
    0xffffffff,0xffffffff,0xf109ffff,0xffffffff,0x7ffffecf,0xff900005,
    0x00007fff,0x3ff20000,0xfffb3fff,0x3fffe5ff,0xffffffff,0xffffffff,
    0xbfffffb4,0xffd80000,0xffffffff,0xffffffff,0x005fffff,0x5fffffb0,
    0x7fffec00,0xffffffff,0xffffffff,0x3fff606f,0xffffffff,0xffffffff,
    0xfd04ffff,0xffffffff,0x3fffff61,0xff900005,0x00007fff,0x3ff20000,
    0xfffb3fff,0xffff55ff,0xffffffff,0xffffffff,0x3fffff69,0x7ec00005,
    0xffffffff,0xffffffff,0x00efffff,0xfffffb00,0x7ffec005,0xffffffff,
    0xffffffff,0x7ffec02f,0xffffffff,0xffffffff,0xf504ffff,0xffffffff,
    0x3fffff63,0xff900005,0x00007fff,0x3ff20000,0xfffb3fff,0xffff75ff,
    0xffffffff,0xffffffff,0x3fffff69,0x7ec00005,0xffffffff,0xffffffff,
    0x000befff,0x3fffff60,0x3fff6002,0xffffffff,0x4fffffff,0xfffffb00,
    0xffffffff,0xffffffff,0x7f4c09ff,0xb0dfffff,0x00bfffff,0x3ffff200,
    0x0000003f,0xfffff900,0x3fffff67,0xffffffda,0xffffffff,0xb4ffffff,
    0x00bfffff,0xffffd800,0xffffffff,0x1ceeffff,0xfffb0000,0x7ec005ff,
    0xffffffff,0xbceeffff,0x3fff6000,0xffffffff,0xffffffff,0x8804ffff,
    0xffd80aba,0x00005fff,0x05ddddd7,0x20000000,0xb2eeeeeb,0x005fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4cc00000,0xca880999,0x000001ac,0x53000000,0x00000013,
    0x6664c000,0x00001ccc,0x99997000,0x5cc00039,0x000001ab,0x00000000,
    0x33320000,0x666540cc,0x7ffffc2c,0x3ffffaa5,0x3f602fff,0x8005ffff,
    0x06fffffc,0x7ffff6cc,0xf800ceff,0x000fffff,0x7fffec00,0x3ffffa4f,
    0x9800002f,0x06ffffff,0x7ffff540,0xff90efff,0x9000dfff,0xdfffffff,
    0x7fec0001,0x0003ffff,0x20fffffc,0x7c4ffffc,0xff55ffff,0xffffffff,
    0x3ffff609,0xffc8005f,0xfb106fff,0xffffffff,0xff807fff,0x0000ffff,
    0x3ffffe20,0x7fffff45,0x74400002,0x4fffffff,0xfffff500,0x7e4fffff,
    0x4006ffff,0xfffffffb,0x3e20000f,0x06ffffff,0x7ffffc00,0x27fffe41,
    0x2f7ffffe,0xffffffff,0xfd86ffff,0x8005ffff,0x86fffffc,0xfffffffa,
    0xffffffff,0xfffff01f,0x6400001f,0xfe85ffff,0x0002ffff,0x77fffec0,
    0x4c01ffff,0xffffffff,0x3fff25ff,0x3ee006ff,0x1fffffff,0x7ffdc000,
    0x002fffff,0x07ffffe0,0xf89ffff9,0xffffffff,0xffffffff,0x7fec3fff,
    0xc8005fff,0x4c6fffff,0xffffffff,0xffffffff,0xffff80ff,0x100000ff,
    0xd01dffff,0x005fffff,0x7fffd400,0x0fffff8c,0x3fffff20,0x324fffff,
    0x006fffff,0xfffffff5,0xfd00003f,0xbfffffff,0x7fffc000,0x7fffe41f,
    0x7fffffc4,0xda99bfff,0x0fffffff,0x17fffff6,0x3ffff200,0x3fffe26f,
    0xbaacefff,0x5ffffffe,0x0ffffff8,0xfff90000,0x3fffa01d,0x100002ff,
    0x7d4dffff,0x3fa05fff,0x99beffff,0x3ffff20a,0xfff9806f,0x001fffff,
    0xfffff980,0x000fffff,0x81999990,0x7c2cccca,0x1effffff,0xffffff70,
    0x7ffffec9,0xfffc8005,0x3fff66ff,0x3ea03fff,0x7c3fffff,0x000fffff,
    0x0ffff880,0x3fffffa0,0xdd900002,0xeeeb81dd,0xfffff01e,0xfffc807f,
    0x7fcc06ff,0x01ffffff,0xffff9000,0x07ffffff,0xf8000000,0x01ffffff,
    0x3fffffec,0x0bfffffb,0xfffff900,0x7fffffcd,0xffffa803,0x7ffffc5f,
    0x0000000f,0x2fffffe8,0x00000000,0x3ffffff0,0xfffffc80,0x3fffe206,
    0x0001ffff,0xffffff10,0x00dfffff,0xff800000,0x9805ffff,0xb0ffffff,
    0x00bfffff,0xdfffff90,0x17ffffe6,0x7fffff80,0x07fffffc,0x74000000,
    0x002fffff,0xf0000000,0x801fffff,0x06fffffc,0xffffffd1,0x5400005f,
    0xffefffff,0x0002ffff,0x3ffe0000,0xfd002fff,0x3f63ffff,0x8005ffff,
    0x76fffffc,0x005fffff,0x0fffffec,0x01ffffff,0x4cccccc4,0x4ccccc40,
    0xfffffe80,0x55e5cc42,0x4ccc4000,0x33310099,0x33ffffff,0xfffc8133,
    0xffe886ff,0x002fffff,0x7ffff400,0xfffffdaf,0x99880005,0x7fc00999,
    0xb001ffff,0x365fffff,0x005fffff,0x6fffffc8,0x0012ea66,0x41ffffff,
    0x00ffffff,0xfffffff5,0xfffffd83,0xfffffe82,0xfffffb12,0x36001bff,
    0x702fffff,0xffffffff,0xc89fffff,0xe86fffff,0x2fffffff,0x7fcc0000,
    0xffa8ffff,0x0000ffff,0x17ffffec,0x3fffffe0,0xffff9000,0x3ffff67f,
    0xffc8005f,0x00006fff,0x8dfffff3,0x80ffffff,0xfffffff9,0xfffffd81,
    0xfffffe82,0xfffffe9a,0x801effff,0x02fffffd,0xfffffff7,0x89ffffff,
    0x46fffffc,0xfffffffd,0xfc800003,0xff15ffff,0x0007ffff,0x2fffffd8,
    0x7fffffc0,0xffff9000,0x3ffff69f,0xffc8005f,0x80006fff,0x3fffffe8,
    0x07fffffc,0x3fffffa2,0xffffb02f,0xffffd05f,0xffffff9f,0x0fffffff,
    0x5fffffb0,0x3ffffee0,0xffffffff,0x7ffffe44,0x3fffff66,0x000003ff,
    0x45ffffff,0x06fffffc,0x7fffec00,0x7fffc02f,0xffb001ff,0x3ff67fff,
    0xaaaaefff,0xaaaaaaaa,0x06fffffd,0x7fff4400,0x7ffc0fff,0x3fa20fff,
    0x202fffff,0x82fffffd,0xfffffffe,0xffffffff,0x6c03ffff,0x702fffff,
    0xffffffff,0xc89fffff,0xf96fffff,0x0bffffff,0x3fea0000,0x7fcc7fff,
    0x0002ffff,0x0bfffff6,0x5ffffff0,0x3ffff600,0xfffffb2f,0xffffffff,
    0xffffffff,0x4000dfff,0xfffffff9,0xffffff83,0x3fffff60,0x7ffec03f,
    0xfffe82ff,0x31beffff,0xdffffff9,0xfffffd80,0xff999302,0x9999ffff,
    0xfffffc85,0xffffffbe,0x00001fff,0x4fffffd8,0x5fffffe8,0x3fff6000,
    0x7ffc02ff,0xfd004fff,0x3f63ffff,0xffffffff,0xffffffff,0x6fffffff,
    0xffff5000,0x3fe09fff,0xffb0ffff,0xb009ffff,0xd05fffff,0x1fffffff,
    0x3fffff20,0x3fff600f,0xfff002ff,0xff900fff,0xffffffff,0x0dffffff,
    0xfff88000,0xffc81fff,0x0000ffff,0x05fffffb,0xfffffff8,0x7fffd400,
    0xffffb0ff,0xffffffff,0xffffffff,0x000dffff,0xfffffff7,0x7ffffc09,
    0xfffffc8f,0xfffb004f,0xfffd05ff,0x7c403fff,0x201fffff,0x02fffffd,
    0x0ffffff0,0xffffff90,0xffffffff,0x00007fff,0x37ffffdc,0xffffff88,
    0xfffb0003,0xfff805ff,0x6c03ffff,0x366fffff,0xffffffff,0xffffffff,
    0xffffffff,0x7ffd4006,0x7c03ffff,0xffcfffff,0x2005ffff,0x82fffffd,
    0x05fffffe,0x1ffffff8,0x3fffff60,0xfffff002,0xffff900f,0xffffffff,
    0x01ffffff,0x3fffa000,0x3ffa03ff,0xb0006fff,0x805fffff,0xffffffff,
    0xfffff903,0x7fffec5f,0xffffffff,0xffffffff,0x2006ffff,0xfffffff8,
    0xfffff802,0xffffffff,0x3fff6000,0xfffe82ff,0xffe803ff,0x3f601fff,
    0xf002ffff,0x900fffff,0xffffffff,0xffff97ff,0x30000bff,0x01ffffff,
    0x7fffffdc,0xfffd8002,0x7ffc02ff,0xceffffff,0xfffffeca,0x7fffec6f,
    0xffc8005f,0x2a006fff,0x02ffffff,0xfffffff0,0x09ffffff,0x7ffffec0,
    0xfffffe82,0xffffe803,0x3fff602f,0xfff002ff,0xff900fff,0x9fffffff,
    0x3fffffe2,0x7e40003f,0x4406ffff,0x05ffffff,0xfffffd80,0x7ffffc02,
    0xffffffff,0x1fffffff,0x2fffffec,0x7fffe400,0x3ff2006f,0x3e002fff,
    0xffffffff,0x001fffff,0x05fffffb,0x05fffffd,0x5fffffd0,0x7ffffec0,
    0xfffff002,0xffff900f,0xfb89ffff,0x00ffffff,0xfffff100,0x999999df,
    0xffffff99,0xffd8001f,0x7fc02fff,0xfffcffff,0xffffffff,0xffffd84f,
    0xffc8005f,0x3a006fff,0x4005ffff,0xffffffff,0x06ffffff,0x5fffffb0,
    0x5fffffd0,0xfffffd00,0x7fffec05,0xffff002f,0xfff900ff,0x3a09ffff,
    0x05ffffff,0xfffff700,0xffffffff,0xffffffff,0xffd8007f,0x7fc02fff,
    0xfe98ffff,0xffffffff,0xfffffb02,0xfff9000b,0x7fc00dff,0x7c003fff,
    0xefffffff,0x02ffffff,0x2fffffd8,0x2fffffe8,0xfffffe80,0x3ffff602,
    0xffff002f,0xfff900ff,0x7cc09fff,0x02ffffff,0xfffffe80,0xffffffff,
    0xffffffff,0x7fec006f,0x7fc02fff,0xfb10ffff,0x01bfffff,0x2fffffec,
    0x7fffe400,0xfff1006f,0xff8007ff,0xb8ffffff,0x806fffff,0x82fffffd,
    0x02fffffe,0x2fffffe8,0x3fffff60,0xfffff002,0xffff900f,0xfffb00df,
    0x4001ffff,0xfffffff9,0xffffffff,0xffffffff,0x3ff6002f,0x7fc02fff,
    0xb980ffff,0xfffb001a,0xf9000bff,0x200dffff,0x02eeeee8,0x7fffffc0,
    0x3ffffa1f,0x7ffec03f,0xfffe82ff,0xffe802ff,0x3f602fff,0xf002ffff,
    0x900fffff,0x00dfffff,0xfffffff1,0x7ffe400b,0xffffffff,0xffffffff,
    0x005fffff,0x0bfffff6,0x1ffffff0,0x3ff60000,0xc8005fff,0x006fffff,
    0x7ffc0000,0x7fd41fff,0x3600ffff,0xe82fffff,0x802fffff,0x02fffffe,
    0x0bfffff6,0x3fffffc0,0x7ffffe40,0xffff9006,0x3e005fff,0xeeefffff,
    0xeeeeeeee,0xffffffee,0xfffb000f,0xfff805ff,0x00000fff,0x0bfffffb,
    0xfffff900,0x4cccc00d,0x7ffc0019,0xffe80fff,0x3f605fff,0xfe82ffff,
    0xe802ffff,0x202fffff,0x02fffffd,0x0ffffff0,0xdfffff90,0x3fffe200,
    0x5400ffff,0x01ffffff,0xfffffa80,0xfffb003f,0xfff805ff,0x00000fff,
    0x0bfffffb,0xfffff900,0x3ffe200d,0x7fc007ff,0xf980ffff,0xb01fffff,
    0xd05fffff,0x005fffff,0x05fffffd,0x17ffffec,0x7fffff80,0xfffffc80,
    0x3ffea006,0x6c04ffff,0x006fffff,0x3fffffe0,0xffffb006,0xffff805f,
    0xb00000ff,0x00bfffff,0xdfffff90,0x3fffe200,0x7ffc007f,0xffb00fff,
    0x3f60dfff,0xfe82ffff,0xe802ffff,0x202fffff,0x02fffffd,0x0ffffff0,
    0xdfffff90,0xffffe800,0xff101fff,0x0007ffff,0x7fffffe4,0xffffd802,
    0x7fffc02f,0xb00000ff,0x00bfffff,0xdfffff90,0x3fffe200,0x7ffc007f,
    0xff100fff,0xfb05ffff,0xfd05ffff,0xd005ffff,0x405fffff,0x02fffffd,
    0x0ffffff0,0xdfffff90,0xffff9800,0xff706fff,0x0001ffff,0x7fffffcc,
    0xffffd805,0x7fffc02f,0xb00000ff,0x00bfffff,0xdfffff90,0x3fffe200,
    0x7ffc007f,0x3f200fff,0x6c0fffff,0xe82fffff,0x802fffff,0x02fffffe,
    0x0bfffff6,0x3fffffc0,0x7ffffe40,0xfffc8006,0xfe84ffff,0x0005ffff,
    0xffffffe8,0x7fffec00,0x7fffc02f,0xb00000ff,0x00bfffff,0xdfffff90,
    0x3fffe200,0x7ffc007f,0x3e200fff,0x6c4fffff,0xe82fffff,0x802fffff,
    0x02fffffe,0x0bfffff6,0x3fffffc0,0x7ffffe40,0xfff88006,0x261fffff,
    0x02ffffff,0xffffb800,0x7fec03ff,0x76c02fff,0x0000eeee,0xbfffffb0,
    0xffff9000,0x3fe200df,0x7c007fff,0x400fffff,0x0ffffffb,0x0bfffff6,
    0x0bfffffa,0x3fffffa0,0x3ffff602,0xffff002f,0xfff900ff,0x2e000dff,
    0x6fffffff,0x3ffffff6,0xff880000,0x6c07ffff,0x002fffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x02dec880,0x00003ffb,0x70000000,0x00bddddd,0xf1000000,0xffffffff,
    0xffffffff,0xffffffff,0x7ff4ffff,0x07ffffff,0x7ffffec0,0xff90ffff,
    0x3000dfff,0x6cbfffff,0x06ffffff,0x3ffffa00,0xffffb3ff,0xffffffff,
    0x0179dfff,0xfffff900,0xfff5159f,0x7fffe401,0x7c4006ff,0x23ffffff,
    0x94ffffff,0x00dfffff,0xf9000000,0xffffffff,0xffffffff,0xffffffff,
    0x7ff4ffff,0x1fffffff,0x3ffffe00,0xf90fffff,0x007fffff,0x5fffff98,
    0x3fffffe2,0xffb8002f,0x3f66ffff,0xffffffff,0xffffffff,0x3e6004ff,
    0xffffffff,0x4407ffff,0x3ffffffe,0x3ffff200,0x7fffc6ff,0xffff94ff,
    0x000000df,0xfffff880,0xffffffff,0xffffffff,0xffffffff,0x3fffffa7,
    0x3003ffff,0xffffffff,0x3fff21ff,0x2000ffff,0x45fffff9,0xfffffffb,
    0x3ffe2000,0x3f61ffff,0xffffffff,0xffffffff,0xf9005fff,0xfffffdff,
    0x5009ffff,0x1fffffff,0xfffff300,0xffff83ff,0xffff94ff,0x000000df,
    0xfffffc80,0xffffffff,0xffffffff,0xffffffff,0x3fffffa7,0x7005ffff,
    0xffffffff,0x3fff21ff,0x2005ffff,0x85fffff9,0x4ffffffe,0x3ffff200,
    0x7ffec4ff,0xffffffff,0xffffffff,0xffd805ff,0x3fffae62,0xffb000ef,
    0xd00bffff,0x07ffffff,0x29ffffff,0x06fffffc,0x22000000,0xeeffffff,
    0xfffffffe,0xffffffff,0x27ffffff,0xfffffffe,0xffb007ff,0xffffffff,
    0x3fffff21,0xf3002fff,0xf30bffff,0x03ffffff,0xffffff30,0xffffd81f,
    0xffffffff,0xffffffff,0x665c02ff,0x00597300,0xffffff88,0x3ffee02f,
    0xfff06fff,0x3ff29fff,0x00006fff,0x3ffee000,0x3ffe66ff,0xaaaabfff,
    0xaaaaaaaa,0x3fffa2aa,0x1fffffff,0xffffff80,0xf90fffff,0xffffffff,
    0xffff3001,0x3fff20bf,0xfd805fff,0xd82fffff,0xaaefffff,0xffcbaaaa,
    0x06ffffff,0xa8000000,0x0fffffff,0xffffff88,0xfffff01f,0x3ffff29f,
    0x0000006f,0x3fffffe0,0x3ffffe63,0xfd00000f,0xffffffff,0xfff9809f,
    0xffffffff,0xffffff90,0xf3009fff,0x740bffff,0x02ffffff,0x3fffffea,
    0xfffffb05,0xfffb100b,0x0005ffff,0xffb00000,0xfb09ffff,0x409fffff,
    0x94ffffff,0x00dfffff,0x3ea00000,0x260fffff,0x00ffffff,0xffffd000,
    0x0dffffdf,0xefffffb8,0xf90fffff,0xffffffff,0xfff9803f,0x3fea05ff,
    0x3a06ffff,0x00ffffff,0x0bfffffb,0x7ffffec0,0x32ea003f,0x40001acd,
    0xfffffff8,0x3ffffe61,0x3ffe00ef,0xfff94fff,0x00000dff,0x3ffffa00,
    0x7fffcc4f,0xd00000ff,0xff9fffff,0x7f401fff,0xfffecfff,0xffff90ff,
    0x0dffffff,0x5fffff98,0x7ffffec0,0xffffb84f,0x3ff603ff,0x2a005fff,
    0x04ffffff,0x7ffffe44,0x001effff,0xffffff70,0x7fffff4d,0x7fff402f,
    0xffff94ff,0x000000df,0xffffff50,0xfffff981,0xfd00000f,0xfff5ffff,
    0x3fe205ff,0xfffeafff,0xffff90ff,0x5fffffff,0x7ffffcc0,0x7fffc405,
    0x3fe20fff,0x6c06ffff,0x005fffff,0x2ffffffc,0xffffff50,0x7fffffff,
    0x3fffa000,0xfffbbfff,0xfd805fff,0xff93ffff,0x0000dfff,0xffffd000,
    0xffff30bf,0x200001ff,0xe8fffffe,0xf504ffff,0xffd1ffff,0x3ff21fff,
    0xffffffff,0xfff300ff,0xff500bff,0x7e4bffff,0x401fffff,0x05fffffd,
    0x7fffffc0,0xfffff905,0xffffffff,0x98003dff,0xffffffff,0x00ffffff,
    0x2fffffc8,0x0dfffff9,0xf9800000,0x981fffff,0x00ffffff,0xffffd000,
    0xdffff91f,0x5fffff20,0x90fffffe,0xffbfffff,0x2609ffff,0x005fffff,
    0x5ffffffb,0x9ffffff3,0xfffffb00,0x7ffd400b,0xffb84fff,0xffffffff,
    0x6fffffff,0xffffb800,0xffffffff,0xffff9002,0x3ffff23f,0x0000006f,
    0x37ffffec,0xffffff98,0xaaaaaaab,0x41aaaaaa,0xa8fffffe,0xe80fffff,
    0xffd5ffff,0x3ff21fff,0xfffeafff,0xff981fff,0xf1005fff,0xfddfffff,
    0x001fffff,0x0bfffffb,0x7ffffec0,0x7fffcc3f,0xcaabefff,0x3fffffff,
    0xffffe800,0x05ffffff,0x3ffffee0,0xdfffff91,0x4c000000,0x02ffffff,
    0xfffffff3,0xffffffff,0xe8bfffff,0xf88fffff,0x7c42ffff,0xffd2ffff,
    0x3ff21fff,0xfff9afff,0xff986fff,0x2e005fff,0xffffffff,0xb002ffff,
    0x00bfffff,0xffffffd1,0xffffe81f,0xffd103ff,0x8003ffff,0xfffffff9,
    0x2a000fff,0xf90fffff,0x000dffff,0x7ffe4000,0x3fe606ff,0xffffffff,
    0xffffffff,0x7fff45ff,0xffffd0ff,0xfffffa8b,0x1fffffd0,0x4bfffff2,
    0x3ffffffc,0x2fffffcc,0x3ffffa00,0x05ffffff,0x3fffff60,0xccccccce,
    0xfffffffe,0x7fffcc6f,0x7fc403ff,0x8006ffff,0xfffffffc,0x7fcc003f,
    0x3fff27ff,0x000006ff,0xffffff10,0x7fffcc07,0xffffffff,0xffffffff,
    0x7fffff45,0x8fffff90,0x3a7ffffc,0xf90fffff,0x7f45ffff,0x260fffff,
    0x005fffff,0x7fffffcc,0x2000ffff,0xfffffffd,0xffffffff,0x0fffffff,
    0x37ffffe4,0xfffffb80,0xfff98007,0x8007ffff,0x326ffff9,0x006fffff,
    0xfff90000,0x7cc01fff,0xffffffff,0xffffffff,0x7ff45fff,0xfff50fff,
    0x7fff43ff,0x3ffffa5f,0xfffff90f,0x7ffffd45,0x3fffe65f,0xffc8005f,
    0x03ffffff,0x7ffffec0,0xffffffff,0xffffffff,0xfffffe81,0x3fffe003,
    0x7f4001ff,0x3fffffff,0x7fffc400,0x3fffff26,0x88000006,0x04ffffff,
    0x7fffffcc,0xffffffff,0x45ffffff,0x10fffffe,0x227fffff,0x3a3fffff,
    0xf90fffff,0xfd85ffff,0xf32fffff,0x000bffff,0xfffffff1,0xfffb000d,
    0xffffffff,0xffffffff,0x3fffe05f,0x3fa002ff,0x2002ffff,0xfffffffb,
    0x7c000fff,0x3ff25fff,0x00006fff,0xfffffb80,0x999999af,0xffffffa9,
    0xffd00000,0x7ff41fff,0xffff55ff,0x7ffff41f,0xfffff90f,0xfffff885,
    0xfffff36f,0x3fee000b,0x8001ffff,0xfffffffd,0xffffffff,0xf100cfff,
    0x003fffff,0x27ffffec,0xfffff880,0x05ffffff,0x927fff40,0x00dfffff,
    0xffff0000,0xffffffff,0xffffffff,0x200001ff,0x20fffffe,0xf97ffffc,
    0xffe8ffff,0xfff90fff,0xfff705ff,0xfff37fff,0x2a000bff,0x00ffffff,
    0xfffffd80,0xeeefffff,0x4400bcde,0x00ffffff,0x3fffff20,0xffffd005,
    0xffffffff,0x7fff4007,0x3fffff23,0x5c000006,0xffffffff,0xffffffff,
    0x00ffffff,0xffffd000,0x7fffd41f,0x5ffffe9f,0x87fffff4,0x02fffffc,
    0x5ffffffd,0x00bfffff,0x3ffffea0,0xffd8000f,0x00005fff,0x1ffffff8,
    0x3ffff600,0xfffb803f,0xffffffff,0xfb000fff,0x7ffe47ff,0x000006ff,
    0x7ffffff4,0xffffffff,0xffffffff,0xffd00000,0x7fc41fff,0xffffdfff,
    0x7ffff43f,0xfffff90f,0x3fffe605,0xffffffff,0xfff50005,0xb0001fff,
    0x00bfffff,0xfffff000,0x7ff4005f,0x7c402fff,0xdbffffff,0x05ffffff,
    0x645fff90,0x006fffff,0x3ffea000,0xffffffff,0xffffffff,0x0000ffff,
    0x1fffffd0,0xffffffe8,0x7f40ffff,0xff90ffff,0x7e405fff,0xffffffff,
    0xf50005ff,0x001fffff,0xbfffffb0,0xffd00000,0x22009fff,0x00ffffff,
    0x7fffffec,0xffffff16,0xfff7007f,0x7ffffe43,0x3a000006,0xffffffff,
    0xffffffff,0x0fffffff,0xfffd0000,0xfffc81ff,0x87ffffff,0x90fffffe,
    0x405fffff,0xfffffff8,0x0005ffff,0x1ffffff5,0xffffb000,0x900000bf,
    0x01ffffff,0xffffff90,0xfffffa80,0x3ffee1ff,0x5400ffff,0x3ff20eee,
    0x00006fff,0xffffff50,0x5555555b,0xffff9555,0x200001ff,0x40fffffe,
    0xfffffffa,0xfffe85ff,0xffff90ff,0xfffa805f,0x5fffffff,0xffff5000,
    0xfb0001ff,0x000bffff,0xfffff300,0xfff8809f,0x3e204fff,0x84ffffff,
    0x5ffffffe,0x3fff2000,0x000006ff,0x1ffffffb,0x7fffd400,0xd00000ff,
    0x881fffff,0xffffffff,0xffffe83f,0xfffff90f,0xffffd005,0x00bfffff,
    0x3ffffea0,0xffd8000f,0x00005fff,0xffffffd0,0xffff501b,0x7ec01fff,
    0x306fffff,0x7fffffff,0x26666620,0xffffff90,0x55555555,0x55555555,
    0xffffff30,0xfffa800b,0xaaaabfff,0xaaaaaaaa,0xfffd1aaa,0xfffd01ff,
    0xd01fffff,0x321fffff,0x802fffff,0xfffffff9,0xf50005ff,0x001fffff,
    0xbfffffb0,0x3e600000,0xdfffffff,0xfffffecc,0x3fea02ff,0x201fffff,
    0xfffffffb,0xfffffd80,0xffffff92,0xffffffff,0xffffffff,0xffffffb0,
    0xfffa8003,0xffffffff,0xffffffff,0xfffd4fff,0xfff901ff,0x3a0fffff,
    0xf90fffff,0x2005ffff,0xfffffffc,0xff50005f,0x0001ffff,0x0bfffffb,
    0x7fdc0000,0xffffffff,0x5fffffff,0x3ffffe20,0xffe804ff,0xfd85ffff,
    0xff92ffff,0xffffffff,0xffffffff,0xff88ffff,0x8006ffff,0xfffffffa,
    0xffffffff,0x4fffffff,0x01fffffd,0xfffffff5,0x3ffffa0b,0xfffff90f,
    0x7fff4005,0x0005ffff,0x1ffffff5,0xffffb000,0x800000bf,0xfffffffb,
    0xffffffff,0x7fffec04,0xf9800fff,0x43ffffff,0x92fffffd,0xffffffff,
    0xffffffff,0xc8ffffff,0x02ffffff,0xfffffa80,0xffffffff,0xffffffff,
    0xfffffd4f,0xfffff101,0x3ffa07ff,0xfff90fff,0x7d4005ff,0x05ffffff,
    0xfffff500,0xffb0001f,0x0000bfff,0xffffd300,0xdfffffff,0xffffa805,
    0x32002fff,0x0fffffff,0x4bfffff6,0xfffffffc,0xffffffff,0x27ffffff,
    0x6ffffff8,0xffff5000,0xffffffff,0xffffffff,0x3fffa9ff,0xfffd00ff,
    0x3fa03fff,0xff90ffff,0xd8005fff,0x05ffffff,0xfffff500,0xffb0001f,
    0x0000bfff,0x7ffed400,0x00ceffff,0x7fffffc4,0x7f44005f,0x365fffff,
    0xf92fffff,0xffffffff,0xffffffff,0x7e4fffff,0x003fffff,0xffffff50,
    0xffffffff,0xffffffff,0x3fffffa9,0xfffff900,0x7ffff40f,0xfffff90f,
    0xfff88005,0x50005fff,0x01ffffff,0xfffffb00,0x0000000b,0x00357531,
    0xffffffc8,0xffa8000f,0xfb3fffff,0x0005ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x99990000,
    0x99999999,0x99999999,0x4ccccc47,0x0b7b2200,0x4000ffec,0x00199998,
    0x02666662,0xffffff90,0xffffffff,0xffffffff,0xfffffe8d,0x3e60000f,
    0xfb4fffff,0xffffffff,0xdfffffff,0x7c00159b,0xffffffff,0xffffffff,
    0xffffffff,0xdfffffb2,0x7fffec00,0xf5001fff,0x221fffff,0xffffffff,
    0xffffffff,0x3f66ffff,0xf902ffff,0x159fffff,0x0001fff5,0x00fffff7,
    0x1fffffe4,0x3fffff20,0xffffffff,0xffffffff,0x7fffdc6f,0x320003ff,
    0xb1ffffff,0xffffffff,0xffffffff,0x007fffff,0x3ffffffe,0xffffffff,
    0xffffffff,0xffff72ff,0x3fe001ff,0x03ffffff,0xdfffff90,0x7fffffc4,
    0xffffffff,0x26ffffff,0x82fffffd,0xfffffffa,0x07ffffff,0xfffff700,
    0x7fffe400,0x7ffe403f,0xffffffff,0xffffffff,0x7fc46fff,0x0006ffff,
    0x9bfffffa,0xfffffffd,0xffffffff,0x6fffffff,0xffffff80,0xffffffff,
    0xffffffff,0xfff32fff,0xf3005fff,0xbfffffff,0x3ffffa00,0x3fffe24f,
    0xffffffff,0xffffffff,0x3fffff66,0xfefffc82,0xffffffff,0xfff70004,
    0x7fe400ff,0x7e403fff,0xffffffff,0xffffffff,0xd86fffff,0x01ffffff,
    0xfffff980,0x3ffff63f,0xffffffff,0xffffffff,0x7fc05fff,0xffffffff,
    0xffffffff,0x2fffffff,0x0ffffffe,0x3ffffee0,0xf8807fff,0x222fffff,
    0xffffffff,0xffffffff,0x3f66ffff,0xfd82ffff,0x3ffb262f,0x70000eff,
    0x400fffff,0x03fffffc,0x7fffffe4,0xffffffff,0xffffffff,0xfffffa86,
    0xffb8003f,0x3f60ffff,0xffffffff,0xffffffff,0x2fffffff,0x3fffffe0,
    0xffffffff,0xffffffff,0x3ff62fff,0xfd805fff,0xffffffff,0x7fffcc01,
    0x3ffe20ff,0xffffffff,0xffffffff,0x3ffff62f,0x204cb82f,0x40002cb9,
    0x007ffffb,0x0ffffff2,0x55555530,0x55555555,0xffffffff,0xfffff105,
    0xffd000df,0xffd8dfff,0xaaaaefff,0xffbaaaaa,0x05ffffff,0x2aaaaaaa,
    0xfffffdaa,0xaaaaaaaf,0x3ffee0aa,0xfff807ff,0x3fffffff,0x7ffffdc0,
    0x99999986,0xc9999999,0x6c3fffff,0x002fffff,0xfb800000,0x32007fff,
    0x003fffff,0xffff9000,0x7ec09fff,0x001fffff,0x3fffffe6,0x7ffffec3,
    0x3fee2005,0x000fffff,0x3ffffee0,0xfffa8007,0x3e600fff,0xffffffff,
    0x7ffec05f,0x880004ff,0x005fffff,0x00000000,0x03ffffdc,0x80000000,
    0xfffffffa,0x7fffd405,0x3ee004ff,0x6c0fffff,0x005fffff,0xffffffe8,
    0x3fee0001,0x88007fff,0x02ffffff,0x3fffffee,0x7c07ffff,0x002fffff,
    0x6ffffd80,0x33331000,0x2af2e601,0x3fee0000,0x000007ff,0xfff98000,
    0x800effff,0x06ffffff,0x3fffffa0,0xfffffd85,0xfffb8005,0x20002fff,
    0x07fffffb,0xfffffd00,0x7fffec09,0x1fffffdf,0xffffff10,0xffa80001,
    0xd0002fff,0x6c4dffff,0xdfffffff,0xeeeeed80,0xfffffeee,0xeeeeeeee,
    0x20000002,0xffffffe8,0xfff9001f,0xf1003fff,0xb05fffff,0x00bfffff,
    0xffffff30,0x7fdc0005,0x90007fff,0x40dfffff,0xfbdfffff,0xf503ffff,
    0x000dffff,0x5fffff88,0x3fffa000,0xfffff36f,0x85ffffff,0xfffffffe,
    0xffffffff,0x03ffffff,0x3f600000,0x02ffffff,0x3ffffe60,0xfffb804f,
    0xffd80fff,0xb8005fff,0x01ffffff,0x3fffee00,0xff50007f,0x3ea0ffff,
    0xff8bffff,0xff905fff,0x80009fff,0x00fffffd,0x3ffffa00,0xffffffae,
    0x0fffffff,0x3ffffffa,0xffffffff,0x3fffffff,0xf9000000,0x07ffffff,
    0xfffffd00,0xffffd00f,0x3fff60bf,0xfd8005ff,0x000fffff,0x3ffffee0,
    0xfff10007,0xff903fff,0x3ffa3fff,0xfffb07ff,0x4c0007ff,0x003fffff,
    0x7fffff40,0xffffffff,0x23ffffff,0xfffffffe,0xffffffff,0x03ffffff,
    0xffa80000,0x005fffff,0xffffff70,0x7fffc403,0xfffb02ff,0x6c400bff,
    0x05ffffff,0x7fffdc00,0x3fa0007f,0xfe83ffff,0x3ff27fff,0xfff81fff,
    0x20001fff,0x007ffffd,0xfffffe80,0xfb31beff,0x74ffffff,0xffffffff,
    0xffffffff,0x003fffff,0x7ffcc000,0x000effff,0xffffff30,0x7fffdc09,
    0x3fff607f,0xaaaaaeff,0xfffdcccc,0x001fffff,0x7ffffdc0,0x3ff20007,
    0x7fc45fff,0x3fea5fff,0x7fcc3fff,0x20007fff,0x03fffff9,0xffffe800,
    0xffb00fff,0x776cffff,0xffeeeeee,0xeeeeefff,0x00002eee,0x3ffffe20,
    0x40000fff,0x07fffffe,0x13fffffa,0xffffffd8,0xffffffff,0xffffffff,
    0xfb80004f,0x0007ffff,0x1bffffee,0x47fffff5,0x45fffff8,0x05fffffb,
    0x3ffff200,0xfe80000f,0x201fffff,0x0ffffff9,0xfffff700,0x80000000,
    0xfffffffe,0xffb80002,0xf881ffff,0x201fffff,0xfffffffd,0xffffffff,
    0x3fffffff,0xfff70000,0x4c000fff,0x20ffffff,0x41fffffc,0x647ffffe,
    0x003fffff,0x9fffff10,0x3ffa0000,0xff805fff,0x7001ffff,0x000fffff,
    0x7fe40000,0x003fffff,0xfffff100,0xffff709f,0xfffd80df,0xffffffff,
    0xffffffff,0x200001ef,0x07fffffb,0x7ffffc00,0x3ffffa2f,0xfffffc87,
    0x3fffffa1,0xfff90001,0x262001ff,0xffd09999,0xfd007fff,0x2003ffff,
    0x007ffffb,0x02666662,0x3fffee00,0x00005fff,0x3fffffec,0x1fffffec,
    0x3fffff60,0xffffffff,0x00bdffff,0xfffb8000,0x6c0007ff,0xf13fffff,
    0xf50bffff,0x3e27ffff,0x0007ffff,0x0bfffff1,0x7ffffec0,0x5fffffd2,
    0xfffffd00,0x3ffee005,0x3ff2007f,0x4c003fff,0x6fffffff,0xffa80000,
    0x3e22ffff,0x401fffff,0xcefffffd,0xfffffeec,0x00000dff,0xffffff70,
    0xfffb8000,0xffff55ff,0xffff105f,0x3fffe6bf,0xff50005f,0x6c007fff,
    0xfd2fffff,0xd005ffff,0x005fffff,0x01ffffee,0x3fffffc8,0x3fffe200,
    0x0000ffff,0xfffff880,0x3fffee4f,0xfffd806f,0xffe885ff,0x001effff,
    0xffffb800,0x7cc0007f,0xffb7ffff,0x3fa01fff,0xfff77fff,0x320007ff,
    0x000fffff,0x4bfffff6,0x02fffffe,0x2fffffe8,0xfffff700,0x7fffe400,
    0x3ffa003f,0x001fffff,0x3fff6000,0x3fff67ff,0xffd803ff,0x3f205fff,
    0x02ffffff,0x7ffdc000,0xf80007ff,0xff9fffff,0x3ee06fff,0xffd9ffff,
    0xf0001fff,0x800dffff,0xd2fffffd,0x003fffff,0x05fffffd,0x1ffffee0,
    0xfffffc80,0xffffb003,0x00007fff,0xfffffa80,0xfffff8af,0xfffd800f,
    0x7fec05ff,0x001fffff,0x3fffee00,0xfd80007f,0xfffcffff,0x3fe604ff,
    0xffffbfff,0xff30007f,0xd8007fff,0xfd2fffff,0xd003ffff,0x005fffff,
    0x01ffffee,0x3fffffc8,0xfffffb80,0x000004ff,0xbffffff0,0x0bfffff5,
    0x3fffff60,0x7fffc405,0x0000efff,0xffffff70,0xfff90000,0xffffffff,
    0xfffff805,0x06fffffe,0xfffff700,0xfffd8003,0xffffd1ff,0xfffd003f,
    0x262005ff,0x32001999,0x403fffff,0xfffffff9,0x20000005,0xeffffffc,
    0x002fffff,0x0bfffffb,0xffffff50,0x2e0000bf,0x007fffff,0xfffffa80,
    0x00ffffff,0x7fffffec,0x0004ffff,0x01fffffd,0xe87ffc00,0x801fffff,
    0x02fffffe,0x00000000,0x3fffffe2,0x000000ef,0x3ffffe60,0x0fffffff,
    0xfffffb00,0x3fff600b,0x0002ffff,0x7fffffb8,0xfff88000,0x6fffffff,
    0xfffffb80,0x002fffff,0x0dfffff0,0xd3ffcc00,0x003fffff,0x25fffffd,
    0xeeeeeeed,0xeeeeeeee,0x02eeeeee,0x3ffffa00,0x00001fff,0xffffe800,
    0x05ffffff,0x3fffff60,0xffff1005,0x0001ffff,0x7fffffb8,0xfffd0000,
    0x09ffffff,0xffffff30,0x0001ffff,0x09fffff1,0xd37fdc00,0x003fffff,
    0x25fffffd,0xfffffffe,0xffffffff,0x03ffffff,0xfffff700,0x55555bff,
    0x55555555,0x80035555,0xfffffffc,0x36002fff,0x005fffff,0x3fffffea,
    0x7dc0004f,0x0007ffff,0xffffff90,0x3e003fff,0xffffffff,0xfff30006,
    0x2e0007ff,0x3ffa1fff,0xfe801fff,0xffd2ffff,0xffffffff,0xffffffff,
    0x20007fff,0xfffffffb,0xffffffff,0xffffffff,0x7cc003ff,0xffffffff,
    0x7ffec007,0x7ec005ff,0x01ffffff,0x3fffee00,0xf500007f,0xffffffff,
    0x7fffec00,0x0004ffff,0x05fffff5,0x4fffe880,0x0ffffff4,0x7fffff40,
    0xffffffd2,0xffffffff,0x7fffffff,0x3ffee000,0xffffffff,0xffffffff,
    0x03ffffff,0xfffffe80,0x6c004fff,0x005fffff,0x7fffffc4,0x3ee0006f,
    0x0007ffff,0xffffff10,0x7d400bff,0x2fffffff,0xffff7000,0xffd0003f,
    0xfffffd09,0xffffd003,0x3ffffa5f,0xffffffff,0xffffffff,0xff70003f,
    0xffffffff,0xffffffff,0x7fffffff,0xffff7000,0x8003ffff,0x05fffffd,
    0xfffffa80,0xf70003ff,0x000fffff,0x7fffffc0,0x3e2003ff,0x0fffffff,
    0xffff9000,0x3d50003f,0x3fffffa0,0xffffe801,0xfffffd2f,0xffffffff,
    0xffffffff,0x3fee0007,0xffffffff,0xffffffff,0x3fffffff,0xffff8800,
    0xd8006fff,0x005fffff,0xffffff90,0xff70001f,0x0000ffff,0x7fffffec,
    0x7ff4001f,0x0006ffff,0x03fffff6,0x3ffa0000,0xfe801fff,0x0002ffff,
    0xf7000000,0xffffffff,0xffffffff,0xffffffff,0x3ff60007,0x8004ffff,
    0x05fffffd,0xfffff100,0xf7000bff,0x000fffff,0x7ffffdc0,0xffc8007f,
    0x0004ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3aa00000,
    0xeeeeeeee,0xeeeeeeee,0x0006eeee,0x20002200,0x01acdcba,0xb9955000,
    0x00003799,0x559b9731,0x99530000,0x0b600137,0x99880000,0x33300199,
    0x00000333,0x5d4402d4,0x00abccdc,0x54555300,0x05800001,0x2f32ea20,
    0x801ee81a,0xffffffc8,0x4001efff,0xffffffc8,0x004fffff,0xfffffe98,
    0x000bffff,0x7fffffe4,0x7fc01eff,0x400000be,0x01fffffe,0x0ffffff8,
    0x3ae20000,0x3ffa607f,0xffffffff,0x3fe6001d,0x00006a6f,0x3fee0160,
    0xefffffff,0x401fffb2,0xfffffffa,0x03ffffff,0xffffff10,0xffffffff,
    0x3ff2001b,0xffffffff,0xe9801fff,0xffffffff,0x3fe03fff,0x0000cfff,
    0x3fffffd0,0xffffff00,0xf9100001,0x3f60ffff,0xffffffff,0x803fffff,
    0x2a6ffff8,0x05800001,0x3fffffa2,0xffffffff,0x3f204fff,0xffffffff,
    0x1effffff,0x3ffffa20,0xffffffff,0x2200efff,0xfffffffe,0xffffffff,
    0x3fffea01,0xffffffff,0xfff80eff,0x001dffff,0x7fffff40,0xfffff801,
    0x3660000f,0x87ffffff,0xfffffffc,0xffffffff,0xfff9103f,0x000d4dff,
    0xffb82c00,0xffffffff,0x5fffffff,0x3ffffee0,0xffffffff,0x3606ffff,
    0xffffffff,0xffffffff,0x3fff603f,0xffffffff,0x80ffffff,0xfffffff8,
    0xffffffff,0xfffff84f,0x003effff,0x3fffffd0,0xffffff00,0xffd50001,
    0x8fffffff,0xeffffffa,0xfffffede,0x7fe40fff,0x2a6fffff,0x85800001,
    0xfffffff9,0xffffffff,0xff301fff,0x57dfffff,0xffffff95,0xffff107f,
    0x2e2159ff,0x05ffffff,0xdffffff3,0xfffd7335,0xffb07fff,0x2217ffff,
    0x0ffffffc,0x7ffffffc,0x00cfffff,0x3fffffa0,0xfffff801,0xff91000f,
    0xffffffff,0xffffd8ff,0xfffa882f,0x7ffc3fff,0x2a6fffff,0x85800001,
    0xcffffffe,0xffffd711,0x3ffa0bff,0xd103ffff,0x83ffffff,0x05fffffc,
    0x1bfffff2,0x6ffffff4,0xfffffb00,0xfffff98d,0xffff500f,0xfffda89f,
    0xffffffff,0xffe801df,0xff801fff,0x4c00ffff,0xfffffffd,0x43efffff,
    0x405ffffe,0x42defffb,0xfffabeff,0x000006a6,0xfffff916,0x3ffe203f,
    0x7cc1ffff,0x403fffff,0x6ffffff8,0x00dcb988,0x1fffffe6,0x3fffffea,
    0x3fffe600,0x3fff61ef,0x7fec03ff,0xeb880fff,0xffffffff,0x3a02efff,
    0x801fffff,0x00ffffff,0xffffffd5,0x39ffffff,0x3fffffe0,0x3a00d401,
    0xa9bffea2,0x25800001,0x2ffffff9,0xfffffd10,0xfffc8dff,0xff7006ff,
    0x0000ffff,0x21fffffe,0x04fffffb,0xff01acc8,0x9801ffff,0x403fffff,
    0xffffffd9,0x0bffffff,0x0ffffff4,0x7fffffc0,0x3fffee20,0xffffffff,
    0xfffe802d,0x000bdfff,0x4dfff500,0x5800001a,0x17ffffee,0xffffffd8,
    0x3ffa0fff,0x3e003fff,0x001fffff,0xffffda88,0xfffd87ff,0x880003ff,
    0x807fffff,0x04fffff8,0xffffd710,0x9fffffff,0x0ffffff4,0x7fffffc0,
    0xffffff90,0x17dfffff,0x7fffe400,0xadffffff,0xfff50000,0x00000d4d,
    0xfffff92c,0x2ffff205,0x22fffffd,0x02ffffff,0x3fffffa0,0xffdb9802,
    0xffffffff,0xfffffe87,0xff980002,0xccccffff,0xfffccccc,0xc98005ff,
    0xffffffff,0x3ffffa7f,0xffff801f,0xfffff0ff,0x039fffff,0x3fffe600,
    0xffffffff,0x2a000bdf,0x006a6fff,0xffd96000,0xffb81fff,0xfffff94f,
    0x3ffffe27,0x3ff6001f,0xfb304fff,0xffffffff,0xf0ffffff,0x003fffff,
    0xfffff500,0xffffffff,0xdfffffff,0x7f544000,0x3a7fffff,0x801fffff,
    0xf0ffffff,0x5dffffff,0xff500001,0xffffffff,0x007fffff,0x1a9bffea,
    0x3e580000,0x540fffff,0x3fee5fff,0xfff15fff,0x64001fff,0xc85fffff,
    0xffffffff,0xffffffff,0x7ffffc47,0xfb80001f,0xffffffff,0xffffffff,
    0x40006fff,0xffffffb8,0x3fffffa7,0xfffff801,0xffffff0f,0x4000039f,
    0xfffffffa,0xffffffff,0x7ffd400e,0x000006a6,0x7fffff96,0x3077ffcc,
    0x7cdfffff,0x001fffff,0x0ffffff6,0xfffffffb,0x3ffe37bf,0xffff87ff,
    0xb80002ff,0xffffffff,0xffffffff,0x0007ffff,0xffffffb3,0x7fff4fff,
    0xfff801ff,0xffff0fff,0x05dfffff,0x7ff54000,0xffffffff,0x7d405fff,
    0x0006a6ff,0xfffe9600,0xdfff11ff,0xfffffa81,0x3fffffe4,0x3fffa002,
    0x3ffee2ff,0xff01cfff,0xffd0ffff,0x00005fff,0x3dfffff5,0x33333333,
    0x00333333,0x7ffff5c4,0x27ffffff,0x01fffffe,0x0ffffff8,0xfffffffd,
    0x0039ffff,0x3ff6e200,0xffffffff,0x3ffea01f,0x000006a6,0xfffffd96,
    0x81fffe8a,0x23fffffb,0x04fffffe,0xffffff10,0x7fffff41,0x7ffffc04,
    0xfffffd87,0x9acda804,0x3ffffe60,0x54000007,0xfffffffd,0x20beffff,
    0x02fffffe,0x7fffffc4,0x3ffffaa0,0xefffffff,0x2600000a,0xffffffdb,
    0x3ffea03f,0x000006a6,0xfffffc96,0xb02fffec,0x643fffff,0x00ffffff,
    0x7fffffc8,0x3fffffe2,0x3fffe200,0xffffb87f,0xfffd807f,0xffff14ff,
    0x098801ff,0xffff7100,0xffffffff,0x3fffa05b,0x7fd402ff,0xd980ffff,
    0xffffffff,0x801cffff,0x74401b98,0x204fffff,0x06a6fffa,0xfa960000,
    0xffffffff,0xfffff103,0x7fffcc1f,0x7fc404ff,0x3ea4ffff,0x5c06ffff,
    0xa87fffff,0x02ffffff,0x3fffffe2,0x3fffff61,0x6f7ff404,0x7ffed41c,
    0xffffffff,0x7fec01cf,0x3a204fff,0x00ffffff,0x3fffff22,0xefffffff,
    0x3fffb20b,0xfffb806f,0x266204ff,0x00006a09,0xffffd160,0x7ec09fff,
    0xfe85ffff,0x80dfffff,0xfffffffa,0x3ffffe60,0xffff302f,0x3ff60fff,
    0xe983ffff,0x4c6fffff,0x02ffffff,0x5ffffff7,0x7ffffff4,0x0bffffff,
    0xfffff900,0x3fff603f,0x8800ffff,0xffffffeb,0x2e7fffff,0x02ffffff,
    0x17fffff4,0x0001a800,0x7ffd4580,0xfb106fff,0x301fffff,0xffffffff,
    0xffffd99b,0xff885fff,0x30beffff,0xfffffff9,0xffff301f,0xfd99dfff,
    0x07ffffff,0x9ffffffd,0xffff9513,0xffff8dff,0x2effffff,0xffffa800,
    0xec9acfff,0xffffffff,0x7fed4000,0x7fffffff,0x7ffffffc,0x3ff660ac,
    0x0000ffff,0xb0000035,0xffffffd0,0xffd955bf,0x5c07ffff,0xffffffff,
    0xffffffff,0xffffb05f,0xffffffff,0x3fffffff,0x3fffff20,0xffffffff,
    0xff305fff,0xffffffff,0x3fffffff,0xfffffff8,0x220001df,0xffffffff,
    0xfeffffff,0x0000ffff,0xffffff93,0xffffa8ff,0xffffffff,0x03ffffff,
    0x00006a00,0x3ffee160,0xffffffff,0x05ffffff,0xffffffb8,0xffffffff,
    0x3ffe204f,0xffffffff,0xfffffdff,0xffffb103,0xffffffff,0x74c01dff,
    0xffffffff,0x82ffffff,0x0cffffff,0xfff30000,0xffffffff,0xfffff75f,
    0xfb880001,0xfb87ffff,0xffffffff,0x4fffffff,0x000d4000,0x3fe22c00,
    0xffffffff,0xdfffffff,0xfffd3000,0xffffffff,0xfff5005d,0xdfffffff,
    0xdfffff11,0xfffffa80,0xdfffffff,0xfffd8800,0xffffffff,0x7dfff02f,
    0x3ea00000,0xffffffff,0xfffff71f,0x75400001,0xfff507ff,0xffffffff,
    0x00007fff,0xb0000035,0x7f7fff44,0xffffffff,0x50002fff,0xfffffffb,
    0x6c40019d,0x3effffff,0x0ffffff4,0x3fffb620,0x001dffff,0xfffffdb8,
    0x3e00bfff,0x8000002d,0xefffffda,0x3fffee0c,0x9800000f,0x7ff5407d,
    0xcfffffff,0x03500000,0x7e4b0000,0xfffb32ff,0x019dffff,0x57531000,
    0x53100003,0x00000137,0x00d5dcc4,0x35731000,0x00002003,0x055cc000,
    0x00000000,0x2aa62001,0x000009ab,0x800001a8,0x4c41fe45,0x00001aba,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000d40,0x0000142c,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x99b50000,0x99999999,0x99999999,0x00000d99,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x51000000,0x1359b997,0x2f372a60,0xcb80000a,
    0x2001cccc,0x98099999,0x98801bcb,0x26201bcb,0x97300999,0x4cc40157,
    0x99880199,0x99800999,0x26620999,0x99999999,0x99999999,0x26666620,
    0x4cccc000,0x4ccccc19,0x20732a20,0x01999999,0x99999988,0xffda8000,
    0xffffffff,0x3ffffa63,0x001cffff,0x3fffff60,0xffff3002,0x7fffe45f,
    0xfd885fff,0x84ffffff,0x226ffffe,0xfffffffd,0xffffc80d,0x7ffe402f,
    0x7fdc04ff,0x3fea4fff,0xffffffff,0xffffffff,0x3ffffee5,0x3ffe6007,
    0x3ffe0fff,0xffff34ff,0x7fff49ff,0x7f404fff,0x001fffff,0x7fffffe4,
    0xffffffff,0xfffffffd,0x002fffff,0x5fffffb0,0x3fffe600,0xffffd8af,
    0x225fffff,0xfffffffe,0x7fff44ff,0xfffff36f,0x85ffffff,0x04fffff9,
    0x37fffffc,0x3fffff60,0x3ffffea1,0xffffffff,0x225fffff,0x01ffffff,
    0x9fffff90,0x9cfffff8,0x4fffffff,0x3fffffe6,0xffff901f,0xfc8007ff,
    0xffffffff,0xffffffff,0xffffffff,0x8003ffff,0x02fffffd,0x9fffff30,
    0xfffffffd,0xff5bffff,0xffffffff,0x7fff47ff,0xfffffaef,0xffffffff,
    0x3fffffc0,0xffffff30,0x7fffc01f,0x7fffd46f,0xffffffff,0x45ffffff,
    0x05fffffc,0x3ffffff0,0xedfffff8,0x1fffffff,0x7fffffdc,0xfffff986,
    0x7fcc006f,0xffffffff,0xffffffff,0xffffffff,0x001fffff,0x17ffffec,
    0xfffff980,0xffffffff,0xffffffff,0xffffffff,0xffd1ffff,0xffffffff,
    0xffffffff,0xffffc87f,0xffff701f,0x3ea05fff,0x7d44ffff,0xffffffff,
    0xffffffff,0x7fffcc5f,0x7fd400ff,0xfff86fff,0xffffffff,0xfffb06ff,
    0xffe87fff,0x4000ffff,0xbefffffd,0xfffff931,0x115bffff,0xdfffffb5,
    0xffffd800,0xfff3002f,0x239fffff,0xffffffc9,0xfb11cfff,0x3a7fffff,
    0xefffffff,0xffffb31b,0xfffa8fff,0xfffb03ff,0x3209ffff,0x541fffff,
    0xeeeeeeee,0xfffffeee,0xfffe83ff,0x7fec02ff,0xfff83fff,0xefffffff,
    0xfff103ff,0x3f21ffff,0x002fffff,0x7fffffc4,0xfffff700,0x7ff40bff,
    0x2e002fff,0x001ccccc,0xfffffff3,0x3ffffa07,0xffd03fff,0x3ffabfff,
    0xb00fffff,0xf0ffffff,0x3e0bffff,0x6fffffff,0x0fffffd0,0x7fffc400,
    0xff704fff,0x7c40bfff,0xf80fffff,0x2fffffff,0xffa80326,0xff9dffff,
    0x0005ffff,0x880b72a2,0x0fffffff,0x3ffffe20,0x20000005,0x5ffffff9,
    0x3ffffee0,0x3ffee06f,0xffffd5ff,0x7fcc03ff,0x7ec0ffff,0x7cc0ffff,
    0xffffffff,0x7ffffcc0,0xffd10004,0x440bffff,0x00ffffff,0x0bfffff7,
    0x3ffffffe,0xfff90003,0xffffffff,0x000001df,0x7fffff40,0xffffd805,
    0x20000007,0x1ffffff9,0x3ffffea0,0x3ffea02f,0xffffd6ff,0xffff00bf,
    0xfffa83ff,0x7ffdc2ff,0x42ffffff,0x02fffffb,0xffffe880,0xffc806ff,
    0xffd03fff,0x3fe03fff,0x0006ffff,0x7ffffff4,0x001fffff,0x76544000,
    0x04ffffff,0x1fffffb8,0x99999999,0x99999999,0x23999999,0x0ffffff9,
    0x3ffffe60,0x3ffea00f,0xffffd6ff,0xfffd007f,0xfff883ff,0x7ffec4ff,
    0x44ffffdf,0x007ffffd,0xffffffb0,0xfff3001d,0xfff30dff,0x7ffc0dff,
    0x40003fff,0xfffffff9,0x00003fff,0xfffedb98,0xdfffffff,0xcccccccc,
    0xf2fffffd,0xffffffff,0xffffffff,0x267fffff,0x407fffff,0x07fffff9,
    0xb7ffffcc,0x02fffffe,0x2fffffe8,0x46ffffd8,0xff9fffff,0x3ffe26ff,
    0xfc8005ff,0x01ffffff,0x3fffffa0,0x7ffffe41,0x3ffffe03,0xfb80002f,
    0x6fffffff,0x3f220000,0xffffffff,0xffffffff,0xffffffff,0xff3fffff,
    0xffffffff,0xffffffff,0x3e67ffff,0x4c07ffff,0x407fffff,0xd6fffff9,
    0x005fffff,0x05fffffd,0x23fffff7,0xfd6ffff9,0x3fea1fff,0x5c002fff,
    0x1fffffff,0x7fffdc00,0x7ffffc4f,0x3fffe00f,0xb00001ff,0x1fffffff,
    0x3ff20000,0xffffffff,0xffffffff,0xffffffff,0xf3ffffff,0xffffffff,
    0xffffffff,0x267fffff,0x406fffff,0x07fffff9,0xb7ffffcc,0x02fffffe,
    0x2fffffe8,0x3fffff88,0x327ffff7,0xff92ffff,0x54001fff,0x2fffffff,
    0xffff8800,0x3fffea7f,0x7fffc05f,0xb00001ff,0x5fffffff,0xfff70000,
    0x59dfffff,0xffffffd1,0xffffffff,0x29ffffff,0xffffffff,0xffffffff,
    0x33ffffff,0x80dfffff,0x07fffff9,0xb7ffffcc,0x01fffffe,0x2fffffe8,
    0x2bffffd0,0xf51ffffd,0x3ffe9fff,0x3e6005ff,0x04ffffff,0x3ffff200,
    0xfffff92f,0xfffff805,0xfa80000f,0xffffffff,0x3fe60000,0x80bfffff,
    0x9bfffffe,0x99999999,0xff099999,0xffffffff,0xffffffff,0x3e67ffff,
    0x4c06ffff,0x407fffff,0xd6fffff9,0x003fffff,0x05fffffd,0x23ffffee,
    0x3e27ffff,0xfff9efff,0xff3003ff,0x00bfffff,0xfffff980,0x0dfffff4,
    0x1ffffff0,0xfff88000,0x5fffffff,0x3fff2000,0x3fa00dff,0x0003ffff,
    0x98000000,0x406fffff,0x07fffff9,0xb7ffffcc,0x01fffffe,0x2fffffe8,
    0x9fffff30,0xfe8bffff,0xffffcfff,0xffe8800f,0x0005ffff,0x5fffffd0,
    0x007fffff,0x01ffffff,0xffffd800,0x3fffffff,0xffffb000,0xffff803f,
    0x019805ff,0x26000000,0x406fffff,0x07fffff9,0xb7ffffcc,0x01fffffe,
    0x2fffffe8,0x3fffffa0,0x7e43ffff,0xffffffff,0xffffd006,0x40000dff,
    0xfefffffb,0xf800ffff,0x000fffff,0x3ffffee0,0xffffffff,0xffff8001,
    0x3fea01ff,0x201fffff,0x0bdefff9,0x33333100,0x3ffe6001,0x7fcc06ff,
    0x7cc07fff,0xffd6ffff,0xfd003fff,0x6405ffff,0xffffffff,0x7fffd41f,
    0x803fffff,0xeffffffd,0x3e200000,0xffffffff,0xffff005f,0x260001ff,
    0xadffffff,0x06ffffff,0xffffff80,0xffffd104,0x3a01dfff,0x006fffff,
    0x0bfffff6,0x7ffffcc0,0x7fffcc06,0x7ffcc07f,0xffffd6ff,0xfffd003f,
    0x7fcc05ff,0x87ffffff,0xfffffff8,0x7fe400ff,0xaaafffff,0xaaaaaaaa,
    0xfffc800a,0x02ffffff,0x1ffffff0,0x3fffa000,0xfff90fff,0xd8009fff,
    0x0bffffff,0xfffffd71,0x337fffff,0xffffffd9,0x7ffec007,0xff3002ff,
    0xf980dfff,0x4c07ffff,0xfd6fffff,0xd003ffff,0x805fffff,0xffffffff,
    0xfffffd05,0xff980dff,0xffffffff,0xffffffff,0xff9803ff,0x07ffffff,
    0x3fffffe0,0xfffc8000,0x3fe23fff,0x001fffff,0x3fffffee,0xfffffeff,
    0xffffffff,0xffffffff,0x7ec006ff,0x3002ffff,0x80dfffff,0x07fffff9,
    0xb7ffffcc,0x01fffffe,0x2fffffe8,0x7ffffe40,0xfff703ff,0x9807ffff,
    0xffffffff,0xffffffff,0xd003ffff,0x7fffffff,0x7ffffc00,0x7fcc000f,
    0xfa85ffff,0x00efffff,0x3fffff60,0xffffffff,0xfffffdcf,0xffffffff,
    0x7ec000ef,0x3002ffff,0x80dfffff,0x07fffff9,0xb7ffffcc,0x01fffffe,
    0x2fffffe8,0x7ffffd40,0xfff301ff,0x9803ffff,0xffffffff,0xffffffff,
    0x7003ffff,0x1fffffff,0x7ffffc00,0x3fa2000f,0xb00fffff,0x09ffffff,
    0x7ffff440,0xcfffffff,0x3ffffea0,0xefffffff,0xfffd8000,0xff3002ff,
    0xf980dfff,0x4c07ffff,0xfd6fffff,0xd003ffff,0x005fffff,0x0fffffff,
    0x6ffffff8,0xfffff980,0xffffffff,0x3fffffff,0xfffff100,0xfff800bf,
    0x32000fff,0x03ffffff,0x3fffffe2,0x7fdc002f,0x1cefffff,0xffffd910,
    0x0005bfff,0x17ffffec,0xfffff980,0x7fffcc06,0x7ffcc07f,0xffffd6ff,
    0xfffd003f,0xffb005ff,0xfd80bfff,0x9804ffff,0xffffffff,0xffffffff,
    0x2003ffff,0x02fffffc,0x7fffffc0,0xffff5000,0xff500bff,0x001fffff,
    0x00357530,0x026aea60,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01000000,
    0x00300000,0x2aaa6030,0x1555540a,0x55551000,0x0aaaa983,0x006aa620,
    0x1e6664c0,0x13553000,0xbccaa800,0x2e62000a,0x555400ab,0xaaaaaaaa,
    0xaaaaaaaa,0x64c00aaa,0x000001cc,0x01bffff6,0x80017cc0,0x017dc05d,
    0xff109f30,0xfffc8bff,0xffb0002f,0x7ffc43ff,0xfffd506f,0xd8005dff,
    0x000fffff,0x7fffff54,0x7ffd400c,0x00efffff,0x3fffff62,0xfff881ef,
    0xffffffff,0xffffffff,0x7dc01fff,0x000001ff,0x01bffff6,0x88bffe20,
    0x7ec2acba,0x5fff705f,0x09fff300,0x447ffff9,0x000fffff,0x22ffffd4,
    0xc81ffffd,0xffffffff,0xfff3004f,0x5c007fff,0xffffffff,0xffff700e,
    0x0dffffff,0x3fffffe6,0x7c43ffff,0xffffffff,0xffffffff,0x401fffff,
    0x0001fffa,0x3ffff600,0x7ff44006,0xffffdbff,0xfffdcfff,0x7fffdc5f,
    0x3ffe602f,0x7ffc44ff,0x3ffee1ff,0x3fe2005f,0x3fee0fff,0xfffa85ff,
    0xfffffeff,0xffffd802,0x3fe007ff,0xffffefff,0xfffff885,0x3fffffff,
    0xffffffe8,0x221fffff,0xffffffff,0xffffffff,0x41ffffff,0x007ffd40,
    0xfffb0000,0xffd800df,0xffffffff,0xffffffff,0xfff53fff,0xf305ffff,
    0x85ffffff,0x746ffffb,0xb003ffff,0x7cc7ffff,0xfc80ffff,0x7ffec5ff,
    0x7fffc404,0xb803ffff,0x3fe64fff,0xffffa87f,0x17fffe62,0x77fffff7,
    0x44bffffd,0xffffffff,0xffffffff,0x21ffffff,0xfff30bfa,0x00003da8,
    0x00dffffb,0xfffffe88,0xffffffff,0x44ffffff,0xfffffffd,0x3ffffe62,
    0xfffd04ff,0x7fffd49f,0x7ffdc00f,0x7ffff46f,0x85fffd03,0x6405fffb,
    0xffffffff,0x0dcb9806,0x981fffe2,0x5fffd83b,0x6c37fffc,0xff11ffff,
    0xffffffff,0xffffffff,0x7ec3ffff,0x8eff8bff,0x0005ffeb,0x0dffffb0,
    0xffffd100,0xffffffff,0x209fffff,0xfffffffd,0xffffff9a,0x3ffea04f,
    0x3fff61ff,0x3ffe605f,0x3fff22ff,0xfb03007f,0x7fc407ff,0xffffffff,
    0xfea98002,0x2a2004ff,0x226ffffc,0xf983ffff,0x26662fff,0x99999999,
    0xffb99999,0x3ffe1fff,0xffffffff,0x00007fff,0x00dffffb,0x3ffffe60,
    0xfffedeff,0x7ec07fff,0xffffffff,0x804fffff,0x266ffffd,0xd03fffff,
    0x7ccdffff,0x0002ffff,0x403ffff5,0xfefffffc,0x44006fff,0x405fffff,
    0xffffeca8,0x3fe66fff,0xfff881ff,0x2a00003f,0xb11fffff,0xffffffff,
    0x03ffffff,0xffffb000,0x3ff2000d,0x74c0dfff,0x401fffff,0xfffffffd,
    0x005fffff,0x49fffff3,0x40fffffc,0x11fffffc,0x00dfffff,0x13fffee0,
    0xbfffff88,0x01fffffa,0x3ffffe60,0x3fffe603,0x6fffffff,0x407fffea,
    0x0005ffff,0x3ffffea0,0xfffdb981,0x001aceff,0x99999991,0x9fffffd9,
    0x19999999,0x0dfffff0,0x27ffffc4,0x7ffffec0,0x005fffff,0x8fffffe4,
    0x26fffff8,0x24fffff9,0x01fffffd,0x6ffffd80,0x7ffffdc0,0x0bfffff0,
    0x7fff7540,0x7ffd40df,0xffdaceff,0x3fffe66f,0x09ffff01,0x7ffd4000,
    0x3fea01ff,0x88002fff,0xffffffff,0xffffffff,0x41ffffff,0x01fffff8,
    0x037fffdc,0xffffffd8,0xf88005ff,0x3f26ffff,0xffb2ffff,0x3fe23fff,
    0x44006fff,0x805ffffe,0x325fffff,0x000fffff,0x43fffe88,0x741ffffd,
    0x3fe26fff,0xfff882ff,0x2a00003f,0x501fffff,0x3fffffff,0xffff8800,
    0xffffffff,0xffffffff,0x7ffcc1ff,0x7fd400ff,0xff3007ff,0x05ffffff,
    0xfffff700,0x77ffff45,0xbfffff10,0x17ffffe4,0xffffe980,0xffffb804,
    0x3fffe62f,0xff50004f,0x3ffff8df,0x237fffc4,0xfb85ffff,0x00001fff,
    0x07ffffea,0x3e3bffea,0x22000fff,0xffffffff,0xffffffff,0x41ffffff,
    0x807ffff9,0x807ffff9,0xfffffff9,0x22002fff,0x2e5fffff,0x5c1fffff,
    0x3a2fffff,0x8806ffff,0x002fffff,0xd0dffffd,0xb01fffff,0xffb81ffd,
    0x3fffe26f,0x37fffe45,0x233ffff2,0x06ffffc8,0x7ffd4000,0x7ffd41ff,
    0x1dfff71f,0x3fffe200,0xffffffff,0xffffffff,0x7ffc41ff,0x7fdc01ff,
    0x7fcc06ff,0xffffffff,0xff9002ff,0x3fe21fff,0xffb04fff,0x7ffccdff,
    0x3fa203ff,0xaaaacfff,0x7fffd42a,0xffffa83f,0xcfffd83f,0x8bfffd10,
    0xfcefffff,0x446fffff,0xffffffff,0x0002ffff,0x7ffffd40,0x22fffdc1,
    0x1002fffe,0xffffffff,0xffffffff,0x03ffffff,0x40bfffff,0x05fffff8,
    0x3fffffe6,0xffffffff,0x7fffcc02,0x3ffff22f,0x3fffe206,0x3fffee3f,
    0xffff700f,0xdfffffff,0x0fffffe8,0x0ffffff0,0xfdfffff5,0xfb83ffff,
    0xffffffff,0xffb86fff,0xffffffff,0xfa800005,0xf981ffff,0x006fcc0f,
    0x3fff6000,0xff90006f,0xe883bfff,0x302fffff,0x9fffffff,0xfffffffb,
    0x7ffff405,0x3ffffe64,0x7fffd401,0x3ffffa0f,0xfffffd04,0x4dffffff,
    0x05fffffa,0x0ffffff2,0x3fffffee,0xff902fff,0xff1bffff,0xffd301ff,
    0x007fffff,0x3bba6000,0x205101ee,0xfb000002,0x2000dfff,0xfffffff9,
    0xfffffdce,0xffff307f,0x7fec9fff,0xa82fffff,0x7f46ffff,0xfb003fff,
    0x7fc49fff,0x7fcc0fff,0xffffffff,0x3fffa6ff,0x3fe602ff,0xfd506fff,
    0x801bffff,0x261bdcb9,0x32a00aaa,0x0000acdd,0x00000000,0x7fec0000,
    0xfb0006ff,0xffffffff,0xffffffff,0xfffff987,0xfffd84ff,0x7f42ffff,
    0x3fea1fff,0x3e2005ff,0x3ee0ffff,0x4cc45fff,0x99999999,0xdddd1099,
    0xdddb00bd,0x54c403dd,0x00000001,0x00000000,0x00000000,0x37fffec0,
    0x7fffe400,0xffffffff,0x3fffffff,0x3fffffa2,0x3ffff604,0x3ffee0ef,
    0x7ffff43f,0x7ffd4000,0x7fffec5f,0x00000001,0x00000000,0x00000000,
    0x00000000,0xfd800000,0x64006fff,0xffffffff,0xffffffff,0x222fffff,
    0xd805fffe,0x3e20efff,0x7fdc6fff,0xf90002ff,0x7fc43fff,0x000006ff,
    0x00000000,0x00000000,0x00000000,0x80000000,0x006ffffd,0x6fffffcc,
    0xfffffffe,0x0effffed,0xb002ff44,0xaaa981df,0x1555540a,0x55551000,
    0x0aaaa983,0x00000000,0x00000000,0x00000000,0x00000000,0x7fec0000,
    0xf98006ff,0x373265ff,0xdffd11bc,0x20012201,0x0000000c,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffff600,0x0bf30006,
    0x001fd100,0xaaa80000,0xaaaaaaaa,0xaaaaaaaa,0x2a200aaa,0x266009bb,
    0x00001999,0x65d44000,0x000002cd,0x99999500,0x25999999,0x5c088888,
    0x403ccccc,0x72cccccc,0xc9839999,0x40003ccc,0x002aaaa9,0x08800020,
    0x44000000,0xffffffff,0xffffffff,0x01ffffff,0x5ffffff9,0x3fffffe0,
    0xbffffff1,0x3ffffff2,0x3fffff60,0xfffffc87,0xfb7301ff,0x40015bdf,
    0xfffff749,0x27ffffff,0x21fffffd,0x1ffffff8,0xdfffff50,0x0bffffa1,
    0x00bffff7,0x00000000,0x00000000,0xfffff880,0xffffffff,0xffffffff,
    0x7fff441f,0xf85fffff,0xff1fffff,0x3f2bffff,0x360fffff,0xe87fffff,
    0xfffffdce,0x7ffffdc0,0x401dffff,0xffff74fb,0x7fffffff,0x07fffff6,
    0x0bfffff1,0x83fffffa,0x5c2ffffe,0x0005ffff,0x00000000,0x00000000,
    0x7fffffc4,0xffffffff,0xffffffff,0x7ffffec1,0x7c3fffff,0xff1fffff,
    0x3f2bffff,0x360fffff,0x007fffff,0x3627fffd,0xffffffff,0x89cfffff,
    0xf74ffeb9,0xffffffff,0x3fff67ff,0xfff981ff,0x7ffcc0ff,0x7fff41ff,
    0x7fffdc2f,0x00000005,0x00000000,0x7fc40000,0xffffffff,0xffffffff,
    0x3ee1ffff,0xfda9cfff,0x3ffe0fff,0xffff1fff,0x3fff2bff,0x3ff60fff,
    0xf9007fff,0x3ffeebff,0xffffffff,0xffffffff,0xfff74fff,0xffffffff,
    0x3fffff67,0x9ffff501,0x81ffffd8,0x5c2ffffe,0x0005ffff,0x00000000,
    0x00000000,0x7fffffc4,0xffffffff,0xffffffff,0x207fff61,0x3fe3fffc,
    0xfff0ffff,0x3ff2bfff,0x3f60ffff,0x8807ffff,0xff73ffff,0xffffffff,
    0xffffffff,0x3ee9ffff,0xffffffff,0xffffb3ff,0x7ffd403f,0x5ffff30f,
    0x07333320,0x00799995,0x00000000,0x00000000,0x33333300,0x33333333,
    0x33333333,0xf106fff8,0x7fffc9ff,0x3ffffe7f,0xfffff74f,0x7fffe41f,
    0x9999d17f,0x21dffffd,0xeceffffb,0xffffffff,0x4fffffff,0x77777773,
    0x3f637777,0x5c01ffff,0xfff93fff,0x00000005,0x00000000,0x00000000,
    0x00000000,0xfd027ffc,0x4fff10bf,0x53fffffd,0xb8ffffff,0xf16fffff,
    0xffffffff,0x057fdc3d,0x7ffffe4c,0x03ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xf983fff4,0x6ffa84ff,0x4bfffff2,
    0x45fffff8,0x14fffff9,0xbdfffffd,0x2001d705,0xffffffea,0x0000001d,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffd8000,0x82fffd83,
    0x3fea4ffc,0x3ffe0fff,0x7ffc44ff,0x009883ff,0x75100018,0x00000037,
    0x00000000,0x00000000,0x00000000,0x22000000,0xeeeeeeee,0xeeeeeeee,
    0x21eeeeee,0xbaeffffa,0x220fffff,0x3e60fffc,0x7fec7fff,0xfffe83ff,
    0x0000001f,0x00000000,0x00000000,0x00000000,0x00000000,0x44000000,
    0xffffffff,0xffffffff,0x41ffffff,0xfffffffc,0x3fe62fff,0xffff83ff,
    0x0ffffe46,0x107fffec,0x11111111,0x11111111,0x11111111,0x7fffffd4,
    0xffffffff,0xffffffff,0x000007ff,0x00000000,0x00000000,0x00000000,
    0xfffff880,0xffffffff,0xffffffff,0x7ffec41f,0x443fffff,0x55503fff,
    0xaaaa8835,0x22aaa980,0xfffffffa,0xffffffff,0xffffffff,0x3fffea7f,
    0xffffffff,0xffffffff,0x0007ffff,0x00000000,0x00000000,0x00000000,
    0xfff88000,0xffffffff,0xffffffff,0xff501fff,0x2e03dfff,0x0000000d,
    0x7ffffd40,0xffffffff,0xffffffff,0x3fea7fff,0xffffffff,0xffffffff,
    0x07ffffff,0x00000000,0x00000000,0x00000000,0xf8800000,0xffffffff,
    0xffffffff,0x401fffff,0x00000198,0x3ea00000,0xffffffff,0xffffffff,
    0x7fffffff,0x3fffffea,0xffffffff,0xffffffff,0x000007ff,0x00000000,
    0x00000000,0x00000000,0xeeeee880,0xeeeeeeee,0xeeeeeeee,0x0000001e,
    0xa8000000,0xeeeeeeee,0xeeeeeeee,0xeeeeeeee,0x44444446,0x88888888,
    0x88888888,0x00000088,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__arial_bold_50_latin1_x[224]={ 0,4,2,0,1,1,1,2,2,1,0,1,2,1,
3,-1,1,3,1,1,0,1,1,1,1,1,4,3,2,1,2,2,1,0,3,2,3,3,3,2,3,3,0,3,
3,3,3,1,3,1,3,1,0,3,-1,0,0,-1,0,3,-1,0,2,-1,0,1,2,1,1,1,0,1,3,3,
-3,2,3,2,3,1,3,1,2,1,0,3,0,0,0,0,0,1,3,0,1,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,1,0,0,0,
3,1,0,-1,0,2,1,1,-1,-1,1,1,0,0,4,2,-1,3,0,1,0,2,2,2,0,2,0,0,0,0,
0,0,-2,2,3,3,3,3,-1,2,-1,-1,-1,3,1,1,1,1,1,2,1,3,3,3,3,-1,3,3,1,1,
1,1,1,1,1,1,1,1,1,1,-1,2,-2,-2,1,3,1,1,1,1,1,1,1,3,3,3,3,0,3,0,
 };
static signed short stb__arial_bold_50_latin1_y[224]={ 40,7,7,7,5,7,7,7,7,7,7,12,33,25,
33,7,7,7,7,7,7,8,7,8,7,7,16,16,12,16,12,7,7,7,7,7,7,7,7,7,7,7,7,7,
8,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,44,7,16,7,16,7,16,7,16,7,7,
7,7,7,16,16,16,16,16,16,16,8,16,16,16,16,16,16,7,7,7,19,12,12,12,12,12,12,12,12,12,
12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,12,40,16,8,7,12,7,
7,7,7,7,7,18,16,25,7,2,7,9,7,7,7,16,7,21,40,7,7,18,7,7,7,16,-1,-1,-1,0,
0,1,7,7,-1,-1,-1,0,-1,-1,-1,0,7,0,-1,-1,-1,0,0,13,6,-1,-1,-1,0,-1,7,7,7,7,
7,8,7,6,16,16,7,7,7,7,7,7,7,7,7,8,7,7,7,8,7,12,15,7,7,7,7,7,7,7,
 };
static unsigned short stb__arial_bold_50_latin1_w[224]={ 0,7,17,25,22,37,31,7,12,12,17,24,8,13,
7,14,22,15,22,22,24,23,23,22,22,22,7,8,23,24,23,24,43,33,28,29,28,25,23,31,26,7,22,30,
23,32,26,33,25,34,30,27,27,26,31,43,30,31,27,12,14,12,22,27,11,23,24,23,24,23,17,24,22,7,
13,23,7,35,22,25,23,24,16,22,15,22,25,35,25,25,22,16,6,16,24,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,7,23,25,24,25,
6,23,15,35,16,21,24,13,35,27,15,23,14,15,10,22,26,7,13,10,16,21,35,35,37,24,33,33,33,33,
33,33,45,29,25,25,25,25,11,11,15,15,32,26,33,33,33,33,33,22,33,26,26,26,26,31,25,23,23,23,
23,23,23,23,37,23,23,23,23,23,11,11,16,16,25,22,25,25,25,25,25,23,25,22,22,22,22,25,23,25,
 };
static unsigned short stb__arial_bold_50_latin1_h[224]={ 0,33,13,34,40,35,34,13,43,43,16,24,15,7,
7,34,34,33,33,34,33,33,34,32,34,34,24,32,25,16,25,33,43,33,33,34,33,33,33,34,33,33,34,33,
32,33,33,34,33,37,33,34,33,34,33,33,33,33,33,43,34,43,18,5,7,25,34,25,34,25,33,34,33,33,
43,33,33,24,24,25,33,33,24,25,33,25,24,24,24,34,24,43,43,43,10,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,0,33,41,34,24,33,
43,43,6,34,17,21,16,7,34,5,15,31,18,18,7,33,42,7,10,18,17,21,35,35,35,34,41,41,41,40,
40,39,33,43,41,41,41,40,41,41,41,40,33,40,42,42,42,41,41,22,36,42,42,42,41,41,33,34,34,34,
34,33,34,35,25,34,34,34,34,34,33,33,33,33,34,32,34,34,34,33,34,24,27,34,34,34,34,43,42,43,
 };
static unsigned short stb__arial_bold_50_latin1_s[224]={ 252,222,132,85,187,131,1,124,66,27,231,
1,115,189,203,131,108,237,1,228,179,131,114,164,165,29,243,187,196,74,149,
52,154,202,50,86,105,134,176,146,25,248,224,171,230,47,80,1,139,62,61,
1,92,138,29,120,191,107,1,1,116,215,133,150,211,77,178,101,203,125,153,
35,113,248,140,77,247,63,99,51,1,223,207,220,160,173,181,122,224,52,158,
235,228,198,164,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,252,248,180,
60,26,79,133,109,234,188,172,96,206,189,78,178,99,219,118,156,223,200,99,
248,150,243,189,74,207,25,169,145,35,69,146,119,153,28,1,79,204,67,93,
226,230,242,130,210,204,1,126,160,41,33,1,51,97,194,221,14,103,1,24,
182,1,25,49,155,73,1,1,97,121,61,135,111,243,101,136,236,56,196,82,
170,222,165,196,39,25,159,229,206,33,40,75,1, };
static unsigned short stb__arial_bold_50_latin1_t[224]={ 1,458,603,214,131,173,285,603,1,1,581,
581,603,603,603,285,285,355,390,285,355,355,320,492,320,320,492,492,526,603,526,
424,1,424,390,355,390,390,390,285,424,250,320,424,458,458,458,355,458,173,492,
320,492,320,492,492,458,458,492,45,355,1,581,614,603,526,285,526,285,526,424,
355,424,390,1,424,320,555,555,526,424,390,555,526,390,526,555,555,555,320,555,
1,1,1,603,526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,
526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,526,1,45,89,
355,581,390,1,1,603,320,581,581,581,603,320,614,603,492,581,581,603,390,45,
79,603,526,581,581,173,214,173,250,89,89,89,131,131,173,458,1,89,131,131,
131,89,89,89,131,355,173,45,45,45,131,89,581,173,45,45,45,89,131,390,
214,250,250,250,355,250,214,555,250,250,214,214,214,173,424,424,424,285,492,285,
250,250,458,250,555,526,214,214,214,285,1,45,1, };
static unsigned short stb__arial_bold_50_latin1_a[224]={ 199,238,340,398,398,637,517,170,
238,238,279,418,199,238,199,199,398,398,398,398,398,398,398,398,
398,398,238,238,418,418,418,437,698,517,517,517,517,478,437,557,
517,199,398,517,437,597,517,557,478,557,517,478,437,517,478,676,
478,478,437,238,199,238,418,398,238,398,437,398,437,398,238,437,
437,199,199,398,199,637,437,437,437,437,279,398,238,437,398,557,
398,398,358,279,200,279,418,537,537,537,537,537,537,537,537,537,
537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,537,
537,537,537,537,537,537,537,537,199,238,398,398,398,398,200,398,
238,528,265,398,418,238,528,395,286,393,238,238,238,413,398,199,
238,238,262,398,597,597,597,437,517,517,517,517,517,517,716,517,
478,478,478,478,199,199,199,199,517,517,557,557,557,557,557,418,
557,517,517,517,517,478,478,437,398,398,398,398,398,398,637,398,
398,398,398,398,199,199,199,199,437,437,437,437,437,437,437,393,
437,437,437,437,437,398,437,398, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_arial_bold_50_latin1_BITMAP_HEIGHT or STB_FONT_arial_bold_50_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_arial_bold_50_latin1(stb_fontchar font[STB_FONT_arial_bold_50_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_arial_bold_50_latin1_BITMAP_HEIGHT][STB_FONT_arial_bold_50_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__arial_bold_50_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_arial_bold_50_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_arial_bold_50_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_arial_bold_50_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_arial_bold_50_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_arial_bold_50_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__arial_bold_50_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__arial_bold_50_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__arial_bold_50_latin1_s[i] + stb__arial_bold_50_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__arial_bold_50_latin1_t[i] + stb__arial_bold_50_latin1_h[i]) * recip_height;
            font[i].x0 = stb__arial_bold_50_latin1_x[i];
            font[i].y0 = stb__arial_bold_50_latin1_y[i];
            font[i].x1 = stb__arial_bold_50_latin1_x[i] + stb__arial_bold_50_latin1_w[i];
            font[i].y1 = stb__arial_bold_50_latin1_y[i] + stb__arial_bold_50_latin1_h[i];
            font[i].advance_int = (stb__arial_bold_50_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__arial_bold_50_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__arial_bold_50_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__arial_bold_50_latin1_s[i] + stb__arial_bold_50_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__arial_bold_50_latin1_t[i] + stb__arial_bold_50_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__arial_bold_50_latin1_x[i] - 0.5f;
            font[i].y0f = stb__arial_bold_50_latin1_y[i] - 0.5f;
            font[i].x1f = stb__arial_bold_50_latin1_x[i] + stb__arial_bold_50_latin1_w[i] + 0.5f;
            font[i].y1f = stb__arial_bold_50_latin1_y[i] + stb__arial_bold_50_latin1_h[i] + 0.5f;
            font[i].advance = stb__arial_bold_50_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_arial_bold_50_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_arial_bold_50_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_arial_bold_50_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_arial_bold_50_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_arial_bold_50_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_arial_bold_50_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_arial_bold_50_latin1_LINE_SPACING
#endif

