// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_47_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_47_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_47_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_47_latin1_BITMAP_HEIGHT        557
#define STB_FONT_consolas_47_latin1_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_consolas_47_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_47_latin1_NUM_CHARS            224

#define STB_FONT_consolas_47_latin1_LINE_SPACING          31

static unsigned int stb__consolas_47_latin1_pixels[]={
    0x33327999,0x00000003,0x4cccccc4,0x26619999,0x99999999,0x00002621,
    0x01330000,0x00732a00,0xaaaa8800,0x1aaa881a,0x10000000,0x00015795,
    0x01100110,0x15550000,0x3fe0aa20,0x98bfff5f,0x8800000e,0x3fffea1e,
    0x17ffffff,0xffffffff,0x3ff63fff,0x00002def,0x7fff6dc0,0xfffb8004,
    0xfb00001f,0x3ea09fff,0x000004ff,0x7ffffe40,0xb0003eff,0x7fec09ff,
    0x3e200003,0xffe981ff,0x7d7ffe0e,0x3bfe65ff,0x3a200000,0xffff51ff,
    0x2fffffff,0xfffffff8,0xffb1ffff,0x001bffff,0xfffe9800,0x44004fff,
    0x006fffff,0x2ffffd80,0x013ffea0,0x7f4c0000,0xffffffff,0x7fd4005f,
    0xfffb82ff,0xf300001f,0xfffb01ff,0xfafffcbf,0x3fff65ff,0x3fa00005,
    0xffff54ff,0x2fffffff,0xfffffff8,0xffb1ffff,0x00dfffff,0x7fffc400,
    0x4004ffff,0x07fffff9,0x77ffec00,0x27ffd400,0x7dc00000,0xc99bdfff,
    0x2005fffe,0xc83ffffb,0x0002ffff,0x3e0fff50,0x3fe7ffff,0x44bfff5f,
    0x0005fffe,0x005fffd8,0x7fc5fffe,0x64c4005f,0x0004ffff,0x37ffffb0,
    0x3fe20001,0x20005fff,0x5004fffd,0x00009fff,0x0efffa80,0x017ffea0,
    0x40ffffcc,0x000ffffa,0x20dff700,0x3e6ffffe,0x8bfff5ff,0x004ffff8,
    0x01bfff60,0x3e2ffff0,0x2a0005ff,0x0000ffff,0x007fffcc,0xffffb800,
    0xfffb0001,0x7ffd4005,0x26000004,0xf9005fff,0x3aa003ff,0x077ae02e,
    0x5ffc8000,0x43ffff30,0xbfff5fff,0x05ffff30,0x1dfff700,0x17fff800,
    0x8000bfff,0x0001fffd,0x001fffdc,0x002ee600,0x004ccc40,0x013ffea0,
    0x7ff44000,0x27fec005,0x00000000,0x204ffd80,0x7ffc0bb8,0x2a0bfff5,
    0x2000ffff,0x001ffff8,0xff17fff8,0xfa8000bf,0x640003ff,0x00000fff,
    0x00000000,0x004fffa8,0x1fff9000,0x07ff9800,0x00000000,0x0007fff0,
    0x7ffd7ffe,0x13fff605,0x03fffd80,0x22ffff00,0x40005fff,0x0004fff9,
    0x0003ffec,0x00000000,0x04fffa80,0xfff88000,0x5fff0003,0x00000000,
    0x3fff2a20,0xfff8001c,0x440bfff5,0xa801ffff,0x20006fff,0xfff17fff,
    0xff88000b,0x7f40005f,0x0000006f,0x50000000,0x54c09fff,0x37fe4000,
    0x0bff9000,0x40000000,0xffffffd8,0x4c44ffff,0xfafffc09,0x7fe405ff,
    0xfffe806f,0x3ffe0002,0x00bfff17,0x05fff880,0x037ff400,0xfffffff8,
    0xffffffff,0x0ffffcc1,0x3fffd400,0x6449fff5,0x0dfffffe,0x017ffc40,
    0x98fff500,0x8001ffff,0x5407fffa,0xffffffff,0x7f46ffff,0xfafffc5f,
    0x7fc405ff,0x3fee02ff,0x7fc0005f,0x0bfff17f,0x5fff8800,0x37ff4000,
    0xffffff80,0xffffffff,0x4fffe81f,0x4fffd800,0x7453ffea,0xffffffff,
    0x1ffee00e,0x3e210110,0x4fffe87f,0x4fffd800,0x3fffff60,0xffffffef,
    0x3e2fff46,0x0bfff5ff,0x40bfff50,0x0001ffff,0xff8bfffc,0x7c40005f,
    0x740005ff,0xfff006ff,0xffffffff,0xf703ffff,0xf8800fff,0x3fea1fff,
    0xffffe8bf,0x0effffff,0x2e09ffd0,0x4fddfffe,0xff703ffe,0xff8800ff,
    0xfff901ff,0xbff915df,0xbffd1726,0xfff5fff8,0xffff100b,0x0dfff301,
    0x2ffff000,0x0005fff8,0x002fffc4,0x401bffa0,0x99999999,0x1fffe999,
    0x02ffff88,0x51bffee0,0xffffbfff,0xfff93139,0x3fff109f,0xfffffd88,
    0x3ffe3fff,0x17fffc41,0x0dfff700,0xb17fffe6,0xffe809ff,0xffafffc6,
    0xfffb005f,0x07fff907,0x2ffff000,0x0005fff8,0x002fffc4,0x001bffa0,
    0x07fff600,0x002fffec,0xfa87fffd,0x00efffff,0xa81ffff9,0xfffe86ff,
    0x21ffffee,0xffd81ffe,0x3ffa005f,0xbfffd03f,0xf807ffd0,0xafffc6ff,
    0xf5005fff,0xfffd0dff,0xfff00001,0x017ffe2f,0x01bffe00,0x00bfff00,
    0x3fffb000,0x03fffe60,0x03fffe20,0x0bfffff5,0xc87fffb0,0x7ffd45ff,
    0xe83fff23,0xfff982ff,0xfff8800f,0xffffa80f,0x402fff80,0x7ffc6fff,
    0x200bfff5,0x260ffff8,0x00006fff,0x3fe2ffff,0xfe80005f,0x3e20007f,
    0x800004ff,0x3a01fffd,0xfb803fff,0xfffa85ff,0xfff7006f,0x7c3ffe8d,
    0x3ffe45ff,0x7f40fff6,0xffb803ff,0x9fff705f,0x803fff10,0x7ffc6fff,
    0x400bfff5,0x3ee2fffd,0xf00003ff,0x3ffe2fff,0xffc80005,0xff90003f,
    0xb000005f,0x7dc03fff,0xffe806ff,0xefffa82f,0xffff1000,0xf50fffc4,
    0x6ffd83ff,0xfb81ffec,0xffe806ff,0x5fffb02f,0x801fff30,0x7ffc7fff,
    0x400bfff5,0x3f23fffc,0xf00002ff,0x3ffe2fff,0xff880005,0x91000cff,
    0x0000dfff,0x807fff60,0x201ffff8,0xf507fff9,0xff8009ff,0x8fff30ff,
    0xffe86ffc,0x8817fec5,0x2601ffff,0x3fa07fff,0x7ffa81ff,0x7c7fff80,
    0x5c0005ff,0x3ff64fff,0xff00002f,0x17ffe2ff,0x7ffcc000,0xd30eefff,
    0x1dfffffd,0x3f600000,0x7fec01ff,0x3fff205f,0x09fff504,0x50fffe80,
    0x4fff8dff,0x7f43fff8,0x3fff602f,0x13fff205,0xb80ffff8,0xfff806ff,
    0x002fffc7,0xe97ffea0,0x00001fff,0x3fe2ffff,0x2200005f,0x0fffffeb,
    0x5bfffff3,0xfd800000,0x7fd401ff,0xfffd00ff,0x13ffea03,0x23fffb00,
    0x3fe25ffb,0x17ffc43f,0xfa807ffa,0xffd00fff,0x7fffc03f,0x405ffc80,
    0x7fc7fff8,0x7cc0005f,0x3fffe6ff,0xfff00000,0x017ffe2f,0xfffea800,
    0xfff30fff,0x0005dfff,0x0fffec00,0x41ffff40,0x2a06fff9,0x6c004fff,
    0xbff71fff,0x2a0fffcc,0x7ffc1fff,0x1ffff400,0x2037ffcc,0xfd81ffff,
    0x7ffc404f,0x002fffc7,0xf9fffe60,0x200007ff,0xfff17fff,0x3f20000b,
    0x22accfff,0xfffecba8,0xb000003f,0xf7003fff,0xfff90dff,0x27ffd407,
    0x43fffa00,0x3fea4ffc,0x07ffdc0f,0xf7003ffe,0xfff90dff,0x2fffe807,
    0x4403fff8,0x3fe0ffff,0x7cc0005f,0x1fffe6ff,0x7fff8000,0x000bfff1,
    0x01bfff30,0x0ffffa80,0xffd80000,0xfff8801f,0x07fffc1f,0x009fff50,
    0x3f27fff8,0x03ffee4f,0xff98fff9,0xffff8807,0x007fffc1,0x3e17fff6,
    0x7fc402ff,0x17ffe0ff,0xbfff5000,0x0007fffc,0xf17fff80,0xb0000bff,
    0x20003fff,0x0004fffb,0x01fffd80,0x549fffb0,0x7d405fff,0x3e2004ff,
    0x8fff66ff,0x7ec0fffb,0x02ffdc6f,0x2a4fffd8,0xfa805fff,0x3fe60fff,
    0x7ffc401f,0x017ffe0f,0x49fff500,0x0001fffe,0x3e2ffff0,0xe80005ff,
    0x220006ff,0x00005fff,0x001fffd8,0x7ecffff5,0x7fd402ff,0x3fea004f,
    0xb8fff64f,0x7ffc0fff,0x8017fe45,0x3f67fffa,0xffd002ff,0x1ffea1df,
    0x83fffe60,0x40005fff,0x3f64fffb,0xf00002ff,0x3ffe2fff,0xfff80005,
    0x7ffc0005,0xfd800006,0x3fe001ff,0x7fff89ff,0x04fffa80,0xc8bfffa0,
    0x3ffea4ff,0x897ffee1,0x3e000fff,0xfff89fff,0x3ffee007,0x87ffb9ef,
    0x3fffe628,0x0017ffe1,0x647fff90,0x00003fff,0x3fe2ffff,0xff80005f,
    0x7f40005f,0xd800007f,0x2e001fff,0xfffbcfff,0x4fffa804,0x8bfff700,
    0x3fea5ffb,0xdffff13f,0x2002ffdc,0xffbcfffb,0x7fec004f,0xaeffffff,
    0x3e66feca,0x3ffe1fff,0x4009ddb5,0x3ee1fffe,0xf00005ff,0x3ffe2fff,
    0xfff80005,0x7ff40005,0xfd800007,0x3e2001ff,0x1fffefff,0x04fffa80,
    0x41ffffa8,0x7ffc5ffb,0xffeefebf,0x001fffcc,0x7f7fffc4,0xfc8001ff,
    0xffffffff,0x3e66ffff,0x3ffe1fff,0x200bfff5,0x7cc6fff8,0x80000fff,
    0xfff17fff,0xfff0000b,0xffe8000b,0xfd800007,0x7ec001ff,0x006fffff,
    0x35bffff5,0x7fffed44,0x646ffa84,0xb8ffffff,0x03ffffff,0xfffffb00,
    0x75c000df,0xffffffff,0x3fe66fff,0x57ffe1ff,0xf7005fff,0xfffd09ff,
    0xfff00005,0x017ffe2f,0x017ffe00,0x00fffd00,0x3fffb000,0xffffa800,
    0xff5002ff,0xffffffff,0x209fffff,0x7ec47ff9,0xffd12fff,0x540009ff,
    0x02ffffff,0xfffd9800,0x541acdef,0x3fe2ffff,0x00bfff5f,0x2e07fffa,
    0x80005fff,0xfff17fff,0xfff0000b,0xffe8000b,0xfd800007,0xff8001ff,
    0x2a006fff,0xffffffff,0x01efffff,0x5cc1ffe2,0x00037102,0x1bffffe0,
    0xfff88000,0xffffa801,0x7fd7ffe2,0xfff8805f,0x1ffff107,0x7fff8000,
    0x000bfff1,0x000bfff0,0x0007ffe8,0x01fffd80,0x2ffffc80,0x3fffea00,
    0xceffffff,0x2fff8803,0x80000000,0x002ffffc,0x03ffe600,0x8bfffea0,
    0xbfff5fff,0x09fff900,0x0027ffec,0x7c5fffe0,0xf80005ff,0x740005ff,
    0x800007ff,0x8000fffe,0x4007fffb,0x3314fffa,0x3ff60003,0x00000005,
    0x007fffb8,0x03ffd400,0x20aaaa88,0xbfff5fff,0x0ffff980,0x03fffea0,
    0x17fff800,0x0000bfff,0x8000bfff,0x00007ffe,0x8007fff8,0x003ffff8,
    0x0027ffd4,0x01fff500,0x44000000,0x0003ffff,0x0037fdc0,0xff5fff80,
    0xfffe80bf,0x5fffd802,0x5fffe000,0x0005fff8,0x0027ffc4,0x001fff60,
    0x0dfff100,0x1ffff900,0x4fffa800,0x7ffc0000,0x00000003,0x003ffff2,
    0x0bff9000,0x57ffe000,0x3ea05fff,0xff1006ff,0x3e0003ff,0xbfff17ff,
    0xfff98000,0x7fe40003,0x3200000f,0x54004fff,0x8002ffff,0x0004fffa,
    0x007ffe40,0x7d400000,0x00002fff,0x0004ffe8,0x3febfff0,0xfffd105f,
    0x7ffdc003,0xffff0006,0x0017ffe2,0x005fff70,0x03fffb80,0xfff98004,
    0x3fea001f,0xf50004ff,0x800009ff,0x000ffff8,0x3fea0000,0x000004ff,
    0x00005fff,0x7ffd7ffe,0x09fffb05,0x0bfffd00,0x22ffff00,0x20005fff,
    0x001ffff8,0x07fffd40,0x71015bf0,0x8209ffff,0x6ffffd98,0x3ffea000,
    0xfb800004,0xda801eff,0x36620803,0x0006ffff,0x007ffe00,0xfafffc00,
    0xfffc85ff,0xfff30006,0xfff8009f,0x00bfff17,0x17fffee0,0x7fff4000,
    0xfffff02f,0xfffffddd,0x7fffe40d,0x000fffff,0x013ffea0,0x7ffdc000,
    0xdcbaacef,0xfc803fff,0xffffffff,0xf3000000,0x200001ff,0xbfff5fff,
    0x00efffb8,0x3fffea00,0x3bbbba62,0xf17fffee,0xdddddfff,0x3ffb21dd,
    0x000fffff,0xfffff300,0x3ffe7ddf,0xffffffff,0x3ff200df,0x00cfffff,
    0x27ffd400,0xff500000,0xffffffff,0xf9005fff,0x19ffffff,0x74c00000,
    0x3e00006e,0x4bfff5ff,0x000ffffa,0x1ffffa80,0xfffffff5,0x3fe2ffff,
    0xffffffff,0xfffffb1f,0x800003df,0xfffffffa,0xfffffd94,0x9005dfff,
    0x03dfffff,0x3ffea000,0x4c000004,0xffffffec,0xf9000bef,0x003dffff,
    0x00000000,0xffafffc0,0x07fff65f,0xfffb8000,0xffffff53,0x3e2fffff,
    0xffffffff,0xffffb1ff,0x4000007f,0x4fffffc8,0x4d665d4c,0x2b326000,
    0xa8800001,0x000001aa,0x26aee620,0xacc98000,0x00000001,0xfff00000,
    0xfb17ffeb,0xf9000005,0x55555449,0x2a2aaaaa,0xaaaaaaaa,0x035530aa,
    0x31000000,0x00000355,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffafffc,0x00000285,0x0000000a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0xbfff5fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fe00000,
    0x00bfff5f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4aaaa000,0x00002aaa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0aaa2000,0xeed98000,0x1000000c,0x00000153,0x00000000,
    0x00000000,0x00198000,0x00000000,0x3ffe8000,0x00000000,0x006ffb80,
    0xfffff700,0x2a00005f,0xdeffffec,0xff70000b,0x00001dff,0xffff3000,
    0xfc80005f,0x80003fff,0x0cffffd9,0x64000e98,0x3fee02ff,0xf8800003,
    0x3ee000ff,0x0000efff,0x027fe400,0x67ffcc00,0x0000fffc,0x7fffffe4,
    0x001fffff,0x1dffff30,0x4c000000,0x001effff,0x7ffffec0,0x3a20004f,
    0xbfffffff,0x400dff50,0x980ffffa,0x0000ffff,0x0037fdc0,0x077fffcc,
    0xffb00000,0xff700007,0x0017fd43,0xfffffe88,0xffffffff,0xffb10002,
    0x000001df,0x09ffff30,0xbfffb000,0x0009fffd,0xfdbfffd1,0xffffffff,
    0x7ffdc009,0xffffa81f,0x7ec00002,0xfb10004f,0x00001dff,0x000bffa0,
    0xff11ff20,0xfff30007,0xd9559dff,0x007fffff,0x077ffdc0,0xff300000,
    0x880005ff,0xfb13fffd,0xfb000bff,0xffffea8b,0x7c4005ff,0xff880fff,
    0x220000ff,0x1fff99a9,0x7ffdc000,0x4c40000e,0xdefffecb,0xfb8001ac,
    0x00bfea1f,0x07ffff60,0x0fffffa8,0x3bb66000,0xb1000005,0x00001bdd,
    0xd703bdd9,0x090009dd,0x016fff5c,0x201dc980,0xa8001dc9,0xffffffec,
    0xb300007f,0x5c000bdd,0xffffffff,0x8007ffff,0xffddfff8,0xfff98006,
    0xfffa802f,0x0000004f,0x00000000,0x00000000,0x00000000,0x7fe40000,
    0xffffffff,0x0000002f,0xfffff500,0xffffffff,0x3ea000ff,0x001fffff,
    0x003fffe8,0x001fffee,0x00000000,0x00000000,0x00000000,0x40000000,
    0xffffffe8,0x3fffffff,0x40000000,0xdefffffa,0xfedcfffd,0x37220007,
    0xfa8000cd,0x7c4007ff,0x20003fff,0x00000a98,0x0002a620,0x00a98800,
    0x2a620000,0x00000000,0x7fffcc00,0xffc99cef,0x0003ffff,0xfff10000,
    0x2ffe43bf,0x000000a2,0x13fff600,0x1bfff600,0xfffd9500,0x00017bdf,
    0xffffeca8,0x40000bde,0xeffffeca,0x540000bd,0xdeffffec,0xfff7000b,
    0xfffb0009,0x3ffffb05,0xffffff90,0x3ffee01f,0xfffd8004,0xb0dfff92,
    0x800009ff,0x007fffff,0x001ffff8,0x007fffa8,0x3ffffff2,0x001fffff,
    0xffffff90,0x003fffff,0x3fffff20,0x01ffffff,0xfffff900,0x03ffffff,
    0x009fff70,0x985fffb0,0xfd02ffff,0x09ffff9f,0x0013ffee,0x7f4bfff6,
    0x3ffe81ff,0x3fe60000,0x2001ffff,0x0007fff9,0x801ffff1,0xffffffe8,
    0x2fffffff,0x3fffa200,0xffffffff,0x3a2002ff,0xffffffff,0x002fffff,
    0x3fffffa2,0xffffffff,0x27ffdc02,0x17ffec00,0x440ffffa,0xfffd8fff,
    0x4fffb80f,0xafffd800,0xf80ffff8,0x200002ff,0x4ffffffc,0x1bffea00,
    0x1ffff800,0x3ffffe60,0xffeca9ce,0xf9803fff,0xa9ceffff,0x3fffffec,
    0xfffff980,0xffeca9ce,0xf9803fff,0xa9ceffff,0x3fffffec,0x013ffee0,
    0xa8bfff60,0x3ee07fff,0x7ffff36f,0x009fff70,0xf15fffb0,0xff885fff,
    0x3e00001f,0x06ffffff,0x017ffee0,0x02fffe80,0x807ffff6,0x00fffff9,
    0x00ffffec,0x01fffff3,0x01ffffd8,0x03ffffe6,0x03ffffb0,0x07ffffcc,
    0x004fffb8,0x3a2fffd8,0x3f604fff,0x17fff64f,0x0013ffee,0x7f4bfff6,
    0x7ffcc6ff,0xff300000,0x03ffff9f,0x013fff20,0x03fffe80,0x005ffff3,
    0x407ffff5,0x802ffff9,0x203ffffa,0x802ffff9,0x203ffffa,0x802ffff9,
    0x703ffffa,0xb0009fff,0x7ffc5fff,0x3fff101f,0x5c3fffcc,0xd8004fff,
    0xfff92fff,0x03ffd49f,0x3fff9000,0x2009fff9,0x0004fffc,0x740ffff6,
    0x2e003fff,0x3fa07fff,0x3ee003ff,0x3ffa07ff,0x3fee003f,0x3fffa07f,
    0x3ffee003,0x09fff707,0x25fffb00,0x2a07fff9,0x7ffcc7ff,0x27ffdc1f,
    0x97ffec00,0xaffffff9,0x00006ffb,0x7fd5fffe,0xfff9006f,0x7fec0009,
    0x7fffa83f,0x3ffff800,0x007fffa8,0xa83ffff8,0xf8007fff,0xffa83fff,
    0xfff8007f,0x4fffb83f,0x2fffd800,0x640dfff7,0x7ffc44ff,0x27ffdc1f,
    0x17ffec00,0xfffffff5,0x20000bff,0x3fe4fff9,0xffc801ff,0x3f60005f,
    0xfffe82ff,0xfffd8004,0x04fffe86,0x86fffd80,0x8004fffe,0xfe86fffd,
    0xfd8004ff,0xfffb86ff,0xfffd8004,0x40bfff72,0xfff82fff,0x27ffdc2f,
    0x17ffec00,0x3fffffea,0x80001eff,0x3f62fffc,0xffb804ff,0x3fa0005f,
    0xffff81ff,0xfffa8001,0x01ffff87,0x87fffa80,0x8001ffff,0xff87fffa,
    0xfa8001ff,0xfffb87ff,0xfffd8004,0x20bfff92,0xfe80fff9,0x7ffdc2ff,
    0xfffd8004,0xffffc882,0x002effff,0xf51fffe0,0xff500dff,0x7fc000df,
    0x7ffcc0ff,0xfff10007,0x3fffcc1f,0xffff8800,0x01fffe60,0x07fffc40,
    0x000ffff3,0x703fffe2,0xb0009fff,0x3ff25fff,0x0bff704f,0xf70ffff6,
    0xfb0009ff,0x7dc405ff,0xdfffffff,0x7ffcc001,0x0ffffc45,0x01fffe60,
    0x43fffc40,0x0006fffb,0xfb87fffe,0x3e0006ff,0x3fee1fff,0x3fe0006f,
    0x3ffee1ff,0x3ffe0006,0x27ffdc1f,0x97ffec00,0xfd04fffc,0x3fff607f,
    0x027ffdc3,0x017ffec0,0x7fffffcc,0x32003fff,0xffd82fff,0x7ffc403f,
    0xffa8001f,0x5fffb86f,0x3fffa000,0x017ffee1,0x21fffe80,0x0005fffb,
    0xfb87fffa,0x3a0005ff,0x7fdc1fff,0xffd8004f,0x0bfff92f,0x3a01fff1,
    0x7fdc2fff,0xffd8004f,0xfffa802f,0x2ffffffc,0x01ffff00,0xf00dfff7,
    0xb0009fff,0xff909fff,0x7f4000bf,0x3fff22ff,0x3ffa0005,0x17fff22f,
    0x2fffe800,0x0017fff2,0x5c2fffe8,0xd8004fff,0xfff72fff,0x40dff70d,
    0x7dc2fffe,0xfd8004ff,0xffb802ff,0xfffff916,0x5fff9801,0x03ffff10,
    0x006fffc8,0x407fffc4,0x0004fffc,0xfc8ffff6,0x360004ff,0x3ff23fff,
    0x3f60004f,0x3fff23ff,0x3ff60004,0x27ffdc3f,0x97ffec00,0xfd86fffb,
    0x3fffe04f,0x027ffdc1,0x017ffec0,0x3e62ffe4,0x7e403fff,0x3ffa03ff,
    0x7ffcc03f,0x3ff2002f,0x9fff905f,0x7ffec000,0x013fff23,0x23fffd80,
    0x0004fffc,0xfc8ffff6,0x360004ff,0x7fdc3fff,0xffd8004f,0x0ffff52f,
    0x3e203fff,0x7fdc0fff,0xffd8004f,0x4ffd802f,0x405fffc8,0x2e00ffff,
    0xfe806fff,0xfb801fff,0xff701fff,0x7ec000bf,0x3ffee3ff,0x3ff60005,
    0x17ffee3f,0x3fffd800,0x0017ffee,0x5c3fffd8,0xd8004fff,0xfff12fff,
    0x03ffd41f,0xf70dfff5,0xfb0009ff,0xffd005ff,0x0ffff507,0x2037ffcc,
    0x400ffff9,0x00fffffa,0x817fffea,0x0005fffb,0xfb8bfffa,0x3a0005ff,
    0x3fee2fff,0x3fa0005f,0x3ffee2ff,0x3ffa0005,0x27ffdc2f,0x17ffec00,
    0x7e47fffd,0x3fff605f,0x04fffb84,0x02fffd80,0xfa82fff8,0x3ff206ff,
    0xfffe803f,0xffffc803,0xfeca9bef,0x2a00efff,0x20006fff,0x3ea2ffff,
    0x3e0006ff,0x3fea2fff,0x3fe0006f,0x3ffea2ff,0x3ffe0006,0x27ffdc2f,
    0x17ffec00,0x7fcffff9,0xffff102f,0x09fff703,0x05fffb00,0xc81fff88,
    0x3fe04fff,0xffc801ff,0xfff9006f,0xffffffff,0xf9801dff,0xf10007ff,
    0x7fcc1fff,0xff10007f,0x7ffcc1ff,0xfff10007,0x3fffcc1f,0xffff8800,
    0x027ffdc0,0x517ffec0,0xff37ffff,0x3fff201f,0x09fff705,0x05fffb00,
    0x4c0fff98,0xf302ffff,0x33333fff,0xfff53333,0x3ff2001f,0xffffffff,
    0xfff1005f,0xff50003f,0xffff88df,0xfffa8001,0x0ffffc46,0x37ffd400,
    0x007fffe2,0x21bffea0,0x8004fffb,0x7f41fffe,0x05ffcfff,0x201ffff7,
    0x8004fffb,0xaca9fffe,0x713ffd40,0x201dffff,0xfffffffc,0xffffffff,
    0x22003fff,0xefffffeb,0x7ffc000b,0xffd8003f,0x3ffff84f,0x4fffd800,
    0x003ffff8,0xf84fffd8,0xd8003fff,0xffa84fff,0xfff8005f,0xfffffa87,
    0xfffa83ff,0x3ffea04f,0x7fff8005,0xbbdffff7,0xfffdbfff,0x7fc01fff,
    0xffffffff,0xffffffff,0xff50006f,0x7e4000bf,0x7c4006ff,0xffc81fff,
    0x7fc4006f,0xfffc81ff,0x7ffc4006,0x6fffc81f,0x7fffc400,0x06fff981,
    0xb06fff80,0x35ffffff,0xfffffd93,0x37ffcc01,0xbb7ffc00,0xffffffff,
    0xffffffff,0x3ffe601e,0xffffffff,0xffffffff,0xfff0000f,0x3e20001f,
    0x32001fff,0xff105fff,0x7e4003ff,0xfff105ff,0x7fe4003f,0xffff105f,
    0x7ffe4003,0x1ffff105,0x2fffdc00,0xfffffd88,0xffffffff,0x7ffc400d,
    0x3fee000f,0xfffff75f,0xffffffff,0xff9005df,0x555555bf,0xfd555555,
    0x360007ff,0x20004fff,0x801ffffd,0x200ffffb,0x801ffffd,0x200ffffb,
    0x801ffffd,0x200ffffb,0x801ffffd,0x200ffffb,0x2004fffe,0x6402fffe,
    0xffffffff,0x3a004fff,0x3a004fff,0x32a22fff,0xeffffeec,0x3fe001bc,
    0xfc8001ff,0xf70006ff,0x0e403fff,0x0fffff98,0x13fffea0,0x1fffff30,
    0x27fffd40,0x3ffffe60,0x3fffea00,0x7fffcc04,0x3ffea00f,0x7ffd404f,
    0x7fec403f,0xfff8805f,0x1cefffff,0x7fffd400,0x7ffec403,0x03fff005,
    0x1bffe600,0x7fffcc00,0xfffd0000,0xff9535bf,0x7fffec0d,0xfec99bdf,
    0xd800ffff,0x9bdfffff,0xfffffec9,0xffffd800,0xfec99bdf,0xd800ffff,
    0x9bdfffff,0xfffffec9,0xffffd800,0xfb9889ad,0xa801ffff,0x01aa9fff,
    0xffffd800,0xfb9889ad,0x9801ffff,0x90000fff,0x40009fff,0x0003ffff,
    0xfffffff3,0x407fffff,0xfffffffc,0x0dffffff,0x3ffff200,0xffffffff,
    0x3f2000df,0xffffffff,0x000dffff,0x3ffffff2,0xdfffffff,0xffff3000,
    0xffffffff,0x32007fff,0x800004ff,0xfffffff9,0xffffffff,0x0fff5003,
    0x0ffffc00,0xbfff9000,0x7ff54000,0xdfffffff,0x7fffd400,0x4fffffff,
    0xffff5000,0x9fffffff,0x3ffea000,0xffffffff,0xfff50004,0xffffffff,
    0xffb10009,0xffffffff,0x7fc003df,0x1000002f,0xfffffffb,0x003dffff,
    0x80037fdc,0x0007fff9,0x007fffd4,0x3fffae00,0x26001dff,0xefffffdc,
    0x64c0001c,0xcefffffd,0x6e4c0001,0x1cefffff,0x7ee4c000,0x01ceffff,
    0x7ff6d400,0x003effff,0x0007ffcc,0x3fb6a000,0x03efffff,0x005ffc80,
    0x009fff90,0x05ffff00,0x004c4000,0x001a8800,0x00d44000,0x06a20000,
    0x35100000,0xa9800000,0x3ee00009,0x0000005f,0x00009a98,0x0000d54c,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000cc0,0x00000660,0x00000000,0x55999753,
    0xf9800003,0x0002ffff,0x00fffff2,0x405ff900,0xc8003ffb,0x3fee02ff,
    0xffffb803,0x0000000e,0x5fffff30,0xfffb3000,0x01d3019f,0x7fffecc0,
    0x000e980c,0x2e02ffc8,0xf70003ff,0xffffffff,0x2600003f,0x001effff,
    0x3fffff60,0xff50004f,0xfff301ff,0x7fd4001f,0xfff980ff,0xfff9800f,
    0x000000ef,0x77fffcc0,0xffe88001,0x50bfffff,0x3a200dff,0xbfffffff,
    0x800dff50,0x980ffffa,0x2000ffff,0xffffffe9,0x001fffff,0x4ffff980,
    0x7ffec000,0x004fffed,0x81ffffb8,0x002ffffa,0x207fffee,0x002ffffa,
    0x01dfffb1,0x3e600000,0x10004fff,0xffdbfffd,0x9fffffff,0xbfffd100,
    0xfffffffd,0xfb8009ff,0xffa81fff,0xff1002ff,0x999bdfff,0x80003ffd,
    0x002ffff9,0x4ffff620,0x005fffd8,0x407fffc4,0x000ffff8,0x203fffe2,
    0x000ffff8,0x0077ffdc,0x3fe60000,0x6c0002ff,0x7fff545f,0x36005fff,
    0x7fff545f,0x88005fff,0xf880ffff,0xfb000fff,0x00803dff,0x6f76c400,
    0x77640000,0x4eeeb81d,0x00ee4c00,0x30003b93,0x6e4c03b9,0xddb30001,
    0x4400000b,0x0000deed,0x7ff5c090,0x2048002d,0x002dffeb,0x98077260,
    0xff1001dc,0x000001ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00bfff30,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3fea0000,
    0x0000006f,0x00000000,0xa9880000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffff1000,0xff700005,0xffb0009f,0x4fffb85f,
    0x2fffd800,0xfffd9500,0x80017bdf,0xfffffffa,0xffffffff,0x7ffc004f,
    0x000007ff,0x00ffffff,0x3ffffe60,0x3fff2001,0x7fffc000,0xf000007f,
    0x000fffff,0x01fffff4,0x13ffee00,0x0bfff600,0x0009fff7,0x9005fffb,
    0xffffffff,0x54003fff,0xffffffff,0xffffffff,0x3ffe6004,0x00001fff,
    0x7fffffcc,0xfff98001,0x3f2005ff,0x3e6000ff,0x001fffff,0x7fffcc00,
    0xf10001ff,0x001bffff,0x013ffee0,0x70bfff60,0xb0009fff,0x74405fff,
    0xffffffff,0x002fffff,0xfffffff5,0xffffffff,0x7fe4009f,0x0004ffff,
    0x7ffffe40,0xff98004f,0x9000ffff,0x64001fff,0x04ffffff,0x7ffe4000,
    0x70004fff,0x7fffffff,0x9fff7000,0x5fffb000,0x004fffb8,0x302fffd8,
    0x39dfffff,0xfffffd95,0xdfff5007,0x55555555,0x40035555,0x6fffffff,
    0x7ffc0000,0x8006ffff,0x4ffffff9,0x01fff900,0x7fffffc0,0x7c00006f,
    0x06ffffff,0xfffffc80,0x001effff,0x0013ffee,0xf70bfff6,0xfb0009ff,
    0x3ff605ff,0x3fe601ff,0x7d400fff,0x000005ff,0x3ff3ffe6,0x300001ff,
    0xffff9fff,0xfff98003,0xc800ffff,0xf3000fff,0x3ffff9ff,0x3fe60000,
    0x01ffffcf,0x2bfffea0,0xcffffffa,0x4fffb800,0x2fffd800,0x0027ffdc,
    0x4c17ffec,0xa802ffff,0x5403ffff,0x00005fff,0x327fff20,0x00004fff,
    0xff93fff9,0xff98009f,0x804fffef,0x9000fffc,0xfff93fff,0x3f200009,
    0x4fffc9ff,0x87fffe00,0xefffffc8,0x27ffdc00,0x17ffec00,0x0013ffee,
    0x3a0bfff6,0x2e003fff,0x7d407fff,0x000005ff,0x7fd5fffe,0xff00006f,
    0x1bffeaff,0xf9fff300,0xfc801fff,0xfff000ff,0x01bffeaf,0xabfffc00,
    0xf5006fff,0x3fa609ff,0x2e01ffff,0xd8004fff,0x7fdc2fff,0xffd8004f,
    0x3fffd42f,0x1ffffc00,0x00bfff50,0x3ffe6000,0x007fffe4,0x49fff300,
    0x2001ffff,0xffbbfff9,0x7ffe403f,0x4fff9800,0x0007fffe,0x7c9fff30,
    0xfc801fff,0x7fdc01ff,0xff700fff,0xffb0009f,0x4fffb85f,0x2fffd800,
    0x0027fff4,0x5037ffec,0x0000bfff,0xd8bfff20,0x40004fff,0x3f62fffc,
    0x3e6004ff,0x7fff8bff,0x007ffe40,0xfb17ffe4,0xc80009ff,0x3ff62fff,
    0xfffd804f,0xffffa801,0x09fff705,0x85fffb00,0x8004fffb,0x7fc2fffd,
    0xfa8001ff,0x3fea07ff,0xf000005f,0xfffa8fff,0x7ffc0006,0x037ffd47,
    0x367fff30,0x3f203fff,0xfff800ff,0x037ffd47,0x51fffe00,0xf900dfff,
    0x3ea009ff,0xffb81fff,0xffd8004f,0x27ffdc2f,0x17ffec00,0x000ffff3,
    0x403fffe2,0x0005fffa,0x45fff980,0x001ffff8,0x88bfff30,0x3001ffff,
    0x3fe67fff,0x3fff206f,0x2fffcc00,0x007fffe2,0x22fffcc0,0x401ffff8,
    0x2006fffa,0xfb82fffd,0xfd8004ff,0x7ffdc2ff,0xfffd8004,0x01bffee2,
    0x01ffff80,0x000bfff5,0x05fff900,0x0007fffb,0x360bfff2,0xf3003fff,
    0x7fff47ff,0x01fff902,0xd82fffc8,0x90003fff,0xffb05fff,0xfff8807f,
    0xfff5005f,0x09fff709,0x85fffb00,0x8004fffb,0x3ee2fffd,0x3a0005ff,
    0xff501fff,0x333333bf,0x00333333,0xf701ffff,0x3e000dff,0xffb80fff,
    0xfff3006f,0x837ffd47,0x7c00fffc,0xffb80fff,0xfff0006f,0xdfff701f,
    0xbffff500,0x09fff300,0x0009fff7,0xfb85fffb,0xfd8004ff,0x3fff22ff,
    0x3ffa0005,0xffff502f,0xffffffff,0x4c01ffff,0xff105fff,0xf98003ff,
    0xfff105ff,0xfff3003f,0x81fffe87,0x2600fffc,0xff105fff,0xf98003ff,
    0xfff105ff,0xfff9003f,0x7fd403df,0x4fffb83f,0x2fffd800,0x0027ffdc,
    0xf917ffec,0x6c0009ff,0xff503fff,0xffffffff,0x01ffffff,0xd01fffe4,
    0xc8007fff,0x3fa03fff,0xff9803ff,0x2fffdc3f,0x9007ffe4,0x7f407fff,
    0x7e4003ff,0x3ffa03ff,0xfff9003f,0xffd019ff,0x9fff701f,0x5fffb000,
    0x004fffb8,0x322fffd8,0x20004fff,0xf503fffd,0xffffffff,0x1fffffff,
    0x007fffc0,0x800dfff7,0x2e00ffff,0xf9806fff,0xffff83ff,0x007ffe41,
    0x5c01ffff,0x7c006fff,0x3ee00fff,0x3ea006ff,0x362fffff,0xff705fff,
    0xffb0009f,0x4fffb85f,0x2fffd800,0x0017ffee,0x503fffd8,0x3333bfff,
    0x33333333,0x037ffcc0,0x003fffe6,0x2037ffcc,0x400ffff9,0xfb83fff9,
    0x7ffe45ff,0x0dfff300,0x00ffff98,0x80dfff30,0x000ffff9,0x3fffff62,
    0x00efffee,0x0009fff7,0xfb85fffb,0xfd8004ff,0x3ffee2ff,0x3ffa0005,
    0xbfff502f,0x7fe40000,0xfffe803f,0x7fff9003,0x07fffd00,0x883fff98,
    0x3f21ffff,0xfff900ff,0x7fffd007,0x0ffff200,0x00ffffa0,0x3ffffaa0,
    0x2e00efff,0xd8004fff,0x7fdc2fff,0xffd8004f,0x1bffea2f,0x2ffff800,
    0x00bfff50,0x0ffffc00,0x037ffe40,0x801ffff8,0x4c06fffc,0xff903fff,
    0x07ffe49f,0x801ffff8,0xf006fffc,0xf9003fff,0x5c000dff,0x807fffff,
    0x8004fffb,0x7dc2fffd,0xfd8004ff,0x3ffe62ff,0xfff10007,0x3ffea01f,
    0xff300005,0x333333ff,0xffff5333,0xffff9801,0x99999999,0x00ffffa9,
    0x440fffe6,0xff90ffff,0xffff301f,0x33333333,0x01ffff53,0x99ffff98,
    0xa9999999,0x0000ffff,0x0fffffa2,0x009fff70,0xb83fffd0,0xe8004fff,
    0x3fe21fff,0xfa8001ff,0x3fea06ff,0xf900005f,0xffffffff,0xffffffff,
    0xfffc807f,0xffffffff,0x3fffffff,0x80fffe60,0xff93fffc,0xffff901f,
    0xffffffff,0x07ffffff,0xffffffc8,0xffffffff,0x0003ffff,0x00ffffd8,
    0x0017ffea,0x3ea1fffe,0xff8005ff,0x3ffff87f,0x4fffd800,0x017ffea0,
    0x7ffffc00,0xffffffff,0x06ffffff,0x7ffffffc,0xffffffff,0x2606ffff,
    0x3e603fff,0x1fff97ff,0xfffffff0,0xffffffff,0xf80dffff,0xffffffff,
    0xffffffff,0xf00006ff,0x7cc05fff,0xff8006ff,0x6fff986f,0x86fff800,
    0x4006fffc,0x201ffff8,0x0005fffa,0xffffff98,0xffffffff,0x00ffffff,
    0xfffffff3,0xffffffff,0x201fffff,0x6c03fff9,0xfffcafff,0x7ffffcc0,
    0xffffffff,0x0fffffff,0xffffff30,0xffffffff,0x01ffffff,0x5fffb000,
    0x07fffc40,0x0bfff700,0x001ffff1,0x442fffdc,0x2001ffff,0x5405fffc,
    0x80005fff,0xaaadfffc,0xaaaaaaaa,0x903fffea,0x5555bfff,0x55555555,
    0x2607fffd,0x7cc03fff,0x0fffceff,0x556fffe4,0xaaaaaaaa,0x03fffeaa,
    0x555bfff9,0x55555555,0x007fffd5,0x01fffd00,0x004fffe8,0x740bfffa,
    0x3a004fff,0xffb02fff,0xff7003ff,0xffa801ff,0xff80005f,0xfc8001ff,
    0xffff06ff,0xfff90003,0x0fffe60d,0x3fbfffa0,0x7fffc0ff,0xfffc8001,
    0x03ffff06,0x0dfff900,0x6fffb800,0x3ffffa80,0x2fffec40,0x07ffff50,
    0x05fffd88,0x03ffffe6,0x04ffffa8,0x005fffa8,0x037ffcc0,0x0ffff980,
    0x0037ffcc,0x80ffff98,0xa803fff9,0x0fffffff,0x001bffe6,0x207fffcc,
    0x0006fff9,0xf81ffff3,0x2a6209bd,0x003ffffd,0x35bffffb,0xffff7311,
    0xfffd803f,0xb9889adf,0x401fffff,0xbdfffffd,0xffffec99,0xfffa800f,
    0xaaaaaaae,0x321aaaaa,0x20004fff,0x7e43ffff,0x3e0004ff,0xff983fff,
    0xfffd003f,0x7fe41fff,0x3fe0004f,0x7ffe43ff,0x3ffe0004,0x7ffffc3f,
    0xffffffff,0x3fe6003f,0xffffffff,0x803fffff,0xfffffff9,0xffffffff,
    0xffff9003,0xffffffff,0x3ea001bf,0xffffffff,0x4fffffff,0x0007fffe,
    0x7c5fffc8,0x20001fff,0xf985fffc,0xff5003ff,0x7fc1ffff,0x320001ff,
    0x7ffc5fff,0x3f20001f,0x7fffc5ff,0xffffffff,0xfd88003f,0xffffffff,
    0x22001eff,0xfffffffd,0x001effff,0x7fffffd4,0x004fffff,0x7fffffd4,
    0xffffffff,0xffff34ff,0xfffa8000,0x0ffff30f,0xffffa800,0x01fffcc0,
    0x1fffffd0,0x001fffe6,0x21ffff50,0x0007fff9,0xb07fffd4,0xffffffff,
    0x500005df,0xffffffdb,0x6d40007d,0xeffffffe,0x37260003,0x1cefffff,
    0xffffa800,0xffffffff,0xff94ffff,0xff00009f,0x3fff25ff,0xfff80004,
    0x1fffcc2f,0xfffff700,0x013fff21,0x4bfffe00,0x0004fffc,0x882ffff8,
    0x0009aa99,0x04d4c000,0x9a980000,0x51000000,0x00000003,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x5554c400,0x002aaaaa,0x51000000,0xffc80003,0x000003ff,0x5fffff30,
    0xff300000,0x00005fff,0x05fffff3,0x7ffff900,0xffff7000,0xf700001d,
    0x0001dfff,0x3ffff200,0xfd930003,0xffffffff,0xffc80dff,0x00ffee02,
    0x00bfff70,0x3fffff60,0x4000004f,0x01effff9,0xfff98000,0x980001ef,
    0x001effff,0xffffffd8,0xfff98004,0x980000ef,0x000effff,0x7fffec00,
    0x322004ff,0xffffffff,0x06ffffff,0x203fffea,0x000ffff9,0x05fffff1,
    0xedfffd80,0x00004fff,0x09ffff30,0x3fe60000,0x300004ff,0x0009ffff,
    0x3fb7fff6,0xd88004ff,0x0000efff,0x0efffd88,0xfffb0000,0x009fffdb,
    0xfffffff7,0xffddddff,0x7ffdc0df,0xffffa81f,0xffff5002,0x3f62009f,
    0xfffb13ff,0xf980000b,0x00002fff,0x05ffff30,0x3ffe6000,0xfd88002f,
    0xfffb13ff,0x3fee000b,0x700000ef,0x0001dfff,0x89fffec4,0x2a05fffd,
    0xffffffff,0x37ffc47f,0x01ffff10,0x001ffff1,0x0bffffe6,0x40ef7640,
    0x0004eeeb,0x01bddb10,0x3b620000,0x100000de,0x0001bddb,0x2e077bb2,
    0x30004eee,0x0000bddb,0x002f76cc,0x703bdd90,0xff109ddd,0xffffffff,
    0x06fff88f,0x9300ee4c,0xffc8003b,0x0000006f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffffb000,0x8fffffff,0x0006fff8,
    0x59500000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7fffffc0,0x447fffff,0x00006fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xf1000000,0xffffffff,
    0xfff88fff,0x00000006,0x7fc00000,0x6c007fff,0x0001ffff,0x413fffe2,
    0xffffffff,0xffffffff,0xffff506f,0xffffffff,0x2a09ffff,0xffffffff,
    0xffffffff,0xffffff04,0xffffffff,0x3ea0dfff,0xffffffff,0x4fffffff,
    0xfffffff0,0xffffffff,0x3ffeadff,0xffffffff,0x837ffc47,0xffffffff,
    0xffffffff,0x2666006f,0xfff30000,0x44003fff,0x0005ffff,0x403ffff2,
    0xffffffff,0xffffffff,0xffff506f,0xffffffff,0x2a09ffff,0xffffffff,
    0xffffffff,0xffffff04,0xffffffff,0x3ea0dfff,0xffffffff,0x4fffffff,
    0xfffffff0,0xffffffff,0x3ffeedff,0xffffffff,0x837ffc47,0xffffffff,
    0xffffffff,0xfff1006f,0x3ff20005,0x4004ffff,0x001ffffc,0x03ffff88,
    0x3ffffffe,0xffffffff,0xfff506ff,0xffffffff,0x209fffff,0xfffffffa,
    0xffffffff,0xfffff04f,0xffffffff,0x2a0dffff,0xffffffff,0xffffffff,
    0xffffff04,0xffffffff,0x3fe6dfff,0xffffffff,0x37ffc47f,0xfffffff8,
    0xffffffff,0xff1006ff,0x3fe0005f,0x006fffff,0x037fffc4,0x037ffec0,
    0x2eaaaaaa,0xaaaaffff,0xfff502aa,0x5555555d,0x20355555,0xaaaefffa,
    0xaaaaaaaa,0x5555501a,0x55ffff75,0x2a055555,0xaaaaefff,0xaaaaaaaa,
    0x55555501,0x555ffff7,0x3fe25555,0xffffffff,0x37ffc47f,0xbaaaaaa8,
    0xaaaaffff,0xff3002aa,0xff30005f,0x03ffff9f,0x2ffffb80,0x3fffe600,
    0xfff10002,0xfff5000f,0x7d40000b,0x000005ff,0x007fff88,0x005fffa8,
    0xfff88000,0xfffff007,0x8fffffff,0x4006fff8,0x0007fff8,0x002fff98,
    0xfc9fffc8,0xfe8004ff,0x3f6006ff,0x220005ff,0xa8007fff,0x00005fff,
    0x0017ffea,0x3ffe2000,0xfffa8007,0x88000005,0xf7007fff,0xffffffff,
    0x6fff88ff,0x3fffc400,0x7ffcc000,0x7fff8003,0x000dfff5,0x007ffff5,
    0x003ffff3,0x03fffc40,0x02fffd40,0xbfff5000,0xf1000000,0xf5000fff,
    0x00000bff,0x00ffff10,0x7ffffff4,0x7fc47fff,0x7fc4006f,0x2a20007f,
    0x4003fffd,0x3fe4fff9,0xfd8001ff,0xffd807ff,0x7c40004f,0xfa8007ff,
    0x200005ff,0x0005fffa,0x7fff8800,0x5fffa800,0xf8800000,0x3e2007ff,
    0xffffffff,0x037ffc47,0x01fffe20,0x3ffffee0,0x7e4003ff,0x3fff62ff,
    0xfff98004,0x3ffea03f,0x7c40000f,0xfa8007ff,0x200005ff,0x0005fffa,
    0x7fff8800,0x5fffa800,0xf8800000,0x6cc007ff,0x7fffffff,0x0037ffc4,
    0x801fffe2,0xffffffe9,0x7fc003ff,0x37ffd47f,0xffffc800,0x07fffd00,
    0xffff1000,0xbfff5000,0x7fd40000,0x8000005f,0x8007fff8,0x0005fffa,
    0x7fff8800,0xfffd3000,0xfff88fff,0x7ffc4006,0x3fffa007,0x02cccdef,
    0x117ffe60,0x0003ffff,0x509ffff1,0x0000dfff,0x001fffe2,0x0017ffea,
    0x05fffa80,0xff880000,0xffa8007f,0x8000005f,0x0007fff8,0x236e554c,
    0x4006fff8,0x7007fff8,0x0007ffff,0xb05fff90,0x20007fff,0x740ffffb,
    0x00002fff,0x000ffff1,0x000bfff5,0x02fffd40,0x7fc40000,0xffa8007f,
    0x8000005f,0x0007fff8,0x6fff8800,0x3fffc400,0x04fffe80,0x1ffff000,
    0x00dfff70,0x727fffc0,0x0000dfff,0x003fffc4,0x4cefffd4,0x99999999,
    0x3ffea019,0x9999999d,0x80019999,0x8007fff8,0x999dfffa,0x99999999,
    0xfff88001,0x88000007,0x44006fff,0xff007fff,0x300001ff,0x3e20bfff,
    0x50001fff,0x3fa1ffff,0x200001ff,0x8007fff8,0xfffffffa,0xffffffff,
    0xffff500f,0xffffffff,0x8001ffff,0x8007fff8,0xfffffffa,0xffffffff,
    0x7fc4000f,0x8000007f,0x4006fff8,0x9807fff8,0x00007fff,0x7407fff9,
    0x20003fff,0xffbcfffe,0x4400005f,0xa8007fff,0xffffffff,0xffffffff,
    0xfffff500,0xffffffff,0x88001fff,0xa8007fff,0xffffffff,0xffffffff,
    0x7ffc4000,0x88000007,0x44006fff,0xf9807fff,0x80000fff,0x2e00ffff,
    0x20006fff,0xfffffff9,0x4400000f,0xa8007fff,0xffffffff,0xffffffff,
    0xfffff500,0xffffffff,0x88001fff,0xa8007fff,0xffffffff,0xffffffff,
    0x7ffc4000,0x88000007,0x44006fff,0xf8807fff,0x40002fff,0x4c06fff9,
    0x0000ffff,0x3ffffff6,0xf8800004,0xfa8007ff,0x99999dff,0x01999999,
    0x2677ffea,0x99999999,0xff880019,0xffa8007f,0x999999df,0x00199999,
    0x007fff88,0xfff88000,0x7ffc4006,0x9ffff007,0xfffc8000,0x3fffe803,
    0x3ffe2000,0x00000fff,0x007fff88,0x005fffa8,0x17ffea00,0x3e200000,
    0xfa8007ff,0x000005ff,0x007fff88,0xfff88000,0x7ffc4006,0xffff7007,
    0x7ffc0003,0xfffc801f,0x7fe40006,0x000003ff,0x000ffff1,0x000bfff5,
    0x02fffd40,0x7fc40000,0xffa8007f,0x8000005f,0x0007fff8,0x6fff8800,
    0x3fffc400,0xfffff880,0xfff98001,0x9999999f,0x0ffffa99,0x3ffe2000,
    0x22000007,0xa8007fff,0x00005fff,0x0017ffea,0x3ffe2000,0xfffa8007,
    0x88000005,0x00007fff,0x06fff880,0x03fffc40,0x9fffff50,0x7ffe4001,
    0xffffffff,0x3fffffff,0x3ffe2000,0x22000007,0xa8007fff,0x00005fff,
    0x0017ffea,0x3ffe2000,0xfffa8007,0x88000005,0x00007fff,0x05fff980,
    0x03fffc40,0x3ffffee0,0xf009abdf,0xffffffff,0xffffffff,0x44000dff,
    0x00007fff,0x01fffe20,0x017ffea0,0x5fffa800,0xf8800000,0xfa8007ff,
    0x000005ff,0x007fff88,0xfffa8000,0x7ffc4003,0xfffa8007,0x86ffffff,
    0xfffffff9,0xffffffff,0x000fffff,0x00ffff10,0x7ffc4000,0xfffa8007,
    0x3ea00005,0x000005ff,0x007fff88,0x005fffa8,0xfff88000,0xc8000007,
    0x44002fff,0x10007fff,0xfffffffb,0x5bfff90d,0x55555555,0x7fffd555,
    0x3ffe2000,0x22000007,0xa8007fff,0x00005fff,0x0017ffea,0x3ffe2000,
    0xfffa8007,0x88000005,0x30007fff,0x3fffe200,0x7ffc4000,0x75c40007,
    0xff86ffff,0xfc8001ff,0xf10006ff,0x00000fff,0x003fffc4,0x002fffd4,
    0x0bfff500,0xff100000,0xff5000ff,0x000000bf,0x000ffff1,0x744019f5,
    0x88004fff,0x00007fff,0x3e6154c4,0xf30006ff,0x10001fff,0x0000ffff,
    0x03fffc40,0x02fffd40,0xbfff5000,0xf1000000,0xf5000fff,0x00000bff,
    0x00ffff10,0xbcffff88,0xffffb989,0xff88000f,0x0000007f,0x0013fff2,
    0x003ffff8,0x007fff88,0xaaaaaa80,0xaaaffffb,0xff502aaa,0x555555df,
    0x03555555,0x2abbffea,0xaaaaaaaa,0x555501aa,0x5ffff755,0x20555555,
    0xaaaefffa,0xaaaaaaaa,0x5555501a,0x55ffff75,0xf7055555,0xffffffff,
    0x805fffff,0xfbaaaaaa,0xaaaaafff,0x7c00002a,0x20001fff,0x8005fffc,
    0x0007fff8,0xfffffff8,0xffffffff,0xfff506ff,0xffffffff,0x209fffff,
    0xfffffffa,0xffffffff,0xfffff04f,0xffffffff,0x2a0dffff,0xffffffff,
    0xffffffff,0xffffff04,0xffffffff,0x3a60dfff,0xffffffff,0xff801eff,
    0xffffffff,0x6fffffff,0x3fe60000,0x7d40007f,0x44000fff,0x80007fff,
    0xffffffff,0xffffffff,0xffff506f,0xffffffff,0x2a09ffff,0xffffffff,
    0xffffffff,0xffffff04,0xffffffff,0x3ea0dfff,0xffffffff,0x4fffffff,
    0xfffffff0,0xffffffff,0xedb80dff,0x03efffff,0x3fffffe0,0xffffffff,
    0x00006fff,0x0013fff2,0x00bfffe0,0x00ffff10,0xffffff00,0xffffffff,
    0x3ea0dfff,0xffffffff,0x4fffffff,0xffffff50,0xffffffff,0x3ffe09ff,
    0xffffffff,0x06ffffff,0xfffffff5,0xffffffff,0x3fffe09f,0xffffffff,
    0x006fffff,0x40002662,0xffffffff,0xffffffff,0x0000006f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xa8800000,0x000001aa,0x05553000,0x00cd4400,0x00aa8800,0x55500000,
    0x20022005,0x55000008,0x54400055,0x4c001bdc,0x51000aaa,0x26000013,
    0x0002aaaa,0x30aaaa98,0x7f435555,0x0000006f,0x00dfff00,0x7fffee54,
    0x4002cfff,0x0cffffd8,0x7fc00000,0x4ffd807f,0x000fff60,0x07ffff90,
    0xfffff700,0xff1001bf,0xffb300bf,0x1d303bff,0xffffb100,0xffb8000b,
    0xffff91ff,0x00fffdc7,0x2a000000,0xe9802fff,0xffffffff,0x1006ffff,
    0xbffffffd,0xff800000,0x7ffd407f,0xffffb82f,0xfff90001,0x64007fff,
    0xffffffff,0x0fffd805,0x7ffffc40,0xff50cfff,0x7ffdc00d,0x3ee0005f,
    0xfff91fff,0x2fffc47f,0x20000000,0xfa807ffe,0xffffffff,0x006fffff,
    0xfb119ff9,0x4000005f,0x7dc07fff,0xffc83fff,0xfc8002ff,0x3fffedff,
    0x9dfff880,0x202fffea,0x4403fffa,0xffedfffe,0x4fffffff,0x7fff4c00,
    0xfff70004,0x3fffee3f,0x007ffec2,0xf9800000,0x7fec03ff,0xaabdffff,
    0x006ffecb,0x09ff0dfd,0x7ffc0000,0x7fffcc07,0x0ffffa81,0x1fffe400,
    0xc807fffb,0x5ffe86ff,0x00dffd10,0xffa837f6,0x005fffff,0x09fffb10,
    0x1ffff700,0x30bfffee,0x00007fff,0x3fff6000,0x3ffff200,0x05c8802f,
    0xbfd0bff0,0x7fc00000,0x2eea807f,0x00077ae0,0xf905fff9,0x7ff407ff,
    0x906ffc83,0x24003fff,0x07bffd70,0x9fff7000,0xffffb800,0x03ffff50,
    0x0000fffd,0xbfff1000,0x77fffc40,0xfb000000,0x027fc41f,0xffff0000,
    0x00000000,0x99802666,0x07ffe019,0x3e61ffea,0x000003ff,0x33100000,
    0xfffa8003,0x3ffff50f,0x005fff50,0xffb80000,0x3fff601f,0x54000006,
    0xfffbcfff,0x3e000001,0x000007ff,0x80000000,0xf982fff8,0x37ff40ff,
    0x00000000,0xfa800000,0xfff30fff,0x1bffe01f,0xff000000,0x7ffcc0df,
    0x8000002f,0x3ffffffc,0x7fc00000,0x0000007f,0xf0000000,0xdff509ff,
    0x001fffc8,0x00000000,0xfff50000,0x3fffe61f,0x03fff900,0x3ea00000,
    0x3ff603ff,0x0000006f,0x0077ff6a,0x21998800,0x10007fff,0x00000355,
    0xd0006aa2,0xbffb0dff,0x0027ffcc,0x00355100,0x06aa2000,0x4ffff500,
    0x2207fff8,0x00004fff,0x80fffb00,0x0002ffff,0x00000000,0x3fffb722,
    0x07fffeff,0x3fffb260,0x40004eff,0xfffffec9,0xfffb804e,0x1fffc88c,
    0x0001bffa,0x3fffff6e,0x20000cef,0xfffffec9,0xfffa804e,0x01fffe27,
    0x0001fffb,0x4fff9800,0x01fffe20,0xa9880000,0x500019aa,0xffffffff,
    0x00ffffff,0x3fffffee,0x001effff,0xffffffb8,0x401effff,0xfffffffe,
    0x07ffee5f,0xfffe8800,0xffffffff,0xfffb8002,0xefffffff,0x1fffe601,
    0xfa805555,0x000003ff,0x5007ffe4,0x0000dfff,0x7ffedc40,0x0cffffff,
    0xffffd880,0xffffffff,0x7ec407ff,0xffeeffff,0x1003ffff,0xddfffffb,
    0x07ffffff,0x7fffff4c,0x13ffe65f,0xffffa800,0xffffffff,0xfb1005ff,
    0xffddffff,0x2607ffff,0x40007fff,0x00006ffe,0x017ffe20,0x000bfff7,
    0x7ffffc00,0xffffffff,0x7ffec04f,0xb7310acf,0xfd80ffff,0xfe982fff,
    0xfd800fff,0xfe982fff,0x6dc00fff,0x7ff42cee,0xff30000e,0x5cc37dff,
    0x802fffff,0x982ffffd,0x980ffffe,0x7fe47fff,0x7ffdc01f,0xf7000002,
    0xffc805ff,0x2000004f,0xffffffff,0x3fffffff,0x03ffff50,0x540ffff0,
    0x6c00efff,0x7d405fff,0x7ec00eff,0x5c0005ff,0x20002fff,0x200efffe,
    0x00ffffe8,0x003bffea,0xf30bfffb,0x7ffd8fff,0x05fff880,0xdffd0000,
    0x07fffb00,0x77fc0000,0x3ee609ab,0xfe81ffff,0xfff001ff,0x0ffff40f,
    0x0ffffc40,0x003fffd0,0x003ffff1,0x017ffe20,0x06fffa80,0x813fffe0,
    0x8801fffe,0x7cc1ffff,0x2fffc6ff,0x00fffc80,0x7ffcc000,0x3fffe803,
    0x02e00000,0x27fffc40,0x8017ffee,0xff507fff,0x7fdc009f,0x9fff504f,
    0x27ffdc00,0x0fffd800,0x3fffe000,0x3ffee002,0x09fff507,0x227ffdc0,
    0x3e66fff8,0xff3003ff,0xd800009f,0xfd800fff,0x000004ff,0x3ffea000,
    0x00ffff45,0x360ffff0,0x26002fff,0xffb05fff,0x7fcc005f,0xffa8005f,
    0x3e60002f,0xff8006ff,0xfffd80ff,0x3ffe6002,0x737ffc45,0x74003fff,
    0x200007ff,0x9004fff8,0x0000bfff,0x7fc40000,0x03fffc7f,0x741fffe0,
    0x22000fff,0xffd06fff,0x7fc4001f,0x7fc4006f,0x7d40005f,0xfd8003ff,
    0xfffe81ff,0x3ffe2000,0x937ffc46,0xfa800dff,0x900002ff,0x2e003fff,
    0x00006fff,0x7ffc0000,0x01bffe27,0x3e0ffff0,0xaaaaafff,0xfbaaaaaa,
    0xffff07ff,0x55555555,0xffff7555,0x0fffd800,0x5c004d44,0xc8002fff,
    0xfff83fff,0xaaaaaaaf,0xfffbaaaa,0xb37ffc47,0xff0007dd,0x3e0000df,
    0x3ee006ff,0x000007ff,0x3fffc000,0x800bfff3,0xff887fff,0xffffffff,
    0xffffffff,0x7ffc40ff,0xffffffff,0xffffffff,0xfff5000f,0x7ffff4c7,
    0x3fff601e,0xfffb8001,0x7ffffc44,0xffffffff,0x0fffffff,0x0017ffe2,
    0x01fffb80,0x17ffd400,0x3ffff500,0x22000000,0xcccccaa9,0x3fea7fff,
    0x7ffc004f,0xfffff987,0xffffffff,0x0fffffff,0x7fffffcc,0xffffffff,
    0x00ffffff,0x2e5fff88,0xffffffff,0x03fffd02,0x8bfff500,0xfffffff9,
    0xffffffff,0x7c0fffff,0x200005ff,0x0005fff8,0x2003fff4,0x005ffff8,
    0x7ff5c000,0xffffffff,0x3ffee7ff,0x3fffc004,0x777fffcc,0xeeeeeeee,
    0x986eeeee,0xeeeeffff,0xeeeeeeee,0xf9006eee,0x3ffe21ff,0x0ffffece,
    0x002fffd8,0x4c3fffb8,0xeeeeffff,0xeeeeeeee,0xfff86eee,0x7ec00005,
    0xf30000ff,0xf90009ff,0x00003fff,0xffffff50,0xffffffff,0x2fffd4ff,
    0x41fffe00,0x00007fff,0x000ffff0,0x7fff5000,0xf5077fec,0xfff907ff,
    0xfff90007,0x00ffff05,0x0bfff000,0xfff98000,0xfff90003,0xfff30001,
    0x980000bf,0xccefffff,0xfffccccc,0x01bffe67,0x3e0ffff0,0x00000fff,
    0x000ffff8,0x37ff4000,0x3fa0bffe,0x4fffb85f,0x1fffd800,0x000ffff8,
    0x004ccc00,0x3fff4000,0x2fffc400,0xffffb000,0xf100001b,0xf003dfff,
    0x7ffc4fff,0x3fff6007,0x03fffd07,0xfffd0000,0x64000003,0x3fe21fff,
    0x86ffc80f,0x4006fffa,0xe80ffff8,0x00001fff,0x5c000000,0x5c002fff,
    0x20001fff,0x1efffff9,0xfb85b880,0xff000eff,0x1ffff8ff,0x7ffffc80,
    0x00bfff90,0xbfff9000,0x3e600000,0x7ffcc3ff,0x987ffa80,0x2001ffff,
    0xf906fffb,0x00000bff,0xff000000,0xffe800bf,0xff980006,0xabdeffff,
    0x86ffdcba,0x2003fffc,0x7fe47fff,0x7ffdc04f,0xfff107ff,0x8800005f,
    0x0002ffff,0x886ffe80,0xffb82fff,0x0dfffb06,0x07fffe20,0x017fffc4,
    0x01793000,0x3ff20000,0xfff5001f,0x3e600007,0xffffffff,0x86ffffff,
    0x1002fffe,0xff98ffff,0xfff702ff,0x7e40ffff,0x00002fff,0x017fffe4,
    0x3fff9000,0x3613ffe0,0xfff104ff,0x7f4401bf,0x7fe405ff,0xa80002ff,
    0x0000ffff,0x04fff880,0x001fffb0,0x7ffecc00,0xffffffff,0xfffe86ff,
    0xffffa802,0xbffffe87,0xbffffb89,0x3e207ffc,0x81aeffff,0x4405ca98,
    0x1aefffff,0x305ca988,0x7f409fff,0x3ffea1ef,0x3ffff202,0xff7511ae,
    0xf8801fff,0x81aeffff,0xff85ca98,0x00004fff,0x801fffb0,0x0004fff8,
    0xffff7100,0x039dffff,0x9017fff6,0x30ffffff,0xffffffff,0x3ff27fff,
    0x7fffd407,0xffffffff,0xfa806fff,0xffffffff,0x06ffffff,0xfa80dffd,
    0xfffddfff,0x7ffec405,0xffffffff,0xf5001eff,0xffffffff,0x8dffffff,
    0x06fffff8,0xfff50000,0x1fffc807,0x7dc00000,0x70019cff,0x4c3bffff,
    0xffffffeb,0xfffff307,0x7e47ffff,0xffd8807f,0xffffffff,0xb1006fff,
    0xffffffff,0x70dfffff,0xf9003fff,0x1dffffff,0x3fffee00,0xdfffffff,
    0x7fec4000,0xffffffff,0xffe86fff,0x000004ff,0xff01bffa,0x000000bf,
    0x0001fff9,0xfffffffd,0xf97fffff,0x7fec40ff,0x7dc1ceff,0x3b6a007f,
    0xffffffff,0x6d4002ce,0xfffffffe,0x7fc42cef,0x3fea004f,0x88004fff,
    0xefffffed,0x6d40002d,0xfffffffe,0xff982cef,0x000000ef,0x5c07ffee,
    0x00002fff,0x006ffe80,0xfffffd30,0x323dffff,0x151007ff,0x53000000,
    0x00013355,0x4cd554c0,0x44000000,0x26000009,0x0000009a,0x0266aaa6,
    0x00006a20,0x17ffe200,0x00037ff4,0x27ffc400,0x3ffee000,0x7dc3efff,
    0x0000007f,0x00000000,0x00000000,0x00000000,0x00000000,0x90000000,
    0xff981fff,0x8000003f,0x0001fffa,0x00035310,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xff980000,0x07ffec4f,0x7dc00000,
    0x0000007f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0x3fe27ffe,0x0000005f,0x00009dd9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x88000000,
    0x00008800,0xaaaaa880,0x554c4001,0x55300009,0x00000555,0x00220022,
    0x57997510,0x35100003,0x80000001,0x01aaaaa8,0x00555500,0x00153000,
    0x000026aa,0x6c09ffb0,0x400003ff,0x004ffffd,0xffffff91,0xffffffff,
    0x3fff620f,0x6c00005f,0x3ff604ff,0xfffd8803,0x01efffff,0xffffd980,
    0x000e981d,0x3ffff600,0xfff90004,0xfff5007f,0x7fff6443,0x3fe00dff,
    0x000adfff,0x0bfffea0,0x007fffee,0x7fffec00,0xffff7002,0xffffffff,
    0xb80fffff,0x0005ffff,0x05ffff50,0x403ffff7,0xfffffffb,0x003fffff,
    0x3fffffe2,0xdff50cff,0x3ff60000,0xf90002ff,0x807fffff,0xff52fffa,
    0xdfffffff,0x3ffffe01,0x70004fff,0xf907ffff,0x00005fff,0x001dfffb,
    0x37ffffee,0xfffffedc,0xe9807fff,0x80004fff,0xc83ffffb,0xf702ffff,
    0xfb9bdfff,0x003fffff,0xfdbfffd1,0xffffffff,0xffb00009,0x320001df,
    0xfffedfff,0x2bffea03,0xfffffffa,0xf80effff,0xffffffff,0x7fcc001e,
    0xfffa81ff,0x7ec0000f,0x3e6004ff,0xff704fff,0x003339ff,0x013fff62,
    0x3ffff300,0x01ffff50,0x209ffff1,0x006fffd9,0x7fd41bfb,0x005fffff,
    0x04fffd80,0x8ffff200,0xf503fffd,0x9ffffbff,0xffff9313,0xfb753309,
    0x005fffff,0x2e02eea8,0x6c0001de,0x6c002fff,0x7d404fff,0x2e0006ff,
    0x40004fff,0x3ae02eea,0x9fffb01d,0x0ffff880,0x7f5c0900,0xd80003df,
    0x20002fff,0xfc82fffc,0xfffa83ff,0xf900efff,0x93001fff,0x003fffff,
    0x40000000,0x80009998,0xe800ffff,0x20001fff,0x00001998,0x3ffe0000,
    0x3fffd007,0x00000000,0x00266620,0x40133300,0xffa81999,0xfd805fff,
    0x3ea003ff,0x00006fff,0x00000000,0x017ffe60,0x001fffe4,0x00000000,
    0x13ffe600,0x00ffff40,0x00000000,0x00000000,0x1bfffea0,0x037ffdc0,
    0x0bfffee0,0x00000000,0x7fd40000,0xfff7004f,0x00000009,0xfa800000,
    0xff8803ff,0x0000007f,0x00000000,0xffa80000,0xff1000ef,0xffd000ff,
    0x000000bf,0x0d544000,0x1bffea00,0x017ffe40,0x4d554c40,0x53100001,
    0xf9003355,0xfe8805ff,0x310004ff,0x00033555,0x26aaa620,0x53100001,
    0xf5003355,0xff8009ff,0x7e4000ff,0x3fea07ff,0x3ff6004f,0xfd93000f,
    0x009dffff,0x001ffff3,0x1003fffd,0xffffffb7,0x40019fff,0xfffffdb8,
    0x900cffff,0x74c05fff,0x1000efff,0xffffffb7,0x40019fff,0xfffffdb8,
    0x000cffff,0x3ffff6e2,0x00cfffff,0x8009fff5,0x4000fffe,0x500ffffa,
    0x6c009fff,0xfb800fff,0xffffffff,0x7ff401ef,0x7ffdc04f,0xfffff007,
    0xffffffff,0x3ffe009f,0xffffffff,0xffc84fff,0xffff502f,0x7ffc001d,
    0xffffffff,0xff004fff,0xffffffff,0x2009ffff,0xffffffff,0x84ffffff,
    0x4004fffa,0x4001fffd,0x2a07fff9,0x36004fff,0x36200fff,0xfeefffff,
    0x203fffff,0x704ffffa,0x2005ffff,0xffffffff,0x3fffffff,0xffffff80,
    0xffffffff,0x17ffe43f,0x06ffffd4,0x3ffffe00,0xffffffff,0xfff803ff,
    0xffffffff,0xf803ffff,0xffffffff,0x43ffffff,0x4004fffa,0x4001fffd,
    0x2a06fffa,0x36004fff,0x3f600fff,0xfe982fff,0x3f600fff,0xfdcdffff,
    0x2004ffff,0x209abeff,0x1fffffb9,0x4d5f7fc0,0x3fffee60,0x0bfff21f,
    0x009ffff1,0x26afbfe0,0x3fffee60,0x5f7fc01f,0x3fee609a,0x7fc01fff,
    0x2e609abe,0x2a1fffff,0x74004fff,0x6c000fff,0x3ea05fff,0x3f6004ff,
    0xfff500ff,0xfffd801d,0xfffff305,0xffffffff,0x000b8009,0x809ffff1,
    0xfff1000b,0x17ffe49f,0x0017ffea,0xff1000b8,0x00b809ff,0x09ffff10,
    0xff1000b8,0x7ffd49ff,0x3fffc004,0xffff9100,0x27ffd405,0x01fffb00,
    0x2007fffa,0x441ffff8,0xfffceffe,0x000dffff,0xfffa8000,0x7d400005,
    0x3fff25ff,0x01fffe42,0xff500000,0xa80000bf,0x00005fff,0xf52fffd4,
    0x7c4009ff,0x999706ff,0x0bfffffd,0x004fffa8,0x2a03fff6,0x2e004fff,
    0x7fd44fff,0x026aa61f,0xf1000000,0x80000fff,0x3f27fff8,0x7ffe42ff,
    0x20000004,0x0007fff8,0x03fffc40,0x3ffe2000,0x013ffea7,0xb04fffa8,
    0xffffffff,0xfffa801b,0x3fff6004,0x02fffd80,0x917ffe60,0x00000fff,
    0xffff0000,0xfff00000,0x217ffe4f,0x000ffffa,0x3ffe0000,0xff800007,
    0xf800007f,0x3ffea7ff,0x3fffa004,0xfffffb02,0x3ea005df,0x3f6004ff,
    0xfffe80ff,0x3ffe2000,0x00ffff46,0x20000000,0x00007fff,0x3f27fff8,
    0x7ffc42ff,0x000000ef,0x000ffff0,0x00ffff00,0x4ffff000,0x5004fffa,
    0x7ec0dfff,0x40009bff,0x2004fffa,0xff80fffd,0xaaaaaaff,0xffbaaaaa,
    0x77fff47f,0x8000001b,0xccccaa98,0x4007fffc,0xccccaa98,0x3f27fffc,
    0xfffa82ff,0x440002ff,0xcccccaa9,0x44007fff,0xcccccaa9,0x44007fff,
    0xcccccaa9,0x3fea7fff,0xfffb804f,0x3fff201f,0xfff50000,0x7ffec009,
    0x7ffffc40,0xffffffff,0x0fffffff,0x3fffffee,0xceefffff,0xfeb8001b,
    0xffffffff,0xd7007fff,0xffffffff,0x7e4fffff,0xfff902ff,0xd70009ff,
    0xffffffff,0x200fffff,0xffffffeb,0x07ffffff,0xfffffd70,0xffffffff,
    0x56ffffd4,0x3fff6a21,0x3ffe404f,0x9fff5000,0x07ffec00,0x3fffffe6,
    0xffffffff,0x40ffffff,0xfffffffd,0xffffffff,0xfffa802e,0xffffffff,
    0x5407ffff,0xffffffff,0x7fffffff,0xb80bfff2,0x00dfffff,0xffffffa8,
    0xffffffff,0x7ffd407f,0xffffffff,0x5407ffff,0xffffffff,0x7fffffff,
    0x3fffffea,0xffffffff,0x7ffc804f,0x3ffea000,0x3fff6004,0x77fffcc0,
    0xeeeeeeee,0x06eeeeee,0xfffffffd,0xffffffff,0x7ffcc05f,0xccccceff,
    0x207fffcc,0xcefffff9,0xffcccccc,0x0bfff27f,0xbfffff30,0xfffff980,
    0xccccccce,0x3e607fff,0xccceffff,0x7fffcccc,0x3ffffe60,0xccccccce,
    0x3fea7fff,0xffffffff,0x9001efff,0x54000fff,0x36004fff,0xfff80fff,
    0xfd800007,0xcbaaadff,0xffffffdc,0xffff881f,0x7fff801e,0x3dffff10,
    0x64ffff00,0xd8802fff,0xf103ffff,0xf003dfff,0x3fe20fff,0xff801eff,
    0xffff107f,0xffff003d,0x7fffffd4,0x03deffff,0x003ffe40,0x009fff50,
    0x7c07ffec,0x00000fff,0x4013fff6,0x83ffffc8,0x000efffb,0x3ee0ffff,
    0xff000eff,0x17ffe4ff,0x7fffe880,0x01dfff70,0x5c1fffe0,0xf000efff,
    0x3fee0fff,0xfff000ef,0x8a7ffd4f,0x44000199,0x26000199,0xf1005fff,
    0xffd01fff,0x2600003f,0xe8006fff,0xffc85fff,0x3ffe003f,0x07fff907,
    0xf93fffc0,0x7c4005ff,0xffc81fff,0x3ffe003f,0x07fff907,0xc83fffc0,
    0x3e003fff,0x3ffea7ff,0x00000004,0x1bffe200,0x07ffff40,0x002fffe4,
    0x03fffb80,0x85fffb80,0x1002fffe,0x3fa0ffff,0xff1002ff,0x17ffe4ff,
    0x0bfffa00,0x400bfffa,0xfd07fff8,0x3e2005ff,0xfffd07ff,0x3ffe2005,
    0x013ffea7,0x00000000,0xd801ffff,0x880fffff,0x0002ffff,0x003fffd8,
    0xe83fffc8,0xfa802fff,0xffd07fff,0xfff5005f,0x17ffe4ff,0x07fff600,
    0x200bfffa,0xd07ffffa,0xf5005fff,0x3fa0ffff,0xffa802ff,0x3ffea7ff,
    0xb8800004,0x7f40001c,0xffb104ff,0x3201ffff,0x0002ffff,0x002fffe4,
    0x207fffe6,0x6405fffd,0xb07fffff,0xfc80bfff,0x3f27ffff,0x3e6002ff,
    0xffd80fff,0x7ffe405f,0xfffb07ff,0xffffc80b,0xbfffb07f,0xfffffc80,
    0x013ffea7,0xffff1000,0x7fdc0007,0xfd511dff,0x01fffbff,0x3bffffe2,
    0x5ca9881a,0x06ffffd4,0x3fffee20,0xbffff705,0x7fff5cc3,0xff707fff,
    0x75cc3bff,0x27ffffff,0x4d42fffc,0xffff9310,0x3fffee09,0x3ffae61d,
    0xf707ffff,0x5cc3bfff,0x7ffffffe,0x3bffff70,0x7ffff5cc,0x3ffea7ff,
    0x7e400004,0x40007fff,0xfffffffe,0xffb9ffff,0x3ffea00f,0xffffffff,
    0xfe86ffff,0xccdeffff,0xfffffedc,0x7ffff406,0xffffffff,0x3a07ffcb,
    0xffffffff,0xffcbffff,0xb0bfff27,0xffffffff,0x7ff401df,0xffffffff,
    0x07ffcbff,0x3ffffffa,0xcbffffff,0x3ffa07ff,0xffffffff,0x27ffcbff,
    0x0004fffa,0x7ffffec0,0x3fe60000,0xefffffff,0x801fff71,0xffffffd8,
    0x6fffffff,0xfffffe88,0xffffffff,0x74c00cff,0xffffffff,0x0fff91ef,
    0x7fffff4c,0xf91effff,0x17ffe4ff,0x3ffffff6,0x74c00dff,0xffffffff,
    0x0fff91ef,0x7fffff4c,0xf91effff,0x7ff4c0ff,0xefffffff,0x7d4fff91,
    0x400004ff,0x006ffffc,0xffffd880,0x7ffd44ff,0xffdb5000,0x9dffffff,
    0x7ffed405,0xffffffff,0x7fdc000c,0x5c3effff,0xffb807ff,0x5c3effff,
    0x3fff27ff,0x7ffffec2,0x7dc002de,0x43efffff,0xfb807ffb,0x43efffff,
    0xfb807ffb,0x43efffff,0x3fea7ffb,0x4400004f,0x0001fffe,0x000d54c0,
    0x2aaa6000,0x4c400099,0x19abccaa,0x1a988000,0xa9880000,0x33000001,
    0x22000033,0x800001a9,0x00001a98,0x8001a988,0x0001aaa8,0x00015300,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x0001aaa8,0x2aaaa600,0x54000000,0x530002aa,
    0x00005555,0x55544000,0x2a0001aa,0x800002aa,0x02881998,0x55551000,
    0x00000035,0x00000000,0x7d401551,0x000004ff,0x81bfffe2,0x3f200018,
    0x88003fff,0x005ffffd,0xffb00000,0x640009ff,0x0003ffff,0x7fff6dcc,
    0x07feceff,0xffffb000,0x04fffa89,0x30dfff10,0x0003ffff,0xa80ffff5,
    0xf501ffff,0x000009ff,0x8cffff98,0x006ffdba,0xffffff90,0x3fee0007,
    0x000005ff,0x17fffec0,0xffff9000,0x2a0007ff,0xffffffff,0x007fffff,
    0x2ffffd80,0x004fffa8,0x3a0dfff1,0xd8004fff,0x3e204fff,0xf507ffff,
    0x000009ff,0xffffff70,0x000dffff,0xffdbfff9,0x3a60007f,0x00004fff,
    0x1dfffb00,0x7ffe4000,0x003fffed,0x7fffffe4,0xffffffff,0x7fec0007,
    0xfff500ef,0x3ffe2009,0x0ffff706,0x1ffff880,0x3ffffee0,0x4fffa82f,
    0xca880000,0xfffffffe,0x4006ffff,0x3f63fffc,0xb10003ff,0x00009fff,
    0x04fffd80,0x1fffe400,0x2007fffb,0x0acffffe,0x1ffff6a6,0x4fffd800,
    0x027ffd40,0x106fff88,0x4005ffff,0x5c06fffb,0x82ffffff,0x0004fffa,
    0xfffffb80,0xacefffff,0x7ffe4000,0x03fffc82,0x13ffee00,0x7fec0000,
    0x7e40002f,0xfffc82ff,0x7fffd403,0x07fff801,0x05fffb00,0x009fff50,
    0xd81bffe2,0x3a005fff,0x7cc03fff,0xa80fffff,0x00004fff,0xefffffb8,
    0x0004ffff,0x99802666,0x4c400019,0x88000019,0x80000999,0x26600999,
    0x7fff4019,0x0ffff001,0x01333100,0x013ffea0,0x3037ffc4,0x1001ffff,
    0x7001ffff,0x2a05ffff,0x00004fff,0x709bdfb8,0x0003ffff,0x00000000,
    0x00000000,0x80000000,0x2005fffb,0x00007fff,0x13ffea00,0x037ffc40,
    0x200ffffa,0x2005fffb,0x3ea00bb9,0x000004ff,0x06fffd80,0x00000000,
    0x00000000,0x00000000,0x00ffff40,0x000ffff0,0x7ffd4000,0xdfff1004,
    0x06fffb80,0x002fffe8,0x4fffa800,0x00002a60,0x4ffffa88,0x00000000,
    0x00355100,0x06aa2000,0x55440000,0x3fffc001,0x01fffe00,0xffa80000,
    0xfff1004f,0xffff880d,0x1fffe601,0x7fd40000,0x3ffb224f,0x4000dfff,
    0xfffffdb9,0xfa801fff,0x3f6004ff,0xfb7000ff,0x19dfffff,0x7fedc000,
    0x00ceffff,0x3fff6e00,0x200cefff,0x4006fff8,0xff507fff,0x7fec009f,
    0x09fff50f,0x01bffe20,0xc817fff6,0x00004fff,0x229fff50,0xfffffffe,
    0xff7000ef,0xffffffff,0xfff500df,0x7ffec009,0x7fff4400,0xffffffff,
    0x7ff44002,0xffffffff,0x7f44002f,0xffffffff,0xfff302ff,0x7fff800b,
    0x009fff50,0xfa87ffec,0xff1004ff,0xfff500df,0x3fffa01f,0xf5000001,
    0xfffd17ff,0xdfffffff,0xffffd801,0xffffffff,0x7ffd402f,0x3fff6004,
    0x3fffea00,0xffffffff,0xff5005ff,0xffffffff,0x200bffff,0xfffffffa,
    0x5fffffff,0x004fffa8,0xfa83fffc,0x3f6004ff,0x9fff50ff,0x1bffe200,
    0x41ffff40,0x0006fff9,0x37ffea00,0x989cffff,0x204ffffc,0x9bdffffe,
    0x6fffc998,0x027ffd40,0x201fffb0,0x1beffff9,0x3ffffee6,0x7fffcc02,
    0x3fee61be,0x7cc02fff,0x261befff,0x42fffffb,0x4004fffb,0xff507fff,
    0x7fec009f,0x09fff50f,0x01bffe20,0x6437ffdc,0x00003fff,0x3ffffea0,
    0xfff900ef,0xffff701f,0x7fffc405,0x13ffea02,0x00fffd80,0x401dfffd,
    0x00ffffe8,0x803bfffa,0x00ffffe8,0x803bfffa,0x20ffffe8,0x4005fffa,
    0xff507fff,0x7fec009f,0x09fff50f,0x01bffe20,0x20ffffc4,0x0000ffff,
    0x3fffea00,0xfffd805f,0x0ffffc43,0x02fffe40,0x4009fff5,0xfa80fffd,
    0x3fe006ff,0xfff504ff,0x7fffc00d,0x0dfff504,0x327fffc0,0xf800dfff,
    0xfff507ff,0x7ffec009,0x009fff50,0x801bffe2,0x3ea4fffd,0x000005ff,
    0x037fffd4,0x5c6fffb8,0xf3004fff,0x3ea01fff,0x3f6004ff,0xffff80ff,
    0x3ffee002,0x05ffff07,0x83fffdc0,0x2002ffff,0x3e27fffb,0x3f6007ff,
    0xfff507ff,0x7ffec009,0x00bfff50,0x801bffea,0x3f67fffa,0x510002ff,
    0xefffa803,0xffff1000,0x001ffff8,0x540ffff6,0x36004fff,0x7fcc0fff,
    0xfff8006f,0x37ffcc0f,0x07fffc00,0x001bffe6,0xff83fffe,0xffc801ff,
    0xfff507ff,0x7ffec009,0x00dfff50,0x00fffff1,0xf89ffff8,0xf70007ff,
    0x3ea01dff,0x7fc004ff,0xdfff10ff,0x5fffb800,0x009fff50,0x2a07ffec,
    0xd8003fff,0x7fd41fff,0xffd8003f,0x1fffd41f,0x0fffec00,0xb809fff9,
    0x507fffff,0x6c009fff,0xfff50fff,0x7ff4401f,0x7dc007ff,0x4fffbcff,
    0xffff8800,0x9fff506f,0x0fffe800,0x8009fff3,0xf506fffa,0x7ec009ff,
    0x7ffdc0ff,0xfffc8002,0x017ffdc3,0x21fffe40,0x8002fffb,0x3e63fffc,
    0xff702fff,0x2a0fffff,0x36004fff,0xfff50fff,0x3ffa209f,0x2001ffff,
    0xffeffff8,0xff98001f,0xfa82ffff,0x7ec004ff,0x9fff71ff,0x7fff9800,
    0x009fff50,0x3607ffec,0xb8001fff,0x7fec4fff,0xffb8001f,0x0fffec4f,
    0x27ffdc00,0x26fffffa,0xdbffffb8,0xfff507ff,0x7ffec009,0xbfffff50,
    0xdfff7313,0x013dfff9,0x3fffff60,0xff10006f,0xf509ffff,0xfd8009ff,
    0x7fff91ff,0x7fff8800,0x009fff50,0x3a07ffec,0xa8001fff,0x7ff45fff,
    0xffa8001f,0x0ffff45f,0x2fffd400,0x3fffffe6,0xfd3fffff,0x3ffea0ff,
    0x3fff6004,0xffffff50,0x1fffffff,0x0bfffff1,0x3ffffea0,0x3f60002f,
    0xfa85ffff,0x7f4004ff,0x7fff90ff,0x7fff8800,0x009fff50,0x3607ffec,
    0xb8002fff,0x7fec3fff,0xffb8002f,0x17ffec3f,0x1fffdc00,0x7fffffcc,
    0x3ffa3fff,0x09fff507,0xa87ffec0,0xffffefff,0x3f21efff,0x3e005fff,
    0x0006ffff,0x2fffffc4,0x0027ffd4,0xffb9fffe,0x7fcc004f,0x9fff507f,
    0x07ffec00,0x000ffff2,0xf90bfff2,0xf90007ff,0xfffc85ff,0xfffc8003,
    0xffffb302,0x7ffe839d,0x009fff50,0xfa87ffec,0xffffbaff,0xbfff704f,
    0x7fffe400,0xffb80002,0xfffa84ff,0x3ffe2004,0x017ffea6,0x20bfff50,
    0x2004fffa,0x7dc0fffd,0xfd8004ff,0x7ffdc1ff,0xfffd8004,0x027ffdc1,
    0x00fffec0,0xfff00544,0x13ffea0f,0x50fffd80,0x0d4c7fff,0x20009880,
    0x0007fffb,0x05ffff30,0x4009fff5,0x3e64fffa,0x7e4007ff,0xfff303ff,
    0x3ffe200b,0x37ffd40f,0x3fffe200,0x037ffd40,0x03fffe20,0x800dfff5,
    0x000ffff8,0x20ffff00,0x1005fff9,0x3ea1ffff,0x000004ff,0x0ffffe20,
    0x7ffd4000,0x4fffa80f,0x8bfffa00,0x003ffff8,0x203ffff1,0xd006fff8,
    0xf981ffff,0x2e001fff,0xff986fff,0x3ee001ff,0xfff986ff,0x3fee001f,
    0x3e00006f,0xfff107ff,0x3fffa00d,0x09fff50f,0x7e400000,0x00000fff,
    0x2a09fffb,0xf7004fff,0xfff90bff,0x3ffee00d,0x07fffc06,0x3fffff60,
    0x06fffd80,0x03ffff10,0x401bfff6,0xb01ffff8,0x2200dfff,0x0001ffff,
    0xf81fffe0,0x7ec00fff,0xff50ffff,0x0000009f,0x00bfffea,0x3fff6200,
    0x13ffea06,0x07fffea0,0x037fffe2,0x02ffffb8,0x8827fff4,0x0ffffffd,
    0x0dffff88,0x17fffa20,0x0dffff88,0x17fffa20,0x0dffff88,0x17fffa20,
    0xffff0000,0x827fff40,0xffffffd8,0x009fff50,0xfff50000,0x2a20009f,
    0x1fffffda,0x37fffea0,0x3ff6a21a,0x3fee04ff,0x9511beff,0x700bffff,
    0x223bffff,0xffdfffea,0xffff900f,0x3eea235d,0x6400ffff,0x11aeffff,
    0x1fffff75,0xeffffc80,0xfff7511a,0x800001ff,0x3ee07fff,0xd511dfff,
    0x1fffbfff,0x0013ffea,0x3f662080,0x20006fff,0xeffffff9,0x7fffd401,
    0xffffffff,0x6c404fff,0xffffffff,0x006fffff,0x3ffffffa,0xfb9fffff,
    0xffb100ff,0xffffffff,0x1003dfff,0xfffffffb,0x3dffffff,0xffffb100,
    0xffffffff,0x000003df,0xfe80ffff,0xffffffff,0x0fffb9ff,0x0009fff5,
    0x7ffffe40,0x0000ffff,0x0fffffe6,0x7ffff4c0,0xffffffff,0x3fee001e,
    0xffffffff,0x3e6000cf,0xffffffff,0x01fff71e,0xffffffb8,0x00dfffff,
    0x7ffffdc0,0x0dffffff,0x7fffdc00,0xdfffffff,0xff000000,0xfff980ff,
    0x1effffff,0x3ea1fff7,0x200004ff,0xfffffffc,0x6cc0000c,0x710001ac,
    0xdffffffb,0x36600079,0xdffffffe,0xffb10001,0xfa89ffff,0xed8800ff,
    0x2defffff,0x3fb62000,0x02deffff,0x3ffb6200,0x002defff,0x3fffc000,
    0x7fffec40,0x7ffd44ff,0x009fff50,0x7fffe400,0x000001ef,0x19880000,
    0x35300000,0xa9800001,0x2000001a,0x000009a9,0x00013530,0x0026a600,
    0xaaa80000,0x0d54c002,0x06aaa200,0xacc98000,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x10011000,0x5554c001,0x1000002a,0x01579b75,0x55540000,
    0x55530002,0x00000055,0x2aaaaa20,0x10011001,0xcecb9801,0xaa98001c,
    0x3bb6a00a,0x5554c001,0x01351000,0xffd80000,0x00fff604,0x2ffffec4,
    0x3fee0000,0x02ffffff,0xfffc8000,0xfd88003f,0x00005fff,0xffffd800,
    0x09ffb004,0xfb01ffec,0x005fffff,0xa82fffc4,0x001ffffe,0x2017ffe2,
    0x1dffffd9,0x50000e98,0xf705ffff,0x5c003fff,0x0005ffff,0xfffffe88,
    0x005fffff,0x3ffff200,0xf70003ff,0x0000bfff,0x7fffec00,0xffff5002,
    0x3ffff705,0x3fffff60,0x3ff6006f,0x7ffecc0f,0x36001fff,0x7c400fff,
    0xcfffffff,0x000dff50,0x20ffffee,0x002ffffc,0x027fff4c,0x3ffff600,
    0xfffffece,0xffc80002,0x03fffedf,0x9fffd300,0xfb000000,0x5c001dff,
    0xfc83ffff,0x21302fff,0x802fffd8,0x7cc3fffa,0x1fffffff,0x07fff500,
    0xedfffe88,0xffffffff,0xff30004f,0xfff503ff,0xfb10001f,0x2a0009ff,
    0x6cc2ffff,0x40007fff,0x3f63fffc,0xb10003ff,0x00009fff,0x027ffec0,
    0x0ffffcc0,0x007fffd4,0x401fffb8,0xfd06ffe8,0x03fff57f,0x00dffd10,
    0xffa837f6,0x005fffff,0x70177540,0xb80003bd,0xd8004fff,0xff303fff,
    0x320001ff,0xffc82fff,0x3ee0003f,0x800004ff,0x0002fffd,0xeb80bbaa,
    0x2eaa201d,0xfc805fff,0x219501ff,0xc801fffa,0x12001fff,0x03dffeb8,
    0x00000000,0x00666200,0x803fffa0,0x0002fffe,0x4cc01333,0x4c400019,
    0x44000019,0x00000999,0x7fc40000,0x4c00efff,0x2a003fff,0x7cc01fff,
    0x000003ff,0x00000000,0x00000000,0xd803fffe,0x00001fff,0x00000000,
    0x00000000,0xf1000000,0x05ffffff,0x20037ff4,0x7401fffa,0x000006ff,
    0x00000000,0x00000000,0xd00ffffc,0x00001fff,0x00000000,0x00000000,
    0x4c000000,0x06fffca9,0x8003fff9,0x3201fffa,0x00001fff,0x20000000,
    0x00001aa8,0xffb00000,0x3ffe605f,0x00000006,0x00000000,0x00000000,
    0x7ff40000,0x27ffcc0f,0x0fffd400,0x004fff98,0x0d54c400,0x7edc0000,
    0x0cefffff,0x09fff500,0x407ffec0,0xe886fffc,0x98002fff,0xffffffff,
    0xf98004ff,0xffffffff,0xff98004f,0xffffffff,0xfff98004,0x4fffffff,
    0x3ffea000,0x006ffe87,0x203fff50,0x54006ffe,0x3f621fff,0x004fffff,
    0xffffe880,0x2fffffff,0x04fffa80,0x203fff60,0x263ffff9,0x0005fffe,
    0xfffffff3,0x30009fff,0xffffffff,0xf30009ff,0xffffffff,0xff30009f,
    0xffffffff,0x7f77c009,0x7dc4ffff,0xf50001ff,0xfff703ff,0xfffa8003,
    0xffffff51,0x0003dfff,0x3fffffea,0xffffffff,0x27ffd405,0x01fffb00,
    0x327ffff2,0x000effff,0xffffff30,0x0009ffff,0xfffffff3,0x30009fff,
    0xffffffff,0xf30009ff,0xffffffff,0x7ffc009f,0x7cc5ffff,0x2a0004ff,
    0x7fcc1fff,0xffa8004f,0xfffffbaf,0x05ffffff,0xeffff980,0x3ffee61b,
    0x3fea02ff,0x3ff6004f,0xffff100f,0x009fffff,0x33333300,0x0009fff9,
    0x32666666,0x30004fff,0xff933333,0x2660009f,0xfffc9999,0x3bff6004,
    0xeffe81ce,0x33260000,0x077ff40c,0x6fffd400,0xb30aefff,0x8005ffff,
    0x200efffe,0x00ffffe8,0x4009fff5,0x2a00fffd,0x2effffff,0x7dc00000,
    0x400004ff,0x0004fffb,0x027ffdc0,0x3ffee000,0xfb800004,0x000002ff,
    0x000bffee,0x7fffffd4,0x17fff604,0x06fffa80,0x413fffe0,0x2004fffa,
    0xb100fffd,0x00dfffff,0x3fee0000,0x5c00004f,0x00004fff,0x0027ffdc,
    0x13ffee00,0xfff10000,0x4400000b,0x20005fff,0x04fffffa,0x0037ffcc,
    0x4005ffff,0xf507fffb,0x7ec009ff,0xffe980ff,0x502fffff,0x40003999,
    0x0004fffb,0x027ffdc0,0x3ffee000,0x7dc00004,0x400004ff,0x0000fffd,
    0x03fff600,0xffffa800,0x0ffff005,0x01bffe60,0x203fffe0,0x2004fffa,
    0x7cc0fffd,0xffffefff,0x2fffc81f,0x3ffee000,0x7dc00004,0x400004ff,
    0x0004fffb,0x027ffdc0,0x5fff5000,0x7d400000,0x540002ff,0x3a006fff,
    0xfa800fff,0xfd8003ff,0xfffa81ff,0x3fff6004,0x37fffe20,0x0effff98,
    0x000fffe4,0x009fff70,0x4fffb800,0x7fdc0000,0x5c00004f,0x00004fff,
    0x000bfff1,0x2fffc400,0x7ffd4000,0x3fffa004,0x2fffb800,0x3fffc800,
    0x004fffa8,0xfc83fff6,0x7ffdc6ff,0x07ffec5f,0x9fff7000,0xffb80000,
    0x5c00004f,0x00004fff,0x0027ffdc,0x00fffd80,0x3ff60000,0xfa80000f,
    0x3f6004ff,0xffd800ff,0xffb8001f,0x4fffa84f,0x43fff600,0xc81ffff8,
    0x3fa4ffff,0x7dc0007f,0x400004ff,0x0004fffb,0x027ffdc0,0x3ffee000,
    0xffa80004,0x7fffc43f,0xffa8004f,0x7fffc43f,0x7ffd404f,0x3fff6004,
    0x1fffe800,0x5fffa800,0x004fffa8,0x7d43fff6,0x3ffa05ff,0x7fff8aff,
    0x7ffdc000,0x7dc00004,0x400004ff,0x0004fffb,0x027ffdc0,0x17ffe200,
    0x13fffff6,0x0bfff100,0x09fffffb,0x004fffa8,0x2003fff6,0x8002fffd,
    0xfa83fffb,0x3f6004ff,0x9fff70ff,0x7ffffc40,0x0004fffc,0x0027ffdc,
    0x13ffee00,0xfff70000,0xfb800009,0x640004ff,0x7fd40fff,0x4004ffff,
    0x7d40fffc,0x404fffff,0x2004fffa,0xc800fffd,0xc8003fff,0xffa82fff,
    0x3ff6004f,0x07fff90f,0xffffff98,0x5c0001ff,0x00004fff,0x0027ffdc,
    0x13ffee00,0xfff70000,0x7fd40009,0x5fff443f,0x2a004ffe,0x7f443fff,
    0x404ffebf,0x2004fffa,0xb800fffd,0xd8004fff,0xffa81fff,0x3ff6004f,
    0x09fff90f,0xffffff70,0xff70000d,0xb800009f,0x00004fff,0x0027ffdc,
    0x13ffee00,0x86ffe800,0x9ffd6ffc,0x437ff400,0x9ffd6ffc,0x04fffa80,
    0x003fff60,0x001bffea,0x301ffff1,0x2200bfff,0xff50ffff,0x3ff200df,
    0x80003fff,0x0004fffb,0x027ffdc0,0x3ffee000,0x7dc00004,0xf90004ff,
    0xfff983ff,0x2009ffd1,0x7cc1fffc,0x09ffd1ff,0x004fffa8,0x2003fff6,
    0x001ffff9,0x441bffee,0xfd006fff,0x3fe61fff,0xffd002ff,0x700007ff,
    0x00009fff,0x004fffb8,0x27ffdc00,0x3fee0000,0xff98004f,0x24ffe83f,
    0xf9804ffe,0x4ffe83ff,0xf5013ffa,0x7ec009ff,0xffb000ff,0x3fe200df,
    0x3ffe01ff,0x7ffec00f,0x3fffa0ff,0x3ff6201f,0x0001ffff,0x0027ffdc,
    0x13ffee00,0xfff70000,0xfb800009,0xfe8004ff,0xbfffb86f,0x1adffeaa,
    0x2e1bffa0,0xfeaabfff,0xff501adf,0x7fec009f,0xfff1000f,0x7f4401bf,
    0x7ff405ff,0xfffb104f,0x7fcc1fff,0xa99acfff,0xfffffffc,0x2e0000ff,
    0x00004fff,0x0027ffdc,0x13ffee00,0xfff70000,0xfffc8009,0xfffffd81,
    0x05ffffff,0xfb03fff9,0xffffffff,0x3fea0bff,0x3ff6004f,0x3ff2000f,
    0x7511aeff,0x801fffff,0x11dffffb,0xffbfffd5,0xffffc81f,0xffffffff,
    0x6ffffdff,0x55555540,0xaadfffda,0x5500aaaa,0xffb55555,0x555555bf,
    0x2aaaaa01,0xadfffdaa,0x500aaaaa,0xfb555555,0x55555bff,0x4fff9815,
    0xffffffb0,0x30bfffff,0x3f609fff,0xffffffff,0xfff505ff,0x7ffec009,
    0x3ff62000,0xffffffff,0xd001efff,0xffffffff,0xfff73fff,0xfffff701,
    0x19ffffff,0x813ffff2,0xffffffff,0xffffffff,0xffff02ff,0xffffffff,
    0x05ffffff,0x3ffffffe,0xffffffff,0xfff02fff,0xffffffff,0x5fffffff,
    0x2606ffe8,0xfeaaaaaa,0xffe81adf,0x2aaaa606,0x1adffeaa,0x009fff50,
    0x0007ffec,0x7fffffdc,0x00dfffff,0x3ffffe60,0xf71effff,0x3b2201ff,
    0x1cefffff,0x03ffffe8,0xffffffff,0xffffffff,0x3ffe05ff,0xffffffff,
    0x2fffffff,0xfffffff0,0xffffffff,0x3fe05fff,0xffffffff,0xffffffff,
    0x007ffee2,0xb827ff40,0xd0001fff,0xffa809ff,0x3ff6004f,0xdb10000f,
    0x5bdfffff,0x3ff62000,0x7d44ffff,0x131000ff,0xfff80000,0xffffffff,
    0x2fffffff,0xfffffff0,0xffffffff,0x3fe05fff,0xffffffff,0xffffffff,
    0xffffff02,0xffffffff,0x3e25ffff,0x3a0004ff,0xfff884ff,0x3ffa0004,
    0x27ffd404,0x01fffb00,0x026a6000,0x35530000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x54400000,0x000001aa,0x8003ddb5,0x0000aaa9,0x6665d4c4,0x555441aa,
    0x1aaaaaaa,0x1cc98000,0x7d400000,0x1555507f,0x20000000,0x800019a8,
    0x00000a98,0xb8000cc0,0xffffffff,0x0fffffff,0x0013ffea,0xffffd500,
    0x7ffc4003,0x7fdc0005,0xffffffff,0x3ffffe60,0x004fffff,0x17fffdc0,
    0xffb00000,0x03fffa09,0x65400000,0xfffffffd,0xfd95002c,0x017bdfff,
    0x7f654400,0x00acdfff,0xffffffb8,0xffffffff,0x13ffea0f,0x7fecc000,
    0x2001ffff,0x0000fffd,0xffffffd3,0x4c1fffff,0xffffffff,0x7c0004ff,
    0x0006ffff,0x407ffe00,0x0000fffe,0x7fff4c00,0xffffffff,0x7ffe406f,
    0xffffffff,0xffe98001,0xffffffff,0x7ffdc01e,0xffffffff,0x3ea0ffff,
    0x980004ff,0xffffffff,0x7fff5001,0x7fff4000,0xffedceff,0x3bbba60f,
    0x04fffeee,0x3fffe200,0x5000007f,0x7ff40fff,0x2000000f,0xfffffffa,
    0x6fffffff,0xfffffd10,0xffffffff,0x7ffd4005,0xfffddfff,0x32602fff,
    0xcccccccc,0x20ffffcc,0x0004fffa,0xff57ffd0,0xffd1003f,0x7fdc000d,
    0x006203ff,0x004fffb8,0x37ffffc0,0xaaa88000,0x3fa04ffd,0x000000ff,
    0xbffffffb,0xffd97557,0xfffff30d,0xffd9539d,0xf9007fff,0x93037fff,
    0x0007ffff,0xa83fffe0,0x00004fff,0x3ffea195,0x1fffc801,0xffff1000,
    0xfb800005,0x540004ff,0x0001ffff,0x3fffffae,0x3fa02fff,0x800000ff,
    0x02fffffc,0xffd85c88,0x3fe601ff,0x3ee00fff,0xf9800eff,0x80002fff,
    0x3ea0ffff,0x000004ff,0x9803fff5,0x20003fff,0x0006fff9,0x04fffb80,
    0x00bb9800,0xffffd300,0x7fffffff,0x003fffa0,0xffff1000,0xf980001d,
    0xfa802fff,0xff103fff,0x7cc001bf,0xf80006ff,0x3fea0fff,0x5000004f,
    0xfe803fff,0x7dc0006f,0x800003ff,0x0004fffb,0xffb80000,0xffffffff,
    0xfe85ffff,0x400000ff,0x0006fffd,0x007fffd0,0xc83fffdc,0xf30007ff,
    0xf80005ff,0x3fea0fff,0x5000004f,0x7e403fff,0x640001ff,0x00002fff,
    0x004fffb8,0x7d400000,0xf10adfff,0x87ffffff,0x0000fffe,0x0bfffe60,
    0x3ffea000,0xffff8007,0x81fffc43,0x6c0abca9,0x7c0006ff,0x3fea0fff,
    0x1aa9884f,0x1fffa800,0x009fff30,0x03fffb00,0xfff70000,0x00000009,
    0xa84fffe8,0xffffdfff,0x003fffa1,0x6fffd800,0xfffd0000,0xfffb0009,
    0x40fffc8d,0xffffffd8,0x00bffe64,0x20ffff80,0x3224fffa,0x04ffffff,
    0x407ffea0,0x00006ffe,0x0003fffb,0x09fff700,0x3ffffe60,0x004fffff,
    0x360bfff7,0xffff8cff,0x003fffa4,0x07ffffa2,0x0005ffff,0x007fffe0,
    0xf1fffea0,0xfff989ff,0x6c4fffff,0x3e0005ff,0x3fea0fff,0xfffff54f,
    0x001dffff,0xf703fff5,0x200003ff,0x0001fffd,0x04fffb80,0xffffff30,
    0x1009ffff,0xf103ffff,0x3ffea3ff,0x003fffa7,0x83ffffd1,0x0007fff8,
    0x00ffff30,0x43fffe20,0x7f41fff8,0x4ca9adff,0x00037fd4,0x7d41ffff,
    0xffffacff,0x5fffffff,0x41fffa80,0x0004fff9,0x007fff60,0x3ffee000,
    0xffff3004,0x09ffffff,0x20bfff30,0x7ff47ffa,0x01fffd2f,0x0fffff44,
    0x0037ffd4,0x06fffb80,0x47fffe00,0x3ea0fff9,0xff3003ff,0x7ffc000f,
    0x3bffea0f,0xb30aefff,0x9803ffff,0x7ff40ccc,0x3322000e,0xffeccccc,
    0xccccccdf,0x2e001ccc,0x26004fff,0xffc99999,0xfffa804f,0xd89ffb03,
    0xfffd3fff,0x3fffa201,0xbfff701f,0x3fee0000,0x3fa0005f,0x8fff51ff,
    0x22006ffd,0xf0000fff,0x7fd41fff,0x3605ffff,0x20005fff,0x4002fffb,
    0xfffffff8,0xffffffff,0x02ffffff,0x013ffee0,0x13ffee00,0x20bfff20,
    0x7e41fff8,0x1fffd3ff,0x3ffffd10,0x027ffe40,0x5fffc800,0x3fffa000,
    0xfe8dff72,0x7ffc003f,0xffff0002,0x7ffffd41,0x37ffcc04,0x5fff8800,
    0xffff8800,0xffffffff,0xffffffff,0x3fee002f,0xfb80004f,0xffd804ff,
    0x87ffa81f,0xffd4fffa,0xfffe881f,0x7ffec01f,0xff900003,0x7ec0009f,
    0x8bff93ff,0x74002fff,0xff0003ff,0x7ffd41ff,0xffff005f,0x3fff6000,
    0xccc88000,0xfffecccc,0xcccccccd,0x3ee001cc,0xb80004ff,0xfe804fff,
    0x4ffd80ff,0xfd5fff98,0x7ff441ff,0xffe801ff,0xf900003f,0x6c0009ff,
    0xbff93fff,0x0017ffc4,0x4000fffa,0x3ea0ffff,0x3fa006ff,0x7d4000ff,
    0x000002ff,0x0003fffb,0x09fff700,0x9fff7000,0x83fffb00,0xfa81fff8,
    0x1fffd3ff,0x07ffffa2,0x027ffec0,0x5fffb800,0x3fff6000,0xff8dff73,
    0x7ffc003f,0xffff0002,0x027ffd41,0x001fffd0,0x002fffc4,0x3fffb000,
    0xff700000,0xf700009f,0xffb009ff,0x07ffa85f,0x3fa5fff7,0xfffe88ff,
    0x3ff2001f,0xf700005f,0x74000bff,0xfff52fff,0x2005ffe8,0x0001fff8,
    0x7d41ffff,0x3f6004ff,0x3f6000ff,0x4d5440ff,0x3ff60000,0xb800001f,
    0x80004fff,0xc804fffb,0x7fec4fff,0x23fff904,0xffd9fffe,0x7dc000ff,
    0x500006ff,0x4000dfff,0xff32ffff,0x17ffe41f,0x007ff980,0xa83fffe0,
    0x36004fff,0xf5000fff,0x7ff4c7ff,0xb0003fff,0x00003fff,0x009fff70,
    0x09fff700,0x44bfff70,0xfff01fff,0x3bfffa1f,0x8001ffff,0x0007fffa,
    0x00ffff30,0x43fffe20,0x3e21fff8,0xdb9acfff,0x0037fd44,0x541ffff0,
    0x36004fff,0xf8800fff,0x3ffe65ff,0x003fffff,0x001fffd8,0x4fffb800,
    0xfffb8000,0xffff8804,0x2a0fff51,0x3ffa6fff,0x05ffffaf,0x1ffff980,
    0xfff88000,0xffa8001f,0x227ffc6f,0xfffffffc,0x02ffec4f,0x47fff880,
    0x2004fffa,0xc800fffd,0x77ec0fff,0x007fffbb,0x001fffd8,0x4fffb800,
    0xfffb8000,0xdfffb004,0x7f413ff6,0x3fffa2ff,0x05ffff98,0x2ffffc40,
    0xffff8000,0xfffd8003,0x207ffe44,0xfffffffa,0x00fffe24,0x237ffcc0,
    0x2004fffa,0x5400fffd,0x43883fff,0x4001fffa,0x0001fffd,0x04fffb80,
    0x4fffb800,0xbffff500,0xfe883fff,0x7fff45ff,0x09ffff50,0x1ffffd80,
    0xfffc8000,0x7ffc4006,0x1fffc41f,0x055e5d44,0x8001fff2,0x7d45fffb,
    0x3f6004ff,0x7ff400ff,0x3ffea006,0x7ffec001,0xfb800001,0xb80004ff,
    0x32004fff,0x27ffffff,0x1ffffeb9,0xf707fff4,0x44009fff,0x0005ffff,
    0x01ffff88,0x417fff20,0x8000fffc,0x00c3fff8,0xa87ffff0,0x36004fff,
    0x3f200fff,0x3f6001ff,0xffd8007f,0xb800001f,0x80004fff,0x4004fffb,
    0xfffffffd,0x2fffffff,0x640fffe8,0x2003ffff,0x00dffffc,0x7fffec00,
    0xffffb801,0x1dfff100,0x37ff4400,0xfb100ef4,0xfff50fff,0x7ffec009,
    0x07fff300,0x017ffec0,0x00fffec0,0x7ffdc000,0xffb80004,0xffb8004f,
    0xffffffff,0xfffd00df,0x5ffffb01,0x3fffe200,0x5b8801ef,0x07ffffcc,
    0x09ffff50,0x00efffc8,0x82fffe98,0xa9bceffe,0x82ffffeb,0x2004fffa,
    0xfd00fffd,0x3fa200df,0xfb0003ff,0x000003ff,0x0009fff7,0x009fff70,
    0x3ffffee0,0x7403dfff,0xffd00fff,0x3ee005ff,0xbdefffff,0x6ffdcbaa,
    0xdfffffd8,0xfffec99b,0xffc800ff,0xfb981bff,0xffd03fff,0xffffffff,
    0x3fea0bff,0x3ff6004f,0x1fffc80f,0x1ffffa80,0x3fff6000,0xfb800001,
    0xb80004ff,0xb0004fff,0x013559ff,0x807fff40,0x01ffffe8,0xfffffd30,
    0xffffffff,0x3fff20df,0xffffffff,0x2e000dff,0xddffffff,0x02ffffff,
    0x3ffffff6,0x203fffff,0x2004fffa,0x7cc0fffd,0xffb804ff,0x6c0000df,
    0x50001fff,0xfb555555,0x55555bff,0x55555415,0xadfffdaa,0x100aaaaa,
    0x40003fff,0x2600fffe,0x001fffff,0x3ffffff2,0x6fffffff,0x3ffffea0,
    0x04ffffff,0xfffff500,0x1dffffff,0xffffb500,0xa8019dff,0x36004fff,
    0x7ff40fff,0xffffa806,0x004eeeee,0x000fffec,0xfffffff8,0xffffffff,
    0x3ffe2fff,0xffffffff,0x2fffffff,0x000dff50,0x400fffe8,0x00fffff9,
    0x3ffb7260,0x01ceffff,0xffffdc98,0x40001cef,0xffffeca8,0x310002ce,
    0xffa80033,0x3ff6004f,0x07ffee0f,0x3ffffea0,0x4005ffff,0x0001fffd,
    0xffffffff,0xffffffff,0x7fffc5ff,0xffffffff,0x02ffffff,0x80009ffb,
    0xa800fffe,0x000effff,0x00066a60,0x00006a20,0x00033100,0xff500000,
    0x7fec009f,0x09fff10f,0x3ffffea0,0x4005ffff,0x0001fffd,0xffffffff,
    0xffffffff,0x7fffc5ff,0xffffffff,0x82ffffff,0x0001fff8,0x8007fff4,
    0x00effffb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00013553,0x0cd54400,0x5554c000,0xa9800009,0x01800000,0x35531000,
    0x7ffdc001,0xfffd8004,0x026a6002,0x2a620000,0x33100001,0x35100003,
    0x44000001,0xffffffec,0x220001df,0xfffffecb,0xa800bdff,0xffffffed,
    0x95004eff,0x7bfffffb,0x37edc000,0xffdb8800,0x3effffff,0x027ffdc0,
    0x017ffec0,0xfffffd91,0x440001bd,0xdffffffd,0x7dc4000c,0x54000fff,
    0xffffffdc,0x2e00000c,0xffffffff,0x000dffff,0x7fffffd4,0xffffffff,
    0xffffd500,0xffffffff,0xffff900f,0x0bffffff,0x0dfff100,0x3fffee00,
    0xffffffff,0x9fff703f,0x5fffb000,0x3ffffea0,0x02ffffff,0xfffffc80,
    0x03ffffff,0xffffff70,0x7ffec001,0xffffffff,0xffc80002,0xffffffff,
    0x2006ffff,0xfffffffc,0xffffffff,0xfffffc80,0xffffffff,0x7ffe407f,
    0xffffffff,0x3e2000ef,0xf70006ff,0xffffffff,0x705fffff,0xb0009fff,
    0xffb05fff,0xffffffff,0x7400bfff,0xffffffff,0x205fffff,0xffffffea,
    0xffe9800f,0xffffffff,0x20002fff,0x41cffffa,0x4ffffd98,0x7ffff4c0,
    0xcbaabdff,0x7d40fffd,0x99acffff,0x07ecaa99,0x2b3ffff6,0xffffd988,
    0x3ffe2006,0x7bf70006,0xfb531135,0xfb81ffff,0xfd8004ff,0x7ffdc2ff,
    0x3f6621df,0xfb802fff,0x310adfff,0xd503fff9,0xffffffff,0xfff9801f,
    0xda99bdff,0x000fffff,0x005ffff0,0x440ffff9,0x01efffff,0x3e60eb88,
    0x00004fff,0x405ffff7,0x003ffffa,0x000dfff1,0xfffa8002,0x27ffdc4f,
    0x17ffec00,0x805ffff1,0x4406fffb,0x4403ffff,0x7fff542e,0xffffdfff,
    0x0dffd800,0x17fffea0,0x17ffe600,0x01fffe80,0x00bffff9,0x0bfff900,
    0x7fff4000,0x6fffb802,0x0dfff100,0x3f200000,0x7ffdc5ff,0xfffd8004,
    0x013fffa2,0x901fffec,0x4000bfff,0x8cfffffc,0x000ffff9,0x3ff2009d,
    0xffb8007f,0x3ff6004f,0xffff882f,0xffb00003,0x2a00005f,0x3a005fff,
    0xf8802fff,0x000006ff,0xb8ffff30,0xd8004fff,0xfff12fff,0x3fe6001f,
    0x3fff606f,0x3fe60001,0x3ffe60df,0x8800000f,0x4000ffff,0x2004fffc,
    0xfd82fffe,0x200006ff,0x0001ffff,0x005fffb0,0xf92fffdc,0xffffffff,
    0xffffffff,0x40003fff,0x7dc7fff8,0xfd8004ff,0xbfff32ff,0x1fffe800,
    0x001ffff0,0xf981dd80,0x00000fff,0x005ffff0,0x006fffa8,0x981ffff3,
    0x0002ffff,0x00ffffe0,0x1fffe200,0x1ffff700,0x3ffffff2,0xffffffff,
    0x01ffffff,0x1bffe600,0x0009fff7,0x3ee5fffb,0x7e4004ff,0xfff882ff,
    0x20080007,0x000ffff9,0x7fffd000,0xffff8800,0x6fffc803,0x006fffc8,
    0x37ffec00,0x7ffd4000,0xfffb1004,0x3fff23ff,0xffffffff,0xffffffff,
    0x3ee0001f,0x7ffdc5ff,0xfffd8004,0x007fff92,0x983fffb8,0x00006fff,
    0x07fffcc0,0xffe80000,0xffd8002f,0x3ff204ff,0xfffd82ff,0x7dc00002,
    0x0000efff,0x200fffee,0xffffffe9,0x75555532,0x5555ffff,0x01555555,
    0x3fffa200,0x027ffdc1,0xb97ffec0,0x54004fff,0xff984fff,0x4000006f,
    0x000ffff9,0x3ffff000,0xffff1000,0x7ff4c5df,0xfffd03ff,0xe8800003,
    0x003fffff,0x805fff90,0xfffffffb,0x7ffc402f,0x44000006,0xfb83fffd,
    0xfd8004ff,0xbfff52ff,0x5fff9800,0x006fff98,0x7ffcc000,0x9800000f,
    0x20007fff,0xefffffe8,0x01fffffc,0x0003fffe,0x3fffe200,0x2000bfff,
    0xb101fffd,0xff9dffff,0xfff8807f,0xa9800006,0x702ffffb,0xb0009fff,
    0x3fe65fff,0x3e6001ff,0xfff986ff,0x4c000006,0x0000ffff,0x04fffd80,
    0x7ffec400,0x0dffffff,0x01fffe60,0xdddddddb,0xffd301dd,0x03bfffff,
    0x301fffd0,0x269ffffd,0x7c404fff,0xc80006ff,0xffffffff,0x3ffee00e,
    0xfffd8004,0x017fffa2,0xbbfffe44,0xcffffdcc,0xcccccccc,0xfff30003,
    0xa800001f,0x0000ffff,0xffffff50,0xffa805ff,0x7fffc06f,0x01ffffff,
    0x3ffffff2,0x3fa02eff,0x7ffdc0ff,0x3ffe62ff,0x37ffc405,0x7ffe4000,
    0x0bdfffff,0x009fff70,0x4c5fffb0,0x302effff,0x2dfffff9,0xfffffffe,
    0xffffffff,0xff30006f,0x400001ff,0x004ffff8,0xfffff700,0x01bfffff,
    0xf01bffee,0xffffffff,0xffb8803f,0x0dffffff,0x3627fff8,0x4c0effff,
    0x7c405fff,0xc80006ff,0xffffffff,0xffb82fff,0xffd8004f,0x7fffec2f,
    0xfffeeeff,0xfd6fffff,0xffffffff,0xdfffffff,0x3ffe6000,0x3600000f,
    0x80006fff,0xbfffffe8,0x1ffffffe,0x407fffa8,0xffcccccc,0x3aa001ff,
    0x2fffffff,0xff9bfff4,0xff504fff,0xfff8809f,0x99880006,0xfffdba99,
    0x7ffdc4ff,0xfffd8004,0xfffffc82,0xefffffff,0xdddb5fff,0xddddffff,
    0x00bddddd,0x03fffe60,0x7ffec000,0x7440000f,0x2a0cffff,0x41fffffe,
    0x0007fff8,0x0003fffd,0xffffffb3,0x7e7ffec3,0x2e02ffff,0x7c404fff,
    0x000006ff,0x2ffffc88,0x0013ffee,0x4c0bfff6,0xfffffffd,0x4fff98cf,
    0x006fff98,0x7ffcc000,0xfd80000f,0x80001fff,0x201ffffe,0xf86ffffd,
    0xe8000fff,0x20001fff,0x0effffd8,0xfffffff9,0xfffb801d,0x37ffc403,
    0xf9000000,0x7ffdcfff,0xfffd8004,0x9aaa8802,0x41fffdc0,0x0006fff9,
    0x7fffcc00,0x7fe40000,0xa80002ff,0xc801ffff,0x7f43ffff,0xfe8001ff,
    0xc80001ff,0xff72ffff,0x2009ffff,0x4402fffc,0x00006fff,0x8ffffc00,
    0x8004fffb,0x0001fffe,0x303fffb0,0x0000dfff,0x0ffff980,0x3fff2000,
    0xfd00002f,0x7f4009ff,0x7ffec5ff,0xfffe8004,0xffd00001,0x3fffea9f,
    0x3ff6002f,0x7ffc401f,0x40000006,0xff53fffd,0xfff000bf,0x7fc0000f,
    0xdfff307f,0xf9800000,0x90000fff,0x0005ffff,0x00ffffc0,0xc8ffff50,
    0x4000ffff,0x0001fffe,0x26bfff90,0x2000ffff,0x400ffff8,0x0006fff8,
    0x7ffec000,0x00dfff32,0x000dfff0,0x413ffea0,0x0006fff9,0x7fffcc00,
    0xfffc8000,0x2200002f,0x2000ffff,0x260ffff9,0x4003ffff,0x0001fffe,
    0x7cbfff70,0x2e001fff,0xf8804fff,0x000007ff,0x88ffff40,0x2000ffff,
    0x0005fffb,0x00ffff88,0x000dfff3,0xffff9800,0x7ffe4000,0x4400002f,
    0x2001ffff,0xfc86fffa,0x3a000fff,0x00001fff,0x7dc7fff9,0x3fa005ff,
    0xfff001ff,0x0000001f,0xfd1fffe2,0x7f4009ff,0xe80002ff,0x3e605fff,
    0x000006ff,0x007fffcc,0x05ffff90,0x3ffe0000,0x3ff2003f,0xffff884f,
    0xfffd001e,0xff300003,0x7ffc43ff,0xfffc802f,0x3fff6005,0xd0000002,
    0xffa8bfff,0x7ec403ff,0x4c0005ff,0x200efffe,0x0006fff9,0x7fffcc00,
    0xffff9000,0x6c000005,0xb802ffff,0xf702ffff,0xd005ffff,0x02a63fff,
    0xffffd300,0x03ffff90,0x017fffdc,0x01ffff90,0x7ecc0000,0xffd80fff,
    0x9889adff,0x01fffffb,0xffffd500,0xfff9803f,0x4c000006,0xd800ffff,
    0x0001ffff,0x7fffcc00,0x36a61adf,0x7405ffff,0xbdefffff,0xfffca99a,
    0x79bff71f,0xd7533355,0x103fffff,0x139fffff,0x9ffffb71,0xffff8800,
    0x953309cf,0x4266ae23,0xfffdaa98,0xfff301ff,0xffffffff,0x5407ffff,
    0xffeeccaa,0x501fffff,0x5ffff755,0x55555555,0xeed85555,0xfffeeeee,
    0x5eeeeeef,0xddfffff7,0xdddddddd,0x4001dddd,0xfffffffa,0xffffffff,
    0xfffb800e,0xffffffff,0xf71fffff,0xffffffff,0xffffffff,0x7fff4c05,
    0xffffffff,0xff70004f,0xffffffff,0x3ffe63ff,0xffffffff,0x4402ffff,
    0xfffffffd,0x401effff,0xfffffffe,0x200dffff,0xfffffffe,0xffffffff,
    0x7fc6ffff,0xffffffff,0xffffffff,0xffffff96,0xffffffff,0x001fffff,
    0xfffffea8,0xcfffffff,0x3ffa6000,0xffffffff,0xff70efff,0xffffffff,
    0x03bfffff,0xfffffd10,0x007fffff,0xfffffc80,0x31ffffff,0xffffffff,
    0x019fffff,0x7fff6d40,0xd003efff,0xffffffff,0xffd0039f,0xffffffff,
    0xffffffff,0xfffff8df,0xffffffff,0xf96fffff,0xffffffff,0xffffffff,
    0x2a0001ff,0xfffffffe,0x2e0000cf,0xffffffec,0x76441cef,0xffffffff,
    0x8000cfff,0xdfffffdb,0xb100001b,0xffffffff,0x3fffe61d,0xceffffff,
    0x9a980000,0xeffe8000,0x4001abcd,0xfffffffe,0xffffffff,0x7fc6ffff,
    0xffffffff,0xffffffff,0xffffff96,0xffffffff,0x001fffff,0x03553100,
    0x554c0000,0x54c4001a,0x00009aaa,0x0000d440,0x099a9800,0x35553310,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x6654c000,0x540ffffe,0xffffffff,0x5fffffff,0x266a6000,0x05fffa80,
    0xff000000,0xffffffff,0xffd09fff,0x9bdfffff,0x3ee00135,0x88001fff,
    0xfff2ffff,0xffffffff,0xffffffff,0x5c000dff,0x203fffff,0xfffffffa,
    0xffffffff,0xff57ffff,0xffffffff,0x09ffffff,0x7fffed40,0x540fffff,
    0xffffffff,0x5fffffff,0x3ffb2e00,0x51ceffff,0x0000bfff,0xffff5000,
    0xffffffff,0xffffd09f,0xffffffff,0x3ffa007f,0xffc8006f,0x3ffffe6f,
    0xffffffff,0xffffffff,0xfff30006,0x7d407fff,0xffffffff,0xffffffff,
    0xffff57ff,0xffffffff,0x3009ffff,0xfffffffd,0xfa81ffff,0xffffffff,
    0x05ffffff,0xfffffe88,0x54ffffff,0x0000bfff,0xffffb000,0xffffffff,
    0xffffd09f,0xffffffff,0xf9803dff,0x26002fff,0x3fe1ffff,0x99999999,
    0x99999999,0xd0006fb9,0x07ffffff,0x7fffffd4,0xffffffff,0xf57fffff,
    0xffffffff,0x9fffffff,0xfffffa80,0xaaacdeff,0x567ffd40,0xaaaaaaaa,
    0x7fdc02aa,0xffffffff,0xfff54fff,0x8000000b,0xfffefff9,0x0999999a,
    0xaacfffe8,0xffffedcb,0x7fe403ff,0x3ff6006f,0x0007fc4f,0x40037d40,
    0xfffffffb,0x3bbba603,0xeeeeeeee,0x7fffeeee,0x555dfff5,0x55555555,
    0x7ffd4035,0x54000cff,0x00002fff,0x33ffffee,0x9fb7331a,0x333bffea,
    0x0009abcc,0x677fe400,0x74001fff,0x32201fff,0x201fffff,0x803ffff8,
    0x7c0ffff9,0x0d5e6c0f,0x20037d40,0xffcffff8,0x2000003f,0xff54fffb,
    0x4c0000bf,0x000cffff,0x005fff50,0x3fffe200,0xf518801e,0xffffffff,
    0x0007dfff,0x3f2fffe0,0x7f4001ff,0xfea801ff,0x7fdc06ff,0x7ff400ff,
    0x7c0ff82f,0x203fffff,0x7ec006fa,0x3fffcaff,0x3fe00000,0xbfff50ff,
    0x7fec0000,0x7d40004f,0xb00002ff,0x0001dfff,0xfffffff5,0xffffffff,
    0x7fd40007,0x01fffc8f,0x00ffff40,0x02ffff88,0x5027fff4,0x3fe0dfff,
    0x7ff6e640,0x06fa81ef,0x657ffea0,0x00003fff,0x549fff70,0x00005fff,
    0x000dfff3,0x005fff50,0x3ffff500,0x3ffea000,0xfffeeeef,0x004fffff,
    0x3f2bffd0,0x7f4001ff,0x3f6001ff,0x7fcc06ff,0xfff881ff,0x801ff01f,
    0x540effd9,0xfff1006f,0x0ffff21f,0x7ffc0000,0x17ffea0f,0x7fff4000,
    0xffa80000,0xfc80002f,0x2a0005ff,0x93105fff,0x007fffff,0xf92fff98,
    0xfe8003ff,0x3e6001ff,0x7ec02fff,0xfffc85ff,0x4003fe04,0x37d45ffc,
    0x22fffc80,0x0003fffc,0x45fffb80,0x0005fffa,0x005fff88,0x05fff500,
    0x5fffd000,0x7ffd4000,0xfffe8805,0x3ff2001f,0x007fff27,0x003fffd0,
    0x403fffd8,0x222ffff8,0x3e00ffff,0x1ffa000f,0xff300df5,0x3fffc8bf,
    0xfff80000,0x2fffd41f,0x7ffd4000,0xff500003,0xff00005f,0x540001ff,
    0xf1005fff,0x7c009fff,0x3fff24ff,0x7fff4001,0x7ffe4001,0x6fffb804,
    0xf00bfff6,0x7fe4001f,0x3a01bea1,0x7fe40fff,0x5c00003f,0xffa85fff,
    0xfc80005f,0x554c41ff,0xfffa8009,0x7fc40002,0x7d40007f,0x3ee005ff,
    0xff7005ff,0x0fffe43f,0x07fffa00,0x0bfff700,0x26bfffa0,0xff806fff,
    0x87ff6000,0x7fe406fa,0x3fffc83f,0x7ff40000,0x5fffa81f,0x7ffe8000,
    0xffffff93,0x3ea019ff,0xefffffff,0x7fd401ce,0x7d40006f,0x3e6005ff,
    0xffd007ff,0x9afffc8d,0x26619999,0x99afffe9,0x3fea0099,0xfff5006f,
    0x003fffdd,0x3e2001ff,0x3037d47f,0x3f20bfff,0x200003ff,0xf505fffb,
    0x33333bff,0x03333333,0xfffdffff,0xffffffff,0xffff505f,0xffffffff,
    0x3ffe607d,0x7fd40007,0x7ffc005f,0x7ffcc01f,0x7ffffe43,0xff1fffff,
    0xffffffff,0x7fcc07ff,0x3ff6007f,0xf004ffff,0xfda8801f,0xd037d43f,
    0x3f201fff,0x200003ff,0xf501fffe,0xffffffff,0x1fffffff,0xfffffff8,
    0xffffeeff,0x7fd43fff,0xffffffff,0xf884ffff,0x540007ff,0x7c005fff,
    0x7e401fff,0x7ffe40ff,0x1fffffff,0xffffffff,0x4407ffff,0x1000ffff,
    0x01ffffff,0x3ee03fe0,0xa85fffff,0x7fff706f,0x01fffe40,0x6fffa800,
    0x3ffffea0,0xffffffff,0x7ffc0fff,0xb881cfff,0x220fffff,0xcaaaaaaa,
    0x4ffffffc,0x001ffff8,0x017ffea0,0x407fff88,0xfc84fff8,0xffffffff,
    0xffffff1f,0x07ffffff,0x007fffcc,0x05ffff90,0x7d407fc0,0xf502efff,
    0x0dfff10d,0x003fffc8,0x05fffd00,0x7fffffd4,0xffffffff,0x3ffe20ff,
    0xfff1003f,0x3aa000bf,0x7fc2ffff,0x2a0003ff,0x2a005fff,0x7dc06fff,
    0xfffc81ff,0xfe999801,0x09999aff,0x41fffe60,0xfa999999,0x99999fff,
    0xa80ff819,0x6fa800ff,0x401fffd8,0x0003fffc,0x406fffa8,0x999dfffa,
    0x99999999,0x03fffc41,0x01fffee0,0x4ffff880,0x007fffe4,0x05fffa80,
    0x013fffa0,0x3f20dffd,0x7f4001ff,0x7d4001ff,0xfff987ff,0xffffffff,
    0x87ffffff,0x07fa80ff,0xffa8df50,0xfffc804f,0xffe80003,0x7ffd402f,
    0xfff80005,0x7ffc000f,0x3ea0000f,0x7ffc46ff,0xff50004f,0x3fee00bf,
    0x3fe600ff,0x3fff903f,0x1fffe800,0x37ffdc00,0x7fffffcc,0xffffffff,
    0x0ff87fff,0xf5007fa8,0x037ffc4d,0x003fffc8,0x037ffd40,0x002fffd4,
    0x007fff40,0x00bfffa0,0x0ffff880,0x06ffffec,0xfffa8c40,0x7ffec405,
    0x7ffe402f,0x03fff900,0x01fffe80,0x427ffec0,0xfffffff9,0xffffffff,
    0x80ff87ff,0xdf5005e9,0x4cdfffec,0xc9999999,0x9999cfff,0x3fffa000,
    0x5fffa802,0xfffd8000,0x7ffec001,0x7ffc0003,0x7fff441f,0xa999acff,
    0xfff54feb,0xb955555d,0x80bfffff,0xeeeffff8,0x1ffffeee,0x0ffff400,
    0x0bfffe00,0x0ffff100,0x0000ff80,0x3ffe6fa8,0xffffffff,0xffffffff,
    0x5004ffff,0x2a00dfff,0x80005fff,0x4002fffd,0x0001fffe,0x203fffe2,
    0xffffffe8,0x4fffffff,0xfffffff5,0xffffffff,0xffff7007,0xffffffff,
    0xfe8003ff,0x3ee001ff,0x44000fff,0x7c007fff,0xfa80000f,0x3fffffe6,
    0xffffffff,0xffffffff,0xfffd004f,0x3ffea007,0xffc80005,0x7ffc004f,
    0x3e60000f,0x3f6206ff,0xffffffff,0xfff54fff,0xffffffff,0x3a001bff,
    0xffffffff,0x01ffffff,0x00ffff40,0x05ffff88,0x07fff880,0x7dc07fc0,
    0x26fa800e,0xffffffff,0xffffffff,0x4fffffff,0x07fffa80,0x017ffea0,
    0x1fffe600,0x07fff980,0x27ffe400,0x7fffdc40,0x50bdffff,0xffffffff,
    0x400379df,0xcccdfff9,0xfffecccc,0x7fff4001,0xffff9001,0x2aaaa203,
    0xaffffbaa,0xf82aaaaa,0x27ffc40f,0x55537d40,0x55555555,0xbfffb555,
    0xd0035555,0x54007fff,0x00005fff,0x2005fffd,0x0004fffd,0x00bfffea,
    0x09cfffa8,0x33bfff50,0xfd800013,0x7fe400ff,0x7ff4001f,0x7fec401f,
    0x3fe204ff,0xffffffff,0x7fffffff,0xfff80ff8,0x006fa804,0x03fffc80,
    0x0ffffa80,0x17ffea00,0x7ffd4000,0x7ffdc01f,0xfb88000f,0x64003fff,
    0x7d401fff,0x200005ff,0xc805fff8,0x74001fff,0xf5101fff,0x401dffff,
    0xfffffff8,0xffffffff,0x80ff87ff,0xfa800dea,0xffc80006,0xffe8003f,
    0x7fd4003f,0x3a00005f,0x4c1bffff,0x5c2ffffd,0x7531199a,0x00bfffff,
    0x500dffd0,0x0000bfff,0x4017ffdc,0x999afffc,0xffe80999,0xffecccdf,
    0x00dfffff,0x77777744,0xeeeffffe,0x0ff86eee,0x06fa8000,0x3fffc800,
    0x7fffd400,0x7ffd4000,0xaaaaaaae,0x301aaaaa,0xfffffffd,0x09ffffff,
    0xfffffffd,0x0bffffff,0x09fff100,0x00bfff50,0x03fff400,0xffffffc8,
    0xfe86ffff,0xffffffff,0x004fffff,0x07fff880,0x4cccffc0,0x99999999,
    0x6fb99999,0xfffc8000,0x7fff4003,0xfffa8004,0xffffffff,0x204fffff,
    0xffffffd8,0xd01effff,0xffffffff,0x0003bfff,0x200bffe6,0x0005fffa,
    0x009fff50,0x3ffffff2,0xfe86ffff,0xffffffff,0x0001cfff,0x00ffff10,
    0xfffffff8,0xffffffff,0x06ffffff,0x3fffc800,0x3fffea00,0xfffa8000,
    0xffffffff,0x804fffff,0xffffffeb,0x7fff403e,0x2defffff,0x3ffdc000,
    0x05fffa80,0x3fffb000,0x3ffff200,0x86ffffff,0xeffffffe,0x00002cce,
    0x007fff88,0x7ffffffc,0xffffffff,0x06ffffff,0x3fffc800,0x13fffa00,
    0x7fffd400,0xffffffff,0x4004ffff,0x4c000aa8,0x001aaaa9,0x02776400,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x205fff00,0x40004ffd,0x007fffff,0x7fffffd4,
    0x0bceefff,0x7ffffdc0,0x1abcefff,0x3fffe600,0xffffffff,0xff74ffff,
    0xffb0009f,0x7ffffc5f,0xffffffff,0xff56ffff,0xdfffffff,0xff90059b,
    0xff80007f,0xffffffff,0xffffffff,0x3ffff67f,0x3fe20001,0x7fc004ff,
    0x09ffd01f,0x7fffcc00,0x3ea001ff,0xffffffff,0x01dfffff,0xfffffff7,
    0x5fffffff,0xfffff300,0xffffffff,0x3fee9fff,0xffd8004f,0x3ffffe2f,
    0xffffffff,0xff56ffff,0xffffffff,0x2017ffff,0x0003fffc,0x7ffffffc,
    0xffffffff,0x3e27ffff,0x20005fff,0x000ffffc,0x7c03ffe2,0x320003ff,
    0x04ffffff,0x3ffffea0,0xffffffff,0xffb81fff,0xffffffff,0x00dfffff,
    0x3fffffe6,0xffffffff,0x9fff74ff,0x5fffb000,0x7ffffffc,0xffffffff,
    0xffff56ff,0xffffffff,0xf903ffff,0xf80007ff,0xffffffff,0xffffffff,
    0x7ffe47ff,0xff88001f,0x7cc003ff,0x5fff00ff,0x7fffc000,0x2a006fff,
    0xaaaaefff,0xfffffdcb,0x6fffdc0f,0xffecbaaa,0x303fffff,0x5555ffff,
    0x55555555,0x013ffee3,0xa8bfff60,0xffbaaaaa,0xaaaaaaff,0x55dfff52,
    0xfffb9755,0xffc83fff,0x7740003f,0xeeeeeeee,0xfffeeeee,0x7fffc45f,
    0xfffd8006,0x7ffa8006,0x003fff10,0x3f3ffe60,0xf5001fff,0xfc880bff,
    0x7fdc5fff,0x7fec404f,0xff981fff,0x3ee0006f,0xfd8004ff,0xff8802ff,
    0xfffa807f,0x7ffe4405,0x3fff20ef,0x00000003,0x701ffff9,0x4005ffff,
    0x002ffff9,0xf306ffb8,0x320001ff,0xfffc9fff,0xbfff5004,0x1bfff600,
    0x2009fff7,0x985ffffa,0x20006fff,0x8004fffb,0x8802fffd,0xfa807fff,
    0xff5005ff,0x7ffe47ff,0x80000003,0x203ffff9,0x2006fffe,0x0005fffd,
    0x3ea0bff9,0x3fe0007f,0x0dfff57f,0x017ffea0,0x707fffcc,0x4c009fff,
    0x7cc2ffff,0x2e0006ff,0xd8004fff,0xf8802fff,0xffa807ff,0x3ff2005f,
    0x0ffff25f,0x3a000000,0x7d405fff,0xf9803fff,0xaa801fff,0xaeffeaaa,
    0xfffcaaaa,0x9802aaaa,0x3ffe4fff,0xfffa801f,0x3fffe005,0x013ffee0,
    0x98dfffb0,0x20006fff,0x8004fffb,0x8802fffd,0xfa807fff,0x3e6005ff,
    0x3fff27ff,0x40000003,0x800ffffb,0xd807fffd,0xfd004fff,0xffffffff,
    0xffffffff,0x900dffff,0x7fec5fff,0xfffa804f,0xdfff1005,0x004fffb8,
    0x317fffcc,0x4000dfff,0x8004fffb,0x8802fffd,0xfa807fff,0x3e2005ff,
    0xfff90fff,0x40000007,0x003ffff9,0x407ffff3,0x000ffffa,0xfffffffd,
    0xffffffff,0x0dffffff,0xfa8ffff0,0xffa806ff,0xfff5005f,0x04fffb89,
    0x23fffe80,0x0006fff9,0x0013ffee,0x200bfff6,0xa807fff8,0x7c005fff,
    0xfff91fff,0x40000007,0x4005fffe,0xd00ffffc,0x5c007fff,0xdfffcccc,
    0xffeccccc,0x403cccce,0x7c45fff9,0x7d401fff,0xffb005ff,0x4fffb85f,
    0x4fffc800,0x001bffe6,0x004fffb8,0x802fffd8,0xa807fff8,0x22005fff,
    0xff90ffff,0x0000007f,0x003fffee,0x09ffff10,0x000dfff5,0xd01fff88,
    0xf90007ff,0xfffb05ff,0x5fffa807,0x77ffe440,0x027ffdc0,0x32fffdc0,
    0x4000dfff,0x8004fffb,0x8802fffd,0xfa807fff,0x3e6005ff,0x3fff26ff,
    0x98000003,0x0003ffff,0xe81ffff7,0x40002fff,0xff00fff9,0xfff0007f,
    0xdfff701f,0x9dfffa80,0xffca9999,0xffb80eff,0xffa8004f,0x1bffe66f,
    0xdfffb800,0xaaaaaaaa,0xfffeaaaa,0x7fff8802,0x05fffa80,0xc97fff20,
    0x00003fff,0x05fffe80,0x27fffc00,0x000dfff7,0x201fff30,0x4c002fff,
    0xff105fff,0x7fd403ff,0xffffffff,0x700bffff,0x30009fff,0x7fccffff,
    0xeeeeeeff,0x2e5eeeee,0xffffffff,0xffffffff,0x8802ffff,0xfa807fff,
    0xff5005ff,0x7ffe43ff,0x5c000003,0x0000ffff,0xe87fffd4,0x80001fff,
    0xff107ffa,0xffc8003f,0x3fffa03f,0x3fffea03,0xffffffff,0xff700bef,
    0xff10009f,0x3ffe61ff,0xffffffff,0x3ee7ffff,0xffffffff,0xffffffff,
    0xf8802fff,0xffa807ff,0x7fdc405f,0x7ffe43ff,0x22000003,0x0003ffff,
    0xf79fffd0,0x20000bff,0xff306ffb,0xfff8001f,0x3ffee00f,0x3fffea06,
    0xffffffff,0xfb83ffff,0xf98004ff,0xfff30fff,0xffffffff,0x7dcfffff,
    0xffffffff,0xffffffff,0xf8802fff,0xffa807ff,0xba9999df,0x86fffffc,
    0x0003fffc,0x1bfffa00,0xfff98000,0x000fffff,0x20bff900,0x4c007ffa,
    0x7cc06fff,0xff500fff,0x533333bf,0x9fffffd9,0x004fffb8,0x267fffa8,
    0xccccffff,0x4ccccccc,0x2677ffee,0x99999999,0x02fffe99,0x807fff88,
    0xfffffffa,0xffffffff,0x3fffc80c,0xff700000,0x800001ff,0x4ffffffd,
    0x3ff60000,0x00fff505,0x803fffc8,0xf503fffe,0xfd300bff,0x7fdc3fff,
    0xffb8004f,0x1bffe67f,0x4fffb800,0x2fffd800,0x07fff880,0xffffffa8,
    0xefffffff,0x0ffff201,0x3fe20000,0x800003ff,0x0ffffff8,0x55555000,
    0x5555bffd,0x555fffb5,0x7fffc035,0x6fffc801,0x00bfff50,0xb9bfffa2,
    0xc8004fff,0x3fe66fff,0x3ee0006f,0xfd8004ff,0xff8802ff,0xfffa807f,
    0xdeffffff,0xfffc802c,0xfd800003,0x000006ff,0x00fffff2,0xffffff80,
    0xffffffff,0xffffffff,0x3ffff304,0x33333333,0x501ffff5,0x5400bfff,
    0x3fee7fff,0xffd8004f,0x1bffe64f,0x4fffb800,0x2fffd800,0x07fff880,
    0x99dfffa8,0xff900019,0xb800007f,0x0000ffff,0x1fffe200,0xfffff000,
    0xffffffff,0xffffffff,0x3fff209f,0xffffffff,0x3fffffff,0x005fffa8,
    0x5c7fffe2,0x44004fff,0x3e62ffff,0x2e0006ff,0xd8004fff,0xf8802fff,
    0xffa807ff,0xf900005f,0x400007ff,0x003ffff8,0x7ffc4000,0x66640007,
    0xccdfffcc,0xcefffccc,0xfff02ccc,0xffffffff,0xffffffff,0x0bfff50d,
    0x8ffffc40,0x4004fffb,0x7cc7fffc,0x2e0006ff,0xd8004fff,0xf8802fff,
    0xffa807ff,0xf900005f,0x400007ff,0x0006fffd,0x7fff8800,0x7fcc0000,
    0x05fff00f,0x3ffffe60,0xffffffff,0x0fffffff,0x002fffd4,0x7dcffff3,
    0x3e2004ff,0x7fcc5fff,0x3ee0006f,0xfd8004ff,0xff8802ff,0xfffa807f,
    0xff900005,0x2a00007f,0x0000ffff,0x7fff8800,0x7fcc0000,0x05fff00f,
    0x2b7fff20,0xaaaaaaaa,0x3fffeaaa,0x002fffd4,0x7dcbfff7,0x3f6004ff,
    0x7fcc0fff,0x3ee0006f,0xfd8004ff,0xff8802ff,0xfffa807f,0xff900005,
    0xf100007f,0x00007fff,0x1fffe200,0xfff50000,0x007ffe20,0x000ffffc,
    0x2a37ffe4,0xf3005fff,0x7fdc7fff,0xffe9804f,0xfff983ff,0x3fee0006,
    0xffd8004f,0xfff8802f,0x5fffa807,0xfff90000,0xffb00007,0x000000df,
    0x003fffc4,0x41bfee00,0x9800fff9,0x30006fff,0x7d41ffff,0xfea805ff,
    0x3fee0eff,0x3fee204f,0xff306fff,0x7dc000df,0xfd8004ff,0xff8802ff,
    0xfffa807f,0xff900005,0xfa80007f,0x00001fff,0x1fffe200,0xbff90000,
    0x401ffea0,0x0004fffc,0xfa8ffffe,0xbaaaaeff,0xffffffdc,0x677ffdc0,
    0xffffeccc,0x3e605fff,0x2e0006ff,0xd8004fff,0x2aaa2fff,0xffffbaaa,
    0x52aaaaaa,0x0000bfff,0x2ab7fff2,0xaaaaaaaa,0xffff11aa,0xdddddddf,
    0xdddddddd,0xfff88003,0x7ec00007,0x0fff705f,0x007fffe0,0x25fffc80,
    0xfffffffa,0xffffffff,0xffffb81e,0xffffffff,0x7cc03fff,0x2e0006ff,
    0xd8004fff,0x3ffe2fff,0xffffffff,0x56ffffff,0x0000bfff,0x3ffffff2,
    0xffffffff,0xffff74ff,0xffffffff,0xffffffff,0xfff88003,0x7ec00007,
    0x0dff904f,0x00ffff30,0x0ffffa80,0xfffffff5,0x5dffffff,0x7ffffdc0,
    0xefffffff,0xfff9800b,0x3fee0006,0xffd8004f,0x3ffffe2f,0xffffffff,
    0xff56ffff,0x320000bf,0xffffffff,0xffffffff,0xffffff74,0xffffffff,
    0x03ffffff,0x07fff880,0x1fff4000,0xc805ffc8,0x80004fff,0xff52ffff,
    0xbdffffff,0xff700579,0x9bdfffff,0xff980039,0x3ee0006f,0xfd8004ff,
    0x3fffe2ff,0xffffffff,0xf56fffff,0x20000bff,0xfffffffc,0xffffffff,
    0xfffff74f,0xffffffff,0x3fffffff,0x7fff8800,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffff7000,0xfff70005,0x037ffc3f,0xdafff400,0x80006fff,0x3ee4fffd,
    0x3a004fff,0x7fc1ffff,0xffffffff,0xffffffff,0xfff36fff,0x7e4003ff,
    0xffff10ff,0x99dfffff,0x3ffea005,0x3fff6004,0x000b500f,0x7fc0016c,
    0xaa88006f,0x1bfffa00,0x9ffff100,0x0007ffe8,0xff55fff8,0x440001ff,
    0x3ee1ffff,0xf3007fff,0xff85ffff,0xffffffff,0xffffffff,0xfff36fff,
    0x7e400bff,0xffff10ff,0xffffffff,0xffa805df,0xfff7004f,0x7ffb303f,
    0x1bff7000,0x037ffc00,0x07fffea0,0x027fffcc,0xb0dfffb0,0xf0000fff,
    0x3ffe29ff,0x3ea0003f,0x7ffdc6ff,0xffc802ff,0x7ffc2fff,0xffffffff,
    0xffffffff,0xffff36ff,0x3f2001ff,0xffff10ff,0xffffffff,0x7d40bfff,
    0xff9804ff,0xfffb02ff,0x7fc4001f,0x3fe004ff,0x3fe2006f,0x3f207fff,
    0xf9800fff,0xffd81fff,0x7fc0000f,0x1bfff64f,0x4fffd800,0x2fffffe4,
    0x7fffffc0,0x55555542,0xaffffbaa,0x2aaaaaaa,0x9ffffff3,0x43fff200,
    0xaaaffff8,0xffffecba,0x9fff502f,0x4ffff880,0x17fffa20,0x06fffd80,
    0x0037ffc0,0x5ffffff7,0x17fffa20,0x417fffa0,0x0000fffc,0xfa8fffe2,
    0xf0000fff,0xffc83fff,0x7d407ffe,0x003fffef,0x003fffc4,0xfffffff3,
    0x1fff9001,0x501fffe2,0x501fffff,0xfe809fff,0xff9805ff,0x799752ff,
    0x03fffea3,0x00dfff00,0x7fffffdc,0x3fffea02,0x3fffee02,0x01fff900,
    0x1fffc400,0x007ffff1,0x90dfff50,0x05fff9ff,0x7ffdffec,0x7ffc4003,
    0x3ffe6007,0xc804fffe,0xfff10fff,0xffff300f,0x09fff505,0x0077ffe4,
    0xfeffffb8,0xffffffff,0xff8001ff,0x3fe6006f,0x6c00ffff,0xf880ffff,
    0x3ee02fff,0x220001ff,0x7fec2fff,0xffc8005f,0xdcffd84f,0xfff105ff,
    0x8007fff1,0x2007fff8,0xfffcfff9,0x7ffe400f,0x00ffff10,0x2a13fff6,
    0xff704fff,0xfd8001ff,0xffffffff,0x003fffff,0x800dfff0,0x802ffffb,
    0xd84ffff8,0x7dc05fff,0x260001ff,0x7fd42fff,0x7fc000ff,0xcffd81ff,
    0xfb80fffa,0x009fff5f,0x007fff88,0x3eefffe6,0x7fe403ff,0x0ffff10f,
    0x217fff20,0xf984fffa,0x88001fff,0xeeffffff,0x007fffff,0x001bffe0,
    0xb8002ee6,0x3ea1ffff,0x7d400fff,0x260002ff,0x7fc41fff,0x3e6002ff,
    0x9ffd06ff,0xfd07fff1,0x013ffe5f,0x00ffff10,0x7c5fffcc,0x7fe407ff,
    0x0ffff10f,0x217ffee0,0x7c44fffa,0x30003fff,0x441bffff,0x002ffffd,
    0x000dfff0,0xfffe8000,0x00ffffa5,0x000bffea,0xd81fffa8,0x32005fff,
    0xffd03fff,0xf31bff67,0x02fffcff,0x01fffe20,0xfb3fff98,0x7fe407ff,
    0x0ffff10f,0x213fff20,0x7ec4fffa,0x360004ff,0x3f605fff,0xfffc86ff,
    0xffffffff,0xffffffff,0x2600003f,0xffcaffff,0xfff3006f,0x40bbae07,
    0xfa80fffa,0x3fe007ff,0x7ffd01ff,0xfc83ffea,0x017ffa4f,0x00ffff10,
    0xf99fffcc,0x3ff206ff,0x0ffff10f,0x20bfffa0,0x3f24fffa,0x220005ff,
    0x2600ffff,0x7e40ffff,0xffffffff,0xffffffff,0x00003fff,0x7fffffe4,
    0xff1001ff,0x17ffe07f,0x4407ffdc,0x9802ffff,0x3fe06fff,0xf8fffe3f,
    0x17ffa1ff,0x0ffff100,0xd1fffcc0,0x3f205fff,0xffff10ff,0x0dfffb00,
    0x7d53ffea,0x20000eff,0xe805fffa,0x7fe41fff,0xffffffff,0xffffffff,
    0x400003ff,0xffffffe8,0x3ffe2004,0x0ffff984,0x3607ffb8,0xfc804fff,
    0x3ffe03ff,0x7d5bff23,0x037ff46f,0x01fffe20,0x2a3fff98,0xff906fff,
    0x1fffe21f,0x2ffffd98,0xf39fff50,0x80001fff,0xd803fffb,0x554c2fff,
    0xffaaaaaa,0xaaaaaaef,0x800000aa,0x06fffffa,0xc84fff80,0xfc83ffff,
    0x3ffea07f,0x1fffe807,0xf98fffe0,0x43ffc9ff,0x44006ffe,0x26007fff,
    0x7ff43fff,0x0fffc81f,0x999ffff1,0xffffffd9,0x6fffd407,0x0001fffe,
    0x803fffc8,0x8003fffc,0x00006fff,0x3fff6000,0xfff8003f,0x6fffff84,
    0x2206ffc8,0x2601ffff,0x3e206fff,0x67ff43ff,0x7fec0fff,0x7ffc4006,
    0x3ffe6007,0x42fffdc3,0xff10fffc,0xffffffff,0xa805dfff,0x6fffffff,
    0xfff90000,0x7fff9007,0x0dfff000,0x22000000,0x00efffff,0x262fff40,
    0x40ffffff,0x7ec06ffc,0x3fee04ff,0x3ffe203f,0x7ffffdc2,0x007ffd85,
    0x003fffc4,0xff07fff3,0xfffc83ff,0xffffff10,0x03dfffff,0x3fbffea0,
    0x80004fff,0xd804fffb,0xf8001fff,0x000006ff,0xfffffb00,0xffe8009f,
    0x7fe7fe45,0x02ffec3f,0xe81fffea,0x3e600fff,0x7ffc42ff,0x7ffd82ff,
    0x3fffc400,0x07fff300,0xfc8bfff7,0xffff10ff,0xffffdb99,0x3ffea007,
    0x02ffffac,0x2fffd400,0x03fffe20,0x01bffe00,0x3ee00000,0x1fffffff,
    0xd1bff600,0x8dffb3ff,0x7c405ffd,0xff881fff,0x7ffcc06f,0x0ffffd82,
    0x4007ffd8,0x2007fff8,0xf883fff9,0x3ff21fff,0x0ffff10f,0x00bffff3,
    0x3f29fff5,0x20001fff,0x201ffff9,0x0006fffb,0x3000dfff,0xf8800377,
    0xfffdbfff,0x9bff6006,0xfff77ff9,0x4027ff43,0xfb84fffd,0x7fcc03ff,
    0x5fffa82f,0x001fff90,0x003fffc4,0x3207fff3,0x3ff24fff,0x0ffff10f,
    0x00bfffe2,0x7f49fff5,0x20000eff,0x980dfffe,0x0002ffff,0xb800dfff,
    0x2002ffff,0xff36fffd,0x3f2007ff,0x457fee7f,0x3ffa3fff,0x6fffa804,
    0x400fffe8,0xf882fffa,0xfff901ff,0x7ffc4001,0x3ffe6007,0x1ffff103,
    0x7c43fff2,0x3fee07ff,0x7ffd406f,0x17fffe24,0xffffa800,0xfffca9be,
    0x3fe0006f,0x3fe6006f,0xa800ffff,0x3f21ffff,0xfc801fff,0xe8bffa7f,
    0x0fffe6ff,0x87fffe20,0xa806fff8,0x33101fff,0x007ffe40,0x00ffff10,
    0x901fffcc,0x3ff27fff,0x0ffff10f,0x203fffe8,0x7d44fffa,0x30003fff,
    0xffffffff,0x01ffffff,0x01bffe00,0xffffffb8,0x7fffc402,0x37fffc44,
    0x4c7ffdc0,0x7ffdc7ff,0x2007fff1,0x3ee4fffd,0xffb803ff,0x3f20001f,
    0x3e2001ff,0x3e6007ff,0x3fe603ff,0x21fff97f,0x5c07fff8,0xf500ffff,
    0xfff909ff,0xfe88005f,0xffffffff,0x006fffff,0x40013330,0x2ffffffb,
    0x07fffec0,0x01ffffd4,0x3ee3ffea,0xa7ffc45f,0xf7002fff,0x7fff4dff,
    0x1fffb800,0x3ffee000,0x3ffe2001,0x3ffe6007,0x57ffec03,0xff10fffc,
    0xffff00ff,0x13ffea07,0x007ffff4,0xdbbfffb0,0xfd7dffff,0x000009ff,
    0x7ffffc40,0x3ffea00f,0x3fff603f,0x3ffea00f,0xfd82ffe9,0x02fff8ff,
    0x11ffff10,0x2e00dfff,0x20001fff,0x2001fffb,0x2007fff8,0x4c03fff9,
    0xfffcefff,0x00ffff10,0x2a0ffff7,0xff104fff,0x3ee00dff,0x26620fff,
    0x0bfffe61,0xfa800000,0x3a201eff,0x7cc06fff,0x3e605fff,0x80fffaff,
    0xfffafffb,0x3fff6001,0x003fffbb,0x0003fff9,0x0017ffdc,0x400ffff1,
    0xe803fff9,0x0fffefff,0x100ffff1,0xf507ffff,0x7fd409ff,0x7fcc04ff,
    0x3f2002ff,0x2aaa0fff,0xaaaaaaaa,0xaaaaaaaa,0x4009a882,0x801ffffc,
    0x302ffffc,0x0bffbfff,0x3ff7ffe2,0x3fee000f,0x00fffddf,0x001fff90,
    0x017ffdc0,0x00ffff10,0x401fffcc,0xfffffffa,0x00ffff10,0x2a1bfff2,
    0x7dc04fff,0x3f603fff,0x7c4005ff,0x3ffe4fff,0xffffffff,0xffffffff,
    0x3fe60005,0xff1004ff,0xff101fff,0x6c05ffff,0x00ffffff,0x3ffffe20,
    0x3f6006ff,0x2a0000ff,0x22003fff,0x26007fff,0xfd003fff,0x221fffff,
    0xf1007fff,0xffa85fff,0xfffd804f,0x03fee01f,0xf0bbea00,0xffffffff,
    0xffffffff,0x74000bff,0x2000ffff,0x884ffffa,0x00ffffff,0x1fffffea,
    0x3ffff600,0x3f6003ff,0x2a0000ff,0x22003fff,0x26007fff,0xf5003fff,
    0x221fffff,0x36007fff,0x7fd46fff,0xfff8804f,0x00a200ef,0xffff0280,
    0xffffffff,0xbfffffff,0x3fff2000,0xffd8003f,0xffff81ff,0x7ffc405f,
    0xfb8007ff,0x000fffff,0x0003fff6,0x003fffa8,0x801fffe2,0x2003fff9,
    0x10fffffe,0x4c00ffff,0x3ea2ffff,0xff3004ff,0x00000bff,0x00000000,
    0xdffff300,0x3ffe6000,0xfffff86f,0xffffd802,0xfff88007,0x7f4006ff,
    0x2a0000ff,0x22004fff,0x26007fff,0x2e003fff,0xf10fffff,0xfd800fff,
    0x3ffea6ff,0x3ffee004,0x0000004f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x04008000,0xa8800000,0x0000001a,0x0aaa8800,0x800054c0,0x01aaaa98,
    0x099a9800,0x00aa2000,0x06aa2000,0x2aa62000,0x0000019a,0x054c0000,
    0x02fb8000,0x000005f9,0x3fffff6e,0x3ea00cef,0x3f6004ff,0x7fe4c0ff,
    0x6c3fffff,0x803fffff,0xffffffd9,0x7002ffff,0xffffffd9,0x7d40039d,
    0x40000eff,0xfffffec9,0xfb71004e,0xffffffff,0x3ffe6019,0xffa8001f,
    0x7ffec07f,0x7fe40004,0x1fffe42f,0xffd10000,0xffffffff,0x3ffea05f,
    0x3fff6004,0x7fffffc0,0xffb3ffff,0x209fffff,0xffffffd8,0x02ffffff,
    0x7fffff44,0x04ffffff,0x13ffffe0,0xffffb800,0x1effffff,0x7fffffc0,
    0xffffffff,0x09fffd04,0x09fffb00,0x27ffffd4,0x7ffec400,0x7fffec4f,
    0xffa80005,0xffffffff,0xfa85ffff,0x3f6004ff,0x7fffc0ff,0xefffffef,
    0xfffeffff,0x7fffc42f,0xffffffff,0x3fee02ff,0xffffffff,0xf1004fff,
    0x000dffff,0xdfffffb1,0x7ffffffd,0x7fffffc0,0xffffffff,0x7fffb83f,
    0x7fffc400,0x3ffff200,0x3a6000ff,0xf903ffff,0x0001dfff,0x2fbfffe6,
    0x3fffee61,0x27ffd42f,0x81fffb00,0x7fd40aef,0x3e63ffff,0x7ffec6ff,
    0x595300be,0x3ffffee0,0xfb7331ac,0x7fffc009,0xffd8004f,0xffe982ff,
    0x7dff00ff,0x7fdcc135,0x7fc41fff,0x3ee002ff,0x7fdc05ff,0x5001ffff,
    0x803fffff,0x01effffa,0x0efffe80,0x3ffffa20,0x013ffea0,0x0c0fffd8,
    0x17ffff20,0x7cc3fff2,0x40000fff,0x01effff8,0x3ea00188,0x54000fff,
    0x6c00efff,0x01705fff,0x13fffe20,0x8017fff6,0x4402fffe,0x03ffffff,
    0x0effffb8,0xfffff300,0x7ffd4005,0x3fffe006,0x013ffea4,0x000fffd8,
    0x40ffffd4,0xff53fff9,0xfb00009f,0x00001dff,0x0005dcc0,0x400ffff4,
    0x001ffff8,0x85fffa80,0x800ffffa,0x5007fff9,0x807fffff,0x00dffffc,
    0x7ffff440,0x5ffff003,0x3fffdc00,0x4009fff5,0x4000fffd,0x3e07fff8,
    0xbfff74ff,0xfffa8000,0x0000001f,0x3ffea000,0x3ffee004,0xff880004,
    0x7fffd07f,0x09fff900,0x0ffffec0,0x4ffffd88,0x7ffec000,0x7ffcc04f,
    0xffff8006,0x009fff50,0x0007ffec,0xfd037ffc,0x3fffe6bf,0x3ff20001,
    0x0000005f,0x7ffec000,0x3ffe6002,0xfff00005,0x1bffee0f,0x007fffe0,
    0x80ffffc8,0x02ffffe8,0xffff9000,0x3ffea01b,0xfffd8003,0x009fff51,
    0x0007ffec,0xfd02fff4,0x7ffffcdf,0xffe8000c,0x0000002f,0x7fff4000,
    0x3ffe2000,0xfff00006,0x3fffe20f,0x1bffea00,0x0dfff900,0x03dffff3,
    0xfffa8000,0xfffb81ef,0xfffc8002,0x009fff53,0x2007ffec,0xfffaaaa9,
    0xeaaaaaae,0x3ffe67ff,0x000bdfff,0x0001ffff,0x99999998,0x99999999,
    0x20999999,0xaaaaffff,0xbaaaaaaa,0x98807fff,0xfcccccaa,0x3ff607ff,
    0x3fff603f,0x3ffe2003,0x7fffdc2f,0x3000000e,0xd85fffff,0xb8001fff,
    0xfff54fff,0x7ffec009,0xffffd880,0xffffffff,0x7fffffff,0x7fffffd4,
    0x3e202dff,0xf80007ff,0xffffffff,0xffffffff,0xff16ffff,0xffffffff,
    0xffffffff,0x3fae01ff,0xffffffff,0x3ea07fff,0xfff106ff,0x3fa6001f,
    0x7ffe45ff,0x8000005f,0x23ffffe8,0x8001fffe,0xff55fffa,0x7fec009f,
    0x7fffd40f,0xffffffff,0xffffffff,0xfffd886f,0x83ffffff,0x0006fffa,
    0xfffffff8,0xffffffff,0x36ffffff,0xffffffff,0xffffffff,0xfa81ffff,
    0xffffffff,0x07ffffff,0x5c0ffffc,0x2a604fff,0x0fffffeb,0x01bffff2,
    0xff880000,0xfffb2fff,0xfff70005,0x013ffea7,0x220fffd8,0xccceffff,
    0xcccefffc,0x03cccccc,0x3ffffae2,0x3e61efff,0xf80007ff,0xffffffff,
    0xffffffff,0xff36ffff,0xddddddff,0xdddddddd,0xffff98dd,0xccccccef,
    0x6407fffc,0xffe84fff,0x3ffee01f,0xfc80cfff,0x0000dfff,0x7ffec400,
    0x0ffff23f,0x4bfff200,0x2004fffa,0x3f20fffd,0xbffd04ff,0xeb980000,
    0x226fffff,0x80007fff,0x99999999,0x99999999,0x3e099999,0x200007ff,
    0x01effff8,0x4c07fff8,0x7fc47fff,0x7ffdc06f,0x7fdc01ef,0x00000eff,
    0x5ffffd30,0x004fffb8,0xf51fffd8,0x7ec009ff,0x3fffe0ff,0x00dffd00,
    0x7ff54000,0x3fffe3ff,0x00000001,0x07fffc00,0xfffb8000,0xffff000e,
    0x45fffd00,0x5403fffb,0x26001abd,0x001fffff,0x7fffd400,0x6fffa81e,
    0x7fffc400,0x00bfff30,0x443fffe2,0x3fa06fff,0x8000006f,0x3fa5fffd,
    0x000003ff,0x7ff40000,0xf900001f,0x7fc007ff,0xfffa807f,0x003fffe5,
    0xffd10000,0x200007ff,0x00effffb,0x003ffff3,0xf137ffdc,0x3fa00dff,
    0xfff30fff,0x07fffc09,0x3ea00000,0x3fff26ff,0x0000000f,0x3fff2000,
    0xffd00005,0x3fe2005f,0xffff007f,0x00bfff31,0x3f620000,0x40004fff,
    0x804ffffc,0x1006fffd,0xff83ffff,0x7fec00ff,0xfff30fff,0x3ffff209,
    0x54000003,0x3fe25fff,0x000004ff,0x20005dcc,0x002ffff8,0x02fffe80,
    0x07ffffa8,0xf97fff90,0x000003ff,0xdffffc80,0x7ff44000,0xff1003ff,
    0x74401bff,0xffe85fff,0xfffb104f,0x3fe21fff,0xffffb86f,0x000000ef,
    0xf913fff6,0x1001bfff,0x7ffd4003,0x7fe4000f,0x6c0002ff,0x7e405fff,
    0x3007ffff,0xdffdbfff,0x20000000,0x00effffb,0x5ffffd30,0xffffc800,
    0xff7511ae,0xff701fff,0x3aa23bff,0x0fffdfff,0x644ffffe,0xefffdfff,
    0xee865441,0xeb9819ac,0xfe80ffff,0x99acffff,0x004feba9,0x013ffffe,
    0xdfffff10,0xb9531035,0x1dffffb8,0x3ffffae6,0x3fa007ff,0x003fffff,
    0x3ea00000,0x5401ffff,0x001effff,0xfffffd88,0xffffffff,0x3fffa01e,
    0xffffffff,0x2e0fffb9,0xffffffff,0xfffffd1f,0x3a1ffffd,0xffffffff,
    0x2fffffff,0xfffffd30,0xffffffff,0x3ffe2009,0xfa8006ff,0xffffffff,
    0x86ffffff,0xfffffffe,0xfcbfffff,0x3fee007f,0x0000ffff,0x7f4c0000,
    0xff703fff,0x80001dff,0xfffffffb,0x400dffff,0xfffffff9,0xfff71eff,
    0xfffffe81,0x3ffe22ff,0x0fffffff,0xfffffffd,0x3fffffff,0xfffff900,
    0x9fffffff,0x7ffffc00,0xffb10004,0xffffffff,0xfd30dfff,0xffffffff,
    0x01fff23d,0x5fffff88,0x00000000,0x89ffffb1,0x005ffffd,0x3ffb6200,
    0x002defff,0x3fffff62,0x07ffd44f,0x37ffff62,0xfffec982,0x3f6e4eff,
    0xffffffff,0x64c002df,0xfffffffe,0x3ea000bd,0x40000eff,0xfffffeda,
    0x202cefff,0xeffffffb,0x003ffdc3,0x00bffff2,0x90000000,0xffc85fff,
    0x4000003f,0x800009a9,0x40001aa9,0x2a200298,0x4cc4009a,0x0001aaaa,
    0x00266620,0x00055100,0x26aaa600,0x54c40009,0x00000001,0x00000000,
    0x2fc817dc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40080000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x55310000,0x54c00003,0x35300009,0x0000d4c0,0x00000000,0x00000000,
    0x00133310,0x00004cc0,0x0003ccc8,0x02b32a60,0x88000000,0xcceedcb9,
    0x21fffa82,0xffffffd8,0x83fff504,0xefffffca,0xd30fff80,0x74c1bfff,
    0x7e40efff,0x26003fff,0x7f44ffff,0xffffffff,0x4fffffff,0x001bffe2,
    0x711fffe0,0xfffffffb,0x3ffae007,0x0000cfff,0x0001bffe,0x3ffffff2,
    0x097003ff,0xffa85700,0xefffffff,0x547ffea1,0xffffffff,0x7ffd41ef,
    0x3fffff21,0x7fc2ffff,0xfffff88f,0xfffff14f,0xffffd0bf,0x3fffa003,
    0xfffffe86,0xffffffff,0x7ffc4fff,0x7fc40007,0x7fffc45f,0x0effffff,
    0xfffffd30,0x0005ffff,0x8001bffe,0xddffffe9,0x201effff,0x2e004ffb,
    0x3ffea2ff,0xffffffff,0xf75fff50,0xffffffff,0xfffa8bff,0xffffff92,
    0x7c1fffff,0xffffd9ff,0xffffb7ff,0xff881fff,0xffc806ff,0xfffe81ff,
    0xffffffff,0x6c4fffff,0x4c0007ff,0x7fc44fff,0xfffeccde,0xffff885f,
    0xfffffeef,0x6fff8001,0x7fff7000,0x5fff9101,0x09ffff50,0x21ffff70,
    0xdbabcdfa,0xff54ffff,0x15dfffbf,0x8bffff66,0xffdafffa,0xfff711cf,
    0x7dfffc9f,0xf5fff53f,0x0fffea7f,0x813fffea,0x502ffff9,0x55555555,
    0xffffb555,0x00fffc83,0x0fffea00,0x3fe20171,0xdfffd87f,0x1bfff620,
    0x01bffe00,0x227bfe60,0xfffa8199,0x4ffffd80,0x0bfffee0,0x55fffc80,
    0x09ffffff,0xf52fffec,0x03ffffff,0x7c3fffea,0x3e25ffff,0x7fc5feff,
    0xffff904f,0x17fffa03,0x7ffc4000,0x1fffb83f,0x3ffee000,0xfffc8002,
    0x817ffe61,0x4001fffe,0xe8006fff,0xffffd0ff,0x82ffcc9b,0xb83ffffd,
    0x4002ffff,0xff54fffa,0xf9809fff,0x3ffea6ff,0x7f400eff,0xfffff1ff,
    0x0fffff81,0xfd02fffc,0xfff90dff,0x7f40000d,0xfff505ff,0x402aa605,
    0x8001fffc,0x3ee1fffa,0x3fea01ff,0x7ffc003f,0x17fe4006,0xbfffbbfd,
    0xfd817fe4,0x3fee3fff,0xfd8002ff,0xffff52ff,0x9fffe00b,0x00fffffa,
    0xff2fffc8,0xffff09ff,0x40bffd09,0x264ffff8,0x0001ffff,0x01dfffb0,
    0x740fffe6,0xfff904ff,0x76e5cc01,0x361fffee,0x7fc407ff,0x7ffc004f,
    0x22ff4006,0xd1ff22fe,0x7ffec0bf,0x2ffffbbf,0xfda99980,0x3ffea5ff,
    0x3fffa006,0x03ffff50,0x7cbfff20,0xffe80fff,0x05ffe80f,0xe8ffffd4,
    0x00003fff,0x403ffff7,0xf884fff8,0xfffb06ff,0x3ffffaa0,0x21ffffff,
    0xff806ffe,0x7ffc005f,0x0ffe2006,0x23fd45fd,0x7fec07fc,0x02ffffff,
    0xfffffff0,0x04fffa87,0x543fffa0,0x2a004fff,0xbfff2eee,0x7417ffa0,
    0xffd805ff,0x05fffcef,0xffff3000,0x0bfff005,0xd03ffff7,0xfff50dff,
    0xffdddddf,0x03fff43f,0x9993ffe2,0xf9999999,0x99999eff,0x5ff30999,
    0x9fd32fe8,0x6c00ffb8,0x02ffffff,0x3fffffe0,0x3ffea3ef,0x3fff6004,
    0x009fff50,0x20bfff00,0xffd05ffe,0xfffd100b,0x0001dfff,0x09fffd10,
    0x361bff60,0xff84ffff,0x1ffff84f,0x361fffa8,0x7fcc07ff,0x3ffffe3f,
    0xffffffff,0xffffffff,0xfe81ff76,0x4c0cffff,0xffe802ff,0x76c005ff,
    0x5fffffee,0x4009fff5,0xff50fffd,0xff00009f,0x17ffa0bf,0x9802fff4,
    0x01ffffff,0xdfffb000,0x23ffe400,0x47fffff8,0x7cc3fff8,0xfff503ff,
    0x017ffdc3,0x7fc3fff9,0xffffffff,0xffffffff,0x3ff56fff,0x1effefe8,
    0x5c01ffa8,0x04ffffff,0x3ffee200,0x04fffabf,0x543fff60,0x80004fff,
    0xffd05fff,0x017ffa0b,0x04ffffd8,0xffff7000,0x7ffdc001,0x3ff7fee0,
    0x0bffe62f,0xd109fff5,0x7fcc3fff,0xfff980ef,0x7fffffc6,0xffffffff,
    0x6fffffff,0x2fe85ff3,0x0ff90dfb,0xffffffb8,0x640004ff,0xfffadfff,
    0x3fff6004,0x009fff50,0x20bfff00,0xffd05ffe,0x3ffe600b,0x40001fff,
    0x001ffffa,0xfb0fffd4,0x54bffb5f,0x7fc41fff,0xfff731ff,0xfffd83ff,
    0xfffcaabf,0x4ccccc1f,0xefff9999,0x99999999,0x5fd13fe0,0xdfb0bfe2,
    0x57fffdc0,0x004ffffd,0x2b3fff20,0x36004fff,0xfff50fff,0xfff00009,
    0x417ffa0b,0xf8805ffe,0x0effffff,0xffff1000,0xfff30007,0x2e3ffe25,
    0xfff70fff,0xfffffd01,0x3fffbfff,0xffffff88,0x003fffff,0x800dfff0,
    0x8bfa0ffe,0x13fe66fd,0xb17fffdc,0x0009ffff,0xf57ffff5,0x7ec009ff,
    0x9fff50ff,0xbfff0000,0x7417ffa0,0xffe805ff,0x05fffedf,0x0bfffd00,
    0x4fffe200,0xfff15ffa,0x4c1fff25,0x3fffffff,0xfb103ffd,0x3dffffff,
    0x37ffc000,0xe93fe600,0x74bfe62f,0xfffb80ff,0xffffd82f,0x55555d44,
    0x8fffffec,0x2004fffa,0xff50fffd,0xff00009f,0x17ffa0bf,0x3202fff4,
    0xff98ffff,0x7e4003ff,0x20000eff,0x5ffb4fff,0xffdaffec,0x33b6e206,
    0x80332e0b,0x02bdecb9,0x06fff800,0xdb2ffc80,0xffcced85,0x2ffffb83,
    0x93ffff60,0xfffffffd,0xff51ffff,0x7fec009f,0x09fff50f,0x0bfff000,
    0x7f417ffa,0x3ffea05f,0x3fffee2f,0xffff5001,0xffe80003,0x2e0fff8d,
    0x4ffe8fff,0x00000000,0x6fff8000,0x19ffd000,0x42ffec40,0x802ffff9,
    0xfb1ffffd,0xffffffff,0x27ffd43b,0x21fffb00,0x0004fffa,0xfd05fff8,
    0x17ffa0bf,0x427fffc4,0x400ffffd,0x003ffff9,0xfaeffc80,0x5fffc45f,
    0x00003ffe,0x80000000,0x10006fff,0x3159fffd,0x01bfff95,0xd800bfee,
    0x3bb6a2ff,0xa80bcdee,0x36004fff,0xfff50fff,0xfff00009,0x417ffa0b,
    0xffd05ffe,0x3ffe20df,0x3ffa206f,0xf700004f,0xb05ffbff,0x05fffbff,
    0x55555555,0x35555555,0x2aaaaaaa,0xaaaaaaaa,0x37ffc001,0x3ffee000,
    0x2fffffff,0xd8002b80,0xff500002,0x7fec009f,0x09fff50f,0x0bfff000,
    0x7f417ffa,0xffffd85f,0x3fffea01,0x7ffffb04,0x55555555,0xf5015555,
    0x501fffff,0x03ffffff,0xfffffffd,0x9fffffff,0x3ffffffa,0xffffffff,
    0x37ffc004,0x7ee4c000,0x000bdfff,0x00000000,0x8013ffea,0xff50fffd,
    0xff00009f,0x17ffa0bf,0x3ee2fff4,0xfc803fff,0x7fcc3fff,0xffffffff,
    0xffffffff,0xfffff982,0xfffff105,0xffffd01f,0xffffffff,0x3fffa9ff,
    0xffffffff,0x7c004fff,0x800006ff,0x00000008,0x3ea00000,0x3f6004ff,
    0x9fff50ff,0xbfff0000,0x7417ffa0,0x3ffe65ff,0xffd1006f,0x7ffcc3ff,
    0xffffffff,0x2fffffff,0x2fffff88,0x1fffff60,0x77777764,0xeeeeeeee,
    0xdddddd93,0xdddddddd,0x3ccc8007,0x00000000,0x00000000,0x004fffa8,
    0x7d43fff6,0xf80004ff,0xbffd05ff,0x7457ffa0,0x2000ffff,0x30effff9,
    0xffffffff,0xffffffff,0x3ffe05ff,0x3fea00ff,0x000006ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x4cccc000,0x99999999,0x09999999,0x2a0aaaaa,0x33312aaa,0x33333333,
    0x33333333,0x00003300,0x55510000,0x00220355,0x00035530,0x402800b8,
    0x1bcecb98,0x38802880,0x59993000,0x79953000,0x3e200013,0x3fe005ff,
    0xffffffff,0xffffffff,0x1ffffe5f,0x2adffff1,0xffffffff,0xffffffff,
    0xfd981fff,0x0000dfff,0xfffb0000,0xbfff509f,0x0fff2001,0x0cffc800,
    0xd505df70,0xbfffffff,0x40bfee01,0x2002ffc8,0x04ffffd9,0x3ffffa60,
    0xc8003fff,0xf002ffff,0xffffffff,0xffffffff,0x7fffcbff,0x56ffff86,
    0xffffffff,0xffffffff,0xffa83fff,0x03ffffff,0x000fffd4,0x0bffff60,
    0x1bffffea,0x001ffe40,0x306fff98,0x7ec1dfff,0xffffffff,0x7ffc40ef,
    0xffff880f,0x7ffecc00,0xf9004fff,0xffffffff,0x7fcc00df,0xff006fff,
    0xffffffff,0xffffffff,0x37fff4bf,0xfaaffffc,0xffffffff,0xffffffff,
    0x3ffe21ff,0x4fffffff,0x003ffea0,0x0efffd80,0xffffffd0,0x05ff7005,
    0x07fffa00,0x320ffff4,0xffedefff,0xffa84fff,0xbfff705f,0x3ffff660,
    0xb804ffff,0xdbbcffff,0xd004ffff,0x07fff9ff,0x33333330,0x33333333,
    0x7f413333,0xffff85ff,0x33333315,0x33333333,0x643fffb3,0xfebbffff,
    0xff904fff,0x7fec000f,0x7fffc04f,0x20323fff,0x04981ffb,0x6413ffee,
    0x1bb03fff,0x06fffd88,0x3607fff9,0xffb82fff,0x4fffdfff,0x077ffc40,
    0x00ffff4c,0x7fe5bfea,0x0000000f,0xd0bfffb0,0x00009fff,0x7c47fff2,
    0x7fe40eff,0x3fe60dff,0xffb0006f,0xfffd005f,0x3fee5fff,0x320ffd43,
    0xfff882ff,0x5fff980f,0xffff3000,0x1fffd101,0x81dfff10,0xff73fff8,
    0xfffc809f,0x0fffea01,0x3e25ffd0,0x000005ff,0x09fffb00,0x0009fffd,
    0x4c7fff20,0xff904fff,0xfffbbfff,0x3310005f,0x3fee0013,0xfff0efff,
    0x43fe61bf,0xd86fffe9,0xfe882fff,0xf10000ff,0x3e601fff,0xfff705ff,
    0xffb87909,0x37fec04f,0x702fffc0,0xfffb8dff,0x80000002,0xfd84fffc,
    0x900003ff,0x3fea3fff,0x3fff203f,0x06ffffff,0xfc800000,0x3f221eff,
    0x8ff9bfff,0x40cffffc,0xf905fffa,0x540005ff,0x7dc06fff,0xfffd03ff,
    0x9fff7003,0x805fff80,0xff106ffe,0x0dffd03f,0x4ccccccc,0x99999999,
    0x3f209999,0xfffd83ff,0xff900003,0x07bbaa3f,0xffffff50,0x000001df,
    0x8806a200,0xeffefffc,0xf880cfff,0xffa80fff,0x3e20004f,0xfe803fff,
    0xfff981ff,0x4fffb806,0x4027ffc0,0xff906fff,0x0fffe60b,0x7ffffffc,
    0xffffffff,0x3ee5ffff,0xfffc83ff,0xff900002,0x6440003f,0x0003dffe,
    0x20000000,0xffffffc8,0x3fff200c,0x01fffd03,0x3fffe600,0xbfff3006,
    0x00bfff60,0xe809fff7,0x7fcc05ff,0x1fff984f,0x203fff60,0xffffffff,
    0xffffffff,0x3fee5fff,0x2fffc82f,0xfff90000,0x00000003,0x00000000,
    0x9ffffb10,0x1dfff100,0x009fff50,0x1fffff50,0x07fff600,0x201bffe2,
    0x6c04fffb,0x3f201fff,0x4ffe83ff,0x42fffc40,0xffffffff,0xffffffff,
    0x2aa25fff,0x0aaa980a,0x00000000,0x00000000,0xfc880000,0x3fffffff,
    0x827ffdc0,0x2001fffd,0x00effffb,0x209fff70,0xb801fffd,0x7d404fff,
    0xff980eff,0x7ffd40ef,0x2fffc800,0x4ccccccc,0x99999999,0x00009999,
    0x00000000,0x00000000,0x32200000,0xbffcffff,0xd00bffff,0xff103fff,
    0xfd8801ff,0x3000dfff,0x3ee0dfff,0xff7005ff,0xfffb009f,0xfff9779f,
    0x09ffd03f,0x0037ffc0,0x00000000,0x00000000,0x00000000,0x7ffe4000,
    0x88ff98df,0x983ffffe,0xff506fff,0x7ff4c0bf,0x7f4003ff,0xfff881ff,
    0xfff7000f,0xfffd1009,0x7fffffff,0x001fff70,0x301fffd4,0x00055555,
    0x00440044,0x33333330,0xdb833333,0x5555542d,0xaaaaaaaa,0xddddddd2,
    0xdddddddd,0xdddddddd,0xffd00bdd,0x70ffd45d,0x3f209fff,0xfffb04ff,
    0xdffff507,0xfffc8003,0x05fffb03,0x027ffdc0,0xffffff90,0x333203df,
    0x4ccc8002,0x3ffff620,0x4ffd8005,0x200fff60,0xfffffff8,0x3fa7ffff,
    0x3ffe4fff,0xffffffff,0xfffff5ff,0xffffffff,0xffffffff,0x300dffff,
    0x83ff509f,0x3fa00fd8,0xfff881ff,0x3fffea0f,0xffffffff,0x3ffe61ff,
    0x0bfff506,0x7f77776c,0x0eeeeeff,0x2b32ea20,0x00000001,0x2ffffdc0,
    0x5ffff500,0x03ffff70,0xffffff88,0xf77fffff,0x3e5fffff,0xffffffff,
    0xfff5ffff,0xffffffff,0xffffffff,0x0dffffff,0x17fdc060,0x7ffcc018,
    0x4dfff506,0xfffffffa,0x1fffffff,0x101fffd1,0x7401ffff,0xffffffff,
    0x000fffff,0x00000000,0x9fffd300,0x3fffee00,0x2ffffc83,0x77777440,
    0xb5eeeeee,0x29ffffff,0xffffffff,0x555fffff,0x55555555,0x55555555,
    0x55555555,0x2ffb8000,0x37ff2000,0x547ff900,0xffffffff,0x11ffffff,
    0x36207ff9,0x7ff403ff,0xffffffff,0x00000fff,0x00000000,0x013fff62,
    0x207fffe6,0x000ffffa,0xffffb000,0x2aaaa9ff,0xaaaaaaaa,0x0000002a,
    0x3ff20000,0x07220003,0x999302e0,0x99999999,0x03881999,0xccb80498,
    0xcccccccc,0x00000ccc,0x00000000,0x804fffb8,0x3ae02eea,0x2000001d,
    0x2ffffffb,0x00000000,0xf9000000,0x0000007f,0x00000000,0x00000000,
    0x00000000,0x26620000,0x00000001,0xfffd0000,0x000000bf,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0000f76e,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_47_latin1_x[224]={ 0,9,5,0,2,0,1,10,6,5,3,1,5,6,
8,2,2,3,3,3,0,4,2,2,2,2,9,5,3,3,4,6,0,0,3,2,2,4,4,1,2,3,4,3,
5,1,2,1,3,1,3,2,1,2,0,1,0,0,2,7,3,6,2,0,0,3,3,3,2,2,0,2,3,3,
3,4,3,2,3,2,3,2,4,4,1,3,1,0,1,1,3,3,11,5,1,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,9,2,2,1,1,
11,3,0,0,5,3,2,6,2,0,4,2,5,6,0,3,2,9,10,5,5,3,0,0,0,4,0,0,0,0,
0,0,-1,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,1,0,0,0,0,0,3,3,0,0,
0,0,0,0,0,3,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,1,2,0,0,0,0,0,3,0,
 };
static signed short stb__consolas_47_latin1_y[224]={ 34,1,1,4,-1,1,2,1,-1,-1,1,10,26,19,
26,1,3,3,3,3,4,4,4,4,3,3,10,10,8,15,8,1,1,4,4,3,4,4,4,3,4,4,4,4,
4,4,4,3,4,3,4,3,4,4,4,4,4,4,4,0,1,0,4,40,1,10,1,10,1,10,1,10,1,1,
1,1,1,10,10,10,10,10,10,10,3,10,10,10,10,10,10,0,-4,0,16,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,34,10,-1,3,5,4,
-4,1,1,3,3,12,19,19,1,2,1,6,1,1,1,10,1,17,34,1,3,12,1,1,1,10,-5,-5,-5,-5,
-5,-6,4,3,-5,-5,-5,-5,-5,-5,-5,-5,4,-5,-5,-5,-5,-5,-5,11,-1,-5,-5,-5,-5,-5,4,1,1,1,
1,1,1,-1,10,10,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,6,1,1,1,1,1,1,1,
 };
static unsigned short stb__consolas_47_latin1_w[224]={ 0,7,15,25,22,26,25,6,14,14,20,23,12,14,
9,21,22,20,21,20,25,19,22,21,22,21,8,12,19,20,19,16,26,26,21,21,23,18,18,23,22,19,17,22,
18,24,22,24,21,25,22,21,23,22,26,24,26,26,22,13,21,12,22,26,16,20,21,19,21,22,25,22,20,20,
18,21,20,22,20,22,21,21,20,18,22,20,24,26,24,24,20,18,4,18,24,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,8,19,22,23,24,
4,20,21,26,16,20,21,14,22,19,17,22,16,14,22,22,21,8,6,16,16,20,26,26,26,15,26,26,26,26,
26,26,26,21,22,22,22,22,22,22,22,22,25,24,25,25,25,25,25,20,24,24,24,24,24,26,21,21,23,23,
23,23,23,23,25,19,24,24,24,24,23,23,23,23,22,23,24,24,24,24,24,23,22,23,23,23,23,25,21,25,
 };
static unsigned short stb__consolas_47_latin1_h[224]={ 0,34,12,30,41,34,33,12,45,45,21,23,16,5,
9,38,32,31,31,32,30,31,31,30,32,31,25,32,27,13,27,34,43,30,30,32,30,30,30,32,30,30,31,30,
30,30,30,32,30,40,30,32,30,31,30,30,30,30,30,44,38,44,15,4,10,25,34,25,34,25,33,34,33,33,
43,33,33,24,24,25,34,34,24,25,32,25,24,24,24,34,24,44,48,44,11,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,0,34,41,31,28,30,
48,39,10,32,23,19,12,5,22,9,16,28,19,19,10,34,39,8,7,19,23,19,33,33,33,34,39,39,39,39,
39,40,30,38,39,39,39,39,39,39,39,39,30,39,40,40,40,40,40,21,40,40,40,40,40,39,30,34,34,34,
34,34,34,36,25,31,34,34,34,34,33,33,33,33,34,33,34,34,34,34,34,25,33,34,34,34,34,43,43,43,
 };
static unsigned short stb__consolas_47_latin1_s[224]={ 255,240,160,1,1,163,50,248,26,11,1,
173,243,207,246,23,70,205,226,116,187,24,1,213,1,160,245,239,1,139,21,
237,173,27,54,162,76,235,100,24,119,142,236,175,184,80,129,184,162,51,152,
48,105,137,53,28,1,226,203,54,1,41,116,222,139,197,1,130,91,174,49,
50,1,96,106,140,75,43,1,41,215,145,22,111,93,64,218,112,66,214,91,
87,1,68,198,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,
164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,164,255,246,226,
182,198,139,6,233,156,209,139,22,176,207,197,178,98,222,43,241,223,191,193,
198,248,81,156,60,199,22,172,238,100,127,1,179,206,24,86,45,147,78,101,
77,124,55,170,215,113,154,77,103,129,155,51,220,206,231,1,26,181,28,64,
121,73,167,191,143,97,67,85,44,215,25,138,113,100,124,76,148,23,226,70,
95,120,190,1,150,117,26,167,46,1,125,151,200, };
static unsigned short stb__consolas_47_latin1_t[224]={ 1,173,530,416,50,173,282,173,1,1,531,
506,478,544,530,173,351,351,351,351,384,384,384,384,351,351,447,247,478,530,478,
212,1,416,416,317,416,384,416,351,416,416,317,447,416,447,447,317,416,50,447,
351,447,351,447,447,447,416,416,1,173,1,531,544,544,478,247,478,173,478,317,
212,317,317,1,317,317,506,506,478,212,247,506,478,351,478,478,506,506,247,506,
1,1,1,530,384,384,384,384,384,384,384,384,384,384,384,384,384,384,384,384,
384,384,384,384,384,384,384,384,384,384,384,384,384,384,384,384,384,1,1,1,
351,447,384,1,92,544,317,506,531,530,544,506,544,531,447,531,506,530,247,133,
544,186,531,506,531,282,317,282,133,92,92,133,92,92,50,384,173,133,133,133,
92,133,133,133,133,384,92,50,50,50,50,92,506,50,50,92,92,50,133,384,
212,212,212,212,212,212,173,478,384,173,212,173,173,282,282,282,282,247,282,247,
247,247,173,282,478,317,282,247,247,212,1,1,1, };
static unsigned short stb__consolas_47_latin1_a[224]={ 413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_47_latin1_BITMAP_HEIGHT or STB_FONT_consolas_47_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_47_latin1(stb_fontchar font[STB_FONT_consolas_47_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_47_latin1_BITMAP_HEIGHT][STB_FONT_consolas_47_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_47_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_47_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_47_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_47_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_47_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_47_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_47_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_47_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_47_latin1_s[i] + stb__consolas_47_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_47_latin1_t[i] + stb__consolas_47_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_47_latin1_x[i];
            font[i].y0 = stb__consolas_47_latin1_y[i];
            font[i].x1 = stb__consolas_47_latin1_x[i] + stb__consolas_47_latin1_w[i];
            font[i].y1 = stb__consolas_47_latin1_y[i] + stb__consolas_47_latin1_h[i];
            font[i].advance_int = (stb__consolas_47_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_47_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_47_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_47_latin1_s[i] + stb__consolas_47_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_47_latin1_t[i] + stb__consolas_47_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_47_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_47_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_47_latin1_x[i] + stb__consolas_47_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_47_latin1_y[i] + stb__consolas_47_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_47_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_47_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_47_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_47_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_47_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_47_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_47_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_47_latin1_LINE_SPACING
#endif

