// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_49_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_49_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_49_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_49_latin1_BITMAP_HEIGHT        607
#define STB_FONT_consolas_49_latin1_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_consolas_49_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_49_latin1_NUM_CHARS            224

#define STB_FONT_consolas_49_latin1_LINE_SPACING          32

static unsigned int stb__consolas_49_latin1_pixels[]={
    0x26213331,0x02800099,0x00000005,0x99999990,0x32e59999,0xcccccccc,
    0x54c0004c,0x79951ccb,0x00000035,0x77440000,0x0000005e,0x2c980395,
    0x75c00000,0x0001deee,0xfb8ddd50,0x7fff73ff,0x542fd800,0x4000005f,
    0x3e22efe9,0xffffffff,0xffffb4ff,0x0fffffff,0x3fffee00,0xffff73ff,
    0x000005ff,0xeffecb98,0xfff8801d,0xd8000007,0xff702fff,0x200000bf,
    0x01effffb,0x1fff2000,0x3ee7fff7,0x3f2003ff,0x9fff52ff,0x3e600000,
    0xff12ffff,0xffffffff,0x3ffff69f,0x07ffffff,0x7ffff440,0xfff73fff,
    0x001dffff,0xffff9000,0x01dfffff,0x003fffc4,0x3ffe6000,0xfffff06f,
    0xfb800001,0x00005fff,0x7dc6ffd8,0x7fff73ff,0x3fffee00,0x09ffff31,
    0xfff90000,0x3bba2bff,0xfffeeeee,0xdddfffb4,0x800ddddd,0xeffffffe,
    0xfffdd52e,0x0000bfff,0x7fffff4c,0x0efffffe,0x00ffff10,0xfff98000,
    0xfffff07f,0x7dc00003,0x00003fff,0xfb8bffd0,0x7fff73ff,0x3ffff700,
    0x03ffffa8,0x7ffe4000,0xff5005ff,0x07fff69f,0x7ffd4000,0xfb1000df,
    0x00005fff,0x159ffff7,0x3bfff6a2,0x07fff880,0xffe80000,0xdfff903f,
    0x7fdc0000,0x000001ef,0xff70fffe,0x0fffee7f,0x05ffff50,0x00bffff2,
    0xffffa800,0xfff5003f,0x007fff69,0x27fff400,0x6fffd800,0x7ffcc000,
    0x7ffd401f,0x07fff886,0xdc880000,0x005edc03,0xdfffb800,0x22000000,
    0x7fdc2fff,0x07fff73f,0x027fffc4,0x003ffff6,0x5fffc800,0x53ffea00,
    0x0001fffd,0x00ffff88,0x0ffff100,0x77ffc400,0x5fff9000,0x007fff88,
    0x00000000,0x00000000,0x1fff9800,0xfb9fffdc,0x3ff603ff,0xfffd005f,
    0xa980000b,0x7ffd4001,0x003fffb4,0x0bfff300,0x0fffe800,0x1fffd000,
    0x45ffd800,0x0007fff8,0x00000000,0x00000000,0x40fffa80,0xff73fffb,
    0x3ffea07f,0xfff3000f,0x0000005f,0x29fff500,0x0001fffd,0x004fffa8,
    0x00fffec0,0x017ffdc0,0x107ffd40,0x0000ffff,0x00000000,0x00000000,
    0x3fffb2a2,0x7fff70ac,0x740fffee,0x64003fff,0x00006fff,0xfffa8000,
    0x003fffb4,0x07fff500,0x2fffc800,0x05fff800,0x88fffe00,0x2a207fff,
    0x0000000a,0x00000000,0xffff9000,0x9fffffff,0x3ee7fff7,0xfffb83ff,
    0xfff88006,0x0000004f,0xda7ffd40,0x80001fff,0x0003fffa,0x0017ffe4,
    0x0003ffee,0x3e26ffd8,0x7f6547ff,0x4c04efff,0x0003ffff,0xf98ffff9,
    0x90003fff,0xe980ffff,0xffffffff,0xffbdffff,0x87fff73f,0x002ffff8,
    0x01ffff70,0xfffffffd,0xffffffff,0x3ffea001,0x003fffb4,0x07fff500,
    0x2fffc800,0x027ff400,0x89ffee00,0xffb16fff,0xbfffffff,0x06fffe80,
    0x09fffd00,0x000dfffd,0xb813fffa,0xfeffffff,0xbdffffff,0xfff73fff,
    0x05fffb87,0x1ffff400,0x7ffffff4,0xffffffff,0xfff5000f,0x007fff69,
    0x0fffea00,0x5fff9000,0x0fffd400,0xfff30800,0x75bffe21,0xffffffff,
    0xf500dfff,0x98003fff,0xfa81ffff,0x4c001fff,0xf501ffff,0x3e39ffff,
    0xbdda8bff,0xfff73fff,0x02fffe87,0x37ffdc00,0x7ffffff4,0xffffffff,
    0xfff5000f,0x007fff69,0x0fffea00,0x5fff9000,0x837fec00,0xdbeffec8,
    0x21fff13f,0xffdefff8,0xfeb99bff,0x3fe03fff,0x7e4004ff,0x3ffe06ff,
    0x7fe4004f,0x3fffa06f,0x0bffe21f,0x7dcfffee,0x3ffe63ff,0x7cc0000f,
    0x55540fff,0xaaaaaaaa,0x000ffffb,0x3f69fff5,0xa80001ff,0x40003fff,
    0x2002fffc,0xff983fff,0x2fffffff,0x7fc47ffe,0x104fffff,0x640dfffd,
    0x7c007fff,0x3f203fff,0x7fc007ff,0xfff903ff,0x1fff983f,0xf73fffb8,
    0x7ffdc7ff,0xffd00005,0x7c40007f,0xf5000fff,0x3fff69ff,0xffb80001,
    0x7dc0002f,0xff3003ff,0xffff981f,0x20ffffff,0xfff12fff,0xf8807fff,
    0xff302fff,0x3ea005ff,0x3e600fff,0xf5002fff,0xff101fff,0xfff509ff,
    0x27fff701,0x3fa3fffb,0x900002ff,0x4000dfff,0x000ffff8,0x3f69fff5,
    0xc80001ff,0x40001fff,0x7004fffa,0xfffd0fff,0xd1fffe65,0x3ffe27ff,
    0xffb003ff,0x7fff40bf,0xbfff9005,0x0bfffd00,0x417fff20,0xc80ffffa,
    0xfff707ff,0x44fffee7,0x0000ffff,0x01ffff30,0x3fffe200,0x9fff5000,
    0x0007fff6,0x01ffff10,0xffff8800,0x45ffd800,0x7f42fffb,0x89fff46f,
    0x2004ffff,0x2e06fffb,0xf800ffff,0xfb802fff,0xff800fff,0xfff702ff,
    0x41bff60b,0xff73fffb,0x1fffea7f,0xffff0000,0x3fe20003,0xff5000ff,
    0x07fff69f,0xfffd8800,0xffb00004,0xfff803bf,0x7c37ff43,0xa7fec5ff,
    0x4007fff8,0x2207fff8,0x5404ffff,0xf1007fff,0xfa809fff,0x3ff607ff,
    0x0bffd04f,0x7dcfffee,0xdfff53ff,0xfff80000,0xff10002f,0x3ea001ff,
    0x3fffb4ff,0x7ee5d400,0x0000efff,0xbffffd10,0x7ffc4579,0x10fffe61,
    0xffe89fff,0x00ffff13,0x00ffff88,0xb01ffff2,0x64009fff,0x7ec07fff,
    0x3ffa04ff,0x09fff03f,0x4c4fffee,0xbfff7099,0xffe80000,0xff10003f,
    0x3ea001ff,0x3fffb4ff,0x3fffe200,0x00004eff,0xfffffc88,0x1fff50ff,
    0x2a0fffdc,0x7ff42fff,0x00ffff12,0x403ffff0,0x102ffff9,0x4003ffff,
    0x102ffff9,0x7c03ffff,0xff882fff,0x7fff703f,0x04fffc80,0x7ffec000,
    0xfff10004,0x3fea001f,0x03fffb4f,0x3ffffe20,0x000000be,0xffffff71,
    0xfb1ffea1,0x3fff70ff,0xff12fff8,0xfff000ff,0xfffe803f,0x0dfff505,
    0x0bfffd00,0xd01bffea,0xff307fff,0x3ffee03f,0x1fffec03,0x3ff20000,
    0xff10005f,0x3ea001ff,0x3fffb4ff,0x3fffa200,0x0003ffff,0x7ffffd40,
    0xfff70eff,0xfc86fff8,0x8fffc0ff,0x8007fff8,0x5c01ffff,0xfd80ffff,
    0xfb8003ff,0xffd80fff,0x7ffec03f,0x00fffa84,0xd807fff7,0x00003fff,
    0x002fffdc,0x00ffff88,0x369fff50,0x88001fff,0x03ffffd9,0xffff5000,
    0x9bfee037,0xfd85fff8,0x11fff87f,0x8800ffff,0xf8807fff,0x7fc43fff,
    0xf88000ff,0x7fc43fff,0x7fe400ff,0x07ffb86f,0xb00fffee,0x00009fff,
    0x004fffc8,0x01ffff10,0x6d3ffea0,0x40001fff,0x0006fffb,0x803fffd0,
    0x3fe25ffc,0x46ffe84f,0xff10fff9,0xff9800ff,0xfff9006f,0x05fffb8d,
    0x1bfff200,0x700bfff7,0xfc83ffff,0x3ffee06f,0x2fffe403,0x3ff60000,
    0xff10003f,0x3ea001ff,0x3fffb4ff,0xfffd0000,0xff980003,0x5ffc805f,
    0x3e0fffe6,0x3ffd44ff,0x800ffff1,0x3005fffa,0x7f43ffff,0x260002ff,
    0x3fa1ffff,0xff8802ff,0x2ffec6ff,0x807fff70,0x0005fffb,0x017fff40,
    0x0ffff880,0x29fff500,0x0001fffd,0x002fffc8,0x01fffd40,0xff327fec,
    0x3fff989f,0xff127fe4,0xffd800ff,0x3ffa004f,0x0ffff34f,0x9fffd000,
    0x801fffe6,0x3a5ffffc,0x3fee04ff,0x7ffd403f,0x7fc00006,0xf10002ff,
    0x2a001fff,0xfffb4fff,0xff700003,0xfb80007f,0xffd802ff,0x713ffe25,
    0xffe87fff,0x01fffe22,0x01ffff98,0x65bffee0,0x80004fff,0xff96fffb,
    0x7fc4009f,0xfffaefff,0x7fde64c3,0x7ffcc03f,0x7fc00007,0xf10001ff,
    0x2a001fff,0xfffb4fff,0xff500003,0xfc80007f,0xffc802ff,0x897ffe25,
    0x3e63ffff,0x3fffc47f,0x09fffd00,0x9ffff880,0x0001ffff,0xf9ffff88,
    0x4c001fff,0xffffffff,0xdfffeddf,0x3313fffb,0x3fffe213,0xff500002,
    0x7c4000df,0xf5000fff,0x3fff69ff,0xffa80001,0x7e40003f,0xffb802ff,
    0xd877ffc6,0x3f64ffff,0x3fffc45f,0x7fffec40,0xfffd8000,0x0006fffe,
    0x3fbfff60,0xd30006ff,0xffffffff,0xf7bfffff,0x3ffee7ff,0x013fff63,
    0x27ffe400,0xffff1000,0x3ffea001,0x003fffb4,0x07fff500,0x2fffc800,
    0x647ffa80,0xaffeefff,0xfffedfff,0x7ffffc40,0xfba989ac,0x0002ffff,
    0xfffffff3,0x7cc00007,0x03ffffff,0x3fff2200,0xffffffff,0x73fffbcf,
    0x7fd47fff,0xff00007f,0x440003ff,0x5000ffff,0x3ff69fff,0xfa80001f,
    0x640003ff,0xfa802fff,0x7fffcc7f,0xffffb4ff,0xfff103ff,0xffffffff,
    0x005fffff,0xfffffe80,0x7400000f,0x00ffffff,0xfffd3000,0x7dc1579d,
    0x7fff73ff,0x017fffc4,0x1fffea00,0xffff1000,0x3ffea001,0x003fffb4,
    0x07fff500,0x2fffc800,0x40fff980,0x265ffffa,0x102efffe,0xffffffff,
    0x1bffffff,0xfff70000,0x000007ff,0x07fffff7,0x6ffd8000,0xb9fffdc0,
    0x7fec3fff,0x7e40004f,0x440004ff,0x5000ffff,0x3ff69fff,0xfa80001f,
    0x640003ff,0xf8802fff,0x0aa881ff,0xf8801510,0xffffefff,0x0002cdff,
    0x3ffffe20,0xf8800000,0x0000ffff,0x202fff40,0xff73fffb,0xffffa87f,
    0xfff10000,0xf880003f,0xf5000fff,0x3fff69ff,0xffa80001,0x7e40003f,
    0xfff002ff,0x88000009,0x26667fff,0x22000000,0x0004ffff,0x9ffff100,
    0xfff00000,0x3fffb807,0xfd07fff7,0x36000bff,0x80004fff,0x2007fff9,
    0xffb4fffa,0xf500003f,0xc80007ff,0xfb002fff,0x800000ff,0x0007fff8,
    0xfffc8000,0x9000000f,0x0001ffff,0x02fff880,0xfb9fffdc,0xfff983ff,
    0x7fd4002f,0xa80000ff,0x2a005fff,0xfffb4fff,0xff500003,0xfc80009f,
    0xff3001ff,0x4000005f,0x0007fff8,0x7ffc4000,0x1000004f,0x0009ffff,
    0x03fff300,0xf73fffb8,0x3ff607ff,0x7ff4006f,0xf700003f,0x7d4009ff,
    0x3fffb4ff,0xfff30000,0xffd8000b,0x3ffa000f,0x22000005,0x00007fff,
    0x3fffa200,0x8800000f,0x000ffffe,0x0fffa800,0xb9fffdc0,0xff103fff,
    0x3ee007ff,0x200006ff,0x2003fffe,0xffb4fffa,0xf100003f,0xf8000fff,
    0x7dc007ff,0x000001ff,0x000ffff1,0x7ffec000,0xb000002f,0x0005ffff,
    0x01ffee00,0x7dcfffee,0x3fee03ff,0x7fcc01ff,0x700002ff,0x4001ffff,
    0xffb4fffa,0x3e00003f,0x90004fff,0x8800dfff,0x0001ffff,0x07fff880,
    0xfea80000,0x00004fff,0x4ffffea8,0x3f200000,0xfffb806f,0x807fff73,
    0x101ffffd,0xe809ffff,0x7ffe401b,0x7fd4003f,0x03fffb4f,0x3ffee000,
    0x7fe4004f,0xfc8003ff,0x93001fff,0x7fff8803,0x775c0000,0x6ffffffe,
    0xeeeb8000,0x06ffffff,0x7fec0000,0x3fffb805,0x8807fff7,0x440efffe,
    0xe805fffe,0xdcccdfff,0x906fffff,0xfb999999,0x3fff69ff,0x4ccccccd,
    0x7ffff400,0x9951ccdf,0x0dfffffb,0x7fffe400,0xd75311bd,0xff8803ff,
    0x6400007f,0xffffffff,0xff900004,0x09ffffff,0xffd00000,0x7fff7009,
    0x200fffee,0x6c6fffe8,0xfd005fff,0xffffffff,0xf101dfff,0xffffffff,
    0x3fff69ff,0x7fffffff,0x7fffcc00,0xff73ffff,0x03ffffff,0xffffb800,
    0xffffffff,0x7fc401ff,0x6400007f,0x1effffff,0x3ff20000,0x001effff,
    0x70000000,0x3fee7fff,0xfff3003f,0x3bffee7f,0xffffd000,0x7fffffff,
    0x7ffffc40,0xb4ffffff,0xffffffff,0x91000fff,0x27ffffff,0x4ffffffb,
    0x3fea0000,0xffffffff,0xee8802df,0x5c00005e,0x002bceff,0xceffb800,
    0x0000002b,0x7ffdc000,0x007fff73,0xfd12ffcc,0xdb98001d,0x0acdfffe,
    0x77777440,0x93eeeeee,0xdddddddd,0x44000ddd,0xd52eecba,0x0001579d,
    0x3f72a200,0x0000bcde,0x00000000,0x00000000,0x40000000,0xff73fffb,
    0x85a8007f,0x000001d8,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x9fffdc00,0x0003fffb,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xb9fffdc0,
    0x00003fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfb9fffdc,0x000003ff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0xdd52eeea,
    0x0000005d,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00555400,0x0de5cc00,
    0x76c00000,0x2e20003e,0x01e5401c,0x55e5cc00,0x00000000,0xcccb8000,
    0x2e600003,0x5100bdee,0x03971000,0x00003ca8,0x00000153,0x000fff98,
    0x7ffffe40,0x7c000004,0x3a0003ff,0xff502fff,0xfd5000df,0xbdffffff,
    0xcb880001,0x4deefffd,0x3fff6000,0xa80005ff,0x3fffffff,0x20017f44,
    0xf502fffe,0x44000dff,0x0002fffe,0x01bff200,0xfdfff900,0x000007ff,
    0x000bffe2,0x82ffffcc,0x000ffffd,0x3ffffff2,0x01ffffff,0xfffff900,
    0x00ffffff,0xfffffd10,0x20001bff,0xfffffffa,0xfffcbeff,0x3ffe6006,
    0xffffb05f,0x3ff20001,0x00000fff,0x0009ffd0,0xe8877fc4,0x3000007f,
    0x20003fff,0x904ffff8,0x1001ffff,0xfffffffd,0x7fffffff,0x7fff4c00,
    0xffffffff,0x7ff44007,0xefffd8cf,0xdffe8000,0xfffffc99,0x2000efff,
    0x904ffff8,0x0001ffff,0x0bfffffa,0x3fe20000,0x3e60001f,0x007fdc3f,
    0x7ffdc000,0x3ff20000,0x9ffd100f,0xfffff100,0xfd95159d,0x2007ffff,
    0xaceffffe,0x007dbaaa,0x70bfffa2,0x8001dfff,0xffd984f9,0x8000efff,
    0xd100fffc,0x6c0009ff,0x001fffff,0x65e65cc0,0x4c0007ff,0x07fe43ff,
    0x3b2e2000,0xefffffff,0x0544002c,0xfc800d40,0x7dc04fff,0x5c00ffff,
    0x0001ffff,0x80555540,0x8002aaa9,0x0de5cc00,0x002a2000,0xf300006a,
    0x2000bfff,0xffffffea,0x80005fff,0xfff51fff,0x7fe44000,0xffffffff,
    0x00006fff,0xfff88000,0xfff9004f,0xfffe807f,0x00000002,0x00000000,
    0x00000000,0x03ed9800,0xfffff900,0x7fffffff,0xfffb8000,0x0002ffff,
    0xfffffff5,0xffffffff,0x0000000d,0x00bfff90,0x207fffd8,0x000ffff8,
    0x00000000,0x00000000,0x00000000,0x7ff44000,0xffffffff,0x0004ffff,
    0x1fffffdc,0xffff9800,0xdfffbcef,0x2206fecc,0x10000999,0x7fcc1333,
    0x7cc002ff,0xff103fff,0x000005ff,0x02af2e60,0x65cc0000,0x000000ab,
    0x00157973,0x22000000,0x1cefffff,0xffffffb1,0xaa880007,0xfd10000a,
    0xfff85dff,0x3fea0182,0xffd0006f,0x3fffe45f,0x6fffe800,0x01bfffa0,
    0xffea8000,0x0defffff,0x7ff54000,0x0defffff,0x7ff54000,0x0defffff,
    0x20000000,0xf04ffffc,0x1fffffff,0x26662000,0xfb800099,0x7fcc0fff,
    0x7fd4001f,0xffd0006f,0x27fff45f,0x7fffc800,0x3bffff20,0x7e400000,
    0xffffffff,0x90001fff,0xffffffff,0x0003ffff,0x3ffffff2,0x01ffffff,
    0x03775c00,0x04ffff88,0xfff9fff3,0x3f20009f,0x8005ffff,0xfa84fffd,
    0x7d4000ff,0xfd0006ff,0x3ffe25ff,0xff30001f,0x7ff401ff,0x80002fff,
    0xffffffe8,0xffffffff,0x3ffa2003,0xffffffff,0x2003ffff,0xffffffe8,
    0xffffffff,0x3ff20003,0xbfffb007,0xfeb7fe40,0xf8000fff,0x007fffff,
    0xb82ffff8,0xfa8007ff,0xfd0006ff,0x3ffea5ff,0xff10000f,0x3fa203ff,
    0x01dfffff,0xfffff100,0xfd73139d,0x1007ffff,0x39dfffff,0xffffd731,
    0xfff1007f,0x73139dff,0x07fffffd,0x03fff200,0x05ffff30,0xffaa7ff4,
    0x7cc003ff,0x02ffffff,0x42ffffc0,0xa8006ffc,0xd0006fff,0x3fea5fff,
    0x7fc0007f,0xfff982ff,0x4fffffff,0xffffc800,0x7fffdc04,0x7ffe400f,
    0x7ffdc04f,0x7fe400ff,0x7fdc04ff,0xc8000fff,0x7ec00fff,0x3fe207ff,
    0x17fffa1f,0xfffff900,0xfd800bff,0x7fec0fff,0xfffa8005,0xfffd0006,
    0x01fffee5,0x87ffff00,0xeadffff8,0x01efffff,0x09ffff10,0x0ffffee0,
    0x04ffff88,0x07ffff70,0x027fffc4,0x03ffffb8,0x00fffd80,0x7027fff4,
    0xfffb8fff,0x7fffc007,0x4007fffb,0x20dffffb,0xa8004ffe,0xd0006fff,
    0x3fee5fff,0x7f40006f,0x7ffec4ff,0x7ffffdc5,0xfffd804f,0x7ffe4005,
    0x17fff607,0x0ffff900,0x002fffec,0x001ffff2,0x8803fff6,0x3601ffff,
    0x7ffd45ff,0xfff3001f,0x00bfffeb,0xffffff88,0x0007fff3,0x000dfff5,
    0x7e4bfffa,0x740006ff,0x3fe24fff,0xffd880ff,0x3e605fff,0x4c002fff,
    0xf982ffff,0x4c002fff,0xf982ffff,0x4c002fff,0x4402ffff,0x1ffffecb,
    0x03fffea0,0x2617ffc4,0x9001ffff,0x3ff67fff,0x7fd4004f,0xfffeffff,
    0xfffa8002,0xfffd0006,0x01bfff25,0x47fffd00,0x5404fffa,0xb05fffff,
    0x2000ffff,0xfd86fffe,0xfd0007ff,0xfffb0dff,0x3ffa000f,0xfff9106f,
    0x403fffff,0x2a07fffb,0x7fc40fff,0xfff002ff,0x1fffea1f,0x3fffee00,
    0x002fffff,0x006fffa8,0x2e5fffd0,0x40007fff,0x3f22ffff,0xfe8803ff,
    0xffe82fff,0xff90004f,0x9fffd0ff,0x3fff2000,0x04fffe87,0x0ffff900,
    0xfffffff1,0x7dc03fff,0x3ff207ff,0x07ffff06,0x44dfff30,0x8002ffff,
    0xffffffd8,0x2a002dff,0xd0006fff,0x3fea5fff,0x3e20007f,0x3fee1fff,
    0xffd1005f,0xffff88ff,0xfff30001,0x7fffc41f,0xfff30001,0x7fffc41f,
    0xfff30001,0xffffd81f,0x00aaaace,0xf81bfff2,0xffff03ff,0x7fff9007,
    0x004fffd8,0x3ffff660,0x801effff,0x0006fffa,0x3e65fffd,0x10000fff,
    0x7cc1ffff,0xf1000fff,0x7fd43fff,0xf10000ff,0x7fd43fff,0xf10000ff,
    0x7fd43fff,0xf10000ff,0x7fd43fff,0xf90004ff,0x3fe60dff,0x7fffd01f,
    0x83ffff00,0x0007fffb,0xfffffe88,0x2a00dfff,0xd0006fff,0x3fe25fff,
    0xf50001ff,0xfff88fff,0x3ff6004f,0x1fffee3f,0x3ffff000,0x003fffdc,
    0xb87fffe0,0x40007fff,0x3f61ffff,0x320006ff,0xff906fff,0x1ffffc0d,
    0x21bffe60,0x001ffff8,0xfffffe80,0x2a06ffff,0xd0006fff,0x7ffc5fff,
    0xffb0004f,0xffff70df,0x3ffee009,0x01fffee4,0x45ffff00,0x0007fffb,
    0xf717fffc,0xf8000fff,0x3ffa2fff,0x3ee0003f,0x9ffd07ff,0x01ffffc0,
    0x7413fff2,0x80004fff,0xffc9bfff,0xff505fff,0x3fa000df,0x3fff62ff,
    0xfff88007,0xffffd03f,0xfffb801b,0x01bfff23,0x47fffd00,0x0006fffc,
    0xf91ffff4,0xe8000dff,0x3ffe3fff,0x3ea0002f,0x7fc40fff,0xffff102f,
    0x1ffff805,0x00ffff70,0x4c5fff00,0xa82ffffe,0xd0006fff,0x7fd45fff,
    0x7dc001ff,0x3fa207ff,0x3a02ffff,0x3ff22fff,0x7f40006f,0x3fff24ff,
    0x7ff40006,0x1bfff24f,0x9fffd000,0x00ffffe2,0x1ffffa80,0xf303ffdc,
    0x7cc03fff,0x3fe607ff,0x260001ff,0x7fcc1fff,0xfffa84ff,0xfffd0006,
    0x05ffff85,0x13fffa20,0xfffffb10,0x6fffa81b,0x0037ffdc,0xb8ffffa0,
    0x40006fff,0x3ee3fffe,0x740006ff,0x3ffe3fff,0x3e60005f,0x7fec2fff,
    0x1fffea05,0x809fff90,0x0004fffe,0x3203ffea,0xffa86fff,0xffd0006f,
    0xffffc85f,0xfffe8805,0xfff7000f,0x3fee7fff,0x7ffd42ff,0x7ffc0007,
    0x1fffea3f,0x7ffff000,0x003fffd4,0xd8ffffe0,0x40007fff,0x7fc3ffff,
    0x3fff602f,0x17fffc06,0x01ffff20,0x707ffb80,0xff50ffff,0x3fa000df,
    0x7ffc42ff,0xfd100cff,0x98009fff,0xfffffffe,0xffa84fff,0x3e20007f,
    0x3fea2fff,0x3e20007f,0x3fea2fff,0x3e20007f,0x3fea2fff,0x360004ff,
    0x3fea6fff,0xffff100f,0x3fffcc07,0x0ffffcc0,0x06ffc800,0xf50bfff9,
    0x3a000dff,0xff982fff,0xcaceffff,0x04fffffe,0x3fffea00,0xf303ffff,
    0x20001fff,0x261ffff8,0x0000ffff,0x4c3ffff1,0x0000ffff,0xe83ffff1,
    0x0003ffff,0x321ffff7,0x3fee06ff,0x3ff200ff,0xffff005f,0x3ff60009,
    0x07fffd05,0x000dfff5,0x5407fffe,0xffffffff,0x04ffffff,0xffff9000,
    0x7ffc40bf,0xff50001f,0xffff88ff,0xfff50001,0x1ffff88f,0xffff5000,
    0x9fffff30,0xfff88001,0x207fff5f,0x403fffe8,0x9002ffff,0x2000dfff,
    0xffd84ffe,0xfff981ff,0xffff0007,0x7fffd401,0xffffffff,0x74c00003,
    0x3e03ffff,0xb0004fff,0xfff0dfff,0x3f60009f,0xffff86ff,0xfffb0004,
    0x3fffea0d,0x8009adff,0xffcffffc,0xfffe881f,0x7fffcc07,0xcccccccd,
    0x1ffffdcc,0x7c09bea8,0xffd513ff,0x3fe20bff,0x7c4000ff,0xfb5007ff,
    0x15bfffff,0x3a200000,0x3f607fff,0xf88007ff,0xffd84fff,0xff88007f,
    0xfffd84ff,0xfff88007,0x3ffea04f,0x4fffffff,0x3ffffe20,0xffd887ff,
    0x7fe403ff,0xffffffff,0xffffffff,0xffffa84f,0xfefffeef,0x06ffffff,
    0x000ffffc,0x001bffea,0x005fffd1,0x3fe60000,0xfff501ff,0xffa8003f,
    0xfffa80ff,0x7fd4001f,0xfffa80ff,0x7fd4001f,0x7ec400ff,0x4fffffff,
    0x7ffffdc0,0xffeb9aef,0xff806fff,0xffffffff,0xffffffff,0xfffa86ff,
    0xffffffff,0x0dffffff,0x027fff40,0x013fffa0,0x017ffee0,0xfff80000,
    0x3fffa01f,0x3ffa2005,0x3fffa03f,0x3ffa2005,0x3fffa03f,0x3ffa2005,
    0x3f26003f,0x804fffff,0xfffffffb,0x4fffffff,0xfffff980,0xffffffff,
    0xffffffff,0x7ffffd41,0xffffffff,0xf9001dff,0x2a001fff,0x8001ffff,
    0x001ffff9,0xfff98000,0x7fffdc07,0xfffe8805,0x7fffdc07,0xfffe8805,
    0x7fffdc07,0xfffe8805,0x32aa0007,0xff5003ec,0xffffffff,0x3f2005ff,
    0x99999dff,0x99999999,0x9884ffff,0xffffedcb,0x4000abde,0x01effff8,
    0x027fffd4,0x5ffff880,0x20000d40,0x4405fffe,0x204fffff,0x03ffffd8,
    0x27ffffc4,0x7ffffb10,0xfffff880,0x3fff6204,0x0000003f,0x3fffff60,
    0x000cdfff,0x000ffffe,0x0037ffec,0x0000dff9,0x33ffffee,0xffdba99a,
    0x20000fff,0x9aeffffb,0x6c6fea98,0xeb9809bd,0xa802ffff,0xbdffffff,
    0xfffffeba,0xffff5006,0xfd757bff,0x200dffff,0xdffffffa,0xffffebab,
    0x0000006f,0x2afffe20,0xf30000aa,0x20001fff,0x001ffffa,0x0000bffd,
    0x7fffffec,0xffffffff,0xfe80001f,0xffffffff,0x3ffa3fff,0xffffffff,
    0x2002ffff,0xfffffff9,0x4fffffff,0x7fffcc00,0xffffffff,0x7cc004ff,
    0xffffffff,0x204fffff,0xfffffffc,0x04ffffff,0x003ffea0,0x2fffe400,
    0xffff1000,0x0fffe007,0xfff70000,0xffffffff,0x2000019f,0xffffffe8,
    0x3a3fffff,0xffffffff,0x002fffff,0xfffffe88,0x02ffffff,0xffffd100,
    0x5fffffff,0x3ffa2000,0xffffffff,0x7ffe402f,0xffffffff,0x3f2004ff,
    0x3a00005f,0x40003fff,0x8806fffd,0x00002fff,0xffffec88,0x0002deff,
    0xfffff500,0xfd819fff,0xffffffff,0x20000bef,0xffffecb8,0x40000cdf,
    0xffffecb8,0x40000cdf,0xffffecb8,0xfc800cdf,0xffffffff,0x2004ffff,
    0x00003fff,0x001ffff3,0x1ffffa80,0x00fffcc0,0x54c40000,0x40000001,
    0x009acba9,0x3332ea62,0x0000009a,0x00001531,0x000a9880,0x054c4000,
    0x7fffe400,0xffffffff,0xfff3004f,0x3f200003,0x880006ff,0x4c03ffff,
    0x00000ccc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x33310000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x80000000,0x02ccccc9,0x39999950,
    0x5c000000,0x00003ccc,0x99999300,0x75100005,0x00015599,0x017bb600,
    0xeecba988,0x05eeeeee,0x2a00e5c4,0x5c00003c,0x20003ccc,0x01ccccca,
    0xf9800000,0x4003ffff,0x00fffffb,0xffd80000,0x00005fff,0x7ffffcc0,
    0x3f6e0003,0xffffffff,0x500001be,0xd5009fff,0xffffffff,0x80dfffff,
    0xf502fffe,0x20000dff,0x05fffffd,0x3fffee00,0x0000000f,0x07bfffe6,
    0x7fff4c00,0x1000000f,0xfffffffd,0x3000001b,0x003dffff,0x3ffffa20,
    0xffffffff,0xfd00006f,0x7f4c01ff,0xffffffff,0x06ffffff,0x417fffe6,
    0x000ffffd,0x3ffffa20,0x0000dfff,0x01ffffd3,0xff300000,0x80001bff,
    0x00ffffd8,0x7ff44000,0xefffd8cf,0x3e600000,0x0000dfff,0xfffffff5,
    0xffffffff,0xff30000d,0x7ffdc0bf,0xceffffff,0x06fffdcc,0x413fffe2,
    0x000ffffc,0x19fffd10,0x001dfffb,0x3ffff620,0x22000000,0x0003ffff,
    0x077ffdc0,0xffe88000,0x77ffdc2f,0xff880000,0x320003ff,0xbdffffff,
    0xffdba999,0xffc80006,0xffff302f,0x89ffffff,0x6406fff9,0xfd100fff,
    0x3a20009f,0x7fdc2fff,0x2e0000ef,0x0000efff,0x03555500,0x2aa60000,
    0x5500001a,0x2aa60155,0xaa80002a,0x2a0001aa,0x004fffff,0x88000b71,
    0xff106fff,0xffffffff,0x6fff989f,0xa800a880,0x2aaa0001,0x5555300a,
    0xaaa98000,0x00000001,0x00000000,0x00000000,0x74000000,0x0002ffff,
    0xfffb8000,0xfffff903,0x89ffffff,0x0006fff9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfffb8000,0x0000001f,0x201fffd0,
    0xfffffffe,0x7cc4ffff,0x000006ff,0x00000000,0x20000000,0x00009998,
    0x00013331,0x00157973,0x00133310,0x00266620,0x02af2e60,0xbffff100,
    0x20000000,0x3e04fffa,0xffffffff,0x7fcc4fff,0x4cc4006f,0x80000999,
    0x99999999,0x99999999,0x09998809,0x13331000,0x006fffa8,0x005fffd0,
    0x3fffffaa,0x5000deff,0x2000dfff,0x5002fffe,0xfffffffd,0xff9001bd,
    0x000003ff,0x07fff600,0x7fffffcc,0x44ffffff,0x4006fff9,0x05fffffc,
    0x7fffc400,0xffffffff,0xa84fffff,0xd0006fff,0xffa85fff,0xffd0006f,
    0xfff9005f,0xffffffff,0xfff5003f,0x3ffa000d,0xfffc802f,0xffffffff,
    0x7fff401f,0x00000005,0x540dfff1,0xffffffff,0x7cc4ffff,0x7fc006ff,
    0x0007ffff,0x7fffffc4,0xffffffff,0xffa84fff,0xffd0006f,0x6fffa85f,
    0x5fffd000,0x7ffff440,0xffffffff,0x7fd403ff,0xffd0006f,0x7ff4405f,
    0xffffffff,0x3e03ffff,0x00002fff,0x5fff9000,0x7ffffc40,0x4fffffff,
    0x0037ffcc,0xfffffff3,0x7fc40005,0xffffffff,0x4fffffff,0x006fffa8,
    0xa85fffd0,0xd0006fff,0x3e205fff,0x89ceffff,0xfffffeb9,0x1bffea03,
    0x17fff400,0xefffff88,0xffeb989c,0xff883fff,0x000001ff,0x00ffff00,
    0xffffffff,0xf989ffff,0x3f2006ff,0x05ffffff,0x3fffe200,0xaaaaaaab,
    0xa81aaaaa,0xd0006fff,0xffa85fff,0xffd0006f,0x3fff205f,0x7ffdc04f,
    0xfff500ff,0x3ffa000d,0xffff902f,0xffffb809,0x7fffd40f,0x80000000,
    0xe803fffa,0xffffffff,0x7fcc4fff,0x3ffe006f,0x007fffbf,0x01fffe20,
    0x6fffa800,0x5fffd000,0x006fffa8,0x105fffd0,0x2009ffff,0x503ffffb,
    0x2000dfff,0xf882fffe,0xf7004fff,0xffb87fff,0x0000007f,0x001fffd0,
    0xfffffff7,0xf989ffff,0xff3006ff,0x0bfffebf,0x3fffc400,0xfff50000,
    0x3ffa000d,0x37ffd42f,0x2fffe800,0x005fffd8,0xa83fffe4,0xd0006fff,
    0xffb05fff,0xffc800bf,0x37ffe47f,0x4c000000,0x3a005fff,0xffffffff,
    0x7ffcc4ff,0x7fff9006,0x0013fff6,0x003fffc4,0x0dfff500,0x0bfffa00,
    0x000dfff5,0xf30bfffa,0x98005fff,0xfa82ffff,0xfd0006ff,0xfff985ff,
    0x7fcc002f,0x3fff62ff,0x80000005,0x2001fffd,0xfffffff8,0x7fcc4fff,
    0xffff006f,0x01fffea1,0x03fffc40,0xdfff5000,0x3fffa000,0x037ffd42,
    0x42fffe80,0x0007fffd,0xf50dfffd,0x3a000dff,0x7fec2fff,0xffd0007f,
    0x37ffecdf,0x22000000,0xa8006fff,0xfffffffe,0x37ffcc4f,0x137ffcc0,
    0x0005ffff,0x000ffff1,0x037ffd40,0x42fffe80,0x0006fffa,0xfe85fffd,
    0xf90004ff,0xfff50fff,0x3ffa000d,0x27fff42f,0x7fffc800,0x001ffff2,
    0xfff70000,0x7fdc0007,0x4c4fffff,0xfc806fff,0x7ffec3ff,0xfff88004,
    0x3ea00007,0xfd0006ff,0xfffa85ff,0xfffd0006,0x0ffffc45,0xffff9800,
    0x037ffd40,0x22fffe80,0x001ffff8,0x21ffff30,0x000ffffb,0x3ffa0000,
    0x5c40000f,0x4c4ffffd,0xff806fff,0x7ffdc1ff,0xfff88007,0x3ea00007,
    0xfd0006ff,0xfffa85ff,0xfffd0006,0x07fffd45,0xffff8800,0x037ffd41,
    0x22fffe80,0x000ffffa,0x23ffff10,0x000ffffa,0xfff50000,0x33000009,
    0x6fff9833,0x437ffcc0,0x001ffff8,0x003fffc4,0x0dfff500,0x0bfffa00,
    0x000dfff5,0xfb8bfffa,0x7c0007ff,0x7fd41fff,0xffd0006f,0x3fffdc5f,
    0x3fffe000,0x05ffff31,0x3f600000,0x000000ff,0x037ffcc0,0x7413fff2,
    0x44004fff,0x00007fff,0x001bffea,0x2a17fff4,0xd0006fff,0x7fdc5fff,
    0x7fc0007f,0x7ffd42ff,0xfffd0006,0x03fffdc5,0x4bfffe00,0x005ffff8,
    0xfff98000,0x80000005,0x7c06fff9,0xff701fff,0xff8800ff,0xffffffff,
    0x07ffffff,0x000dfff5,0xf50bfffa,0x3a000dff,0x3ff22fff,0x7f40006f,
    0x7ffd43ff,0xfffd0006,0x037ffe45,0x8ffffa00,0x001ffffd,0x7ffe4000,
    0x80000002,0x2606fff9,0x3e607fff,0x22001fff,0xffffffff,0xffffffff,
    0x0dfff507,0x0bfffa00,0x000dfff5,0xfc8bfffa,0x740006ff,0x7fd44fff,
    0xffd0006f,0x37ffe45f,0x3fffa000,0x17fffea4,0xff880000,0x0000006f,
    0x40dfff30,0x7404fffc,0x22004fff,0xffffffff,0xffffffff,0x0dfff507,
    0x0bfffa00,0x000dfff5,0xfb8bfffa,0x740006ff,0x7fd43fff,0xffd0006f,
    0x37ffdc5f,0x3fffa000,0x0fffff43,0xffb80000,0x0000003f,0x40dfff30,
    0x6402ffff,0x22007fff,0xccccffff,0xcccccccc,0x0dfff504,0x0bfffa00,
    0x000dfff5,0xfa8bfffa,0x7c0007ff,0x7fd43fff,0xffd0006f,0x3fffd45f,
    0x3fffe000,0x7ffffdc3,0xfe800003,0x000000ff,0x0dfff300,0x201fffe6,
    0x001ffff9,0x000ffff1,0x037ffd40,0x42fffe80,0x0006fffa,0x7d45fffd,
    0x220007ff,0x7d42ffff,0xfd0006ff,0x7ffd45ff,0x3fe20007,0xfffe82ff,
    0xda800dff,0x13ffe606,0x98000000,0xff906fff,0x3ffe00bf,0xfff1004f,
    0x7d40000f,0xfd0006ff,0xfffa85ff,0xfffd0006,0x07fffcc5,0xffff8800,
    0x037ffd41,0x22fffe80,0x000ffff9,0x03ffff10,0xffffffd1,0xfd9959bf,
    0x7fec0dff,0x0000001f,0x41bffe60,0x9002ffff,0x2200dfff,0x00007fff,
    0x001bffea,0x2a17fff4,0xf0006fff,0x7fc43fff,0xf50001ff,0xfff50fff,
    0x3ffe000d,0x3fffe21f,0xfff50001,0x7fff440f,0xffffffff,0xf106ffff,
    0x00000dff,0x5fffa800,0xcdffff98,0xcccccccc,0x801ffffd,0x0007fff8,
    0x01bffea0,0x20ffffc0,0x0007fff9,0xff81ffff,0xfb0004ff,0xfff30dff,
    0x3ffe000f,0x27fffc0f,0x6fffd800,0x7fffdc40,0xffffffff,0xfff905ff,
    0x00000005,0xc84fffb8,0xffffffff,0xffffffff,0xf8804fff,0x200007ff,
    0x0007fff9,0xf881ffff,0x44000fff,0xffd87fff,0xff88007f,0xfff884ff,
    0x7fc4000f,0x7fffd87f,0xffff8800,0x3ff6a004,0xbeffffff,0x01fffe01,
    0x32000000,0xfff83fff,0xffffffff,0xffffffff,0xfff8806f,0x3e200007,
    0x44000fff,0xfff07fff,0xffa8003f,0xffffa86f,0x7ffd4001,0x3ffff00f,
    0x6fffa800,0x01ffffa8,0x07fffd40,0x5ffffc00,0xfff50019,0x00000009,
    0x985fffd0,0xffffffff,0xffffffff,0x401fffff,0x0007fff8,0x00ffffc0,
    0x41bffea0,0x4004fffe,0xfd04fffe,0x74400bff,0x3fa03fff,0x7f4004ff,
    0xfffd04ff,0x7ff4400b,0xff88003f,0xffe8006f,0x1800000f,0x3fffea00,
    0x4efffe40,0x99999999,0xffff9999,0x3fffc404,0x3ffa0000,0x7ff4004f,
    0xffff904f,0x3ffea001,0xffff701f,0xfffd100b,0xffffc80f,0xffff5000,
    0x3fffee03,0xfffe8805,0xfff50007,0xfff98009,0xf8800005,0x7ffcc01e,
    0x3ffff84f,0xdfffb000,0x07fff880,0x7ffe4000,0xfff5000f,0x3ffe203f,
    0x7fd401ef,0x3fe204ff,0x36204fff,0x4403ffff,0x401effff,0x204ffffa,
    0x04fffff8,0x0fffff62,0x0fffe400,0x07fff200,0x3ff60000,0xf9311bdf,
    0xff30dfff,0x2a0001ff,0x2201ffff,0x00007fff,0x0f7fffc4,0x13fffea0,
    0x9fffff70,0xffb75335,0xfa801fff,0xabdfffff,0x6fffffeb,0xfffff700,
    0xfb753359,0xa801ffff,0xbdffffff,0xfffffeba,0x3ffa0006,0x7ffc4007,
    0xfa800006,0xffffffff,0x82ffffff,0x0005fffc,0x80ffffe2,0xcccffff8,
    0xcccccccc,0x3fee02cc,0xa99acfff,0x0fffffdb,0xfffffd80,0xffffffff,
    0xff3001ff,0xffffffff,0x8009ffff,0xfffffffd,0xffffffff,0xffff3001,
    0xffffffff,0xf80009ff,0x7dc004ff,0x000003ff,0xffffffd3,0x03dfffff,
    0x000ffffa,0x40dfffb0,0xfffffff8,0xffffffff,0x7fec04ff,0xffffffff,
    0x001fffff,0x3fffffee,0x0cffffff,0x7fff4400,0xffffffff,0xfff70002,
    0xffffffff,0xe880019f,0xffffffff,0x40002fff,0x4002fff9,0x0000fffe,
    0x7fff5400,0x203fffff,0x000ffff9,0x0ffffd40,0xffffff88,0xffffffff,
    0xfb804fff,0xffffffff,0x8000cfff,0xfffffec8,0x20002def,0xffffecb8,
    0x40000cdf,0xfffffec8,0x20002def,0xffffecb8,0x00000cdf,0x09998000,
    0x4c000000,0xc8009aca,0x80006fff,0x103ffff8,0xffffffff,0xffffffff,
    0x3b22009f,0xdeffffff,0x26200002,0x2000001a,0x00000a98,0x000d4c40,
    0x01531000,0x00000000,0x00000000,0x00000000,0x00000000,0x06a62000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xccca8000,0x000001cc,0x66664c00,
    0x9700002c,0x40000799,0x65401cb8,0x00bddb03,0xccca8000,0x000001cc,
    0x666664c0,0x01cb8802,0x26001e54,0x100bdeeb,0x99700005,0xfb800079,
    0x0000ffff,0xfff30000,0x200007ff,0x05fffffd,0x5fffd000,0x21bffea0,
    0x0002fffc,0x7fffdc00,0x0000000f,0x07fffff3,0x40bfffa0,0x5006fffa,
    0x7fffffff,0x0002fe88,0x17fffff6,0xfffd3000,0x0000001f,0x1effff98,
    0xffe88000,0x00dfffff,0x3fffe600,0x1ffffb05,0x005fff98,0xffe98000,
    0x000000ff,0x0f7fffcc,0x5ffff980,0x01ffffb0,0xffffffa8,0xffcbefff,
    0xfe88006f,0x0dffffff,0x3ff62000,0x000000ff,0x1bffff30,0xffd10000,
    0xdfffb19f,0x3fe20001,0xfff904ff,0x1fffb01f,0xb1000000,0x0001ffff,
    0x3fffe600,0x3fe2000d,0xfff904ff,0xdffe801f,0xfffffc99,0x4000efff,
    0xd8cfffe8,0x0000efff,0x0077ffdc,0x3fe20000,0x100003ff,0xfb85fffd,
    0x90000eff,0x3a201fff,0xfff504ff,0x40000009,0x000efffb,0x7fffc400,
    0xfff90003,0x13ffa201,0x36613e60,0x00efffff,0x17fff440,0x003bffee,
    0x03555300,0xaaa80000,0x2a00001a,0x55300aaa,0x54400055,0x7401a800,
    0x00000fff,0x06aaa600,0x55550000,0x0a880003,0x02001a80,0x00379730,
    0x402aaaa0,0x0002aaa9,0x00000000,0x00000000,0x00000000,0x01fffdc0,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xff880000,0x0000006f,0x00000000,0x00000000,0x00000000,
    0x88000000,0x00099999,0x000cccc4,0x00999980,0x4ccccc40,0x99980000,
    0x99999999,0x00999999,0x0003fffb,0x99999980,0x99999999,0x26600999,
    0x99999999,0x09999999,0x33333310,0x33333333,0x33301333,0x98800133,
    0x26662019,0x99999999,0x00999999,0xfffffc80,0x7ffe4005,0x7d40004f,
    0x64003fff,0x005fffff,0x7ffffc40,0xffffffff,0xf304ffff,0x40000bff,
    0xfffffff8,0xffffffff,0xfff104ff,0xffffffff,0x09ffffff,0x3ffffffa,
    0xffffffff,0x7fc46fff,0x74005fff,0xffd00fff,0xffffffff,0xdfffffff,
    0xfffff000,0xff8800ff,0x20000fff,0x8006fffe,0x07ffffff,0x7fffc400,
    0xffffffff,0x204fffff,0x0000fffe,0xffffff10,0xffffffff,0x3e209fff,
    0xffffffff,0xffffffff,0xfffffd04,0xffffffff,0xf88dffff,0x000fffff,
    0x7403fffa,0xffffffff,0xffffffff,0x7fcc006f,0x002fffff,0x027fffdc,
    0x2ffffa80,0x7fffcc00,0x20002fff,0xfffffff8,0xffffffff,0x3fea04ff,
    0xf100003f,0xffffffff,0xffffffff,0x3fffe209,0xffffffff,0xd04fffff,
    0xffffffff,0xffffffff,0xffff88df,0x3fa004ff,0xfffd00ff,0xffffffff,
    0x0dffffff,0xfffffc80,0xfe8005ff,0xe8001fff,0xc8006fff,0x5fffffff,
    0x3ffe2000,0xaaaaaabf,0x01aaaaaa,0x0003fffc,0xabffff88,0xaaaaaaaa,
    0xff101aaa,0x555557ff,0x35555555,0x2aaaaaa0,0xaadfffea,0x7c42aaaa,
    0x00ffffff,0x201fffd0,0xeaaaaaaa,0xaaaadfff,0x7fc002aa,0x07fffbff,
    0x5ffffa80,0x7fffdc00,0xffff8001,0x0007fffb,0x001fffe2,0x17ffe400,
    0x7ffc4000,0x7c400007,0x000007ff,0x013fff20,0xffffff88,0xfffd004f,
    0xfff90001,0x3e600009,0x5ffff5ff,0xffffb000,0x7fffc003,0xfff98005,
    0x005ffff5,0x01fffe20,0x7ffc4000,0xff880006,0x4400007f,0x00007fff,
    0x13fff200,0xfefff880,0xfe800fff,0xfc8000ff,0x900004ff,0x3ff67fff,
    0xff98004f,0xff7006ff,0xf90001ff,0x3fff67ff,0xfff10004,0x6c00000f,
    0x40001fff,0x0007fff8,0x03fffc40,0xff900000,0x7fc4009f,0x03fffcef,
    0x000fffe8,0x004fffc8,0x21ffff00,0x0007fffa,0x805ffff9,0x004ffff8,
    0x2a1ffff0,0x10007fff,0x0000ffff,0x027ffd40,0x1fffe200,0xfff10000,
    0x4000000f,0x2004fffc,0xff9efff8,0xfffe807f,0xfffc8000,0xff980004,
    0x3fffe26f,0xfff88002,0x7ffe406f,0xff98000f,0x3fffe26f,0xfff88002,
    0x74000007,0x20000fff,0x0007fff8,0x03fffc40,0xff900000,0x7fc4009f,
    0x07fffd6f,0x000fffe8,0x004fffc8,0x43fffc80,0x0004fffd,0x207ffff7,
    0x003ffff8,0xd87fff90,0x88004fff,0x00007fff,0x01fffdc0,0x0ffff100,
    0xfff88000,0x20000007,0x2004fffc,0xff56fff8,0xfffe80df,0xfffc8000,
    0xfff80004,0x3fffdc1f,0xffffd000,0x01bfff20,0x41ffff80,0x8007fffb,
    0x0007fff8,0x37ffc400,0xffff1000,0xff880000,0x0000007f,0x8013fff2,
    0x3fe6fff8,0x3ffa02ff,0xffc8000f,0x7cc0004f,0xfff886ff,0xff50001f,
    0xfff887ff,0xff30002f,0xffff10df,0xfff88003,0xc8000007,0x10002fff,
    0x0000ffff,0x007fff88,0x3ff20000,0x3fe2004f,0x1bfff26f,0x000fffe8,
    0x004fffc8,0x827ffe40,0x0004fffe,0xd83ffffa,0x20005fff,0xfd04fffc,
    0xf88009ff,0x000007ff,0x005fff98,0x00ffff10,0x7fff8800,0x32000000,
    0x22004fff,0x3fe26fff,0xfffd01ff,0xfff90001,0xfff80009,0xffff701f,
    0x7ffcc000,0x3ffff33f,0x7fffc000,0x0ffff701,0xfffff880,0xffffffff,
    0xe8007fff,0x88000fff,0xffffffff,0xffffffff,0x3fffe207,0xffffffff,
    0x0007ffff,0x4009fff9,0x7e46fff8,0xfffd05ff,0xfff90001,0x7fcc0009,
    0x3ffe607f,0x3f60001f,0xfffd8fff,0x3fe60004,0x3ffe607f,0x3fe2001f,
    0xffffffff,0x07ffffff,0x04fffa80,0xfffff880,0xffffffff,0x3e207fff,
    0xffffffff,0x7fffffff,0x9fff9000,0x37ffc400,0x207fffe2,0x8000fffe,
    0x0004fffc,0xd013fff2,0x40009fff,0xffdffff8,0x320000ff,0x7f404fff,
    0x3e2004ff,0xffffffff,0x7fffffff,0x0ffff000,0xfffff100,0xffffffff,
    0x7c40ffff,0xffffffff,0x7fffffff,0x9fff9000,0x37ffc400,0x742fffec,
    0xc8000fff,0x20004fff,0x6402ffff,0x40007fff,0xfffffffc,0x7ffc0003,
    0x7ffe402f,0x3ffe2007,0xcccccccf,0x004ccccc,0x005fff70,0xccffff88,
    0xcccccccc,0x3fe204cc,0xccccccff,0x04cccccc,0x09fff900,0x437ffc40,
    0x740ffff9,0xc8000fff,0x30004fff,0xf300ffff,0x40003fff,0x6ffffff8,
    0x7ffcc000,0xffff9807,0xffff1001,0x44000000,0x44006fff,0x00007fff,
    0x003fffc4,0xfff90000,0x7ffc4009,0x89fffb06,0x8000fffe,0x0004fffc,
    0x200bfff9,0x0004ffff,0x17ffffdc,0x3fff2000,0x9ffff005,0x1fffe200,
    0xfb000000,0x7c4003ff,0x400007ff,0x0007fff8,0x3fff2000,0x3ffe2004,
    0x1ffff306,0x0007fff4,0x0027ffe4,0x002ffff8,0x000dfff9,0x00dfffd0,
    0x05ffff00,0x01bfff20,0x003fffc4,0x3fe60000,0x3fe2005f,0x4400007f,
    0x00007fff,0x13fff200,0x06fff880,0xfe93fffa,0xfc8000ff,0xf98004ff,
    0xccccdfff,0xffdccccc,0x640001ff,0x40004fff,0xccdffff9,0xdccccccc,
    0x8801ffff,0x00007fff,0x0fffe800,0x0ffff100,0xfff88000,0x20000007,
    0x2004fffc,0x2a06fff8,0x3ffa7fff,0xffc8000f,0xffc8004f,0xffffffff,
    0xffffffff,0x7e40004f,0x640004ff,0xffffffff,0xffffffff,0xf8804fff,
    0x000007ff,0x03fffb80,0x00ffff10,0x7fff8800,0x32000000,0x22004fff,
    0x7f406fff,0x1fffd3ff,0x9fff9000,0xfffff000,0xffffffff,0xdfffffff,
    0xfffc8000,0x7ffc0004,0xffffffff,0xffffffff,0xfff8806f,0x00000007,
    0x2200dfff,0x00007fff,0x003fffc4,0xfff90000,0x7ffc4009,0xb7ffdc06,
    0x8000fffe,0x4004fffc,0xfffffff9,0xffffffff,0x01ffffff,0x13fff200,
    0xffff9800,0xffffffff,0xffffffff,0x7ffc401f,0x00000007,0x1005fff9,
    0x0000ffff,0x007fff88,0x3ff20000,0x3fe2004f,0xffff806f,0x000fffea,
    0x004fffc8,0x4cefffe4,0x99999999,0x4ffff999,0x3fff2000,0x3ff20004,
    0x999999df,0xf9999999,0x7c404fff,0x000007ff,0x0bfff100,0x00ffff10,
    0x7fff8800,0x32000000,0x22004fff,0xfb806fff,0x0fffedff,0x4fffc800,
    0x1ffffc00,0x6fffd800,0x3fff2000,0x3ffe0004,0xffb0003f,0xfff880df,
    0x00000007,0x1007fff6,0x0000ffff,0x007fff88,0x3ff20000,0x3fe2004f,
    0xfff8806f,0x000fffff,0x004fffc8,0x003fffe6,0x0ffffd40,0x4fffc800,
    0xffff3000,0x3fea0001,0x3fe201ff,0x0000007f,0x013ffea0,0x000ffff1,
    0x07fff880,0x3f200000,0x3e2004ff,0xff9006ff,0x001fffff,0x009fff90,
    0x002fffe4,0x07ffff10,0x13fff200,0x2fffe400,0xffff1000,0x7fffc407,
    0xcccccccc,0x002ccccc,0x01fffd00,0x667fffc4,0xcccccccc,0xff102ccc,
    0x999999ff,0x59999999,0x333332e0,0xccefffec,0x7c43cccc,0xff1006ff,
    0x201fffff,0xeccccccb,0xccccefff,0x7fff43cc,0x7fec0003,0xff90006f,
    0x3fa0009f,0x6c0003ff,0x3e206fff,0xffffffff,0xffffffff,0xff700004,
    0x7ffc407f,0xffffffff,0x04ffffff,0xfffffff1,0xffffffff,0x3ffa09ff,
    0xffffffff,0x6fffffff,0x0037ffc4,0x1ffffff9,0x3fffffa0,0xffffffff,
    0x3e66ffff,0x40000fff,0x001ffffa,0x004fffc8,0x00ffff98,0x7fffd400,
    0xfffff101,0xffffffff,0x0009ffff,0x81bffe20,0xfffffff8,0xffffffff,
    0xfff104ff,0xffffffff,0x09ffffff,0x3ffffffa,0xffffffff,0x7fc46fff,
    0x3fe6006f,0xfd00ffff,0xffffffff,0xffffffff,0x037ffe4d,0x7fffc400,
    0xfffc8003,0xfffc8004,0xff880006,0xfff103ff,0xffffffff,0x09ffffff,
    0x0ccc4000,0xffffff10,0xffffffff,0x3e209fff,0xffffffff,0xffffffff,
    0xfffffd04,0xffffffff,0xf88dffff,0x7ec006ff,0xfd00ffff,0xffffffff,
    0xffffffff,0x0000000d,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xcc980000,0x54002ccc,0x001ccccc,
    0x6f75cc00,0x0005100b,0x66664c00,0xdb70002c,0x2600007b,0x00000aaa,
    0x00000001,0x00199880,0x00000000,0x1deeeeb8,0x3fe60000,0x70003fff,
    0x001fffff,0x3fffea00,0x7f443fff,0xf9800002,0x8003ffff,0xefffffe8,
    0xffea8000,0xffffffff,0xb507ffff,0x8005bfff,0x0000eeec,0x4005ffd8,
    0xdefffeca,0x2000000b,0x01effffb,0x3ffe6000,0x4c0001ef,0x000ffffe,
    0x7ffffd40,0xfcbeffff,0x400006ff,0x01effff9,0xd9dffd00,0x74c00bff,
    0xffffffff,0xffffffff,0x7fffec47,0xf5005fff,0x100009ff,0x26005fff,
    0xfffffffe,0x00003fff,0x05ffffb8,0x7ffcc000,0x100000df,0x001ffffb,
    0x4cefff40,0xfffffffc,0x200000ef,0x00dffff9,0xd8bff500,0xff8801ff,
    0xffdeffff,0xffffffff,0x7ffffec7,0x4403ffff,0x00006fff,0x9001fff5,
    0xffffffff,0x009fffff,0x7fffdc00,0x7c400003,0x00003fff,0x01dfff70,
    0x2613e600,0x0efffffd,0x3fe20000,0x640003ff,0x1ffcc0ff,0x17ffff40,
    0x67ffff4c,0x3ffe62aa,0x1ffff70d,0x00fffe40,0x05ffd800,0xceffffa8,
    0xffffcaaa,0xfb80002f,0x00001eff,0x001aaaa8,0x5554c000,0x30020001,
    0x00003797,0x00355550,0x983ff900,0x7fdc03ff,0x7ff400ff,0x0fffb05f,
    0x2605fff5,0x20004fff,0x2fffaaa9,0x27fffc40,0x0bfffd10,0xdfffb800,
    0x00000000,0x00000000,0x00000000,0x20000000,0x7fec5ffa,0x1fffec02,
    0x07fffcc0,0x7c427ff4,0xfffd03ff,0x7f6d4001,0x0fffffff,0x037ffe40,
    0x003fffcc,0x00000000,0x00000000,0x00000000,0x00000000,0x767fff40,
    0xfff806ff,0xfffd000f,0x207fff05,0xffc84fff,0x3ff2002f,0xffffffff,
    0x3ffa01ef,0xffff001f,0x00000001,0x33331000,0x98800013,0x99999999,
    0x99999999,0x4ccc4000,0x44000099,0x99999999,0x99999999,0x3fa60009,
    0x400effff,0x2007fff8,0xff83fffd,0x89ffd03f,0x3005fff9,0xfffffffd,
    0x7fffffff,0x00ffff10,0x003fffe2,0x00000000,0x17fffff2,0xffffd000,
    0xffffffff,0x00dfffff,0x5fffffc8,0x7fff4000,0xffffffff,0x06ffffff,
    0x03dfdb80,0x00ffff30,0x7417ffec,0x7fff05ff,0x800fffe8,0xbcfffff8,
    0xffffff71,0x6fff983f,0x0dfff700,0x55554c00,0xf8000009,0x007fffff,
    0x7fffff40,0xffffffff,0x4006ffff,0x07ffffff,0x7ffff400,0xffffffff,
    0x006fffff,0x3fe20000,0xfff001ff,0x0fffb01f,0x7dc3fff5,0xff9002ff,
    0xdffb05ff,0x541fffff,0xf9805fff,0x2a003fff,0xffffffec,0x00003fff,
    0xfffffff3,0x7ff40005,0xffffffff,0x6fffffff,0x3fffe600,0x20002fff,
    0xfffffffe,0xffffffff,0x54c006ff,0xd0009aaa,0xf700bfff,0x3fee0fff,
    0xdfff31df,0x802fffcc,0x881ffff9,0xfffbafff,0x17ffee3f,0x0dffff50,
    0x7fffff40,0xffffffff,0x7e40002f,0x05ffffff,0x2aaaaa00,0xadfffeaa,
    0x002aaaaa,0x3ffffff2,0x2aa0005f,0xffeaaaaa,0xaaaaaadf,0x7ff65402,
    0x3fffffff,0x1ffffd40,0x09ffff30,0x7ffffff4,0x3ffa1fff,0xfffb000f,
    0x43ffea09,0x3ee6fffd,0x3ff205ff,0x3a000eff,0xffffffff,0x1fffffff,
    0x3fffe000,0x0007fffb,0x09fff900,0x3fffe000,0x0007fffb,0x09fff900,
    0x3ffffa00,0xffffffff,0x3ff602ff,0xc988adff,0x4c06ffff,0xfffffffe,
    0x00fffee2,0x80ffffc4,0x3fe65ffd,0xbfff71ff,0x17ffff60,0x2f7ffa00,
    0xfea9899a,0x8000efff,0xfff5fff9,0x9000005f,0x00009fff,0x3febfff3,
    0x800002ff,0x0004fffc,0xfffffffd,0xffffffff,0x3ffff203,0xffffffff,
    0xec8800ff,0x3e20deff,0x3e6006ff,0xfff106ff,0x72ffff85,0xff50bfff,
    0x320007ff,0xfff7000a,0xff90007f,0x13fff67f,0x3ff20000,0xfc80004f,
    0x9fffb3ff,0xff900000,0x3fa0009f,0x9899abdf,0x0effffea,0x7fffffd4,
    0xcfffffff,0x36010000,0x2a000fff,0xff504fff,0x3fffe81f,0xfd0bfff7,
    0x000007ff,0x04fffd80,0x50ffff80,0x0000ffff,0x009fff90,0x21ffff00,
    0x0007fffa,0x04fffc80,0x20015900,0x223ffffb,0xfdb8efff,0x001cdeff,
    0x3fffb800,0x1fffdc00,0xfc85ffd8,0xbfff74ff,0x00ffff88,0x7d400000,
    0x7cc006ff,0x3ffe26ff,0x6400002f,0x40004fff,0x3e26fff9,0x00002fff,
    0x0027ffe4,0xfffb0000,0x017ffd49,0xf8800000,0xfd8006ff,0xfff882ff,
    0x75fffb82,0xff88bfff,0x000000ff,0x03fffcc0,0xb0ffff20,0x00009fff,
    0x004fffc8,0x21fffe40,0x0004fffd,0x027ffe40,0xff500000,0x0fffe4df,
    0xd8000000,0xd8001fff,0xffa83fff,0x4fffb80f,0xff0bfff7,0x000007ff,
    0x07fff880,0x20ffffc0,0x0007fffb,0x027ffe40,0x07fffe00,0x000ffff7,
    0x04fffc80,0x3e600000,0x3fff67ff,0x80000004,0x0004fffa,0xfb09fff9,
    0x3fff20bf,0xb0bfff73,0x0005ffff,0x26666200,0x2007fffa,0xf886fff9,
    0x00001fff,0x0013fff2,0x886fff98,0x0001ffff,0x013fff20,0xff880000,
    0x3ffff27f,0x009999bd,0xfff88000,0x3ff20006,0x17ffc45f,0xf72fffd8,
    0xfff30bff,0x980007ff,0xfffffedc,0x007fffff,0x7413fff2,0x00004fff,
    0x0013fff2,0xd04fffc8,0x00009fff,0x0027ffe4,0x99998800,0x3e67fffa,
    0xffffffff,0x2ceeffff,0x3fff6000,0x33bf6e21,0x8dfff702,0xfd00fffa,
    0x3ffee3ff,0xfffff705,0xfea8001b,0xffffffff,0x007fffff,0x5c07fffe,
    0x00007fff,0x0013fff2,0x701ffff8,0x0000ffff,0x0027ffe4,0x7ff6e4c0,
    0xffffffff,0x7ffffdc7,0xffffffff,0x4002efff,0x3e64fffa,0x0dffffff,
    0xb07fffcc,0x3fe60bff,0x17ffee7f,0xefffffb8,0xffff9001,0xffffffff,
    0x200fffff,0x2607fff9,0x0001ffff,0x009fff90,0x81fffe60,0x001ffff9,
    0x09fff900,0x7fff5400,0xffffffff,0xffd87fff,0xffffffff,0x2fffffff,
    0x1dfff100,0x3fffffe6,0xffe85fff,0x05fff15f,0xfb97fff6,0x7fcc05ff,
    0x5401ffff,0x19bfffff,0x00ffff10,0xd013fff2,0x00009fff,0x0013fff2,
    0x2027ffe4,0x0004fffe,0x009fff90,0x3fffff20,0xffffffff,0x7fe47fff,
    0xcbaaaaef,0xffffffdc,0xfffc801f,0x22bfff62,0x5c1ffffb,0xffaaffff,
    0xffff980f,0x017ffee0,0x3bffffa2,0xbffff100,0xffff1001,0x0bfffe00,
    0x00ffff90,0x13fff200,0x17fffc00,0x01ffff20,0x27ffe400,0x7fffd400,
    0xff1019bf,0x77ffe4ff,0xfff93000,0xfff9807f,0x10bffe64,0xff88bfff,
    0x85ffefff,0x5c4ffffa,0x36005fff,0xf505ffff,0x22001fff,0xf9807fff,
    0xff9807ff,0xc80001ff,0x98004fff,0xf9807fff,0x80001fff,0x4004fffc,
    0x00dffff8,0xf17fff88,0xd0003fff,0xfe80bfff,0x1ffee0ff,0x7cc37ff4,
    0x33ffffff,0x1fffffb7,0x005fffb8,0xc83fffec,0x22005fff,0xfc807fff,
    0xfff005ff,0xf900009f,0xf90009ff,0x3fe00bff,0xc80004ff,0x54004fff,
    0x1000ffff,0x3feaffff,0xff90006f,0x7ffe40bf,0xc837fe42,0xfff707ff,
    0xffffffff,0xf703dfff,0xf9800bff,0xffd81fff,0x3fee004f,0xffff807f,
    0xdfff9002,0xfff90000,0xffff0009,0x3fff2005,0xffc80006,0x7fe4004f,
    0x3fe2005f,0x0bfff97f,0x13fff600,0x6c2fffcc,0xfff706ff,0x7ffff4c0,
    0x4fffffff,0x017ffee0,0x20bfffa0,0x8805fffc,0x407ffffd,0xccdffff9,
    0xdccccccc,0x0001ffff,0x0027ffe4,0x337fffe6,0xcccccccc,0x001ffffd,
    0x027ffe40,0x013fff60,0xf97fffb8,0xf3000fff,0x3fa05fff,0xfffc80ff,
    0x406ffc80,0xfffffff8,0x7dc01cef,0xff8005ff,0xfffb81ff,0x3ffea01f,
    0x7e407fff,0xffffffff,0xffffffff,0x640004ff,0x64004fff,0xffffffff,
    0xffffffff,0x40004fff,0x4004fffc,0x8805fffc,0xf57ffffd,0x2001bfff,
    0x706ffffa,0x3ee05fff,0x4ffe81ff,0x557ffd40,0x7fdc001a,0x7fe4005f,
    0xffff307f,0xfd73137f,0x0fffffff,0xfffffff8,0xffffffff,0x006fffff,
    0x027ffe40,0x3fffffe0,0xffffffff,0x06ffffff,0x27ffe400,0x3fffee00,
    0x3fffea01,0xfffd17ff,0x53557bff,0xdfffff97,0x0bfff301,0x90efffcc,
    0xfd803fff,0x7dc0005f,0x4d5c45ff,0xffffeba9,0x3ffff203,0xffffffff,
    0x207ffe9e,0xfffffff9,0xffffffff,0x01ffffff,0x13fff200,0xfffff980,
    0xffffffff,0xffffffff,0x3ff20001,0x7fcc004f,0xb989bfff,0xfffffffe,
    0x3ffffa27,0xffffffff,0xd01effff,0xfc801fff,0xffffefff,0x17ffc405,
    0x3ffee000,0x7ffffcc5,0x406fffff,0xffffffd8,0x3f64ffff,0x3fff207f,
    0x9999999d,0xff999999,0x320004ff,0x32004fff,0x9999dfff,0x99999999,
    0x004ffff9,0x013fff20,0x3fffff20,0xefffffff,0x6447ffe9,0xffffffff,
    0x02efffff,0x200fffee,0xffffffe8,0x7fd400ef,0x7dc0000f,0x7ffcc5ff,
    0x0cffffff,0xffffd500,0xffd85bdf,0x0ffffe07,0x37ffec00,0x9fff9000,
    0x1ffffc00,0x6fffd800,0x3fff2000,0xffd88004,0xffffffff,0xa81fff64,
    0xdeffeedc,0x7fc402bc,0x7fe4006f,0xfb004fff,0xf70000bf,0xfff98bff,
    0x001defff,0x0002aa60,0x01ffff30,0x3fffea00,0xfff90001,0x3ffe6009,
    0xff50000f,0x320003ff,0x20004fff,0xefffffea,0x03ffec2d,0x00000000,
    0x30002620,0x00000133,0x00266620,0x40000000,0x0005fffc,0x80ffffe2,
    0xeccccccb,0xccccefff,0x3fff23cc,0x3fe20005,0x332e03ff,0xfffecccc,
    0x3cccccce,0x002aa600,0x00000000,0x00000000,0x00000000,0x00000000,
    0x003fffe8,0x037ffec0,0xfffffffd,0xffffffff,0x7fff4dff,0x7fec0003,
    0x3fffa06f,0xffffffff,0x06ffffff,0xb3000000,0x0007dddd,0x0b372a00,
    0x22000188,0x000000aa,0x32a00000,0x40164c01,0x000ffff9,0x0ffffd40,
    0xffffffe8,0xffffffff,0xfff36fff,0xfa80001f,0xffd01fff,0xffffffff,
    0xdfffffff,0x98039500,0xffd3002c,0x400007ff,0xeffffff9,0x3e21fd81,
    0x7f6544ff,0x0004efff,0xffecb880,0x400cdeef,0xf702fffd,0xffc80bff,
    0xf880006f,0xffd03fff,0xffffffff,0xdfffffff,0x001bfff2,0x0ffffe20,
    0x7ffffff4,0xffffffff,0x7ec06fff,0xfff702ff,0x3ff6200b,0x980003ff,
    0xffffffff,0x6ffeaadf,0x6c53ffe2,0xffffffff,0x2e00005f,0xffffffff,
    0x3e600fff,0xfff06fff,0x000001ff,0x00000000,0x00000000,0x80000000,
    0xf06ffff9,0x4001ffff,0x003ffffb,0x5e7fff40,0xfffffffe,0x3ffe21ff,
    0xffffffd5,0x01bfffff,0x7fff4400,0xffffffff,0x3ffe600f,0xfffff07f,
    0x072a0003,0x00005930,0x000fbbae,0xeeeb8000,0x76cc01de,0x00003eee,
    0x07ffff98,0x003fffff,0x03fffe98,0x2e1bea00,0x2fffffff,0x7eefffc4,
    0xeb99bfff,0x0003ffff,0x33fffff2,0x0fedcbab,0x81ffff40,0x0006fffc,
    0x2e05fffb,0x40005fff,0x03fffffb,0xffb80000,0xd3001eff,0x0007ffff,
    0x07fffd00,0x001bfff2,0x01fffec4,0x2e201500,0xf880bded,0x04ffffff,
    0x00dfffd1,0x37fffe60,0xdc880000,0x005edc03,0x37fffcc0,0x00fffff8,
    0xfffff700,0x000007ff,0x02ffffdc,0x7fffec40,0x64400003,0x05edc03d,
    0x00000000,0x3fe20000,0x4403ffff,0x8002ffff,0x0006fffd,0x00000000,
    0x20fffff3,0x001fffff,0xe9efffb8,0x00003fff,0x03ffffb8,0x7fffdc00,
    0x00000003,0x00000000,0xf8800000,0xb003ffff,0xd000bfff,0x00005fff,
    0x40000000,0xf903fffe,0xf9000dff,0x7ff44bff,0x2e00003f,0x0001efff,
    0x07fffd30,0x00000000,0x00000000,0xfff88000,0x3fee004f,0xfff8006f,
    0x0000000f,0x32200000,0x05edc03d,0x13fff200,0x001fffec,0x06fffdc0,
    0x3f620000,0x000003ff,0xa9800000,0x00009aaa,0x13555530,0x07fff880,
    0x03fffc40,0x01fffe60,0x00000000,0x00000000,0x00000000,0x00000000,
    0x55300000,0x20001355,0xfffffeca,0x4003ffff,0xfffffeca,0xf103ffff,
    0xf8800fff,0x2a000fff,0x80006fff,0x4007fff8,0x0000ffff,0x00000000,
    0x00000000,0x00000000,0x3fffb2a0,0x03ffffff,0x3fffffa0,0xffffffff,
    0xfffe802f,0xffffffff,0x7fc42fff,0xfff8007f,0x3fea001f,0xf880006f,
    0x7fc007ff,0x000000ff,0x00000000,0x00000000,0xd0000000,0xffffffff,
    0x05ffffff,0xffffffd0,0xffffffff,0xfffe803f,0xffffffff,0x3e21ffff,
    0xff8007ff,0x3ea001ff,0x880006ff,0x7c007fff,0x80000fff,0x00000aa8,
    0x0002aa20,0x00aa8800,0x2aa20000,0x7ff40000,0xffffffff,0x401fffff,
    0x99abdffe,0xffffea98,0x37ffa00e,0xea9899ab,0xf10effff,0xff000fff,
    0x7d4003ff,0x880006ff,0x7c007fff,0x88000fff,0xffffffdb,0x5c40002d,
    0xdffffffd,0x6dc40002,0x2dffffff,0x7edc4000,0x02dfffff,0xabdffe80,
    0xffea9899,0x2b200eff,0xffff7000,0x80056407,0xf13ffffb,0xf8800fff,
    0xcccc87ff,0xffffdccc,0xcccccccc,0xfff101cc,0xffff800f,0x7ff4c000,
    0xffffffff,0xfe98000d,0xffffffff,0xe98000df,0xffffffff,0x98000dff,
    0xfffffffe,0x2000dfff,0xff7000ac,0x800007ff,0x0004fffd,0x8a7ffec0,
    0x4c007fff,0x7fc46fff,0xffffffff,0xffffffff,0xf102ffff,0xff800fff,
    0x3ea000ff,0xffffffff,0x001fffff,0x3fffffea,0xffffffff,0x3ffea001,
    0xffffffff,0x2a001fff,0xffffffff,0x01ffffff,0x3ff60000,0x5400004f,
    0x00006fff,0xf8b7ffd4,0x7d4007ff,0x7ffc45ff,0xffffffff,0xffffffff,
    0xff102fff,0xfff800ff,0xfff7000f,0x326213bf,0x7006ffff,0x213bffff,
    0x6ffffc98,0xbffff700,0x3ff26213,0xff7006ff,0x26213bff,0x006ffffc,
    0x3ffea000,0x7cc00006,0x400007ff,0xff17fff9,0xffd800ff,0x7fffc44f,
    0xffffffff,0xffffffff,0xfff102ff,0xffff800f,0xffff8800,0x7fffd404,
    0x7fffc403,0x7fffd404,0x7fffc403,0x7fffd404,0x7fffc403,0x7fffd404,
    0xf3000003,0x80000fff,0x0007fff8,0x8bfffc40,0x26007fff,0x4001ffff,
    0x0006fffa,0x007fff88,0x4007fffc,0x5005fffb,0x5c01ffff,0xf5005fff,
    0x7dc01fff,0xff5005ff,0x7fdc01ff,0xfff5005f,0x1000001f,0x4000ffff,
    0xffa99998,0x2620007f,0x7fffa999,0x400ffff1,0x8004fffd,0x0006fffa,
    0x007fff88,0x2007fffc,0x000ffff8,0x440ffffa,0x2000ffff,0xf103fffe,
    0x74001fff,0xff103fff,0x7f4001ff,0x440003ff,0xfffa9999,0xfdb93007,
    0xffffffff,0x372600ff,0xfffffffe,0xfff17fff,0xfffd100f,0xff50001f,
    0xf10000df,0xff800fff,0x7fdc00ff,0x7fdc005f,0xbfff704f,0x4fffb800,
    0x00bfff70,0x704fffb8,0xb800bfff,0x26004fff,0xfffffedc,0x407fffff,
    0xffffffea,0xffffffff,0x7fff5407,0xffffffff,0xfff17fff,0x531359ff,
    0x05fffff9,0x1bffea00,0x3ffe2000,0x7fffc007,0x1fffe400,0x17ffea00,
    0x001fffe4,0x6417ffea,0x54003fff,0xff905fff,0xffa8007f,0xffea805f,
    0xffffffff,0x3207ffff,0xffffffff,0xffffffff,0x3ffff207,0xffffffff,
    0xff17ffff,0xffffffff,0x07ffffff,0x37ffd400,0x7ffc4000,0x7fffc007,
    0x0ffff400,0x1bffe600,0x000ffff4,0x741bffe6,0x4c001fff,0xffd06fff,
    0xff98003f,0x7ffe406f,0xffffffff,0x507fffff,0x337fffff,0x41fffe20,
    0x9bfffffa,0x2ffff101,0xfffffff8,0xdfffffff,0x7fd40000,0xf880006f,
    0x7fc007ff,0x7ffc00ff,0xeeeeeeef,0xffeeeeee,0xdffff07f,0xdddddddd,
    0xffffdddd,0x3bbfffe0,0xeeeeeeee,0x07fffeee,0xddddffff,0xdddddddd,
    0x540ffffd,0x19bfffff,0x10ffff10,0x001bffff,0xf10ffff1,0x1001bfff,
    0x3fe2ffff,0xfffffeff,0x00002cef,0x000dfff5,0x00ffff10,0x200ffff8,
    0xfffffff8,0xffffffff,0x40ffffff,0xfffffff8,0xffffffff,0x40ffffff,
    0xfffffff8,0xffffffff,0x40ffffff,0xfffffff8,0xffffffff,0x80ffffff,
    0x00dffff8,0xa87fff88,0x1000ffff,0xff50ffff,0x3e2001ff,0xffff17ff,
    0x00004ccc,0x06fffa80,0x7fff8800,0x07fffc00,0xffffff10,0xffffffff,
    0x1fffffff,0xffffff88,0xffffffff,0x0fffffff,0x7fffffc4,0xffffffff,
    0x0fffffff,0x7fffffc4,0xffffffff,0x0fffffff,0x00ffffa8,0x90ffff10,
    0x4400bfff,0xffc87fff,0x3fe2005f,0x0ffff17f,0xfa800000,0x880006ff,
    0x7000ffff,0xf801ffff,0xaaaabfff,0xaaaaaaaa,0xfff02aaa,0x5555557f,
    0x55555555,0x3fffe055,0xaaaaaaab,0xaaaaaaaa,0x57ffff02,0x55555555,
    0x05555555,0x8017fff2,0xfd87fff8,0x3ee004ff,0xfffd87ff,0x3ffee004,
    0x00ffff17,0xffa80000,0xff00006f,0xff5003ff,0xfe801fff,0x000002ff,
    0x0005fffd,0x0bfffa00,0x7ff40000,0xb000002f,0x5c009fff,0xffc87fff,
    0xffd8805f,0xfffc87ff,0xfffd8805,0x0ffff17f,0xfa800000,0xd00006ff,
    0xfa809fff,0x400fffff,0x0003fffd,0x07fffb00,0x3ff60000,0xb000003f,
    0x00007fff,0x017fff20,0x1fffff62,0x807fffee,0x7ffffffa,0x01ffffb8,
    0x3fffffea,0x00ffff17,0xffa80000,0xf900006f,0x3ee01fff,0x00ffffff,
    0x002fffe4,0x5fffc800,0xff900000,0x200000bf,0x0005fffc,0x3ffff700,
    0x7ffffd40,0xffff987f,0xfeb989bf,0x87ffffff,0x9bfffff9,0xffffeb98,
    0xfff17fff,0x8000000f,0x0006fffa,0x7fffff30,0xdfffd533,0xa801fffb,
    0x0001ffff,0x1ffffa80,0xffa80000,0x800001ff,0x001ffffa,0xffff9800,
    0xfeb989bf,0x07ffffff,0xfffffff9,0xd3dfffff,0x3ff20fff,0xffffffff,
    0x7ffe9eff,0x000ffff1,0xfffa8000,0x3f200006,0xffffffff,0xfffd8eff,
    0x6fffe800,0xffd00000,0x200000df,0x0006fffe,0x0dfffd00,0x3ff20000,
    0xffffffff,0x7ffe9eff,0xfffffb10,0x6c9fffff,0xffb107ff,0xffffffff,
    0xf8bffec9,0x000007ff,0x037ffd40,0xfffb1000,0x1bffffff,0x2003fff2,
    0x01effffa,0x7ffd4000,0x400001ef,0x01effffa,0x7ffd4000,0x400001ef,
    0xffffffd8,0x3f64ffff,0x7ff5407f,0x6c2defff,0x7f5407ff,0x42deffff,
    0xfff17ffd,0x8000000f,0x0006fffa,0xfffffb80,0x7ffe42ef,0xffffb000,
    0x4cc135bf,0xfd806dca,0x09adffff,0x01b72a66,0x37fffff6,0x32a6609a,
    0xfffd806d,0x2609adff,0x5006dca9,0xbdfffffd,0x007ffd85,0x00002aa6,
    0x0002aa60,0x000bddd1,0xfffa8000,0x22000006,0x00000aa9,0x7ffffec4,
    0xffffffff,0xfd8806ff,0xffffffff,0x06ffffff,0xfffffd88,0xffffffff,
    0xfd8806ff,0xffffffff,0x06ffffff,0x000aa980,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffffb80,0xffffffff,0x3fee006f,0xffffffff,
    0x2006ffff,0xfffffffb,0x6fffffff,0x3fffee00,0xffffffff,0x000006ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffd91000,0xdfffffff,
    0xec880059,0xffffffff,0x44002cef,0xffffffec,0x002cefff,0x7ffff644,
    0x2cefffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x33555310,0xa9880000,0x000019aa,0x0cd554c4,0x2a620000,0x000019aa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26200000,0x22028809,0x00000000,0x00000000,0x00000000,0xddb10000,
    0x300001bd,0x007ddddb,0x3bae0000,0xeee8803e,0x3a200005,0x1a985eee,
    0xa8006a60,0xffffffdc,0x75c7fecd,0x001dffff,0x100eeec8,0x0009fff9,
    0x2201ddd9,0x8004fffc,0x9800eeec,0x0cefffec,0xfff70000,0x077510bf,
    0x3ffffa60,0x5c000003,0x403fffff,0x0007fff8,0x1bfffe20,0xd889fff9,
    0x74405fff,0xffffffff,0x6c7fffff,0x1fffffff,0x13ffea00,0x3fffff22,
    0x7ffd4004,0xffffc884,0x7fd4004f,0x7fe4404f,0x3fffffff,0xfffb0000,
    0xfffdb79f,0x7fec400b,0x000003ff,0xfffffff7,0x3fffc407,0x3ffe0000,
    0x3fffea6f,0x3ffff22f,0xffff504f,0xffffffff,0xded8ffff,0x005ffffe,
    0xf70dfff1,0x09ffffff,0x437ffc40,0xfffffffb,0x3ffe2004,0x7fff4406,
    0xffffffff,0xff980004,0xffffffff,0xffb8005f,0x400003ff,0xfe9efffb,
    0xfff103ff,0xff80000f,0x3fff26ff,0x3fffe4ff,0xfffb87ff,0xa989acff,
    0x407ffffd,0x9006fffa,0xff883fff,0x04fffeff,0x107fff20,0xfffdffff,
    0x7ffe4009,0x7fffe401,0xffffebce,0x6e44001f,0xffffffff,0x004fffff,
    0x07fffd30,0x3fff2000,0x0ffffa25,0x001fffe2,0x4dffff00,0x13fffffb,
    0x1fffffff,0x06ffffc4,0x01fffe60,0x3009fff3,0x3f609fff,0x04fff8ae,
    0x209fff30,0xfff8aefd,0x9fff3004,0x3ffff980,0x05ffff98,0x7ffffcc0,
    0xabffffff,0xfd880000,0x640003ff,0xffb04fff,0x7fff887f,0x7ffc0000,
    0x3fffa26f,0x3ffffa0f,0x2fffe46f,0x87fff880,0x0efffdcc,0x00fffe80,
    0x27ffc473,0x00fffe80,0x27ffc473,0x00fffe80,0x9037ffdc,0x9800ffff,
    0xfeefffff,0x00002fff,0x00000000,0x0ffff100,0xffff8000,0x20676445,
    0x21fffffa,0x000ffff8,0xff0ffff1,0x9005ffff,0x44005fff,0xfc804fff,
    0x3e2002ff,0xffc804ff,0xfffd802f,0x3fffe603,0x2f7e6000,0x3ffffa09,
    0x00000000,0x88000000,0x00007fff,0x002ffffc,0x320ef6cc,0x22005fff,
    0xfff87fff,0x2606ffff,0x44005fff,0x7cc04fff,0x7c4005ff,0x7fcc04ff,
    0xfffd005f,0x0ffff805,0x3fe60000,0x000005ff,0x00000000,0x007fff88,
    0x2ffff400,0x7ff40000,0x3fe2002f,0xfb99987f,0xffd02fff,0xff88001f,
    0x7fff404f,0x7ffc4000,0x07fff404,0x04fffe80,0x001bffe6,0xffff9300,
    0x00000005,0x2aaa6000,0x7fc4009a,0x02aa207f,0x02ffff40,0x7fffc000,
    0x3ffe2000,0x4fffc807,0x002fffb8,0x204fff88,0x8002fffb,0x2e04fff8,
    0x32002fff,0x3f205fff,0x220005ff,0xfffffeca,0xf8800fff,0x7fc007ff,
    0x765400ff,0xffffffff,0xffff103f,0xffffeca8,0x7fff404e,0x00f774c5,
    0x03fffe20,0x07fff880,0x21ffff44,0x0005fff9,0x2609fff1,0x10005fff,
    0x3e609fff,0x7d4005ff,0xff981fff,0xd30001ff,0xffffffff,0xf1009fff,
    0xff800fff,0x3ffa00ff,0xffffffff,0x7c42ffff,0xfffb16ff,0x0bffffff,
    0x2a27fff4,0x4c002fff,0x44007fff,0x77747fff,0x40fffffe,0x0000fffe,
    0x3a09fff1,0x10000fff,0x3fa09fff,0x7c4000ff,0x7fd46fff,0xf50004ff,
    0xffffffff,0x801fffff,0x4007fff8,0x3a00ffff,0xffffffff,0x1fffffff,
    0x7f5bffe2,0xffffffff,0xffe80dff,0x17ffd44f,0x1bffea00,0x8ffff100,
    0xffffffff,0x01fffdc1,0x09fff100,0x0007fff7,0x5c27ffc4,0x70003fff,
    0xfb17ffff,0x2000bfff,0xbdfffffb,0xfffeba9a,0x3fffc405,0x03fffe00,
    0x9abdffe8,0xfffea989,0xdfff10ef,0x337ffffb,0x07ffffd7,0xfa89fffb,
    0x7cc002ff,0x7c4007ff,0x7fff47ff,0x7fc40bef,0x7440006f,0x7ffc43ee,
    0x77440006,0x37ffc43e,0x3fffa000,0x04ffffff,0xdffff100,0x7fffdc01,
    0x1fffe201,0x01ffff00,0xfb800564,0xfff13fff,0x2209ffff,0xfd86fffe,
    0x7ffdc4ff,0x7ffc4003,0x7ffc4007,0x6c009887,0x00000fff,0x007ffec0,
    0x3ff60000,0x7cc0000f,0x2effffff,0x3fff6000,0x9ffff005,0x03fffc40,
    0x003fffe0,0x9fffb000,0x3fffffe2,0x7fffc403,0x227ffec2,0x4003fffb,
    0x000ffff8,0x001fffea,0x001fffdc,0x3ffee000,0x5c000003,0x80003fff,
    0x4ffffff9,0x7ffcc000,0xfff9000f,0x3fffc40d,0x03fffe00,0xfff50000,
    0x3ffffe2d,0xbfffb003,0x5c3fffd8,0xf8003fff,0xf3002fff,0x1000ffff,
    0x0000dfff,0x06fff880,0x7fc40000,0xfb80006f,0x05ffffff,0x3606aaa6,
    0x22004fff,0xf101ffff,0xff800fff,0x400000ff,0xff17fff9,0x7dc009ff,
    0x7ffec6ff,0x01fffdc3,0x02ffff40,0x3fffffcc,0x0fffec00,0x3f600000,
    0x000001ff,0x000fffec,0x3fffff20,0xfb03ffff,0xffff05ff,0xfffd8003,
    0x0ffff104,0x00ffff80,0x7ffc4000,0x00ffff17,0x647fff88,0x7fdc3fff,
    0x1ded984f,0x007fffd4,0xffffffd1,0x4fffa800,0x7d400000,0x000004ff,
    0x0027ffd4,0x33ffff20,0x81fffff9,0x7c41fffe,0xfc8007ff,0xfff105ff,
    0xffff800f,0x26620000,0x17fffa99,0x8800ffff,0x3f20ffff,0x7ffe43ff,
    0x7ffffd44,0x077fffc1,0x7fffff44,0x3fe2007f,0x4000006f,0x0006fff8,
    0x37ffc400,0x3ffe6000,0x3fffea4f,0x0ffff40f,0x001bffe6,0x441bffee,
    0x7c007fff,0x93000fff,0xffffffdb,0x3e2fffff,0xff8007ff,0x3fff21ff,
    0x227ffe43,0x46fffffe,0x9beffffc,0xf8efffc9,0x3f6007ff,0x666441ff,
    0xfb0002cc,0xfedb83ff,0x3f60003e,0x666441ff,0xfffb02cc,0xdffff90b,
    0x540ffff8,0xa8005fff,0xff107fff,0xfff800ff,0x7ff5400f,0xffffffff,
    0xff17ffff,0xfff000ff,0x17ffe43f,0xf893fff2,0x20ffffff,0xffffffe8,
    0xff0effff,0x3fea00ff,0xffffd84f,0xffa8004f,0x3fffe64f,0x4000ffff,
    0xfd84fffa,0xf884ffff,0xffb01fff,0x3ffe2bff,0x05fffc87,0x07fff980,
    0x800ffff1,0x3200ffff,0xffffffff,0xffffffff,0x00ffff17,0x643ffff0,
    0x7fe42fff,0x7ffffc5f,0xfffd887f,0x10efffff,0xf100ffff,0xffa81dff,
    0x4004ffff,0x2e0efff8,0xffffffff,0x3ffe2006,0x7fffd40e,0xfffa84ff,
    0x3fffa206,0x86fffbbf,0x8006fffb,0xf107fffa,0xff800fff,0xfff500ff,
    0x220337ff,0xfff17fff,0xfff8800f,0x217ffdc7,0x7ec5fffc,0x3204ffff,
    0x0bdffffe,0x201fffe2,0xfe82fffc,0x004fffdf,0x7417ffe4,0x1fffb11e,
    0x0bfff200,0x3fff7ffa,0x05fffb84,0x77ffffcc,0xffa83fff,0xffb8007f,
    0xffff106f,0x0ffff800,0x0dffff88,0x17fff880,0x9800ffff,0x77546fff,
    0x2fffec1e,0x017fff62,0xff100d44,0xfff980ff,0xf8fffc84,0x3e6004ff,
    0xf50104ff,0xff3005ff,0x1fff909f,0xff909fff,0xfff500bf,0x301fffff,
    0x8001ffff,0xf104fffc,0xff800fff,0xfffa80ff,0xfff1000f,0x01fffe2f,
    0x00bfff50,0x305fffd8,0x88000035,0x7f407fff,0x7ffcc0ff,0x4009fff2,
    0x2000fffe,0xe801fffc,0x7fcc0fff,0x709fff2f,0x3200ffff,0x05ffffff,
    0x000bfffe,0x2205fffd,0x7000ffff,0xf901ffff,0x7c400bff,0xffff17ff,
    0x4fffd800,0x37ffec00,0x22000000,0x3f207fff,0x5ffe82ff,0x64013ffe,
    0x26002fff,0xfc806fff,0x5ffe82ff,0x3e613ffe,0xfb001fff,0x7403ffff,
    0x2a006fff,0x3e00ffff,0xfa801fff,0xfd80ffff,0x3ee004ff,0xffff17ff,
    0x7fffcc00,0x7ffec001,0x03fffc46,0x3ffe2000,0x0bfff307,0x7fc1fff7,
    0xfff9804f,0x3ffea005,0x7ffcc01f,0x20fffb85,0xff884fff,0xff3005ff,
    0x7d407fff,0xe8802fff,0x7f404fff,0x7fd404ff,0xfc80ffff,0xfd8805ff,
    0xfff17fff,0x7fff400f,0x40ced884,0x7d46fffd,0x400005ff,0xfd07fff8,
    0xfff881ff,0xefffccce,0x3fffa03c,0xffff7000,0x1fffd003,0xccefff88,
    0x43cefffc,0x00cffffd,0x3fffffee,0x3fffa02f,0x3ffa203f,0x7fe400ff,
    0xfff700ff,0xf701ffff,0x7d403fff,0xf17fffff,0xfb100fff,0xff881fff,
    0x7fff46ff,0x017ffdc6,0x3ffe2000,0x82fffb87,0xfffffff9,0x705fffff,
    0xb1005fff,0x7001bfff,0xff305fff,0xffffffff,0xfff88bff,0xca9acfff,
    0xfffffffe,0xfff300ff,0x95137bff,0x007fffff,0x37fffff3,0xbdfffd53,
    0xff301fff,0x73137fff,0xfffffffd,0x3ffffe2f,0xfba989ac,0xfc82ffff,
    0x3fa2ffff,0x7ffec7ff,0x7c400000,0x7ffcc7ff,0xfffff305,0xbfffffff,
    0x00bfff30,0x007fffd3,0x4c17ffe6,0xffffffff,0xfa85ffff,0xffffffff,
    0xfdefffff,0xf700efff,0xffffffff,0x009fffff,0x7fffffe4,0xd8efffff,
    0xff900fff,0xffffffff,0xfffd3dff,0x3fffffe2,0xffffffff,0xfffb02ff,
    0x7fff47ff,0x0037ffc7,0x3fffc400,0x4403fffa,0xfaaaaaaa,0xfe82adff,
    0xffd800ff,0x6fffffff,0x100fffe8,0xf5555555,0x26055bff,0xfffffffe,
    0x3f63ffff,0x3a605fff,0xffffffff,0x44003fff,0xfffffffd,0xfff90dff,
    0x3fff6201,0x4fffffff,0x7ec5fff6,0xffffffff,0x200dffff,0x21fffffb,
    0x3e67fffe,0x800003ff,0x3ee7fff8,0x3e0003ff,0xfff704ff,0x3fff6007,
    0x46ffffff,0x0003fffb,0x5c013ffe,0xdffffffe,0x7fff440b,0x7ff6403f,
    0x00cfffff,0x3fffee00,0x7fe42eff,0x7ff5400f,0x6c2defff,0x76d447ff,
    0xcdffffff,0x7fffb002,0x2a7fffe8,0x00001fff,0xf15eee88,0xf8000dff,
    0xfff884ff,0x3fff6006,0x26ffffff,0x0006fff8,0x40027ffc,0x00000998,
    0x001aa880,0x0aa98800,0xaa980000,0x26200000,0x2a600009,0x06eeed80,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x03eeeb80,0x00000000,0x7775c000,
    0x3b6601de,0x40003eee,0x001accdc,0x80000000,0x2202cdca,0x01ca8001,
    0x0000164c,0x00bddd10,0x7fc40353,0x3fea007f,0x3ee0006f,0x9803ffff,
    0x0003ffff,0x000ffff9,0x3bfffee0,0xfffe9801,0x3f60003f,0x01cfffff,
    0x177f5400,0x3ffe6000,0xfd81efff,0x3fff6001,0x0bfff702,0x3fe20000,
    0x3ff6207f,0xffff105f,0x37ffd400,0xffffb800,0xfe803fff,0xfd0006ff,
    0x700009ff,0x800bffff,0x03ffffd8,0xfffffb00,0x0001bfff,0x03fffff3,
    0x3fffe600,0xaadfffff,0xf3006ffe,0x3fe0dfff,0x00000fff,0x207fff88,
    0x84fffffc,0x2007fff8,0x8006fffa,0xfe9efffb,0x7fd403ff,0x7cc001ff,
    0x40001fff,0x003ffffb,0x0ffffee0,0x3ffff600,0x02ffffff,0x7ffffe40,
    0xfffd0004,0xfffffd79,0x2003ffff,0xf07ffff9,0x0003ffff,0x0ffff100,
    0x3ffffffc,0x003fffc4,0x800dfff5,0x3a25fffc,0x7fc03fff,0x7e4004ff,
    0x5c0006ff,0x0001efff,0x03fffe98,0xffb53100,0x4003ffff,0x04fffffd,
    0xf70df500,0x05ffffff,0x03fffe80,0x000dfff9,0x1fffe200,0x7fffffc4,
    0x3fffc40f,0x0dfff500,0x827ffe40,0x3203fffd,0x7c007fff,0x20003fff,
    0x000dfffb,0x3fff6200,0xfd980003,0x7001ffff,0x005fffff,0xdb880540,
    0x88000bde,0x5edc03dc,0xf1000000,0x7ff40fff,0xff886fff,0x3fea007f,
    0x0000006f,0x17fffcc0,0x0ffffa80,0x00000000,0x20000000,0x005ffffc,
    0x0017fff6,0x00000000,0x00000000,0x503fffc4,0x103fffff,0x5400ffff,
    0x00006fff,0xfffe8000,0xbfff9005,0x00000000,0x00000000,0x003ffffb,
    0x00000d4c,0x00000000,0x10000000,0xd980ffff,0xfff101de,0x7ffd400f,
    0x00000006,0x00ffffb8,0x002ffff8,0x00000000,0xf8800000,0x00004fff,
    0x00000000,0x00000000,0x3fffc400,0xfff88000,0x3ffea007,0x00000006,
    0x04ffff88,0x003fffd4,0x00000000,0x00001553,0x00dfffd0,0x98000000,
    0x000000aa,0x00002aa6,0xf884cc40,0x100007ff,0x5400ffff,0x7c406fff,
    0x7fc007ff,0xfff900ff,0x4fffd80f,0x07fff880,0x007fffc0,0xffffec98,
    0x00003eff,0x000ffff9,0xec980000,0x3effffff,0x7f64c000,0x03efffff,
    0x3ffb2a00,0xfffeffff,0xff100007,0x7fd400ff,0x7ffc406f,0x7fffc007,
    0x5ffff300,0x07fffe20,0x01fffe20,0x001ffff0,0xfffffff7,0x001dffff,
    0x27fffb80,0xfffffff8,0x0001ffff,0x7fffffdc,0x00efffff,0xfffffb80,
    0x0effffff,0x3fff6200,0xffffffff,0x100007ff,0x5400ffff,0x7c406fff,
    0x7fc007ff,0x3ffa00ff,0xdfff505f,0x1fffe200,0x01ffff00,0x7fffff44,
    0xffffffff,0x3f20003f,0x3ffe25ff,0xffffffff,0xffd10001,0xffffffff,
    0x2007ffff,0xffffffe8,0xffffffff,0xffffa803,0xffffffff,0x00007fff,
    0x400ffff1,0x4406fffa,0x7c007fff,0x3ee00fff,0xffd80fff,0xfff1003f,
    0xffff800f,0x3ffffe00,0xfdb98abe,0x8001ffff,0x224fffe8,0xffffffff,
    0xf0001fff,0x157dffff,0xfffffb73,0xfffff003,0xfb73157d,0x5c03ffff,
    0x9acfffff,0xffffdb99,0xff100007,0x7fd400ff,0x7ffc406f,0x7fffc007,
    0x3fffe200,0x07fffc43,0x07fff880,0x807fffc0,0x403ffffc,0x006ffffb,
    0x17fffec4,0x2aaaaaaa,0x8001ffff,0x403ffffc,0x406ffffb,0x403ffffc,
    0x106ffffb,0x801bffff,0x0007fff9,0x00ffff10,0x2037ffd4,0x4007fff8,
    0x6400ffff,0x7fdc6fff,0x3fe2005f,0x7ffc007f,0xffff880f,0xffff5002,
    0x97555105,0x00bfffff,0x001ffff8,0x017fffc4,0x02ffffa8,0x005ffff1,
    0x20bfffea,0x1005fffc,0x0000ffff,0x801fffe2,0x4406fffa,0x7c007fff,
    0x7cc00fff,0x3ffa1fff,0x3fe2002f,0x7ffc007f,0x5fffd80f,0x37fff400,
    0x7fffffd4,0x4000efff,0x4001ffff,0x4005fffd,0xfb06fffe,0xfe800bff,
    0x7ffcc6ff,0xfff1000f,0x3e20000f,0xfb000fff,0xff880dff,0x7ffc007f,
    0xfffe800f,0x00ffff34,0x007fff88,0x2207fffc,0x4002ffff,0x540ffffa,
    0xffffffff,0xffff0003,0x7ffc4003,0x7fd4002f,0x7ffc40ff,0x7fd4002f,
    0x3fff20ff,0x3ffe2004,0x01664c07,0x003ffff1,0x80dffff9,0x4007fff8,
    0xb800ffff,0xfff96fff,0xfff88009,0x7fffc007,0x037ffcc0,0x41ffff80,
    0xaceffffa,0x3ffe0000,0x3fe6001f,0xfff0006f,0x6fff983f,0x3ffff000,
    0x000fffec,0x4c0ffff1,0x880effff,0x5c04ffff,0x407fffff,0x4007fff8,
    0x8800ffff,0xfff9ffff,0x7fc4001f,0x7ffc007f,0x2fffd40f,0x2fffe800,
    0x0027ffcc,0x03ffff00,0x02fffd40,0x42fffe80,0x0005fffa,0x7fc5fffd,
    0x3e2000ff,0x3ff607ff,0xff884fff,0xff701fff,0x403fffff,0x4007fff8,
    0xb000ffff,0xdfffdfff,0xffff1000,0x0ffff800,0x0027ffdc,0x4c3fffd8,
    0x00004fff,0x8007fffe,0x0004fffb,0xfb87fffb,0xfb0004ff,0x3ffe27ff,
    0x3fe2000f,0x3fffa07f,0x7fc40fff,0xb9abffff,0xffccfffe,0xff881aff,
    0x7ffc007f,0xfff3000f,0x0007ffff,0x800ffff1,0x7ec0ffff,0xf90003ff,
    0xfff989ff,0x3fe00004,0x3f6001ff,0xf90003ff,0xfffd89ff,0xfff90003,
    0x01fffe69,0x40ffff10,0x2ffffffd,0x7fffffc4,0x5fffffff,0x0bfffff5,
    0x800ffff1,0x2000ffff,0x0ffffffe,0x7fff8800,0x07fffc00,0x000ffff6,
    0x2627ffe4,0x00003fff,0x8007fffe,0x0003fffd,0xfd89fff9,0xf90003ff,
    0x3ffea9ff,0x7ffc4006,0x3fffe607,0x7ffc43ff,0xfffffffe,0x7fffec4f,
    0x07fff885,0x007fffc0,0x7fffff70,0x3ffe2000,0x7fffc007,0x027ffe40,
    0x43fffd80,0x0003fff8,0x007fffe0,0x004fffc8,0xc87fffb0,0xb0004fff,
    0x3fe67fff,0x7fc4007f,0x7ffe407f,0x7ffc43ff,0xdffffe9d,0x5fffc882,
    0x007fff88,0x0007fffc,0x01fffff1,0x1fffe200,0x81ffff00,0x0005fffb,
    0xe885fffd,0x200002ee,0x2001ffff,0x0005fffb,0xfb85fffd,0xfd0005ff,
    0x3ffe25ff,0x7ffc4007,0xfffff807,0x137ffc41,0x26200155,0x07fff880,
    0x007fffc0,0x09ffff10,0x3fffc400,0x03fffe00,0x000dfff5,0x0003fffe,
    0xffff8000,0x3ffea001,0xffff0006,0x06fffa81,0x41ffff00,0x2000ffff,
    0xd807fffa,0x7c40ffff,0x000006ff,0x003fffe2,0x007fffdc,0x01ffff90,
    0x7fffc400,0xffff7000,0x1ffff981,0x3fffd400,0x3e000000,0x26001fff,
    0x4001ffff,0xf987fffa,0x54001fff,0x7ffc7fff,0xfff3002f,0xfffd00ff,
    0x0ffff10d,0xfff80000,0xfffa801f,0xff1000ff,0xf00009ff,0xf5003fff,
    0xff01ffff,0xfe800bff,0x000004ff,0x00ffffc0,0x017fffe0,0x209fffd0,
    0x4005ffff,0x7ec4fffe,0xff9805ff,0x7cc07fff,0xff882fff,0x4000007f,
    0x5404fffe,0x00ffffff,0x0ffffe88,0xfffe8000,0x7fffd404,0xfffb80ff,
    0xfff7001f,0x3bd9101f,0x7ffc0000,0x7fdc001f,0xff7001ff,0x3fee01ff,
    0xff7001ff,0xfffa81ff,0x3ffa200f,0x3e607fff,0xff105fff,0x800000ff,
    0x700ffffc,0x1fffffff,0x5ffffb00,0x3ff20000,0xfff700ff,0x3a01ffff,
    0x6403ffff,0xfd03ffff,0x00001fff,0x0007fffe,0x00fffffa,0x807ffff9,
    0x403ffffe,0xf03ffffc,0xd101dfff,0x4ffffdff,0xffffda99,0xffff100f,
    0xf9800000,0xa99bffff,0xffdefffe,0x3ffaa00f,0x200004ff,0x9bfffff9,
    0xdefffea9,0xff500fff,0x5137bfff,0x0dffffd7,0x13ffffea,0x7fffc000,
    0xfffa8001,0xba89bdff,0x806ffffe,0xbdfffffa,0xfffeba89,0x3fff206f,
    0xffc99bef,0x27ffe8ef,0xdfffffff,0x1fffe200,0x3f200000,0xffffffff,
    0xfffd8eff,0xfffddd70,0x0000dfff,0xffffff90,0xb1dfffff,0x7dc01fff,
    0xffffffff,0x00dfffff,0x0bfffff5,0x2aaaaaa0,0xabffffaa,0x200aaaaa,
    0xfffffffb,0xdfffffff,0xffff7000,0xffffffff,0x74401bff,0xffffffff,
    0xfffd0eff,0x17fffffc,0x03fffc40,0x7ec40000,0xffffffff,0x21fff90d,
    0xfffffffc,0x1000004f,0xfffffffb,0x3ff21bff,0x7ff4c00f,0xffffffff,
    0x7ffcc03f,0xffd003ff,0xffffffff,0xffffffff,0xfffe9805,0xffffffff,
    0xffe98003,0xffffffff,0xffb1003f,0x1dffffff,0xbff3ffec,0x3e200159,
    0x000007ff,0x3ffffee0,0x7ffe42ef,0xffffff90,0x0000003d,0xdffffff7,
    0x00fffc85,0xfffffd70,0x2e0039df,0x3a005fff,0xffffffff,0xffffffff,
    0xfd7002ff,0x39dfffff,0xffeb8000,0x01ceffff,0xffffec80,0x3ffec0bd,
    0x77440001,0x0000005e,0x000aa988,0x15e77fdc,0x44000000,0x00000aa9,
    0x0006aa20,0x74001a88,0xffffffff,0xffffffff,0xa88002ff,0x2000001a,
    0x00001aa8,0x000006a2,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x775c0000,0x0000003e,
    0x077bbbae,0x4c01ca80,0xeb80002c,0x500003ee,0x0c4059b9,0x002f7744,
    0xeb800000,0x3ae1deee,0x200002ee,0xeeeeeee8,0x8000eeee,0x03eeeed9,
    0x3bbba200,0x3ee0000e,0x0003ffff,0xffffb800,0x3ff6001e,0xbfff702f,
    0x7ffdc000,0x260003ff,0x1effffff,0x7fc41fd8,0x0000007f,0xeffffb80,
    0x01fffe41,0xffff1000,0x3fffffff,0x3ffa6000,0xf10003ff,0x0001ffff,
    0x3fffffee,0x2000003f,0x005ffffb,0x837fffcc,0x000fffff,0xffffffb8,
    0xff98003f,0xdfffffff,0x446ffeaa,0x00007fff,0x7ffdc000,0x7fff905f,
    0x7fc40000,0xffffffff,0x3620001f,0x8003ffff,0x00fffff8,0x9efffb80,
    0x0003fffe,0x3ffffb80,0xffff9800,0x3fffff07,0xefffb800,0x003fffe9,
    0x75e7fff4,0xffffffff,0x3fffc41f,0x70000000,0x6407ffff,0x00003fff,
    0x66666664,0x0001ffff,0x03ffffb8,0x07ffff80,0x25fffc80,0x003fffe8,
    0x3bffee00,0x3ffa0001,0xdfff903f,0x5fffc800,0x00ffffa2,0xffb86fa8,
    0x882fffff,0x00007fff,0xdfff7000,0x3fffc803,0x3e000000,0x00001fff,
    0x007fffd3,0x007ffff8,0xd827ffe4,0x80003fff,0x000dfffb,0x201ee440,
    0x32000bdb,0xffb04fff,0x8054007f,0x00bdedb8,0x000ffff1,0xfff70000,
    0xfff9001b,0x40000007,0x0001ffff,0x0ffff620,0x06ffff80,0x00000000,
    0x00000000,0x00000000,0x80000000,0x0007fff8,0x20000000,0x0003fffc,
    0x3fffe000,0x00000001,0x01bfffa0,0x00000000,0x00000000,0x00000000,
    0x20000000,0x0007fff8,0x20000000,0x0003fffc,0x3fffe000,0x00000001,
    0x017fffa0,0x00000000,0x00000000,0x00000000,0x20000000,0x0007fff8,
    0x20000000,0x0003fffc,0x3fffe000,0x00000001,0x017fff60,0x00554c00,
    0x15530000,0x00000000,0x00000000,0x026aa200,0x20ffff10,0x00009aa8,
    0xffc80000,0x0000003f,0x0007fffe,0xfd800000,0x930004ff,0xdffffffd,
    0xec980007,0x3effffff,0x7fffc400,0x1fffffff,0xffff8800,0x1fffffff,
    0x1fffc400,0x3fffffaa,0xffff103f,0xfffffea8,0xfff1002f,0xffffffff,
    0x7fff9003,0x3fffe600,0x3ffe001f,0xff88001f,0xffffffff,0xfff9001f,
    0xfff70009,0xffffffff,0xff70001d,0xffffffff,0x3e2001df,0xffffffff,
    0xf88001ff,0xffffffff,0x7c4001ff,0xfffb14ff,0x1bffffff,0xb17fff88,
    0xffffffff,0xff8801bf,0xffffffff,0xfffc801f,0xffff9803,0x7ffc001f,
    0xff88001f,0xffffffff,0x5553001f,0x7ff44003,0xffffffff,0x1003ffff,
    0xfffffffd,0x7fffffff,0xfffff100,0x03ffffff,0xfffff100,0x03ffffff,
    0x8cfff880,0xfffffffe,0x7c44ffff,0xfffe8eff,0xffffffff,0x7fffc404,
    0x1fffffff,0x03fffc80,0x0fffffcc,0x0ffffc00,0x7fffc400,0x1fffffff,
    0xff800000,0x98abefff,0x1fffffdb,0xefffff80,0xffdb98ab,0xaa801fff,
    0xfffaaaaa,0x5550001f,0xffff5555,0xfff88003,0x9adfffed,0x0fffffb9,
    0x3fbbffe2,0xfb99aeff,0x5400ffff,0xffaaaaaa,0xffc801ff,0x3ffe603f,
    0xff0001ff,0x2a0003ff,0xffaaaaaa,0x5d4001ff,0xffff9002,0xffffb807,
    0x7fffe406,0x7fffdc03,0x7ffc0006,0xf800001f,0x44001fff,0x2fffffff,
    0x49ffff30,0xfffffff8,0x9ffff303,0x7fffc000,0x3fffc801,0x3fffff30,
    0x7fffc000,0xff800001,0xfd3001ff,0x7c401dff,0xf5002fff,0x3e205fff,
    0xf5002fff,0x40005fff,0x0001ffff,0x01ffff80,0x7ffffc40,0x7ffe401f,
    0x3ffffe25,0x7ffe402f,0x3ffe0005,0xfffc801f,0xfffff883,0x7ffc0001,
    0xf800001f,0xfd001fff,0x6c0dffff,0x74005fff,0xffb06fff,0xffe800bf,
    0x3fe0006f,0x800001ff,0x4001ffff,0x02fffff8,0x226fff98,0x802fffff,
    0x0006fff9,0x2007fffe,0x7c43fffc,0x0001ffff,0x001ffff8,0x1ffff800,
    0xfffff980,0xfff881ff,0x7fd4002f,0x7ffc40ff,0x7fd4002f,0xff0000ff,
    0x000003ff,0x8003ffff,0x003ffff8,0x7c4ffff1,0xf1003fff,0x7c000fff,
    0xfc801fff,0x3ffa23ff,0xf00001ff,0x00003fff,0x003ffff0,0xfffffff7,
    0x0dfff305,0x07fffe00,0x000dfff3,0x0007fffe,0x000ffffc,0x0ffffc00,
    0x1fffe200,0x21ffff00,0x4007fff8,0x0000ffff,0x9003ffff,0x3fa27fff,
    0x00001fff,0x0007fffe,0x07fffe00,0x3ffffe60,0xfffa81ff,0xfffd0005,
    0x05fffa85,0x05fffd00,0x07fffe00,0x3ffe0000,0x7fc4001f,0x7ffc007f,
    0x0ffff10f,0x00ffff80,0x03ffff00,0xd17fff90,0x0003ffff,0x01ffff80,
    0xffff8000,0xffffd001,0x3ffee0bf,0xfffb0004,0x04fffb87,0x07fffb00,
    0x07fffe00,0x3ffe0000,0x7fc4001f,0x7ffc007f,0x0ffff10f,0x00ffff80,
    0x03ffff00,0xfd9fff90,0x00003fff,0x003ffff0,0x3ffff000,0x3fffa200,
    0x7fffb00d,0x3fff2000,0x01fffec4,0x04fffc80,0x03ffff00,0xffff0000,
    0xfff88003,0x7fffc007,0x00ffff10,0x000ffff8,0x003ffff0,0xfffbfff9,
    0x000001df,0x0003ffff,0x03ffff00,0x6c01a980,0x90003fff,0xffd89fff,
    0xff90003f,0x3fe0009f,0x800001ff,0x4001ffff,0x4007fff8,0xff10ffff,
    0xfff800ff,0xfff0000f,0xfff9003f,0x0dffff37,0xffff0000,0xff000003,
    0x000003ff,0x0013fff2,0x321fffec,0xb0004fff,0x20007fff,0x0001ffff,
    0x01ffff80,0x03fffc40,0x443fffe0,0x7c007fff,0xf0000fff,0xf9003fff,
    0x3ffea7ff,0x7c00005f,0x00001fff,0x001ffff8,0xf7006ea2,0x3a000bff,
    0x7fdc2fff,0xffd0005f,0x3fe0005f,0x800001ff,0x4001ffff,0x4007fff8,
    0xff10ffff,0xfff800ff,0xfff0000f,0xfff9003f,0x2ffffdc7,0xffff0000,
    0xff000003,0x3ea003ff,0xf500dfff,0x3e000dff,0x7fd40fff,0xfff0006f,
    0x3fe0001f,0x800001ff,0x4001ffff,0x4007fff8,0xff10ffff,0xfff800ff,
    0xfff0000f,0xfff9003f,0x4ffffc87,0xffff0000,0xff000003,0xff1003ff,
    0x2609ffff,0x4001ffff,0xf987fffa,0x54001fff,0x20007fff,0x0001ffff,
    0x01ffff80,0x03fffc40,0x443fffe0,0x7c007fff,0xf0000fff,0xf9003fff,
    0xfffb07ff,0xff00007f,0x000003ff,0x7003ffff,0x0fffffff,0x002ffffc,
    0x7c13fffa,0x74005fff,0x20004fff,0x0001ffff,0x01ffff80,0x03fffc40,
    0x443fffe0,0x7c007fff,0xf0000fff,0xf9003fff,0xffd107ff,0xf80007ff,
    0x00001fff,0x801ffff8,0xfffffffc,0x3ffff701,0x3fffee00,0x3ffff700,
    0x3fffee00,0x3ffe0000,0xf800001f,0x44001fff,0x7c007fff,0xfff10fff,
    0xffff800f,0xffff0000,0x7fff9003,0x3ffffe20,0x3ffe0002,0xf800001f,
    0xfb801fff,0x407fffff,0x403ffffe,0x403ffffc,0x403ffffe,0x003ffffc,
    0x00ffffc0,0x7fffc000,0x7ffc4001,0x7fffc007,0x00ffff10,0x000ffff8,
    0x003ffff0,0x4c07fff9,0x001fffff,0x003ffff0,0x3ffff000,0xfffff100,
    0xfffa809f,0xba89bdff,0x806ffffe,0xbdfffffa,0xfffeba89,0xaaaa806f,
    0xffffaaaa,0x0aaaaaab,0x55555550,0x557ffff5,0xf1015555,0xff800fff,
    0xffff10ff,0x0ffff800,0x55555550,0x557ffff5,0x3f215555,0x7fd403ff,
    0xaaa81fff,0xfffaaaaa,0xaaaaaabf,0x55555500,0x57ffff55,0x4c155555,
    0x7004fffe,0xffffffff,0x1bffffff,0x3fffee00,0xffffffff,0xfe800dff,
    0xffffffff,0xffffffff,0xffffd02f,0xffffffff,0x05ffffff,0x800ffff1,
    0xff10ffff,0xfff800ff,0xffffd00f,0xffffffff,0x25ffffff,0xb803fffc,
    0x740fffff,0xffffffff,0xffffffff,0xfffd02ff,0xffffffff,0x5fffffff,
    0x98001530,0xfffffffe,0x8003ffff,0xffffffe9,0x003fffff,0x3ffffffa,
    0xffffffff,0xfd02ffff,0xffffffff,0xffffffff,0xffff105f,0x0ffff800,
    0x800ffff1,0xfd00ffff,0xffffffff,0xffffffff,0x0ffff25f,0x77fffe40,
    0x3fffffa0,0xffffffff,0xd02fffff,0xffffffff,0xffffffff,0x000005ff,
    0xffffffd7,0xb800039d,0xeffffffe,0x7ff4001c,0xffffffff,0xffffffff,
    0xfffffd02,0xffffffff,0x105fffff,0xf800ffff,0xfff10fff,0xffff800f,
    0xfffffd00,0xffffffff,0x325fffff,0x36003fff,0xfd0effff,0xffffffff,
    0xffffffff,0x3fffa05f,0xffffffff,0x2fffffff,0x54400000,0x2000001a,
    0x00001aa8,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x0004ccc4,0x00099988,0xaaccba88,
    0x5d4c4000,0x0001abcc,0xcccca988,0x266601ab,0x99999999,0x00099999,
    0x0066a620,0x5e665d4c,0x1000009a,0x00015797,0x33331000,0x006e6000,
    0x2ea20000,0xfa81abcc,0xfd0006ff,0x36e005ff,0xffffffff,0x32201bef,
    0xffffffff,0xfb8002ef,0xffffffff,0x7fc45fff,0xffffffff,0x04ffffff,
    0x3fff6e20,0x20bdffff,0xffffffd8,0x00cfffff,0xffffda80,0x0003efff,
    0xfffdb930,0xfc800fff,0x800002ff,0xfffffec8,0x52cfffff,0x2000dfff,
    0x4402fffe,0xfffffffe,0x06ffffff,0xfffffff9,0x1dffffff,0xffffd500,
    0xffffffff,0xffff88df,0xffffffff,0x7004ffff,0xffffffff,0x7cc7ffff,
    0xffffffff,0x003fffff,0x3fffffee,0x005fffff,0x3ffff6a0,0x007fffff,
    0x0017ffec,0x3fffa600,0xffffffff,0xdfff57ff,0x3fffa000,0x3fffea02,
    0xffffffff,0xffc86fff,0xfeeeffff,0x406fffff,0xfffffffc,0xffffffff,
    0x7ffffc46,0xffffffff,0x6c404fff,0xffffffff,0x263fffff,0xffffffff,
    0x2fffffff,0xfffffc80,0xffffffff,0x3fa6000e,0xffffffff,0x7ec007ff,
    0x200002ff,0xfffffffc,0xffffffff,0x00dfff57,0x40bfffa0,0xdffffffc,
    0xfdba999b,0x7fffd46f,0xfffb501d,0x3ffea09f,0x26099cff,0x7c46dca9,
    0xaaaaaeff,0x1aaaaaaa,0x3ffffe20,0xcba99bdf,0x2f7e63ff,0x7fed4409,
    0x3f600fff,0x260adfff,0x006ffffe,0xfffffff3,0x0555579d,0x02fffd80,
    0xfffe9800,0x99abdfff,0xf57ffdba,0x3a000dff,0xffa82fff,0x71004fff,
    0x04fffe8b,0x10ffffb0,0x001dffff,0x05fff880,0x7ffec000,0x02a800ef,
    0x3ffff200,0xbffff503,0x2ffffc80,0x7ffffcc0,0x6c00001d,0x80002fff,
    0x02fffffe,0x3fead710,0xffd0006f,0xffffd05f,0xff880005,0xff1000ff,
    0xfffb81ff,0xf880000f,0x200005ff,0x004ffffa,0x7ff40000,0xbfffb05f,
    0x1bfff600,0x2effff88,0xffb00000,0xfa80005f,0x0001efff,0x001bffea,
    0x2e17fff4,0x0001ffff,0x006fffa8,0x3217fffc,0x00005fff,0x000bfff1,
    0x1bfffa20,0x32000000,0xff886fff,0xff1000ff,0x3fee03ff,0x000000ef,
    0x000bfff6,0x0effff88,0x7ffd4000,0xfffd0006,0x2ffffc45,0xfffa8000,
    0x3ffe2007,0x27fff41f,0xfff88000,0xff500005,0x000003ff,0x0ffff500,
    0x800bfff9,0xf885fffd,0x80001fff,0xfffffffb,0xffffffff,0x40ffffff,
    0x001ffffc,0x06fffa80,0x45fffd00,0x001ffffc,0x1ffff300,0x3fffee00,
    0x037fff40,0x5fff8800,0xfff90000,0x0000000b,0x3e1bffee,0x64002fff,
    0x7e40ffff,0x700003ff,0xffffffff,0xffffffff,0x441fffff,0x0005ffff,
    0x00dfff50,0xe8bfffa0,0x00005fff,0x017fffe2,0x6437fff4,0x0000ffff,
    0x005fff88,0x09fffb00,0x36000000,0x7fcc4fff,0x3f62007f,0x7f40ffff,
    0x700000ff,0xffffffff,0xffffffff,0x5c1fffff,0x0001ffff,0x00dfff50,
    0xf8bfffa0,0x00002fff,0x06ffffe4,0x05ffff90,0x03fffff5,0x5fff8800,
    0xffff0000,0x00000005,0xa81ffff1,0xf3005fff,0x43ffffff,0x0006fff8,
    0x2aaaaa60,0xaacfffea,0xaaaaaaaa,0x017fff20,0x6fffa800,0x5fffd000,
    0x007fffe2,0xffff1000,0xffe985ff,0xffd104ff,0x40007fff,0x0005fff8,
    0x01ffff88,0x74400000,0xffb84fff,0xfffc804f,0x2a2fffff,0x06604fff,
    0x7ffec000,0xfffb0002,0x7d400009,0xfd0006ff,0x3ffea5ff,0x8800000f,
    0xaeffffff,0x02fffffc,0x7fffffc4,0x7c4000bf,0xceeeefff,0xff8801bc,
    0x000000ff,0x5ffff710,0x813fff20,0xdfffffd8,0x3ff23fff,0xfffd932f,
    0x00059dff,0x000bfff6,0x001ffff4,0x0dfff500,0x4bfffa00,0x0007fffb,
    0x3fff6200,0xefffffff,0xffff3000,0x0039ffff,0x3fffffe2,0xbeffffff,
    0x5ffff100,0xee980000,0xefffffee,0x0ffff201,0x6fffffd4,0x364fffb8,
    0xfffecfff,0xffffffff,0x7fec000d,0xff88002f,0x2aa201ff,0xaaaaaaaa,
    0x006fffa8,0x325fffd0,0x00006fff,0xfffffa80,0x88006fff,0xfffffffd,
    0x7fc402ef,0xffffffff,0xf01fffff,0x00007fff,0xffffff98,0x7ec02fff,
    0xfffc82ff,0x3ffea3ff,0x3fffffa5,0xffffffff,0x000fffff,0x000bfff6,
    0x803fffe6,0xfffffffa,0xfffa9fff,0xfffd0006,0x017fff65,0x3fee0000,
    0xefffffff,0xffd98001,0x1effffff,0xdddddd10,0xffffffdd,0xfffd01ff,
    0xf9800009,0xffffffff,0xfffd04ff,0x7ffff445,0x2fffd41e,0xbffffffd,
    0xff753337,0x6c00bfff,0xa8002fff,0x7d407fff,0xffffffff,0x06fffa9f,
    0x25fffd00,0x0006fffd,0x3fffa600,0xffffffff,0xf910003f,0x9fffffff,
    0x7fe44000,0x7ec0ffff,0x00000fff,0x3b733322,0x1effffff,0xfa97ffec,
    0xb80dffff,0x3ffe5fff,0x6c400cff,0xb002ffff,0x30005fff,0x5401ffff,
    0xffffffff,0x6fffa9ff,0x5fffd000,0x001ffff2,0x7fffcc00,0xffff70df,
    0xb80009ff,0x5ffffffe,0xfffd8000,0x7fffcc3f,0x20000004,0x0effffda,
    0x3f2bfff2,0x3203ffff,0x3ffe4fff,0x7ff4002f,0xfffb006f,0xfff10005,
    0x3fe0003f,0x6fffa9ff,0x5fffd000,0x003fffee,0xffff3000,0xfff9105f,
    0x500007ff,0x07fffffd,0xfffe8800,0x1ffffe85,0x54000000,0x3f25ffff,
    0xefffffff,0x1fffe401,0x8005ffff,0x800ffffa,0x0002fffd,0x0005ffff,
    0x3ea7fffe,0xfd0006ff,0x3ffea5ff,0x7400000f,0x5c01efff,0x000fffff,
    0xfffff900,0xffb80001,0xffffa87f,0x0055004f,0x1ffff700,0x3fffffee,
    0xffd800df,0x0ffffa2f,0x3ffff100,0x05fffb00,0x0ffffa00,0x4ffffc00,
    0x0006fffa,0x3e63ffff,0x00002fff,0x007fffee,0x027fffdc,0xffff7000,
    0xffa80005,0xfffc81ff,0xa9abceff,0x0003ffdb,0x51ffff88,0x07ffffff,
    0xb0ffff40,0xf0007fff,0xfb005fff,0x360005ff,0xf0004fff,0xfff33fff,
    0x3ffe000f,0x17fffe0f,0xfffe8000,0x7fff4005,0x7fc00006,0x4c0004ff,
    0xf901ffff,0xffffffff,0x007fffff,0x4ffffa00,0x01effff9,0x83fffe20,
    0x8004fffc,0xd802fffe,0x90002fff,0x0001ffff,0xff13ffff,0xf88001ff,
    0x7fff47ff,0xff00001f,0xfc8007ff,0x400007ff,0x0005fffd,0x203fffd4,
    0xfffffffb,0x03ffffff,0x3ffff000,0x00bfffe2,0xb8dfff70,0xf8005fff,
    0xfd801fff,0xf70002ff,0xf0007fff,0x3ffe3fff,0x7fd4001f,0x7fffd46f,
    0xff880005,0x7dc002ff,0x400007ff,0x0004fffd,0x802fffe4,0xffffffda,
    0x0000adff,0x20ffff88,0x4005fffd,0x7d43fffe,0x26000fff,0xfb007fff,
    0x740007ff,0xf8007fff,0xfffd1fff,0xfffe8009,0x1ffffe84,0xffff8000,
    0x7ffe4004,0x7fc00006,0x220002ff,0x4003ffff,0x009affff,0xfffb8000,
    0x07fffcc6,0x07fff980,0x4007ffff,0x7006fffb,0x40009fff,0x004ffffa,
    0xfc8ffffc,0xf5000fff,0xff303fff,0x80007fff,0x000efffd,0x009fffd1,
    0x7fffe400,0x3ffa0000,0x3e2000ff,0x000006ff,0x20ffffe6,0x8806fffd,
    0xf704fffe,0x3e200dff,0xf5003fff,0x40001fff,0x00dffffd,0x223ffff0,
    0x401effff,0x204ffffa,0x0dfffffd,0x3ee6da80,0x4400efff,0x262ffffe,
    0x7e44001b,0x50006fff,0x003ffffd,0x004fffa8,0xfffb8800,0xffff505f,
    0x3ffa201b,0xfff100ff,0x7f4401bf,0x3e6005ff,0x0000dfff,0x3dfffff3,
    0x43ffff00,0xacfffffb,0xfffdba99,0x3fa600ff,0xcdffffff,0x6fffecca,
    0x3fffffa2,0xfca999ac,0x7d44ffff,0xaabccdff,0xffffdcba,0x2ab2e0ef,
    0xfecaa999,0x8002ffff,0x9001fffc,0x53333557,0xdfffff97,0x7ffff401,
    0xffda9abf,0x7e402fff,0x889befff,0x0fffffb9,0x7fffec00,0xca999abf,
    0xffff700d,0x5559dfff,0x83ffffd9,0xfffffffd,0xffffffff,0xffff9001,
    0xffffffff,0xff88dfff,0xffffffff,0x85ffffff,0xfffffffa,0xffffffff,
    0x7fec0fff,0xffffffff,0x0003ffff,0x7c00fffd,0xffffffff,0x1effffff,
    0xfffffd80,0xffffffff,0xfffd8802,0xffffffff,0x88002fff,0xffffffff,
    0x200fffff,0xffffffe9,0xffffffff,0xfffb81ff,0xffffffff,0x7d4000cf,
    0xffffffff,0x985fffff,0xfffffffd,0x03ffffff,0xfffffff5,0xffffffff,
    0xfffb019f,0xffffffff,0x7c00019f,0x3fe005ff,0xffffffff,0x4002efff,
    0xfffffffb,0x4001ffff,0xfffffffb,0x000dffff,0x3ffffa60,0x0fffffff,
    0xfffffc80,0xffffffff,0xfd9100ef,0x5bdfffff,0x765c4000,0xefffffff,
    0x7fecc01b,0x3effffff,0x7ffedc40,0xffffffff,0x3ff600be,0xefffffff,
    0x7cc0000c,0x3fe002ff,0xffffffff,0x2a0002de,0xdfffffec,0xdb30000b,
    0x5bffffff,0x7f540000,0xefffffff,0xffb93000,0x7bffffff,0x1a988003,
    0x54400000,0x2200009a,0x00009aa9,0x2aaaa662,0x54cc0009,0x00009aaa,
    0x4cc00000,0x0009aaaa,0x01531000,0x26a60000,0x88000000,0x000099a9,
    0x01aaa988,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x5665cc00,0x99998002,0x99999999,
    0x4c001999,0x4000abcb,0x00001999,0xccb98800,0x4ccc401a,0x26600009,
    0x99988099,0x00019999,0x99988000,0x99999999,0x33331099,0x33333333,
    0x33333333,0x4ccccc13,0x99999999,0x00009999,0xffffb710,0x0019ffff,
    0xfffffff3,0xffffffff,0xfffd500f,0x01bdffff,0x007fff98,0x3f620000,
    0xdfffffff,0x4ffff981,0xffff5000,0xfffff903,0x59bdffff,0x64000003,
    0xffffffff,0xfd4fffff,0xffffffff,0xffffffff,0x3e2dffff,0xffffffff,
    0xffffffff,0xfe980004,0xffffffff,0x7cc01eff,0xffffffff,0x07ffffff,
    0x7fffffe4,0x01ffffff,0x001fffe6,0x7ffdc000,0xffffffff,0xffffc84f,
    0xfffe8001,0xfffff905,0xffffffff,0x2000007f,0xffffffff,0xd4ffffff,
    0xffffffff,0xffffffff,0x22dfffff,0xffffffff,0xffffffff,0x7d40004f,
    0xdcdfffff,0x02ffffff,0x3fffffe6,0xffffffff,0xfffd107f,0xffffffff,
    0x3e607fff,0x000007ff,0xffffffc8,0xffffffef,0x2ffffc45,0x3fffee00,
    0xfffff900,0xffffffff,0x00003dff,0x7fffffd4,0xffffffff,0x00003fd4,
    0x7ffc5bea,0xffffffff,0x04ffffff,0x3ffff200,0xfff9300b,0x2aaa209f,
    0xaaaaaaaa,0xf887fffc,0x89ceffff,0xfffffeb9,0x07fff983,0x7fcc0000,
    0x64c0afff,0xffb80fff,0xff1002ff,0x7fe407ff,0xdcaaaadf,0x4ffffffe,
    0xdffd0000,0x3333ffff,0x07fa1333,0x8b7d4000,0xaaabffff,0xaaaaaaaa,
    0xff50001a,0x3ea003ff,0x80002fff,0xfc87fffa,0x7dc04fff,0x7cc0ffff,
    0xcccccfff,0x200009ab,0x400efffe,0x3ffa01e8,0xfff9006f,0x4fffc80d,
    0x7fffec40,0x7cc0001f,0x07fffbff,0xdeb83fd0,0x6fa801ac,0x000ffff1,
    0xeffe8000,0x7ffd4001,0xffa80006,0x7fffc47f,0xffff7004,0xfffff987,
    0xffffffff,0x7fd4002e,0x300001ff,0x8807ffff,0x6401ffff,0xf7004fff,
    0x8000bfff,0xfff8fffc,0xc83fd007,0x01efffff,0x7ffc5bea,0x20000007,
    0x0001fffb,0x0005fff5,0x6c7fffa8,0x64005fff,0x7fcc7fff,0xffffffff,
    0x02efffff,0x00bfff70,0xffffc800,0x17fff600,0x013fff20,0x02ffffa8,
    0x29fff100,0xfd007fff,0xffedca83,0x2df505ff,0x0007fff8,0xbfff1000,
    0x40d65cc0,0x40006ffe,0x3e67fffa,0x4c002fff,0x3e62ffff,0xffffffff,
    0xffffffff,0x3fffc803,0x7fc40000,0xfff304ff,0xfff9001f,0xfffe8009,
    0xfff70006,0x401fffe3,0x7dc401fe,0x16fa84ff,0x0000ffff,0x07ffee00,
    0x3fffffea,0x0bffea2f,0x7fffa800,0x001ffff6,0xf337fff4,0x754c0fff,
    0x401fffff,0x0002fffe,0x1ffffb80,0x003fffe8,0x8009fff9,0x002ffffb,
    0x3fe6ffe8,0x03fd007f,0x50bffe60,0x1fffe2df,0x7f400000,0xffffc86f,
    0x7f42ffff,0x3ea0006f,0x3fffa7ff,0xfff90004,0x03fffccf,0x0fffffb8,
    0x007fffe0,0x7fff4000,0x037ffd45,0x009fff90,0x007ffff0,0x3e3fff98,
    0x3fd007ff,0x22ffd400,0xffff16fa,0x3e000000,0x7ffd43ff,0x42fcbbcf,
    0x20007ffb,0xff17fffa,0x260003ff,0xff30ffff,0x7fdc00ff,0x3ffe03ff,
    0x5000001f,0x7fc3ffff,0x3f2001ff,0xfd8004ff,0x7e4004ff,0x1fffe0ff,
    0x1000ff40,0x16fa8fff,0x0000ffff,0x85fff100,0x8101fffe,0x0000fffa,
    0x3eaffff5,0x10000fff,0x3e63ffff,0x7ec007ff,0x3ffe05ff,0x2000001f,
    0xff75fffd,0xffc800bf,0xffd8004f,0x3fe2005f,0x03fffc5f,0x7c001fe8,
    0xf8b7d47f,0x000007ff,0x2a1fff98,0x26003fff,0x50001fff,0x3feeffff,
    0x7fc0007f,0xffff31ff,0x7fffb800,0x007fffe0,0xfff88000,0x00ffffbf,
    0x027ffe40,0x037ffe40,0xf85fff70,0x3fd007ff,0x237fd400,0xffff16fa,
    0xf5000000,0x3ffdc1ff,0x0bffe200,0xbfffd400,0x0007fffb,0xf997fffc,
    0x7cc007ff,0x33310fff,0x3335ffff,0x01333333,0x3fffee00,0xff003fff,
    0xffffffff,0xffb80fff,0x3ffa007f,0xeeffff87,0xfd1eeeee,0x3ff66003,
    0xff8b7d43,0xffffffff,0x07ffffff,0x363ffe40,0xff8006ff,0xff50003f,
    0x1bfff2ff,0x7fffd000,0x001fffe6,0x363ffff1,0xffffffff,0xffffffff,
    0x3fa0005f,0x2006ffff,0xffffffff,0x5407ffff,0x9800ffff,0xfff84fff,
    0xffffffff,0x33203fd1,0xa86fffec,0xfffff16f,0xffffffff,0xc800ffff,
    0x37ff46ff,0x027ffc00,0x97fffa80,0x8000dfff,0xff34fffe,0xff9800ff,
    0xffffb0ff,0xffffffff,0x00bfffff,0x7ffffd40,0x3fffe001,0xffffffff,
    0x7fffd407,0x0fffd800,0xfffffff8,0x3fd1ffff,0x3fffffe0,0x3e2df503,
    0xffffffff,0x7fffffff,0x23ffe400,0xf8006ffd,0xf50003ff,0x3ffeefff,
    0x7ff40006,0x0ffff33f,0x26fffb80,0xfffffffd,0xffffffff,0x740005ff,
    0x64005fff,0xcefffecc,0x7d404ccc,0x7c400fff,0xffff05ff,0x19999999,
    0x77fc07fa,0x5bea009b,0xcccffff8,0xcccccccc,0x7fd4004c,0x01fff20f,
    0x005fff10,0x55fffea0,0x40007fff,0xff33ffff,0xffd800ff,0x3e66625f,
    0x9999afff,0x80099999,0xfeeeeeee,0xeeeeffff,0x7fe405ee,0xffb8004f,
    0xfffb807f,0x00ffff02,0x27fc07fa,0xff16fa80,0x000000ff,0x7dc3fff3,
    0x3e6003ff,0xf50000ff,0x3ffeafff,0x3fe20007,0xffff32ff,0x7fffdc00,
    0x07fffe01,0xffff8000,0xffffffff,0x07ffffff,0x0027ffe4,0x403fffe4,
    0x3fe07ffe,0x03fd007f,0x7d400ffe,0x00ffff16,0xfff10000,0x17fffc45,
    0x1ffea0cc,0x7fffa800,0x001ffff3,0x47fffe20,0x5007fff9,0xf809ffff,
    0x00001fff,0x3ffffffe,0xffffffff,0x7e407fff,0xfd8004ff,0x7fcc06ff,
    0x1fffe04f,0xff80ff40,0x22df5003,0x00007fff,0xc87fff00,0xfddeffff,
    0x037fe42f,0x2ffff500,0x001ffff8,0x4cffff50,0x6cc07fff,0x400fffff,
    0x0001ffff,0x33333320,0xccefffec,0x6404cccc,0xf8004fff,0x7ec03fff,
    0x99999aff,0xd007fff9,0x006aa03f,0xfff8b7d4,0xd0000007,0xffd88fff,
    0x42ffffff,0x20005fff,0x3fe7fffa,0xfb0004ff,0x7ffccdff,0xffeeeeef,
    0x01ffffff,0x001ffff8,0xfff90000,0x7fe40009,0x7fd4004f,0x3fe201ff,
    0xffffffff,0xd007ffff,0x2a00003f,0x0ffff16f,0x3ea00000,0xfffb83ff,
    0x3ee1dfff,0x2e0002ff,0x3ff66fff,0xff88007f,0x3ffe64ff,0xffffffff,
    0x000dffff,0x0003ffff,0x3fff2000,0x3ff20004,0x7ff4004f,0x7ffdc07f,
    0xffffffff,0xfd007fff,0xa800a603,0x0ffff16f,0x7f400000,0x02a6206f,
    0x00037ff4,0xfa93fff2,0x54001fff,0x3e60ffff,0xffffffff,0x002effff,
    0x000ffffc,0xfffc8000,0x3ff20004,0x3fea004f,0x7ff404ff,0xffffffff,
    0xd007ffff,0x0dff503f,0x7fc5bea0,0x0000007f,0x000fffea,0x000fffd4,
    0xd0ffffa0,0x4400bfff,0x7cc3fffe,0xefffffff,0xf0000abc,0x00003fff,
    0x66666664,0xcccefffe,0x7e404ccc,0xfd3004ff,0x7d401fff,0x99999dff,
    0x07fff999,0xffb03fd0,0x2df5003f,0x0007fff8,0x7fff4000,0x7ffd4003,
    0xf7000a85,0xffb83fff,0xfe8805ff,0xfff987ff,0x3e000007,0x00001fff,
    0x3ffffffe,0xffffffff,0x7e407fff,0xffb804ff,0x7ec02fff,0xfff802ff,
    0x703fd007,0xf5001fff,0x01fffe2d,0xff500000,0x3f2009ff,0xcfc81fff,
    0x3fffee00,0xfffff885,0x3fff6204,0x7fff983f,0x3fe00000,0x200001ff,
    0xffffffff,0xffffffff,0x7fe407ff,0xffd5304f,0xf880bfff,0xfff006ff,
    0x407fa00f,0xdf5001cb,0x001fffe2,0x3fea0000,0x5cc1bdff,0x902ffffd,
    0x9579dfff,0x01fffffd,0x3fffffea,0xfffebabd,0xfff306ff,0x65c0000f,
    0xcdffffcc,0xcccccccc,0x99903ccc,0xfffd9999,0x9999999d,0xcefffc80,
    0xfffffedc,0xfc803fff,0xfff003ff,0x5555555f,0x00007fa5,0xfff8b7d4,
    0xcccccccf,0x02cccccc,0x7fff4c00,0xffffefff,0x3f200eff,0xffffffff,
    0x4c02ffff,0xffffffff,0x04ffffff,0x001fffe6,0xfffffd80,0xffffffff,
    0x6fffffff,0x4fffc800,0x3fff2000,0xffffffff,0xf002ffff,0x3e001fff,
    0xffffffff,0x337fd7ff,0x33333333,0x73333333,0x3fffe2df,0xffffffff,
    0x004fffff,0xffffe880,0x5fffffff,0xfffffb80,0x0effffff,0xffffd100,
    0x5fffffff,0x07fff980,0x3fff6000,0xffffffff,0xffffffff,0xffc8006f,
    0x3f20004f,0xffffffff,0x2002efff,0x2005fffa,0xffffffff,0xfffd7fff,
    0xffffffff,0xffffffff,0x3ffe2dff,0xffffffff,0x04ffffff,0x3f6e6000,
    0x01bdffff,0x3fffb260,0x8003deff,0xffffecb8,0xf9800cdf,0x200007ff,
    0xfffffffd,0xffffffff,0x006fffff,0x004fffc8,0x3fffff20,0x01bcdeef,
    0x02fffd80,0x3fffffe0,0xfd7fffff,0xffffffff,0xffffffff,0x3e2dffff,
    0xffffffff,0xffffffff,0x22000004,0x3100000a,0x80000133,0x00000a98,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99988000,0x00099999,0x332a2000,0x3330009b,0x01333333,
    0x06666200,0x4ccc4000,0x00133310,0x98866660,0x99999999,0x99999999,
    0x4ccc4000,0x99800099,0x99999999,0x99999999,0x06666199,0x13333100,
    0x80266200,0x40000999,0xfffffffa,0x0acdefff,0xfffb5000,0x01bfffff,
    0xfffffff8,0x03deffff,0x01ffff90,0x9ffff000,0x001bffea,0xfe8ffffc,
    0xffffffff,0xffffffff,0x7ffe4006,0x7cc005ff,0xffffffff,0xffffffff,
    0xfff37fff,0x7ffc400f,0x3ff2006f,0x00fffe06,0xfffff500,0xffffffff,
    0x6c4005ff,0xffffffff,0x3e03ffff,0xffffffff,0x02ffffff,0x01ffffd4,
    0x3fffe600,0x00dfff51,0x747fffe0,0xffffffff,0xffffffff,0x7ffc006f,
    0x4c007fff,0xffffffff,0xffffffff,0xff37ffff,0x3fa200ff,0x36000eff,
    0xfff105ff,0xffa80005,0xffffffff,0x0dffffff,0x7ffff4c0,0xffffffff,
    0xffff02ff,0xffffffff,0xf80bffff,0x40005fff,0x3ea6fffc,0xff0006ff,
    0x3fffa3ff,0xffffffff,0x06ffffff,0x3ffffe60,0x3e6002ff,0xffffffff,
    0xffffffff,0xfff37fff,0x3fff600f,0x7ff4001f,0x05fff304,0xffffa800,
    0xedcbaaaa,0x03ffffff,0x7bfffff1,0x3fff6a23,0xffff80ff,0xecbaaaac,
    0x202fffff,0x000ffffc,0xa93fffa0,0xf0006fff,0x2aaa3fff,0xfffeaaaa,
    0x2aaaaaad,0x3ffff200,0x22005fff,0xcccccccc,0xcccccccc,0xff36fffd,
    0xfff700ff,0xfff0005f,0x07ffea07,0xdfff5000,0xffffd300,0x3bfee01f,
    0x7fffe401,0x02ffff84,0x07ffffdc,0x02ffffa8,0x3ffff300,0x0037ffd4,
    0x801ffff8,0x0004fffc,0xff7ffff0,0x000000ff,0xf33fffd8,0xff980fff,
    0xff0003ff,0x3ffea07f,0x7fd40000,0x3fee006f,0x037205ff,0x437fff40,
    0xb802ffff,0x3e02ffff,0x70005fff,0xffa8dfff,0xfff0006f,0xfff9003f,
    0xff300009,0x0bfffebf,0x7cc00000,0xfff30fff,0x7fffc40f,0xfff10005,
    0x01ffee05,0x1bffea00,0x3ffff700,0x3fea0000,0x7fffc0ff,0x7ffff002,
    0x07fffe40,0x27fff400,0x001bffea,0x400ffffc,0x0004fffc,0xfb3fffc8,
    0x000009ff,0x993fff60,0x3fa07fff,0x260006ff,0xff901fff,0xff50000d,
    0xff8800df,0x300006ff,0xff83ffff,0xffd002ff,0x7ffd40bf,0x7fc4002f,
    0x7ffd41ff,0xffff0006,0x9fff9003,0xffff0000,0x01fffea1,0x3fe60000,
    0x3ffe60ff,0x1ffff907,0x2aaaa600,0xaaabfffc,0xaaeffeaa,0x7d4002aa,
    0xfb8006ff,0x80001fff,0x7c2ffff8,0xfb002fff,0xfff80bff,0x7fdc005f,
    0x6fffa86f,0x3ffff000,0x09fff900,0x6fff9800,0x00bfffe2,0xfffb0000,
    0x87fff989,0x001ffffb,0x3ffffff6,0xffffffff,0xffffffff,0x7ffd4006,
    0xfff88006,0xf880003f,0x7ffc1fff,0xfffd002f,0x7fffc807,0x1ffff400,
    0x0037ffd4,0x801ffff8,0x0004fffc,0x361fffe4,0x00004fff,0x03fffe60,
    0xf98ffff3,0x6c002fff,0xffffffff,0xffffffff,0x06ffffff,0x037ffd40,
    0x04fffe80,0xffff9800,0x017fffc0,0x017fffc4,0x00bfffea,0x40ffffc4,
    0x0006fffa,0x9003ffff,0x80009fff,0x7dc1ffff,0x000007ff,0x2613fff6,
    0x3fa27fff,0xec8004ff,0xeffffeee,0xfffeeeee,0x005eeeee,0x0037ffd4,
    0x005fffd8,0x87fffb80,0xe802ffff,0xff006fff,0x3ee009ff,0xfff506ff,
    0x3ffe000d,0xfffc801f,0x3fe60004,0xffff886f,0xf9800001,0xff980fff,
    0x17fff67f,0x5ffd8000,0x005fff10,0x0dfff500,0x1bfff200,0x3fffa000,
    0x02ffff84,0x0bffff66,0x03fffe40,0x503fffd8,0x2000dfff,0xc801ffff,
    0x20004fff,0xfd04fffc,0x000009ff,0x260bfffb,0xfff97fff,0xfe80000d,
    0x3fff304f,0xfff50000,0x3fee000d,0x7dc0007f,0xfff80fff,0xdcaaaacf,
    0x004fffff,0x007fffea,0x203ffff1,0xfffffffa,0xffffffff,0x01ffffff,
    0x004fffc8,0x407fffe0,0x0007fffb,0x0ffffc40,0xfaffff98,0x00000fff,
    0xfa81fffc,0xa80000ff,0x50006fff,0x0001ffff,0x413fffe6,0xffffffff,
    0x3fffffff,0x4ffff800,0x037ffd40,0xfffffff5,0xffffffff,0x03ffffff,
    0x009fff90,0x81fffe60,0x001ffff9,0x17fff200,0xffffff98,0x400002ff,
    0xf503fff8,0x500001ff,0x2000dfff,0x000ffffa,0x01dfffd0,0x3ffffffe,
    0x0befffff,0xdfff9000,0x03fffd80,0x3fffffea,0xffffffff,0x1fffffff,
    0x04fffc80,0x09fff900,0x004fffe8,0x3ffff100,0x7ffffcc0,0x00006fff,
    0xb817ffc4,0x500007ff,0x2000dfff,0x0007fffa,0x403ffffb,0xffffffff,
    0x0004ffff,0x00ffffd4,0x5401ffff,0xccccffff,0xcccccccc,0x801ffffc,
    0x0004fffc,0xc805ffff,0x00007fff,0x980bfff9,0xfffaffff,0x2600004f,
    0xff901fff,0x3ea0000d,0xf70006ff,0xfb000fff,0xff805fff,0xff7312ff,
    0x40001dff,0xf503ffff,0xffa80dff,0xfff0006f,0xfff9003f,0xfff30009,
    0xffff300f,0xff880003,0x7fcc01ff,0x5ffff97f,0x3fea0000,0x0bffb00f,
    0x3ffea000,0xfffb0006,0xfffd800d,0xffff803f,0x5fffe882,0x3fff2000,
    0x07fff906,0x006fffa8,0x003ffff0,0x0009fff9,0x200bfff9,0x0004ffff,
    0x4037ffe4,0x3fa7fff9,0x80001fff,0x3fa07ffb,0xf500005f,0x3a000dff,
    0x32005fff,0xf003ffff,0x3e605fff,0x50002fff,0xff01ffff,0xffa801ff,
    0xfff0006f,0xfff9003f,0xffff0009,0x3fff2005,0x3fe20006,0xff9802ff,
    0x3fffe27f,0x3bb6000e,0xeefffeee,0xffffeeee,0x8003eeee,0x0006fffa,
    0x2007ffff,0x004ffffc,0xc80bfffe,0x0000ffff,0xf987ffff,0xffa806ff,
    0xfff0006f,0xfff9003f,0xfff98009,0xccccccdf,0xffffdccc,0xfff90001,
    0x3ffe600d,0x2ffffd47,0xffffff00,0xffffffff,0xffffffff,0xff50009f,
    0xff7000df,0xff9003ff,0xff8009ff,0x3fe202ff,0xf90004ff,0xfffd8dff,
    0x6fffa803,0x3ffff000,0x09fff900,0xfffffc80,0xffffffff,0x04ffffff,
    0x2ffff880,0x0ffff300,0x009ffff9,0x3ffffffe,0xffffffff,0xffffffff,
    0xfffa8004,0xffff8006,0xffffc807,0xffff8004,0x7fffe402,0xfffa8000,
    0x03fffe0f,0x01bffea0,0x00ffffc0,0x0027ffe4,0x3ffffffe,0xffffffff,
    0x006fffff,0x006fffc8,0x6c1fffe6,0x9802ffff,0xdfff9999,0xffa99999,
    0x009999af,0x06fffa80,0x1ffffdc0,0x0fffff20,0x17fffc00,0x0ffffe20,
    0x9ffffc00,0x5006fffa,0x2000dfff,0xc801ffff,0x26004fff,0xffffffff,
    0xffffffff,0x001fffff,0x00bfffe2,0x107fff98,0x001fffff,0x2a07fff0,
    0x00000fff,0x400dfff5,0x406ffffa,0x003ffffd,0x00bfffe0,0x001ffff6,
    0xfcafffec,0xff5003ff,0x3fe000df,0xffc801ff,0x3ff2004f,0x999999df,
    0xf9999999,0x32004fff,0x4c006fff,0x3e607fff,0x44006fff,0xff703fff,
    0x2a00001f,0xf9006fff,0x6c03ffff,0x0003ffff,0x4017fffc,0x003ffff9,
    0xf8ffffa8,0xf5000fff,0x3e000dff,0xfc801fff,0x3fe004ff,0xfb0003ff,
    0x3e200dff,0x4c003fff,0x7dc07fff,0x26004fff,0xff902fff,0x7d40000f,
    0xd73106ff,0x409fffff,0x003ffffd,0x02ffff80,0x00ffffb0,0x3f3fffe0,
    0x3ea006ff,0xff0006ff,0xff9003ff,0x3fe6009f,0xf50000ff,0xf9003fff,
    0xf3000fff,0xffb00fff,0x3e6007ff,0xdff901ff,0x7fd40000,0xffdcccff,
    0x2fffffff,0x3ffffee0,0xffffffff,0x0fffffff,0x2005ffff,0x003ffff9,
    0xffffffd8,0x3fea003f,0xfff0006f,0x33332e3f,0xcefffecc,0x323ccccc,
    0x20005fff,0x403ffff8,0x003ffff8,0x807fff98,0x01ffffe8,0xb00fffa8,
    0x40000bff,0xfffffffa,0xffffffff,0x7ffdc01e,0xffffffff,0xffffffff,
    0x05ffff0f,0x037fff40,0x7ffffd40,0x3ea000ff,0xff0006ff,0x3fffa3ff,
    0xffffffff,0x26ffffff,0x0003fffe,0x2037ffec,0x000ffffc,0x007fff98,
    0x01fffff3,0x3a07ffb8,0x200005ff,0xfffffffa,0x2dffffff,0xfffff700,
    0xffffffff,0x1fffffff,0x800bfffe,0x002ffffa,0x6ffffff8,0x37ffd400,
    0x1ffff800,0xfffffffd,0xffffffff,0x3ffe6dff,0x7d40000f,0xff101fff,
    0x260009ff,0x2e007fff,0x6405ffff,0x3ffe07ff,0x3ea00004,0xeeffffff,
    0x5c000bcc,0xffffffff,0xffffffff,0xfff0ffff,0xffe8005f,0xffd8006f,
    0x54003fff,0xf0006fff,0x3ffa3fff,0xffffffff,0x6fffffff,0x000dfff9,
    0x07ffff10,0x003ffff2,0x03fffcc0,0x13ffff60,0x3e06ffc8,0x000003ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x88000000,0x80000999,0x99999999,0x40000099,0x009bcca9,
    0x33333330,0x33333333,0x4cccc133,0x00199999,0x00199988,0x41333300,
    0x00099998,0x41333310,0x00001998,0x99981333,0x4ccc0009,0xaa880019,
    0x1330002a,0x06fffa80,0x7fffcc00,0xffffffff,0xd88001de,0xffffffff,
    0x3ffe201e,0xffffffff,0x33ffffff,0xffffffff,0x017dffff,0x04ffffc8,
    0x7fffd400,0x17fffe63,0x7fffec00,0x003fffa0,0xa9bffe00,0x2007ffff,
    0x01fffff9,0xdffff710,0x3fffb200,0x540cffff,0x40006fff,0xfffffff9,
    0xffffffff,0xfff5002e,0xffffffff,0x3ffe207f,0xffffffff,0x33ffffff,
    0xffffffff,0x9fffffff,0x3fffe203,0x3fa0000f,0xfffc86ff,0x7fd4002f,
    0x7fff43ff,0xfff80000,0x3ffffea5,0xffff9002,0xfff7005f,0x3e00dfff,
    0xffffffff,0x3ffea2ff,0x7fcc0006,0xffffffff,0x1fffffff,0x7ffffe40,
    0xfffffeef,0xffff885f,0xffffffff,0xf33fffff,0xffffffff,0xffffffff,
    0x3fffee03,0xfff50004,0xffff105f,0x3fe2001f,0xfffd86ff,0x7fc40001,
    0x3fffee5f,0xffff005f,0x7f5405ff,0x06ffffff,0xfffffff0,0x2a1fffff,
    0x40006fff,0xaaaffff9,0xfffdcaaa,0xff500fff,0xfd303dff,0xff885fff,
    0xaaaaacff,0x1aaaaaaa,0x333ffff3,0xfffb9533,0x3fa03fff,0xe8001fff,
    0x3ea06fff,0xf9004fff,0xff903fff,0xf880003f,0x3ffee4ff,0x7d400fff,
    0xa82fffff,0xfffffffe,0x57b006ff,0xfffb3333,0x1bffea5f,0xffff3000,
    0xffffb100,0x9ffff109,0x8dfffb00,0x001ffff8,0x01fffe60,0x3bffff22,
    0x5ffffa80,0x7fffdc00,0x7fffec01,0x7fffcc01,0x05fff903,0x4fff9800,
    0x3fffbfee,0x7f7fec03,0x3ffa63ff,0xffedffff,0xfd00006f,0x3ffea9ff,
    0x7fcc0006,0x3ffa007f,0x6fffd86f,0x8bfffe00,0x001ffff8,0x01fffe60,
    0x03ffffc8,0x003ffffb,0x402ffffc,0x406ffff8,0x2e06fffe,0x40002fff,
    0x3f23fff9,0x206ffdef,0xfffbfff8,0x3ffffee3,0x0dfffb1e,0x3fff6000,
    0x00dfff52,0x07fff980,0x21fffee0,0x2002ffff,0x3e26fffc,0x20001fff,
    0x4007fff9,0xf305fffe,0x2e00dfff,0x7000ffff,0x2e05ffff,0x2e01ffff,
    0x40003fff,0x3f22fff9,0x00fffaef,0xfff3dff7,0x177ffc49,0x001bfff6,
    0x43fffe20,0x0006fffa,0x003fffcc,0x441ffff3,0x2000ffff,0xf11ffff8,
    0x40003fff,0x4007fff9,0x3206fffb,0x4402ffff,0x4004ffff,0x440ffffe,
    0x5404ffff,0x40003fff,0x3f62fffa,0x03fff8ef,0xfff19ffd,0xfb02fc89,
    0x98800dff,0x3ffffca9,0x001bffea,0x00ffff30,0x2a3fffd4,0xe8007fff,
    0xfff13fff,0x7cc0003f,0x7cc007ff,0xff100fff,0xffc80dff,0x7cc000ff,
    0x7fec4fff,0x7fd400ff,0x7d40004f,0x57ff61ff,0xff986ffe,0x44fff89f,
    0x37ffec00,0x3ffff200,0x7fd41eff,0x7cc0006f,0x3f2007ff,0x7ffdc6ff,
    0xfffd8006,0x03ffff14,0x3fffcc00,0x3fffe200,0x3fffee01,0x7ffff103,
    0x3fff2000,0x5ffff31f,0x09fff300,0x1fffb800,0x7fdd7ff6,0x8b7fe41f,
    0x6c005fff,0x64006fff,0xdfffffff,0x01bffea2,0x0ffff300,0x0ffffa20,
    0x000dfff7,0x3e2bfff9,0x20001fff,0x4007fff9,0x400ffff9,0xf907fffe,
    0x44000dff,0xffd6ffff,0x3fe200bf,0x0bdd104f,0xfd07ffdc,0x13ffe2bf,
    0x7ffc7fff,0x7ffec005,0x7f75c006,0x54ffffff,0x8000dfff,0xb007fff9,
    0xfa81ffff,0xfb8007ff,0xffff16ff,0x7fcc0003,0x7fdc007f,0xfffa806f,
    0x7fffc43f,0x7fd40002,0x0ffffeff,0x0bfff100,0x640bffea,0x3ffa0fff,
    0xfa9fff65,0x17ffe0ff,0x0dfffb00,0xfffb3000,0x0dfff53f,0x7fff9800,
    0x3fffee60,0xffff881f,0x7ffdc002,0x03ffff16,0x3fffcc00,0x17fff600,
    0x07ffff40,0x000bfffb,0x3fffff60,0x7fc003ff,0x9fffb05f,0xfd1fff20,
    0x8fffd4bf,0x7ffc5ffd,0x7ffec006,0x3fe00006,0x6fffabff,0x7ffcc000,
    0xfffeeeef,0x200dffff,0x4006fffe,0xff17fffc,0x555559ff,0x45555555,
    0x2007fff9,0x002ffffb,0x267ffff3,0x0001ffff,0xffffff10,0xdfff000d,
    0x0fffff10,0xfff1fff6,0xff4fff8b,0x06fff85f,0x037ffec0,0x7fffd000,
    0x000dfff5,0xffffff98,0xffffffff,0x7ffd400c,0x7f5401ef,0xfff16fff,
    0xffffffff,0x4cdfffff,0xf5007fff,0xd8009fff,0xffd8ffff,0x5c00004f,
    0x001fffff,0xfa86ffe8,0xfd82ffff,0x22fffc7f,0x7ffafffc,0x4006fff8,
    0x0006fffd,0x55ffff30,0x8000dfff,0xfffffff9,0xffffffff,0x3ff600df,
    0xcaacdfff,0xfffffffd,0xffffff16,0xffffffff,0x7ffccdff,0x3ffaa607,
    0x44000fff,0xfffdffff,0x5c00000f,0x002fffff,0xfd87ffe8,0xfd85ffff,
    0x227ffc6f,0x4ffefff9,0x4007ffe8,0x8806fffd,0xcb98899a,0xfa8fffff,
    0x4c0006ff,0xccccffff,0xfffffeec,0xffd101ef,0xffffffff,0xbfffffff,
    0x3fffffe2,0xffffffff,0x3ffe66ff,0xfffeeeef,0x01ffffff,0xfffff900,
    0x800007ff,0xfffffff8,0x3ffec000,0x7fff7ffc,0xf12fff40,0xfffd09ff,
    0xfffd03ff,0x6fffd800,0xfffffb80,0x1fffffff,0x000dfff5,0x807fff98,
    0x06ffffeb,0x7fffffdc,0xfbbeffff,0xffff15ff,0x7fcc0003,0xffffffff,
    0x00cfffff,0x3fffe200,0x800006ff,0xfffffffd,0x3ffec005,0x3febffea,
    0x12fff42f,0xff709fff,0x3ffa0dff,0x7ffec007,0xffffb806,0x2fffffff,
    0x001bffea,0x00ffff30,0x027fffec,0x3bff72a2,0x3fff22cc,0x03ffff13,
    0x7fffcc00,0xffffffff,0x700001ef,0x005fffff,0xffffa800,0x002ffffd,
    0xfd83fff2,0x45fff8cf,0x3fe64fff,0xffff884f,0x01fffd03,0x037ffec0,
    0x7fffffdc,0xffa82dff,0x7cc0006f,0x7f4007ff,0x400006ff,0xff11fffe,
    0x4c0003ff,0xeeeeffff,0x00001abd,0x00dfffd0,0xffff8800,0x01dfffd5,
    0xf83fff20,0x1fffb2ff,0xff327ffc,0x3fffa07f,0x01fffb00,0x037ffec0,
    0x00333330,0x000dfff5,0x007fff98,0x007fffdc,0xffff8800,0x03ffff10,
    0x3fffcc00,0xc8000000,0x00004fff,0xa87fffec,0x7004ffff,0x3fea3fff,
    0x47fff50f,0x3fe63fff,0x09dd503f,0x0007ffec,0x000dfffb,0x6fffa800,
    0x7ffcc000,0x7ffcc007,0xf300001f,0x7ffc4dff,0x3e60001f,0x000007ff,
    0x09fff900,0x7ffd4000,0x7fffec3f,0x2fffa801,0x7fc4bff9,0x47fff15f,
    0x0003fffa,0x000fffec,0x000dfffb,0x6fffa800,0x7ffcc000,0x7ffd4007,
    0xfd00000f,0x7ffc45ff,0x3e60001f,0x000007ff,0x09fff900,0x3ffe2000,
    0xffff886f,0x2fffa806,0xffd85fff,0x22fff88f,0x0003fffa,0x000fffec,
    0x000dfffb,0x6fffa800,0x7ffcc000,0x7ffdc007,0xff900006,0xffff88df,
    0x3fe60001,0x0000007f,0x009fff90,0x3ffff200,0x7ffff701,0x9bfff980,
    0x7fd40fff,0x22fff9bf,0x0003fffb,0x000fffe4,0x000dfffb,0x6fffa800,
    0x7ffcc000,0x7fff4007,0xffa80005,0x7ffc42ff,0x3e60001f,0x000007ff,
    0x09fff900,0xffff5000,0xffffe80b,0x2fffe600,0xff885ffc,0x21fff9ef,
    0x0002fffb,0x0017ffe4,0x000dfffb,0x6fffa800,0x7ffcc000,0x3fff2007,
    0x3660002f,0xf884ffff,0x20001fff,0x0007fff9,0xfff90000,0xfe880009,
    0x7d400fff,0x3e205fff,0x02ffecff,0xfff7fffb,0x017ffdc3,0x0bfff200,
    0x06fffd80,0x7fd40000,0x7cc0006f,0xfd9807ff,0x88005fff,0x6fffffd9,
    0x03ffff10,0x3fffcc00,0xc8000000,0x40004fff,0x003ffffc,0x207ffffb,
    0xfffefff8,0xfdfff500,0x7ffe41ff,0x7fe40002,0x3ff6003f,0x4000006f,
    0xcccffffa,0xcccccccc,0xffff32cc,0xddb99999,0x40dfffff,0xffeeccca,
    0x0dffffff,0x03ffff10,0x3fffcc00,0xc8000000,0x20004fff,0x006ffff9,
    0x03ffffe2,0x2ffffffc,0x3fffffe0,0x0bfff20f,0x7fff7000,0x77777764,
    0xeefffffe,0x0005eeee,0xffffffa8,0xffffffff,0xfff34fff,0xffffffff,
    0x01bfffff,0x7fffffec,0x03ffffff,0x00ffffc4,0x0ffff300,0x32000000,
    0x20004fff,0x001ffffe,0x82ffffdc,0x02ffffff,0x3fffffe4,0x000bfff6,
    0x6c7fff70,0xffffffff,0xffffffff,0xa80006ff,0xffffffff,0xffffffff,
    0xfffff34f,0xffffffff,0xffb003bf,0xdfffffff,0x3ffe2007,0x3e60001f,
    0x000007ff,0x09fff900,0x3ffff200,0xfffd0005,0xffffd05f,0xfff9801f,
    0x7ffec7ff,0x7fdc0001,0x3ffff64f,0xffffffff,0x06ffffff,0xffffa800,
    0xffffffff,0xf34fffff,0xffffffff,0x400159bd,0xceeefffd,0x7fc4000a,
    0x260001ff,0x00007fff,0x9fff9000,0xffff3000,0x3ea0001f,0x7f40ffff,
    0xff005fff,0xffd8dfff,0x7dc0001f,0x3fff64ff,0xffffffff,0x6fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x26666000,0x99999999,0x99999999,0x26666099,
    0x4cc40009,0x4cc40001,0x4c400999,0x99999999,0x99999999,0x00000199,
    0x4ccc4000,0x20000000,0x00000301,0x000aa880,0x00555440,0xa800054c,
    0x3ffe02cc,0xffffffff,0xffffffff,0xfff16fff,0xfe800bff,0xf10000ff,
    0x805fffff,0xfffffffe,0xffffffff,0xfb87ffff,0x07f10001,0x07fff700,
    0x3f600000,0x0002fd42,0xfffb7100,0x2005bfff,0xfffffeb8,0x3ff660df,
    0x2e003eff,0xff04ffff,0xffffffff,0xffffffff,0x3e2dffff,0x000fffff,
    0x0003fffa,0x7fffffec,0x7ffff402,0xffffffff,0x7fffffff,0x001bffa6,
    0x000f7fec,0x0007fff7,0xfffe8800,0x01dfff51,0xffe98000,0xffffffff,
    0x7fffc00d,0x8effffff,0xfffffff9,0xfff8803f,0xfff82fff,0xffffffff,
    0xffffffff,0xfff16fff,0x74009fff,0xa8000fff,0x2fffffff,0x7fffff40,
    0xffffffff,0x27ffffff,0x003ffffc,0x01ffffd4,0x007fff70,0x7ffcc000,
    0xffff93ff,0x2a00003d,0xffffffff,0x01ffffff,0x3ffffffe,0xfffeffff,
    0x2fffffff,0x7ffffc40,0xaaaaa86f,0xfffeaaaa,0xaaaaaaad,0xfffff12a,
    0x3fa001ff,0x7c4000ff,0x2fffffff,0x666665c0,0xcccccccc,0x44ffffdc,
    0x000ffffd,0x00bffff1,0x003fffb8,0xffff5000,0xffffb85f,0x7dc0002f,
    0x3109dfff,0x40dffff9,0x3a60acff,0x12ffffff,0xf00bfff9,0x00ffffff,
    0x013fff20,0xffffff88,0xfffd004f,0xfffd8001,0x002ffffc,0x3fffa000,
    0x7fffc40f,0x159b9715,0x003bfff2,0x007fff70,0xffff9000,0x3ffe603f,
    0xf10003ff,0xfa809fff,0x01703fff,0x1fffffcc,0x2007fff4,0x0ffffffb,
    0x4fffc800,0x3bffe200,0xe800ffff,0x2a000fff,0xffff6fff,0x2e000005,
    0xf502ffff,0xffffdfff,0xffffffff,0xfff70003,0xfd800007,0x4400efff,
    0x005ffffe,0x005fffb8,0x001ffff5,0x41ffffe0,0xe803fffa,0x000fffff,
    0x004fffc8,0x3f3bffe2,0xffe803ff,0xffd1000f,0x0bfffe3f,0x3fe60000,
    0x7fe404ff,0xffffffff,0x003fffff,0x007fff70,0x3fffa200,0x3f62005f,
    0x1000efff,0x4001ffff,0x0003fffe,0x260bfffb,0xf9805fff,0x90007fff,
    0x44009fff,0xfff9efff,0x0fffe807,0x49fff900,0x0002ffff,0x0ffffe80,
    0xfffffe80,0xffffffff,0x3fee0006,0xf980003f,0x0003ffff,0x03dffff9,
    0x00bfff70,0x004fffb8,0x407fff70,0xf8805fff,0x90005fff,0x44009fff,
    0xfffd6fff,0x0fffe807,0x0efff980,0x000bfffe,0x5ffff700,0x3ffffa00,
    0xffff510b,0x3ee0001f,0x540003ff,0x002fffff,0x7ffffdc0,0x1fffe402,
    0x17ffea00,0x17ffd400,0x100dfff0,0x0009ffff,0x8013fff2,0xff56fff8,
    0xfffe80df,0x2fffe800,0x0017fffc,0xbffff300,0x3fffea00,0x9ffff102,
    0xdddddd50,0xddfffddd,0x5ddddddd,0x3bfffee0,0xff300001,0x7f407fff,
    0x7cc001ff,0xf50006ff,0x7ffc05ff,0xffffb807,0xfff90000,0x7ffc4009,
    0x80bfffe6,0x5c00fffe,0xfff85fff,0x3a00002f,0xd000ffff,0xfc809fff,
    0xfffb87ff,0xffffffff,0xffffffff,0xfffd83ff,0x400000df,0x04ffffe8,
    0xddddffff,0xdddddddd,0x440ffffd,0xfffffedc,0xffffffff,0x5c07ffff,
    0x0002ffff,0x8013fff2,0x3f26fff8,0x3ffa06ff,0x3ffe200f,0x2ffff80f,
    0xfff70000,0x3fe2005f,0x7fc401ff,0x7ffdc0ff,0xffffffff,0xffffffff,
    0x3ffa23ff,0x000004ff,0x37ffff62,0x3ffffe20,0xffffffff,0xffffffff,
    0xfffffb80,0xffffffff,0xffffffff,0x7ff5ccc7,0x640005ff,0x22004fff,
    0x3fe26fff,0xfffd01ff,0x17fff401,0x002ffff8,0x5ffff880,0x1fffe600,
    0x20ffffc0,0xccccccca,0xccdfffec,0x31cccccc,0x007fffff,0x3ff20000,
    0xfff11eff,0xffffffff,0xffffffff,0xfffc81ff,0xffffffff,0xffffffff,
    0x3fe67fff,0x00cfffff,0x27ffe400,0x8dfff100,0xfd05fffc,0x3fee01ff,
    0x3fffe05f,0xffe80002,0x3ea000ff,0xffd006ff,0xff70005f,0x7f4c007f,
    0x00004fff,0xdffff700,0x55ffffc1,0xaaaaaaaa,0x42aaaaaa,0x09cffff9,
    0x000bffea,0x3bffffe6,0xff900001,0x7fc4009f,0x7fffc46f,0x80fffe81,
    0x200ffff8,0x0002ffff,0x017fffdc,0x017ffee0,0x0017fff4,0x001fffdc,
    0x37ffff62,0x36000000,0x740dffff,0x00002fff,0xa81fffec,0x98002fff,
    0x0002cdef,0x027ffe40,0xb0dfff10,0xffd0bfff,0x7fffb01f,0x02ffff80,
    0x3fffe200,0xfffa8005,0x3ffff006,0x7fff7000,0x3fff2000,0x400000ef,
    0x04ffffe8,0x0007fffb,0x01ffff80,0x0007fff5,0x32000000,0x22004fff,
    0xff986fff,0x7fff40ff,0x02fffd40,0x0017fffc,0x01ffffb0,0x0ffff300,
    0x01ffff10,0x07fff700,0x7fffdc00,0xf300001f,0x6407ffff,0x00005fff,
    0xa81fffe2,0x00004fff,0xff900000,0x7fc4009f,0x9fffb06f,0x220fffe8,
    0xf800ffff,0x70002fff,0x0005ffff,0x00bfffe2,0x000ffff7,0x000fffee,
    0x7fffff50,0xfffa8000,0x7fd401ff,0x300001ff,0x7e40bfff,0x000006ff,
    0xfff90000,0x7ffc4009,0x1ffff306,0xf907fff4,0x3fe007ff,0xf88002ff,
    0x40005fff,0x2206fffe,0x0003ffff,0x0007fff7,0x9ffffd30,0x3fff2000,
    0xffd000ef,0x220000df,0xff506fff,0x00003fff,0xff900000,0x7fc4009f,
    0x3fffa06f,0x4c3fffa4,0x3e006fff,0xd8002fff,0x0000ffff,0x06ffffd4,
    0x03ffffa2,0x1fffdc00,0xffd88000,0xb1000dff,0x001bffff,0x0f7fffd4,
    0x7fffc000,0x7ffffcc0,0x000000ef,0x7ffe4000,0x3ffe2004,0x9fffea06,
    0xffd0fffe,0x999999bf,0xffff9999,0x4059999b,0x002ffffa,0xffffff00,
    0xfffffd9b,0x7fdc000b,0x6400003f,0x400effff,0x04ffffe8,0xfffffb00,
    0x54cc135b,0xfffe86dc,0xcfffb89d,0x10aefffe,0x00001b73,0x4fffc800,
    0x1bffe200,0x3a7fffd0,0xffff0fff,0xffffffff,0xffffffff,0x2209ffff,
    0x0005ffff,0xffffff30,0xffffffff,0x3ee0003f,0x800003ff,0x01fffffb,
    0x07fffff3,0x7ffec400,0xffffffff,0xfa86ffff,0xffffffff,0xffffff34,
    0x001fffff,0xffc80000,0x3fe2004f,0x7ffdc06f,0x3e1fffd6,0xffffffff,
    0xffffffff,0x4fffffff,0x01ffffb0,0xfffd1000,0xffffffff,0x001dffff,
    0x40000000,0x43fffffa,0x01fffffb,0xffff7000,0xffffffff,0x3ffa0dff,
    0x545fffff,0xffffffff,0x000000ff,0x027ffe40,0x00dfff10,0xffd5ffff,
    0x3ffffe1f,0xffffffff,0xffffffff,0xffa84fff,0xb00002ff,0xfb75dfff,
    0xfff37dff,0x000000bf,0xffe98000,0xffff94ff,0x8800001d,0xffffffec,
    0x202cefff,0x03effffc,0xffffffb5,0x0000009d,0x009fff90,0x4037ffc4,
    0xffedfffb,0xff80000f,0xff8802ff,0x700005ff,0x2003ffff,0x003ffffa,
    0x40000000,0xf31fffe8,0x00001bff,0x35553100,0x01530003,0x004d54c0,
    0xf9000000,0x7c4009ff,0xff8806ff,0x00ffffff,0x2ffff800,0x0ffffd80,
    0xfff98000,0x7fec004f,0x2aaaa1ff,0xaaaaaaaa,0xaaaaaaaa,0x3fb00001,
    0x00004f98,0x00000000,0x00000000,0x9fff9000,0x37ffc400,0xfffffc80,
    0xf80000ff,0x7d402fff,0x00002fff,0x000dfff7,0x747ffff1,0xffffffff,
    0xffffffff,0x00005fff,0x00000402,0x00000000,0x00000000,0x9fff9000,
    0x37ffc400,0xfffff880,0xf80000ff,0x3e202fff,0xffffffff,0xffffffff,
    0x3a61ffff,0xbf70001f,0xfffffe83,0xffffffff,0x05ffffff,0x00000000,
    0x00000000,0x00000000,0x7fe40000,0x3fe2004f,0x3ff2006f,0x0000ffff,
    0x202ffff8,0xfffffffa,0xffffffff,0x81ffffff,0xe8140002,0xffffffff,
    0xffffffff,0x00005fff,0x00000000,0x00000000,0x00000000,0x027ffe40,
    0x00dfff10,0x7fffffcc,0xfff80000,0x3ffea02f,0xffffffff,0xffffffff,
    0x000001ff,0x00000000,0x00000000,0x00000000,0x00000000,0x3ff20000,
    0x3fe2004f,0x7fec006f,0x80000fff,0x2a02ffff,0xffffffff,0xffffffff,
    0x001fffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x50000000,0x4c000037,0x0009aaaa,0x066a6200,0x00000000,
    0x03355531,0x00aa9800,0x00000000,0x00000000,0x00000000,0xcaa98000,
    0x00000aac,0x0009fffb,0x3ffffb2a,0x003fffff,0xffffdb88,0xf10bdfff,
    0xff800fff,0xfd9100ff,0xffffffff,0xfd93003d,0x07dfffff,0xffffffb0,
    0xffffffff,0xffb87fff,0x7d4005ff,0x7ffc5fff,0xff880007,0x3fffe67f,
    0xfff90003,0xfffff90f,0x0019ffff,0x7ffffdc0,0x7fff4001,0xffffffff,
    0xf7002fff,0xffffffff,0x3fe27fff,0x7ffc007f,0xffffb80f,0xffffffff,
    0x7ffdc01f,0xffffffff,0x3fff600e,0xffffffff,0x83ffffff,0x003ffffd,
    0x81dffff1,0x0000fffe,0x3a37ffcc,0xd0006fff,0xffd09fff,0xffffffff,
    0x7fec000d,0x74003fff,0xffffffff,0x1fffffff,0x3ffff620,0xffffffff,
    0x0ffff13f,0x40ffff80,0xfffffffd,0x1fffffff,0xfffffd10,0xffffffff,
    0x3fff607f,0xffffffff,0x83ffffff,0x00fffff8,0x81ffffd8,0x0001fffd,
    0x2e2fffd4,0x4001ffff,0xe81ffff9,0xfebabcef,0x90004fff,0x005fffff,
    0x9abdffe8,0xfffea989,0xfff880ef,0xa99bdfff,0xff13ffcb,0xfff800ff,
    0x3fffea0f,0x733109ad,0x3ffe03d9,0xb98abeff,0x81fffffd,0xaaaaaaa9,
    0xffeaaaaa,0xfff301ff,0xfffa80df,0x5fff903f,0xfffa8000,0x27fffc44,
    0x1bfff200,0xfff50054,0x3fe2000d,0xac8006ff,0xffff7000,0xdffffb07,
    0x3e255001,0x7fc007ff,0x3fffe0ff,0xffc80004,0x7fdc03ff,0x980006ff,
    0x6403ffff,0xf103ffff,0x7dc0bfff,0x5c0003ff,0xffc83fff,0x7ffc007f,
    0x3fa0002f,0x3220007f,0x0000003d,0xf513fff6,0x20009fff,0x4007fff8,
    0xff10ffff,0x880001ff,0x5002ffff,0x0005ffff,0x02ffffc4,0x81ffffd8,
    0x200efffd,0x0004fffa,0x4c0fffe4,0x5002ffff,0x8000ffff,0x0000fffc,
    0x40000000,0x3a26fffa,0x20006fff,0x4007fff8,0xff30ffff,0xfb0000ff,
    0xfe800bff,0x3a0006ff,0x1000efff,0xfa8dffff,0x7c401fff,0xfff305ff,
    0x03fff601,0x802ffff4,0x8804fffd,0xffeeecca,0x000000ff,0x7cc00000,
    0x3ffea7ff,0x3e20001f,0x7fc007ff,0xffff10ff,0x7fc40005,0x7d4002ff,
    0xc8000fff,0x4001ffff,0xf14ffffa,0x3e007fff,0xfff906ff,0x81fffa07,
    0x400ffffb,0x201ffff8,0xffffffc8,0x000fffff,0x00000000,0xf93fffc4,
    0x88000bff,0x7c007fff,0x3ffa0fff,0xf30003ff,0x3e000dff,0x54001fff,
    0x0002ffff,0xfb3ffff9,0x7f400bff,0xbfffd07f,0x881bffe0,0x5c03ffff,
    0x3a206fff,0xeeeeffff,0x0000ffff,0x22000000,0xfffa9999,0x013fff67,
    0x0ffff100,0x20ffff80,0xbffffffa,0x3ffea001,0xfffd0005,0x7ffcc005,
    0x7f40004f,0x0effffff,0x03fff600,0x81fffff3,0x6c05fff8,0x7f406fff,
    0x3ff603ff,0xfffc80df,0xeeeeed80,0xeeeeeeee,0xeeeeeeee,0x3fb72605,
    0xffffffff,0x0bfffe7f,0xffff1000,0x0ffff800,0x7fffffe4,0x7dc00bef,
    0xfb0004ff,0x3a2007ff,0x80006fff,0xfffffff8,0x7ffe4001,0x7ffffdc1,
    0x027ffcc3,0x403fffe6,0x200ffff9,0x3f207fff,0xffff80ff,0xffffffff,
    0xffffffff,0xffea87ff,0xffffffff,0xff17ffff,0x880003ff,0x7c007fff,
    0xffa80fff,0xefffffff,0x07fffb03,0x13fff200,0x07fffec0,0xfffa8000,
    0xfb8003ff,0x7fff42ff,0x7ffd46ff,0x3fffe803,0x40bfff90,0xd306fff8,
    0xfff01fff,0xffffffff,0xffffffff,0xffc8ffff,0xffffffff,0x17ffffff,
    0x0001ffff,0x007fff88,0x8807fffc,0xffffffeb,0x7fec1eff,0xff90003f,
    0xfff7009f,0x5c00005f,0x003fffff,0x263fffa8,0x1fffafff,0x2007ffee,
    0xff06fffb,0xfff803ff,0x7fffdc2f,0xeeeed80f,0xeeeeeeee,0xeeeeeeee,
    0x3fffea5e,0xff1019bf,0x17fffcff,0x3ffe2000,0x7fffc007,0xfffc9800,
    0x322fffff,0xb0004fff,0xf9807fff,0x00004fff,0x3fffffe6,0x7fcc001f,
    0x237fee4f,0x3ff23fff,0xfff8800f,0x37ffd41f,0x77fffec0,0xfffffffd,
    0x80000000,0x00dffff8,0x3a7fff88,0x40003fff,0x4007fff8,0x4000ffff,
    0xffffffc9,0x00bfff70,0x80bfffa0,0x005ffff8,0x3fffa200,0x000effff,
    0xffd2fffc,0xfc9bff67,0x3ff6007f,0x1fffec4f,0x7ffffc40,0xfff9cfff,
    0x80000000,0x000ffffa,0x7ecffff1,0x440004ff,0x7c007fff,0x10000fff,
    0x2a7ffffb,0xf0006fff,0x7ec01fff,0x00000fff,0x3e7ffff6,0x74005fff,
    0x1fff16ff,0x7ec7ffea,0x3fea006f,0x3fffe27f,0xfffb3000,0x3ffe25bf,
    0x80000000,0x2005fffc,0x3f27fff8,0x20000fff,0x000ffff8,0x001ffff7,
    0x35fffe80,0x8003ffff,0x3207fffa,0x0001ffff,0x47fffee0,0x004ffffa,
    0x7fddfff6,0x753ffe25,0x7fc005ff,0xbfff72ff,0x00026000,0x6c000000,
    0x2e004fff,0x3fea7fff,0x7c0004ff,0xfa801fff,0x0000ffff,0xff2fffdc,
    0xfe800bff,0xfff504ff,0x4c00007f,0x7e44ffff,0xf9002fff,0x87ffd1ff,
    0x9fff7ffd,0x5fffc800,0x0005fffb,0x22000000,0x32000cec,0xd8805fff,
    0x7f47ffff,0x20001fff,0x5404fffe,0x00ffffff,0x27ffe400,0x003ffff7,
    0x203fffee,0x005ffff8,0x3fffe200,0xffffe886,0xafffb800,0x7fd40fff,
    0x003fffaf,0x7c7fffc4,0x000007ff,0xfff10000,0x7fdc00df,0x3fea01ff,
    0x7cc7ffff,0x5004ffff,0x07fffe45,0xffffffb8,0xf300010f,0xffe87fff,
    0x7fe403ff,0xfffd03ff,0x7400001d,0xf301ffff,0xf500dfff,0x20bffbff,
    0x1fffefff,0xefffd800,0xd7004fff,0xdddddddd,0x07dddddd,0xfffffc80,
    0xffff3002,0xfd73137f,0x0fffffff,0x9dfffff9,0xffb75357,0x7ffffcc7,
    0xfffea99b,0xf90fffde,0x3133559d,0xdffffb53,0xbfffff50,0xffd75137,
    0x3ff20dff,0xcccccdff,0xcccccccc,0x3ffffc80,0x2ffffdc0,0x3ffffe60,
    0xffffb03f,0xf50001ff,0x01ffffff,0x3fffff20,0xffffffff,0x7ec004ff,
    0x2003ffff,0xfffffffc,0xe9efffff,0xffc887ff,0xffffffff,0x7e43ffff,
    0xffffffff,0xfffd8eff,0xffffff90,0xffffffff,0x3fee03ff,0xffffffff,
    0xf00dffff,0xffffffff,0xffffffff,0xfffa83ff,0xfffd005f,0xffff807f,
    0xfff500ff,0x7c000fff,0x005fffff,0x3ffffff2,0xffffffff,0x7fdc004f,
    0x22001fff,0xfffffffd,0x3ff64fff,0x3fffa607,0xffffffff,0x7ffec43f,
    0x0dffffff,0x3f21fff9,0xffffffff,0x00efffff,0x7fffff4c,0x03ffffff,
    0x7ffffffc,0xffffffff,0x3e61ffff,0x1000ffff,0x403fffff,0x405fffff,
    0x006fffff,0x3fffff20,0x2aaa6002,0xaaaaaaaa,0x8001aaaa,0x0004fffd,
    0xdfffffd5,0x07ffd85b,0xffffedb8,0x700adfff,0x5dffffff,0xb50fffc8,
    0xfffffffd,0x8003bfff,0xffffffeb,0xfff801ce,0xffffffff,0xffffffff,
    0x5ffffd11,0xffffb800,0xffffb00f,0xffffc807,0x3fe60005,0x000007ff,
    0x35300000,0x2aa60000,0x22000000,0x4400099a,0x20000aa9,0xaaaaa998,
    0x55100000,0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x05544000,0x0000a988,0x00001a98,0x00013551,0x002af2a6,
    0x05999500,0x00000000,0x00777440,0x00004400,0x00598000,0x02a00370,
    0x00000620,0x3f22ffe8,0x7fd42fff,0x7ffc45ff,0x7ffedc44,0xff880dff,
    0x7fff543f,0xf7003fff,0x1bffffff,0x3fff2000,0xb7300003,0x0037bdfd,
    0x01fff100,0xfffb9100,0xd50005df,0xf9803fff,0x7fe4005f,0x06ffc401,
    0x4403bf90,0x1ceffedb,0x3f65ffd0,0xf50fffff,0x44bfffff,0x3fa64fff,
    0xefffffff,0x8a7ffc41,0xfffffffd,0xfd100dff,0xffffffff,0xff90005f,
    0xd880007f,0xffffffff,0x220000df,0xfb8007ff,0xffffffff,0xffea800e,
    0x3e201fff,0xf9005fff,0x7ec01fff,0xfff504ff,0x3fffea0f,0x40cfffff,
    0xfffaaffe,0xff8bffff,0x10ffffff,0x3fee9fff,0xffffffff,0x67ffc47f,
    0xffffffe8,0xd04fffff,0xfdbdffff,0x8001ffff,0x0003fffc,0x2f7fffea,
    0x2ffffdca,0x01ffe000,0xffffffb0,0x01dfffff,0x3fffffaa,0x7fec01ff,
    0x7fe405ff,0x3fea03ff,0xffff106f,0xfffff903,0x8dffffff,0x9efebffe,
    0xffccfff8,0x13fffc8b,0xfff5bfff,0xffb5359f,0x7ffc47ff,0x9adfffed,
    0x0fffffb9,0x2077ffdc,0x005fffe8,0x001fffe4,0x403fffb8,0x3603fffc,
    0x320dff03,0xcdfff985,0x3fffffdb,0x7fffff4c,0xd801ffff,0xf905ffff,
    0x7c407fff,0xffb01fff,0xffff509f,0xfff75359,0x7f7ff49f,0x3fbff20f,
    0x53ffe63f,0xfffffff8,0xdfffb00e,0x7fffffc4,0xffff302f,0x07fffc49,
    0x00ffff88,0x00ffff20,0x267bfe60,0x7cc0aaaa,0xeffa80ff,0x3a637f41,
    0x80da82ff,0x4c5ffff8,0xffbfffff,0xffb001ff,0xfffc8bff,0x7ffec03f,
    0x0dfff504,0x203ffff1,0xfd1ffff9,0xffb87fff,0x7ffc46ff,0xffffff15,
    0x7ffcc01b,0xfffff11f,0xfffc803f,0x013ffe65,0x4005fff9,0x8003fffc,
    0xfff71ffe,0x7fcc9dff,0x3ffffe85,0xfffc97f6,0xffc8006f,0x0bffd87f,
    0x4003ffff,0xf95ffffd,0xfa807fff,0xff880eff,0xfffa80ff,0x9fffe403,
    0xfb87fffe,0xfff82fff,0xbfffff15,0x47fffa00,0x02fffff8,0x2e6fff98,
    0x7d402fff,0x3f2003ff,0x7dc003ff,0x373fee4f,0x3ff23ffe,0xeffffb83,
    0xffe9dfd9,0xb8000bff,0x0b986fff,0x000ffffc,0x3fbffff6,0xfe803fff,
    0xfffb02ff,0x03fff207,0x3a9fff30,0xffb83fff,0x2bfff06f,0x00effff8,
    0x225fffb0,0x1003ffff,0x7fe4ffff,0x7ffd401f,0x3fff2004,0x23fec003,
    0x12ffc6fb,0x7fdc0bff,0xfffeffff,0x7f40003f,0x3fe005ff,0xfd8001ff,
    0x03ffffff,0x705fffc8,0x7ec0bfff,0xfff8807f,0x701fffd5,0x3fe07fff,
    0x1ffff15f,0x9fffec00,0x4007fff8,0xff90ffff,0xfffa803f,0x3fff2003,
    0x22ffc003,0x227f46fb,0xffb807fe,0x003fffff,0x1ffffb80,0x07fffe00,
    0x7fffec00,0xfff9803f,0xffff880f,0x01fffa00,0x7f57ffe2,0x5fff707f,
    0x7c57ffe0,0x4c4007ff,0xffff1099,0x0ffff800,0xb805fff7,0xdddb2fff,
    0xfffddddd,0xdddddddf,0x0ffe2bdd,0x3fea2df7,0x4007fe41,0x01fffffa,
    0xffffc800,0x7fffc005,0xfff90001,0xff300bff,0xfff301ff,0x7ffe401d,
    0x9fffcc00,0xff707ffe,0x57ffe05f,0x0007fff8,0x00ffff10,0xf50ffff8,
    0xffe80bff,0xffffff0f,0xffffffff,0xffffffff,0xf70bfeaf,0x505dffff,
    0x7f4c05ff,0x1dffffff,0xffffb000,0xffff000b,0xfff90003,0x900bffff,
    0x3ee09fff,0x3fee05ff,0x7ffe404f,0x2e0fffd2,0xfff02fff,0x01fffe2b,
    0x3fffc400,0x43fffe00,0x501ffff8,0x7ffcdfff,0xffffffff,0xffffffff,
    0x5ff57fff,0x4fffffb8,0xd503ff70,0xddfddfff,0x2003bfff,0x0dffffe8,
    0x1ffff800,0x7fffe400,0x405ffffe,0xd01ffff8,0x3e605fff,0xff501fff,
    0x83fff4df,0xff02fffb,0x1fffe2bf,0x7ffc4000,0x7fffc007,0x2fffff20,
    0x3ffff930,0x7777776c,0xeeffffee,0x5eeeeeee,0x6fb89ff1,0xff907ff5,
    0x7ffff541,0x3feebfb3,0x3ea02eff,0x0004ffff,0x8007fffe,0xfb3ffffc,
    0xfa80bfff,0xfff106ff,0x3fff201f,0xffdbabcf,0x1fffa1ff,0xf817ffdc,
    0xffff15ff,0x3fe20000,0x7ffc007f,0x3fffe20f,0xffffffff,0xfffc8004,
    0x22ffc003,0x21ff26fb,0x7ffec6fe,0xe997fa0d,0xff704fff,0x80005fff,
    0x9001ffff,0xfd87ffff,0x7ec05fff,0xfff704ff,0x7ffff40d,0x3fffffff,
    0xfb83fff4,0xbfff02ff,0x001fffe2,0x03fffc40,0x303fffe0,0xfffffffd,
    0x320007ff,0x6c003fff,0x99bee0ff,0x13fe63ff,0xdfd05ff3,0xd881ff70,
    0x000dffff,0x01ffff80,0x03ffffc8,0x40bffffb,0xb01ffff8,0x7e407fff,
    0xefffffff,0x707ffe81,0x3fe05fff,0x0ffff15f,0x3ffe2000,0x7fffc007,
    0xffffd700,0x6400019d,0x54003fff,0xb1bee5ff,0x40fff4df,0x20dff00b,
    0xffffe829,0xeeeeeeef,0x3332a0ee,0xcdffffcc,0x7ffe44cc,0x7ffec03f,
    0x3ffee05f,0x3ffff106,0x6ff65cc0,0x1fffa02c,0xf817ffdc,0xffff15ff,
    0x3fe20000,0x7ffc007f,0x0018800f,0x0ffff200,0x5cfff200,0x5d7fd46f,
    0xff8004ff,0x3ffe2007,0xffffffff,0x3f20ffff,0xffffffff,0x3e27ffff,
    0xfb003fff,0x7f401dff,0xfff503ff,0xfd00000d,0x3ffee0ff,0x22bfff02,
    0x00007fff,0x800ffff1,0x0000ffff,0xfffc8000,0xffe88003,0x0dff9004,
    0x00fff100,0x7fffffc4,0xffffffff,0x3ffff20f,0xffffffff,0x01ffcc7f,
    0x3003bf60,0x7ec03bff,0xe800001e,0xfff707ff,0x457ffe05,0x00007fff,
    0x800ffff1,0x0000ffff,0xfffc8000,0xfff30003,0xfea8815d,0xf88001ff,
    0xff1000ff,0xffffffff,0x641fffff,0xffffffff,0x987fffff,0x00190003,
    0x00a2006a,0x7ffe8000,0x205fff70,0xfff15fff,0x3e20000f,0x7fc007ff,
    0xdddd70ff,0xdddddddd,0x64007ddd,0x20003fff,0xdeffffd8,0x00dffffe,
    0x00555100,0x00000000,0x00000000,0x00000000,0x2e0fffd0,0xfff02fff,
    0x01fffe2b,0x3fffc400,0x43fffe00,0xfffffffc,0xffffffff,0x3fff2004,
    0xffa80003,0x2fffffff,0x00000000,0x00000000,0x00000000,0x40000000,
    0xff707ffe,0x57ffe05f,0x0007fff8,0x00ffff10,0xf90ffff8,0xffffffff,
    0x09ffffff,0x01fffe40,0x7b951000,0x00000015,0x00000000,0x00000000,
    0x00000000,0x41fffa00,0xff02fffb,0x1fffe2bf,0x7ffc4000,0x7fffc007,
    0x55555530,0x55555555,0x66540035,0x0000002c,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7dc1fffa,0xbfff02ff,0x001fffe2,0x03fffc40,
    0x003fffe0,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00600000,0x4400014c,0x76400199,0x77542eee,
    0xffffd4ee,0xffffffff,0xbfffffff,0x3bbbbba2,0xeeeeeeee,0x00eeeeee,
    0x20000000,0x164c01ca,0x3bbbb660,0x2e000003,0x801deeee,0xaaaaaaaa,
    0x9991aaaa,0x99999999,0x99999999,0x99999999,0x027ecc00,0x0001ffb3,
    0x003fffd8,0x70bffff6,0x3fabffff,0xffffffff,0xffffffff,0xffff35ff,
    0xffffffff,0xffffffff,0x3bfb2a03,0xb000000c,0x3ee05fff,0x7f4c05ff,
    0x00003fff,0x1effffb8,0xfffffb00,0x2bffffff,0xffffffff,0xffffffff,
    0xffffffff,0xff1006ff,0x3ff203ff,0x3ea0005f,0xb000ffff,0xfa85ffff,
    0xfffd4fff,0xffffffff,0xffffffff,0x3ffffe6b,0xffffffff,0x1fffffff,
    0xffffffd8,0xccc9803f,0x3fffe601,0x1fffff06,0xffffd880,0x3ee00003,
    0x6c005fff,0xffffffff,0xffff5fff,0xffffffff,0xffffffff,0x0dffffff,
    0x077ffd40,0x017fff44,0xfffffe80,0xffff9005,0x4ffffa83,0x99999997,
    0x99999999,0x3a279999,0xeeeeeeee,0xfeeeeeee,0x7fec1fff,0x5fffffff,
    0x00fffdc0,0x20fffff3,0x001fffff,0x007ffff7,0x7ffff700,0x99997000,
    0x79999999,0x3bbbbbba,0xeeeeeeee,0xeeeeeeee,0x64005eee,0xff504fff,
    0xfb8001df,0x01fffcef,0x41ffffc8,0x003ffff9,0x80000000,0x3ea1fffe,
    0xfffeffff,0x3ff205ff,0x7fff400f,0x0dfff903,0x3fffe980,0x3ffee000,
    0x0000001e,0x00000000,0x0bfffa00,0x0027ffe4,0x3fa5fff1,0xfffb806f,
    0x7fffcc0f,0x00000003,0x1fffe800,0x4433fff6,0x80dffffd,0xc8807fff,
    0x05edc03d,0x7ffec400,0xfffb8003,0x0000000d,0x00000000,0x7fffcc00,
    0x1ffff880,0x54dff900,0x7dc03fff,0x7fc40fff,0x000002ff,0xffe80000,
    0x0dfff11f,0x2bbffff2,0x04fffea8,0x00000000,0x00000000,0x00000000,
    0x5c000000,0xff505fff,0xfff300df,0x00fffe83,0x221fffea,0x0002ffff,
    0xe8000000,0xfff31fff,0x7fffe409,0x0fffffff,0x00000000,0x00000000,
    0x00000000,0x80000000,0xfb02fffd,0xffd807ff,0x05fff985,0x7c1fffea,
    0x99971fff,0x99999999,0x99999999,0x7f400007,0x7fff31ff,0xfffffb80,
    0x0003ffff,0x00000000,0x00000000,0x00000000,0xff100000,0xfff101ff,
    0x3ffea03f,0x05fff901,0x7c1bffe6,0xfffd1fff,0xffffffff,0xffffffff,
    0x7f40000b,0x155511ff,0xffffd500,0x000005ff,0x00000000,0x00000000,
    0x00000000,0x7ffc4000,0xffff880f,0x409ffd01,0xf306fff8,0x3ffa0dff,
    0xfffffd0f,0xffffffff,0x0bffffff,0x77764000,0xdca80000,0x000000ac,
    0x00000000,0x00000000,0x00000000,0x7ffec000,0x09fffb03,0x7003ffee,
    0x55107fff,0x8aaaa055,0xeeeeeeec,0xeeeeeeee,0x0004eeee,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xa82fffdc,0xff106fff,
    0x3ffa009f,0x0000000f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x880ffff8,0xf901fffe,0x3ea001ff,0x000005ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x640bfffa,0xff304fff,0xffd8007f,0x0000002f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xc8000000,0xff305fff,0x3ff601ff,
    0xfff98006,0x00000006,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7cc00000,0xffd00fff,0x0000005f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3a200000,0xff902fff,
    0x000000bf,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xe9800000,0x3ff6604f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x01500000,0x00000530,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_49_latin1_x[224]={ 0,10,6,1,2,0,1,10,7,6,3,2,5,6,
9,2,2,3,3,3,1,4,2,2,2,2,9,5,3,3,5,7,0,0,3,2,2,4,4,1,2,4,4,3,
5,1,2,1,3,1,4,2,2,2,0,1,0,0,2,8,3,6,2,0,0,3,3,3,2,2,0,2,3,4,
3,4,4,2,3,2,3,2,4,4,1,3,1,0,1,1,3,3,11,5,1,2,2,2,2,2,2,2,2,2,
2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,0,10,2,2,2,1,
11,3,0,0,5,3,2,6,2,0,5,2,5,6,0,3,2,9,10,5,5,3,0,0,0,4,0,0,0,0,
0,0,-2,2,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,3,1,0,0,0,0,0,3,3,0,0,
0,0,0,0,0,3,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,0,0,0,3,0,
 };
static signed short stb__consolas_49_latin1_y[224]={ 36,2,2,4,0,1,2,2,0,0,2,11,28,20,
28,2,4,4,4,4,4,4,4,4,4,4,11,11,9,17,9,2,1,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,2,1,4,42,2,11,2,11,2,11,1,11,2,1,
1,2,2,11,11,11,11,11,11,11,4,11,11,11,11,11,11,1,-4,1,17,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,36,11,0,4,5,4,
-4,1,2,4,4,13,21,20,1,3,1,6,1,1,2,11,2,18,36,1,4,13,1,1,1,11,-4,-4,-4,-4,
-4,-6,4,4,-4,-4,-4,-4,-4,-4,-4,-4,4,-4,-4,-4,-4,-4,-4,13,-1,-4,-4,-4,-4,-4,4,1,2,2,
2,2,2,0,11,11,2,2,2,2,2,2,2,2,2,2,2,2,2,2,2,10,6,2,2,2,2,2,2,2,
 };
static unsigned short stb__consolas_49_latin1_w[224]={ 0,7,15,25,23,27,26,7,14,14,21,23,13,15,
9,22,23,21,22,21,25,20,23,22,23,22,9,13,19,21,19,16,27,27,22,22,24,19,19,24,23,19,17,23,
19,25,23,25,22,26,22,22,23,23,27,25,27,27,23,13,22,13,23,27,16,20,22,20,21,23,26,23,21,20,
18,22,20,23,21,23,22,21,21,19,23,21,25,27,25,25,21,19,5,19,25,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,7,20,23,23,25,
5,21,22,27,17,21,22,15,23,20,17,23,17,15,23,23,22,9,7,17,17,21,27,27,27,16,27,27,27,27,
27,27,28,22,23,23,23,23,23,23,23,23,26,25,26,26,26,26,26,21,25,25,25,25,25,27,22,22,23,23,
23,23,23,23,27,20,25,25,25,25,24,24,24,24,23,24,25,25,25,25,25,23,23,24,24,24,24,26,22,26,
 };
static unsigned short stb__consolas_49_latin1_h[224]={ 0,35,12,32,42,36,35,12,47,47,21,24,17,5,
9,40,33,32,32,33,32,33,33,32,33,32,26,34,28,12,28,35,45,32,32,33,32,32,32,33,32,32,33,32,
32,32,32,33,32,41,32,33,32,33,32,32,32,32,32,45,40,45,17,4,10,26,35,26,35,26,35,36,34,35,
46,34,34,25,25,26,35,35,25,26,33,26,25,25,25,35,25,45,50,45,11,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,0,35,42,32,30,32,
50,41,10,33,24,20,11,5,23,9,17,30,20,21,10,35,40,9,8,20,24,20,35,35,35,35,40,40,40,40,
40,42,32,40,40,40,40,40,40,40,40,40,32,40,41,41,41,41,41,20,43,41,41,41,41,40,32,36,35,35,
35,35,35,37,26,33,35,35,35,35,34,34,34,34,35,34,35,35,35,35,35,26,36,35,35,35,35,44,44,44,
 };
static unsigned short stb__consolas_49_latin1_s[224]={ 235,230,47,219,55,153,107,244,13,28,135,
87,239,235,244,156,159,218,26,137,49,95,183,172,48,44,246,239,147,63,167,
127,130,144,21,25,1,226,67,231,100,124,29,195,1,192,25,47,87,105,49,
72,1,1,72,166,138,110,75,76,109,62,23,219,157,25,207,46,217,187,200,
129,128,144,43,175,198,1,47,109,177,1,25,89,207,67,209,181,155,50,133,
90,1,110,108,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,
202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,202,235,238,235,
96,99,120,7,132,134,1,235,215,85,235,111,198,237,123,157,240,174,1,179,
244,246,175,69,1,79,51,23,235,1,1,57,53,202,27,173,133,132,156,230,
85,29,81,230,180,146,204,53,106,154,181,208,193,1,1,27,80,79,29,73,
205,129,228,183,153,105,105,211,116,79,53,27,1,219,150,78,53,134,103,101,
27,1,165,191,1,181,158,76,25,227,208,158,181, };
static unsigned short stb__consolas_49_latin1_t[224]={ 44,256,584,432,52,179,256,328,1,1,558,
558,498,88,351,95,364,465,432,364,498,364,364,432,364,465,256,292,498,584,498,
292,1,432,465,364,432,398,465,364,432,432,398,432,465,465,498,398,465,52,432,
364,498,364,432,465,465,465,498,1,138,1,584,584,584,531,256,531,292,498,216,
179,328,292,1,328,328,558,558,531,216,256,558,531,364,531,531,531,531,292,531,
1,1,1,584,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,
398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,398,44,256,1,
398,498,398,1,52,584,398,531,558,584,88,558,584,558,498,558,465,584,292,95,
341,283,558,558,584,256,256,256,52,138,179,138,179,95,52,398,95,138,138,95,
138,179,179,138,138,398,138,95,95,52,52,52,558,52,96,95,95,52,138,398,
179,216,179,256,216,217,179,498,364,220,220,220,220,328,328,328,328,256,328,292,
328,328,292,292,531,179,256,292,292,216,1,1,1, };
static unsigned short stb__consolas_49_latin1_a[224]={ 431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_49_latin1_BITMAP_HEIGHT or STB_FONT_consolas_49_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_49_latin1(stb_fontchar font[STB_FONT_consolas_49_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_49_latin1_BITMAP_HEIGHT][STB_FONT_consolas_49_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_49_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_49_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_49_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_49_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_49_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_49_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_49_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_49_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_49_latin1_s[i] + stb__consolas_49_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_49_latin1_t[i] + stb__consolas_49_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_49_latin1_x[i];
            font[i].y0 = stb__consolas_49_latin1_y[i];
            font[i].x1 = stb__consolas_49_latin1_x[i] + stb__consolas_49_latin1_w[i];
            font[i].y1 = stb__consolas_49_latin1_y[i] + stb__consolas_49_latin1_h[i];
            font[i].advance_int = (stb__consolas_49_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_49_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_49_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_49_latin1_s[i] + stb__consolas_49_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_49_latin1_t[i] + stb__consolas_49_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_49_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_49_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_49_latin1_x[i] + stb__consolas_49_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_49_latin1_y[i] + stb__consolas_49_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_49_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_49_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_49_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_49_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_49_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_49_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_49_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_49_latin1_LINE_SPACING
#endif

