// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_42_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_42_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_42_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_42_latin1_BITMAP_HEIGHT        479
#define STB_FONT_consolas_bold_42_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_consolas_bold_42_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_bold_42_latin1_NUM_CHARS            224

#define STB_FONT_consolas_bold_42_latin1_LINE_SPACING          28

static unsigned int stb__consolas_bold_42_latin1_pixels[]={
    0x32e79997,0x00c003cc,0x98000006,0x7ffe43dc,0x0fffffff,0xfffffffb,
    0xa8800fff,0x4404fedc,0x90026009,0x00159bdf,0x02a62000,0x37fffc40,
    0x44000000,0x03fffffe,0x03332600,0x027ffc00,0xfdb7ffec,0x3ea006ff,
    0x000bf505,0xbffff500,0x7fffffe4,0xffb0ffff,0xffffffff,0x7fffd400,
    0x3ff204ff,0x2fff441e,0xffffff90,0x75c00007,0x02dfffff,0x01bfffe2,
    0xfd100000,0x0003ffff,0x000fffb8,0x802fff98,0xffb6fffd,0x3fea00df,
    0x2fffd45f,0x3ffa0000,0xfff92fff,0x1fffffff,0x3ffffff6,0xf9007fff,
    0x09ffffff,0xb1bfffe6,0x3205ffff,0x5fffffff,0x7ff44000,0x3fffffff,
    0x0dffff10,0x74400000,0x000dffff,0x007ffc80,0x003fff50,0x3f6dfffb,
    0xffb806ff,0xfff11fff,0x40000bff,0x93ffffff,0xffffffff,0x3fff61ff,
    0x07ffffff,0xffffff98,0xfff704ff,0xfffff8ff,0xfffff904,0x20005fff,
    0xfffffffa,0x883fffff,0x0006ffff,0xfffd1000,0x6c00007f,0xf70006ff,
    0xffb001ff,0x1bfff6df,0x5fffff50,0x5fffff98,0xfffd0000,0xffb803ff,
    0xdfffb0ff,0x7ffec000,0xff9801ef,0x7ffec6ff,0xffd9802f,0xf98006ff,
    0xb9acffff,0x443ffffe,0x0006ffff,0xfffe8800,0x7400001f,0x2a6005ff,
    0x1abfffec,0x6dbfff60,0x3e206fff,0xf502ffff,0x0007ffff,0x0bffff30,
    0x21ffff70,0x0006fffd,0x00dffff1,0x441effc8,0x6c005ffe,0x2001ffff,
    0x00effff8,0xf88dfffb,0x00006fff,0x0aaaa980,0xfff80000,0x7ffe4404,
    0xffffffff,0x6fffd80f,0x740dfffb,0x5403ffff,0x000fffff,0x003cc980,
    0x361ffff7,0x30006fff,0x0005ffff,0x00098031,0x02ffff98,0x03bfff60,
    0x21fffe88,0x006ffff8,0x00000000,0x07fff100,0x7fffffdc,0xffffffff,
    0xb6fffd80,0x3ee0dfff,0xf9005fff,0x0000dfff,0x3ffee000,0x0dfffb0f,
    0x3fffea00,0x00000000,0x03ffff80,0x01ffff50,0x449fff50,0x1106ffff,
    0x00000000,0x7fee5440,0x7dc2ceff,0xffffffff,0x80ffffff,0xffb6fffd,
    0xffff30df,0x7ff4001f,0x000003ff,0x0ffffb80,0x000dfffb,0x001fffee,
    0x7c000000,0xfd004fff,0x7fc007ff,0x3fffe27f,0x3ffff6e5,0xdddd301d,
    0x776c001d,0x3ff202ee,0xffffffff,0x3ffffe66,0xcdfffdef,0xffd80ffe,
    0x0dfffb6f,0x007ffffd,0x0fffffa8,0xeeeeeed8,0xeeeeeeee,0x7fffdc00,
    0x00dfffb0,0x01fffee0,0x01ddddd3,0x177776c0,0x013fffa0,0x001bffe6,
    0x3e25fffb,0xfffb5fff,0x205fffff,0x003fffff,0x01fffff1,0xffffffd3,
    0x64dfffff,0xf51fffff,0xd81443ff,0xfffb6fff,0x6ffff98d,0xffffb000,
    0xfffffd07,0xffffffff,0xfffb801f,0x0dfffb0f,0x1fffee00,0x0fffffe0,
    0x7ffffc40,0x27fff400,0x21fffec0,0x75511a98,0x3fe25fff,0xffffddff,
    0x83ffffff,0x006ffffc,0x30bffff7,0xffffffff,0x74dfffff,0x3ee3ffff,
    0x3ff6007f,0x8dfffb6f,0x002ffffc,0x0dffff30,0xfffffffd,0x1fffffff,
    0x0ffffb80,0x000dfffb,0x201fffee,0x006ffffc,0x00bffff7,0x8809fffd,
    0x3f60ffff,0xabffffff,0xfff13fff,0xffffffff,0x30ffffff,0x003fffff,
    0xd05ffffd,0xd7dfffff,0x7cdfbdff,0x3f62ffff,0x3ff6007f,0x8dfffb6f,
    0x0007ffff,0x20fffff4,0xfffffffe,0x0fffffff,0x87fffdc0,0x0006fffd,
    0x300ffff7,0x003fffff,0x005ffffd,0xa80bfffd,0x3ffa5fff,0x9bffffff,
    0xfff14fff,0x117fffff,0x07fffff9,0x809ffffd,0xb87ffff9,0x3a3fffff,
    0xfff865ff,0x17ffa5ff,0xb6fffd80,0x7fd4dfff,0x5c0004ff,0x0004ffff,
    0x801fffff,0xfb0ffffb,0x32000dff,0xfd006fff,0xf9809fff,0xfb007fff,
    0xffc80fff,0xfffff73f,0xff35ffff,0x3fffe2bf,0xfffb06ff,0xffff50df,
    0xffffc80f,0x4fffff84,0xfd81fffc,0xff9effff,0x3ff6004f,0x4dfffb6f,
    0x001ffffd,0x3ffffc40,0xfffff800,0x7fffdc00,0x00dfffb0,0x017fffa0,
    0x03ffffd4,0x013ffff2,0x017fffe4,0xff13fffd,0xffff5bff,0x22bfff13,
    0x00efffff,0x01fffff3,0x405fffff,0x441fffff,0x220fffff,0xff702fff,
    0xffffffff,0x7ffec007,0x74dfffb6,0x00007fff,0x001ffffd,0x01fffff0,
    0xb0ffffb8,0x8800dfff,0x002ffffd,0x80bffffe,0x001fffff,0x01dffff3,
    0x3eaffff1,0x3fffe7ff,0xf16fff88,0xf801ffff,0xfc81ffff,0xff505fff,
    0xfff50dff,0x1fff98df,0x3fffff60,0x002effff,0x3f6dfffb,0x3fffe6ff,
    0xff900006,0xff0003ff,0xfb801fff,0xfffb0fff,0xffdb700d,0xc800dfff,
    0xf505ffff,0xd800dfff,0x4defffff,0x3f2dfff3,0xffff14ff,0x7c5bffe2,
    0xfe806fff,0xff982fff,0xffd80fff,0xfffb82ff,0x07ffd44f,0xfffffd10,
    0x07ffffff,0x536fffd8,0x3ffe2555,0xf900005f,0xf0005fff,0xb801ffff,
    0xffb0ffff,0xfffd00df,0x8001bfff,0x80fffff9,0x002ffffd,0xffffffc8,
    0x3a9fff57,0xfff32fff,0x457ffe2f,0xd806ffff,0xfd03ffff,0xff887fff,
    0xfff907ff,0x07ffc89f,0xffffff90,0x05dfffff,0x301bfff6,0x0009ffff,
    0x0bfffee0,0x3ffffe00,0x7fffdc00,0x00dfffb0,0x39fffffd,0x3fffa000,
    0x7fffc43f,0xff710007,0x3feeffff,0x21ffff3f,0xff16fff9,0x3fffe2bf,
    0xffffd806,0xdffff703,0x04ffffa8,0xd8dffff9,0x322006ff,0xffffffff,
    0xffd82fff,0x7ffd406f,0xf500003f,0xf0007fff,0xb801ffff,0xffb0ffff,
    0xfffd00df,0x0005ffff,0xa8dffff7,0x8004ffff,0xfffffffa,0xf15fff97,
    0x7ffd4fff,0x229fff35,0xd806ffff,0xf102ffff,0x7ec3ffff,0xff701fff,
    0x5ffe8fff,0xfffff000,0x83ffffff,0x5406fffd,0x0004ffff,0x07ffff30,
    0x1fffff00,0x0ffffb80,0x100dfffb,0xfffff953,0xfff88001,0x3fff61ff,
    0x7fc4001f,0x919acfff,0xfff15fff,0x9afffdcf,0xfff14fff,0xfffd00df,
    0x7ffe403f,0xdffff13f,0x7ffffd40,0x0013ffe1,0x7ff6fffc,0x7ec4ffff,
    0x7fcc06ff,0x500005ff,0x0005ffff,0x801fffff,0xfb0ffffb,0xf5000dff,
    0x90009fff,0x3e27ffff,0xb8006fff,0xfb02ffff,0xffff33ff,0xfba7ffe4,
    0xffff13ff,0xffff880d,0x7fffcc07,0x07ffff76,0x77ffffc4,0x003fff88,
    0xf52fff88,0xfd8dffff,0x7fc406ff,0x700005ff,0x0003ffff,0x801fffff,
    0xfb0ffffb,0x3a000dff,0x98006fff,0xff76ffff,0xfb0007ff,0x7fec0dff,
    0x27fff99f,0xff93fffc,0x3fffe23f,0x7fffe406,0xffffe806,0x00ffffe9,
    0x7fffffe4,0x12a2fffb,0xc87ffea0,0x360fffff,0xff806fff,0x900006ff,
    0x0001ffff,0x801fffff,0xfb0ffffb,0x32000dff,0xd0006fff,0xffd3ffff,
    0xfd0001ff,0x7fec0bff,0x27fff89f,0xffd3fffe,0x37fffc4f,0x9fffff10,
    0xbffff700,0x100bffff,0xffffffff,0x0dffdbff,0x541fff70,0x7ec7ffff,
    0x133316ff,0x007ffffc,0x3fffec00,0xfffff800,0x7fffdc00,0x00dfffb0,
    0x01fffee0,0x6ffffdc0,0x0005ffff,0x6409fffd,0xffff2fff,0x37ffff71,
    0x7fc49fff,0xfff306ff,0x3e200dff,0xffffffff,0xffff7001,0xffffffff,
    0xfff900df,0x45ffffb8,0xffb6fffd,0x7fffecdf,0x7fc40002,0xff0006ff,
    0xfb801fff,0xfffb0fff,0x3fee000d,0xff10007f,0x3fffffff,0x3fffa000,
    0x4fffee04,0xfffefffe,0x2fffffff,0x3bffffe2,0xffffeccd,0x3f2001ff,
    0x06ffffff,0x7ffffd40,0x6fffffff,0xdffb0591,0x1fffffcc,0x7edbfff6,
    0x3ffee6ff,0x7d40005f,0xf0004fff,0xb801ffff,0xffb0ffff,0x3ee000df,
    0x320007ff,0x6fffffff,0x3fffa000,0x4fffee04,0xfffffffb,0x45ffffff,
    0xfffffff8,0xffffffff,0x7ffcc004,0x8003ffff,0xffffffc8,0xff14ffff,
    0xdffd79df,0xffffffb7,0xb6fffd81,0x7fc4dfff,0x20000fff,0x000ffffd,
    0x01fffff0,0xb0ffffb8,0x2000dfff,0x0007fffb,0x3fffffe6,0x3fa0003f,
    0x3fea04ff,0xfffff14f,0xdfffff19,0xffffff10,0xdfffffff,0x3ffa0003,
    0x80007fff,0x1acefff9,0x7fffffc4,0xffffffff,0xffd82fff,0x8dfffb6f,
    0x002ffffd,0x0bffff10,0x7ffffc00,0x7fffdc00,0x00dfffb0,0x01fffee0,
    0xfffffd00,0xffe8000f,0x3ffe604f,0xa8fbf626,0xf880bdfd,0xffffffff,
    0x40003eff,0x03fffffb,0x07fff000,0x7fffffc4,0xffffffff,0xfffb03ff,
    0x51bfff6d,0x000dffff,0x00bffff2,0x0fffff80,0x87fffdc0,0x0006fffd,
    0x000ffff7,0x3fffffb8,0x7fff4000,0x3fffe204,0x3e200000,0x9a98efff,
    0x3ee00000,0x0000ffff,0x202fff88,0xfffffff8,0xcfffffff,0x5bfff600,
    0xfe86fffd,0x4c004fff,0x0007ffff,0x01ffffe2,0x6c3fffee,0x50006fff,
    0x0001ffff,0x07ffffdc,0x3fffe000,0x1ffff403,0xfff10000,0x400000df,
    0x04fffff8,0x3fff3000,0xfdca9880,0x0acdefff,0xb6fffd80,0xff30dfff,
    0x74003fff,0x0003ffff,0x017fffe6,0x6c3fffee,0x30006fff,0x0003ffff,
    0x13ffffe2,0xffff1000,0x6fffb805,0x3fe20000,0x000006ff,0x03fffff6,
    0x7ffd4000,0x7ffc8000,0xdfffb000,0x641bfff6,0x7005ffff,0x000bffff,
    0x04ffffd8,0xb0ffffb8,0x2000dfff,0x005ffff8,0x1fffffb0,0xfffc8000,
    0x7ffc401f,0xf100004f,0x0000dfff,0xfffffb10,0x7dc00005,0xffb0007f,
    0x3ff6000d,0x0dfffb6f,0x13ffffa2,0x1fffff30,0xfa802ee0,0xb802ffff,
    0xffb0ffff,0x7f4000df,0x22004fff,0x02fffffd,0x7fffdc00,0xfffc800f,
    0x204a803f,0x006ffff8,0xffdccd80,0x0004ffff,0x0037fec0,0x0005fff8,
    0x3f6dfffb,0x3fea06ff,0xff304fff,0x7e405fff,0xfdcaacef,0x75c5ffff,
    0xfffeeeee,0xdffffb0f,0x500ddddd,0xddffffff,0x7fee66c7,0x8004ffff,
    0xfffffeeb,0xfff3003f,0x26215bff,0x3e205feb,0x80006fff,0xfffffffe,
    0xe800005f,0xf88005ff,0xfb0003ff,0x3fff6dff,0x7fffdc06,0x7fffc43f,
    0x7ffe405f,0xffffffff,0x7ffe40ff,0x0fffffff,0xfffffffb,0x3f600fff,
    0x24ffffff,0xfffffffe,0xff90005f,0x00dfffff,0xffffff98,0x5fffffff,
    0x1bfffe20,0x3fffa000,0x0003ffff,0x009fff00,0x005fff30,0x6dbfff60,
    0xfc806fff,0xfd11ffff,0xf900bfff,0xffffffff,0xff903dff,0xffffffff,
    0x3fffff61,0x1007ffff,0x9ffffff9,0x7ffffff4,0x3f20003f,0x00dfffff,
    0xfffff980,0x5fffffff,0x1bfffe20,0x3fffa000,0x00001eff,0x00026660,
    0xffd80000,0x0dfffb6f,0x913fff20,0x2a00bfff,0xfffffffe,0x3ff202ff,
    0xffffffff,0xffffffb0,0x9800ffff,0x3a4fffec,0x01efffff,0x77ffe400,
    0x6c40001c,0xffffffff,0x9999802d,0xcca80000,0x0000009a,0x00000000,
    0x6dbfff60,0x32006fff,0x00bf704f,0x57995510,0x33331003,0x44333333,
    0x99999999,0x4c400019,0x026b32a0,0x004c4000,0x79510000,0x00000135,
    0x00000000,0x5ddddddc,0xbbbbbbbb,0x3bbbbbbb,0x3ff60000,0x0dfffb6f,
    0x00140280,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfffff000,0xffffffff,0xffffffff,0x6c0000ff,0xfffb6fff,0x0000000d,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7fffc000,
    0xffffffff,0xffffffff,0x200007ff,0xffb6fffd,0x000000df,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7ffc0000,0xffffffff,
    0xffffffff,0x00007fff,0x54caaaa6,0x000002aa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2aa00000,0xaaaaaaaa,0xaaaaaaaa,
    0x0002aaaa,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4cc40000,0x32e60001,0x2000001c,
    0x4cc00009,0x00009999,0x4ccc4000,0x31000199,0x88000133,0x397100cc,
    0x80664400,0x33001cb8,0x00013333,0x4ccc4000,0x81310199,0x03fffffa,
    0x1fffe200,0x7fffec00,0x9500005f,0x37bffffd,0xffff9800,0x000001ff,
    0xffffff30,0xfff50005,0x260007ff,0x7c41ffff,0xf9801fff,0x7fc41fff,
    0xff9801ff,0x0001ffff,0xffff9800,0xfffb82ff,0x3ffffe63,0x3fea0002,
    0xffb8004f,0x004fffef,0x3ffff620,0x03ffffff,0x7fffec40,0x4000001f,
    0x0dfffff9,0xffffa800,0xc8003fff,0x7e44ffff,0xfc805fff,0x7fe44fff,
    0xfb1005ff,0x0003ffff,0x7fffcc00,0xfff980df,0xffff32ff,0x7e40005f,
    0xfe8002ff,0x00fff11f,0x3ffffa60,0xffffffff,0xfffb8005,0x000001ff,
    0x07fffff3,0x3fffea00,0x004ffffc,0x22ffffec,0x806ffffc,0x645ffffd,
    0x4006ffff,0x01fffffb,0xfff98000,0x3ff203ff,0xfff34fff,0x998005ff,
    0x0007fff8,0x0ffd8dff,0x7fffcc00,0xffffffff,0x98005fff,0x001ffffe,
    0x7fffcc00,0xff70001e,0x3ffa23df,0x3fea004f,0x7ffd42ff,0xfffa803f,
    0x7fffd42f,0xffe98003,0x200001ff,0x01effff9,0xa7ffffdc,0x01fffff9,
    0x7ffff654,0xd0005fff,0x1ffe65ff,0x3ffff600,0xffdbacef,0x0001ffff,
    0x00055555,0x0aaaaa80,0x55551000,0x01555501,0xa81f75c0,0x3ae003ee,
    0x07dd503e,0x2aaaa800,0x2aaa0000,0xff8800aa,0xfff11fff,0x3f6203ff,
    0xffffffff,0xff70005f,0x007fffff,0x4fffff98,0xbfffff50,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x177f4c00,0x03fffff1,
    0xfffffff3,0x0bffffff,0x3ffff200,0xffe8004f,0x7fd404ff,0x20001fff,
    0x20000009,0x20000009,0x00000009,0x01300000,0x00000000,0x20000000,
    0x41fffff8,0xfffffff9,0xffffffff,0x59510005,0xfff50003,0xfff001ff,
    0x654009ff,0x1bdffffe,0x3fb2a000,0x001bdfff,0x3fffb2a0,0xe8801bdf,
    0xd9004eee,0x95003ddd,0x37bffffd,0x9dddd100,0x3bbbb200,0x13bbba21,
    0x0f777640,0x1fffff00,0xcfffffe8,0xfffffd9a,0x3a2001ff,0x00eeeeee,
    0x17fffee0,0x2ffffe40,0x7fffec40,0x03ffffff,0x7fffec40,0x03ffffff,
    0x7fffec40,0x03ffffff,0x037fffcc,0x01ffffd8,0x3fffff62,0x403fffff,
    0x006ffff9,0x4c3ffffb,0xb006ffff,0x6543ffff,0x7fffc2cc,0x3fffea0f,
    0x7ffffc2f,0x2a006fff,0x3fffffff,0x3ffff200,0xffff5003,0xffffa80d,
    0xffffffff,0xfff5004f,0xffffffff,0x3ea009ff,0xffffffff,0x2604ffff,
    0xb006ffff,0x2a03ffff,0xffffffff,0x204fffff,0x006ffff9,0x4c3ffffb,
    0xb006ffff,0x7e43ffff,0x7fffc5ff,0x3ffffa0f,0x7f7ffcc2,0x9001ffff,
    0xbfffffff,0x7fffec00,0xffff3002,0x7fffcc0f,0xffffffff,0x7cc05fff,
    0xffffffff,0x05ffffff,0x7fffffcc,0xffffffff,0xffff305f,0x3fff600d,
    0xffff981f,0xffffffff,0xff305fff,0x3f600dff,0x3fe61fff,0xffb006ff,
    0x7ffe43ff,0x53ffffc5,0xf90fffff,0xffffd7ff,0x3fffe007,0x2007ffff,
    0x001ffffe,0x01fffff1,0x3bfffffa,0xffffdbab,0x3ffa01ff,0xdbabefff,
    0x01ffffff,0x3bfffffa,0xffffdbab,0xfff981ff,0xfffb006f,0xffffd03f,
    0xffb757df,0xf303ffff,0x3600dfff,0x3e61ffff,0xfb006fff,0x7fec3fff,
    0x3ffff46f,0xd09ffff7,0xfff71fff,0xfff300df,0x05ffffff,0x03ffffe0,
    0x7ffffc40,0xfffffa81,0xfffff503,0x3fffea0b,0xffff503f,0x3ffea0bf,
    0xfff503ff,0xfff30bff,0x3ff600df,0x7ffd41ff,0xfff503ff,0xfff30bff,
    0x3ff600df,0x3ffe61ff,0xfffb006f,0x37ffec3f,0xfc9ffffa,0x7fc41fff,
    0xfffff16f,0xbffff700,0x1009ffff,0x001fffff,0x40fffffc,0x404ffffe,
    0x80fffffb,0x404ffffe,0x80fffffb,0x404ffffe,0x40fffffb,0x006ffff9,
    0xe83ffffb,0x5c04ffff,0x4c0fffff,0xb006ffff,0x7cc3ffff,0xfb006fff,
    0x7fec3fff,0x3ffff46f,0xb81ffffb,0x3ffe3fff,0x7ff400ff,0x6ffff9ff,
    0xfffff880,0x3fffe000,0x7fffd41f,0xffff800f,0x7fffd44f,0xffff800f,
    0x7fffd44f,0xffff800f,0x7fffcc4f,0xffffb006,0x7ffffd43,0xfffff800,
    0x37fffcc4,0x1ffffd80,0x01bfffe6,0xb0ffffec,0xffe8dfff,0x3ffffa7f,
    0xf0ffff40,0x4401ffff,0xfff4ffff,0xff8803ff,0xf1001fff,0xfb81ffff,
    0xf9005fff,0xffb8bfff,0xff9005ff,0xfffb8bff,0xfff9005f,0xffff98bf,
    0xffffb006,0x2ffffdc3,0x5ffffc80,0x037fffcc,0x21ffffd8,0x006ffff9,
    0x743ffffb,0x7fec7fff,0x1ffffe6f,0xff8dfff1,0x3ea01fff,0xfffb2fff,
    0xffff007f,0x3fe6003f,0xfffc87ff,0xfff5003f,0xffffc8df,0xffff5003,
    0x3ffffc8d,0xdffff500,0x06ffff98,0x43ffffb0,0x003ffffc,0x98dffff5,
    0xb006ffff,0x7cc3ffff,0xfb006fff,0x7ff43fff,0xb7ffec7f,0x547ffff8,
    0x7ff44fff,0x3ff601ff,0xffff70ff,0xffffd00b,0x3ffe6005,0xffffe86f,
    0xffff3002,0x2ffffe8f,0xfffff300,0x02ffffe8,0x8fffff30,0x006ffff9,
    0x743ffffb,0x3002ffff,0xf98fffff,0xfb006fff,0x7fcc3fff,0xffb006ff,
    0x7fff43ff,0x9b7ffec7,0x7ec7ffff,0x7fff41ff,0x3fffe00f,0x3ffffe26,
    0x7ffff400,0xffff9005,0x3fffff0b,0x3fffe200,0x3ffffe0f,0xffff1001,
    0x7ffffc1f,0xffff1001,0x7fffcc1f,0xffffb006,0x0fffffc3,0xfffff880,
    0x1bfffe60,0x0ffffec0,0x00dffff3,0xf87ffff6,0x7fec7fff,0xfffff15f,
    0x7c3fffc4,0x3e607fff,0x7ff44fff,0x7fe402ff,0xffd007ff,0xffff05ff,
    0x3fe2001f,0x3ffe1fff,0xff1000ff,0x7ffc3fff,0xff1000ff,0x7fcc3fff,
    0xffb006ff,0x7fffc3ff,0xfff1000f,0x7ffcc3ff,0xfffb006f,0x7fffcc3f,
    0xffffb006,0x07ffffc3,0x7fc79995,0xfff50fff,0x0dffff09,0x20ffffe4,
    0x404ffffc,0x02fffff9,0x43ffffd4,0x00fffff9,0x47ffffe0,0x00fffff9,
    0x47ffffe0,0x00fffff9,0x87ffffe0,0x006ffff9,0x263ffffb,0x000fffff,
    0x987ffffe,0xb006ffff,0x7cc3ffff,0xfb006fff,0x7ffc3fff,0xfff000ff,
    0x3fff63ff,0x2ffffc42,0x50ffffd0,0xd00fffff,0x203fffff,0x83fffff9,
    0x00fffff8,0x47ffffe0,0x00fffff8,0x47ffffe0,0x00fffff8,0x87ffffe0,
    0x006ffff9,0x223ffffb,0x000fffff,0x987ffffe,0xb006ffff,0x7cc3ffff,
    0xfb006fff,0x7ffc3fff,0xffb000ff,0x1fffe7ff,0x413fffea,0xf05ffff8,
    0xb803ffff,0xacffffff,0xfffffba8,0xfffff00f,0x3ffe2003,0x7ffffc7f,
    0xffff1001,0x1fffff8f,0xfffff100,0x06ffff98,0x43ffffb0,0x001fffff,
    0x98fffff1,0xb006ffff,0x7cc3ffff,0xfb006fff,0x7ffc3fff,0x37b620ff,
    0x3bfffee1,0xfd85fff9,0xff703fff,0x3ff607ff,0xffd804ff,0xffffffff,
    0x202fffff,0x001fffff,0xf8dffff3,0x3001ffff,0xff8dffff,0xf3001fff,
    0xff98dfff,0xffb006ff,0x7fffc3ff,0xfff3001f,0xffff98df,0xffffb006,
    0x37fffcc3,0x1ffffd80,0x23fffff1,0x30fffff8,0xffbfffff,0xffff885f,
    0xffffb00f,0x3fffee01,0xfffe8806,0xffffffff,0x7ff402ff,0xff3002ff,
    0xfffe8bff,0xfff3002f,0xffffe8bf,0xffff3002,0x6ffff98b,0x3ffffb00,
    0x017ffff4,0x45ffff98,0x006ffff9,0x4c3ffffb,0xb006ffff,0x3e23ffff,
    0xff71ffff,0x7ff49fff,0x20ffffff,0x03ffffe8,0x2abffffe,0xfffcaaaa,
    0xfe8800ff,0xffffffff,0xffd802ff,0xff9005ff,0xfffd89ff,0xfff9005f,
    0xffffd89f,0xffff9005,0x6ffff889,0x1ffffd00,0x02ffffec,0x44ffffc8,
    0x006ffff8,0x441ffffd,0xd006ffff,0x3e21ffff,0xff91ffff,0x7fd4bfff,
    0x515fffff,0x40fffffd,0xfffffffa,0xffffffff,0x326003ff,0xbeffffff,
    0xffff9000,0x3fffa00f,0x7fffe43f,0xffffd007,0x7ffffc87,0x7ffffd00,
    0x00fffff0,0xf91ffffe,0x3a00ffff,0xff83ffff,0xfff007ff,0xfffff0ff,
    0x9ffffe00,0x52fffff9,0xd87fffff,0xffffffff,0x3fffffff,0x3fffff20,
    0xffffffff,0x8005ffff,0x006ffff8,0x2fffff88,0x7ffffd40,0x7ffffc40,
    0x7fffd402,0x7fffc40f,0x7ffd402f,0xfffe80ff,0x7ffc401f,0x7fffc45f,
    0x7ffd402f,0xfffe80ff,0x7ffc401f,0xffffe85f,0x7fffc401,0x3ffffe65,
    0x217fff22,0xffffffe8,0x3fffffff,0x7fffffc0,0xffffffff,0x0007ffff,
    0x001ffffd,0x3fffffb0,0x3ffffe60,0xfffffb03,0x3fffe603,0xffffb03f,
    0x3ffe603f,0xfffb03ff,0xfffc80bf,0xffffd84f,0xffff301f,0x3fff607f,
    0x7ffe405f,0xffffd84f,0x7fffe405,0x3ffffe64,0xd100d4c2,0xffffffff,
    0xf9803fff,0xeeeeefff,0xfffeeeee,0xfc8002ff,0x6440efff,0xfffff301,
    0xff75159f,0x2601ffff,0xacffffff,0xfffffba8,0xffff300f,0xf75159ff,
    0x201fffff,0x0dfffffa,0x0fffffc8,0xffffff98,0xfffba8ac,0xff500fff,
    0xf901bfff,0xf501ffff,0x901bffff,0x981fffff,0x00009999,0xfffffff7,
    0xf70019df,0x3a005fff,0x8004ffff,0xcffffffa,0x3a06ffdc,0xffffffff,
    0x3fffffff,0x7fffff40,0xffffffff,0x7ff403ff,0xffffffff,0x403fffff,
    0xeffffffe,0xffffffed,0x3ffffa03,0xffffffff,0x7f403fff,0xedefffff,
    0x03ffffff,0x3ffffffa,0xfffffede,0x4000003f,0x9aaafffe,0x7fff4000,
    0xfff7000f,0x3f6000df,0xffffffff,0xffb103ff,0xffffffff,0xb1009fff,
    0xffffffff,0x009fffff,0xffffffb1,0x9fffffff,0xfffff300,0xffffffff,
    0xffd880df,0xffffffff,0xf9804fff,0xffffffff,0x406fffff,0xfffffff9,
    0x6fffffff,0x7c400000,0x440006ff,0x2006ffff,0x00fffff9,0xfffff880,
    0x06ffffff,0x7fffffe4,0x002fffff,0x7fffffe4,0x002fffff,0x7fffffe4,
    0x002fffff,0x3fffffa6,0x04ffffff,0x3fffff20,0x02ffffff,0x3ffffa60,
    0x4fffffff,0xffffd300,0x9fffffff,0xf7000000,0xa80007ff,0x4003ffff,
    0x003fffff,0xfffff910,0x2a009fff,0xeffffffd,0xfb50000c,0x19dfffff,
    0x3ff6a000,0x00ceffff,0xffffd700,0x0003bfff,0xffffffb5,0x2e00019d,
    0xfffffffe,0xfeb8001d,0x1dffffff,0xfd000000,0xd80003ff,0x4001ffff,
    0x005ffffd,0x66e5d440,0x5310000a,0x88000013,0x000009a9,0x0004d4c4,
    0x026aa600,0x9a988000,0x54c00000,0x2000009a,0x00009aa9,0x2aaa8000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x10000000,0x80001333,0x880bcdb8,
    0xcdb88000,0x2000880b,0x97100cc8,0x19880003,0x33333300,0x4ccc0001,
    0x00000999,0x00999880,0x09998800,0x98800000,0x4c019999,0x00099999,
    0xfffa8000,0xf90003ff,0xd87fffff,0x3ff2000e,0x76c3ffff,0xffff9800,
    0x0ffffc41,0xffdb7500,0x3017bfff,0x03ffffff,0x3fffe600,0x000001ff,
    0x0fffffea,0xffffa800,0x2000003f,0x2ffffff9,0x7ffffcc0,0x2000001f,
    0xfffffffa,0x7ffd4003,0xfdffffff,0xfa800fff,0xffffffff,0x400ffffd,
    0x644ffffc,0x9805ffff,0xfffffffe,0xb104ffff,0x003fffff,0x3ffff620,
    0xa800001f,0x3fffffff,0xffffa800,0x00003fff,0xdfffff98,0xfffb1000,
    0x000003ff,0xff9ffff5,0x7f4009ff,0xfffffeff,0xd003ffff,0xffffdfff,
    0x007fffff,0xc8bffffb,0x5c06ffff,0xffffffff,0x404fffff,0x01fffffb,
    0x3fffee00,0x2a00001f,0xfffcffff,0x3fea004f,0x4ffffcff,0x3fe60000,
    0x70003fff,0x003fffff,0x77ffdc00,0x09fffd11,0xfb83ba20,0x005fffff,
    0xffb83ba2,0x5005ffff,0xfa85ffff,0x3f603fff,0xffffffff,0x804fffff,
    0x01ffffe9,0x3fffa600,0xfb80001f,0xffd11eff,0xfff7009f,0x3fffa23d,
    0xff980004,0x40001eff,0x01ffffe9,0xaaaa8800,0x00aaaa80,0xdb710110,
    0x01100037,0x0037db71,0xd503eeb8,0x7ffdc07d,0xaabdefff,0x2004ffdc,
    0x0002aaaa,0x002aaaa8,0x05555440,0x10055554,0x55015555,0xa8000155,
    0x0000aaaa,0x00aaaaa0,0x00000000,0x00000000,0x00000000,0x7fffffc4,
    0x00154403,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000980,0x00000000,0xfffff900,0x00000005,0x00000000,0x00000000,
    0x00000000,0x80000000,0x004eeee8,0x003dddd9,0xbffffd95,0x3bba0037,
    0x74c01eee,0xee881eee,0xeeeeeeee,0x225eeeee,0x004fffff,0xeeeee880,
    0xeeeeeeee,0xee8805ee,0x000eeeee,0xeeeeee88,0xeeeeeeee,0xeee8805e,
    0x7000eeee,0x800bdddd,0xd83eeeec,0xeeeeeeee,0x6eeeeeee,0x37fffcc0,
    0x1ffffd80,0x3ffff620,0x03ffffff,0x5ffffff8,0x17fffcc0,0x7fffffcc,
    0xffffffff,0x3fffee6f,0xf980001f,0xffffffff,0x06ffffff,0xffffffa8,
    0xff98003f,0xffffffff,0x806fffff,0xfffffffa,0xffff1003,0x3fe2005f,
    0xfff80fff,0xffffffff,0x407fffff,0x006ffff9,0x203ffffb,0xfffffffa,
    0x04ffffff,0x7ffffffc,0x3fffe600,0xfffff982,0xffffffff,0x3fff26ff,
    0xf300005f,0xffffffff,0x0dffffff,0xffffff90,0xff3000bf,0xffffffff,
    0x00dfffff,0xfffffff9,0x7ffe400b,0xfffb006f,0x3fffe09f,0xffffffff,
    0x4c07ffff,0xb006ffff,0xf303ffff,0xffffffff,0x0bffffff,0x7ffffffc,
    0x3fffe604,0xfffff982,0xffffffff,0x3fffa6ff,0xf300004f,0xffffffff,
    0x0dffffff,0xfffffff0,0xff3000ff,0xffffffff,0x00dfffff,0xffffffff,
    0x7ffc400f,0x7fc402ff,0xfff00fff,0xffffffff,0x80ffffff,0x006ffff9,
    0xd03ffffb,0x57dfffff,0xffffffb7,0x3ffffe03,0xff300fff,0xfff305ff,
    0x555555ff,0x7fc55555,0x00003fff,0x55fffff3,0x55555555,0xffff9805,
    0x002fffff,0x57ffffcc,0xaaaaaaaa,0x7ffcc02a,0x02ffffff,0x1bffff20,
    0x09ffffb0,0x7d555554,0xaaabffff,0x7ffcc02a,0xfffb006f,0xffffa83f,
    0xffff503f,0x3fffe0bf,0xf303ffff,0xff305fff,0xf1000dff,0x0005ffff,
    0x1bfffe60,0xfffb8000,0x04ffffdf,0x37fffcc0,0xfff70000,0x09ffffbf,
    0x7ffffc40,0xfffff302,0xffff0001,0xff30001f,0x3f600dff,0x7ff41fff,
    0x7fdc04ff,0xfff80fff,0x307fffff,0xf305ffff,0x3000dfff,0x003fffff,
    0x3fffe600,0x3fa00006,0xffff9fff,0x7ffcc006,0x3a00006f,0xfff9ffff,
    0x7fe4006f,0xfffb05ff,0x3fe0009f,0x98000fff,0xb006ffff,0x7d43ffff,
    0xf800ffff,0xff84ffff,0x3fffffff,0x82ffff98,0x006ffff9,0x1fffff98,
    0xfff30000,0x220000df,0xfff4ffff,0x7cc003ff,0x00006fff,0x3e9ffff1,
    0x2001ffff,0x41fffff8,0x00fffff9,0x1fffff00,0xffff3000,0x3fff600d,
    0x3fffee1f,0xffff9005,0xf9ffff0b,0xff30dfff,0xfff305ff,0xff1000df,
    0x00005fff,0x01bfffe6,0x7fffd400,0x07ffffb2,0x37fffcc0,0xfffa8000,
    0x7ffffb2f,0xffffc800,0x27fffec5,0xfffff000,0xfff30001,0x3ff600df,
    0x3fff21ff,0xfff5003f,0x7ffff0df,0x985ffff9,0xf982ffff,0xf0006fff,
    0x0007ffff,0x1bfffe60,0x7ffec000,0xbffff70f,0x7fffcc00,0xffb00006,
    0x3ffee1ff,0x7fc4005f,0xfff10fff,0x7c0001ff,0x8000ffff,0x006ffff9,
    0x743ffffb,0x3002ffff,0xff0fffff,0xffff37ff,0x2ffff98d,0x06ffff98,
    0x9ffffd00,0x3fe60000,0xf00006ff,0x7fc4dfff,0xf3000fff,0x0000dfff,
    0xf89bfffe,0x4000ffff,0xf94ffffc,0x80009fff,0x000fffff,0x06ffff98,
    0x43ffffb0,0x001fffff,0x81fffff1,0xffb3ffff,0x7ffcc3ff,0xffff982f,
    0xeeeeeeef,0x3ff62eee,0x80000fff,0xeefffff9,0xeeeeeeee,0x9ffff302,
    0x02ffffe8,0xdfffff30,0xdddddddd,0x3ffe605d,0x7ffff44f,0x7ffc4002,
    0xfffff8ff,0x7ffc0000,0xf98000ff,0xfb006fff,0x7ffc3fff,0xff1000ff,
    0xfff83fff,0xbffff53f,0x417fffcc,0xfffffff9,0xffffffff,0x3fffff22,
    0xff980003,0xffffffff,0x902fffff,0xfc83ffff,0xf3004fff,0xffffffff,
    0x05ffffff,0x907ffff2,0x0009ffff,0xffdffff9,0xf00009ff,0x0001ffff,
    0x00dffff3,0x4c7ffff6,0x000fffff,0xf07ffffe,0x7ff47fff,0xffff30ff,
    0xfffff305,0xffffffff,0x7ffc45ff,0x40001fff,0xfffffff9,0xffffffff,
    0x0ffffd02,0x00fffff5,0x3fffffe6,0xffffffff,0xffffd02f,0x0fffff50,
    0xfffff100,0x0001ffff,0x01fffff0,0xdffff300,0x3ffff600,0x1fffff11,
    0x7ffffc00,0x71ffffc1,0x3e69ffff,0xff982fff,0xffffffff,0x642fffff,
    0x02ffffff,0xfff982a8,0xffffffff,0xf882ffff,0xfff05fff,0xff3003ff,
    0xffffffff,0x105fffff,0x3e0bffff,0x8001ffff,0xfffffffc,0xfff00004,
    0xf30001ff,0x3600dfff,0x3fe1ffff,0xf1001fff,0xfff0ffff,0xfffff87f,
    0x82ffff98,0x99effff9,0x99999999,0x7ffffc40,0xa99abdff,0xff984ffc,
    0x99999eff,0xb8099999,0xfb03ffff,0xf3009fff,0x3333dfff,0x01333333,
    0x207ffff7,0x004ffffd,0xffffff88,0xff00000f,0x30001fff,0x200dffff,
    0x3e1ffffd,0x3001ffff,0xff0dffff,0xfffc87ff,0x2ffff9bf,0x06ffff98,
    0x7fffdc00,0xffffffff,0xff984fff,0x6c0006ff,0xf700ffff,0xf300dfff,
    0x8000dfff,0x700ffffd,0x000dffff,0x13fffff2,0xffff8000,0xff98000f,
    0xffb006ff,0x7fff43ff,0xfff3002f,0x7ffff0bf,0x9effff88,0xf982ffff,
    0x80006fff,0xfffffffb,0x4fffffff,0x06ffff98,0x7ffffc00,0xfcaaaaaa,
    0x4c00ffff,0x0006ffff,0x557ffffc,0xfffcaaaa,0xf98000ff,0x0000ffff,
    0x03ffffe0,0x3fffe200,0xffffd006,0x2ffffec1,0x4ffffc80,0xc83ffff8,
    0xfffcffff,0xffff982f,0xff300006,0xffffffff,0xff309fff,0x54000dff,
    0xffffffff,0xffffffff,0x7ffcc03f,0x3ea0006f,0xffffffff,0xffffffff,
    0xfff88003,0x7c00007f,0x0000ffff,0x200fffff,0x7e47ffff,0xfd007fff,
    0xfff07fff,0xffff307f,0x305fffff,0x000dffff,0xffffda80,0x301cffff,
    0x000dffff,0x7fffffe4,0xffffffff,0x7cc05fff,0x20006fff,0xfffffffc,
    0xffffffff,0xf88005ff,0x00007fff,0x007ffffc,0x1ffffe80,0x2ffffc40,
    0x0bffffe2,0x1fffff50,0x207ffff0,0xfffffffd,0xffff982f,0xfd000006,
    0x30013bff,0x000dffff,0x7ffffffc,0xffffffff,0x7cc07fff,0x20006fff,
    0xffffffff,0xffffffff,0xf88007ff,0x00007fff,0x007ffffc,0x5ffffd80,
    0x27fffe40,0x0fffffec,0x3fffff98,0x207ffff0,0xfffffffa,0xffff982f,
    0xf8800006,0x26002fff,0x0006ffff,0xdddffff3,0xfddddddd,0x4c05ffff,
    0x0006ffff,0xdddffff3,0xfddddddd,0x8005ffff,0x007ffff8,0x7ffffc00,
    0xfff50000,0xff901bff,0xff301fff,0x5159ffff,0x1ffffff7,0x80ffffe0,
    0xfffffffe,0xeffff982,0x99999999,0xff300099,0xff9800ff,0x99999eff,
    0x2e099999,0xd002ffff,0x4c09ffff,0x999effff,0x09999999,0x00bfffee,
    0x027ffff4,0x1ffffe20,0x4ccccc00,0x99fffff9,0xfd001999,0xdbdfffff,
    0x07ffffff,0x7ffffff4,0xffffffff,0x3fffe03f,0x3fffee03,0xff982fff,
    0xffffffff,0x006fffff,0x8009fff7,0xfffffff9,0xffffffff,0x03ffffa6,
    0x37fffdc0,0xffffff30,0xffffffff,0x7ffff4df,0xffff7000,0xfff8800d,
    0xfff0007f,0xffffffff,0x00ffffff,0x3fffffe6,0xffffffff,0x7ffec406,
    0xffffffff,0x7ffc04ff,0x7fffc03f,0xff982fff,0xffffffff,0x006fffff,
    0x8003fffb,0xfffffff9,0xffffffff,0x0dffff16,0x7ffffcc0,0xfffff300,
    0xffffffff,0x3ffe2dff,0x3fe6006f,0x22000fff,0x0007ffff,0xffffffff,
    0xffffffff,0x7ff4c00f,0xffffffff,0x3ff2004f,0xffffffff,0xffff802f,
    0x7fffe403,0xfff982ff,0xffffffff,0xd006ffff,0xf3000dff,0xffffffff,
    0x2dffffff,0x003ffffa,0x81fffffc,0xfffffff9,0xffffffff,0x07ffff56,
    0x3fffff80,0x3fffe200,0xffff0007,0xffffffff,0x000fffff,0xffffffd7,
    0xb50003bf,0x9dffffff,0x3fffe001,0x7fffc403,0xfff982ff,0xffffffff,
    0x0006ffff,0xffff3000,0xffffffff,0x3ff6dfff,0x7ec001ff,0xff305fff,
    0xffffffff,0x36dfffff,0x4001ffff,0x005ffffd,0x01ffffe2,0x7fffffc0,
    0xffffffff,0x4c0007ff,0x000009aa,0x00026a62,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x199a9880,0xbcdb8800,0x88000880,0x397100cc,0x26662000,0x19910000,
    0x00072e20,0x26666200,0x3fffea19,0x00000003,0x007ffff5,0xfffdb975,
    0x005fffff,0x99998800,0x22000019,0x00199999,0xffffffb5,0xf9007dff,
    0xd87fffff,0x3fe6000e,0x7ffc41ff,0x7fd4001f,0x4c003fff,0x7c41ffff,
    0x00001fff,0x3fffffe6,0x037fff42,0xfe800000,0x3aa00fff,0xffffffff,
    0x002fffff,0x3fffe600,0x300002ff,0x05ffffff,0xfffffe98,0x04ffffff,
    0x7fffffd4,0xffffdfff,0xffff9000,0x5ffffc89,0x3fffea00,0x32003fff,
    0x7e44ffff,0x00005fff,0x1bfffff3,0x05ffff70,0xf9800000,0xfd504fff,
    0xffffffff,0x05ffffff,0x3ffe6000,0x00000dff,0x1bfffff3,0xffffe880,
    0xffffffff,0x77fff404,0xffffffff,0x3ff6003f,0x7ffe45ff,0xfff5006f,
    0x09ffff9f,0x17ffff60,0x00dffff9,0xfffff300,0x7fffc407,0x40000005,
    0x981ffffd,0xffffffff,0xffffffff,0xf980002f,0x0003ffff,0x3ffffe60,
    0xffffd003,0xfb9959df,0x0ee8809f,0x3fffffee,0x7ffd4005,0x7fffd42f,
    0xefffb803,0x09fffd11,0x85ffff50,0x003ffffa,0x77fffcc0,0xffffc801,
    0x10000001,0xd10bffff,0xffffffff,0x7fffdcdf,0x7fcc0002,0x00001eff,
    0x07bfffe6,0x7ffffc40,0x4400c403,0x1bedb880,0x07dd7000,0x2200fbaa,
    0xaa80aaaa,0xeeb800aa,0x007dd503,0x15555500,0x3fffe600,0x70000004,
    0xf905ffff,0xffffffff,0x7fffdcdf,0x55540002,0x400000aa,0x000aaaaa,
    0x01ffffea,0x00000000,0x00000000,0x00000000,0x20000000,0x000ffffe,
    0xffff8000,0xffffff06,0x5cdfffff,0x0002ffff,0x00000000,0xffffa800,
    0x0000001f,0x00000000,0x00000000,0x00000000,0x7fffd400,0x54000003,
    0xf883ffff,0xffffffff,0x3ffee6ff,0x0000002f,0x80000000,0x1ffffff8,
    0x3ba20000,0x000eeeee,0xeeeeeed8,0xeeeeeeee,0xddddb06e,0xdddddddd,
    0x2200dddd,0x0eeeeeee,0xeeee8800,0xeeeeeeee,0x3fe05eee,0x000006ff,
    0x407ffff4,0xfffffff9,0x3ee6ffff,0x10002fff,0x1ddddddd,0xddddb000,
    0xdddddddd,0x7ec0dddd,0x00cfffff,0xffffa800,0xf8003fff,0xffffffff,
    0x7fffffff,0xfffffff0,0xffffffff,0x3fea00ff,0x003fffff,0xffffff98,
    0xffffffff,0x3ffee06f,0x3000002f,0x2a09ffff,0xffffffff,0x3fee6fff,
    0xf50002ff,0x07ffffff,0xffffff00,0xffffffff,0x3fa20fff,0x3fffffff,
    0x7ffe4000,0x8005ffff,0xffffffff,0xffffffff,0xffffff07,0xffffffff,
    0x3f200fff,0x05ffffff,0xfffff980,0xffffffff,0x3fe206ff,0x000005ff,
    0x203ffff9,0xfffffff9,0x3ee6ffff,0x90002fff,0xbfffffff,0xfffff000,
    0xffffffff,0xff30ffff,0xffffffff,0x3e0003df,0x7fffffff,0xfffff800,
    0xffffffff,0xfff07fff,0xffffffff,0x00ffffff,0x3ffffffe,0xff98007f,
    0xffffffff,0x406fffff,0x000ffffd,0x7fffc400,0x3fffe205,0x6fffffff,
    0x00bfffee,0x7fffffc0,0xff8007ff,0xffffffff,0x87ffffff,0xfffffffe,
    0x04ffffff,0x7ffffcc0,0x4002ffff,0xffaaaaaa,0xaaaabfff,0x55555502,
    0x557fffff,0xff300555,0x5fffffff,0xffff9800,0xaaaaaaaf,0x7cc02aaa,
    0x00004fff,0x017fffdc,0x3ffffffa,0x3ee6ffff,0x98002fff,0xffffffff,
    0x5554002f,0xfffffaaa,0x5c2aaaab,0xfb9fffff,0x5fffffff,0x3fffee00,
    0x004ffffd,0x1fffff00,0xffff0000,0x3ee0001f,0xffffdfff,0x7ffcc004,
    0x7400006f,0x0000ffff,0x01bfffa0,0x3fffffee,0x3ee6ffff,0xb8002fff,
    0xfffdffff,0xff00004f,0xfd001fff,0x7ec47fff,0x05ffffff,0xf3ffffd0,
    0x0000dfff,0x003ffffe,0x3ffffe00,0xfffd0000,0x0dffff3f,0x6ffff980,
    0x7fd40000,0x500003ff,0x2007ffff,0xfffffffd,0x3ffee6ff,0xffe8002f,
    0x6ffff9ff,0xffff0000,0xffff001f,0xfffd303f,0xf8805fff,0xffff4fff,
    0xff00003f,0x00001fff,0x001fffff,0x29ffff10,0x001fffff,0x01bfffe6,
    0x3fffe000,0xffb00006,0x3a2001ff,0xffffffff,0x0bfffee6,0x9ffff100,
    0x007ffffe,0x3ffffe00,0x7fffc400,0x3fff603f,0x7fd407ff,0xffffb2ff,
    0xfff00007,0xf00001ff,0x0001ffff,0x365ffff5,0x2003ffff,0x006ffff9,
    0xffffc800,0x7fcc0001,0x644004ff,0x6fffffff,0x00bfffee,0x25ffff50,
    0x003ffffd,0x0fffff80,0x6ffffe80,0x7ffffec0,0x3ffff601,0x0bffff70,
    0xfffff000,0xfff00001,0xfb0001ff,0x3fee1fff,0x3e6005ff,0x00006fff,
    0x05ffff88,0x7fffe400,0xff910001,0x7fdcdfff,0x7ec002ff,0xfff70fff,
    0xff0000bf,0xfb001fff,0x201dffff,0x02fffff9,0xf89bfffe,0x0000ffff,
    0x007ffffc,0x7ffffc00,0xffff8000,0x3ffffe26,0xffff3000,0x3600000d,
    0x0000ffff,0x00dffff1,0x8eaa6200,0x002ffffb,0xf137fffc,0x0001ffff,
    0x00fffff8,0xffffff98,0xffffd02e,0x3fffe607,0x17ffff44,0x3fffe000,
    0xff80000f,0x4c000fff,0x7f44ffff,0xf3002fff,0xddddffff,0x05dddddd,
    0x27fffcc0,0xffffb800,0xb8000002,0x2002ffff,0x744ffff9,0x0002ffff,
    0x007ffffc,0xffffffc8,0x3ffe20df,0xfff901ff,0xffffc83f,0x7ffc0004,
    0xf80000ff,0x4000ffff,0x641ffffc,0x3004ffff,0xffffffff,0x5fffffff,
    0x7fffe800,0xffffd000,0x2e000000,0x2002ffff,0x641ffffc,0x0004ffff,
    0x007ffffc,0xffffff90,0x3fff27ff,0x3fffa07f,0x7ffffa87,0x7fffc000,
    0xff80000f,0x74000fff,0xffa87fff,0xff3007ff,0xffffffff,0x005fffff,
    0x02ffffa8,0x1ffffd40,0xfb800000,0x3a002fff,0xffa87fff,0x7c0007ff,
    0x4000ffff,0xfffffffb,0x3fffffef,0x0bffff10,0x007ffffe,0x0fffff80,
    0xffff8000,0x3fe2000f,0xffff05ff,0xfff3003f,0xffffffff,0x0005ffff,
    0x800dffff,0x000ffffd,0xfff70000,0x3fe2005f,0xffff05ff,0x7fc0003f,
    0x98000fff,0xfffffffe,0x2e06ffff,0xfb03ffff,0x40009fff,0x000fffff,
    0x0fffff80,0x3fffee00,0x9ffffb03,0xdffff300,0x33333333,0xf9000133,
    0x22003fff,0x0005ffff,0x3ffee000,0xfff7002f,0x3fff607f,0x3fe0004f,
    0x20000fff,0xfffffffb,0x3f600dff,0xff700fff,0x7c000dff,0x0000ffff,
    0x00fffff8,0x03ffff60,0x037fffdc,0x037fffcc,0x3fe20000,0xff9005ff,
    0x000003ff,0x17fffdc0,0x0ffffd80,0x0dffff70,0x7ffffc00,0x7e440000,
    0x00ffffff,0x557ffffc,0xfffcaaaa,0xff0000ff,0x00001fff,0x001fffff,
    0x557ffffc,0xfffcaaaa,0x7fcc00ff,0x000006ff,0x00ffffd8,0x037fffc4,
    0x3f200000,0xff001fff,0x55555fff,0x1fffff95,0x3fffe000,0xf300000f,
    0x407fffff,0xfffffffa,0xffffffff,0xff0003ff,0x00001fff,0x001fffff,
    0x3fffffea,0xffffffff,0x7cc03fff,0x00006fff,0x3ffff980,0x17fffdc0,
    0x36000000,0xa800ffff,0xffffffff,0xffffffff,0xfff0003f,0x400001ff,
    0x04fffff8,0x3ffffff2,0xffffffff,0xf0005fff,0x0001ffff,0x01fffff0,
    0x3fffff20,0xffffffff,0x4c05ffff,0x0006ffff,0xffffd000,0x07fffe80,
    0x7c400000,0xf9007fff,0xffffffff,0xffffffff,0x3ffe000b,0x400000ff,
    0x205ffffd,0xffffffff,0xffffffff,0xff0007ff,0x00001fff,0x001fffff,
    0x3ffffffe,0xffffffff,0x7cc07fff,0x00006fff,0x5ffff700,0x13fffe60,
    0x00db8000,0x017ffff6,0x7ffffffc,0xffffffff,0xf0007fff,0x3001ffff,
    0x3fffe200,0xffff303f,0xdddddddd,0x5fffffdd,0xfffff000,0xfff00001,
    0xff3001ff,0xddddddff,0xffffdddd,0x7ffcc05f,0x0000006f,0x20dffff1,
    0x000ffffd,0x79fff300,0xffffd533,0xfff3003f,0xdddddddf,0xfffffddd,
    0xffff0005,0x7bfb001f,0x3f6a6133,0xf700ffff,0x3a005fff,0x2604ffff,
    0xfff99999,0x199999ff,0xf3333330,0x3333ffff,0xffffb833,0xffffd002,
    0x7fffcc09,0x9999999e,0x40000999,0x441ffffc,0x0005ffff,0x3fffffa0,
    0xffffffff,0xffff7003,0x3fffa005,0x2666604f,0x9fffff99,0x7ec19999,
    0xffffffff,0x205fffff,0x000ffffe,0x40dffff7,0xffffffff,0xffffffff,
    0xffffff07,0xffffffff,0xfffe8fff,0xfff7000f,0x7ffcc0df,0xffffffff,
    0x0006ffff,0x227fffc4,0x001ffffc,0xffffd100,0xffffffff,0x7fff400b,
    0xfff7000f,0x7fffc0df,0xffffffff,0x7ec7ffff,0xffffffff,0x2205ffff,
    0x2006ffff,0x00fffff9,0xffffffff,0xffffffff,0x3ffffe0f,0xffffffff,
    0x3fe27fff,0x3e6006ff,0xf300ffff,0xffffffff,0x0dffffff,0xffffb000,
    0x037fffc1,0x7ff54000,0x2effffff,0x3fffe200,0x3ffe6006,0xffff00ff,
    0xffffffff,0xfd8fffff,0xffffffff,0x7d403eff,0x7c003fff,0xff03ffff,
    0xffffffff,0x0fffffff,0x3ffffffe,0xffffffff,0x3fffea7f,0x7fffc003,
    0xffff303f,0xffffffff,0x0000dfff,0x22155551,0x0001aaaa,0x37b2e600,
    0xfa8002bc,0x7c003fff,0xff03ffff,0xffffffff,0x0fffffff,0xdddd9953,
    0x3f600399,0x6c001fff,0xff05ffff,0xffffffff,0x0fffffff,0x3ffffffe,
    0xffffffff,0x3ffff67f,0x7ffec001,0xffff305f,0xffffffff,0x0000dfff,
    0x00000000,0xfd800000,0x6c001fff,0xff05ffff,0xffffffff,0x0fffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xd9500000,0x22000059,0x88000019,0x35300009,
    0x30000000,0x26200201,0x20002600,0x800001a8,0x800009a9,0x00260098,
    0x04c01310,0x33310000,0xd8000001,0x00efffff,0x7fff6440,0xeeeeeeff,
    0x1dddd14e,0x6fffff5c,0xffffb801,0xfff9802f,0xfedb9805,0xfeccefff,
    0x07bff201,0x200bffd1,0x0cffffd9,0xfeb801d4,0x01dfffff,0x41effc80,
    0x9005ffe8,0xfe883dff,0xf900005f,0x7f5405ff,0x7fe4002e,0x005fffff,
    0x3fffffee,0xffffffff,0x3ffff15f,0xffffffd1,0x7fec05ff,0x403fffff,
    0x6400fffe,0xffffffff,0x301fffff,0xfd8dffff,0x7c402fff,0xbfffffff,
    0x2a03ffb9,0xfffffffe,0x26005fff,0x7ec6ffff,0x7cc02fff,0x7fec6fff,
    0xf80002ff,0xff500fff,0x22007fff,0xfff52fff,0xffff5001,0xffffffff,
    0x3e2bffff,0xfffeafff,0x3fffffff,0xfeffffa8,0xff900fff,0x7ff4c07f,
    0xffffffff,0xf701ffff,0xfff8ffff,0x7ff404ff,0xffffffff,0xf980ffff,
    0xffffffff,0x7005ffff,0xff8fffff,0x7dc04fff,0x7ffc7fff,0x4c0004ff,
    0x3fa05fff,0x3007ffff,0x2ffd8bff,0x7ffffc40,0xffffdaac,0xff14eeef,
    0xffffffff,0x0fffffff,0x3ee1dffd,0xfff983ff,0x3fffe206,0xffeeefff,
    0xf301ffff,0xffd8dfff,0x7fdc02ff,0xfffffb9c,0xffd01fff,0xfd97dfff,
    0x3005ffff,0xfd8dffff,0x7cc02fff,0x7fec6fff,0x988002ff,0x102fffd9,
    0x1fffffff,0xd8dff300,0x7fe402ff,0xfff882ff,0xffff886f,0xc88bffff,
    0x223fffff,0x3fe24fff,0x0fffe84f,0x3fffff20,0xffffd80b,0x07bff201,
    0x200bffd1,0x7ffe443b,0xfff702ef,0xfffb03df,0x3ff2009f,0x2fff441e,
    0x41effc80,0x2005ffe8,0xfffffedb,0x3ffe00ff,0xf000ffff,0xfff959ff,
    0x6fffd801,0x07ffff20,0xdffffff1,0x9bffff60,0x7f42fff9,0x1fffdc5f,
    0x5fffff30,0x0ffffec0,0x01300620,0x02aa2000,0x05ffffb0,0x01bfffe6,
    0x004c0188,0x01300620,0x3ffffa60,0x05ffffff,0x17fffff2,0xfffffa80,
    0xfff803ff,0x3ffe604f,0x7fffc43f,0xfff300ef,0x3ffe61ff,0xf32fff43,
    0xffd80dff,0x7fec06ff,0x000001ff,0x3a000000,0x3e607fff,0x00005fff,
    0x00000000,0x7fffffdc,0xefffffff,0x1bfff900,0xffffb800,0xffff003f,
    0x7fffcc0b,0x7ffffc42,0x7ffffc00,0x449fff11,0x3ffa4fff,0x7fff401f,
    0x7ffec02f,0x0000001f,0x00199880,0xc81bfffe,0x0004ffff,0x100000cc,
    0xf9800333,0xfeffffff,0x05ffffff,0x88000262,0x3a000aba,0xf700ffff,
    0xff883fff,0xffe806ff,0x3fffe2ff,0x72fffc8a,0xff007fff,0xfd801fff,
    0x77441fff,0x776404ee,0xfb5101ee,0xbfffffff,0x3fffe203,0xfffff506,
    0xfec98001,0x000cefff,0xfffffb51,0xe803bfff,0xf51effff,0x5fffffff,
    0x4c400000,0x7fe40019,0xfff883ff,0xffff887f,0xffffd806,0x3ffffee3,
    0xfff36fff,0xffff300d,0xffffb00f,0x6ffff883,0x0ffffec0,0x7fffffc4,
    0xefffffff,0x37fffc40,0x1fffffd4,0x3fffee00,0x03ffffff,0x7fffffc4,
    0xefffffff,0xeffffa80,0x3fbfff60,0x00005fff,0xfffffb51,0x8803bfff,
    0xacffffff,0x83fffffc,0x806ffff8,0x743ffffd,0x1effffff,0x5003fffd,
    0xb00dffff,0xf883ffff,0x7ec06fff,0xff881fff,0xffffffff,0x7c46ffff,
    0x7fd46fff,0x22003fff,0xfffffffd,0x205fffff,0xfffffff8,0x6fffffff,
    0x22ffffe8,0xff8ffff8,0x40000fff,0xfffffff8,0x0effffff,0x3ffffee0,
    0x5fffffff,0x0dffff10,0x05ffffb0,0x219dffd7,0x5004fffb,0xb00dffff,
    0xf883ffff,0x7ec06fff,0xff881fff,0xfcccceef,0x223fffff,0x3e26ffff,
    0x4003ffff,0xbdfffffc,0x2fffffec,0x9ddfff10,0xfffff999,0x6ffff87f,
    0xfda7ffd4,0x40002fff,0xfffffff8,0x6fffffff,0xffffff10,0x19ffffff,
    0x1bfffe20,0x07ffffa0,0x6fff8810,0x3fffe600,0xffffd807,0x37fffc41,
    0x07ffff60,0xd8806fa2,0x3e26ffff,0x3fea6fff,0x7c4005ff,0xfb80efff,
    0x7d106fff,0x7ffec403,0x3fffe26f,0xb8fffec4,0x0003ffff,0x6777ffc4,
    0xfffffccc,0xdfffd83f,0x0ceeffec,0x37fffc40,0x1ffffe20,0x07fff600,
    0x7ffff880,0x1ffffe80,0x037fffc4,0x007ffff6,0xfffff100,0x937fffc4,
    0x8007ffff,0x201ffffd,0x002ffffd,0x3ffffc40,0x447ffff5,0x3fea7fff,
    0x440003ff,0x3f6201be,0x7fcc6fff,0x440000ff,0x6406ffff,0x4006ffff,
    0x8004fffb,0x201fffff,0x41fffffd,0x406ffff8,0x001ffffd,0x0ffffe80,
    0x5cdffff1,0x2005ffff,0x405ffff8,0x004ffffa,0x0ffffe80,0x5c7ffff7,
    0x3fea4fff,0x6f6cc4ff,0x3e200001,0x7fd47fff,0x440000ff,0x2206ffff,
    0x004fffff,0x001bffe2,0x82fffff4,0x1ffffffc,0x037fffc4,0x007ffff6,
    0x3ffff600,0x4dffff11,0x03fffffa,0x07ffff50,0x05ffff98,0xffffd800,
    0x47ffff71,0x3ea1fffd,0x3fe63fff,0x00002fff,0xa83ffffa,0x001dffff,
    0x1bfffe20,0x37ffffcc,0x07fff600,0x3ffea001,0x3ff663ff,0x441fffff,
    0x6c06ffff,0x8801ffff,0xfeeeccaa,0xff11ffff,0x7ffc4dff,0xfb805fff,
    0xeeeeefff,0xffffeeee,0xccaa8806,0xfffffeee,0x29ffff51,0x7dc6fff8,
    0x3ffa2fff,0x00007fff,0x887ffff6,0xffffffff,0x02cdefff,0xbdfffff1,
    0xfffffd99,0x7fd4003f,0x3bffb24f,0x7ffffc04,0xfffffeff,0x7c41ffff,
    0x7ec06fff,0x32201fff,0xffffffff,0xf11fffff,0xffa8dfff,0x200effff,
    0xfffffffc,0xffffffff,0x3f2207ff,0xffffffff,0xff31ffff,0x3ffeebff,
    0x8ffffec4,0xfffffff8,0x99551000,0xfffffddd,0xfffffb83,0xffffffff,
    0x7ffc42ef,0xffffffff,0x2004ffff,0xe88ffff8,0x0effffff,0xffffff70,
    0xffbfffff,0xfff883ff,0x7ffec06f,0xffff701f,0xffffffff,0x3fe23fff,
    0xfffc86ff,0xfd01ffff,0xffffffff,0xffffffff,0x3fffee0f,0xffffffff,
    0xfff11fff,0x3fffd1ff,0x23ffffc4,0x0fffffff,0x7fffe440,0xffffffff,
    0xffffd81f,0xffffffff,0x3fe22fff,0xffffffff,0x4001efff,0xffb2fffd,
    0x09ffffff,0x7fffffdc,0xfffcafff,0x7fffc41f,0x7fffec06,0xfffffb81,
    0xffeeeeff,0xfff11fff,0x3ffee0df,0xffd06fff,0xddddddff,0xbddddddd,
    0xffffff70,0xfffddddf,0x7ffec3ff,0x6c6fffdf,0x7e44ffff,0x5c05ffff,
    0xffffffff,0x1fffffff,0x777fffe4,0xffffeeee,0xfff10fff,0xffffffff,
    0xff50007d,0x37ffe6bf,0x00fffea8,0x3fffffaa,0x3ffff90d,0x06ffff88,
    0x20ffffec,0x1efffff8,0x23ffffb0,0x206ffff8,0x3ffffff9,0x01ffffd8,
    0xffff8800,0xfffb01ef,0x7fffd43f,0x3f63ffff,0x6c40ffff,0x2e00efff,
    0xefffffff,0xfffffeee,0x17fffee1,0xfffffb88,0x1dffff12,0x40001353,
    0xf70ffff8,0x7ffdc3ff,0x0aa98801,0x20ffffe4,0x406ffff8,0x541ffffe,
    0x6c06ffff,0xff11ffff,0xff980dff,0xffb85fff,0xa80003ff,0x6c06ffff,
    0x7ec1ffff,0xedffffff,0x03ffffff,0xff1006a6,0x3603dfff,0xff11ffff,
    0x3f200fff,0xfff14fff,0xc80000df,0x3ff22fff,0x017ffd47,0x7fffec00,
    0x3ffffc41,0x3fffffb0,0x04ffffc8,0x88fffff4,0xb806ffff,0xfa86ffff,
    0x80005fff,0x404ffffc,0x441ffffe,0xffffffff,0x05ffffff,0xffff5000,
    0xffffd80d,0x0bffff51,0x4bffff20,0x006ffff8,0x17ffea00,0xff98fffb,
    0xfd80002f,0xfff81fff,0xfffc81ff,0x7fec1fff,0xffb105ff,0x3fe23fff,
    0xff9806ff,0xfff886ff,0x6c0002ff,0xb105ffff,0x103fffff,0xfffffffd,
    0x4c07ffff,0x3202ffff,0x7404ffff,0xff51ffff,0xf8803fff,0xff10ffff,
    0x20000dff,0x640fffe8,0x3fee0fff,0xfd80001f,0xffe81fff,0xffb31dff,
    0xb83fffff,0x440fffff,0x1ffffffe,0x00dffff1,0x209ffff9,0x03fffffc,
    0xfffb8298,0x7ff440ff,0x3e01ffff,0xefffffff,0x7ffd401d,0x7fffec07,
    0xffffb105,0x3fffe23f,0x7dc41aef,0x3e25ffff,0x00006fff,0xf705fff9,
    0x3ffa29ff,0xffb00007,0xfff903ff,0xffffffff,0xa83fffff,0xcdffffff,
    0xfffffffe,0xdffff11f,0x7f666764,0xf102ffff,0x9bffffff,0x0dffdb99,
    0xbffffff5,0xffffffd9,0x3fe603ff,0x0009aaef,0x7013fff2,0x881fffff,
    0x1ffffffe,0x3ffffff6,0xffffffff,0x3fe20eff,0x980006ff,0xff105fff,
    0x7ffffdff,0x3ff60000,0xfff881ff,0xffffffff,0xe81ffffb,0xffffffff,
    0xffffdfff,0x4dffff11,0xfffffffc,0x7fd405ff,0xffffffff,0xfd06ffff,
    0xffffffff,0x3ffffbff,0x00ffff20,0x01fffe80,0x7fffffd4,0xfffffecd,
    0x7fec1fff,0xffffffff,0x440dffff,0x0006ffff,0x200fffe8,0xfffffffb,
    0x3f600006,0xff701fff,0x5fffffff,0x303ffff1,0xffffffff,0xffff17ff,
    0x9bfffe23,0xfffffffc,0xfe9800df,0xffffffff,0xff306fff,0xffffffff,
    0x03ffff17,0x0003fffa,0xd006fff8,0xffffffff,0xffffbfff,0xffffb503,
    0x3bffffff,0x1bfffe20,0x7fff9000,0xfffff500,0xfd800009,0x3e601fff,
    0x10dfffff,0x2203ffff,0xdffffffd,0x23ffff10,0x326ffff8,0x2effffff,
    0xfffeb800,0x3dffffff,0x3ffff620,0xfff10dff,0xbfff303f,0x7ffcc000,
    0xffff3003,0x17ffffff,0x4403ffff,0x9aaccaa9,0x09999800,0x20000000,
    0x000001a8,0x20033331,0x0000aaa8,0x009aa988,0x4d4cc000,0x2a600000,
    0x40009aaa,0x0009aa98,0x00355530,0x40008880,0xffffffd8,0x3ffff10d,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xaa988000,0x00000009,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x35100031,0x09880000,0x3ee00260,0x001fffff,0xfffff880,0x80edcc2f,
    0x1ffffffb,0x26a62000,0x10000000,0x44000035,0x00262009,0x579d9730,
    0x3ffee000,0x30001fff,0x005fffff,0x007bffa2,0x33ffff66,0xf9001d40,
    0xffe883df,0xfffe9805,0x980001ff,0xecffffff,0x2602ffff,0x01fffffe,
    0xfffffd80,0xfff3004e,0xfffd980b,0x801d40cf,0xfc83fff9,0xfe8801ef,
    0x1dffffff,0xfffe9800,0xf88001ff,0xd001ffff,0x401fffff,0xfffffff8,
    0x03ffb9bf,0x46ffff98,0x802ffffd,0x1fffffd8,0x7fe44000,0xffffffff,
    0x7fec402f,0x6c001fff,0x5fffffff,0x00fffe80,0x3fffffe2,0x3ffb9bff,
    0x1ffffe80,0x01bfffea,0xfffffff5,0x0003ffff,0x3fffffb1,0xffff8800,
    0xfff9801f,0x3fa02fff,0xffffffff,0x400fffff,0x7c7ffffb,0x2004ffff,
    0x01fffffb,0xffffeb80,0xffffffff,0xfff7002f,0x664003ff,0x07fffcab,
    0x201fffe4,0xfffffffe,0x0fffffff,0x3ffffe20,0x1ffffee2,0xffffff88,
    0x0effffff,0xffff7000,0xfff8003f,0xff8800ff,0x2e02ffff,0xfffb9cff,
    0x801fffff,0x6c6ffff9,0x4002ffff,0x00ffffe9,0x7ffffec0,0x9befffff,
    0x7ff4c000,0x3e0000ff,0x3fe606ff,0xcffb806f,0xffffffb9,0xffe801ff,
    0x3ffea1ff,0x3fff606f,0xffea89df,0x260003ff,0x000ffffe,0x801ffffe,
    0x806ffffe,0x7ffe443b,0x3f2002ef,0x7ff441ef,0x55510005,0xffd80055,
    0xffffffff,0x2a20001f,0x2a002aaa,0x02fffecc,0x4003fffa,0x7ffe443b,
    0xff3002ef,0x3dff907f,0x437fffc0,0x005ffff9,0x15555440,0x0ffffd00,
    0x0f7ff440,0x02aa2000,0x2600c400,0x00000000,0xf88de76c,0x0006ffff,
    0x3fee0000,0x3ee03fff,0x100003ff,0x31000155,0x2600c401,0xfd03ffff,
    0x00000dff,0x7fffe800,0x00008800,0x00000000,0x00660000,0xffff9000,
    0x4c40009f,0x7fdc0019,0x4c0effff,0x00006fff,0x00000000,0x02ffffa8,
    0x000bffff,0x360004c0,0x00006fff,0x00026000,0x00004c00,0xffffec98,
    0x654000ce,0xfffffffe,0xfda8801f,0xdfffffff,0x6d4cc401,0x7ff44fff,
    0x2200001f,0x00000009,0x27fffc40,0x01ffffcc,0xfffdb700,0xfd8039df,
    0x664006ff,0x36e000cc,0x1ceffffe,0xffdb7000,0x00039dff,0xfffffff7,
    0xb1007fff,0xffffffff,0xf880bfff,0xffffffff,0x000effff,0x7dcbfff5,
    0xdd1003ff,0x7ff5c1dd,0x74c00dff,0xeeeeeeee,0x3ffe004e,0x3ffa20ff,
    0xe88001ff,0xffffffff,0x3ff203ff,0x3fe2005f,0xfe8801ff,0xffffffff,
    0x3fa2003f,0xffffffff,0xffb1003f,0xffffffff,0x7fd40bff,0xffffffff,
    0x2201ffff,0xffffffff,0x46ffffff,0xffdccce8,0xdfff33ff,0x7fffc400,
    0xfffffe89,0x3e602fff,0xffffffff,0x3ff6005f,0xfffd34ff,0xff70009f,
    0xffffffff,0x3101dfff,0x7c400133,0x7dc02fff,0xffffffff,0x400effff,
    0xfffffffb,0x0effffff,0x7ffffe40,0xffffecbd,0xffff882f,0xffeeefff,
    0x3e205fff,0xcccceeff,0x23ffffff,0xfffffff8,0x07fffa5f,0xaffff880,
    0xfffffffe,0xff300fff,0xffffffff,0x7ffc400b,0xfffffdff,0xfff98005,
    0xffffffff,0x0004ffff,0x17fffc40,0xffffff30,0xffffffff,0x7ffcc09f,
    0xffffffff,0x2204ffff,0xb80effff,0xfc86ffff,0x640bffff,0x100fffff,
    0x7ec4037d,0x3fe26fff,0x2e2dffff,0x44004fff,0xffffffff,0xffffffff,
    0xfffff304,0x00bfffff,0xffffffb8,0xd0004fff,0x139fffff,0xffffff73,
    0x00575103,0x0fffff2a,0xcfffffe8,0xffffb989,0xfffd01ff,0xf73139ff,
    0x203fffff,0x201ffffd,0x262ffffd,0x302fffff,0x005fffff,0xfffff100,
    0x3e201310,0xf88006ff,0xbfffffff,0x7ffffea8,0x7fffd400,0xfffe8005,
    0x0002efff,0x05fffff5,0x17ffffa2,0x01dfffd3,0xffffff91,0x3ffea07f,
    0xffd102ff,0xfff50bff,0x3fa205ff,0xff885fff,0x7fd405ff,0x3fff64ff,
    0x7fff406f,0xfd00004f,0xd8001fff,0x88001fff,0x86ffffff,0x00fffff9,
    0x17fffea0,0xfffff500,0xfe8000ff,0x7dc04fff,0x7ff47fff,0x7f4c6fff,
    0x3fffffff,0x09ffffd0,0x87ffffb8,0x404ffffe,0xa87ffffb,0x4c03ffff,
    0x3fa5ffff,0x7e402fff,0x00006fff,0x003ffffb,0x0027ffdc,0xefffff88,
    0x3fffff00,0x7fffd400,0x3fff2005,0x4c4fffff,0xff02ffff,0xff001fff,
    0x3fea1fff,0xf11fffff,0xffffffff,0x3fffe09f,0xffff800f,0x7ffffc0f,
    0xfffff800,0x77fffdc0,0xeeeeeeee,0x3fe6ffff,0x7dc00fff,0x51006fff,
    0xffddd995,0x22003fff,0x20006fff,0x00fffff8,0x007ffff6,0x05ffffa8,
    0xffffff70,0x7cc5ffff,0xff881fff,0xffd006ff,0x3ffee5ff,0xffb2ffff,
    0x3335bfff,0xdffff101,0x3ffffa00,0x1bfffe22,0x17ffff40,0x3ffffff2,
    0xffffffff,0xfff17fff,0xfff500ff,0xffc880ff,0xffffffff,0xfb001fff,
    0x440003ff,0x6c06ffff,0x2001ffff,0x805ffffa,0xcafffff8,0xf51fffff,
    0xff501fff,0x3f600bff,0xfff53fff,0xff33ffff,0x54009fff,0xb005ffff,
    0x7d47ffff,0xfb005fff,0xffe87fff,0xffffffff,0x7fffffff,0x00dffff5,
    0x40fffff3,0xfffffffb,0xffffffff,0x4fffa801,0x0177776c,0x80dffff1,
    0x001ffffd,0x017fffea,0xd8fffff2,0xfb8fffff,0xfff707ff,0x3ff200bf,
    0x3fffa4ff,0xffff56ff,0xfffb800f,0xfff9005f,0x7fffdc9f,0xffff9005,
    0xeffffe89,0xeeeeeeee,0xff55eeee,0xff300dff,0x3fee0fff,0xeeefffff,
    0x01fffffe,0x707fffc4,0x407fffff,0x406ffff8,0x001ffffd,0x017fffea,
    0xd11ffffe,0xffbdffff,0x3ffea0df,0xfffb005f,0x7fff4c7f,0xdffff70e,
    0xffffa800,0xffffb005,0x2ffffd47,0x3ffffd80,0x00ffffec,0xfffff300,
    0xfffff500,0xdfffff10,0x3ffff603,0x17ffec01,0x7ffffff1,0x37fffc40,
    0x07ffff60,0x5ffffa80,0x2ffffc40,0x7fffffcc,0xff304fff,0x3fa00dff,
    0x1a981fff,0x03ffffe4,0x1bfffe60,0x0fffff40,0x00dffff3,0x707ffffa,
    0x0007ffff,0x07ffffc4,0x1bfffee0,0x01bfffea,0x403ffffb,0x7ec5fffa,
    0x203fffcf,0x406ffff8,0x001ffffd,0x017fffea,0x209ffff3,0xfffffffa,
    0xffff101f,0xffff001f,0x7fd4001f,0x22001fff,0x800fffff,0x220fffff,
    0x800fffff,0x540fffff,0x0005ffff,0x017ffffc,0x20fffffe,0x404ffffc,
    0x101ffffe,0x7d41ffff,0x03fff8ef,0x01bfffe2,0x003ffffb,0x02ffffd4,
    0x817fffe6,0x6ffffffc,0x1fffffc0,0x1ffffea0,0xfffff100,0x7ffc001d,
    0x7fd403ff,0xffff87ff,0x7ffd403f,0xffff887f,0x3fa0002f,0x3ee06fff,
    0xfd81ffff,0xfb105fff,0x3203ffff,0x3fe22fff,0x407fff2f,0x406ffff8,
    0x001ffffd,0x017fffea,0x807ffffe,0x03fffffd,0x07ffffec,0x4ffffe88,
    0xffffe800,0xfd800bef,0xd100ffff,0xfb09ffff,0x2201ffff,0x904ffffe,
    0x007fffff,0xffffa853,0x3fee21ef,0xff706fff,0xfe881fff,0xa81fffff,
    0x7fec5fff,0x880fffe5,0x6c06ffff,0x2001ffff,0x805ffffa,0x81effffe,
    0xefffffd9,0x3fffe600,0xfd310aff,0x0001ffff,0xfffffff1,0x98399bdf,
    0x0affffff,0xfffffd31,0xfffff301,0x3fa6215f,0xf100ffff,0x9bffffff,
    0x0dffdb99,0xfffffffd,0xfffffffd,0x3fffea03,0xfffecdff,0x441fffff,
    0x3e20fffe,0xfffeeeff,0xfff880ee,0x7ffec06f,0x3fea001f,0xffa805ff,
    0xecceffff,0xffffffff,0x7fffe405,0xffffffff,0x20003fff,0xfffffff9,
    0xfc82ffff,0xffffffff,0x03ffffff,0x3ffffff2,0xffffffff,0x7ffd403f,
    0xffffffff,0xff986fff,0xffffffff,0x7403ffff,0xffffffff,0xffffdfff,
    0x217ffe41,0xfffffff8,0xf880ffff,0x7ec06fff,0xeee81fff,0xffffeeee,
    0x44eeeeef,0xfffffffc,0xffffffff,0x3e204fff,0xffffffff,0x005fffff,
    0xffffea80,0x882fffff,0xffffffff,0x05ffffff,0x7fffffc4,0xffffffff,
    0xfffd3005,0xffffffff,0x3ffa60df,0xffffffff,0xfff9803f,0xbfffffff,
    0x261ffff8,0xff885fff,0xffffffff,0xffff880f,0x7fffec06,0xffffff81,
    0xffffffff,0xffc85fff,0xffffffff,0xfffffbcf,0x3fff6203,0xffffffff,
    0x7dc00002,0x2fffffff,0xfffffb10,0x05ffffff,0x3ffff620,0x2fffffff,
    0xfffeb800,0x3dffffff,0x7ffff640,0x2000cfff,0xffffffd8,0x3ffff10d,
    0x0007fff4,0xf880fffe,0x7ec06fff,0xfff81fff,0xffffffff,0x05ffffff,
    0xffffffb3,0x7ffe43bf,0x7f5401ff,0x0defffff,0x32a00000,0x402fffed,
    0xffffffea,0xea8000de,0xdeffffff,0xaa980000,0x300009aa,0x80003355,
    0x0009aa98,0x000ffff2,0xf880fffe,0x7ec06fff,0xfff81fff,0xffffffff,
    0x05ffffff,0x001aaa98,0x26aa6000,0x00000000,0xa9800262,0x2000009a,
    0x00009aa9,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffffe880,0x7440003f,0x003fffff,
    0x7ffff440,0x7fec003f,0x774400ef,0x777404ee,0xffb0005e,0x310001df,
    0x20000013,0x00000998,0x2aa62000,0xfb000009,0x3fe23fff,0x000006ff,
    0x7fff4400,0x440001ff,0x01fffffe,0x7fff4400,0x7e4001ff,0x4c06ffff,
    0x7c05ffff,0xc8007fff,0x006fffff,0x00ffff66,0x982fffcc,0x3003fffd,
    0x2000bfff,0xffffffc8,0x6c0003ff,0xff11ffff,0x00000dff,0x7fff4400,
    0x440000df,0x00dffffe,0x7fff4400,0x7e4000df,0x05ffffff,0x017fffe6,
    0x800fffff,0xfffffffc,0x7ffecc05,0xffd003ff,0xfffd981f,0xffd003ff,
    0xff90001f,0xffffffff,0xffd80009,0xffff11ff,0x0000000d,0x0fffffa2,
    0x3ffa2000,0x880003ff,0x003ffffe,0xd8efffc8,0xff305fff,0xfff80bff,
    0x3ff2007f,0x5fffd8ef,0x3fffffe0,0xfffc803f,0xffffff83,0xfffc803f,
    0xfffb8003,0xffffffff,0x7fec0004,0xffff11ff,0x0000000d,0x03ffffd1,
    0xfffd1000,0xd100003f,0x0003ffff,0x6c1dfff7,0xff984fff,0x7ffc05ff,
    0xfff7007f,0x27ffec1d,0xfffdffc8,0x37ffcc03,0xfffdffc8,0x37ffcc03,
    0x7fffcc00,0xfedcceff,0x7fec0004,0xffff11ff,0x0000000d,0x00155553,
    0x2aaaa600,0x55300000,0x2a000155,0xaaa80aaa,0x7fffcc0a,0x3ffffc05,
    0x80aaaa80,0x3980aaaa,0xe807fff5,0x27300fff,0x7403fffa,0xd8000fff,
    0x201effff,0x7fec0000,0xffff11ff,0x0000000d,0x00000000,0x00000000,
    0x7fcc0000,0x7ffc05ff,0x0000007f,0x80fffea0,0x5003fffb,0x7dc07fff,
    0xfd0003ff,0x00003fff,0x1ffffd80,0x00dffff1,0x04c00000,0x26620000,
    0x33000001,0x99880000,0xffff3001,0x7ffff80b,0x000cc000,0x303fffa8,
    0x5400dfff,0xff303fff,0x7fc000df,0x800007ff,0xffffb098,0x1bfffe23,
    0x20000044,0xeffffedb,0x36a2001c,0xffffffff,0xd930001d,0x019dffff,
    0x7ffed440,0x01dfffff,0x80bffff3,0x4007ffff,0xeffffec9,0xfff5000c,
    0x07fffa07,0x03fffa80,0x0003fffd,0x017fffe6,0x3ff72600,0xffffffff,
    0x4bffff11,0x1dffffdb,0x3ffa2000,0xffffffff,0xffff8803,0xffffffff,
    0x3ee000ef,0xffffffff,0xfff8803f,0xffffffff,0x7fcc0eff,0x7ffc05ff,
    0x3fee007f,0xffffffff,0x3fffa803,0x003fffb8,0x5c1fffd4,0x20003fff,
    0x005ffff9,0x3ffff220,0xffffffff,0xbffff11f,0x3ffffff6,0xfb8002ff,
    0xffffffff,0x200effff,0xfffffff8,0x6fffffff,0xffffd880,0xffffffff,
    0x7fffc405,0xffffffff,0x7ffcc6ff,0x7fffc05f,0xfffd8807,0xffffffff,
    0x7ffd405f,0x037ffcc3,0x21fffd40,0x0006fff9,0x02ffffcc,0xfffff980,
    0xffffffff,0xffff11ff,0xffffffbb,0x4007ffff,0xfffffff9,0xffffffff,
    0x3bffe204,0xfffcccce,0x7e403fff,0xecbdffff,0x202fffff,0xcceefff8,
    0xffffffcc,0x17fffe63,0x00fffff0,0x7bfffff9,0x5fffffd9,0x21fffd40,
    0x8001fffe,0x7f43fffa,0x4c0001ff,0x8005ffff,0xfffffff8,0xfffffeee,
    0xfffff11f,0xffffffff,0x7400ffff,0x89cfffff,0xffffffb9,0x4037d101,
    0x06ffffd8,0x03bfffe2,0x81bfffee,0x36201be8,0x3e66ffff,0x7fc05fff,
    0x7fc407ff,0xffb80eff,0x3baa06ff,0x13ffee2e,0x17775400,0x4009fff7,
    0xfeeeeee9,0xeeeeffff,0xffc85eee,0xfd80bfff,0xfff11fff,0x117fffff,
    0x07fffff9,0x5fffff50,0x3ffffa20,0xff880005,0x3ff607ff,0x3ff601ff,
    0x880002ff,0x3e67ffff,0x3e605fff,0x7ec07fff,0x3f601fff,0x44002fff,
    0x00006fff,0x006fff88,0x7fffffd4,0xffffffff,0x7cc6ffff,0x3602ffff,
    0xff11ffff,0x360dffff,0xe806ffff,0x5c04ffff,0x0007ffff,0x01ffffd0,
    0x80bffff1,0x004ffffa,0x1ffffd00,0x41ffffe6,0x07fffff8,0x017fffe2,
    0x009ffff5,0x001fffd8,0x1fffd800,0x7fffd400,0xffffffff,0x46ffffff,
    0x406ffffd,0xf11ffffd,0x201dffff,0x00fffff9,0x007ffffc,0x007ffffc,
    0x7fffec00,0x3ffffa81,0x2ffffcc0,0xfffd8000,0xfffff31f,0xffffe881,
    0x3ffea07f,0x7ffcc03f,0x3fee005f,0xb800004f,0xa8004fff,0xffffffff,
    0xffffffff,0x7fff46ff,0x7ffec02f,0xfffff11f,0xfffff801,0x3fffe201,
    0xffffd006,0x99551005,0xfffffddd,0xdffff703,0xdddddddd,0x200dffff,
    0xeeeccaa8,0xf31fffff,0x2a3bffff,0xfffffffe,0xdffff702,0xdddddddd,
    0x200dffff,0x0006fff8,0x06fff880,0x7ffcc000,0x7ffc005f,0x7fec00ff,
    0xffff11ff,0xffffd00d,0x7fffd405,0xffffb005,0x7ffe4407,0xffffffff,
    0xfffc81ff,0xffffffff,0x07ffffff,0x7ffffe44,0xffffffff,0xffffff31,
    0xffffffff,0xc81dffff,0xffffffff,0xffffffff,0xfffb007f,0xd8000103,
    0x00001fff,0x02ffffcc,0x0fffff30,0x23ffffb0,0x806ffff8,0x203ffffd,
    0x005ffffb,0x209ffff9,0xfffffffb,0xffffffff,0xfffffe81,0xffffffff,
    0x2e07ffff,0xffffffff,0x1fffffff,0xfffffff3,0xff7dffff,0xfe83ffff,
    0xffffffff,0xffffffff,0x4fffa807,0x37bffd91,0x4fffa800,0x0177776c,
    0x17fffe60,0x6ffffa80,0x1ffffd80,0x00dffff1,0x407ffffb,0x005ffffa,
    0x707ffffb,0xdfffffff,0xfffffddd,0xdffffd03,0xdddddddd,0x2e0bdddd,
    0xefffffff,0xfffffeee,0xffffff31,0xf11dffff,0xe83fffff,0xeeeeffff,
    0xeeeeeeee,0x7ffc405e,0xfffff98f,0xf1001fff,0x7fdc1fff,0x4c003fff,
    0x2005ffff,0x806ffffa,0xf11ffffd,0xfb00dfff,0x7cc05fff,0xfd006fff,
    0xff883fff,0xfb01efff,0xffb03fff,0x200003ff,0x1efffff8,0x23ffffb0,
    0xffeffff9,0x3fea0dff,0x7fec1fff,0x800001ff,0x3fa2fffd,0x05ffffef,
    0x445fffb0,0x03ffffff,0x2ffffcc0,0xfffff300,0x3ffffb00,0x01bfffe2,
    0x807ffffa,0x00fffff8,0x40fffff8,0x406ffffa,0xb81ffffd,0x0003ffff,
    0x0dffff50,0x31ffffd8,0x5517ffff,0x40554c40,0x003ffffb,0x2fffd400,
    0x7fff8926,0x45fffa80,0x3fffcffd,0x7fffcc00,0x3ffe2005,0xfffe807f,
    0xdffff11f,0x7ffff880,0x3fffff80,0x3ffffd40,0x027fffe4,0x207ffffa,
    0x005ffffa,0x9ffff900,0x1ffffe80,0x009ffff3,0x7fffd400,0x3e200005,
    0x7c400fff,0x7fc405ff,0x3bfea0ff,0x4003fff8,0x005ffff9,0x00fffffc,
    0x23fffffb,0x406ffff8,0x806ffffc,0x00fffffd,0x09ffffd1,0x20bffffb,
    0x1fffffd8,0x2fffff88,0xfffd8000,0xfffb105f,0x3ffe63ff,0x2200004f,
    0x002fffff,0x05fff900,0x805fffb0,0x3e22fffc,0x07fff2ff,0x5ffff980,
    0x7ffff400,0xfffff905,0x3fffe23f,0x3fffe206,0xfff9804f,0xd310afff,
    0x701fffff,0x881fffff,0x1ffffffe,0x7fffff90,0x3ee05300,0x7440ffff,
    0x31ffffff,0x000bffff,0xfffffc80,0xf5029803,0xfe880bff,0x7fd405ff,
    0xf2ffec5f,0xf98007ff,0x54005fff,0x263fffff,0xfffffffd,0x0dffff11,
    0x1bffffe6,0xfffffc80,0xffffffff,0xfff503ff,0xffd9bfff,0x03ffffff,
    0x3fffffe2,0xfedcccdf,0xffff506f,0xfffd9bff,0x263fffff,0x0005ffff,
    0x7ffffc40,0xedcccdff,0xffe886ff,0x3ffa600f,0x7ff4404f,0x3bffe20f,
    0x0eefffee,0xbffff300,0xfffff000,0xfffffdff,0x3e23ffff,0xccdeffff,
    0x1ffffffe,0x3fffe200,0xffffffff,0x7ff405ff,0xffffffff,0x01ffffdf,
    0x3fffffea,0xffffffff,0x3ffffa06,0xdfffffff,0xff31ffff,0x00000bff,
    0xfffffff5,0xdfffffff,0x405fff90,0x803ffffa,0x7c42fffc,0xffffffff,
    0xff3000ff,0xf7000bff,0xffffffff,0x3ffff7ff,0x3fffffe2,0xffffffff,
    0xfd88004f,0xffffffff,0xff9802ff,0xffffffff,0x01ffff8b,0x7fffff4c,
    0x6fffffff,0x3ffffe60,0xf8bfffff,0xfff31fff,0x200000bf,0xffffffe9,
    0x46ffffff,0x2a05fff9,0xffffffff,0x2fffcc2f,0x7fffffc4,0x000fffff,
    0x00bffff3,0x3ffffee0,0xff8affff,0xffff11ff,0xffffffff,0xa80003df,
    0xeffffffe,0x3f62000d,0x10dfffff,0x2003ffff,0xffffffeb,0x4403dfff,
    0xdffffffd,0x23ffff10,0x005ffff9,0x7ff5c000,0xdfffffff,0x007fff43,
    0xfffffff5,0xfffe85ff,0x1fffc000,0x3fffe600,0x3faa0005,0x3e0dffff,
    0x36e61fff,0xffffffff,0x9800003e,0x400009aa,0x0009aa98,0x55553000,
    0x53100013,0x99800135,0x00000099,0x26aaaa60,0x07fff900,0xffffffa8,
    0x3ff22fff,0xfff8003f,0x7ffcc003,0x9880005f,0x440000aa,0x00009a99,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x9dff3000,0x20000357,0x000efffd,0x1dfffb00,
    0xfd100000,0x74c7ffff,0x2000eeee,0x5c2eeeed,0x01ffffff,0x2ddb8000,
    0x13100000,0x02666000,0x00220000,0x0dffff10,0xfd500000,0xffff985d,
    0x0001efff,0x1bfffff2,0x3fff2000,0x400006ff,0x1fffffe8,0x03fffff8,
    0x1fffff10,0xfffffd30,0x7ec00003,0x40002fff,0xffffecb9,0x5441bdff,
    0xffffffed,0xca8001de,0x0cdffffd,0x37fffc40,0x3ea00000,0x3e63ffff,
    0xffffffff,0x7fe4001e,0x005fffff,0x3fffff20,0x100005ff,0x01bffffd,
    0x01bffff2,0x02ffffdc,0x3fffffb1,0xfff30000,0x64000fff,0xffffffff,
    0x2e0fffff,0xffffffff,0x000dffff,0xfffffff9,0x7c403fff,0x00006fff,
    0x7fffff40,0x3ffffe67,0x01ffffff,0xb1dfff90,0x9000bfff,0xffb1dfff,
    0xe88000bf,0x4c03ffff,0x801fffff,0x802ffffe,0x01fffffb,0x7fffd400,
    0xfe98007f,0xffffffff,0x2e0fffff,0xffffffff,0x00efffff,0x3fffffa2,
    0x3fffffff,0x0dffff10,0x7fc40000,0x910fffff,0xffffffdb,0xfb801fff,
    0x3ff60eff,0x3fee004f,0x3fff60ef,0xffd10004,0x3fa003ff,0x7cc04fff,
    0x26007fff,0x000ffffe,0x3ffffe60,0x7ffdc006,0xffffffff,0x2e0fffff,
    0xffffffff,0x05ffffff,0xfffffff1,0xfffffffd,0xdffff105,0xff800000,
    0x200fffff,0xffffffc8,0x05555406,0x80055554,0xaa80aaaa,0xa98000aa,
    0x2a000aaa,0x6407ffff,0x4004ffff,0x002aaaa8,0x17fffe40,0xfffff300,
    0x95559bff,0x75c1fffb,0x3ee209ac,0xc80fffff,0x10bfffff,0x0dfffff7,
    0x00dffff1,0xfffc8000,0xff1005ff,0x0003ffff,0x00000000,0xf0000000,
    0x7c05ffff,0x0001ffff,0x99500000,0xfffd8003,0xda800eff,0xfffb8000,
    0x7ffc41ff,0xfff302ff,0xfff885ff,0x8000006f,0x000dfffc,0x0fffffe6,
    0x00002600,0x00000000,0xffffc800,0xdffff505,0x00000000,0xfff50000,
    0x000009ff,0x3ffffe20,0x27fffdc3,0x1bffff20,0x10dffff1,0x44000013,
    0xfff00009,0xdb700bff,0x039dffff,0x09dddd10,0x41eeeec8,0x404eeee8,
    0x301eeeec,0xb01fffff,0x4405ffff,0x6404eeee,0x0001eeee,0x7ffff400,
    0x40000006,0x222ffffd,0x401fffff,0x21fffff8,0x2e5ffff8,0x00dffffe,
    0x6c000000,0x2205ffff,0xfffffffe,0x7c403fff,0x7ec06fff,0x7fc41fff,
    0x7fec06ff,0x3ffa01ff,0x7ffc43ff,0x7ffc407f,0x7ffec06f,0x3bbba61f,
    0x04eeeeee,0x3fffff98,0x74000000,0x3e61ffff,0xfd806fff,0x3e22ffff,
    0xffe8dfff,0x02ffffff,0x3a000000,0xf703ffff,0xffffffff,0x201dffff,
    0x406ffff8,0x441ffffd,0x6c06ffff,0x2e01ffff,0x7d46ffff,0x7c404fff,
    0x7ec06fff,0x3fe61fff,0xffffffff,0xffffa805,0x40000007,0x546ffffa,
    0x2603ffff,0x3ffffffe,0x3b7fffe2,0xffffffff,0x000000ff,0xfffffa80,
    0xfffff982,0xffffffff,0xfff104ff,0xfffd80df,0x7fffc41f,0x7fffec06,
    0x3fffe201,0x3ffff61f,0x7fffc401,0x7fffec06,0x3ffffe61,0x805fffff,
    0x005ffffb,0xff910000,0xffb83fff,0xfff702ff,0x449fffff,0xffffffff,
    0xffffffff,0x20000004,0x6fffffb9,0x9fffffd0,0xffff7313,0xfff103ff,
    0xfffd80df,0x7fffc41f,0x7fffec06,0x7fffe401,0x0dffff13,0x0dffff10,
    0x21ffffd8,0xfffffff9,0xfc805fff,0xcc984fff,0x0ccccccc,0xfffdddb0,
    0xf901bfff,0xfd885fff,0xffffffff,0x3ffffe25,0xfea8bfff,0x00007fff,
    0x3ffffee0,0xa82fffff,0x102fffff,0x10bffffd,0xd80dffff,0x7c41ffff,
    0x7ec06fff,0x7cc01fff,0xfff76fff,0xfff1007f,0xfffd80df,0xfffa801f,
    0xfffe805f,0xffffa83f,0xd01fffff,0xffffffff,0x7fffec0b,0x3ffffea1,
    0x26ffffcf,0x6ffffff8,0x0fffff98,0x0165c400,0xfffffff7,0x3ffa07ff,
    0x7fdc04ff,0xfff887ff,0x7ffec06f,0x7fffc41f,0x7fffec06,0xffffe801,
    0x00ffffe9,0x06ffff88,0x00ffffec,0x02ffffd4,0x417ffffc,0xfffffffa,
    0xfffd01ff,0x7dffffff,0x21ffffd0,0x1efffffc,0x7c4fffff,0xf00effff,
    0x4003ffff,0x80effff8,0xfffffffa,0x3fffe01e,0xffff800f,0x7fffc40f,
    0x7fffec06,0x37fffc41,0x07ffff60,0x37fffee0,0x1005ffff,0xd80dffff,
    0xa801ffff,0xf805ffff,0xfa82ffff,0xffffffff,0xfffffd01,0x1dffffff,
    0x757ffff4,0x10dfffff,0x7c4dffff,0x3600ffff,0x2001ffff,0x85fffffc,
    0x1beffffa,0x37fffc40,0x2ffffe80,0x037fffc4,0x107ffff6,0xd80dffff,
    0x8801ffff,0xffffffff,0xfff1001f,0xfffd80df,0xfffa801f,0xfffe805f,
    0xcccc983f,0x801ffffe,0xfffeba98,0x3fff66ff,0x3fffffff,0x12ffffcc,
    0xd80dffff,0x2001ffff,0x1ffffffe,0x00ffffd4,0x05ffffa8,0x87ffffb0,
    0x406ffff8,0x441ffffd,0x6c06ffff,0x9001ffff,0xdfffffff,0x7fffc400,
    0x7fffec06,0xffffa801,0xffffd805,0xffffb004,0x3ff20003,0xfff92fff,
    0x03dfffff,0x449ffff3,0x6c06ffff,0x2001ffff,0x3ffffffe,0x00ffffcc,
    0x05ffffb8,0x89ffff90,0x406ffff8,0x441ffffd,0x6c06ffff,0x3001ffff,
    0x7fffffff,0x7fffc400,0x7fffec06,0xffffa801,0xffffb805,0xffffb005,
    0x7fec0003,0xffff74ff,0x7d409fff,0x3fe23fff,0x7fec06ff,0x3ea001ff,
    0x4c4fffff,0x5001ffff,0x200bffff,0x443ffffd,0x6c06ffff,0x7c41ffff,
    0x7ec06fff,0x3a001fff,0x007fffff,0x037fffc4,0x007ffff6,0x017fffea,
    0x03ffffea,0x07ffff60,0xffffb800,0xffffff56,0xffffc805,0x1bfffe22,
    0x03ffffb0,0xfffffc80,0x06666444,0x6ffff980,0x3ffffd00,0x06ffff88,
    0x20ffffec,0x406ffff8,0x001ffffd,0x0fffffee,0xdffff100,0x1ffffd80,
    0x5ffffa80,0xfffff980,0xffffd803,0x3fee0001,0xffff35ff,0xffff001f,
    0x7fffc43f,0x7fffec06,0xfffe8001,0x2200002f,0x800fffff,0x440fffff,
    0x7406ffff,0x7c41ffff,0x7f406fff,0x2e001fff,0x000fffff,0x037fffc4,
    0x007ffffa,0x017fffea,0x07fffff4,0x07ffff60,0xffffd800,0x13ffffa4,
    0x8bffff50,0x406ffff8,0x001ffffd,0x01ffffc8,0x7fffc000,0x7ffd403f,
    0xffff887f,0x3ffff607,0x7fffc41f,0x3ffff607,0xfff1001f,0xf10009ff,
    0x7ec0ffff,0xa801ffff,0x3005ffff,0x03ffffff,0x00ffffec,0xfffffa80,
    0x3ffffea2,0xffffd101,0x6ffff883,0x0ffffec0,0x3ffff400,0x006ffe44,
    0x1fffffb0,0x3ffffa20,0x3fffff04,0xffffff90,0x3fffff03,0xffffff90,
    0x3fff6003,0xff0000ff,0xff903fff,0x5003ffff,0x400bffff,0xcffffffd,
    0xfffd311b,0x26004c3f,0x0ffffffc,0x177ffff4,0x17ffffa6,0x01bfffe2,
    0x003ffffb,0x82ffffa8,0x006ffffd,0x3fffffe6,0xfffd310a,0x3ffa01ff,
    0xffb31dff,0xd03fffff,0x263bffff,0xfffffffd,0x7ffec401,0x3a0002ff,
    0xb31dffff,0x3fffffff,0xbffff500,0x7fffc400,0xffffffff,0xf11fffff,
    0xffdddfff,0x3fffffff,0xffffff50,0xfffffdbf,0xffff103f,0xffffd80d,
    0x7ed4c401,0xff884fff,0x2001ffff,0xfffffffc,0xffffffff,0x3ffff203,
    0xffffffff,0xfc81ffff,0xffffffff,0x1fffffff,0x7ffee66c,0x40004fff,
    0xfffffffc,0xffffffff,0xfffa801f,0x7f4c005f,0xffffffff,0x11ffffff,
    0xffffffff,0x5fffffff,0x7ffffe40,0xffffffff,0xdffff102,0x1ffffd80,
    0x3ffffea0,0xfff305ff,0x44005fff,0xffffffff,0x05ffffff,0x7fffffc4,
    0xffbfffff,0xfff881ff,0xffffffff,0x741ffffb,0xffffffff,0xff880005,
    0xffffffff,0x21ffffbf,0xfeeeeeee,0xeeeeffff,0x7ffe404e,0xffffffff,
    0xfff10fff,0xffffffff,0xf5003bff,0xffffffff,0x7fc403df,0x7fec06ff,
    0x3fea01ff,0x7c02efff,0x000fffff,0x7ffffec4,0x02ffffff,0xffffff70,
    0xfff15fff,0x3ffee03f,0x8affffff,0x7f41ffff,0x03ffffff,0x3ffee000,
    0x8affffff,0x3fe1ffff,0xffffffff,0x5fffffff,0xfffed980,0x42dfffff,
    0xfffffff8,0x000cefff,0x7ffffecc,0x7c400cef,0x7ec06fff,0x3ea01fff,
    0xf3003cef,0x40005fff,0xffffffea,0x7cc000de,0x10dfffff,0x4c03ffff,
    0x0dffffff,0xe83ffff1,0x01efffff,0xfff98000,0xff10dfff,0x7fffc3ff,
    0xffffffff,0x005fffff,0x019aaa98,0x55554cc4,0x22000009,0x7c4001aa,
    0x7ec06fff,0x02201fff,0x00aa8800,0x26aa6000,0xaa880000,0x5100000a,
    0x95000155,0x00001359,0x01555100,0xffffff80,0xffffffff,0x00005fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x1ffffe00,0x26200000,
    0x01800001,0x19880000,0x7ffec000,0xfff9800e,0x5fffffff,0x00260000,
    0x02662000,0x000a2000,0x3fffffa6,0x44000003,0x00620000,0x007ffff8,
    0xffec8800,0x001dffff,0xefffdb98,0xba80002c,0xdfffffed,0xfff9000b,
    0xff300dff,0xffffffff,0x7654000b,0x01bdffff,0xfffedb80,0x003defff,
    0x000ffd95,0x1fffffec,0xfd950000,0x039dffff,0x3fffb6e6,0x3ffe02df,
    0x5c00007f,0xffffffff,0x8801efff,0xfffffffd,0x98000eff,0xfffffffe,
    0xc804ffff,0x5fffffff,0x7ffffcc0,0x005fffff,0xfffffd88,0x003fffff,
    0xffffffd5,0x00ffffff,0x00fffff1,0xfffffb80,0x7f4c0003,0xffffffff,
    0x7ffe444f,0xefffffff,0x07ffff81,0x3fff2000,0xffffffff,0x3a200fff,
    0xffffffff,0x2001ffff,0xfffffffb,0x04ffffff,0x6c77ffe4,0x3e605fff,
    0xffffffff,0x7fd4005f,0xffffffff,0x7e404fff,0xffffffff,0x8807ffff,
    0x0007ffff,0x3ffffe98,0xfffc8800,0xffffffff,0x3fffaa4f,0xffffffff,
    0x7fffc0ff,0xff500007,0xfd9dffff,0x20dfffff,0x1bdffff9,0x5ffffb73,
    0xfffffb00,0xffffffff,0x7ffdc09f,0x13fff60e,0xbffff500,0x7fffcc00,
    0xffffffff,0xff505fff,0xffffffff,0x100fffff,0x000fffff,0x1ffffec0,
    0x3ffff600,0xffffffff,0xfffff34f,0xffffffff,0xffff8bff,0xffd00007,
    0xff5019ff,0xfff01fff,0xfffa807f,0x3ffee00f,0xaabdefff,0x2a04ffdc,
    0xaaa80aaa,0x3fea000a,0x3fa005ff,0xbabeffff,0x1ffffffd,0x7fffffc4,
    0xba98899c,0xfff8807d,0x5400007f,0x5000aaaa,0x5bffffff,0x49fb5533,
    0x9bdffffc,0xffffffca,0x01ffffe1,0x3fffe200,0x7ffff407,0x017ffdc2,
    0x104fffa8,0x07ffffff,0x00002a88,0x3ffea000,0xfff5005f,0x3fea07ff,
    0x7fd45fff,0x01001fff,0x0fffff10,0x20000000,0x2fffffe8,0x37f60c40,
    0xfffff500,0x03ffffc7,0x7fffcc00,0x7fffdc04,0x9827ffc2,0xfff71aba,
    0xfffff901,0x00000005,0x3ffea000,0xfffd005f,0xfffb809f,0x3ffee0ff,
    0x3b20006f,0xffffeeee,0xeeeeeeef,0x70000006,0x005fffff,0x3fa00e20,
    0x3ffe4fff,0x3bb6207f,0x3fe60dee,0x7fe405ff,0x3ffee1ff,0x7ffffd40,
    0x889fff14,0x004fffff,0xeeeee980,0x004eeeee,0x17fffea0,0x3ffffea0,
    0xfffff800,0x1bffff24,0xffffd800,0xffffffff,0x307fffff,0xdddddddd,
    0xffb009dd,0x00000bff,0x4dffff90,0x3607ffff,0x442fffff,0x102fffff,
    0xfe8dffff,0x7fffe45f,0x1fff24ff,0x03fffff7,0xffff3000,0x0bffffff,
    0x7fffd400,0xffffb805,0xffff9005,0x7ffffdcb,0xfffb0002,0xffffffff,
    0x0fffffff,0x3fffffe6,0xe805ffff,0x0002ffff,0xffffc800,0x41ffffe5,
    0x03fffffc,0x87fffffb,0x43ffffe8,0x3fea2fff,0x264fffff,0x3ff20fff,
    0x300005ff,0xffffffff,0x54000bff,0xc805ffff,0x5003ffff,0x7d4dffff,
    0x00cfffff,0x7ffffec0,0xffffffff,0xf307ffff,0xffffffff,0xffff00bf,
    0x0000003f,0x7c9ffffb,0xffa87fff,0x3e604fff,0xaaefffff,0x4c5fffff,
    0x3ffa0fff,0x7c4110df,0x3fffa1ff,0xf300004f,0xffffffff,0x7d4000bf,
    0xfe805fff,0xf3002fff,0x7fc4ffff,0x1cffffff,0x3ffe2000,0xff30007f,
    0xffffffff,0xffff980b,0x4000000f,0x22fffff8,0x7cc7ffff,0xa805ffff,
    0xffffffff,0xfa85ffff,0x3fffe27f,0xf1fffc00,0x0007ffff,0xffffa800,
    0x3fea0005,0xfff805ff,0xff1001ff,0x7fd41fff,0xefffffff,0x7fc4000b,
    0x400007ff,0x405ffffa,0x01fffff8,0x7fdc0000,0x3ffe0fff,0x3fffe27f,
    0x3fe6006f,0xffffffff,0x4cfff703,0xfe806fff,0xfffff14f,0xa8000005,
    0x0005ffff,0x017fffea,0x003ffffe,0x0fffffc4,0x3ffffff2,0x00cfffff,
    0x0fffff10,0xfffa8000,0xffff805f,0x2000002f,0x43fffff8,0x3fa7ffff,
    0x4000efff,0xfffffff9,0xffc81eff,0x017ffea6,0x7fcd7ff6,0x00001fff,
    0x2ffffd40,0xffff5000,0xffff980b,0x3ffe000f,0xfffa81ff,0xffffffff,
    0xfff8801e,0x5400007f,0xf805ffff,0x0005ffff,0x3ffffa00,0x7ffffc0f,
    0x0fffffd8,0x7fffdc00,0xffffffff,0xf537fe42,0xffd00fff,0x3ffffe69,
    0x54000001,0x0005ffff,0x017fffea,0x01fffff1,0x0fffffc0,0xfffffb88,
    0x01ffffff,0x03ffffc4,0x3ffea000,0xfffe805f,0x800001ff,0x81fffffd,
    0xffcfffff,0x64001fff,0xfcdfffff,0x22ffffff,0x3fe67ffa,0x7ffc00ff,
    0x5fffff13,0xfa800000,0x20005fff,0x805ffffa,0x001fffff,0x00fffff1,
    0x3fffff6a,0x7c406fff,0x00007fff,0x02ffffd4,0x77ffffd4,0xf9000801,
    0x3e07ffff,0xffffffff,0x7fdc002f,0x3fa62fff,0xf30fffff,0x3ffe21ff,
    0xfff020cf,0x1fffffc5,0x3ea00000,0x20005fff,0x805ffffa,0x001fffff,
    0x00dffff3,0xfffffc88,0x3fe202ff,0x400007ff,0x005ffffa,0x9ffffffd,
    0x17ae6213,0x3fffff20,0x3ffffe04,0x005fffff,0x07ffffe2,0x9fffffe4,
    0x3f21fff8,0x24eeffff,0x3fa1fff8,0x00004fff,0x2ffffd40,0xffff5000,
    0xffffd00b,0x3ffe6005,0xfd10005f,0x4409ffff,0x0007ffff,0x2ffffd40,
    0xfffffa80,0xffffffff,0x7ffdc05f,0x7ffc04ff,0xfffffaff,0xffff7004,
    0xffffd809,0xf893ffe5,0x24ffffff,0x3f60fffb,0x0000ffff,0x3fffea00,
    0x3fea0005,0xffd805ff,0xff9005ff,0x440009ff,0x206fffff,0x007ffff8,
    0x7fffd400,0x3ffee005,0xffffffff,0x3fee05ff,0xff804fff,0xffff77ff,
    0xfffb005f,0xfff9803f,0x83fff66f,0x4fffffe9,0xff917ffe,0x00007fff,
    0x2ffffd40,0xffff5000,0xffff900b,0x3fffa00f,0x7ec0003f,0x3e205fff,
    0x00007fff,0x02ffffd4,0x3ffffea0,0x5fffffff,0x9fffff70,0x9ffffe00,
    0x01fffffd,0x00fffff4,0x99bfffe2,0xdba83fff,0x3fff51cd,0xffffff88,
    0xf5000001,0x4000bfff,0x805ffffa,0x02fffff8,0x07ffffd4,0x3fff6000,
    0x3ffe204f,0x200000ff,0x005ffffa,0xfffffd50,0xf7039dff,0x4007ffff,
    0x3e27ffff,0x200fffff,0x402ffffd,0x6c4ffffa,0xd1001fff,0x3ff20bff,
    0xa802ffff,0x3ffea002,0x3ea0005f,0xfb005fff,0x2603ffff,0x543fffff,
    0x3ffea000,0x7ffc02ff,0x200002ff,0x005ffffa,0x33fffe20,0x7fffdc01,
    0x7ffc003f,0x7fffd47f,0x3ffee06f,0xfff301ff,0xfff987ff,0x7ffcc01f,
    0xffff101f,0x3357bfff,0x4009ff95,0x005ffffa,0x17fffea0,0x7ffffcc0,
    0xffba8acf,0x7fc0ffff,0x26209ace,0x0ffffffc,0x37ffff40,0xffa80010,
    0x2a0005ff,0x5c00ffff,0xccefffff,0xcccccccc,0x90fffff3,0x209fffff,
    0xfffffff9,0xffffdccd,0xfffd80ef,0x7fdcc1bf,0x7fdc04ff,0xffffffff,
    0x004fffff,0x017fffea,0x5ffffa80,0x3ffffa00,0xffffffff,0xfff83fff,
    0xffffffff,0x03ffffff,0xffffffd8,0x007edccc,0x02ffffd4,0x0bfff700,
    0xffffff98,0xffffffff,0xffff6fff,0x3ffffa0f,0xffff703f,0xffffffff,
    0x7e403fff,0xffefffff,0x7003ffff,0xffffffff,0x09ffffff,0xfddddddd,
    0xddddffff,0x7777749d,0xefffffee,0xd884eeee,0xffffffff,0xf04fffff,
    0xffffffff,0x9fffffff,0x3fffe200,0x7fffffff,0xddddddd0,0xdddfffff,
    0xffb009dd,0xfffa805f,0xffffffff,0xf6ffffff,0x3e20ffff,0x901fffff,
    0xffffffff,0x003dffff,0xfffffff7,0x8003ffff,0xffffffe8,0x84ffffff,
    0xffffffff,0xffffffff,0x3ffffe5f,0xffffffff,0x3205ffff,0xffffffff,
    0x3fe02fff,0xffffffff,0x003fffff,0x7fffffd4,0xff07ffff,0xffffffff,
    0xbfffffff,0x00ffff00,0xfffffff5,0xffffffff,0x3fffedff,0x3fffea07,
    0xff9100ff,0x5dffffff,0xffec9800,0x000bdfff,0x3fffb6e0,0xf01cefff,
    0xffffffff,0xffffffff,0x7fffffcb,0xffffffff,0x6d405fff,0xceffffff,
    0x7ffedc00,0xefffffff,0x3f620003,0x6fffffff,0xfffffff0,0xffffffff,
    0xff880bff,0xfffa804f,0xffffffff,0xf6ffffff,0xfc80ffff,0x8806ffff,
    0x0009aaa9,0x00035300,0x04cd4c00,0x7fffffc0,0xffffffff,0x3ffe5fff,
    0xffffffff,0x05ffffff,0x0026a620,0x55554c40,0x44000019,0x009aaaa9,
    0x3ffffffe,0xffffffff,0x000005ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x0efffffc,0x009dddd1,0x007bbbb2,0x40000188,0xeeedcba9,0x02620001,
    0x3bbbba60,0xeeeeeeee,0xddddd33e,0xdddddddd,0x777441dd,0xd900005e,
    0x9bdddddd,0x26000135,0x36028000,0x3003eeee,0x401ddddd,0x00000198,
    0x89fffff9,0x006ffff9,0x403ffffb,0xeffffec8,0xfc98002d,0xffffffff,
    0x7fed4001,0x980cdfff,0xffffffff,0x34ffffff,0xffffffff,0x1fffffff,
    0x037fffcc,0xffffe800,0xffffffff,0xdfb1000d,0x81efc800,0x00fffffb,
    0x44ffffd8,0xfffffec8,0xc80000cf,0x982fffff,0xb006ffff,0x2e03ffff,
    0xffffffff,0xd8800dff,0xffffffff,0xb1001fff,0xffffffff,0xfff985ff,
    0xffffffff,0xfff34fff,0xffffffff,0x7cc1ffff,0x00006fff,0xfffffffd,
    0x7fffffff,0x3ffffc80,0xbffff300,0x0bffffd0,0x0fffff98,0x7fffffd4,
    0x0001ffff,0x03bffff2,0x037fffcc,0x41ffffd8,0xffffffe8,0x1fffffff,
    0x3ffffa20,0xffffffff,0xffff8801,0xffffffff,0x3fffe65f,0xffffffff,
    0xffff34ff,0xffffffff,0x7fcc1fff,0x00099eff,0x3fffffa0,0xffffffff,
    0xff900eff,0xe8803fff,0xf984ffff,0x3a01ffff,0xfa83ffff,0xfffeeeff,
    0xff90006f,0xff9809ff,0xffb006ff,0xfffd83ff,0xffffffff,0xfd105fff,
    0x9bdfffff,0xb0015557,0xddffffff,0x447fffff,0xaaaaaaaa,0x34ffffda,
    0xffffffff,0x1fffffff,0x7fffffcc,0x02cdefff,0x57ffffd0,0xfffffd97,
    0x7ff409ff,0x355516ff,0x81bffff2,0x505ffffd,0x2a0dffff,0xffff880b,
    0x55544001,0xfff9801a,0xfffb006f,0x7fffd43f,0xffb311df,0xffb05fff,
    0x0001bfff,0x3fffffa8,0x0027fd44,0x34ffffc8,0x0005ffff,0x3fffffe6,
    0xefffffff,0x7ffff402,0xfffff901,0x3ffe201f,0xffffffff,0x00ffffff,
    0x0bffffe2,0x007ffffa,0x017ffe40,0xff980000,0xffb006ff,0x7fff43ff,
    0x3fff605f,0x7fffcc6f,0xfb00002f,0x1c407fff,0xffff9000,0x0bfffe69,
    0x7fffcc00,0xffffffff,0x3fa06fff,0x3ea01fff,0x2a05ffff,0xffffffff,
    0x2fffffff,0x6ffffc80,0x02ffffd4,0xffb55330,0x0000005f,0x01bfffe6,
    0x88ffffec,0x200fffff,0x21fffff9,0x004ffffd,0x1ffffa00,0xff900000,
    0x3ffe69ff,0xff30002f,0xffffffff,0x09ffffff,0x007ffffa,0x03fffff9,
    0x7fffffe4,0x4fffffff,0xfffff100,0x07ffff45,0x3ffff260,0x302fffff,
    0xdddddddd,0xff3009dd,0x3f600dff,0xfff31fff,0xfffd00df,0x7ffffc5f,
    0x3fe00000,0x000006ff,0x9a7fffe4,0x0002ffff,0x98dffff3,0xffffffda,
    0x1ffffe82,0x7ffffcc0,0x3fffea02,0xffffdcef,0x3fea005f,0xffff76ff,
    0xffff9809,0x2fffffff,0xffffff30,0x300bffff,0x200dffff,0xf71ffffd,
    0xf900bfff,0x3fe67fff,0x200006ff,0x005ffff8,0x7ffe4000,0x5ffff34f,
    0x3ffe6000,0x3ffe606f,0xfffe85ff,0xfffe801f,0x3fffa03f,0x7fff4c2f,
    0x3ffa000f,0xffffeaff,0x3fffe200,0x5fff909c,0x3ffffe60,0x805fffff,
    0x006ffff9,0x2a3ffffb,0xb806ffff,0xff74ffff,0x332a69ff,0xf30009bc,
    0x0000bfff,0x4ffffc80,0x99bffff3,0xf9801557,0x7dc06fff,0xffe87fff,
    0xffd801ff,0xfff304ff,0x3ffea09f,0x3fe6002f,0x2fffffff,0x437ffd40,
    0xf302fffc,0xffffffff,0xfff300bf,0x3ff600df,0xffff31ff,0xfffb801f,
    0xdffffb5f,0xfffffffd,0xff98019f,0x000005ff,0x9a7fffe4,0xffffffff,
    0xf302dfff,0xf880dfff,0xfdd0ffff,0xddddffff,0xbffff90b,0x07fffea0,
    0x003ffff8,0x7fffffec,0xfffa806f,0x17fffd47,0x3fffea00,0xffff9805,
    0xffffb006,0x6fffffc3,0x3ffff200,0xffffffb6,0xffffffff,0xa99883ff,
    0x999dffff,0x00019999,0x9a7fffe4,0xffffffff,0x40efffff,0x806ffff9,
    0xff2fffff,0xffffffff,0xffff70ff,0x1fffee0d,0x009ffff0,0xffffff88,
    0xfff9801f,0xffffecef,0x7fd4002f,0xff9805ff,0xffb006ff,0x7fff43ff,
    0xca9adfff,0xd6ffffff,0xffffffff,0xffffffff,0xfffffb8d,0xffffffff,
    0x640007ff,0xff34ffff,0xffffffff,0xf98dffff,0xff806fff,0xffff0fff,
    0xffffffff,0x0fffff70,0xd01ffff2,0x7000bfff,0x009fffff,0x7fffffec,
    0x002fffef,0x02ffffd4,0x037fffcc,0x21ffffd8,0xfffffff9,0xffffffff,
    0xffffd6ff,0xfb779dff,0x5c9fffff,0xffffffff,0x7fffffff,0x7ffe4000,
    0x5555514f,0xfffff997,0x7ffccbff,0x7ffcc06f,0x3ffffe7f,0x87ffffff,
    0x706ffffb,0xff80ffff,0xff0004ff,0x44001fff,0xf3fffffd,0xfa8005ff,
    0xf9805fff,0xfb006fff,0xffb83fff,0xffffffff,0xf5ffffff,0x203bffff,
    0x27ffffe8,0xfffffffb,0xffffffff,0x7fe40007,0x7d4004ff,0x3e67ffff,
    0x7ec06fff,0x3a666fff,0x999affff,0x5ffffc81,0x03ffff50,0x00ffffe2,
    0xffdddddb,0xdddddfff,0x0099880b,0x3ffea000,0xfff9805f,0xfffb006f,
    0xfffd503f,0xfdffffff,0x3ffa9fff,0x7fcc02ff,0xb9930fff,0x999dffff,
    0x00099999,0x04ffffc8,0xfffffa80,0x0dffff31,0x1fffffdc,0x00fffff4,
    0x827fffec,0x704ffff9,0xf803ffff,0xffffffff,0x7fffffff,0x50000000,
    0x300bffff,0x200dffff,0x201ffffd,0xaceeedca,0xb3ffffc8,0xd007ffff,
    0xf305ffff,0x0000bfff,0x4ffffc80,0xfffff000,0x3bfffe65,0xffda9999,
    0xffd06fff,0xffd003ff,0x7ffc05ff,0x7ffd43ff,0xffff806f,0xffffffff,
    0xa987ffff,0xaaaaaaaa,0x2001aaaa,0x805ffffa,0x006ffff8,0x001ffffd,
    0x2ffffe80,0x009ffff9,0x307ffffb,0x000bffff,0xffffc800,0xfffb0004,
    0x3fffe69f,0xffffffff,0xfd01ffff,0xf9803fff,0x2e01ffff,0xedefffff,
    0x803fffff,0xff999999,0x99999fff,0xfffffc81,0xffffffff,0x3ffea004,
    0xffff005f,0x3fffe00f,0x7fc40007,0xfff70fff,0xfffd00bf,0xffff305f,
    0xd800000b,0x0003ffff,0x265ffffd,0xffffffff,0x2fffffff,0x07ffffa0,
    0x0dffffb0,0xffffffb8,0x5fffffff,0x3fffe000,0x3fff2007,0xffffffff,
    0x3ea004ff,0xfd005fff,0xf8803fff,0x40005fff,0x2a5ffffb,0x400fffff,
    0x980fffff,0x0005ffff,0x7ffffc00,0xfff88001,0xffff30ff,0xffffffff,
    0xffe8019f,0x3fea01ff,0x3e602fff,0xffffffff,0x03ffffff,0x0fffff00,
    0x7ffffe40,0xffffffff,0x3ffea004,0xfffb005f,0xfffc80bf,0x3e60004f,
    0x7fc1ffff,0x3f203fff,0xff307fff,0x2a000bff,0x7fffdc01,0xffe8000f,
    0x3ffe66ff,0xcdffffff,0xfffd000b,0x3fff203f,0x3fe205ff,0xffffffff,
    0x1fffffef,0x3fffffe0,0xffffffff,0x000007ff,0xbffff500,0x3fffea00,
    0xfffc80df,0xb88000ff,0xb86fffff,0xc83fffff,0x303fffff,0x000bffff,
    0x3ee077ee,0x06a6ffff,0xffffeb88,0x3fffe63f,0xffd00006,0xd97535ff,
    0x03ffffff,0x8afffff4,0xfffb0999,0x3ffe01df,0xffffffff,0x007fffff,
    0xff500000,0x7f400bff,0xedefffff,0x03ffffff,0x99753333,0x1fffffff,
    0xffffff10,0xfffffddf,0xfa9988df,0x9999dfff,0x20999999,0xfeeffffb,
    0x21ffffff,0xfeeefffd,0x4fffffff,0x037fffcc,0xffffe800,0xffffffff,
    0x3f203fff,0x4400ffff,0xf05fffff,0xffffffff,0xffffffff,0x55555550,
    0x00555555,0x0bffff50,0x7ffffcc0,0xffffffff,0x3fffe06f,0xffffffff,
    0x3fea01ff,0xffffffff,0x7dc0ffff,0xffffffff,0xffffffff,0x3fffee5f,
    0xffffffff,0x7ffffec4,0xffffffff,0x6ffff985,0xfffd0000,0xffffffff,
    0xfc801dff,0xf5002fff,0x26609fff,0xffff9999,0x8199999f,0xfffffffe,
    0x3a06ffff,0xffeeeeee,0xeeeeefff,0xffffd304,0x9fffffff,0xffffff80,
    0x1effffff,0xffffe980,0x0dffffff,0xffffffb8,0xffffffff,0x3ee5ffff,
    0xffffffff,0xfffd83ff,0xffffffff,0xffff302e,0x3fa0000d,0xffffffff,
    0x22003fff,0x7e4005fc,0xfff8000c,0x3ffa007f,0xffffffff,0x3fffe06f,
    0xffffffff,0x405fffff,0xffffffeb,0xfff801df,0xffffffff,0x7f644002,
    0x02efffff,0x3fffffee,0xffffffff,0x6d45ffff,0xdfffffff,0xfffffb00,
    0x805bffff,0x006ffff9,0xfffffd00,0x00357bdf,0x220004c0,0x3ffe0001,
    0x3ffa007f,0xffffffff,0x3fffe06f,0xffffffff,0x005fffff,0x00026aa6,
    0xbddfffff,0x31000017,0x3ee00355,0xffffffff,0xffffffff,0x26a6605f,
    0x55531000,0x00000035,0x00000000,0x00000000,0xfffd0000,0xffffffff,
    0x7ffffc0d,0xffffffff,0x0005ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x22222000,0x00888888,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xeeeeec80,0x26eeeeee,0xeeeeeeea,0xeeeeeeee,0xdd32eeee,
    0xdddddddd,0xdddddddd,0x3bbba65d,0xbcceeeee,0x77774c02,0x9acdeeee,
    0xdddd1000,0xdddddddd,0x3ba2bddd,0xeeeeeeee,0x3a3eeeee,0xdb005eee,
    0x3bb61ddd,0xeeeeeeee,0x806eeeee,0xec82eeeb,0xeee980ee,0x7775404e,
    0x3bbb63ee,0x1000000e,0xffffffff,0x7d4fffff,0xffffffff,0xffffffff,
    0xffff53ff,0xffffffff,0x7fffffff,0x3fffffea,0xefffffff,0xfffff303,
    0xffffffff,0xfff9801b,0xffffffff,0xff36ffff,0xffffffff,0x7c9fffff,
    0xfd007fff,0x3ffe1fff,0xffffffff,0x807fffff,0xff82fffd,0xfffa80ff,
    0x3ffe205f,0x3ffe0eff,0x000000ff,0xfffffff7,0x54ffffff,0xffffffff,
    0xffffffff,0xfff53fff,0xffffffff,0xffffffff,0x3ffffea7,0xffffffff,
    0xfff985ff,0xffffffff,0x2603ffff,0xffffffff,0x6fffffff,0xfffffff3,
    0xffffffff,0x03ffffc9,0xf0ffffe8,0xffffffff,0xffffffff,0x03fffb00,
    0x3ea0ffff,0x3f605fff,0x7fc1ffff,0x00000fff,0xffffffd0,0x4fffffff,
    0x70003ffa,0x3ffea7ff,0xffffffff,0xffffffff,0xffffff53,0xffffffff,
    0xfff989ff,0xffffffff,0x80efffff,0xfffffff9,0xffffffff,0xffffff36,
    0xffffffff,0x3ffffc9f,0x0ffffe80,0xffffffff,0xffffffff,0x1fffd00f,
    0x506fff88,0x2a0bffff,0xf83fffff,0x0000ffff,0xfffff980,0x9999cfff,
    0x7c4ffea1,0xf701cdef,0x2aaaa27f,0xfffffaaa,0x1aaaaaab,0x33bffff5,
    0xffffb533,0xffff98ff,0xffecbaae,0x984fffff,0xaaafffff,0x2aaaaaaa,
    0x55fffff3,0x55555555,0x03ffffc3,0x50ffffe8,0xfff55555,0x555557ff,
    0x30ffff00,0x3ea0bfff,0xff885fff,0xfff06fff,0x000001ff,0xfff9fff9,
    0x3ffa809f,0xbffffff1,0x003ffb83,0x001fffff,0x409ffff5,0x21fffffb,
    0x206ffff9,0x0ffffffc,0x037fffcc,0x37fffcc0,0x7ffff800,0x1ffffd00,
    0x0fffff80,0x7fff8800,0x505fffa8,0xfb0bffff,0x3e01ffff,0x0000ffff,
    0xf9ffff80,0x7d404fff,0xfffff13f,0x7fdc5fff,0xfffff003,0xffff5001,
    0xfffff809,0x1bfffe62,0xbfffff50,0x06ffff98,0x6ffff980,0xfffff000,
    0x3ffffa00,0x7ffffc00,0xf7555000,0x95555dff,0x1555bfff,0x517fffea,
    0x405fffff,0x000fffff,0xb7ffd400,0x5404ffff,0x75cc43ff,0xff71ffff,
    0x3fffe007,0xfffa800f,0x7fff404f,0x3fffe62f,0xffffc806,0x3fffe61f,
    0xfff98006,0xfff0006f,0x3ffa00ff,0x7ffc00ff,0xfff000ff,0xffffffff,
    0xffffffff,0x3fffea3f,0x3ffffa25,0x7ffffc05,0x7ec00000,0x9ffff3ff,
    0x403ffa80,0xff73fffb,0x3fffe007,0xfffa800f,0x7fffc04f,0x3fffe61f,
    0xffff9806,0x3fffe62f,0xfff98006,0xfff0006f,0x3ffa00ff,0x7ffc00ff,
    0xfff000ff,0xffffffff,0xffffffff,0x3fffea3f,0x3bffff25,0x7ffffc00,
    0x3e200000,0xffff0fff,0x03ffa809,0xff75ffe8,0x3fffe007,0xfffa800f,
    0x3ffea04f,0x7fffcc6f,0xffffd006,0x37fffcc7,0x7fffcc00,0xffff0006,
    0x3fffa00f,0x7fffc00f,0xffff000f,0xffffffff,0xffffffff,0x57fffea3,
    0x01fffff9,0x00fffff8,0x3ffee000,0x013fffe6,0xfd007ff5,0x00ffeebf,
    0x007ffffc,0x827fffd4,0x42fffffa,0x006ffff9,0x4c9ffffb,0x8006ffff,
    0x006ffff9,0x00fffff0,0x003ffffa,0x001fffff,0x3fff6aaa,0xffeaaaac,
    0xf50aaabf,0x3ffabfff,0xfff004ff,0x400001ff,0x3fe3fffe,0x4eeeeeff,
    0xf500ffea,0x0ffee9ff,0x07ffffc0,0x7ffffd40,0xffffeeee,0xfff983ff,
    0xfff9006f,0x7fffccbf,0xeeeeeeef,0xfff32eee,0x333333df,0xfff83333,
    0xffffffff,0xffffffff,0x7ffffc00,0xfffd8000,0x00ffff82,0xf9bffff5,
    0x7c00dfff,0x0000ffff,0x41ffff30,0xffffffff,0x50ffea5f,0x1ffffd75,
    0x7c00ffee,0xa800ffff,0xffffffff,0x00efffff,0x00dffff3,0x99bfffee,
    0xffffffff,0x2fffffff,0xfffffff3,0xffffffff,0xfffffff8,0xffffffff,
    0x7c00ffff,0x8000ffff,0xff81fffd,0x3ffea07f,0x1fffffff,0x3ffffe00,
    0xff900000,0xfffff8bf,0x3ea5ffff,0x7ffffc3f,0x0ffee2ff,0x07ffffc0,
    0x7ffffd40,0xffffffff,0xfff983ff,0xfff7006f,0x7fffccff,0xffffffff,
    0xfff32fff,0xffffffff,0xfff8ffff,0xffffffff,0xffffffff,0x7ffffc00,
    0xfffe8000,0x037ffc40,0xfffffff5,0x7c001fff,0x0000ffff,0xf85ffff0,
    0xffffffff,0xff0ffea5,0xfb819dff,0xffff003f,0xfff5001f,0xffffffff,
    0x98bfffff,0x7006ffff,0x7ccdffff,0xffffffff,0x32ffffff,0xffffffff,
    0x8fffffff,0xffffffff,0xffffffff,0x7fc00fff,0xf8000fff,0xfff987ff,
    0x3fffea05,0x05ffffee,0x03ffffe0,0x3ffea000,0x9cffff87,0x3fea0999,
    0x7007ffc3,0x3fe007ff,0xfa800fff,0x9999dfff,0xffffffca,0x1bfffe63,
    0x2ffffe40,0x33dffff3,0x33333333,0x3ffffe61,0xffffffff,0x7ffffc7f,
    0xaaaaaaaa,0x00fffffa,0x007ffffc,0x21fffe20,0x2a05fffa,0xffadffff,
    0xff003fff,0x00001fff,0xff09fffb,0xffa809ff,0x2e03ffc3,0xfff003ff,
    0xff5001ff,0x7f4409ff,0xff30ffff,0x3f600dff,0x3fe64fff,0xf98006ff,
    0xf0006fff,0x3a00ffff,0x7c00ffff,0x4400ffff,0xffffeeee,0xfffeeeee,
    0x3ea0eeef,0xfffb5fff,0xfff001ff,0x880001ff,0x999bffff,0x404ffff9,
    0x2f6c3ffa,0x400ffee0,0x800fffff,0x404ffffa,0x31fffff9,0x200dffff,
    0x262ffffe,0x8006ffff,0x006ffff9,0x00fffff0,0x003ffffa,0x801fffff,
    0xfffffff8,0xffffffff,0x2a0fffff,0xff15ffff,0xff00dfff,0x80001fff,
    0xfffffffc,0x04ffffff,0x8001ffd4,0xff003ffb,0xf5001fff,0xff009fff,
    0x3fe67fff,0xff9806ff,0x3fe61fff,0xf98006ff,0xf0006fff,0x3a00ffff,
    0x7c00ffff,0x4400ffff,0xffffffff,0xffffffff,0x3ea0ffff,0x3fee5fff,
    0x7fc03fff,0x40000fff,0xffffffff,0x04ffffff,0x3f21ffd4,0x0ffee00d,
    0x07ffffc0,0x27fffd40,0x97ffffc0,0x806ffff9,0x4c6ffffd,0x8006ffff,
    0x006ffff9,0x00fffff0,0x003ffffa,0x801fffff,0xfffffff8,0xffffffff,
    0x2a0fffff,0x7f45ffff,0x3e01ffff,0x0000ffff,0x3fffffea,0xffffffff,
    0x71ffd404,0x7dc09fff,0xffff003f,0xfff5001f,0xfffa809f,0xffff30ff,
    0xffffa80d,0x7fffcc2f,0xfff98006,0xfff0006f,0x3ffa00ff,0x7ffc00ff,
    0x7e4000ff,0xfffe82ff,0x3fffea00,0x7ffffcc5,0x3ffffe06,0x3ff60000,
    0xccccccef,0x5404ffff,0x3fff23ff,0x00ffee05,0x007ffffc,0x027fffd4,
    0x4ffffff1,0x206ffff9,0x85fffffc,0x006ffff9,0x06ffff98,0x0fffff00,
    0x03ffffa0,0x01fffff0,0x81fffd80,0x7d407fff,0xffc85fff,0xfff04fff,
    0x220001ff,0x3e03ffff,0x7d404fff,0x07ffe23f,0xf003ffb8,0x5001ffff,
    0x333bffff,0xfffff953,0x7fffcc9f,0xfecba99e,0x981fffff,0x999effff,
    0x09999999,0x00dffff3,0x01ffffe0,0x987ffff4,0xfff99999,0x199999ff,
    0x207fffa0,0x7d407fff,0xfe885fff,0xff81ffff,0xaaaabfff,0x21aaaaaa,
    0x200ffffb,0xffffffff,0x87ff51ff,0x7fdc0098,0xfffff003,0xffff5001,
    0xffffffff,0x4c1dffff,0xffffffff,0xffffffff,0xfffff303,0xffffffff,
    0x3ffe6dff,0xfff0006f,0x3ffa00ff,0xfffff0ff,0xffffffff,0x7f40ffff,
    0x7ffc40ff,0x7fffd406,0xfffff505,0xffffff0d,0xffffffff,0x7fff47ff,
    0x7ffffc05,0xf51fffff,0xdddddddf,0xdddddddd,0x3fe007ff,0xfa800fff,
    0xffffffff,0x0fffffff,0x7fffffcc,0xffffffff,0x3ffe600e,0xffffffff,
    0xff36ffff,0x3e000dff,0xfd007fff,0x3ffe1fff,0xffffffff,0x207fffff,
    0xff987fff,0x7ffd405f,0x3fff605f,0x7fffc4ff,0xffffffff,0xff33ffff,
    0xfff805ff,0x1fffffff,0xfffffff5,0xffffffff,0x2007ffff,0x800fffff,
    0xfffffffa,0xbfffffff,0xfffff980,0xffffffff,0xffff9803,0xffffffff,
    0xfff36fff,0x3fe000df,0xffd007ff,0x3fffe1ff,0xffffffff,0xf107ffff,
    0xfff50dff,0xffffa809,0x3fffe205,0x3fffe1ff,0xffffffff,0xff93ffff,
    0xffff00ff,0x23ffffff,0xfffffffa,0xffffffff,0xf003ffff,0x5001ffff,
    0xffffffff,0x98059bdf,0xefffffff,0x26001abd,0xffffffff,0x6fffffff,
    0x00dffff3,0x01ffffe0,0xf87ffff4,0xffffffff,0x7fffffff,0x70dfff30,
    0xfa809fff,0x7dc05fff,0x3fe6ffff,0xffffffff,0x03ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x90000000,0x440ddddd,0x445eeeee,0xeeeeeeee,0x5400aacd,0xeeeeeeee,
    0xeeeeeeee,0xbdddd74e,0xeeeec800,0x9ddddb13,0x3bbbb600,0x03bbba65,
    0x4bbbb600,0x004eeeed,0x02f77754,0xeeeeed80,0xee88000e,0x000eeeee,
    0x07bbbbba,0x23dddd30,0xeeeeeee9,0x2002bcde,0x02fffffe,0x8dfffff5,
    0xfffffff9,0x0cffffff,0xffffff70,0xffffffff,0x3fe2bfff,0xf1002fff,
    0x7e41ffff,0x5c01ffff,0x262fffff,0x8000ffff,0xff92fffe,0x64001fff,
    0x8005ffff,0xfffffffb,0xfffa8000,0x2003ffff,0x05ffffff,0xa97fffcc,
    0xffffffff,0x00cfffff,0x27fffff4,0x7fffffd8,0x7fffffcc,0xffffffff,
    0xffffb83f,0xffffffff,0x325fffff,0xb006ffff,0xf889ffff,0x7c05ffff,
    0x7cc6ffff,0xf8001fff,0xfff31fff,0x7fc005ff,0x44002fff,0xffffffff,
    0xfffc8000,0x2005ffff,0x0fffffff,0x4bfffe60,0xfffffffa,0xffffffff,
    0x3ffffe00,0xfffff07f,0xffff98ff,0xffffffff,0x7dc2ffff,0xffffffff,
    0xffffffff,0x3ffffe25,0x7fffc402,0xffffb80f,0xffff701f,0xffff883f,
    0xffff8001,0x13ffffe1,0x7ffffcc0,0x7ffec000,0x000fffff,0xfffffff8,
    0x3ffe007f,0x2604ffff,0xff52ffff,0xffffffff,0x01dfffff,0x3ffffffe,
    0x7ffffcc1,0x7fffcc7f,0xffcbaaae,0x2a1fffff,0xeeeeeeee,0xfffffeee,
    0x7fffe44f,0x7fffec06,0x3ffffa04,0xbfffff06,0x03ffff10,0x43ffff00,
    0x006ffffd,0x00bffff7,0xffffffa8,0x4c000fff,0xffffffff,0xffff002f,
    0x2601ffff,0xff52ffff,0xb9555dff,0x09ffffff,0x3ffffffe,0x7ffffe44,
    0x3ffe60ff,0x3fff206f,0xf10005ff,0x881dffff,0x302fffff,0x401fffff,
    0x42fffffa,0x01fffffb,0x0003ffff,0x7d41ffff,0xd801ffff,0x2003ffff,
    0xfdffffe8,0x5c000fff,0xfffdffff,0xffff004f,0x2607ffff,0xff52ffff,
    0x3fe60bff,0xff885fff,0x7c6fffef,0x0ffffeff,0x01bfffe6,0x00fffffb,
    0x3fffff60,0xbffff901,0x13ffff60,0x1bffffa0,0x409fffff,0x8002ffff,
    0x3e20ffff,0x4403ffff,0x000fffff,0x32bffff2,0x4000ffff,0xff9ffffe,
    0xfff006ff,0x20ffffff,0xf52ffff9,0x7dc0bfff,0xff887fff,0x30fffddf,
    0xfffd7fff,0x37fffcc1,0x3ffffe60,0x7ffd4000,0x3fe204ff,0x7fcc1fff,
    0xf9800fff,0xff72ffff,0x7fc01fff,0x7c4002ff,0xfffd87ff,0x7ffd405f,
    0x3fe6006f,0xffff95ff,0x7ffc4001,0x3fffff4f,0xffffff00,0xff307fff,
    0x3ffea5ff,0x3ffe605f,0x7ffc40ff,0xf93fffbd,0x3fffd3ff,0x037fffcc,
    0x00fffffc,0xdfffff10,0xbffff900,0x04ffffd8,0x3bffff60,0x03fffff8,
    0x6417fff4,0x7ffc41cc,0x7ffffb87,0x27fffe40,0x1ffffd00,0x003ffff2,
    0xb2ffffa8,0xf007ffff,0xffff9fff,0x5ffff30d,0x817fffea,0x987ffff8,
    0xfff8dfff,0x3fadffd5,0x3ffe61ff,0xffff806f,0x3ff6001f,0xf8801fff,
    0xff10ffff,0x4c001fff,0xffefffff,0x7f400fff,0x7ffcc3ff,0x43fffc44,
    0x01fffff8,0x007ffffa,0x91ffffd4,0x4001ffff,0xf70ffffd,0xff00bfff,
    0xffff97ff,0x2ffff985,0x40bffff5,0x986ffffa,0xfffd5fff,0x3fa7fff1,
    0x3ffe62ff,0x7ffc406f,0x3fea007f,0x32004fff,0xff94ffff,0xf90009ff,
    0xffffffff,0x7fffb007,0x4c6fffc8,0xffd06fff,0x3fe609ff,0xff1007ff,
    0xfffc8dff,0x3ffe000f,0x3fffe26f,0x7fffc00f,0x46ffff9b,0xf52ffff9,
    0x3e20bfff,0xfa84ffff,0x9fff95ff,0x3ff63fff,0x3fffe62f,0x7fffdc06,
    0xffff1006,0xff8800df,0xffff8fff,0xff88000f,0x06ffffff,0xe87fffb0,
    0x3e61ffff,0xfff906ff,0x3ffee0df,0xfff9004f,0xffffc83f,0xffff3000,
    0x2ffffe89,0xd9ffffc0,0x3e61ffff,0xfff52fff,0x7fe4c4bf,0xfa80ffff,
    0xffff34ff,0x7ffecdff,0x1bfffe63,0x4fffff88,0xfffffb00,0xfff90003,
    0x09ffffdf,0x7fffdc00,0xf9002fff,0x7ffc47ff,0x3ffe63ff,0xfffff305,
    0x5ffffb01,0x9ffff300,0x01ffff90,0x07ffff20,0x809ffff9,0xff53ffff,
    0x7ffccbff,0xfffff52f,0xffffffff,0x3fea03df,0x3ffffe4f,0x8ffff64f,
    0x886ffff9,0x0ffffffb,0xfffffa80,0xfff10003,0x01ffffff,0x7fffcc00,
    0xf9000fff,0x7ffdc9ff,0x3ffe66ff,0x3ffffe05,0x0fffff82,0x0ffffe80,
    0x00ffffc8,0x50ffffd0,0xf80fffff,0x3ffa3fff,0xffff30ff,0x3ffffea5,
    0xefffffff,0x3ffee00c,0x3fffff64,0x98ffff61,0xeeefffff,0xffffffff,
    0xffff8802,0x7e40006f,0x04ffffff,0x7fffec00,0xf7004fff,0x7ffec9ff,
    0xfff50fff,0x7fffe409,0x2ffffd45,0x17fffdc0,0x00ffffc8,0x05ffff88,
    0x403fffff,0x3ee3ffff,0xfff34fff,0x3fffea5f,0xefffffff,0x3fffb800,
    0x91ffffea,0x7fcc9fff,0xffffffff,0x004fffff,0x03fffffb,0xffff8800,
    0x20000fff,0xfffffffa,0xffb801ff,0xfdfff14f,0x3ffea7ff,0x3fffea04,
    0x1ffffe47,0x17fffe20,0x00ffffc8,0x03ffffb8,0x409ffffb,0x7fc3ffff,
    0xfff98fff,0xfffff52f,0xffffffff,0x3fffc803,0x913fffe2,0x7fcc9fff,
    0xffffffff,0x5001efff,0x007fffff,0x3ffff200,0x7f40004f,0xffffffff,
    0x5fffb805,0xfff5fff5,0x813ffeab,0x21fffff8,0x400ffffe,0x200ffffd,
    0x800ffffc,0x700ffffd,0x7c0dffff,0x7fe43fff,0xffff9bff,0x2bffff52,
    0x6fffffb8,0x21fffe40,0x7e41fffe,0x3ffe65ff,0xffffffff,0x3fe2003e,
    0x00006fff,0x03ffffe6,0xffffb800,0x2fffffcf,0xdafffd40,0x1ffff6ff,
    0xd807fff7,0xff14ffff,0xff880dff,0xeeeeefff,0xefffffee,0xfff80eee,
    0xaaaaaaff,0x00fffffc,0xf887ffff,0xfff9efff,0xbffff52f,0x3fffffa8,
    0x70ffff20,0xfff90fff,0x77fffccb,0x00009aaa,0x01fffffb,0x7ffc4000,
    0x3e20007f,0xffd4ffff,0xffa80dff,0x367fff6f,0xfffbafff,0x7fffdc03,
    0x07ffff76,0xffffff98,0xffffffff,0x1fffffff,0x7fffffd4,0xffffffff,
    0xfff03fff,0xffff907f,0x2a5ffff9,0xfc85ffff,0xfb00ffff,0xfb8005ff,
    0x3ffe65ff,0xf500006f,0x0007ffff,0x7ffff880,0x3fff2000,0xffff50ff,
    0x7ffcc07f,0xf51fffae,0x5fff99ff,0xfffff880,0x01ffffd8,0x7fffffcc,
    0xffffffff,0x1fffffff,0x7fffffe4,0xffffffff,0xfff05fff,0xffff307f,
    0x2a5fffff,0xf885ffff,0xfb03ffff,0xfb8005ff,0x3ffe66ff,0xf880006f,
    0x0005ffff,0x7ffff880,0xffff1000,0xffffe89f,0xdfff300f,0x7fc4dff9,
    0x02fffcff,0xfaffffe8,0xf9807fff,0xffffffff,0xffffffff,0x7fc1ffff,
    0xffffffff,0xffffffff,0x07ffff07,0x3ffffff6,0xffff52ff,0x3ffff60b,
    0x05fffd07,0x26fffb80,0x006ffff9,0xfffffd80,0xf8800000,0xb0007fff,
    0xa81fffff,0x105fffff,0x9ffddfff,0xffefffd8,0xfffb801f,0x04ffffef,
    0xcccccc88,0xfecccccc,0x0ccccfff,0x3bbfffe6,0xeeeeeeee,0xf82fffff,
    0xff503fff,0x25ffffff,0x305ffffa,0xd07fffff,0xb8005fff,0x3fe67fff,
    0x540006ff,0xccefffff,0xcccccccc,0xfff1004c,0xff3000ff,0x3fa09fff,
    0xf881ffff,0x41ffffff,0xfffffffb,0xffff9801,0x002fffff,0xffffb000,
    0x7fffdc01,0xffffd002,0x07ffff09,0x7ffffff4,0xbffff52f,0x37ffff40,
    0x0017fff4,0xf99fffea,0x40006fff,0xfffffffe,0xffffffff,0xff1007ff,
    0xfd000fff,0x2a01ffff,0x886fffff,0x87ffffff,0xfffffff8,0xfffff000,
    0x0000ffff,0x07fffec0,0x01ffffd0,0x1bfffee0,0xb80ffffe,0x2fffffff,
    0x40bffff5,0x42fffffa,0x4001ffff,0x3e67fffa,0x40006fff,0xfffffffe,
    0xffffffff,0xff1007ff,0xfa800fff,0x7404ffff,0xf83fffff,0xd04fffff,
    0x01ffffff,0x3fffff20,0x000005ff,0x403ffff6,0x006ffff8,0x03ffffe6,
    0xf807ffff,0x52ffffff,0xf80bffff,0x7fc6ffff,0x7d4001ff,0xfff30fff,
    0xfe8000df,0xffffffff,0xffffffff,0xffff1007,0xffff800f,0x7fcc00ff,
    0x7fc0ffff,0xf702ffff,0x001fffff,0x3fffffea,0x2000002f,0x500ffffd,
    0x8007ffff,0x7c3fffff,0x7e403fff,0xf52fffff,0xfb80bfff,0x3fe2ffff,
    0x7d4001ff,0xfff30fff,0xfe8000df,0xffffffff,0xffffffff,0xffff1007,
    0x7ffdc00f,0xffb003ff,0xffe89fff,0x3fe207ff,0x7c007fff,0x00ffffff,
    0x3ff60000,0xfffb00ff,0xffd8003f,0x7fffc5ff,0x7fffc403,0xffff52ff,
    0xffff880b,0x0000006f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x77777640,0xeeeeeeee,0x9804eeee,
    0x0007fffd,0x00026662,0x2600dc00,0x26000003,0x44000999,0x000c4019,
    0x00033310,0x00000180,0x33000022,0x00980000,0xe8157500,0xffffffff,
    0xffffffff,0x3ff6605f,0x20007fff,0x0006fffd,0x101ffc80,0x20000bff,
    0xffffffda,0xfb301eff,0x545dffff,0x202efffe,0xfffffda8,0x0001dfff,
    0x0007fff7,0xffffd950,0x64c039df,0x0ceffffe,0x7ff6dc00,0x4401ceff,
    0x3a1efffe,0xffffffff,0xffffffff,0xfffc885f,0x0007ffff,0x001bfff6,
    0xffffd880,0x77fff441,0xffd50000,0xffffffff,0xffff507f,0xf9bfffff,
    0x05ffffff,0xfffffff1,0x1dffffff,0x7fffcc00,0xfd30001f,0xffffffff,
    0x3ffee09f,0x3fffffff,0xffffe880,0x03ffffff,0x3bfffff6,0xffffffd0,
    0xffffffff,0x7e44bfff,0xffffffff,0x3ff60007,0xd100006f,0xd8dfffff,
    0x01efffff,0x7ffffd40,0xffffffff,0xfffffa83,0xffffffff,0x41ffffff,
    0xfffffff8,0x6fffffff,0x3ffff200,0x7e44004f,0xffffffff,0x7ec44fff,
    0xffffffff,0x3ee05fff,0xffffffff,0x4c0effff,0x2fffffff,0xfffffffd,
    0xffffffff,0x3ffeabff,0xffffffff,0x3ff60007,0xf980006f,0x80dfffff,
    0x2ffffffd,0xfffff100,0xfb9957bf,0x7bff507f,0xfffffd75,0x9ffff97f,
    0xceefff88,0xfffffccc,0xfff9003f,0xfd8007ff,0xffffffff,0x7e44ffff,
    0xecbdffff,0x982fffff,0xffffffff,0x4fffffff,0x7fffffd4,0xff10003f,
    0x3fe65fff,0xfffcffff,0x3f60007f,0x540006ff,0x04ffffff,0x7fffffdc,
    0xffffb803,0x540cc01f,0xffff880c,0x1fffe62f,0x6c4037d1,0x1006ffff,
    0x001fffff,0x7fffffd4,0xfdaa99ad,0x3bfffe24,0x6ffffb80,0xcfffffe8,
    0xffffb989,0x3ffe61ff,0x0002ffff,0xe8dffff9,0xfff0cfff,0x7ec000ff,
    0x320006ff,0x02ffffff,0xffffff50,0xffffd809,0x32000005,0x7ec0ffff,
    0xf10001ff,0x4c00ffff,0x22001ded,0x02fffffe,0xffffb0c4,0x7fffec03,
    0x3ffffea2,0xffffd102,0xfffffd8b,0xfff10006,0x1dfb85ff,0x003ffffc,
    0x00dfffb0,0x3fffff60,0x7f4c001f,0xb00dffff,0x001dffff,0x3ffee000,
    0x02fffb86,0x3ffffa00,0xb8000000,0x002fffff,0x02ffffc4,0xe93fffea,
    0x5c04ffff,0x7447ffff,0x0001efff,0x10dffff9,0x1ffffe05,0xddddddb0,
    0xdddfffff,0xfd10bddd,0x001dffff,0x3ffffa20,0xfffb80ef,0x0000bfff,
    0x427ffdc0,0x0003fffb,0x007ffff6,0x3ff60000,0xfa8005ff,0x7cc03fff,
    0x3ffe5fff,0xfff800ff,0x01a980ff,0x3fffe200,0x7ffc002f,0x7fff407f,
    0xffffffff,0x47ffffff,0x5fffffe9,0xfffb0000,0xff983fff,0xadffffff,
    0xaa988000,0xaaadfffd,0x203fffca,0xeeeccaa8,0x311fffff,0x33333333,
    0x33333333,0x7fff4133,0xffb8002f,0xeeeeeeff,0x6ffffeee,0x00dffff1,
    0x00bffffa,0x7ffe4000,0xfff8006f,0x7fff407f,0xffffffff,0x27ffffff,
    0x3ffffffa,0x7fdc0000,0x7e42ffff,0xffffffff,0xffa802df,0xffffffff,
    0xffffffff,0xffffc884,0xffffffff,0xfffff51f,0xffffffff,0x47ffffff,
    0x001fffff,0xffffffc8,0xffffffff,0xfff57fff,0x3ff600bf,0x800003ff,
    0x03fffff8,0x07ffff80,0x7ffffff4,0xffffffff,0xfff77fff,0x00005fff,
    0x3ffffea0,0x7fffdc4f,0xdfffffff,0xfffffd00,0xffffffff,0x87ffffff,
    0xfffffffb,0xffffffff,0xffffff51,0xffffffff,0x267fffff,0x000fffff,
    0xffffffe8,0xffffffff,0xfff77fff,0x3ff200bf,0x800004ff,0x007ffffc,
    0x00fffff0,0x037ffec0,0x7fffff4c,0xc800000d,0x81ffffff,0xfffffeb8,
    0xfc86ffff,0xfdcdefff,0xcccccdff,0x3fee2ccc,0xeeefffff,0x51fffffe,
    0xffffffff,0xffffffff,0x3fe27fff,0xe8001fff,0xeeeeffff,0xeeeeeeee,
    0xbffff55e,0x3ffff600,0x7c400003,0x0003ffff,0x000fffff,0x8037ffec,
    0xefffffe8,0xfb100000,0x001dffff,0xfffffd73,0x7ffc47ff,0x1fffdc4f,
    0xfffff100,0x3fff603d,0xddddd51f,0xdddddddd,0x45dddddd,0x002fffff,
    0x01ffffd8,0x3fffe600,0xffffd006,0xfb800003,0x0000ffff,0x000fffff,
    0x0037ffec,0x3ffffff6,0x7f440001,0x000dffff,0xfffffd98,0x21fffea6,
    0x2004fffb,0x406ffffa,0x001ffffd,0xfffe8000,0xffb8005f,0x220003ff,
    0x800fffff,0x000fffff,0x3fffe200,0x3fe0004f,0x360007ff,0xb8006fff,
    0x02ffffff,0xfffff300,0xfb00009f,0x7fdcffff,0x5fffb85f,0x3ffff200,
    0x7ffff404,0xd8000001,0x001fffff,0x02ffffd4,0x3ffffe00,0x7fffd403,
    0x7dc00007,0x0000ffff,0x001ffffe,0x006fffd8,0xffffff50,0xfffb8009,
    0x00003fff,0x64dffff7,0xffd85fff,0xffb000ff,0x3f620bff,0x2001ffff,
    0xffb80018,0x0801efff,0x05fffff1,0x7fffec00,0xfffd100f,0xf800009f,
    0x0004ffff,0x003ffffc,0x00dfffb0,0x7ffffcc0,0xffc800df,0x6401ffff,
    0x7ffc400b,0x3ffee4ff,0x7ffffe47,0xfffb8205,0x7ff440ff,0x7001ffff,
    0xe8007fff,0x9cffffff,0x64bd7310,0x803fffff,0x7fffcc29,0xfd310aff,
    0x0001ffff,0x7ffffdc0,0x7ffc0000,0x3f60007f,0x440006ff,0x0efffffe,
    0xfffffb10,0xdffb003d,0xffb75799,0x7d45ffff,0xffdadfff,0x9adfffff,
    0x3fea5eba,0xfecdffff,0x1fffffff,0xfffffa80,0x3ffe6001,0xffffffff,
    0x3fe25fff,0xccdfffff,0xc86ffedc,0xffffffff,0x3fffffff,0x7ffc0000,
    0xf80004ff,0x20007fff,0x00009998,0xffffffb0,0xffffe983,0xffb000df,
    0xffffffff,0xf889ffff,0xffffffff,0xffffffec,0x7ff45fff,0xffffffff,
    0x01ffffdf,0x4fffffc8,0x7fffdc00,0xffffffff,0x7fffd45f,0xffffffff,
    0xfff886ff,0xffffffff,0x00005fff,0x07ffffdc,0x7fffc000,0x00000007,
    0xfffff900,0xfffffc8b,0x7ffec004,0xffffffff,0xfff704ff,0x3e69ffff,
    0xffffffff,0x7ffffcc5,0xf8bfffff,0xfb801fff,0x8003ffff,0xffffffe9,
    0x985fffff,0xfffffffe,0x106fffff,0xfffffffb,0x0005ffff,0xbffffd00,
    0x3ffe0000,0x0000007f,0x3ffea000,0x07fffb05,0xffffd900,0x39ffffff,
    0xfffffb80,0x7ffff4c4,0xfd883eff,0x10dfffff,0x1003ffff,0x001fffff,
    0x7ffff5c0,0x201befff,0xffffffeb,0x5403dfff,0xeffffffe,0xa800000d,
    0x001fffff,0x2aaaaaaa,0xaabfffff,0xffff32aa,0xffffffff,0x005fffff,
    0xd803be60,0xa980002f,0x0019aaaa,0x2200d4c4,0x88009aaa,0x00009aa9,
    0x0037b660,0x99a98800,0xaaa98000,0x5300009a,0x00000135,0x05ffffe8,
    0x7fffff40,0xffffffff,0xfff37fff,0xffffffff,0x05ffffff,0x0c004400,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffffa800,
    0x7ff4001f,0xffffffff,0x37ffffff,0xffffffff,0xffffffff,0x0000005f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7fff4000,
    0xffe8005f,0xffffffff,0x37ffffff,0xffffffff,0xffffffff,0x0000005f,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3ffea000,
    0xfe8001ff,0xffffffff,0x7fffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01880220,
    0x0004c400,0xeeb80130,0xeeeeeeee,0x005eeeee,0x80026662,0x02eeeeeb,
    0x24eeeec8,0x00eeeee9,0x0bbbbb60,0x2001a980,0x0005eeec,0x0109ddd7,
    0x44000080,0x77744009,0x7776404e,0x22bdd91e,0x3623effe,0x774c5fff,
    0xfff711ee,0xc8801bff,0x82dffffe,0xfffffffc,0xffffffff,0x3fff6006,
    0x3ffa2006,0x3ea00fff,0x7fc0ffff,0xf1003fff,0xb801ffff,0x4efffffe,
    0x07fffe40,0x2fffec00,0x7cc00be6,0x0eeee884,0x37ffffae,0x6ffff880,
    0x8ffffec0,0xffe8fffd,0xffe89fff,0x3fe66fff,0xfffe99ff,0x501fffff,
    0xffffffff,0x7ffe41bf,0xffffffff,0x2006ffff,0x4006fffd,0x05fffff9,
    0x07fffff1,0x00dffff9,0x817fffee,0xffffffe9,0xf701efff,0xd0003fff,
    0x7fcc9fff,0x7ffcc02f,0x4ffffc43,0xffffffe8,0x7ffc42ff,0x7ffec06f,
    0xf9fffb1f,0xf9bfffff,0x23ffffff,0xffbffff9,0xffffffff,0xfffff987,
    0x24ffffff,0xfffffffc,0xffffffff,0x3fff6006,0xfffb8006,0xfffd83ff,
    0xffff305f,0xfffd003f,0x3ffee05f,0xfecb9bce,0xfffa84ff,0xfff8002f,
    0xfffff32f,0x3fffe205,0x3fffe22f,0xffffffea,0x3e20ffff,0x7ec06fff,
    0xfffb1fff,0xffffdfff,0xffffdfff,0x3ffffe69,0xffffffff,0x7ff43fff,
    0xfffcabff,0x555531ff,0xfff55555,0x6c003fff,0xd0006fff,0x541fffff,
    0x200fffff,0x404ffffe,0x307ffff9,0x3333bfff,0x217ffdc1,0x003ffff9,
    0x88ffffc4,0x42fffffe,0x45fffff8,0xfffffff8,0xffffffff,0x3fffe24f,
    0x7fffec06,0x3fffffb1,0x47fffffa,0xff35fffd,0x25dfffff,0x26ffffd8,
    0xf80ffffa,0x2e004fff,0x003fffff,0x0037ffec,0x5fffff88,0x05fffff1,
    0x07ffffa8,0x827fffe4,0xfff9affe,0xfff33fff,0x27fffc41,0x3fffe200,
    0x3ffffa20,0xfffff12f,0xfffff10b,0xfd517fff,0x7fc4ffff,0x7fec06ff,
    0xffffb1ff,0x27fffe47,0x3e6dfff7,0x885fffff,0x3f27ffff,0xfff903ff,
    0x3ffea00b,0xfd8005ff,0x2a0006ff,0xfdbfffff,0xff005fff,0x7fc05fff,
    0xffc81fff,0xffffff34,0xf17fee5f,0xffb8bfff,0x3fffcc5f,0x7fffff44,
    0x05fffffb,0xdffffff1,0x1fffff30,0x01bfffe2,0x363ffffb,0x3f20ffff,
    0x3fee0fff,0xfffff36f,0x3fffa01d,0x05fffb0f,0x201bffea,0x0efffff8,
    0x6fffd800,0x7ffec000,0x0effffff,0xbffff900,0x1bfffea0,0xff987ffc,
    0x7f49ff72,0x1bfff60f,0x541ffffd,0xfd106fff,0xffffffff,0x7fffc40b,
    0xffff00ef,0x3fffe23f,0x7fffec06,0xc89fffb1,0x7fdc5fff,0xfffff36f,
    0x7fffec01,0x205fffd1,0xe806fffa,0x101fffff,0xd3333333,0x3333dfff,
    0xe8801333,0xffffffff,0x3ffe6001,0xfffd80ff,0x24ff882f,0x9ff12ff9,
    0xff90ffe4,0x7fffc4ff,0x17ffee2f,0xfffffe88,0x7fc405ff,0x3f600fff,
    0xfff11fff,0xfffd80df,0x87fffb1f,0x7dc5fffc,0xffff36ff,0x1999880d,
    0x6417fff2,0x7e405fff,0x2a02ffff,0xffffffff,0xffffffff,0xf9803fff,
    0x04ffffff,0x3ffffe80,0x83ffffc4,0x3fe63ffa,0x2a2ffdbc,0x3ffee3ff,
    0xfffff70f,0x027ffe4b,0x3fffffa2,0xffff8806,0x7fffec06,0x0dffff11,
    0xb1ffffd8,0xffc87fff,0xb7ffdc5f,0x006ffff9,0x41fffee0,0x2a03fffe,
    0x404fffff,0xfffffffa,0xffffffff,0xb003ffff,0x01ffffff,0xdffff700,
    0x04ffffa8,0x7fcc3ff7,0x7cc1dfff,0x3fffea4f,0xffffffb1,0x00ffff61,
    0xfffffff3,0xffff8805,0x7fffec06,0x0dffff11,0xb1ffffd8,0xffc87fff,
    0xb7ffdc5f,0x006ffff9,0x3bfffe60,0xffffeb8b,0xfffff300,0xffff500d,
    0xffffffff,0x7fffffff,0xfffff300,0xf10009ff,0x7ec3ffff,0xff701fff,
    0x7feffcc5,0x327fcc1f,0xff15ffff,0x3a7fffff,0x3e602fff,0xffffffff,
    0x3fffe202,0x7fffec06,0x0dffff11,0xb1ffffd8,0xffc87fff,0xb7ffdc5f,
    0x006ffff9,0x7ffffe40,0x03ffffff,0x1fffffd1,0xddddd500,0xdfffffdd,
    0x05dddddd,0xfffffe88,0xc8002fff,0xff13ffff,0x7fcc0dff,0x3e2bfe64,
    0x117fdc5f,0xff77ffff,0x3edfffbf,0xff301fff,0xffffffff,0x3ffe205f,
    0x7ffec06f,0xdffff11f,0x1ffffd80,0xfc87fffb,0x7ffdc5ff,0x0dffff36,
    0xfffe8800,0x04ffffff,0x07fffff6,0x7ffec000,0x7fec0006,0xffffffff,
    0x7ffcc000,0x7ffff76f,0x3e66ff80,0x6c3ff92f,0x7fffc0ff,0xff9fffdc,
    0x07fff9ff,0x1bfffff1,0x05fffffd,0x80dffff1,0xf11ffffd,0xfe80dfff,
    0xfffb1fff,0x45fffc87,0xff36fffb,0x20000dff,0xeffffffb,0x3fffee01,
    0x3600003f,0x20006fff,0xfafffffb,0x8005ffff,0xfe9ffffe,0x7f400fff,
    0x265ff32f,0x0fff35ff,0xfffbfffd,0x3f3fff6d,0xfff887ff,0x3ffa25ff,
    0x7fc42fff,0x7fec06ff,0xffff11ff,0x7fffec0f,0x87fffb1f,0x7dc5fffc,
    0xffff36ff,0xa980000d,0x7fcc009a,0x00005fff,0x0037ffec,0x3fffff98,
    0x07fffff7,0xdffffb80,0x9805ffff,0x2ff98fff,0x3ffa7ffa,0xfffffc82,
    0xffff73ff,0xff88bfff,0xfe885fff,0x3e22ffff,0x7ec06fff,0x3ffe1fff,
    0xfffc81ff,0xfffb1fff,0x45fffc87,0xff36fffb,0x00000dff,0x7fffc400,
    0xaaaaabff,0x36002aaa,0x88006fff,0x6c5ffffe,0x001fffff,0x3fffffe2,
    0xf9001fff,0xfd8803df,0xffff705f,0x3fe21fff,0x444fffff,0x2205fffe,
    0x220efffe,0x6c06ffff,0x3fa1ffff,0xfb31dfff,0x23ffffff,0x7e43fffd,
    0x7ffdc5ff,0x0dffff36,0x55554c00,0xaaaaaaaa,0xfffffd1a,0xffffffff,
    0x7ec00fff,0xfd8006ff,0x7c40ffff,0x000effff,0x3ffffff2,0x7ff4006f,
    0x7fdc41bf,0xfff500ff,0xffd8dfff,0xe883ffff,0xefe8805f,0x37fffc40,
    0x87ffff60,0xfffffffc,0xffffffff,0x87fffb1f,0x7dc5fffc,0xffff36ff,
    0x7fe4000d,0xffffffff,0xffff4fff,0xffffffff,0x400fffff,0x4006fffd,
    0x03fffffb,0x0bfffff7,0x7ffffcc0,0x6c4003ff,0xffefffff,0x2600dfff,
    0x43ffffff,0x2ffffffb,0x6c400b10,0x6ffff880,0x0ffffec0,0xfffffff1,
    0xfff7ffff,0x0ffff63f,0xfb8bfff9,0xffff36ff,0x7fe4000d,0xffffffff,
    0xffff4fff,0xffffffff,0x400fffff,0x2006fffd,0x05fffff9,0x17ffffec,
    0xfffffd00,0x3ea0001f,0xffffffff,0xffff8802,0x7ffc41ff,0x00001fff,
    0x6ffff880,0x0ffffec0,0x3fffffee,0xfff8afff,0x87fffb1f,0x7dc5fffc,
    0xffff36ff,0x7fe4000d,0xffffffff,0xffff4fff,0xffffffff,0x400fffff,
    0x2005eeec,0x00fffffe,0x7fffffc4,0xffff7000,0x988000bf,0x009bdedb,
    0x1bffffe0,0x07ffffec,0x7c400000,0x7ec06fff,0xff981fff,0xf10dffff,
    0x3ff63fff,0x2fffe43f,0x7cdbffee,0x00006fff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fffe200,0x7fffec06,0x02aaa201,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x0019aaa9,0x00440188,0x00133310,
    0x0004d4c4,0x004fffb8,0x00a600c4,0x40039730,0x0000aa98,0x001f7764,
    0x33333333,0x33333333,0x3fffea13,0x97ffff47,0x99999998,0x99999999,
    0x00988019,0x7ffdc026,0xfc801fff,0xcfffffff,0x03bfd000,0xc9802ff6,
    0x4403ffff,0xdfffffec,0x7ffdc002,0x1ff71004,0x001ffd50,0x017fffea,
    0xfffffff5,0xfff30007,0xff3001ff,0xffffffff,0x5fffffff,0xd1ffffe6,
    0x3fa5ffff,0xffffffff,0xffffffff,0x07bff201,0x260bffd1,0x01fffffe,
    0x7fffffec,0x5c00efff,0x7dc2ffff,0x7ecc1fff,0x203fffff,0xfffffffc,
    0x50103fff,0x88107fff,0x7cc5ffff,0xfd005fff,0xb107ffff,0xffffffff,
    0x7f4003df,0x9805ffff,0xffffffff,0xffffffff,0xdffff12f,0xd1ffffd8,
    0xffffffff,0xffffffff,0x3ffe603f,0x7fffec6f,0xffffb102,0x7ffec03f,
    0x4fffffff,0x17fffe20,0x44bffff1,0xfffffffe,0x3fffa03f,0xffffffff,
    0x3e60ec81,0x217622ff,0x642ffffc,0x4402ffff,0x87ffffff,0xfffffffc,
    0x7006ffff,0x5fffffff,0xfffff980,0xffffffff,0xff12ffff,0xfffd8dff,
    0xfffffd1f,0xffffffff,0x2e03ffff,0x7fc7ffff,0x7dc04fff,0x7701ffff,
    0xfff93133,0x7ffec0df,0x7ffff40f,0x7fffff40,0x3e203fff,0xfffdccef,
    0x7ffcc3ff,0x2a3fff12,0xffe82fff,0x3ffa20ff,0x3fe200ff,0x261fffff,
    0xb9adffff,0x403ffffe,0xffaefff8,0x7774c06f,0xeeeeeeee,0x21eeeeee,
    0x7e45ffff,0xdddb0fff,0xdddddddd,0x03ffffdd,0xb1bfffe6,0x3005ffff,
    0x001ffffd,0x505ffff8,0xfb87ffff,0xffb82fff,0x03ffffcd,0x7ffec154,
    0x7fffec4f,0xfc9fff8d,0xff986fff,0x7ffcc5ff,0x7ffe404f,0x3ff22fff,
    0xdfffd06f,0xb2fffc80,0x00009fff,0x5ffff800,0x007fffe4,0x3ffff100,
    0x20f7fe40,0x2005ffe8,0x002aaaa8,0x20ffffee,0x4c5ffff8,0xb104ffff,
    0x0ffffea3,0x7fffec00,0x7ffffe43,0xfffefffe,0xffb80cff,0x7ffe42ff,
    0x7fff401f,0x3fffa2ff,0x0ffff702,0xf137ffcc,0x00003fff,0x27fffc00,
    0x001fffee,0x03ffff10,0x004c0188,0x3b320000,0x80dffffe,0x740ffffd,
    0x2a006fff,0x8003ffff,0x81fffffa,0xffffffb8,0x00bfffff,0x107fffec,
    0x880dfffd,0x3e0fffff,0xff301fff,0x3ff601ff,0x2fffe41f,0xfd000000,
    0xfffb87ff,0x7fc40007,0x000001ff,0xfff00000,0x2a0bffff,0x7e43ffff,
    0x2a001fff,0x4003ffff,0x04fffff9,0xfffffea8,0x3fe2003f,0x7ffd45ff,
    0x7fff403f,0x817fffc7,0xf507fffa,0xfff10bff,0x2666605f,0x99999999,
    0x3a099999,0x7fd43fff,0x7c40006f,0x00001fff,0xff000000,0x9fffffff,
    0x27fffcc1,0x00bfffee,0x03ffffa8,0x3ffffea0,0xfffc9805,0x001dffff,
    0xc87ffff5,0x2201ffff,0x7f45ffff,0xfff905ff,0x1ffff10d,0x03fffee0,
    0xfffffff3,0xffffffff,0x7ffec5ff,0x037ffd42,0x3fffe200,0x00000001,
    0xb9755000,0xc87fffff,0x7ec1ffff,0xf5000fff,0x2a007fff,0x405fffff,
    0xffffffd9,0x02dfffff,0x317fffe2,0xc809ffff,0x7e40ffff,0x7fd42fff,
    0xfffc84ff,0x27fff404,0x3fffffe6,0xffffffff,0x26622fff,0x00999809,
    0x0cccc800,0x00000000,0x3ffea000,0x6fffe86f,0x02ffffc4,0x03ffffa8,
    0x3fffffb8,0x7fffff40,0xfffdfffd,0xffd80eff,0x7fff40ff,0x7f5cc40e,
    0xff882fff,0xfffcffff,0x7fc40fff,0x7fd400ff,0x3ffe61ff,0xffffffff,
    0x02ffffff,0x00000000,0x00000000,0x3ffe2000,0xffffa87f,0x1ffffd44,
    0x1ffffd40,0x3fffff20,0xffffc801,0xfa9fff8b,0xffb85fff,0x7ffe42ff,
    0x7fffe42f,0x3ee04fff,0xffffffff,0xfffd83ff,0xdfffb003,0x7777774c,
    0xeeeeeeee,0xd9501eee,0x000007bf,0xffffe880,0x9999803f,0x01999999,
    0x31335510,0x0bffffd5,0xb07ffff6,0xcb83ffff,0xeffffdcc,0x3ff60ccc,
    0xeeeeefff,0x3bfe20ee,0x223fff31,0x7fcc1ffe,0x7ffcc5ff,0xffffc84f,
    0xffb801df,0x2fffffff,0x002aaa88,0x002aaaa2,0x3ff20000,0x101effff,
    0x40009999,0x1fffffe8,0xfffff880,0x01ffffff,0xffffff88,0x02ffffff,
    0x41dffff1,0x6c6ffff8,0xffffffff,0x3fe0ffff,0xffffffff,0x225c0fff,
    0x25c2fff9,0x207ffff4,0xc80ffffe,0x4002cdef,0xbcefedc8,0x00000000,
    0xff900000,0x5fffffff,0x00ffff30,0x3ffffa20,0xfff1000d,0xffffffff,
    0xffff1003,0x5fffffff,0x2ffffa80,0xb06fffd4,0xffffffff,0x7fc1ffff,
    0xffffffff,0xfa800fff,0xfc8803ff,0x7ff4c2ff,0x0000102f,0x00000000,
    0x22000000,0xffffffff,0x7fd42fff,0xfe88006f,0x44003fff,0xffffffff,
    0xf8801fff,0xefffffff,0x17fb000b,0x3f607760,0xffffffff,0x3ffe0fff,
    0xffffffff,0xffb800ff,0x1322004f,0x00005ea8,0x00000000,0x80000000,
    0xebcffffb,0x88bfffff,0x4005fffe,0x01ffffe8,0xaaaaa880,0x00aaaaaa,
    0x33555330,0x00010001,0x00000000,0x0fbbaa00,0x00000000,0x00000000,
    0x00000000,0x6c4fffd8,0xffffffff,0x4c002fff,0x0000aaaa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2fffe800,
    0xffffffd8,0x00007fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3e000000,0xff901fff,0x03ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3faa0000,0x0001efff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x009a9800,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__consolas_bold_42_latin1_x[224]={ 0,8,4,0,1,0,0,8,5,4,2,1,4,5,
7,1,1,2,2,2,0,3,2,2,2,1,7,4,2,2,3,5,0,0,2,1,1,3,3,0,1,3,3,2,
4,0,1,0,2,0,2,2,1,1,0,0,0,0,2,6,2,5,1,0,0,2,2,2,1,2,0,1,2,2,
2,3,2,1,2,1,2,1,3,3,1,2,0,0,0,0,3,3,9,4,0,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,8,2,1,0,0,
9,1,0,0,4,2,2,5,1,0,3,2,4,4,0,2,1,7,8,4,4,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,2,2,0,0,
0,0,0,0,0,2,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,2,0,
 };
static signed short stb__consolas_bold_42_latin1_y[224]={ 31,2,2,4,0,1,2,2,0,0,2,9,23,17,
23,2,3,4,3,3,4,4,4,4,3,3,9,9,8,13,8,2,1,4,4,3,4,4,4,3,4,4,4,4,
4,4,4,3,4,3,4,3,4,4,4,4,4,4,4,1,2,1,4,35,2,9,2,9,2,9,1,9,2,1,
1,2,2,9,9,9,9,9,9,9,3,10,10,10,10,10,10,1,-3,1,15,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,31,9,0,3,4,4,
-3,1,1,3,3,11,17,17,1,2,1,5,1,1,2,10,2,15,31,1,3,11,1,1,1,9,-4,-4,-4,-4,
-4,-5,4,3,-4,-4,-4,-4,-4,-4,-4,-4,4,-4,-4,-4,-4,-4,-4,10,-1,-4,-4,-4,-4,-4,4,1,2,2,
2,1,1,-1,9,9,2,2,2,1,2,2,2,1,2,1,2,2,2,1,1,8,5,2,2,2,1,2,2,1,
 };
static unsigned short stb__consolas_bold_42_latin1_w[224]={ 0,7,15,23,21,24,24,7,14,14,19,21,12,13,
9,20,22,19,19,19,23,18,20,19,19,20,9,12,18,19,18,15,23,24,20,20,22,17,17,22,21,18,16,21,
17,23,21,23,20,24,21,19,21,21,24,23,23,23,19,12,20,12,21,24,15,19,20,18,20,19,22,21,19,19,
17,20,19,21,19,21,20,20,19,18,20,19,23,23,23,23,18,16,5,16,23,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,7,17,21,23,23,
5,21,19,23,15,19,19,13,21,18,17,19,15,15,22,21,21,9,7,15,15,19,24,24,24,15,24,24,24,24,
24,24,24,20,20,21,20,20,21,21,21,21,23,22,23,23,23,23,23,19,23,22,22,22,22,23,20,21,21,22,
21,21,21,21,23,18,21,22,21,21,21,22,21,21,21,21,22,22,22,22,22,21,21,21,22,21,21,23,20,23,
 };
static unsigned short stb__consolas_bold_42_latin1_h[224]={ 0,30,11,27,37,31,30,11,40,40,18,21,16,6,
9,34,29,27,28,29,27,28,28,27,29,28,23,30,24,13,24,30,39,27,27,29,27,27,27,29,27,27,28,27,
27,27,27,29,27,36,27,29,27,28,27,27,27,27,27,39,34,39,14,5,9,23,30,23,30,23,30,31,29,30,
39,29,29,22,22,23,31,31,22,23,29,22,21,21,21,30,21,39,43,39,10,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,0,31,37,28,27,27,
43,35,10,29,22,18,11,6,21,9,16,26,18,18,9,30,34,9,7,18,22,18,30,30,30,31,35,35,35,35,
35,36,27,35,35,35,35,35,35,35,35,35,27,35,36,36,36,36,36,19,37,36,36,36,36,35,27,31,30,30,
30,31,31,33,23,29,30,30,30,31,29,29,29,30,30,30,30,30,30,31,31,23,31,30,30,30,31,38,38,39,
 };
static unsigned short stb__consolas_bold_42_latin1_s[224]={ 254,248,182,191,232,66,198,246,13,28,69,
118,109,239,246,207,207,21,235,187,163,127,67,1,22,46,244,1,61,162,80,
14,145,187,70,66,91,114,132,164,150,172,110,215,237,1,212,129,25,50,234,
153,48,24,138,114,90,66,46,74,186,61,140,214,238,142,230,184,209,203,186,
23,230,144,43,1,109,41,1,223,45,91,63,99,173,21,164,210,140,98,99,
87,1,128,182,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,254,240,214,
88,191,215,7,48,218,42,239,17,198,239,188,229,122,41,53,1,206,92,228,
245,244,37,83,89,161,136,129,1,134,1,180,70,139,25,1,92,113,164,159,
71,229,26,117,95,167,48,75,99,123,24,170,234,1,194,217,1,147,205,146,
156,107,24,70,134,200,1,118,216,63,47,114,178,194,1,87,176,85,154,223,
1,30,17,40,162,222,122,75,53,112,190,169,104, };
static unsigned short stb__consolas_bold_42_latin1_t[224]={ 1,45,451,344,1,156,190,190,1,1,451,
427,451,337,202,119,253,400,284,253,372,314,314,400,284,314,156,253,400,451,400,
253,1,372,344,284,344,344,344,253,344,344,314,344,344,372,372,284,372,45,372,
284,344,314,372,372,372,372,372,1,119,1,451,39,451,400,222,400,222,400,222,
156,253,253,1,284,284,427,428,400,156,156,427,400,284,428,427,427,427,253,427,
1,1,1,463,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,
344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,344,1,45,1,
314,314,314,1,119,451,284,314,451,451,337,427,463,451,400,451,451,463,222,119,
400,180,451,427,451,222,222,190,190,83,120,83,119,119,45,344,83,83,119,83,
83,83,120,119,119,314,83,45,45,45,83,45,427,45,45,45,83,45,83,314,
156,190,222,222,156,156,156,400,284,190,222,222,156,284,314,284,190,190,190,190,
222,253,190,190,400,156,253,253,253,156,1,1,1, };
static unsigned short stb__consolas_bold_42_latin1_a[224]={ 369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,369,
369,369,369,369,369,369,369,369, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_42_latin1_BITMAP_HEIGHT or STB_FONT_consolas_bold_42_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_42_latin1(stb_fontchar font[STB_FONT_consolas_bold_42_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_42_latin1_BITMAP_HEIGHT][STB_FONT_consolas_bold_42_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_42_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_42_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_42_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_42_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_42_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_42_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_42_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_42_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_42_latin1_s[i] + stb__consolas_bold_42_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_42_latin1_t[i] + stb__consolas_bold_42_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_42_latin1_x[i];
            font[i].y0 = stb__consolas_bold_42_latin1_y[i];
            font[i].x1 = stb__consolas_bold_42_latin1_x[i] + stb__consolas_bold_42_latin1_w[i];
            font[i].y1 = stb__consolas_bold_42_latin1_y[i] + stb__consolas_bold_42_latin1_h[i];
            font[i].advance_int = (stb__consolas_bold_42_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_42_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_42_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_42_latin1_s[i] + stb__consolas_bold_42_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_42_latin1_t[i] + stb__consolas_bold_42_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_42_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_42_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_42_latin1_x[i] + stb__consolas_bold_42_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_42_latin1_y[i] + stb__consolas_bold_42_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_42_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_42_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_42_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_42_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_42_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_42_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_42_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_42_latin1_LINE_SPACING
#endif

