// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_47_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_47_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_47_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_47_latin1_BITMAP_HEIGHT        587
#define STB_FONT_consolas_bold_47_latin1_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_consolas_bold_47_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_bold_47_latin1_NUM_CHARS            224

#define STB_FONT_consolas_bold_47_latin1_LINE_SPACING          31

static unsigned int stb__consolas_bold_47_latin1_pixels[]={
    0x2a599995,0x0002cccc,0x2aa00000,0x2a00009a,0xaaaaaaaa,0x555542aa,
    0x2aaaaaaa,0x00998000,0x2aa98800,0x00555555,0x2a000000,0x00aaaaaa,
    0x3bb2e600,0x260000ac,0x336e03dd,0x55554401,0xffc800aa,0xffff93ff,
    0x0001f987,0xff03f300,0x0019ffff,0xfffffff8,0x3e0fffff,0xffffffff,
    0x260007ff,0x8002ffff,0x6fffffd8,0x00bffffd,0xfb000000,0x007fffff,
    0x3ffffa60,0x000effff,0x427fffd4,0x201ffffd,0x0ffffff9,0x3ffffc80,
    0x4c7ffff9,0x00001fff,0x3e0fffcc,0x3fffffff,0x3ffffe00,0x0fffffff,
    0x3ffffffe,0x0007ffff,0x3ffffff1,0x7fffdc00,0xfffd6fff,0x000000bf,
    0xfffffd80,0xff70001e,0xffffffff,0x7f4001df,0x3e60ffff,0x2604ffff,
    0x00ffffff,0x93ffffc8,0x3e67ffff,0x0002ffff,0x3fffff30,0x7ffffffc,
    0xfff002ff,0xffffffff,0x7ffffc1f,0x07ffffff,0xfffff700,0x3ff2009f,
    0xd6ffffff,0x000bffff,0x7fec0000,0x0000dfff,0xfffffffb,0x1dffffff,
    0x3ffffe00,0x3fffea1f,0x3ffe606f,0xfc800fff,0xfff93fff,0x3fffea7f,
    0x4c0002ff,0x21ffffff,0xffffffee,0xfff800ff,0xffffffff,0x3ffffe0f,
    0x07ffffff,0xfffff700,0xfff1009f,0x2bdfffff,0x005ffffe,0xffb00000,
    0x40007fff,0xadfffffc,0xffffeca8,0xffffb006,0xfffff88f,0x3fffe204,
    0xfff9007f,0x3ffff27f,0x3ffffee3,0xff30001f,0x4403ffff,0x04fffffd,
    0x3fffe200,0x3ffffe0f,0x7d400000,0x803fffff,0x0cfffffd,0x05ffffe8,
    0xfd800000,0x0001efff,0x0bffffea,0x02ffffe8,0x82fffe88,0x200efffb,
    0x07fffff8,0x27ffff90,0x5c3ffffc,0x00ffffff,0xfffffe80,0xffffb002,
    0x7fc4000d,0x3ffe0fff,0x800000ff,0x006ffffe,0x409fffff,0x005ffffe,
    0x66540000,0x20000ccc,0x01fffff8,0x02ffffc4,0x54c01550,0xffff8802,
    0xfff9007f,0x3ffff27f,0xfffffc83,0x7ffe4005,0x3e2002ff,0x20007fff,
    0x20fffff8,0x000fffff,0x19dd9000,0xfffff100,0x5ffffe80,0x00000000,
    0xfffe8000,0xfff5002f,0x0000001f,0x3ffffe20,0xffff9007,0x0fffff27,
    0x17ffffec,0xfffff980,0xffff8004,0xff10000f,0x7ffc1fff,0x000000ff,
    0x3ffe6000,0x7fff405f,0x0000005f,0x7cc00000,0x7c005fff,0x00003fff,
    0x3fffe000,0xfff9006f,0x3ffff27f,0xfffff103,0xffe8801f,0xfb0006ff,
    0x20003fff,0x20fffff8,0x000fffff,0x2a000000,0x7404ffff,0x5445ffff,
    0x4400acdc,0x002aaaaa,0x0aaaaa98,0x00ffffd8,0x137ffec0,0x00555555,
    0x15555530,0x037ffffc,0x93ffffc8,0x5c07ffff,0x404fffff,0x02fffffc,
    0x5ffffb00,0x3ffe2000,0x3fffe0ff,0x5553000f,0x55555555,0x80155555,
    0x404ffffb,0xb14ffffe,0xbfffffff,0x7ffffc40,0x7ff4000f,0x7fc40fff,
    0xfb8003ff,0x3ffe27ff,0x74000fff,0x3e0fffff,0x9006ffff,0x3f27ffff,
    0x7f403fff,0xf100ffff,0x000bffff,0x017fffec,0xfffff880,0x03ffffe0,
    0x7ffffdc0,0xffffffff,0x7dc01fff,0x7f404fff,0xffe8cfff,0xefffffff,
    0xfffffb00,0x7ffcc005,0xfffc84ff,0x5e6dcc0f,0xfff9cdb9,0x3ffff60f,
    0x3fe6002f,0x7ffc4fff,0xff9006ff,0x3fff27ff,0x7ffcc03f,0xfff703ff,
    0x6c0001ff,0x0002ffff,0x41fffff1,0x000fffff,0xfffffff7,0xffffffff,
    0xfffb803f,0x7fff404f,0xfffffedf,0x06ffffff,0x0dfffff5,0x7ffffe40,
    0x26ffff81,0xffffffd8,0xffff8cff,0x3ffffea1,0x3fff2006,0x7fff41ff,
    0xfff9005f,0x3ffff27f,0xffffd803,0xbffffd06,0xfffd8000,0xff10002f,
    0x7ffc1fff,0xff7000ff,0xffffffff,0x03ffffff,0x04ffffb8,0x7ffffff4,
    0xffffffff,0xff02ffff,0x2001ffff,0x986fffff,0xfd13ffff,0xffffffff,
    0x83ffff17,0x00ffffff,0x0dfffff0,0x00bffffd,0x64fffff2,0xb803ffff,
    0x4c1fffff,0x002fffff,0x17fffe40,0xffff8800,0x3ffffe0f,0xffff7000,
    0xffffffff,0xb803ffff,0x7403ffff,0xffffffff,0xffffd31d,0x3fff20df,
    0xffa803ff,0xffa83fff,0xffff90ff,0x25ffffff,0x7e42ffff,0xa803ffff,
    0xe83fffff,0x9005ffff,0x3f27ffff,0xf8803fff,0x7e44ffff,0x80007fff,
    0x003ffffc,0x1fffff10,0x007ffffc,0x7ffd4000,0x7fe401ff,0x7ff402ff,
    0x881fffff,0x82fffffe,0x06fffff8,0x0fffffd8,0xf16fffc8,0xffb9ffff,
    0x3fffe5ff,0x7ffffc43,0xffffd806,0xffffe80f,0xffff9004,0x0fffff27,
    0x3ffffec0,0x013ffffe,0x3fffee00,0xfff10006,0x7fffc1ff,0xa800000f,
    0x401fffff,0x402ffffe,0x2ffffffe,0x3ffffee0,0xfffffb04,0x7fffc403,
    0x9fffd05f,0x5cbfffee,0xffd1ffff,0xffffb09f,0x7ffc403f,0xfffb05ff,
    0x3ff2009f,0xffff93ff,0x3ffee007,0xffff10ff,0xf100005f,0x0007ffff,
    0x41fffff1,0x000fffff,0xffffa800,0x3fff201f,0x7ff400ff,0x7c403fff,
    0xf505ffff,0x5c09ffff,0x882fffff,0xffb3ffff,0x7fffe4ff,0x509fffd0,
    0x409fffff,0x02fffffb,0x009ffffb,0x64fffff2,0x3003ffff,0x263fffff,
    0x001fffff,0xfffffb00,0x8801557d,0x3e0fffff,0x0000ffff,0xfffffa80,
    0xffd75531,0xfd009fff,0x3e00dfff,0x3e06ffff,0x3a07ffff,0xf506ffff,
    0x3ffe3fff,0x9ffff24f,0xff03fffe,0x7f40ffff,0x3f606fff,0xf9004fff,
    0x2aa67fff,0xff1001aa,0x3fea5fff,0x00000fff,0xffffffb1,0xff8805ff,
    0x3ffe0fff,0x800000ff,0x71fffffa,0xffffffff,0x3fffa00b,0xfffd005f,
    0x7ffe40ff,0xfff882ff,0xfff503ff,0x7ffff11f,0xfd3fffec,0x3ff207ff,
    0xff882fff,0x3f203fff,0xf9003fff,0x00007fff,0x5cfffffe,0x0007ffff,
    0xffffda80,0x7fc402ff,0x3ffe0fff,0x800000ff,0x71fffffa,0x59ffffff,
    0x7ffff400,0xffffb005,0x3ffe201f,0xfffb85ff,0xfff700ff,0x8bfffeaf,
    0x3fe6fffe,0xfff102ff,0xfff70bff,0x7fe401ff,0xff9003ff,0x200007ff,
    0xf94ffffe,0x0000dfff,0xfffffd98,0x7fc402ff,0x3ffe0fff,0x800000ff,
    0x71fffffa,0x9fffffff,0x3fffa001,0xfffb005f,0x7fec01ff,0x7ff40fff,
    0x3fee05ff,0x3ffff57f,0xff2ffff4,0x7fec03ff,0x7ff40fff,0x7fe405ff,
    0xff9003ff,0x200007ff,0xfb4ffffe,0x0000bfff,0x7fffffcc,0x7c402fff,
    0x3fe0ffff,0x00000fff,0x1fffffa8,0xfffffff7,0xffd001df,0x3fa00bff,
    0x7d406fff,0x3e63ffff,0x3202ffff,0xfff76fff,0xa7fffc1f,0x201ffff8,
    0x23fffffa,0x02fffff9,0x017fffe4,0x03ffffc8,0xffffd000,0x1bffff69,
    0xfffe8000,0x22001bff,0x3e0fffff,0x0000ffff,0xfffffa80,0x7ffe4c41,
    0xffe805ff,0xfff005ff,0xfff00bff,0x7ffe4dff,0x7ffe407f,0x21ffff76,
    0xf34ffff8,0xff801fff,0x3ff26fff,0xcca807ff,0xff9001cc,0x200007ff,
    0xf93ffffe,0x0000ffff,0x03ffffe6,0x3fffe200,0x3ffffe0f,0xfa800000,
    0x2a01ffff,0x400fffff,0x805ffffe,0x04fffff8,0x0fffffc8,0x809fffff,
    0xff75fffd,0x3ffe21ff,0x0dfff53f,0x1fffff90,0x013ffffe,0xfff90000,
    0x3e00007f,0xff72ffff,0x00001fff,0x009ffff7,0x3ffffe20,0x03ffffe0,
    0x3fea0000,0x7f401fff,0x7f402fff,0xfc805fff,0x9802ffff,0xfabfffff,
    0x6c01ffff,0xfff75fff,0x3fffea1f,0x009fff92,0x57fffff3,0x003fffff,
    0xfffc8000,0xf880003f,0xff51ffff,0x00001fff,0x007ffff9,0x3ffffe20,
    0x03ffffe0,0x3fea0000,0x7e401fff,0x7f403fff,0x7c405fff,0x001fffff,
    0xfbdffffd,0xf900dfff,0x3ffeadff,0x5ffffd1f,0x400bfffe,0xfdeffffe,
    0x26006fff,0x3f2001bc,0x33313fff,0x3fe60013,0xfff30fff,0xb00005ff,
    0x0005ffff,0x83ffffe2,0x000fffff,0xffffa800,0x7ffdc01f,0x7fff403f,
    0x3ffa205f,0x2a004fff,0xffffffff,0xffb802ff,0xbffff37f,0xbbfffffb,
    0x2001ffff,0xfffffffa,0xf9002fff,0x32007fff,0xff93ffff,0x3ee007ff,
    0x3fe27fff,0x80004fff,0x002ffffd,0x1fffff10,0x007ffffc,0x7ffd4000,
    0x7fdc01ff,0x7ff404ff,0x2e61afff,0x06ffffff,0xffffff80,0xf7007fff,
    0x7fffcfff,0xffffffff,0x4004ffff,0xffffffff,0xfff3007f,0xf9001fff,
    0x3ff27fff,0xffd003ff,0xfffe8bff,0xfd80007f,0x10002fff,0x7c1fffff,
    0x0000ffff,0xfffffa80,0x7fffdc01,0x7ffff404,0xffffffff,0x001fffff,
    0xffffffc8,0xff5004ff,0x3fff21ff,0xfffedfff,0xc8006fff,0xffffffff,
    0xffff7004,0xff9005ff,0x3fff27ff,0xfff9803f,0x7ffdc2ff,0x6c0002ff,
    0x0002ffff,0x41fffff1,0x000fffff,0xffffa800,0x7ffdc01f,0x7fff404f,
    0xffffffff,0x003fffff,0xffffff30,0x3e6003ff,0xffd11fff,0x3ffe6dff,
    0x98000eff,0xffffffff,0xffff7001,0xff9005ff,0x3fff27ff,0xfffc803f,
    0xffff887f,0x7ec0004f,0x10002fff,0x7c1fffff,0x0000ffff,0xfffffa80,
    0x7fffdc01,0x7ffff404,0xffffffff,0x40000dff,0x5ffffffe,0x3fffe200,
    0x82f7b223,0x000aceda,0x3fffffa0,0x3fe6005f,0xc800ffff,0xff93ffff,
    0xffd007ff,0x3ff607ff,0x20000fff,0x002ffffd,0x1fffff10,0x007ffffc,
    0x7ffd4000,0x7fdc01ff,0x7ff404ff,0xffffffff,0x00002def,0x3ffffff7,
    0x6ffff800,0x20000000,0x1ffffffb,0x7fffdc00,0xffff9002,0x0fffff27,
    0x1fffff70,0x3ffffea0,0x3ff60004,0xf10002ff,0x7fc1ffff,0x00000fff,
    0x1fffffb8,0x27fffdc0,0x37ffffa0,0x0001aaa8,0xfffff700,0xfffb000b,
    0x0000001f,0x3ffffee0,0x15730005,0x7fffe400,0x07ffff93,0x2fffffc4,
    0x3fffffa0,0xfffd0001,0x3e20003f,0x3fe0ffff,0x00000fff,0x07ffffc8,
    0x05ffffa8,0x02fffff4,0xfff00000,0x50003fff,0x0007ffff,0x3ffe0000,
    0x00001fff,0x7fffe400,0x07ffff93,0x0fffffec,0x3ffffea0,0xffff0006,
    0x3e20001f,0x3fe0ffff,0x00000fff,0x06ffffd8,0x06ffff98,0x02fffff4,
    0xffc80000,0x20006fff,0x000ffffe,0x7fe40000,0x20006fff,0x800fffff,
    0xf93ffffc,0x3ea07fff,0x9003ffff,0x007fffff,0x07ffff98,0x3fffe200,
    0x3ffffe0f,0x7c400000,0x8805ffff,0x200fffff,0x005ffffe,0xfffb8000,
    0x20000fff,0x00effffc,0xfb8000a0,0x000fffff,0x0bffff30,0x4fffff20,
    0x883ffffc,0x006ffffe,0x3fffffa2,0xfffd1001,0x7c4000df,0x3fe0ffff,
    0x18800fff,0xfffff900,0x3fffe009,0x3fffa05f,0x2600005f,0xffffb511,
    0x880005ff,0x00efffff,0x2601bae2,0xffffb511,0x5c0005ff,0x9002ffff,
    0x3f27ffff,0x7f443fff,0x4000ffff,0x1ffffffa,0xfffba998,0x99802fff,
    0xfff99999,0x3fffe0ff,0x199999af,0x2606fbe6,0x0ffffffd,0xfffff700,
    0x3fa1357f,0x00005fff,0x3ffffff6,0x0004ffff,0xffffff70,0xffd9559d,
    0xfffb00df,0x9fffffff,0xfffc8000,0x3fff2007,0x7ffff93f,0x7fffff44,
    0xfff90003,0xfff81fff,0x06ffffff,0xfffffff0,0x7c1fffff,0xffffffff,
    0x3ffe67ff,0xffffefff,0x4002ffff,0xfffffffe,0xbffffd6f,0x7fec0000,
    0x5fffffff,0x7fdc0000,0xffffffff,0xd806ffff,0xffffffff,0xfe80005f,
    0x3f2004ff,0xfff93fff,0x7fffec7f,0x7ec0004f,0x3e0effff,0xffffffff,
    0xfffff001,0x1fffffff,0x7ffffffc,0x3e67ffff,0xffffffff,0x005fffff,
    0xffffffa8,0xffffd6ff,0x7ec0000b,0x2fffffff,0xff500000,0xffffffff,
    0xfb00dfff,0x5fffffff,0xfff10000,0x7fe4003f,0xffff93ff,0x3ffffee7,
    0xffb00004,0x7ffc5fff,0x000dffff,0x3ffffffe,0x3e0fffff,0xffffffff,
    0x3ffe67ff,0xffffffff,0x260003ff,0x6ffffffe,0x00bffffd,0x7fffec00,
    0x00000dff,0x7fff6cc0,0x01cfffff,0xffffffb0,0x2600001b,0x64005eee,
    0xff93ffff,0x7ffe47ff,0x7ec00004,0x77ffc3ff,0xff8002cd,0xffffffff,
    0x3fffe0ff,0x7fffffff,0x3fffff62,0x00cfffff,0xffd95000,0x266662df,
    0x32600000,0x00001abc,0x79751000,0x99300035,0x00000357,0xfff90000,
    0x3ffff27f,0x00027e43,0x1983fd80,0x33330000,0x33333333,0x99999998,
    0x53019999,0x00357997,0x00260000,0x00000000,0x00000000,0x00000000,
    0x7fe40000,0xffff93ff,0x00000507,0x00000028,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xc8000000,0xff93ffff,0x000007ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0xf93ffffc,0x00007fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4c6aaaa6,0x0001aaaa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xaaa98000,0x332a0000,0x9b70001c,
    0x016ed403,0x00d54400,0x55554c00,0x000002aa,0x2aaaaa00,0x326001aa,
    0x03101cee,0x4039b700,0x00002dda,0x0bfffe20,0x55555530,0x00000005,
    0x0007fff6,0x002fffd8,0x81ffffc8,0x002ffffb,0xfffffdb8,0x88002def,
    0x3ffffffd,0xc8000000,0x04ffffff,0xfffffd10,0x01fe83bf,0x07ffff20,
    0x00bfffee,0x7ffdc000,0xfffd8807,0x00003fff,0x0fffe800,0x3fffa000,
    0x7ffc4000,0xffff86ff,0x3fa6007f,0xffffffff,0xf70004ff,0x007fffff,
    0x7fe40000,0x2002ffff,0xfffffffd,0xffffcdff,0xffff8801,0xfffff86f,
    0xfb000007,0x7dc00bff,0x003fffff,0x7ffc0000,0x7ffc0007,0xfff98007,
    0x7ffc47ff,0xfb800fff,0xffffffff,0x00dfffff,0xffffe980,0x8000003f,
    0x0dfffffc,0x3fffee00,0xffffffff,0x9800efff,0x447fffff,0x00ffffff,
    0x7ffc4000,0x7f4c002f,0x0003ffff,0xdfff1000,0x7ffc4000,0xfff88006,
    0xfffe85ff,0xfffc806f,0xffffffff,0x00efffff,0xfffff900,0x64000005,
    0x003fffff,0x98affe88,0xfffffffd,0xfff1000f,0xfffd0bff,0x530000df,
    0x1ffff755,0x3fff2000,0x000002ff,0x005fff98,0x3ffb6ea6,0x001abcff,
    0x301dfff5,0x9803ffff,0xffffffff,0xffffffdd,0x2a0003ff,0x001eeeee,
    0xeeeea800,0x3620001d,0xffffea81,0x7fd4001d,0xfff980ef,0xec88001f,
    0xffffffff,0x7540005f,0x0001eeee,0x27ffd400,0x7ffff4c0,0xffffffff,
    0x1571003f,0x40055c40,0x1efffffd,0xfffffe98,0x00000007,0x00000000,
    0x000cc400,0x8802ae20,0xf98000ab,0xffffffff,0x00005fff,0x90000000,
    0x6c407fff,0xffffffff,0x3fffffff,0x20000000,0x0efffff9,0x3ffffa20,
    0x0000003f,0x00000000,0x00000000,0xf7000000,0xffffffff,0x01dfffff,
    0x00000000,0xfffdba88,0xffe81bdf,0xffffffff,0x03ffffff,0x36000000,
    0x801fffff,0x06fffff9,0x00d54c00,0x35530000,0x54c00000,0x2000001a,
    0x40001aa9,0xfffffffd,0xffffffff,0x0000006f,0xfffd5000,0xffffffff,
    0xffffffc8,0xfeffffef,0xfff03fff,0x7ec009ff,0x3fe66fff,0x3e006fff,
    0x001fffff,0x3ffffb22,0x0002ceff,0x3ffffb22,0x0002ceff,0x3ffffb22,
    0x0002ceff,0x3ffffb22,0x2002ceff,0xfffffff9,0xfffffbbd,0xfff03fff,
    0x7ec009ff,0x6c406fff,0xffffffff,0x3e67ffff,0x88bfffff,0x36e67fff,
    0x9fffff02,0x7fffec00,0x3ffffee6,0x3fff2003,0xfd3002ff,0xffffffff,
    0xd30009ff,0xffffffff,0x30009fff,0xfffffffd,0x0009ffff,0xffffffd3,
    0x009fffff,0x17fffff6,0xfffffff5,0xffff01ff,0x7fec009f,0x3fe606ff,
    0xffffffff,0x3ee7ffff,0x3e64ffff,0x7fc006ff,0x36004fff,0x3f66ffff,
    0x2001ffff,0x03fffffa,0xffffffb8,0xffffffff,0xfff7000d,0xffffffff,
    0x2001bfff,0xfffffffb,0xdfffffff,0xffff7000,0xffffffff,0x7cc01bff,
    0xfc85ffff,0xffffffff,0x4fffff84,0x3ffff600,0x3ffffa06,0xffffffff,
    0x3fff67ff,0x3ffea1ff,0x7fffc005,0x3ff6004f,0x3fffa6ff,0x3e6000ff,
    0x6c04ffff,0xffffffff,0xffffffff,0x7ffec00e,0xffffffff,0x00efffff,
    0x7fffffec,0xffffffff,0x7ec00eff,0xffffffff,0xefffffff,0xfffffd00,
    0x3f3fffe0,0xff87ffff,0x36004fff,0xf706ffff,0x539fffff,0x4fb5bfff,
    0x22fffffe,0x4003fffb,0x004fffff,0xf9bffff6,0x4007ffff,0x05fffff8,
    0x3fffffe6,0xffffddff,0x2603ffff,0xffffffff,0xffffffdd,0x3fe603ff,
    0xddffffff,0xffffffff,0x3fffe603,0xffddffff,0x83ffffff,0x84fffff9,
    0xfd9ffff9,0x7fc1ffff,0x36004fff,0xf986ffff,0x2e2fffff,0xfc823fff,
    0x3f25ffff,0x7fc002ff,0x36004fff,0x3fe6ffff,0x44007fff,0x206fffff,
    0x1efffffe,0xfffffe98,0x3ffffa07,0xffe981ef,0x3fa07fff,0x981effff,
    0x07fffffe,0x3bfffffa,0xffffe981,0xffffb87f,0x6fffc82f,0x87fffff5,
    0x004fffff,0x21bffff6,0x44fffffc,0xf702fffc,0xb5dfffff,0xf8003fff,
    0x2004ffff,0xf16ffffd,0x000dffff,0x20ffffff,0x0efffffa,0x3ffffe20,
    0xffffa82f,0x3fe200ef,0xfa82ffff,0x200effff,0x2ffffff8,0xefffffa8,
    0x3fffe200,0x7ffec2ff,0x9fffd07f,0x13ffffe2,0x009fffff,0x437fffec,
    0x40fffffe,0xf301fffd,0xffffffff,0xf8001fff,0x2004ffff,0xf16ffffd,
    0x000dffff,0x20dfffff,0x00fffffe,0x6fffffa8,0x0fffffe8,0xfffffa80,
    0xfffffe86,0xffffa800,0xffffe86f,0xfffa800f,0x7fff46ff,0xffff986f,
    0x17ffffe1,0x009fffff,0x437fffec,0xe85fffff,0x3f200fff,0xffffffff,
    0x3e000bff,0x2004ffff,0x3e6ffffd,0x4007ffff,0x85fffff8,0x06fffff9,
    0x3fffffe0,0x3ffffe61,0x3fffe006,0x3ffe61ff,0x3fe006ff,0x3e61ffff,
    0x2006ffff,0x21ffffff,0xb86fffff,0x7ffc7fff,0x7fffc6ff,0x3ff6004f,
    0x7ffc46ff,0x7fff84ff,0xfffffd80,0xdfffffff,0xfffff801,0x3fff6004,
    0x3ffffe6f,0x7ffc4007,0xfffb84ff,0x3f2003ff,0x3ee2ffff,0x2003ffff,
    0x22fffffc,0x03fffffb,0x3fffff20,0x3ffffee2,0x3fff2003,0x3fffe2ff,
    0x4fffe85f,0x237ffff4,0x004fffff,0x31bffff6,0x887fffff,0xf9006fff,
    0xffffffff,0x4019ffff,0x004fffff,0xe9bffff6,0x000fffff,0x13ffffe6,
    0x03fffff6,0xfffffa80,0x3fffff63,0x3ffea000,0x3fff63ff,0x3ea000ff,
    0x3f63ffff,0x2000ffff,0x13fffffa,0x889fffff,0x7f42ffff,0x7ffc7fff,
    0x3f6004ff,0x7fd46fff,0x7fcc4fff,0x3f62005f,0xffffffff,0xff01ffff,
    0x6c009fff,0x3f66ffff,0x2001ffff,0x83fffffa,0x00fffffe,0x3ffffe60,
    0x3fffffa4,0x3ffe6000,0x3fffa4ff,0x3e6000ff,0x3fa4ffff,0x2000ffff,
    0x14fffff9,0xb89fffff,0xffe87fff,0x7fffc7ff,0x3ff6004f,0x7ffcc6ff,
    0x7ffd46ff,0xffb88004,0xffffffff,0xffff80ff,0x3ff6004f,0x3fff26ff,
    0x3f2003ff,0xff82ffff,0x44007fff,0x3e5fffff,0x4007ffff,0x25fffff8,
    0x007fffff,0x2fffffc4,0x00ffffff,0x5fffff88,0xb17ffffe,0xffd0bfff,
    0xffff8dff,0x3ff6004f,0x7ffc46ff,0x3fee0fff,0x3fa0002f,0xffffffff,
    0xffff86ff,0x3ff6004f,0x3ffee6ff,0x3fe006ff,0xfff07fff,0xf8800fff,
    0x3fe6ffff,0x44007fff,0x3e6fffff,0x4007ffff,0x26fffff8,0x007fffff,
    0x37ffffc4,0x44dfffff,0xff82ffff,0x7ffc6fff,0x3f6004ff,0xfff86fff,
    0x3ff22fff,0x3fe0001f,0xffffeaff,0x7ffc0fff,0x3f6004ff,0x3fe26fff,
    0xa800ffff,0x884fffff,0x006fffff,0x17fffff8,0x00dfffff,0x2ffffff0,
    0x06fffff8,0x7fffff80,0x0dfffff1,0xffffff00,0x537ffff4,0xff01ffff,
    0xfff8bfff,0x3f6004ff,0xffd86fff,0xffd1ffff,0x3e20001f,0x3ffea6ff,
    0x7ffc2fff,0x3f6004ff,0x7fec6fff,0x2200efff,0x80ffffff,0x06fffff8,
    0x7fffff80,0x0dfffff1,0xffffff00,0x1bffffe2,0x3ffffe00,0xdfffff17,
    0xfffff000,0x3fffff4f,0xf10bfffb,0xff87ffff,0x36004fff,0xf986ffff,
    0xfaffffff,0x0064c7ff,0x3a2fffcc,0x7c4fffff,0x2004ffff,0x4c6ffffd,
    0x0effffff,0xfffffe98,0x3ffffe05,0x7ffc4007,0x3fffe6ff,0x7fc4007f,
    0x3ffe6fff,0x7c4007ff,0x3fe6ffff,0x44007fff,0x326fffff,0xff1fffff,
    0xfff707ff,0xffff85ff,0x3ff6004f,0xfffb06ff,0xffffffff,0x001fffd9,
    0xfb89fff5,0x7fc3ffff,0x36004fff,0xfe86ffff,0xdeffffff,0xfffffffd,
    0x3fffa01f,0x7fc4007f,0x3ffa6fff,0x7c4007ff,0x3fa6ffff,0x44007fff,
    0x3a6fffff,0x4007ffff,0x26fffff8,0xacfffffa,0xfd80ffff,0x7fc0ffff,
    0x36004fff,0xf306ffff,0xffffffff,0x1fffffff,0x87fff900,0x41fffffc,
    0x004fffff,0x21bffff6,0xffffffe8,0xffffffff,0x7fec02ff,0x26000fff,
    0x365fffff,0x000fffff,0x97ffffe6,0x00fffffd,0x3ffffe60,0x3fffff65,
    0x3ffe6000,0x3ffe25ff,0x6fffdfff,0x4fffff88,0x04fffff8,0x1bffff60,
    0xfffffe98,0xffffffff,0x3f60150f,0x3ffe21ff,0x7ffc0fff,0x3fa004ff,
    0xff105fff,0xffffffff,0x005fffff,0x01fffff9,0x7ffffd40,0x3fffff24,
    0x3ffea000,0x3fff24ff,0x3ea000ff,0x3f24ffff,0x2000ffff,0x44fffffa,
    0xfffffffe,0xfffe83ff,0xffff80ff,0x3ffa004f,0x7ec405ff,0xffffffff,
    0xbff0ffff,0x3fffa157,0xfffffb88,0xfffff86f,0x3fffe005,0x3ffa604f,
    0xffffffff,0xff7002ef,0x64007fff,0x2e2fffff,0x003fffff,0x8bfffff2,
    0x03fffffb,0x3fffff20,0x3ffffee2,0x3fff2003,0x7ffd42ff,0x41ffffff,
    0x04fffffd,0x00bfffff,0x027ffffc,0xffffeb88,0x3e1befff,0xffffffff,
    0xffffffff,0xffe80fff,0x3fe006ff,0xc9803fff,0xdfffffff,0x7ffd4002,
    0x3fe006ff,0x3ea0ffff,0x2006ffff,0x20ffffff,0x06fffffa,0x3fffffe0,
    0x3ffffea0,0x3fffe006,0xfffd80ff,0xdbafffff,0x0fffffff,0x0dffffd0,
    0x1fffffc0,0x57ffec00,0x3ffffe00,0xffffffff,0x01ffffff,0x00fffff9,
    0x07ffffe6,0xfffff880,0xfff10003,0xf5001fff,0xf88bffff,0x800fffff,
    0x45fffffa,0x0ffffff8,0xfffffa80,0x7ffffc45,0xfffa800f,0xfff105ff,
    0xffffffff,0x07ffffff,0x03ffffe4,0x1fffff98,0x0fffe800,0x7fffffc0,
    0xffffffff,0x2e02efff,0x803fffff,0x00fffffc,0x2ffffec0,0xffff9000,
    0x7fc401df,0xfc80ffff,0x200effff,0x0ffffff8,0xefffffc8,0x3fffe200,
    0xfffc80ff,0x3e200eff,0x200fffff,0xfffffff9,0xffffffff,0x7fffdc02,
    0xfffc803f,0xff8000ff,0xfffe807f,0xffffffff,0xa802efff,0x01ffffff,
    0x17ffffea,0x3ffff200,0x4405102f,0x0effffff,0xfffffe98,0xfffff104,
    0xffd301df,0x3e209fff,0x80efffff,0x4fffffe9,0xffffff10,0xfffd301d,
    0xff1009ff,0xffffffff,0xf5003dff,0x403fffff,0x05fffffa,0x06fff880,
    0xffb97310,0x0359bfff,0xfffffd80,0xfca99acf,0x000fffff,0xffffffa8,
    0x1ffb999c,0x3fffff60,0xfffdceff,0x200fffff,0xfffffffd,0xfffffdce,
    0x3f600fff,0xceffffff,0xfffffffd,0x3fff600f,0xfdceffff,0x0fffffff,
    0xfffffd00,0x009dffff,0xffffffd8,0xffca99ac,0x8000ffff,0x0005fff9,
    0x0007fff6,0xffffff30,0xffffffff,0x40007fff,0xfffffffe,0x206fffff,
    0xfffffff9,0xffffffff,0x7fcc03ff,0xffffffff,0x3fffffff,0x7ffffcc0,
    0xffffffff,0x4c03ffff,0xffffffff,0xffffffff,0xfff3003f,0x0035757f,
    0x7ffffcc0,0xffffffff,0x0003ffff,0x0009fff5,0x0007fff4,0x7ffffe40,
    0xffffffff,0x4c0006ff,0xffffffff,0x203fffff,0xffffffe8,0xffffffff,
    0xfffd1003,0xffffffff,0x22007fff,0xfffffffe,0x3fffffff,0xffffd100,
    0xffffffff,0x7dc007ff,0x800007ff,0xfffffffc,0xffffffff,0x3fee0006,
    0x3fe0003f,0x2a00007f,0xffffffff,0x003fffff,0xfffff700,0x7fffffff,
    0xfffffb00,0x3dffffff,0xffffb000,0xdfffffff,0xfffb0003,0xffffffff,
    0xffb0003d,0xffffffff,0xfe8003df,0x000004ff,0xfffffff5,0x07ffffff,
    0x2fffc800,0xdfff3000,0xec880000,0xffffffff,0x4400000d,0xfffffffc,
    0x36e000cf,0xefffffff,0x7edc0003,0x3effffff,0x7fedc000,0x03efffff,
    0x7ffedc00,0x003effff,0x02ffff88,0x3b220000,0xffffffff,0xfe80000d,
    0xf50001ff,0x00000bff,0x009aba98,0xaa880000,0x0000abcc,0x000d5cc4,
    0x1ab98800,0x73100000,0x20000035,0x0001ab98,0x003fffdc,0x2ea60000,
    0x4000009a,0x20006eed,0x0002ccc9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x1aaaaaaa,0xaaaa9800,0x54c00001,0x00001aaa,0x02deeda8,0x039b7000,
    0x00016ed4,0x55555310,0x53055555,0x00555555,0x55500000,0x80035555,
    0x001aaaa9,0xa80736e0,0x000002dd,0x3ffffff2,0xfff98004,0x00001fff,
    0x3ffffff3,0x7ff40000,0x0005ffff,0x40ffffe4,0x002ffffb,0xffffdb50,
    0xffffffff,0xffffb10f,0x000007ff,0x7ffffe40,0x7fcc004f,0x8001ffff,
    0xb81ffffc,0x0002ffff,0xfffffc80,0xffa8002f,0x01ffffff,0x7fffd400,
    0x0001ffff,0xffffffc8,0xf10003ff,0xff0dffff,0xa800ffff,0xfffffffe,
    0xffffffff,0x3fffee07,0x000003ff,0xffffffc8,0x7ffd4002,0x001fffff,
    0x1bffffe2,0x01fffffe,0xffff9000,0xf50001bf,0xffffdfff,0x3ea0005f,
    0xffffefff,0x7fc0002f,0x01bff23f,0x7ffffcc0,0x7ffffc47,0xffe8800f,
    0xffffffff,0x7fffffff,0x7ffff4c0,0x2000003f,0x0dfffffc,0x7fffd400,
    0x02fffffe,0xffffff30,0xffffff88,0xff900000,0x20007fff,0x88dffffa,
    0x002ffffe,0x46ffffd4,0x02ffffe8,0x41fff100,0x10007ff9,0xd0bfffff,
    0x200dffff,0xfffffffd,0xffffffff,0xf9007fff,0x0005ffff,0xfffff900,
    0xfff50007,0xfffd11bf,0xfff1005f,0xfffd0bff,0x2a0000df,0x001deeee,
    0x07dddd30,0x003dddd9,0x20fbbba6,0x001eeeec,0x2a1fff88,0x2a0006ff,
    0xf980efff,0xfb801fff,0xffffffff,0x3ffee3ff,0x3baa007f,0x00001eee,
    0x077bbbaa,0x3bbba600,0x1eeeec83,0x0efffa80,0x01ffff98,0x00000000,
    0x00000000,0x7f400000,0x4fffccff,0x055c4000,0x30015710,0xffffffff,
    0x7dc7ffff,0x00007fff,0x00000000,0x40000000,0x2e200ab8,0x0000000a,
    0x00000000,0x00000000,0xffffff98,0x000000ef,0xfff90000,0xffffffff,
    0x7fffdc7f,0x00000007,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0006aa60,0x3fff6600,0x000000cf,0x3ffa0000,0xffffffff,0x3ffee3ff,
    0x0000007f,0x00000000,0x00000000,0x7fffc000,0x3ff6004f,0x7fffc6ff,
    0x3ff6004f,0xec8806ff,0xceffffff,0x26200002,0xf1000001,0x0fffffff,
    0xffffff80,0x3fffffff,0x41ffffee,0xfffffffd,0xffffffff,0xfffb01ff,
    0xffffffff,0x03ffffff,0x3ffffff6,0xffffffff,0xffb01fff,0xffffffff,
    0x3fffffff,0x4fffff80,0x3ffff600,0x27ffffc6,0xdffffb00,0xffffe980,
    0x4fffffff,0x3ffe2000,0x0007ffff,0x3ffffee0,0xf1001fff,0xffffffff,
    0x7dc7ffff,0xffb07fff,0xffffffff,0x3fffffff,0x3fffff60,0xffffffff,
    0xfb01ffff,0xffffffff,0xffffffff,0x3ffff603,0xffffffff,0x401fffff,
    0x004fffff,0xf1bffff6,0x4009ffff,0x206ffffd,0xfffffffb,0xdfffffff,
    0xfffb8000,0x001fffff,0xfffffb00,0x26009fff,0xffffffff,0x2e3fffff,
    0xfb07ffff,0xffffffff,0xffffffff,0x3ffff603,0xffffffff,0xb01fffff,
    0xffffffff,0xffffffff,0x3fff603f,0xffffffff,0x01ffffff,0x027ffffc,
    0x8dffffb0,0x004fffff,0x41bffff6,0xfffffffd,0xffffffff,0x7ec000ef,
    0x4fffffff,0xffff0000,0x00dfffff,0x7ffffffc,0x23ffffff,0xb07ffffb,
    0xffffffff,0xffffffff,0x3fff603f,0xffffffff,0x01ffffff,0xfffffffb,
    0xffffffff,0x3ff603ff,0xffffffff,0x1fffffff,0x27ffffc0,0xdffffb00,
    0x04fffff8,0x1bffff60,0x3fffffe6,0xffffddff,0x4003ffff,0xffffffff,
    0xfa80006f,0xffffffff,0xfffd000f,0xffffffff,0x7fffdc7f,0xfffffb07,
    0xdddddddd,0x3603dddd,0xeeefffff,0xeeeeeeee,0xffffb01e,0xdddddddf,
    0x203ddddd,0xeefffffd,0xeeeeeeee,0x7ffc01ee,0x3f6004ff,0x7ffc6fff,
    0x3f6004ff,0xffe86fff,0xe981efff,0x007fffff,0x3fffffea,0x0000ffff,
    0x7fffffe4,0x9003ffff,0xffffffff,0x7dc7ffff,0xffb07fff,0x40000fff,
    0x007ffffd,0x3ffff600,0x3f600007,0x00007fff,0x04fffff8,0x1bffff60,
    0x009fffff,0x237fffec,0x0efffffa,0x3ffffe20,0xfff9002f,0x7fffffff,
    0xffff8000,0x5fffffbf,0xfffff500,0x7fffffff,0x83ffffdc,0x007ffffd,
    0x3ffff600,0x3f600007,0x00007fff,0x01fffff6,0x3fffe000,0x3ff6004f,
    0x7fffc6ff,0x3ff6004f,0x7fff46ff,0xffa800ff,0xff006fff,0xffff7fff,
    0x7cc000bf,0xffd8ffff,0xf9000fff,0xffffffff,0x7ffdc7ff,0xffffb07f,
    0x7ec0000f,0x00007fff,0x01fffff6,0xffffd800,0xff800007,0x36004fff,
    0x7fc6ffff,0x36004fff,0x3e66ffff,0x2006ffff,0x01ffffff,0x47ffffcc,
    0x00fffffd,0xdffff700,0x0bffffee,0xfffffd80,0x2e3fffff,0xfb07ffff,
    0x0000ffff,0x03ffffec,0xffffb000,0x7ec0000f,0x00007fff,0x04fffff8,
    0x1bffff60,0x009fffff,0x737fffec,0x007fffff,0x17ffffe4,0x5bfffee0,
    0x02fffffb,0x9ffffd00,0x13ffffe6,0xffffe880,0x2e3fffff,0xfb07ffff,
    0x0000ffff,0x03ffffec,0xffffb000,0x7ec0000f,0x00007fff,0x04fffff8,
    0x1bffff60,0x009fffff,0xb37fffec,0x001fffff,0x1fffffd4,0x53ffffa0,
    0x04fffff9,0xfffff880,0x1fffffa1,0x3fff6600,0x3ee3ffff,0xffb07fff,
    0x40000fff,0x007ffffd,0x3ffff600,0x3f600007,0x00007fff,0x04fffff8,
    0x1bffff60,0x009fffff,0xd37fffec,0x001fffff,0x27ffffcc,0x3fffff10,
    0x03fffff4,0x3ffffd40,0x07fffff2,0x7f764c00,0x3ffee3ff,0xffffb07f,
    0x7ec0000f,0x00007fff,0x01fffff6,0xffffd800,0xff800007,0x36004fff,
    0x7fc6ffff,0x36004fff,0x3fe6ffff,0x44007fff,0x205fffff,0x647ffffa,
    0x001fffff,0x22ffffec,0x03fffffa,0xb8262000,0xfb07ffff,0xddddffff,
    0x9ddddddd,0x7ffffec0,0xeeeeeeee,0x3f604eee,0xeeeeffff,0x4eeeeeee,
    0x3fffff60,0xeeeeeeee,0xff804eee,0x36004fff,0x7fc6ffff,0x36004fff,
    0x3fe6ffff,0x44007fff,0x206fffff,0x545ffffd,0x003fffff,0x21fffffc,
    0x06fffff8,0x7fdc0000,0xfffb07ff,0xffffffff,0x40bfffff,0xfffffffd,
    0xffffffff,0x3fff605f,0xffffffff,0x205fffff,0xfffffffd,0xffffffff,
    0xffff805f,0x3ff6004f,0x7fffc6ff,0x3ff6004f,0xffff16ff,0xfff000df,
    0x7ffc0fff,0x7ffc43ff,0x3e6006ff,0xfe80ffff,0x0000ffff,0x3fffee00,
    0xfffffb07,0xffffffff,0x7ec0bfff,0xffffffff,0x5fffffff,0x3fffff60,
    0xffffffff,0x3f605fff,0xffffffff,0x5fffffff,0x4fffff80,0x3ffff600,
    0x27ffffc6,0xdffffb00,0x1bffffe2,0x3ffffe00,0xfffff307,0xfffffd01,
    0x3fff2001,0xffff706f,0x4000005f,0xb07ffffb,0xffffffff,0xffffffff,
    0x7fffec0b,0xffffffff,0x3605ffff,0xffffffff,0xffffffff,0x3ffff605,
    0xffffffff,0xf805ffff,0x2004ffff,0x7c6ffffd,0x2004ffff,0x3e6ffffd,
    0x4007ffff,0x06fffff8,0x20dffff9,0x02fffffb,0x09ffffd0,0x17ffffe6,
    0xffb80000,0xfffb07ff,0xddddddff,0x409ddddd,0xeefffffd,0xeeeeeeee,
    0x3fff604e,0xeeeeeeff,0x204eeeee,0xeefffffd,0xeeeeeeee,0xffff804e,
    0x3ff6004f,0x7fffc6ff,0x3ff6004f,0x3fffa6ff,0x7fc4007f,0xffd06fff,
    0x3fe609ff,0xf8805fff,0x3e02ffff,0x0007ffff,0x3fffee00,0xfffffb07,
    0x7fec0000,0x200007ff,0x007ffffd,0x3ffff600,0xff800007,0x36004fff,
    0x7fc6ffff,0x36004fff,0x3f66ffff,0x2000ffff,0x85fffff9,0x02fffff8,
    0x01fffffe,0x03ffffee,0x1fffffd8,0xff700000,0x3ff60fff,0x200007ff,
    0x007ffffd,0x3ffff600,0x3f600007,0x00007fff,0x04fffff8,0x17ffffa0,
    0x009fffff,0x92fffff4,0x001fffff,0x27ffffd4,0x07ffffdc,0x3fffffb0,
    0xfffffd80,0xeccccccc,0x004fffff,0xffff9000,0x3ffff60d,0x3f600007,
    0x00007fff,0x01fffff6,0xffffd800,0xff800007,0x3e005fff,0x7fc4ffff,
    0x3e005fff,0x3ee4ffff,0x2003ffff,0x82fffffc,0xccfffffd,0xffeccccc,
    0x7fc04fff,0xffffffff,0xffffffff,0xb000006f,0x360bffff,0x0007ffff,
    0x1fffff60,0xfffd8000,0x3600007f,0x0007ffff,0x6ffffe80,0x3ffffe00,
    0x37ffff43,0x7fffff00,0x37ffffd4,0xffffff00,0xffffff01,0xffffffff,
    0x40dfffff,0xfffffffa,0xffffffff,0x000fffff,0xffffe800,0xfffffb04,
    0x7fec0000,0x200007ff,0x007ffffd,0x3ffff600,0xfc800007,0xf3007fff,
    0xfc83ffff,0xf3007fff,0x7c43ffff,0x800fffff,0x85fffffa,0xfffffffa,
    0xffffffff,0x900fffff,0xffffffff,0xffffffff,0x2007ffff,0xffff3000,
    0x3fff605f,0x3600007f,0x0007ffff,0x1fffff60,0xfffd8000,0xb800007f,
    0x803fffff,0x40fffffc,0x03fffffb,0x0fffffc8,0x77ffffe4,0x3fffe200,
    0xfffc80ff,0xffffffff,0xffffffff,0xffffd03f,0xffffffff,0xffffffff,
    0x803b600b,0x1fffffe8,0x0fffffb0,0x7ffec000,0x3600007f,0x0007ffff,
    0x1fffff60,0x3fea0000,0x2a01ffff,0xa85fffff,0x01ffffff,0x17ffffea,
    0x3fffffe2,0xfffe980e,0xfffd04ff,0xffffffff,0xffffffff,0xffff30bf,
    0x7ffc003f,0xffb807ff,0xfb989bcf,0x204fffff,0x007ffffd,0x3ffff600,
    0x3f600007,0x00007fff,0x01fffff6,0x7ffec000,0xa99acfff,0x0ffffffc,
    0xffffffb0,0xff953359,0x3601ffff,0xefffffff,0xffffffdc,0xfff980ff,
    0x3fe001ff,0xffb87fff,0x7ec007ff,0x2202ffff,0xffffffff,0xefffffff,
    0x3ffff600,0xeeeeeeef,0xb01eeeee,0xdddfffff,0xdddddddd,0x3fff603d,
    0xeeeeeeff,0x01eeeeee,0xddfffffb,0xdddddddd,0xff3003dd,0xffffffff,
    0x7fffffff,0x7ffffcc0,0xffffffff,0x2603ffff,0xffffffff,0xffffffff,
    0xffff703f,0xfffd800f,0x7ffec2ff,0x7fdc005f,0x3f204fff,0xffffffff,
    0x01ffffff,0x7fffffec,0xffffffff,0xffb01fff,0xffffffff,0x3fffffff,
    0x3fffff60,0xffffffff,0xfb01ffff,0xffffffff,0xffffffff,0x3fff2003,
    0xffffffff,0xc806ffff,0xffffffff,0x6fffffff,0xffffe880,0xffffffff,
    0x3ff603ff,0x7dc005ff,0x3e24ffff,0x4002ffff,0x07fffff9,0x7fffff54,
    0x1dffffff,0xfffffd80,0xffffffff,0xfb01ffff,0xffffffff,0xffffffff,
    0x3ffff603,0xffffffff,0xb01fffff,0xffffffff,0xffffffff,0x7fd4003f,
    0xffffffff,0x2a003fff,0xffffffff,0x003fffff,0x7fffffec,0x01efffff,
    0x0bffffe2,0xfffff300,0x7ffffd4f,0xfffe8000,0xfeb801ff,0x2dffffff,
    0x3ffff600,0xffffffff,0xb01fffff,0xffffffff,0xffffffff,0x3fff603f,
    0xffffffff,0x01ffffff,0xfffffffb,0xffffffff,0xc88003ff,0xfffffffe,
    0xc88000df,0xfffffffe,0xb70000df,0xdfffffff,0xffff5007,0xffd0001f,
    0x3ff23fff,0xf90006ff,0x8007ffff,0x00009aa8,0xfffffffb,0xffffffff,
    0x3ff603ff,0xffffffff,0x1fffffff,0xffffffb0,0xffffffff,0x3f603fff,
    0xffffffff,0xffffffff,0x5d4c0001,0x4000009a,0x0009aba9,0x0d5cc400,
    0x3ffff200,0xfff90006,0x000007ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2aaa0000,0x0001aaaa,0xaaaaaaa8,
    0x55554c01,0x000002aa,0xbddd9953,0x40001579,0x001aaaa9,0x55553000,
    0x66dc0003,0x00b76a01,0x55555000,0xc9800355,0x03101cee,0x67764c00,
    0x00003101,0xffffff90,0xff900009,0x1009ffff,0x7ffffffb,0x7ecc0000,
    0xffffffff,0xf30006ff,0x003fffff,0xffff9800,0xfc8001ff,0xffb81fff,
    0x900002ff,0x09ffffff,0x7ffff440,0x0ff41dff,0x3fffa200,0x7f41dfff,
    0x3f200001,0x002fffff,0xfffffc80,0x7fdc002f,0x0003ffff,0xffffffc8,
    0x6fffffff,0xffffa800,0x0001ffff,0xffffff50,0x7c4003ff,0xff86ffff,
    0x80007fff,0x2ffffffc,0x7fffec00,0xfcdfffff,0x36001fff,0xffffffff,
    0x1ffffcdf,0xfffc8000,0x80000dff,0x0dfffffc,0xfffd3000,0x5c0007ff,
    0xffffffff,0x06ffffff,0x77fffd40,0x002fffff,0x77fffd40,0x002fffff,
    0x8ffffff3,0x0ffffff8,0x3fff2000,0x5c000dff,0xffffffff,0xefffffff,
    0xffff7000,0xffffffff,0x0001dfff,0x3fffffc8,0xfff90000,0x200007ff,
    0x02fffffc,0xfffff980,0xdcbabdef,0x3ea006ff,0xfe88dfff,0x50002fff,
    0xd11bffff,0x1005ffff,0xd0bfffff,0x000dffff,0x1fffffe4,0xaffe8800,
    0xfffffd98,0x22000fff,0xfd98affe,0x0fffffff,0x77754000,0x500001de,
    0x003bdddd,0xeeeea800,0x7fdc001e,0x28805fff,0x7dddd300,0x03dddd90,
    0x3eeee980,0x01eeeec8,0x80efffa8,0x001ffff9,0x3bdddd50,0x81d88000,
    0x1dffffea,0xa81d8800,0x01dffffe,0x00000000,0x00000000,0xfffd8000,
    0x000001ff,0x00000000,0x55c40000,0x002ae200,0x00000000,0x0000cc40,
    0x000cc400,0x00000000,0x00000000,0x3fffa000,0x000002ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x77ffffec,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7ffe4000,0xffffffff,0x2fffffff,0x0bfffff7,0xfffffb00,0xfffff903,
    0xffffffff,0x505fffff,0x5fffffff,0xff100000,0x00ffffff,0x3fffff20,
    0xffffffff,0xc82fffff,0xffffffff,0xffffffff,0xff1002ff,0x00ffffff,
    0x7fffc400,0xe8007fff,0x01ffffff,0x06ffff98,0xfffffff9,0xffffffff,
    0x3fe25fff,0x2001ffff,0x06fffff9,0xfffffff9,0xffffffff,0x3fe05fff,
    0x1effffff,0x3fee0000,0x01ffffff,0xfffffc80,0xffffffff,0xc82fffff,
    0xffffffff,0xffffffff,0xff7002ff,0x03ffffff,0x3ffee000,0x001fffff,
    0x7ffffff4,0xffff9805,0xfffff906,0xffffffff,0x5c5fffff,0x004fffff,
    0x07fffff6,0x7fffffe4,0xffffffff,0xfd82ffff,0xffffffff,0xd80000cf,
    0xffffffff,0xfffc8004,0xffffffff,0x2fffffff,0xffffffc8,0xffffffff,
    0xb002ffff,0xffffffff,0x3f600009,0x4fffffff,0x7ffff400,0x7cc01fff,
    0xff906fff,0xffffffff,0xffffffff,0x7ffffc45,0xfff9800f,0x3ff205ff,
    0xffffffff,0xffffffff,0x7fffff42,0xffffffff,0x7ffc0002,0x06ffffff,
    0xfffffc80,0xffffffff,0xc82fffff,0xffffffff,0xffffffff,0xfff002ff,
    0x0dffffff,0x3fffe000,0x006fffff,0x7ffffff4,0x7ffcc04f,0x9999506f,
    0xffffff99,0x83999999,0x04fffffb,0x1fffffd8,0x333332a0,0xcffffffc,
    0x321ccccc,0xffffffff,0xdfffffff,0xfffa8000,0x0fffffff,0x66665400,
    0xffffffcc,0x81cccccc,0xfcccccca,0xcccfffff,0xfa801ccc,0xffffffff,
    0x7d40000f,0xffffffff,0x3ffa000f,0x00ffffff,0x01bfffe6,0x17ffffe0,
    0xfffff880,0x3ffe600f,0x3e0005ff,0x8805ffff,0xa9ffffff,0xffffffff,
    0x7e4000ef,0xffffffff,0x3e00003f,0x0005ffff,0x17ffffe0,0xffff9000,
    0x07ffffff,0xffffc800,0x03ffffff,0x3fffffa0,0x3e604fff,0xf8006fff,
    0x4005ffff,0x04fffffb,0x07fffff6,0xfffff800,0xffffc805,0x3fff223f,
    0x00efffff,0x2fffffe0,0x005fffff,0x3ffffe00,0x3fe00005,0x40005fff,
    0xffbfffff,0x40005fff,0xffbfffff,0x3a005fff,0xffffffff,0xffff300f,
    0xffff000d,0xff8800bf,0xf980ffff,0x0005ffff,0x02fffffc,0x07ffffec,
    0x7fffff4c,0xff3004ff,0xfffb1fff,0x200001ff,0x005fffff,0x3ffffe00,
    0x3fe60005,0xfffd8fff,0xf30000ff,0xffb1ffff,0x3a001fff,0xffffffff,
    0xffff303f,0xffff000d,0xff7000bf,0xffb07fff,0x80003fff,0x805fffff,
    0x01fffffe,0x3ffffff2,0xfffb801f,0xfffff76f,0x3fe00005,0x00005fff,
    0x017ffffe,0x6ffffb80,0x05fffff7,0x3fffee00,0x5fffff76,0x3ffffa00,
    0x306ffffe,0x000dffff,0x00bfffff,0xffffff10,0x5fffff98,0xffff8000,
    0xfffd805f,0x7fdc04ff,0xe804ffff,0xff34ffff,0x00009fff,0x017ffffe,
    0xfffff800,0x3ffa0005,0xffff34ff,0x3fa0009f,0xfff34fff,0x3fa009ff,
    0xffffbfff,0xffff982f,0xffff8006,0xff70005f,0x7fe47fff,0x80001fff,
    0x805fffff,0x1ffffffc,0x7ffffe40,0x7fffc406,0x3ffffa1f,0xfff00007,
    0x40000bff,0x005fffff,0x3fffff10,0x03fffff4,0x7ffffc40,0x1fffffa1,
    0x4fffff40,0x986ffffd,0x8006ffff,0x005fffff,0xdfffff10,0x17ffffe2,
    0x7fffc000,0xfffa805f,0x2602ffff,0x407fffff,0x647ffffa,0x001fffff,
    0x5fffff80,0x3ffe0000,0xf50005ff,0xffc8ffff,0x54001fff,0x7e47ffff,
    0xe801ffff,0xffa9ffff,0x7fcc1fff,0xff8006ff,0x20005fff,0xbafffffb,
    0x001fffff,0xbfffff00,0x3ffff600,0xff00dfff,0xfd80ffff,0x7fd45fff,
    0x80003fff,0x005fffff,0x3ffffe00,0xfffb0005,0xffffa8bf,0x7fec003f,
    0x7ffd45ff,0xffe803ff,0xffffd1ff,0x6ffff98b,0xfffff800,0x3fe20005,
    0xfffedfff,0x3e00005f,0x1005ffff,0xffffffff,0xffff987f,0x7fffc06f,
    0x7fffc43f,0xff80006f,0x00005fff,0x017ffffe,0x1fffffc0,0x1bffffe2,
    0x7fffff00,0x6fffff88,0x1ffffe80,0x43fffff5,0x006ffff9,0x05fffff8,
    0x7fffdc00,0x01ffffff,0x3fffe000,0x3fe6005f,0xefffffff,0x7fffffb1,
    0x7ffffcc0,0xfffffe80,0x7ffc0000,0x200005ff,0x005fffff,0x0fffff98,
    0x0fffffe8,0xfffff300,0xfffffd01,0xffffe801,0x93ffffe1,0x006ffff9,
    0x05fffff8,0x7fffc400,0x005fffff,0x7ffffc00,0x7ff44005,0xefffffff,
    0x00ffffff,0x41bffff2,0x02fffffb,0x7ffffc00,0x3fe00005,0xc8005fff,
    0xf706ffff,0x2005ffff,0x706ffffc,0x805fffff,0x2e1ffffe,0xf30fffff,
    0xf000dfff,0x000bffff,0xffffff90,0x800001ff,0x005fffff,0xffffff90,
    0xffffffff,0xffffe805,0xfffff304,0xfff8000b,0x200005ff,0x005fffff,
    0x04ffffe8,0x0bfffff3,0x13ffffa0,0x2fffffcc,0x87ffffa0,0x34fffff8,
    0x000dffff,0x00bfffff,0xfffff100,0x00000bff,0x00bfffff,0x7ffff4c0,
    0x3fffffff,0x7ffffc40,0x3ffffe02,0x7ffc0007,0x200005ff,0x005fffff,
    0x17ffffc4,0x0ffffff0,0x5fffff10,0x3fffffc0,0x07ffffa0,0x31fffff9,
    0x000dffff,0x00bfffff,0x3ffff200,0x800000ff,0x005fffff,0xfffffa80,
    0xb802ffff,0x200fffff,0x01fffffd,0x3ffffe00,0x3fe00005,0x5c005fff,
    0x200fffff,0x01fffffd,0x07ffffdc,0x3fffffb0,0x0fffff40,0x2fffffe6,
    0x006ffff9,0x05fffff8,0xffff1000,0x200000bf,0x005fffff,0x3ffff200,
    0xfd802fff,0xccccffff,0xffffeccc,0x3fe0004f,0x00005fff,0x017ffffe,
    0x9fffffb0,0xfd999999,0xd809ffff,0xcccfffff,0xfffecccc,0x3ffa04ff,
    0xfffd81ff,0x6ffff9ef,0xfffff800,0x3fe00005,0x00005fff,0x0bfffff0,
    0xfffa8000,0xff805fff,0xffffffff,0xffffffff,0x3fe0006f,0x00005fff,
    0x017ffffe,0xfffffff0,0xffffffff,0xf80dffff,0xffffffff,0xffffffff,
    0x3ffa06ff,0xfffa81ff,0x6ffffbff,0xfffff800,0x3fe00005,0x00005fff,
    0x0bfffff0,0xfff50000,0xffa80fff,0xffffffff,0xffffffff,0xff0000ff,
    0x0000bfff,0x02fffffc,0xffffff50,0xffffffff,0x01ffffff,0x3fffffea,
    0xffffffff,0x00ffffff,0x203ffffd,0xfffffffe,0xff8006ff,0x00005fff,
    0x017ffffe,0x7fffc000,0x8800005f,0x406fffff,0xfffffffc,0xffffffff,
    0x003fffff,0x0bfffff0,0x7fffc000,0x3ff2005f,0xffffffff,0xffffffff,
    0xfff903ff,0xffffffff,0xffffffff,0x3fffa07f,0xffff501f,0x00dfffff,
    0x0bfffff0,0x7fffc000,0xf000005f,0x100bffff,0x7ffdc001,0x7ff404ff,
    0xffffffff,0xffffffff,0xff0005ff,0x0000bfff,0x02fffffc,0xffffffd0,
    0xffffffff,0x0bffffff,0x3ffffffa,0xffffffff,0x05ffffff,0x403ffffd,
    0xffffffff,0xfff8006f,0x200005ff,0x005fffff,0xfffff000,0x39df700b,
    0xffff7303,0x7fcc05ff,0x3e001fff,0x0007ffff,0x00bfffff,0x7ffffc00,
    0xffff3005,0x7ffc003f,0xfff987ff,0x3fe001ff,0xffd07fff,0x7fdc03ff,
    0x06ffffff,0xf9999995,0x999fffff,0xf8003999,0x0005ffff,0x3333332a,
    0xccffffff,0xff71cccc,0xffffffff,0x1dffffff,0x3ffffdc0,0x3ffff600,
    0x9999502f,0xffffff99,0x03999999,0xf9999995,0x999fffff,0x7fdc3999,
    0x7ec007ff,0x7dc2ffff,0x6c007fff,0xe82fffff,0x2201ffff,0xffffffff,
    0xfffff906,0xffffffff,0x005fffff,0x05fffff8,0x3ffff200,0xffffffff,
    0x72ffffff,0xffffffff,0xdfffffff,0xffffd801,0x7ffdc005,0xfff904ff,
    0xffffffff,0x5fffffff,0xffffff90,0xffffffff,0x7ec5ffff,0x5c005fff,
    0x6c4fffff,0x4005ffff,0x84fffffb,0x401ffffe,0xfffffffc,0xfffff906,
    0xffffffff,0x005fffff,0x05fffff8,0x3ffff200,0xffffffff,0x72ffffff,
    0xffffffff,0x1dffffff,0xfffff880,0x7ffcc002,0xfff907ff,0xffffffff,
    0x5fffffff,0xffffff90,0xffffffff,0x3e25ffff,0x4002ffff,0x27fffff9,
    0x02fffff8,0x7ffffcc0,0x1ffffe87,0x7ffffcc0,0xfff906ff,0xffffffff,
    0x5fffffff,0xfffff800,0x3ff20005,0xffffffff,0xffffffff,0xffffd932,
    0x39ffffff,0x3fffea00,0xffe8000f,0xffc81fff,0xffffffff,0xffffffff,
    0xfffffc82,0xffffffff,0xf52fffff,0x0001ffff,0x23fffffd,0x00fffffa,
    0xfffffe80,0x0fffff41,0x7ffffec0,0xffff906f,0xffffffff,0x05ffffff,
    0x5fffff80,0x3fff2000,0xffffffff,0x2fffffff,0x35553330,0xfff90001,
    0x3f2000df,0xfc83ffff,0xffffffff,0xffffffff,0xffffc82f,0xffffffff,
    0x92ffffff,0x000dffff,0x4ffffff2,0x006ffffc,0x7fffff90,0x01ffffe8,
    0xffffffa8,0x00000006,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x555554c0,0xa880002a,0x0000aaaa,
    0x2aa60000,0x0000009a,0x00555551,0x00577510,0xaaaa8800,0x50000000,
    0x81555555,0x2aaaaaa9,0xbb300000,0x00e6dc07,0x02cedb98,0x00d55540,
    0x7ffffec4,0xfe80003f,0x00004fff,0xffd97100,0x7bffffff,0x7fec0000,
    0x7d4005ff,0x002effff,0xffffe880,0x4000000e,0x3ffffffd,0xffffff90,
    0xfa800009,0xffd84fff,0x7fe401ff,0x801effff,0x001ffff9,0x3fffffee,
    0x7fdc0003,0x000007ff,0xffffff98,0x7fffffff,0xfff10000,0x7d4003ff,
    0x1fffffff,0x3ffa2000,0x000effff,0xffffb000,0xffa803df,0x0004ffff,
    0x3fffffa0,0x3ffffe60,0x3ffff604,0xe807ffff,0x98004fff,0x03fffffe,
    0x7ffffc00,0x32000002,0xffffffff,0x07ffffff,0xffff9000,0x7ffc400d,
    0x06fffdcf,0xffffd100,0x000bffff,0xfffffb00,0x3fa2001b,0x0004ffff,
    0x3ffffff0,0x37ffffd4,0xeeffff98,0x3203ffff,0x40006fff,0x02fffffc,
    0x3ffff200,0xe8800006,0xffffffff,0x7fffffff,0xffff0000,0x7fd4007f,
    0x07ffea1f,0x3ffff600,0x05ffffa9,0x3fff6000,0xf90003ff,0x0009ffff,
    0x8fffffb0,0x04fffff8,0x7dc9fffb,0xfff306ff,0xd500003f,0x0003dddd,
    0x07ffffe2,0xfffd0000,0x9bffffff,0x00ffffdb,0xfffff500,0x37fdc001,
    0x20017ffc,0x2a1ffffd,0x0005ffff,0x1effffd8,0x7ffd4000,0x440004ff,
    0xfb82fffe,0xfff00eff,0x3fffc41f,0x004fffe8,0x20000000,0x005ffffd,
    0x3fffea00,0x2a00afff,0xfe80007d,0x54004fff,0x3fe60fff,0x3326001f,
    0xccca81cc,0x32a0001c,0x0000cccc,0x39999910,0x01550000,0xff10154c,
    0x1ffff0ff,0x006fffc8,0x40000000,0x00fffffa,0xffffd000,0x004003df,
    0x3fffe600,0x7fc4000f,0x7ffebaef,0x00000000,0x00000000,0x00000000,
    0x1bffe600,0xf987fffa,0x00001fff,0xfe800000,0x80003fff,0x0ffffffb,
    0x6c000000,0x0005ffff,0xfffffff9,0x0000005f,0x00000000,0x00000000,
    0x7fc40000,0x3ffe20ff,0x027fff47,0xffff1000,0x4000ffff,0x007ffffb,
    0xffffff80,0x40000003,0x02fffff8,0x3ffff200,0x300003ff,0x01359d97,
    0x3b2e6000,0x000009ac,0x1359d973,0x32e60000,0xf8009ace,0x3fea2fff,
    0x3fffee6f,0x3ee00000,0x1fffffff,0xffff1000,0x7cc0005f,0x000fffff,
    0x7fdc0000,0x980006ff,0x0000cddc,0x7ffffec4,0x0003ffff,0xffffffb1,
    0x20007fff,0xffffffd8,0x10003fff,0xfffffffb,0xffd807ff,0xffffccff,
    0x05ffff33,0xfffd8000,0x004fffff,0x1bffff20,0xffffa800,0x0000005f,
    0x03fffff8,0x80000000,0xffffffe9,0x00efffff,0x3ffffa60,0xefffffff,
    0x3ffa6000,0xffffffff,0x3a6000ef,0xffffffff,0xf100efff,0xffffffff,
    0x02ffff4d,0x7fffc000,0x006fffff,0x3ffffe60,0xfff70001,0x000007ff,
    0xfffffa80,0x97530000,0x01579bdb,0xfffffa80,0xffffffff,0xffa800ff,
    0xffffffff,0x800fffff,0xfffffffa,0xffffffff,0xffffa800,0xffffffff,
    0xff700fff,0x23dfffff,0x000ffffb,0x7fffd400,0x00ffffff,0x3ffff600,
    0xfffb0004,0x000005ff,0x4ffffe80,0x7ff64c00,0xffffffff,0xff8801df,
    0xcabcffff,0x05ffffff,0x7fffffc4,0xffffcabc,0x7fc405ff,0xcabcffff,
    0x05ffffff,0x7fffffc4,0xffffcabc,0x3f6605ff,0x3fe24eff,0x800002ff,
    0xfffffffc,0x20003fff,0x00fffffa,0xfffffe80,0x20000001,0x01fffff9,
    0x7ffffe40,0xffffffff,0x7fec03ff,0xfd881eff,0x3601ffff,0x881effff,
    0x01fffffd,0x07bffff6,0x3fffff62,0x3ffff601,0xfffd881e,0xd00801ff,
    0x0000bfff,0x2fffffe0,0x005fffff,0x1fffff40,0x7ffffc00,0x0000000f,
    0x017ffff2,0x3fffff20,0xffffffff,0xff301fff,0x7c403fff,0xf306ffff,
    0x4403ffff,0x306fffff,0x403fffff,0x06fffff8,0x03fffff3,0x37ffffc4,
    0xffffb800,0xf9800000,0xffd8ffff,0x20000fff,0x006ffffb,0x7fffffc4,
    0x10000000,0x005fffff,0x9bdfff90,0xffffb957,0x3ff60dff,0xffb805ff,
    0xfffb07ff,0xfff700bf,0x3fff60ff,0xfffb805f,0xffffb07f,0xffff700b,
    0xfff1000f,0x2000005f,0xf76ffffb,0x0005ffff,0x17ffffc4,0x3ffffe00,
    0x0000001f,0x00dffff7,0x3002f720,0x01ffffff,0x005fffff,0x01fffff5,
    0x005fffff,0x01fffff5,0x005fffff,0x01fffff5,0x005fffff,0x01fffff5,
    0x05fffd80,0x3ffa0000,0xffff34ff,0xfc80009f,0x74005fff,0x002fffff,
    0xfffd0000,0x0000007f,0x0bffffea,0x35fffff1,0x53333333,0x885fffff,
    0x99afffff,0xfa999999,0x7c42ffff,0x999affff,0xffa99999,0x7fc42fff,
    0x9999afff,0xfffa9999,0x3ea002ff,0x00000fff,0x3fffff10,0x03fffff4,
    0x3fffe600,0x3ff6001f,0x00003fff,0xfffffa80,0x10000000,0x987fffff,
    0xffffffff,0xffffffff,0x7cc3ffff,0xffffffff,0xffffffff,0x7fcc3fff,
    0xffffffff,0xffffffff,0x7ffcc3ff,0xffffffff,0xffffffff,0xfff1003f,
    0x55dd447f,0x3fea0000,0x7ffe47ff,0x740001ff,0x2004ffff,0x04fffffc,
    0xffd80000,0x000004ff,0x27ffffc0,0x3fffffee,0xffffffff,0x43ffffff,
    0xfffffffb,0xffffffff,0x5c3fffff,0xffffffff,0xffffffff,0x7dc3ffff,
    0xffffffff,0xffffffff,0xfb003fff,0x7ffdcbff,0xb0003fff,0xfa8bffff,
    0x0003ffff,0x07ffffd4,0xfffffb80,0x2000000f,0x01fffff9,0x26620000,
    0x4fffff99,0x7fffffe4,0xffffffff,0x42ffffff,0xfffffffc,0xffffffff,
    0x642fffff,0xffffffff,0xffffffff,0x7e42ffff,0xffffffff,0xffffffff,
    0xfa802fff,0xfffb0fff,0x009fffff,0x87fffff0,0x06fffff8,0xfffff800,
    0xffff3003,0x000007ff,0x037fffe4,0xfdd71000,0xffffffff,0xfffb89ff,
    0xeeeeeeff,0xeeeeeeee,0x7fffdc1e,0xeeeeeeef,0xeeeeeeee,0x7ffffdc1,
    0xeeeeeeee,0x1eeeeeee,0x77ffffdc,0xeeeeeeee,0x01eeeeee,0xa9ffffc4,
    0xffffffff,0x3e6001ff,0xfe80ffff,0x0000ffff,0x037fffdc,0xdfffffd0,
    0xf1000001,0x0005ffff,0xfffff930,0xffffffff,0xfffa89ff,0x200000ff,
    0x00fffffa,0x3ffea000,0x200000ff,0x00fffffa,0x3ff60000,0x33fffa6f,
    0x05fffe98,0x1bffff20,0x17ffffdc,0x3ffe2000,0xff5002ff,0x003dffff,
    0x7ffdc00c,0xf980007f,0xffffffff,0xffffffff,0x7ffffcc4,0x3e600002,
    0x0002ffff,0x3ffffe60,0x3e600002,0x0002ffff,0x3ffff500,0xa83fffe2,
    0x3a006fff,0xf304ffff,0x000bffff,0x0bffff90,0x7fffff40,0xd7100bff,
    0xffffd00f,0xff880007,0xdeffffff,0xfffffccc,0x7ffffc44,0x3e200004,
    0x0004ffff,0x3ffffe20,0x3e200004,0x0004ffff,0x3ffff880,0xf11bffe6,
    0x3e200fff,0x3e02ffff,0x0007ffff,0x0fffff98,0xfffff500,0xd9bfffff,
    0xa80fffff,0x000fffff,0x7fffff40,0x3fffe01e,0xfffff84f,0x3e00001f,
    0x001fffff,0x3ffffe00,0x3e00001f,0x001fffff,0x37ffe400,0x3e17ffea,
    0xff7007ff,0x7ec01fff,0x0001ffff,0x04ffffe8,0x3fffff20,0xffffffff,
    0x7ec07fff,0x40005fff,0x0efffff8,0x27ffffc0,0x77ffffdc,0xff700000,
    0x0001dfff,0x3ffffee0,0xf700000e,0x001dffff,0x3fffea00,0x237ffcc1,
    0xb007fff9,0x999fffff,0xfffd9999,0x500009ff,0x001fffff,0x7fffffd4,
    0xffffffff,0x3ffe607f,0x4c0001ff,0x803fffff,0xd04fffff,0x39ffffff,
    0x1edb9981,0x3fffffa0,0x5ccc09cf,0x3ffa01ed,0x409cffff,0x201edb99,
    0xcffffffe,0x76dccc09,0x4fffe881,0x20ffff88,0xf005fffa,0xffffffff,
    0xffffffff,0x20000dff,0x003fffff,0x7fffffcc,0xffffffff,0x3ffff207,
    0xffb80006,0x7ec03fff,0xf304ffff,0xffffffff,0xffffffff,0x7fffcc03,
    0xffffffff,0x201fffff,0xfffffff9,0xffffffff,0x3fe601ff,0xffffffff,
    0x1fffffff,0x206fffc8,0xfa9dffff,0xfa803fff,0xffffffff,0xffffffff,
    0x80000fff,0x006ffffc,0xfffff930,0x4059ffff,0x02fffff8,0xffffa800,
    0xfffd106f,0x7e409fff,0xffffffff,0x1fffffff,0x7ffffe40,0xffffffff,
    0x7e401fff,0xffffffff,0x1fffffff,0x7ffffe40,0xffffffff,0x7fcc1fff,
    0x3fee01ff,0x6fffffff,0xfffff900,0xffffffff,0x7fffffff,0xfff10000,
    0x640003ff,0x009cffff,0x0fffff70,0x3ffe2000,0xd711cfff,0x9fffffff,
    0xffffe980,0xffffffff,0xfe9801ff,0xffffffff,0x801fffff,0xffffffe9,
    0xffffffff,0xfffe9801,0xffffffff,0x7ff41fff,0xfffe804f,0x001fffff,
    0xfffffffd,0xffffffff,0x00bfffff,0x3ffff600,0x3ffa0005,0x7f4000ff,
    0x00004fff,0x3ffffffa,0xffffffff,0x7004ffff,0xfffffffd,0x0017bfff,
    0x7fffff5c,0x0bdfffff,0x3fffae00,0xdfffffff,0x3fae000b,0xffffffff,
    0x3ff20bdf,0x3fee006f,0x3000dfff,0x003fffff,0x03fffffc,0xffff9800,
    0xff88000f,0x7d4005ff,0x0000ffff,0x3ffffe60,0xefffffff,0x004ffffb,
    0x9aabba98,0x75300000,0x00013557,0x2aaeea60,0x53000009,0x00135577,
    0x09a98000,0x7fffdc00,0x7ffec007,0xd00002ff,0x0009ffff,0x005ffff3,
    0x05ffffd8,0xfffc8000,0xdfffffff,0x04ffff98,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00bffffb,0x4fffffb8,0xfff50000,0xff7000ff,
    0xff8800ff,0x00001fff,0xfffffd30,0x7ffcc5df,0x0000004f,0x00000000,
    0x00000000,0x00000000,0xffff8800,0x7fcc002f,0x00007fff,0x00bffffe,
    0x009fff90,0x06ffffc8,0xba880000,0x000000aa,0x00000000,0x00000000,
    0x00000000,0x2a000000,0x000fffff,0x1fffffe8,0xfff90000,0xeed800df,
    0x7ffc001e,0x000003ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0xfc800000,0x90006fff,0x007fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,
    0x05555555,0x54000000,0x00aaaaaa,0x05555440,0xdd975000,0x4000159b,
    0x36e03dd9,0x5553001c,0x00803555,0x3772ea20,0xaaaaaabc,0x544000aa,
    0x00000aaa,0x4000054c,0x36e03dd9,0x0b76e01c,0xfffffc80,0x0000004f,
    0xffffffd8,0x7ff44003,0x54000eff,0xfffffffe,0x54000cff,0xfd84ffff,
    0xf8801fff,0x31ffffff,0x2009fd95,0xfffffffb,0xffffffff,0x3fa2002f,
    0x0000efff,0x03fffe88,0x3fffea00,0x1ffffd84,0x04ffffd8,0x3ffffea0,
    0x0000004f,0x3bfffff6,0x7ff44001,0x800effff,0xffffffe8,0x1fffffff,
    0x3ffffa00,0x3fffe60f,0xfff3004f,0xffffffff,0xff9809ff,0xffffffff,
    0xffffffff,0xfffd1002,0x0001dfff,0x2fffffe8,0xffffd000,0x7fffcc1f,
    0x7fffd44f,0x3a2001ff,0x004fffff,0xfffd8000,0x44000dff,0xfffffffe,
    0xfffd805f,0xffffffff,0xf000ffff,0x543fffff,0x006fffff,0xffffffb3,
    0x09ffffff,0x7fffff44,0xffffffff,0x802fffff,0xffffffe8,0x260005ff,
    0x05ffffff,0xffffff00,0x7ffffd43,0x7ffffe46,0xffc8002f,0x00004fff,
    0x3fffff60,0xfffb0003,0xbffff53f,0x7ffffd40,0xfffdbbcf,0xfb005fff,
    0xff88ffff,0x3a204fff,0xffffffff,0x4fffffff,0x3fffff60,0xfffc99ac,
    0x01eeefff,0xa9ffffd8,0x0005ffff,0xdffffff5,0x3fff6000,0x7fffc47f,
    0x7fffdc4f,0xf50002ff,0x0009ffff,0xdffffb00,0x3ff60003,0x3ffea1ff,
    0xfffff05f,0xffff303d,0x3fa200ff,0xfffb82ff,0x3ffe600e,0xffffffff,
    0x2200acff,0x303fffff,0x001fffff,0x50ffffec,0x000bffff,0x9ffffff1,
    0x3ffa2000,0xefffb82f,0x7ffffc40,0x3220000e,0x0001cccc,0x333332a0,
    0x99930000,0x99995039,0xfffff983,0x3fffee02,0x02aa001f,0xf9802a98,
    0xffffffff,0xa800ffff,0x6c06ffff,0x3003ffff,0x95039999,0x90003999,
    0x001fffff,0x2600aa80,0x3ffea02a,0x0000001e,0x00000000,0x7d400000,
    0x7dc07fff,0x0000ffff,0x3fe60000,0xfff99bdf,0xfc805fff,0x7dc04fff,
    0x00005fff,0x3ae00000,0x000000de,0x00198000,0x00000000,0x00000000,
    0xdffff900,0x7ffffd80,0x40000000,0xfff500a8,0xfd805fff,0x7d403fff,
    0x00005fff,0x00000000,0x00000000,0xcba98000,0x00abcded,0xdb975300,
    0x0001579b,0x6f6e5d4c,0x3f600abc,0x3e606fff,0x4005ffff,0xcdedcba9,
    0x220000ab,0xfffffcb9,0x3ff200ff,0x7fe406ff,0x510004ff,0x01359bb7,
    0x20000000,0x801aaaaa,0x001aaaaa,0x3ffb2600,0xffffffff,0xec9801df,
    0xffffffff,0x3001dfff,0xffffffd9,0x03bfffff,0x20bffffd,0x1ffffff9,
    0xfffec980,0xffffffff,0x3fa6001d,0xffffffff,0x3fea04ff,0x3fe00fff,
    0x54002fff,0xffffffff,0xaaa804ff,0xaaaaaaaa,0x7ff4000a,0xfff805ff,
    0x3ffee4ff,0x3ff2002f,0xffffffff,0x403fffff,0xfffffffc,0xffffffff,
    0xffffc803,0xffffffff,0x7ff43fff,0xfff985ff,0xf9002fff,0xffffffff,
    0x07ffffff,0xffffff90,0xffffffff,0x3fffe201,0x7fec41df,0xb1000fff,
    0xffffffff,0x403dffff,0xfffffffe,0x4003ffff,0x805ffffe,0x2e4fffff,
    0x2002ffff,0xfffffffc,0xffffffff,0x3fff201f,0xffffffff,0x401fffff,
    0xfffffffc,0xffffffff,0x3ffffa1f,0x7ffffc45,0x3ff2002f,0xffffffff,
    0x01ffffff,0xffffffd1,0xffffffff,0x7ffdc09f,0xffdcffff,0x3003ffff,
    0xfffffffd,0xffffffff,0x3ffffa05,0x3fffffff,0x7ffff400,0xfffff805,
    0x0bfffee4,0xdefffc80,0xfffdcabc,0x3f206fff,0xcabcdeff,0x6ffffffd,
    0x6f7ffe40,0xfffdcabc,0x3ffa6fff,0x7ffec5ff,0x7e4002ff,0xcabcdeff,
    0x6ffffffd,0xffffff90,0xffffdbdf,0x7fc01fff,0xffffffff,0x2005ffff,
    0xfffffffe,0xffffffff,0xfffe80ff,0xffffffff,0x7fff4003,0xffff805f,
    0x3ffff24f,0x02f72003,0xffffff30,0x002f7201,0x1ffffff3,0x2005ee40,
    0x0ffffff9,0x44bffffd,0x004fffff,0x4c00bdc8,0x40ffffff,0xcffffff9,
    0xfffffe80,0xfffff903,0xffffffff,0x3fea0019,0x88acffff,0xffffffca,
    0xfffffe84,0x03ffffff,0x2fffff40,0x27ffffc0,0x007ffff9,0x7ffd4000,
    0x500002ff,0x005fffff,0x7fffd400,0xbffffd2f,0x17ffffd4,0x7d400000,
    0x7f42ffff,0x2e04ffff,0x985fffff,0xffddffff,0x000cefff,0x3fffffe2,
    0x3fffee03,0xff3000ff,0xe8007fff,0xf805ffff,0x3f24ffff,0x00003fff,
    0x3ffffe20,0xff100003,0x00007fff,0x9fffffc4,0x2a5ffffe,0x004fffff,
    0xfff88000,0x3ffea3ff,0x7fc406ff,0xffd87fff,0x002620ff,0xfffffb80,
    0xffffd804,0xfff3003f,0xfe8007ff,0xff805fff,0x3ff64fff,0x000003ff,
    0x027ffffc,0xfffff000,0xff800009,0xfffd4fff,0x7fffc4bf,0x000001ff,
    0x24fffff8,0x02fffffb,0x1fffffe8,0x01bfffe2,0x3fff6000,0xff9801ff,
    0xf3004fff,0x8007ffff,0x805ffffe,0x364fffff,0x0004ffff,0x3e666620,
    0x0004ffff,0xfff33331,0x440009ff,0xffff9999,0xbffffd4f,0xfffffff8,
    0x26200001,0xfffff999,0x1fffff64,0x7ffffe40,0x3ffffe22,0x7f400002,
    0x3e006fff,0x3005ffff,0x007fffff,0x05ffffe8,0x24fffff8,0x004ffffd,
    0xfffdd710,0xffffffff,0xfdd71009,0xffffffff,0x2e2009ff,0xffffffee,
    0xfd4fffff,0xffb8bfff,0x003fffff,0xfffeeb88,0xffffffff,0x1bffffa4,
    0x7ffffdc0,0x7fffffc3,0x9aaabccd,0x3fffe000,0x3ffa004f,0xff3007ff,
    0xe8007fff,0xf805ffff,0x3f64ffff,0x4c004fff,0xfffffffc,0xffffffff,
    0x3fff2604,0xffffffff,0x4c04ffff,0xfffffffc,0xffffffff,0x0bffffd4,
    0xfffffffb,0x3ff2600b,0xffffffff,0x3e4fffff,0x5005ffff,0xc87fffff,
    0xffffffff,0xefffffff,0x3fffe202,0x3ff6004f,0xf9800fff,0x4003ffff,
    0x805ffffe,0x3a4fffff,0x2005ffff,0xfffffff9,0xffffffff,0xfff304ff,
    0xffffffff,0x09ffffff,0x7fffffcc,0xffffffff,0xfffd4fff,0xfffb10bf,
    0x980bffff,0xffffffff,0xffffffff,0xfffff14f,0x3ffea009,0xfffd84ff,
    0xffffffff,0x80efffff,0x03fffff9,0x3fffff20,0xffff9800,0x7ff4003f,
    0xfff805ff,0x3fffa4ff,0xfff1005f,0x9bdfffff,0x9fffff99,0xffffff10,
    0xf999bdff,0x2209ffff,0xffffffff,0xfffcccde,0xffffd4ff,0x7fffe40b,
    0xff103fff,0xbdffffff,0xfffff999,0x3ffffe29,0xffff5005,0xffff307f,
    0xffffffff,0x81dfffff,0x04fffff9,0x1fffff60,0x7ffffcc0,0x7fff4003,
    0xffff805f,0x3ffffa4f,0xffffd005,0x7ffc03df,0xfffe84ff,0x3fe01eff,
    0xffd04fff,0x7c03dfff,0xffd4ffff,0xffb80bff,0xe80fffff,0x01efffff,
    0xf93ffffe,0x7005ffff,0xa87fffff,0xeeefffff,0xfffffeee,0xfff84fff,
    0x3fa005ff,0xf3006fff,0x8007ffff,0x805ffffe,0x3e4fffff,0x8805ffff,
    0x00efffff,0x227ffffc,0x0efffff8,0x27ffffc0,0x77ffffc4,0x7ffffc00,
    0x0bffffd4,0xffffff50,0xfffff883,0x7fffc00e,0x3ffffe4f,0xffff9006,
    0x7fffcc3f,0x7fe4404f,0xffe86fff,0xff1006ff,0x2600bfff,0x003fffff,
    0x02fffff4,0x93ffffe2,0x806fffff,0x03fffff9,0x44fffff8,0x03fffff9,
    0x84fffff8,0x03fffff9,0xd4fffff8,0x200bffff,0x43fffffc,0x03fffff9,
    0x24fffff8,0x01fffffe,0x3fffffc4,0x01bffff6,0x0fffffd8,0x0fffffec,
    0x7ffffdc0,0xffff3003,0xffe8007f,0x7ff406ff,0x3ffe4fff,0xffb806ff,
    0x7ec03fff,0x7dc4ffff,0x6c03ffff,0xb84fffff,0x403fffff,0xd4fffffd,
    0x200bffff,0x43fffffa,0x03fffffb,0x27ffffec,0x09fffffb,0x6fffffb8,
    0x0fffffe2,0x7ffffc80,0x5fffffc8,0x7ffff440,0xfff3001f,0xfd8007ff,
    0xfb00ffff,0x7c9fffff,0xa806ffff,0x106fffff,0x9ffffffd,0x6fffffa8,
    0xfffffd10,0xffff509f,0x3ffa20df,0xffd4ffff,0x3ea00bff,0x7d42ffff,
    0xd106ffff,0x49ffffff,0x3ffffff9,0xffffff50,0x7ffffcc5,0x3fffa004,
    0xffff885f,0xffd105ff,0x4c009fff,0x003fffff,0x1fffffe4,0x3fffff22,
    0x3fffe4ff,0xfff8807f,0xd711cfff,0x9fffffff,0xffffff88,0xfffd711c,
    0xf109ffff,0x239fffff,0xfffffeb8,0xffffd4ff,0xf510d4cb,0x881fffff,
    0x1cffffff,0xfffffd71,0xfffd89ff,0xdbabdfff,0x86ffffff,0x01ffffff,
    0x7ffffec4,0xfffff903,0xfd9759df,0x001fffff,0x1fffffcc,0x3fffee00,
    0xfffcadff,0x14ffffff,0x00ffffff,0x3ffffffa,0xffffffff,0xfe84ffff,
    0xffffffff,0xffffffff,0xffffd04f,0xffffffff,0x29ffffff,0x2e5ffffe,
    0xffffffff,0xffd05fff,0xffffffff,0xffffffff,0xfffff989,0xffffffff,
    0xfd82ffff,0xbcefffff,0xffffcba9,0x3fe206ff,0xffffffff,0x3fffffff,
    0xaaaaaa98,0xadfffffc,0xf00aaaaa,0xffffffff,0xfffdffff,0x3fffe29f,
    0xfff3007f,0xffffffff,0x9ffff7df,0xffffff30,0x7dffffff,0x2609ffff,
    0xffffffff,0xffbeffff,0xffffd4ff,0x7ffffdcb,0x00efffff,0xfffffff3,
    0xf7dfffff,0xff909fff,0xffffffff,0x205fffff,0xfffffff9,0xffffffff,
    0x5400efff,0xffffffff,0x4fffffff,0xffffff90,0xffffffff,0x201fffff,
    0xfffffffb,0xffadffff,0xffff14ff,0x7fe400ff,0xffffffff,0x4ffff98d,
    0xffffff90,0xf31bffff,0x7e409fff,0xffffffff,0xffff98df,0x4bffffd4,
    0xfffffffb,0x7e400eff,0xffffffff,0xffff98df,0xfffff504,0xffffffff,
    0xffff9805,0xffffffff,0x000dffff,0xffffffb1,0x03dfffff,0x7fffffe4,
    0xffffffff,0x200fffff,0xfffffffd,0xffff35ff,0x3ffffe69,0x7ff4c007,
    0x262effff,0x2604ffff,0xeffffffe,0x13fffe62,0xfffffd30,0x7ffcc5df,
    0xbffffd4f,0x7fffffdc,0x3a6002ef,0x2effffff,0x813fffe6,0xffffffc8,
    0x54003fff,0xfffffffd,0x000cffff,0xfffffd50,0xc8019dff,0xffffffff,
    0xffffffff,0x7dc00fff,0x22efffff,0xf34ffff9,0x001fffff,0x01557510,
    0x55d44000,0x4400000a,0x0000aaba,0x09aa9880,0x55d44000,0x4400000a,
    0x0009aba9,0x66554c40,0x000009ab,0x000d5d4c,0x3ffffff2,0xffffffff,
    0x000fffff,0x00035753,0x00333333,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x3336ea20,
    0x0077311b,0x000e7644,0x80737ae6,0xaa880000,0x000000aa,0xaaaaaaa8,
    0x00098000,0x07bb3000,0x4c00e6dc,0x02aaaaaa,0xa8000000,0x9801aaaa,
    0x0201cdeb,0x40017730,0xffffffd8,0x5fffffff,0xfffff300,0x3fffa005,
    0x76c0cfff,0x3fa20000,0x0000efff,0x3ffff600,0xd93003ff,0x007dffff,
    0x3fffea00,0x1ffffd84,0xfffffc80,0x0000004f,0x2fffff40,0x3fffffa0,
    0x8076c0cf,0x804ffffd,0xfffffffb,0xffffffff,0xffffd005,0xffd801ff,
    0xcfffffff,0x000effdb,0xfffffe88,0x800000ef,0x1efffffd,0xfffff900,
    0x005dffff,0xfffffe80,0x3ffffe60,0xffff5004,0x000009ff,0x7ffff400,
    0x3ffff605,0xdbcfffff,0x7fe40eff,0xb102ffff,0xffffffff,0xffffffff,
    0x3fffe00b,0x3ee01fff,0xffffffff,0x1fffffff,0x7fff4400,0x005fffff,
    0x7fffec00,0xfe8800df,0xffffffff,0x20002fff,0x21ffffff,0x06fffffa,
    0x3ffffa20,0x0000004f,0x0bffffd0,0x3fffffee,0xffffffff,0x7fffc1ff,
    0xffb06fff,0xdbdfffff,0xbffffffd,0x3ffffe00,0x3fa201ff,0xfffeb9bf,
    0x002fffff,0xa9ffffd8,0x0005ffff,0x7fffffb0,0x7fffe400,0xffffffff,
    0xfb0000ff,0xff88ffff,0xc8004fff,0x004fffff,0xffe80000,0xffd105ff,
    0xffffd737,0xf885ffff,0x87ffffff,0xdffffff9,0xfffff880,0xffff9005,
    0x05d100df,0x7ffffff9,0xffffb000,0x2ffffd43,0x3fff6000,0x3e6001ef,
    0x989dffff,0x04fffffd,0x5fffd100,0x01dfff70,0x3fffea00,0x0000004f,
    0x02fffff4,0xfff905d1,0x3fe07fff,0xe86fffff,0x404fffff,0x005ffffe,
    0x03dfffb1,0x59951000,0x33326000,0xcccca81c,0x99950001,0xfc800199,
    0xffd06fff,0xa8000bff,0x00aa600a,0x33332200,0x0000001c,0x017ffffa,
    0x02cca880,0x7fffffec,0x7ffffd43,0xffffe806,0x0154c005,0x00000000,
    0x00000000,0x3fffa000,0xffff502f,0x0000000f,0x00000000,0xfffd0000,
    0x000000bf,0x2fffff44,0x17ffffe4,0x2fffff40,0x00000000,0x00000000,
    0x80000000,0x301fffff,0x000fffff,0x00000000,0x00000000,0x00bffffd,
    0x99500000,0x3ffff605,0xffffd007,0x0000000b,0x359bb751,0xaaaa8001,
    0xaaaa801a,0xaaaaa81a,0xaaaaa801,0x7fffff01,0x17fffee0,0x6dd44000,
    0x00009acd,0x59bb7510,0x26000013,0xffaccdba,0xa9805fff,0xabcdedcb,
    0x3fa00000,0xfd006fff,0x6c00bfff,0x2000ffff,0xfffffffa,0x3a004fff,
    0xf805ffff,0xfe84ffff,0xff805fff,0xffb04fff,0xfff10bff,0xa80009ff,
    0xffffffff,0x2a0004ff,0xffffffff,0xb10004ff,0xffffffff,0x20bfffff,
    0xfffffec9,0x1dffffff,0xffff8000,0xfffd005f,0x7ff400bf,0xfd8800ff,
    0xffffffff,0xe801efff,0xf805ffff,0xfe84ffff,0xff805fff,0xff904fff,
    0x7ec41fff,0x0000ffff,0xffffffb1,0x3dffffff,0x7ffec400,0xffffffff,
    0x3ee001ef,0xffffffff,0x05ffffff,0xfffffff9,0xffffffff,0x7fcc0007,
    0xfd004fff,0x7400bfff,0x4c00ffff,0xfffffffe,0xffffffff,0x7ffff402,
    0xfffff805,0x5ffffe84,0x4fffff80,0xdfffff30,0x3fffffa6,0xffd30002,
    0xffffffff,0x005fffff,0xffffffd3,0xffffffff,0xfffd005f,0xffffffff,
    0x20bfffff,0xfffffffc,0xffffffff,0xff10001f,0x3a00bfff,0x2005ffff,
    0x401ffffe,0xfffffffe,0xffffffff,0x3ffa00ff,0xfff805ff,0xfffe84ff,
    0xffff805f,0x3fff204f,0xfffffdff,0x3fa0004f,0xffffffff,0xffffffff,
    0x7ffff400,0xffffffff,0x200fffff,0xfffffffc,0xffffeede,0xfff905ff,
    0xfb9579bd,0x00dfffff,0x2fffffc0,0x5ffffe80,0xffffb980,0x3ffea01f,
    0xa88acfff,0x4ffffffc,0x17ffffa0,0x13ffffe0,0x017ffffa,0x813ffffe,
    0xfffffff8,0x0002ffff,0x3fffffea,0xffca88ac,0x2a04ffff,0xacffffff,
    0xffffca88,0xfff304ff,0xf101bfff,0x320bffff,0x7fcc00bd,0x0000ffff,
    0x00dfffff,0x0bfffff1,0x3fffff22,0xff102fff,0x5c07ffff,0x00ffffff,
    0x00bffffd,0xd09fffff,0xf00bffff,0xa809ffff,0xffffffff,0x3e20001e,
    0x203fffff,0x0ffffffb,0xffffff88,0x3fffee03,0xfffe80ff,0x7ff404ff,
    0x500005ff,0x005fffff,0x3fffffa0,0x7fffec00,0xfffe985f,0x02ffffff,
    0x09fffff7,0x7fffffb0,0x17ffffa0,0x13ffffe0,0x017ffffa,0x013ffffe,
    0xfffffff7,0xff700007,0xfb009fff,0xf707ffff,0xb009ffff,0xa87fffff,
    0x806fffff,0x005ffffe,0xfffff100,0x20599507,0x03fffffd,0x3ffffff6,
    0x7ffffcc5,0x02ffffff,0x03fffffb,0x9fffff30,0x17ffffa0,0x13ffffe0,
    0x017ffffa,0x813ffffe,0xfffffffd,0xcccc885f,0x3ffff603,0xfff9801f,
    0xfffd84ff,0xff9801ff,0x7fe44fff,0xfe802fff,0x00005fff,0x893ffffe,
    0x985ffffe,0x40ffffff,0xffffffc8,0x7ffff45f,0x1cccdfff,0x0dffffd0,
    0x2fffffc0,0x05ffffe8,0x84fffff8,0x805ffffe,0xb04fffff,0xffffffff,
    0xfff989ff,0x3fffa06f,0x3ffe006f,0xfffe85ff,0x3ffe006f,0x7ffec5ff,
    0xfffd007f,0x262000bf,0xfffff999,0x3fffff64,0xffffe83f,0xfffcabff,
    0x25ffffff,0x2ffffffb,0x7ffffc00,0x3fffa004,0xffffd07f,0xfffff00b,
    0xbffffd09,0x9fffff00,0xbfffff90,0x45ffffff,0x205ffffa,0x004fffff,
    0x21fffffa,0x004fffff,0xd1fffffa,0x200dffff,0x805ffffe,0xffffeeb8,
    0x4fffffff,0x3ffffffe,0xfffffa86,0xffffffff,0x3a5fffff,0x003fffff,
    0x27ffffc4,0xfffffb00,0xbffffd01,0x9fffff00,0x0bffffd0,0x89fffff0,
    0x56fffff8,0x23ffffff,0x104ffffa,0x009fffff,0x07ffffec,0x09fffff1,
    0x7ffffec0,0x17ffffe0,0x2fffff40,0xfffff930,0xffffffff,0x3ffe29ff,
    0xfb07ffff,0xffffffff,0xffffbbff,0x3fffffcb,0x7fffcc00,0x3ff2003f,
    0xffe80fff,0xfff805ff,0xfffe84ff,0xffff805f,0x7fffe44f,0x3fffee0f,
    0xffffc8ff,0xfffff303,0x7ffe4007,0x3ffe60ff,0x3f2003ff,0xff30ffff,
    0x3a009fff,0xf305ffff,0xffffffff,0xffffffff,0x7fffffc9,0x3fff606f,
    0xb5ffffff,0x3e2bffff,0x8006ffff,0x04fffff9,0x1fffff60,0x02fffff4,
    0x427ffffc,0x805ffffe,0x7c4fffff,0xfd85ffff,0xffeeffff,0xfff302ff,
    0x7ec009ff,0x7fcc7fff,0x36004fff,0x3e27ffff,0xd005ffff,0xf10bffff,
    0xdfffffff,0xffff999b,0x7fffe49f,0x7f5c02ff,0x362effff,0xff35ffff,
    0x2000ffff,0x005fffff,0x41bffffa,0x805ffffe,0xe84fffff,0xf805ffff,
    0x3e24ffff,0xfd03ffff,0xffffffff,0x7fffc01f,0x3ffa005f,0xffff86ff,
    0x3ffa005f,0x7fffc6ff,0xfffd005f,0xffffd0bf,0x7ffc03df,0x7ffec4ff,
    0x2ea2004f,0xffffe81a,0x3fffffe5,0xfffe8001,0xfff1006f,0x3ffa0bff,
    0x7fc405ff,0xffe84fff,0x7fc405ff,0x3fe64fff,0xff101fff,0x9fffffff,
    0x6ffffe80,0xfffff100,0xdffffd0b,0x3fffe200,0x7ffffc5f,0xffff8806,
    0x7fffc45f,0x7ffc00ef,0x0ab984ff,0xffe80000,0x3fff65ff,0x6c000eff,
    0x801fffff,0x03fffffb,0x80dffffd,0x84fffffe,0x406ffffe,0x24fffffe,
    0x02fffff8,0x3fffffe6,0x7fec01ff,0xfb801fff,0xfd83ffff,0xb801ffff,
    0x743fffff,0x400fffff,0x45fffffd,0x03fffff9,0x04fffff8,0xfe800000,
    0x3fee5fff,0x002effff,0x17fffff2,0xfffffd10,0x3ffff603,0xffffb00f,
    0xfffb09ff,0x3ff601ff,0x7fc4ffff,0x7dc05fff,0x806fffff,0x05fffffc,
    0x7fffff44,0xfffffc81,0x7fff4405,0x7ffec1ff,0x3ff603ff,0x7dc5ffff,
    0x6c03ffff,0x004fffff,0xffe80000,0x7fff45ff,0x9abeffff,0xfffff101,
    0x3ffa20bf,0x3f204fff,0x6443ffff,0x4fffffff,0x3fffffc8,0x7ffffe44,
    0x7fff44ff,0x3fa202ff,0x400effff,0x5ffffff8,0xfffffd10,0x3fffe209,
    0xffd105ff,0xff309fff,0xc881ffff,0x5fffffff,0x37ffffd4,0xfffffe88,
    0x0000004f,0x45ffffe8,0xfffffff8,0x82ffffff,0xeffffffc,0xfffecbac,
    0x3ee00fff,0xcadfffff,0xffffffff,0xffffb84f,0xfffcadff,0x44ffffff,
    0xcffffffb,0xffff7309,0x900bffff,0x9dffffff,0xffffd975,0x7fe401ff,
    0xbaceffff,0xffffffec,0xfffffd00,0xffff957f,0x88bfffff,0x1cffffff,
    0xfffffd71,0x000009ff,0xbffffd00,0xffffff30,0x05ffffff,0xfffffff1,
    0xffffffff,0xfff007ff,0xffffffff,0x9ffffdff,0x3fffffe0,0xefffffff,
    0xfe84ffff,0xffffffff,0xffffffff,0x7c404fff,0xffffffff,0xffffffff,
    0x7fffc403,0xffffffff,0x203fffff,0xfffffffa,0xfeffffff,0xffe85fff,
    0xffffffff,0xffffffff,0x80000004,0x305ffffe,0xfffffffb,0x3ea05fff,
    0xffffffff,0x04ffffff,0xffffff70,0xf5bfffff,0x3ee09fff,0xffffffff,
    0xffffadff,0xfffff984,0xffffffff,0xffffffff,0x7fffd403,0xffffffff,
    0xf5004fff,0xffffffff,0x09ffffff,0xffffffb0,0xf3bfffff,0xff30bfff,
    0xffffffff,0xffff7dff,0x00000009,0x80bffffd,0xffffffd9,0x3f6202ff,
    0xffffffff,0x6c001eff,0xffffffff,0x9ffff35f,0x7ffffec0,0xff35ffff,
    0x3fa609ff,0xffffffff,0xfffaafff,0x6c401fff,0xffffffff,0x4001efff,
    0xffffffd8,0x01efffff,0x3fffff60,0xf98dffff,0xff905fff,0xffffffff,
    0x9ffff31b,0xd0000000,0x200bffff,0xfffecca9,0xfffea802,0x00ceffff,
    0xfffff700,0x7ffcc5df,0x7ffdc04f,0x3e62efff,0x75404fff,0xffffffff,
    0x7ffffdc3,0xffea800f,0x0cefffff,0x3ffaa000,0x0cefffff,0xfffeb800,
    0x3fe22eff,0x3fa605ff,0x22efffff,0x004ffff9,0x99880000,0x98000099,
    0x55d4c000,0x54c00001,0x400001ab,0x0001aba9,0x4d5d4c40,0x98000000,
    0x00001aba,0x00357530,0x0d5d4400,0x57510000,0x00000015,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x50000000,0x88035555,0x540aaaaa,0x0002aaaa,0x30555550,0x80159db9,
    0x00009aa9,0x55550000,0x55301555,0x00055555,0x15555544,0x55554c00,
    0x9880000a,0x5cc00099,0x5555400b,0x00000aaa,0x039bd730,0xffffd004,
    0xffff980b,0x7ffff42f,0xffd00005,0x7fff44ff,0x3205ffff,0x2cefffff,
    0xfd800000,0x203fffff,0x4ffffffc,0xffff1000,0xfe8001ff,0x0000ffff,
    0x004fffe8,0x813ffff6,0xeffffff9,0x7f400000,0x40cfffff,0xfffd00ed,
    0xfff980bf,0x7fff42ff,0xfd00005f,0xfff51fff,0xdfffffff,0xfffff901,
    0x0005dfff,0x3ffff600,0xffa801ef,0x0004ffff,0x05fffffb,0x7ffffcc0,
    0xff980004,0xff9001ff,0x4405ffff,0x0efffffd,0xfffb0000,0x79ffffff,
    0xfd01dffb,0xf980bfff,0x7f42ffff,0x00005fff,0xff5ffffd,0xffffffff,
    0xfff90dff,0xdfffffff,0x7ec00005,0x000dffff,0x3fffffa2,0xfffa8004,
    0x3f2006ff,0x0001ffff,0x007fffc8,0x3ffffffe,0xffffb806,0x5c0000ef,
    0xffffffff,0xffffffff,0x5ffffe81,0x7ffffcc0,0x2fffff42,0xfffe8000,
    0xffffffff,0x2fffffff,0x7fffffe4,0x02ffffff,0xffffd800,0x3f20003f,
    0x8004ffff,0x00ffffff,0x0dfffff0,0x3fffa000,0xffff1004,0x2600ffff,
    0x00efffff,0x2fffa200,0xfffffeb9,0xffd02fff,0xff980bff,0x7ff42fff,
    0xd00005ff,0xffffffff,0x3fffa63b,0x7f75c6ff,0xffffffff,0x360001ff,
    0x001effff,0xfffffa80,0x7ffe4004,0xffa803ff,0x44003fff,0xfffeedba,
    0x3ffe001f,0x2006ffff,0x0effffd8,0x20ba2000,0x3ffffffc,0x17ffffa0,
    0x5fffff30,0x05ffffe8,0xffffd000,0xfd103fff,0x4405ffff,0xffffffc9,
    0xca8000ef,0x0000cccc,0x33333220,0x3ffe2001,0xffd806ff,0xf7000fff,
    0xffffffff,0x7ec001ff,0x003fffff,0x03ccccb8,0x32a20000,0xfffe802c,
    0x7ffcc05f,0x7fff42ff,0xfd00005f,0x405fffff,0x04fffffb,0xfffffd10,
    0x0000005f,0x80000000,0x01fffffd,0x17ffffe2,0x3ffff620,0xffffffff,
    0xffd1002f,0x00000bff,0x00000000,0x02fffff4,0x0bffffe6,0x00bffffd,
    0x3ffffa00,0x7ffc403f,0x3a2005ff,0x004fffff,0x00000000,0x7ffd4000,
    0x3fee04ff,0x74c02fff,0xffffffff,0x2fffffff,0x00b32a00,0x00000000,
    0xfffd0000,0xfff980bf,0x7fff42ff,0x66e5445f,0x7fff400a,0xffff006f,
    0xffa800df,0x44006fff,0x09acddba,0x55555400,0xaaaaa801,0xffffff01,
    0x37ffff40,0x7fffff40,0xfffffeff,0x0000ffff,0x55555500,0x01555555,
    0x82aaaa80,0x01bcedc9,0x02fffff4,0x0bffffe6,0x229ffffd,0xfffffffd,
    0x3ffffa05,0xffffd005,0xfff8800f,0xfa800fff,0xffffffff,0x3ffa004f,
    0xfff805ff,0xfff904ff,0xfff105ff,0xffb807ff,0xff0affff,0xbfffffff,
    0x3fa00000,0xffffffff,0x7f4003ff,0x3ffa27ff,0x204fffff,0x405ffffe,
    0x42fffff9,0xe8cffffe,0xffffffff,0xfffe80ef,0xfffb005f,0x7c4001ff,
    0x4407ffff,0xfffffffd,0x01efffff,0x05ffffe8,0x04fffff8,0x0bfffff1,
    0x01fffff7,0x77ffffc4,0x3bfffea0,0x000fffff,0xffffe800,0x3fffffff,
    0x7ffff400,0xffffffa8,0xfd06ffff,0xf980bfff,0x7f42ffff,0xfffedfff,
    0xffffffff,0x5ffffe86,0xfffffb00,0x7ffcc001,0x3fa606ff,0xffffffff,
    0x02ffffff,0x02fffff4,0x027ffffc,0x81fffffb,0x405ffffe,0x42fffffb,
    0xffaefffd,0x00003fff,0xffffffe8,0x003fffff,0x7d7ffff4,0xffffffff,
    0xffe83fff,0x7fcc05ff,0x7ff42fff,0xffffffff,0xffffffff,0x2fffff42,
    0x6ffffe80,0x7ffff400,0x3fffa04f,0xffffffff,0x00ffffff,0x017ffffa,
    0x813ffffe,0x23fffffa,0x02fffff9,0x437fffec,0xffd3ffff,0x00000dff,
    0xfffffffd,0x8007ffff,0xfffffffe,0xffffffff,0xfffe87ff,0x7ffcc05f,
    0x7fff42ff,0x31dfffff,0x8dfffffd,0x005ffffe,0x00bfffff,0xfffffd31,
    0x3ffea03f,0xa88acfff,0x4ffffffc,0x17ffffa0,0x13ffffe0,0x4dfffff0,
    0x807ffffc,0x543ffffe,0xff90ffff,0x00000fff,0x7ffffcc0,0x7fff4003,
    0x89dfffff,0x1ffffffb,0x02fffff4,0x0bffffee,0xfffffffd,0xffffd103,
    0x7ffff45f,0xffff8805,0xffffc84f,0x4fffffff,0xffffff10,0x7fffdc07,
    0xfffd00ff,0xffff00bf,0xfffc809f,0xfffff0ff,0xfffff009,0x26fffd85,
    0x807ffffb,0x20000ab9,0x03fffff9,0x7fffff40,0xfffb81ff,0x7fff43ff,
    0x3ffe606f,0x7ff42fff,0x2e02ffff,0x3a4fffff,0xc805ffff,0xc82fffff,
    0xffffffff,0x3fee06ff,0xfd804fff,0xfd03ffff,0xff00bfff,0xf9809fff,
    0xffabffff,0x7c401fff,0x3e21ffff,0x3fea3fff,0x3f600fff,0x30002fff,
    0x007fffff,0xffffffe8,0xfffff302,0xfffffe89,0xfffff880,0x7fff42ff,
    0x7fc403ff,0x3ffa5fff,0x7fc405ff,0xfb81ffff,0xffffffff,0x7fffec04,
    0xfff9801f,0xfffd04ff,0xffff00bf,0xfffd009f,0xdffffbdf,0xfffff300,
    0x07fffd43,0x01fffff5,0x3fffffee,0xfff98002,0x7f4003ff,0x7c03ffff,
    0x7f45ffff,0x74c2ffff,0x4fffffff,0x037ffff4,0x26fffff8,0x205ffffe,
    0x4fffffe8,0xffffff70,0xffd0039d,0x7fc00dff,0xffd05fff,0xfff00bff,
    0xff5009ff,0xffffffff,0xffff3005,0x2fffec3f,0x81ffffee,0x6ffffffe,
    0xffff9800,0x7ff4003f,0xffe806ff,0x7fff45ff,0xffdadfff,0xffffffff,
    0xbffffd2b,0x3ffffa00,0x3fffffa7,0x3ffee61a,0x3ea06fff,0x4000efff,
    0x004fffff,0x41fffffa,0x805ffffe,0x004fffff,0xffffffff,0x3fe200ff,
    0xfff12fff,0xffffc87f,0x3ffffe06,0x4c001fff,0x003fffff,0x02fffff4,
    0x22fffff4,0xfffffffe,0xfeffffff,0xfd6fffff,0x3600bfff,0xfd0fffff,
    0xffffffff,0xffffffff,0x7fffd403,0x7ffc4005,0x3f6004ff,0xfe80ffff,
    0xff805fff,0xf9004fff,0x9fffffff,0x3fffe200,0x1ffff53f,0x05ffffd8,
    0x3ffffff6,0x7fcc002f,0x74003fff,0xe805ffff,0x7f45ffff,0xffffffff,
    0xfffabfff,0xfffd6fff,0x3ff600bf,0xfffd0fff,0xffffffff,0x807fffff,
    0x005ffffa,0x1fffffcc,0xfffff900,0xbffffd01,0x9fffff00,0x3fffe600,
    0x2001ffff,0xfb6ffffe,0xfff98bff,0x3fe604ff,0x003fffff,0x1fffffcc,
    0x3ffffa00,0xffffe805,0x7fffff45,0x13ffffff,0x2dffffff,0x005ffffe,
    0x74dffffd,0xffffffff,0x0dffffff,0x4ffff980,0x7fffcc00,0x3ff6004f,
    0xfffd07ff,0xffff00bf,0x7ff4009f,0x4005ffff,0xfafffffc,0x7fe42fff,
    0x7d401fff,0x003fffff,0x1fffffcc,0x3ffffa00,0xffffe805,0x77ffff45,
    0x4c2effff,0xfd6fffff,0x3e00bfff,0x3fa5ffff,0xffffffff,0x2002deff,
    0x002cccc8,0x05fffff8,0x1bffffa0,0x02fffff4,0x027ffffc,0xffffff70,
    0xfff98003,0x0fffffff,0x17ffffee,0x7ffffec0,0x7ffcc001,0x7f4003ff,
    0xfe805fff,0x7ff45fff,0x00ba8aff,0xfe85554c,0xf8805fff,0x3fa4ffff,
    0xaaa8dfff,0x00000001,0x06ffffe8,0xbfffff10,0x17ffffa0,0x9fffff10,
    0x7fffdc00,0xffb0005f,0x1bffffff,0xffffffb5,0x3ffea001,0xff98007f,
    0x74003fff,0xe805ffff,0x7f45ffff,0x00003fff,0x00bffffd,0x45fffff9,
    0x005ffffe,0xb0000000,0x003fffff,0x07fffff7,0x01bffffa,0x09fffffd,
    0x7fffffc0,0xfff10001,0xffffffff,0x09ffffff,0x37fffdc0,0x7fffcc00,
    0x7ff4003f,0xffe805ff,0x7fff45ff,0xfd00004f,0xf880bfff,0x3a1fffff,
    0x0005ffff,0x00bdca80,0xfffffc80,0x7fff4405,0xfffb01ff,0x3ff601ff,
    0x9004ffff,0x00dfffff,0xfffffa80,0xffffffff,0x3a2004ff,0x8001ffff,
    0x03fffff9,0x2fffff40,0x2fffff40,0x013ffffa,0x7ffff400,0x3fffa205,
    0x7fff44ff,0x5c00005f,0x000effff,0x7fffffc4,0xffffd105,0x7ffe409f,
    0x7fe443ff,0x804fffff,0x0ffffffb,0xffe98000,0xffffffff,0x3aa002ff,
    0x0004ffff,0x07fffff3,0x5ffffe80,0x5ffffe80,0x02fffff4,0xffffe800,
    0x3fee61af,0xfe86ffff,0x00005fff,0x3fffffe6,0xfffc8004,0xcbacefff,
    0x0ffffffe,0x3ffffee0,0xffffcadf,0x264fffff,0xffffb511,0x400005ff,
    0xfffffff9,0x5c00ceff,0xffffffdc,0x55554c06,0xfffffcaa,0x0aaaaaad,
    0x05ffffe8,0x45ffffe8,0x005ffffe,0xfffffd00,0xffffffff,0xfd03ffff,
    0x0000bfff,0x7fffffdc,0xfff88006,0xffffffff,0x03ffffff,0xfffffff8,
    0xfeffffff,0x3ff64fff,0xffffffff,0x7dc00004,0x01acbfff,0x7fffff40,
    0x7e400cff,0xffffffff,0xffffffff,0xfffe80ff,0xfffe805f,0x7ffff45f,
    0xffd00005,0xffffffff,0x07ffffff,0x017ffffa,0xffffa800,0xf50006ff,
    0xffffffff,0x09ffffff,0x3ffffee0,0xadffffff,0x3f64ffff,0xffffffff,
    0xfe800005,0x740004ff,0x00dfffff,0xffffff90,0xffffffff,0xd01fffff,
    0xd00bffff,0xfe8bffff,0x00005fff,0xfffffffd,0xbfffffff,0x7ffff401,
    0x3e200005,0x003fffff,0x3ffff620,0xefffffff,0x7ffec001,0x35ffffff,
    0x7ec9ffff,0x2fffffff,0xff980000,0x740001ff,0x4001acde,0xfffffffc,
    0xffffffff,0xfe80ffff,0xfe805fff,0x7ff45fff,0x100005ff,0xfffffd95,
    0x005bdfff,0x00bffffd,0xffffa800,0xfd500005,0x9dffffff,0x3fee0001,
    0x262effff,0x3f64ffff,0x00dfffff,0xfff90000,0x0000000f,0x3fffff20,
    0xffffffff,0x80ffffff,0x805ffffe,0x445ffffe,0x00009999,0x2aa66600,
    0x99988001,0x88000009,0x000001ba,0x00035753,0x01aba980,0x1abcc980,
    0xfe800000,0x000004ff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x98000000,
    0x0bdeeedb,0x0d555400,0xaaa98000,0xb8802aaa,0x7bb300ce,0xaaa88000,
    0x32e0000a,0x554001cc,0x332e01aa,0x5554001c,0x5555551a,0x20000000,
    0xceeedcb9,0x2aaaa62b,0x2aa00002,0xaaaaaaaa,0x320000aa,0xffffffff,
    0xffff3002,0xff500003,0x001bffff,0x981ffffd,0x0004ffff,0x1dffffd1,
    0xfffeb800,0x3fe6003f,0xffeb81ff,0x3e6003ff,0xfffd1fff,0x000000bf,
    0xfffffd98,0xf90fffff,0x0000ffff,0x7ffffff4,0x003fffff,0x3fffff20,
    0xfd007fff,0x500009ff,0x09ffffff,0x3ffffea0,0x7fffff43,0x7ff44000,
    0x800effff,0xffffffea,0x3fffa003,0x7ffff544,0x3fa003ff,0x3fffa4ff,
    0x0000005f,0x3ffffff6,0x90ffffff,0x000fffff,0x7fffff40,0x03ffffff,
    0x266b2e00,0x401ffffc,0x0006fffc,0xffffffa8,0x3ffee002,0x7fff44ff,
    0x3a2001ff,0xffffffff,0xffffd805,0xf9003fff,0xfffb0dff,0x2007ffff,
    0x7f46fffc,0x00005fff,0xfffff700,0xffffffff,0x1fffff21,0xfffe8000,
    0xffffffff,0x7cc00003,0x7fcc07ff,0x540001ff,0x00efffff,0x7ffffcc0,
    0x7ffffec3,0x3fff6000,0x5ffffa9f,0x7feffd40,0xff9803ff,0xdffa81ff,
    0x9803ffff,0x7f41ffff,0x00005fff,0xfffff880,0xfedcceff,0xfffff90f,
    0x7ff40000,0xffffffff,0x5440003f,0x04ffffcc,0x0027fff4,0x3ffffea0,
    0x3ff20004,0xfffe885f,0x3fff6002,0x3fffea1f,0xffe8e405,0xfffe803f,
    0x7ff47204,0xfffe803f,0x5ffffe84,0xfd800000,0x200dffff,0x1fffff20,
    0x3e600000,0x0003ffff,0x7fffffcc,0x37ffe403,0x33322000,0x980002cc,
    0x0055401a,0x03999930,0x00399995,0x900ffffa,0x7400dfff,0x7e403fff,
    0xfffd06ff,0x000000bf,0x01fffffd,0x3ffffe40,0x7cc00000,0x0003ffff,
    0x7fffffcc,0xfff980df,0x0000001f,0x00000000,0x20000000,0x2603fffe,
    0x2001ffff,0x2603fffe,0xfd01ffff,0x0000bfff,0x7fffff00,0xffffc800,
    0x98000007,0x003fffff,0x7f666440,0xffe84fff,0x0000004f,0x00000000,
    0x40000000,0x3a03fffe,0x74004fff,0x3fa03fff,0x3ffa04ff,0x000005ff,
    0x17ffffcc,0x3ffff200,0x98000007,0x003fffff,0x7fffc800,0x007fffdc,
    0x55555550,0x00155555,0x2aaaaaa0,0x00aaaaaa,0xaaaaaa80,0x00aaaaaa,
    0x07fffd00,0x003fffee,0x207fffd0,0x200ffffb,0x4c5ffffe,0x001bcedc,
    0x3fffff50,0xffffc800,0xaaaaa807,0xfff3002a,0x0c0007ff,0x33fffec4,
    0x8005ffff,0xfffffffe,0x0003ffff,0xfffffffd,0x0007ffff,0xfffffffd,
    0x0007ffff,0x260ffffa,0x8002ffff,0xf983fffe,0x7f402fff,0xffd14fff,
    0x009fffff,0x3fffff50,0xffffc800,0x7fffdc07,0xff3003ff,0x40007fff,
    0xffffffff,0x3fffa4ff,0xfffe8005,0xffffffff,0xfffd0003,0xffffffff,
    0xfffd0007,0xffffffff,0x3ffa0007,0x5fffe83f,0x7fffd000,0x00bfffd0,
    0xf39ffffd,0xffffffff,0xffa800df,0x64001fff,0x2a07ffff,0x03ffffff,
    0x3ffffe60,0x3ffe0003,0x25ffffff,0x000ffffb,0xffffffe8,0x003fffff,
    0xffffffd0,0x007fffff,0xffffffd0,0x007fffff,0x70ffffa0,0x0001ffff,
    0xf70ffffa,0xfd001fff,0xffffbfff,0xffffffff,0x7ffd4007,0x7e4001ff,
    0xff307fff,0x8009ffff,0x03fffff9,0x3ffffe00,0x3fe21cff,0xfd0002ff,
    0xffffffff,0x3a0007ff,0xffffffff,0xe8003fff,0xffffffff,0xb0003fff,
    0x7fc45ddd,0x360002ff,0x3fe22eee,0xffd002ff,0xffffffff,0xffffffff,
    0xffffff88,0xffffffff,0x2fffffff,0x21fffff2,0x5fffffe8,0xffff9800,
    0x4c40003f,0x3fffa009,0xf9800005,0x0003ffff,0x7ffffcc0,0x3e600003,
    0x0003ffff,0x05fffe80,0x3ffa0000,0x3ffa005f,0x9dffffff,0xffffffb8,
    0x3ffffe21,0xffffffff,0xffffffff,0x1fffff22,0x1bfffff6,0x7fffcc00,
    0x8000003f,0x000ffffb,0xffff9800,0x4c00003f,0x003fffff,0x3fffe600,
    0x5c00003f,0x0000ffff,0x1ffff700,0x7ffff400,0xffb81fff,0x3fe23fff,
    0xffffffff,0xffffffff,0x3ff22fff,0x7ffe47ff,0x30000eff,0x007fffff,
    0xfff88000,0x3000002f,0x007fffff,0xffff9800,0x2600003f,0x003fffff,
    0x3fffe200,0xf1000002,0xe8005fff,0x02ffffff,0x49fffff3,0xfffffff8,
    0xffffffff,0x22ffffff,0x2e7ffffc,0x00ffffff,0x3fffe600,0x4000003f,
    0x0005fffd,0x3fffe600,0x4c00003f,0x003fffff,0x3fffe600,0x3600003f,
    0x00005fff,0x017fff60,0x3fffffa0,0x7ffffc03,0x2aaaaa25,0xbfffffca,
    0xaaaaaaaa,0x5fffff20,0x1ffffff9,0x7ffcc000,0x000003ff,0x003fffea,
    0xfff98000,0x400003ff,0x03fffff9,0x3ffe6000,0x500003ff,0x0001ffff,
    0x3fffea00,0xfffe8000,0xfffe806f,0xfff5005f,0xfc8003ff,0xfff8ffff,
    0x80002fff,0x03fffff9,0xfff10000,0x9999887f,0x3fe60000,0x00003fff,
    0x1fffffcc,0xfff30000,0x100007ff,0x9887ffff,0x88000999,0x2623ffff,
    0xffd02acb,0xffd00bff,0x3ea00bff,0x4001ffff,0xfefffffc,0x0003ffff,
    0x7fffff30,0x3f600000,0x7ffcc5ff,0x260006ff,0x003fffff,0x7fffcc00,
    0x2600003f,0x003fffff,0x45fffd80,0x06fffff9,0x15fffd80,0xdffffff9,
    0x5ffffe83,0x5ffffe80,0xfffff500,0xfffc8003,0x6fffffff,0x3fe60000,
    0x00003fff,0x40ffffa8,0x06fffffe,0x3fffe600,0x4c00003f,0x003fffff,
    0x3fffe600,0x7d40003f,0x7ff40fff,0x54006fff,0xffb0ffff,0x1dffffff,
    0x02fffff4,0x02fffff4,0x1fffffa8,0x7fffe400,0x4fffffef,0xfff30000,
    0x800007ff,0x5c3ffff8,0x06ffffff,0x3fffe600,0x4c00003f,0x003fffff,
    0x3fffe600,0x3e20003f,0x7fdc3fff,0x2006ffff,0x263ffff8,0xfffedfff,
    0x3ffffa2f,0xffffe805,0xffff5005,0xffc8003f,0xffff8fff,0x980003ff,
    0x003fffff,0x37ffec00,0x3ff3ffe6,0x3e60006f,0x0003ffff,0x7ffffcc0,
    0x3e600003,0x0003ffff,0xf31bfff6,0x0dfff9ff,0x437ffec0,0x27fff42b,
    0x00bffffd,0x00bffffd,0x07ffffea,0xfffff900,0x3fffffea,0x7fcc0001,
    0x00003fff,0xd07fffea,0x1bffedff,0xffff9800,0x4c00003f,0x003fffff,
    0x3fffe600,0xff50003f,0x6ffe83ff,0x2a00dfff,0xd001ffff,0x7ff45fff,
    0xffe805ff,0xff5005ff,0xc8003fff,0x3f27ffff,0x000fffff,0x3ffffe60,
    0xff100003,0xfffb87ff,0x000dfff2,0x1fffffcc,0x3fe60000,0x00003fff,
    0x0fffffe6,0x3fffe200,0xf97ffdc3,0xff8806ff,0xff9003ff,0xffffe8ff,
    0xffffe805,0xffff5005,0xffc8003f,0x7fff47ff,0x260006ff,0x003fffff,
    0x8dfff900,0x3fe5fff8,0x3e60006f,0x0003ffff,0x7ffffcc0,0x3e600003,
    0x8003ffff,0x7c46fffc,0x1bffe5ff,0x01bfff20,0x227fffe4,0x805ffffe,
    0x005ffffe,0x03fffff5,0x7ffffc80,0x7fffffcc,0xfff30005,0x500007ff,
    0xfd83ffff,0xfffaabff,0xf98002af,0x0003ffff,0x7ffffcc0,0x3e600003,
    0x4003ffff,0x6c1ffffa,0xffaabfff,0xff502aff,0xffb003ff,0xfffd07ff,
    0xfffd00bf,0x3fea00bf,0x64001fff,0xfb87ffff,0x003fffff,0x3fffff98,
    0x7ff44000,0xffffe84f,0x6fffffff,0x55555530,0x5bfffff9,0x20155555,
    0xcaaaaaa9,0xaadfffff,0xa980aaaa,0xffcaaaaa,0xaaaadfff,0x7ff440aa,
    0xffffe84f,0x6fffffff,0x04fffe88,0x17ffff44,0x05ffffe8,0x05ffffe8,
    0x3fffff50,0xffffc800,0xfffffb07,0x5555305f,0xfffff955,0x1555555b,
    0x0dfff900,0x3ffffffa,0x906fffff,0xffffffff,0xffffffff,0x3f201fff,
    0xffffffff,0xffffffff,0xfffc80ff,0xffffffff,0xffffffff,0x837ffe40,
    0xfffffffe,0xfc86ffff,0x7fd406ff,0x2aaacfff,0x017ffffa,0x017ffffa,
    0x0fffffd4,0x3ffff200,0xffffd107,0xfffc81ff,0xffffffff,0xffffffff,
    0x7fffcc00,0x99999701,0x079ffff9,0x3ffffff2,0xffffffff,0x900fffff,
    0xffffffff,0xffffffff,0xff901fff,0xffffffff,0xffffffff,0x7fffcc1f,
    0x99999701,0x879ffff9,0x401ffff9,0xfffffffe,0x3fffa7ff,0xfffe805f,
    0xfff5005f,0xfc8003ff,0x3e607fff,0x20efffff,0xfffffffc,0xffffffff,
    0x7400ffff,0xf0004fff,0xffc80dff,0xffffffff,0xffffffff,0xffff900f,
    0xffffffff,0x1fffffff,0xffffff90,0xffffffff,0x741fffff,0xf0004fff,
    0x3ffa0dff,0xfffe804f,0x27ffffff,0x805ffffe,0x005ffffe,0x03fffff5,
    0x7ffffc80,0x7ffffdc0,0x3ffff25f,0xffffffff,0x0fffffff,0x01bfff20,
    0x406fff80,0xfffffffc,0xffffffff,0xf900ffff,0xffffffff,0xffffffff,
    0xfff901ff,0xffffffff,0xffffffff,0x01bfff21,0xc86fff80,0xfd006fff,
    0xffffffff,0x2fffff4f,0x2fffff40,0xfffffa80,0x7ffe4001,0xfffd807f,
    0xfff93fff,0xffffffff,0xffffffff,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x53100000,
    0x00001355,0x004d554c,0x00554400,0x2aa60000,0x99800001,0x0009aaaa,
    0x26aaaa62,0x26200001,0x00009aaa,0x0026aa20,0x006e6000,0x99753000,
    0xb7301559,0x039bdddd,0x3ff72a00,0xdfffffff,0xd971000b,0xffffffff,
    0x36e2007b,0xbcefffff,0x76440000,0xceffffff,0xfec88002,0xffffffff,
    0xffda80df,0xffffffff,0xfe98001d,0xefffffff,0xffb70002,0x01bdffff,
    0x3ff6e200,0xea80002f,0xffffffff,0x3ffe26ff,0xefffffff,0xfffb1001,
    0xffffffff,0xf3009fff,0xffffffff,0x300fffff,0xffffffff,0x0001dfff,
    0x3fffffa6,0x04ffffff,0xfffff910,0xffffffff,0xfffff03f,0xffffffff,
    0xfb1003df,0xffffffff,0x2005ffff,0xffffffe8,0x002fffff,0x2fffffa8,
    0x3ff22000,0xffffffff,0x3ffe27ff,0xffffffff,0x7ffd401f,0xffffffff,
    0x404fffff,0xfffffffc,0x7fffffff,0x7ffffd40,0xffffffff,0x7fdc001f,
    0xffffffff,0x200dffff,0xfffffff8,0xffffffff,0xfffff81f,0xffffffff,
    0x3e200eff,0xffffffff,0x1fffffff,0x7ffffcc0,0xffffffff,0x7fd4004f,
    0x50002fff,0xffffffff,0x4fffffff,0xfffffff8,0x205fffff,0xfffffffd,
    0xffffffff,0xffd104ff,0xffffffff,0x40ffffff,0xbdfffffc,0xffffdb98,
    0xfffb003f,0xffffffff,0x01dfffff,0x3ffffff6,0xffffffff,0xffff81ff,
    0xffffffff,0x3605ffff,0xefffffff,0xffffffff,0xffff500f,0xffffffff,
    0x4009ffff,0x02fffffa,0xfffff880,0xffffffff,0x26b227ff,0xfffff310,
    0x3fffee0f,0xccefffff,0x04ffffee,0xfffffffd,0xffdb9bff,0x3ffee0ff,
    0x7fec404f,0x7fcc02ff,0xddffffff,0xffffffff,0xfffffb83,0xbaaabcff,
    0xff81ffec,0xba99aace,0x1fffffff,0xdfffffa8,0x3ffaa20a,0xff882fff,
    0x98beffff,0xfffffffc,0xffff5000,0xffb0005f,0x357dffff,0x00ffb753,
    0x437fffe4,0xfffffff8,0x27e4c01c,0x7fffffd4,0x1f6a00af,0x0027fffc,
    0xe80dfffb,0x81efffff,0x7fffffe9,0xdffffff8,0xa80a8800,0xfffe8800,
    0xfffc83ff,0x7ffcc06f,0xfffb84ff,0x3ff605ff,0xf5004fff,0x8005ffff,
    0x4ffffffa,0x3a002880,0xfd83ffff,0x003fffff,0xffffe808,0x202001ef,
    0x8004fffb,0xf502fffd,0x401dffff,0x2ffffff8,0x1bffffe2,0x26000000,
    0xe85fffff,0xd803ffff,0xff86ffff,0x7c406fff,0x260fffff,0xffcaaaaa,
    0xaaaacfff,0x3fe0aaaa,0x0004ffff,0x7f655544,0x7cc0efff,0x001fffff,
    0xfffff700,0xff00001f,0xfb7301ff,0x3ffe65df,0xfffffd06,0xffff5001,
    0x7fffd4df,0x0000005f,0x5fffff88,0x03fffff8,0x45ffffc8,0x02fffffb,
    0x4fffffb8,0x3ffffff2,0xffffffff,0x32ffffff,0x01ffffff,0xffff9800,
    0xfd04ffff,0x000bffff,0x7fffffc0,0xffb80003,0xffffc84f,0x3fffa2ff,
    0x7ffffcc2,0x3fffe006,0xffff51ff,0x000000ff,0x9fffff10,0x0dffffd0,
    0x89ffffd0,0x007ffffe,0x4dfffff1,0xfffffffc,0xffffffff,0xf52fffff,
    0x0007ffff,0xffffff30,0xff839dff,0x0001ffff,0xffffff30,0xffd00001,
    0xffffe83f,0x3fea2fff,0x7fffdc4f,0x3ff2003f,0xfff32fff,0x00009fff,
    0xffff9800,0xffffd83f,0x3ffee04f,0x3ffe21ff,0xff9804ff,0xf90fffff,
    0xffffffff,0xffffffff,0x3ff25fff,0x80002fff,0xfffffff9,0xff31ffff,
    0x0000bfff,0x2fffffd4,0x6fff8000,0x7fffffdc,0x37ffc2ff,0x03fffff6,
    0xfffffa80,0x3fffffe3,0x000001df,0x0fffffd0,0x3fffffea,0x7fffd40d,
    0x7fffcc5f,0x7ffdc01f,0xf91fffff,0xffffffff,0xffffffff,0x3ff65fff,
    0x00000fff,0xffb53333,0x3feabfff,0x00003fff,0x0fffffee,0x3ffe2000,
    0x17ffffc5,0x47ffe811,0x00fffffe,0x3ffffe60,0x3fffff64,0x0002efff,
    0xffffd500,0x7ffec05f,0xfc8bffff,0x540effff,0x100fffff,0xfffffffd,
    0xffa807ff,0x3a002fff,0x000fffff,0x7ffec000,0xffffb8ff,0x5555502f,
    0x6c355555,0x002fffff,0x24fff980,0x803ffffa,0x3fe0fffd,0x44007fff,
    0x225fffff,0xffffffff,0x4001cfff,0xffedccc8,0x401effff,0xffffffe8,
    0xefffffff,0xfffffb80,0xfffffa80,0x03ffffff,0x17ffffd4,0xfffffd00,
    0xc8000003,0xfc8fffff,0xff01ffff,0xffffffff,0x7fffff4b,0xffa80001,
    0x3fffee3f,0x1fffc800,0x01fffffe,0xdfffff10,0xffffffa8,0x2effffff,
    0xfffff100,0x01bfffff,0x3ffffa20,0xdfffffff,0xfffff900,0xffffffb0,
    0x07fffffd,0x2fffffa8,0x3ffff600,0x2a60002f,0x7ffdcc19,0xffffb6ff,
    0x3fffe01f,0x25ffffff,0x00ffffff,0x2fffb800,0x003ffff2,0x7c4bffee,
    0x8006ffff,0x987fffff,0xffffffff,0x00dfffff,0x7fffffc4,0x01beffff,
    0x3ffffee0,0x203fffff,0x266ffffd,0x3ffffffe,0x809fffff,0x02fffffa,
    0x3fffff20,0x3ff20004,0xffffffff,0xfffd3fff,0x3ffe01ff,0x5fffffff,
    0x1ffffff1,0xfff90000,0x07fffe45,0x897ffdc0,0x006fffff,0x07fffff8,
    0xffffff91,0x1dffffff,0x7ffffc40,0xffffffff,0xfffe9804,0xffffffff,
    0xffffd80e,0xffffff76,0x7ffffc3d,0x7fffd403,0x3fee002f,0x0001ffff,
    0xfffffff9,0x6c9fffff,0xf01fffff,0xffffffff,0x7ffffcbf,0xfb80001f,
    0x3ffee3ff,0xfffc802f,0x1fffffe1,0xfffff100,0xffeb880d,0xffffffff,
    0x33332206,0xffffffee,0x3fee05ff,0xffffffff,0x6c0effff,0xffdfffff,
    0x220dffff,0x402fffff,0x02fffffa,0x3ffffe20,0xfc8000ef,0xffffffff,
    0x7ffe42ef,0x555502ff,0x4bffffd5,0x02fffffe,0x4fff9800,0x013fffea,
    0xfe83fff6,0x44007fff,0x006fffff,0x3fffff26,0x0003ffff,0xffffffb5,
    0xfffff707,0xffff917f,0xffc8dfff,0xffffffff,0xffff982f,0x7ffd402f,
    0x7e4002ff,0x02efffff,0xdddb52cc,0x201799dd,0x02fffffb,0x97ffffa0,
    0x03fffffd,0x4fff8800,0x33ffffe6,0x7ffe8110,0x07ffffec,0xfffff300,
    0xff71000b,0x00dfffff,0xfffffc80,0x7ffffcc7,0x7fff4c1f,0x3ff23fff,
    0xefffffff,0xfffff500,0xffffa803,0x7fc4002f,0xdeffffff,0x07ffdccb,
    0x3ffea000,0x3fa004ff,0x3ff25fff,0x00004fff,0xffd8dfff,0x42ffffff,
    0x7fe46fff,0x2a000fff,0x004fffff,0x3ffffa60,0x740000ff,0x3a0fffff,
    0x200fffff,0x27fffffd,0xfffffffb,0x7ffdc04f,0x7fd400ff,0xb8002fff,
    0xffffffff,0x7fffffff,0x20013310,0x07fffff9,0x97ffffa0,0x0ffffffb,
    0xfffe8000,0x3ffffe61,0x3fea2fff,0x7fffdc5f,0x3ff2003f,0x40002fff,
    0x1ffffff9,0x7ffe4000,0xffff32ff,0xfffd007f,0x3ffe63ff,0xd802ffff,
    0xa807ffff,0x002fffff,0xffffff70,0xffffffff,0x7ffff70f,0xfffff100,
    0x3ffa005f,0x3ffea5ff,0x80003fff,0x74c4fffd,0x22ffffff,0x7d42fffd,
    0x2006ffff,0x00ffffff,0xffffe800,0x7e40001f,0xff51ffff,0xf5001fff,
    0x3e25ffff,0x800fffff,0x05fffff8,0x2fffffa8,0x3ffaa000,0xffffffff,
    0x7ffe47ff,0xfd803fff,0xd006ffff,0xfe8bffff,0x000effff,0x07fffcc0,
    0x37ffb6e2,0x10dfff31,0x01ffffff,0xbfffff50,0x3ffe0000,0x40000fff,
    0x90fffffe,0x200fffff,0x22fffff9,0x02fffffd,0x2fffffb8,0xfffffa80,
    0xfda80003,0xefffffff,0x3fffe21c,0x4400ffff,0x0dffffff,0x2fffff40,
    0x3fffffea,0x3606001e,0xd8004fff,0xff902fff,0x4401dfff,0x20ffffff,
    0xfff30000,0xa8000dff,0x2e6fffff,0x801fffff,0x21fffffa,0x06fffff9,
    0x37ffff44,0xfffff980,0x3fe00006,0x2a01bfff,0xffffffff,0xffffc802,
    0x3fa01eff,0xffe85fff,0x00bfffff,0xff30fd71,0x7ec009ff,0x3fe206ff,
    0x980effff,0x44fffffe,0xf5001bed,0x009fffff,0x7ffffd40,0x3fffea4f,
    0x7ff4405f,0xfffd87ff,0xffd104ff,0x22005fff,0x00ffffff,0xffff8800,
    0xffffa806,0x8802ffff,0xffffffff,0xffecccef,0xff985fff,0xffffffff,
    0x7ffffecd,0x09ffffb0,0x05ffffb0,0xffffffd8,0xffffdcef,0x7ec0ffff,
    0xbccdefff,0xffffffdc,0x2b3721ff,0xfcba99aa,0x0fffffff,0x3fffffe2,
    0x7ff541be,0xff985fff,0x98beffff,0x6fffffeb,0x7ffffc00,0x0dcc41ef,
    0x1ffffd40,0x7ffffcc0,0xf5000fff,0xffffffff,0xffffffff,0x3fff20bf,
    0xffffffff,0x107fffff,0x59dffffd,0xffffb731,0xfff3007f,0xffffffff,
    0x07ffffff,0xfffffffb,0xffffffff,0xffe85fff,0xffffffff,0x1fffffff,
    0xffffffc8,0xffffffff,0xfb00ffff,0xffffffff,0x5fffffff,0xffffc800,
    0xffffffff,0xfffb802f,0xfffb000f,0x98009fff,0xfffffffe,0xffffffff,
    0x3ffea05f,0xffffffff,0x6c07ffff,0xffffffff,0x02ffffff,0x3ffffa20,
    0xffffffff,0xfffb03ff,0xffffffff,0x09ffffff,0xfffffffd,0xffffffff,
    0x7ffec05f,0xffffffff,0x201fffff,0xffffffd8,0xefffffff,0xfffd0001,
    0xffffffff,0xfffb005f,0x7fec400b,0x90000dff,0xffffffff,0x7fffffff,
    0xffffd880,0xffffffff,0xfffb807f,0xffffffff,0xffb0001e,0xffffffff,
    0x7fec03df,0xffffffff,0x02efffff,0xfffffffd,0x9fffffff,0xfffd8801,
    0xffffffff,0xf7001eff,0xffffffff,0x40001bff,0xfffffff9,0x802fffff,
    0x8002ffff,0x80001bb9,0xfffffec9,0x00adffff,0x3fffb2a0,0x01ceffff,
    0x3fff7260,0x000bdfff,0x7fffedc0,0x9803efff,0xffffffec,0x02dfffff,
    0x7ffffff4,0x03dfffff,0xffffc880,0x01dfffff,0xffffd980,0x0003dfff,
    0x3ffffee0,0x402fffff,0x0005eee8,0x53000000,0x00033557,0x04cd4c40,
    0x0ab98000,0x26200000,0x4c0001ab,0x09abbaaa,0x5554cc00,0x000019aa,
    0x0d55d4c4,0x57510000,0x98000001,0x009aaba9,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x26aa6000,0xfffff800,0x3fff6004,0x3ffffa6f,0xffffffff,
    0x4003ffff,0x0001aa98,0x00999980,0x35551000,0xffffe800,0xffffffff,
    0x54005fff,0xffffedcb,0x5ffffe84,0x03880000,0x3f602e00,0xffffffff,
    0x7fffffff,0x3ffae000,0x02dfffff,0x009fffff,0xd37fffec,0xffffffff,
    0xffffffff,0xffd97007,0x005dffff,0xffffe980,0x3f6a0006,0x3effffff,
    0xfffffe80,0xffffffff,0xfc9805ff,0xffffffff,0xffffe84f,0x7dc00005,
    0xffc8003f,0x7ffffec3,0xffffffff,0x98007fff,0xfffffffe,0xff84ffff,
    0x36004fff,0x3fa6ffff,0xffffffff,0x3fffffff,0x3ffffa60,0xefffffff,
    0x7fecc001,0x8006ffff,0xffffffd9,0x00dfffff,0x3ffffffa,0xffffffff,
    0x3ff6205f,0xffffffff,0xfffe84ff,0xf500005f,0x4003ffff,0xb2effff9,
    0xffffffff,0xffffffff,0xfff9800f,0xffffffff,0x3fe1efff,0x36004fff,
    0x3fa6ffff,0xffffffff,0x3fffffff,0xffffff90,0xffffffff,0xffb3001f,
    0x0dffffff,0xfffffa80,0xffffffff,0xfffd02ff,0xffffffff,0x220bffff,
    0xfffffffe,0x84ffffff,0x005ffffe,0xfffff900,0x7fff400d,0xffffb2ff,
    0xffffffff,0x800fffff,0xfffffffe,0xefffffff,0x13ffffe0,0x6ffffd80,
    0x3ffffffa,0xffffffff,0xfffe83ff,0xffffffff,0x205fffff,0xffffffc8,
    0x2006ffff,0xfffffff8,0xffffffff,0x9999706f,0xff999999,0xff30bfff,
    0xffffffff,0xd07ddddd,0xdddfffff,0x4003599d,0x04fffffe,0x4fffffc8,
    0x3bfffff6,0xeeeeeeee,0x3ee005ee,0x11bfffff,0xf83fffb5,0x2004ffff,
    0x3a6ffffd,0x999bffff,0x99999999,0xfffffa80,0xfffeccef,0x6443ffff,
    0xffffffff,0x2006ffff,0xcffffffe,0xffffdb9a,0x7c0003ff,0xfe85ffff,
    0x09dfffff,0x7ffff400,0xffffffff,0xff8803ff,0xffdcffff,0xffffceff,
    0x7fffec6f,0x3e000007,0x200fffff,0xffff82fa,0x3ff6004f,0x3fffa6ff,
    0xf900002f,0xff5015ff,0xf88bffff,0xffffffff,0x7006ffff,0x01dfffff,
    0x1fffffee,0xfffff000,0xfffffb8b,0x3fa0001e,0xffffffff,0x3fffffff,
    0x7ffffd40,0xffffffff,0x6c0fffff,0x0007ffff,0xfffff100,0x3fe01005,
    0x36004fff,0x3fa6ffff,0x00002fff,0xff50037a,0xffb0dfff,0xffd19fff,
    0x3f600dff,0x6401ffff,0x003fffff,0x97ffffe0,0x0ffffff8,0x7fff4000,
    0xffffffff,0x03ffffff,0x7fffffe4,0xffffffff,0xfffd82ff,0x5000007f,
    0x001fffff,0x27ffffc0,0xdffffb00,0x017ffff4,0x7c001000,0x4c0fffff,
    0x3fa1dfff,0xff006fff,0xf300bfff,0x000bffff,0x72fffffc,0x007fffff,
    0xfffffd00,0xfffffddd,0x803fffff,0xfffffffe,0x5fffffff,0x0fffffb0,
    0x3fee0000,0x7c0007ff,0x2004ffff,0x3a6ffffd,0x0002ffff,0xfffd0000,
    0x03dd03ff,0x00dffffd,0x09fffff1,0x1fffffe0,0xfffff800,0x1fffff65,
    0x7fff4000,0xfffb305f,0xff80dfff,0xdbbdffff,0xb07fffff,0x000fffff,
    0x3ffff200,0x7ffc0006,0x3f6004ff,0x3ffa6fff,0x000002ff,0xfffffd00,
    0xfffe8020,0xfff9806f,0xffb003ff,0x20003fff,0x3e5fffff,0x0005ffff,
    0x0bffffd0,0xffffffa8,0xfffff501,0xfffff505,0xfffffb05,0x3f200000,
    0x40006fff,0x004fffff,0xe9bffff6,0xbccdffff,0x000001aa,0x03fffffc,
    0x37ffff40,0x7ffffc40,0xffffb004,0x3fe0003f,0xfff35fff,0x32ea27ff,
    0xfe801abc,0xfc805fff,0xfb03ffff,0x7ec09fff,0xffd85fff,0x000007ff,
    0x00dffff9,0x4fffff80,0x3ffff600,0x3fffffa6,0xcfffffff,0x7d400000,
    0x8005ffff,0x006ffffe,0x00dfffff,0x0bfffff2,0x7ffffc00,0xbfffff55,
    0xfffffffb,0x7ff407ff,0xff9805ff,0xfff04fff,0x7fcc03ff,0xfffd86ff,
    0x9000007f,0x000dffff,0x04fffff8,0x9bffff60,0xfffffffe,0x5fffffff,
    0x3ff60000,0xe8002fff,0xd006ffff,0x007fffff,0x05fffff9,0x3ffffe00,
    0xffffff75,0xffffffff,0xfd03dfff,0xf100bfff,0x3e0dffff,0x7c407fff,
    0xffd87fff,0xffffffff,0x01ffffff,0xfffffff3,0xffffffff,0x3fe01fff,
    0x36004fff,0x3fa6ffff,0xffffffff,0x05ffffff,0xffffa800,0xffd0006f,
    0x3f200dff,0x41dfffff,0xfffffeb9,0xfff0002f,0x3fff2bff,0xffffffff,
    0xffffffff,0x2fffff40,0x7ffffc40,0x6ffff885,0x3ffffc40,0x7fffffec,
    0xffffffff,0xfff301ff,0xffffffff,0x1fffffff,0x13ffffe0,0x6ffffd80,
    0x3ffffffa,0xffffffff,0x220004ff,0x02ffffff,0xdffffd00,0x3fffe200,
    0xffffffff,0xffffffff,0xffff0002,0x3ffff2bf,0xffffffff,0x5fffffff,
    0x02fffff4,0x27ffffcc,0x03ffffc4,0x21ffffe2,0xfffffffd,0xffffffff,
    0xffff301f,0xffffffff,0x01ffffff,0x013ffffe,0x06ffffd8,0xfffb5310,
    0x0003ffff,0xbfffffd1,0x7fff4000,0x3fea006f,0xffffffff,0xffffffff,
    0xfff0001f,0x3fff6bff,0x221befff,0xffffffea,0x17ffffa2,0x3ffffee0,
    0x0fffff02,0x86ffff98,0xfffffffd,0xffffffff,0xffff301f,0xffffffff,
    0x01ffffff,0x013ffffe,0x06ffffd8,0xfffff300,0xffb0007f,0x8000dfff,
    0x006ffffe,0x7fffffe4,0xffffffff,0x0000ffff,0x36bfffff,0x802fffff,
    0x24fffffd,0x405ffffe,0x1ffffff8,0x03fffff0,0x42ffffdc,0xeefffffd,
    0xeeeeeeee,0x3666601e,0x999effff,0x20199999,0x004fffff,0x01bffff6,
    0xfffffb80,0x7ffec004,0x40000fff,0x006ffffe,0xfffffd98,0xffedffff,
    0x3e0007ff,0xff95ffff,0xf3003fff,0x7f4bffff,0x3a605fff,0x205fffff,
    0x205ffffe,0xd83ffffe,0x0007ffff,0xdffff900,0xffff8000,0x3ffa004f,
    0x220005ff,0x006fffff,0x3ffffff2,0xffe80001,0x220006ff,0x22bcccba,
    0x007ffffe,0x57ffffe0,0x02fffffb,0x4dfffff0,0x99effffe,0xffffca99,
    0x3ea00fff,0x6c44ffff,0xd80fffff,0x0007ffff,0xdffff900,0xffff8000,
    0x3ffe005f,0x7c0004ff,0x9007ffff,0x03ffffff,0x3fffa000,0x8000006f,
    0x006fffff,0x57ffffe0,0x03fffffa,0x4fffffd0,0xfffffffe,0xffffffff,
    0xfff803ff,0xffeeffff,0xfb04ffff,0x0000ffff,0x1bffff20,0xffffd000,
    0x7fffc00d,0x3e20003f,0xc806ffff,0x01ffffff,0x3fffa000,0x4000006f,
    0x03fffff9,0xfffff100,0x3ffffe6b,0xffffd004,0x7fffff4d,0xffffffff,
    0xfd004fff,0xffffffff,0x20dfffff,0x007ffffd,0xffff9000,0xffc8000d,
    0xff3007ff,0x40003fff,0x04fffff9,0x7fffffe4,0x7f400001,0x00006fff,
    0x7ffffec0,0xfff50000,0x3ffe27ff,0xfff007ff,0x7fff49ff,0xffffffff,
    0xb001efff,0xffffffff,0xffffffff,0xfffffb09,0x3f200000,0x40006fff,
    0x03fffffb,0x0fffffc8,0xfffd1000,0x7fe405ff,0x0001ffff,0x6ffffe80,
    0x3ee00000,0x0085ffff,0x5fffffb0,0x17fffff4,0x3ffffee0,0x3fffffa3,
    0xdfffffff,0x3ffee002,0xffffffff,0x2fffffff,0x03ffffec,0xfffc8000,
    0x7d40006f,0x201fffff,0x05fffffa,0xffffb300,0x3ff201ff,0x0000efff,
    0xdffffd00,0x3ee00000,0xf81fffff,0x3ffee00c,0x3fea0fff,0xf301ffff,
    0x743fffff,0xaaaeffff,0xff30001a,0xb975dfff,0xffff3599,0x7ffec1ff,
    0x9000007f,0x000dffff,0xffffffb0,0xff953359,0x7541ffff,0xcaa9aabc,
    0xfffffffd,0xfffff902,0x3333335f,0x00133333,0x037ffff4,0xffb98800,
    0xf04fffff,0xd7357bff,0x0bffffff,0x7ffffffd,0xffff9535,0xfffe89ff,
    0xd100005f,0x003fffff,0x4dfffff7,0x007ffffd,0xffddd300,0xddddffff,
    0xdddddddd,0xfffff981,0xffffffff,0x7d43ffff,0xffffffff,0x3fffffff,
    0xffffff90,0xffffffff,0x5c5fffff,0xffffffff,0xffffffff,0x775c3fff,
    0xfffffeee,0x205fffff,0xffffffff,0x0fffffff,0xffffffa8,0xffffffff,
    0xfffe86ff,0xfb00005f,0x4009ffff,0xb4fffffe,0x000fffff,0x3ffffe60,
    0xffffffff,0xffffffff,0xfffffc81,0xffffffff,0xfffa86ff,0xffffffff,
    0x3e04ffff,0xffffffff,0xffffffff,0x3fee2fff,0xffffffff,0xffffffff,
    0x7fffe43f,0xffffffff,0x3fe00eff,0xffffffff,0x3202ffff,0xffffffff,
    0x1fffffff,0x05ffffe8,0xfffb1000,0xfff8800d,0xffffb0cf,0x3e60000f,
    0xffffffff,0xffffffff,0xf501ffff,0xffffffff,0x2a07ffff,0xffffffff,
    0x01cfffff,0x7ffffffc,0xffffffff,0x2e2fffff,0xffffffff,0xffffffff,
    0x7fe43fff,0xffffffff,0xff803fff,0xffffffff,0xf9801eff,0xffffffff,
    0xfd00cfff,0x0000bfff,0x8001fe98,0x7fec0dfb,0x300007ff,0xffffffff,
    0xffffffff,0x403fffff,0xfffffec8,0x2a00dfff,0xffffffff,0xf000ceff,
    0xffffffff,0xffffffff,0x7fdc5fff,0xffffffff,0xffffffff,0x7fffe43f,
    0xcfffffff,0xffd71000,0x07dfffff,0xfffed880,0x401dffff,0x005ffffe,
    0x40003000,0xfffffb01,0x3fe60000,0xffffffff,0xffffffff,0x26001fff,
    0x40009aba,0x09aaaa99,0xfffff000,0xffffffff,0x5fffffff,0x7fffffdc,
    0xffffffff,0x643fffff,0xdeefffff,0x4c40001b,0x00001aaa,0x00137531,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fe40000,0xffffffff,
    0x7fe44fff,0xdeffffff,0x3a000abc,0x003fffff,0x97ffffea,0xfffffff9,
    0xffffffff,0x27ffffff,0xfffffffd,0xffffffff,0xffe801ff,0x7ffff04f,
    0x3fffffe0,0xabcdefff,0xffff1000,0xffffffff,0xffffffff,0x7ec000ff,
    0x01ffffff,0xfffffff9,0xffffffff,0x00005fff,0x7ffffffc,0x4fffffff,
    0x7fffffe4,0xffffffff,0xfff9800d,0xfd000fff,0x7cc3ffff,0xffffffff,
    0xffffffff,0x3f67ffff,0xffffffff,0xffffffff,0x4ffff801,0x02ffff88,
    0xffffffff,0xbfffffff,0xffff8801,0xffffffff,0xffffffff,0xff30007f,
    0x03ffffff,0x3ffffff2,0xffffffff,0x0002ffff,0xffffff50,0xffffffff,
    0xfffffc89,0xffffffff,0xfc803fff,0xa803ffff,0x4c4fffff,0xffffffff,
    0xffffffff,0x367fffff,0xffffffff,0xffffffff,0xffff801f,0x1ffff983,
    0xfffffff0,0xffffffff,0x7fc407ff,0xffffffff,0xffffffff,0xd0007fff,
    0xffffffff,0x3ffff203,0xffffffff,0x02ffffff,0xffffb000,0xffffffff,
    0xfffc89ff,0xffffffff,0x0effffff,0x3ffffe20,0x7fff400f,0x3ffcc0ff,
    0x9ffe6000,0xfffffffd,0xffffffff,0x7fc401ff,0xfffa82ff,0xfffff00f,
    0xffffffff,0x01dfffff,0xfffffff1,0xffffffff,0x0fffffff,0xfffff700,
    0x3203ffff,0xffffffff,0xffffffff,0x880002ff,0xffffffff,0x2cccccef,
    0x77ffffe4,0xffffffee,0x5c05ffff,0x204fffff,0x83fffffb,0x33a67ff9,
    0x3e6009ac,0x3ffff67f,0xeeeeeeef,0x401eeeee,0xb81ffff9,0x3fe07fff,
    0xfeeeffff,0xffffffff,0xeeee885f,0xffffeeee,0xeeeeeeff,0x7fc4006e,
    0xffffffff,0x99999501,0x9ffffff9,0x00399999,0x9ffff900,0x2007ffff,
    0x887ffffc,0xffffffc9,0x7fff401f,0xfffd01ff,0x9ffe60df,0xcffffffa,
    0x367ff981,0x0007ffff,0x0ffffa80,0x207fffb8,0x884fffff,0xffffffc9,
    0xfff8001f,0x400006ff,0xffeffffd,0xf8001fff,0x0005ffff,0x6ffffc00,
    0x003ffffb,0x80fffff9,0x6ffffffa,0x7ffffd40,0xfffffb85,0x54fff301,
    0xffffffff,0xfb3ffcc4,0x0000ffff,0x20ffff50,0x3e06fffc,0x5404ffff,
    0x06ffffff,0x6fffff80,0x3fea0000,0xffffafff,0xfff8001f,0x000005ff,
    0x2ebfffea,0x9003ffff,0x300fffff,0x05ffffff,0x1fffffd8,0x17ffffe2,
    0x3a67ff98,0xffffffee,0xfd9ffe63,0x80007fff,0xfffeeeec,0xffeeeeef,
    0x25eeefff,0x804fffff,0x2ffffff9,0x7ffffc00,0x3fa00006,0xfff8cfff,
    0xff8001ff,0x00005fff,0x23ffff60,0x003ffffb,0x00fffff9,0x1bfffff6,
    0xbfffff30,0x07ffffdc,0xa80fff30,0xf31ffffe,0x7fffecff,0xffe80007,
    0xffffffff,0xffffffff,0x3ffe6fff,0xffb004ff,0xf800dfff,0x0006ffff,
    0x1dffff90,0x03fffff1,0xbfffff00,0x3e200000,0xfff75fff,0x3ff2007f,
    0xff3007ff,0xf900ffff,0xff13ffff,0xf9807fff,0xfffb007f,0xfd9ffe69,
    0x80007fff,0xfffffffe,0xffffffff,0x26ffffff,0x004fffff,0x0ffffff3,
    0x6fffff80,0xfff98000,0xffff12ff,0xfff0003f,0x00000bff,0x5cbfffee,
    0x9003ffff,0x400fffff,0x00fffffe,0x6fffffc4,0x806ffffc,0xf5007ff9,
    0x9ffe6bff,0x007ffffd,0xfffffe80,0xffffffff,0xffffffff,0x13ffffe6,
    0xfffffe80,0x3fffe000,0xfd80006f,0x3fe25fff,0xf8001fff,0x0005ffff,
    0x4ffffd00,0x003ffffb,0x00fffff9,0x0fffffec,0x7ffffdc0,0x802fffff,
    0xf3007ff9,0x9ffe6bff,0x007ffffd,0xffaaaa80,0xbaaaadff,0xaaacffff,
    0x13ffffe2,0xfffffd80,0x3fffe001,0x7d40006f,0x3e20ffff,0x8001ffff,
    0x005fffff,0xffff9800,0x3bfffee4,0xdd0ccccc,0xddfffffd,0xff905ddd,
    0x3a005fff,0xffffffff,0x0fff3005,0x4d3fff60,0x3fff67ff,0xeeeeeeff,
    0x804eeeee,0xf983ffff,0x3fe01fff,0x32004fff,0x002fffff,0x01bffffe,
    0xfffff880,0x7ffffc43,0xffff8001,0xc800005f,0x3ee1ffff,0xffffffff,
    0xffffff1f,0x5fffffff,0x7fffff90,0x3fffea00,0x3001ffff,0x73330fff,
    0x263ffffd,0x3fff67ff,0xffffffff,0x405fffff,0xa82ffff8,0x3e00ffff,
    0x2004ffff,0x03fffffc,0x1bffffe0,0xffffc800,0xfffff886,0xffff8001,
    0xf800005f,0x7fdc6fff,0xffffffff,0xfffffff1,0x05ffffff,0x09fffff7,
    0x7ffffec0,0x3fe6004f,0x7ffffc47,0x3fe63fff,0x3fffff67,0xffffffff,
    0x7cc05fff,0xffb81fff,0x7fffc07f,0x3fee004f,0x3e004fff,0x0006ffff,
    0x03fffff3,0x03fffff1,0xbfffff00,0xffa80000,0x7ffdc3ff,0x1fffffff,
    0xffffffff,0x705fffff,0x007fffff,0x7fffffc4,0x1ffe6000,0xfffffff1,
    0x367ff985,0xffffffff,0xffffffff,0x7fffd405,0x07fffb80,0x027ffffc,
    0x7fffff70,0x7ffffc00,0xfffd0006,0x3ffe209f,0xff8001ff,0x00005fff,
    0x207fffec,0xeeeffffb,0xfddd1eee,0xddddffff,0xffff905d,0x5555305f,
    0xdffffd55,0x01555555,0xfff0fff3,0x3fe6057b,0x3fffff67,0xeeeeeeee,
    0x7dc04eee,0xfff907ff,0xfffff80d,0x3fff2004,0x3fe002ff,0xb8006fff,
    0x2206ffff,0x001fffff,0x05fffff8,0x3ffe2000,0xffffb86f,0xffff9003,
    0x7ffec00f,0xfffc81ff,0xffffffff,0x2fffffff,0xff87ff98,0x3ffcc02f,
    0x00fffffb,0x7fffb800,0x80bfffb0,0x004fffff,0x07fffff6,0x6fffff80,
    0x7fffc400,0x3ffe201f,0xff8001ff,0x00005fff,0x20ffffee,0x003ffffb,
    0x00fffff9,0x07fffff4,0x7fffffe4,0xffffffff,0xf982ffff,0x02fff87f,
    0xffb3ffcc,0xf8000fff,0xffffffff,0xffffffff,0x7c4fffff,0x2004ffff,
    0x00fffffe,0x1bffffe0,0xbffffb00,0xfffff880,0xffff8001,0x3a00005f,
    0xaaabffff,0x03ffffda,0x0fffff90,0x3fffffc0,0xffffffc8,0xffffffff,
    0xf982ffff,0x00ccc87f,0xffb3ffcc,0xf8000fff,0xffffffff,0xffffffff,
    0x7c4fffff,0x2004ffff,0x007fffff,0x037ffffc,0xffffff10,0xffffffff,
    0xffffffff,0xffff00df,0x260000bf,0xffffffff,0x3fffffff,0xfffff900,
    0x3fffea00,0x3333106f,0xbffffd33,0x01333333,0x8000fff3,0x3ff67ff9,
    0x7c0007ff,0xffffffff,0xffffffff,0x7c4fffff,0x5004ffff,0x00dfffff,
    0x06fffff8,0x3ffffe20,0xffffffff,0xffffffff,0xfff806ff,0x900005ff,
    0xffffffff,0x7fffffff,0x3ffff200,0xffffd007,0xffd0007f,0xf9800bff,
    0x01dfc87f,0xffb3ffcc,0xf8000fff,0xffffffff,0xffffffff,0x7c4fffff,
    0xd004ffff,0x007fffff,0x06fffff8,0x3ffffe20,0xffffffff,0xffffffff,
    0xfff806ff,0xf00005ff,0xffffffff,0x7fffffff,0x3ffff200,0xffffb807,
    0xffd0006f,0xf9800bff,0x37ffdc7f,0xfd9ffe60,0x40007fff,0xffff9999,
    0xffa9999b,0x40999aff,0x804fffff,0x06fffffb,0x6fffff80,0x3fffe200,
    0xffffffff,0xffffffff,0xff806fff,0x80005fff,0xfffffffa,0xffffffff,
    0xfff9003f,0xfffc80ff,0x32a02fff,0xfffccccc,0xccccceff,0x47ff981c,
    0x200ffffd,0x3ff67ff9,0x200007ff,0xa82ffff8,0x7c00ffff,0x6404ffff,
    0x02ffffff,0x6fffff80,0x3bbba200,0xeeeeeeee,0xefffffee,0xff805eee,
    0x80005fff,0x201ffffd,0x003ffffb,0x10fffff9,0xffffffd5,0xffffc80b,
    0xffffffff,0x82ffffff,0x7fdc7ff9,0x3ffcc06f,0x00fffffb,0x7fffcc00,
    0x07fffb81,0x84fffff8,0xfffffea8,0xfff0005f,0x00000dff,0x3fffff10,
    0xfffff000,0xff88000b,0x7fdc06ff,0xccccceff,0x7ffffe43,0xfffffeee,
    0x401fffff,0xfffffffc,0xffffffff,0xff982fff,0x400deb87,0x3ff67ff9,
    0xeeeeefff,0x1eeeeeee,0x01ffff50,0xf00ffff9,0xdddfffff,0xffffffff,
    0x3e0003ff,0x0006ffff,0xffff8800,0x9999501f,0xffffff99,0x03999999,
    0x07ffff90,0xffffffb8,0x7e46ffff,0xffffffff,0xefffffff,0xffffc801,
    0xffffffff,0x82ffffff,0x40007ff9,0x3ff67ff9,0xffffffff,0x1fffffff,
    0x20ffff70,0xf806fffc,0xffffffff,0xffffffff,0x3fe0001e,0x00006fff,
    0xfffff880,0xfffff901,0xffffffff,0x005fffff,0x801ffffd,0xfffffffb,
    0x7fe46fff,0xffffffff,0x003fffff,0xbffffd00,0xffff9800,0xffffffff,
    0xffffffff,0x3ffff67f,0xffffffff,0x901fffff,0x3f60ffff,0xfff805ff,
    0xffffffff,0x003fffff,0x6fffff80,0xf8800000,0xf901ffff,0xffffffff,
    0xffffffff,0xfffa805f,0xfffb806f,0x6fffffff,0x7fffffe4,0xefffffff,
    0x3fa00001,0x4c005fff,0xffffffff,0xffffffff,0x367fffff,0xffffffff,
    0xffffffff,0xdfff901f,0x013fffa0,0x3ffffffe,0xefffffff,0xfff00001,
    0x00000dff,0x3fffff10,0x3fffff20,0xffffffff,0x402fffff,0x803ffffd,
    0xfffffffb,0x7fe46fff,0xeeffffff,0x800000ad,0x005ffffe,0x7fffffcc,
    0xffffffff,0x7fffffff,0x3ffffff6,0xffffffff,0xffb01fff,0x3fffe0bf,
    0xfffff803,0xadeeffff,0x7fc00000,0x00006fff,0xfffff880,0xfffff901,
    0xffffffff,0x005fffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000000,0x006ffffe,0x653ffffe,
    0xffffffff,0xffffffff,0xff71ffff,0x40003fff,0x07fffffb,0x7fffffd4,
    0x3ffffe22,0xffffffff,0x1fffffff,0x0bfffff7,0xfffffb00,0x7fffff43,
    0xffff1004,0x7fff47ff,0xceffffff,0x7ff400ac,0x98003fff,0x3e5fffff,
    0xffffffff,0x802cdeff,0x02aaaaa8,0x01bffffa,0x94fffff8,0xffffffff,
    0xffffffff,0x3ee3ffff,0x0001ffff,0x3ffffff2,0x3ffff202,0x3ffe22ff,
    0xffffffff,0xffffffff,0xfffff11f,0x7fcc003f,0x7fd46fff,0xc800ffff,
    0x746fffff,0xffffffff,0x0cffffff,0xdfffff70,0xffff9000,0x7ffffc5f,
    0xffffffff,0xf100bfff,0x740fffff,0x2006ffff,0xf94fffff,0xffffffff,
    0xffffffff,0x3fee3fff,0x20001fff,0x4ffffffc,0x3fffffe0,0x3fffe23f,
    0xffffffff,0xffffffff,0x3ffffee1,0x3fff6004,0xfffe81ff,0x7fc405ff,
    0x7f42ffff,0xffffffff,0x4fffffff,0xffffff98,0x7fff4000,0x3fffe0ff,
    0xffffffff,0x80efffff,0x07fffff8,0x01bffffa,0x94fffff8,0xffffffff,
    0xffffffff,0x3ee3ffff,0x0001ffff,0x3ffffff2,0xfffff307,0x7ffc47ff,
    0xffffffff,0xffffffff,0x3fffe21f,0xff9800ff,0xff505fff,0x6403ffff,
    0xe86fffff,0xffffffff,0xffffffff,0xfffff84f,0x3fe2002f,0x7ffc5fff,
    0xffffffff,0x5fffffff,0x0dfffff0,0x037ffff4,0x29fffff0,0xfffffffc,
    0xffffffff,0xf71fffff,0x0003ffff,0x7fffffec,0xffffc81f,0x3fe23fff,
    0xffffffff,0xffffffff,0x7ffdc1ff,0xffd804ff,0x3f601fff,0xf105ffff,
    0xd03fffff,0x999fffff,0xfffffffd,0xfffc85ff,0x3ee004ff,0x7fc3ffff,
    0xcaaadfff,0xffffffec,0xfffff82f,0x3ffffa06,0x3fffe006,0x5555534f,
    0x55555555,0x4ffffff9,0x01fffffb,0x3ffff600,0xffe84fff,0x4c4fffff,
    0x99999999,0xffffa999,0xfff884ff,0x3e600fff,0x4c05ffff,0x81ffffff,
    0x05fffffc,0x20bffffd,0xffffffc8,0x3fffea0f,0x3ff6007f,0x7ffc0fff,
    0x3fea04ff,0xfe83ffff,0x3fa05fff,0x3e006fff,0x0004ffff,0x1fffffec,
    0x03fffff7,0x77fff400,0x7fcc6fff,0x04ffffff,0x7fffec00,0xfff700ef,
    0x7fec09ff,0xfc801fff,0x7c45ffff,0xd00fffff,0x980bffff,0x41ffffff,
    0x01ffffff,0x0dfffff0,0x809fffff,0x85fffffa,0x205ffffe,0x006ffffe,
    0x013ffffe,0xfffff880,0x3fffee0f,0x3fa0001f,0x0ffffcff,0x3fb7ffee,
    0x2e0005ff,0x01ffffff,0x3fffffe2,0xfffff980,0xffff1005,0x7ffec3ff,
    0x3ffa04ff,0xffc805ff,0x7fec3fff,0xf9803fff,0xff84ffff,0x7c404fff,
    0xfd86ffff,0x3fa04fff,0x3e006fff,0x0004ffff,0x0ffffff2,0x03fffff7,
    0x5ffff400,0x3fa3fffe,0x5fffeaff,0xffff1000,0xff7009ff,0xffb07fff,
    0x5c003fff,0xf15fffff,0x401fffff,0x805ffffe,0x45fffff9,0x05fffffa,
    0x1fffffc8,0x04fffff8,0x85fffff8,0x204ffffd,0x006ffffe,0x013ffffe,
    0x7ffffc40,0x7fffdc0f,0x3fe0001f,0x5fffcaff,0xfd1ffff1,0x36000bff,
    0x006fffff,0x8ffffff1,0x05fffff9,0x7ffffc40,0xfffffd9f,0x7ffff403,
    0xffff8805,0x7fffc46f,0xfffe807f,0xfffff07f,0xffff9809,0xffffc83f,
    0x3ffffa03,0x3fffe006,0xff90004f,0xff709fff,0x40003fff,0xffaaffff,
    0x2bfff57f,0x8006fffe,0x1ffffffb,0x3fffee00,0x3ffff23f,0xffb8001f,
    0xffffefff,0xfffe807f,0xfff8805f,0xfffe85ff,0x3fe202ff,0xfff04fff,
    0xffd809ff,0xffc80fff,0x3ffa02ff,0x3fe006ff,0x88004fff,0x80ffffff,
    0x01fffffb,0x4bfffe00,0xffd9ffff,0x0dfffb2f,0xfffff880,0x7fc4004f,
    0xfff16fff,0x74000bff,0xffffffff,0xffe802ff,0xff9805ff,0xffb84fff,
    0x3ea04fff,0xff02ffff,0x32209fff,0x704fffff,0x7405ffff,0xffffffff,
    0xffffffff,0x8004ffff,0x04fffffc,0x03fffff7,0x3fffe200,0xff9fffb2,
    0x3fff61ff,0x7ffec007,0xf70006ff,0xff75ffff,0x40003fff,0xfffffffa,
    0xffd006ff,0xff900bff,0xff305fff,0x7ec0dfff,0xff00ffff,0x9999dfff,
    0xbffffffd,0x7ff40000,0xffffffff,0xffffffff,0x7c4004ff,0x700fffff,
    0x003fffff,0x4bfffe20,0xfffffffb,0x01ffff65,0xffffffb8,0xfff10001,
    0xffffdbff,0xffb0000b,0x05ffffff,0x17ffffa0,0xffffff30,0x3ffffa03,
    0xfffff00f,0x7ffffc0b,0xffffffff,0x00003fff,0x7ffffff4,0xffffffff,
    0x04ffffff,0x7ffffe40,0x3fffee04,0xff30001f,0x3ffe23ff,0x3f63ffff,
    0xff1007ff,0x0007ffff,0xffffffb8,0x0001ffff,0xffffffa8,0x3ffa006f,
    0x3faa05ff,0x3205ffff,0x983fffff,0x203fffff,0xffffffff,0xffffffff,
    0x0aa9801c,0x3fffffa0,0xffffffff,0x4fffffff,0x3fffe200,0x3fee01ff,
    0x30001fff,0x7f43ffff,0x320fffff,0xd800ffff,0x006fffff,0xfffff880,
    0x0005ffff,0xffffff90,0x3fa003ff,0xaaaaefff,0xffffffdc,0x3ffe600f,
    0xfffc85ff,0x3ffe00ff,0xffffffff,0x3fffffff,0x7ffffb10,0x3fffffa0,
    0xffffffff,0x4fffffff,0x3fffee00,0x7ffdc05f,0xf30001ff,0x7fe43fff,
    0x7fe46fff,0x7fdc00ff,0x0001ffff,0xffffff90,0x300001ff,0xffffffff,
    0x3ffa00bf,0xffffffff,0x2fffffff,0x7fffff80,0x06ffffe8,0x777ffffc,
    0xffffeeee,0xfd84ffff,0xe82fffff,0x2006ffff,0x004fffff,0x07fffffe,
    0x3fffff70,0x3ffea000,0x3fffe61f,0x7fffe43f,0x3fffe200,0x200003ff,
    0xfffffff8,0xffb00005,0xffffffff,0xffffd005,0xffffffff,0x2007ffff,
    0x21fffffd,0x03fffff8,0x027ffffc,0xffffffd5,0x7ffffcc3,0xfffe87ff,
    0x3ffe006f,0xff7004ff,0xf700bfff,0x0003ffff,0xf03fffea,0xfc81ffff,
    0x3f601fff,0x0006ffff,0xfffffc80,0xfa80000f,0xffffffff,0xffe806ff,
    0xffffffff,0x000cffff,0x93ffffea,0x01fffffa,0x027ffffc,0x3fffffa2,
    0x3ffffee4,0x7ff40fff,0x3fe006ff,0xff004fff,0x7003ffff,0x003fffff,
    0x03fffee0,0xf70dfffb,0x3ee03fff,0x000fffff,0xffff8800,0xfd00005f,
    0xfff7ffff,0xfe807fff,0xffffffff,0x8001ceff,0x26fffff8,0x807ffffc,
    0x804fffff,0x26fffff9,0xfffffffb,0x7ffff41f,0x3fffe006,0xfffb804f,
    0xff7006ff,0x20003fff,0x540ffffb,0xffb83fff,0xfff882ff,0x00003fff,
    0x17ffffe0,0x3ffee000,0xffff76ff,0x7ff401ff,0x09aaaeff,0xfffb0000,
    0x3fffe1ff,0xffff804f,0xfff8804f,0x3ffea7ff,0xfe87ffff,0x3e006fff,
    0xe804ffff,0x002fffff,0x03fffff7,0x3fffee00,0xfffb8000,0xffffd82f,
    0x4000005f,0x005fffff,0x7ffffc40,0x3ffffe2f,0x3fffa04f,0x2000005f,
    0x9afffffb,0x802fffff,0x804fffff,0x47fffff8,0x3ffffffe,0x06ffffe8,
    0x13ffffe0,0xdfffff70,0x7fffdc00,0xff90001f,0x3ee000ff,0x7fd42fff,
    0x0000ffff,0x7ffffc00,0x7fe40005,0x7fdc6fff,0xfd01ffff,0x0000bfff,
    0x7ffffc40,0x07ffffbd,0x09fffff0,0xbfffff50,0x3ffffd88,0x0dffffd0,
    0x27ffffc0,0x3fffffa0,0x3ffee002,0xf90001ff,0x2a000fff,0x3e23ffff,
    0x003fffff,0xffff8000,0x3e20005f,0xe82fffff,0xd06fffff,0x000bffff,
    0xffffe800,0x05ffffdf,0x09fffff0,0xfffffe88,0x40157304,0x006ffffe,
    0x813ffffe,0x06fffffa,0x7ffffdc0,0xfffb0001,0x3fea000f,0x3fff63ff,
    0x99999eff,0x99999999,0x7fffc000,0x3f60005f,0xf506ffff,0xd05fffff,
    0x000bffff,0xffffc800,0x02ffffff,0x09fffff0,0x7fffff4c,0x7f40002f,
    0x3e006fff,0x3a04ffff,0x002fffff,0x77ffffdc,0xeeeeeeee,0xfffb5eee,
    0x3fea000f,0xffff54ff,0xffffffff,0xffffffff,0xffff8007,0xff30005f,
    0x7405ffff,0x40ffffff,0x005ffffe,0x7ffcc000,0x0fffffff,0xdfffff00,
    0xffdb9999,0x00bfffff,0xdffffd00,0x7ffffc00,0xfffff504,0xfff7000d,
    0xffffffff,0x2fffffff,0x0007fffd,0x329ffff5,0xffffffff,0xffffffff,
    0x4003ffff,0x005fffff,0xdfffffd0,0xfffffa80,0x7ffff44f,0xf8000005,
    0xffffffff,0x3fffe006,0xffffffff,0x0effffff,0xfffe8000,0x3ffe006f,
    0xfffd04ff,0xf70007ff,0xffffffff,0xffffffff,0x01bfffaf,0xa7fffcc0,
    0xfffffffc,0xffffffff,0x003fffff,0x02fffffc,0x7ffffd40,0xfffe801f,
    0x3ffa0fff,0x000005ff,0xffffffc8,0x3fe003ff,0xffffffff,0xffffffff,
    0xffd00001,0x7fc00dff,0xffa84fff,0x70007fff,0xffffffff,0xffffffff,
    0x1bfffaff,0x7fffcc00,0xffffff95,0xffffffff,0x07ffffff,0x5fffff80,
    0xffffe800,0xfff5006f,0x7ff4bfff,0x000005ff,0xffffffa8,0x3fe001ff,
    0xffffffff,0x02efffff,0x7fff4000,0x3ffe006f,0xfffe84ff,0xf70003ff,
    0xffffffff,0xffffffff,0x01bfffef,0xaffffcc0,0xfffffffc,0xffffffff,
    0x003fffff,0x02fffffc,0x3ffffee0,0x3ffa001f,0xffd2ffff,0x00000bff,
    0xffffff10,0xfff800df,0xefffffff,0x00001bcd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x05fffff8,0xffffffc8,0x3fffffa0,0xfff9801f,0x3ffffe6f,0xcdefffff,
    0xf880000b,0x07ffffff,0x17fffe60,0xffffd800,0x33331000,0x00110001,
    0x01800000,0x00355555,0x80355555,0xcdeecca9,0x980009bc,0x0aacccba,
    0x05fffff8,0x7fffffcc,0x7fffff42,0xfff9805f,0x3ffffe6f,0xffffffff,
    0x20001cff,0xfffffffb,0xfff1001f,0x7ec000bf,0x3f2007ff,0x44003fff,
    0x000001fe,0xfd0bf500,0xff00bfff,0x3aa09fff,0xffffffff,0xd5004fff,
    0xffffffff,0xffff8dff,0x7fff405f,0xfffe85ff,0x4c01ffff,0x3fe6ffff,
    0xffffffff,0x1fffffff,0xffffb000,0x2009ffff,0x006ffff8,0x01ffff60,
    0x03ffffc8,0x0ffffa20,0xf9000000,0xfffe8bff,0xffff805f,0x7fff444f,
    0xffffffff,0x7e4404ff,0xffffffff,0x7ffc7fff,0x3ff205ff,0xfe80ffff,
    0x04ffffff,0xf37fffcc,0xffffffff,0xffffffff,0xfff0001f,0x0dffffff,
    0x037fffc0,0x0dfffd00,0x1ffffe40,0xffffe880,0x0000004f,0x4bfffffb,
    0x805ffffe,0x224fffff,0xfffffffe,0x4fffffff,0x3ffffea0,0xffffffff,
    0x7ffffc7f,0xfffff305,0x3fffa03f,0x200fffff,0x3e6ffff9,0xeeefffff,
    0xfffffffe,0x7fd4005f,0xffffffff,0xdffff000,0x7fff4000,0x3fff2006,
    0xffd1003f,0x000bffff,0x7fff4400,0xffd0efff,0xfff00bff,0x7ffec9ff,
    0xbaabdfff,0xf104ffdc,0xffffffff,0x8fffffff,0xd05fffff,0x409fffff,
    0xfffffffe,0x3ffe604f,0x3ffffe6f,0xffffd504,0xffc800ff,0xffffffff,
    0xfffff003,0x7fff4000,0x3fff2006,0x3f62003f,0x00efffff,0x7ffcc000,
    0x7f44ffff,0xff805fff,0x3ffe4fff,0x19802fff,0xffffffb0,0xb753357d,
    0xfffff8ff,0xfffffc85,0x7ffff406,0x300fffff,0x7fcdffff,0x3e204fff,
    0x001fffff,0x3efffffe,0xd005ffff,0x4000ffff,0x2005fffe,0x003ffffc,
    0xffffffc8,0xf500001f,0x07ffffff,0x00bffffd,0x269fffff,0x005fffff,
    0x7ffffd40,0x7c28804f,0x7cc5ffff,0x401fffff,0xfffffffe,0xfff303ff,
    0x7ffffcdf,0x7fffe404,0xfff3003f,0xffffb1ff,0xfffd001f,0x7ffc000f,
    0x3ff2005f,0xf70003ff,0x05ffffff,0xffffb800,0xffd01fff,0xfff00bff,
    0x3ffea9ff,0x7c0006ff,0x004fffff,0x17ffffe0,0x07fffffd,0xfdffffd0,
    0x3e60dfff,0x3ffe6fff,0x7fd404ff,0xf7003fff,0x3feedfff,0xfd802fff,
    0x3e0007ff,0x32004fff,0x0003ffff,0x3fffffe6,0xff90003f,0x401dffff,
    0x805ffffe,0xf34fffff,0x03bfffff,0xfffff300,0x7fc0001f,0x3fee5fff,
    0xfd005fff,0xffff7fff,0xffff305f,0x27ffffcd,0x3ffffee0,0xffffd002,
    0x3ffffe69,0x7fffd804,0x3e0bddb0,0x3ff24fff,0xffffffff,0xffffffff,
    0x7f4403ff,0x005fffff,0x3fffff62,0x7ff400df,0xfff805ff,0x3fffe4ff,
    0x00adffff,0x7fffff50,0xffff8000,0xfffff35f,0x3ffa001f,0xffffd9ff,
    0x6ffff986,0x013ffffe,0x03fffffb,0x3fffff10,0x03fffff4,0x207fffec,
    0xf81ffff8,0x3ff23fff,0xffffffff,0xffffffff,0xfd8803ff,0x00efffff,
    0x7fffff4c,0xfffd004f,0xffff00bf,0x7fffdc9f,0xadffffff,0x3ffff200,
    0x7fc0002f,0xfffd5fff,0x7f4005ff,0xfffa9fff,0x7ffcc1ff,0x3ffffe6f,
    0x3fffea04,0xfff5006f,0xffffc8ff,0x7ffe401f,0x7fffdc0f,0x1ffffc44,
    0xfffffff9,0xffffffff,0x007fffff,0x7fffffe4,0xffff301e,0x74005fff,
    0xf805ffff,0x7ec4ffff,0xffffffff,0xfd80cfff,0x0000ffff,0x5efffffc,
    0x004fffff,0xe8fffff4,0x7cc5ffff,0x3ffe6fff,0xffc984ff,0xb002ffff,
    0xfa8bffff,0x6403ffff,0x7ec0ffff,0x7fc46fff,0x3fff23ff,0xffffffff,
    0xffffffff,0x7fdc003f,0x5c2fffff,0x1fffffff,0x7ffff400,0xfffff805,
    0xfffffb84,0xffffffff,0x7fffff42,0x7ffc0000,0xfffffeff,0xfffe8006,
    0xfffff51f,0x37fffcc3,0xddffffff,0xfffffffd,0x7ffc009f,0x7ffc43ff,
    0x7fdc06ff,0x7fffc1ff,0x3ffe20ff,0x2aaaa62f,0xffffdaaa,0xaaaaaaad,
    0xfffb8000,0xff51ffff,0x005fffff,0x0bffffd0,0x09fffff0,0x3ffffae2,
    0x1fffffff,0x07fffffa,0xfffff000,0x07ffffff,0x3ffffd00,0x327ffffc,
    0x7fcdffff,0xffffffff,0x02ffffff,0x3ffffe60,0xfffffe80,0x3fffee00,
    0x3ffffea1,0x3fffe23f,0x3fff2002,0x5400003f,0x2fffffff,0x7fffffdc,
    0x7ff4002f,0xfff805ff,0xdb8804ff,0xffffffff,0x3fffff26,0x7ffc0002,
    0xffffffff,0x7ff4000f,0x3ffee1ff,0xffff30ff,0x7fffffcd,0xdfffffff,
    0xfffc8001,0xffff706f,0x7ffd405f,0x3ffff21f,0x3ffe66ff,0x3ff2001f,
    0x200003ff,0xeffffffb,0xfffff501,0x7f4007ff,0x7c405fff,0x4004ffff,
    0xffffffc8,0xfffff70f,0xfff80009,0xffffddff,0x7ff4005f,0x3ffe21ff,
    0xffff34ff,0x7fffffcd,0xefffffff,0xfffe8002,0xffff304f,0x7ffd40bf,
    0x3ffffe1f,0xfff30fff,0x7fe4003f,0xb00003ff,0x1dffffff,0xffffe980,
    0xffd004ff,0xffe80dff,0x30004fff,0x25ffffff,0x1ffffffa,0x3fffe000,
    0xfffff8df,0x3ffa003f,0x7ffe41ff,0xffff98ff,0x3bffffe6,0xffffffec,
    0x3fe2002f,0x3fe02fff,0x3e607fff,0xfff32fff,0x265ffffb,0x2000ffff,
    0x003ffffc,0x7ffff440,0x3a2005ff,0x0dffffff,0x7ffffec0,0xfffffb00,
    0x7ec0009f,0xff12ffff,0x001dffff,0x57ffffe0,0x0ffffffb,0x3ffffd00,
    0xbfffff98,0x3e6ffff9,0x3224ffff,0x00ffffff,0x1fffff70,0x7ffffec0,
    0x5ffff301,0x3fabfff2,0xffff55ff,0x7ffe4001,0x3e60003f,0x03ffffff,
    0xfffffb00,0x7fe403df,0x7e443fff,0x14ffffff,0x7ffc4001,0x3ff20fff,
    0x402effff,0x7ffffc59,0x3fffffa5,0xffffd006,0xdffffb03,0x7cdffff3,
    0xfe84ffff,0xb004ffff,0x999fffff,0xfffd9999,0x3fe609ff,0x1fffd3ff,
    0x3eaffff7,0x7e4007ff,0x50003fff,0x5fffffff,0xfffb8000,0xf702ffff,
    0x95bfffff,0xffffffff,0x273bea9f,0xfffd9880,0x7ffc46ff,0xbdefffff,
    0x7c7ffdcc,0x3e65ffff,0x803fffff,0xa81ffffe,0xffbfffff,0x3fffe6ff,
    0xffff884f,0xfff800ff,0xffffffff,0xffffffff,0x7ffff106,0x3e6dfff3,
    0xfffbafff,0x7ffe4007,0xffc8003f,0x001fffff,0xfffff500,0x3ffe07ff,
    0xffffffff,0x4ffffeff,0xdffffff5,0xffffffdd,0xfff507ff,0xffffffff,
    0xff8fffff,0x7fe45fff,0x7401ffff,0xfd01ffff,0xffffffff,0x27ffffcd,
    0x4fffffc8,0x7ffffd40,0xffffffff,0x0fffffff,0xbbffff88,0x3ffe3fff,
    0x07fffbcf,0x055554c0,0xffffb100,0x00001dff,0xffffff98,0xffffb84f,
    0xdfffffff,0xf54ffffa,0xffffffff,0x9fffffff,0x7ffffdc0,0xffffffff,
    0x7ffffc7f,0xfffffe85,0x7ffff406,0xfffff501,0x7fcdffff,0xff304fff,
    0x6401ffff,0xffffffff,0xffffffff,0xff03ffff,0x1fffb9ff,0x7df7ffe4,
    0x000006ff,0x3ffffa20,0x00000dff,0xfffffd10,0xfffd81bf,0x35ffffff,
    0x3ea9ffff,0xffffffff,0x03ffffff,0xfffffd98,0x7fffffff,0x42fffffc,
    0x3ffffffa,0x07ffffa0,0xfffffff8,0x3fffe6ff,0x3fff604f,0x3ffa04ff,
    0xffffffff,0xffffffff,0xffff05ff,0xf98dfff9,0x6fffdfff,0x22000000,
    0x04fffffe,0xffb00000,0x3ee0bfff,0x22efffff,0xb34ffff9,0xffffffff,
    0x0017dfff,0xffffeda8,0x7c1befff,0xfb05ffff,0x203fffff,0x201ffffe,
    0xfffffffb,0x3ffffe6f,0x3fffea04,0xfff980ff,0x3fe001ff,0xfff07fff,
    0xf07fffff,0xbfffffff,0x55555550,0x55555555,0xe8855555,0x00003fff,
    0x2fffe400,0x00d5d4c0,0x75553100,0x00003357,0x004cd54c,0x20bfffff,
    0x6ffffff8,0x03ffffd0,0x7fffffc4,0x3fffe6ff,0x7fff404f,0xfffb83ff,
    0x7fec007f,0xffe82fff,0xd81fffff,0x5fffffff,0xfffffff8,0xffffffff,
    0xe885ffff,0x0000001f,0x0000bf50,0x00000000,0xfff00000,0x7fdc0bff,
    0xfe84ffff,0x7e401fff,0x26ffffff,0x404fffff,0x0ffffffb,0x02ffffec,
    0x3ffffee0,0xfffffe84,0xffff506f,0xfff0bfff,0xffffffff,0xffffffff,
    0x0000220b,0x00030000,0x00000000,0x3e000000,0x7405ffff,0x41ffffff,
    0x401ffffe,0xfffffff9,0x13ffffe6,0xffffff10,0x7ffffc47,0x7ffcc002,
    0xfffd87ff,0x3fe04fff,0xf84fffff,0xffffffff,0xffffffff,0x000005ff,
    0x00000000,0x00000000,0xff800000,0x7cc05fff,0x746fffff,0xd801ffff,
    0x26ffffff,0x804fffff,0x27fffffc,0x00fffffa,0xfffffe80,0x7ffffec1,
    0x3fff601f,0xfff84fff,0xffffffff,0xffffffff,0x00000005,0x00000000,
    0x00000000,0xffff8000,0xfffc805f,0x3ffa4fff,0xffa801ff,0x3fe6ffff,
    0xf8804fff,0xf93fffff,0x2000dfff,0x43fffffc,0x07fffffc,0x7fffffd4,
    0x00000003,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x16edc000,0x65d4c000,0x00abcded,0x376ea200,0x800009ac,0x09acecb9,
    0x6f665400,0x6e5440ab,0x555500ac,0x79db9305,0x86aaa603,0xc980adca,
    0xaaaa82cd,0x676e4c0a,0xaa98001b,0x55544009,0xa98002aa,0x3100aaaa,
    0x00135555,0x9ffffd00,0xffd93000,0xffffffff,0x7d4003bf,0xffffffff,
    0xfd88004f,0xffffffff,0x7ffe4403,0x51ffffff,0x3fffffff,0x44ffffd0,
    0xfffffffe,0x93fffc84,0x645fffff,0x744fffff,0xfd11ffff,0x09ffffff,
    0xfffffd30,0x3fe205ff,0x4000ffff,0x40fffffe,0xffffffeb,0x70000dff,
    0x01ffffff,0xfffffc80,0xffffffff,0x7ec403ff,0xffffffff,0x3001efff,
    0xfffffffd,0x201dffff,0xfffffff8,0xfffdffff,0x41ffffff,0xfa8ffffe,
    0xffffffff,0x5fffe46f,0x6ffffffb,0xfffffff7,0x4fffff47,0xfffffff9,
    0x3f206fff,0xffffffff,0xfffd80ef,0x3e6002ff,0xfd84ffff,0xffffffff,
    0xfc8001ff,0x002fffff,0x7fffffe4,0xffffffff,0xffd301ff,0xffffffff,
    0x805fffff,0xfffffffa,0xffffffff,0xfffff880,0xffffffff,0xffffffff,
    0x57ffff46,0xffffffff,0x3f23ffff,0xfffffdff,0xffffafff,0x3fa6ffff,
    0xffffbfff,0xffffffff,0xfffffc83,0x5fffffff,0x6fffffa8,0x3ffff200,
    0xffffd81f,0x6ffffffe,0xffffb800,0x7e4001ff,0xcabcdeff,0x6ffffffd,
    0xffffffd0,0xffffffff,0x3e201fff,0xabcfffff,0x5ffffffc,0x9abeff88,
    0xffffffeb,0xffffeaae,0x3fffffa1,0xffffffff,0x3f27ffff,0xfdffffff,
    0xdfffffff,0xfd1fffff,0xffffffff,0xffffffff,0xfffff98d,0xffffdbbd,
    0xfffff82f,0xffff000f,0x02b360df,0x03ffffb1,0xfffff880,0x0bdc8005,
    0x7ffffcc0,0x7fffd40f,0xca88acff,0x04ffffff,0x03dffffb,0x3fffffb1,
    0xff101d88,0x7c41ffff,0x3ffa4fff,0x9dffffff,0xffffffb8,0xdfffff91,
    0x3fffff61,0x3ffff91f,0x3ffffffa,0xffd11cff,0x7fec5fff,0xfffb82ff,
    0xffffc85f,0xfffa803f,0xf10003ff,0x10005fff,0x00009dfb,0x3fffea00,
    0x3fffe22f,0x3fee03ff,0x7cc0ffff,0x2201ffff,0x006fffff,0x85ffffc8,
    0x3fa6fffc,0x81ffffff,0x93fffffb,0x5c5fffff,0x2a3fffff,0xffd2ffff,
    0x303fffff,0x7c7fffff,0x3fe05fff,0xfff886ff,0xffd806ff,0x20000fff,
    0x0003ffff,0x20000000,0x23fffff8,0x04fffffb,0x3fffffd8,0x02ffffec,
    0x03ffffdc,0x27fffd40,0xfd3fffd4,0x205fffff,0x94fffff9,0xfb8dffff,
    0x7fd47fff,0xffffd3ff,0x7ffc05ff,0xffff14ff,0x3fffec05,0x1fffffd8,
    0x3ffffe20,0xeecb8805,0x03ffffff,0x00000000,0x27ffffc0,0x03fffffb,
    0x9fffff30,0x02fffff8,0x0fffffa8,0x7fffd400,0x0ffff982,0x07fffffd,
    0x95fffff8,0xfb85ffff,0x7fd43fff,0xffffd3ff,0xfffe807f,0x3ffff55f,
    0x07fffdc0,0x27ffffd4,0x5fffff70,0x7fffec40,0x3fffffff,0x00000000,
    0x3e666620,0x3fa4ffff,0x3e006fff,0x3e25ffff,0x999affff,0xffa99999,
    0x54002fff,0xf980ffff,0xfffd0fff,0xfffd00df,0x3ffff2bf,0x17fffdc1,
    0x74ffffea,0xc806ffff,0xff34eeee,0x7fe407ff,0x3fffe07f,0x3fffa07f,
    0x3ffa206f,0xffeeefff,0x777443ff,0xeeeeeeee,0xeeeeeeee,0x75c406ee,
    0xfffffffe,0x3fe4ffff,0x3a004fff,0x3e67ffff,0xffffffff,0xffffffff,
    0x97103fff,0xffffffdb,0xffffffff,0x3fffa3ff,0xfffe805f,0x3ffff95f,
    0x42ffffb8,0xfd3ffffa,0x8000dfff,0x205ffff8,0x3206ffff,0x882fffff,
    0x203fffff,0x40cffffc,0x7cc3ffff,0xffffffff,0xffffffff,0x9307ffff,
    0xffffffff,0x9fffffff,0x13ffffe2,0xfffffd80,0xffffff70,0xffffffff,
    0x07ffffff,0xfffffff7,0xffffffff,0x23ffffff,0x805ffffe,0xf95ffffe,
    0xffb83fff,0x7ffd42ff,0xdffffd3f,0xffff0000,0xffff301f,0x7fffc40b,
    0xffffb85f,0x3fffa00f,0x87ffff06,0xfffffff9,0xffffffff,0x87ffffff,
    0xfffffff9,0xffffffff,0xffff34ff,0x7fe4007f,0xfff90fff,0xffffffff,
    0xffffffff,0xffffe85f,0xffffffff,0xffffffff,0xffffd1ff,0xffffd00b,
    0x07ffff2b,0xa85ffff7,0xffd3ffff,0xb0000dff,0x319fffff,0x03fffff9,
    0x0fffffd8,0x02fffff4,0x2e1ffffa,0x7cc3ffff,0xffffffff,0xffffffff,
    0x7c47ffff,0xefffffff,0xffffcccd,0xfffff34f,0x7ffec009,0x3fffee7f,
    0xeeeeeeef,0xeeeeeeee,0x3ffffee1,0xffffdccd,0xcccccccc,0xffffd0cc,
    0xffffd00b,0x07ffff2b,0xa85ffff7,0xffd3ffff,0x10000dff,0xffffffff,
    0x009fffff,0x47fffff5,0x02fffff9,0x5effffec,0x3fffffeb,0x77777744,
    0xeeeeeeee,0x6eeeeeee,0x77fffff4,0x3ffffe01,0x17ffffe4,0x6ffffe80,
    0x03ffffea,0x3ffe2000,0x7ffd41ff,0x7ff4000f,0xffe805ff,0xffff95ff,
    0x2ffffb83,0xe9ffffd4,0x0006ffff,0xffffff70,0x01dfffff,0x9bffffe0,
    0x807ffffc,0xfffffffa,0x03ffffff,0xf8800000,0x400effff,0x3a4fffff,
    0x1006ffff,0x4cbfffff,0x002fffff,0x4ffff980,0x00ffffa8,0x2fffff40,
    0xafffff40,0x5c1ffffc,0x7d42ffff,0xfffd3fff,0x540000df,0xffffffff,
    0x7fe4003f,0xffff0fff,0x3ff2009f,0xfabfffff,0x000003ff,0xfffff980,
    0xfffff803,0x3fffff64,0xffffb801,0x3fffe23f,0xfa80004f,0xffa82fff,
    0x7f4002ff,0xfe805fff,0xfff95fff,0xffffb83f,0x9ffffd42,0x006ffffe,
    0xefecb800,0xf98001bc,0xffabffff,0x26001fff,0x910bceec,0x00000399,
    0xfffff700,0xffffd807,0x3ffff24f,0x7ff4405f,0x7ffc1fff,0x40001fff,
    0xb81ffffb,0x4005ffff,0x805ffffe,0xf95ffffe,0xffb83fff,0x7ffd42ff,
    0xdffffd3f,0x00000000,0x3ffffa00,0x06ffffde,0x80000000,0x4004efd8,
    0x06fffffa,0xffffffd1,0x7ffffc49,0xfffd105f,0xfff709ff,0x40001dff,
    0x4c3ffffb,0x00ffffff,0x17ffffa0,0x57ffffa0,0x5c1ffffc,0x7d42ffff,
    0xfffd3fff,0x000000df,0x3fea0000,0xffffffff,0x00000002,0x7ffffc40,
    0x3ffe2005,0xd711cfff,0x9fffffff,0xffffffc8,0xffecbace,0xfd00ffff,
    0x139fffff,0x21edb998,0x226ffffa,0xeffffffe,0x3fa2b880,0xfe805fff,
    0xfff95fff,0xffffb83f,0x9ffffd42,0x006ffffe,0xcccccc80,0xcccccccc,
    0x3ffe003c,0x07ffffff,0x33333320,0xcccccccc,0x3fee003c,0x2001ffff,
    0xfffffffe,0xffffffff,0x7fc44fff,0xffffffff,0x3fffffff,0x3ffffe60,
    0xffffffff,0x3e61ffff,0xffdfffff,0xffffffff,0x22ffedce,0x805ffffe,
    0xf95ffffe,0xffb83fff,0x7ffd42ff,0xdffffd3f,0xffff0000,0xffffffff,
    0x6400dfff,0xffffffff,0x3fffe004,0xffffffff,0x32006fff,0x02ffffff,
    0x3ffffe60,0xefffffff,0xa84ffffb,0xffffffff,0x4fffffff,0xfffffc80,
    0xffffffff,0x7fec1fff,0xcfffffff,0xfffffffa,0x3fa2ffff,0xfe805fff,
    0xfff95fff,0xffffb83f,0x9ffffd42,0x006ffffe,0xffffff80,0xffffffff,
    0x3fe6006f,0x01ffffff,0x3fffffe0,0xffffffff,0x3fee006f,0x4000ffff,
    0xfffffffc,0xff98dfff,0xffb104ff,0xffffffff,0x74c003df,0xffffffff,
    0x41ffffff,0xfffffff9,0x3ffff24f,0x22ffffff,0x805ffffe,0xf95ffffe,
    0xffb83fff,0x7ffd42ff,0xdffffd3f,0xffff0000,0xffffffff,0xe800dfff,
    0x06ffffff,0x7fffffc0,0xffffffff,0x7ff4006f,0xd30004ff,0x5dffffff,
    0x027fffcc,0x3fffffaa,0x0000ceff,0xffffffd7,0x017bffff,0x9fffffd1,
    0xffffff70,0x7ff43bff,0xffe805ff,0xffff95ff,0x2ffffb83,0xe9ffffd4,
    0x0006ffff,0x99999998,0x99999999,0x7ffdc000,0x4c003fff,0x99999999,
    0x00999999,0x016f6440,0x555d4400,0xa9800000,0x800001ab,0x09aabba9,
    0x006ea600,0x006aaeaa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x0aaaaaa6,0xaaaaa980,0x2aaaaa21,0xaaaaaaaa,
    0x550aaaaa,0x40003555,0x001aaaa9,0x00b3332a,0xeecb9800,0x388001bc,
    0x4000a800,0x000aaaa8,0x530032a0,0x00000000,0x01999971,0x9ddb7510,
    0xff300017,0x1009ffff,0x41ffffff,0xfffffff9,0xffffffff,0xfffb1fff,
    0x7dc0009f,0x32003fff,0x0003ffff,0xffffffa8,0x1001efff,0x7d4007fd,
    0x3fea000f,0xf10001ff,0xfd1019ff,0x2015c05d,0x322003d9,0x01ffffff,
    0x3fffff22,0x8004ffff,0x1ffffffb,0x7ffffec0,0x7ffffcc3,0xffffffff,
    0xf91fffff,0x4000bfff,0x002ffffc,0x00fffff2,0xffffd880,0xffffffff,
    0x7fff4404,0xffffa803,0xffff3000,0x3ff60001,0xfffc85ff,0x07ffdc4f,
    0x007ffecc,0x3fffff22,0xff501fff,0xffffffff,0xfb0009ff,0x5c0dffff,
    0x985fffff,0xffffffff,0xffffffff,0xffff51ff,0x7fec000d,0x3f2001ff,
    0x30003fff,0x157dffff,0xdfffd951,0xffffd101,0x7ffd407f,0xf98186ff,
    0xa80307ff,0x540fffff,0x360fffff,0xfe85ffff,0x3ee05fff,0xffffffff,
    0xffff101f,0xffffffff,0xff88005f,0xf884ffff,0x980fffff,0xffffffff,
    0xffffffff,0xffff30ff,0x7ff4000f,0x3f2000ff,0xd0003fff,0x33339fff,
    0x05fffc83,0x7ffffff9,0xffffff50,0x220df883,0x7ec47fff,0xfffff100,
    0xfffff887,0x7ffffcc2,0x7ffffcc2,0xfffff302,0x403fffff,0xfdbdeffb,
    0x003fffff,0xffffffa8,0x7ffffec1,0x55555102,0xff955555,0x7c49ffff,
    0x0000ffff,0x800fffff,0x003ffffc,0xf99fffb8,0x51dfffff,0x3f205fff,
    0x2a3fffff,0x81ffffff,0x3fe1effd,0x13ffea6f,0x42ffffec,0x705ffffd,
    0xb81fffff,0xd00fffff,0xffff7dff,0x982c803f,0x005fffff,0xdfffff90,
    0x3ffffee1,0xfe880004,0xff85ffff,0xf0001fff,0xc800dfff,0x4003ffff,
    0xff33fff9,0x21ffffff,0xf900fffc,0xf57fffff,0x303fffff,0x3e7fffff,
    0xffff95ff,0xffffa81f,0x7fffdc0f,0x3fff600e,0xffffe85f,0x3e25d505,
    0x0001ffff,0x09fffff3,0x7ffff400,0xfffff8cf,0xfd80000e,0xe80fffff,
    0x74c2ffff,0x7fc41eee,0x7e4005ff,0x64003fff,0x37fe66ff,0x3a3fffa9,
    0x3ff203ff,0xffffffff,0xfff901ff,0xdfffbfff,0x5ffffffd,0x17ffffc4,
    0x07ffffe2,0x5fffff10,0x2fffff98,0xfffff880,0xfffb0001,0x4c0005ff,
    0xfeffffff,0x0001ffff,0xffffffb8,0x7ffffb01,0x44ffffc8,0x003ffff9,
    0x01ffffe4,0xf98bffa0,0xb93ff24f,0x7fe405ff,0xffffffff,0x7ffe4401,
    0xffffffff,0x7e40cfff,0xffd85fff,0xff5004ff,0xffb81fff,0xff8806ff,
    0xb8001fff,0x006fffff,0xfffffb80,0x004fffff,0xfffff980,0x3fff203f,
    0x7ffff44f,0x17fffd47,0xddddddd1,0xddfffffd,0x8ddddddd,0x3fe60fff,
    0xf98bffa4,0xfffc806f,0x001fffff,0x3fffff22,0x80bfffff,0x41fffff8,
    0x007ffffa,0x42ffffec,0x404ffffe,0x01fffff8,0x7ffffdc0,0xfb00001f,
    0xdfffffff,0xfff10000,0xfa80bfff,0x3fe65fff,0x3ee1ffff,0x3fe61fff,
    0xffffffff,0xffffffff,0x3fe67fff,0x7f7ffcc7,0x7ffc45ff,0xffffd800,
    0xd10004ff,0x1bffffff,0x4ffffd80,0x03ffffe8,0x3ffffe20,0x7ffffd41,
    0x3fffe200,0x3ff2001f,0x0001ffff,0x3ffffe20,0x80001fff,0x0efffffe,
    0x37fffcc0,0x9ffffff9,0x307fffe4,0xffffffff,0xffffffff,0x54ffffff,
    0x7ffcc5ff,0xfff02fff,0xffffb803,0x2003ffff,0xffffffc8,0x100bffff,
    0x985fffff,0x001fffff,0xd09ffffb,0x8807ffff,0x001fffff,0x3dfffffb,
    0xffb00000,0x000dffff,0xffffff90,0xffff1003,0x7fffff4f,0x1ffff27f,
    0xfffffff3,0xffffffff,0x4fffffff,0x7fcc7ff9,0x440fffcd,0x3ea00fff,
    0xffffffff,0x7fe4c03f,0xffffffff,0xb80cffff,0x640fffff,0xb806ffff,
    0x640effff,0x8806ffff,0x401fffff,0xdfffffd8,0xfa800000,0x4fffffff,
    0x3ffea000,0x3e002fff,0xff98ffff,0xb2ffffff,0xee88dfff,0xffeeeeee,
    0xeeeeefff,0x7ffc6eee,0x7e53fe60,0x037fcc4f,0xfffffff5,0x207fffff,
    0xdffffffc,0xfffeeffe,0xffe83fff,0xfffe85ff,0x3ffe204f,0x7ffcc1ff,
    0xff8801ff,0x3a201fff,0x003fffff,0xffff3000,0x05ffffff,0xfffff100,
    0xffe8009f,0xdfffb9ff,0xfff5ffff,0xff9000bf,0xfe8007ff,0x4d3fe62f,
    0x3fee0fff,0xfffff505,0xfffff93f,0xffff307f,0x657ffe7f,0x980fffff,
    0x4c2fffff,0xd02fffff,0xfd09ffff,0x99109fff,0xfffffb99,0x3a23999b,
    0xffffffff,0x002fffff,0x3fffffa0,0x00ffffff,0x3ffffa20,0xffd8006f,
    0xbfffeaff,0xff8ffffd,0xfc8004ff,0x64003fff,0x93fe66ff,0xfff13ffd,
    0xfffff507,0x7fffe43f,0xeffd83ff,0xfa9bffe1,0x3ff204ff,0x7fdc0fff,
    0x7fe40fff,0xfffc86ff,0xffff106f,0xffffffff,0x3ffee5ff,0xffffffff,
    0x90002fff,0xfd9fffff,0x400bffff,0x0ffffffd,0xffffc800,0xfa8ffffc,
    0xffffbfff,0xfffc8003,0x7fc4003f,0x549ff33f,0x1dffb7ff,0xffffffa8,
    0xfffffc81,0x222fc43f,0x7ec47fff,0x7ffff400,0x4ffffe85,0x07ffffe6,
    0x03fffff3,0x3fffffe2,0xffffffff,0xffffff72,0xffffffff,0xfff50005,
    0x3ffe6dff,0xfb803fff,0x001fffff,0xffffff70,0x3ffe2dff,0x01ffffff,
    0x3ffffc80,0xafffb800,0x55541aa8,0x7c41fffc,0x201fffff,0x85fffffc,
    0x07fff881,0x9fff3003,0x85dff301,0xe83ffffd,0x2204ffff,0xffffffff,
    0x72ffffff,0xffffffff,0x05ffffff,0xfffff880,0x3fffee1f,0x3fe601ff,
    0x0003ffff,0x3fffffe6,0x3fff63ff,0x000fffff,0x03ffffc8,0x1bfffb00,
    0x27ffec40,0x01ffff98,0x005fffc8,0x003fffe6,0x5c00cc80,0x41bfaa02,
    0x4406ffd8,0xcccccccc,0x31cccccc,0x99999999,0x03999999,0xfffffe80,
    0xfffffe84,0xfffff106,0xffffffff,0x885fffff,0xffffffff,0x3ffffea1,
    0xf90007ff,0x20007fff,0xbdffffe8,0xffffdba9,0x07fe600d,0x4005fc80,
    0x001ffffa,0x2e000000,0x000ecc00,0x00000000,0xfffff900,0x3fffe60d,
    0xfffc84ff,0xffffffff,0x2fffffff,0xfffffff8,0x7ffffc46,0xf90006ff,
    0x80007fff,0xfffffffc,0x003fffff,0x00700033,0x01555510,0x00000000,
    0x00000000,0xa8000000,0x01ffffff,0x3fffffee,0x7ffffe42,0xffffffff,
    0xe82fffff,0x84ffffff,0x5ffffffd,0xffff9000,0xfd300007,0xdfffffff,
    0x00000001,0x00000000,0x00000000,0x00000000,0x3ffe2000,0xfe804fff,
    0x320fffff,0xffffffff,0xffffffff,0xfffd82ff,0xffa81fff,0x0004ffff,
    0x005dddd7,0x6edd4400,0x0000009b,0x00000000,0x00000000,0x00000000,
    0x7f400000,0x1006ffff,0x4bffffff,0xfffffffc,0xffffffff,0xffc82fff,
    0xff106fff,0x0007ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x03750000,0x6f76e540,0x7e40002c,
    0x33001fff,0x33333333,0x33333333,0x2aaaaa13,0x2aaaa20a,0xddddd71a,
    0xdddddddd,0x09dddddd,0x00b3b72a,0x55554c00,0x000002aa,0x55555554,
    0x01eecc00,0x930039b7,0x99999999,0x00003999,0xffd10000,0x7f4c03df,
    0xefffffff,0xfff98001,0xfff006ff,0xffffffff,0xffffffff,0x3fffff6b,
    0x3ffffea0,0xffffff94,0xffffffff,0x88bfffff,0xeffffffe,0x04cccc01,
    0x7fffffe4,0xfb000004,0x807fffff,0xd84ffffa,0x5c01ffff,0xffffffff,
    0xfff2ffff,0xffffffff,0xffffffff,0x0dffffff,0x3ffffff6,0xfffffa80,
    0x2fffffff,0x7ffff400,0xfff803ff,0xffffffff,0xffffffff,0x1fffff95,
    0x9fffffcc,0xfffffffc,0xffffffff,0x3a25ffff,0xffffffff,0x3fffe02f,
    0xfffff504,0xd800009f,0x01efffff,0x0fffffe8,0x13ffffe6,0xffffff70,
    0x25ffffff,0xffffffff,0xffffffff,0xffffffff,0xffff886f,0x7fc44fff,
    0xffffffff,0x5000ffff,0xffffffff,0xfffff801,0xffffffff,0x95ffffff,
    0xf98fffff,0xff93ffff,0xffffffff,0xffffffff,0x7fffecbf,0x3fffffff,
    0x04ffff88,0x3fffffa2,0xffb00004,0x2001bfff,0x21ffffff,0x06fffffa,
    0x7fffffdc,0xf2ffffff,0xffffffff,0xffffffff,0xffffffff,0xfffff30d,
    0xfffd8fff,0xfea889ef,0xf8805fff,0xffffbfff,0x7ffffc04,0xffffffff,
    0x75ffffff,0xf88fffff,0xdd72ffff,0xdddddddd,0xfffddddd,0x3fffe2bf,
    0xffffffff,0x7fffd43f,0xffffc803,0x7ec0004f,0x4003ffff,0x447ffffd,
    0x404fffff,0xaaaaaaa9,0xff0aaaaa,0xffffffff,0xffffffff,0xdfffffff,
    0x3fffffe0,0xffff10ff,0x3fffe20d,0x6fffc807,0x403ffff7,0x99999999,
    0x99999999,0xfff70999,0xfffff0df,0xff100005,0x3ffeebff,0xfffc88df,
    0xffbadfff,0xf5001fff,0x0009ffff,0x07bffff6,0x3fffa200,0x0efffb82,
    0x2aa00000,0xaaaaaaaa,0xaaaaaaaa,0x2aaaaaaa,0xffffff70,0x3fffea3f,
    0x3ffffa02,0x3fffe601,0x01bfffa1,0xff500000,0xffff0dff,0xf100003f,
    0x3ff2bfff,0x7ffd40ff,0xffffffff,0x6644006f,0x54001ccc,0x000ccccc,
    0x53005540,0x00000005,0x90000000,0x21ffffff,0x201ffffb,0x202ffffb,
    0x7d45fffd,0x00003fff,0x3fffea00,0x1fffff85,0xfff88000,0x0dfffb5f,
    0x3fffffea,0x002fffff,0x00000000,0x00000000,0x00000000,0xfffe8000,
    0x3ffff27f,0x3fffea01,0x3ffff502,0x01ffffd0,0x3e600000,0xffe85fff,
    0x880000ff,0xffd5ffff,0x7ffcc0df,0x04ffffff,0x00000000,0x00000000,
    0x00000000,0xffb00000,0x7ffd4bff,0x3fff604f,0x9fffd01f,0x17fffe60,
    0x26666666,0x99999999,0xff309999,0xfffd09ff,0x3e20000f,0x10005fff,
    0x7ffffffb,0x00000000,0x00000000,0x00000000,0x74000000,0x3e64ffff,
    0xff106fff,0x3ff20fff,0x3ff600ff,0x7fffc2ff,0xffffffff,0x5fffffff,
    0xb09ffff1,0x0000ffff,0x017fffe2,0x03795100,0x00000000,0x00000000,
    0x00000000,0xf9800000,0x3e20efff,0x6c44ffff,0xf885ffff,0x7c403fff,
    0x7ffc6fff,0xffffffff,0xffffffff,0x07ffff15,0x000ffffb,0x004cccc0,
    0x00000000,0x00000000,0x00000000,0x00000000,0xffffb880,0xffffb81f,
    0xffffeeff,0xfffd80ff,0xffff7006,0x7fffffc7,0xffffffff,0x005fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xffecc880,
    0x3604ffff,0xffffffff,0xfa83ffff,0xf1002fff,0x3fe1ffff,0xffffffff,
    0xffffffff,0x0000005f,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf8800000,0x3fffffff,0x7fffe440,0x02ffffff,0x80099997,0x332cccca,
    0x33333333,0x33333333,0x00000013,0x00000000,0x00000000,0x00000000,
    0x00000000,0xf1000000,0x019fffff,0x7fff6cc0,0x00000bef,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xbdf10000,
    0x30000159,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ffffe20,0xffffffff,0x00000007,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x7fc40000,0xffffffff,0x00007fff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0xfffffff8,0x07ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7fffc400,0xffffffff,
    0x0000007f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7c400000,0xffffffff,0x0007ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__consolas_bold_47_latin1_x[224]={ 0,9,5,0,2,0,0,9,6,5,3,1,4,5,
8,1,1,2,2,3,0,3,2,2,2,1,8,5,2,3,4,6,0,0,2,1,1,4,4,1,2,3,3,2,
4,1,2,0,3,0,2,2,1,1,0,0,0,0,2,6,2,6,1,0,0,2,3,3,1,2,0,1,3,3,
2,3,3,1,3,1,3,1,4,3,1,3,0,0,0,0,3,3,10,4,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,9,2,1,0,0,
10,2,0,0,4,2,2,5,1,0,4,2,5,5,0,3,1,8,9,5,4,2,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,3,3,0,0,
0,0,0,0,0,3,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,3,0,
 };
static signed short stb__consolas_bold_47_latin1_y[224]={ 34,1,1,4,-1,1,1,1,-1,-1,1,10,25,19,
25,1,3,3,3,3,4,4,4,4,3,3,10,10,8,14,8,1,1,4,4,3,4,4,4,3,4,4,4,4,
4,4,4,3,4,3,4,3,4,4,4,4,4,4,4,0,1,0,4,38,1,10,1,10,1,10,1,10,1,0,
0,1,1,10,10,10,10,10,10,10,3,10,10,10,10,10,10,0,-4,0,16,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,34,10,-1,3,4,4,
-4,1,1,3,3,12,19,19,1,2,1,5,1,1,1,10,1,16,34,1,3,11,1,1,1,10,-5,-5,-5,-5,
-5,-6,4,3,-5,-5,-5,-5,-5,-5,-5,-5,4,-5,-5,-5,-5,-5,-5,11,-1,-5,-5,-5,-5,-5,4,1,1,1,
1,1,1,-2,10,10,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,9,5,1,1,1,1,1,1,1,
 };
static unsigned short stb__consolas_bold_47_latin1_w[224]={ 0,8,16,25,22,26,27,8,15,15,20,24,14,16,
10,23,24,22,22,21,25,21,23,22,22,23,10,13,20,20,20,17,26,26,23,23,24,19,18,23,22,20,18,24,
19,24,22,25,21,27,23,22,24,23,26,26,26,26,22,14,23,13,23,26,16,21,22,20,22,22,25,24,20,21,
19,22,21,24,20,24,22,22,20,20,22,20,26,26,26,26,20,18,6,19,24,24,24,24,24,24,24,24,24,24,
24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,24,0,8,20,23,25,26,
6,23,21,26,17,21,21,16,24,20,18,22,16,16,24,22,23,10,8,16,18,22,26,26,26,17,26,26,26,26,
26,26,26,23,23,23,23,23,23,23,23,23,25,24,25,25,25,25,25,22,25,24,24,24,24,26,21,22,23,24,
23,23,23,23,26,20,24,24,24,24,24,25,24,24,23,23,25,25,25,25,25,24,24,23,24,23,23,26,22,26,
 };
static unsigned short stb__consolas_bold_47_latin1_h[224]={ 0,34,13,30,41,34,34,13,45,45,21,23,18,5,
10,38,32,31,31,32,30,31,31,30,32,31,25,33,27,15,27,34,43,30,30,32,30,30,30,32,30,30,31,30,
30,30,30,32,30,40,30,32,30,31,30,30,30,30,30,44,38,44,15,6,10,25,34,25,34,25,33,34,33,34,
44,33,33,24,24,25,34,34,24,25,32,25,24,24,24,34,24,44,48,44,11,30,30,30,30,30,30,30,30,30,
30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,30,0,34,41,31,30,30,
48,39,10,32,24,20,12,5,23,9,17,29,19,19,10,34,39,10,7,19,24,20,33,33,33,34,39,39,39,39,
39,40,30,38,39,39,39,39,39,39,39,39,30,39,40,40,40,40,40,21,40,40,40,40,40,39,30,34,34,34,
34,34,34,37,25,31,34,34,34,34,33,33,33,33,34,33,34,34,34,34,34,25,34,34,34,34,34,43,43,43,
 };
static unsigned short stb__consolas_bold_47_latin1_s[224]={ 248,239,80,126,22,224,117,242,31,15,149,
76,1,1,242,76,170,94,71,125,202,49,160,24,147,117,244,190,171,59,150,
70,185,73,218,25,152,106,232,1,1,228,141,1,47,67,26,76,169,70,49,
102,177,25,191,100,142,115,92,81,28,67,35,229,144,26,24,234,197,73,179,
145,158,196,96,205,228,144,123,48,47,1,169,213,195,192,209,49,1,138,28,
116,1,47,119,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,
81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,81,248,242,1,
1,206,54,8,76,186,49,236,170,97,1,101,208,16,127,232,239,161,1,131,
239,239,215,190,192,104,131,1,24,1,175,100,202,104,77,1,52,155,179,203,
227,52,1,127,151,28,229,98,124,51,150,176,126,202,228,1,26,45,25,184,
74,1,25,50,220,97,100,96,218,174,149,124,199,204,28,79,54,121,229,171,
88,170,42,145,1,165,114,92,68,218,158,135,212, };
static unsigned short stb__consolas_bold_47_latin1_t[224]={ 1,1,561,417,50,173,248,448,1,1,536,
536,561,580,462,173,352,385,385,352,417,385,385,448,352,385,248,283,479,561,479,
283,1,479,448,352,417,417,385,352,448,417,385,479,448,448,479,352,448,50,479,
352,417,385,448,479,448,448,448,1,173,1,561,561,561,510,283,479,248,510,318,
213,318,213,1,318,318,510,510,510,283,248,510,479,352,479,510,536,536,283,536,
1,1,1,561,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,
417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,417,1,213,50,
385,385,417,1,133,561,352,510,536,561,580,536,561,561,479,536,352,561,283,92,
372,36,536,510,536,318,318,318,248,173,133,133,133,92,92,417,173,92,92,92,
92,133,133,133,133,417,133,50,50,92,50,50,536,50,50,92,92,50,133,385,
213,213,213,213,248,213,173,510,352,173,173,173,173,283,318,318,318,213,283,248,
283,213,248,248,510,283,283,248,248,213,1,1,1, };
static unsigned short stb__consolas_bold_47_latin1_a[224]={ 413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,413,
413,413,413,413,413,413,413,413, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_47_latin1_BITMAP_HEIGHT or STB_FONT_consolas_bold_47_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_47_latin1(stb_fontchar font[STB_FONT_consolas_bold_47_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_47_latin1_BITMAP_HEIGHT][STB_FONT_consolas_bold_47_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_47_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_47_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_47_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_47_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_47_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_47_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_47_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_47_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_47_latin1_s[i] + stb__consolas_bold_47_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_47_latin1_t[i] + stb__consolas_bold_47_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_47_latin1_x[i];
            font[i].y0 = stb__consolas_bold_47_latin1_y[i];
            font[i].x1 = stb__consolas_bold_47_latin1_x[i] + stb__consolas_bold_47_latin1_w[i];
            font[i].y1 = stb__consolas_bold_47_latin1_y[i] + stb__consolas_bold_47_latin1_h[i];
            font[i].advance_int = (stb__consolas_bold_47_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_47_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_47_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_47_latin1_s[i] + stb__consolas_bold_47_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_47_latin1_t[i] + stb__consolas_bold_47_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_47_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_47_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_47_latin1_x[i] + stb__consolas_bold_47_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_47_latin1_y[i] + stb__consolas_bold_47_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_47_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_47_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_47_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_47_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_47_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_47_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_47_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_47_latin1_LINE_SPACING
#endif

