// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_consolas_bold_49_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_consolas_bold_49_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_consolas_bold_49_latin1_BITMAP_WIDTH         256
#define STB_FONT_consolas_bold_49_latin1_BITMAP_HEIGHT        633
#define STB_FONT_consolas_bold_49_latin1_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_consolas_bold_49_latin1_FIRST_CHAR            32
#define STB_FONT_consolas_bold_49_latin1_NUM_CHARS            224

#define STB_FONT_consolas_bold_49_latin1_LINE_SPACING          32

static unsigned int stb__consolas_bold_49_latin1_pixels[]={
    0x33066666,0x22000333,0x00004c02,0x001800c0,0x166dc000,0x00988000,
    0x777775c0,0x95eeeeee,0xdddddddd,0x2000bddd,0x94eedca9,0x00359bdd,
    0x3ae00000,0x40deeeee,0x00eeeeeb,0xdddd9000,0xfffff39d,0x3ffffe61,
    0x1ff44000,0x0000ff98,0x205fff70,0x0002fffb,0x7ffff440,0xffb70004,
    0x80179dff,0xfffffffc,0xffb6ffff,0xffffffff,0xfd8800df,0xfd5fffff,
    0x01bfffff,0x7dc00000,0x80efffff,0x00fffffc,0xffffb000,0xfffff39f,
    0x3ffffe61,0x3ffa2000,0x7fffcc3f,0x7fd40000,0x7fd41fff,0x00001fff,
    0x3ffffff2,0x3ffa6001,0xffffffff,0x3ffff201,0x6fffffff,0xfffffffb,
    0x400dffff,0xfffffffb,0xfffffd5f,0x00007fff,0xfffff700,0x7ffe409f,
    0x900000ff,0xf39fffff,0x3e61ffff,0x1000ffff,0x25fffffd,0x1ffffff9,
    0x3fff6000,0x7ffec4ff,0x200004ff,0x3ffffffe,0xfffff700,0xffffffff,
    0x3ffff203,0x6fffffff,0xfffffffb,0x200dffff,0xfffffff9,0xffffd5ff,
    0x003fffff,0x7ffdc000,0x7e402fff,0x0000ffff,0x7fffff90,0x21fffff3,
    0x00fffff9,0xfffffe88,0x7fffff45,0xffb0001f,0xffd89fff,0x00004fff,
    0x3ffffffe,0xffffd803,0xffffffff,0xcca81fff,0xfffecccc,0xdffffb6f,
    0x07999999,0x3fffffa0,0xb973cdef,0xbffffffd,0x3ee00000,0x800effff,
    0x00fffffc,0xffff7000,0xfffff37f,0x3ffffe61,0xffffd800,0xfffe886f,
    0xa8000fff,0x5c2fffff,0x002fffff,0x3ffff600,0x7fdc01ff,0x730adfff,
    0x00fffffd,0xb6ffffb8,0x0009ffff,0xefffffa8,0xfffd3001,0x800005ff,
    0x04fffffb,0x3fffff20,0xff700000,0xfff35fff,0x3ffe61ff,0x7fdc00ff,
    0xd100efff,0x00bfffff,0x413fff20,0x0004fffc,0x7ffffc40,0x7fffcc04,
    0x3ffa204f,0x3ee002ff,0xfffb6fff,0xfc80009f,0x4000ffff,0x04fffff8,
    0x2aaa2000,0x7e4001aa,0x0000ffff,0x5fffff50,0x21fffff3,0x00fffff9,
    0x3bffffe6,0x7fff4400,0x510002ff,0x000a8801,0x5bd91000,0xfffff880,
    0xffff9803,0x3ffee005,0x9ffffb6f,0xfffd8000,0xff90004f,0x00000bff,
    0xfff90000,0x200001ff,0x99fffffa,0xf30fffff,0x7401ffff,0x001fffff,
    0x1ffffff3,0x00000000,0x64000000,0x2005ffff,0x000ffffb,0x36dffff7,
    0x0004ffff,0x017ffff4,0x6ffffb80,0x00000000,0x0fffffc8,0xfff30000,
    0xffff33ff,0x3fffe61f,0xffff900f,0xffc8009f,0x00005fff,0x00000000,
    0xfffff100,0x7ffc4001,0xfff7003f,0x3ffff6df,0x7ffc0004,0xf30001ff,
    0x5100ffff,0x00055555,0x42aaaaaa,0x40fffffc,0x00abdcb8,0x47ffffcc,
    0x30fffff9,0x301fffff,0x00dfffff,0xffffff10,0x55555105,0x2aaa0005,
    0x2aa20aaa,0xaaaaaaaa,0x02aaaaaa,0x007ffff7,0x00dfffd0,0x6dbfffee,
    0x0004ffff,0x03ffffe2,0x7fffcc00,0xffff8807,0x7c4002ff,0xf90fffff,
    0x7fd4ffff,0x04ffffff,0x23ffffe2,0x30fffff9,0x901fffff,0x005fffff,
    0x3ffffea0,0xfffff886,0x7fc4002f,0x3ea0ffff,0xffffffff,0xffffffff,
    0x06ffff80,0x1ffff900,0xdffff700,0x013ffff6,0xfffff880,0xfff30000,
    0x3ff600ff,0x5c005fff,0x325fffff,0xff77ffff,0xffffffff,0x3fffe20b,
    0x1fffff37,0x03ffffe6,0x0bfffff1,0xffffd800,0xffffd81f,0x7fdc005f,
    0x7fd45fff,0xffffffff,0x0fffffff,0x21ffffd4,0xb99bcba8,0x0ffffaac,
    0x6ffffb80,0x009ffffb,0x7ffffc40,0xfff30000,0x3fea00ff,0x2000ffff,
    0x22fffffe,0xfcfffffc,0xffffffff,0x33305fff,0x3fffe633,0xfffff30f,
    0xfffffb81,0x7fcc0001,0xffa84fff,0x2000ffff,0x42fffffe,0xfffffffa,
    0xffffffff,0x7fff40ff,0x3fffea0f,0xf9bfffff,0xfb801fff,0xfffb6fff,
    0x7c40009f,0x0000ffff,0x00fffff3,0x1ffffffc,0xfffff880,0x7ffffe47,
    0xffffffff,0x01ffffff,0x3ffffe60,0x1fffff30,0x07ffffe8,0xfffff000,
    0x3ffffe0f,0xfff1003f,0xfff50fff,0xffffffff,0x41ffffff,0x2e5ffff8,
    0xffffffff,0xffff9aff,0xffffb802,0x09ffffb6,0x7fffc400,0xff10000f,
    0x2e001fff,0x006fffff,0x89fffff7,0xfffffffc,0xffcaadff,0xfc85ffff,
    0xfff9dfff,0xffff30ff,0x7fffcc1f,0xf900004f,0xf705ffff,0x200dffff,
    0x84fffffb,0x99999998,0xfffe9999,0x3ffea0ff,0xfffff12f,0x13ffffff,
    0x7007ffff,0x3f6dffff,0x20004fff,0x007ffff9,0x3ffffe20,0xffff1001,
    0xffd001ff,0xffc81fff,0x80efffff,0x1ffffffb,0x4d7fffec,0xf30fffff,
    0x7e41ffff,0x0001ffff,0xbfffff30,0xffffff10,0xffffd001,0xfd00001f,
    0x7dc1ffff,0xfff90fff,0xfffffbff,0x07ffff11,0x2dffff70,0x004ffffd,
    0x1ffffee0,0xfffff000,0x7ffec007,0x7fcc03ff,0xffc85fff,0x200effff,
    0x44fffffe,0xff37ffff,0x3fe61fff,0x3ff60fff,0x400006ff,0xb06fffff,
    0x807fffff,0x05fffff9,0xffffd000,0xbfffec1f,0xd1fffff8,0x7ffcffff,
    0xfffb804f,0x9ffffb6f,0x7fff4000,0x7ec0005f,0x5000ffff,0x80dfffff,
    0x82fffffc,0x1ffffffc,0x7ffffdc0,0x53fffe65,0x30fffff9,0x741fffff,
    0x0005ffff,0x3ffffec0,0x6fffffa8,0x7ffffe40,0xffd00002,0x7ffc1fff,
    0x9ffff55f,0xff3ffffc,0xff7009ff,0x3fff6dff,0x7544004f,0x002fffff,
    0x7ffffd40,0xfff801ae,0x3fe01fff,0xff907fff,0xf3005fff,0x7d4dffff,
    0xfff31fff,0x3ffe61ff,0x3fffe0ff,0x6400004f,0xf00fffff,0x403fffff,
    0x007fffff,0x3ffffa00,0x9ffff30f,0xf87ffff2,0x3ffe6fff,0xfffb804f,
    0x9ffffb6f,0xfffff500,0x000bffff,0x3fffff60,0xf902ffff,0x2a09ffff,
    0x904fffff,0x001fffff,0x4ffffff1,0x3226fffc,0xff30cccc,0x3fe21fff,
    0x00003fff,0x0fffffdc,0x4fffffc8,0x9fffff50,0x7ff40000,0xfff50fff,
    0x9ffffa5f,0x3e5ffff8,0xfb803fff,0xfffb6fff,0xfff5009f,0x007dffff,
    0xfffeb800,0xf102ffff,0x360fffff,0x901fffff,0x001fffff,0x43fffffe,
    0x2003fffe,0x30fffff9,0x005fffff,0xffffa800,0xffff102f,0x3fff60ff,
    0x200001ff,0x50fffffe,0x3fe3ffff,0x3ffe26ff,0x0ffffe5f,0x5bfffee0,
    0x804ffffd,0xdffffffa,0xa8800002,0x2ffffffe,0x3fffff60,0x7ffffc42,
    0x3ffff206,0xffff000f,0x300001ff,0x2a1fffff,0x002fffff,0x7fffcc00,
    0x3fff603f,0x7ffc42ff,0x400006ff,0x70fffffe,0xff11ffff,0x7ffccbff,
    0x5ffff14f,0xdffff700,0x013ffff6,0x3fffffea,0x00000eff,0xffffffd3,
    0x7fd405ff,0x7fd45fff,0x3f203fff,0xf000ffff,0x000fffff,0x3ffffe60,
    0x3fffff70,0xff880000,0x3ea03fff,0x7d45ffff,0x0003ffff,0x7fffff40,
    0x11ffff70,0x7d4bffff,0xfff13fff,0xfff7005f,0x3ffff6df,0xfdcc9804,
    0x00ffffff,0x7fffc400,0x01ccdeff,0x07fffffc,0x01fffffd,0x07ffffe4,
    0x7ffffc40,0xff300006,0x3fea1fff,0x00002fff,0x17ffffcc,0x3fffffe0,
    0x3fffffa0,0x7f400000,0xff90ffff,0x3fffe6ff,0x4bfffee4,0x801ffff9,
    0xfb6ffffb,0x20009fff,0x03fffffc,0x7fffe400,0xffc8003f,0xfff13fff,
    0xffc809ff,0xf9800fff,0x0005ffff,0x1fffff30,0x0fffffe6,0xfff50000,
    0xffc803ff,0xfff13fff,0x000009ff,0x21fffffd,0xff37fffd,0x7ffdc9ff,
    0x1ffff51f,0xdffff700,0x013ffff6,0x6ffffe80,0x7fffc000,0xff30004f,
    0x3feebfff,0x7e401fff,0xc800ffff,0x003fffff,0xfffff300,0x3ffffe21,
    0x7dc00004,0x4c00ffff,0xf75fffff,0x0003ffff,0xfffffd00,0x4dffff61,
    0x3f24ffff,0xfff91fff,0x3ffee00d,0x9ffffb6f,0x7ffd4000,0x7fc0007f,
    0x20001fff,0xe8fffffd,0xc806ffff,0x400fffff,0x2ffffff8,0xfff30000,
    0x7fffc1ff,0x6400005f,0xb007ffff,0xfd1fffff,0x0000dfff,0x3fffffa0,
    0x22ffff90,0x3fa4ffff,0xfffd0fff,0x3ffee009,0x9ffffb6f,0x7ffcc000,
    0xf10000ff,0x0001ffff,0x6fffffd4,0x803fffff,0x00fffffc,0x7fffffe4,
    0xff300000,0x7ff41fff,0x400006ff,0x006ffffd,0xfbfffff5,0x0007ffff,
    0x3ffffa00,0x1ffff90f,0x7dd7fffe,0xff99ffff,0xff7002ff,0x3fff6dff,
    0x3e20004f,0x0000ffff,0x00fffff3,0xffffff00,0x001fffff,0x01fffff9,
    0x7fffffe4,0x33322002,0xffff30cc,0x7fffec1f,0x3e00001f,0x2005ffff,
    0xffffffff,0x00000fff,0x1fffffd0,0x7c3fffee,0xfffdffff,0xffffdfff,
    0x3ffee007,0x9ffffb6f,0x7ffc4000,0xf30000ff,0x0000ffff,0xfffffff9,
    0x3f200bff,0x99bdffff,0xfffffeb9,0x7fcc005f,0xfff30fff,0x7ffdc1ff,
    0x500004ff,0x007fffff,0x7fffffe4,0x00005fff,0x3fffffa0,0x23ffff50,
    0xfffffffc,0xffffffff,0x3fee003f,0xffffb6ff,0x7fc40009,0x30000fff,
    0x000fffff,0xffffff30,0x32005fff,0xffffffff,0xffffffff,0x7cc000ff,
    0xff30ffff,0x7fc41fff,0x00007fff,0x01fffffb,0x7ffffcc0,0x0002ffff,
    0x3ffffa00,0x5ffff30f,0x3fffffe6,0xffffffbf,0x7fdc005f,0xffffb6ff,
    0x7fc40009,0x30000fff,0x000fffff,0x3fffffa0,0x3f2006ff,0xffffffff,
    0xefffffff,0xfff98001,0xffff30ff,0xffffd81f,0x7c40001f,0x8004ffff,
    0xfffffffe,0x74000006,0xf30fffff,0x7fdc5fff,0xfff92fff,0xf7000dff,
    0x3ff6dfff,0x220004ff,0x000fffff,0x0fffff30,0x3ffea000,0x2002ffff,
    0xfffffffc,0xffffffff,0x3fe60003,0xfff30fff,0xfffa81ff,0x5c0005ff,
    0x001fffff,0xffffffa8,0x4000002f,0x10fffffe,0xda8bffff,0x5eed41be,
    0xfff70001,0x3ffff6df,0x3fe20004,0x30000fff,0x000fffff,0x7fffffc0,
    0x7ffe4006,0xffffffff,0x40000cef,0x30fffff9,0xf01fffff,0x003fffff,
    0x3ffffe20,0x3ffe0006,0x00006fff,0xfffffe80,0x03ffffe0,0x2e000000,
    0xffb6ffff,0x440009ff,0x001fffff,0x0fffff30,0x3ffe2000,0x64003fff,
    0xa99fffff,0x4000009a,0x30fffff9,0x701fffff,0x00dfffff,0x3fffff20,
    0xfff10003,0x00007fff,0xffffff00,0x02ffffc8,0xfb800000,0xfffb6fff,
    0xff80009f,0x50001fff,0x000fffff,0x3fffff20,0xfffc8007,0x000000ff,
    0x0fffff98,0x01fffff3,0x0ffffffa,0xfffff300,0x7fe4000d,0x00007fff,
    0xfffff880,0x2ffffcc5,0x5c000000,0xffb6ffff,0xe80009ff,0x0003ffff,
    0x00dffff7,0xfffff300,0xff90007f,0x00001fff,0xfffff300,0x3ffffe61,
    0xfffff300,0x7ff4001f,0x30001fff,0x07ffffff,0xff500000,0xffd09fff,
    0x000003ff,0x6ffffb80,0x009ffffb,0x5ffffd80,0xffffb000,0xfe880009,
    0x0006ffff,0x01fffff9,0xff300000,0x3fe61fff,0x3f200fff,0x9006ffff,
    0x009fffff,0x3ffffa20,0x0310006f,0x7fffff40,0xfffffb82,0x0000c001,
    0x36dffff7,0x0004ffff,0x17ffffe4,0x3fffea00,0xf710003f,0x01ffffff,
    0x3ffff200,0x8000000f,0x30fffff9,0x801fffff,0x05fffffe,0x37ffffdc,
    0x7ffdc400,0x0000ffff,0x26015bf1,0x0ffffffe,0xffffff88,0x005ea801,
    0x5bfffee0,0x004ffffd,0x7ffffcc0,0x931009cf,0x01ffffff,0x3ffbbf20,
    0x02ffffff,0x3ffff200,0x8000000f,0x30fffff9,0x801fffff,0x5ffffff9,
    0xffffff50,0xfddf9003,0x5fffffff,0x7ffc4000,0xffedcdef,0x202fffff,
    0xeffffffc,0xffcb999b,0x7ffe405f,0xffffffff,0xffffffb6,0x00dfffff,
    0x3ffffff2,0xfffd5fff,0x09ffffff,0x7ffffe40,0x003fffff,0x7ffffe40,
    0x98000000,0xf30fffff,0x5001ffff,0x89ffffff,0x3ffffffa,0xfffff900,
    0x007fffff,0xfffff880,0xffffffff,0xffc804ff,0xffffffff,0x405fffff,
    0xfffffffc,0xffb6ffff,0xffffffff,0x3fe200df,0x5fffffff,0xfffffffd,
    0x7e4001ff,0xffffffff,0xffc80002,0x00000fff,0xfffff980,0x1fffff30,
    0x3fffea00,0xffff32ff,0x7e4007ff,0xffffffff,0xff880002,0xffffffff,
    0x000dffff,0xfffffff7,0xbfffffff,0xfffffc80,0xb6ffffff,0xffffffff,
    0x4c00dfff,0xfffffffe,0xffffffd5,0xfc8001bf,0x0cffffff,0xfff90000,
    0x000001ff,0x1fffff30,0x03ffffe6,0x4ffffa80,0x017fffec,0x3fffff20,
    0x00000cff,0xfffffff1,0x03dfffff,0xfffff500,0x7dffffff,0xffffc801,
    0x6fffffff,0xfffffffb,0x000dffff,0xbfffffd5,0x3bfffffa,0xfff70002,
    0x0000379d,0x0aaaaa98,0xf9800000,0xff30ffff,0xa8001fff,0x5ffb04ff,
    0xdfff7000,0x00000379,0x3fffbb26,0x40002bce,0xefffeda8,0x2a6001cd,
    0xaaaaaaaa,0x555532aa,0x55555555,0xaaa98000,0x00355551,0x00000000,
    0x00000000,0x87ffffcc,0x00fffff9,0x16c04a80,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x7cc00000,0xff30ffff,
    0x00001fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0x30fffff9,0x001fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xfffff980,
    0x1fffff30,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xeee88000,0xdddd10ee,0x0000001d,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x05555440,0x19998000,0x3ba00000,0x2a0000ee,
    0x00002bcb,0x2f372a20,0x26000009,0x00d4400a,0x1002a600,0x54400035,
    0x000000ab,0x00055d44,0x00cec980,0x7fe40000,0x880000ff,0x0000ffff,
    0x07fff880,0xffffd300,0x400003df,0xfffffffc,0x20003eff,0x502fffe8,
    0x8001dfff,0x502fffe8,0x4001dfff,0xcfffffe9,0x30004d80,0x19fffffd,
    0xff5009b0,0x00003fff,0x02ffff40,0x7fff9800,0xff500000,0xff1000df,
    0x1dffffff,0xffe98000,0xffffffff,0xfb0004ff,0xf881ffff,0x4004ffff,
    0x40fffffd,0x04fffff8,0xffffff10,0xfb339fff,0xff8800bf,0xcfffffff,
    0x405ffd99,0x06fffffe,0xfff30000,0x2a00007f,0x00006fff,0x00bfff70,
    0x939fff90,0x40007fff,0xfffffffb,0xffffffff,0x7ffc000e,0x7fdc2fff,
    0x7c007fff,0x5c2fffff,0x807fffff,0xffffffe8,0xffffffff,0xfd1001ff,
    0xffffffff,0x3fffffff,0x3ffffe20,0x800000ff,0x000ffffb,0x0bfff700,
    0x3ff20000,0xffd8004f,0x002ffec5,0xffffffb8,0xffffffff,0x2000ffff,
    0x42ffffff,0x06fffffa,0x7fffffc0,0x7ffffd42,0xffff9806,0xffffffdd,
    0x2003ffff,0xfddffff9,0xffffffff,0x3ffe203f,0x0000ffff,0x3b3bb2a6,
    0x00006fff,0x009fffb1,0x3fff6000,0x3ffe8003,0x4002ffe4,0xfffffff8,
    0xffffdcdf,0x2003ffff,0x886ffffc,0x003fffff,0x437fffe4,0x03fffff8,
    0x6441ff30,0x4fffffff,0x20ff9800,0xffffffc8,0xfffe804f,0xd88005ff,
    0xffffffff,0x50003fff,0xfffffdb7,0x00159bdf,0x05fffd00,0x23dff900,
    0x8004fff9,0x3ffffffc,0xffffff50,0xeffc800f,0x09ffd300,0x03bff200,
    0x0027ff4c,0x7f644066,0x260001be,0x7dfd9101,0x3ffa6003,0x74c000ef,
    0xffffffff,0x000dffff,0x3fffffa6,0xffffffff,0xff80002f,0xf98001ff,
    0xffffffff,0x7ffc4001,0x7d402fff,0x003fffff,0x00010008,0x00040020,
    0x00000000,0xa8800000,0xffb8002c,0xffffffff,0x00efffff,0x7ffffec4,
    0xffffffff,0x44002fff,0xffffedba,0x7dc001bd,0x02ffffff,0xfffffd80,
    0xffff9004,0x000000df,0x00000000,0x00000000,0x00000000,0xffffc800,
    0xffffffff,0x406fffff,0xfffffffd,0xffffffff,0xfd1002ff,0xffffffff,
    0xb3000fff,0x00019dfd,0x3ffffff1,0x3fffe600,0x530001ff,0x001379b9,
    0x03333310,0x09999980,0x66e54c00,0x4000009b,0x99999998,0x20000000,
    0xfffffff8,0xffffdabe,0xf703ffff,0xddffffff,0xfffdffff,0xfff7005f,
    0xffffffff,0x98800fff,0x00999999,0x7ffffd40,0x7fff4006,0x362002ff,
    0xffffffff,0x3fa002ef,0x7c007fff,0x8806ffff,0xfffffffd,0x00002eff,
    0xfffffffd,0x9999000d,0x3fff2009,0x7fec0fff,0x0fffffff,0x7fffffc4,
    0x49fff90d,0x3a201db9,0xffffffff,0x07ffffff,0x7fffff40,0x7e4006ff,
    0x4003ffff,0x03fffffc,0xfffffd30,0x9fffffff,0x3ffffa00,0x7fffc007,
    0x7ff4c06f,0xffffffff,0x440004ff,0xffffffff,0x7ffc000f,0xfff8807f,
    0x7fc41fff,0xffffffff,0x7ffffd44,0x0ffff60f,0x3ffff200,0xffffffff,
    0x22007fff,0xffffffff,0x3ffa000f,0x5c002fff,0x804fffff,0xfffffffb,
    0xffffffff,0x7fff400e,0x7ffc007f,0x3fee06ff,0xffffffff,0x00efffff,
    0xfffff700,0x4005ffff,0x807ffff8,0x82fffffd,0xffcffffa,0x7fe47fff,
    0x7ff44fff,0x7fcc002f,0xd9bfffff,0x07ebcfff,0x3ffffee0,0x2002ffff,
    0x02fffffe,0x7ffffd40,0x7fffe405,0xffffffff,0x00ffffff,0x01fffffa,
    0x0dfffff0,0x3ffffff2,0xffffffff,0x8000ffff,0xfffffffd,0x3e2005ff,
    0x2200ffff,0xb07fffff,0xfff1ffff,0x7fec3fff,0x7ffc4fff,0x7ff4001f,
    0x3fa0efff,0xd80061ff,0xffffffff,0x3ffe005f,0x54001fff,0x206fffff,
    0xfffffff8,0xffffdcdf,0x3a03ffff,0x4007ffff,0x886fffff,0xffffffff,
    0xfffffdcd,0xf8003fff,0xffffffff,0x3fe2007f,0x3ea00fff,0xff05ffff,
    0x3fff69ff,0x3fff23ff,0xfff10fff,0x7fdc001f,0x7fc0ffff,0xff0000ff,
    0xffffffff,0x7fffc00f,0x7cc000ff,0x3607ffff,0x02ffffff,0xfffffff5,
    0x3fffff40,0x3ffffe00,0xfffffd86,0xffff502f,0xfa800fff,0xffffffff,
    0xff3001ff,0x7e401fff,0xfa82ffff,0xfff52fff,0x7ffd4bff,0xff9bffff,
    0x7fe4007f,0x7fc44fff,0xff50007f,0xffffffff,0xfff1003f,0x88001fff,
    0x307fffff,0x05ffffff,0xffffffa8,0xfffffd02,0xfffff800,0x7ffffcc6,
    0x7ffd402f,0x32002fff,0xffbfffff,0xf3004fff,0x7403ffff,0xc81fffff,
    0x3fe67fff,0x3fe25fff,0xffffffff,0x7f4005ff,0x7cc0ffff,0xf90006ff,
    0xfff7ffff,0x3fe009ff,0x4001ffff,0x06fffff9,0x07fffffb,0x3fffff20,
    0xfffffd06,0xfffff800,0x7ffffec6,0xffff9003,0x7ffc00df,0xffff9cff,
    0xfff3006f,0x7ff403ff,0xfff80fff,0x3fffe65f,0x7fffe46f,0xefffffff,
    0x3fffe000,0x5fffa87f,0xfffff000,0xdfffff39,0x3ffffe00,0x7fd4001f,
    0xff985fff,0x3000ffff,0x03ffffff,0x00fffffd,0x26fffff8,0x0ffffff9,
    0xfffff300,0xfff3003f,0x3fffe5ff,0xff9800ff,0x3fe01fff,0xff987fff,
    0x3ffe22ff,0xfffd87ff,0xffffffff,0x7fc402df,0xffb86fff,0xff98004f,
    0xffff2fff,0xffd001ff,0xa8005fff,0xa84fffff,0x006fffff,0x17fffff4,
    0x03fffff4,0x9bffffe0,0x06fffffa,0x7fffff40,0xffffb802,0xfffff90f,
    0xffff5007,0x7fffc03f,0xffffc87f,0x3fffffc0,0x7ffffec4,0xffffffff,
    0xffff301e,0x7fffb0ff,0xffff7000,0x3ffff21f,0xfffd803f,0x7dc002ff,
    0xfc83ffff,0x4003ffff,0x83fffffc,0x007ffffe,0x937ffffc,0x007fffff,
    0x3fffffc8,0x6ffffd80,0x17ffffea,0x3ffffea0,0xfffff102,0x0bfffd0f,
    0x40ffffff,0xfffffffa,0x4fffffff,0xffffff88,0x017fff40,0x37fffec0,
    0x0bfffff5,0x9fffff90,0xffffc800,0xffffe83f,0x7fdc002f,0xffe84fff,
    0x7fc007ff,0x3ffa6fff,0x5c002fff,0x404fffff,0x23fffff8,0x07fffff8,
    0x2fffffa8,0x1fffffe0,0xf07ffff3,0x500fffff,0xfffffffb,0xf09fffff,
    0xf85fffff,0x44001fff,0x223fffff,0x807fffff,0x07fffffc,0x7fffffc0,
    0xffffff81,0x7ffd4002,0xfffe85ff,0x7ffc007f,0x3fffe6ff,0x7d4002ff,
    0x5405ffff,0x741fffff,0x402fffff,0x02fffffa,0x83fffffe,0x440ffffb,
    0x006fffff,0x3fffffee,0x43ffffff,0x24fffffe,0x8007fff8,0x41fffffa,
    0x02fffffe,0x7fffffcc,0xffff5001,0x3fffe0df,0x7d4001ff,0xfe86ffff,
    0x7c007fff,0x3fe6ffff,0x4001ffff,0x06fffffa,0x43ffffe4,0x04fffffb,
    0x17ffffdc,0x1fffffd0,0x4c37fff4,0x006fffff,0x3ffbffee,0x47ffffff,
    0x0efffffd,0x000ffff3,0x70fffff9,0x009fffff,0x09fffffd,0x3fffff60,
    0xffffff03,0xfff98001,0xfffe87ff,0x7ffc007f,0x3fffe6ff,0x7cc000ff,
    0x7c07ffff,0xf985ffff,0x5c06ffff,0x203fffff,0x11fffffe,0xf307ffff,
    0x400bffff,0xfc8bfffc,0x21ffffff,0xfffffffa,0x085fffa9,0x2fffffc0,
    0x37ffffcc,0x7ffffdc0,0x7ffe403f,0xfff107ff,0x98001fff,0xe87fffff,
    0x4007ffff,0xf16fffff,0x001fffff,0x7fffff98,0x3ffffe60,0xffffff03,
    0x7fffdc03,0x3fff603f,0xffff72ff,0xfffff703,0x7ffec007,0x3ffffea2,
    0x7ffff43f,0x4fffdfff,0x7cc0fb53,0xff03ffff,0x8803ffff,0xcfffffff,
    0x7fffe4c1,0x3ffe04ff,0x4c001fff,0xe87fffff,0x4007ffff,0x3e6fffff,
    0x001fffff,0x3fffffcc,0x1fffff90,0x3fffff60,0x3ffff203,0x3ffee03f,
    0xdfffb5ff,0x3fffff60,0x3fffe001,0x7fffff41,0x7ffffd44,0xffffffff,
    0x3f207fff,0xfb00ffff,0x9007ffff,0xffffffff,0xffffffdf,0x7f401dff,
    0x4001ffff,0x87fffffa,0x007ffffe,0xd37ffffc,0x003fffff,0x7fffffa8,
    0x1bffffa0,0x5fffffa8,0x3fffff20,0x3fffe604,0x4ffff8ff,0x7fffff88,
    0x3fffe200,0x7ffffec0,0xfffffc83,0xffffffff,0x3ffa07ff,0x3fea06ff,
    0xfb005fff,0xffffffff,0xdfffffff,0xffffd801,0x7fd4002f,0xffe86fff,
    0x7fc007ff,0x3ff66fff,0x54002fff,0x106fffff,0x409fffff,0x0ffffff8,
    0x9fffff90,0xffffff80,0xb81ffffd,0x003fffff,0x3a1fffe6,0x701fffff,
    0xffffffff,0x0fffffff,0x13ffffe2,0xffffff88,0xffffb000,0xffffffff,
    0xf9001fff,0x8005ffff,0x85fffffb,0x007ffffe,0x937ffffc,0x005fffff,
    0x5fffffb8,0x5fffff70,0xfffffe80,0xfffff902,0xffffc809,0xa87fffff,
    0xc87fffff,0x6fffa80a,0x3fffffe4,0x3ffffa60,0xffffffff,0xfffff707,
    0xffffe805,0x3ff6002f,0xffffffff,0xf9000dff,0x8009ffff,0x83fffffc,
    0x007ffffe,0x97ffffe2,0x04fffffc,0x7ffffe40,0xfffffb03,0xffffffff,
    0x09ffffff,0x13fffff6,0xffffff10,0xffa89fff,0xfe83ffff,0xffc9acef,
    0xfffeb9df,0x71004fff,0xdffffffd,0x7ffec039,0xffffffff,0xffffffff,
    0x7f5c4004,0x1cffffff,0x7fffdc00,0x7ffc007f,0xffd81fff,0xf1000fff,
    0x7dc7ffff,0x4007ffff,0x01ffffff,0xffffffff,0xffffffff,0x360fffff,
    0x805fffff,0xfffffffb,0xffffdcdf,0xffd06fff,0xffffffff,0xffffffff,
    0xff3000df,0xfff800df,0xffffffff,0xffffffff,0x3f20007f,0x0000ffff,
    0x3ffffff3,0x3fffea00,0xfffc80ff,0xff3000ff,0x7fcc5fff,0x5001ffff,
    0x01ffffff,0xfffffff5,0xffffffff,0x03ffffff,0x0bfffffb,0x3fffffa0,
    0xffffffff,0xfd02ffff,0xffffffff,0xffffffff,0xf50001df,0x7d400bff,
    0xffffffff,0xffffffff,0x0001ffff,0x07fffff5,0x7ffff400,0xfffb004f,
    0x3fee07ff,0xf9003fff,0xfe83ffff,0xb004ffff,0x207fffff,0xfffffffc,
    0xffffffff,0x84ffffff,0x05fffffe,0xfffffb10,0xffffffff,0x7ff403df,
    0xffffffff,0xdfffffff,0xfff70000,0x7ffe4009,0xffffffff,0xffffffff,
    0xf10004ff,0x401dffff,0x3fffea01,0x7fe403ff,0xf500ffff,0x100fffff,
    0x81ffffff,0x3ffffffa,0x7ffffe40,0xffffd00f,0xdddddddf,0xffffdddd,
    0x555550df,0xffd80055,0xffffffff,0x7ec00dff,0xffffffff,0x1dffffff,
    0x7ffe4000,0x3fffa003,0xeeeeeeff,0xfffeeeee,0x3e0006ff,0x22efffff,
    0x3a00fea8,0x1cffffff,0x7ffffe4c,0x3ffe203f,0xb100dfff,0x209fffff,
    0xcffffffe,0x7fffe4c1,0xfff303ff,0x7cc007ff,0x000fffff,0xffff9000,
    0x7bffffff,0xedca9800,0xabdeffff,0xffd00000,0x3fe6005f,0x26003fff,
    0x00ffffff,0xfffff700,0xffffffff,0x7fffdc0b,0xffefffff,0x06ffffff,
    0xffffffb8,0xffcbabcf,0x700effff,0xffffffff,0xffffffdf,0x7fdc0dff,
    0x74001fff,0x002fffff,0xbffff000,0x00015775,0x037ffd40,0xffff0000,
    0x3ffee003,0x7f4001ff,0x0002ffff,0x3ffffffa,0x3fffffff,0x3fffffa0,
    0xffffffff,0xf002ffff,0xffffffff,0xffffffff,0xfffe805f,0xffffffff,
    0x02ffffff,0x01fffff6,0x3fffff20,0xf9800005,0x00002fff,0x027ffe40,
    0xfff88000,0xfffb000f,0xff9000ff,0x4000bfff,0xfffffff8,0x05ffffff,
    0x7fffffe4,0xffffffff,0x3fea001e,0xffffffff,0x04ffffff,0xffffff90,
    0xffffffff,0x7ffc403d,0xfa8004ff,0x0007ffff,0x0ffffc80,0x7ec00000,
    0x000003ff,0x200ffff3,0x04fffff8,0xfffffa80,0x7e440007,0xffffffff,
    0xfff7002f,0xffffffff,0xb10001bf,0xffffffff,0x003dffff,0xffffffb8,
    0x0dffffff,0x7ffffd40,0xfff88002,0x00001fff,0x002ffff4,0x7fff4000,
    0xf5000002,0x3ea00dff,0x8002ffff,0x1ffffff8,0xedc88000,0x000bceff,
    0x7ffff64c,0x0002dfff,0xfffffea8,0x0003efff,0x3ffffb26,0x9002dfff,
    0x001fffff,0x3fffffa0,0x3e600004,0x00003fff,0x01ffff80,0xfff70000,
    0x3fff200b,0xfd0000ff,0x0009ffff,0x20000000,0x0000aba9,0x2aea6200,
    0x53000001,0x00000157,0x00000000,0x00666620,0x3fe20000,0x000000ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x0d4400a9,0x20054c00,0xa98001a8,0x000d4400,
    0x3fffffa6,0x0000003f,0x7ffffe40,0x400001ef,0xeffffffc,0xfffa8001,
    0x3b6003ff,0x0005eeee,0x000aba88,0xffffe980,0x400003ff,0x502fffe8,
    0x1001dfff,0x2a05fffd,0x8800efff,0xf502fffe,0x44001dff,0x3ffffffd,
    0x90000000,0x0bffffff,0xfff90000,0x2000bfff,0xfffffffb,0xffffd003,
    0x74c000df,0x80cfffff,0xffb1004d,0x0007ffff,0x7ffffec0,0x7ffffc40,
    0xffffd804,0x7fffc40f,0xfffd804f,0x7ffc40ff,0xfb8004ff,0x003fffff,
    0x7fe40000,0x0002ffff,0xfffffc80,0xff70002f,0x9fffffff,0xfffffd00,
    0x3fe2000b,0xcfffffff,0x005ffd99,0x3fffffee,0xfff00003,0xffb85fff,
    0xff807fff,0x7dc2ffff,0xf807ffff,0x5c2fffff,0x007fffff,0xfffffd30,
    0x20000007,0x0efffffc,0xffc80000,0x0000efff,0xd5dffff9,0xd809ffff,
    0x005fffff,0xfffffe88,0xffffffff,0x26001fff,0x03fffffe,0xfffff800,
    0x7fffd42f,0xffff806f,0x7ffd42ff,0xfff806ff,0x7fd42fff,0x40006fff,
    0x03fffffc,0x7fe40000,0x00004fff,0x9fffff90,0x7ffe4000,0x3fff624f,
    0x3fff604f,0xf98005ff,0xfffddfff,0x3fffffff,0xffff9000,0xfc80007f,
    0xff886fff,0xfc803fff,0xff886fff,0xfc803fff,0xff886fff,0x80003fff,
    0x00aaaaa9,0x55510000,0x00000355,0x06aaaaa2,0xaaaa8800,0x15555502,
    0x3fffff60,0x1ff30005,0x7ffffe44,0x4c0004ff,0x000aaaaa,0x8077fe40,
    0x2004ffe9,0xd300effc,0x7e4009ff,0xffd300ef,0x00000009,0x00000000,
    0x00000000,0xfb000000,0x0009ffff,0xfec880cc,0x000001be,0x00080000,
    0x80040001,0x40020000,0x00000000,0x00000000,0x00000000,0x32000000,
    0x004fffff,0x00000000,0x00000000,0x00000000,0x00000000,0xcdca9800,
    0x8000009b,0x09bcdca9,0x99998800,0x4cccc001,0x4cccc409,0x4cccc001,
    0x3ffff209,0x0000004f,0x99998800,0x4cccc001,0x33331009,0x33333333,
    0x20333333,0x99999998,0x99999999,0x20009999,0x99999998,0xfb100000,
    0xffffffff,0xd880005d,0xffffffff,0x3fa002ef,0x7c007fff,0x7f46ffff,
    0x7c007fff,0x3f26ffff,0x2003ffff,0x09999998,0x13333100,0x07ffffe8,
    0x37ffffc0,0xffffffc8,0xffffffff,0xfa81ffff,0xffffffff,0xffffffff,
    0x3fa002ff,0x06ffffff,0xfffe9800,0xffffffff,0xfd30004f,0xffffffff,
    0x3a009fff,0x4007ffff,0x746fffff,0x4007ffff,0x2e6fffff,0x003fffff,
    0x3ffffff6,0xffff7006,0x7ffffe8d,0x7ffffc00,0xfffff906,0xffffffff,
    0x503fffff,0xffffffff,0xffffffff,0x22005fff,0xffffffff,0x3ee0000f,
    0xffffffff,0x0effffff,0x3fffee00,0xffffffff,0x7400efff,0x4007ffff,
    0x746fffff,0x4007ffff,0x2e6fffff,0x003fffff,0x3ffffff6,0xfffb801f,
    0x7ffff46f,0x7fffc007,0xffff906f,0xffffffff,0x03ffffff,0xfffffff5,
    0xffffffff,0x2005ffff,0xfffffffb,0xf90002ff,0xffffffff,0xffffffff,
    0xfff9001f,0xffffffff,0x1fffffff,0x3fffff40,0x3ffffe00,0x3fffff46,
    0x3ffffe00,0x3ffffee6,0x3fff6003,0xb805ffff,0x7f46ffff,0x7c007fff,
    0xf906ffff,0xffffffff,0xffffffff,0xffff503f,0xffffffff,0x5fffffff,
    0x3ffff600,0x005fffff,0xffffff88,0xfffdcdff,0x403fffff,0xfffffff8,
    0xffffdcdf,0x3a03ffff,0x4007ffff,0x746fffff,0x4007ffff,0x2e6fffff,
    0x002fffff,0x3ffffff6,0x7fdc00ff,0x7fff46ff,0x7ffc007f,0xfff906ff,
    0xddddddff,0x1ddddddd,0x99999930,0x9bfffffd,0x00399999,0x3ffffffe,
    0xd8007fff,0x02ffffff,0xfffffff5,0xfffffd80,0xffff502f,0x7ff40fff,
    0x7fc007ff,0x7ff46fff,0x7fc007ff,0x3fea6fff,0x36002fff,0xffffffff,
    0x7fffdc04,0x3fffff46,0x3ffffe00,0xfffff906,0x70000005,0x007fffff,
    0xfffffa80,0x01ffffff,0x3ffffe60,0x7ffd402f,0xff302fff,0xa805ffff,
    0x02ffffff,0x00fffffd,0x46fffff8,0x007ffffe,0x537ffffc,0x005fffff,
    0x7fffffec,0x3ee00fff,0x7ff46fff,0x7fc007ff,0xff906fff,0x00005fff,
    0xfffff700,0xffc80007,0xffffbfff,0x3ff6004f,0xf9003fff,0x360dffff,
    0x003fffff,0x0dfffff9,0x01fffffa,0x8dfffff0,0x007ffffe,0x537ffffc,
    0x003fffff,0x7fffffec,0x3ee03fff,0x7ff46fff,0x7fc007ff,0xff906fff,
    0x00005fff,0xfffff700,0xfff80007,0xffff9cff,0xfff3006f,0x26001fff,
    0x41ffffff,0x0ffffff9,0xfffff300,0xffffd03f,0xffff800f,0x7ffff46f,
    0x7fffc007,0x3fffe66f,0x3ff6001f,0x7fffffff,0x1bfffee0,0x00fffffd,
    0x06fffff8,0x05fffff9,0xff700000,0x40007fff,0xf2fffff9,0x001fffff,
    0x0dfffff5,0xfffffe80,0x7ffffd42,0x7fff4006,0xfffe82ff,0x7ffc007f,
    0x7fff46ff,0x7ffc007f,0x3ffe66ff,0x3f6001ff,0xffffefff,0xffff703f,
    0x7ffffe8d,0x7ffffc00,0xfffff906,0x70000005,0x007fffff,0x7ffffdc0,
    0x7fffff90,0xfffff900,0xfffc8007,0x7ffe43ff,0x7e4003ff,0xfe83ffff,
    0x7c007fff,0x7f46ffff,0x7c007fff,0x3e66ffff,0x2001ffff,0xfecffffd,
    0xff706fff,0xfffe8dff,0x7ffc007f,0xfff906ff,0x000005ff,0x7fffff70,
    0x7ffec000,0x3fffea6f,0xfffe805f,0x7dc002ff,0x7f44ffff,0x4002ffff,
    0x84fffffb,0x007ffffe,0x237ffffc,0x007ffffe,0x337ffffc,0x001fffff,
    0x5e7fffec,0xb82fffff,0x7f46ffff,0x7c007fff,0xf906ffff,0x0005ffff,
    0xffff7000,0x3e20007f,0x3e23ffff,0xf807ffff,0x002fffff,0x2fffffd4,
    0x0bfffffe,0xfffff500,0xfffffd0b,0xfffff800,0x3fffff46,0x3ffffe00,
    0x3ffffe26,0x3fff6000,0xfffff8cf,0x6ffffb86,0x03fffff4,0x1bffffe0,
    0x6fffffe4,0xcccccccc,0xb8002ccc,0x003fffff,0x3fffff50,0x2fffffe8,
    0x7fffffc0,0x7ffd4001,0x7fffc6ff,0x7d4001ff,0xfe86ffff,0x7c007fff,
    0x7f46ffff,0x7c007fff,0x3e26ffff,0x2000ffff,0xf94ffffd,0xfb83ffff,
    0x7ff46fff,0x7fc007ff,0xff906fff,0xffffffff,0x9fffffff,0xffff7000,
    0x3f20007f,0xffb87fff,0x7fc04fff,0x4000ffff,0x47fffff9,0x00ffffff,
    0x7ffffcc0,0x7ffffe87,0x7ffffc00,0x3fffff46,0x3ffffe00,0x1ffffe26,
    0x9ffffb00,0x17ffffe2,0xe8dffff7,0x4007ffff,0x906fffff,0xffffffff,
    0xffffffff,0xff70009f,0x20007fff,0x985fffff,0x206fffff,0x0ffffff8,
    0x7fffcc00,0x3fffe27f,0x7cc000ff,0xfe87ffff,0x7c007fff,0x7f46ffff,
    0x7c007fff,0x4cc6ffff,0x7ec00199,0x3ff64fff,0x3fee0fff,0x7fff46ff,
    0x7ffc007f,0xfff906ff,0xffffffff,0x09ffffff,0xfffff700,0xfff30007,
    0x3ffe07ff,0x3fe01fff,0x4001ffff,0x47fffff9,0x01ffffff,0x7ffffcc0,
    0x7ffffe87,0x7ffffc00,0x3fffff46,0x3ffffe00,0x7ec00006,0x3fe64fff,
    0x3fee4fff,0x7fff46ff,0x7ffc007f,0xfff906ff,0xffffffff,0x09ffffff,
    0xfffff700,0xfff90007,0x3ff601ff,0x3fa03fff,0x4001ffff,0x47fffffa,
    0x01fffffe,0x7ffffd40,0x7ffffe87,0x7ffffc00,0x3fffff46,0x3ffffe00,
    0x7ec00006,0x7ff44fff,0xfff70fff,0xffffe8df,0x7fffc007,0xffff906f,
    0x5555559f,0x00355555,0x7fffff70,0xffffd000,0x7fffd40d,0x3fff605f,
    0x7d4002ff,0x7ec6ffff,0x4002ffff,0x86fffffa,0x007ffffe,0x237ffffc,
    0x007ffffe,0x237ffffc,0x4001ded9,0x544ffffd,0xf73fffff,0xffe8dfff,
    0x7fc007ff,0xff906fff,0x00005fff,0xfffff700,0xfff88007,0x3fe204ff,
    0xf900ffff,0x8005ffff,0x45fffffb,0x02fffffc,0x7ffffdc0,0x7ffffe85,
    0x7ffffc00,0x3fffff46,0x3ffffe00,0x3ffffea6,0x3fff6001,0xffffe84f,
    0x8dffff77,0x007ffffe,0x837ffffc,0x02fffffc,0xffb80000,0x5c003fff,
    0x402fffff,0x02fffffe,0x09fffff9,0xfffffc80,0x7ffffe43,0x7ffe4004,
    0xfffe83ff,0x3fe2007f,0x7ff45fff,0x3e2007ff,0x3fe5ffff,0x2006ffff,
    0xb84ffffd,0xfbafffff,0x7ff46fff,0x3e2007ff,0xf905ffff,0x0005ffff,
    0xffff7000,0xffd8007f,0xffffffff,0xffffffff,0xffff704f,0xfff800ff,
    0x7fdc1fff,0x7c007fff,0xd81fffff,0x000fffff,0x87fffff1,0x00fffffd,
    0x7fffff10,0x3fffffe2,0xfffb000f,0xffff109f,0xdffff7df,0x0fffffd8,
    0xfffff100,0x3ffff207,0x8000002f,0x03fffffb,0x7fffffc0,0xffffffff,
    0x07ffffff,0x3ffffff3,0x3fffea00,0x7ffcc0ff,0xf5001fff,0x901fffff,
    0x001fffff,0x0bffffe6,0x01fffff9,0x3ffffe60,0xffffff12,0x3ff6001f,
    0xfff904ff,0xdffffbff,0x0fffffc8,0xfffff300,0x3ffff205,0x8000002f,
    0x03fffffb,0x3ffffea0,0xffffffff,0xffffffff,0xfffffd01,0x3fff6009,
    0xfffd03ff,0x3f6009ff,0xf703ffff,0x2007ffff,0x41fffffc,0x03fffffb,
    0x3fffff90,0x2fffffec,0x9ffffb00,0x3ffffe20,0x5c6fffff,0x003fffff,
    0x03fffff9,0x0bfffff2,0x3ee00000,0x2003ffff,0xfffffffc,0xffffffff,
    0x04ffffff,0x7ffffff5,0xfffffc80,0xffff500f,0xffc807ff,0xf500ffff,
    0x100fffff,0x81ffffff,0x07fffffa,0xffffff88,0x3bfffa20,0x3fff6000,
    0x3fff604f,0x46ffffff,0x07fffffa,0xffffff88,0xfffff900,0x70000005,
    0x007fffff,0x77fffff4,0xeeeeeeee,0x6fffffee,0x3fffffa0,0x7fe4c1cf,
    0x7403ffff,0x1cffffff,0x7ffffe4c,0x3ffe203f,0xb100dfff,0x109fffff,
    0x1bffffff,0x3ffff620,0x0057504f,0x09ffffb0,0x7fffffcc,0x7fc46fff,
    0x100dffff,0x09fffffb,0x17ffffe4,0x7dc00000,0x3003ffff,0x007fffff,
    0x7fffffcc,0xfffff700,0xfffdffff,0x00dfffff,0xfffffff7,0xfffffdff,
    0xf700dfff,0x79ffffff,0xfffff975,0x3fee01df,0xabcfffff,0xffffffcb,
    0xd800000e,0x7404ffff,0xffffffff,0xfffffb86,0xfcbabcff,0x00efffff,
    0x3ffffff2,0xffffffff,0xea81ffff,0xffeeeeee,0xeeeeefff,0x3ffee1ee,
    0x7f4001ff,0x3a02ffff,0xffffffff,0xffffffff,0xfffd002f,0xffffffff,
    0x05ffffff,0x3fffffe0,0xffffffff,0x7c02ffff,0xffffffff,0xffffffff,
    0xb000002f,0xa809ffff,0xffffffff,0xffffff06,0xffffffff,0xc805ffff,
    0xffffffff,0xffffffff,0xfffa81ff,0xffffffff,0xffffffff,0x1fffff62,
    0x3ffff200,0x7ffe405f,0xffffffff,0x4001efff,0xfffffffc,0xefffffff,
    0x3ffea001,0xffffffff,0x804fffff,0xfffffffa,0xffffffff,0x2000004f,
    0x804ffffd,0xfffffffe,0xfffff506,0xffffffff,0xf9009fff,0xffffffff,
    0xffffffff,0xffff503f,0xffffffff,0x5fffffff,0x13ffffe2,0x3fffea00,
    0xfffb807f,0xffffffff,0xf70000df,0xffffffff,0x0001bfff,0xffffffb1,
    0x3dffffff,0x7ffec400,0xffffffff,0x000001ef,0x027fffec,0x7fffffdc,
    0x3ff6206f,0xffffffff,0xf9001eff,0xffffffff,0xffffffff,0xffff503f,
    0xffffffff,0x5fffffff,0x0bffffea,0x3fffe200,0xec9801ff,0xdfffffff,
    0xec980002,0xdfffffff,0xfea80002,0xefffffff,0x3faa0003,0xefffffff,
    0xb0000003,0x1009ffff,0xdfffffff,0xffffd500,0x007dffff,0xffffffc8,
    0xffffffff,0xfa81ffff,0xffffffff,0xffffffff,0xffff92ff,0x3fa0001f,
    0x8004ffff,0x0000aba9,0x055d4c00,0x53100000,0x00000357,0x00357531,
    0xffb00000,0x3f2009ff,0x006fffff,0x00d5d4c4,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x31000000,0xa8000033,0x003fffff,0xcca98800,0xeeeeeeee,0x3bbbb65e,
    0x00000003,0xffffff90,0xc800003d,0x1effffff,0xdd900000,0x3fa60bdd,
    0x003fffff,0x7fff4c00,0x00003fff,0x00055d44,0xffffdb50,0x007bdfff,
    0x3ffffee0,0x700003ff,0xffffffff,0xffffffff,0x07ffffe4,0x20000000,
    0x5ffffffc,0xffc80000,0x0005ffff,0x3fffe200,0x3ff6204f,0x0003ffff,
    0x7fffec40,0x300003ff,0x003dffff,0xfffffea8,0x6fffffff,0xffffb800,
    0x004fffff,0x3ffffee0,0xffffffff,0x3e27ffff,0x0003ffff,0x3ff20000,
    0x0002ffff,0xfffffc80,0x4000002f,0x00fffffc,0xffffffb8,0xfb800003,
    0x003fffff,0x7ffffc40,0xff7000ff,0xffffffff,0x800dffff,0xeaeffffc,
    0x4004ffff,0xffffffe8,0xffffffff,0x7ec7ffff,0x00006fff,0xffff9000,
    0x000001df,0x1dfffff9,0xff000000,0x4c00bfff,0x03fffffe,0xffe98000,
    0x20003fff,0xfffffffc,0xffffa803,0xffffffff,0x32006fff,0x3624ffff,
    0x2004ffff,0xfffffffd,0xfeeeffff,0x7d47ffff,0x0002ffff,0x7ffe4000,
    0x000004ff,0x09fffff9,0x3ea00000,0x8001ffff,0x03fffffc,0xfff90000,
    0x360007ff,0x5fffffff,0x7ffffc40,0xaa99acef,0x51006fec,0x2aa05555,
    0xfb800aaa,0xffffffff,0x3ff60fff,0xfffe87ff,0x0000005f,0x06aaaaa2,
    0x55440000,0x00001aaa,0x3ffffa00,0x2aa60006,0x00000aaa,0x15555530,
    0xffffb000,0xf9809fff,0x000fffff,0x00000003,0x3ffffe60,0xffffffff,
    0x1fffff60,0x07ffffee,0x00000000,0x00000000,0x7fcc0000,0x00002fff,
    0x00000000,0xffff5000,0xfb805fff,0x0004ffff,0x80000000,0xfffffffb,
    0x20ffffff,0x887ffffd,0x004fffff,0x00000000,0x00000000,0xffffb000,
    0x0000000f,0x00000000,0x5fffffd8,0xfffffc80,0x30000006,0x01379b95,
    0xfffffd80,0xffffffff,0x1fffff60,0x07ffffe4,0x33331000,0x26200013,
    0x20009999,0x99999998,0x44000000,0x004fffff,0x26666620,0x22000099,
    0x99999999,0x99999999,0xefeb8019,0xffff7003,0x000009ff,0x3fffff62,
    0x002effff,0xfffffffd,0x41ffffff,0x307ffffd,0x007fffff,0x7ffffd40,
    0xfff8000f,0x3a001fff,0x6fffffff,0x7dc00000,0x0000ffff,0x3ffffffa,
    0x3f20006f,0xffffffff,0xffffffff,0x1000001f,0xbfffffff,0x74c00001,
    0xffffffff,0x4404ffff,0xffffffff,0x20ffffff,0x207ffffd,0x006ffffd,
    0x7fffff40,0x7ffdc004,0x3e2005ff,0xffffffff,0x3e000000,0x0005ffff,
    0x3fffffe2,0x90000fff,0xffffffff,0xffffffff,0x000003ff,0x7fffffec,
    0xb80003ff,0xffffffff,0xefffffff,0xfffff100,0xffffffff,0x7fffec1f,
    0x3fffea07,0x3ea0002f,0x000fffff,0x07fffffe,0xfffffb80,0x0002ffff,
    0xfffff500,0x7fdc0003,0x2fffffff,0xffff9000,0xffffffff,0x03ffffff,
    0x3fee0000,0xffffffff,0xff90002e,0xffffffff,0xffffffff,0x3ffffe01,
    0xffffffff,0x3ffff60f,0x7ffff407,0x7ff40005,0xf7004fff,0x800bffff,
    0xfffffffd,0x000005ff,0x00dffffd,0xfffffd80,0x0005ffff,0xfffffff9,
    0xffffffff,0x00003fff,0xffffff90,0xbfffffff,0x7ffc4001,0xdcdfffff,
    0xffffffff,0xfffffb03,0xffffffff,0x3ffffec1,0x3ffffee0,0x3fea0000,
    0x4400ffff,0x01ffffff,0x7fffffc0,0x0007ffff,0xfffff980,0x7ffc0003,
    0x7fffffff,0xffff9000,0xdddddddf,0x01dddddd,0xfffa8000,0xffffffff,
    0x003fffff,0x5ffffffb,0x3ffffea0,0xffff907f,0xffffffff,0x7fffec1f,
    0x7fffc407,0x7f40004f,0x5c03ffff,0x005fffff,0x7fffffd4,0x001fffff,
    0x7fffe400,0x3ea0000f,0xffffffff,0xfc8001ff,0x0002ffff,0xfff80000,
    0xffeadfff,0x4fffffff,0x7ffffcc0,0x7ffd402f,0xffa82fff,0xffffffff,
    0x3ff60fff,0xffc807ff,0x540007ff,0x207fffff,0x1ffffff8,0x7fffe400,
    0x4fffffbf,0x3fe20000,0x40004fff,0xfbfffffc,0x8004ffff,0x02fffffc,
    0x54000000,0x646fffff,0xffffffff,0x3fff605f,0xff9003ff,0x3f20dfff,
    0xffffffff,0x3ff60fff,0xff9807ff,0x40003fff,0x03fffffe,0x0bfffff7,
    0x9fffff00,0x0dfffff3,0x7ffdc000,0x7c0000ff,0xff9cffff,0xc8006fff,
    0x002fffff,0x1cedb800,0x3fffff20,0xffffd883,0xf983ffff,0x000fffff,
    0x3ffffff3,0x3fffffa0,0x20ffffff,0x007ffffd,0x00dffffd,0xfffffa80,
    0xfffff886,0x7fcc001f,0xffff2fff,0x200001ff,0x005ffffe,0x7ffffcc0,
    0x1ffffff2,0xffffc800,0x6400002f,0xb02fffff,0x407fffff,0xfffffffa,
    0x7fffd40f,0x7ff4006f,0xff102fff,0xffffffff,0x7fffec1f,0xffff5007,
    0xfe80003f,0x7dc2ffff,0x8005ffff,0x90fffffb,0x007fffff,0xfffff500,
    0xffb80005,0xfff90fff,0xfc8007ff,0x0002ffff,0x3ffffe60,0xfffd81ff,
    0x7fcc05ff,0x643fffff,0x003fffff,0x1fffffe4,0xfffff910,0x7ec1ffff,
    0x3e007fff,0x0005ffff,0x37ffffd4,0x03fffffe,0x3ffff600,0x3ffffea6,
    0xffd80005,0xd80006ff,0x3ea6ffff,0x4005ffff,0x02fffffc,0x3ffee000,
    0xfc84ffff,0x401fffff,0x5ffffff8,0x17fffff4,0x3fffee00,0xffb8804f,
    0x360fffff,0x2007ffff,0x00fffffb,0x7ffff400,0xfffff51f,0xfff10009,
    0x7ffc47ff,0x4c0007ff,0x003fffff,0x7ffffc40,0x3ffffe23,0x7ffe4007,
    0x200002ff,0xfffffffb,0xfffffa87,0x7fe402ff,0x7ffc7fff,0x54002fff,
    0x005fffff,0x0766554c,0x00fffffb,0x27ffffc4,0x3ffea000,0xffffd5ff,
    0xff50001f,0xffe83fff,0x20002fff,0x00fffffc,0x7fffd400,0x7ffff41f,
    0x3ff2002f,0xccccdfff,0x2ccccccc,0x3ffffe60,0xffe80fff,0x203fffff,
    0x47fffff9,0x01ffffff,0x7ffffd40,0xfd800006,0x64007fff,0x0007ffff,
    0xafffffe8,0x004fffff,0x0fffff90,0x09fffff7,0x3fffe200,0xfc80004f,
    0xffb87fff,0x32004fff,0xffffffff,0xffffffff,0x7ffec04f,0xf981ffff,
    0xefffffff,0xfffffa81,0x7fffffc6,0x7ffcc000,0x800007ff,0x007ffffd,
    0x17ffffcc,0x3ffea000,0xffffffff,0xffff0000,0xffff30bf,0x3ee000df,
    0x0001ffff,0x85fffff8,0x06fffff9,0x3fffff20,0xffffffff,0xe804ffff,
    0x00ffffff,0xfffffff9,0x7fe41bff,0x3fe25fff,0x4000ffff,0x07fffff9,
    0xfffd8000,0xffe8007f,0xe80006ff,0xffffffff,0xff30004f,0x3fe07fff,
    0x8001ffff,0x005ffffe,0xfffff980,0xffffff03,0x3fff2003,0xffffffff,
    0x04ffffff,0x7fffff98,0x7ffffdc0,0xfabfffff,0x7c2fffff,0x001fffff,
    0x3fffffcc,0x7fec0000,0xfa8007ff,0x0001ffff,0x7fffffd4,0x90000fff,
    0x201fffff,0x03fffffd,0x7ffffd40,0xffc80002,0xffb00fff,0x32007fff,
    0xffffffff,0xffffffff,0xfffd004f,0xfff500bf,0xffffffff,0xd0dfffff,
    0x003fffff,0x7fffffa8,0xffd80000,0xff0007ff,0x0000bfff,0xfffffffd,
    0x7ff40009,0x3fea06ff,0x6c005fff,0x0006ffff,0x0dffffd0,0x2fffffd4,
    0xfffffc80,0xaaaaaaac,0xf001aaaa,0x2009ffff,0xffffffd8,0xffffffff,
    0xfffffd80,0x7ffd4002,0x800006ff,0x007ffffd,0x1fffff70,0xfffa8000,
    0x0000ffff,0x09fffff1,0x7fffffc4,0xffff1000,0xf100007f,0x4409ffff,
    0x00ffffff,0x2fffffc8,0xffa80000,0x54000fff,0xfffffffe,0xf901ffff,
    0x8005ffff,0x05fffffb,0xfffd8000,0xff10007f,0x00007fff,0x09fffffd,
    0x7fffdc00,0x7fff402f,0xff9002ff,0x00001fff,0x05fffff7,0x2fffffe8,
    0xfffffc80,0x7dc00002,0x0002ffff,0x3fffffee,0x3f200fff,0x4004ffff,
    0x03fffffc,0xfffe8000,0x3f60006f,0x80007fff,0x02fffffc,0x3ffff600,
    0xffffffff,0x4fffffff,0xfffff880,0xffb00004,0xffffffff,0xffffffff,
    0xfff9009f,0x4c0005ff,0xfffffdca,0xd880004f,0x2fffffff,0x3ffffee0,
    0x7fffc007,0x800001ff,0x005fffff,0x3ffffe60,0x7fe40002,0x20002fff,
    0xffffffff,0xffffffff,0xb807ffff,0x001fffff,0xffffff00,0xffffffff,
    0x0fffffff,0x5fffff90,0x7ffe4000,0x004fffff,0x7fffe400,0x3fe605ff,
    0x5001ffff,0x01ffffff,0xfff88000,0x740004ff,0x0006ffff,0x17ffffe4,
    0xffffa800,0xffffffff,0xffffffff,0x7fff401f,0xf500006f,0xffffffff,
    0xffffffff,0xc803ffff,0x002fffff,0x3fffff20,0x000000df,0x0dfffffb,
    0x4fffffe8,0xfffffb00,0xc8004007,0x002fffff,0x7ffffd40,0x3ff20001,
    0x90002fff,0xffffffff,0xffffffff,0x409fffff,0x02fffff9,0xffff9000,
    0xffffffff,0xffffffff,0xfffc809f,0x320002ff,0x002cefff,0x7ffdc000,
    0x7fd405ff,0x6403ffff,0x00ffffff,0xf9807f70,0x001fffff,0x4fffff80,
    0x3fff2000,0xfd0002ff,0xddddffff,0xfddddddd,0x6c0dffff,0x0007ffff,
    0x3fffffa0,0xeeeeeeee,0xfffffeee,0x7fffe406,0x2660002f,0x00220000,
    0x7fffffd0,0xfffffd00,0xffc9839f,0x3003ffff,0x1157bfff,0xffffff93,
    0x3f200009,0x0000ffff,0x05fffff9,0xfffff300,0x7ffcc007,0xff880fff,
    0x00003fff,0x07fffff3,0x7ffffcc0,0x3fff200f,0x000002ff,0x5677d400,
    0xfffda881,0xfb801fff,0xffffffff,0xfffffffe,0x3ffa006f,0xffffffff,
    0x006fffff,0x3fffe200,0xff90003f,0x70005fff,0x003fffff,0x2fffffe8,
    0x0fffffc8,0xfff70000,0xfe8003ff,0x3202ffff,0xffffffff,0xffffffff,
    0x200001ff,0xfffffffa,0xffffffee,0x3fa006ff,0xffffffff,0xffffffff,
    0xffff5002,0xffffffff,0x0003ffff,0x6ffffd80,0xffff9000,0xffb0005f,
    0xf9000fff,0xff0bffff,0x0000bfff,0x03ffffec,0x7ffffe40,0x3ffff205,
    0xffffffff,0x01ffffff,0x3ffea000,0xffffffff,0x00efffff,0x7ffffe40,
    0xffffffff,0x754001ef,0xffffffff,0x001effff,0xffff9800,0xffc8002f,
    0x44002fff,0x004fffff,0x7fffffa8,0x0fffffd4,0xfff88000,0xfa8004ff,
    0x3207ffff,0xffffffff,0xffffffff,0x200001ff,0xfffffffa,0xffffffff,
    0xff70000e,0xffffffff,0x40001bff,0xfffffffb,0x00002eff,0x2fffff40,
    0x7fffe400,0x7fd4002f,0x88002fff,0x21ffffff,0x006ffffe,0x3fffea00,
    0xff88002f,0xf901ffff,0xffffffff,0xffffffff,0x4c00003f,0xfffffffe,
    0x02dfffff,0xffec9800,0x02dfffff,0x32e62000,0x000009ac,0x33333100,
    0xffff9000,0xffc8005f,0xd0000fff,0x4c9fffff,0x00009999,0x3fffff20,
    0xfffd0000,0x3ff209ff,0xffffffff,0xffffffff,0x53000001,0x55999975,
    0x4c000001,0x00000aba,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x65d44000,0x0001accc,
    0x7ffffe40,0x7d4001ef,0x0003ffff,0xfffff500,0xffe98007,0x0003ffff,
    0xfffc8000,0x4001efff,0x03fffffa,0x00010000,0x00003100,0x00019880,
    0x3ffb2200,0xffffffff,0xfc80005f,0x005fffff,0xffffffb8,0x5c00003f,
    0x3fffffff,0x7ffec400,0x00003fff,0x3ffff200,0xfb8005ff,0x03ffffff,
    0xfffb3000,0x5c40003b,0x502efffe,0x3fb22003,0x02dfffff,0xfffd3000,
    0xffffffff,0xc8000fff,0x02ffffff,0xfffffb80,0x0004ffff,0xffffff70,
    0x70009fff,0x07ffffff,0xff900000,0x0005ffff,0xfffffff7,0xc80009ff,
    0x3fffffff,0xfffe8800,0x260dffff,0x7fdc01ff,0xffffffff,0x2e0002ef,
    0xffffffff,0x7fffffff,0x3fff2000,0xc8000eff,0xfeaeffff,0x40004fff,
    0xeaeffffc,0x8004ffff,0x3fffffe9,0x3f200000,0x000effff,0xaeffffc8,
    0x004ffffe,0xffffff50,0xd8003fff,0xffffffff,0xffffeeff,0xffffe881,
    0xffffffff,0x6c4002ff,0xffffffff,0xffffffff,0xfff90007,0x320009ff,
    0x3624ffff,0x0004ffff,0x449ffff9,0x004ffffd,0x7fffff90,0xff900000,
    0x20009fff,0x224ffffc,0x004ffffd,0xb8bfffe8,0x2a006fff,0xffffffff,
    0xffffffff,0xfffff906,0xffffffff,0x64003fff,0xffffffff,0xffedccdf,
    0xaa88007f,0x10001aaa,0x2a055555,0x4000aaaa,0x502aaaa8,0x00015555,
    0x02aaaaa6,0xaaa88000,0x510001aa,0x2aa05555,0x22000aaa,0x7fe44fff,
    0x5ffdc007,0xfffffb88,0xfa80ffff,0x9acfffff,0xffffffca,0xffff1005,
    0xa803bfff,0x0000007d,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0bffe600,0x8001fff5,0xfffc883b,0xffd01eff,0x3e605fff,0xb007ffff,
    0x09ffffff,0x00000080,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2fffc000,0x0001fff6,0x802aea20,0x05fffff8,0x07fffff4,0x3ffffe60,
    0x4400003f,0x99999999,0x99999999,0x4cc40019,0x00099999,0x26666620,
    0x99999999,0x31019999,0x33333333,0x33333333,0x33310133,0x33333333,
    0x33333333,0x33333101,0x33333333,0x01333333,0x2fbfff60,0x0004fffe,
    0x7fcc0000,0x7ec02fff,0x7400ffff,0x007fffff,0xffffc800,0xffffffff,
    0x01ffffff,0x3fffffa0,0x320006ff,0xffffffff,0xffffffff,0xfffa81ff,
    0xffffffff,0xffffffff,0xfffffa82,0xffffffff,0x82ffffff,0xfffffffa,
    0xffffffff,0x1002ffff,0xffffffff,0x0000001f,0xfffffb80,0x7ffffc01,
    0x7fffc407,0x800003ff,0xfffffffc,0xffffffff,0xf1001fff,0xffffffff,
    0x3ff20001,0xffffffff,0xffffffff,0xfffffa81,0xffffffff,0x82ffffff,
    0xfffffffa,0xffffffff,0xfa82ffff,0xffffffff,0xffffffff,0x3a6002ff,
    0x01efffff,0x332ea200,0x00abcdee,0x03fffff2,0x4fffffc8,0x7ffffcc0,
    0xc800000f,0xffffffff,0xffffffff,0xff7001ff,0x5fffffff,0x3fff2000,
    0xffffffff,0x1fffffff,0xffffffa8,0xffffffff,0xa82fffff,0xffffffff,
    0xffffffff,0xffa82fff,0xffffffff,0xffffffff,0xdca8002f,0xd710002c,
    0xffffffff,0x9019ffff,0x201fffff,0x0ffffffb,0x7ffffd40,0xf9000006,
    0xffffffff,0xffffffff,0x3ff6003f,0x5fffffff,0xffff9000,0xffffffff,
    0x03ffffff,0xfffffff5,0xffffffff,0xf505ffff,0xffffffff,0xffffffff,
    0xfff505ff,0xffffffff,0xffffffff,0x00000005,0x7fffffdc,0xffffffff,
    0x7ffe41ff,0xfffb80ff,0xfb802fff,0x0005ffff,0xfffff900,0xdddddddd,
    0x001ddddd,0x3ffffffe,0x90007fff,0xdddfffff,0xdddddddd,0x999301dd,
    0xffffd999,0x999999bf,0x99999303,0xbfffffd9,0x03999999,0xd9999993,
    0x99bfffff,0x10039999,0x9bdd9975,0x7dc00157,0xffffffff,0xffffffff,
    0x3fffff20,0x7ffffdc0,0xfffb002f,0x000009ff,0x0bfffff2,0x7fd40000,
    0xffffffff,0xffc8001f,0x00002fff,0xfffffb80,0x3ee00003,0x0003ffff,
    0x3ffffee0,0xfeb88003,0xffffffff,0xb800cfff,0xcdefffff,0xffffffec,
    0x3ffff25f,0x3fffe20f,0x3fa001ff,0x0003ffff,0xfffff900,0x32000005,
    0xffbfffff,0xc8004fff,0x002fffff,0xfffb8000,0x200003ff,0x03fffffb,
    0x3ffee000,0xfb8003ff,0xffffffff,0x1fffffff,0x0056fdc0,0xffffff91,
    0x3fffff21,0x3fffff20,0x7fffc003,0x000003ff,0x05fffff9,0x3ffe0000,
    0xffff9cff,0xffc8006f,0x00002fff,0xfffffb80,0x3ee00003,0x0003ffff,
    0x3ffffee0,0xfffb8003,0xffffffff,0x00ffffff,0xffd00022,0x3ff23fff,
    0x3ff60fff,0x7c000fff,0x003fffff,0xffff9000,0x3000005f,0x3e5fffff,
    0x000fffff,0x17ffffe4,0x7dc00000,0x0003ffff,0x3ffffee0,0x3ee00003,
    0x8003ffff,0xdefffffb,0xfffffecc,0x400005ff,0x92fffffb,0x741fffff,
    0x001fffff,0x27fffff4,0xffc80000,0x00002fff,0x0fffffb8,0x07fffff9,
    0xfffffc80,0xb8000002,0x003fffff,0x3fffee00,0x2e00003f,0x003fffff,
    0x200adfb8,0xffffffc8,0x3e600000,0xff93ffff,0x7fec1fff,0x6c004fff,
    0x005fffff,0xffff9000,0xb000005f,0x7d4dffff,0x4005ffff,0x02fffffc,
    0xffb80000,0x00003fff,0x0fffffee,0xfffb8000,0x088003ff,0x7ffff400,
    0x2600001f,0xf94fffff,0x7dc1ffff,0x004fffff,0x1bfffff2,0x7fe40000,
    0x00002fff,0x1fffffc4,0x0ffffff1,0xfffffc80,0xb8000002,0x003fffff,
    0x3fffee00,0x2e00003f,0x003fffff,0xfff70000,0x554005ff,0xffffeecc,
    0xff94ffff,0x7fcc1fff,0x00dfffff,0xffffffa8,0xfc800000,0xcccdffff,
    0xcccccccc,0x7fffd402,0x7ffff41f,0x3ff2002f,0xccccdfff,0x2ccccccc,
    0xffffb800,0x2e00003f,0x003fffff,0x3fffee00,0x0000003f,0x07fffff3,
    0xfffffb88,0xffffffff,0xffff94ff,0xffffb81f,0x4c01efff,0x04ffffff,
    0xfffc8000,0xffffffff,0x04ffffff,0x43ffffe4,0x04fffffb,0x3fffff20,
    0xffffffff,0x8004ffff,0x03fffffb,0x3ffee000,0x200003ff,0x03fffffb,
    0xff300000,0x7dc09fff,0xffffffff,0xffffffff,0x1fffff94,0xffffffb0,
    0x7fc403ff,0x000fffff,0x7fffe400,0xffffffff,0x404fffff,0x985fffff,
    0x006fffff,0x3ffffff2,0xffffffff,0xb8004fff,0x003fffff,0x3fffee00,
    0x2e00003f,0x003fffff,0xdd995500,0xffffffff,0x3fffee09,0xffffffff,
    0x94ffffff,0x201fffff,0xfffffffd,0x3fff200f,0x00004fff,0x7fffffe4,
    0xffffffff,0x3e604fff,0xff03ffff,0x2003ffff,0xfffffffc,0xffffffff,
    0xfb8004ff,0x0003ffff,0x3ffffee0,0x3ee00003,0x0003ffff,0x3ffffee2,
    0xffffffff,0xfffa84ff,0x9aacffff,0xfffffa99,0x1fffff94,0x7ffffdc0,
    0x3fe205ff,0x00efffff,0x7fe40710,0xffffffff,0x4fffffff,0x3fffff20,
    0xfffffb00,0x3fff2007,0xffffffff,0x04ffffff,0xfffffb80,0x3ee00003,
    0x0003ffff,0x3ffffee0,0xfff70003,0xffffffff,0x09ffffff,0x1dfffffd,
    0x7ffffcc0,0x1fffff94,0xfffff980,0x3ff200ff,0x9befffff,0x03fedcc0,
    0x59fffff9,0x55555555,0x7ff40355,0x3fea06ff,0xf9005fff,0x5559ffff,
    0x55555555,0xfff70003,0x400007ff,0x03fffffb,0x3ffee000,0xfb8003ff,
    0xffffffff,0xffffffff,0xfffff84f,0x7ffcc00f,0xffff94ff,0xfff5001f,
    0x7c405fff,0xffffffff,0xffffffff,0x3fff207f,0x100002ff,0x409fffff,
    0x0ffffff8,0xfffffc80,0xb8000002,0x003fffff,0x3fffee00,0x2e00003f,
    0x003fffff,0x7fffffd4,0xa999aacf,0x4c4fffff,0x806fffff,0x94fffffa,
    0x001fffff,0x13fffff6,0xffffff30,0xffffffff,0x7e40ffff,0x0002ffff,
    0x5fffff70,0xfffffe80,0xffffc802,0x8000002f,0x03fffffb,0x3ffee000,
    0x200003ff,0x03fffffb,0x7fffff40,0x3ffe600e,0x7ffd44ff,0x7fd407ff,
    0xff94ffff,0x2e001fff,0x803fffff,0xffffffe8,0xffffffff,0x3fff207f,
    0xb00002ff,0xffffffff,0xffffffff,0xf9009fff,0x0005ffff,0xffff7000,
    0x5c00007f,0x003fffff,0x3fffee00,0x7ffc003f,0x7cc00fff,0x7c44ffff,
    0x702fffff,0x9fffffff,0x03fffff2,0x7ffffec0,0x3fff6002,0xffffffff,
    0x3f207fff,0x0002ffff,0xfffffff0,0xffffffff,0x00ffffff,0x05fffff9,
    0xff700000,0x00007fff,0x1fffffdc,0xfff70000,0x7cc007ff,0xa806ffff,
    0xf84fffff,0x9cffffff,0xfffffeb8,0xfff94fff,0x4cde41ff,0xfffffc99,
    0x75c4000f,0xffffffff,0x7fe401ce,0x80002fff,0xfffffffa,0xffffffff,
    0x01ffffff,0x17ffffe4,0x7dc00000,0x0003ffff,0x3ffffee0,0x3ee00003,
    0x2003ffff,0x07fffffa,0x7fffffd4,0xfffffc84,0xffffffff,0x94ffffff,
    0x7c1fffff,0xffffffff,0x20004fff,0x9bfffff8,0x3fff2000,0xc80002ff,
    0xffffffff,0xffffffff,0x404fffff,0x02fffffc,0xffb80000,0x00003fff,
    0x0fffffee,0xfffb8000,0x3e2003ff,0x702fffff,0x9fffffff,0xffffff10,
    0x9fffffff,0x329ffff9,0x3e0fffff,0xffffffff,0x540006ff,0x0006ffff,
    0x05fffff9,0xffffd000,0xdddddddf,0xffffdddd,0xfffc80df,0x000002ff,
    0x3fffffb8,0x3fee0000,0x00003fff,0x0fffffee,0xffffff00,0xffd7139f,
    0x09ffffff,0x3fffffea,0xf73fffff,0x3ff29fff,0x3ffe0fff,0xdfffffff,
    0x7fe40000,0xf90003ff,0x0005ffff,0x3fffff98,0x3fffe600,0x3ff200ff,
    0x00002fff,0xfffffb80,0x3ee00003,0x0003ffff,0x3ffffee0,0x7ffe4003,
    0xffffffff,0xffffffff,0x3fff6204,0x2e0dffff,0xff94ffff,0x7ffc1fff,
    0x01dfffff,0xffffb000,0x3ff20001,0xffffffff,0xffffffff,0x3ffffee1,
    0x7fff4001,0x3ff202ff,0xffffffff,0xffffffff,0xeeeeea81,0xefffffee,
    0x81eeeeee,0xeeeeeeea,0xeeefffff,0xea81eeee,0xffeeeeee,0xeeeeefff,
    0xfff881ee,0xffffffff,0xffffccff,0xaba98804,0x26000002,0x00009aaa,
    0x05ffff80,0x3ffff200,0xffffffff,0x21ffffff,0x007ffffd,0x5fffffc8,
    0x3fffff20,0xffffffff,0xa81fffff,0xffffffff,0xffffffff,0xffa82fff,
    0xffffffff,0xffffffff,0xffffa82f,0xffffffff,0x2fffffff,0xffffff50,
    0x2e7fffff,0x0004ffff,0x00000000,0xfff10000,0x7e40005f,0xffffffff,
    0xffffffff,0xfffff11f,0xfff50009,0x7fe40fff,0xffffffff,0xffffffff,
    0xfffffa81,0xffffffff,0x82ffffff,0xfffffffa,0xffffffff,0xfa82ffff,
    0xffffffff,0xffffffff,0x3f6202ff,0x0dffffff,0x013fffee,0x00000000,
    0x7d400000,0x640007ff,0xffffffff,0xffffffff,0xffff51ff,0xff10005f,
    0x3203ffff,0xffffffff,0xffffffff,0xfffa81ff,0xffffffff,0xffffffff,
    0xfffffa82,0xffffffff,0x82ffffff,0xfffffffa,0xffffffff,0x8802ffff,
    0x0002aba9,0x00000000,0x00000000,0xfffc8000,0xffffffff,0x1fffffff,
    0x01fffff9,0x3ffffa00,0xffff904f,0xffffffff,0x03ffffff,0xfffffff5,
    0xffffffff,0xf505ffff,0xffffffff,0xffffffff,0xfff505ff,0xffffffff,
    0xffffffff,0x00000005,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01800000,
    0x03000030,0xa9800060,0xaaacdedc,0x00aaaaaa,0x35555000,0x000c4000,
    0x1800c000,0x55555440,0x55550002,0x09880155,0x0c000000,0xba880180,
    0x7dc0000a,0xfff702ff,0xfff70005,0x0bffee05,0xffffe980,0xffffffff,
    0x0002ffff,0x03ffff98,0x7fff5c40,0x0003502e,0x2e05fff7,0xff102fff,
    0x8005ffff,0x0ffffff8,0x7dfffd90,0x7776c400,0x17ffdc03,0x302fffb8,
    0x003dffff,0x3ffffea0,0x7ffffd41,0x3ffea001,0x7ffd41ff,0xffd801ff,
    0xffffffff,0xffffffff,0xffc80002,0x3a2000ff,0xdfffffff,0x8007fe60,
    0x41fffffa,0x01fffffa,0x0bfffffb,0xfffffb80,0xffffe885,0xc800efff,
    0x2a00ffff,0x541fffff,0x441fffff,0x0fffffff,0xffffd800,0x7fffec4f,
    0x3ff6004f,0x7fec4fff,0x7ec04fff,0xffffffff,0xffffffff,0xe80002ff,
    0x6c005fff,0xffffffff,0xffffeeff,0xffffb001,0xffffd89f,0xffff504f,
    0x7f4001ff,0xfe82ffff,0xffffffff,0x7fffcc04,0x7fffec02,0x7fffec4f,
    0x7fffe44f,0xd8003fff,0x6c4fffff,0x004fffff,0x13fffff6,0x09fffffb,
    0x7fffffd4,0xffffbaac,0x02ffffff,0x7fffcc00,0x3ffea003,0xffffffff,
    0x006fffff,0x13fffff6,0x09fffffb,0x1ffffffc,0xfffff880,0xeffffa87,
    0x01fffffb,0x2017fffa,0x44fffffd,0x44fffffd,0xfffffffd,0xfffa8005,
    0x7ffdc2ff,0x3ea002ff,0x7dc2ffff,0x3e02ffff,0x880effff,0x006ffffd,
    0x3bbb2e60,0x4000ffff,0xfb88bffb,0xffffffff,0x3ffea000,0x7ffdc2ff,
    0x3fee02ff,0xf7006fff,0xfd09ffff,0x7ffc49ff,0xffff903f,0xffff5001,
    0xffffb85f,0x7fffec2f,0x90004fff,0x3f209fff,0xfc8004ff,0xfff904ff,
    0x7fffc409,0x3ffe202f,0x3a6002ff,0xffffffff,0x770006ff,0xfffff910,
    0xff90003d,0x3fff209f,0x7fffc404,0xffe800ff,0xfff80fff,0x27ffec2f,
    0x01ffffcc,0x209fff90,0xfa84fffc,0x02ffffff,0x1002a200,0x54400015,
    0x20054400,0x807ffffa,0x004ffffe,0xfffffff7,0x1dffffff,0xba880000,
    0x5440000a,0x80054400,0x03fffffd,0x2fffffcc,0x207fffc4,0xfe85fffb,
    0xa88006ff,0xb0054400,0x00bfffff,0x00000000,0x7e400000,0xfd806fff,
    0x6c405fff,0xffffffff,0xffffffff,0x00000001,0x80000000,0x06fffffa,
    0x17ffffe4,0x207fffc4,0x7e45fffb,0x00000fff,0xefeb8000,0x00000003,
    0x00000000,0x07ffffdc,0x13ffff60,0xffffff90,0xffffffff,0x0000dfff,
    0x00000000,0x3fffe000,0x3ffe01ff,0x3ffe07ff,0x27ffec2f,0x007ffff3,
    0x00000000,0x32a60000,0x0001abde,0xeeccba88,0x9800abcd,0x202fffff,
    0x02fffff8,0x3fffffe6,0xffffa8ad,0x004fffff,0x57bd9530,0xa8800003,
    0x001acddc,0x4fffffc8,0x9fffff50,0x227fff40,0x3fa3ffff,0x2a6006ff,
    0xa8802aaa,0x0001aaaa,0xfffd8800,0x2fffffff,0x7ff5c400,0xffffffff,
    0x3e200cff,0x3205ffff,0x201fffff,0x45fffffd,0xfffffffd,0xb1000fff,
    0xffffffff,0xa80005ff,0xffffffff,0x3e2002ef,0xfb07ffff,0x6403ffff,
    0xfebdffff,0xfff70fff,0x7fec003f,0x7cc00fff,0x0004ffff,0x7fffd400,
    0xffffffff,0xff7000df,0xffffffff,0x03ffffff,0x77ffffe4,0xfffda88a,
    0x3fe605ff,0x7fc46fff,0xffffdcff,0xfffa802f,0xffffffff,0xc8000dff,
    0xffffffff,0x000cffff,0x85fffffb,0x06fffff8,0x7fffffc4,0xff33ffff,
    0xfd8007ff,0x4c00ffff,0x004fffff,0xfffb1000,0xffffffff,0x003fffff,
    0xfffffff7,0xffffffff,0x7ff401ff,0xffffffff,0x200fffff,0x42fffffc,
    0xf99ffffa,0x2205ffff,0xfffffffd,0xffffffff,0xffd1001f,0xffffffff,
    0x200dffff,0x45fffffa,0x03fffffa,0xffffffb8,0x3fffa5ff,0xfffd8006,
    0x7fcc00ff,0x00004fff,0xffffff90,0xffffffff,0xf700dfff,0x99bdffff,
    0xfffffffd,0x3fffa20b,0xffffffff,0x7ec01fff,0xffd87fff,0x3ffffa7f,
    0x3ffff207,0xffffffff,0x006fffff,0xbffffffd,0xfffffd99,0x3ffe007f,
    0x3ffa0fff,0xd3000fff,0x5c5dffff,0x8001ffff,0x00fffffd,0x27ffffcc,
    0x7fc40000,0x9bdfffff,0xffffffca,0x56fdc02f,0x3fff2200,0xffd80fff,
    0xffffffff,0xe800cfff,0x7c45ffff,0x3ff64fff,0xfff107ff,0x537bffff,
    0xfffffff9,0xffffa805,0xfffb80df,0xfc800fff,0xff13ffff,0x10009fff,
    0xfff88133,0xffb0004f,0xf9801fff,0x0004ffff,0xfffffd80,0xfffd101f,
    0x00880fff,0x7fffff40,0x6ffffd41,0xbcdeeeb9,0x3fffe000,0x7fffd44f,
    0x3fffff21,0xfffffd80,0xfffd101f,0xffe80fff,0x7fdc06ff,0xf9805fff,
    0xff75ffff,0x00003fff,0x006fffe8,0x3fffff60,0x7fffcc00,0x4c00004f,
    0x01ffffff,0x7fffffc4,0x7dc00003,0x7ec2ffff,0x00001fff,0x0fffffe2,
    0xfc8ffffb,0x7cc1ffff,0x401fffff,0x3ffffff8,0x3fffff70,0xfffffd00,
    0x3ffff600,0x6ffffe8f,0x7fdc0000,0x360001ff,0x400fffff,0x44fffff9,
    0x4003efeb,0x05fffffc,0x9fffff90,0xff980000,0x7ffc3fff,0x200001ff,
    0x24fffff9,0x644ffff8,0x640fffff,0x005fffff,0x09fffff9,0x01bffffa,
    0x07ffffe4,0x7ffffd40,0x03fffffd,0x3ffe2000,0x7ec0004f,0x4c00ffff,
    0x364fffff,0x005fffff,0x07fffff6,0x7ffffcc0,0x7cc00005,0x7fc4ffff,
    0x0000efff,0x9fffff10,0x20ffffdc,0xd87ffffd,0x001fffff,0x0bfffff3,
    0x013ffffe,0x0fffffdc,0xffffff80,0x000fffff,0x1bfff600,0x3fff6000,
    0x7fcc00ff,0xfff54fff,0x2005ffff,0x007ffffe,0x1bffffe2,0xdd995500,
    0xffffffff,0xfffffd89,0xccccdeef,0xfff8009a,0x3fff65ff,0x6ffffe86,
    0x07ffffe8,0x3ffffe20,0xfffff886,0xeeeeeeee,0xfffffeee,0xffff9002,
    0x00bfffff,0x7fffd400,0x7ec00081,0x4c00ffff,0xfb4fffff,0x09ffffff,
    0x1fffffe0,0xffffff00,0xffff7100,0xffffffff,0xffb89fff,0xffffffff,
    0x3effffff,0x5bffffe0,0x444ffff8,0xf85fffff,0x4007ffff,0x987fffff,
    0xffffffff,0xffffffff,0x003fffff,0xfffffff3,0x200005ff,0x264ffff8,
    0x00cefffd,0x07ffffec,0x3ffffe60,0xffffffb4,0xfff100bf,0xfe800dff,
    0x2e00ffff,0xffffffff,0xffffffff,0xffffb84f,0xffffffff,0x81ffffff,
    0xbafffffd,0x7e41ffff,0x7c43ffff,0x4006ffff,0x40fffffe,0xfffffffa,
    0xffffffff,0x03ffffff,0x3fffffa0,0x200006ff,0xf70ffffd,0x3fffffff,
    0x7ffffec0,0x7fffcc00,0xfffff94f,0xff3007ff,0xf800dfff,0x700fffff,
    0xffffffff,0xffffffff,0xfff109ff,0xffffffff,0xdfffffff,0xfffffa81,
    0x446fffee,0x40ffffff,0x06fffff9,0x7fffffc0,0x7ffffdc0,0xffffffff,
    0xffffffff,0x3ffea002,0x0002ffff,0x25ffff50,0xfffffffb,0x3ff606ff,
    0x7cc00fff,0xff14ffff,0x001fffff,0x01fffffe,0x0ffffff0,0x3fffffea,
    0xa999aacf,0x4c4fffff,0xeeffffff,0xffffeeee,0x7c45ffff,0xffffffff,
    0x3fffa63f,0xffff03ff,0xfff800ff,0xfffa87ff,0xaaaaacff,0xaaaaaaaa,
    0x7fc000aa,0x0006ffff,0x2bffff10,0xecfffff8,0xfb03ffff,0x9801ffff,
    0x2a4fffff,0x001fffff,0x03fffffe,0x7ffffc40,0xfffffd05,0x7ffcc01d,
    0x3ffe24ff,0x74c00eff,0xb87fffff,0xffffffff,0xffffcbaf,0x3ffe07ff,
    0xf1000fff,0xf30bffff,0x0009ffff,0x7ffc4000,0x00003fff,0x2e1ffffb,
    0x3f60ffff,0xfffb06ff,0xff9801ff,0x5d444fff,0x7fec000a,0xf7002fff,
    0x3e09ffff,0x400fffff,0x24fffff9,0x01fffffc,0x3fffffe0,0xfffffe80,
    0xffffffff,0x3603ffff,0x002fffff,0x09fffff7,0x0bfffff1,0x7e400000,
    0x0007ffff,0x45ffff50,0x7d45fffc,0xfffb07ff,0xffc801ff,0x00004fff,
    0x37ffffe4,0xfffffe80,0xfffff983,0xffffa806,0x3ffffe4f,0x7fff4006,
    0xffe880ff,0xffffffff,0x402fffff,0x06fffffc,0x7fffffd0,0x3fffffe0,
    0x98000000,0x03ffffff,0xffff8800,0x21fffec5,0xc80ffff9,0x202fffff,
    0x4ffffffb,0x99999999,0x87999999,0x2ffffffa,0x7ffffdc0,0xffffa80f,
    0x7ffd407f,0xfff14fff,0x7c400dff,0x6c06ffff,0xffffffff,0x800effff,
    0x2ffffffa,0x7ffffdc0,0xffffb00f,0x800000bf,0x6fffffe8,0xfff90000,
    0x3fffe81f,0x407fffc4,0x04fffffb,0xfffffff5,0x3fffffe9,0xffffffff,
    0xfffffe86,0xffff703f,0x3fe207ff,0xf702ffff,0x49ffffff,0x01ffffff,
    0x9fffffb0,0xffffff00,0x007bffff,0xffffffe8,0xfffff703,0x7ffcc07f,
    0x2000cfff,0xfffb8800,0x0000ffff,0x82ffffa8,0x7d44fffd,0xfff507ff,
    0x7dc41dff,0x4fffffff,0xffffffff,0x0dffffff,0xfffffff5,0xffffb9bd,
    0xff80dfff,0x89cfffff,0xffffffeb,0x3fff64ff,0x30abcfff,0xffffff73,
    0xfff9801f,0x000abccf,0x3ffffea0,0xffdcdeff,0x806fffff,0xfffffffc,
    0xba9999ac,0x77e40ffd,0xfffffffe,0xe880002f,0xff905fff,0x5fffc8df,
    0xffffff30,0xfffff9bf,0x3e9fffff,0xffffffff,0xb06fffff,0xffffffff,
    0xffffffff,0xfffc805f,0xffffffff,0xffffffff,0x3ffffea4,0xffffffff,
    0x1fffffff,0x0ffffc80,0x7fec0000,0xffffffff,0x2fffffff,0xffffe880,
    0xffffffff,0x640fffff,0xffffffff,0x900003ff,0x2a01ffff,0xfcaeffff,
    0x3f603fff,0xffffffff,0xfffeffff,0xffffff4f,0xffffffff,0x3fffa20d,
    0xffffffff,0x8802ffff,0xffffffff,0xfccfffff,0x7fd44fff,0xffffffff,
    0xffffffff,0xbffff001,0xfd100000,0xffffffff,0x05ffffff,0x7ffffcc0,
    0xffffffff,0x7e40ffff,0xffffffff,0xff300002,0xffe807ff,0x6fffffff,
    0x7ffffcc0,0xafffffff,0x994ffffb,0x99999999,0xb8079999,0xffffffff,
    0x000dffff,0x3fffffea,0xf73fffff,0xfb309fff,0xffffffff,0x005dffff,
    0x017fffcc,0xfff70000,0xffffffff,0x910001bf,0xffffffff,0x1fffffff,
    0xffffffc8,0x200000cf,0x9805fffe,0xffffffff,0xfffb801f,0x2fffffff,
    0x009ffff7,0xffb30000,0x7bffffff,0x3ff62000,0x20dfffff,0x204ffffb,
    0xfffedcb8,0x8002bcde,0x000ffffc,0x7fecc000,0x3dffffff,0xffd98000,
    0xffffffff,0x7fdc0bdf,0x0001bcef,0x07fffe40,0xffffd880,0x3a6000df,
    0x0dffffff,0x013fffee,0x53100000,0x40000157,0x002aba98,0x00000000,
    0x00026662,0x75310000,0x40000015,0x9aacca98,0x00000000,0x4c400000,
    0x5440001a,0x00000abb,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xd7000000,0x01bddddd,
    0x3bbae000,0x1000deee,0x30011001,0x5ddddddb,0x40000000,0xdeeeeeeb,
    0x3bbba600,0x57301eee,0x004ccc40,0xb1000000,0x4001bddd,0xeeeeeed9,
    0x50000002,0x000019bb,0x3ffffee0,0x700000ef,0x1dffffff,0x1bffd100,
    0x01bffd10,0xfffffe98,0x0000002f,0xffffffb8,0xfffb800e,0xeca9ffff,
    0xfea83fff,0x00cfffff,0x0fbbb620,0xffffe880,0x3a6000ef,0x02ffffff,
    0x7fe40000,0x00000fff,0x7fffffdc,0x3ee00004,0x004fffff,0x217ffffa,
    0x005ffffe,0x5ffffffb,0x5c000000,0x04ffffff,0x7ffffe40,0xffffffff,
    0xfffffb83,0x9000efff,0x4001ffff,0xfffffffe,0x7fec000e,0x0002ffff,
    0xfffff500,0x5c0000bf,0x02ffffff,0x3ffee000,0x26002fff,0x20ffffff,
    0x0ffffff9,0xfffff500,0x0000005f,0x5ffffff7,0x7fe5cc00,0xffffffff,
    0xffb83fff,0x3fffffff,0x2ffff980,0x3ffff600,0x005ffffd,0xffffffa8,
    0xfc800002,0x00ffffff,0xffffb800,0x200000ef,0x0efffffb,0x7fffcc00,
    0x3ffe60ff,0x26000fff,0x02fffffe,0x3fee0000,0x2000efff,0xffffffff,
    0xffffffff,0x261aa82f,0xe805ffff,0x36005fff,0xff73ffff,0xd3000bff,
    0x005fffff,0xffffc800,0xb80007ff,0x004fffff,0x7fffdc00,0x3fa0004f,
    0xffe86fff,0xfb0006ff,0x0005ffff,0xfffff700,0xffff0009,0xffffffff,
    0x880015bf,0x6402ffff,0x9000ffff,0xfc87ffff,0xb0005fff,0x005fffff,
    0x7fffcc00,0x440005ff,0x001aaaaa,0x55554400,0x74c0001a,0xfe981eff,
    0x2a0001ef,0x0002aaaa,0x55555440,0xffff0001,0xffffffff,0x766400df,
    0x200effff,0x003ffff9,0x20555551,0x000aaaaa,0x05555550,0xfffc8000,
    0x000000ff,0x00000000,0x40198800,0x00000198,0x00000000,0x37bfff00,
    0xffffff71,0xffff1009,0xffd00bff,0x000000df,0x00000000,0x066e5400,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfd802a00,0x401fffff,
    0xfffffff8,0xffff903f,0x00000001,0x00000000,0x88000000,0x01acddca,
    0x155554c0,0x55555440,0x00000001,0x7665d440,0x000abcde,0xdd997510,
    0x0001579b,0xfffd9530,0x9900dfff,0x1fffffb9,0x03ffff98,0xd9975100,
    0x001579bd,0x9bb95100,0x00000035,0x3ffea000,0x2effffff,0xfffffb00,
    0xffff9801,0x2aaa604f,0xaaaaaaaa,0xfd710002,0xffffffff,0x10019fff,
    0xffffffd7,0x19ffffff,0xffff9000,0xffffffff,0xfff98007,0x37fff43f,
    0x3ffae200,0xffffffff,0xa8000cff,0xffffffff,0x440002ef,0x0003cccc,
    0xfffffff9,0x019fffff,0x0fffffd8,0x7ffffcc0,0x3ffff604,0xffffffff,
    0xfffb8000,0xffffffff,0x401fffff,0xfffffffb,0xffffffff,0xffd5001f,
    0xffffffff,0x4020ffff,0x2e3ffffb,0x4001ffff,0xfffffffb,0xffffffff,
    0x3ff2001f,0xffffffff,0x30000cff,0x800dffff,0xffffffe8,0xffffffff,
    0x7fffec06,0x7ffcc00f,0x3ff604ff,0xffffffff,0xfb8000ff,0xffffffff,
    0xffffffff,0x3fffee00,0xffffffff,0x400fffff,0xfffffffc,0xffffffff,
    0xfefff83f,0x30ffffff,0x0007ffff,0xfffffff7,0xffffffff,0xfe8801ff,
    0xffffffff,0x006fffff,0x0dffff30,0xfffffe80,0xfffeccdf,0x3f603fff,
    0x4c00ffff,0x204fffff,0xfffffffd,0x000fffff,0xefffffb8,0xffffeccd,
    0x3ee05fff,0xccdeffff,0xfffffffe,0x3fffea05,0xffefffff,0xf86fffff,
    0xffffffff,0x1bfffa2f,0x7fffdc00,0xffeccdef,0x405fffff,0xdffffffe,
    0xfffffecc,0xffa8003f,0x3ea007ff,0xb80dffff,0x00ffffff,0x01fffffb,
    0x4fffff98,0x3fffff60,0x0fffffff,0x0adfb800,0x3ffff220,0x5bf700ff,
    0x7ffe4401,0xffd00fff,0xa817ffff,0x42ffffff,0xffffffff,0x3fffee1c,
    0x5bf70001,0x7ffe4401,0xff500fff,0xf701bfff,0x001fffff,0x07ffffa8,
    0x1bffffa0,0xbfffff70,0x3fffff60,0x7fffcc00,0x2666204f,0xffffe999,
    0x0088000f,0x7fffff40,0xe8001101,0xc81fffff,0x01ffffff,0x13fffffe,
    0x01335533,0x009ffff1,0x3a000440,0xd01fffff,0xb80dffff,0x805fffff,
    0xfffffeb9,0xffff7007,0xfffd003f,0x3fff60ff,0x7fcc00ff,0xd0004fff,
    0x001fffff,0x3fee0000,0x00002fff,0x0bffffee,0x5ffffff1,0xfffffc80,
    0x3ffa0006,0x0000006f,0x2fffffb8,0x1fffffb8,0x7ffffe80,0x3ffff620,
    0x800fffff,0x006ffffe,0x01fffff9,0x01fffffb,0x4fffff98,0xffffd000,
    0x0000001f,0x0fffffe6,0xfff98000,0x7ffd43ff,0xff9806ff,0x8000ffff,
    0x001ffffb,0xff980000,0xffe83fff,0xff9006ff,0xff501fff,0xffffffff,
    0xffff001f,0x3fee009f,0xffd81fff,0x7cc00fff,0x0004ffff,0x01fffffd,
    0x3e600000,0x0004ffff,0x3ffffe60,0x7ffffdc4,0xfffff003,0xff88005f,
    0x000004ff,0xfffff300,0x9fffff09,0x3fffee00,0x7fffcc1f,0xffffffff,
    0x7fffc400,0xeeeeeeef,0xffffeeee,0xffffd82f,0x7ffcc00f,0xfd0004ff,
    0x0001ffff,0x3bb32aa0,0xffffffff,0x332aa004,0xffffffee,0x7ffec4ff,
    0xffd001ff,0xd8005fff,0x00006fff,0x3bb32aa0,0xffffffff,0x7ffffc44,
    0xeeeeeeee,0xfffffeee,0x7fffff42,0x0aaabcef,0x7ffffcc0,0xffffffff,
    0xffffffff,0xfffffd83,0x7fffcc00,0xffd0004f,0x40001fff,0xffffffb8,
    0xffffffff,0x7fdc404f,0xffffffff,0x744fffff,0x000fffff,0x07fffffb,
    0x0ffffd40,0x3ee20000,0xffffffff,0x44ffffff,0xfffffff9,0xffffffff,
    0x23ffffff,0x4ffffffb,0x3ffea000,0xffffffff,0xffffffff,0xfffd83ff,
    0x7fcc00ff,0xd0004fff,0x001fffff,0x3ffffee0,0xffffffff,0x2e04ffff,
    0xffffffff,0xffffffff,0x7ffffc4f,0x3fff2007,0xff1004ff,0xeee989ff,
    0xff7005ee,0xffffffff,0x9fffffff,0xffffffa8,0xffffffff,0x3fffffff,
    0x1bfffff6,0xffff7000,0xffffffff,0xffffffff,0xffffb05f,0xfff9801f,
    0xfd0004ff,0x0001ffff,0xfffffff7,0xffffffff,0x3ee09fff,0xffffffff,
    0xffffffff,0x3fffe24f,0x3ff2007f,0xfb003fff,0xffe81fff,0xfb806fff,
    0xffffffff,0xffffffff,0x7fffdc4f,0xffffffff,0xffffffff,0x3ffffa2f,
    0x7d40003f,0xaaacffff,0xaaaaaaaa,0xfd80aaaa,0x4c00ffff,0x004fffff,
    0x1fffffd0,0xffffa800,0x99aacfff,0x4fffffa9,0xffffffa8,0xa999aacf,
    0x7c4fffff,0x2007ffff,0x03fffffd,0x42ffffa8,0x6ffffffb,0x7ffffd40,
    0x999aacff,0x44fffffa,0xacfffffa,0xaaaaaaaa,0x20aaaaaa,0x02ffffff,
    0x7fffcc00,0xd800004f,0x400fffff,0x04fffff9,0xfffffd00,0xfffe8001,
    0x3e600eff,0xfe84ffff,0x200effff,0x44fffff9,0x00ffffff,0x5fffffd0,
    0x5ffff880,0x7ff7ffc4,0x7fff406f,0x3e600eff,0x7cc4ffff,0x0004ffff,
    0x3fffffe0,0x7fc40003,0x00005fff,0x0fffffd8,0x7ffffe40,0xfffd0004,
    0xff8001ff,0x4c00ffff,0xf84fffff,0x400fffff,0x44fffff9,0x01fffffe,
    0x3ffffff0,0x0ffffd80,0x7fcffff4,0x7fffc06f,0x7fcc00ff,0x7fc44fff,
    0x00005fff,0x17fffffa,0x3fffe000,0x400000ff,0x02fffffc,0x3fffffee,
    0xfffd0004,0x7cc001ff,0xa806ffff,0x4c4fffff,0x806fffff,0x44fffffa,
    0x05fffffd,0x7fffffb8,0x17fffd40,0x3e2fffee,0x3fe606ff,0xfa806fff,
    0xff84ffff,0x0000ffff,0xffffff90,0xffd80007,0x00005fff,0x27ffffdc,
    0xffffffa8,0xffd0004f,0x54001fff,0x407fffff,0x4ffffffa,0x3fffffd4,
    0x3ffffea0,0x7fffdc4f,0x3fe200ff,0x2205ffff,0x7c45ffff,0xdfff16ff,
    0x7ffffd40,0x7fffd407,0xfffd84ff,0x500005ff,0x7fffffff,0x7ffcc000,
    0x2000cfff,0x3fffea00,0x3fee20ef,0x04ffffff,0xfffffd00,0x7ffc4001,
    0xff702fff,0x889fffff,0x02ffffff,0xfffffff7,0xfffff889,0xffe881ef,
    0x3201ffff,0x7ec0ffff,0xdfff11ff,0x7ffffc40,0xffff702f,0xff309fff,
    0x0019ffff,0xffffd804,0x019cffff,0x7ffffe40,0x9999acff,0x300ffdba,
    0xbfffffff,0xfffffff9,0x20009fff,0x00fffffe,0x7fffffc0,0xffeb89cf,
    0x84ffffff,0xcfffffff,0xffffeb89,0xfb84ffff,0xcdffffff,0xffffffdb,
    0x3ffea05f,0x77ffcc2f,0xcffffccc,0xffffff03,0xffd7139f,0x09ffffff,
    0x3ffffff2,0xa9999acf,0xe880ffdb,0xffffffff,0x401fffff,0xffffffe8,
    0xffffffff,0x3f600fff,0xffffffff,0xfffeffff,0x9999504f,0xfffff999,
    0x9999999f,0xfffff901,0xffffffff,0x09ffffff,0xfffffff9,0xffffffff,
    0x3e09ffff,0xffffffff,0xffffffff,0xfffd100f,0xfffff50b,0xdfffffff,
    0x3fffff20,0xffffffff,0x04ffffff,0xffffffd1,0xffffffff,0x3e201fff,
    0xffffffff,0x9801ffff,0xffffffff,0xffffffff,0x3ffe600f,0xffffffff,
    0x4ffffbaf,0xffffff70,0xffffffff,0x01ffffff,0xfffffff1,0x99ffffff,
    0xf109ffff,0xffffffff,0xff99ffff,0x3fea09ff,0xffffffff,0x01ffffff,
    0x203ffff2,0xfffffffa,0x106fffff,0xffffffff,0xf99fffff,0x7cc09fff,
    0xffffffff,0xffffffff,0x3fffa600,0xffffffff,0xfff91001,0xffffffff,
    0xb801ffff,0xffffffff,0xffff72ff,0x3fffee09,0xffffffff,0xffffffff,
    0xfffff500,0x27ffffff,0x504ffffb,0xffffffff,0x3fee7fff,0x3f6204ff,
    0xffffffff,0x2601efff,0x9303ffff,0xff999999,0x7d4079ff,0xffffffff,
    0xffff73ff,0xfffc8809,0xffffffff,0xa800ffff,0xfffffffe,0x6cc001ff,
    0xffffffff,0x800bdfff,0xffffffe9,0x3fffee0d,0xfffff704,0xffffffff,
    0x1fffffff,0x7fffec40,0x3ee0dfff,0x36204fff,0xdfffffff,0x13fffee0,
    0x3ffffae0,0x802effff,0x0005fffe,0x200dfff1,0xffffffd8,0x3ffee0df,
    0xffb3004f,0xffffffff,0x540017bf,0xffffffed,0x2a620001,0x0009aacc,
    0x02aeea20,0xffff7000,0xffffffff,0xffffffff,0x57531001,0x98800005,
    0x00002aba,0x26aeea60,0xffff9000,0x3fe20001,0x54c4006f,0x000002ab,
    0x556654c4,0x22000009,0x0000aaa9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x00deeed8,
    0x776c4000,0x100000de,0x00135975,0x000c4000,0x05555550,0x15555530,
    0x059b7000,0x055554c0,0x055eee54,0xdca98000,0x77510acc,0x99880000,
    0xd7000000,0x01bddddd,0xffffe880,0x100000ef,0x1dfffffd,0x7ffd4000,
    0x00cfffff,0xffd71000,0x206a05df,0x807ffffd,0x02fffffb,0x3ffffa20,
    0xffff9004,0x7ffffdc5,0x70004fff,0xfffffffd,0x09ffffff,0xffeda800,
    0x00deffff,0xffffb800,0xe8000eff,0xefffffff,0xffe80000,0x00efffff,
    0x7fffec40,0x3fffffff,0x7ff44000,0x20dfffff,0x7fec1ff9,0xffb807ff,
    0x32002fff,0x01ffffff,0xb3ffffc8,0xffffffff,0x74400bff,0xffffffff,
    0x4fffffff,0xfffd3000,0xffffffff,0xffb80001,0x0004ffff,0xffbffffb,
    0xd8000bff,0xfffdffff,0x7ff4005f,0xffffffff,0x20001fff,0xfffffffd,
    0xfffeefff,0x3ffff61f,0xffffb807,0x3ffa002f,0xc803ffff,0xffdbffff,
    0xffffffff,0xffb805ff,0xffffffff,0x4fffffff,0xffffb800,0xffffffff,
    0x3ee0000f,0x002fffff,0x27ffffb0,0x005ffffb,0x27ffffb0,0x005ffffb,
    0xfffffff9,0xffffffff,0xfff50001,0xffffffff,0xd8dfffff,0xb807ffff,
    0x002fffff,0x3ffffffa,0xffffc803,0xffffffff,0x1fffffff,0x3ffffea0,
    0xfffeffff,0x004fffff,0x7fffffcc,0xffffffff,0xfff70000,0x20001dff,
    0x643ffffc,0x4005ffff,0x643ffffc,0x4c05ffff,0x21efffff,0x3fffffe9,
    0x17ff7000,0xffffff71,0xffd81fff,0xffb807ff,0x32002fff,0x01ffffff,
    0xffffffc8,0xfcaadfff,0x205fffff,0xbffffffe,0x7fffdc41,0x7ff4004f,
    0xaabeffff,0x8000fdcb,0x04fffffb,0x2aaaa200,0x15555502,0x2aaaa200,
    0x15555502,0x7ffffdc0,0xfffff880,0x20ee0004,0xefffffc8,0x7ffffd81,
    0xfffffb80,0x3ffe2002,0xff9004ff,0x01dfffff,0x3ffffff7,0xffffff70,
    0x7fffc403,0x3fea004f,0x0002ffff,0xaaaaa880,0x00000001,0x00000000,
    0x05ffffd8,0x01bffff6,0xaba88000,0x3ffff600,0xffffb807,0x6e44002f,
    0x3ff2002d,0x200effff,0x44fffffe,0x2ffffff8,0x7ffffc40,0x3ffee004,
    0x000004ff,0x00000000,0x00000000,0x4ffffe80,0x17ffff60,0x40000000,
    0x807ffffd,0x02fffffb,0x3f200000,0x401fffff,0x45fffffb,0x06fffffb,
    0x4fffff88,0x3ffff600,0x0000000f,0xa8800000,0x001acddc,0x0155554c,
    0x0d555544,0x02fffff4,0x009ffffd,0x36000000,0xb807ffff,0x002fffff,
    0x3ff20000,0xf9802fff,0x7e46ffff,0x8803ffff,0x004fffff,0x01fffffa,
    0xeca98000,0x00001abd,0xfffffff5,0x36005dff,0x400fffff,0x84fffff9,
    0x507ffffc,0x005fffff,0x80aaaa98,0x00acddca,0x00fffffb,0x05fffff7,
    0x55555553,0x20055555,0x00fffffc,0x7fffff88,0x0fffffec,0x7ffffc40,
    0x3fffe004,0x4400006f,0xfffffffd,0x20002fff,0xfffffffc,0x00cfffff,
    0x07ffffec,0x3ffffe60,0xfffffa84,0x7ffffcc3,0xfffc8006,0x3fffee2f,
    0xfd83ffff,0xfb807fff,0xfd82ffff,0xffffffff,0xfc800fff,0xf000ffff,
    0x741fffff,0x800fffff,0x04fffff8,0x1bffffe0,0xfffa8000,0xffffffff,
    0x22000dff,0xfffffffe,0x6fffffff,0x7ffffec0,0x7fffcc00,0xffff884f,
    0xffff51ff,0xf90003ff,0x3ff67fff,0xffffffff,0x3ffffec5,0x7ffffdc0,
    0xfffffd82,0x0fffffff,0xfffffc80,0xfffff000,0x7ffffc1f,0xffff1007,
    0x7ffc009f,0x880006ff,0xfffffffd,0xffffffff,0xfffd001f,0xfd99bfff,
    0x407fffff,0x00fffffd,0x27ffffcc,0xefffffb8,0x3ffffffd,0xffff9000,
    0xffffffb7,0x43ffffff,0x807ffffd,0x82fffffb,0xfffffffd,0x800fffff,
    0x00fffffc,0x4ffffff0,0x07fffff8,0x9fffff10,0x7ffffc00,0xffc80006,
    0xffffffff,0x6fffffff,0xfffffa80,0xffffb80d,0xfffb00ff,0xff9801ff,
    0x3fa04fff,0xffffffff,0x320002ff,0xffffffff,0xffffffff,0x3fff66ff,
    0xfffb807f,0xfffd82ff,0xffffffff,0xfffc800f,0xff8800ff,0x7ffc6fff,
    0xff1007ff,0x77449fff,0xfffeeeee,0xeeeeefff,0xf102eeee,0x7bffffff,
    0xfffff953,0xffe805ff,0x7fdc06ff,0xffb05fff,0xf9801fff,0x2604ffff,
    0xffffffff,0x640001ef,0xffffffff,0xfffebadf,0xfffb1fff,0xfff700ff,
    0x333105ff,0xffffd333,0xfff9001f,0xff3001ff,0xfff8bfff,0xf8800fff,
    0x3e24ffff,0xffffffff,0xffffffff,0xb02fffff,0x03ffffff,0x3fffffa2,
    0x3fffee07,0xfffe801f,0xffffb07f,0xfff9801f,0x3fa204ff,0x03ffffff,
    0xffff9000,0xfd01dfff,0x3f65ffff,0x2200ffff,0x02ffffff,0x7fffff40,
    0xffffc800,0xfffc800f,0x7fff43ff,0xffb801ff,0x3fe24fff,0xffffffff,
    0xffffffff,0xf982ffff,0x401fffff,0x3ffffff8,0x0dffffd0,0x3fffff20,
    0xfffffd80,0x7fffcc00,0xfffd304f,0x101fffff,0xc8055555,0x0effffff,
    0x7fffff90,0x07fffff6,0xffffffe8,0x7fff4002,0xffc800ff,0x7c400fff,
    0x6c2fffff,0x404fffff,0x4ffffffa,0x3fffffe2,0xffffffff,0xffffffff,
    0xfffffc82,0xffff9005,0x3fffe09f,0xfff7004f,0xfffb03ff,0xff9801ff,
    0xff984fff,0xffffffff,0x7fffdc0e,0x7fffe406,0x3fea01ff,0xfffb4fff,
    0x3ff607ff,0x002fffff,0x07fffff4,0x7ffffe40,0x7fffe400,0x7ffdc0ff,
    0x3fe606ff,0x224fffff,0xfeeeeeee,0xeeefffff,0x82eeeeee,0x01fffffd,
    0xbfffff30,0xdfffff10,0xdddddddd,0x5fffffdd,0x1fffffb0,0xfffff980,
    0x7ffffcc4,0x5fffffff,0x02ffffdc,0x0bfffff2,0x9fffff10,0x3bfffff6,
    0x3ffff220,0x4004ffff,0x00fffffe,0x0fffffc8,0x3fffff20,0xffff882f,
    0xfffb85ff,0x004fffff,0x01bffffe,0x7ffffe80,0x3fffe200,0xffff986f,
    0xffffffff,0xffffffff,0xffffd83f,0x7ffcc00f,0x7fff44ff,0xffff9cff,
    0x3fff23ff,0x7ffe404f,0x7fc400ff,0xfffb4fff,0xff9bffff,0xffffffff,
    0x3fa0059f,0xc800ffff,0x9bdfffff,0xffffeb99,0x3ff205ff,0xfcceffff,
    0xffffffff,0x3ffe004f,0x3e0006ff,0x4007ffff,0xa87fffff,0xffffffff,
    0xffffffff,0xd83fffff,0x400fffff,0x24fffff9,0x25fffffa,0x2ffffffb,
    0x809ffffb,0x00fffffc,0xa7ffffc4,0xfffffffd,0xfeffffff,0x06ffffff,
    0x1fffffd0,0xfffff900,0xffffffff,0x401fffff,0xfffffff8,0xffffffff,
    0x2004ffff,0x006fffff,0xdfffff10,0xffffe800,0x7fffdc0f,0xffffffff,
    0xffffffff,0xffffd82f,0x7ffcc00f,0x3fff64ff,0x7ffec0ff,0xfffe9fff,
    0x7ffe403f,0x7fc400ff,0xfffb4fff,0xffffffff,0xffff91df,0x3fa00dff,
    0xc800ffff,0xffffffff,0xffffffff,0xfffb801e,0xffffffff,0x4fffffaf,
    0x3ffffe00,0xfff30006,0xff800dff,0x7d40ffff,0xaaacffff,0xaaaaaaaa,
    0xfd80aaaa,0x4c00ffff,0x3e4fffff,0xfd06ffff,0xfffdffff,0xffc803ff,
    0x7c400fff,0xffb4ffff,0xffffffff,0x3ffe61ff,0xfd006fff,0x9001ffff,
    0xffffffff,0x7fffffff,0xffffa800,0xf2ffffff,0x4009ffff,0x006fffff,
    0x1fffffe0,0xffffff00,0x9fffff30,0xffb00000,0xf9801fff,0xff14ffff,
    0x3e209fff,0xffffffff,0xfffc806f,0x7fc400ff,0xfffb4fff,0xbfffffdf,
    0xfffffa81,0xffffd006,0xfff9001f,0xffffffff,0x200019df,0xffffffe9,
    0x3ffffe0d,0x3fffe004,0x3fe0006f,0x1000ffff,0x10bfffff,0x00bfffff,
    0xffffb000,0xfffc801f,0xffff34ff,0x7ffcc09f,0x03ffffff,0x0fffffc8,
    0x7ffffc40,0x1bffffb4,0xaa880575,0xffd000aa,0xf9001fff,0x5533ffff,
    0x30000013,0xff881577,0x3e004fff,0x0006ffff,0x0bfffff6,0x7ffffdc0,
    0xffffff04,0xfc800001,0x2e02ffff,0x14ffffff,0x80bfffff,0xfffffffa,
    0xfffc800f,0x7fc400ff,0xfffb4fff,0x000000df,0x07fffff4,0x7ffffe40,
    0x00000000,0x9fffff10,0x7ffffc00,0x3ff20006,0xfd006fff,0x3607ffff,
    0x005fffff,0x7fffdc00,0xffff504f,0x7ff49fff,0x7e401fff,0x005fffff,
    0x01fffff9,0x4fffff88,0x00dffffb,0x7ff40000,0xfc800fff,0x0000ffff,
    0xff100000,0x7c009fff,0x0006ffff,0x3fffffea,0x7fffdc02,0xfff300ff,
    0x40019fff,0x3fffea00,0x3fee20ef,0x24ffffff,0x0efffffd,0x3ffffee0,
    0xffc800ff,0x7c400fff,0xffb4ffff,0x00000fff,0x7fffff40,0xffffc800,
    0x0000000f,0xfffff100,0x7fffc009,0x7f40006f,0x703fffff,0x07ffffff,
    0xffffffc8,0xa9999acf,0xf300ffdb,0x9bffffff,0xffffffff,0x7ffd49ff,
    0xa9abffff,0xffffffeb,0x7e400eff,0x4400ffff,0xfb4fffff,0x0000ffff,
    0x7ffff400,0xfffc800f,0x000000ff,0xffff1000,0x7ffc009f,0x540006ff,
    0xefffffff,0xfffffdcd,0xfe8806ff,0xffffffff,0xffffffff,0x3ffff600,
    0xffffffff,0x44ffffef,0xfffffffd,0xffffffff,0x05ffffff,0x07ffffe4,
    0x3ffffe20,0x0fffffb4,0x66654000,0xffffcccc,0xccccccff,0xfffff90c,
    0x00000001,0x3ffffe20,0x3fffe004,0xfd80006f,0xffffffff,0xffffffff,
    0xffff3002,0xffffffff,0x401fffff,0xfffffff9,0xfbafffff,0x7f444fff,
    0xffffffff,0xffffffff,0x3204ffff,0x400fffff,0xb4fffff8,0x000fffff,
    0x7ffffdc0,0xffffffff,0x0fffffff,0x01fffff9,0x20000000,0x04fffff8,
    0x1bffffe0,0x3ffa2000,0xffffffff,0x002fffff,0x7ffffe44,0xffffffff,
    0x7fdc00ff,0xffffffff,0x09ffff72,0xffffffb1,0x3bffffff,0x5ffffff7,
    0x3fffff20,0x7fffc400,0xfffffb4f,0x7fdc0000,0xffffffff,0xffffffff,
    0xffff90ff,0x0000001f,0x3fffe200,0x3ffe004f,0x200006ff,0xfffffffb,
    0x00dfffff,0x3fff6600,0xffffffff,0xfe9800bd,0x20dfffff,0x204ffffb,
    0xffffffd9,0x7fec2eff,0xfc81ffff,0x4400ffff,0xfb4fffff,0x0000ffff,
    0x7fffffdc,0xffffffff,0x90ffffff,0x001fffff,0x22000000,0x004fffff,
    0x01bffffe,0xfffb3000,0x07bfffff,0xca988000,0x00009aac,0x002aeea2,
    0x57753000,0x7e400003,0x4400ffff,0x554fffff,0x00005555,0x7fffffdc,
    0xffffffff,0x30ffffff,0x00155555,0x22000000,0x001aaaaa,0x01bffffe,
    0xba988000,0x0000000a,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x9dd30000,0x20001357,0xeeeeeed9,
    0xed980002,0x002eeeee,0xe8800000,0xdd73eeee,0x00001ddd,0xeeed8800,
    0x3660000d,0x44006fff,0xdd53eeed,0x00005ddd,0x37ffecc0,0x3bbb6200,
    0xeeeeec83,0x4c0000de,0xffffffff,0x7f4c000c,0x002fffff,0xffffe980,
    0x000002ff,0x7fffc400,0xfffff94f,0x40000001,0xefffffe8,0x7fecc000,
    0x64006fff,0xff70ffff,0x00005fff,0xfffffb30,0xfffc800d,0xffff900f,
    0x40001dff,0xfffffff9,0x4000cfff,0x2ffffffd,0xfffb0000,0x00005fff,
    0x7ffc4000,0xffff94ff,0x0000001f,0x7ffffff4,0xff9000ef,0x00dfffff,
    0x717fffcc,0x005fffff,0xffffc800,0x26006fff,0x5402ffff,0x0effffff,
    0xffff3000,0xffffffff,0xfffa8005,0x00002fff,0x5ffffff5,0x20000000,
    0x94fffff8,0x001fffff,0x3ff60000,0x5ffffdff,0xfffff900,0x7f400dff,
    0x7ffdc5ff,0x400002ff,0xfffffffc,0x3fffa006,0xfffd1005,0x30001dff,
    0xffffffff,0x005fffff,0xfffffe98,0xfd300002,0x0005ffff,0xfff10000,
    0x3fff29ff,0x000000ff,0x73ffffd8,0x300bffff,0xdfffb9ff,0x3ffff200,
    0x7ffffdc0,0x7cc00002,0x06fffdcf,0x01ffff90,0xfffffc80,0x6644000e,
    0xffffffee,0x8000ffff,0x02fffffd,0x3fff6000,0x000002ff,0x7ffffc40,
    0x1fffff94,0xfc800000,0x7fe43fff,0x90b805ff,0xf300dfff,0xff707fff,
    0x00005fff,0x3fff2170,0xffff9806,0xfff50003,0x00001bff,0xffffffb3,
    0x550001df,0x00005555,0x02aaaaa8,0x7c400000,0xff94ffff,0x00001fff,
    0x15555440,0x00aaaaa8,0x01bfff20,0x5c1bfffa,0x002fffff,0x7ffe4000,
    0x6fffe806,0x55544000,0x200001aa,0xfffffff9,0x00000002,0x00000000,
    0x3fffe200,0xfffff94f,0x00000001,0x3f200000,0x7fe406ff,0xfff700ff,
    0x000005ff,0x406fffc8,0x000ffffc,0x00000000,0x9ffffff3,0x00000000,
    0x00000000,0x7ffffc40,0x1fffff94,0x00000000,0x3ff20000,0x3ffe606f,
    0x3ffee03f,0x000002ff,0x3037ffe4,0x0007ffff,0x80000000,0x06fffffd,
    0x00555553,0x03555551,0xbdeca980,0x2200001a,0xfbccdcb9,0xff94ffff,
    0xcb881fff,0x00000abd,0x357bd953,0x7ffe4000,0x1bfffa06,0x5fffff70,
    0xaaaaa880,0xfffc802a,0x1bfffa06,0x55555300,0x05555555,0xfff70000,
    0x3ff60fff,0x7cc00fff,0x8804ffff,0xfffffffd,0x20002fff,0xfffffffa,
    0x4fffffff,0x54fffff9,0xffffffff,0xffb10004,0xffffffff,0xfff90005,
    0x3fffee0d,0x7fffdc01,0x7ffec02f,0xfc803fff,0xfff706ff,0xffd8003f,
    0xffffffff,0x400000ff,0x07fffffa,0x01fffffb,0x4fffff98,0x7ffffd40,
    0xffffffff,0x3fa6000d,0xffffffff,0x94ffffff,0x3eefffff,0xffffffff,
    0x7fd4005f,0xffffffff,0x2000dfff,0xf986fffc,0xfb803fff,0x3202ffff,
    0x04ffffff,0x30dfff90,0x0007ffff,0xfffffffb,0x001fffff,0xffffc800,
    0xffffb05f,0xfff9801f,0xffb104ff,0xffffffff,0x03ffffff,0xffffff70,
    0xffffffff,0x3ff29fff,0xffffcfff,0xffffffff,0xfffd8805,0xffffffff,
    0x001fffff,0xfd0dfff9,0x3ee00dff,0xf502ffff,0x00bfffff,0x7437ffe4,
    0xb0006fff,0xffffffff,0x0001ffff,0x7ffffc40,0xffffb04f,0xfff9801f,
    0xfff904ff,0xffffffff,0x0dffffff,0xffffff98,0xffffefff,0xff94ffff,
    0xffffffff,0xffffffff,0xfffc803f,0xffffffff,0x06ffffff,0xb8dfff90,
    0x7001ffff,0x305fffff,0x0bffffff,0x46fffc80,0x001ffffb,0xffffffb0,
    0x01ffffff,0x3ffa6000,0xfb01ffff,0x9801ffff,0x884fffff,0xdfffffff,
    0xffffca9b,0x3fa02fff,0x41bfffff,0x4fffffb8,0xfffffff9,0xff955bff,
    0x440bffff,0xdfffffff,0xffffca9b,0x40002fff,0x004ffff8,0x0bffffee,
    0xdffffff1,0x7c400001,0x20004fff,0xe9999998,0x000fffff,0x7ff7774c,
    0x04ffffff,0x03fffff6,0x9fffff30,0xffffffb0,0x3fffa203,0xfff907ff,
    0x7c403fff,0xff94ffff,0x01dfffff,0x3ffffff7,0x3fffff60,0xfffd101f,
    0xe8000fff,0x5c006fff,0x742fffff,0x00efffff,0x7fff4000,0x3a000006,
    0x000fffff,0x7fffffcc,0x00ffffff,0x03fffff6,0x9fffff30,0xffffff98,
    0x7fffc401,0x7ffc43ff,0x7c402fff,0xff94ffff,0x401dffff,0x84fffffe,
    0x1ffffff9,0x7ffffc40,0xff70003f,0xfb8003ff,0x3f62ffff,0x001fffff,
    0x7fffdc00,0x3a000001,0x000fffff,0x7fffffc4,0x400dffff,0x00fffffd,
    0x27ffffcc,0x17fffff2,0x7ffffe40,0x7ffffd44,0xffff8806,0xfffff94f,
    0xfffb803f,0xfffc85ff,0xff9005ff,0x10009fff,0x0009ffff,0x25fffff7,
    0x1ffffffb,0x7fc40000,0x000004ff,0x07fffff4,0x3fffe200,0x003fffff,
    0x01fffffb,0x4fffff98,0x0fffffec,0xfffff980,0x7ffffe45,0xffff8803,
    0xfffff94f,0xffff3005,0xffffb0df,0x3fe6003f,0xd8005fff,0x70006fff,
    0xf55fffff,0x005fffff,0xdfffb000,0xfd000000,0x8001ffff,0xbefffff8,
    0x7ffec001,0x7fcc00ff,0x7ff44fff,0x3e2007ff,0x7ec6ffff,0x8801ffff,
    0xf94fffff,0x1001ffff,0xd0ffffff,0x400fffff,0x06fffff8,0x0ffffd40,
    0x7ffdc008,0xfffffcff,0xa800003f,0x0001ffff,0xffffe800,0xfff8000f,
    0xfb0002ff,0x9801ffff,0x7c4fffff,0x4007ffff,0x747fffff,0x800fffff,
    0x94fffff8,0x001fffff,0x03fffffe,0x00ffffff,0x07fffff8,0x93fffe20,
    0x2efffeda,0xffffffb8,0x004fffff,0xffff8800,0x777774c4,0x7ff40005,
    0xf8000fff,0x0002ffff,0x01fffffb,0x4fffff98,0x1bffffe2,0xfffffd00,
    0x3fffffc1,0xfffff880,0x1fffff94,0x3ffffe00,0x3fffe20f,0x7ff4006f,
    0xfb000fff,0xffb11fff,0x89ffffff,0xfffffffb,0x000effff,0x7fffec00,
    0x7fffff40,0x7ff40006,0xf8000fff,0x0001ffff,0x01fffffb,0x4fffff98,
    0x1bffffe6,0xffffff00,0x3ffffe21,0xffff1007,0x3ffff29f,0xffff000f,
    0xffff98ff,0x7ffc006f,0xfa800fff,0x3ffa2fff,0x1fffffff,0x2fffffee,
    0x05ffffff,0x3ffea000,0x7fffdc2f,0x740006ff,0x000fffff,0x01ffffe8,
    0xfffffb00,0xffff9801,0x7ffffc4f,0x7fffc007,0x7ffffc7f,0xffff1007,
    0x3ffff29f,0xfff8800f,0xffff86ff,0x7ffc007f,0xff8807ff,0x5efcc5ff,
    0x23ffffc9,0xaafffffb,0x03ffffff,0xffff8800,0x7f7ffc45,0x740006ff,
    0x000fffff,0x00199988,0x3fffff60,0x7fffcc00,0x7ffffc4f,0xfff1000f,
    0xffff8bff,0xff8800ff,0xfff94fff,0xff3001ff,0xfff0bfff,0x22001fff,
    0x805fffff,0x180ffffd,0x2e3ffff8,0xf92fffff,0x005fffff,0x0ffffd80,
    0x7fcffff4,0x7f40006f,0x0000ffff,0x7fec0000,0x7e400fff,0x7ec4ffff,
    0x7002ffff,0xe89fffff,0x801fffff,0x94fffffb,0x001fffff,0x07fffff9,
    0x05fffffb,0x3ffffee0,0x7fffd404,0xffff3002,0x7ffffdc3,0x3fffffa2,
    0xff50000f,0xfffb85ff,0x006fff8b,0x7fffff40,0x00000000,0x17ffffe4,
    0xffffff70,0xfffffc89,0xffffd006,0xffffd87f,0x7ffd404f,0xfff94fff,
    0xff8801ff,0xfc82ffff,0xd006ffff,0x407fffff,0x005ffff8,0xb8ffffd1,
    0x222fffff,0x0effffff,0x7fffc400,0x8b7ffc45,0x40006fff,0x00fffffe,
    0x04ffea80,0x3fffee00,0xffff504f,0xffa89fff,0x5c02ffff,0x40ffffff,
    0x06fffffb,0x3fffffe6,0xfffff94f,0xffffc801,0xfffa80ff,0x7dc02fff,
    0x200fffff,0x800ffffc,0x42fffff9,0x42fffffb,0x5ffffffa,0x7fffe400,
    0x88fffec0,0x40006fff,0x00fffffe,0x7ffffd40,0xfff50005,0x7dc41dff,
    0x4fffffff,0xffffffe8,0xfffff703,0xffff107f,0xfff70bff,0x329fffff,
    0x200fffff,0x2ffffffc,0x3fffffa0,0xffff703f,0x7fd407ff,0xffa802ff,
    0xffb81fff,0xffd82fff,0x5004ffff,0xf985ffff,0xffccceff,0xd0003cff,
    0x001fffff,0xfffffff8,0xfff98002,0xffcdffff,0xffffffff,0xfffffa84,
    0xffdcdeff,0x206fffff,0xeffffffc,0xffffffcc,0xff94ffff,0x3337bfff,
    0xffffffd7,0xffffa80b,0xfdcdefff,0x06ffffff,0x017fffa2,0x07bffff2,
    0x17ffffdc,0x7fffff44,0x7ff4402f,0xffffa85f,0xffffffff,0x99999506,
    0xffffff99,0x19999999,0xffffff88,0xffb0004f,0xffffffff,0xffffdfff,
    0x3ffff609,0xffffffff,0x202fffff,0xfffffff8,0xefffffff,0xff94ffff,
    0xffffffff,0xffffffff,0xffffb001,0xffffffff,0x405fffff,0x200ffffc,
    0xbeffffd8,0x3fee2aaa,0xff302fff,0x403fffff,0xa80ffffc,0xffffffff,
    0xf706ffff,0xffffffff,0xffffffff,0xfff01fff,0x0007ffff,0x3fffffe6,
    0xbaffffff,0xd104ffff,0xffffffff,0x5fffffff,0xfffff700,0x7fffffff,
    0x329ffff7,0xffffffff,0xffffffff,0xffd1001e,0xffffffff,0x405fffff,
    0x403ffff9,0xfffffff9,0xff70ffff,0x7dc05fff,0x80efffff,0x303ffff9,
    0xf9999999,0x2e079fff,0xffffffff,0xffffffff,0xfd80ffff,0x000fffff,
    0x3ffffee0,0xf72fffff,0xfb809fff,0xffffffff,0x2000dfff,0xfffffffa,
    0xfff72fff,0x3ffff29f,0xffffffff,0x70003fff,0xffffffff,0x801bffff,
    0x9805fffe,0xffffffff,0xfff70fff,0xffd805ff,0xfe85ffff,0xf10005ff,
    0xffb80dff,0xffffffff,0xffffffff,0xffd880ff,0x980002ff,0xdffffffe,
    0x13fffee0,0x3ffff660,0x003dffff,0xfffffd30,0x7ffd41bf,0x3ff6e64f,
    0xefffffff,0x6cc0000c,0xffffffff,0xfffc803d,0xfff9800f,0xffffffff,
    0x5fffff70,0xffffe880,0x3fff24ff,0xff10000f,0xfffb80df,0xffffffff,
    0xffffffff,0x02aea00f,0x77510000,0x20000015,0x000aba98,0x055dcc00,
    0x54cc4000,0x0000009a,0x002aea62,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xeeec8000,0xeeeeeeee,0x2200000e,0x000deeed,
    0xddb10000,0x75c7dddd,0x0000eeee,0x00000000,0x379b9530,0x26200001,
    0xbcdeecba,0x2a20000a,0x0009bcdb,0x00333331,0x00999998,0x3332a620,
    0xd8000aac,0xffffffff,0x0000ffff,0xfffffd10,0x8000001d,0xffffffe8,
    0x7ffffe43,0x98000000,0x200006db,0xffffffd8,0x0002efff,0xffffffb3,
    0x1fffffff,0x7fff6400,0x01efffff,0x03fffff4,0x1bffffe0,0xfffff910,
    0x0bffffff,0xfffffd80,0x0fffffff,0xfffd0000,0x001dffff,0x3ffa2000,
    0xfc81efff,0x0000ffff,0x3ffff600,0xfd300007,0xffffffff,0x44009fff,
    0xfffffffc,0xffffffff,0xfffe8800,0xffffffff,0x3fffa02f,0x7ffc007f,
    0x3fea06ff,0xffffffff,0x6c006fff,0xffffffff,0x0000ffff,0xfdffffd8,
    0x00005fff,0xfffffe88,0xffff900d,0x4000001f,0x007fffff,0xfffffb80,
    0xffffffff,0x74400eff,0xffffffff,0xffffffff,0x7fffcc00,0xffffffff,
    0xffd04fff,0xff800fff,0xfd886fff,0xffffffff,0x006fffff,0x77777764,
    0x00ffffff,0x7fffec00,0x0bffff73,0x7ff44000,0x7e403fff,0x0000ffff,
    0x3ffffe00,0x7fe40007,0xffffffff,0xffffffff,0x3ffff600,0xffffffff,
    0x200fffff,0xfffffffa,0xffffffff,0xfffe84ff,0x7ffc007f,0xfffd86ff,
    0xffffffff,0x0006ffff,0x3fffffa0,0x3ff20000,0x7ffe43ff,0xe880005f,
    0x801effff,0x00fffffc,0x3ffe0000,0x220007ff,0xffffffff,0xfffffdcd,
    0xff703fff,0x57bfffff,0xffd97533,0x7ffff401,0xffb51bff,0xe81fffff,
    0x4007ffff,0x546fffff,0xefffffff,0xffdcaabc,0x3fa00006,0x0000ffff,
    0x20555551,0x000aaaaa,0x555554c0,0xffff9000,0x4000001f,0x007fffff,
    0x3fffff60,0xffff502f,0x3ffa0fff,0x1000efff,0x7fffd405,0xfff101ff,
    0xffe89fff,0x7fc007ff,0x3fe26fff,0x803fffff,0x3a00004a,0x000fffff,
    0x00000000,0xff900000,0x00001fff,0x3fffffc0,0xffff9800,0x7fd402ff,
    0xff82ffff,0x0001ffff,0x3fffffa0,0x7fffd401,0x3fffa0ff,0x7ffc007f,
    0x3fff26ff,0x00001fff,0xffffd000,0x0000001f,0x00000000,0x3fffff20,
    0x554c0000,0xffffaaaa,0xaaaaaaff,0x7fec0aaa,0xf9003fff,0xf88dffff,
    0x000fffff,0xfffff500,0x3fff600b,0x3fffa4ff,0x7ffc007f,0x3fffe6ff,
    0x000004ff,0x3ffffa00,0xaa98000f,0xaaaaaaaa,0x5530002a,0x55555555,
    0x7fe40055,0x6e540fff,0xff900acd,0xffffffff,0xffffffff,0x7fcc5fff,
    0x3000ffff,0x43ffffff,0x1ffffff9,0xfffd0000,0x3e6003ff,0x3fa6ffff,
    0x7c007fff,0xff36ffff,0x0001ffff,0x7ff40000,0xd8000fff,0xffffffff,
    0x8000ffff,0xfffffffd,0x000fffff,0x5cfffff9,0xffffffff,0xfffffc83,
    0xffffffff,0xffffffff,0x3ffffea2,0x7fff4006,0x3ffe22ff,0x0000dfff,
    0x06fffff8,0xffffff50,0x3ffffa1f,0x7fffc007,0xfffff56f,0x0000000b,
    0x0fffffe8,0xffffd800,0xffffffff,0xfffd8000,0xffffffff,0xfff9000f,
    0x3ffff6ff,0x45ffffff,0xfffffffc,0xffffffff,0x22ffffff,0x03fffffc,
    0x7ffffe40,0x7fffffc3,0x220001ef,0x804fffff,0xfffffffc,0xfffffd1f,
    0xfffff800,0x9fffff76,0x80000000,0x00fffffe,0xfffffd80,0x0fffffff,
    0xffffd800,0xffffffff,0xffff9000,0xffffffbf,0x43ffffff,0xfffffffc,
    0xffffffff,0x22ffffff,0x02fffffe,0x7ffffdc0,0x7ffffec4,0x8002efff,
    0x03fffff9,0x3fffffa6,0xffd3ffff,0xff800fff,0xfffb6fff,0x000007ff,
    0xffffe800,0xffd8000f,0xffffffff,0xfd8000ff,0xffffffff,0xf9000fff,
    0xffffffff,0xffffffff,0x4cccc4df,0xffffff99,0x99999999,0x3ffffe09,
    0x7fd4002f,0x7fc45fff,0xffffffff,0xff5001cf,0x3ee05fff,0xffffffff,
    0xffffd3ff,0xffff800f,0xfffffb6f,0x00000007,0x0fffffe8,0x99998800,
    0xfffffe99,0x99988000,0xffffe999,0xfff9000f,0x5bffffff,0xffffffd7,
    0xfffff003,0xffff000f,0xfa8003ff,0xfa86ffff,0xffffffff,0x5c02efff,
    0x442fffff,0xfffffffd,0xfd4fffff,0xf800ffff,0xff96ffff,0x0000bfff,
    0xfffe8000,0x400000ff,0x00fffffe,0x7fff4000,0xff9000ff,0x01dfffff,
    0x05fffffd,0x0ffffff0,0xffffff00,0xfff98001,0xfff707ff,0xffffffff,
    0x3f203dff,0x3e61ffff,0x9dffffff,0xfd4fffff,0xf800ffff,0xff76ffff,
    0x0000dfff,0xfffe8000,0x400000ff,0x00fffffe,0x7fff4000,0xff9000ff,
    0x201dffff,0x03fffffc,0x07fffff8,0x7ffffc40,0x7fcc000f,0x3a607fff,
    0xffffffff,0xd83fffff,0xf90fffff,0x25ffffff,0xd4fffff9,0x800fffff,
    0xf56fffff,0x003fffff,0x7f400000,0x0000ffff,0x7fffff40,0x7f400000,
    0x9000ffff,0x03ffffff,0x27ffffd4,0x3fffffc0,0x7ffffc00,0x7fcc001f,
    0xda807fff,0xffffffff,0x7ec3ffff,0xffeaffff,0x260effff,0xfd3fffff,
    0xf800ffff,0xff36ffff,0x000dffff,0x7ff40000,0x00000fff,0x07fffff4,
    0x3ffa0000,0xf9000fff,0x8805ffff,0x804fffff,0x007fffff,0x1fffffe8,
    0x7fffd400,0x3f26007f,0xffffffff,0x3fff21ff,0xffffffff,0xffffa84f,
    0xfffffd2f,0xfffff800,0x3fffffa6,0x0000004f,0x1fffffd0,0xffe80000,
    0x00000fff,0x07fffff4,0xfffffc80,0x7fffc400,0xffff804f,0xffd8007f,
    0x54002fff,0x006fffff,0xfffffb50,0x7fe4bfff,0xffffffff,0xffff702f,
    0x3ffffa3f,0x7fffc007,0x3fffea6f,0x2601efff,0x3a00006c,0x000fffff,
    0x7ffff400,0x7400000f,0x000fffff,0x01fffff9,0x4fffff88,0x7fffff80,
    0xffffc800,0x7fdc002f,0x40005fff,0xffffffe9,0x3ffffee7,0x200dffff,
    0xd0fffffc,0x800fffff,0x746fffff,0xffffffff,0xfffeecef,0x3fa00007,
    0x0000ffff,0x7fffff40,0x7f400000,0x9000ffff,0x801fffff,0x04fffff8,
    0x07fffff8,0xfffffc80,0x7ffe4004,0x880003ff,0x0ffffffe,0xfffffff3,
    0xfffb007f,0x7ffff4ff,0x3ffe2007,0x7ffcc5ff,0xffffffff,0x007fffff,
    0x3ffffa00,0x7400000f,0x000fffff,0x7ffff400,0xfff9000f,0xff8801ff,
    0xff804fff,0xb8007fff,0x007fffff,0x0ffffffc,0xfffa8000,0xfff12fff,
    0x1003dfff,0x6cffffff,0x000fffff,0x07fffff1,0xffffffd1,0xffffffff,
    0x7f40000f,0x0000ffff,0x7fffff40,0x7f400000,0x9000ffff,0x801fffff,
    0x04fffff8,0x07fffff8,0xfffff980,0xfff5001f,0x00001fff,0x3fffffe2,
    0x3fffffa1,0xffff7001,0x7fffe49f,0xfff3000f,0x3f6205ff,0xffffffff,
    0x0007ffff,0x3fffffa0,0x7f400000,0x0000ffff,0x7fffff40,0xffff9000,
    0xfff8801f,0xfff804ff,0xfd0007ff,0x2009ffff,0x03fffffd,0x3ffe6000,
    0x7ffdc7ff,0xffd006ff,0x7fdc1fff,0xf9003fff,0x8803ffff,0xfffffffb,
    0x0001beff,0x3fffffa0,0x7f400000,0x0000ffff,0x7fffff40,0xffff9000,
    0xfff8801f,0xfff804ff,0xa8000fff,0x03ffffff,0x7fffffe4,0xd80004c0,
    0xf85fffff,0x403fffff,0x45fffffb,0x07fffffa,0xffffff88,0xffff7000,
    0x0000035d,0x07fffff4,0x3ffa0000,0x00000fff,0x07fffff4,0xfffffc80,
    0x7fffc400,0xfffe804f,0xfd0003ff,0x839fffff,0xffffffc9,0x0acefc83,
    0x7fffed40,0xfffb83ff,0xff701fff,0xf883ffff,0x00dfffff,0x9fffffb1,
    0x7fffe400,0xe8000003,0x000fffff,0x7ffff400,0x7400000f,0x000fffff,
    0x01fffff9,0x4fffff88,0xfffffd80,0xfff70005,0xfdffffff,0xdfffffff,
    0x3fffff20,0xffedceef,0x0effffff,0xffffff88,0xffdb9bef,0xf705ffff,
    0x79ffffff,0xfffff975,0x7f4001df,0x00000fff,0xfffffe80,0x7f400000,
    0x0000ffff,0x7fffff40,0xffff9000,0xfff8801f,0xffc804ff,0x99adffff,
    0xfd01dba9,0xffffffff,0xffffffff,0x3ffff205,0xffffffff,0x1fffffff,
    0x3ffffee0,0xffffffff,0x3e00efff,0xffffffff,0xffffffff,0x3fe2002f,
    0x500005ff,0xf9999999,0x999fffff,0x95019999,0xff999999,0x9999ffff,
    0x99501999,0xfff99999,0x99999fff,0x7ffe4199,0x7fc400ff,0xf8804fff,
    0xffffffff,0x202fffff,0xfffffffc,0xefffffff,0x3ffff201,0xffffffff,
    0x02ffffff,0xffffffb8,0xffffffff,0x7ffd400d,0xffffffff,0x004fffff,
    0x017fffcc,0xffffb800,0xffffffff,0xffffffff,0xfffffb80,0xffffffff,
    0x0fffffff,0xffffffb8,0xffffffff,0x20ffffff,0x00fffffc,0x27ffffc4,
    0xfffffb80,0xffffffff,0x7fffdc02,0xffffffff,0x7ffe400d,0xffffffff,
    0x01dfffff,0x3ffffa60,0x4fffffff,0x3fff6200,0xffffffff,0xfb8001ef,
    0x200007ff,0xfffffffb,0xffffffff,0xb80fffff,0xffffffff,0xffffffff,
    0xfb80ffff,0xffffffff,0xffffffff,0x3ff20fff,0x7c400fff,0x2004ffff,
    0xfffffffd,0x802fffff,0xfffffec9,0x73002dff,0xfffffffb,0x019fffff,
    0x3ffb2200,0x02ceffff,0xffffd500,0x007dffff,0x027ffe40,0xffff7000,
    0xffffffff,0xffffffff,0xfffff701,0xffffffff,0x1fffffff,0xffffff70,
    0xffffffff,0x41ffffff,0x00fffffc,0x27ffffc4,0x3fff6600,0x1fffffff,
    0x0aba9800,0xaa988000,0x0009aacb,0x01ba9800,0xba988000,0x0000001a,
    0xfffb8000,0xffffffff,0xffffffff,0xffffb80f,0xffffffff,0xffffffff,
    0xfffffb80,0xffffffff,0x0fffffff,0x03fffff2,0x9fffff10,0x2ea62000,
    0x00009aac,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x333b72a2,0x2662000a,0x99999999,0x00999999,0xdecb9880,
    0x54400abc,0xabceeecb,0x26662001,0x99999999,0x00999999,0x665d4400,
    0x4c001acc,0xaacdecba,0x22000000,0x22009999,0x99999999,0x4cc00009,
    0x40009999,0x01999998,0xfffd8800,0x0dffffff,0xfffffc80,0xffffffff,
    0xb5004fff,0xffffffff,0x5c5bffff,0xfffffffe,0x802effff,0xfffffffd,
    0xffffffff,0x644002ff,0xfffffffe,0x5405ffff,0xfffffffe,0x0000cfff,
    0x7fff76d4,0x3ee03fff,0xffffffff,0x002bceff,0x1bfffff2,0xfffff900,
    0xff980009,0xffffffff,0x7e401eff,0xffffffff,0x4fffffff,0x7fffec40,
    0xffffffff,0x3ffa4fff,0xffffffff,0x201effff,0xfffffffd,0xffffffff,
    0x3a6002ff,0xffffffff,0x307fffff,0xfffffffd,0x5fffffff,0xfffc9800,
    0xffffffff,0x3fffee03,0xffffffff,0x8801efff,0x03ffffff,0xffffff30,
    0x7fd40001,0xffffffff,0x202fffff,0xfffffffc,0xffffffff,0x3ffea04f,
    0xffffffff,0x24ffffff,0xfffffffe,0xffffffff,0xffffb00e,0xffffffff,
    0x005fffff,0x3fffffee,0xffffffff,0xfffe887f,0xffffffff,0x002fffff,
    0xfffffffb,0x07ffffff,0x7fffffdc,0xffffffff,0xfb804fff,0x800fffff,
    0x03fffffd,0x3fffee00,0xfb730bdf,0x3207ffff,0xffffffff,0xffffffff,
    0xfffff904,0xffffffff,0x749fffff,0xffffffff,0xffffffff,0xfffffb05,
    0xffffffff,0x8805ffff,0xfffffffd,0xffffffff,0xffffd87f,0xfffeffff,
    0x00ffffff,0x3fffffa2,0xffffffff,0x3ffee03f,0xffffffff,0xefffffff,
    0x7ffff400,0x7ffcc03f,0x2a0006ff,0x400effff,0x82ffffe8,0xccccccca,
    0xffffdccc,0xffffa84f,0xbcefffff,0x4ffffedc,0x26ab3bfa,0xffffca99,
    0xffd81fff,0xffffffff,0x2fffffff,0x7ffffe40,0xdccdffff,0x7cc7fffe,
    0x40beffff,0xfffffea8,0xffffd102,0x9ddfffff,0x7dc03999,0xdccdffff,
    0xffffffff,0x7fd405ff,0x3600ffff,0x002fffff,0x03bfffa0,0x37fff440,
    0x3ffea000,0xffff84ff,0x9802efff,0x400264fc,0x2ffffff9,0x9effffd8,
    0x99999999,0x3e200999,0x1dffffff,0x3ee3ed40,0x4401ffff,0xb04fffff,
    0x7fffffff,0x7fdc0001,0xd9882fff,0x1fffffff,0x7ffffec0,0xfffff304,
    0x7fd4000b,0x744000ef,0x20002fff,0x44fffffa,0xdffffffb,0x00008000,
    0x13fffff2,0x017ffff6,0xffffb000,0x408009ff,0x006ffffd,0x30dffffd,
    0x17ffffff,0xfff70000,0xffc805ff,0x4406ffff,0x81ffffff,0x01fffffe,
    0x0bfffa00,0x3bbf72a2,0x00dfff70,0x7ffffd40,0x3ffffe24,0x0000005f,
    0x9fffff50,0x0bffffb0,0x7ffcc000,0x80003fff,0x006ffffe,0xd0bffffd,
    0x009fffff,0x7fffdc00,0xfffb802f,0x7e402fff,0x7d45ffff,0x0004ffff,
    0x261bffea,0x0ffffffe,0x000bfffe,0x27ffffd4,0x1ffffff9,0x20000000,
    0x83fffffa,0x005ffffd,0x3ffffa00,0xfb00007f,0x8801ffff,0x543fffff,
    0x006fffff,0x7fffdc00,0xffff002f,0xff880dff,0x3fa1ffff,0x0000ffff,
    0xf50ffff6,0x1fffffff,0x002fffe4,0x4fffffa8,0x13fffffe,0xc8000000,
    0xd82fffff,0x0005ffff,0xffffff10,0x3f200007,0x6c06ffff,0x641fffff,
    0x002fffff,0x7fffdc00,0xfff9002f,0xff700fff,0x3feabfff,0x40003fff,
    0x3e20fffe,0xffffffff,0x01bffe20,0x7ffffd40,0xffffff14,0x00000001,
    0x1fffffe2,0x02ffffec,0xffff9800,0x300000ff,0x3dffffff,0xbfffff90,
    0x1fffffd0,0xffb80000,0xf3002fff,0x003fffff,0xd3fffffd,0x000dffff,
    0xfb8dfff0,0xa88aefff,0x003fffc0,0x4fffffa8,0x0dfffff3,0x2a000000,
    0x03fffffe,0x55dffffb,0xf5000335,0x000dffff,0xfffffd80,0xffd88cff,
    0xff80ffff,0x2a627fff,0x5c0009aa,0x002fffff,0x0ffffffe,0x3ffffe60,
    0x01ffffff,0x2fffc400,0x003ffffe,0x0003fffa,0x53ffffea,0x05fffffa,
    0x2aaa0000,0xffffecba,0x3ff602ff,0xffffffff,0xfb801cff,0x0005ffff,
    0x7ffff440,0xffffffff,0xff981fff,0xffdaefff,0x0dffffff,0x3fff7320,
    0x4ccccdff,0x7fffffd0,0x3ffff600,0x005fffff,0x25fffa80,0x005ffff8,
    0x0003fffb,0x29fffff5,0x04fffffb,0xfffffff5,0x3fa0bfff,0xffffffff,
    0x7fec00ef,0xffffffff,0x202effff,0x04fffffd,0xffe88000,0xffffffff,
    0xff500eff,0xffffffff,0xffffffff,0x3ffffe09,0xffffffff,0xfffffd07,
    0x3ffe2009,0x00ffffff,0x4fffb800,0x013fffe6,0x0017ffe4,0xa7ffffd4,
    0x03fffffc,0xfffffff5,0x3fa0bfff,0xffffffff,0x7fec00bf,0xffffffff,
    0x02ffffff,0x07fffffd,0x7fe40000,0xffffffff,0x3ffee00f,0xffffffff,
    0xffffffff,0xffffff86,0x7fffffff,0x9fffffb0,0x7fffe400,0x00003fff,
    0x7d47fff9,0xf7004fff,0xf50007ff,0x3fa9ffff,0xf502ffff,0xffffffff,
    0x3fffa0bf,0xffffffff,0xfffb00df,0xffffffff,0x03ffffff,0x07ffffff,
    0x7fcc0000,0xffffffff,0xfff702ff,0xffffffff,0xffffffff,0xfffff87f,
    0xffffffff,0xfffff907,0xffff8009,0x200006ff,0x3e64fffb,0xf9005fff,
    0xf50005ff,0x3f69ffff,0xf503ffff,0xffffffff,0x3fffa0bf,0xffffffff,
    0xaa982fff,0xfccaaaaa,0xffffffff,0x7fffffc0,0xf9000003,0xffffffff,
    0x907fffff,0xffffffff,0xffd9757b,0x7c1fffff,0xffffffff,0xfb07ffff,
    0x8007ffff,0x03fffffb,0x3ffea000,0x1ffffe25,0x00fffec0,0x7ffffd40,
    0x9fffff94,0x3bbbba60,0x005fffff,0xffff9533,0x0001ffff,0x7fffff54,
    0x7ffff41f,0xd800004f,0xedffffff,0xffffffff,0x7ffffe43,0x7ffe402e,
    0x36aa3fff,0xaacfffff,0xfffd02aa,0xddd505ff,0xffffdddd,0xdddddddf,
    0xfff98003,0x17ffffc6,0x007fff40,0x7ffffd40,0x9fffff74,0xfffff800,
    0x3fee0005,0x0005ffff,0x7fffffcc,0x7ffffec3,0x7ec00005,0x2a1fffff,
    0xfffffffe,0x3ffffee1,0xffffb004,0xffff709f,0x7ffc005f,0xffa80fff,
    0xffffffff,0xffffffff,0x7fc4002f,0x7fffe47f,0x7c0dbbef,0xf50007ff,
    0x3ea9ffff,0x4005ffff,0x005fffff,0x7ffffdc0,0xffb80007,0x7fe45fff,
    0x00006fff,0x3bffffea,0xfffff900,0x7fffd4bf,0xfff3005f,0xfff70dff,
    0x3e2005ff,0xf507ffff,0xffffffff,0xffffffff,0xff0005ff,0x7ffc41ff,
    0x20ffffff,0x0006fff9,0x29fffff5,0x0ffffff9,0x3ffffe00,0xfff80005,
    0x40001fff,0x47fffffa,0x0ffffffa,0xfffd0000,0xffc803ff,0xff30ffff,
    0x2200bfff,0xb87fffff,0x002fffff,0x0dfffff5,0x3bbbbbaa,0xeefffffe,
    0x001eeeee,0x5c4fffe8,0xffffffff,0x013fff20,0x7ffffd40,0xffffff14,
    0x7fffc007,0xfe80005f,0x0002ffff,0x3fffffcc,0x3fffffe6,0xff980004,
    0xfd005fff,0x3e63ffff,0x2006ffff,0xb87fffff,0x002fffff,0x0bfffffd,
    0xfffff500,0xfb800005,0xfffa87ff,0xff10ffff,0x320003ff,0x3a3fffff,
    0x006fffff,0x017ffffe,0x3ffffe00,0x7d40000f,0x7c45ffff,0x00ffffff,
    0x7fffd400,0xfff9003f,0x3ffe25ff,0xf8800fff,0xfb86ffff,0xa802ffff,
    0x01ffffff,0xfffffa80,0xff800002,0xcb9883ff,0x3ffee2cc,0x3ff60005,
    0x3fea2fff,0xf003ffff,0x000bffff,0x7fffff98,0xfffd8000,0xfffc83ff,
    0x40004fff,0x02fffffb,0x5fffff70,0x1ffffffc,0x7ffffd40,0xfffffb84,
    0x7fff4402,0xf50005ff,0x0005ffff,0x1ffff700,0xffff9800,0xffa801c1,
    0x7f40ffff,0x804fffff,0x005fffff,0x3ffffa20,0x7dc0005f,0x881fffff,
    0xefffffff,0x7d471000,0xb004ffff,0x641fffff,0x806fffff,0x83fffffe,
    0x02fffffb,0x3fffffea,0x3ffea00f,0xffffffff,0xffffffff,0x3ffe0002,
    0xff3001ff,0x07dd0bff,0x7fffffcc,0xfffff987,0xf880adff,0x0005ffff,
    0xffffffd5,0x3f220007,0x206fffff,0xfffffffb,0x6dcc09be,0x3fffe27f,
    0x7fd402ff,0x7fc46fff,0x880dffff,0x0ffffffd,0x2fffffb8,0x3fff6a62,
    0x5404ffff,0xffffffff,0xffffffff,0x20002fff,0x01fffffb,0x0fffffd4,
    0x5e6ffff4,0xffffffdb,0xffffb02f,0xddffffff,0xbffffffd,0x2b3337b2,
    0xffffdcba,0x7cc5ffff,0xccabccde,0xfffffffe,0x7fff400f,0xffffffff,
    0x47ffffff,0xefffffff,0xffd998ac,0xfc84ffff,0xbcefffff,0xffffffcb,
    0xffff703f,0xffffffff,0x1dffffff,0xfffffa80,0xffffffff,0x02ffffff,
    0x7fffe400,0xfdb9bdff,0xd01fffff,0xffffffff,0x0bffffff,0x7fffff44,
    0xffffffff,0xf95fffff,0xffffffff,0xffffffff,0xffff981d,0xffffffff,
    0x801fffff,0xfffffffa,0xffffffff,0x7ffd47ff,0xffffffff,0x6fffffff,
    0xffffff10,0xffffffff,0x7dc0bfff,0xffffffff,0xffffffff,0xeeea800e,
    0xffffeeee,0xeeeeeeef,0xffa80001,0xffffffff,0x200effff,0xfffffffe,
    0x0fffffff,0x7fffe440,0xffffffff,0xf95fffff,0xffffffff,0xffffffff,
    0xfffff301,0xffffffff,0x44005fff,0xfffffffd,0xffffffff,0xfffffb87,
    0xffffffff,0x2600efff,0xffffffff,0xefffffff,0x3fffee00,0xffffffff,
    0x0004ffff,0x5fffff50,0xf3000000,0xffffffff,0xe801bfff,0xffffffff,
    0x000cffff,0x3fffffea,0xffffffff,0xffff93ff,0xffffffff,0x7cc05dff,
    0xffffffff,0x00bfffff,0xfffff700,0xffffffff,0x3ffee0ff,0xffffffff,
    0x8800dfff,0xfffffffd,0x803fffff,0xfffffffb,0xcfffffff,0x3ea00000,
    0x0002ffff,0xffb71000,0x07dfffff,0x7fffed40,0x001dffff,0xffffb910,
    0x59ffffff,0xffffffc8,0x1defffff,0xfffff980,0x2dffffff,0xdb710000,
    0xdfffffff,0xfff70037,0x9fffffff,0xffd70001,0x19ffffff,0x3fffee00,
    0xbdeeffff,0xf5000001,0x0005ffff,0x2ea20000,0x4c0000aa,0x00009aa9,
    0xaabb9880,0x554cc019,0x0009aaaa,0x2aaaa660,0x0000001a,0x00066aa6,
    0x9abba988,0x2a200000,0x000009ab,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x80000000,0xabddca98,0x00000000,0x03333310,0x26000000,0x99999999,
    0x26099999,0x99999999,0x99999999,0x26199999,0x99999999,0x26200009,
    0x99999999,0x22000001,0x09999999,0x26666200,0x00999999,0xdba98000,
    0x00009acd,0xffffffb8,0x9803ffff,0x3b30001d,0x1fffffb0,0x98000000,
    0xffffffff,0x15ffffff,0xffffffff,0xffffffff,0x1fffffff,0x3ffffffe,
    0xbcefffff,0xffffd002,0xffffffff,0x2000019d,0xfffffffe,0x3fffa006,
    0xffffffff,0x0000beff,0xfffffff5,0x20007fff,0xffffffe9,0x0dffffff,
    0x00effc88,0x20dffe80,0x00fffffd,0x7ec00000,0xffffffff,0xf15fffff,
    0xffffffff,0xffffffff,0x21ffffff,0xffffffff,0xffffffff,0x7fff401e,
    0xffffffff,0x001dffff,0x3ffffe20,0xd000ffff,0xffffffff,0xffffffff,
    0x3fa6001b,0xffffffff,0x2001efff,0xfffffff8,0xffffffff,0x3fffee1f,
    0x7fe4004f,0xfffb3fff,0x000001ff,0x7ffffc40,0xffffffff,0xffff15ff,
    0xffffffff,0xffffffff,0x3ffe1fff,0xffffffff,0x4fffffff,0x3fffffa0,
    0xffffffff,0x0001ffff,0xfffffff7,0x3fa005ff,0xffffffff,0xffffffff,
    0x7ffd400e,0xffffffff,0x002fffff,0xfffffffb,0xffffffff,0x7fffdc1d,
    0xff3002ff,0x3f65ffff,0x0000ffff,0x3ffee000,0xffffffff,0xff15ffff,
    0xfa80003f,0xfffff0ff,0xffffffff,0x1dffffff,0xffffffd0,0xffffffff,
    0x0001ffff,0xfffffffb,0x3fa00bff,0xffffffff,0xffffffff,0x3ffe205f,
    0xffffffff,0x06ffffff,0xffffffa8,0x7fff541d,0xfffffd80,0x3fa04c0f,
    0x3f64ffff,0xffffffff,0x0002acde,0x3fffffa0,0xaaacffff,0x3fff11aa,
    0x01566f74,0x7fc3ffea,0xdcccffff,0xffffffff,0xfffe85ff,0xfedcccff,
    0x5fffffff,0xfffff800,0x007fffff,0x55fffffd,0xffff9755,0x3603ffff,
    0xadffffff,0xffffeb99,0x7fec02ff,0x7dc03fff,0xffffd101,0xfffffbbf,
    0xbfffffbb,0xffffffd8,0xffffffff,0x7cc0002e,0xffffdfff,0x7ffc401f,
    0x3fffffe1,0xfffa80bf,0x0ffffff0,0x3ffff662,0x7ff41fff,0xff7107ff,
    0x800fffff,0xfffffffa,0xe801ffff,0x5c07ffff,0x83ffffff,0x2ffffffa,
    0x3fffff60,0x7ffffc06,0xf9801006,0xffffffff,0xffffffff,0x7ffec0ff,
    0xffffffff,0x02efffff,0x5ffff900,0x803fffff,0x3fe1fff8,0x2fffffff,
    0xff87ffd4,0xfc807fff,0x746fffff,0x5407ffff,0x00ffffff,0x3fffff20,
    0x04fffffb,0x07ffffe8,0x5fffffd8,0x4fffffc8,0xfffffe80,0xfffff103,
    0x7dc00009,0xffffffff,0xffffffff,0xfffffd81,0xffffffff,0x002fffff,
    0xff7ffff8,0xf8803fff,0x3fbba1ff,0x21ffffff,0xfff0fffa,0x3ee00fff,
    0x3a2fffff,0xe807ffff,0x002fffff,0x273ffffe,0x806fffff,0x807ffffe,
    0x86fffffa,0x00fffffe,0x5fffffc8,0x7fffff30,0xffd80000,0xffffffff,
    0xb04fffff,0xffffffff,0xffffffff,0x54001fff,0xfff4ffff,0xff8803ff,
    0x3ff2601f,0xfff50fff,0x1fffffe1,0xffffff80,0x1fffffa6,0x3fffff60,
    0xffff3003,0x3ffffe5f,0x7fff400f,0xfffa807f,0xffff85ff,0xfff3007f,
    0x3fea0fff,0x00002fff,0x7fffffec,0xfffffdcd,0xffffb06f,0xffb9881f,
    0x006fffff,0x7c7ffff6,0x4401ffff,0xfa801fff,0xfff52fff,0x1fffffe1,
    0xfffffc80,0x1fffffa7,0x3fffff60,0xffff7002,0x3ffff21f,0x7fff403f,
    0xfffb807f,0x7ffcc3ff,0x3fe006ff,0xfa80ffff,0x0002ffff,0x3ffffe20,
    0x7ffec40e,0xfffd81ff,0x3f6200ff,0x801fffff,0x3e6ffff8,0x4401ffff,
    0xfb001fff,0x3ffea7ff,0x0ffffff0,0x7ffffcc0,0xfffffd1f,0xffffff00,
    0x3fff6003,0x3fffea6f,0x7fff405f,0xfffe807f,0x7ffc40ff,0x3fe007ff,
    0xfa81ffff,0x0002ffff,0x3ffffee0,0xfffff100,0xfffffb09,0xffff8801,
    0xffb803ff,0x3fffe3ff,0x7ffc401f,0x9fff9001,0x7fc3ffea,0x7c007fff,
    0xfd3fffff,0xfb80ffff,0x1007ffff,0x447fffff,0x407fffff,0x207ffffe,
    0x5fffffc8,0x1ffffff0,0x3ffffa00,0xffffa82f,0x3600002f,0x6405ffff,
    0xfd85ffff,0xc800ffff,0x804fffff,0x3e0ffffe,0xaaacffff,0x3fff10aa,
    0x4bfffe00,0xfff0fffa,0xfe800fff,0xffd3ffff,0x3f220fff,0x002fffff,
    0x83fffff5,0x02fffffe,0x2bfffffa,0xfffcbaaa,0xfd00efff,0x200bffff,
    0x8afffffe,0xffffdccc,0xccccccdf,0xffd004cc,0xffb807ff,0xfffd86ff,
    0xffa800ff,0x7cc06fff,0x7ffc6fff,0xffffffff,0x803fff12,0x50ffffda,
    0x3ffe1fff,0x7f4007ff,0xffd4ffff,0xd9999fff,0xbfffffff,0x7fffe400,
    0xfffffb87,0x3ffffa04,0xffffffff,0x200cffff,0xcffffffc,0xffffb500,
    0xffff15ff,0xffffffff,0x0fffffff,0x0bffffe0,0x0fffff50,0x01fffffb,
    0xdfffff30,0x3ffffc80,0x7ffffffc,0xff12ffff,0xffffd83f,0x3ea3ffff,
    0xfffff0ff,0xfffd800f,0xffffd4ff,0xffffffff,0x8009ffff,0x985fffff,
    0x206fffff,0xfffffffe,0xffffffff,0x7ffcc01d,0xccefffff,0xfffffffe,
    0xffff8aff,0xffffffff,0x07ffffff,0x03fffff0,0x87ffffa8,0x00fffffd,
    0x4fffffb8,0x07ffffc0,0x3ffffffe,0xff12ffff,0xffffd83f,0x7fd44fff,
    0xffffff0f,0xffffc800,0xfffffd4f,0xffffffff,0xf980039d,0xff03ffff,
    0x3a03ffff,0xffffffff,0xffffffff,0x3fee00ef,0xffffffff,0xffffffff,
    0xffff89ff,0xffffffff,0x07ffffff,0x05fffff0,0x86ffffb8,0x00fffffd,
    0x3fffffc8,0x17fffea0,0x3ffffffe,0xff12ffff,0xffffd83f,0xfffa80ce,
    0x0ffffff0,0xfffffd80,0xffffffd3,0x5fffffff,0x3fff2000,0xfffb00ff,
    0x3ffa07ff,0xffffffff,0xffffffff,0x3fffa01f,0xffffffff,0xffffffff,
    0xffeeee88,0xeeeeefff,0xd006eeee,0xc807ffff,0xfd85ffff,0x4400ffff,
    0x01ffffff,0x20bffff6,0x99bfffff,0xfff10999,0x807ffc83,0xfff0fffa,
    0xfe800fff,0xffd2ffff,0xffffffff,0x000bffff,0x40dffffd,0x05fffffa,
    0x33fffffd,0xfff75333,0x440dffff,0xfffffffb,0xffffffff,0xffa80fff,
    0x00002fff,0x01bffff6,0xb09fffff,0x801fffff,0x0ffffffd,0x0fffff10,
    0x007ffffe,0xfc83fff1,0xfffa806f,0x0ffffff0,0xffffff80,0x2fffffd0,
    0xfffffdb8,0x3fe2003f,0x3e204fff,0xe80fffff,0xc807ffff,0x03ffffff,
    0x7ffff644,0xfff8adff,0xfff507ff,0x400005ff,0x03fffffb,0x03fffff9,
    0x01fffffb,0x3fffffa6,0x3ffee03f,0xfffff04f,0x1fff8803,0x54037fdc,
    0xffff0fff,0x7fc400ff,0x3ffa7fff,0xfffd87ff,0xf7000fff,0xe805ffff,
    0xe82fffff,0xb007ffff,0x00bfffff,0xfff30330,0x3fea0dff,0x00002fff,
    0x3fffffe2,0xfffda9ad,0xfffb05ff,0xfd9999ff,0xbfffffff,0xeffffe80,
    0xfffeeeee,0x7fc401ff,0x004cc41f,0xff87ffd4,0x2a007fff,0x3a6fffff,
    0xfd07ffff,0x200bffff,0xfffffffd,0xffffffff,0xfe84ffff,0xf7007fff,
    0x000fffff,0x7ffffdc0,0xfffff504,0xfc800005,0xffffffff,0x03ffffff,
    0xfffffffb,0xffffffff,0x7cc01fff,0xffffffff,0x1fffffff,0x40fffc40,
    0xfff50019,0x1fffffe1,0xfffffe80,0x1fffffa5,0x7fffffcc,0xfffff801,
    0xffffffff,0x7fffffff,0x07ffffe8,0xffffff30,0x7fec0000,0xff501fff,
    0x00005fff,0x7fffff44,0xffffffff,0xffd80fff,0xffffffff,0x1dffffff,
    0x7ffffec0,0xffffffff,0x7c401fff,0x77fec1ff,0x87ffd400,0x007fffff,
    0x3ffffff5,0x03fffff4,0x0bfffffd,0xffffffa8,0xffffffff,0x1fffffff,
    0x03fffff4,0x6fffffb8,0xfff30000,0x7fd40dff,0x00002fff,0x3ffffff6,
    0xffffffff,0xffd85fff,0xffffffff,0x802effff,0xfffffff8,0xffffffff,
    0x7fc401ff,0x3fffe61f,0x87ffd404,0x807fffff,0x5fffffe8,0x03fffff4,
    0x1ffffff7,0x7ffffe40,0xffffffff,0xffffffff,0x3fffff44,0xfffffd80,
    0xff880005,0x2a03ffff,0x002fffff,0xfffff700,0xffffffff,0x87ffffff,
    0xfffffffd,0x02cdefff,0x3ffffee0,0xfeeeeeee,0x4401ffff,0x3fea1fff,
    0x7fd405ff,0xffffff0f,0xfffffa80,0x7fff40ff,0x7fffc07f,0x3ffa04ff,
    0xeeeeefff,0xffeeeeee,0x7ff46fff,0xffb807ff,0x0003ffff,0x7fffff54,
    0x3ffea00f,0x980002ff,0x89ffffff,0xff52abaa,0x7ec3ffff,0x199affff,
    0x7fff4000,0x7fffc03f,0x7ffc401f,0x07fffe21,0x3e1fff50,0x4c47ffff,
    0xffffffda,0xffffe84f,0x7fffe407,0xfff980ff,0x3e6003ff,0x3a0fffff,
    0x2607ffff,0xfffffffd,0x2ea66001,0xffffffff,0x7ffffc41,0xffffffff,
    0xffffffff,0x3fffe21f,0xff9003ff,0x3f61ffff,0x0000ffff,0x1fffff30,
    0xefffff80,0xf15eeeee,0x1cc883ff,0xf0fffa80,0xffffffff,0xffffffff,
    0xffd01dff,0xff880fff,0xfb84ffff,0x4001ffff,0x22fffffe,0xeefffffe,
    0xfffffeee,0xf504ffff,0xffffffff,0x7fffffff,0xffffff10,0xffffffff,
    0xffffffff,0x7ffffec3,0x3ffa2006,0xfffb5fff,0x200001ff,0x805ffffc,
    0xffffffff,0xfff17fff,0x33333335,0x33333333,0x3fe1fff7,0xffffffff,
    0xffffffff,0xffffd00e,0xffffb00f,0xfffd81ff,0xffc8007f,0x3ffa5fff,
    0xffffffff,0xffffffff,0x3fffea05,0xffffffff,0xff104fff,0xffffffff,
    0xffffffff,0x6443ffff,0x4000ffff,0x363ffff9,0x000fffff,0x5fffff00,
    0xffffff00,0x22ffffff,0xffffffff,0xffffffff,0x0fffffff,0xffffffff,
    0xffffffff,0xfffe809f,0xfff9807f,0x3fe23fff,0xa8004fff,0x3a7fffff,
    0xffffffff,0xffffffff,0x3fea00df,0xffffffff,0x2201efff,0xffffffff,
    0xffffffff,0x81ffffff,0x90003fc8,0xfffd819f,0xa80000ff,0xf007ffff,
    0xffffffff,0x3ffe2fff,0xffffffff,0xffffffff,0xfff0ffff,0xffffffff,
    0x0019ffff,0x00fffffd,0x3ffffffa,0x5fffff50,0xffff1000,0x3fffa3ff,
    0xffffffff,0x801dffff,0xfffffffa,0x802effff,0xfffffff8,0xffffffff,
    0x1fffffff,0x01000060,0x03fffff6,0x3fff6000,0xffff004f,0xffffffff,
    0x3fffffe2,0xffffffff,0xffffffff,0xffffff0f,0x37bddfff,0xffffe800,
    0xffff5007,0x3fff27ff,0xfd0000ff,0x3fa9ffff,0xffffffff,0x000accee,
    0x3bffffea,0x0000abde,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x88000000,0x99999999,0x99999999,
    0x26666219,0x99999999,0x26099999,0x00009999,0x00666662,0x01333330,
    0x40333310,0x98809999,0x99999999,0x99999999,0x33331099,0x33333333,
    0x33333333,0x0ccccc43,0x99999880,0x4cc00009,0x40199999,0x99999999,
    0x99999999,0x98019999,0x00abcdca,0xfffffff9,0xffffffff,0x3ff23fff,
    0xffffffff,0x6fffffff,0x0bfffff3,0x7fffec00,0xfff3000f,0xff9009ff,
    0xfff501ff,0xffff505f,0xffffffff,0x5fffffff,0x3fffffee,0xffffffff,
    0x1fffffff,0x00fffffd,0xdffffff1,0x7fd40001,0x00ffffff,0x3ffffffe,
    0xffffffff,0x01ffffff,0xffffffd3,0xfff907ff,0xffffffff,0x3fffffff,
    0x3ffffff2,0xffffffff,0xfff36fff,0x6c000bff,0x000fffff,0x09fffff3,
    0x20ffff90,0xa81ffffb,0xffffffff,0xffffffff,0xfff72fff,0xffffffff,
    0xffffffff,0x3fffa3ff,0xfffd807f,0x40001fff,0xfffffffe,0x3fffe00f,
    0xffffffff,0xffffffff,0xffffc81f,0xefffffff,0x3fffff20,0xffffffff,
    0xf91fffff,0xffffffff,0xffffffff,0x3ffffe6d,0x3ff60005,0xf3000fff,
    0xb009ffff,0x3ee0ffff,0xffa80fff,0xffffffff,0xffffffff,0xfffff72f,
    0xffffffff,0xffffffff,0x1fffffa3,0xffffff50,0xffb80009,0x0fffffff,
    0x3fffffe0,0xffffffff,0x1fffffff,0x7fffffd4,0x4fffffff,0x3ffffff2,
    0xffffffff,0xff91ffff,0xffffffff,0xdfffffff,0x17ffffe6,0xffffd800,
    0xfff3000f,0xffd009ff,0x3fff20df,0xfffff507,0xffffffff,0x25ffffff,
    0xfffffffb,0xffffffff,0xd1ffffff,0x440fffff,0x06ffffff,0x7fffc400,
    0x00ffffff,0x3ffffffe,0xffffffff,0x21ffffff,0xbefffff8,0xfffffeba,
    0xdfffff91,0xdddddddd,0x3f21dddd,0xeeeeffff,0xeeeeeeee,0xbfffff35,
    0x7ffec000,0xff3000ff,0xff009fff,0x3ff60bff,0x9999307f,0xfffffd99,
    0x3999999b,0x3fffffee,0xffffffff,0x1fffffff,0x40fffffd,0x0ffffffd,
    0x7ffec000,0x0fffffff,0x3fffffe0,0xffffffff,0x0fffffff,0x417ffff2,
    0xf94ffffd,0x0005ffff,0x17ffffe4,0xffff9800,0x3f60005f,0x3000ffff,
    0x009fffff,0x3a09ffff,0xb8006fff,0x803fffff,0xaaaaaaa8,0xdaaaaaaa,
    0x3a6fffff,0xf507ffff,0x007fffff,0xfffffa80,0x00fffffe,0x7ffdc000,
    0x7fec4fff,0xfff100ff,0x3ffff2bf,0x3f20002f,0x0002ffff,0x0bfffff3,
    0x7fffec00,0xfff3000f,0xff8809ff,0xffff03ff,0xfff7000b,0x000007ff,
    0x3ffffff8,0x21fffffa,0x5ffffff8,0x7ffc4000,0xffffbeff,0x2200000f,
    0x86ffffff,0x7406ffff,0xfff97fff,0x640005ff,0x002fffff,0xbfffff30,
    0x7ffec000,0xff3000ff,0xeec89fff,0xeeffffee,0xffffeeee,0xb805eeef,
    0x003fffff,0x3ffee000,0x7fff47ff,0xffffc87f,0x640000ff,0xfb9fffff,
    0x0000ffff,0x3fffffa0,0x7fffc41f,0x7fffec05,0x2fffffc8,0x3fff2000,
    0xf30002ff,0x000bffff,0x07ffffec,0xfffff980,0x7ffffec4,0xffffffff,
    0xffffffff,0xfffb806f,0x000003ff,0x0ffffffe,0xa8fffffd,0x02ffffff,
    0x7fffcc00,0xfffff74f,0x3ee00001,0x884fffff,0x7405ffff,0xfff97fff,
    0x640005ff,0x002fffff,0xbfffff30,0x7ffec000,0xff3000ff,0xffd89fff,
    0xffffffff,0xffffffff,0xb806ffff,0x003fffff,0xffff7000,0xfffe81ff,
    0x3fffa27f,0xe80004ff,0x3ee6ffff,0x0000ffff,0xffffff88,0x1bfffe06,
    0x32dffff0,0x002fffff,0x3fffff20,0xfff30002,0x6c000bff,0x000fffff,
    0x89fffff3,0xfffffffd,0xffffffff,0x6fffffff,0xfffffb80,0xfd000003,
    0xfd07ffff,0x7fe4ffff,0x80006fff,0x22fffffb,0x00fffffb,0xffffd800,
    0x3ff601ff,0xfff502ff,0x3ffff29f,0x3f20002f,0x0002ffff,0x0bfffff3,
    0x7fffec00,0xfff3000f,0xcccb89ff,0xcccffffe,0xdffffecc,0xfb803ccc,
    0x0003ffff,0xfffffa80,0xffffe80f,0xffffff37,0xff880003,0x7fdc5fff,
    0x40000fff,0x3ffffffb,0x7ffffe40,0x7ffffd41,0xbfffff91,0x99999999,
    0x7fe45999,0x30002fff,0x00bfffff,0x7ffffec0,0xeeeeeeee,0xfffffeee,
    0x37ffec04,0x00ffffc8,0xfffffb80,0xfe800003,0xfd04ffff,0xffd1ffff,
    0x00007fff,0x81fffff9,0x00fffffb,0x3fffe200,0xff8806ff,0xffeeffff,
    0x3f24ffff,0xffffffff,0xffffffff,0x3fffff24,0xcccccccd,0xff30cccc,
    0x4000bfff,0xfffffffd,0xffffffff,0x04ffffff,0xc837fff4,0x70007fff,
    0x007fffff,0xffffa800,0xfffd00ff,0xfffff9ff,0xff30000b,0xff705fff,
    0x40001fff,0x0ffffffd,0xfffff500,0xffffffff,0x7ffffe41,0xffffffff,
    0x3f24ffff,0xffffffff,0xffffffff,0xbfffff31,0x7ffec000,0xffffffff,
    0xffffffff,0x7ffc04ff,0xffffb05f,0x3ffee000,0x400003ff,0x04fffffe,
    0x3ffffffa,0x000fffff,0x5ffffe80,0x1fffff70,0x3ffee000,0x5c003fff,
    0xffffffff,0x7fe40dff,0xffffffff,0x4fffffff,0x3ffffff2,0xffffffff,
    0xfff31fff,0x6c000bff,0xffffffff,0xffffffff,0x404fffff,0xfd04ffff,
    0x2e000dff,0x003fffff,0x3fffea00,0x3ffa00ff,0xffffffff,0x7dc0003f,
    0xf700ffff,0x0001ffff,0xbffffff1,0x3ff62000,0x902dffff,0xffffffff,
    0xffffffff,0x7fffe49f,0xffffffff,0xf31fffff,0x000bffff,0x7fffffec,
    0xffffffff,0x4fffffff,0x0ffffe20,0x002ffffc,0x3fffffb8,0x3ffa0000,
    0x7f404fff,0xfffcffff,0x10000fff,0x407fffff,0x00fffffb,0xfffffd80,
    0x9880000f,0xfffc800a,0xaaaaacff,0x21aaaaaa,0xfffffffc,0xffffffff,
    0xffff31ff,0x7ec000bf,0xaaabffff,0xfbaaaaaa,0x2604ffff,0xff02ffff,
    0x2e0009ff,0x003fffff,0xfffff500,0xfffe803f,0xffffe8ff,0xffb0006f,
    0xffb80dff,0x5c000fff,0x03ffffff,0xf9000000,0x0005ffff,0x5fffffe4,
    0x99999999,0x3ffe6199,0x360005ff,0x000fffff,0x49fffff3,0xfffdcccc,
    0xfcccccdf,0x2cccefff,0xfffff700,0x3fa00007,0xe805ffff,0xff37ffff,
    0x8007ffff,0x01fffffa,0x07ffffdc,0xfffff100,0x331000bf,0x33333333,
    0x32133333,0x002fffff,0x3fffff20,0xfff30002,0x6c000bff,0x000fffff,
    0x49fffff3,0xffffffff,0xffffffff,0x4fffffff,0xfffff700,0xff300007,
    0xd003ffff,0x7ecfffff,0x001fffff,0x33fffffa,0xdccccccc,0xcccfffff,
    0x3fff603c,0xe8000fff,0xffffffff,0x5fffffff,0x05fffff9,0x7fffe400,
    0xff30002f,0x4000bfff,0x00fffffd,0x9fffff30,0x7ffffffc,0xffffffff,
    0xffffffff,0xffff7004,0xfb00007f,0x200bffff,0x227ffffe,0x06ffffff,
    0x3fffffe0,0xffffffff,0xffffffff,0xfff706ff,0x20005fff,0xfffffffe,
    0xffffffff,0x5fffff95,0x7ffe4000,0xf30002ff,0x000bffff,0x07ffffec,
    0xfffff980,0x3fffffe4,0xffffffff,0xffffffff,0xfff7004f,0x980007ff,
    0x01ffffff,0x8fffffd0,0x4ffffffb,0xffffff00,0xffffffff,0xffffffff,
    0xfff10dff,0x4000bfff,0xfffffffe,0xffffffff,0x5fffff95,0x7ffe4000,
    0xf30002ff,0x000bffff,0x07ffffec,0xfffff980,0x3ffbbba4,0xeeeeefff,
    0xeeefffff,0xfff7003e,0xd80007ff,0x006fffff,0x21fffffa,0x1ffffffe,
    0xffffff80,0xffffffff,0xffffffff,0xfffd86ff,0x20000fff,0xfffffffe,
    0xffffffff,0x5fffff95,0x7ffe4000,0xf30002ff,0x000bffff,0x07ffffec,
    0xfffff980,0x17fffa04,0x003fffe4,0x7fffff70,0x7ffcc000,0x3a002fff,
    0xf987ffff,0x806fffff,0xffffffff,0xffffffff,0xffffffff,0x7ffffdc6,
    0x0000002f,0xfffff900,0x7fe40005,0x30002fff,0x00bfffff,0x7ffffec0,
    0xffff3000,0x7fffc09f,0x0dfffb05,0x7fffdc00,0x3f60003f,0x4006ffff,
    0x907ffffe,0x09ffffff,0xccccccc8,0xeccccccc,0xcccfffff,0x3fffe23c,
    0x200005ff,0xbcdeccb9,0x7fffe401,0x3f20002f,0x0002ffff,0x0bfffff3,
    0x7fffec00,0xfff3000f,0x3fe209ff,0xfffd04ff,0x7fdc000d,0x10003fff,
    0x05ffffff,0x7ffffe80,0x3fffffa0,0xb800001f,0x200fffff,0xbffffffd,
    0xaaaaaaaa,0x2a0aaaaa,0xffffffff,0xff901dff,0xffffffff,0xffffffff,
    0x3fffff23,0xfff30002,0xffffffff,0xdfffffff,0x03fffff6,0x7ffffcc0,
    0x7ffff104,0x017fffe0,0xddddddd5,0xdddfffff,0x6403dddd,0x006fffff,
    0x07ffffe8,0x3fffffea,0xfb800006,0xf500ffff,0xffffffff,0xffffffff,
    0x7dc7ffff,0xffffffff,0xffc80fff,0xffffffff,0xffffffff,0x5fffff91,
    0x3ffe6000,0xffffffff,0x6fffffff,0x01fffffb,0x3ffffe60,0x5ffff304,
    0x013fffe0,0xfffffff5,0xffffffff,0x2205ffff,0x02ffffff,0x7ffffe80,
    0x7ffffec0,0x5c00004f,0x700fffff,0xffffffff,0xffffffff,0x5c7fffff,
    0xfeddefff,0xfc86ffff,0xffffffff,0xffffffff,0xfffff91f,0x3fe60005,
    0xffffffff,0xffffffff,0x1fffffb6,0x3fffe600,0xffff504f,0x7ffff103,
    0xfffffa80,0xffffffff,0x02ffffff,0x0dfffff9,0x3ffffa00,0x7fffc407,
    0x00002fff,0x03ffffee,0x7fffffdc,0xffffffff,0x3fffffff,0x7f44072a,
    0xfffc87ff,0xffffffff,0x1fffffff,0x05fffff9,0x3fffe600,0xffffffff,
    0xb6ffffff,0x001fffff,0x13ffffe6,0x40ffffdc,0x402ffff9,0xfffffffa,
    0xffffffff,0xf882ffff,0x003fffff,0x0fffffd0,0xffffff70,0x2e00001d,
    0x700fffff,0xffffffff,0xffffffff,0x007fffff,0x41ffffb8,0xfffffffc,
    0xffffffff,0xfff91fff,0x260005ff,0xffffffff,0xffffffff,0xffffb6ff,
    0x3fe6001f,0xff904fff,0xfff501ff,0xfffa805f,0xffffffff,0xffffffff,
    0xfffffc82,0x3ffa0007,0xffd007ff,0x0009ffff,0x3ffffee0,0xfffff700,
    0xffffffff,0xffffffff,0xfffa8007,0x0000001f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2a000000,0xfffffedc,
    0x4ccc41ff,0x31000099,0x4cc13333,0x40009999,0x40999999,0x00019999,
    0x330cccc4,0x00013333,0x82666662,0x01999998,0x99999988,0x4cccccc0,
    0x99999999,0x99999999,0xaaaa8001,0x9998801a,0x00999999,0x99999880,
    0x33310009,0xffffb813,0xffffffff,0x7ffffd41,0xfff8000f,0x3ff61fff,
    0x7000ffff,0x45ffffff,0x007ffff8,0x87ffff40,0x06fffffd,0xfffff700,
    0x7ffffd4b,0x7ffec03f,0x3fe22fff,0xffffffff,0xffffffff,0x2007ffff,
    0x4fffffea,0xfffffd80,0xdeffffff,0x7ffec01c,0xf7006fff,0x7fe4dfff,
    0xffffffff,0xffe81fff,0x5c004fff,0x4c5fffff,0x04ffffff,0xffffff88,
    0x3ffffc45,0x3fffa000,0xfffff70f,0xffd0001f,0x7fdc5fff,0x7c06ffff,
    0x22ffffff,0xfffffff8,0xffffffff,0x7fffffff,0xffffd980,0xfd804fff,
    0xffffffff,0x1dffffff,0xffffffb0,0xfff7003f,0x3fffe6df,0x7fffd42f,
    0xfffffa81,0x3ffe000f,0xffd81fff,0x5c00ffff,0x81ffffff,0x000fffff,
    0x89ffffe0,0x03ffffff,0x7ffffc40,0x3fffee0f,0xff500fff,0x447fffff,
    0xffffffff,0xffffffff,0x07ffffff,0x3fffff66,0xd804ffff,0xffffffff,
    0xffffffff,0xffffd85f,0xfb805fff,0xfff96fff,0xffff505f,0x3ffffa03,
    0xfff7004f,0x3fe20bff,0x2204ffff,0x05ffffff,0x001fffff,0x23ffffc0,
    0x05fffffe,0x7ffffd40,0x7ffffe45,0xfff902ff,0x7c47ffff,0xffffffff,
    0xffffffff,0x887fffff,0xfffffffc,0xd804ffff,0xffffffff,0xffffffff,
    0x7ffec4ff,0x400fffff,0xfb6ffffb,0xff905fff,0x3fea03ff,0x4400ffff,
    0x01ffffff,0x3ffffff2,0xfffff700,0x3fffe01f,0x3fe0000f,0x7ffe46ff,
    0x7e4007ff,0x7e43ffff,0x05ffffff,0xffffffff,0xcccccc87,0xfffffecc,
    0xcccccccd,0x7ffffe44,0xffffffff,0xffffd804,0xfeeccccf,0x2fffffff,
    0x3ffffff6,0x7fdc04ff,0xffff76ff,0xfffd535d,0x7ff403ff,0x7dc03fff,
    0x4405ffff,0x85ffffff,0x4ffffff8,0x03ffffa0,0x6ffff800,0x7fffffcc,
    0x3fffe001,0x7ffe40ff,0xf987ffff,0x4fffffff,0x7fffdc00,0x7ffc003f,
    0xffffffff,0xfd804fff,0xb300ffff,0x1fffffff,0x3ffffff6,0x3ee00fff,
    0xfff36fff,0xffffffff,0x7d403fff,0x2207ffff,0x01ffffff,0xffffffb8,
    0x7ffffdc1,0x3fffa00f,0x3fe0001f,0xffff86ff,0xff3004ff,0xffb0dfff,
    0x85ffffdf,0xfffefffc,0x7fdc004f,0x64003fff,0xaaefffff,0x804fffff,
    0x00fffffd,0x7fffffe4,0xffffffb1,0x7dc07fff,0x3ff26fff,0xecffffff,
    0x7f401fff,0xf703ffff,0x400bffff,0x25fffffe,0x3ffffff8,0x0ffffec0,
    0xffff8800,0xfffffc85,0xffff7006,0xbfffb09f,0xfe89fffd,0x5ffffcff,
    0x7fffdc00,0x7fc4003f,0x3ffea2ff,0xffd804ff,0xfe800fff,0xffb3ffff,
    0xffffffff,0x37fffdc0,0x37ffffee,0x803fff91,0x86fffffa,0x1ffffff8,
    0x3fffea00,0xffff91ff,0xfffb00df,0x3e20003f,0xffa85fff,0xe800ffff,
    0xe81fffff,0xfffcdfff,0x27fffe67,0x4005ffff,0x03fffffb,0xfa83fd80,
    0xd804ffff,0x800fffff,0xb5fffffb,0xfffdffff,0x3fee07ff,0x013106ff,
    0x3fffa000,0x7ffdc2ff,0xfe8005ff,0xff8dffff,0xd802ffff,0xe982ffff,
    0xfff883ee,0xfffff04f,0xfff8805f,0xfffd07ff,0x23ffff5b,0xfff6fffb,
    0xffb800bf,0x98003fff,0xfffff500,0xffffb009,0xfff5001f,0x3fff6dff,
    0x6ffffecf,0x0dffff70,0x3ea00000,0x7fc6ffff,0x8000ffff,0xdffffff9,
    0x006fffff,0x905ffff9,0xff30dfff,0x3ff609ff,0x7d404fff,0xfd04ffff,
    0xffff1bff,0x7d3fffa7,0x5c006fff,0x003fffff,0x7fffd400,0xfffd804f,
    0xff9800ff,0xfffb5fff,0xfffff79f,0xdffff705,0x26666662,0x99999999,
    0xfffe8009,0xffff51ff,0x7ec0009f,0xffffffff,0xff9002ff,0xfffd05ff,
    0xffff981f,0xfffff703,0xffffc80f,0x9ffff02f,0x3e37fff6,0xffff1fff,
    0xfffb800d,0x400003ff,0x04fffffa,0x0fffffd8,0xfffffb80,0x19ffffb4,
    0x70dfffff,0x3fadffff,0xffffffff,0x05ffffff,0x5fffffa8,0x01fffffd,
    0x7fffc400,0x05ffffff,0x0bfffee0,0x87fffff3,0x103ffff9,0x03ffffff,
    0x07fffffc,0xf74ffff8,0xdfff5fff,0x003ffffc,0x0fffffee,0xfff50000,
    0xffb009ff,0xfb001fff,0x3f65ffff,0xfff94fff,0xfffb83ff,0xfffffd6f,
    0xffffffff,0x3fa00bff,0xfffaffff,0xc80004ff,0xffffffff,0x3fee001f,
    0x7ffdc3ff,0x7ffcc5ff,0x3fffa03f,0xfff303ff,0x7ffc0bff,0xdffff14f,
    0x7ff49fff,0x7fdc007f,0x00003fff,0x27ffffd4,0x7ffffec0,0x7fffcc00,
    0xffffb1ff,0x3ffffe29,0xb7fffdc5,0xfffffffe,0xffffffff,0xffff5005,
    0x1fffffff,0xfff10000,0x00bfffff,0x43ffffa8,0x0ffffffe,0x80bfffea,
    0x05fffffb,0x07fffff7,0xe93fffe2,0x1fffffff,0x001ffffa,0x07fffff7,
    0xfffa8000,0xffd804ff,0x3a200fff,0x366fffff,0x3f64ffff,0x3ee0ffff,
    0xfffd6fff,0xffffffff,0x400bffff,0xfffffffe,0x100004ff,0xffffffff,
    0xfffa800b,0x3fffe23f,0x3fea2fff,0x3fe602ff,0xfd80ffff,0xf100ffff,
    0x7fe47fff,0x7f47ffff,0x2e000fff,0x003fffff,0x7fffd400,0xfffd804f,
    0x7e4c40ff,0x21ffffff,0x264ffffd,0x2e4fffff,0x0006ffff,0xfffa8000,
    0x00ffffff,0xffff9000,0x003fffff,0x71ffffcc,0xbfffffff,0x00ffffd4,
    0x0bfffffa,0x0dfffff1,0x51ffffcc,0x89ffffff,0x000ffffe,0x0fffffee,
    0xfff50000,0xffb009ff,0xffffffff,0xffffffff,0x4ffffd89,0x87fffff4,
    0xd76ffffb,0xec87dddd,0x4002eeee,0xfffffffe,0xff300004,0xffffffff,
    0x7ffcc00d,0x3bfff64f,0x3fea7fff,0x7fe401ff,0x7fd44fff,0x3e604fff,
    0x7ffc3fff,0x7fec1fff,0x3ee000ff,0x0003ffff,0x7ffffd40,0xffffd804,
    0xffffffff,0xd86fffff,0x7d44ffff,0xff73ffff,0x3ffeedff,0x7ffe44ff,
    0x7d4002ff,0x00ffffff,0xffffb000,0x7fffffff,0x3fffe600,0xf7ffff14,
    0x3fee5fff,0x7fd400ff,0x7fe46fff,0x3e601fff,0x7fec3fff,0xfffd87ff,
    0x3fee001f,0x00003fff,0x27ffffd4,0x7ffffec0,0xffffffff,0xffb03fff,
    0xfffd09ff,0x3fffeeff,0x7fffff56,0x2fffffc8,0xffffe800,0xf500004f,
    0xffdfffff,0x1001ffff,0x3ea9ffff,0xffff8dff,0x01ffff74,0x3ffffff0,
    0x03fffff4,0x70bfffea,0xfb09ffff,0x5c003fff,0x003fffff,0x7fffd400,
    0xfffd804f,0xffffffff,0x3600cfff,0xfb84ffff,0xffbaffff,0xffff56ff,
    0xffffb87f,0xffc8001f,0x00002fff,0x3bfffffd,0x09ffffff,0x2bffff10,
    0xffd3fffd,0x1ffff2ff,0x7ffffec0,0x9fffff13,0x2ffffa80,0x417fffc4,
    0x002ffffd,0x0fffffee,0xfff50000,0xffb009ff,0xbdffffff,0xfb001379,
    0xff109fff,0xfff7dfff,0x3fffe6df,0x7fffdc2f,0xffc8001f,0x80002fff,
    0x1ffffffb,0x3ffffffb,0x2bffff00,0xff70ffff,0xffff93ff,0x3fffea00,
    0xfffff75f,0xffffb805,0x904ccb82,0x4005ffff,0x03fffffb,0x7ffd4000,
    0xffd804ff,0x80000fff,0x904ffffd,0xffbfffff,0x3ffe6dff,0x7ffd42ff,
    0xfc8000ff,0x0002ffff,0x7fffffc4,0x3ffffe65,0xffff805f,0x266fff9e,
    0xffcbffff,0xfff1007f,0x3fff6fff,0xfffb807f,0xff90002f,0x7dc005ff,
    0x0003ffff,0x7ffffd40,0xffffd804,0xfd80000f,0xff104fff,0xffffffff,
    0x3ffffe2d,0x7ffffd41,0xfffc8000,0x640002ff,0x40ffffff,0x2ffffffc,
    0x677fffc0,0x7ff43fff,0x06fffcdf,0x3fffffa0,0x05fffffa,0x01ffffb8,
    0x7ffff900,0x7fffdc00,0x5400003f,0x804fffff,0x00fffffd,0xffffd800,
    0x3ffff604,0xf16fffff,0xf983ffff,0x90007fff,0x005fffff,0x7ffffc40,
    0xffff884f,0x7ff406ff,0x41fffeef,0xffdffffc,0x3fee006f,0xffffefff,
    0xfffc803f,0xff90001f,0x7dc007ff,0x0003ffff,0x7ffffd40,0xffffd804,
    0xfd80000f,0x3e604fff,0xffffffff,0x03ffffe6,0x00fffff3,0x3fffff20,
    0x3ff60002,0xf900ffff,0x407fffff,0xfffffffe,0xfffff986,0x26005fff,
    0xffffffff,0xfc800fff,0x70001fff,0x4009ffff,0x03fffffb,0x4ccccc40,
    0xfffffb99,0x0999999c,0x01fffffb,0xffffb000,0xffffe809,0x3fe6ffff,
    0x7fc40fff,0xf90006ff,0x0005ffff,0x3fffffe6,0x3fffe204,0xffb00fff,
    0x209fffff,0xffffffff,0x7fff4005,0x06ffffff,0x03ffffb0,0x3fffee00,
    0x3ffee004,0x7d4003ff,0xffffffff,0xffffffff,0xfffb3fff,0xb00001ff,
    0xa809ffff,0xffffffff,0x21ffffa6,0x006ffff8,0x5fffff90,0x3fffa000,
    0x7e400fff,0xb04fffff,0x3fffffff,0x3fffff20,0x7e4005ff,0xffffffff,
    0xffffb003,0x3fee0001,0x3ee004ff,0x4003ffff,0xfffffffa,0xffffffff,
    0xfb3fffff,0x0001ffff,0x09ffffb0,0xffffffd0,0x3ffff4df,0x005ffff8,
    0x5fffff90,0xffff5000,0xff1009ff,0x903fffff,0x0fffffff,0x7fffffd4,
    0x7fcc004f,0x1fffffff,0x1ffffb00,0x3ffee000,0x3fee005f,0x54003fff,
    0xffffffff,0xffffffff,0xffb3ffff,0x00001fff,0x009ffffb,0xfffffff7,
    0x80cccc4d,0x00009999,0x05fffff9,0xfffffd00,0x3fee001f,0xfc86ffff,
    0x404fffff,0x4fffffff,0xfffff800,0x3a007fff,0x0000ffff,0x00bffff5,
    0x1fffffdc,0x3fffea00,0xffffffff,0xffffffff,0x1fffffb3,0xfffb0000,
    0xfff1009f,0x000dffff,0x7fe40000,0x5c002fff,0x04ffffff,0x3ffffe20,
    0x7ffdc2ff,0x7ec02fff,0x003fffff,0xffffffd8,0x3ffa004f,0xf50000ff,
    0x5c00dfff,0x003fffff,0x7fffffd4,0xffffffff,0xb3ffffff,0x001fffff,
    0x9ffffb00,0x3ffff200,0x000006ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x59bb7310,
    0x51000013,0x00005555,0x02801400,0x26200000,0x0aacccca,0x6f654c00,
    0x100001ab,0x0359bb95,0x9bd97300,0x7bb73035,0xdb500003,0x5100003b,
    0x79bdd997,0xec880015,0x764400be,0xffffffff,0x7c40003f,0x0000ffff,
    0x404fd800,0x000004fd,0x3fffff22,0x05ffffff,0x7ffffec4,0x002fffff,
    0xffffff50,0x7005dfff,0xfffffffd,0x7fffe49f,0x70000eff,0x003fffff,
    0xffffd710,0xffffffff,0xffd10019,0x3aa01dff,0xffffffff,0x001effff,
    0x1fffff10,0x74400000,0xff904fff,0x800001bf,0xfffffffa,0x06ffffff,
    0x3fffffea,0xdfffffff,0x3fff2000,0xffffffff,0xfff100cf,0xffffffff,
    0xffffffdd,0xf0001dff,0x00dfffff,0xffffff70,0xffffffff,0xffb803ff,
    0x6446ffff,0xffffffff,0xffffffff,0xfff88000,0x000000ff,0x9fffffd3,
    0xefffffc8,0xfd880000,0xffffffff,0x886fffff,0xfffffffd,0xffffffff,
    0x7ff4401f,0xffffffff,0xf106ffff,0xffffffff,0xffffffff,0x00dfffff,
    0xffffff98,0xfffb8007,0xffffffff,0x00ffffff,0x3ffffff6,0x3ffff62f,
    0xffffffff,0x005fffff,0x0fffff88,0xffa80000,0x10efffff,0xfffffffd,
    0xffd80003,0xffffffff,0xc86fffff,0xffffffff,0xffffffff,0x7fff406f,
    0xfeccdfff,0x883fffff,0xebabdfff,0xefffffff,0x1fffffcb,0x3fffe200,
    0xfb8007ff,0xccdeffff,0xfffffffe,0x3ffffa05,0x3fe65fff,0xcaceffff,
    0xfffffffe,0x7ffc4002,0x400000ff,0xfffffffb,0xfffffb04,0x2a0007ff,
    0xefffffff,0xffdcaabc,0x7ffffc46,0xfca9bdff,0x02ffffff,0x1bfffff5,
    0xffffff70,0xb00bf881,0x41dfffff,0x004ffffa,0x1fffffec,0x056fdc00,
    0xfffff910,0x3fff201f,0x7d46ffff,0xff700cff,0x8009ffff,0x00fffff8,
    0x3fff2000,0x5c03ffff,0x4fffffff,0x7fffc400,0x4a803fff,0x7fffffec,
    0xffffd101,0x3fffa0ff,0x7ffdc06f,0x4c0085ff,0xe82fffff,0x44006fff,
    0x0003fffd,0xffe80011,0xfd101fff,0x90ffffff,0xfffb003f,0xf8800dff,
    0x0000ffff,0xfffffd88,0xff5001ff,0x01bfffff,0x3fffff20,0xff30001f,
    0x8803ffff,0x43ffffff,0x01fffffb,0x07ffffe8,0x1fffff00,0x00ffff90,
    0x00000620,0x3fffee00,0x3ffe202f,0x00106fff,0x1fffffea,0xfffff100,
    0xfe880001,0x00efffff,0x7ffff4c0,0xff800eff,0x0004ffff,0x17fffff2,
    0x7ffffe40,0x37ffff44,0xfffffc80,0xfffe8000,0x1ffff506,0x00000000,
    0x7fffcc00,0x7ffdc03f,0x440005ff,0x20ffffff,0xeeeeeeea,0xeefffffe,
    0x02eeeeee,0x3fffffe6,0xd10000df,0x3fffffff,0x7ffffcc0,0x3f60000f,
    0x3001ffff,0xf8bfffff,0x7004ffff,0x003fffff,0x20bfffd0,0x001ffffa,
    0x00000000,0x13ffffe6,0x7fffff30,0xfff98000,0x7ffdc7ff,0xffffffff,
    0xffffffff,0xfff503ff,0x0009ffff,0x3fffff60,0xfff502ff,0xe8000bff,
    0x2007ffff,0x26fffff8,0xeefffff8,0xeeeeeeee,0x02fffffe,0x7fe654c4,
    0xccccceff,0x2a1ffffd,0xaaaaaaaa,0xaaaaaaaa,0x002aaaaa,0xffdd9955,
    0x09ffffff,0x1fffffa8,0x7ffcc000,0x7ffdc6ff,0xffffffff,0xffffffff,
    0xfffc83ff,0x0002ffff,0x7ffffdc0,0xfffb83ff,0x7c0004ff,0x4007ffff,
    0x267fffff,0xffffffff,0xffffffff,0x903fffff,0xffffffff,0xffffffff,
    0x225fffff,0xffffffff,0xffffffff,0x0fffffff,0xfffff710,0xffffffff,
    0xffd809ff,0xc80005ff,0x5c5fffff,0xffffffff,0xffffffff,0x6c3fffff,
    0x1fffffff,0xff500000,0xd8bfffff,0x003fffff,0x3ffffe20,0x7fff4006,
    0xffff50ff,0xffffffff,0xffffffff,0xffffa87f,0xffffffff,0xffffffff,
    0xfff12fff,0xffffffff,0xffffffff,0xf701ffff,0xffffffff,0xffffffff,
    0x3fff6209,0x440000ff,0x42ffffff,0xccccccca,0xccfffffc,0x11cccccc,
    0xdffffffd,0x98000001,0xeffffffe,0x7fffffb0,0x7ffcc000,0x7fc006ff,
    0xff70ffff,0xffffffff,0xffffffff,0x7fc45fff,0xffffffff,0xffffffff,
    0x11ffffff,0xffffffff,0xffffffff,0x1fffffff,0xffffffb8,0xffffffff,
    0x9554ffff,0x5ffffffb,0xfff90000,0xf1000dff,0x2001ffff,0xffffffe8,
    0x4000001e,0xffffffe9,0xfffff90d,0xfff8000b,0x7fc007ff,0x3fea7fff,
    0xaaaacfff,0xaaaaaaaa,0x3ff60aaa,0xe999bfff,0x9999dfff,0x22199999,
    0xffffffff,0xffffffff,0x0fffffff,0x3fffffea,0xa999aacf,0xff4fffff,
    0x5fffffff,0xfff50000,0x10007fff,0x001fffff,0xffffffd8,0x5000002f,
    0x9fffffff,0x6fffffb8,0x7fffc000,0xff1000ff,0x7fccbfff,0x00004fff,
    0x01fffff1,0x000bfffd,0x2aaaaaaa,0xaaaaaaaa,0x2aaaaaaa,0x77fffff4,
    0x3fffe600,0xffffff4f,0x1000019f,0x0dffffff,0x3fffe200,0xffb8000f,
    0x003fffff,0x7fffdc00,0xff983fff,0x0001ffff,0x0bfffff6,0x7ffffdc0,
    0x3ffffe24,0xff300005,0x3ffa0bff,0x0000006f,0x7fffc000,0x7fcc00ff,
    0xffff4fff,0x2000019b,0xffffffe8,0xfff10000,0x2a0001ff,0x5fffffff,
    0xfffb0000,0x2205ffff,0x06ffffff,0x3ffff200,0xfffd006f,0xffff87ff,
    0xb80000ff,0xfd03ffff,0x00001fff,0x3e600000,0xa806ffff,0x354fffff,
    0x7f400000,0x001fffff,0x3ffffe20,0x3fe60000,0x00efffff,0xffffd100,
    0xfe803dff,0x004fffff,0xffffff50,0xffffb805,0x7ffec0ff,0xb80005ff,
    0xf984ffff,0x0003ffff,0x00026200,0x1fffffea,0xffffff50,0xb0000009,
    0x05ffffff,0xffff8800,0x7440000f,0x1effffff,0x7fff4c00,0x9800efff,
    0xefffffff,0xfd1b2601,0x207fffff,0x3ffffffb,0xffffff98,0xf502000c,
    0xfe88dfff,0x000effff,0x7ffec400,0x7ffc4004,0xff702fff,0x009fffff,
    0xfffd8000,0x80003fff,0x00fffff8,0xffffb000,0x2a005fff,0x5fffffff,
    0x7fffe400,0xecefffff,0x7d47fffe,0xdeffffff,0xffffffdc,0x3fff206f,
    0x99acffff,0x0ffdba99,0x4bffffe6,0xffffffd8,0x03da80ef,0x7ffffec0,
    0x7fffc004,0xeb89cfff,0xffffffff,0x36000004,0x03ffffff,0xffff1000,
    0x6400001f,0x3fffffff,0x7ffffe40,0xf88003ff,0xffffffff,0x7fffffff,
    0xffffffd8,0xffffffff,0x3a202fff,0xffffffff,0xffffffff,0x3fffe20f,
    0xfffffeff,0xeeffffff,0x2003ffff,0x7ffffff8,0x7fffe400,0xffffffff,
    0x4fffffff,0xffb00000,0x0007ffff,0x00000000,0xfffffff7,0x3ffff60b,
    0x20002fff,0xffffffe9,0xffffffff,0xffffe887,0xffffffff,0xf9802fff,
    0xffffffff,0xffffffff,0x7ffffe40,0xfd8effff,0xffffffff,0x3e6003ff,
    0x007fffff,0x7fffffc4,0xcfffffff,0x004ffffc,0xffffd800,0x000002ff,
    0x26000000,0xefffffff,0xfffffd10,0x200003ff,0xfffffffb,0x07ffffff,
    0x3fffffee,0x0dffffff,0x3fff2200,0xffffffff,0x7c40ffff,0xefffffff,
    0xfffffd10,0x007fffff,0x6ffffff8,0xffffa800,0x3fffffff,0x009ffff7,
    0xffffd800,0x000002ff,0x88000000,0x44fffffe,0x0efffffc,0x76440000,
    0xffffffff,0x7ecc01bd,0xdfffffff,0x3f660003,0xffffffff,0xd880bdff,
    0x40dfffff,0xffffffc8,0x5c001dff,0x001fffff,0xfffffb10,0x7fdc1bff,
    0x200004ff,0x2ffffffd,0x3332e000,0xcccccccc,0xcccccccc,0x7ec40003,
    0xfff904ff,0x0000001b,0x01335531,0x2aea6200,0x98800000,0x009aacca,
    0x200aea60,0x01aabba8,0x0676d400,0x5d4c4000,0x0000002a,0xffffffd8,
    0xaaaaaaad,0x3a0aaaaa,0xffffffff,0xffffffff,0x00005fff,0x4fc809f9,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7fe40000,
    0xffffffff,0xffffffff,0x3fffa1ff,0xffffffff,0xffffffff,0x00a00005,
    0x00000014,0x00000000,0x00000000,0x00000000,0x00000000,0x74000000,
    0xffffffff,0xffffffff,0x3fa1ffff,0xffffffff,0xffffffff,0x000005ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xd0000000,
    0xffffffff,0xffffffff,0x7f43ffff,0xffffffff,0xffffffff,0x000005ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xd0000000,
    0xffffffff,0xffffffff,0x0003ffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xd0000000,0xffffffff,0xffffffff,
    0x0003ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26000000,0x8802aaaa,0x401aaaaa,
    0xdeedcba8,0x55409acc,0x40001aaa,0x511aaaa9,0x00055555,0x42aaaaaa,
    0xa81aaaa9,0x000acedc,0x0000a880,0x15555553,0x55555400,0x5555541a,
    0xaaaaaaaa,0x30aaaaaa,0x95015555,0x260159bb,0x37221aaa,0x59b9503d,
    0xffffb000,0xfff9801f,0xffb304ff,0xffffffff,0xfffd89ff,0x7e40006f,
    0xfff14fff,0x88005fff,0xb0ffffff,0x7dc9ffff,0x3fffffff,0x7fee4c00,
    0x000bdfff,0xdffffff1,0x3fffea00,0x3ffe21ff,0xffffffff,0xffffffff,
    0x45ffff90,0xfffffffb,0x5fffc83f,0x4dfffff5,0x4fffffe8,0x7fffec00,
    0x7ffcc00f,0xfffd84ff,0xffffffff,0x7fdc4fff,0x6c0007ff,0x3f63ffff,
    0x4005ffff,0x25fffffb,0xfb5ffffd,0xffffffff,0x3fee00bf,0xffffffff,
    0xfff7003f,0xf8809fff,0x443fffff,0xffffffff,0xffffffff,0xfff90fff,
    0x3ffff67f,0x45ffffff,0xff8dfffc,0xfb2fffff,0x05ffffff,0x7ffffec0,
    0x7fffcc00,0x7fffe44f,0xffffffff,0x7fd44fff,0x20000fff,0x2a2ffffe,
    0x00ffffff,0x3fffffa0,0x37ffff62,0xfffffffc,0x202fffff,0xffffffe8,
    0xdffffffe,0xffffd800,0x3ff201ff,0xff885fff,0xffffffff,0xffffffff,
    0x7ffff90f,0xfffffffb,0x643fffff,0xfffdefff,0xffaeffff,0x06ffffff,
    0x3fffff60,0x7fffcc00,0x3fffee4f,0xccbcefff,0x7cc4fffe,0x0001ffff,
    0xf03ffffe,0x007fffff,0x1fffffe2,0xfffffffb,0xffffffff,0x3e20dfff,
    0x440aefff,0x00ffffea,0x7fffffc4,0xfffff506,0xffff101f,0xffffffff,
    0x1fffffff,0x3ffffff2,0xffffffff,0x3f26ffff,0xfeffffff,0xffffffff,
    0x01ffffff,0x1fffffb0,0xfffff980,0x3fffffa4,0x442b9806,0x002fffff,
    0x0fffff10,0x0dfffff7,0x3ffffee0,0x7ffffec4,0xc89cffff,0x81ffffff,
    0xaaacfffe,0x3ff20aaa,0xfff9805f,0x7fc44fff,0x9103ffff,0x99999999,
    0xfffffd99,0x7fffe49f,0xbadfffff,0x1ffffffe,0x9ffffff9,0x3fffffea,
    0x5ffffd1e,0x3ffff600,0x7ffcc00f,0x3fffe4ff,0x7c0001ff,0x0003ffff,
    0x10dffff1,0x01ffffff,0x1fffffd0,0xffffffd8,0xfffc80ef,0x7ffdc3ff,
    0xfffffff2,0x0fffea1d,0x3fffff20,0x3ffff22f,0xf100005f,0xc8dfffff,
    0xefffffff,0xfffffe80,0xbfffff92,0x7fffffc4,0x0bffff21,0x7ffffec0,
    0x7fffcc00,0xfffff34f,0xfe80001f,0xccb84fff,0xffff983c,0xfffffb05,
    0xffff9807,0xffffd85f,0xff300eff,0x7fc49fff,0x3ffffe4f,0x3ff66fff,
    0xfffe800f,0xfffa8eff,0x00000fff,0x1ffffffd,0xffffffc8,0xffff900e,
    0x3ffff27f,0x7ffffc1f,0x1ffffdc5,0xfffffd80,0x7fffcc00,0xfffff14f,
    0x6c0001df,0xff85ffff,0x7fd40fff,0xfff504ff,0xffc80dff,0xffd82fff,
    0x2200ffff,0x324fffff,0x3ffe0fff,0x11fffc99,0xf3007fff,0xffbfffff,
    0x0005ffff,0x3fffff60,0xffffc82f,0x3fea01ff,0xfff94fff,0xfffff0bf,
    0x3ffffb83,0xfffffb00,0xffff9801,0x3ffffe4f,0x8001cfff,0x546ffffc,
    0x5c3fffff,0x3e03ffff,0x201fffff,0xb07fffff,0x805fffff,0x25fffff8,
    0x7ffc3ffd,0xfc8bffe0,0xfff7005f,0xffffffff,0x3ee00009,0x904fffff,
    0x805fffff,0x94fffff8,0xff07ffff,0xfff70fff,0x3ff6007f,0x7cc00fff,
    0x3f24ffff,0xffffffff,0xff5001ce,0xfffd8fff,0x7ffe46ff,0x3fff202f,
    0xfff504ff,0x3ff609ff,0x99801fff,0x3ffe0999,0xf987ffc2,0x1ffea0ff,
    0xfffffd80,0x000effff,0xfffff980,0x3fff205f,0x7fc400ff,0xfff94fff,
    0xfffff07f,0x07ffff70,0x3fffff60,0x7fffcc00,0x7ffff44f,0xefffffff,
    0x3ffe600b,0x3fffe0ff,0x3ff61fff,0x3fe201ff,0xffb07fff,0x3f603fff,
    0x0001ffff,0x3e07ffc4,0x3fffeeff,0x8007ffc4,0xfffffff8,0x880001ff,
    0x0fffffff,0x3fffff20,0x7fffc400,0x7ffff94f,0x70fffff0,0x2007ffff,
    0x00fffffd,0x27ffffcc,0x3fffff62,0xffffffff,0xfffff103,0x3ffffea3,
    0x3fff63ff,0x7ffec00f,0x7ffc42ff,0x3ff606ff,0x40001fff,0xfff87ffa,
    0xff01efff,0x7fd4003f,0x004fffff,0xfffffb00,0xfffc803f,0x7fc400ff,
    0xfff94fff,0xfffff07f,0x07ffff70,0x3fffff60,0x7fffcc00,0xfffd504f,
    0xffffffff,0x3fffe0bf,0xfffff92f,0x7fff4dff,0xffffa807,0x7fffd45f,
    0x3fff603f,0x440001ff,0x7ffc0fff,0xf884fffc,0x3f2000ff,0x0effffff,
    0x7ffe4000,0xfc803fff,0x4400ffff,0xf94fffff,0xfff07fff,0xffff70ff,
    0x3fff6007,0x7fcc00ff,0x64c04fff,0xfffffffe,0xffe83fff,0xfffff3ff,
    0x3fe3ffff,0xfff006ff,0x7ff41fff,0x3f600fff,0x0001ffff,0x7fc2fff8,
    0x41fff88f,0x2a007ffa,0xffffffff,0x3ea0005f,0x005fffff,0x01fffff9,
    0x4fffff88,0xf07ffff9,0xff70ffff,0x3f6007ff,0x4c00ffff,0x004fffff,
    0x3ffffee6,0xffd87fff,0xffffacff,0xf8cffffb,0xf9004fff,0x3e27ffff,
    0x6c04ffff,0x001fffff,0x7c3ffd80,0x89ffb0ff,0xf1005ffc,0xffffffff,
    0xf10005ff,0x01dfffff,0x3fffff20,0x7fffc400,0x7ffff94f,0x70fffff0,
    0x2007ffff,0x00fffffd,0x27ffffe4,0xffffa800,0x7fe40fff,0x6fffcdff,
    0xff3fffff,0x3e6007ff,0xff75ffff,0xfd803fff,0x0001ffff,0x3e0effc8,
    0x1fff30ff,0x400fffe2,0xfffffffe,0x000fffff,0x7ffffff4,0x3fff2001,
    0x7fc400ff,0xfff94fff,0xfffff07f,0x07ffff70,0x3fffff20,0x3fffee02,
    0x260004ff,0x42ffffff,0xfeeffffa,0xffffb4ff,0x005ffff9,0x47ffffec,
    0x806ffffe,0x01fffffd,0x4fff9800,0xffe83ffe,0x001fff94,0x3dfffff9,
    0x0dffffff,0x7ffffec0,0x7fe4002f,0x7c400fff,0xff94ffff,0xffff07ff,
    0x7ffff70f,0x3fffee00,0xffff504f,0x40009fff,0x1ffffff8,0x7fffffcc,
    0xfff51fff,0x03ffffff,0x7ffffd40,0x03fffffd,0x1fffffd8,0xfff70000,
    0x99513325,0x007fff59,0x3ffffff5,0x3fffffee,0xffffb803,0xfc8004ff,
    0x4400ffff,0xf94fffff,0xfff07fff,0xffff70ff,0x3ffea007,0x3ee20eff,
    0x4fffffff,0x7e400171,0xf887ffff,0x7fffffff,0x3fffffe2,0x7c000fff,
    0xffffffff,0xffd800ff,0x00001fff,0x400ffffa,0x8805fffc,0x44ffffff,
    0x1ffffffd,0x3ffffe60,0x999999ef,0xf9099999,0x8801ffff,0xf94fffff,
    0xfff07fff,0xffff70ff,0x3ffe6007,0xffcdffff,0xffffffff,0x337dff34,
    0x7ffe5441,0xfff05fff,0xd89fffff,0x7fffffff,0xffffc800,0x005fffff,
    0x03fffffb,0x7ffcc000,0x75440aef,0xe800ffff,0x886fffff,0x0effffff,
    0xfffffe88,0xffffffff,0xf92fffff,0x8801ffff,0xf94fffff,0xfff07fff,
    0xffff70ff,0x7ffec007,0xffffffff,0x4ffffeff,0xfffffff3,0xffffffff,
    0x3fa03fff,0x41ffffff,0xfffffffa,0xfff98006,0x02ffffff,0x3fffffb0,
    0xfe980000,0xffefffff,0x800effff,0x1ffffffc,0xffffff50,0xfffff50b,
    0xffffffff,0x25ffffff,0x00fffffc,0xa7ffffc4,0xf83ffffc,0xffb87fff,
    0x3e6003ff,0xffffffff,0xfffbafff,0xfffff34f,0xffffffff,0x6c05ffff,
    0x87ffffff,0xfffffff8,0xfffd0005,0x400fffff,0x01fffffd,0xfff70000,
    0xffffffff,0x3ffea007,0x7ec04fff,0x542fffff,0xffffffff,0xffffffff,
    0xfff92fff,0xff8801ff,0xfff94fff,0xfffff07f,0x07ffff70,0xfffffb80,
    0xf72fffff,0x3fe69fff,0xffffffff,0x02ffffff,0x7fffffe4,0xfffffb04,
    0x3ea0009f,0x04ffffff,0x3fffff60,0x26000001,0xdfffffdc,0xfff1000c,
    0xf100dfff,0x41ffffff,0xfffffffa,0xffffffff,0xff92ffff,0xf8801fff,
    0xff94ffff,0xffff07ff,0x7ffff70f,0xfffd3000,0x7dc1bfff,0xfdb14fff,
    0xffffffff,0x2e005bff,0x02ffffff,0x7ffffff5,0x7fffc000,0x36000fff,
    0x001fffff,0x02a20000,0x7fffec00,0xff5001ff,0x7d4dffff,0xffffffff,
    0xffffffff,0xffff92ff,0xfff8801f,0xffff94ff,0x0fffff07,0x007ffff7,
    0x055dd440,0x55531000,0x00135597,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x22000000,
    0x000ccccc,0x05c000e0,0x00ccccc0,0x5eeed800,0x00ec4000,0x262000d4,
    0x00000000,0x03b30073,0x001a9800,0x02666600,0x00000000,0x26000004,
    0x000fffff,0xc800bfb0,0xffeb80ef,0x0bffffff,0xdfffd000,0xdffd8000,
    0x019ff101,0x3ffffb2a,0x322002df,0x4c06ffff,0xfd501ffd,0xfd9000df,
    0x019dffff,0x3fffea00,0xfffd000f,0xffffffff,0xffffffff,0x09fff90b,
    0x3ffe6000,0xfd8000ff,0xff7005ff,0xfffe81df,0xffffffff,0xfffe8001,
    0x3fea0005,0xffe81fff,0x3ff663ff,0xffffffff,0x7ffecc05,0x3f206fff,
    0xffa86fff,0xd5003fff,0xffffffff,0xfd0007ff,0x2009ffff,0xfffffffe,
    0xffffffff,0x7f45ffff,0x000effff,0x7ffffcc0,0x7ffec000,0x7fdc05ff,
    0x7ff46fff,0xffffffff,0xb01501ff,0x05109fff,0x5ffffe88,0x1fffffb8,
    0xfffffff3,0x0bffffff,0xffffffb5,0x7fcc0dff,0xffd84fff,0x7d400fff,
    0xffffffff,0x2003ffff,0xfffffffb,0xffffe801,0xffffffff,0x5fffffff,
    0x3ffffff2,0x7cc0004f,0x4000ffff,0x5ffffffc,0xffffff70,0xeefffe85,
    0x3fffffff,0x7e42ff88,0x07fd44ff,0x1fffff90,0x3fffff98,0x7fffffec,
    0x1fffffff,0x3fffffe6,0x5c06ffff,0x441fffff,0x205fffff,0xfffffff8,
    0xfffffffe,0xffff8800,0xe806ffff,0xffffffff,0xffffffff,0x3ffa5fff,
    0x007fffff,0x7ffffcc0,0xfffc8000,0x7fdc5fff,0x1a82ffff,0xbfffff50,
    0x5cbfff90,0xffb13fff,0x3ffe609f,0xfffe82ff,0xceff885f,0xfffffcaa,
    0x7ffff42f,0x806fffff,0x40effffd,0x02fffffa,0x83fffff9,0x05fffff9,
    0xfbefffd8,0x65c03fff,0xcccccccc,0xcccccccc,0xffff13cc,0x001fffff,
    0x7ffffcc0,0xfff90000,0x3feebfff,0x0002ffff,0x989fffff,0xb9efffff,
    0xffe9afff,0xffe80fff,0xfffc85ff,0x205500ff,0x44fffffc,0xffdbeffb,
    0xff8806ff,0xffd84fff,0xfff80fff,0xfff501ff,0xfff980ff,0x1ffffd2f,
    0x20000000,0xffffffff,0x7fcc0007,0x20000fff,0xeffffffc,0x02ffffff,
    0xfffff500,0xfffffa83,0xfdfffdff,0x42ffffff,0x40fffffc,0x02fffff9,
    0xfffff900,0x3f62e885,0xf5006fff,0xf883ffff,0x7c44ffff,0x3e205fff,
    0x3a00ffff,0x3fea5fff,0x000005ff,0xfffff900,0x98000bff,0x000fffff,
    0x7ffffe40,0x02ffffff,0xffd97550,0x2e20bfff,0xffffffff,0x3effffff,
    0x2fffff98,0x05ffffe8,0xfffff300,0xfffb001f,0x7fe400df,0x7fd40eff,
    0x3fea1fff,0x7fec04ff,0xfff701ff,0xffffd83f,0x80000001,0xfffffff8,
    0x55555400,0xffffbaaa,0xaaaaaabf,0xfffd802a,0x02ffffff,0x3fffffa0,
    0xd5002fff,0xffffffff,0x7ff405df,0xfffc85ff,0xe88000ef,0x004fffff,
    0x00dffffb,0x27ffff44,0x537fffec,0xd809ffff,0xf881ffff,0xff985fff,
    0x000006ff,0xbfffb100,0xffff8801,0xffffffff,0xffffffff,0xfd800fff,
    0x02ffffff,0x7fffff40,0x000cefff,0xfffffff9,0xffffd007,0xdffffb0b,
    0xffe88001,0xb000efff,0x400dffff,0x84fffff8,0x266ffffe,0x2207ffff,
    0xc80fffff,0xf900ffff,0x99707fff,0x99999999,0x99999999,0x1000c079,
    0xffffffff,0xffffffff,0x1fffffff,0xfffff900,0xfe800bff,0xffffffff,
    0x3faa00ff,0xffffffff,0x3ffe602d,0x7ffc42ff,0x3e6004ff,0x00efffff,
    0x1bffff60,0x6ffffd80,0x1fffffb8,0x80fffffc,0x987ffffa,0x2204ffff,
    0x740fffff,0xffffffff,0xffffffff,0x00005fff,0xfffffff1,0xffffffff,
    0xffffffff,0xffffc801,0x005fffff,0x3f2a6662,0xa83fffff,0xfffffffe,
    0x2effffff,0x1fffff90,0x2fffffa8,0xfffff980,0x7ec000ef,0xf7006fff,
    0xf983ffff,0xfe83ffff,0x74c0efff,0xfe84ffff,0x7dc00fff,0x7ff45fff,
    0xffffffff,0xffffffff,0xf100005f,0xffffffff,0xffffffff,0x01ffffff,
    0x7fffffdc,0x005fffff,0x7ffffcc0,0x3ffffea6,0xfefffeff,0x42ffffff,
    0x85fffff8,0x00fffffc,0x3fffffea,0xfffb0004,0xfff300df,0xfffd07ff,
    0x3ffe60df,0xffedefff,0x7dc0ffff,0xfd003fff,0x7ff45fff,0xffffffff,
    0xffffffff,0x2a00005f,0xbaaaaaaa,0xaabfffff,0x202aaaaa,0xdffffffb,
    0x05ffffff,0x7ffffc00,0x3ffffe67,0xaafffb9f,0x81ffffff,0x42fffffa,
    0x05fffff8,0x5ffffff7,0x7ffec000,0xfffe806f,0xffffb85f,0x3fff201f,
    0xffffffff,0x7ffc42ff,0x3fea006f,0x3fffa6ff,0xffffffff,0xffffffff,
    0x20000005,0x00fffff9,0xfffff700,0x3ffff25f,0x200885ff,0x5fffffc8,
    0xb86fffec,0xffb13fff,0x7ffec09f,0x7ffd40ff,0x7ffe43ff,0xeeeeffff,
    0x2aaa0eee,0xfffffeaa,0x3f20aaaa,0x7cc0ffff,0xc804ffff,0xffffffff,
    0xffc83fff,0x7f4002ff,0x00004fff,0x80000000,0x00fffff9,0xfffffb80,
    0x7fffe42f,0x7ffd45ff,0xffffeeee,0x7fc43fff,0x227ffe43,0x3e200ffb,
    0xfc85ffff,0xff30ffff,0xffffffff,0x743fffff,0xffffffff,0x31ffffff,
    0xd07fffff,0x400dffff,0xffffffe9,0x000000cf,0x00000000,0xf9800000,
    0x4000ffff,0x2ffffffb,0xffffff90,0x7ffffd4b,0xffffffff,0xffb03505,
    0x7005309f,0x885fffff,0xf33fffff,0xffffffff,0x43ffffff,0xfffffffe,
    0x1fffffff,0x50bffff7,0x003fffff,0x002aaa60,0x00000000,0x00000000,
    0xfffff300,0xfffd8001,0x7fe402ff,0x3fea3fff,0xffffffff,0xfd8004ff,
    0x740005ff,0xff501dff,0x7fffcc19,0xffffffff,0x3ffa1fff,0xffffffff,
    0x3221ffff,0xffb300ff,0x00000009,0x00000000,0x00000000,0x7ffffcc0,
    0xfffd8000,0x7fffb002,0xffffffa8,0x000adfff,0x00dfffd0,0xb801d980,
    0xfffff980,0xffffffff,0x3fffa1ff,0xffffffff,0x01881fff,0x00000498,
    0x00000000,0x00000000,0x7ffcc000,0xfb0000ff,0x03fd8005,0x00266666,
    0x5eeed800,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3e600000,0x0000ffff,0x0014000a,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xfff30000,0x000001ff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0ccccc88,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xaaaa9800,0xaaaaaaaa,
    0xaaaaaaaa,0x06f2e601,0x00600000,0x5c00000c,0x0deeeeee,0x201cdca8,
    0xeeeeeed9,0xfff30002,0xffffffff,0x3bbba1ff,0xeeeeeeee,0xeeeeeeee,
    0x05eeeeee,0x00000000,0x00000000,0xfffff900,0xffffffff,0x9fffffff,
    0xffffff70,0x7000003d,0x3ee05fff,0x700002ff,0x1dffffff,0x7fffffb0,
    0x7ffff4c0,0xf98002ff,0xffffffff,0xfff0ffff,0xffffffff,0xffffffff,
    0xdfffffff,0x00000000,0x00000000,0x3fff2000,0xffffffff,0xffffffff,
    0x7fffe44f,0x203fffff,0x205ffff8,0x41fffffa,0x01fffffa,0x7fffdc00,
    0xfff704ff,0xd803ffff,0x02ffffff,0x7ffffcc0,0xffffffff,0xfffffff0,
    0xffffffff,0xffffffff,0x0000dfff,0x00000000,0x20000000,0xfffffffc,
    0xffffffff,0x2a4fffff,0xffffffff,0xff104fff,0x7fec09ff,0x7fec4fff,
    0x20004fff,0x2ffffffb,0x3fffffe0,0xffa805ff,0x2002ffff,0xfffffff9,
    0xf0ffffff,0xffffffff,0xffffffff,0xffffffff,0x000000df,0x00000000,
    0x3f200000,0xffffffff,0xffffffff,0x3ffa4fff,0xffffffff,0xfffa84ff,
    0x3fff604f,0x7ffec4ff,0xf70004ff,0x401dffff,0xfffffff8,0xffd3007f,
    0x4c005fff,0x99999999,0x3bba1999,0xeeeeeeee,0xeeeeeeee,0x5eeeeeee,
    0x00000000,0x00000000,0x55553000,0x55555555,0xffff9555,0x3ffffe69,
    0xfffffebe,0xfffd10df,0x7ffd405f,0x7ffdc2ff,0xfb8002ff,0x8804ffff,
    0xffffffff,0x7ffec006,0x000002ff,0x00000000,0x00000000,0x00000000,
    0xb8000000,0xff74ffff,0xfffb89ff,0xfffeffff,0x7e400fff,0xfff904ff,
    0x55510009,0x7fc00355,0x05ffffff,0x2aaaaa80,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffb8000,0x3ffff94f,0xffffff50,0x09ffffff,
    0x51002a20,0x00000001,0x7fffffd4,0x0000000f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fffee00,0x01ffffb4,0x3fffffea,0x001fffff,
    0x00000000,0xffff7000,0x0000003d,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffffb800,0x80999974,0xfffffff9,0x000001ff,0x00000000,
    0x00055d44,0x00000000,0x00000000,0x00000000,0x00000000,0x5c000000,
    0x0004ffff,0x3bffff22,0x0000000d,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x9ffff700,0x02620000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,
};

static signed short stb__consolas_bold_49_latin1_x[224]={ 0,9,5,0,2,0,0,10,6,5,3,1,5,6,
8,1,1,2,2,3,0,3,2,2,2,1,9,5,2,3,4,6,0,0,3,1,2,4,4,1,2,3,4,3,
4,1,2,0,3,0,3,2,1,2,0,0,0,0,2,7,2,6,2,0,0,2,3,3,1,2,0,1,3,3,
2,3,3,1,3,1,3,1,4,3,1,3,0,0,0,0,3,3,10,5,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,0,9,2,1,0,0,
10,2,0,0,5,2,2,6,1,0,4,2,5,5,0,3,1,8,10,5,4,3,0,0,0,3,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,0,0,0,0,0,2,0,0,0,0,0,0,3,3,0,0,
0,0,0,0,0,3,0,0,0,0,0,0,0,0,1,0,0,0,0,0,0,1,1,0,0,0,0,0,3,0,
 };
static signed short stb__consolas_bold_49_latin1_y[224]={ 36,2,2,4,-1,1,2,2,0,0,2,11,27,20,
27,2,4,4,4,4,4,4,4,4,4,4,11,11,9,15,9,2,1,4,4,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,1,2,1,4,41,2,11,2,11,2,11,1,11,2,1,
1,2,2,11,11,11,11,11,11,11,3,11,11,11,11,11,11,1,-4,1,17,4,4,4,4,4,4,4,4,4,
4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,4,36,11,0,4,4,4,
-4,1,1,4,4,13,20,20,1,3,1,6,1,1,2,11,2,17,36,1,4,13,2,2,1,11,-4,-4,-4,-5,
-5,-6,4,4,-4,-4,-4,-5,-4,-4,-4,-5,4,-5,-4,-4,-4,-5,-5,12,-1,-4,-4,-4,-5,-4,4,1,2,2,
2,1,1,-2,11,11,2,2,2,1,2,2,2,1,2,1,2,2,2,1,1,10,6,2,2,2,1,2,2,1,
 };
static unsigned short stb__consolas_bold_49_latin1_w[224]={ 0,9,17,26,23,27,28,7,16,16,21,25,14,15,
11,24,25,23,23,22,26,22,24,23,23,24,9,14,21,21,21,18,27,27,23,24,24,20,19,24,23,21,18,24,
20,25,23,27,22,28,23,23,25,23,27,27,27,27,23,13,24,13,23,27,17,22,23,20,23,23,26,25,21,22,
20,24,22,25,21,25,23,23,21,21,23,21,27,27,27,27,21,19,7,19,25,25,25,25,25,25,25,25,25,25,
25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,25,0,9,21,24,26,27,
7,24,22,27,17,22,22,15,25,21,19,23,17,17,25,23,24,11,7,17,19,22,27,27,27,18,27,27,27,27,
27,27,27,24,24,24,24,24,24,24,24,24,26,25,27,27,27,27,27,23,27,25,25,25,25,27,22,23,24,25,
24,24,24,24,27,20,25,25,25,25,25,26,25,25,24,24,26,26,26,26,26,25,25,24,25,24,24,27,23,27,
 };
static unsigned short stb__consolas_bold_49_latin1_h[224]={ 0,35,13,32,43,36,35,13,47,47,21,24,18,6,
10,40,33,32,32,33,32,33,33,32,33,32,26,34,28,15,28,35,46,32,32,33,32,32,32,33,32,32,33,32,
32,32,32,33,32,42,32,33,32,33,32,32,32,32,32,45,40,45,17,5,10,26,35,26,35,26,35,36,34,35,
46,34,34,25,25,26,35,35,25,26,34,26,25,25,25,36,25,45,50,45,12,32,32,32,32,32,32,32,32,32,
32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,32,0,35,42,32,32,32,
50,41,11,33,24,20,12,6,25,9,18,30,20,21,10,35,40,11,8,20,24,20,34,34,35,35,40,40,40,41,
41,42,32,40,40,40,40,41,40,40,40,41,32,41,41,41,41,42,42,22,43,41,41,41,42,40,32,36,35,35,
35,36,36,39,26,33,35,35,35,36,34,34,34,35,35,35,35,35,35,36,36,26,36,35,35,35,36,45,44,46,
 };
static unsigned short stb__consolas_bold_49_latin1_s[224]={ 248,239,236,87,29,186,52,248,17,34,69,
1,241,239,99,160,175,165,1,73,185,96,168,136,144,231,239,238,49,217,71,
1,100,179,207,119,130,1,22,48,63,114,29,160,42,113,212,123,189,103,155,
151,139,201,85,57,29,1,212,142,79,128,193,151,111,218,96,93,72,140,201,
53,77,130,79,175,1,221,199,114,153,177,101,23,99,1,73,45,149,158,177,
156,9,176,24,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,
104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,104,248,242,53,
1,26,220,1,1,50,1,236,91,1,239,123,129,173,25,114,51,73,106,54,
239,248,132,236,150,200,147,155,234,185,132,51,214,103,75,76,1,213,26,79,
53,104,129,154,78,193,1,131,159,26,186,132,27,1,27,187,213,160,104,53,
229,79,104,183,204,28,179,164,225,208,1,1,132,228,50,24,53,130,81,45,
228,120,105,1,192,79,20,27,27,214,196,224,51, };
static unsigned short stb__consolas_bold_49_latin1_t[224]={ 24,95,518,468,52,221,294,1,1,1,594,
594,534,248,619,138,366,501,534,401,468,401,401,468,401,435,221,138,534,594,534,
330,1,435,435,401,435,468,468,401,468,468,401,468,468,501,501,366,501,52,435,
366,501,366,501,501,501,501,468,1,138,1,594,619,619,534,330,534,330,534,294,
221,366,294,1,330,366,567,567,534,294,294,567,567,366,567,567,567,567,221,567,
1,1,1,619,435,435,435,435,435,435,435,435,435,435,435,435,435,435,435,435,
435,435,435,435,435,435,435,435,435,435,435,435,435,435,435,435,435,24,52,52,
435,435,401,1,138,619,401,493,594,619,248,567,619,594,534,594,594,619,294,138,
594,15,594,468,594,330,330,258,258,138,138,180,52,95,52,435,180,138,180,180,
95,180,180,180,95,401,96,95,95,138,52,52,594,52,96,95,95,52,138,435,
180,258,258,258,180,221,180,534,366,258,258,294,221,330,366,366,258,258,294,330,
294,330,221,221,534,221,330,258,294,221,1,1,1, };
static unsigned short stb__consolas_bold_49_latin1_a[224]={ 431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,431,
431,431,431,431,431,431,431,431, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_consolas_bold_49_latin1_BITMAP_HEIGHT or STB_FONT_consolas_bold_49_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_consolas_bold_49_latin1(stb_fontchar font[STB_FONT_consolas_bold_49_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_consolas_bold_49_latin1_BITMAP_HEIGHT][STB_FONT_consolas_bold_49_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__consolas_bold_49_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_consolas_bold_49_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_consolas_bold_49_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_consolas_bold_49_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_consolas_bold_49_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_consolas_bold_49_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__consolas_bold_49_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__consolas_bold_49_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__consolas_bold_49_latin1_s[i] + stb__consolas_bold_49_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__consolas_bold_49_latin1_t[i] + stb__consolas_bold_49_latin1_h[i]) * recip_height;
            font[i].x0 = stb__consolas_bold_49_latin1_x[i];
            font[i].y0 = stb__consolas_bold_49_latin1_y[i];
            font[i].x1 = stb__consolas_bold_49_latin1_x[i] + stb__consolas_bold_49_latin1_w[i];
            font[i].y1 = stb__consolas_bold_49_latin1_y[i] + stb__consolas_bold_49_latin1_h[i];
            font[i].advance_int = (stb__consolas_bold_49_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__consolas_bold_49_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__consolas_bold_49_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__consolas_bold_49_latin1_s[i] + stb__consolas_bold_49_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__consolas_bold_49_latin1_t[i] + stb__consolas_bold_49_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__consolas_bold_49_latin1_x[i] - 0.5f;
            font[i].y0f = stb__consolas_bold_49_latin1_y[i] - 0.5f;
            font[i].x1f = stb__consolas_bold_49_latin1_x[i] + stb__consolas_bold_49_latin1_w[i] + 0.5f;
            font[i].y1f = stb__consolas_bold_49_latin1_y[i] + stb__consolas_bold_49_latin1_h[i] + 0.5f;
            font[i].advance = stb__consolas_bold_49_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_consolas_bold_49_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_consolas_bold_49_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_consolas_bold_49_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_consolas_bold_49_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_consolas_bold_49_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_consolas_bold_49_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_consolas_bold_49_latin1_LINE_SPACING
#endif

