// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_46_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_46_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_46_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_46_latin1_BITMAP_HEIGHT        467
#define STB_FONT_courier_bold_46_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_courier_bold_46_latin1_FIRST_CHAR            32
#define STB_FONT_courier_bold_46_latin1_NUM_CHARS            224

#define STB_FONT_courier_bold_46_latin1_LINE_SPACING          22

static unsigned int stb__courier_bold_46_latin1_pixels[]={
    0x80000000,0x80054028,0x0eeeedb8,0xd7000000,0x10003ddd,0x31000000,
    0x00620000,0x0c400000,0x00030000,0x4004c000,0x000001c9,0x003b6200,
    0xe837fd40,0xfff802ff,0x0000ffff,0xffff9000,0x1ff4c003,0xff700000,
    0xff880003,0x40000004,0x80002ffa,0x00001efc,0x301bf620,0x00001fff,
    0x3fff5000,0x3fffa000,0x02fffd41,0x3fffffe6,0x0000000f,0x003ffff9,
    0x0003ffe4,0x00fffd80,0x0dffe800,0xfc800000,0xa80000ff,0x00002fff,
    0x404ffe98,0x0005fffb,0x7ffdc000,0x3ff20004,0x1fffc40f,0x7ffffec0,
    0x0000000f,0x003ffff9,0x0007fff4,0x3fffd100,0x3fa20000,0x000001ef,
    0x005fffb1,0x27ffe400,0xfff50000,0xfff9801b,0x0000000f,0x0005fffb,
    0xb301db88,0x7fd44007,0x000000ff,0x01999950,0x0ffffa60,0x7ffcc000,
    0x4400000e,0x0002fffd,0x0f7ff440,0x7fd40000,0xfb80005f,0x3fa004ff,
    0x000004ff,0x001fffd8,0x80000000,0x0000ffff,0x2a000000,0xfffffffe,
    0x44001eed,0x00005fff,0x007ffe40,0x1bffd000,0x74c00000,0x2a0004ff,
    0x54002fff,0x0000ffff,0x03bfe200,0x00000000,0x007fffc0,0x80000000,
    0xfffffffc,0x006fffff,0x0001ffc4,0x01ffa800,0x013fe000,0x7ec40000,
    0x3bee0005,0xfffd0001,0xb8000009,0x00000003,0x7fffc000,0x006ea620,
    0x7e400000,0xffffffff,0x000fffff,0x00000044,0x00000620,0x00000011,
    0x03000030,0xffffa800,0x00000000,0x7ffecc00,0xfd701dff,0x7c09dfff,
    0xffd98fff,0x00bdffff,0x7ffffedc,0x4fffffff,0x3bffffe6,0xfffffecc,
    0x0000000f,0x00000000,0x00000000,0x00000000,0x007ffff0,0x80000000,
    0xfffffffe,0xfffffa85,0xfff02fff,0xffffffdf,0x207fffff,0xfffffff8,
    0x4fffffff,0x207fffee,0x00ffffb8,0x0565d440,0x00000000,0x00000000,
    0x00acba88,0x70000000,0x4000ffff,0xdfffffd9,0xffffd701,0xfffff89d,
    0xffa85fff,0x03ffffff,0xffffffff,0xffffffff,0xffff30bf,0xffffffff,
    0x7ffec9ff,0x02ffdc04,0xffffff50,0xd90019ff,0x5bffffff,0x7ffffe44,
    0x3fb21dff,0x22dfffff,0xffffffc8,0xffa801df,0x0cffffff,0x7fff6440,
    0xffffffff,0xff101dff,0x3a0005ff,0x5fffffff,0xffffffa8,0x3ffaa2ff,
    0xf901dfff,0x019fffff,0x3ffffffe,0xffedccef,0xfeb83fff,0xffffffff,
    0x3ff64fff,0x065c402f,0x7fffec40,0x1effffff,0x3ffffea0,0x3f27ffff,
    0xffffffff,0xffffff55,0x7fe4ffff,0x5fffffff,0x3ffff620,0x1effffff,
    0x3ffffee0,0xffffffff,0x3f206fff,0xff0006ff,0x0bffffff,0xfffffff5,
    0x9fffd07f,0x3ffff300,0xffffff80,0xffff700c,0x3ea0001f,0x3fff24ff,
    0xf300001e,0xffffffff,0x207fffff,0xfffffffa,0x3fff27ff,0x55ffffff,
    0xffffffff,0x7fffe4ff,0x305fffff,0xffffffff,0x07ffffff,0x3fffffee,
    0xffffffff,0x3fe206ff,0xea8002ff,0x01dfffff,0x9ffffff9,0x1ffff501,
    0x05fffd80,0x03fffff8,0x02ffff98,0x49fff500,0xbefffff9,0xfe88000a,
    0xdbceffff,0x03ffffff,0xffffffd9,0x7ff6445b,0x321dffff,0xdffffffe,
    0x3fffb222,0xe881dfff,0xbcefffff,0x3ffffffd,0xffffec88,0xffffffff,
    0x7fe401df,0x3fa0006f,0xff9804ff,0x7ff401ff,0x3ffe604f,0xffff801f,
    0x3ffee005,0xfff50004,0xfffffd89,0x001cefff,0x01bffff9,0x03ffffee,
    0x2007fff8,0x3e03fffc,0x3f2007ff,0x3ff203ff,0xff700dff,0x74001fff,
    0x10001fff,0x0003ffff,0x003fffea,0x500bfffb,0x3601ffff,0xff005fff,
    0x7c4005ff,0xf50006ff,0xffd889ff,0xffffffff,0x3ffea01e,0xfff9804f,
    0x1fffe05f,0x03fffc80,0xc801fffe,0xff503fff,0xff3009ff,0x7f400bff,
    0x360001ff,0x20005fff,0x2604fffe,0xd001ffff,0xff309fff,0x3fe003ff,
    0x7f4001ff,0xfa8000ff,0xffd504ff,0xffffffff,0xbffff105,0x7fffd400,
    0x00ffff02,0xf01fffe4,0x7e400fff,0xfff883ff,0x3fea005f,0xffd002ff,
    0x7cc0003f,0x50001fff,0x3601ffff,0x2a005fff,0x7f40ffff,0x3fe005ff,
    0x3e2002ff,0xa8000fff,0x54404fff,0xffffffec,0x7fffd40f,0x7ffec000,
    0x00ffff06,0xf01fffe4,0x7e400fff,0xfffa83ff,0x7fec000f,0xfffd006f,
    0xffd80003,0x3fa0004f,0xfff984ff,0x7ff4001f,0x3fffea5f,0x3fffe001,
    0x3ffea005,0xfff50006,0xff950009,0xfffb89ff,0xfff88003,0x00ffff07,
    0xf01fffe4,0x7e400fff,0xfffb83ff,0xfff88003,0x3fffd007,0xfffa8000,
    0xff50000f,0xfffe81ff,0xfffa8005,0x0bfffd1f,0x3fffff80,0x5ffff980,
    0x9fff5000,0xff700144,0x1fffd8df,0x1fffd000,0x400ffff0,0x3e03fffc,
    0x3f2007ff,0xfffd83ff,0xfffd0001,0x3fffd001,0xfffd0000,0x7ff40009,
    0x3fffea5f,0xfffd0001,0x03ffff5b,0xffffff80,0xffff500c,0x3ea0003f,
    0x0dff34ff,0xd1fffe20,0x20001fff,0xff82fffd,0x3ff2007f,0x1fffe03f,
    0x83fffc80,0x0000fffe,0xd005fffb,0x00003fff,0x001ffff5,0x47fffea0,
    0x0005fffe,0x3fbfffea,0xff8005ff,0xcdffffff,0xffffffdc,0x3fea0003,
    0x05fff74f,0x44ffff50,0x20007fff,0xff83fffc,0x3ff2007f,0x1fffe03f,
    0x43fffc80,0x0007fff8,0x200ffff2,0x0001fffe,0x007fffd0,0x56ffff40,
    0x0001ffff,0x7ffffff4,0xfff8001f,0xffffffff,0x05ffffff,0xa7ffd400,
    0x201efffd,0x225fffe8,0x20007fff,0xff83fffb,0x3ff2007f,0x1fffe03f,
    0x43fffc80,0x0007fff8,0x200fffee,0x0001fffe,0x00ffff70,0x77fffd40,
    0x80005fff,0x5ffffffa,0xfffff000,0xffffffff,0x00007fff,0x3f69fff5,
    0x89acffff,0x2fffffdb,0x0007fff4,0xf82fffd8,0x3f2007ff,0x3ffe03ff,
    0x3fff2007,0x00fffe83,0x05fffb00,0x003fffd0,0x1ffffc00,0xffffd000,
    0x00003fff,0x07fffffa,0x47fffc00,0xffffffea,0x500000cf,0x3ff69fff,
    0xffffffff,0xd85fffff,0xd0001fff,0xfff01fff,0x7ffe400f,0x01fffe03,
    0xd83fffc8,0xd0001fff,0xfd001fff,0x400003ff,0x0006fffb,0x3fffffea,
    0x3e600005,0x20005fff,0x2a60ffff,0x000009ba,0xf74fffa8,0xffffffff,
    0x01dfffff,0x0007fff7,0x3e0ffff1,0x3f2007ff,0x3ffe03ff,0x3fff2007,
    0x03fffb83,0x07fff880,0x003fffd0,0x7fffc400,0x3ffa0002,0x00001fff,
    0x007fffea,0x00ffff80,0xfa800000,0xffff34ff,0xffffffff,0x7ffd409f,
    0x7fec000f,0x1fffd06f,0x07fff600,0x000fffe8,0xf503fffb,0xd8001fff,
    0xfd006fff,0x800003ff,0x0006fffc,0x017fffe6,0xbfffd000,0xffff8000,
    0x80000000,0x2e63fffc,0xdffffb50,0xfff88017,0x3fea005f,0xfff902ff,
    0x3fffe005,0x0bfff200,0x407fffc0,0x005ffff8,0x00bfffea,0x000ffff4,
    0x3fffe200,0xfff50001,0x5400003f,0x0001ffff,0x0007fffc,0x3fe20000,
    0xffe801ff,0x3fea001f,0xff9804ff,0x3fee05ff,0x7fec00ff,0x7ffdc06f,
    0x7ffec00f,0x3fffea06,0xffff9804,0x3fffa005,0xfd800001,0xfd0005ff,
    0x80000bff,0x0005fffe,0x000ffff8,0x3f260000,0xffd007ff,0xffc8003f,
    0xff700eff,0x7c401fff,0xfb01efff,0xf8807fff,0xfb01efff,0xfc807fff,
    0xf700efff,0x4001ffff,0x0001fffe,0x1ffff980,0x7fffd400,0x99730001,
    0x5bffffb9,0xfca88001,0x02cccfff,0x66654400,0xfffffecc,0x3fffd005,
    0xffffd000,0xfffb79df,0xf5007fff,0xd79bffff,0x00bfffff,0x37ffffea,
    0xfffffebc,0xffffd005,0xfffb79df,0xd9107fff,0xffffffff,0x03bfffff,
    0x5fffd800,0x2ffff400,0xffffd800,0xffffffff,0x7fff4004,0x6fffffff,
    0xffff1000,0xffffffff,0x3ff6001b,0xff98000f,0xffffffff,0x2003ffff,
    0xfffffffc,0x00ffffff,0x3fffff20,0xffffffff,0xffff3000,0xffffffff,
    0x3fee07ff,0xffffffff,0x06ffffff,0x3fffcc00,0xfdcccb98,0x000adfff,
    0x7ffffffc,0x07ffffff,0x3ffffe60,0x0fffffff,0xffffa800,0x5fffffff,
    0x037fdc00,0xffff9100,0x3dffffff,0xffff7000,0x1bffffff,0xffff7000,
    0x1bffffff,0xfffc8800,0xefffffff,0x3fffee01,0xffffffff,0x0006ffff,
    0xfd85ffc8,0xffffffff,0x6c004fff,0xffffffff,0x4005ffff,0xfffffffe,
    0x10006fff,0xffffffff,0xb10007bf,0xd500005f,0x9dffffff,0xffe88000,
    0x003fffff,0x7ffff440,0x40003fff,0xffffffea,0xfec8804e,0xffffffff,
    0x001dffff,0x3fe05500,0xffffffff,0x98007fff,0xaaaaaaaa,0x530001aa,
    0x35555555,0x55530000,0x00000355,0x2e620000,0x400000ab,0x000acb98,
    0x565cc400,0x4c400000,0x00000abb,0x00000000,0xffffffd8,0x05ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x55553000,0x03555555,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00180000,0x00062000,0x09800000,0xcc880000,0x80000001,0x80000bb8,
    0x5c000009,0x0000000d,0x01800013,0x80000000,0x2e0000ba,0x800001ff,
    0x00000efd,0x17fa2000,0xfff90000,0x000000df,0x0005ffd8,0x0001bf62,
    0x017fff4c,0xdfb10000,0x0ffdc000,0x00f75400,0xfb86fdc0,0x3e60006f,
    0x400003ff,0x0001fffc,0xfff98000,0x3e200004,0x002fc89d,0xfff30000,
    0x3fa6000f,0xfb80004f,0x00dfffff,0x7ff4c000,0x3fea0004,0x7ffc003f,
    0x3fea000f,0x03fffb4f,0x27ffdc00,0x3ff60000,0x0000002f,0x0017ffea,
    0x7c43f900,0xb0000006,0x50009fff,0x0001bfff,0x5effff44,0x0002ffff,
    0x01bfff50,0x4fffb800,0x13fffe00,0xa7fffc40,0x0001fffe,0x006fffcc,
    0x9fff7000,0xf9000000,0x000007ff,0x02fc43f7,0x7fcc0000,0x7dc001ff,
    0xe80004ff,0x3fa62fff,0x5c0001ff,0x00004fff,0x0037ffea,0x007ffff2,
    0x747ffff2,0x80001fff,0x0005ffe8,0x017ffd40,0xfff70000,0x22000005,
    0x02fd89ef,0xffd80000,0x7fd4005f,0xf880002f,0x7ff700df,0x7ffd4000,
    0xe8800002,0xff8805ff,0x7fc405ff,0x3fffa6ff,0xfb100001,0xd300000d,
    0x4000009f,0x00001efc,0x37fffe40,0x7c400000,0x5c002fff,0x200001ef,
    0x00288019,0x000f7dc0,0x0dfb1000,0x07ffff60,0x22ffffb8,0x0001fffe,
    0x000004c0,0x00000030,0x40000003,0x00001dc8,0x0dfff900,0x00000600,
    0x20000000,0x20000001,0xfff30009,0x7fff40bf,0x00ffff46,0x00000000,
    0x00000000,0x00000000,0x3e200000,0x00002fff,0x00000000,0x00000000,
    0xffb00000,0xfff501ff,0x1fffe85f,0x00000000,0x00000000,0x00000000,
    0x5c000000,0x00006fff,0x3ffb2000,0x222dffff,0xfffffffc,0x0000001d,
    0xf3000000,0xffd07fff,0x3fffd0df,0x7ffff5c0,0xffffffff,0x04ffffff,
    0x3fffff6a,0x0004ffff,0xfffffda8,0x0004ffff,0xfffffda8,0x0004ffff,
    0x0ffffe00,0xfffffeb8,0xffffffff,0x2a4fffff,0xffffffff,0x3ffff27f,
    0x2a5fffff,0x1dfffffd,0xffffec88,0x3ffb224e,0xffffffff,0x3a01dfff,
    0x7fc46fff,0xfffe83ff,0xfffff301,0xffffffff,0x9fffffff,0x7fffff40,
    0x007fffff,0xfffffe80,0x007fffff,0xfffffe80,0x007fffff,0xffff7000,
    0x7ffffcc0,0xffffffff,0x4fffffff,0x3fffffea,0x3ff27fff,0x5fffffff,
    0x3ffffffa,0xffffb85f,0xff72ffff,0xffffffff,0x0dffffff,0x2a3fffdc,
    0xfe80ffff,0xfff301ff,0xffffffff,0xffffffff,0x7fff409f,0xffffffff,
    0x7ff40002,0xffffffff,0x7f40002f,0xffffffff,0x800002ff,0x2603fffe,
    0xffffffff,0xffffffff,0x7644ffff,0x2dffffff,0x3ffffb22,0x3ffa1dff,
    0xb86fffff,0xffffffff,0xffffff72,0xffffffff,0x7fd40dff,0x3ffee0ff,
    0x03fffd07,0x7fffff5c,0xffffffff,0x204fffff,0xffffffda,0x0006ffff,
    0x7ffffed4,0x006fffff,0x7fffed40,0x06ffffff,0x7ffd4000,0x7ff5c00f,
    0xffffffff,0xffffffff,0x00ffff04,0x541fffe4,0x1efffffd,0xfffffd88,
    0x3ffb224e,0xffffffff,0x2601dfff,0x3f22ffff,0xfffd06ff,0x1fffe003,
    0x027ffdc0,0x3fffffa0,0x400001ff,0xfffffffe,0x7f400001,0x01ffffff,
    0x3fffa000,0x3fffc004,0x04fffb80,0x6400ffff,0x3e603fff,0x3ea05fff,
    0x74004fff,0xf0001fff,0x7ff47fff,0x3fffd05f,0x01fffe00,0x0027ffdc,
    0xffdffff3,0x4c00009f,0xfffeffff,0x3e600004,0x4fffefff,0xfff50000,
    0xfff8001f,0x9fff7007,0x801fffe0,0x6403fffc,0xe882ffff,0xe8006fff,
    0xd0001fff,0x7ffc9fff,0x3fffd03f,0x01fffe00,0x001fffd4,0xff5bfffb,
    0x6c0000ff,0xfffadfff,0x3f600007,0x7fffadff,0xfffb0000,0xffff000b,
    0x0fffea00,0x9003fffc,0xfd007fff,0xffc81fff,0xfe8001ff,0xfb0001ff,
    0x3ffe2bff,0x3fffd02f,0x21fffe00,0x3ffe25fb,0xffff1001,0x00bfffa5,
    0x3fffe200,0x005fffd2,0x5ffff100,0x000bfffa,0x03ffff30,0x70ffff00,
    0x0fffc4bf,0x2007fff8,0x9803fffc,0x3ea5ffff,0xd0004fff,0x20003fff,
    0xff36fffd,0x3ffa05ff,0xffff001f,0x2a2fff98,0x3fee003d,0x1bffee6f,
    0x3ffee000,0x01bffee6,0x9bffee00,0x0006fffb,0x002fffec,0x7cc7fff8,
    0x80f6a2ff,0x32007fff,0xf7003fff,0xffd15fff,0x7f4000df,0xfd0001ff,
    0x7fffcbff,0x03fffd03,0xf51fffe0,0xe80009ff,0x3fe23fff,0x740001ff,
    0x3fe23fff,0x740001ff,0x3fe23fff,0xf10001ff,0x20003fff,0x7fd47fff,
    0x7ffc004f,0x3fff2007,0x3fffa003,0x01ffffdf,0x07fffa00,0x1ffffc00,
    0x3a09fffd,0xff001fff,0xffffffff,0x7cc0009f,0x7fec0fff,0x3e60004f,
    0x7fec0fff,0x3e60004f,0x7fec0fff,0xff90004f,0x7fc000df,0xffffffff,
    0x7ffc004f,0x3fff2007,0x3ffe2003,0x003fffff,0x00ffff40,0x17fffc40,
    0x3a0bfffb,0xff001fff,0xffffffff,0x7ec0009f,0xfff985ff,0x3ff60007,
    0x7fff985f,0x3fff6000,0x07fff985,0x2ffff880,0x3fffe000,0x4fffffff,
    0x03fffc00,0x007fff90,0xffffffb8,0xffe80006,0xff98001f,0x3fff21ff,
    0x03fffd07,0x3fffffe0,0x004fffff,0x03ffff10,0x000bfffa,0x407fffe2,
    0x8002fffe,0xd01ffff8,0xc8005fff,0x40006fff,0xffffffff,0x7c004fff,
    0x3f2007ff,0xfd8003ff,0x0001ffff,0x001fffe8,0x547fffb8,0xfe80ffff,
    0xfff001ff,0xffffffff,0x3fee0009,0xccccccff,0x8006fffe,0xcccffffb,
    0x6fffeccc,0xffffb800,0xfecccccc,0x3e2006ff,0x40002fff,0xffffffff,
    0x7c004fff,0x3f2007ff,0xf88003ff,0x00003fff,0x0003fffd,0xf98dfffb,
    0xffe81fff,0xffff001f,0x004fffa8,0xffffffd0,0xffffffff,0xffe8003f,
    0xffffffff,0x001fffff,0x7ffffff4,0xffffffff,0xfff7001f,0xfff0000f,
    0x04fffa8f,0x003fffc0,0x0007fff9,0x0007fffa,0x00ffff40,0x13fffe20,
    0x3a17fffe,0xff001fff,0x2fff98ff,0xff301f64,0xffffffff,0x09ffffff,
    0x7ffffcc0,0xffffffff,0x26004fff,0xffffffff,0xffffffff,0x7ffff004,
    0xffff0000,0x642fff98,0x1fffd03e,0x07fff600,0x0ffff400,0xfffe8000,
    0x7ffe4001,0xffffc80f,0x00ffff41,0xea87fff8,0x807ffcc3,0xfffffffd,
    0xffffffff,0x3ff6007f,0xffffffff,0x07ffffff,0x3fffff60,0xffffffff,
    0xfa807fff,0x80000fff,0x3ea87fff,0x6407ffcc,0xff002fff,0x3a0001ff,
    0x00001fff,0x4003fffd,0x305ffff8,0xfe8bffff,0xfff001ff,0x7ffdc00f,
    0xbffff882,0xaaaaaaaa,0x803fffea,0xaabffff8,0xeaaaaaaa,0xf8803fff,
    0xaaaabfff,0xffeaaaaa,0x7fff403f,0xfff00004,0x7ffdc00f,0x0ffffb82,
    0x037ffec0,0x03fffd00,0x3fffa000,0x3ffee001,0x3fff601f,0x07fffa1f,
    0x003fffc0,0xf707fff9,0x7dc00dff,0xffb806ff,0x3fee006f,0xfffb806f,
    0x3ffee006,0x3fffea06,0xfff00000,0x7ffe400f,0xeffff883,0x7ffffb01,
    0x7fff4000,0xffd00001,0x7ffc003f,0x7ffcc06f,0x07fffa4f,0x003fffc0,
    0xfd07fff9,0x7c4007ff,0x7f401fff,0x3e2003ff,0x7f401fff,0x3e2003ff,
    0xffd01fff,0x7c00009f,0x3f2007ff,0xfff503ff,0xffd79bff,0x8000bfff,
    0x0001fffe,0x003fffd0,0x00bfffee,0x743ffff6,0x3ae01fff,0xffffffff,
    0xffffffff,0xffb33fff,0x03bfffff,0x3fffffb2,0x3ff663ef,0x01dfffff,
    0xffffffd9,0x7ffecc7d,0x901dffff,0xdffffffd,0x07fffcc7,0x3ffae000,
    0xffffffff,0xffffffff,0x3fff203f,0xffffffff,0x3ae000ff,0xffffffff,
    0x9100ceff,0xfffffffd,0x3bffffff,0x006fffe8,0x369ffff1,0xff300fff,
    0xffffffff,0xffffffff,0x3ff67fff,0x5fffffff,0xffffffa8,0xffb0ffff,
    0xbfffffff,0xffffff50,0x3f61ffff,0xffffffff,0xfffffa85,0xf70fffff,
    0x98000bff,0xffffffff,0xffffffff,0x403fffff,0xfffffffb,0x2000dfff,
    0xfffffff8,0x3fffffff,0xffffff70,0xffffffff,0x7ffc4dff,0x3ff2001f,
    0x40bff55f,0xfffffff8,0xffffffff,0xb3ffffff,0xffffffff,0xffff50bf,
    0x21ffffff,0xfffffffd,0xfffa85ff,0x0fffffff,0xfffffffb,0xfff50bff,
    0x1fffffff,0x0003ffe6,0xffffff10,0xffffffff,0x7fffffff,0xffffd100,
    0x10007fff,0xffffffff,0x07ffffff,0x3fffffee,0xffffffff,0x1ffe46ff,
    0x117fec00,0xfffb7003,0xffffffff,0xffffffff,0x3ffff227,0xd901dfff,
    0x5bffffff,0x7ffffe44,0xfd901dff,0x45bfffff,0xffffffc8,0xffd901df,
    0xa85bffff,0xb700001c,0xffffffff,0xffffffff,0x44007fff,0x0000acb9,
    0x7ffffed4,0x0cefffff,0xffffd910,0xffffffff,0x001303bf,0x000004c0,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000db8,0x400072e6,0x5d4000db,0x66666540,
    0x06ee20cc,0x333332e0,0xcc8800ac,0x0005b500,0x000076a0,0xa8066440,
    0x54c0002d,0x0001abcb,0x00000db8,0x00000026,0x0bfffa20,0x3fff2000,
    0x3fa2001f,0xff7002ff,0x7ffffe4d,0x3ffe1fff,0x7fff405f,0xe806ffff,
    0xfffa85ff,0x3f220001,0x800004ff,0xffa85ffe,0xfeb8001f,0xbeffffff,
    0xe9803fd8,0x40002fff,0xb80cffea,0x7dc00001,0x00dfffff,0xfffff900,
    0x3ffee007,0x6c00dfff,0xfffd1fff,0x263fffff,0x205fffff,0xfffffffe,
    0x3ffe201f,0x03fffc87,0xffffd500,0x200003df,0xfc87fff8,0x3a2003ff,
    0xffffffff,0x07ffffff,0x7fffffdc,0xffe8000d,0xfd33ffff,0x3a20000d,
    0xfffbdfff,0x7fcc002f,0x4400ffff,0xffbdfffe,0x3ffa02ff,0xfffff71f,
    0x7ff43fff,0xffd03fff,0x00dfffff,0xff309ffb,0xff90001f,0x9ffff7df,
    0x3ff60000,0x00fff984,0xffffff50,0xffffffff,0xfd103fff,0xffff7bff,
    0x7ffdc005,0xffffffdb,0xfd00005f,0x7ff4c5ff,0x3ff2001f,0xfe800bef,
    0x3ffa62ff,0x3fffd01f,0x7ff55544,0x7fff541f,0x57fffd06,0x00d40015,
    0xf9000151,0x7fe449ff,0x3500003f,0x88005440,0xdeffffff,0xfffffdcb,
    0xfffe82ff,0x07fffa62,0xf5067d40,0x0009ffff,0x4037fe20,0x36003ffb,
    0xf1002fff,0x3fee01bf,0x03fffd03,0x440ffff4,0xffd07fff,0x0000001f,
    0x03dfd000,0x00017fea,0x7f400000,0x3200efff,0x442fffff,0xff700dff,
    0xb7100007,0x98000017,0x40028801,0x2001fffe,0x20288019,0x3a01fffe,
    0xfff01fff,0x1fffd01f,0x00000000,0x02a00510,0x00000000,0x037fffea,
    0x0bfffe60,0x00a20066,0x00000000,0x3a000000,0x00001fff,0x1fffe800,
    0x407fffa0,0xfe80ffff,0x440000ff,0x0000acba,0x00000000,0xffe80000,
    0x7fec005f,0x0000001f,0x02b2ea20,0x2a200000,0x20000acb,0x0001fffe,
    0xfffe8000,0x07fffa01,0x7407fffc,0x50000fff,0xffffffff,0x00000019,
    0xfffd9000,0x6445bfff,0xdfffffff,0x03ffff31,0x007ffa80,0xff500000,
    0x19ffffff,0xffa80000,0x0cffffff,0x0ffff400,0xfffffeb8,0xffffffff,
    0x3a4fffff,0x3fa01fff,0xffff01ff,0x01fffd01,0xffffd880,0x1effffff,
    0x3fff6a00,0x04ffffff,0xfffffa80,0x3f27ffff,0xffffffff,0x00ffff55,
    0xec8876e0,0xffffffff,0x01dfffff,0x7ffffec4,0x01efffff,0xfffd8800,
    0xefffffff,0x3fffa001,0xfffff981,0xffffffff,0x4fffffff,0xe807fffa,
    0xfff01fff,0x1fffd01f,0x7fffcc00,0xffffffff,0xffd003ff,0xffffffff,
    0xfff5000f,0x4fffffff,0xfffffffc,0xbfff75ff,0x7fdc0000,0xffffffff,
    0x06ffffff,0x3fffffe6,0xffffffff,0x3fe60003,0xffffffff,0xd003ffff,
    0xff303fff,0xffffffff,0xffffffff,0x7fff49ff,0x07fffa01,0x7407fffc,
    0xd1000fff,0x79dfffff,0x7ffffffb,0xfffffd00,0x05ffffff,0xffffd900,
    0x76445bff,0x1dffffff,0x0007fff9,0x7ffffdc0,0xffffffff,0xfd106fff,
    0xb79dffff,0x07ffffff,0xffffd100,0xfffb79df,0xfd007fff,0x3fae03ff,
    0xffffffff,0xffffffff,0x03fff64f,0xf01fffe8,0xffd01fff,0x3ff2001f,
    0xff700dff,0xda801fff,0xffffffff,0x3e0006ff,0x3f2007ff,0x7ffec3ff,
    0x32200002,0xfffffffe,0x1dffffff,0x1bffff90,0x3ffffee0,0x7ffe4000,
    0xfff700df,0x7fcc01ff,0xfff800ff,0x9fff7007,0x3a02ffd4,0xffd01fff,
    0x1fffd07f,0x9ffff500,0xbffff300,0xffffd000,0x20003fff,0x32007fff,
    0x7fec3fff,0x0000002f,0x4003fffd,0x804ffffa,0x005ffff9,0x013fffea,
    0x217fffe6,0x07ffffea,0x200ffff0,0x0c44fffb,0x80ffff40,0x23fffffd,
    0x4400fffe,0x2005ffff,0x002ffffa,0x3fbfffe6,0xff0004ff,0x7fe400ff,
    0x17ffec3f,0xfe800000,0xff1001ff,0x7d400bff,0xf8802fff,0x2a005fff,
    0x7fc2ffff,0xf002ffff,0x3ea00fff,0xfd0003ff,0x3fe203ff,0xffd1ffff,
    0xfffa801f,0x7fec000f,0x3ff6006f,0x07fffadf,0x00ffff00,0x321fffe4,
    0x00003fff,0x03fffd00,0x03fffea0,0x0dfffb00,0x01ffff50,0x26fffd80,
    0x1ffffff8,0x70ffff00,0x0fffc4bf,0x1fffe800,0x3fffffa0,0x801fffd2,
    0x8003fffb,0x1007fff8,0x3fa5ffff,0xff8002ff,0x3ff2007f,0x2fffdc3f,
    0xfe800000,0xff7001ff,0xff10007f,0xfff700ff,0xfff10007,0xfffffb8f,
    0x8ffff006,0x36a2fff9,0x3ffa0003,0xffff901f,0x07fff4bf,0x007fff60,
    0x007fff40,0xf737ffdc,0xff000dff,0x7fe400ff,0x7fffd43f,0xe8000000,
    0xfb001fff,0x3a0003ff,0x7ec00fff,0xfd0001ff,0xffb881ff,0xffff007f,
    0x004fffa8,0xffe80397,0xbfffb01f,0x00fffe83,0x0007fff4,0x802fffd8,
    0x3e23fffe,0x7c001fff,0x3f2007ff,0xfffe83ff,0x00350005,0x4007fffa,
    0x0000fffe,0xe805fffb,0xb0000fff,0x3fa05fff,0xfff800ff,0xffffffff,
    0x06ffc804,0xe80ffff4,0xffe80fff,0x3ffe200f,0x3ff20007,0x7ffcc03f,
    0x27ffec0f,0x01fffe00,0xb83fffc8,0x2003ffff,0xe803ffd8,0xf8801fff,
    0x320007ff,0x3e203fff,0x320007ff,0xffd03fff,0xffff003f,0x9fffffff,
    0x03fffb00,0xf80ffff4,0xffe80fff,0x3ffe200f,0x3fee0007,0x7ffec03f,
    0x07fff985,0x003fffc0,0xd107fff9,0x803dffff,0x806ffff9,0x8801fffe,
    0x20007fff,0x2203fffb,0x20007fff,0xfd03fffb,0xfff003ff,0xffffffff,
    0x3fffd009,0x80ffff40,0xfe80ffff,0x7ff400ff,0xffb0000f,0x7ffc405f,
    0x5fffd01f,0x03fffc00,0x207fff90,0xeffffff9,0xfffecbcd,0xfe804fff,
    0xffd001ff,0x3f60001f,0x7ff402ff,0xffb0000f,0x3fffa05f,0xfffff801,
    0x04ffffff,0x201fffe8,0xff01fffe,0xfffd01ff,0x1fffd801,0x1fffd000,
    0x67fffdc0,0xffeccccc,0x3ffe006f,0x3fff2007,0x3fffea03,0xffffffff,
    0x800dffff,0xb001fffe,0x20003fff,0x6c00fffe,0xd0001fff,0x3fa01fff,
    0xfff801ff,0x027ffd47,0xd00ffff4,0x3fe03fff,0xfffe80ff,0x1fffdc00,
    0x3fffc400,0x3fffffa0,0xffffffff,0xfff001ff,0x7ffe400f,0x7fff4403,
    0xffffffff,0x3fa003ff,0xff7001ff,0xff10007f,0xfff700ff,0xfff10007,
    0x0ffff40f,0x263fffc0,0x1f642fff,0x7403fffd,0xfff01fff,0x1fffd01f,
    0x0ffffa80,0x37ffec00,0xffffff30,0xffffffff,0x3fa009ff,0xffb000ff,
    0x3f6a003f,0xefffffff,0x7ff4001c,0xfff5001f,0xffd8001f,0xfffa806f,
    0x7fec000f,0x3fffa06f,0x87fff801,0x7ffcc3ea,0x403fffd0,0xff01fffe,
    0xfffd01ff,0xffff8801,0x3ffea005,0x3fff602f,0xffffffff,0x007fffff,
    0x2005fff9,0x4000ffff,0x01aeff98,0x0ffff400,0x5ffff880,0x3fffea00,
    0xffff8802,0x3ffea005,0x3fffa02f,0x07fff801,0x74bffee0,0x3fa01fff,
    0xffff01ff,0x01fffd01,0x09ffff50,0x0bffff30,0x55ffffc4,0xaaaaaaaa,
    0xb803fffe,0x6c00ffff,0x20006fff,0xd00005fe,0x54003fff,0x9804ffff,
    0x2005ffff,0x804ffffa,0x405ffff9,0xf803fffd,0x3f2007ff,0x3fffd3ff,
    0x40ffff40,0xfd07fff9,0x3f2001ff,0xf700efff,0x5c01ffff,0x2e006fff,
    0xf8806fff,0xfb01efff,0x40007fff,0x0000dffe,0x000ffff4,0x03bffff2,
    0x07ffffdc,0x3ffff200,0xffff700e,0xfffb801f,0x3ffe02ef,0x3fff2007,
    0x223fffd3,0xffffeeca,0x3ffff661,0xddfffd05,0x7ff4037b,0xfdbcefff,
    0x403fffff,0x2003fffe,0x801ffff8,0xcdfffffa,0x5fffffeb,0x7fff4000,
    0x7ff40004,0xffe8001f,0xfdbcefff,0x003fffff,0xdfffffd0,0xfffffb79,
    0xfff1007f,0x7f5c3fff,0xffffffff,0xffffffff,0x3fffd3ff,0x3ffffff2,
    0x3fffe1ff,0xfffd02ff,0x4c0fffff,0xffffffff,0x03ffffff,0xffffffb3,
    0x3fb203bf,0x03efffff,0x7fffffe4,0x0fffffff,0xabcea800,0xec8807fe,
    0xffffffff,0x01dfffff,0x3fffffe6,0xffffffff,0x3fe60003,0xffffffff,
    0x2003ffff,0x33fffff9,0xffffffff,0xffffffff,0x367fffff,0xfffd0fff,
    0x263fffff,0x204fffff,0xfffffffe,0x3ff2201f,0xffffffff,0x3fff601e,
    0x85ffffff,0xfffffffa,0x7dc00fff,0xffffffff,0xf90000df,0x009fffff,
    0xfffffff7,0xffffffff,0xffc880df,0xffffffff,0xc880001e,0xffffffff,
    0x98001eff,0xff10effe,0xffffffff,0xffffffff,0x3fea7fff,0x3ffffea5,
    0x3ff61fff,0x7fff403f,0x5005ffff,0xdffffffd,0xffffb009,0x50bfffff,
    0xffffffff,0xfd1001ff,0x07ffffff,0xfffd8800,0xffb800ef,0xffffffff,
    0x06ffffff,0xfffffd50,0x000009df,0xffffffd5,0x3100009d,0xfffffb70,
    0xffffffff,0x47ffffff,0x55553018,0x00198155,0x15555555,0x57731000,
    0x7fe44001,0x01dfffff,0xffffffd9,0xb988005b,0x800000ac,0x322001ba,
    0xfffffffe,0x1dffffff,0x55dcc400,0x88000000,0x0000abb9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x6d41edc0,0x00310003,0x19910000,0x1000b6a0,
    0x0f6603b7,0x2ea20000,0x910001ac,0x00b6a019,0x00001300,0x00001880,
    0x500003b7,0xddddddb7,0x000009dd,0x83fff300,0x26002fff,0x2a81effd,
    0x5ffe8000,0x001fffa8,0x3e21fff2,0x500003ff,0xffffffff,0x5ffe8009,
    0x001fffa8,0x80cffea8,0xed98001b,0x0003efff,0x8000dff7,0xfffffffd,
    0x8005ffff,0xf70005ea,0x7ffd49ff,0xffff7005,0xff9119ff,0x7fc40003,
    0x3fffc87f,0x07fffa00,0x000bfff5,0xfffffd88,0x01efffff,0xc87fff88,
    0x74003fff,0x33ffffff,0xfa800dfd,0x4fffffff,0x0fffd800,0xfffd8800,
    0xffffffff,0x7fdc005f,0xffb8000f,0x13ffee3f,0x333ffe60,0xffffffff,
    0x7fec0000,0x00fff984,0x7c1bfee0,0x260002ff,0xffffffff,0x04ffffff,
    0xf984ffd8,0x3ee000ff,0xffffdbff,0x2e005fff,0xffefffff,0x7f4005ff,
    0xfc8001ff,0x9999adff,0x2005ffa9,0x0002fffd,0x7dc7fff9,0xde8803ff,
    0x3ffffa21,0x3500000e,0x40005440,0x00054029,0xfffffd10,0xffffb79d,
    0x035005ff,0x2a000544,0x3ffea0cf,0x3e6004ff,0x3f261dff,0x3fa002ff,
    0xfe8001ff,0x2ffcc02f,0x0ffff440,0x5fffb000,0x001fffe4,0x000e6d40,
    0x00000000,0x32000000,0x700dffff,0x001fffff,0x10000000,0xd80017b7,
    0x3ff206ff,0x3fffa004,0x37fc4001,0x4027fc40,0x0000effe,0xf917ffec,
    0x000005ff,0x00000000,0x00000000,0x01ffffd4,0x02ffffcc,0x00000000,
    0x3ffe6000,0x01bfe600,0x0effff44,0x01fff300,0xfa803fd0,0xfd00005f,
    0x7ffec3ff,0x00000002,0x00000000,0xf1000000,0x5400bfff,0x0002ffff,
    0x00000000,0x2013ff60,0x32200ffe,0xffffffff,0xff9101de,0x4400009f,
    0x3a00002b,0x3ff61fff,0xffda801f,0x4fffffff,0xfffd7000,0xffffffff,
    0x9fffffff,0x7fffed40,0x004fffff,0x01ffff50,0x25fffd80,0xfffffec8,
    0xffffffff,0x7fff5c1d,0xfd9103ff,0x83bfffff,0xfc802fff,0xffff502f,
    0xffffffff,0xfffff70d,0x000001bf,0xffa88000,0xffeaabff,0x7ff401bf,
    0xffffffff,0xfff98007,0xffffffff,0xffffffff,0x3fffa04f,0x7fffffff,
    0x7fff7000,0xdfff1000,0x7fffffdc,0xffffffff,0x3ffe26ff,0xb80fffff,
    0xffffffff,0x03ffe26f,0x17ff5d44,0x7fffffd4,0xffffffff,0x3ffffea0,
    0x0003ffff,0xfe980000,0xffffffff,0x1fffffff,0xffffffd0,0x005fffff,
    0xffffff98,0xffffffff,0x04ffffff,0x3ffffffa,0x002fffff,0x001fffd8,
    0x2e1fffd0,0xffffffff,0xffffffff,0x3ffffe26,0xffb85fff,0x6fffffff,
    0x7e41ffe6,0x442fffff,0xacefffff,0x0fffffdb,0x2e6f7ff6,0x001effff,
    0x7ffff644,0xfc801fff,0xffffffff,0xffffffff,0xffffb505,0x0dffffff,
    0xffffd700,0xffffffff,0x09ffffff,0x7ffffed4,0x006fffff,0x000fffe8,
    0x223fffb0,0xffffffec,0xdfffffff,0x7ffff5c1,0x76442fff,0x1dffffff,
    0xfd117fea,0x85ffffff,0x303ffffd,0x7f41ffff,0x7fff440f,0xff9001df,
    0x3fffffff,0xfffff500,0xffffffff,0x4007ffff,0xfffffffe,0x3ffe0001,
    0x9fff7007,0xffffe800,0x22001fff,0x20007fff,0xe803fffc,0xf8001fff,
    0x00efffff,0x2e13ffee,0x7ffec4ff,0x222ffdcf,0x6c03ffff,0x2ffdc6ff,
    0x4fffffb8,0xfffffc80,0x5001ffff,0xddffffd9,0x5bdffffd,0x7fffcc00,
    0x0004fffe,0x5c01fffe,0x26004fff,0xfffeffff,0x3ffe2004,0x3ff20007,
    0xfffe803f,0xffff8001,0x3ee04fff,0x4ffb84ff,0x642fffea,0x3ffea2ff,
    0x43ffa806,0x880efff8,0x01effffc,0x3fffff62,0x54001fff,0x3fe65fff,
    0xffb0006f,0x0ffff5bf,0x03fffc00,0x003fffa8,0x3eb7fff6,0x7fc007ff,
    0xfb0000ff,0xffd005ff,0xfff0003f,0x203fffff,0xfb84fffb,0x917ff24f,
    0x7ffdc5ff,0x7dc02004,0xfd303fff,0xe8005fff,0x54001fff,0x3fe65fff,
    0xff88005f,0x5fffd2ff,0x1fffe000,0xfff897ee,0xffff1001,0x00bfffa5,
    0x001fffe8,0x001fffd0,0x0003fffd,0xffffffff,0x13ffee0d,0xffe93fee,
    0xf917fe41,0x200007ff,0x01effff9,0x003ffff7,0x000ffff4,0xfa93ffee,
    0xfb8005ff,0x3ffee6ff,0xffff0006,0x2a2fff98,0x3fee003d,0x1bffee6f,
    0x03fffd80,0x07fff880,0x003fffd0,0xff7ffff0,0xfff707ff,0x749ff709,
    0x17fe41ff,0x000bfff5,0x7ffff440,0x5ffe880d,0x07fffa00,0x49fff700,
    0x8004fffa,0x3e23fffe,0xf8001fff,0x7ffd47ff,0x7ff40004,0x3fffe23f,
    0xffff5001,0xfffd8001,0x3fffd006,0x1ffff000,0xb81ffffb,0xffb84fff,
    0xf917ff24,0x7fffcc5f,0x7e400000,0xf883ffff,0xffd000ff,0xdd95003f,
    0xfddddfff,0x0017bfff,0xd81ffff3,0xf8004fff,0xffffffff,0x260004ff,
    0x7ec0ffff,0x3fa004ff,0x3ea005ff,0xfd002fff,0xff0003ff,0xffff11ff,
    0x84fffb8b,0x3fe64ffa,0x2ffdacff,0x0077fff4,0x22007fb5,0x40dffffd,
    0xfd002ffc,0xff9803ff,0xffffffff,0x5fffffff,0x85fffd80,0x8007fff9,
    0xffffffff,0x20004fff,0xf985fffd,0x3ee007ff,0xf9804fff,0x3a005fff,
    0xf8001fff,0xfff70fff,0x27ffdc5f,0x3ee2ffcc,0x5fffffff,0x5fffffd4,
    0xfffea989,0x3fa6000f,0xffedcfff,0xfffd000f,0xffffb803,0xffffffff,
    0x406fffff,0xd01ffff8,0xf8005fff,0xffffffff,0xf10004ff,0x3fa03fff,
    0xfd1002ff,0x2e01dfff,0x000fffff,0x0007fffa,0xfe83fffe,0xfff70fff,
    0x70dff109,0xffffffff,0xfffffe81,0xffffffff,0xffb8000f,0x04ffffff,
    0x007fffa0,0xffffffd1,0xffffffff,0xffb805ff,0xccccccff,0x4006fffe,
    0xffffffff,0x70004fff,0x9999ffff,0x0dfffd99,0x7ffffc40,0xfffdbcef,
    0x74003fff,0xf8001fff,0x3fe60fff,0x9fff75ff,0x5c41ffa0,0x882ceddd,
    0xfffffffd,0x003fffff,0x3ffffe60,0x7ff4003f,0xfd31001f,0xffd335ff,
    0x3fa0035f,0xffffffff,0x01ffffff,0xf51fffe0,0x3a0009ff,0xffffffff,
    0x1fffffff,0x3fffe600,0xffffffff,0xfe8002ff,0xff8001ff,0x7ffdc0ff,
    0x04fffbaf,0x00001ffb,0x7fffffe4,0x2602efff,0x5fff8802,0x3fffd000,
    0x0ffff800,0x4007fffa,0xfffffff9,0xffffffff,0x3ffe004f,0x217ffcc7,
    0x3fe603ec,0xffffffff,0x04ffffff,0x7fffec40,0x1fffffff,0x3fffd000,
    0x1ffff000,0xf9dfffd0,0x3fee09ff,0x5c400004,0x02ceffff,0xfb802ff8,
    0xffd0004f,0xfff8003f,0x007fff47,0xffffffd8,0xffffffff,0x3fe007ff,
    0x4c3ea87f,0xffb00fff,0xffffffff,0x0fffffff,0x3fffea00,0x000befff,
    0x007fffa0,0x203fffe0,0xfffffff9,0x1fff504f,0xffd00000,0x3fe6003f,
    0x04ffc804,0x3fffffb2,0xffffffff,0x7fc40dff,0x07fffc7f,0x5ffffc40,
    0xaaaaaaaa,0x003fffea,0x5c00ffff,0xff882fff,0xaaaaabff,0xfffeaaaa,
    0xfffd8003,0x00600cff,0x001fffe8,0x900ffff8,0x9fffffff,0x4027ff40,
    0x3ffa000a,0xbff3001f,0x02fff980,0xfffffff3,0xffffffff,0xff889fff,
    0x03fffc7f,0x006fffb8,0x401bffee,0x32007fff,0xffb83fff,0x3fee006f,
    0x7fec006f,0xbdffffff,0x00fffc89,0x001fffe8,0x100ffff8,0x9fffffff,
    0x827ffd40,0x3a006fea,0xf3001fff,0x999999df,0x201dfffd,0xfffffff9,
    0xffffffff,0x7fcc4fff,0x1fffe26f,0x01ffff40,0x03ffff10,0x400ffff0,
    0xfe83fffc,0x3e2003ff,0xf9001fff,0xffffffff,0xffffffff,0x3fffd007,
    0x1ffff000,0x7ffffd40,0x7ffec04f,0xfffedcdf,0x1fff2005,0xfffff980,
    0xffffffff,0x7fff5c01,0xffffffff,0x4c0cefff,0x3fe25fff,0x3ff6606f,
    0x01dfffff,0xffffffd9,0xfffeb87d,0xffffffff,0xffffffff,0xfffffb33,
    0x3b203bff,0x3effffff,0x3ffffe20,0xffffffff,0x910fffff,0xfffffffd,
    0x3bffffff,0xfffffd90,0xfffb07df,0xffb009ff,0xffffffff,0x27fcc001,
    0xfffff300,0x3dffffff,0x40000000,0x3e65fffa,0x3ff605ff,0x5fffffff,
    0xffffffa8,0xff30ffff,0xffffffff,0xffffffff,0x3ff67fff,0x5fffffff,
    0xffffffa8,0xf100ffff,0xffffffff,0xffffffff,0x7ffffdc5,0xffffffff,
    0x7fcc6fff,0xffffffff,0x7ffffc40,0xfffd7004,0x00017fff,0x55510002,
    0x15555555,0x00000000,0xff87fff1,0x3fff603f,0x85ffffff,0xfffffffa,
    0xfff10fff,0xffffffff,0xffffffff,0x3fff67ff,0x85ffffff,0xfffffffa,
    0x3aa00fff,0x6dcc0ace,0xffb83dfe,0xffffffff,0x46ffffff,0xfffffff9,
    0xffb80fff,0x4c4004ff,0x0000009a,0x00000000,0x7b300000,0xc8807b30,
    0xdfffffff,0xffffd901,0xfdb85bff,0xffffffff,0xffffffff,0xfff913ff,
    0x203bffff,0xffffffec,0x0000002d,0x7ffff644,0xffffffff,0xffeb81df,
    0x202dffff,0x0004fffe,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99997300,0x00179999,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x88000000,0x017db500,0x3bea0000,0x3ffb2601,
    0xffffffff,0x4fb806ff,0x32000000,0x7ec0003f,0x80000002,0x000004fa,
    0xa80009f5,0x000000df,0x000019f5,0x2004fa80,0x2a0dffd8,0x2005ffff,
    0x409acba8,0xf705fff9,0xffffffff,0x0bffffff,0x001bff90,0x7fec4000,
    0x7ff40004,0x20000004,0x00006ffc,0x0006ffc8,0x000f7fdc,0x077fdc00,
    0xffc80000,0x3fff2006,0x3ffff65f,0x7ffd400f,0x88cfffff,0x6c45ffff,
    0xffdfffff,0x1adffcaf,0x3dffd100,0xfd300000,0x980001df,0x0000dfff,
    0x3fff6200,0x36200001,0x80001fff,0x0002fffd,0x01fffe80,0x3ff62000,
    0x3ffe001f,0xfff70fff,0x7fec40df,0xffffffff,0x41ffffef,0xf1dffffc,
    0x013feaff,0x0bfff620,0xfffa8000,0xd100000d,0x00003dff,0x01dffd30,
    0x7ff4c000,0x3200000e,0x00003fff,0x003fffc8,0x0effe980,0x3fffe200,
    0xfffd11ff,0x3fffe605,0xffffffff,0xf84fffff,0xbffc4fff,0x20004ffa,
    0x0002fffc,0x004fffa8,0xfffd8800,0x3e200000,0x00000dff,0x0037ffe2,
    0x3ffea000,0xfb800003,0x220003ff,0x4000dfff,0x0ffffff8,0x3ffa00c4,
    0xfebcefff,0x86ffffff,0x7c0ffff9,0x009ff57f,0x005ffa80,0x002ffd80,
    0x1ffe4000,0x9ff70000,0xff700000,0x98000009,0x000006ff,0x4000dff3,
    0x20004ffb,0x00ffffff,0x6ffffe40,0xffffc880,0x6fffb82f,0x9ff57ff8,
    0x01710000,0x00193000,0x02e60000,0x01c88000,0x03910000,0x2e200000,
    0x22000001,0x3220001b,0x7ff40001,0x7d4007ff,0x3a204fff,0xb86fffff,
    0x7ff86fff,0x00009ff5,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffd00000,0x7c400fff,0x7ec05fff,0x42ffffff,0x7c0ffffa,
    0x009ff57f,0x006aea20,0x1aba8800,0x00000000,0x00000000,0x00357510,
    0x57755100,0x44000013,0x80001aba,0x09abbaa8,0x3ffff600,0x3ffea006,
    0x3ffee00f,0x446fffff,0x7fc4ffff,0x4009ff57,0xffffffc8,0xc88003ef,
    0xefffffff,0xfffdb803,0xfffb707f,0x3f6e0dff,0xfb707fff,0x400dffff,
    0xfffffeca,0xb71000cf,0xffffffff,0x2a00017f,0xffffffec,0xfb71000c,
    0xffffffff,0xfff90017,0x7fdc00bf,0x3ffe603f,0x0ffffaef,0x867fffe4,
    0x09ff57ff,0x3ffffee0,0x2effffff,0xfffff700,0x5dffffff,0x3ffffe20,
    0xffff987f,0xff886fff,0xf987ffff,0x06ffffff,0xfffffe98,0x03ffffff,
    0xffffffe8,0x0fffffff,0x3fffa600,0xffffffff,0xffffe803,0xffffffff,
    0x7ffdc00f,0x3ff6004f,0xffff101f,0x07fffe1f,0x37fffff2,0x09ff57ff,
    0xffffffb0,0xffffffff,0xffffd807,0xffffffff,0xfff983ff,0xff987fff,
    0x986fffff,0x87ffffff,0xfffffff9,0x7fffd406,0xffffffff,0x3fe205ff,
    0xffffffff,0x800effff,0xfffffffa,0x5fffffff,0x3ffffe20,0xffffffff,
    0x3fee00ef,0x3fa004ff,0xfffd00ff,0x17fff45f,0xffffffc8,0x809ff57f,
    0xeffffffc,0xffffffdc,0xffff901f,0xfffb9dff,0xd703ffff,0x320fffff,
    0x06fffffe,0x0fffffd7,0x3fffffb2,0x3fffe206,0xffdcceff,0x3a04ffff,
    0xccdfffff,0x03ffffec,0x7fffffc4,0xffffdcce,0x3ffa04ff,0xecccdfff,
    0x2a03ffff,0x5c43ffff,0x1fffe21c,0x227fffe4,0x2a03fffc,0x57fffffd,
    0x7fd409ff,0xc880afff,0xfa86ffff,0x880affff,0x406ffffc,0xf9807fff,
    0xfff806ff,0x6fff9807,0x37ffffa0,0xfffff500,0x200d5405,0x7404fffd,
    0x500dffff,0x405fffff,0x7fec01aa,0x3ffe604f,0x3fffe22f,0x50ffff14,
    0xf70bffff,0x2e6007ff,0x09ff57ff,0x00fffffc,0x21ffffdc,0x801fffff,
    0x203ffffb,0xf9807fff,0xfff806ff,0x6fff9807,0x07ffff30,0x0bfffd30,
    0xdfff3000,0x1ffffcc0,0x2ffff4c0,0x7ffcc000,0x3fffe206,0x3fffff21,
    0x4c1ffff0,0xd80effff,0x7c002fff,0x209ff57f,0x002ffff8,0xf89bfff2,
    0x32002fff,0x3fe06fff,0xfff9807f,0x07fff806,0x706fff98,0x4c00bfff,
    0xa9807fff,0xfbcceedc,0x3fee06ff,0x3fe6005f,0xdca9807f,0xfffbccee,
    0x3fffe206,0x3fffff21,0x223fffd0,0xd01ffffe,0xf8001fff,0x209ff57f,
    0xfffffffa,0xffffffff,0x3ea7ffff,0xffffffff,0xffffffff,0x3ffe07ff,
    0x6fff9807,0x807fff80,0xfb06fff9,0xfd8001ff,0xffb301ff,0xffffffff,
    0x7fec0dff,0x7fec000f,0xfffb301f,0xffffffff,0xffff80df,0x93fffe60,
    0xffb4fffc,0x3fe207ff,0x7ff8007f,0x3f209ff5,0xffffffff,0xffffffff,
    0xfff91fff,0xffffffff,0xffffffff,0x1fffe03f,0x01bffe60,0x2601fffe,
    0xfff06fff,0xfff7000f,0xfffff907,0xffffffff,0x3fffc0df,0x1fffdc00,
    0x7fffffe4,0xffffffff,0x42ffe406,0x7fd41cb8,0x4ffffcff,0x017fff60,
    0x7fd5ffe0,0xfffff904,0xffffffff,0x5fffffff,0x3ffffff2,0xffffffff,
    0x02ffffff,0xf300ffff,0xfff00dff,0xdfff300f,0x00dfff30,0xc89fff50,
    0xffffffff,0x6fffffff,0x00dfff30,0xc89fff50,0xffffffff,0x6fffffff,
    0x8000aa80,0xfffffffe,0x3fffea06,0x57ff8003,0x3fea09ff,0xffffffff,
    0xffffffff,0xffff52ff,0xffffffff,0xffffffff,0x01fffe05,0x201bffe6,
    0xf9807fff,0xffff06ff,0x5fff9000,0x7fffffd4,0xfdcba9bd,0x3ffe06ff,
    0xfffc8007,0x3ffffea2,0xdcba9bdf,0x80006fff,0xffff5018,0x3e601fff,
    0xf0005fff,0x413feaff,0x000ffff9,0x1ffff300,0x3fe00000,0xfff9807f,
    0x07fff806,0x906fff98,0x44007fff,0x3fa0ffff,0x2200afff,0x3f206fff,
    0x3e2003ff,0x3ffa0fff,0x3e200aff,0x220006ff,0xfe82effd,0xf703ffff,
    0x0001ffff,0x27fd5ffe,0x01dffff0,0x3fffe000,0xf800000e,0x32201fff,
    0xff806fff,0x3f2201ff,0xfff506ff,0x3ff6003f,0x3fffe26f,0x6fffb802,
    0x07fffea0,0x137ffec0,0x7005ffff,0x4000dfff,0xd86ffffb,0xcfffffff,
    0xffffffdc,0x5ffe0002,0x3ee04ffa,0x9800efff,0x7fdc2dca,0xa9800eff,
    0x3ffa02dc,0xfffb883f,0xffe806ff,0xfffb883f,0xfff106ff,0x7f4c07ff,
    0x3fe23fff,0x3faa01ff,0x3e206fff,0x2603ffff,0x223ffffe,0x2a01ffff,
    0x806ffffe,0x7ffec0aa,0x3ffee0ff,0xffffffff,0x004fffff,0xffabffc0,
    0x7fffec04,0xdcbabcdf,0x40ffffff,0xcdfffffd,0xfffdcbab,0xff900fff,
    0xffb97bff,0x7dffffff,0x6ffffe40,0xfffffdcb,0xfb83efff,0xbbdfffff,
    0xefffffec,0x77ffff40,0xffffecbc,0x83efffff,0xdffffffb,0xffffecbb,
    0x7fff40ef,0xffecbcef,0xefffffff,0x20fffe83,0x265ffffa,0xffffffff,
    0xefffffff,0x7ff80001,0xf8809ff5,0xffffffff,0xffffffff,0x7fffc41f,
    0xffffffff,0x01ffffff,0xfffffff3,0xffffffff,0x3e601fff,0xffffffff,
    0xffffffff,0xffffc80f,0xffffffff,0xffa80fff,0xffffffff,0xffffffff,
    0xfffc80ff,0xffffffff,0xfa80ffff,0xffffffff,0xffffffff,0x3fe60fff,
    0x676dc3ff,0x27ffffa0,0xffffffea,0x5510004f,0xf51fff55,0x220155bf,
    0xfffffffc,0xffffffff,0xffff9105,0xffffffff,0xfa80bfff,0xffffffff,
    0xffffffff,0x3fffea00,0xffffffff,0x700fffff,0xffffffff,0x401bffff,
    0xfffffffc,0xffffffff,0xf700ffff,0xffffffff,0x6401bfff,0xffffffff,
    0xffffffff,0x7ff40fff,0xfff5000f,0xabba885f,0x7ff40000,0xffdfffff,
    0x4c06ffff,0xfffffffe,0x801cefff,0xffffffe9,0x01ceffff,0xffffff50,
    0xffff57df,0xfff5005b,0xf57dffff,0x8805bfff,0xffffffdb,0xfd5002ce,
    0x7dffffff,0x5bfffff5,0xfffdb880,0x002cefff,0xffffffd5,0xffff57df,
    0x175105bf,0x27ffcc00,0xfe800000,0xedffffff,0x006fffff,0x35799531,
    0x54c40003,0x0019abcc,0x0d5e5cc0,0x32e60000,0x800001ab,0x0000acb9,
    0x06af32a6,0x65cc0000,0x2a60000a,0x0001abcc,0x09d70000,0x54400000,
    0x98bccccc,0x000acccb,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00ba8000,0x0164c000,
    0x2a620000,0x1000009b,0x00013575,0x00000000,0x20000000,0x44001998,
    0x0001abba,0x40000000,0x2ea00029,0x27777540,0x017fea00,0x7fff4400,
    0x7ed4002f,0xfd98ffff,0x03ffffff,0xffffd880,0xffb8cfff,0x6cc1dfff,
    0x01dfffff,0x9dffffd7,0x7ffffdb8,0xfffffb70,0xff91000b,0xa809ffff,
    0xefffffff,0xdfffffaa,0x007ba201,0xdffb8000,0x7fff4000,0x13fffe60,
    0x01fffb00,0x739f9000,0x7fc400df,0xffefffff,0xffffffff,0xfff7001e,
    0xffffffff,0xbffffffd,0xffffffe8,0xffffa85f,0xff32ffff,0xf30fffff,
    0x0bffffff,0x7fffec40,0x883fffff,0xfffffffd,0xffffffff,0x3fe206ff,
    0x4400002f,0x02fffffe,0x47ffff30,0x003ffff8,0x000ffff4,0x07ee37c0,
    0x7ffffc40,0xffffffff,0x3fffffff,0x7ffffec0,0xffffffff,0x46ffffff,
    0xffffffff,0xfffffa85,0xfff33fff,0xff30ffff,0x00bfffff,0x3fffffe6,
    0x446fffff,0xffffffff,0xffffffff,0x7dc06fff,0x700004ff,0xfffdffff,
    0xfffd001b,0x02ffff81,0x00ffff40,0xf717e200,0x7ff5c005,0xefffffff,
    0xfffffecc,0xffff701f,0xfffb9bff,0xbfffffff,0xffffea83,0xfff901df,
    0x75c19fff,0xd907ffff,0x00bfffff,0xfffffff7,0xd87fffbf,0xccdfffff,
    0xfffffffd,0xfa802dff,0x20000dff,0xf70dfffc,0xa8801fff,0x1fffe80b,
    0x0ffff400,0x997e4000,0x3fe0006e,0x880effff,0x986ffffc,0x882fffff,
    0x4ffffffa,0x04fffe80,0x01ffff98,0x4c03fffc,0x7d405fff,0x41beffff,
    0x7fffdc19,0xfffd880d,0xe98005ff,0xf10006ff,0xffd305ff,0xffd80007,
    0x7ff4000f,0xf980001f,0x0003ffff,0x017ffffe,0xd0ffffee,0x9803dfff,
    0x804fffff,0x400ffffa,0xf805fffd,0xff9807ff,0x3ffe605f,0x7fc005ff,
    0xffd805ff,0xb10005ff,0x320003ff,0x006dc00c,0x01fff200,0x007fffa0,
    0x0e75c400,0x3fffe000,0xfff9000f,0x17fffc4b,0x4ffff980,0x09fffd00,
    0x00ffffcc,0x4c03fffc,0x3fa05fff,0x4c004fff,0x8800ffff,0x0005ffff,
    0x000001d4,0xff700000,0xfffd000d,0x00000003,0x13fffe00,0x27fff980,
    0x4007fff9,0x5004fffe,0x3601ffff,0xff005fff,0xfff300ff,0x3fffe60b,
    0xfffa8004,0x3fff2004,0x00000005,0x00d5d440,0x2a033220,0x266205ff,
    0xafffe999,0x40019999,0x09abbaa8,0x3ffff000,0x0fffe800,0x8009fff7,
    0x2004fffc,0xf984fffe,0xff001fff,0xfff300ff,0x17fff60b,0x1fffe400,
    0x0bfff700,0x50000000,0xffffffd9,0xbff90019,0xd909ff30,0xffffffff,
    0xffffffff,0xfb7101bf,0xffffffff,0xfff80017,0x7ffc002f,0x09fff50f,
    0x04fffc80,0x03fffea0,0x400bfffd,0xf9807fff,0xfff885ff,0x6400442f,
    0x2e003fff,0x64405fff,0xfffffffe,0xffe98001,0xffffffff,0x7fffc03f,
    0x261ffc40,0xffffffff,0xffffffff,0xfe84ffff,0xffffffff,0x2000ffff,
    0x2004ffff,0x3e26fffa,0xf1000fff,0xe8009fff,0x3fea5fff,0x3fe001ff,
    0xfff9807f,0x37fffa85,0x03bffffb,0x8013ffea,0x6405fffc,0xffffffff,
    0x7fd4001f,0xffffffff,0xf105ffff,0x1fb03fff,0xffffff88,0xffffffff,
    0x43ffffff,0xfffffff8,0xefffffff,0xfffff000,0xffff1007,0x05ffff89,
    0x09ffffb0,0x1ffffa80,0x800bfffd,0xf9807fff,0xfffb85ff,0xffffffcc,
    0xfff983ff,0xfff8800f,0x7ffe405f,0x01ffffff,0x3ffffe20,0xfffdccef,
    0xff984fff,0x6d4002ff,0xffffffff,0xffffffff,0xfffe80be,0xfecccdff,
    0xff003fff,0x2019ffff,0x41fffffb,0x01effffc,0x9fffffd3,0xbfffd000,
    0x003ffff5,0x200ffff8,0xc85fffc8,0xffffffff,0x85ffffff,0xd805ffff,
    0x4405ffff,0xfffffffd,0x3ffa001f,0xff500dff,0xff985fff,0x400002ff,
    0x0001fffe,0xffd80355,0xffff004f,0xb99bffff,0x07fffffd,0x3bfffff6,
    0xffffeccc,0xa8004fff,0xfffeffff,0xffff8005,0xffffb883,0xffffd85f,
    0xffffffff,0x7fdc2fff,0xfd880dff,0x0005ffff,0x2003fffd,0x803ffff9,
    0x545fffe9,0x5103ffff,0x3fffd000,0xf9800000,0xfff006ff,0xffffffff,
    0x09ffffff,0xffffffe8,0xffffffff,0xfd0004ff,0x03ffffff,0xbfffff00,
    0xfffffb97,0x7e47dfff,0x23efffff,0xe86ffffa,0xccdfffff,0xfffffffd,
    0xfffd0005,0x3ffee003,0x3ffe6005,0x27fffdc7,0x74003fe8,0x40001fff,
    0xcceedca9,0xf006fffb,0xffffffff,0x7fffffff,0xffffb100,0xffffffff,
    0x20009fff,0x5ffffffa,0xfffff000,0xffffffff,0x21ffffff,0x06fffffb,
    0x887ffff1,0xffffffff,0xffffffff,0xfffd0005,0x3fff6003,0x7ffec000,
    0x17ffff21,0x3a0027fc,0x30001fff,0xfffffffb,0x00dfffff,0x3aa3fffe,
    0xcfffffff,0x7fecc000,0xb9dfffff,0x20004fff,0x01fffffe,0xffffff00,
    0xffffffff,0x261fffff,0x201fffff,0xd884fffb,0xffffffff,0x05ffffff,
    0x03fffd00,0x001fffe0,0xfd8fffee,0xdff06fff,0x7fff4001,0xfffc8001,
    0xffffffff,0xff006fff,0x65d441ff,0x4400009a,0x2e09aca9,0x20004fff,
    0x005ffff9,0x3fffffe0,0xfacfffff,0x3e22dfff,0x7cc04fff,0x3fee05ff,
    0xaaefffff,0xd0005fff,0xf3003fff,0xf5000dff,0x7fff49ff,0x3ffff07f,
    0x07fffa00,0xfffff900,0xffffffff,0x3fe00dff,0x000000ff,0x9fff7000,
    0x7ffd4000,0x3fe0001f,0x1bcccaff,0x0ffff800,0x03fffc40,0x50d65d44,
    0x2000bfff,0xf001fffe,0xf9000fff,0x7fffc5ff,0xfffe8c7f,0x3fffd004,
    0x7fffd400,0xcba9bdff,0xf006fffd,0x00001fff,0x3fee0000,0x3fa0004f,
    0x7c0005ff,0x200007ff,0x5402fffe,0x80006fff,0x0004fffc,0x2003fffd,
    0x2003fffc,0x3e0ffff8,0xf90fffff,0x00bfd59d,0xd001fff2,0x4015ffff,
    0xf006fff8,0x00001fff,0x3fee0000,0xff50004f,0xf80003ff,0x200007ff,
    0x6c05fffc,0x80004fff,0x0002ffff,0x2003fffd,0x001ffffa,0x7c4dfffb,
    0xf91fffff,0x005fffff,0x88017fea,0xb802ffff,0xff006fff,0x000001ff,
    0x3ffee000,0xfffd0004,0xfff0000b,0x7cc0000f,0xfa80cfff,0x20003fff,
    0x00ffffc9,0x03fffd00,0x3ffffe20,0x3fffa603,0x3fffe23f,0x3ff6e1ff,
    0x0144003e,0x07fffe20,0x6ffffea8,0x3fff2a20,0x0002cccf,0x332a2000,
    0x01befffd,0xffb99973,0x00015bff,0x0003fffc,0x3fffff60,0xffffdcbe,
    0x332a200f,0xffffeccc,0x3fa0005f,0x3ee001ff,0xbbdfffff,0xefffffec,
    0x37ffff40,0x00000010,0xceffffe8,0xfffffecb,0x743effff,0xffffffff,
    0x000006ff,0xffffff88,0x6c4fffff,0xffffffff,0x0004ffff,0x0001fffe,
    0xffffff10,0x5fffffff,0x7ffffc40,0xefffffff,0x7fff6400,0xffffffff,
    0xc80dffff,0xffffffff,0x0fffffff,0x04ffffb8,0x7ffffe40,0xffffffff,
    0x20efffff,0xfffffffa,0xffffffff,0xf30fffff,0xffffffff,0x00001fff,
    0xfffffb80,0x46ffffff,0xffffffff,0x007fffff,0x001bffa0,0x3fffe600,
    0x3fffffff,0x7ffffd40,0x0effffff,0x7ffffcc0,0xffffffff,0x704fffff,
    0xffffffff,0x201bffff,0x000dffc8,0x3fffffe6,0xffffffff,0x44ffffff,
    0xfffffffc,0xffffffff,0x3fa0ffff,0xffffffff,0x8000006f,0xfffffff8,
    0x7ec4ffff,0xffffffff,0x20005fff,0x00004ffb,0xfffff910,0xf1003dff,
    0xffffffff,0xff30017b,0xffffffff,0xffffffff,0x7fedc409,0x02ceffff,
    0xf3000110,0xffffffff,0xffffffff,0xfd509fff,0x7dffffff,0x5bfffff5,
    0x55555530,0x00000355,0x55555440,0x5300aaaa,0x55555555,0x33000035,
    0x51000000,0x00015795,0x05555553,0x3fffae00,0xffffffff,0x000cefff,
    0x0002b2e6,0xfff70000,0xffffffff,0xbfffffff,0x5e654c01,0x0000001a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00003100,0x00000710,0x4000014c,0x40000099,
    0x30000038,0x31000013,0x99910001,0x99999999,0x00c00379,0x33332000,
    0xcccccccc,0x002ccccc,0xdda80004,0x76d4000a,0x000bdfff,0x0077fd40,
    0x37fee000,0x3f660000,0x02dfffff,0x077fdc00,0x7ff5c000,0x2001dfff,
    0xdffffec9,0xffff3000,0xffffffff,0x36e607ff,0x7c00007f,0xffffffff,
    0xffffffff,0x7f654404,0x7ffd4001,0x3fee004f,0x0effffff,0xfffd8800,
    0x880003ff,0x02fffffe,0x7ffff4c0,0x0dffffff,0x7ffec400,0xd30003ff,
    0xffffffff,0xfff5009f,0x09ffffff,0xffffff30,0xffffffff,0xfffff98b,
    0x7fc00007,0xffffffff,0x4fffffff,0xffffec98,0x7ff4001f,0xff7007ff,
    0xffffffff,0x7fd4001f,0x1efffdff,0xffff7000,0x001bfffd,0xfffffff3,
    0x0dffffff,0x77fffd40,0x2000efff,0xfffffff9,0x205fffff,0xfffffffa,
    0x4c04ffff,0xffffffff,0x42ffffff,0x07ffeff9,0x7fffc000,0xffffffff,
    0x914fffff,0xffffffff,0xffc8003f,0xffa806ff,0xfffeefff,0xff7005ff,
    0x3ffea1df,0x7fe4001f,0xffff70df,0xffffe801,0xfffeeeff,0xffb804ff,
    0xffff50df,0xffff1001,0xffffdfff,0xfff307ff,0xffffdfff,0x7fcc05ff,
    0xaaaaaaef,0x7c2202aa,0x7400007f,0xaaaaafff,0xfffeaaaa,0xffffff74,
    0x8003ffff,0x802ffff9,0x641efffe,0xf802ffff,0xffd883ff,0x3ffe2005,
    0x03ffe982,0x40f7fffc,0x00ffffd9,0x6c41fffc,0xffc804ff,0x3ee62cff,
    0x7ec0ffff,0x3f222fff,0x3e607fff,0x200005ff,0x400007ff,0xff005ffc,
    0x3ffee3ff,0x1fffffff,0x20053000,0xb00ffffa,0x9700bfff,0x001da803,
    0x36e00664,0x01ffdc00,0x00bfffe2,0x1da80197,0x04fffe80,0x98bfffea,
    0xf301ffff,0x3e605fff,0x200005ff,0x800007ff,0xffa800ba,0x37ffa27f,
    0x01fffe8b,0xffe80000,0x3ffe203f,0x0000000f,0x88000000,0x9fff9000,
    0x88000000,0x7401ffff,0x3fea3fff,0x7ffdc05f,0x0bfff306,0x03ffc000,
    0x90000100,0xd0109fff,0x00003fff,0x07fff880,0x004fffc8,0x13577551,
    0x2ea20000,0x8000001a,0x0004fffc,0x7ffcc000,0x4fffc806,0x100ffff2,
    0xf301ffff,0x0554cbff,0x003ffc00,0x0001ff54,0x4007fffe,0x0001fffe,
    0x2fffcc00,0x82fffd40,0xfffffdb8,0x000bffff,0xfffffc88,0x00003eff,
    0x42fffe88,0x07ffffdb,0xdfffffb7,0x007fffe0,0x7ec5ffff,0xffe802ff,
    0xffff981f,0xcffffffe,0x00fff000,0x037ffec4,0x0ffff500,0x00ffff40,
    0x3fee0000,0xfff9804f,0xfffffd06,0xffffffff,0x7ffdc001,0xffffffff,
    0xd300002e,0x7c41ffff,0x987fffff,0x6fffffff,0x40bfffb0,0x321ffffa,
    0x7c403fff,0xff982fff,0xffffffff,0xff802fff,0xffff5007,0x7e40007f,
    0x3fa004ff,0x000001ff,0x401fffe4,0xf887fff8,0xffffffff,0x00efffff,
    0xffffffd8,0xffffffff,0x775c4003,0x43fffffe,0x7ffffff9,0xffffff98,
    0xffff506f,0xffb5137d,0xfffa8dff,0x7fffec04,0xfffff983,0xffffffff,
    0x03ffc02f,0x3bffff62,0x7ffc0001,0x3ffa001f,0x4000001f,0xf002fffc,
    0x3ffa0fff,0xecccdfff,0x6403ffff,0xceffffff,0xfffffffd,0x3fff6001,
    0x705fffff,0x20fffffd,0x6fffffec,0x3fffff20,0xffffffff,0x07fffcc0,
    0x4fffffa8,0xffffff88,0xffffedce,0x3fffae0e,0x2e0dffff,0x004fffff,
    0x07fffa80,0x00ffff40,0x0bffff30,0x002fffc8,0x5540ffff,0x27ffec01,
    0x5fffff50,0xffff9101,0x7fff400d,0x801fffff,0xf9807fff,0x7ff406ff,
    0xffffffff,0xbfffd02f,0xfffffa81,0x5bffb06f,0x93fffee0,0xfffffffd,
    0xfffe8aff,0x02aaa9ef,0x09fffb00,0x01fffe80,0x03ffff20,0x005fff90,
    0x0001fffe,0xf81bffe6,0xb801ffff,0x7003ffff,0xffffffff,0x7fff801d,
    0x06fff980,0x3fffffa2,0x02ffffff,0x77dffff3,0xfffffffd,0x5c004c0f,
    0x554c7fff,0xfb9aaaaa,0xff33ffff,0x3fe000df,0x7f4001ff,0x3fa001ff,
    0xffc803ff,0xffff002f,0xddb95300,0x0dfff799,0x00bfffe2,0x006fffc8,
    0x3fff6ea2,0x3fe00eff,0xfff9807f,0x3ffff606,0xffffffff,0xffffb01f,
    0xffffffff,0x20000dff,0x3001fffe,0x41bffffd,0x8006fffe,0x8007fffa,
    0x3001fffe,0x3200dfff,0xff002fff,0x7fecc0ff,0xffffffff,0xfff506ff,
    0xffffffff,0xffffffff,0x7ec4000f,0x3fe05fff,0xfff9807f,0xfffff906,
    0xfffb5337,0xffb101ff,0xbfffffff,0x00009fff,0x200bfff6,0x43fffffc,
    0x006ffffc,0x004fffd8,0x001fffe8,0x2003fff7,0x8804fffb,0xff906fff,
    0xffffffff,0x320dffff,0xffffffff,0xffffffff,0x0001ffff,0xf03fffe4,
    0xff300fff,0x3fffe0df,0xffff500d,0x7fffdc07,0xfffc9eff,0xff700002,
    0x7ff4c07f,0x7fcc0dff,0xf8006ffe,0xe8001fff,0xfd001fff,0x7fd400bf,
    0xfffa805f,0xfffffc85,0xffffffff,0xfff906ff,0xffffffff,0xffffffff,
    0xf880005f,0xfff01fff,0xdfff300f,0x01dfff30,0x405fffc8,0x3e2bcba8,
    0x00001fff,0x2207fff9,0x882fffff,0x06ff9ffe,0x03fffd40,0x01fffe80,
    0x000fff88,0x201bffe6,0x7d44fffb,0x9bdfffff,0x6fffdcba,0xffffff50,
    0xffffffff,0x05ffffff,0x7fffb000,0x201fffe0,0xfb86fff9,0xff8804ff,
    0x3ee0007f,0x200007ff,0x3e01fffd,0xff900cff,0xb001bfe9,0x20009fff,
    0xb801fffe,0xfe8003ff,0x7ffc02ff,0x7ffff42f,0x3ffe200a,0x1ffff306,
    0x00000000,0x3e05fff9,0xff9807ff,0x3fffb86f,0x07fff880,0x9ffff700,
    0xf98002a0,0x32600fff,0xf9bfea01,0x3fe2006f,0xfd0002ff,0xdfb003ff,
    0x3fff2000,0x1bffee06,0x005ffff1,0x7c0dfff7,0x0000efff,0x3fa20000,
    0xffff00ff,0x7ffe4403,0x0ffff986,0x02fffe40,0x37fffdc0,0x400cffe8,
    0x006fffea,0x4dfffc40,0x2a006ff9,0x20007fff,0xe801fffe,0xff10001f,
    0xfff509ff,0xffff887f,0x3fffaa01,0x3ffee06f,0xca9800ef,0x00e7542d,
    0x037fff4c,0x7107fffd,0x20dfffff,0x2604ffff,0x0083ffff,0x1dffffd3,
    0xdfffff30,0xffdb9799,0x80003fff,0xfffffffb,0xfd800fff,0x3a0004ff,
    0x08801fff,0x7ffdc000,0xfffdbcef,0xffffd07f,0xfffd979d,0x7dffffff,
    0xbfffffb0,0xffb97579,0x3e21ffff,0xcbccefff,0xfffffecc,0x3ffff203,
    0xffffdcbd,0x6c3effff,0xbccfffff,0x0fffffdc,0x3733bfa2,0x1ffffffe,
    0xffffff10,0xffffffff,0x700007ff,0xffffffff,0xfff001df,0xffd9005f,
    0xffffffff,0x0003bfff,0xfffffd00,0x03ffffff,0x3fffffea,0xffffffff,
    0x40ffffff,0xfffffff8,0xffffffff,0xfff11fff,0xffffffff,0x809fffff,
    0xfffffff9,0xffffffff,0x3fa20fff,0xffffffff,0x7dc2ffff,0xffffffff,
    0x7cc02fff,0xffffffff,0x003fffff,0x53333100,0x2001fff9,0xfa805ffe,
    0xffffffff,0x6fffffff,0xfe880000,0xffffffff,0x7fffe401,0xffffffff,
    0x0fffffff,0xfffffc88,0xffffffff,0x7ffd45ff,0xffffffff,0xf5002fff,
    0xffffffff,0xffffffff,0xfffffb01,0x03ffffff,0xfffffff5,0x40019fff,
    0xffffffea,0x0000cfff,0x3fffea00,0xeea800ff,0xffffa801,0xffffffff,
    0x0006ffff,0xfffd9100,0x2a003dff,0xfffffffe,0xfffffabe,0x7ff4c02d,
    0xffffffff,0xffb501ce,0xffffffff,0xffa8003b,0xabefffff,0x202dffff,
    0xffffffeb,0x3ff600de,0x01dfffff,0x32ea6200,0x000001aa,0xbffffd30,
    0x76400000,0xffffffff,0x01dfffff,0xba880000,0x32a60001,0x00001abc,
    0x55e654c4,0x54c40019,0x00aabcca,0x55e5cc00,0x2e600001,0x2a6000ab,
    0x00001abc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x22000000,0x000009a9,0x980000a6,0x0002a201,0x01bccba8,0x55751000,
    0x00000003,0x22019800,0x32a0000a,0x4000009b,0x36e60019,0x00006eee,
    0x5df71000,0x7fdc0020,0x80003fff,0x0000cffc,0x7cc27fec,0x754000ff,
    0x0dffffff,0xfffd9800,0xdacfffff,0xbf71001d,0x36000205,0xfff984ff,
    0xfffb8000,0x0f2a1cff,0x3fff6e60,0xff100cef,0x000fffff,0xfff70000,
    0x37dc3bff,0x3fffff20,0xd30005ff,0x005fffff,0x21fffe20,0x2003fffc,
    0xfffffffb,0x2e001fff,0xffffffff,0x05ffffff,0xdfffffb8,0x88017f20,
    0xffc87fff,0xffb8003f,0xffefffff,0x3fee02ff,0xffffffff,0xfffff982,
    0x0000007f,0x7fefffcc,0x06ffedff,0x2a2fbfea,0x64003ffe,0xfffeefff,
    0xffe8000c,0x01fffa85,0xffffff30,0x00dfffff,0xffffffd1,0xffffffff,
    0xfff980ff,0xfedffffd,0x7ff4006f,0x01fffa85,0xffffb700,0x01dfffff,
    0x3ffffff2,0x83ffffff,0x07fffffe,0x7dc00000,0xffffb12e,0x7ff403ff,
    0x2007fe80,0xf90cfffd,0x91000dff,0x00b6e019,0xbeffffd8,0x04ffffeb,
    0x77ffffe4,0xfffffdcd,0x77dc07ff,0xfffffb12,0xcc88001f,0x0005b700,
    0x7ffff64c,0x3f602fff,0xfeefffff,0x881fffff,0x0007fffa,0xd5018000,
    0xff8017df,0x001ff704,0xd305fff3,0x000005ff,0x3fffe000,0x06fffc82,
    0x07bfffea,0x3ffffdc4,0xefea80c0,0x0000000a,0xffff9000,0x0bffffff,
    0x07bfffe6,0x81bfffee,0x00007fff,0x20000000,0xff503ff8,0x00332003,
    0x00000197,0xffff1000,0x81fffe20,0x7006fffe,0x0000ffff,0x00000000,
    0x37fffa00,0x05ffff32,0xa80dfff9,0xff01ffff,0x000000ff,0x03575100,
    0xfd837fc0,0x0000000f,0x1aba8800,0xffff1000,0x03fffe20,0x007fffe2,
    0x2005ffe8,0x09abbaa8,0xbaa88000,0x400009ab,0xff980ab9,0x2fffe86f,
    0x02fffe80,0xa988ffff,0x8000009b,0xfffffeca,0x7fec00cf,0x0037fd43,
    0x91000000,0xdfffffff,0x7ffc4007,0x0ffffb07,0x0017ffea,0x5c403dd5,
    0xfffffffd,0x22000bff,0xffffffdb,0x0000bfff,0x0ffff200,0x2e00bff9,
    0xfff04fff,0x3ffff66f,0x80003fff,0xffffffe9,0x203fffff,0xfecffff8,
    0x880881ff,0xffffffec,0xffb8001f,0xffffffff,0xff8802ef,0x3fff667f,
    0xfff704ff,0x3a000007,0xffffffff,0x000fffff,0xfffffffd,0x01ffffff,
    0xfffb9500,0xffff139d,0x7f400750,0xffff03ff,0xfffffffd,0x0003dfff,
    0x3fffffea,0xffffffff,0x3fffe605,0x3ae22fff,0x7ffe40ff,0x01ffffff,
    0x7ffffec0,0xffffffff,0x7ffc403f,0xffffff97,0x3fff601f,0xf8800002,
    0xffffffff,0x00efffff,0x7fffffc4,0xffffffff,0xffd3000e,0xbfffffff,
    0x0001fffd,0x80ffffcc,0xffffffff,0xffffffff,0x7fc4002f,0xdcceffff,
    0x04ffffff,0x233bfb22,0xfffffeb8,0x7ffffe40,0x2001ffff,0xeffffffc,
    0xffffffdc,0x3ffe201f,0xffffffd7,0x3ffee07f,0xfd000003,0x999bffff,
    0x007ffffd,0x9bfffffd,0x7ffffd99,0xfffff700,0xffffffff,0x20005fff,
    0x207fffe8,0xffffffff,0xffffdcce,0x3fa000ff,0xf500dfff,0x2005ffff,
    0xfffffeb9,0xffd880be,0x01ffffff,0x5fffff50,0xffff9101,0xbfffc40d,
    0xfffffffb,0x5fff984f,0x2aa00000,0x27ffec01,0x6c01aa80,0x7cc04fff,
    0xdcdfffff,0xfffffffe,0xffe88003,0x3ffe03ff,0xf900efff,0x2600bfff,
    0x9803ffff,0x2605fffe,0xefffffec,0xffd0000b,0x3ffe003f,0xffb801ff,
    0xfff103ff,0x7ffedc4f,0x7fc43fff,0xbb8002ff,0xff980000,0x4c00006f,
    0x3a206fff,0x980cffff,0x04fffffe,0x7ffff440,0x7ffffc05,0xffffa804,
    0x5fffb803,0x1fffe600,0xfffffd93,0xd000017b,0xf1003fff,0x64005fff,
    0xff106fff,0x7ffdc0ff,0x7fff41ff,0xffa800bf,0xdca9805f,0xfffbccee,
    0x6e54c006,0xfffbccee,0x3ffff206,0x7fff4404,0x3fe6005f,0xff805fff,
    0xfb000eff,0xffb00bff,0xffd8001f,0xfffff91f,0x7bd9517b,0x3ffa0001,
    0xfffa801f,0xffffffff,0xffffffff,0x0ffff107,0x44ffff98,0xdffffff8,
    0xfeecbabc,0x36607fff,0xffffffff,0x3006ffff,0xfffffffb,0x40dfffff,
    0x3006fffd,0x200dffff,0x05fffffa,0x007ffff0,0x4037ffc4,0xb8007fff,
    0xbffb3fff,0x3fff6215,0xe8002fff,0xfc801fff,0xffffffff,0xffffffff,
    0xff881fff,0xfffa807f,0xfffff986,0xffffffff,0xf904ffff,0xffffffff,
    0x00dfffff,0xfffffff9,0xdfffffff,0x01ffffc0,0x00bfffd0,0x0bfffff7,
    0x00ffffc0,0x803fffe0,0x8006fff9,0x0264fffa,0x3ff7fffa,0x7f4001ff,
    0xffc801ff,0xffffffff,0xffffffff,0xfff882ff,0x1fffd007,0xffffff50,
    0xffffffff,0x3fff209f,0xffffffff,0x6406ffff,0xffffffff,0x6fffffff,
    0x05ffff10,0x027ffec0,0x13fffff2,0x01ffff00,0x01fffe80,0x4003fffc,
    0x5c02fffc,0x3fea0cff,0x7fff4006,0xffffa801,0xffffffff,0xffffffff,
    0x07fff882,0x205fffb0,0xffffffb8,0x00cfffff,0xbffffff5,0xffb97537,
    0x7ffd40df,0xba9bdfff,0x206fffdc,0x2002ffff,0x3603fffd,0x003fffff,
    0x001ffff8,0x2007fffc,0x2003fffc,0x400ffff8,0xffc80ffd,0x3fffa001,
    0xffff9801,0xf8800000,0x6404c7ff,0xa9803fff,0x01aaceff,0x0affffe8,
    0x81bffe20,0x00affffe,0xe81bffe2,0x3e004fff,0xfe882fff,0x0002ffff,
    0x4007ffff,0xa806fff9,0xb001ffff,0xff00dfff,0x00bfe609,0x001fffe8,
    0x001dffff,0x7fff8800,0xfe81fff1,0x3fa002ff,0x3fe2000e,0xffb802ff,
    0xffff106f,0xdfff7005,0x07fffe40,0x07fffdc0,0x3fffffe6,0x3ffe0001,
    0xffd001ff,0xfff100bf,0x7f4c07ff,0xfe803fff,0x005ff505,0x800ffff4,
    0x00effffb,0x102dca98,0x3feaffff,0x3fffe24f,0x3fffa001,0xffff1002,
    0x7fff5403,0xffff106f,0x7fff5403,0x3ffe606f,0x3fea01ef,0x7ffd44ff,
    0x40000eff,0x02efffff,0x07ffff66,0x7ffffdc0,0xffecbbdf,0xd800efff,
    0x0ffd80ff,0x07fffa00,0xfffffd80,0xfdcbabcd,0x320fffff,0xcefffffe,
    0xffcbffff,0x361007ff,0x3a005fff,0xcbceffff,0xfffffffe,0x7ff43eff,
    0xfecbceff,0xffffffff,0xffffb83e,0xfdbaabdf,0x7fdc6fff,0x4400efff,
    0x7fff5c2b,0xbcefffff,0xfffffdcb,0x7ffe4003,0xffffffff,0x5000ffff,
    0x3f265dff,0xfffec85f,0xffffffff,0x440dffff,0xffffffff,0xffffffff,
    0xffff31ff,0xfffdffff,0x5fffffff,0xd59ff700,0x7fd400df,0xffffffff,
    0xffffffff,0x3ffea0ff,0xffffffff,0xffffffff,0xffffd80f,0xffffffff,
    0x7fff42ff,0xffffffff,0x31ffffff,0xffffffff,0xffffffff,0x000dffff,
    0x3fffffee,0x0dffffff,0x7fffe400,0x7cc0ffff,0xffffffff,0xffffffff,
    0xfffc884f,0xffffffff,0x3e65ffff,0xbfffffff,0xfffffffd,0xfff7005f,
    0xc8007fff,0xffffffff,0xffffffff,0x7fe40fff,0xffffffff,0xffffffff,
    0xffff900f,0xdfffffff,0xfffffd05,0xffffffff,0x3e67ffff,0xffffffff,
    0xffffffff,0x20000cff,0xfffffdb8,0x20002cef,0x0dfffffb,0xffffff98,
    0xffffffff,0x2604ffff,0xfffffffe,0xb81cefff,0x8ceffffe,0xffffffd8,
    0x7fed4003,0xfd50004f,0x7dffffff,0x5bfffff5,0x3ffffaa0,0xffabefff,
    0x4c02dfff,0xfffffffe,0x3fffa04f,0xffffffff,0x25ffffff,0x9fffffdb,
    0xfffffffc,0x800001ef,0x0000acb9,0x006f2a20,0xffffffd7,0xffffffff,
    0x5310019d,0x00335799,0xabcb9800,0x000c0000,0xabcca980,0x95300001,
    0x00003579,0x9accb988,0x7ffff400,0xffffffff,0x005fffff,0x4d665544,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x88000000,0x02eeeeca,0x0000aa80,0x00000131,
    0x00a80510,0x00000600,0xa8806600,0x00000000,0x00000000,0x002a0144,
    0x22000000,0xc80001cb,0x03ffffff,0x0ffffe60,0x3fff6e20,0x000001ef,
    0x3fa0dff5,0xeca8802f,0x0000007f,0x7cc27fec,0x2a0000ff,0x0bdeffec,
    0x3b2a0000,0x000bdeff,0xfe837fd4,0xeeb8002f,0xff100103,0xe80009ff,
    0x03ffffff,0x1bffff20,0x3fffff60,0x00000fff,0x541fffe8,0x7e405fff,
    0x0007ffff,0x3ffe2000,0x03fffc87,0x7fffe440,0x1dffffff,0xfff91000,
    0xbfffffff,0x3fff6003,0x02fffcc1,0xdfffff50,0x3203fd43,0x000fffff,
    0x3ffffea0,0x3fea003f,0x7fc404ff,0x4ffb98be,0xffc80000,0x1fffc40f,
    0x3ffbff60,0x40000007,0xffa85ffe,0x3fa6001f,0xfdbbdeff,0x4003ffff,
    0xbdefffe9,0x3fffffdb,0x40fffb80,0x1003fff8,0xffffdfff,0x401fffdb,
    0x00fffffc,0xfffd9800,0x565cc003,0xfd008800,0x7100000f,0x00f6603b,
    0x007fe84c,0x66440000,0x4005b700,0x200dfffa,0x005ffeb9,0x401bfff5,
    0x805ffeb9,0x17b301db,0xc8ffe600,0x02ffffff,0x027fffc4,0x7fff9000,
    0x40000000,0x00006ffb,0xe8000000,0x0000007f,0xf9800000,0x362002ff,
    0x7fcc04ff,0x3f62002f,0x0000004f,0x3bf66030,0x3751000b,0xffc80000,
    0x0000003f,0x17ffffec,0x00000000,0x003ff400,0x00000000,0x203ffa20,
    0xff901aa8,0x43ffa205,0x20199999,0x00002ffc,0x00000000,0xaba98000,
    0x01fffe41,0xff100000,0x0400dfff,0x00000000,0x08000ffd,0x55d44000,
    0x17fe4001,0x3fffffa2,0x41ffa1fd,0xfff8affc,0x81dfffff,0x000007fe,
    0x2aea6000,0x26000001,0xfffffffd,0x03fffc8b,0x8000cb80,0x05fffdb8,
    0xdb80ffc8,0xb707ffff,0x00dfffff,0x2e000ffd,0x654001ff,0xcffffffe,
    0x22ffc400,0xffeffff9,0x0bfe23ff,0x7fecbff1,0x0fffffff,0x64417fc4,
    0xfffffffe,0xfffd7001,0xfffff71f,0x800005ff,0xfffffffb,0xfffeffff,
    0x2ffdc003,0x3ffe2000,0x7fffd502,0xffffff88,0xfffff987,0x7fe806ff,
    0x7fff4c00,0xfffd3004,0xffffffff,0x107fdc07,0x7e447dfd,0x2e37f43f,
    0x12fdc0ff,0xdfd07fd5,0xffffff90,0xf3003fff,0xffdfffff,0xbfffffff,
    0xffd00001,0xffffffff,0x07ffffff,0x00fffc80,0x21ffdc00,0x0effffc8,
    0x7fffffcc,0xfffff987,0x7fe806ff,0x3fffee00,0xfffa801f,0xffffffff,
    0xdfb05fff,0xfb00ffb8,0x360ffc85,0x985fb86f,0x40ffc87f,0xfffffffc,
    0xff9801ff,0xffffffff,0x4fffffff,0x7ffe4000,0xffdcdeff,0x03ffffff,
    0x07fffa20,0x3f601510,0x3fffea2f,0xffd700cf,0x3fb20fff,0xe806ffff,
    0xffe9807f,0xf8800dff,0xccefffff,0x4ffffffd,0x2fec4fe8,0xffa81930,
    0x3ee13fa1,0xfa86fc85,0x7ffec41f,0x001fffff,0xffffffd9,0xfffd9bdf,
    0x260003ff,0x701effff,0x07ffffff,0xfffff910,0xdfffe803,0x88efffed,
    0x02effffd,0x201fffe0,0xea86fff9,0xefffffff,0x7ffffe43,0x3fffa003,
    0xfff500df,0x43ff85ff,0xf88002ff,0x2e0ffe2f,0xfffcaaef,0x002ff883,
    0x8003fffd,0x81ffffff,0x003fffe8,0x01dfffd0,0x3fffff98,0x7ffffdc0,
    0x7fd401ff,0x8dffffff,0x8cfffffb,0x7fc01aaa,0xfff9807f,0xfffffd86,
    0xfd56ffff,0x9733bfff,0x3ffe6057,0xffe9803f,0xf0bfe25f,0x3fe0003f,
    0xf705ff13,0x07ffffff,0xfe801ffc,0x7fc001ff,0x3ee01eff,0xf98004ff,
    0xf7001fff,0x7ec07fff,0x0cffffff,0xcccca880,0xffffd89a,0x09fff71e,
    0x9807fff8,0x55306fff,0xb1355555,0xf35fffff,0x83dfffff,0x2005fffb,
    0x7fc7fff9,0x4000ffc3,0x0ffe2ff9,0x3ffbbfee,0x05ff300e,0x007fffa0,
    0x801ffff0,0x8005fff9,0x4005fffa,0xf903ffff,0x007dffff,0x7fffdc00,
    0x3fffe63f,0x03fffc04,0x0037ffcc,0xcfffffa8,0xfdefffa8,0x3ff60fff,
    0x7fec000f,0xfb17fa1f,0x3ff7000b,0x2fdc2ff4,0x3ee0bff5,0xfffd001f,
    0x7fff8003,0x05fff980,0x03fffc80,0x41fffec0,0x03fffff8,0x3ffa6000,
    0x7ff40eff,0x7ffc04ff,0x6fff9807,0x7ffec400,0x07ffa1ef,0x7ffc9ff9,
    0xfffb8007,0xff71bf23,0x3f60dc01,0x7dc37e47,0x6c27fcc5,0x3ffa007f,
    0x7ffc001f,0x5fff9807,0x2fffd800,0x1fffe400,0x00ffffdc,0xffff7000,
    0xfdff707f,0x7fff809f,0x06fff980,0x3ffffea0,0xf983fd84,0x0dfff35f,
    0x49fff500,0x7ff42ff9,0x89fd312d,0x17fcc4ff,0x5415df91,0x13fe0bff,
    0x01fffe80,0x403fffc0,0x8005fff9,0x4003fffc,0xfc83fffd,0x031005ff,
    0x0dffffb8,0xffafff98,0x03fffc04,0x8037ffcc,0x01effff9,0x3e3ffc80,
    0xfc8007ff,0x077f42ff,0xffffffd3,0x0ffd41ff,0x7fc477f4,0x7fe46fff,
    0x4003ff57,0x4001fffe,0xf9807fff,0xfa8005ff,0x7fc005ff,0xfffb83ff,
    0x04ffa804,0xe80bffee,0x04ff9aff,0x4c03fffc,0xf3006fff,0x360007ff,
    0x3ff20fff,0x3fe2003f,0x27fd40ff,0x67ffff64,0x5417fe20,0xdddd94ff,
    0xff19db07,0xfffe800b,0x3fffc001,0x02fffcc0,0x17fffc40,0x3ffffc80,
    0x00ffffa8,0x2e03ffec,0x57ff200b,0x7fc04ff9,0x3f2201ff,0x2ea006ff,
    0xffe88000,0x7fffd40f,0xdfffb001,0x980fff20,0x00ffe980,0x2000fff2,
    0x4000ffe9,0x4001fffe,0xf9807fff,0xfb0005ff,0x64407fff,0x883fffff,
    0x881dffff,0x001ffffa,0x267ffe60,0x7f405ffa,0xffb883ff,0x00006fff,
    0x0efff980,0x3fffff88,0x3ffffa60,0x07bffa03,0x00fffd40,0x800f7ff4,
    0x8001fffa,0x4001fffe,0xf9807fff,0xf10005ff,0x579dffff,0xffffffb9,
    0x7e43bfff,0xfdcfffff,0x01ffffff,0x3ffff600,0x206fffff,0xcbdffffc,
    0xfffffffd,0x000003ef,0xb809fff9,0xbdffffff,0xfffffecb,0x3ff6200e,
    0x36e20acf,0x1001ffff,0x4159fffb,0x1ffffdb8,0x3ffffb20,0xffffffff,
    0xfd10dfff,0x83dfffff,0xefffffd8,0xfffa8003,0xffffffff,0xffffffff,
    0x7ffff45f,0xffffffff,0x360001ff,0xffffffff,0x3ffe605f,0xffffffff,
    0x0fffffff,0x3fa20000,0xff9002ff,0xffffffff,0x001fffff,0x3fffffee,
    0x0dffffff,0xffffb800,0xffffffff,0x3ffe600d,0xffffffff,0x4fffffff,
    0xfffffffb,0xffffc8bf,0x8000ffff,0xffffffe9,0xffffffff,0x7445ffff,
    0xffffffff,0x0002efff,0x6d4cccc4,0x7d400dff,0xffffffff,0xffffffff,
    0xff500000,0x755559ff,0x3fffee01,0xffffffff,0x7dc4000d,0xdfffffff,
    0x7dc40001,0xdfffffff,0xffff9801,0xffffffff,0xb4ffffff,0xffffffff,
    0xfffffc8d,0x20000fff,0xfffffffb,0xffffcaef,0xfff700cf,0x03bfffff,
    0x3ff20000,0xfa807fff,0xbeffffff,0x02dffffa,0x3fff2000,0x5fffffff,
    0x3fff6e20,0x002cefff,0x9acba980,0xa9800000,0x40009acb,0xffffffeb,
    0xffffffff,0xfffb30ce,0xc883bfff,0x02dffffe,0x79753000,0x22000035,
    0x0001aaba,0xfffea800,0x32e6004f,0x000001ab,0x7ffffe40,0x006fffff,
    0x0002b2e6,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xaaaaaa80,0xaaaaaaaa,0x00aaaaaa,0x33333260,0xbcba9800,0x54c0001a,
    0x0001abcb,0x00000062,0x02af32a2,0x00000000,0x07dddd10,0xcca98800,
    0x000000ab,0x2a600000,0x01abcccc,0x6cd55554,0x99999999,0x99999999,
    0x3a002a99,0x300fffff,0xfffffff9,0xeb8003df,0xefffffff,0x5403fd8b,
    0x800004ff,0xffffffda,0x03fcbdff,0x3ffff660,0xffffffff,0x7fcc01df,
    0x2e0004ff,0xffffffff,0x7641edac,0x2dffffff,0x3fffff22,0xb3001dff,
    0xffffffff,0x3ffe07ff,0x000048ff,0x7fdc00a6,0x7540ffff,0xffffffff,
    0x8803ffff,0xfffffffe,0x7fffffff,0x003ffe40,0x3ffff200,0xffffffff,
    0xfb000fff,0xffffffff,0x0bffffff,0x04ffff98,0xffffe980,0xffffffff,
    0x3fffea5f,0x327fffff,0xffffffff,0xfff9805f,0xffffffff,0x7ffd40ff,
    0x4000094f,0xfff88029,0x7f40ffff,0xffffffff,0x202fffff,0xfffffffa,
    0xffffffff,0x3ffa01ff,0xd880000f,0xffffffff,0xffffffff,0xffffb002,
    0xffffffff,0xf980bfff,0x44004fff,0xfffffffe,0x7fffffff,0x3fffffea,
    0x3ff27fff,0x5fffffff,0x7ffffc40,0xffffffff,0x0ffffc87,0x14c00009,
    0x7ffffe40,0x7fff40ff,0xfdcbdeff,0xf880ffff,0xbdefffff,0xffffffdc,
    0x3fffa02f,0x7f440000,0xbbdfffff,0xffffffec,0xfffb3002,0xffffffff,
    0xc8803bff,0x6c002ccc,0xbcefffff,0x7fffffed,0x7fffff64,0x3fb222df,
    0x01dfffff,0x677fffdc,0x2eeeccaa,0x124fffe8,0x40298000,0xfffffff9,
    0x5ffff40f,0x9ffff300,0x1dffffd0,0x7ffffe40,0x03fffa02,0xffffb000,
    0x7fe4403b,0x980002ff,0x00006fff,0xffff8800,0xffff701d,0x01fffe0f,
    0x003fffc8,0x0009fffb,0x483fffe2,0x00a60000,0xfffdfffd,0x0fffd81f,
    0x22fffec0,0x00dffffa,0x02ffff98,0x0003fffa,0x05ffff98,0x00bfffa0,
    0x1bffe600,0x2a000000,0x5400ffff,0xfff07fff,0x7ffe400f,0x3fffd003,
    0x3ffee000,0x30000243,0x7fffd405,0x5c0ffffa,0xff9806ff,0x2ffff47f,
    0x87fff600,0xffffffd9,0xffffffff,0xdfffb03d,0x0fffa800,0xfff98000,
    0x80000006,0xf003fffc,0x3ffe0dff,0x3fff2007,0x1fffd003,0x1fff6000,
    0x29800012,0x2bffff10,0xcb80ffff,0x7fff9800,0x007fffe6,0xfe8fff50,
    0xffffffff,0xffffffff,0x0ffffc40,0x001fe400,0x06fff980,0xffffec88,
    0xf5001fff,0x3ee00bff,0x0ffff03f,0x81fffe40,0xffffffeb,0xdfffffff,
    0x907fff01,0x814c0000,0xff0ffffc,0xd80001ff,0x3fea6fff,0x3b70007f,
    0xffffffe8,0xffffffff,0x7fcc1fff,0x0000007f,0x0dfff300,0xffffff90,
    0x22003fff,0x3003ffff,0x03fffc03,0x507fff90,0xffffffff,0xffffffff,
    0x20dff30d,0x0a600004,0xf93fffe6,0x10000fff,0x5c9ffffb,0x00005fff,
    0x7ffffed4,0xffffffff,0xfffb83ef,0x00000005,0x00dfff30,0xfffffff9,
    0x7f4003ff,0x00acefff,0x00ffff00,0x541fffe4,0xffffffff,0xffffffff,
    0x902ffb86,0x414c0000,0x3e0ffffd,0x44000fff,0x0ffffffc,0x000ffff2,
    0x1fffd000,0x3fff2000,0x00000003,0x00dfff30,0xffffffb1,0x7cc003ff,
    0xefffffff,0xfff000bd,0x7ffe400f,0xffffd903,0xffffffff,0x0bf905bf,
    0x53000024,0x42ffffa8,0x3000ffff,0xfffffffb,0x02fffd83,0x7ff40000,
    0xffb0000f,0x0000005f,0x1bffe600,0x1fffe800,0x7fffcc00,0xefffffff,
    0x03fffc01,0x007fff90,0x0003fffa,0x000900a2,0x3ffa14c0,0x0ffff86f,
    0xfffffd00,0xfffb01df,0xe8000005,0xb0000fff,0x54405fff,0xbccccccc,
    0x26002981,0x20006fff,0x8001fffe,0xffffffd8,0x202fffff,0x32007fff,
    0xfd003fff,0x000001ff,0x29800012,0x207fffee,0xd000ffff,0x407fffff,
    0x0002fffd,0x07fff400,0x2fffd800,0xffffff10,0x54bfffff,0xff3005ff,
    0x7f4000df,0x220001ff,0xfffffedb,0xfff04fff,0x7ffe400f,0x1fffd003,
    0x01200000,0xff129800,0x3ffe09ff,0xfffb000f,0x7fff9007,0xfe800000,
    0xf90000ff,0x3fea07ff,0xffffffff,0x01fff27f,0x0037ffcc,0x003fffd0,
    0x7f5d4400,0xff80ffff,0x3ff2007f,0xfffd003f,0x1bf50001,0x98000120,
    0xddffffb2,0xffffdddd,0xdff7005b,0x17ffee00,0xffd00000,0x3ea0001f,
    0xfff104ff,0xffffffff,0x00ffff4b,0x0037ffcc,0x003fffd0,0x3fea0004,
    0x7fff82ff,0x0ffff200,0x007fff40,0x40f7fdc0,0x4a600004,0xffffffff,
    0xffffffff,0x01db802f,0x01ffff50,0x7ff40000,0xff10000f,0x665440bf,
    0x44fffecc,0x9801fffe,0x20005fff,0xb001fffe,0xffb800df,0x0fffe84f,
    0x03fffb00,0x003fffa0,0x217ffec0,0x4a600004,0xffffffff,0xffffffff,
    0xd000003f,0x2000bfff,0x7fff401a,0x3ffe0000,0x7fe4002f,0x0ffff42f,
    0x027ffd40,0x03fffd00,0x007fff30,0x6437ffcc,0xff002fff,0x3fa001ff,
    0x320000ff,0x00123fff,0xffff2980,0xffffffff,0x001dffff,0x3ffee000,
    0x3f62003f,0x3fffa03f,0xfd811001,0x32000eff,0x7ff42fff,0xfffe801f,
    0x3ffa0002,0xfffb801f,0xfffb000f,0x1ffff70b,0x06fffd80,0x003fffa0,
    0x27fff500,0x4a600004,0xaaaaaaaa,0x1ffffaaa,0x74400000,0x401effff,
    0x206ffff9,0x2204fffd,0x3e22ffda,0x4403ffff,0x742fffea,0xd102dfff,
    0x0001ffff,0x400ffff4,0x03fffffb,0x0fffff22,0x07bfffe2,0x01ffffec,
    0x001fffd0,0x12ffd300,0x00298000,0x000ffff8,0x98003771,0xdeffffff,
    0xffffecbc,0x3ff204ff,0xdcbabdff,0x5c6fffff,0xceffffff,0xfffffdbc,
    0x7fff42ff,0xfdccdfff,0x0003ffff,0x400ffff4,0xfffffffb,0xfffdcbce,
    0xff500fff,0xfd79bfff,0x800bffff,0x0000fffe,0x00123710,0xda802980,
    0xcfffffff,0x3fffe600,0x7ffd4004,0xffffffff,0x00dfffff,0x3fffffe6,
    0xffffffff,0xffffd84f,0xffffffff,0x742fffff,0xffffffff,0x03ffffff,
    0xfffffd90,0xffffffff,0x3fea1bff,0xffffffff,0x2fffffff,0x7ffffe40,
    0xffffffff,0x3fff6600,0xffffffff,0x20004eff,0x0a600004,0x3fffffe0,
    0x2e03ffff,0x8007ffff,0xffffffe8,0x3fffffff,0xfffff500,0xffffffff,
    0x3ffaa01b,0xffffffff,0xb882efff,0xfffffffe,0x3003ffff,0xffffffff,
    0xffffffff,0x3ffe29ff,0xffffffff,0x002effff,0xfffffff7,0xe801bfff,
    0xffffffff,0xffffffff,0x00090003,0x7fc014c0,0xffffffff,0x3fffe602,
    0x3f6a0004,0xefffffff,0x7f4c001c,0xefffffff,0xffd7001b,0xbfffffff,
    0x3ff26003,0x02ceffff,0x3ffffe60,0xffffffff,0x2e4fffff,0xfffeb8ce,
    0x003fffff,0xfffffe88,0xffd003ff,0xffffffff,0x05ffffff,0x33333a00,
    0xcccccccc,0x2dcccccc,0xffffda80,0xa8804eff,0x3100001b,0x00035975,
    0x2af2ea60,0xa9880001,0x00009abc,0x0002eea2,0xfffffeb8,0xffffffff,
    0xa8800cef,0x0001abcb,0x00acb988,0x7fffecc0,0xffffffff,0x000004ef,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x73000000,0x000bdddb,0xdddd9500,0x26001ddd,0x004eeeeb,
    0x97510000,0x00000015,0x00000000,0x565d4400,0x00000001,0x00000000,
    0x00000000,0xffffff10,0xfb80000f,0xffffffff,0xffff9801,0x000006ff,
    0x7fffffd4,0xec800cff,0xffffffff,0x75c004ef,0xffffffff,0x0002bdef,
    0x7fffffe4,0xfeb8002e,0xffffffff,0xffffffff,0x7fff5c3f,0xefffffff,
    0x6d4002cd,0x01dfffff,0x9dffffd9,0x7fffd400,0x400007ff,0xfffffffd,
    0xffb801ff,0x0006ffff,0xffffb100,0x3dffffff,0x7ffffdc0,0xffffffff,
    0xffff3002,0xffffffff,0x8001bfff,0xffffffe8,0x22004fff,0xffffffff,
    0xffffffff,0x3e63ffff,0xffffffff,0xefffffff,0xfffff001,0xff50bfff,
    0x05ffffff,0x7fffff40,0x7cc00007,0xffffffff,0xffff8801,0x800006ff,
    0xfffffff9,0x3fffffff,0xffffff70,0x5fffffff,0x3fffe600,0xffffffff,
    0x003fffff,0x3ffffff6,0x002fffff,0xfffffff1,0xffffffff,0x4c7fffff,
    0xffffffff,0xffffffff,0xfff803ff,0xb86fffff,0xffffffff,0x7fd44002,
    0x3000007f,0x3fffd555,0x7ffdcc00,0x74400006,0xbcefffff,0x3ffffffd,
    0xfffffd90,0x009dffff,0xfffffeb8,0xffffffff,0xfa802fff,0xfdbdffff,
    0x2e004fff,0xffbffffe,0xffffffff,0x7f5c3fff,0xffffffff,0xffffffff,
    0x7fff5401,0xfd881eff,0x004fffff,0x001fffe0,0x7fff4000,0x7ffcc001,
    0x7e400006,0xf700dfff,0x9001ffff,0x00007fff,0x2603fffa,0x1fffffdb,
    0x437ffe40,0x8002fffa,0xfff8fff9,0x3fffc80f,0x441fffe0,0x06ffffc9,
    0x0dffff70,0x02ffffdc,0x03fffc00,0xffe80000,0x7fcc001f,0x2a00006f,
    0x9804ffff,0xc805ffff,0x00003fff,0x9801fffd,0x6c06ffff,0x59302fff,
    0x5bfee000,0xfc80ffff,0x3ffe03ff,0xffffb807,0xffff9000,0xdffff309,
    0xfff00001,0x04dd4c4f,0xfffe8000,0x7ffcc001,0xff100006,0x7d400bff,
    0x7e402fff,0xd00003ff,0xf5001fff,0x7f403fff,0x000001ff,0x3ffe9ffd,
    0x2fffc80f,0x401fffe0,0x2002fffe,0x223ffffd,0x001fffff,0xb3ffff00,
    0x5dffffff,0xfffe8000,0x7ffcc001,0x7ffff5c6,0xfff503ef,0xffd8001f,
    0x7ffe406f,0xffd00003,0x3ff6001f,0x3fff205f,0xf8800002,0x1ffff1ff,
    0x0fffd426,0x200ffff0,0x2003fffd,0xd2ffffe8,0x0005ffff,0x7fffffc0,
    0xffffffff,0x3ffa0003,0x7fcc001f,0x3fffe66f,0xb82fffff,0x88003fff,
    0x7e407fff,0xd00003ff,0x26001fff,0x3ee07fff,0x800004ff,0x3ffe7ffa,
    0xf8affb8f,0x3fffc07f,0x07fffc40,0x3fffe200,0x03ffffdf,0x7fffc000,
    0xffffffff,0xd0004fff,0x98003fff,0x3fea6fff,0x2fffffff,0x001fffd8,
    0x401fffd0,0x0003fffc,0x001fffd0,0x9807fffc,0x00006fff,0x3fe5ffd8,
    0x15ffe8ff,0x0ffff005,0x06ffffb8,0xfffff300,0x0000bfff,0xfffffff0,
    0xfffff9bd,0x3ffa000f,0x7fcc001f,0x3fffe66f,0xfd04efff,0x360001ff,
    0x3f202fff,0xd00003ff,0x74001fff,0xffb11fff,0xffffffff,0xff80009d,
    0x3ffffe3f,0x7c007fff,0xb9999fff,0x3fffffec,0x3ffea000,0x00006fff,
    0x3dfffff0,0x03ffff30,0x03fffd00,0x56fff980,0x03ffffff,0x007fff88,
    0x80ffff20,0x0003fffc,0x001fffd0,0xfc97ffe4,0xffffffff,0x0002ffff,
    0x7fc1fff3,0x07ffffff,0x7fffffc0,0xffffffff,0xfc80003f,0x0000ffff,
    0x1dffff00,0x01fffec0,0x00ffff40,0x2fbffe60,0x00efffff,0x007fff88,
    0x80fffee0,0x0003fffc,0x001fffd0,0xfb97ffe4,0xffffffff,0x0001ffff,
    0xfff8dff9,0x007fffff,0x7ffffffc,0x2fffffff,0xfff88000,0x00003fff,
    0x500ffff0,0xd000bfff,0x98003fff,0xffffffff,0x7ff4005f,0xffb0000f,
    0x7ffe405f,0x20173003,0x2000fffe,0xd912fffd,0xffffffff,0x740007bf,
    0xffccceff,0x07ffffff,0x7fffffc0,0x2fffffff,0xfffd0000,0x0003ffff,
    0x00ffff00,0x000bfff5,0x8003fffd,0xfffffff9,0xffd8003f,0xffd0001f,
    0x7ffe401f,0x06ffa803,0x4001fffd,0x2201fffe,0x00007fff,0xfffffff3,
    0xffd1ffff,0xffff800b,0xffffeeee,0x6c0000ef,0xffffffff,0x7c00000f,
    0xffa807ff,0xffe8005f,0x7fcc001f,0x02ffffff,0x03fffb80,0x07fff880,
    0x401fffe4,0xfe80fffc,0xff1000ff,0xfff980ff,0xff700007,0xffffffff,
    0x005ff71f,0xe887fff8,0x000effff,0x3bffff70,0x001dffff,0x03fffc00,
    0x002fffd4,0x000ffff4,0x3fffffe6,0x54002fff,0x4000ffff,0x6406fffd,
    0xfd803fff,0xfffe82ff,0xdfff5000,0x06fffa80,0xddffb000,0x1ffffddd,
    0x40395022,0x3f607fff,0xa8006fff,0xf50effff,0x0000bfff,0x5403fffc,
    0xe8005fff,0x4c001fff,0xfffeffff,0x3e2003ff,0x2a005fff,0x6402ffff,
    0xfd803fff,0xfffe82ff,0xfffe8800,0x2fffdc04,0x7ffc4000,0x00ffff82,
    0x7fc0dff5,0x7ffec07f,0x3fe2004f,0x7fe41fff,0xf00004ff,0xff500fff,
    0xffd000bf,0xff98003f,0xfffff56f,0x7ffd4009,0xfff9804f,0xfffc805f,
    0x2fffd803,0x400fffe8,0x01ffffe8,0x401ffff4,0xfff503ec,0x01ffff01,
    0x7c03fff2,0xffd807ff,0xfe8802ff,0xffb02fff,0xf00005ff,0xff500fff,
    0xffd000bf,0xff98003f,0x3fffea6f,0x3ff2005f,0xff700eff,0xf9001fff,
    0xffb007ff,0x1fffd05f,0xfffcb988,0x3fa603ff,0x7dc00fff,0x5ffd80ff,
    0x201ffff0,0xff01fffd,0xffd100ff,0xffd801df,0x3fa203ff,0x40001fff,
    0xfa807fff,0xfe8005ff,0x7cc001ff,0x7ffcc6ff,0xfd000eff,0xb79dffff,
    0x07ffffff,0xfffffd91,0xffffffff,0x45ffffff,0xffffffec,0xffffffff,
    0xffb305ff,0xffffffff,0xffffffff,0x3ffff625,0xffffbbff,0xffffffff,
    0x3ae1ffff,0xdfffffff,0xfffff302,0xffffc85d,0xfd984fff,0x01dfffff,
    0x3ffffa60,0x7f5c0eff,0x5c5fffff,0xfffffffe,0xffffffff,0x3fffb20d,
    0xffff986f,0x2603efff,0xffffffff,0x03ffffff,0xfffffff7,0xffffffff,
    0x25ffffff,0xfffffff9,0xffffffff,0xffb00dff,0xffffffff,0xffffffff,
    0x3ffff21f,0xffffffff,0xffffffff,0xf31fffff,0xffffffff,0x7ffdc0ff,
    0x3ffea7ff,0x41ffffff,0xfffffffd,0x3ffa006f,0x25ffffff,0xfffffff8,
    0xffff33ff,0xffffffff,0x29ffffff,0x6ffffffa,0xffffffc8,0x32200fff,
    0xffffffff,0x3ea01eff,0xffffffff,0xffffffff,0xff32ffff,0xffffffff,
    0x07ffffff,0xffffffc8,0xffffffff,0x3ee4ffff,0xffffffff,0xffffffff,
    0xffffffff,0xffffff31,0xe80fffff,0x3ea7ffff,0xffffffff,0x7ffffec1,
    0x3a006fff,0xffffffff,0x3ffffe25,0xff33ffff,0xffffffff,0xffffffff,
    0x3ffffea9,0xffffb86f,0x800fffff,0xffffffea,0xffd9004e,0xffffffff,
    0xffffffff,0x7ffedc5f,0xefffffff,0xec8800ad,0xffffffff,0x2effffff,
    0xeffffed8,0xfffffeaa,0xffffffff,0x3ff6e1ff,0x02dfffff,0x216fffc4,
    0xdfffffeb,0xffffd983,0x26001dff,0xdffffffd,0x7fffed41,0x3f6e0cef,
    0xffffffff,0x0cefffff,0x1bffffb2,0x3ffffb22,0x4c4002df,0x00000abb,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xb5000000,0xffffffff,0x3660009f,0x01dfffff,
    0x7dffffd7,0xfffffeb8,0xdeffffff,0xffeb800c,0x22dfffff,0xefffffd9,
    0x7fffecc4,0xd901dfff,0x5bffffff,0xffffffd8,0x004effff,0x3fffffae,
    0xffffffff,0xb84fffff,0xfffffffe,0x802bdeff,0xfffffffa,0xffffffff,
    0x224fffff,0xffffffff,0xffffffff,0xfffe8004,0x7fffffff,0xffffd000,
    0xff50dfff,0x25ffffff,0xfffffff9,0xffffffff,0x3fe603ff,0xffffffff,
    0x3fffff66,0x3ff62fff,0x5fffffff,0xffffffa8,0xff50ffff,0xffffffff,
    0xf3007fff,0xffffffff,0xffffffff,0xff889fff,0xffffffff,0x01efffff,
    0x3fffffea,0xffffffff,0x24ffffff,0xfffffff8,0xffffffff,0xffe8004f,
    0xffffffff,0xfff8002f,0xb87fffff,0xffffffff,0xffffff32,0xffffffff,
    0x260bffff,0xffffffff,0x3fffa6ff,0x322fffff,0xffffffff,0xffffa85f,
    0x50ffffff,0xffffffff,0x007fffff,0xfffffff3,0xffffffff,0x889fffff,
    0xffffffff,0xffffffff,0xffff504f,0xffffffff,0xffffffff,0x7ffffc49,
    0xffffffff,0xa8004fff,0xfffffffd,0xa8006fff,0x2ffffffe,0xfffffd88,
    0x7fff5c5f,0xffffffff,0x03ffffff,0xffffffd7,0x7ffcc5bf,0x7444efff,
    0xdfffffff,0xffffd901,0xfec85dff,0xffffffff,0x3fae004e,0xffffffff,
    0xffffffff,0xfffeb84f,0xffffffff,0xa83fffff,0xffffffff,0xffffffff,
    0x3e24ffff,0xffffffff,0x4fffffff,0xfffd0000,0x0003ffff,0x817fffe6,
    0x405ffff9,0x2607fff8,0x407fffea,0x3207fff8,0x803fffff,0x2003fffe,
    0x401ffff8,0x0006fff9,0x803fffc0,0x3a04fffb,0xdb981fff,0x541fffff,
    0xffe85fff,0x27ffd40f,0x440dfff1,0x001ffffe,0xeffff980,0x20004fff,
    0xd02ffffb,0x8801dfff,0xf9807fff,0x3e201fff,0xfffb07ff,0x3ee005ff,
    0x3ee006ff,0xff9806ff,0xeeeeeeff,0xff001bde,0x3fee00ff,0x3fffa04f,
    0x7fffcc01,0x42fffd46,0x7d40fffe,0x3ffe24ff,0x3ffff606,0xffb00002,
    0x0ffff5bf,0xffffe800,0x0ffffe40,0x03fffc40,0x203fffd8,0x7447fff8,
    0x001fffff,0x00bfffe2,0x401ffffc,0xfffffff9,0x4fffffff,0x007fff80,
    0x7407fff5,0xf9801fff,0x3fea2fff,0x0fffe85f,0xf127ffd4,0x3fee0dff,
    0x100004ff,0x3fa5ffff,0x220002ff,0x3e65ffff,0xf1004fff,0x3fa00fff,
    0x3fe202ff,0x3fffa27f,0xfc8001ef,0xffa805ff,0xff9800ff,0xffffffff,
    0x00efffff,0x3ee1fffe,0x807ffe25,0x9001fffe,0x7fd4dfff,0x0fffe85f,
    0x3e27ffd4,0xfff985ff,0x2e00006f,0x3fee6fff,0x7dc0006f,0xfffd3fff,
    0x7ffc400d,0xffffb807,0x5fffe200,0x0efffff9,0xffff3000,0x4fffd801,
    0x9ffff300,0xffb99999,0x7fc0bfff,0x17ffcc7f,0xffe807b5,0xfff3001f,
    0x0fffe61f,0xf303fffa,0x3ffd87ff,0x07ffffc4,0xfffd0000,0x0ffffc47,
    0x3fff6000,0x01ffffdf,0x41fffe20,0x6ffffea9,0x57fffc40,0x005fffff,
    0x04fffe80,0x007fffe6,0x2037ffcc,0x00ffffd8,0xffa8ffff,0x7f4c004f,
    0x00999aff,0xff87fffe,0x0fffe81f,0x5c41fff8,0x2ffffe82,0x3fe60000,
    0x7ffec0ff,0x7fc40004,0x04ffffff,0x7ffffc40,0xffffffff,0x7c400fff,
    0xffffffff,0xfa80000f,0x3ff207ff,0x3fe6006f,0xfff9806f,0xfffff01f,
    0x09ffffff,0xfffffd10,0x09ffffff,0xb88bfff6,0x01fffd01,0x7e400371,
    0x00003fff,0x4c2fffec,0x80007fff,0x6ffffffb,0xffff8800,0xffffffff,
    0xf8804fff,0xffffffff,0xf80000ef,0xff882fff,0x3e6002ff,0xffb006ff,
    0x3fffe05f,0x4fffffff,0xfffffb80,0xffffffff,0x03fffc80,0x003fffa0,
    0x3fffea00,0x7c400005,0xffd01fff,0x9950005f,0xbffffff9,0xf1001799,
    0xffffffff,0x7fffffff,0xfffff880,0x0effffff,0x7ffe4000,0x07fffb86,
    0x037ffcc0,0xf01fffd8,0xffffffff,0xff5009ff,0xffffffff,0x3ff20fff,
    0x3ffa003f,0x7cc0000f,0x0000efff,0x67fffdc0,0xffeccccc,0xffe8006f,
    0xffffffff,0xf8801fff,0xffffffff,0xffffffff,0x3fffe204,0xffffebff,
    0x3e20000e,0x7ff41fff,0x7fcc003f,0xfff8806f,0x3ffffe07,0x04ffffff,
    0xffffdb70,0x203bdddd,0x2002fffc,0x0000fffe,0x07ffffa2,0x3ffa0000,
    0xffffffff,0x001fffff,0xffe99988,0x000999af,0x440ffff1,0x2fffffc9,
    0x1dffff10,0x037fffe4,0x93fff600,0x000ffff9,0x2037ffcc,0x205fffd9,
    0x7fd47fff,0xffe8004f,0x3ffa001f,0x3ffa001f,0x3f60000f,0x5b503fff,
    0xffff3000,0xffffffff,0x0009ffff,0x003fffd0,0x01fffe20,0x82ffff44,
    0xb80ffff8,0x0002ffff,0x6c3fffea,0x98005fff,0xccccffff,0xfffffedc,
    0x31fffe02,0x3ec85fff,0x007fffa0,0x007fffc4,0x001fffd0,0x13fffee0,
    0x0007ffcc,0x3ffffff6,0xffffffff,0x4c4007ff,0xafffe999,0xf1000999,
    0x7c400fff,0xfff107ff,0x37fff40f,0x3fffa000,0x01ffff8b,0xfffff980,
    0xffffffff,0x7ffc02ff,0x7cc3ea87,0xfffd00ff,0x3ffe6003,0x7fff4006,
    0xfff98000,0x3ffee06f,0x3ffe2002,0xaaaaaabf,0x3fffeaaa,0x3ffffa00,
    0xffffffff,0xfff8802f,0x7fff4007,0x07fff881,0x00ffffe2,0xbefffb80,
    0x30006fff,0xffffffff,0x01dfffff,0x400ffff0,0xfd02fffb,0xfd1003ff,
    0xfe8009ff,0x7c4000ff,0x3200ffff,0x2e003fff,0x2e006fff,0x26006fff,
    0xfffeaaaa,0x1002aaac,0x4c00ffff,0xf880ffff,0x7fdc07ff,0x3e20007f,
    0x3fffffff,0xffff3000,0x799ddddd,0x3fffc003,0x07fff900,0x1007fffa,
    0x003ffffd,0x000fffe8,0x017ffff4,0x800ffff2,0x2003fffe,0x001ffff8,
    0x007fffa0,0x03fffc40,0x3fffaa62,0x0ffff106,0x007ffff0,0x7ffffec0,
    0xf30000ff,0x80000dff,0x32007fff,0xffd03fff,0xff97303f,0xd0007fff,
    0x64001fff,0xc804ffff,0x6cc03fff,0xdfffffff,0xffffd901,0xd9007dff,
    0xffffffff,0xfec803bf,0xffffffff,0xffffffff,0x7ff643ff,0x82dfffff,
    0x4efffffb,0x7fffcc00,0xec8004ff,0xffffffff,0x3ae004ef,0xffffffff,
    0xffffffff,0x7f5c3fff,0xffffffff,0x5fffffff,0xffffeb80,0x4effffff,
    0x3fffffe0,0xffffffff,0x6c03ffff,0xffffffff,0xffffa85f,0x00ffffff,
    0x3fffffe6,0x05ffffff,0x3fffffe6,0xffffffff,0x46ffffff,0xfffffff9,
    0xff886fff,0x002fffff,0x0ffffff4,0x3fffea00,0xffffffff,0xfff9803f,
    0xffffffff,0xffffffff,0x3ffe23ff,0xffffffff,0x0dffffff,0x7ffffc40,
    0xffffffff,0xfffff02f,0xffffffff,0x807fffff,0xfffffffd,0xfffa85ff,
    0x0fffffff,0x3ffffe60,0x5fffffff,0x3ffffe60,0xffffffff,0x0cffffff,
    0x7fffffcc,0xf706ffff,0x005fffff,0x06ffffa8,0xfffffa80,0xffffffff,
    0xffff8802,0xffffffff,0xffffffff,0x3fffe23f,0xffffffff,0x1003ffff,
    0xffffffff,0x05ffffff,0x3ffffffe,0xffffffff,0x64403fff,0xdfffffff,
    0xffffd901,0xd7005bff,0xffffffff,0xfeb8019f,0xffffffff,0x0cceffff,
    0x3ffffae0,0xf101dfff,0x0007dfff,0x000bfffe,0x7fffff64,0x004effff,
    0x3fffff6e,0xffffffff,0x43ffffff,0xffffffdb,0x0adeffff,0x7ffedc00,
    0xefffffff,0x3ffffe04,0xffffffff,0x003fffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xa8000000,0x1dfffffd,0xffffec88,0x3ffb224e,0xffffffff,
    0xda81dfff,0x22dfffff,0xfffffec8,0x7fff5c0d,0xd983efff,0xdfffffff,
    0x3ffffae0,0x3ffee007,0x7f641dff,0xffffffff,0x5c01cdef,0x03fffffe,
    0xfffffd91,0xffd983bf,0xffffffff,0xffffffff,0x8800006f,0x22000dfc,
    0x200002fd,0xfffffffe,0xfffffb85,0xfff72fff,0xffffffff,0x88dfffff,
    0xffffffff,0xfffff70f,0x7fcc9fff,0xffffffff,0x7ffffec1,0xff14ffff,
    0x007fffff,0x3ffffffa,0x3ffffea5,0xffffffff,0xf880dfff,0x0fffffff,
    0xffffffb8,0x7ff46fff,0xffffffff,0xffffffff,0x200006ff,0x03ffffc8,
    0x001bfee0,0xfffffe80,0xfffb86ff,0xf72fffff,0xffffffff,0xdfffffff,
    0xffffff88,0xfff70fff,0x4c9fffff,0xffffffff,0x7ffec1ff,0x34ffffff,
    0xdfffffff,0xfffff500,0x7ffd4bff,0xffffffff,0x1fffffff,0x7fffffc4,
    0xfffb85ff,0x46ffffff,0xfffffffe,0xffffffff,0x006fffff,0xfffff700,
    0x7fec009f,0xb500000f,0x03dfffff,0xdfffffb1,0x7fff6449,0xffffffff,
    0xfea81dff,0x223dffff,0xdfffffec,0x7ffffe40,0xfd983eff,0x0dffffff,
    0x3fffffee,0x7fff402f,0x7641dfff,0xffffffff,0xffffffff,0xffffeb86,
    0x76442fff,0x1dffffff,0x7ffffecc,0xffffffff,0x06ffffff,0x7fff5400,
    0x2000dfff,0x0001fffe,0x2ffffcc0,0x09ffff50,0x01fffe80,0x03fffc40,
    0x702fffd4,0x30009fff,0x3e60dfff,0x206fffff,0x5ffffff9,0x837ffcc0,
    0x4ffffd99,0x3fffffe0,0x3ffee00e,0x2fffc804,0x0dfff300,0x3fffa600,
    0x8003ffff,0x0001fffe,0x2ffffc80,0x06fffe88,0x01fffe80,0x03fffc40,
    0x502fffd4,0x5000bfff,0x3e60bfff,0x01ffffff,0xbffffffb,0x06fff980,
    0x207fffd8,0x4fffffff,0x013ffee0,0x400bfff2,0x4006fff9,0xffffffd8,
    0xfd0000cf,0x000003ff,0x903ffffa,0x0003ffff,0x8003fffd,0xa807fff8,
    0x3e605fff,0x7ffc46ff,0x27ffd43f,0xffffff98,0xffff885f,0x7cc05fff,
    0xff9806ff,0xffff00ff,0x2e03ffff,0xfc804fff,0xff1002ff,0x3f2200bf,
    0x0cffffff,0x7fff4000,0xf3000001,0x7fd4bfff,0xfd0004ff,0xf88003ff,
    0xffa807ff,0x3ffe205f,0x37fffd47,0x4c0fffee,0xffffffff,0x7ffffe40,
    0x7fcc05ff,0xfffb006f,0x3ffffe05,0xff706fff,0xfff9009f,0x741ee985,
    0xffb803ff,0x01dfffff,0x3fffd000,0x7dc00000,0xffe8afff,0x3fa0006f,
    0x7c4001ff,0xffa807ff,0x7fffc05f,0x3fffff60,0x40bfff20,0xffeefff9,
    0x6ffffc4f,0x7cc05fff,0xffd006ff,0x3fffe03f,0xb83ffffb,0xfc804fff,
    0x2fff42ff,0xea803366,0x2effffff,0x7ff40000,0x4000001f,0xffdffffe,
    0x3a0001ff,0x44001fff,0xfa807fff,0x7ff405ff,0xfffff11f,0x0fffec7f,
    0xfaefff98,0xfff70fff,0x80bfff3f,0xa806fff9,0x3fe07fff,0xffffd8ff,
    0x027ffdc0,0x3e17ffe4,0x74c007ff,0x3fffffff,0x99951000,0xbffff999,
    0x01799999,0xffff1000,0x0007ffff,0x001fffe8,0x7fffffc4,0xffffffff,
    0x7fec05ff,0xfffff52f,0x0ffff4df,0xff6fff98,0x3fffa7ff,0x405fff9b,
    0x5406fff9,0x3e05ffff,0xfff88fff,0x27ffdc5f,0x7ffffe40,0x007fffff,
    0xffffffb1,0x7c00019f,0xffffffff,0xffffffff,0x80002fff,0x6ffffffb,
    0xfffe8000,0x7ffc4001,0xffffffff,0x405fffff,0xffb3fffc,0x3e1fffff,
    0xff300fff,0x3fffeedf,0xf98ffffa,0x7fcc05ff,0xcaaaaaef,0x01fffffe,
    0x7dc3fffe,0x3fee2fff,0xfffc804f,0x7fffffff,0xfffff880,0x40002fff,
    0xfffffff9,0xffffffff,0x004fffff,0xfffffb00,0xffd00003,0xff88003f,
    0xffffffff,0x05ffffff,0x7c67ffe4,0xbfffefff,0x2607fff8,0xfff16fff,
    0x269fffff,0x7cc05fff,0xffffffff,0x02ffffff,0xfd07fffc,0x3fee1fff,
    0xfffc804f,0x7fffffff,0x3fffee00,0x0000dfff,0x3ffffffa,0xffffffff,
    0x001fffff,0x7ffff100,0x3ffa0000,0x7fc4001f,0xffffffff,0x05ffffff,
    0x7defffdc,0xefffbeff,0x2606fff9,0x3ff26fff,0xf31fffff,0xff980bff,
    0xffffffff,0xf802ffff,0x3fe60fff,0x9fff75ff,0xfffff900,0x00ffffff,
    0xfffffc88,0x30000cff,0xfd555555,0x555557ff,0xe8000015,0x00001fff,
    0x8003fffd,0xa807fff8,0x7d405fff,0xbfffddff,0xffbffff8,0x3ffe605f,
    0x3ffffe26,0x17ffe65f,0xffffff30,0x19ffffff,0x03fffe00,0xf75ffff7,
    0xff9009ff,0x07fff85f,0xffffb300,0x00007fff,0x001fffe8,0x3ffa0000,
    0xfd00001f,0xf88003ff,0xffa807ff,0x7ffcc05f,0xfb1fffff,0x09ffffff,
    0x3637ffcc,0x262fffff,0x7cc05fff,0xceeeefff,0x7fc000ab,0xfffe80ff,
    0x804fffce,0x7f42fffc,0x7540005f,0x2effffff,0xfffd0000,0x40000003,
    0x0001fffe,0x003fffd0,0x807fff88,0x4405fffa,0x6fffffff,0x3fffffee,
    0x3ffe603f,0x37fffcc6,0x3017ffe6,0x0000dfff,0x980ffff8,0xffffffff,
    0x2fffc804,0x0000f6c4,0xffffffb8,0x740001ef,0x00001fff,0x07fffa00,
    0x7fff4000,0x7ffc4001,0x5fffa807,0xffffff80,0x3fffe24f,0x3e602fff,
    0xfffe86ff,0x02fffcc3,0x001bffe6,0x01ffff00,0x3ffffff2,0xfffc804f,
    0x20000002,0xfffffffc,0xffd0000d,0x0000003f,0x000ffff4,0x01fffe80,
    0x03fffc40,0x402fffd4,0x1ffffffe,0x7fffffec,0x1bffe601,0x3e606662,
    0x7fcc05ff,0x7c00006f,0xff100fff,0x009fffff,0x0005fff9,0xffc88000,
    0x00cfffff,0x00ffff40,0xffd00000,0x3a00003f,0x44001fff,0xfa807fff,
    0xffd805ff,0xffb86fff,0x2600ffff,0x98006fff,0x7cc05fff,0x400006ff,
    0x2a00ffff,0x04ffffff,0x002fffc8,0xfb300000,0x03dfffff,0x00ffff40,
    0xffeb8000,0xffffffff,0xfd9100ce,0xffffffff,0x983bffff,0xeffffffe,
    0x3ffff223,0x3f205fff,0xf884ffff,0xb107ffff,0xbfffffff,0x3fffae03,
    0x7643efff,0xffffffff,0x764004ef,0x3effffff,0x4fffffd8,0xfffffb30,
    0x05dfffff,0x3aa00000,0x004fffff,0x0003fff6,0x3fffe200,0xffffffff,
    0xfff703ff,0xffffffff,0xe8dfffff,0xffffffff,0xfffff70f,0x2e05ffff,
    0xb01fffff,0x2e0fffff,0xffffffff,0xffff986f,0x50ffffff,0xffffffff,
    0x007fffff,0x3fffffe6,0x7c40ffff,0xfd04ffff,0xffffffff,0x0001ffff,
    0x7ffdc000,0x3fee003f,0xf1000006,0xffffffff,0x207fffff,0xfffffffb,
    0xffffffff,0x7ffff46f,0xf70fffff,0xffffffff,0x3fffea07,0x3fffea07,
    0xfffff706,0xf30bffff,0xffffffff,0x3fffea1f,0xffffffff,0xfff3002f,
    0x1fffffff,0x09ffff70,0x3ffffff6,0x0fffffff,0x44000000,0x22000ceb,
    0x000002ed,0x3fffff6a,0x0cefffff,0xffffd910,0xffffffff,0xffd983bf,
    0x222dffff,0xefffffec,0xffff300c,0x7fffc409,0xfffd9105,0x2e03bfff,
    0xdffffffe,0x7ffff642,0x04efffff,0x7ffff5c0,0x3fa02dff,0xffb304ff,
    0xffffffff,0x0000005b,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x08de5cc0,0x00000000,0x002ec880,0x01ba9880,0x200006e6,0x0001aba8,
    0x03557510,0x2aea2000,0x55300001,0x40001357,0x09abbaa8,0x4000c400,
    0x30000018,0xfe9807fd,0x04ffffff,0x0000b7ee,0x7ffdc000,0xfec88000,
    0x2a2fffff,0x003fffff,0x7ffff654,0x4c000cff,0xfffffffd,0x801ddacf,
    0xffffffc8,0xfb8003ef,0xdfffffff,0x36e204fc,0xffffffff,0xffb800bf,
    0xdff30104,0x81bb8800,0x300ffff9,0xffffffff,0xfff101ff,0x000003df,
    0x00fffc80,0x7ffffc40,0xfcbfffff,0x04ffffff,0xfffffe98,0x03ffffff,
    0xffffff70,0xffffffff,0xffffb80b,0xefffffff,0xffffa802,0xffffffff,
    0xfffd01ff,0xffffffff,0xfff801ff,0xfffec8cf,0x1ffff9ad,0x3fff6e20,
    0xffabdfff,0xfe880fff,0xffffffff,0xffff980f,0x00000dff,0x007fb100,
    0xffffff50,0xffffffff,0x09ffffff,0x7fffffd4,0xffffffff,0x3fffa205,
    0xffffffff,0x3607ffff,0xffffffff,0x03ffffff,0x3fffffe6,0xffffffff,
    0xffff883f,0xffffffff,0x3fa00eff,0xffffffff,0xffffffff,0xfffff501,
    0xffffffff,0x3ee07fff,0xffdbdfff,0x3ffee01e,0x000cffff,0x40000000,
    0xdceffff8,0xffffffff,0x81fffffd,0xeffffff8,0xfffffdcc,0xffff904f,
    0xfffb9bdf,0x320fffff,0xceffffff,0xfffffffd,0xfffffd01,0xfffdb9bd,
    0x3ffa09ff,0xecccdfff,0x2603ffff,0xffffffff,0xffffffff,0xfffff903,
    0xffffffff,0x7ec09fff,0x801dc3ff,0xffffffd9,0x0000003f,0x055c4000,
    0x3bffffe6,0x0bfffd10,0x01bffffd,0x0bffffea,0x03dffff5,0x1ffffee2,
    0x2bffffea,0xffffc880,0xaffff886,0x7fffb300,0x3600d540,0x7cc04fff,
    0xffffffff,0x704fffff,0x9bffffff,0xfffffdb9,0x0fffe80f,0xffea8000,
    0x002effff,0x00000000,0x85ffffd0,0x260ffffa,0x9803ffff,0x7f45fffe,
    0xff7006ff,0xfffff0ff,0xffff7003,0x1ffff887,0x00f7fc40,0x37ffcc00,
    0x67ffff40,0xffffeb89,0xfffff981,0xffffe883,0x3ffa03ff,0x2e00003f,
    0xefffffff,0x00000001,0x9bb75100,0x3a0dffff,0x3fee3fff,0x3fe6005f,
    0x3fffe27f,0x17ffa001,0x005ffff1,0x7437ffe4,0x9bceffff,0x53001440,
    0xf799ddb9,0xff880dff,0xfffd01ff,0x3ffff907,0xfffffd10,0x3f201fff,
    0x00000fff,0x3fffff22,0x00000dff,0xffd50000,0xffffffff,0xffffffff,
    0x7ffec9ff,0x7ffec000,0x00bfff51,0x7d41eea8,0xffffffff,0xffffffff,
    0xfffb87ff,0xdfffffff,0xffb3000b,0xffffffff,0xffa80dff,0x3ffee06f,
    0x82fffe85,0xfdffffe8,0xff102fff,0x00000bff,0xffffff91,0x65c4019f,
    0xcccccccc,0xcccccccc,0x7fffe442,0xffffffff,0xffffffff,0x1fffe5ff,
    0x4fffee00,0x0003fffb,0x3fffff20,0xffffffff,0x1fffffff,0xffffffc8,
    0x03ffffff,0x7fffffe4,0xffffffff,0x1fffec06,0x88ffff10,0xfe886fff,
    0xfffb5fff,0x7fffec09,0xb3000002,0x7fffffff,0xffffff10,0xffffffff,
    0x25ffffff,0xfffffff8,0xffffffff,0xffffffff,0x0dfff36f,0x29fff500,
    0x0002fffd,0x3fffff20,0xffffffff,0x2fffffff,0xfffff910,0x1bffffff,
    0xffffff90,0xffffffff,0xfffc80df,0x1fffe203,0xfb09fff7,0x7fd4bfff,
    0xffff905f,0x15e541ff,0x7ff54000,0x262effff,0xffffffff,0xffffffff,
    0xff74ffff,0x7557bfff,0xffffffff,0x4dffffff,0xc8007fff,0xfff72fff,
    0x7d400007,0xffffffff,0xffffffff,0xa8802fff,0xfffffedb,0x7fffd44f,
    0xcba9bdff,0x5406fffd,0x3f206fff,0x7ffe45ff,0x37fffec3,0x321bffe6,
    0x5fffffff,0x0013fffa,0x3ffffa20,0x3ffe3fff,0xffffffff,0xffffffff,
    0x1dfffb2f,0x013fffa0,0x00ffff20,0x30ffff88,0x0000bfff,0x007fffcc,
    0x01b91000,0x8ffffb30,0x00affffe,0x101bffe2,0xf105ffff,0xffb87fff,
    0x3ffff66f,0x27ffd40e,0x3fffffee,0xfff8afff,0x2e0000ff,0xdfffffff,
    0x55555441,0xaaaaaaaa,0x321aaaaa,0x3fa03fff,0x54000fff,0xb001ffff,
    0x7fc4dfff,0xbb8002ff,0x077fffc0,0x5ffc8000,0x4bfffa00,0x802ffff8,
    0xe806fffb,0xc9aeffff,0x4c1fffff,0xffdaffff,0xffe80eff,0x77fff41f,
    0xfcffffd8,0x50006fff,0xdffffffd,0x80000005,0x440ffffa,0x84fffffe,
    0x3e20cdb9,0x2603ffff,0x743ffffe,0x800bffff,0x7dc5fffa,0x9800efff,
    0x7ff42dca,0x7fcc01df,0xffff12ff,0x7fff5403,0x7ffcc06f,0xffffffff,
    0xfff84fff,0x0effffff,0x447fffd8,0x3fe27fff,0x0cffffff,0x7fff4c00,
    0x0003ffff,0x3ffe0000,0xfffdbdff,0xcbefffff,0x5c4ffffe,0xbdffffff,
    0xfffffecb,0x7fffc40e,0xcbabcdff,0x87ffffee,0xcdfffffd,0xfffdcbab,
    0x3ffe0fff,0xbabcefff,0x0fffffec,0x33bffffa,0xfffffecb,0x4c3effff,
    0xffffffff,0xffffffff,0x7ffffd44,0x7f4c0eff,0x7fd45fff,0x7fffd45f,
    0x22000fff,0xfffffffd,0x00000004,0xffffffb8,0xffffffff,0xffffffff,
    0xffffc85f,0xffffffff,0xff300fff,0xffffffff,0x9fffffff,0xffffff10,
    0xffffffff,0x7fc3ffff,0xffffffff,0x3fffffff,0x7fffffd4,0xffffffff,
    0x20ffffff,0xffffffff,0xffffffff,0x7ffec1ff,0xecbbdfff,0x40efffff,
    0xfd85fffb,0x1005ffff,0xfffffff9,0x00000019,0x7fffd400,0xffffffff,
    0xffffffff,0xfff701ff,0xffffffff,0xffa801bf,0xffffffff,0x204fffff,
    0xffffffc8,0xffffffff,0x7fffec5f,0xffffffff,0xff903fff,0xffffffff,
    0xffffffff,0xa7fffc1f,0x98cefedb,0x7e42ffff,0xffffffff,0x1fffffff,
    0x40ffff98,0x02fffff8,0xffffffb8,0x000001df,0xfea80002,0xedbeffff,
    0xffffffcb,0x6dc400be,0xceffffff,0x3fee2002,0xffffffff,0xfd3000cf,
    0xffffffff,0xdb3039df,0xffffffd7,0xa8019fff,0xfffffffe,0xfffffabe,
    0x01ffdc2d,0xfc8dff30,0xffffffff,0x0dffffff,0xdfffff10,0xfffffd99,
    0xffd505df,0x005dffff,0x2ffcc000,0x2f2a2000,0x055e4c02,0x15973000,
    0x97530000,0x00035599,0x55e654c4,0x75100019,0x00135799,0x1abcca98,
    0x00022000,0xffff7022,0xfffffd9f,0xf70059df,0xffffffff,0x8fffffff,
    0xfffffffd,0xc8000003,0x00000fff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7c000000,0x5cc1ffff,0xfd80009b,0xffffffff,0x267fffff,
    0x0cffffff,0xf7000000,0x000000ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0xffd00000,0x4000003f,0xffffffea,0x22dfffbf,0x00cffff8,
    0xdb800000,0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,
    0x1dd98000,0x53000000,0x54003597,0x000001cd,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x53000000,0x00000357,0xa8800000,0x0000001b,0x00000000,0x40aba880,
    0x0000aba8,0x20000000,0x000000ba,0x04cc4000,0x3ffff6e0,0xffffb707,
    0x3ffae0df,0xffffb8ff,0xff802fff,0xffffffff,0x45ffffff,0xffffffc8,
    0x3ffffee2,0x7ffecc2e,0x5c0cefff,0xeffffffe,0xffffdb83,0x7ff5c0ce,
    0x7640ceff,0xfff9efff,0xfffd89ef,0x7ecc04ff,0x201dffff,0xdffffec8,
    0x0bff7003,0x01762000,0xffea81d9,0xff883fff,0xf987ffff,0x86ffffff,
    0xeffffff9,0xffffffff,0x3ffe00df,0xffffffff,0x6c5fffff,0xafffffff,
    0xffffffe9,0x3fff62ff,0x24ffffff,0xfffffff9,0x3fe21fff,0x24ffffff,
    0xfffffff9,0x3fffee3f,0xffffffff,0xffffffff,0x3fffa04f,0x3206ffff,
    0xffffffff,0x07ffd801,0x07ff9800,0x7dc5ffb1,0x4fffffff,0x7fffffcc,
    0xfffff987,0xfff986ff,0xffffffff,0x04ffffff,0x3ffffffe,0xffffffff,
    0x7fffec5f,0xffffdfff,0x26ffffff,0xfffffffe,0x3ffe64ff,0x2fffffff,
    0x3fffffe6,0x3ffe64ff,0x2e4fffff,0xffffffff,0xffffffff,0x02ffffff,
    0xfffffffd,0x7fffdc0d,0xe801ffff,0x20000fff,0xe882fffb,0x677ec5ff,
    0x41ffea89,0x07ffffeb,0xdfffffd9,0x3ffffb20,0xfecdefff,0xff01ffff,
    0xffffffff,0x87ffffff,0xffffffd9,0xddffffff,0x3f667fff,0x0dffffff,
    0x7fffffe4,0xfffb84ef,0x7e40ffff,0x20dfffff,0xffffffd8,0xfffffddf,
    0x4fffecef,0xfffffd50,0x7fec405b,0xd004ffff,0x20001fff,0xf982fffc,
    0x2e0305ff,0x3ffe02ff,0x6fff9807,0x7fffffc0,0x3fffe881,0x260ffff0,
    0x803fffff,0xfffffffd,0x40bb661d,0xc807fffb,0xfb006fff,0x74c7ffff,
    0x200effff,0x20fffff8,0x2a4ffffe,0x7ec06fff,0x7fff42ff,0x407fffc1,
    0x3ffa0aca,0x402f2a0f,0xa83fffd8,0x4c005fff,0x3fe01ffe,0xfff9807f,
    0x77fffc06,0x13ffee01,0x7cc2fff4,0xb003ffff,0x05ffffff,0x1ffffc00,
    0x07ffff10,0x7ffffdc0,0xefffffac,0x7fffc400,0x22fffe41,0x5c06fff8,
    0x3fe64fff,0x3ffe64ff,0xdffffa87,0xfdbfffeb,0xfe884fff,0xfffc83ff,
    0xffeb800e,0x7ffc04ff,0x6fff9807,0x007fffc0,0x5417ffe6,0x7ffcc1ef,
    0x3f6003ff,0x0001efff,0x903fffdc,0x5000dfff,0xffffffff,0x3e200bff,
    0xfffc86ff,0x037ffc43,0xfc9bffe6,0x3fee7fff,0xffffc85f,0xffffffff,
    0x7cc6ffff,0xffd83fff,0xffb000ef,0xff803fff,0xfff9807f,0x03fffc06,
    0x002fffcc,0x0fffffe6,0x0bfffb00,0x3ffe2000,0xffff883f,0xfff30003,
    0x009fffff,0x6437ffc4,0x7fc43fff,0xffff806f,0x5ffffff0,0x260ffff6,
    0xffffffff,0xffffffff,0x13fffea3,0x01dfffd1,0x7ff65440,0x1fffe01f,
    0x01bffe60,0xf300ffff,0x7cc00bff,0x8003ffff,0x0002fffd,0x21bfff20,
    0x0007fffb,0x7fffffcc,0x7ffc4003,0x43fffc86,0xd806fff8,0xfffaafff,
    0xffff5fff,0x3ffae203,0xffffffff,0x3ffe60cf,0x7fff40ff,0x7ec0002f,
    0x1fffe04f,0x01bffe60,0xf300ffff,0x3e600bff,0x0003ffff,0x0005fffb,
    0x1ffffc40,0x007ffff1,0x7ffff440,0x22001fff,0xffc86fff,0x37ffc43f,
    0x6e7ffdc0,0xafffffff,0x91007fff,0x3bffffff,0x77fffd40,0x3ffffa20,
    0x3fe20001,0x01fffe06,0xf01bffe6,0xff300fff,0xfff500bf,0x6c0007ff,
    0x00002fff,0xf737ffe4,0x20001fff,0xffffffe8,0xf1002fff,0xfff90dff,
    0x06fff887,0xffffff98,0xfefffeff,0x3f6005ff,0x00ffffff,0x077fff44,
    0x807ffff2,0x0bff501a,0x4c03fffc,0x7fc06fff,0xfff9807f,0x7fffd405,
    0xb001103f,0x00005fff,0xf2ffff88,0x20007fff,0xcefffff9,0x803fffff,
    0xfc86fff8,0x7ffc43ff,0xfffff006,0xffff5dff,0x2e007fff,0xffffffff,
    0xdfffb005,0x2ffffa81,0xedefffb8,0x3e01fffe,0x32201fff,0x7fc06fff,
    0xfff9807f,0x3fffea05,0x09ff303f,0x002fffd8,0xefffc800,0x000ffffb,
    0x5fffffa8,0x17ffffee,0x90dfff10,0xff887fff,0xfffb006f,0x3ffe7fff,
    0x9801ffff,0xffbdffff,0xff7003ff,0xffe981df,0x7fffc42f,0x402effff,
    0xb883fffe,0x406fffff,0xf9807fff,0xfff505ff,0x7fec07ff,0x17ffec07,
    0x7fc40000,0x04ffffff,0xfffffa80,0xfffffa84,0xdfff100d,0x887fff90,
    0xf7006fff,0x321fffff,0x00ffffff,0xb0ffffd8,0x4c00ffff,0x6c40effe,
    0xcb982fff,0xf9002bcc,0xfb97bfff,0xdfffffff,0x7ffff447,0x7ec41eff,
    0x263effff,0xffffffff,0xffffffff,0xffffb10f,0xffffffff,0x20001bff,
    0xfffffffc,0x3ffaa000,0x641effff,0x4fffffff,0x3fffff62,0x3ffff23e,
    0xdffff11d,0xffff9807,0x3fffe65f,0xffff006f,0x0ffffc45,0x0bffb100,
    0x0003ffee,0xfffff300,0xffffffff,0x361fffff,0xffffffff,0x7ffffe45,
    0xfff70fff,0xffffffff,0x21ffffff,0xfffffffc,0xffffffff,0xff10004f,
    0x8009ffff,0xffffffff,0x3fffe65f,0xf72fffff,0x3fffffff,0x57fffff2,
    0x1ffffff8,0x17ffffc0,0x013ffffa,0x7cc1ffe4,0xdf70006f,0x000ffcc0,
    0x7fffd400,0xffffffff,0xfb0fffff,0xdfffffff,0xffffffc8,0xffff70ff,
    0xffffffff,0x321fffff,0xffffffff,0xffffffff,0x3ff60004,0x74000fff,
    0xffffffff,0x3ffffe64,0xff72ffff,0x23ffffff,0x15fffffc,0x01ffffff,
    0xa87fffd8,0x2002ffff,0x00062019,0x00020010,0xffffa800,0xffabefff,
    0x3f662dff,0x41dfffff,0xdffffec8,0x3ffffee2,0xffffffff,0xd910ffff,
    0xffffffff,0x019dffff,0x7fffcc00,0xffda8004,0x5c0cefff,0x4efffffd,
    0x3ffffb22,0x3ffff23d,0xbffff11d,0x9fff7007,0x003fffe0,0x00000000,
    0x80000000,0x001abcb9,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00040040,
    0x97000ba8,0x00099801,0x298000c4,0x55dcc000,0x3332e600,0xcccccccc,
    0xcccccccc,0x004c402c,0xaaaaaa88,0xaaaaaaaa,0x8801aaaa,0x665c0099,
    0x333221cc,0x37b7303c,0x54400000,0xaaaaaaaa,0x1aaaaaaa,0xfa80ff60,
    0x3fee000e,0x3ffe401e,0x77fffecc,0x9fdb7301,0x03fd1000,0xffffd300,
    0xffff507f,0xffffffff,0xffffffff,0xfd930bff,0x7ec07fff,0xffffffff,
    0xffffffff,0x6d40ffff,0x03ffffff,0x445ffff9,0xfb86ffff,0x200dffff,
    0x327d401a,0xffffffff,0xffffffff,0x82ffe409,0xb001fff9,0x3603ffff,
    0x3ea1ffff,0x2fffffff,0x3fffffa2,0xfffd8004,0x3ffea000,0x645fffff,
    0xffffffff,0xffffffff,0x45ffffff,0xfffffffa,0x7ffc40ef,0xffffffff,
    0xffffffff,0x3fe23fff,0x2fffffff,0x41ffffb8,0x7ec4ffff,0x0effffff,
    0xf903ffd8,0x7fffccdf,0xffffffff,0x2204ffff,0xfb80effe,0xffb802ff,
    0x7fec1fff,0x3ffe26ff,0x0fffb88a,0x9ffdfff1,0xffffc800,0xfff8800e,
    0x3ffffeff,0x3fffffea,0xffffffff,0xffffffff,0x2b7ffee5,0xe86fffc9,
    0xffffffff,0xffffffff,0x5c1fffff,0xfea99abc,0x87fffa86,0x3f23fffe,
    0xffffffff,0x17fff61f,0x4c3fffb1,0xffffffff,0xffffffff,0x77ff4404,
    0x03fffc81,0x1fffffc8,0x41dffff9,0xffc82ffa,0x27fcc622,0xfffff700,
    0xfffb00bf,0x23fff4c5,0xaaaaaaa8,0xaaaaaaaa,0x25fffcaa,0xff900fff,
    0xcccca887,0xcccccccc,0x1bcccccc,0x7dcccc40,0x3fffcc0f,0xf997ffec,
    0xffeaffff,0xfffdbfff,0x3bffa63f,0x55555440,0xaaaaaaaa,0xe8801aaa,
    0xffc82fff,0xfffc804f,0xeffffdff,0xffb02980,0x013fe603,0x7fffffcc,
    0x7ff404ff,0x01fffa84,0xfffa8000,0x4409ff35,0x000005ff,0xffff9100,
    0xff03ffff,0x3fff90df,0xd83bffea,0xffffffff,0x37ffe26f,0x00000000,
    0x41ffff44,0x400dfffc,0xfffffffc,0x7e4000ef,0x13fe606f,0x3ffffe20,
    0x102ffffe,0x3fa03fff,0xa800002f,0x1ff75fff,0x0007fd80,0xfffa8000,
    0x1fffffff,0xfb84ffe8,0x03bfa0ff,0x3fffffee,0x13fee0ef,0x80000000,
    0xd84ffff8,0x6400efff,0x0effffff,0x3fff6200,0x013fe601,0x15ffffd1,
    0x203fffff,0xff883fff,0xa800002f,0x7ff55fff,0x0037fc40,0x3fe20000,
    0xfca99bdf,0x83ffd81f,0x00987ff9,0x37ffffe6,0x0000e440,0x7cc00000,
    0x7ec0dfff,0x7f401fff,0x2002ffff,0x400effe9,0x7ec04ff9,0x3fe63fff,
    0xffe80fff,0x00fffb86,0xfffa8000,0x201fff15,0x6dc44ffc,0xeeeeeeee,
    0xeeeeeeee,0x0bfee2ce,0x3207ff22,0x6ff882ff,0x17951000,0x00000000,
    0xfffd1000,0xffffb87f,0x3ffff605,0xfb801fff,0xf9800dff,0x3fff204f,
    0xffffa85f,0x77ffdc0e,0x06fffdab,0xfff50000,0x5f7ffdcb,0x40efffda,
    0xfffffffe,0xffffffff,0x31ffffff,0xf9535bff,0xfb85bfff,0x00bff01f,
    0x00000000,0x3a200000,0x7dc2ffff,0x3f604fff,0xffffffff,0x7fffb101,
    0x827fcc00,0x206ffff8,0xd84ffffb,0xffffffff,0x5000000f,0xffc8bfff,
    0x0effffff,0x7fffffc4,0xffffffff,0xffffffff,0x3fffff63,0x1fffffff,
    0x7ec03fe6,0x00000003,0x80000000,0x40efffe8,0x202ffffb,0xfceffffd,
    0x7cc1ffff,0x00441eff,0x3f209ff3,0x7ec00eff,0xffd887ff,0x002fffff,
    0x3ffe6000,0xffffd984,0x3fff203e,0xffffffff,0xffffffff,0x7fe540ef,
    0x4eeebcff,0x02e201a8,0x00000000,0xd1000000,0xff909fff,0x7fec01df,
    0xfff90eff,0x7fffc1ff,0x1fffffff,0x3ffffff6,0xfff31eff,0x13ff6003,
    0x0ceffdb8,0xff800000,0x0004402f,0x26666666,0x99999999,0x01800999,
    0x00000000,0x00000000,0xfffd1000,0x09fff905,0x0effffb8,0xf37fffe4,
    0xffffffff,0x3ffe25ff,0x3fffffff,0x570002e6,0x00000000,0x000675c0,
    0x00000000,0x00000000,0x00000000,0x74400000,0xffc81eff,0xfffe803f,
    0xffff900e,0x2aaaaaa1,0x220aaaaa,0xaaaaaaaa,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3e60bff9,0xff9001ef,
    0x6ffc801d,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7dc00000,0x0037a203,0x2a001750,0x00000002,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x6d400000,0xeeeeeeee,0xeeeeeeee,
    0xceeeeeee,0x0a201981,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfd900000,0xffffffff,0xffffffff,0x3bffffff,0x7fffffcc,
    0xffffffff,0xffffffff,0x7e46ffff,0x0fff983f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0xffa80000,0xffffffff,0xffffffff,
    0xffffffff,0x3ffffee6,0xffffffff,0xffffffff,0x227fffff,0xffc87fff,
    0x0000003f,0x00000000,0x00000000,0x00000000,0x00000000,0xa8000000,
    0xffffffff,0xffffffff,0xffffffff,0x3ff626ff,0xffffffff,0xffffffff,
    0x3effffff,0x7d42fff4,0x000001ff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffffffd9,0xffffffff,0xffffffff,0x266605bf,
    0x99999999,0x99999999,0x99100999,0x000b6e01,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x22222000,0x88888888,0x88888888,
    0x00000008,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_46_latin1_x[224]={ 0,8,5,2,3,3,4,9,10,4,3,1,8,3,
9,3,3,3,2,2,3,2,4,3,3,4,9,8,-1,0,1,4,3,-1,0,1,0,0,1,1,0,3,2,0,
1,-1,-1,0,2,0,0,2,1,0,-1,-1,0,0,2,10,3,5,3,-2,8,1,-1,2,1,1,2,1,0,2,
3,1,2,-1,1,1,-1,1,2,2,2,0,0,-1,0,0,3,6,10,6,2,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,8,3,1,2,0,
10,1,5,-1,5,1,-1,3,-1,-2,5,1,6,6,8,0,2,9,8,6,5,2,0,-2,0,3,-1,-1,-1,-1,
-1,-1,-1,1,0,0,0,0,3,3,3,3,-1,-1,0,0,0,0,0,4,0,0,0,0,0,0,2,0,1,1,
1,1,1,1,-1,2,1,1,1,1,2,2,2,2,1,1,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
 };
static signed short stb__courier_bold_46_latin1_y[224]={ 33,6,8,5,4,7,10,8,6,6,7,9,27,19,
28,4,6,6,6,6,7,7,6,7,6,6,15,15,9,15,9,8,6,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,7,4,7,6,41,5,14,7,14,7,14,7,14,7,7,
7,7,7,14,14,14,14,14,14,14,8,14,14,14,14,14,14,7,7,7,17,7,7,7,7,7,7,7,7,7,
7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,7,33,15,5,8,11,8,
7,7,7,8,6,15,19,19,8,1,3,4,6,6,5,14,7,17,31,6,6,15,6,6,6,15,-1,-1,0,1,
1,-1,8,8,-1,-1,0,1,-1,-1,0,1,8,1,-1,-1,0,1,1,13,6,-1,-1,0,1,-1,8,7,5,5,
6,7,7,5,14,14,5,5,6,7,5,5,6,7,7,7,5,5,6,7,7,10,12,5,5,6,7,5,7,7,
 };
static unsigned short stb__courier_bold_46_latin1_w[224]={ 0,8,14,20,19,19,19,6,10,10,18,22,9,18,
7,19,19,19,19,20,18,20,18,18,19,19,7,10,24,24,24,18,18,27,24,22,23,23,23,24,24,19,23,25,
23,27,26,24,22,24,26,20,22,24,27,26,25,24,20,10,19,10,19,29,9,23,25,22,24,22,22,24,24,20,
16,23,20,27,23,22,25,25,22,20,22,24,25,26,24,24,19,12,5,12,20,21,21,21,21,21,21,21,21,21,
21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,21,0,8,18,22,20,24,
5,22,14,26,15,22,24,18,26,29,14,22,12,12,9,24,21,7,8,12,15,22,25,28,25,18,27,27,27,27,
27,27,27,22,23,23,23,23,19,19,19,19,24,26,24,24,24,24,24,17,25,24,24,24,24,24,22,22,23,23,
23,23,23,23,26,22,22,22,22,22,20,20,20,20,21,23,22,22,22,22,22,22,24,24,24,24,24,24,25,24,
 };
static unsigned short stb__courier_bold_46_latin1_h[224]={ 0,28,12,32,35,27,24,13,34,34,18,24,13,5,
6,34,28,27,27,28,26,27,28,27,28,28,19,23,24,13,24,26,31,25,25,26,25,25,25,26,25,25,26,25,
25,25,25,26,25,32,25,26,25,26,25,25,25,25,25,33,34,33,14,5,8,20,27,20,27,20,26,28,26,26,
35,26,26,19,19,20,28,28,19,20,26,20,19,19,19,28,19,33,33,33,9,26,26,26,26,26,26,26,26,26,
26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,26,0,27,30,25,20,25,
33,30,5,26,13,18,14,5,26,6,14,29,15,15,8,28,30,7,10,15,13,18,27,27,27,27,34,34,33,32,
32,34,25,33,34,34,33,32,34,34,33,32,25,32,35,35,34,33,33,17,30,35,35,34,33,34,25,27,29,29,
28,27,27,29,20,27,29,29,28,27,28,28,27,26,27,26,29,29,28,27,27,23,24,29,29,28,27,37,35,35,
 };
static unsigned short stb__courier_bold_46_latin1_s[224]={ 254,239,185,1,94,24,26,247,234,223,199,
225,246,231,247,109,1,220,204,68,23,154,150,201,114,134,248,240,200,144,46,
42,174,1,54,61,120,156,176,107,46,26,132,79,96,98,149,71,126,102,195,
177,205,198,105,71,222,1,228,93,234,69,68,31,246,211,224,144,1,167,223,
169,1,156,77,47,26,144,26,121,48,74,70,190,84,1,93,172,119,100,50,
26,245,80,200,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,254,238,193,
144,235,29,63,212,61,148,169,218,103,231,175,1,88,1,42,241,221,125,27,
248,247,55,128,1,175,96,45,26,25,53,129,22,74,81,167,182,1,129,39,
50,203,214,205,127,180,147,189,114,1,225,104,24,1,139,164,153,157,178,133,
88,168,215,21,134,158,24,94,111,49,72,45,65,194,235,44,202,182,223,192,
145,215,1,125,71,1,95,120,89,71,1,51,26, };
static unsigned short stb__courier_bold_46_latin1_t[224]={ 1,142,440,109,1,232,394,173,39,39,419,
368,288,440,260,39,203,203,232,203,288,203,173,203,203,203,142,203,368,440,394,
288,109,342,342,288,315,342,368,288,368,368,288,342,315,368,368,315,368,109,315,
288,342,288,342,368,315,368,342,74,1,74,440,459,302,394,232,394,260,394,288,
173,315,288,1,315,315,419,419,394,173,173,419,394,288,419,419,419,419,173,419,
74,39,74,440,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,
288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,288,1,173,109,
315,394,342,74,109,459,260,440,419,440,440,260,459,440,173,440,419,440,173,142,
162,187,440,440,440,203,260,260,260,39,39,74,109,109,39,315,74,39,39,74,
109,39,1,74,109,342,109,1,1,74,74,74,440,142,1,1,39,74,39,342,
232,142,142,203,232,232,173,394,232,142,142,203,232,173,109,232,260,232,260,142,
142,173,232,260,394,394,142,142,203,260,1,1,1, };
static unsigned short stb__courier_bold_46_latin1_a[224]={ 390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,390,
390,390,390,390,390,390,390,390, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_46_latin1_BITMAP_HEIGHT or STB_FONT_courier_bold_46_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_46_latin1(stb_fontchar font[STB_FONT_courier_bold_46_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_46_latin1_BITMAP_HEIGHT][STB_FONT_courier_bold_46_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_46_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_46_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_46_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_46_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_46_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_46_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_46_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_46_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_46_latin1_s[i] + stb__courier_bold_46_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_46_latin1_t[i] + stb__courier_bold_46_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_46_latin1_x[i];
            font[i].y0 = stb__courier_bold_46_latin1_y[i];
            font[i].x1 = stb__courier_bold_46_latin1_x[i] + stb__courier_bold_46_latin1_w[i];
            font[i].y1 = stb__courier_bold_46_latin1_y[i] + stb__courier_bold_46_latin1_h[i];
            font[i].advance_int = (stb__courier_bold_46_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_46_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_46_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_46_latin1_s[i] + stb__courier_bold_46_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_46_latin1_t[i] + stb__courier_bold_46_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_46_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_46_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_46_latin1_x[i] + stb__courier_bold_46_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_46_latin1_y[i] + stb__courier_bold_46_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_46_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_46_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_46_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_46_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_46_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_46_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_46_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_46_latin1_LINE_SPACING
#endif

