// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_courier_bold_50_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_courier_bold_50_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_courier_bold_50_latin1_BITMAP_WIDTH         256
#define STB_FONT_courier_bold_50_latin1_BITMAP_HEIGHT        539
#define STB_FONT_courier_bold_50_latin1_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_courier_bold_50_latin1_FIRST_CHAR            32
#define STB_FONT_courier_bold_50_latin1_NUM_CHARS            224

#define STB_FONT_courier_bold_50_latin1_LINE_SPACING          23

static unsigned int stb__courier_bold_50_latin1_pixels[]={
    0x00050000,0x5c405710,0xff95000b,0x0000bfff,0xffff9000,0x0100000b,
    0x00020000,0x00200000,0x00001000,0x00080000,0x00000440,0x0009ff30,
    0xfb05fff8,0xfff100df,0x000bffff,0xfff90000,0x440000bf,0x400005fe,
    0x00000dfd,0x03fe9800,0x05ff5000,0xb0000000,0xf70003df,0x7000001f,
    0x40007fff,0x440ffffa,0x4c01ffff,0x5fffffff,0xc8000000,0x0005ffff,
    0x00bfff30,0x1effe800,0x2a000000,0x00004fff,0x0009fff5,0x7fdc0000,
    0x7fec004f,0x6400001f,0x40005fff,0xfd06fff8,0xffd001ff,0x000bffff,
    0xfff90000,0xf70000bf,0x00001dff,0x02ffff98,0xffc80000,0x6400006f,
    0x0000dfff,0xffff8000,0xfffd1005,0x74400007,0x00004fff,0x36603bd5,
    0x36a2002e,0x00005fff,0xeeeeb800,0x7fe40004,0x000000df,0x007fffd1,
    0x3ff62000,0x7000005f,0x0001dfff,0x7ffdc000,0xfff9802f,0x7400002f,
    0x00002fff,0x64000000,0x00005fff,0x80000000,0x0004fffd,0x9fffb000,
    0xffd00000,0x8000007f,0x000ffff9,0xfffd0000,0xdfff300d,0xfa800003,
    0x000001ff,0xfc800000,0x000005ff,0x4c000000,0x00002fff,0x0fffdc00,
    0xfff50000,0x20000005,0x0005ffe8,0xffffa800,0x0dffe803,0xcd880000,
    0x00000000,0xfff90000,0x0000040b,0x74400000,0x0000001e,0x0000bd30,
    0x0000de88,0x17e44000,0x7f400000,0x7f7007ff,0x00000000,0x6665cc00,
    0x65cc00ac,0x3200accc,0x3b6a5fff,0x000aceff,0x333332e6,0xcccccccc,
    0x00000000,0x00000000,0x00000000,0x40000000,0x003ffff9,0x00000000,
    0xffff9000,0x3a05ffff,0xffffffff,0x5bfff900,0xfffffffd,0xfc805dff,
    0xffffffff,0x01ffffff,0x00000000,0x00000000,0x00000000,0x7ec00000,
    0x00000fff,0x6665cc00,0x65cc00ac,0x7fc0accc,0x5fffffff,0xffffff98,
    0xff904fff,0xffffffff,0xbfffffff,0x3ffffe01,0xffffffff,0x99881fff,
    0x4c400999,0x40001999,0x00abdcb9,0xdcb98000,0x310000ab,0x88013333,
    0x00019999,0x04ffff98,0x4cccccc4,0x01999999,0x3ffffff2,0xfffd02ff,
    0x6c1fffff,0xffffffff,0xffffff03,0x3f205fff,0xffffffff,0xffffffff,
    0xffffb05f,0xffffffff,0x7f643fff,0x2dffffff,0x7fffff64,0x32001dff,
    0xffffffff,0xfc80002e,0xefffffff,0xfffd9002,0xc85bffff,0xfffffffe,
    0xffb0001d,0x3fae01ff,0xffffffff,0x0dffffff,0x7ffffffc,0xfff985ff,
    0x24ffffff,0xdfffffc8,0x3fff2603,0x3f202eff,0xcdffffff,0xffffcbaa,
    0xedb884ff,0xeeeeeeee,0xff31ffff,0xffffffff,0x7ffffd4d,0x806fffff,
    0xffffffea,0x004fffff,0xfffffd50,0x09ffffff,0xffffff98,0x3ea6ffff,
    0xffffffff,0xff88006f,0xfff105ff,0xffffffff,0x9fffffff,0xffffffd8,
    0xffff03ff,0x705fffff,0x2005ffff,0x400ffffe,0x2efffffc,0x3ffff220,
    0x3e20000f,0xfff51fff,0xffffffff,0x7fffffdc,0x6406ffff,0xffffffff,
    0x0effffff,0x3ffff200,0xffffffff,0xff500eff,0xffffffff,0x7ffffdcf,
    0x006fffff,0x01ffffc8,0xfffffff3,0xffffffff,0xfc88bfff,0x203dffff,
    0xefffffc9,0xdffff102,0x7ffff500,0xfffff900,0x3fff2001,0x3e20004f,
    0x3ff61fff,0x3fffffff,0x3fffffa2,0x2e02ffff,0xefffffff,0xffffffed,
    0xfffb800f,0xfedeffff,0x00ffffff,0xfffffffb,0x7ff447ff,0x2fffffff,
    0x7fffc400,0x7fffe405,0xffffffff,0x701effff,0x2005ffff,0x400ffffe,
    0x402ffffb,0x800ffffe,0x002ffffc,0x003ffff4,0x83ffff10,0x19dfffe8,
    0x3ffe6620,0x7ffc403f,0xfb881eff,0x4405ffff,0x81efffff,0x5fffffb8,
    0x37fffa20,0x3e662019,0x70003fff,0x2003ffff,0xfff99999,0x009999cf,
    0x037fffc4,0x01ffffd4,0x037fffc4,0x007ffff5,0x001ffff2,0x003fffee,
    0x0ffffc40,0x0027ffec,0xd00bfffe,0x300bffff,0x405fffff,0x805ffffe,
    0x02fffff9,0x0013fff6,0x0005ffff,0x001bfffe,0x007ffff0,0x0bfffee0,
    0x01ffffd0,0x0bfffee0,0x007ffff4,0x006fffc8,0x01ffff98,0x3ffff100,
    0x009fffb0,0x202ffff8,0x004ffffc,0x03ffffe2,0x013ffff2,0x0fffff88,
    0x009fffb0,0x002ffff8,0x02ffffb8,0x1ffffc00,0xffff8800,0x3fffea06,
    0x7fffc003,0x3ffffb86,0x1ffff200,0x3fffea00,0xfff10000,0x9fffb03f,
    0x2ffff800,0x1fffff10,0xffffb800,0x7ffffc44,0x7ffdc000,0x9fffb04f,
    0x2ffff800,0x6fffe800,0xffff8000,0x3fee0003,0xfffd02ff,0xffb8001f,
    0x7fff43ff,0x3ff2000f,0x7ec001ff,0x220007ff,0xfd81ffff,0x7fc004ff,
    0xfff302ff,0x3fa0005f,0x7ffcc6ff,0xffd0002f,0x3fff60df,0x7fffc004,
    0x7ffd4002,0xff80003f,0x7c0003ff,0xffb86fff,0xff0003ff,0x7ffdcdff,
    0x7fe4003f,0x3e6006ff,0x20005fff,0xd81ffff8,0x7c004fff,0xff702fff,
    0x7d4000df,0x7ffdc7ff,0x3fea0006,0x9fffb07f,0x2ffff800,0x3ffff400,
    0xffff8000,0x7fdc0003,0x7fff43ff,0xff70000f,0x3fffe7ff,0x7fe4000f,
    0x5400dfff,0x003fffff,0x07fffe20,0x0013fff6,0x3205ffff,0x20005fff,
    0x321ffff8,0x20005fff,0xd81ffff8,0x7c004fff,0x2a002fff,0x0003ffff,
    0x007ffff0,0x4dffff00,0x003ffffb,0x5fffffc0,0x8003ffff,0xfffffffc,
    0x3ff2a20a,0x40006fff,0xd81ffff8,0x7c004fff,0xffd02fff,0xff80007f,
    0x3fffa2ff,0x7ffc0003,0x4fffd82f,0x17fffc00,0x1ffffb00,0x3ffe0000,
    0xfb80003f,0xffff3fff,0xfb80001f,0xffffffff,0xfffc8000,0xffffffff,
    0xffffffff,0x7fc40000,0xfffd81ff,0x7fffc004,0x05ffff02,0x3fffe800,
    0x000bfffe,0xb07fffd0,0xf8009fff,0xf3002fff,0x00009fff,0x001ffffc,
    0xbfffff80,0x0003ffff,0xffffffd0,0x3f20007f,0xffffffff,0xffffffff,
    0xf880002f,0xffd81fff,0x7ffc004f,0x5ffff02f,0xfffe8000,0x00bfffe3,
    0x07fffd00,0x8009fffb,0xb002ffff,0x0001ffff,0x01ffffc0,0xffffb800,
    0x000fffff,0xfffff700,0x320001ff,0xfffeefff,0xffffffff,0xf100000d,
    0xffb03fff,0xfff8009f,0x7fffd02f,0xffff8000,0x00ffffa2,0x05ffff00,
    0x8009fffb,0x8802ffff,0x0004ffff,0x01ffffc0,0xffffd000,0x00007fff,
    0x3fffffe8,0x3fff2000,0xfffffd55,0x00003bff,0x81ffff88,0x4004fffd,
    0xf902ffff,0x44000bff,0x3f21ffff,0x220005ff,0xfd81ffff,0x7fc004ff,
    0xffc802ff,0x400001ff,0x0003ffff,0x3ffffee0,0x400000ff,0x00fffffb,
    0x17fff200,0x00135531,0x7ffc4000,0x4fffd81f,0x17fffc00,0x006fffb8,
    0x71fffea0,0x4000dfff,0xfb07fffa,0xff8009ff,0x7fc402ff,0x800005ff,
    0x0003ffff,0x7fffff40,0xfb800003,0x40003fff,0x0005fffc,0x7fc40000,
    0xfffc81ff,0x3ffe2005,0xffff301f,0x3ffa0007,0x7fffcc6f,0xfffd0003,
    0x17fff20d,0x1ffff880,0x0ffffe40,0x7ffc0000,0x5c00003f,0x000fffff,
    0x7fffc400,0xffc80007,0x0000005f,0x07fffd40,0x0037ffdc,0x440ffff5,
    0x000fffff,0x227fffdc,0x00fffff8,0x27fffdc0,0x006fffb8,0x101fffea,
    0x000dffff,0x0ffffe00,0xfff70000,0x9000007f,0x0007ffff,0x00bfff90,
    0xfd800000,0xfff307ff,0x3ff6005f,0x7ffdc06f,0x3fe6005f,0xfff706ff,
    0x7fcc00bf,0x3fe606ff,0xffb002ff,0xfffb80df,0xf000002f,0x00007fff,
    0x03ffffc4,0x7ffc4000,0xf900007f,0x00000bff,0x7fffcc00,0xfffff105,
    0xffffd801,0xffffd804,0x7ffd400d,0x3ff602ff,0x7d400dff,0x2202ffff,
    0x400fffff,0x404ffffd,0x0006ffff,0x0ffffe00,0xfffc8000,0x4c40003f,
    0xffffc999,0xfd880004,0x00099eff,0x4cccc400,0xfffffba9,0x3fffee03,
    0x3f6a20bf,0x8800efff,0x0affffff,0x7ffffe4c,0x7fffc405,0x7e4c0aff,
    0xb805ffff,0x20bfffff,0xeffffda8,0x3fffea00,0xaa880002,0xdffffaaa,
    0x8001aaaa,0x007ffff8,0x3ffffaa0,0xffffffff,0xffeb8004,0xefffffff,
    0x7f540003,0xffffffff,0xfd805fff,0xfeefffff,0x01ffffff,0x3ffffea0,
    0xffffefff,0xa800ffff,0xffffffff,0xfffffffe,0xfffb000f,0xfffddfff,
    0xe803ffff,0x80007fff,0xfffffffd,0xffffffff,0x333101ff,0x09ffff93,
    0x7ffff400,0xffffffff,0x3e2000ff,0xffffffff,0x0000ffff,0x3ffffffe,
    0x05ffffff,0xfffffd10,0xffffffff,0xfff70009,0xffffffff,0x4001bfff,
    0xfffffffb,0xdfffffff,0x3ffa2000,0xffffffff,0x7cc04fff,0x40003fff,
    0xfffffff9,0xffffffff,0x7f545fff,0xffffffff,0xe8004fff,0xffffffff,
    0x01ffffff,0x3ffffe20,0xffffffff,0x3ffe0000,0xffffffff,0x7e44005f,
    0xffffffff,0x260002ff,0xfffffffe,0x0003ffff,0xffffffd3,0x007fffff,
    0x3ffff220,0x2fffffff,0x06fff880,0xffff8800,0xffffffff,0x44ffffff,
    0xfffffffe,0x0fffffff,0x7fff5400,0xffffffff,0xffc8004f,0xffffffff,
    0x75c0004f,0xdfffffff,0x3a60001b,0xdfffffff,0xff700000,0x3bffffff,
    0xfff70000,0x03bfffff,0xfffd3000,0x001bffff,0x0000f7dc,0xfffffda8,
    0xffffffff,0x7ff40cef,0xffffffff,0x0001ffff,0x33333331,0x10000333,
    0x13333333,0x99880000,0x80000199,0x001acba8,0x32ea2000,0x1000000a,
    0x00015975,0x2b2ea200,0x00000001,0xa8000000,0xfffffffe,0x004fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x33333100,0x00033333,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00001000,0x20000000,0x00000008,0x00008800,0x0032e200,0x02ea0000,
    0x00002000,0x00025400,0x0004a800,0x5b910018,0x03bf6000,0x02ffb800,
    0xff880000,0x00000003,0x0003fee0,0x3ffff600,0x7000000d,0xd8000fff,
    0x000000ef,0x003dffb1,0x3ff62000,0xff98001e,0x7ffec00f,0xfffd8001,
    0xfff88001,0x4000000f,0x000dfff8,0x7ec00000,0x400001ff,0x3feabefa,
    0xffb00000,0x7ec0003f,0x400001ff,0x4ffffffa,0x7fd40000,0x4004ffff,
    0x7406fffc,0x88002fff,0x4003fffe,0x003ffff8,0xfffa8000,0x0000000e,
    0x03fffe88,0x20fe8000,0x000006f8,0x0007ffff,0x017fff44,0x7ffe4400,
    0x01efffef,0x7ffec400,0x01efffef,0x07ffff90,0x001ffffc,0x04fffd88,
    0x03ffff40,0xffa80000,0x000001ff,0x0bfffe60,0x43fc0000,0x400000fe,
    0x01dffffa,0x3fff6200,0x3fa20004,0xfff91eff,0x3a20007f,0xff90efff,
    0xff1007ff,0x3fe01fff,0x640003ff,0x2a005fff,0x0003ffff,0xfffd1000,
    0x30000005,0x0003dfff,0xf10fe400,0x3220000d,0xffffffff,0x4000dfdf,
    0x0005fffc,0xd307fff9,0x90001fff,0xfd307fff,0xffb001ff,0x3ffe09ff,
    0xfa80003f,0x3fa001ff,0x000006ff,0x01bff620,0x3ffa0000,0x4000000d,
    0x2ffcdff9,0xffe98000,0xffffffff,0xb8003fff,0xa8001fff,0x37e401ef,
    0x01dfa800,0xf98037e4,0xff80ffff,0x300003ff,0x7dc001db,0x00002fff,
    0x001fdc00,0x01fdc000,0xfd700000,0x100009ff,0xffffffff,0xdfffffff,
    0x03ba6000,0x00000000,0xb0000000,0xff09ffff,0x000007ff,0xdffff000,
    0x00000000,0x00000000,0x0aa00000,0xfffc8000,0xffeeefff,0x0007ffff,
    0x00000000,0x00000000,0x0fffffa8,0x001ffffc,0x7dc00000,0x00001fff,
    0x00000000,0x00000000,0x7c400000,0xf703ffff,0x0000dfff,0x32e60000,
    0x10000abd,0x80133333,0x80199998,0x7c2ffffe,0x26203fff,0x99999999,
    0x99999999,0xfff10099,0x980000bf,0x99999999,0x99800000,0x09999999,
    0x99980000,0x00999999,0x3fffe600,0x27ffcc04,0x99999988,0x01999999,
    0xfffffc80,0x9002efff,0xfffffffd,0xfffec85b,0x501dffff,0xff8dffff,
    0xffeb83ff,0xffffffff,0xffffffff,0x3ff202ff,0x440001ff,0xfffffffd,
    0x00006fff,0xffffffb1,0x000dffff,0x3ffff620,0x06ffffff,0x3fffea00,
    0x41ffd800,0xffffffeb,0xffffffff,0x7f5400df,0xffffffff,0x7fcc04ff,
    0xffffffff,0x3ffffea6,0x206fffff,0x7fc7fffe,0x7ffc43ff,0xffffffff,
    0xffffffff,0x3e202fff,0x40005fff,0xfffffffc,0x002fffff,0xfffffc80,
    0x2fffffff,0xfffc8000,0xffffffff,0xff30002f,0x202005ff,0xfffffff8,
    0xffffffff,0x3f204fff,0xffffffff,0x00efffff,0xfffffff5,0x7fdcffff,
    0xffffffff,0x3ffff606,0x10ffffe1,0xffffffff,0xffffffff,0x05ffffff,
    0x00ffffd8,0x3ffff200,0xffffffff,0xffc80005,0xffffffff,0xc80005ff,
    0xffffffff,0x0005ffff,0x17fffff1,0xffff3000,0xffffffff,0x0bffffff,
    0x3fffffee,0xffffedef,0xffb00fff,0x7fffffff,0x7fffff44,0x3202ffff,
    0x3fe2ffff,0xfffc83ff,0xffffffff,0xffffffff,0x7fcc02ff,0x260004ff,
    0xfffffffe,0x000fffff,0x7ffff4c0,0xffffffff,0x7f4c0000,0xffffffff,
    0x90000fff,0x9dffffff,0x3ff20037,0xffffffff,0x1effffff,0xefffff88,
    0xffffb881,0x3ffa205f,0x262019df,0x803ffff9,0x3e3ffffa,0x36603fff,
    0x9999dfff,0xff999999,0xffd802ff,0x440000ff,0xfffff999,0x00003fff,
    0xffff3331,0x0007ffff,0x3fe66620,0x03ffffff,0xfffff100,0x59ffffff,
    0xf3333300,0x33339fff,0x7ffff401,0xffff9805,0x3fff602f,0x7fffc004,
    0xffff9802,0x00ffffe4,0x400bfffb,0x9802ffff,0x0003ffff,0x3ffffee0,
    0x00006fff,0xffffffb8,0x800006ff,0xfffffffb,0x3a20006f,0xffffffff,
    0x4000dfff,0x2003ffff,0x004ffffc,0x03ffffe2,0x0027ffec,0x200bfffe,
    0x3e6ffff8,0x7ec03fff,0x3fe005ff,0xffd002ff,0x740000ff,0xfffbefff,
    0x7400002f,0xfffbefff,0x7400002f,0xfffbefff,0x75c0002f,0xffffffff,
    0x3e000fff,0xf1003fff,0x8001ffff,0xb04ffffb,0xf8009fff,0xff002fff,
    0x7fffcfff,0x2fffec03,0x7ffec1a8,0xffff5000,0xff300007,0x3fffe7ff,
    0x3e600005,0xffff3fff,0x7cc0000b,0xffff3fff,0x2e20000b,0xffffffec,
    0x3ffe006f,0xfff3003f,0x3fa0005f,0xfffb06ff,0xffff8009,0xffffd002,
    0x00ffffe1,0xe88bfffb,0x1bfee3ff,0x0dfffd00,0xffff9000,0x03ffff21,
    0x7ffe4000,0x1ffff90f,0x3ff20000,0xffff90ff,0x2a000001,0x02fffffc,
    0x007ffff0,0x001bffee,0xb07fffa8,0xf8009fff,0xff002fff,0x7fffcfff,
    0x2fffec03,0x5317ffe6,0xffff7000,0x7fc40005,0x3ffe65ff,0xf880003f,
    0x3fe65fff,0x880003ff,0x3e65ffff,0x04003fff,0x3fffe600,0x7ffff004,
    0x17fff200,0xffff8800,0x04fffd81,0x017fffc0,0xf2ffffc4,0xfd807fff,
    0xfcaaaeff,0x200007ff,0x0006ffff,0xd0bfffee,0x0000dfff,0xe85ffff7,
    0x80006fff,0x742ffffb,0x32006fff,0x3f6001ff,0xfff005ff,0x3ffa007f,
    0x7fc0003f,0xfffd82ff,0x7fffc004,0xffff9802,0x00ffffe4,0xfffffffb,
    0x000fffff,0x17fffdc0,0x6fffe800,0x02ffffa8,0x37fff400,0x017fffd4,
    0x1bfffa00,0x00bfffea,0x801bffe2,0xf006fffd,0x3e007fff,0x40002fff,
    0xfd83fffe,0x7fc004ff,0xffb802ff,0x3fffe3ff,0x7fffec03,0x7fffffff,
    0x3fe20000,0xf98006ff,0xfff03fff,0x7cc000bf,0xfff03fff,0x7cc000bf,
    0xfff03fff,0xfff500bf,0xfff3005f,0x3ffe009f,0xffff003f,0xffe80005,
    0x4fffd83f,0x17fffc00,0x0ffffe40,0xd807ffff,0xffffffff,0x00007fff,
    0x00ffffe4,0x03ffff20,0x007fffe4,0x0ffffc80,0x01ffff90,0x3ffff200,
    0x1ffff900,0xfffffa80,0x3fffaa04,0xffff002f,0x3fffa007,0x7ffc0003,
    0x4fffd82f,0x17fffc00,0x07fffec0,0xd807ffff,0xffffffff,0x00007fff,
    0x02ffffc4,0x9fffff10,0xffb99999,0xf10007ff,0x9999ffff,0x7ffffb99,
    0xffff1000,0xb999999f,0xa807ffff,0xefffffff,0xffffeccc,0x3ffe006f,
    0xfff9003f,0x7fc4000b,0xfffd81ff,0x7fffc004,0x7fffc402,0x01ffffc7,
    0xf517fff6,0x00000fff,0x003ffff9,0x3fffffee,0xffffffff,0xfb8006ff,
    0xffffffff,0x6fffffff,0xffffb800,0xffffffff,0x5406ffff,0xffffffff,
    0xffffffff,0x3ffe001f,0xfff7003f,0x7fd4000d,0x9fffb07f,0x2ffff800,
    0x27fffe40,0xb00ffffe,0xff98bfff,0x00e5c46f,0x4ffff980,0xfffffd00,
    0xffffffff,0x8005ffff,0xfffffffe,0xffffffff,0x7f4002ff,0xffffffff,
    0xffffffff,0x3fffe202,0xffffffff,0x4002ffff,0x3003ffff,0x0007ffff,
    0x641bfffa,0x22005fff,0x2201ffff,0x7c0fffff,0x7ec03fff,0x2ffc85ff,
    0x0003ffe4,0x801ffffb,0xfffffff9,0xffffffff,0x26005fff,0xffffffff,
    0xffffffff,0x3e6005ff,0xffffffff,0xffffffff,0x6fff405f,0xffffffff,
    0xf8000dff,0xf1003fff,0x8001ffff,0x704ffffb,0x5400dfff,0x7dc07fff,
    0xfff85fff,0x7ffec03f,0xffd01305,0x3e60003f,0x7e404fff,0xeeeeefff,
    0xffeeeeee,0xff9000ff,0xddddddff,0xfffddddd,0x3ff2001f,0xeeeeeeff,
    0xfffeeeee,0x9304c00f,0x017dffff,0x1ffffc00,0xbffff700,0x7fffcc00,
    0x3fffe606,0xdfffb002,0x1fffff80,0x403ffff8,0x4005fffd,0x0002ffff,
    0x403ffffa,0x004ffff8,0x00ffffe2,0x013fffe2,0x03ffff88,0x04ffff88,
    0x0ffffe20,0x1ffffc00,0x7fffc000,0x7ffec003,0x7fd400df,0x3e202fff,
    0x6c00ffff,0x2e04ffff,0xff06ffff,0xffd807ff,0x7ffc005f,0x3ea0002f,
    0xff703fff,0xfd8003ff,0xffb806ff,0x7ec001ff,0xffb806ff,0x7ec001ff,
    0xff0006ff,0xf00007ff,0x88007fff,0x0affffff,0x7ffffe4c,0xffffb805,
    0x3f6a20bf,0x3a00efff,0xff02ffff,0x3aa207ff,0xaaaaefff,0xfaaaaaaa,
    0x40002fff,0xe987fffe,0x801affff,0xbffffca8,0xfffe9809,0xca8801af,
    0x809bffff,0x1affffe9,0xfffca880,0x3e0009bf,0x22003fff,0xfffaaaaa,
    0x01aaaadf,0x7fffffd4,0xfffffeff,0xfb000fff,0xfddfffff,0x03ffffff,
    0x037fffd4,0xfb05fffd,0xffffffff,0xffffffff,0x005fffff,0x3ffffa80,
    0xfffffff5,0x3f603fff,0xffffffff,0x3ffffea6,0xb01fffff,0xffffffff,
    0x7fffd4df,0x01ffffff,0xfffffffb,0x7fc00dff,0xffb002ff,0xffffffff,
    0x3fffffff,0x7ffffdc0,0xffffffff,0x3a2000df,0xffffffff,0x404fffff,
    0x201ffffd,0x7cc1fffd,0xffffffff,0xffffffff,0x02ffffff,0x5fffe800,
    0xfffffffd,0xff10bfff,0xffffffff,0x3ffffa5f,0x85ffffff,0xfffffff8,
    0xffd2ffff,0xffffffff,0xfffff10b,0x05ffffff,0x007fff60,0x3fffffe6,
    0xffffffff,0x4c05ffff,0xfffffffe,0x0003ffff,0xffffff91,0x005fffff,
    0x8809fff7,0xfff882dc,0xffffffff,0xffffffff,0x0002ffff,0xfb4fffa8,
    0xffffffff,0xffff109f,0x3fffffff,0x3ffffff6,0xf884ffff,0xffffffff,
    0xffffb1ff,0x09ffffff,0xfffffff1,0x2003ffff,0xf1006ffa,0xffffffff,
    0xffffffff,0x3fee009f,0x1dffffff,0xffe98000,0x00dfffff,0x0000f6e0,
    0x7ffffed4,0xffffffff,0xffffffff,0x9d700002,0x3fffb221,0x500cefff,
    0xfffffffb,0x7ff6447b,0x00ceffff,0xffffffb5,0x7f6447bf,0x0cefffff,
    0xfffffb50,0x98007bff,0x7fed4002,0xffffffff,0x00ceffff,0x0565d440,
    0xba880000,0x000001ac,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x11000000,0x22000000,
    0x95000000,0xc9800000,0x44000000,0x000d401b,0x2a2000c0,0x00accecc,
    0x0012a000,0x2a00dc40,0x00000001,0x2e000000,0x000000ff,0x00007fdc,
    0x03dffb10,0xfff90000,0x22000005,0xfff02fff,0x3fea0009,0xfffc8806,
    0x9dffffff,0x22003ffa,0x0001effd,0x7c0bffe2,0xb80004ff,0x00202efe,
    0x3ff60000,0x2000001f,0x0001fffd,0xffffff50,0x3a600009,0x00dfffff,
    0x7ffe4000,0x0ffffa86,0x7fffc400,0x3fffee02,0xffffffff,0x5007ffff,
    0x09ffffff,0x1bfff200,0x003fffea,0x7ffff440,0x0bfa60df,0x7f440000,
    0x000003ff,0x007fffd1,0xffff9100,0x003dfffd,0x77fffe40,0x0002ffff,
    0x213ffea0,0x8006fff8,0xb02ffffd,0xffffffff,0xffffffff,0x7ec403ff,
    0xefffefff,0x7ffd4001,0x06fff884,0x3ffff600,0xffccffff,0x9800004f,
    0x0002ffff,0x5ffff300,0xffd10000,0x3fff23df,0xffe8003f,0xffff71ef,
    0x7e400009,0x05df700d,0x7ffff980,0xffffff90,0xffffd9df,0x203fffff,
    0x90efffe8,0x8007ffff,0xdf700dfc,0x3fe20005,0xffffd51f,0x00001dff,
    0x01efff98,0xfff30000,0x3200003d,0xfe983fff,0x3ee000ff,0xffe884ff,
    0x0000001f,0xfffb0000,0xffff507f,0xf91015df,0x203fffff,0xe983fffc,
    0x00000fff,0x17500000,0xbffffc88,0xfe800000,0x000000df,0x00037ffa,
    0x401efa80,0x7d4006fc,0x077dc01e,0x00000000,0x7ffffcc0,0x7ffffc40,
    0xffe9800e,0x3bf501ff,0x0006fc80,0x00000000,0x00000aa2,0x00007f70,
    0x0007f700,0x00000000,0x00000000,0xf9000000,0xff709fff,0x54001dff,
    0x0001ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x30000000,0x00157b97,0x1fffff10,0x01ffffd0,0x00ffff00,0x99880000,
    0x4c400999,0x40001999,0x00abdcb9,0x00000000,0x00000000,0x26666662,
    0x99999999,0x00099999,0x33333333,0x20000013,0xfffffffc,0x3f2002ef,
    0xff884fff,0xf70003ff,0x4ccc40bf,0x99999999,0xfffd9019,0xc85bffff,
    0xfffffffe,0x3ff2001d,0x2effffff,0x19998000,0x02666200,0x33333310,
    0x33333333,0xb8133333,0xfffffffe,0xffffffff,0x202fffff,0xffffffd8,
    0x0006ffff,0x7ffff540,0x4fffffff,0x1fffff00,0x01ffff50,0xeb814c00,
    0xffffffff,0xdfffffff,0xffffff30,0x7d4dffff,0xffffffff,0xffea806f,
    0xffffffff,0xfd98004f,0x00dfffff,0xdfffffd7,0xffffeb89,0xffffffff,
    0xffffffff,0x3ffffe22,0xffffffff,0xffffffff,0x3fff202f,0xffffffff,
    0xf900002f,0xffffffff,0x01dfffff,0x82ffffcc,0x0007fffb,0xfffff100,
    0xffffffff,0x2a9fffff,0xffffffff,0x3ffee7ff,0x6fffffff,0x7ffffe40,
    0xffffffff,0x3fa000ef,0x4fffffff,0xffffff88,0xfff12fff,0xffffffff,
    0xffffffff,0x7fc45fff,0xffffffff,0xffffffff,0x3202ffff,0xffffffff,
    0x0005ffff,0xffffffb8,0xffffedef,0xff500fff,0x3ff207ff,0x3000006f,
    0xffffffff,0xffffffff,0x7ffecbff,0x23ffffff,0xffffffe8,0x3ee02fff,
    0xdeffffff,0xfffffffe,0xffffd000,0xf30bffff,0xffffffff,0x3ffffe27,
    0xffffffff,0xffffffff,0x7fffe42f,0xffffffff,0xffffffff,0x3ffa602f,
    0xffffffff,0x220000ff,0x81efffff,0x5fffffb8,0x05ffff70,0x0017fff2,
    0xffffc800,0xffffffff,0x441effff,0x019dfffe,0x3fffe662,0x7fffc403,
    0xffb881ef,0xf5005fff,0x3fffffff,0x3fffff60,0x3ff20eff,0xffffffff,
    0xffffffff,0xfb302fff,0x33333bff,0xfff33333,0x3331005f,0xffffffff,
    0x7ff40007,0xff9805ff,0xffd82fff,0xfff901ff,0x3000000b,0xffff3333,
    0x40133339,0x4004fffd,0x7402ffff,0x9805ffff,0x002fffff,0x07ffffe6,
    0x19ffffd0,0x6fffecc0,0x99999999,0x02ffff99,0x8017fff6,0x4002ffff,
    0xfffffffb,0xff90006f,0x7c4009ff,0x7f40ffff,0x3ff207ff,0x0000005f,
    0x007ffff0,0x004fffd8,0x9017fffc,0x4009ffff,0x00fffff8,0x1bfffee0,
    0x06ffffa8,0x00bfffb0,0xb017fffc,0x7c00bfff,0x74002fff,0xfffbefff,
    0x7fc4002f,0x5c000fff,0x7fc4ffff,0x3fee06ff,0x0000007f,0x007ffff0,
    0x004fffd8,0x8817fffc,0x000fffff,0x027fffdc,0x13ffff60,0x07ffffe2,
    0x02fffec0,0x405ffff0,0x3505fffd,0x000fffd8,0x7cffffe6,0x4c005fff,
    0x0002ffff,0x7ccdfffd,0x3ea05fff,0x00000fff,0x3ffff800,0x27ffec00,
    0x0bfffe00,0x017fffcc,0x06fffe80,0x7ffffc40,0x27fffec1,0x0bfffb00,
    0x1fffb06a,0x22fffec0,0x3ee3ffe8,0x7fe4006f,0xffff90ff,0x7ffdc001,
    0x3fea0006,0x3fffe67f,0x3fffe604,0x80000002,0x4003ffff,0x4004fffd,
    0xf702ffff,0x54000dff,0xa8007fff,0x3ea6ffff,0x6c006fff,0x7f445fff,
    0x01bfee3f,0xf98bfffb,0x0014c5ff,0x997fffe2,0x2003ffff,0x0005fffc,
    0x447fffe2,0x7c05ffff,0x0000efff,0x7fffc000,0x7ffec003,0x7fffc004,
    0x0bfff902,0x7fffc400,0xfffd8001,0xfffff8cf,0x7ffec001,0x22fffcc5,
    0xfffd8029,0xfffcaaae,0xffb80007,0x7fff42ff,0x3fffa006,0x7ffc0003,
    0x1ffffe2f,0x09ffff70,0x0077ee00,0x003ffff8,0x0027ffec,0x740bfffe,
    0x40003fff,0x8002ffff,0xfefffff8,0xd8003fff,0xcaaaefff,0xb0007fff,
    0xffffffff,0x0000ffff,0xf50dfffd,0x3e005fff,0x40002fff,0x3fa3fffe,
    0x3e200fff,0x000dffff,0x00bfffb1,0x001ffffc,0x0013fff6,0x3e05ffff,
    0x40002fff,0x0003fffe,0xfffffff5,0x3f6000df,0xffffffff,0xfb0007ff,
    0xffffffff,0x98000fff,0xff03ffff,0x3fe00bff,0x740002ff,0x3ff63fff,
    0x7fd401ff,0x881bffff,0x6fffffb9,0x0ffffe00,0x09fffb00,0x02ffff80,
    0x0005ffff,0x003fffe8,0x3fffff60,0xfb0001ff,0xffffffff,0x36000fff,
    0xffffffff,0x40007fff,0x900ffffc,0xd001ffff,0x80007fff,0x3ee2ffff,
    0xfc802fff,0xffffffff,0xfffffffe,0x3fe002ff,0x7ec003ff,0x7fc004ff,
    0xfffd02ff,0xfff80007,0x3e20002f,0x003fffff,0x3fffff60,0x07ffffff,
    0xfffffb00,0x0fffffff,0x7fffc400,0xdccccccf,0xc803ffff,0x20005fff,
    0x2a1ffff8,0x9003ffff,0xffffffff,0xffffffff,0xfff8007f,0x7fec003f,
    0x7ffc004f,0xbfff902f,0x7ffc4000,0x7d40001f,0x40006fff,0xfffffffd,
    0x0007ffff,0xfa8bfffb,0x2e0007ff,0xffffffff,0xffffffff,0x6fffb806,
    0x3ffea000,0x37fffcc7,0xfffff500,0xffffffff,0xff0003df,0xfd8007ff,
    0x7fc004ff,0xfff702ff,0x7fd4000d,0xff00007f,0xd80007ff,0x7fd45fff,
    0xffb0007f,0x6fff98bf,0x3a00e5c4,0xffffffff,0xffffffff,0x7ffcc02f,
    0xffd0003f,0xffffd0df,0xffda8005,0xdeffffff,0x3ffe0003,0x7fe4003f,
    0x3fe2005f,0xfff301ff,0x3fa0007f,0xf00006ff,0x80007fff,0x7cc5fffd,
    0x0e5c46ff,0x90bfffb0,0x7ffc85ff,0x3ffffe60,0xffffffff,0x405fffff,
    0x00fffff8,0x27fffdc0,0x037fffdc,0xbfffa880,0xff000009,0xfb8007ff,
    0x3ea006ff,0x3fe207ff,0x5c000fff,0x0004ffff,0x007ffff0,0x85fffd80,
    0x7fe42ffc,0x17fff607,0x7fff404c,0xdffff901,0xdddddddd,0x01ffffdd,
    0x05ffffb8,0x1bfffe60,0x0fffffc4,0x00fff000,0x7ffff000,0xffff9800,
    0xdfffb002,0x5ffffb80,0x3fffe600,0x3fe00006,0x6c0003ff,0x01305fff,
    0x3603fffd,0x7c005fff,0xff882fff,0x3e2004ff,0xfd803fff,0x5400dfff,
    0x202fffff,0x005ffffc,0x0037ffe0,0x3ffff800,0x7fffc400,0x7ffec00f,
    0xfffd804f,0x7fd400df,0x00002fff,0x000ffffe,0x00bfffb0,0xb02ffff8,
    0xf800bfff,0xffb82fff,0x7ec001ff,0xff8806ff,0x4c0affff,0x05fffffc,
    0x0fffffc4,0x6ffff800,0x3ffe0000,0xffb8003f,0x2a20bfff,0x00effffd,
    0xffffff88,0x7ffe4c0a,0x400005ff,0x0003ffff,0x002fffec,0x510bfffe,
    0x555dfffd,0x55555555,0xe985ffff,0x801affff,0xbffffca8,0x3ffea009,
    0xffefffff,0x00ffffff,0x05ffffc8,0x3b326e60,0x544001ff,0xffffaaaa,
    0x801aaaad,0xeffffffd,0xfffffffe,0x3ffea001,0xffefffff,0x00ffffff,
    0x7d554c00,0x0aaadfff,0xfffd5100,0x5555555d,0xffff5555,0x7ffffec5,
    0xffffffff,0xffffffff,0xfffff52f,0x203fffff,0xfffffffd,0x7fdc06ff,
    0xffffffff,0x000dffff,0x01fffff1,0x3b3bffa0,0x3f6000ff,0xffffffff,
    0xffffffff,0x3fffa201,0xffffffff,0xfb8004ff,0xffffffff,0x00dfffff,
    0x3fffe600,0xffffffff,0x7fec05ff,0xffffffff,0xffffffff,0xff32ffff,
    0xffffffff,0xffffffff,0x3a5fffff,0xffffffff,0xfff885ff,0xffffffff,
    0x7fff4c02,0xffffffff,0xfffb8003,0xfff9003f,0x4c00bfff,0xffffffff,
    0xffffffff,0x7e4405ff,0xffffffff,0x260002ff,0xfffffffe,0x0003ffff,
    0xffffffd8,0xffffffff,0xffff301f,0xffffffff,0xffffffff,0x3fe25fff,
    0xffffffff,0xffffffff,0xfb2fffff,0xffffffff,0xffff109f,0x3fffffff,
    0x3fffee00,0x001dffff,0x007fff60,0x67ffed44,0x3ffe2000,0xffffffff,
    0x4fffffff,0xffffd300,0x0001bfff,0x3ffffee0,0x0001dfff,0xffffff70,
    0xffffffff,0x3ffe201f,0xffffffff,0xffffffff,0x36a2ffff,0xffffffff,
    0xffffffff,0x912fffff,0xdffffffd,0x3ff6a019,0x03dfffff,0x0acba880,
    0x5b910000,0x0000c000,0xffffffb5,0xffffffff,0xa880019d,0x00001acb,
    0x02b2ea20,0x3b220000,0xffffffff,0x5402dfff,0xfffffffd,0xffffffff,
    0x02ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x02200800,0xddddd950,0xd95005dd,
    0x0aceb819,0x00000000,0x5401b880,0x01b88001,0x372200d4,0x00000002,
    0x5006e200,0x3bba0005,0x00bdeeee,0x5ee5cc40,0x1750000a,0x437fcc00,
    0xff304ffa,0x7fffffff,0x5ffffc80,0x03bfffea,0x5dfd7000,0x3e200040,
    0x9fff02ff,0x17ffc400,0x3604fff8,0xea801fff,0x000202ef,0x413ffe20,
    0xf8005ffe,0xffffffff,0x3fff2004,0x01efffff,0x07ffff50,0xd0bfff60,
    0xff501fff,0x7fffffff,0x7ffffe40,0x3fffff27,0xfe88000e,0x260dffff,
    0x3f2002fe,0xfffa86ff,0xfff9000f,0x1ffff50d,0x00bfffa0,0x3dfffffb,
    0x0001fec4,0x261fffee,0x4000ffff,0xffffffff,0xffea806f,0xffffffff,
    0x7ff400cf,0xffd007ff,0x7fffc49f,0xfffff881,0xf503ffff,0x4c9fffff,
    0x05ffffff,0xfffffd80,0xfffccfff,0x3ffea004,0x06fff884,0x213ffea0,
    0x3e06fff8,0x3ee03fff,0xcfffffff,0x0005fffb,0x442fffcc,0xf8007fff,
    0xffffffff,0x7fffe403,0xffffffff,0xff301fff,0xd005ffff,0x7fcc7fff,
    0x32e601ff,0x903ffffc,0x105bffff,0x00fffff9,0xd51fff88,0x1dffffff,
    0x00dfc800,0xc8005df7,0x5df700df,0x01ffffc0,0x3fa65ffd,0x00ffffff,
    0x01efc800,0xf0005dd5,0x1599bfff,0xfffffb80,0xfffeddff,0xff506fff,
    0xf009ffff,0x7fcc7fff,0x3fe000ff,0xfffd03ff,0xffff300b,0x40ba8003,
    0x0bffffc8,0x00000000,0x7fc00000,0x02e603ff,0x033fffee,0x00000000,
    0x02ffff80,0x3ffffe60,0xfffb881e,0xfffa84ff,0xff803fff,0x3ffea2ff,
    0x3ffe000f,0x7ffff03f,0x5ffff100,0x2a880000,0x00000000,0x3e000000,
    0x20003fff,0x000002a8,0xff000000,0x7f4005ff,0xf9805fff,0x7cc2ffff,
    0x403fffff,0x2a2ffff8,0x7c007fff,0xfff03fff,0xfff1007f,0x0000005f,
    0x00000000,0xff000000,0x000007ff,0x00000000,0x17fffc00,0x4ffffc80,
    0x3fffe200,0x3fffe20f,0x7fc402ff,0x3ffee1ff,0x7fffc007,0x07ffff03,
    0x05ffff10,0x00999988,0x03333310,0x33333310,0x03333333,0x99999988,
    0x99999999,0x3e099999,0x99803fff,0x09999999,0x99980000,0x00999999,
    0x0bfffe00,0x1bfffe20,0x3fffee00,0x7fffffc4,0x7fffcc01,0x01bffee1,
    0x207ffff0,0x8803ffff,0xd702ffff,0x01ffffff,0x7fffff64,0x7f5c2dff,
    0xffffffff,0x0dffffff,0x3fffffae,0xffffffff,0x2fffffff,0x440ffffe,
    0xfffffffd,0x00006fff,0xffffffb1,0x000dffff,0x4017fffc,0x002ffff9,
    0xf8bfffd0,0x400fffff,0x320ffff9,0x7c006fff,0xfff03fff,0xfff1007f,
    0xffff105f,0x260bffff,0xffffffff,0x3ffe26ff,0xffffffff,0x4fffffff,
    0xfffffff1,0xffffffff,0x5fffffff,0xc81ffffc,0xffffffff,0x0002ffff,
    0xffffffc8,0x02ffffff,0x05ffff00,0x00dfff70,0x23fffd40,0x80fffffe,
    0xffffeec9,0xfffffeee,0xfff803de,0x7ffff03f,0x5ffff100,0xffffff10,
    0xff505fff,0xffffffff,0x7ffffccf,0xffffffff,0xf15fffff,0xffffffff,
    0xffffffff,0x7c5fffff,0xff903fff,0xffffffff,0x90000bff,0xffffffff,
    0x000bffff,0x200bfffe,0x0005fffc,0xd83fffe6,0xf887ffff,0xffffffff,
    0xffffffff,0x7ffc02ff,0x7ffff03f,0x5ffff100,0x3fffff20,0xfd80ffff,
    0xffffffff,0x7ffffe43,0xffffffff,0x3f21efff,0xffffffff,0xffffffff,
    0x3fe2ffff,0xffd303ff,0xffffffff,0x980001ff,0xfffffffe,0x000fffff,
    0x802ffff8,0x0003fffe,0xfb17fffc,0xff50dfff,0xffffffff,0xffffffff,
    0xffff809f,0x07ffff03,0x00bfffe0,0xffffffb3,0x3fe66209,0x4ccc03ff,
    0x9cffff99,0x36600999,0x9999dfff,0xff999999,0x3fffa2ff,0x7cccc402,
    0x3fffffff,0x33310000,0xffffffff,0xffff0007,0x5ffff005,0xfffe8000,
    0x1bffff23,0x7ffffffc,0xffffffff,0x7c01ffff,0xffa83fff,0xfff002ff,
    0xffd801bf,0x401fffff,0x8003ffff,0x8003ffff,0x2005fffd,0x3ea2ffff,
    0x7fdc006f,0x06ffffff,0xfffb8000,0x006fffff,0x802ffff8,0x0002ffff,
    0xf71ffff4,0x5cc0bfff,0xcccefffe,0x0acdffff,0x23ffff80,0x0ffffffb,
    0xfffffb00,0x3fff601b,0x7c06ffff,0xf8003fff,0xd8003fff,0x3e005fff,
    0x01442fff,0x5f7fff40,0x0002ffff,0x5f7fff40,0x4002ffff,0xf802ffff,
    0x40003fff,0x3ea2ffff,0xfd804fff,0x7fffc5ff,0x7fffc002,0xffffff53,
    0x7ffcc009,0xffb05fff,0x07ffffff,0x001ffffc,0x001ffffc,0xa82fffec,
    0x007ffec1,0x7fffcc00,0x00bffff3,0x7fffcc00,0x00bffff3,0x802ffff8,
    0x0005fffe,0xa87fffe6,0xe804ffff,0x3fe24fff,0x7fc001ff,0xffff73ff,
    0xfe8003ff,0xfb06ffff,0xfffffdff,0x0ffffe03,0x0ffffe00,0x17fff600,
    0x7dc7ffd1,0xf900006f,0x3ff21fff,0x900000ff,0x3f21ffff,0x3e000fff,
    0xfd802fff,0x2a0006ff,0x7fcc7fff,0xffe803ff,0x3fffe23f,0x7fffc001,
    0xffffff13,0x7ffdc00d,0xffb03fff,0xdffff7bf,0x00ffffe0,0x00ffffe0,
    0x317fff60,0x0298bfff,0xffff1000,0x1ffffccb,0x7ffc4000,0x3fffe65f,
    0x3fffe003,0xffffa802,0xfffd0002,0x2ffff88d,0x23ffff80,0x000ffff9,
    0x711ffffc,0x003ffffd,0x073ffffa,0xfd5fffd8,0xfff07fff,0xfff0007f,
    0xffb0007f,0xff9555df,0x00c400ff,0x85ffff70,0x0006fffe,0x42ffffb8,
    0x2006fffe,0xf002ffff,0x8001ffff,0xd83ffffb,0x995107ff,0xb99bffff,
    0x0379ffff,0x20ffffe0,0x002ffff8,0xb007ffff,0x3fe6bfff,0x7ffc0fff,
    0xfff8003f,0xffd8003f,0xffffffff,0xdff5007f,0x1bfffa00,0x00bfffea,
    0x0dfffd00,0x005ffff5,0x400bfffe,0x005ffffb,0x41bfffe6,0xffd02dd9,
    0xffffffff,0xffffffff,0x7ffff005,0x00ffffe0,0x4017fffc,0x3f25fffd,
    0x7ffc5fff,0xfff8003f,0xffd8003f,0xffffffff,0xfffd007f,0xffff9805,
    0x0bffff03,0x7fffcc00,0x0bffff03,0x00bfffe0,0x6fffffc4,0x7fffdc00,
    0xff30002f,0xffffffff,0xffffffff,0xffff00bf,0x0ffffe07,0x0bfffe20,
    0xd17fff60,0x7fc5ffff,0xff8003ff,0xfd8003ff,0xffffffff,0xfff007ff,
    0xfffc807f,0xffff900f,0x3ff20001,0xfff900ff,0xffff001f,0x7ffd4005,
    0x6cc0afff,0x005fffff,0x7fffffc0,0xffffffff,0x803fffff,0xff03ffff,
    0xff1007ff,0xffb005ff,0xffff98bf,0x07ffff0f,0x07ffff00,0xfffffb00,
    0x0fffffff,0x80ffffe0,0xccfffff8,0xfffdcccc,0xff88003f,0xcccccfff,
    0x03ffffdc,0x002ffff8,0x7fffffdc,0xfffffeff,0x40000eff,0xffffedb9,
    0xfffffeee,0xfff002ce,0x3fffe07f,0xffff8803,0x5fffd802,0xf4ffffc8,
    0xf0007fff,0xb0007fff,0xffa8bfff,0xffff007f,0x7fffdc07,0xffffffff,
    0x8006ffff,0xfffffffb,0xffffffff,0xffff806f,0xfffc8002,0xffffffff,
    0x0000dfff,0x23fffd40,0x8005fffc,0xff03ffff,0xff1007ff,0xffb005ff,
    0xffff10bf,0x07ffff3f,0x07ffff00,0x8bfffb00,0x5c46fff9,0x0ffffe1c,
    0xffffffe8,0xffffffff,0x74002fff,0xffffffff,0xffffffff,0x7fffc02f,
    0xffd30002,0xffffffff,0x3726009f,0x7fffb802,0x002fffec,0xf81ffffc,
    0xf8803fff,0xfd802fff,0xfff505ff,0x07ffffdf,0x07ffff00,0x0bfffb00,
    0xffc85ff9,0x40ffffe7,0xfffffff9,0xffffffff,0x26005fff,0xffffffff,
    0xffffffff,0x7ffc05ff,0x7e40002f,0xcfffffff,0xffff1001,0x6fffb805,
    0x0027ffec,0xf81ffffc,0xf8803fff,0xfd802fff,0x3ff605ff,0x03ffffff,
    0x03ffff80,0x05fffd80,0x3fffd013,0x640ffffe,0xeeeeffff,0xfeeeeeee,
    0xf9000fff,0xdddddfff,0xffdddddd,0x7ffc01ff,0x3a20002f,0x01dfffff,
    0x7fffd40c,0x37ffe405,0x000ffffa,0x7c0ffffe,0xf8803fff,0xfd802fff,
    0x3fe205ff,0x03ffffff,0x03ffff80,0x05fffd80,0xf97fffc0,0xff883fff,
    0x3e2004ff,0xf8803fff,0x22004fff,0x3e03ffff,0x10002fff,0xfffffffd,
    0x3f2237bd,0x3ffe20ef,0x7ffe402f,0x01ffffc5,0x81ffffc0,0xa804fffe,
    0xd801ffff,0x7dc05fff,0x03ffffff,0x03ffff80,0x05fffd80,0xf97fffc0,
    0xffb83fff,0x7ec001ff,0xffb806ff,0x7ec001ff,0x3ffe06ff,0xff88002f,
    0xffffffff,0xffffffff,0x00ddc43f,0x3e2fffec,0xb9802fff,0x03ffffcc,
    0x05bffff9,0x0fffff91,0x5dfffd10,0x3fffa015,0x2a203fff,0xffffaaaa,
    0x101aaaad,0x55dfffd5,0x55555555,0x3e5ffff5,0x7f4c3fff,0x8801afff,
    0x9bffffca,0xffffe980,0xfca8801a,0x7c09bfff,0x0accdfff,0xfffffc80,
    0xffffffff,0x01ffffff,0x27ffec00,0xf00bfffe,0xffffffff,0x3fffe607,
    0x3ffe64ff,0x7f405fff,0xffffffff,0xfffff984,0xffffb03f,0xffffffff,
    0x6c3fffff,0xffffffff,0xffffffff,0xf2ffffff,0x3fea7fff,0xffffffff,
    0xfffffb01,0x7d4dffff,0xffffffff,0xffffb01f,0xf8dfffff,0xffffffff,
    0x7fffec03,0xffffffff,0x04ffffff,0x3fffe800,0x807fffe2,0xfffffffa,
    0x3fee03ff,0x3ff27fff,0x2600ffff,0xffffffff,0xffc80fff,0xff983fff,
    0xffffffff,0xffffffff,0xffffff35,0xffffffff,0xffffffff,0x4bfffa5f,
    0xfffffffe,0xff885fff,0xffffffff,0xfffffd2f,0x10bfffff,0xffffffff,
    0x7ffc5fff,0x06ffffff,0x677fffd4,0xfffecaaa,0x00002eff,0xfe85fff9,
    0x7ffc407f,0x03ffffff,0x52ffffe4,0x803dffff,0xfffffff8,0x3fa07fff,
    0xff883fff,0xffffffff,0xffffffff,0xffffff14,0xffffffff,0xffffffff,
    0x47fff65f,0xfffffffd,0xff884fff,0xffffffff,0xfffffb1f,0x109fffff,
    0xffffffff,0x7ffc3fff,0x05ffffff,0x98801a88,0x400001ab,0xffa85fe9,
    0xeeeca802,0x9802eeee,0x6edc0cdb,0x3ff6a003,0x01dfffff,0x40ffffea,
    0xffffffda,0xffffffff,0x3ff6a0ce,0xffffffff,0xffffffff,0x5b912fff,
    0x7ffff644,0xb500ceff,0xbfffffff,0x7fff6447,0x500cefff,0xfffffffb,
    0xeeeee87b,0x0000bdee,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x0000aba8,0x10000000,0x00000000,0x00000026,0x00000000,
    0xeeedb980,0x1deeeeee,0x00003300,0x0000a200,0x00310000,0x03ffffe4,
    0x3ffffff2,0xdc88001e,0xffffffff,0x74c003ff,0x0000004f,0x0017fec0,
    0x000b7f26,0x03fd9800,0x7ff64400,0xffffffff,0xa805ffff,0x000004ff,
    0x0001ffd8,0x1ffc8000,0xdffff700,0x3ffff620,0x001fffff,0x3fffffe6,
    0x3fffffff,0x07ffe400,0xb9730000,0xfff90359,0x7ffdc00d,0x000006ff,
    0x0001fff9,0x3fffffa6,0xffffffff,0xf9804fff,0x00000dff,0x00bfff20,
    0x7ec40000,0xff3000ff,0xffd10bff,0xfffdbfff,0xfff5005f,0xffffffff,
    0xe8007fff,0x80002fff,0xfffffffc,0xffff72ef,0x997f400d,0x800001fe,
    0x8002fffe,0xdffffffa,0xfffabfff,0x3ee000ac,0x00000eff,0x09fffd10,
    0xfe980000,0x3e2002ff,0xffd84fff,0x7ff4c1df,0xdffff807,0xd999999a,
    0x7fc003ff,0x2a0003ff,0xfffffffe,0xfffeffff,0x9f5002ff,0x00004fa8,
    0x003ffff8,0x5fffffcc,0x3fe1fff0,0xff30001f,0x000005ff,0x006fffe4,
    0x7ffd4000,0xfff8001f,0x2fffcc3f,0x403fff10,0xd801fff9,0x7fc003ff,
    0xf90003ff,0xffffffff,0xffffffff,0x27d4009f,0x000013ea,0x000ffffe,
    0xf85ffff9,0x03fff0ff,0x7fff4400,0x2e000001,0x00006fff,0x0077ffcc,
    0x42fffe80,0x6400effd,0x3ff203ff,0x07ff9005,0x03ffff80,0xfffffa80,
    0xffffdeff,0x006fffff,0x3fd11ff8,0xfff00000,0xfff8007f,0xf0fff86f,
    0xb00003ff,0x00000bff,0x001fff98,0x017ffa00,0x43fffb00,0xa802fff9,
    0x3ff605ff,0x03ff5005,0x1dffff80,0x3fffe200,0xffca81ef,0x8001ffff,
    0x06ffeffb,0xffff0000,0x7ffcc007,0xf0fff83f,0x200003ff,0x000001da,
    0x00004c88,0x40001f54,0x3ee0fffc,0xff9800ff,0x07fff607,0xb8800d40,
    0xffffffff,0x3ffa02cc,0x7fd405ff,0x0004ffff,0x0017dfb5,0x3fffe000,
    0x3ffe6003,0xf0fff82f,0x000003ff,0x00000000,0x00000000,0xff91ffee,
    0x1ffea00d,0x3fffffaa,0x3ea00001,0xffffffff,0xfc83ffff,0x7c404fff,
    0x0fffffff,0x00002000,0x0ffffe00,0x3ffff980,0xfff0fff8,0x00000003,
    0x00044000,0x80000000,0x7ff46ffa,0x3fff6e05,0x7ffff47f,0x0004ffff,
    0xffffffb8,0xffffffff,0x7ffffc45,0x7ffff400,0x0003ffff,0x00000022,
    0x8007ffff,0xff86ffff,0x403fff0f,0x03ccccb9,0x333332e6,0xfb951002,
    0x03bdffff,0xccccb980,0x3332e603,0xbff302cc,0xe983fff8,0x27ffffff,
    0xfefffff9,0x0002efff,0xfffffff5,0xfffffffd,0x2ffff98f,0x77fffec0,
    0x8807fffe,0xfffffdca,0x2e2001de,0xfeeeeeed,0xeeeeefff,0x7fec2cee,
    0x87ffc2ff,0xffd01fff,0x3a0bffff,0x4fffffff,0x7fffec40,0xffffffff,
    0xfffe801d,0xffd05fff,0x209fffff,0x7ffc4ff8,0x7ffffd41,0x3ff67fff,
    0x3fffa61d,0x3e2001df,0x442effff,0x5c7ffffb,0x7dc06fff,0xffb9ffff,
    0xffb100ff,0xffffffff,0xfd003bff,0xffffffff,0xffffffff,0x7cc5ffff,
    0xff0cffff,0x207ffe1f,0xfffffff9,0xfffff985,0x7ec04fff,0xffffffff,
    0x00ffffff,0x3fffffe6,0xffff985f,0x3204ffff,0x83ffe21e,0xaacffff8,
    0x17ff67ff,0x3fffff62,0xfffc800c,0x7ffe404f,0x02fffe46,0x25fffff3,
    0xb01ffffa,0xffffffff,0x1fffffff,0x7ffffc40,0xffffffff,0xffffffff,
    0x7fff444f,0xf0fffdff,0x3ffe03ff,0xff05ffff,0x09ffffff,0xffffffd8,
    0xffffffff,0x7fffc06f,0xfff05fff,0x009fffff,0x320fff88,0x3fe62fff,
    0x40bffee7,0x3fffffea,0x037fff40,0x3a27ffcc,0xff104fff,0x7fc49fff,
    0xfffb02ff,0xffffffff,0xd80dffff,0xffffffff,0xffffffff,0x881fffff,
    0xfffffffe,0x203fff0f,0x5ffffeb9,0xfffdb730,0xfffa809f,0xca9abcef,
    0x201fffff,0x5ffffeb9,0xfffdb730,0xff88009f,0x317ffa0f,0xfffe8fff,
    0x3fffee04,0xfff880df,0x1bf7002f,0xb02ffff8,0xfd0dffff,0x3fea09ff,
    0xa9abceff,0x01fffffc,0x666665cc,0xccdffffc,0x200bcccc,0xfffffdb8,
    0x003fff0f,0x200bfff9,0x3004fffd,0xffff5001,0x3fff2005,0x9fffb005,
    0x0fff8800,0xf983fff1,0x7fffcc7f,0xfff9101e,0xfff983ff,0xff80001f,
    0xfffc82ff,0xfffe80ff,0x54004c03,0x0002ffff,0x001ffffc,0xfffda880,
    0x9003fff0,0x3600bfff,0x00004fff,0x004fffe8,0x200bfff9,0x4004fffd,
    0x3fe0fff8,0x43ffcc2f,0x0cfffff9,0x1ffffd30,0x007fffcc,0x1ffff400,
    0x07ffffea,0x0017fffc,0x09fffd00,0x3ffff800,0xfff80000,0x9003fff0,
    0x3600bfff,0x54004fff,0xbcdeedcb,0x9004fffe,0x3600bfff,0x44004fff,
    0x3ffa0fff,0x883ffcc5,0x03fffffd,0xf88ffff2,0x80002fff,0x3e64fffd,
    0xf303ffff,0x2a001fff,0xbcdeedcb,0x0004fffe,0x001ffffc,0xf87ffc00,
    0xffc801ff,0xfffb005f,0x3ffaa009,0xffffffff,0xf9004fff,0x3f600bff,
    0x7c4004ff,0x3ffee0ff,0x07ff98bd,0x77ffffdc,0xf8dff902,0x80005fff,
    0xfd17fffc,0x7d40bfff,0xfea807ff,0xffffffff,0x0004ffff,0x001ffffc,
    0xf87ffc00,0xffc801ff,0xfffb005f,0xfffe9809,0xffffffff,0x9004ffff,
    0x3600bfff,0xf8004fff,0x7fff41ff,0x01ffffff,0x7ffffe44,0x21fff80c,
    0x803ffffd,0x7fd40cda,0xffffdaff,0x3fffa00e,0x3fffa606,0xffffffff,
    0x0004ffff,0x001ffffc,0xf87ffc00,0xffc801ff,0xfffb005f,0x7fffc409,
    0xffffffff,0x004fffff,0x200bfff9,0x8004fffd,0x7f442ffe,0x6fffffff,
    0xffffb300,0xfff9333d,0x7ffffc41,0xfffea80d,0xfffffe85,0x2e01ffff,
    0xf104ffff,0xffffffff,0xffffffff,0xfff80009,0xf800003f,0x03fff0ff,
    0x00bfff90,0x4413fff6,0xeffffffe,0xffffedcd,0xff9004ff,0x3ff600bf,
    0xffc8004f,0xfffff903,0xfa8007ff,0xffffffff,0xffffc85f,0xfffeefff,
    0xffa87fff,0x02ffffff,0x03ffffe6,0x3fffffa2,0xffedcdef,0x0004ffff,
    0x001ffffc,0xf87ffc00,0xffc801ff,0xfffb005f,0x3fffee09,0x7fec00bf,
    0xfff9004f,0x3fff600b,0x4ffb8004,0x04cccc40,0xfffd8800,0xb01effff,
    0xffffffff,0x07ffffff,0x3ffffffa,0x3fffea04,0xffff702f,0xffd8017f,
    0x7f40004f,0x800002ff,0x3fff0fff,0x0dfff900,0x413fffa0,0x001ffffd,
    0x2009fffb,0xd006fffc,0x30009fff,0x00000dff,0xfffff700,0xffff9007,
    0xffffffff,0x7fffd409,0x7e4c1bff,0x3604ffff,0xb001ffff,0x80009fff,
    0x0000fffc,0xff0fff80,0xfff9003f,0x7fecc01f,0xffff04ff,0xfff93009,
    0x3ff2009f,0x3f6600ff,0x88004fff,0x80002fff,0xff7002d9,0x7ed4001f,
    0xdfffffff,0x7fffe401,0xffefffff,0x406fffff,0x9804ffff,0x004ffffc,
    0x00176440,0xf0fff800,0xff5003ff,0xffb307ff,0xd01bffff,0x3103ffff,
    0xbffffffb,0xfffa8015,0xfffd983f,0x8000dfff,0x80006ffe,0xff1007fd,
    0xff10003f,0x2a003bff,0xffffffff,0xffffffff,0x7ff400ef,0xfd9881ff,
    0x0adfffff,0x00000000,0x7fc3ffe0,0xfff8801f,0xfffeefff,0xffffffff,
    0x7ffffe45,0xfffffdef,0xffffffff,0x3fffe205,0xffffeeff,0x5fffffff,
    0x1fffd400,0xfff814c0,0x0fffa801,0x7ffff000,0x3fffe600,0xffffffff,
    0x003fffff,0xdffffff9,0xfffffffb,0x0bffffff,0x55555555,0x55555555,
    0x00015555,0x3ffe1fff,0xffffb001,0xffffffff,0x3fffffff,0x7fffff44,
    0xffffffff,0xffffffff,0x3ffff601,0xffffffff,0x1fffffff,0x27fff400,
    0xf83ffd98,0x7f4401ff,0x3fe0007f,0xffd003ff,0x3ffaebff,0x01dfffff,
    0x3ffffa20,0xffffffff,0xffffffff,0x3ffff21f,0xffffffff,0xffffffff,
    0x2aaa201f,0xfff1fffa,0xffb00359,0xffffffff,0xffffffff,0xfffff981,
    0xffffffff,0xffffffff,0x7fffec00,0xffffffff,0x00ffffff,0x7ffffcc0,
    0xffffedcd,0xccdfff84,0xfffdcccc,0x3fa0004f,0xffa802ff,0xcca986ff,
    0x3e60001a,0xffffffff,0xffffffff,0xff10ffff,0xffffffff,0xffffffff,
    0x2609ffff,0xffffffff,0xffffffde,0xffffc804,0xfd9cffff,0x9102dfff,
    0xffffffff,0xffffb39f,0x3f2005bf,0xcfffffff,0x2dffffd9,0xffff3000,
    0xdfffffff,0xffffff01,0xffffffff,0xffc8000b,0xfff9800f,0x0000000f,
    0xffffff91,0xffb39fff,0xff85bfff,0xffffffff,0xffffffff,0xf703ffff,
    0xffffffff,0xdffffffd,0x5665cc00,0x75100001,0x00055999,0x5665cc00,
    0x98000001,0xfffffffd,0xffff00bf,0xffffffff,0xa80001bf,0x3f2006ff,
    0x0000001f,0xacccba88,0x3faa0002,0xffffffff,0xffffffff,0x36e204ff,
    0x9adeeeee,0x01ceeeed,0x00000000,0x00000000,0x4c000000,0x802accca,
    0xeeeeeeed,0x0001bcee,0x00000620,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x33000002,
    0x40000000,0x40000009,0x10000018,0x22000000,0x80000002,0x44000018,
    0x20000000,0x000000db,0x02af2a62,0x8f3332e6,0xcdfffeda,0x3fe20002,
    0x0000000d,0x0001ff62,0x001ffc80,0xfffeca80,0x333322de,0xfd8001bc,
    0x0000001f,0x40003ff9,0xeffffdc9,0x7999970c,0xffb10003,0xa800005f,
    0xfffffffd,0x3fffffa5,0xffffeadf,0x00dfffff,0x03dffd00,0xfd300000,
    0x100000df,0x0001fffb,0x7fffff4c,0xffaeffff,0x005fffff,0x001fffe4,
    0xfffb1000,0x3fee0001,0xffffffff,0xffffffec,0x3ffee005,0x0000dfff,
    0x7fffff4c,0xf9bfffff,0xffffffff,0xffffffff,0x8003ffff,0x002ffff9,
    0x3ffea000,0x4c00001f,0x0002fffe,0x3ffffff2,0xffffffff,0x0fffffff,
    0x3fff6200,0xe9800004,0x98002fff,0xfffffffe,0xffffffff,0x400fffff,
    0xfdffffd8,0x70002fff,0xffffffff,0x3febffff,0xffffffff,0xffffffff,
    0x8003ffff,0x003fffe8,0xefffc800,0x7d400000,0x20001fff,0xfffffffc,
    0xffffffff,0x06ffffff,0x1bfff900,0x3fea0000,0xf88001ff,0xffffffff,
    0xffffffff,0x4406ffff,0xf70dffff,0xc8009fff,0xffffffff,0x732fffee,
    0xfffffffd,0xfd9579df,0x003fffff,0x00ffff60,0x5fffc800,0xffa80000,
    0x2a0000ef,0xbdefffff,0xfffffeba,0x00bdefff,0x1bffea00,0x3ffea000,
    0xffb0000e,0x7537bfff,0xfffffffb,0xfc8037bd,0xffd882ff,0xfff7000f,
    0x4417bfff,0xffff901b,0x7f4409ff,0x0000efff,0x0000fff7,0x000fffe2,
    0x02fff400,0x3fffe200,0xff9100df,0x0007ffff,0x017ffcc0,0x017ffa00,
    0xfffffa80,0x3fffee02,0x3ea003ff,0x02f5400c,0xdfffffa8,0xfff90000,
    0xfd1005ff,0x40007fff,0x200003d9,0x000001dc,0x20000baa,0x004ffffd,
    0x07fffffb,0x05c88000,0x002ea800,0x0fffff40,0x7ffffd40,0x00000003,
    0x4fffff88,0x7ffe4000,0x3fe2005f,0x000005ff,0x00000000,0x74000000,
    0x6c007fff,0x0003ffff,0x00000000,0x7fffc400,0x3fff2004,0x0080003f,
    0x7fffe400,0xffc80005,0x7e4002ff,0x010007ff,0x00100000,0x00110000,
    0x13fffe20,0x7ffff500,0x00020000,0x20002000,0x000ffff9,0x00ffffe6,
    0x3fff72a0,0xf1001bce,0x0000dfff,0x001ffff2,0x003fffe6,0x3bfff72a,
    0x540001bc,0xbcefffdc,0xb9510001,0x3bdfffff,0x3fffea00,0x7ffc4000,
    0xdb88003f,0x01ceffff,0x7fedc400,0xb801ceff,0x44007fff,0x2003ffff,
    0xffffffd9,0x400dffff,0x002ffffb,0x0dfff900,0x1ffff300,0x7fffecc0,
    0x0dffffff,0x7ffecc00,0xdfffffff,0xfffb1000,0xffffffff,0xffa803bf,
    0x7c4000ff,0x64003fff,0xffffffff,0xc8002eff,0xffffffff,0x3ee02eff,
    0xff8006ff,0xff9003ff,0xffffffff,0x7407ffff,0x2e627fff,0x3f2000ac,
    0x5c000fff,0x3f206fff,0xffffffff,0x003fffff,0xfffffff9,0x7fffffff,
    0xfffffb00,0xffffffff,0x7fc401ff,0x7d4002ff,0xd3003fff,0xffffffff,
    0x009fffff,0x3fffffa6,0xffffffff,0x1ffff504,0x7fffc400,0xffffd803,
    0xffffffff,0xff03ffff,0xfff919ff,0x9003dfff,0x400dffff,0xb05ffff9,
    0xffffffff,0xffffffff,0xffffd807,0xffffffff,0x6c03ffff,0xffffffff,
    0x6fffffff,0x077fff40,0xffffe880,0xffff9803,0xffffffff,0x4c06ffff,
    0xffffffff,0xffffffff,0x2ffff886,0x3fffea00,0x7fffdc03,0xecaaceff,
    0x40ffffff,0xfecffff8,0xffffffff,0x7fffe403,0x7fcc00df,0xffb83fff,
    0xaaceffff,0xffffffec,0xfffff700,0xfd9559df,0x401fffff,0xbceffffa,
    0xffffca9a,0x3fff201f,0x7f4400ef,0x4403ffff,0xceffffff,0xffffdbaa,
    0xfff104ff,0x7559dfff,0x9ffffffb,0x01dffff0,0x7fffff10,0x7ffffcc0,
    0x3ffa200d,0x7ffcc5ff,0xffffffff,0x203fffff,0xfffffffc,0x7ffe4c0a,
    0xfff986ff,0x3a200dff,0xf985ffff,0x200dffff,0x05ffffe8,0xffa80098,
    0x3fa202ff,0x4c1cffff,0xfffffffb,0x7fffec03,0x3ff6202f,0xffd81fff,
    0x36202fff,0x641fffff,0x4405ffff,0x03fffffd,0x017ffff6,0x1fffff44,
    0xfffffff3,0xffffdfff,0x3ff201ff,0xffffffff,0xffffffff,0xffffd80e,
    0xfffd1005,0xffffd87f,0xfffd1005,0x7400007f,0x7cc04fff,0xffffffff,
    0xffffffff,0x3fe203ff,0xf7000fff,0xff88bfff,0xf7000fff,0xff88bfff,
    0xfa82efff,0x03ffffff,0x001bfffe,0x4cbffff1,0xffffffff,0xffffb10b,
    0x3ffff20b,0xffffffff,0x00ffffff,0x800dffff,0x7c5ffff8,0x44006fff,
    0x5005ffff,0x79bddb97,0x3009fffd,0xffffffff,0xffffffff,0x7fe407ff,
    0x7ec002ff,0x3ff20fff,0x7ec002ff,0x7fd40fff,0xfeefffff,0xffffffff,
    0xfffff303,0xffffffff,0xffffffff,0xffffff8f,0x3ffff606,0xeefffc81,
    0xffffffff,0xf300dfff,0xffffffff,0xffffffff,0x7ccfffff,0xffffffff,
    0xffffffff,0x5407ffff,0xfffffffe,0x04ffffff,0xfffffd30,0xfdffffff,
    0x7f407fff,0xf88005ff,0x3ffa3fff,0xff88005f,0xfffc83ff,0xffffffff,
    0x03ffffff,0xfffffff5,0xffffffff,0x1fffffff,0x0ffffff4,0x07ffff10,
    0x3aabfff9,0xdfffffff,0x7fffd401,0xffffffff,0xffffffff,0xffff50ff,
    0xffffffff,0xffffffff,0xffd301ff,0xffffffff,0x009fffff,0xfffffea8,
    0xffff1dff,0x1ffffc07,0x4fffe800,0x000ffffe,0xa827fff4,0xffffffff,
    0xffffffff,0xfffff703,0xffffffff,0xffffffff,0x7fffec3f,0x4fffd804,
    0x445fffc8,0x2001aba9,0xfffffffb,0xffffffff,0x1fffffff,0xfffffff7,
    0xffffffff,0x3fffffff,0xffffff88,0xffffffff,0x10004fff,0xf8135753,
    0xff103fff,0x360005ff,0xfff15fff,0x3f60005f,0x3f6205ff,0xbfffffff,
    0x503fffe8,0xffffffff,0xffffffff,0x45ffffff,0x9006fffc,0xff90dfff,
    0xa80000bf,0xffffffff,0xffffffff,0x52ffffff,0xffffffff,0xffffffff,
    0x45ffffff,0xffffffe8,0xfffedcde,0x00004fff,0x01ffffc0,0x0007ffff,
    0xff93fffa,0xfd0003ff,0x2a6009ff,0x7ff41acc,0xffff103f,0x55555559,
    0x55555555,0x7ffdc155,0xdfff9007,0x00bfff90,0xffff8800,0xaaaaaaac,
    0xaaaaaaaa,0xffff10aa,0x55555559,0x55555555,0x7ffdc155,0x7ec00bff,
    0x000004ff,0xd01ffffc,0x3000bfff,0x7f47ffff,0xf98005ff,0x00003fff,
    0x405ffff1,0x000fffff,0x7fffcc00,0x4fffd802,0x005fffc8,0xfffff800,
    0x7fc00000,0x00000fff,0x00ffffec,0x004fffd8,0x7fffc000,0x3ffff203,
    0x7fff4003,0x3ffff20f,0x7fff4003,0xf700000f,0x7e401fff,0x0000efff,
    0x3bfffe01,0x3fffea00,0x05fffc83,0xfffc8000,0x010000ef,0x01dffff9,
    0x3ffe0200,0xffc9804f,0x000004ff,0x101ffffc,0x005fffff,0x8bffffb1,
    0x02fffff8,0x5ffffd88,0xffd10000,0xffe880df,0x2600beff,0xb84ffedb,
    0x40beffff,0x41fffffa,0x99efffd8,0xfd100000,0x4017dfff,0x44ffedb9,
    0xbeffffe8,0x3fb6e600,0x7ffff44f,0xfffd9881,0x000adfff,0x3fe66200,
    0x3f600cff,0x881dffff,0x1ffffffb,0xdfffffd8,0xffffb881,0x331001ff,
    0xfff73333,0xff3009ff,0xdddfffff,0xffffffdd,0xffff01ff,0xfffddfff,
    0x7f5c9fff,0xffffffff,0xf980003e,0xeeffffff,0xfffffeee,0x7fcc0fff,
    0xeeefffff,0xffffffee,0x3fff20ff,0xfffdefff,0xffffffff,0x640005ff,
    0xffffffff,0xffd02eff,0xdddfffff,0x7fffffff,0x7fffff40,0xfffeeeff,
    0x9803ffff,0xfffffffd,0x00efffff,0xffffff70,0xffffffff,0x301fffff,
    0xffffffff,0x21dfffff,0xfffffff8,0x00ffffff,0xffffb800,0xffffffff,
    0x0fffffff,0xffffffb8,0xffffffff,0x220fffff,0xfffffffe,0xffffffff,
    0x01ffffff,0xfffff300,0xffffffff,0x3ffffa20,0xffffffff,0x74404fff,
    0xffffffff,0x4fffffff,0xfffffb00,0xdfffffff,0xffe98001,0xffffffff,
    0x03ffffff,0x3fffffea,0x21efffff,0xfffffff8,0x00ffffff,0xfffd3000,
    0xffffffff,0x407fffff,0xffffffe9,0xffffffff,0xfff983ff,0xffffffff,
    0xffffffff,0xf30000ff,0xffffffff,0x6440ffff,0xffffffff,0x002fffff,
    0xffffff91,0x5fffffff,0x7fffec00,0xefffffff,0x3fee0000,0xffffffff,
    0x8800bdff,0xfffffffc,0xffff903f,0x9fffffff,0xff700000,0xffffffff,
    0x20017bff,0xfffffffb,0x0bdfffff,0x3ffff220,0xd9cfffff,0x02dfffff,
    0x7fffec00,0x3effffff,0xffffd980,0x00beffff,0xffffd980,0x00beffff,
    0x7ffff4c0,0x001befff,0x332ea200,0x00009aac,0x26b32ea2,0x99998800,
    0x00000999,0xcccba880,0x400009aa,0xaacccba8,0xba880009,0x0002accc,
    0x99998000,0x80009999,0x1acccba8,0x97510000,0x00003599,0x01333331,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x06dc0000,0x51000000,0x99997301,0xccb98015,
    0x00000acc,0x35951000,0x18800001,0x32e20000,0x5c00002a,0x8800000d,
    0x0001acb9,0x4d65d4c4,0x6d400000,0xb1000001,0x70005fff,0x744019fd,
    0x3ff24fff,0x02ffffff,0xfffffffd,0xfd71001f,0xfd900039,0x019fffff,
    0x03ff9000,0x7ffec400,0x0003ffff,0x01fffec4,0xfffe9800,0x000cffff,
    0x3fffff22,0x0001dfff,0x01fffec4,0x3ffee000,0x3000dfff,0x6407ffff,
    0xff1fffff,0xbfffffff,0xffffff30,0xf9009fff,0xd800ffff,0xffffffff,
    0xb10002ff,0x20001fff,0xffffffe8,0x50005fff,0x1bffffff,0x3ff62000,
    0xffffffff,0xfffd802f,0xffffffff,0xff50004f,0x003dffff,0xffffd880,
    0x802ffffd,0x204ffffa,0xb3fffffe,0xffffffff,0x3ffffe07,0xd802ffff,
    0x801fffff,0xffffffd8,0x01ffffff,0x17fff4c0,0xfffe8800,0xffffffff,
    0x3ff62004,0x3ffffdff,0xffffe800,0xffffffff,0xfffd102f,0xffffffff,
    0x44009fff,0xffdffffc,0xf10003ff,0x3ee1bfff,0xfe804fff,0x3ff201ff,
    0xff911fff,0x4c07bfff,0x2efffffc,0xbffff500,0x3ffff600,0xfffffeff,
    0xff5000ff,0x740003ff,0xfeffffff,0x801fffff,0x50dffff8,0x4009ffff,
    0xfffffffb,0xfffffffe,0xfffffb80,0xffffeeff,0xfd001fff,0x3faa1dff,
    0xfc8005ff,0xffd882ff,0x8019800f,0xb84fffe8,0xd002ffff,0x8001ffff,
    0xf3001ba8,0x64c7ffff,0x804fffff,0x000efffa,0x3bfffea0,0x3fffee21,
    0x3fffc806,0x00fffd88,0xbfffff98,0x7ffff4c0,0xdffffc85,0xffffd881,
    0x3fffb806,0x01fffc88,0x20067d40,0x000005ea,0x7ffc4051,0xfffa806f,
    0x0000003f,0x203ffff9,0x00ffffe8,0x0002fff4,0x8077fff4,0x403ffffb,
    0x75400df9,0xffff7005,0x7fffc407,0x03fff987,0x00ffffe8,0x2a00ef4c,
    0x000000ee,0x00000000,0x017fffdc,0x003ffffa,0x7ffc0000,0x7ffcc04f,
    0x0175403f,0x7fffd400,0x37fff402,0xb0000000,0xc801ffff,0xb981ffff,
    0xffff5001,0x00000003,0x00001000,0xff100000,0x7fd40dff,0x000003ff,
    0x03ffff10,0x00dfffd0,0x7fec0000,0xfffa806f,0x0000001f,0x009fffd0,
    0x007ffff1,0x0bfffe00,0x00004400,0x7ffedc40,0x22001cef,0x400000ba,
    0xd02ffffb,0x0001ffff,0x7cc005cc,0xfb800fff,0x000007ff,0x00ffffe0,
    0x261ffffc,0x203ccccb,0x2cccccb9,0x00dfffb0,0x005ffff5,0x3ffff500,
    0xffdca880,0x001defff,0x7ffffe40,0x02efffff,0x0006ffc8,0x86ffff80,
    0x003ffffb,0x201bff20,0x800ffff9,0x300ffff9,0x99999999,0x7fffc003,
    0x9fffd002,0x7ffffff4,0xfffffd05,0x3fee09ff,0x7ff401ff,0x440000ff,
    0x2207fffe,0xfffffffd,0x01dfffff,0x7ffff4c0,0xffffffff,0x7fffc04f,
    0x7dc00001,0x7ff43fff,0x3a0000ff,0x7c401fff,0xfe801fff,0xfff81fff,
    0x2fffffff,0x3ffff300,0x57fff600,0xfffffff9,0xfffff985,0xff304fff,
    0x7fd40bff,0x998006ff,0x5fffffb9,0x3fffff60,0xffffffff,0xff3000ff,
    0xffffffff,0x0dffffff,0x00bfffe6,0x3fffe000,0x0ffffee6,0x5ffff000,
    0x07ffff00,0x3fffffb8,0x7fffffd4,0x5002ffff,0x6400ffff,0x3ffe6fff,
    0xff05ffff,0x09ffffff,0x5fffffec,0xffffdbaa,0x3fea002f,0xefffffff,
    0x3ffff600,0xffffffff,0xf8806fff,0xacefffff,0xfffffdba,0xffff984f,
    0x55555103,0xffff7001,0x03ffffe7,0x7fff4c00,0xfffe802f,0xffff300f,
    0xfff889ff,0x2fffffff,0x0ffff500,0x337ffe40,0x0bffffd7,0x3fffb6e6,
    0x3ffe204f,0xffffffff,0x7c004fff,0xffffffff,0x7ffd400f,0xca9abcef,
    0x401fffff,0x02fffffd,0x3fffff62,0x27fffd41,0x06ffffb8,0x2fffffe0,
    0x8003ffff,0xffffffd9,0xffffa802,0x7fff540d,0xec985fff,0x2ffffeee,
    0x0ffff500,0x837ffe40,0xb005fffc,0xf9809fff,0xffffffff,0x44005fff,
    0xffffffff,0x0026006f,0x80bfffea,0x00fffff8,0x8bffff70,0xd05ffffb,
    0x4003ffff,0xfffffffb,0x7dc000ff,0x2fffffff,0xfffffb00,0xfffffd79,
    0x7c00dfff,0xf5002fff,0x7e400fff,0xfff906ff,0x3fff600b,0x7fffdc04,
    0xffffffff,0x7fdc000e,0x5fffffff,0xffe80000,0x3fff204f,0x7fec002f,
    0x3fff20ff,0xffff886f,0xfffe8004,0x4003ffff,0xfffffffc,0x3fe2002d,
    0xffffffff,0x06ffffff,0x00bfffe0,0x003fffd4,0x320dfff9,0xfb005fff,
    0x7fd409ff,0xffffffff,0x8006ffff,0xfffedba8,0x2ea004ff,0xebcdeedc,
    0x3fa04fff,0xf88005ff,0x3ff63fff,0xfffb86ff,0xffb8000f,0x000fffff,
    0x3fffffea,0xff50001c,0xffffffff,0x00bfffdf,0x8017fffc,0x2007fffa,
    0xf906fffc,0x3f600bff,0xfff304ff,0xb5357fff,0x00bfffff,0xfffffb00,
    0xfffea807,0xffffffff,0x3ffe04ff,0xffd0003f,0x7ffff49f,0x02fffd87,
    0x3ffffa00,0x7ff4003f,0x80001eff,0xffffffd8,0x4ffff8df,0x0bfffe00,
    0x07fffcc0,0x05fffd80,0x200bfff9,0xf904fffd,0x2601bfff,0x001fffff,
    0x5ffffa80,0xfffffd30,0xffffffff,0x3fe209ff,0xfb0002ff,0x7fff4bff,
    0x3ffe20ff,0x7fdc0005,0x22000fff,0x0006ffff,0xcefdca80,0x05ffff52,
    0x017fffc0,0x02ffff88,0x209fffd0,0xb005fffc,0x3fa09fff,0xffa806ff,
    0xb00002ff,0xff10ffff,0xffffffff,0x9fffffff,0x01ffffc0,0x24fffe80,
    0x21ffffff,0x0000fffa,0x01ffffdc,0x0bfffe60,0xd0000080,0xf800ffff,
    0x3e002fff,0xff003fff,0x3ff207ff,0xfffb005f,0x5ffff109,0x13fff600,
    0x7ffd4000,0x3fffa21f,0xedcdefff,0x04ffffff,0x0017fffa,0x44ffffe6,
    0x22ffffff,0x40003ffd,0x007ffff8,0x01ffff98,0x0005ff90,0x02ffffec,
    0x00bfffe0,0x806fffd8,0x901ffffa,0x3600bfff,0xff984fff,0xff9000ff,
    0x7c0000df,0x3fee2fff,0x6c00bfff,0x3f204fff,0x74003fff,0xff30ffff,
    0x7fc5ffff,0xffc80006,0xf88003ff,0xf9805fff,0xf90004ff,0x8001ffff,
    0x2002ffff,0x402ffffa,0x3206fffe,0xfd006fff,0xfff109ff,0x3ffa005f,
    0xf300004f,0x7fec1fff,0xffb001ff,0x7ffc409f,0xfd8802ff,0x3fea5fff,
    0xff33ffff,0xff880003,0x3a0007ff,0x5c01ffff,0x4c007fff,0x03fffffd,
    0x02ffff80,0x037fffc0,0x405ffff7,0x200ffffc,0x04ffffd9,0x500dfffd,
    0x1885ffff,0x7fff4400,0x027fffc5,0x27fffe4c,0x3fffff60,0xfffb881d,
    0x3fea1fff,0x06e4ffff,0x93333100,0x0009ffff,0x67ffffdc,0xfffdb99a,
    0x105547ff,0xffffff93,0x3ffe000b,0x7fdc002f,0x7fdc0eff,0x7fd406ff,
    0xffd983ff,0xc80dffff,0x701dffff,0x5c1fffff,0x5c402eff,0x743ffffe,
    0x9881ffff,0xdffffffd,0x3fffa00a,0xfeeeffff,0x43ffffff,0x2ffffff9,
    0xfffd5000,0xffffffff,0x3f60009f,0xffffffff,0x27ffffff,0xffeefffe,
    0x05ffffff,0x55555544,0xaaacffff,0x3ffa01aa,0xfffeffff,0x7c403fff,
    0xfeefffff,0xffffffff,0x7ffcc5ff,0xfeeeffff,0x746fffff,0xeeffffff,
    0xffffffee,0x7ffe40ff,0xfffdefff,0xffffffff,0xffd105ff,0xffffffff,
    0x209fffff,0x00fffffe,0xfffffd00,0xffffffff,0xff10001f,0xffffffff,
    0x26dfffff,0xffffffff,0x404fffff,0xfffffffc,0xffffffff,0xf980ffff,
    0xffffffff,0xfb004fff,0xffffffff,0xffffffff,0xfffb83ff,0xffffffff,
    0x7f40ffff,0xffffffff,0xffffffff,0xffffe882,0xffffffff,0xffffffff,
    0xfff9101f,0xffffffff,0x7fdc05ff,0x3a0005ff,0xffffffff,0x01ffffff,
    0xffffb100,0xbfffffff,0xfffffe83,0x00dfffff,0x7fffffc4,0xffffffff,
    0x03ffffff,0xfffffff5,0xd8009fff,0xffffffff,0xffffffff,0xfffb80ff,
    0xffffffff,0xfff981ef,0xffffffff,0x202fffff,0xfffffff9,0xffffffff,
    0x00ffffff,0x7ffffecc,0x800befff,0x40003eea,0xffffffea,0x04ffffff,
    0xffeda800,0x300bdfff,0xffffffff,0x7ffc003b,0xffffffff,0xffffffff,
    0x3ffa602f,0x003effff,0xffffff90,0xfffb39ff,0x764c05bf,0xdfffffff,
    0x7ff5c403,0xffffffff,0xfc8800ce,0xffffffff,0xfffffd9c,0x2ea2002d,
    0x0001accc,0x99880000,0x19999999,0x06600000,0x2af2ea00,0xffb30001,
    0xffffffff,0x7bffffff,0x2b32a600,0x97300000,0x80000359,0x000acb98,
    0x99975510,0x22000155,0x02acccba,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2a000000,0x97300000,0x5cc07999,0x002ccccc,0x40002644,0xeeeeeeed,
    0x2ceeeeee,0x15773000,0xbcba8800,0x88000001,0x0000002a,0x00037975,
    0x9ddb9300,0x88000017,0x05cc001a,0x00bff200,0xfffffd00,0x3fffa0bf,
    0x2004ffff,0x001effea,0x3fffffa0,0xffffffff,0xec8801ff,0x3fffffff,
    0x7fffec40,0x00002eff,0x0ffff6e2,0xfd300000,0x001bffff,0xffffb100,
    0x0005ffff,0x03ffec98,0x0bffff30,0x027ffdc0,0xfffff980,0xfff985ff,
    0x004fffff,0x9ffffff9,0x3fffa000,0xffffffff,0x4c03ffff,0xfffffffe,
    0xfb01efff,0xffffffff,0xff300003,0x0007ffff,0x7fffcc00,0x000fffff,
    0x3ffffe20,0x04ffffff,0x3fff6e60,0xfb003fff,0x4003ffff,0x000dfffc,
    0xfffffff8,0xffffff05,0xfe9809ff,0xefffeeff,0x7fff4001,0xffffffff,
    0x2600ffff,0xffffffff,0x41ffffff,0xb31beff8,0x30000dff,0x07ffdfff,
    0x7ff40000,0x5ffeb8ae,0x3fff6000,0xffffffff,0x7ff5402f,0x3fffffff,
    0xffffff00,0xfffb8007,0x764c000e,0x7305ffff,0x09ffffdd,0x91ffffd4,
    0x4003ffff,0xcccefffe,0x01bccccc,0x7fffffd4,0xffffffef,0xf101886f,
    0x220000ff,0x0007ff91,0x417fee00,0xa8001ffe,0xdcefffff,0x00ffffff,
    0xfffffff1,0x2007ffff,0x00fffffc,0x0ffff980,0xbfff9000,0x13fffa00,
    0x981efff8,0x3a006ffe,0x00003fff,0x05dffffd,0x09fffff5,0x0037fe40,
    0x01ffe400,0x2ffc8000,0x0005ff70,0x903ffff7,0x2605ffff,0xffffffff,
    0xb1003fff,0x40007dff,0x0003ffe8,0x200bfff9,0x3204fffe,0x03fc803f,
    0x00ffffa0,0x3fffe600,0x7fffc405,0x3fbb6607,0x800003ff,0x00003ffc,
    0x7c40ffb0,0xffd8004f,0xffff106f,0x77fff407,0x03ffff9c,0x00000c40,
    0x320001b9,0xfd005fff,0x000009ff,0x1ffff400,0x7ffe4000,0xfffa800f,
    0xffffd00f,0x200000bf,0x00003ffc,0x2e03ff90,0xfd8003ff,0x3ffa04ff,
    0x204d405f,0x0003ffff,0x00000000,0x802fffe4,0x0004fffe,0x3ffa0000,
    0xfb80003f,0x3fe003ff,0xffb302ff,0x2a005fff,0x3ffc804d,0x03b91000,
    0x3fa0bff7,0xffd8001f,0xffff304f,0x3ffe0009,0x0000003f,0x7e400000,
    0xffd005ff,0x9993009f,0x00399999,0x959fffd0,0x0057bddb,0x4c00bf91,
    0x9802ffff,0x2200fffd,0x6402fffd,0xfb8003ff,0xfff885ff,0x0bffd52d,
    0x13fff600,0x5ffffd71,0x3fffe000,0x98000003,0xcccccccc,0xfff90001,
    0x3fffa00b,0x7ffffc04,0x002fffff,0xffffffe8,0x0dffffff,0xffd80000,
    0xfd1000ff,0x3ffee07f,0x7fe402ff,0x3ffa6003,0xfff506ff,0x01ffffff,
    0x7fec0595,0xffffb34f,0x7c000dff,0x00003fff,0x7fffffc0,0x0002ffff,
    0x200bfff9,0x2a04fffe,0xffffffff,0xfe8002ff,0xffffffff,0x002fffff,
    0x3fffe200,0x1ffe4006,0x3fffffa6,0x03ffc803,0xdfffff70,0x7fff5401,
    0x3f6a1eff,0x3ff607ff,0xffffff4f,0x7c0005ff,0x00003fff,0x3ffffea0,
    0x002fffff,0x00bfff90,0x8813fffa,0xffffffff,0xfe8002ff,0xffffffff,
    0x01ffffff,0xfffe8800,0x826f264f,0x2e1fffb8,0x01efffff,0x33ff2662,
    0xfffd3019,0x2a2007ff,0xfda8acdc,0x205fffff,0xff8cfffd,0x2fffffff,
    0x7ffff000,0x7c400000,0xffffffff,0xff90002f,0x3ffa00bf,0x7764c04f,
    0x02ffffee,0xfffffc80,0xfffdbbce,0x440006ff,0x20effffe,0xfffffffe,
    0xffd34fff,0xfd807fff,0xffffffff,0x3ffff20f,0x510000df,0xdffffffb,
    0xfffd8039,0xffffff94,0xf0007fff,0x00007fff,0xeeeec980,0x0002ffff,
    0x980ffff9,0x004ffffe,0x005ffff0,0x039fff30,0x0fffffa2,0x7fffcc00,
    0x7ff4c1ff,0x8bffffff,0x8dfffffc,0x7ec2ccc9,0xffffffff,0xffffea8f,
    0x03ccc8af,0x7fffed44,0x2001beff,0x2e24fffd,0xffffffec,0x7fffc002,
    0x00000003,0x0005ffff,0x20fffff2,0xffffffda,0xfff8000d,0x0060002f,
    0x037fffc4,0x7ffffcc0,0x32ea601f,0xfffd52ab,0x7fff45ff,0x99999884,
    0xfffd8999,0xfffb0dff,0xfffb710d,0x0037dfff,0x813fff60,0x0fffffe9,
    0x0ffffe00,0x01dfeb80,0x0bfffe00,0x7fffe400,0xffffeeff,0x5fffffff,
    0x17fffc00,0xfb800000,0x7d4007ff,0x001fffff,0xfffffb10,0x7fffe41b,
    0xfffa8004,0x3fea2fff,0x7ffcc6ff,0xc98befff,0x36001bdd,0xfe804fff,
    0x3e002fff,0xf7003fff,0x0001ffff,0x000bfffe,0x7fffffe4,0xffffffff,
    0x01ffffff,0x00bfffe0,0x7fcc0000,0xff7001ff,0x0003ffff,0x3fffffea,
    0x7ffffcc2,0x3ff62004,0x3e20cfff,0x7dc6ffff,0x3f20bdff,0x004fffff,
    0x1009fffb,0x4009fffd,0xd003ffff,0x007fffff,0x00bfffe0,0x7ffffe40,
    0xffffffff,0x0fffffff,0x0bfffe00,0xff800000,0xffc802ff,0x8001efff,
    0xcfffffd8,0x7ffff440,0xfff7004f,0xffb03dff,0x1570dfff,0xffffffb0,
    0xffb00bff,0x3fee009f,0x3ffe006f,0xfffb003f,0x3e0005ff,0x90002fff,
    0xffffffff,0xffd3bfff,0xf8005bff,0x00002fff,0x0bfffe00,0xfffffd88,
    0xffd0000e,0x3f203dff,0x804ffcef,0x04fffffb,0xdff7fff5,0x5fffdc00,
    0x03fffb88,0x8027ffec,0x000ffff9,0x2007ffff,0x006ffffa,0x00bfffe0,
    0x5f7ffe40,0x000accdc,0x2ffff800,0xf3000000,0x3a203fff,0x00dfffff,
    0x9ffff100,0x5cfffd40,0xffd804ff,0xfff101ef,0x400dff37,0xff981ffe,
    0x27ffec06,0x05ffff00,0x00ffffe0,0x0002db88,0x0017fffc,0x005fffc8,
    0x7ffc0000,0x0000002f,0x260ffff7,0x04ffffff,0x01dfc800,0x7dcfffe2,
    0x3ef9804f,0xf9affec0,0xdff1006f,0x3603ff40,0x13ae4fff,0x00bfffe2,
    0x001ffffc,0xfff80000,0xff90002f,0x000000bf,0x002ffff8,0x88007722,
    0xfb86ffff,0x003fffff,0x7fec0000,0x0013fee6,0x30fffb80,0x3e600dff,
    0x03ff204f,0xf54fffd8,0xfffb85ff,0xffff000f,0x0e5c4007,0x3fffe000,
    0xfff90002,0x8000000b,0x2002ffff,0x201dfffe,0x3fffffc8,0x7fffffe4,
    0x40000002,0xeccdfffa,0x80002eff,0xdccefff8,0xff003fff,0x883ff40d,
    0xf95fffea,0x7ff4cdff,0x3ffe007f,0xfff3003f,0x7fc000bf,0xf90002ff,
    0x00000bff,0xf5555551,0x55559fff,0xfffff035,0xffdddfff,0xc8bfffff,
    0xadffffff,0xaaaaaaaa,0xc80003fd,0xffffffff,0x40000fff,0xfffffffa,
    0xe802ffff,0x6ffa82ff,0xffffffe8,0xfffffdff,0x84fffffe,0xffaaaaa8,
    0x1aaaadff,0x1fffffd8,0x2aaaaa20,0xaacffffa,0x7e401aaa,0x400005ff,
    0xfffffffc,0xffffffff,0x3f60ffff,0xffffffff,0xffffffff,0x7ffffe40,
    0xffffffff,0x00ffffff,0x77775c00,0x03fffeee,0xeeee9800,0x04fffeee,
    0x33bfff50,0xfa85fffb,0xffffffff,0xfffffffe,0x7ec0ffff,0xffffffff,
    0xffffffff,0x3fffffa2,0xfffff902,0xffffffff,0x01ffffff,0x0017fff2,
    0xfffff880,0xffffffff,0x3fffffff,0x7fffffec,0xffffffff,0xffffc81d,
    0xffffffff,0x2fffffff,0xeb980000,0x00001dff,0x5fffb710,0x7fffe400,
    0xf884ffff,0xffffffff,0xffffffd9,0x7fcc2fff,0xffffffff,0xffffffff,
    0x3ffffee5,0xfffff880,0xffffffff,0x3fffffff,0x005fff50,0xfffff800,
    0xffffffff,0x2fffffff,0xfffffc88,0x02efffff,0x3ffffff2,0xffffffff,
    0x003fffff,0x7fffc400,0x00000fff,0xffffffe8,0x3ffee002,0x36a03fff,
    0x13dfffff,0xdffffffb,0xfffff103,0xffffffff,0x449fffff,0x3e02dfeb,
    0xffffffff,0xffffffff,0xfb102fff,0x9800001d,0xfffffffd,0xffffffff,
    0xaa9803df,0x8009abcc,0xfffffffc,0xffffffff,0x0003ffff,0xfffffd80,
    0xd7000004,0x001bffff,0x00acca88,0x665cc000,0x7fed401b,0xffffffff,
    0x00ceffff,0xfffb3001,0xffffffff,0x07bfffff,0x00000010,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x15c40593,0x40593000,0xfda802b8,0x0004ffff,0x36e00000,
    0x002fffff,0x00000020,0x20000088,0x000001b9,0x2acba880,0x5e76cc00,
    0x00800002,0xfff30000,0x017ffe07,0x40fffe60,0x3e205fff,0x04ffffff,
    0x50000000,0x5fffffff,0x7fff9000,0x54000620,0xdeffffdc,0xdca806a2,
    0x00003fff,0x3fff6200,0xd001efff,0x47dfffff,0x91003dc9,0x06207fff,
    0x1bfff200,0x003fffea,0x50dfff90,0x2a01ffff,0x4fffffff,0x00000000,
    0xfffffff9,0x7ff44005,0x3a61efff,0x3fa6003f,0xffffffff,0xe82fffff,
    0x03ffffff,0x3fa00000,0xffffffff,0xffffe801,0xfffeffff,0x7ff4400f,
    0x3e61efff,0x7fd4003f,0x6fff884f,0x4fffa800,0x406fff88,0x4ffffffe,
    0x00000000,0xfffffff3,0x7ffec005,0xfddffffe,0xfc8804ff,0xffffffff,
    0x5fffffff,0xffeeffe8,0x10000003,0x36617dff,0xec8805ff,0xffffffff,
    0xffd806ff,0xddffffef,0xb8003fff,0x3bd500ce,0x033ae000,0x4c00ef54,
    0x004fffea,0x4c000000,0x002ffffa,0x7f4c7bfe,0x00dfffff,0xffffffd8,
    0xffffffff,0x21307fff,0x00003ffc,0x7cc06200,0xfd73006f,0x3dffffff,
    0x23dff100,0xffffffe9,0x00000005,0x00000000,0x0013fff6,0x7c000000,
    0x26002fff,0x5dfff702,0x3fffee00,0xcaaabcff,0x07ffffff,0x0003ffc8,
    0xff900000,0xffffb00b,0x3fffffff,0x7dc0a600,0x00002eff,0x00000000,
    0x7ffec000,0x00000004,0x05ffff00,0x00cc4000,0x9fffff10,0xffffc801,
    0x03ffc807,0xb5000000,0x803ffffd,0x9cfffff9,0x006ffff9,0x00033100,
    0x00002200,0x40000200,0x0204fffd,0x40100000,0x0002ffff,0x3f600010,
    0x3a003fff,0xfc806fff,0x0000003f,0x7ffffff0,0x20b7b600,0x003ffff9,
    0x80000220,0xffffdca8,0x80001def,0xcefffdca,0xffd8001b,0x3ffb6a4f,
    0x20002cdf,0xefffecb8,0x0bfffe1c,0x3ff6e200,0xf001ceff,0xa800bfff,
    0xfc804fff,0x3660003f,0x7ed4000c,0x0001ffff,0x01ffff70,0xfffdca88,
    0x8001deff,0xffffffd8,0x1dffffff,0xfffd9800,0xdfffffff,0x3fff6000,
    0xfffffead,0x000dffff,0x7fffff4c,0xff9dffff,0x7e4002ff,0xffffffff,
    0x3fe202ef,0xfd8001ff,0x3ffc801e,0xfffd8800,0x3f660003,0x9531007f,
    0x7fff4135,0xffffb104,0xffffffff,0x7fec003b,0xffffffff,0x000fffff,
    0x3ffffff2,0xffffffff,0xffffb003,0xffffffff,0x005fffff,0x3ffffff2,
    0xffffffff,0xd3002fff,0xffffffff,0x209fffff,0x000ffff9,0x7fe40010,
    0x7ffd4003,0x440003ff,0x3ee02fff,0xefffffff,0xb06fffaa,0xffffffff,
    0x1fffffff,0x3ffff600,0xffffffff,0xfb006fff,0xffffffff,0x7fffffff,
    0xfffffb00,0xffffffff,0x807fffff,0xfffffffd,0xffffffff,0xf9802fff,
    0xffffffff,0x6fffffff,0x007fffb8,0x7ff90000,0x3fff6200,0xb00004ff,
    0xffd307ff,0xffffffff,0x20ffffff,0xfffffffd,0xffffffff,0xffff5006,
    0xf953579d,0xb803ffff,0xceffffff,0xffffecaa,0x7fec00ff,0xacefffff,
    0xfffffdba,0xffff700f,0xf97559df,0x5fffffff,0xfffff880,0xfdbaacef,
    0x544fffff,0x00007fff,0x3ff66620,0xff70099c,0x2003dfff,0x2e209bca,
    0x7fd41fff,0xffffffff,0xffffffff,0xeffffa81,0xffca9abc,0x26001fff,
    0xffffa800,0x3fffe602,0x3fa200df,0x7ec05fff,0x203fffff,0x85ffffe9,
    0x04fffff8,0x3fffff62,0x7ffec02f,0x3f6202ff,0x3e21ffff,0x00001fff,
    0xffffffd8,0x3a64ffff,0x004fffff,0x7ffffffc,0x7c44ffff,0xacefffff,
    0xffffffdb,0x002602ff,0x00bfffea,0x7fff4000,0x3ffff604,0xfffd1005,
    0x7ffec07f,0xffb002ff,0xfffd87ff,0xfffb003f,0x7fc405ff,0xf7000fff,
    0xfff8bfff,0x4020004f,0xfffffffd,0xfff74fff,0xdb753dff,0x3fea017b,
    0x3effffff,0x2fffffd8,0xfffffb10,0x3a00007f,0xa8004fff,0xbcdeedcb,
    0x3e04fffe,0x44006fff,0x3605ffff,0x2004ffff,0x7c5ffff8,0x22005fff,
    0x202fffff,0x002ffffc,0xb07fffec,0x8007ffff,0x9882ffc8,0x89999999,
    0xbfffffe9,0xffffffd8,0x32ea602f,0xfff501ab,0xff9003ff,0x75009fff,
    0xd79bddb9,0x54009fff,0xfffffffe,0x04ffffff,0xfffffff3,0xffffffff,
    0x0fffffff,0x007fffec,0x99bfff20,0x4001ffff,0x202ffffb,0x8005fffe,
    0x2a3ffff8,0x02dfffff,0x37fffd4c,0xffffc800,0xfffe88df,0x01ffffde,
    0xffff9000,0x7fff4007,0x3ffaa05f,0xffffffff,0xe9804fff,0xffffffff,
    0x4fffffff,0xffffff50,0xffffffff,0xffffffff,0x1bfff601,0x3fffea00,
    0x00ffff70,0x05ffff30,0x001ffffc,0x5c4fffe8,0xffffffff,0xfffffede,
    0x54006fff,0x22fffffe,0x3620effb,0x02e605ff,0x03ffff60,0x5ffffb80,
    0xfffffe98,0xffffffff,0x7fc404ff,0xffffffff,0x4fffffff,0xffffff70,
    0xffffffff,0xffffffff,0x17fff603,0x3fffe600,0x00dfff91,0x05ffff10,
    0x00bfffe2,0x42fffec0,0xfffffffc,0xffffffff,0x36002fff,0x40dfffff,
    0xff980ffc,0x2013fa07,0x4007ffff,0x443ffff9,0xffffffff,0xffffffff,
    0x3ffa204f,0xdcdeffff,0x4ffffffe,0xffffff50,0xffffffff,0xffffffff,
    0x1bfff605,0x3fffe600,0x00dfff70,0x05ffff10,0x001ffffc,0x904fffe8,
    0xffffffff,0xffffffff,0x7fff4005,0x402602ff,0xff105ffb,0xdfffd00b,
    0xffff9800,0x3ffffa22,0xfedcdeff,0x204fffff,0x0bfffffb,0x827ffec0,
    0xaacffff8,0xaaaaaaaa,0x0aaaaaaa,0x00ffffb0,0x54ffff70,0x4000ffff,
    0x202ffffa,0x8005fffe,0x203ffff9,0xffffffc8,0x02efffff,0x0cffff80,
    0x5fff5000,0x003bfe20,0x800ffffb,0x2e1ffffa,0x00bfffff,0xb027ffec,
    0x2003ffff,0x3e04fffd,0x0000ffff,0x3ffff600,0x3ffa2003,0x3fffe25f,
    0x7fff4004,0x3fff202f,0x7ff4003f,0xa98800ff,0x0aaccfff,0x077ee000,
    0x4fffc800,0x0bfffe20,0x02ffffb8,0x83ffff60,0x001ffffd,0x7c09fffb,
    0xc9804fff,0x3204ffff,0x000effff,0xfffd8010,0xffb001ff,0xfffe87ff,
    0xfff9002f,0x7fc405ff,0xd8802fff,0x8005ffff,0x00000fff,0x3f620000,
    0x7fc404ff,0x3fe606ff,0xfa800fff,0x7ffc5fff,0xffc9804f,0x3ffa04ff,
    0xfd9881ff,0x0adfffff,0xeffffe88,0x3b6e600b,0xfea884ff,0x00cfffff,
    0x0dffffd5,0x1bfffff3,0x3ffffa60,0x3f602cff,0x881dffff,0x1ffffffb,
    0x3ffff800,0x80000000,0x202ffff9,0xffe9bbec,0x3ffff201,0x3ffee02f,
    0x7fff40ff,0xffd9881f,0x80adffff,0xeffffffc,0xfffffffd,0x85ffffff,
    0xfffffff9,0xfffeeeee,0x3a0fffff,0xffffffff,0xfeeeffff,0x01ffffff,
    0xfffffff9,0xfffffddd,0x7fffffff,0x3fffffa0,0xfffeeeff,0x0003ffff,
    0x001fffff,0x7dc00000,0x3e201eff,0x06ffffff,0x7fffff44,0xfffeccee,
    0xffc83fff,0xffdeffff,0xffffffff,0x7f445fff,0xffffffff,0xffffffff,
    0xfb81ffff,0xffffffff,0xffffffff,0xffff30ff,0xffffffff,0xffffffff,
    0xffe807ff,0xffffffff,0xffffffff,0xfd107fff,0xffffffff,0x09ffffff,
    0xd9bbeb80,0x000002ff,0x5fffe880,0xfffff700,0xfff3005f,0xffffffff,
    0x220dffff,0xfffffffe,0xffffffff,0x41ffffff,0xfffffff9,0xffffffff,
    0x00ffffff,0xffffffd3,0xffffffff,0x7ffc47ff,0xffffffff,0xffffffff,
    0xff7002ef,0xffffffff,0xffffffff,0x7e440bff,0xffffffff,0x8002ffff,
    0x7fffffff,0x98000000,0xccceffff,0xca882dcc,0x362000be,0xffffffff,
    0x4c04ffff,0xffffffff,0xffffffff,0x880fffff,0xfffffffc,0xfffd9cff,
    0xfb802dff,0xffffffff,0xa80bdfff,0x9cfffffd,0xfffffffd,0xd88003ff,
    0xffffffff,0xfffff8bf,0xfd9801ce,0xefffffff,0xff50000b,0x0009ffff,
    0xfff50000,0xffffffff,0x5400000f,0xffffffff,0xf91001df,0xffffffff,
    0xfffffb39,0xcba8805b,0x00002acc,0x59997510,0x40000135,0x1abccba8,
    0xca988000,0x00001acc,0x59997510,0x64c00003,0x000001ce,0xfffff500,
    0x1fffffff,0xa9800000,0x000abcdb,0x59997510,0x00000005,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xbb880ae2,0xeeeec800,0xeeeeeeee,0x02eeeeee,0x5710164c,
    0x00200000,0x00200000,0x1015c400,0x08000177,0x99930000,0x99999999,
    0x99999999,0xea800599,0x1004eeee,0x1579d975,0xf8001440,0xdffb05ff,
    0xfffffb00,0xffffffff,0x407fffff,0xff03fff9,0xb88000bf,0x2defffee,
    0x75c40000,0x02defffe,0x04fff880,0x2000dffd,0x0603fffb,0x26666ae0,
    0x99999999,0x99999999,0x7fff4004,0x3ae205ff,0xffffffff,0x03ffb03f,
    0x07fffd40,0x007fffe2,0xfffffffb,0xffffffff,0x7e407fff,0xfffa86ff,
    0xfd98000f,0xffffffff,0x4c0003ef,0xfffffffd,0x2003efff,0xf987fffa,
    0x74001fff,0x22efffff,0x0dc04fe9,0x01220000,0xffffffb8,0xffffc885,
    0xffffffff,0x7ffe41ef,0xdfff1002,0x003fffa0,0xfffffffb,0xffffffff,
    0x7d407fff,0xfff884ff,0xfffb8006,0xfeccceff,0x8000efff,0xcefffffb,
    0xeffffecc,0x5fff8800,0x800ffff0,0xfffefffc,0x04fffcdf,0x200000dc,
    0xfff10048,0xf70bffff,0xffffffff,0x1dffffff,0x027ffec4,0xb301dea8,
    0xfff9005d,0x9999999d,0x5ffffb99,0x500ceb80,0x6c4003bd,0x2201dfff,
    0x002fffeb,0x03bfffb1,0x17fff5c4,0x980ef540,0x7f4002dd,0xffffb11e,
    0x1b801dff,0x02440000,0xffffffd8,0xffffb85f,0xfedcefff,0xfc84ffff,
    0x00000dff,0x2fffa800,0x1ffff700,0x40000000,0x4002fffd,0xd801fffc,
    0x64002fff,0x00001fff,0xa814c000,0x800befff,0x4400001b,0xffff9804,
    0xfb85ffff,0xa80acfff,0xb81fffff,0x00006fff,0x009d9000,0x0037fff4,
    0xff700000,0x3ea0001d,0x3fee00ff,0xff50000e,0x0000001f,0x00cc4000,
    0x000006e0,0xfffd0091,0x50bfffff,0xf700dfff,0x3e607fff,0x000002ff,
    0xff980000,0x020003ff,0x0fff9800,0x9ceffdb8,0x417fee2c,0xed98fff9,
    0x02cdeeee,0x0000bff7,0x00800000,0x00001b80,0x3fee0244,0x5fffddff,
    0x004fff88,0x4409ffff,0x6665cc4c,0x332e603c,0x00002ccc,0x001ffff7,
    0x3ffff6e2,0x3f6001ce,0x7fff442f,0x6c6fffff,0x2ffd81ff,0xfffffff9,
    0xffb03dff,0x66664c03,0x4001cccc,0x913cccb9,0x039dfffd,0x80000370,
    0x3ffe2048,0x5fffd8ff,0x2003ffb0,0x4006fffc,0x5ffffffe,0xffffffd0,
    0x3a00009f,0xf9006fff,0xffffffff,0xff8805df,0xbbdffe85,0x7cc7fffd,
    0x12ffc44f,0xfb99dff7,0xff981dff,0xffffff04,0x4005ffff,0xbefffffe,
    0xffffffff,0x000dc04f,0xfc812200,0xfffb4fff,0xf1000c0b,0x1880bfff,
    0xfffffff3,0xfffff30b,0x00009fff,0x807ffff3,0xffffffe9,0x4fffffff,
    0xf907fee0,0x0ffd105f,0x1ffb8fff,0xffa84fd8,0xfa87ff82,0xffffffff,
    0xfff3002f,0xffffffff,0xdfffffff,0x00000dc0,0x7ffcc122,0x17fff66f,
    0x7ffe4000,0x47ff204f,0x5fffffff,0xfffffff0,0xf700009f,0x7cc01fff,
    0xffffffff,0x6fffffff,0xbff0ffb0,0x7ec37d40,0x6c1ff61f,0xb07ff04f,
    0xfff883ff,0x2fffffff,0x3ffffe00,0xffffffff,0x03ffffff,0x88000037,
    0x5ffffb04,0x002fffec,0x3ffff620,0xfffd881f,0xffffd730,0x3fb6e60b,
    0x80004fff,0x2206fffe,0xceffffff,0xffffdbaa,0x46fe84ff,0x0d402ff9,
    0xdfd17fdc,0x3ee13f60,0x82ffb81f,0xffeeeec9,0x326002ff,0xffffffff,
    0xfffecabd,0x001b80ff,0x7d424400,0x7fec6fff,0xf930005f,0x30bfffff,
    0x3205fffd,0xfb005fff,0x980009ff,0x3603ffff,0x202fffff,0x1fffffd8,
    0x3fea27fc,0x7ff10000,0xdfd827fc,0x06fffdba,0x7c007ff1,0xc8002fff,
    0x00dfffff,0x703ffff7,0x48800003,0x41ffffe8,0x4005fffd,0xffffffea,
    0x7ffd40df,0x3fff201f,0x9fffb005,0xfffc8000,0xffff100f,0x3fee001f,
    0x0ffe25ff,0xf8000ff7,0x207ff14f,0xfffffffd,0x013fe00d,0x002ffff8,
    0x04ffffc8,0x41ffffc4,0x4400001b,0x27fffe44,0x002fffec,0x3ffffffe,
    0xefffa84f,0x2fffe400,0x04fffd80,0x37fff400,0x05ffff90,0x0ffffd80,
    0x0ff717fe,0xf1ffcc00,0x3fff60bf,0x2601ffff,0x3fe003ff,0xfc8002ff,
    0xffd006ff,0x0003709f,0x3fe24880,0xffd80fff,0x7ffc005f,0xfd01dfff,
    0x3ff200bf,0xfffb005f,0x7fcc0009,0x3ffa03ff,0xff88005f,0x31ffa3ff,
    0x2e0005ff,0x41ffa2ff,0x3bfea4fd,0x005ff700,0x0017fffc,0x802fffe4,
    0x1b84fffe,0xb2440000,0x3607ffff,0x74005fff,0x5401efff,0x3ff2002e,
    0xfffb005f,0x7fe40009,0x3ffe00ff,0xffd0003f,0x107fec9f,0x81880dff,
    0x3ff60ffe,0x7cc4fd80,0x01ffd05f,0x017fffc0,0x02fffe40,0xb84fffe8,
    0xa4400001,0xccfffff9,0xfffecccc,0xff9000ae,0x2000003f,0xb005fffc,
    0x40009fff,0x2206fffe,0x0002ffff,0x7d4bfffb,0x827fe42f,0x3fe21ffa,
    0x6c17fd46,0x44ffa84f,0x7c006ff8,0xc8002fff,0xfd005fff,0x003709ff,
    0xffb48800,0xffffffff,0xffffffff,0x017fa600,0xfffc8000,0x9fffb005,
    0x3ffe6000,0x7fffc03f,0xfffd0003,0x740fff89,0xfedcdfff,0x41ffd46f,
    0xffd50fff,0xeffc89ff,0x8007ff52,0x8002ffff,0xd005fffc,0x03709fff,
    0xfb488000,0xffffffff,0xffffffff,0x0004005f,0x9016ff5c,0x3600bfff,
    0x90004fff,0xe801ffff,0x98005fff,0x7dc3ffff,0xffffc85f,0x3e20efff,
    0x5ffb80ff,0x0ffffff9,0xfff19ffd,0xffff8001,0xfffc8002,0x9fffd005,
    0x80000370,0xfffffb48,0xffffffff,0x001fffff,0x7ffdc000,0xfff900ff,
    0x3fffa00d,0xfffd0004,0xffff900d,0xfffe8007,0x82ffe80f,0x82cdecb9,
    0x3fa02ffd,0x1555532f,0xffb15510,0xffff0005,0xfff90005,0x3fffa00b,
    0x00001b84,0xeeeeca44,0xfeeeeeee,0x001cffff,0x7fff4000,0xfff903ff,
    0x7fecc01f,0xf98004ff,0xf8803fff,0x8802ffff,0x305ffffd,0x10009fff,
    0xf9809ffd,0xe88004ff,0xff0004ff,0xf90005ff,0x3fa00bff,0x001b84ff,
    0x80024400,0x0005fffd,0xffffb000,0x3ffea03f,0xfffd983f,0x4000dfff,
    0x000ffffc,0x3bfffffb,0xfffff710,0x7ffd403f,0xfff5001e,0x3ffea00d,
    0xfff5001e,0xaaaa880d,0xacffffaa,0x9881aaaa,0x01aefffd,0x037fffa6,
    0x88000037,0x3aaa2004,0x2000efff,0x3001cedb,0x440dffff,0xeeffffff,
    0xffffffff,0x3a005fff,0x74006fff,0xefffffff,0xffffffee,0xfff9803f,
    0x9330abdf,0x8009ffff,0xabdffff9,0xffff9330,0xffffc809,0xffffffff,
    0x0fffffff,0xfffffff3,0xfffd03ff,0x0dcbffff,0x01220000,0x7fffffec,
    0xfb806fff,0x1000ffff,0xffb00397,0xffffffff,0xffffffff,0xfff1003f,
    0xfe88007f,0xffffffff,0x04ffffff,0x3ffff620,0xffffffff,0xfb10002f,
    0xffffffff,0x8805ffff,0xffffffff,0xffffffff,0xffb3ffff,0xdfffffff,
    0xffffffa8,0x00371fff,0x98048800,0xffffffff,0x7ec01fff,0x0001ffff,
    0x3ffff600,0xffffffff,0x00ffffff,0x000dfff0,0x3fffff22,0xffffffff,
    0xff930002,0x5dffffff,0x3f260000,0xefffffff,0x3fffe002,0xffffffff,
    0xffffffff,0xffffff92,0xff98bfff,0x0fffffff,0x88000037,0xffff8804,
    0x0fffffff,0x37fffd40,0x7e400000,0xcfffffff,0x2dffffd9,0x007baa00,
    0xffffb300,0x017dffff,0x97531000,0x00000157,0x2af2ea62,0xffd98000,
    0xffffffff,0x3dffffff,0x3ffffb22,0xfdb80cef,0x2e2dffff,0xcccccccd,
    0xcccccccc,0x004ccccc,0xffffffb5,0x2a2005bf,0x0000002c,0x00d665cc,
    0x00000000,0xacccba88,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xcecca880,0x540000ac,
    0x20000001,0x2bcddb98,0x4cc40000,0x99999999,0xffb80019,0x100006ff,
    0x0579bb75,0x99999880,0x4cccc400,0x6e540001,0x0acceefe,0xfffffda8,
    0xb5000004,0xffffffff,0xf9100007,0xffffffff,0x007ff53b,0x00009ffb,
    0xffffec80,0xebdfffff,0x7f54003f,0xffffffff,0x01dfffff,0x0dffff70,
    0xfffd8800,0xbbefffff,0x7ff640df,0x42dfffff,0xffffffec,0x3aa001df,
    0xffffffff,0x3fe23fff,0x004fffff,0xffff8800,0x03ffffff,0x7fffdc00,
    0xffffffff,0xf807ffff,0x000006ff,0xffffffd1,0xffffffff,0xffe800ff,
    0xffffffff,0x06ffffff,0x0dffff70,0x7fffdc00,0xffffffff,0x3fe63fff,
    0xffffffff,0x3ffffea6,0x006fffff,0xfffffff7,0x1fffffff,0x3fffffe6,
    0xa800004f,0xffffffff,0x360003ff,0xffffffff,0xffffffff,0x3fe601ff,
    0x400000ff,0xfffffff9,0xffffffff,0x3e001fff,0xffffffff,0xffffffff,
    0xffff7006,0x3fea000d,0xffffffff,0x25ffffff,0xfffffffa,0x3fee7fff,
    0xffffffff,0xffff9806,0xffffffff,0x7fff47ff,0x00004fff,0xffffffd0,
    0x20007fff,0xfffffffc,0xfffffece,0x2601ffff,0x0000ffff,0x3ffffea0,
    0xffeddfff,0x02ffffff,0x3ffffee0,0xffffffff,0xd5002fff,0x30009ddd,
    0xbdffffff,0xffffffdb,0xffffd8df,0x223fffff,0xfffffffe,0xffd802ff,
    0xdcbbcfff,0xa983fffe,0x0004fffe,0x2aaaa600,0x8003ffff,0xaefffffa,
    0xffffc880,0x3fe601ff,0x300000ff,0x37bfffff,0x3ffff660,0x9998002f,
    0xcfffe999,0x00000099,0xbffffb00,0xffff7103,0xfffd10df,0x4cc4033b,
    0x2003ffff,0x0006ffff,0x009fffb0,0xfff80000,0x7fc4003f,0x9800efff,
    0x201ffffe,0x000ffff9,0xbffffb00,0x7fffdc00,0x3fa00002,0x000004ff,
    0x6ffff800,0x6ffff980,0x009fffb0,0x002ffff8,0x005ffff1,0x13fff600,
    0xff000000,0xfb8007ff,0x2000efff,0x441ffffa,0xcffffdca,0xbccccccc,
    0x7fffcc01,0xffff8006,0x3fa00000,0x000004ff,0x7fffcc00,0xbfffb002,
    0x013fff60,0x005ffff0,0x007fffe6,0x27ffec00,0xf0000008,0xe8007fff,
    0x8000ffff,0x7fd47fff,0xffffffff,0xffffffff,0x3ffffa05,0x6ffb8000,
    0x7ff40000,0x664c004f,0x01cccccc,0x03fffe60,0x81fffcc0,0x4004fffd,
    0x2602ffff,0xdffffdcb,0x0bcccccc,0x29fffb00,0xcdfffeda,0xfff00001,
    0x7fc4007f,0xf70003ff,0xffffd8bf,0xffffffff,0x0fffffff,0x00bffff0,
    0x00005d40,0x013fffa0,0xfffffff8,0x7c002fff,0x32004fff,0xfffb00df,
    0xffff8009,0xfffffb02,0xffffffff,0xb007ffff,0xfffddfff,0x07ffffff,
    0x7ffff000,0x7fffd400,0x20a60000,0xfffffffb,0xffffffff,0xff306fff,
    0x000007ff,0xfffd0000,0x3ffea009,0x2fffffff,0x7fffec00,0xfb00000d,
    0xff8009ff,0xfff882ff,0xffffffff,0x6fffffff,0xfffffd80,0xffffffff,
    0x7c0004ff,0x2e003fff,0x00007fff,0x3ffbb6a0,0xeeeeeeff,0xf501bdee,
    0x00001fff,0xffd00000,0x3fe2009f,0xffffffff,0x7ffd4002,0x00acefff,
    0x09fffb00,0x02ffff80,0xfffffffd,0xffffffff,0xffb009ff,0xffffffff,
    0x07ffffff,0x1ffffc00,0x0dfff900,0x3e600000,0x40000fff,0x0006fffb,
    0xfd000000,0x64c009ff,0xffffeeee,0xfffc8002,0xdfffffff,0xfffb000b,
    0xffff8009,0xfddb7302,0xdddddfff,0xb0017bdd,0xbfffffff,0xfffff957,
    0x3fe0001f,0x3f2003ff,0x000005ff,0x01ffff30,0x6fffc800,0x00000000,
    0x009fffd0,0x05ffff00,0x3fffee00,0xffffffff,0x7ffec00d,0x7fffc004,
    0xffff3002,0x3f600003,0x900dffff,0x0005ffff,0x800ffffe,0x0005fffc,
    0xffff3000,0xffc80001,0xccb9806f,0x80bccccc,0x7f4000a8,0xf80004ff,
    0x20002fff,0xffffffea,0x01efffff,0x0013fff6,0x2005ffff,0x001ffff9,
    0x9ffffb00,0x3ffff980,0x7ffff000,0x2fffe400,0xf9800000,0x40000fff,
    0x7c06fffc,0xffffffff,0x3fe25fff,0x3ffa001f,0xff80004f,0x980002ff,
    0xffffffdb,0xfb01ffff,0xff8009ff,0xff3002ff,0x200003ff,0xf005fffd,
    0x20007fff,0x2003ffff,0x0007fffb,0xffff3000,0xffb80001,0x3ffea06f,
    0xffffffff,0x7fff50ff,0x27fff400,0x7fffc000,0xb9800002,0x6fffffec,
    0x009fffb0,0x002ffff8,0x003ffff3,0x13fff600,0x01ffff40,0x03ffff80,
    0x03fffea0,0x3e600000,0x40000fff,0x2207fff9,0xffffffff,0x3f27ffff,
    0x3fa005ff,0xf80004ff,0x00002fff,0xfffffa80,0x04fffd80,0x017fffc0,
    0x01ffff98,0x9fffb000,0x0ffffa00,0x1ffffc00,0x5ffff300,0xf3000000,
    0x80001fff,0x201ffff8,0xffffffda,0x3f21efff,0x3fa005ff,0xf80003ff,
    0x26002fff,0x7c4001dd,0xffc83fff,0x3fe2005f,0xff3001ff,0x200003ff,
    0xd004fffd,0x20007fff,0x4003ffff,0x000effff,0x7ffcc000,0xfe80000f,
    0xff0004ff,0xfffc85ff,0x3fffe005,0xfff80002,0x3ffa002f,0xfffd8006,
    0x06fffb85,0x01fffea0,0x01ffff98,0x9fffb000,0x0ffffa00,0x1ffffc00,
    0x3fffee00,0x3bf70004,0x07fffcc0,0x7ffe4000,0xfff8001f,0x2fffe42f,
    0x0ffff980,0xffff8000,0xffff1002,0xffff8005,0x2ffff985,0x0dfffb00,
    0x0ffffcc0,0xfffd8000,0x7fffd004,0x3fffe000,0x7ffc4003,0xb1000dff,
    0x7cc0bfff,0x93002fff,0xffff9817,0x7ffc001e,0x37ffe42f,0x3ffff440,
    0xffff8000,0xffff3002,0x3ff2005d,0xfff883ff,0x7fec00ff,0x3e6004ff,
    0x00001fff,0x2009fffb,0x0003fffe,0x0007ffff,0x7ffffff5,0xfff73103,
    0x7fc40dff,0xd7100dff,0xff909fff,0x3013bfff,0x5ffffd95,0xcfffffc8,
    0x7fffd441,0xff00005f,0x3e6005ff,0x0adfffff,0xfffffea8,0xfffff701,
    0x7fed4417,0x26000eff,0x0001ffff,0x009fffb0,0x000ffffa,0x001ffffc,
    0xffffffc8,0xffffefff,0x402fffff,0xeefffffe,0xffffffee,0xffffd07f,
    0xffddffff,0x5fffffff,0xffffffc8,0xffffeeff,0x22000fff,0xffaaaaaa,
    0xaaaaacff,0x7ffffcc1,0xffefffff,0x05ffffff,0x7fffffec,0xffffffee,
    0xbaa9801f,0xaaabffff,0xa8800aaa,0x009efffe,0x3bffff53,0x55555101,
    0x55bffff5,0xf9003555,0xffffffff,0xffffffff,0xffff5007,0xffffffff,
    0x2609ffff,0xffffffff,0xffffffff,0x7fdc2fff,0xffffffff,0x01ffffff,
    0x3fffff20,0xffffffff,0x10ffffff,0xffffffff,0xffffffff,0xe8801dff,
    0xffffffff,0x404fffff,0xfffffff9,0xffffffff,0x3fe606ff,0x1fffffff,
    0x7fffffd4,0x3ff20fff,0xffffffff,0xffffffff,0x7ffd400f,0xffffffff,
    0x2001efff,0xfffffffc,0x3fffffff,0x7fffe440,0xffffffff,0x9101cfff,
    0xffffffff,0x003dffff,0x7fffffc4,0xffffffff,0x23ffffff,0xfffffffe,
    0xffffffff,0xf91000cf,0xffffffff,0xff9005ff,0xffffffff,0xffffffff,
    0x3ffffa03,0x745fffff,0xffffffff,0xfffff14f,0xffffffff,0x7fffffff,
    0x3fff6a00,0x3defffff,0xfffd5000,0x5bffffff,0x7f644001,0xffffffff,
    0x3aa000bf,0xdfffffff,0xffff0003,0xffffffff,0xffffffff,0x644f6cc5,
    0xffffffff,0xd30001df,0xbfffffff,0x3ffee001,0xffffffff,0x0fffffff,
    0xffffffb0,0xffe89fff,0x3fffffff,0x3ffffffa,0xffffffff,0x002fffff,
    0x4de65544,0x2a600000,0x000abccc,0x332e6200,0x9800019a,0x80001bca,
    0xffffffd9,0xffffffff,0x26003dff,0x009abcba,0x59751000,0xfd710003,
    0xffffffff,0x05bfffff,0x7ffff644,0x7e4c0cef,0x0befffff,0x3fffff66,
    0xffffffff,0x0003efff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x36a00000,0x004fffff,0x65cc0000,
    0x10000abd,0x33333333,0x33100003,0x03333333,0x65cc0000,0x26000acd,
    0x99999999,0x99999999,0x00099999,0x33333333,0x33333333,0x26201333,
    0x99999999,0x99999999,0x33330099,0x33333333,0x33333333,0x001d4401,
    0xfffffff3,0x20000009,0xfffffffc,0xfd9002ef,0xffffffff,0xb8003bff,
    0xfffffffe,0x0aceffff,0x7ff4c000,0x00cfffff,0x7fffffcc,0xffffffff,
    0xffffffff,0x3fff6604,0xffffffff,0xffffffff,0x7fff5c4f,0xffffffff,
    0xffffffff,0x3fff622f,0xffffffff,0xffffffff,0x3f6e26ff,0x3ea006ff,
    0x04ffffff,0x7f540000,0xffffffff,0x7fcc04ff,0xffffffff,0x2005ffff,
    0xfffffff8,0xffffffff,0xf50002ff,0xffffffff,0x7fcc01df,0xffffffff,
    0xffffffff,0x3a04ffff,0xffffffff,0xffffffff,0x224fffff,0xffffffff,
    0xffffffff,0x22ffffff,0xfffffffc,0xffffffff,0x6fffffff,0xdffffff7,
    0xfffff800,0x000004ff,0x3ffffff2,0xffffffff,0xffff500e,0xffffffff,
    0x7cc00bff,0xffffffff,0xffffffff,0x3e2000ef,0xffffffff,0x3e606fff,
    0xffffffff,0xffffffff,0x204fffff,0xfffffffe,0xffffffff,0x24ffffff,
    0xfffffff8,0xffffffff,0x2fffffff,0x3ffffff2,0xffffffff,0xffffffff,
    0xffdfff76,0xfd53000d,0x000009ff,0x3fffffee,0xffffedef,0xffb00fff,
    0xffffffff,0xc8003dff,0xffffffff,0xffffffff,0xfb000eff,0xfdbdffff,
    0x2603ffff,0xffffffff,0xffffffff,0x04ffffff,0x3fffffea,0xfffffffc,
    0x4fffffff,0x7fffffe4,0xffffffff,0x2fffffff,0x3fffffa6,0xffffffff,
    0xffffffff,0x37fd4226,0x9fffd000,0xff100000,0x7103dfff,0x40bfffff,
    0xffff9998,0x4000099b,0x999efffd,0xffffdba9,0xff8805ff,0x7fd41eff,
    0xfff300ff,0xff33335f,0xd33337ff,0x91009fff,0xffff1fff,0xfd333337,
    0x3f6609ff,0x99999dff,0xfff99999,0xfffa882f,0x999999af,0xfffc9999,
    0x00dff506,0x027fff40,0x7fff4000,0xfff9805f,0xfff002ff,0x6400005f,
    0xfa805fff,0x4c02ffff,0xf302ffff,0x7ffcc07f,0x2ffff80f,0x004fffd8,
    0x3ffedffd,0x9fffd02f,0x02fffec0,0x205ffff0,0x001ffff9,0x541bffee,
    0x3a0006ff,0x00004fff,0x027fffe4,0x1fffff10,0x05ffff00,0x7ffe4000,
    0xffff3005,0x7fffa80d,0xfff98000,0x2ffff80f,0x804fffd8,0xfff4fff8,
    0x3fffa05f,0x17fff604,0x02ffff80,0x003ffff3,0xa837ffdc,0x3a0006ff,
    0xcc984fff,0x2201cccc,0x000fffff,0x027fffdc,0x0017fffc,0x0bfff900,
    0x17fffdc0,0x01ffff30,0xffff9800,0x82ffff80,0xb804fffd,0xffff1fff,
    0x0ffff605,0x505fffd8,0x00fffd83,0x103ffff3,0x4fff9817,0x000dff50,
    0x3e27fff4,0xffffffff,0x5ffff307,0x3fffa000,0x2ffff806,0x3ff20000,
    0x7ff4005f,0x3ffe206f,0x7cc0001f,0xfff80fff,0x4fffd82f,0x3e7ffd80,
    0x25b52fff,0x3601fffb,0x7f445fff,0x81bfee3f,0x541ffff9,0x2fff87ff,
    0x000dff50,0xf527fff4,0xffffffff,0xdfff705f,0x7ffd4000,0x2ffff807,
    0x3ff20000,0x7fe4005f,0x7fff407f,0xfff80003,0x05ffff06,0xf005fff7,
    0x7fffcbff,0xe89fff9a,0x7ffec05f,0x22fffcc5,0x7ffcc029,0x0fffec1f,
    0xffa806e2,0x3ffa0006,0x3fffe24f,0x80ffffff,0x0005fffc,0x007fffe2,
    0x0005ffff,0x02fffe40,0x03fffea0,0xdfffd551,0x90001555,0x3ffe09ff,
    0x0fff982f,0xf17ffd40,0xfffb9fff,0x7fec0049,0xffcaaaef,0xff98007f,
    0xfeaaabff,0xfa8003ff,0x3fa0006f,0x3ffea4ff,0x01ceefff,0x0007fffd,
    0x402ffff8,0x0002ffff,0x017fff20,0x23ffff30,0xffffffe8,0x1effffff,
    0xff00cc00,0x00a205ff,0xff07ffe4,0xbfffffff,0xffffd800,0x7fffffff,
    0xffff9800,0xffffffff,0xf7331003,0x800133df,0xff94fffe,0x2007ffff,
    0x0002ffff,0x201ffff4,0x0002ffff,0x017fff20,0x5cbfffe0,0xffffffff,
    0x05ffffff,0x7fffc000,0xffe80002,0x7fffffc6,0x6c005fff,0xffffffff,
    0x98007fff,0xffffffff,0xa803ffff,0xffffffff,0x3fa006ff,0xffffddff,
    0x3fe001ff,0x740002ff,0x7fc03fff,0x200002ff,0x8005fffc,0xff52ffff,
    0xffffffff,0x0009ffff,0x02ffff80,0x1fffcc00,0x3ffffffe,0x7ec005ff,
    0xffffffff,0xf98007ff,0xffffffff,0xfb803fff,0xffffffff,0x3ffa006f,
    0xefffffff,0x7fff4000,0x7ffc0003,0x7fffc02f,0xc80a6002,0x44005fff,
    0x3b22ffff,0xffffffff,0x0000dfff,0x017fffc0,0x37ffee00,0xfffffccc,
    0x4005ffff,0xfffffffd,0x8007ffff,0xfffffff9,0x003fffff,0x33333331,
    0xffe80013,0x05ffffff,0x0bfff900,0x7fffc400,0x17fffc01,0x906ffb80,
    0x9800bfff,0x6400ffff,0x00006fff,0x02ffff80,0x7ffff400,0xbfffffff,
    0x4003fffc,0x7d45fffd,0xf98007ff,0xe999afff,0x00003fff,0x3fffa000,
    0x001fffff,0x00dfff70,0x03fffd40,0x8017fffc,0xfc80fffe,0x7dc005ff,
    0xffc807ff,0x8000006f,0x0002ffff,0x3fffffe2,0x9affffff,0x6c001fff,
    0x7fcc5fff,0x80e5c46f,0x6c1ffff9,0x93001fff,0x8015c405,0xfffffffe,
    0xf98002ff,0xd0003fff,0xff00dfff,0x3fe005ff,0xfffc82ff,0x7ffec005,
    0x6fffd805,0xff800000,0x2a0002ff,0xffffffff,0x1712ffff,0x7fec0288,
    0x42ffc85f,0xff307ffc,0x6ff983ff,0x07fff300,0x3a017ffe,0xffffffff,
    0x7c4003ff,0x4000ffff,0x804ffffb,0xf002ffff,0xff905fff,0x7fcc00bf,
    0xffe804ff,0x8000005f,0x0002ffff,0x2667fff6,0x02ffff99,0xfd81bfea,
    0xd01305ff,0xff303fff,0x800603ff,0xfa86fffc,0xffe807ff,0xffffe9ef,
    0x7fdc004f,0x3e6005ff,0xff006fff,0x3fe005ff,0xfffc82ff,0xffff3005,
    0xfff9805f,0x0053003f,0x00bfffe0,0xf05fff80,0x7e405fff,0xfffb00ff,
    0xffff800b,0x1ffff982,0xfffa8000,0x06fff884,0xb14fffe8,0x00bfffff,
    0x0dffffd8,0x7ffffd40,0x5ffff002,0x0bfffe00,0x2017fff2,0x05fffff9,
    0x0ffffec4,0x0037fe40,0x0017fffc,0xf03fff98,0x7f405fff,0xfffb03ff,
    0xffff800b,0x1ffff982,0x19d70000,0x20077aa0,0x7ec4fffe,0x000dffff,
    0x5ffffff1,0xffffc981,0x2aaa205f,0xaaacffff,0xffbaaaaa,0x7fec42ff,
    0xbaaaaaef,0xefffffec,0x3fffea00,0xaaaaaaff,0x1ffffaaa,0x7fd554c0,
    0x00aaacff,0x5fffecc4,0xffff5510,0xf5555559,0xea887fff,0xaaaaefff,
    0xfaaaaaaa,0x7dcc2fff,0xaaaabfff,0x00000001,0x27fff544,0x77ffffe4,
    0x7fd400aa,0xfeffffff,0x0fffffff,0xffffffd0,0xffffffff,0xffffffff,
    0x7ffffec5,0xffffffff,0x01ffffff,0xfffffff3,0xffffffff,0x03ffffff,
    0x3fffffea,0xffffffff,0xfffff305,0xfffd7fff,0xffffffff,0x47ffffff,
    0xfffffffd,0xffffffff,0x2fffffff,0xfffffff3,0x1fffffff,0xd0000000,
    0x09ffffff,0xfffffff1,0xffb80bff,0xffffffff,0x500dffff,0xffffffff,
    0xffffffff,0x5fffffff,0x3fffffe6,0xffffffff,0x201effff,0xfffffffc,
    0xffffffff,0x207fffff,0xfffffffd,0xffffffff,0xfffffd80,0xffffffff,
    0xffffffff,0x33ffffff,0xffffffff,0xffffffff,0x5fffffff,0x3ffffff6,
    0xffffffff,0x40000003,0xfffffffa,0xfffffb84,0x401fffff,0xffffffe9,
    0x403fffff,0xfffffff9,0xffffffff,0xffffffff,0xffffff12,0xffffffff,
    0xa8019fff,0xffffffff,0xffffffff,0x3202ffff,0xffffffff,0x07ffffff,
    0xfffffff7,0xffffffdf,0xffffffff,0x3e27ffff,0xffffffff,0xffffffff,
    0x72ffffff,0xffffffff,0x05ffffff,0xf9800000,0x84ffffff,0xfffffffa,
    0xf7000fff,0xbfffffff,0x3ff6e003,0xffffffff,0xffffffff,0x3f6a2fff,
    0xffffffff,0x000bdeff,0x3fffff6e,0xffffffff,0x4401deff,0xffffffec,
    0x02dfffff,0x3bfffff6,0xffffec8d,0xffffffff,0x36a3ffff,0xffffffff,
    0xffffffff,0x912fffff,0xfffffffd,0x0007dfff,0x3f6e0000,0xb704ffff,
    0x5bffffff,0x59751000,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,0x26200199,
    0x4cc00099,0x09999999,0x99988000,0x09999999,0x99988000,0x4ccc4009,
    0x99998801,0x00019999,0x4cccccc4,0x01999999,0x99999988,0x88000199,
    0x00999999,0x1004cccc,0x33333333,0x33333333,0x80011013,0xfffd980a,
    0xb500cfff,0x07dfffff,0x7ffffec4,0x006fffff,0x3ffffae0,0xffffffff,
    0x2a002def,0xeffffffd,0x7ffff642,0x7fdc0dff,0xffffffff,0x2e001dff,
    0xfffffffe,0xffffffff,0x7fff5c0d,0xffffffff,0xd7000ace,0xffffffff,
    0x7ffec45b,0xfe84efff,0xffffffff,0xffffffff,0x4017fec3,0x7ec3ffd8,
    0x4fffffff,0xffffff88,0xff902fff,0xffffffff,0xf10005ff,0xffffffff,
    0xffffffff,0xffd003df,0x1fffffff,0x3fffffea,0x3fe24fff,0xffffffff,
    0x1006ffff,0xffffffff,0xffffffff,0x7ffc49ff,0xffffffff,0x03ffffff,
    0x7fffffc4,0x2e6fffff,0xffffffff,0x7ffff43f,0xffffffff,0x2a3fffff,
    0x2203ffff,0x7fc7fffe,0x6fffffff,0xffffff98,0xff903fff,0xffffffff,
    0xf3000bff,0xffffffff,0xffffffff,0xff803fff,0xffffffff,0xffffff50,
    0x7fcc9fff,0xffffffff,0x3006ffff,0xffffffff,0xffffffff,0x7ffc4bff,
    0xffffffff,0xefffffff,0xfffff301,0x4fffffff,0xfffffffc,0x7fff43ff,
    0xffffffff,0x23ffffff,0x83fffffa,0x47ffffe8,0xfffffffb,0xffffb02f,
    0x2601ffff,0xfffffffe,0x000fffff,0xffffffd8,0xffffffff,0x00ffffff,
    0x3fffffee,0x7ffec4ff,0x641effff,0xffffffff,0x002fffff,0x3ffffff2,
    0xffffffff,0x7fe41eff,0xffffffff,0xffffffff,0xffffb00e,0x47ffffff,
    0xfffffff9,0x7fff40ef,0xffffffff,0x43ffffff,0x22fffffd,0x1fffffe8,
    0x7fffff50,0xdffffd80,0xf3331001,0x7fffffff,0x7ff4c000,0xa99999df,
    0x5fffffca,0x1dfffe80,0x3fffe620,0x7ffecc04,0x0009999d,0x3e666660,
    0x9999cfff,0x77ffec00,0xfdb99999,0x405fffff,0x19dfffe9,0xfffffe88,
    0x9fffd00c,0x93333333,0xb03fffff,0xd15fffff,0x805fffff,0x00effffa,
    0x01dffff3,0x3fffee00,0x0006ffff,0x4027ffec,0x807fffe8,0xd004fffd,
    0xfb007fff,0x55555dff,0x80003555,0x8003ffff,0xa806fffc,0x403fffff,
    0xf304fffd,0x807fffff,0x2604fffe,0x202fffff,0xfefffffd,0xb002ffff,
    0xd109ffff,0x0005ffff,0x7df7fff4,0x20002fff,0x5004fffd,0xd803ffff,
    0xfd004fff,0xffb007ff,0xffffffff,0x001bffff,0x007ffff0,0x00dfff90,
    0x01bfffe6,0xf509fffb,0x005fffff,0x2209fffd,0x804ffffe,0xfffffffd,
    0x3e2002ff,0x7e42ffff,0x20004fff,0xff3ffff9,0x6c000bff,0xf1004fff,
    0xfd805fff,0xffd004ff,0xfffb007f,0xffffffff,0x003dffff,0x003ffff8,
    0x006fffc8,0x80bfffee,0x7dc4fffd,0x001fffff,0x3607fffd,0x2006ffff,
    0xfffffffd,0xfffa8002,0xffff50ef,0xffc8000d,0xffff90ff,0x3ff60001,
    0xfffb004f,0xfffd801f,0x7fffd004,0xfffffb00,0xffffffff,0x4005ffff,
    0x8003ffff,0x4006fffc,0x3606fffe,0x3ff24fff,0x2001efff,0xfb81fffc,
    0x2000ffff,0x4ffffff8,0x3fff6000,0xfffff8cf,0x3fe20001,0x3ffe65ff,
    0xffb0003f,0xfff7009f,0xfffb00ff,0x3fffa009,0xdfffd803,0xba999999,
    0x006fffff,0x000ffffe,0x001bfff2,0x6c0ffff9,0xfffb4fff,0x98001dff,
    0xfffa87ff,0x3a2001ff,0x3fffffff,0xffff1000,0x09ffffdf,0xffffb800,
    0x037fff42,0x9dfffd80,0xfeca9999,0xd803ffff,0x9999dfff,0xfff99999,
    0xfffd803f,0xffff8805,0xffff001f,0x36aa2007,0xaaaaefff,0x3fffea02,
    0xdbfffb00,0x00bfffff,0x7fc41440,0x22003fff,0xfffffffe,0xf50003ff,
    0xdfffffff,0xfffd0000,0x5ffff50d,0xffffb000,0xffffffff,0x200bffff,
    0xfffffffd,0xffffffff,0xffd803ff,0xfff7005f,0x3ffe005f,0xfff8803f,
    0xffffffff,0xfff106ff,0x3fff603f,0x1fffffff,0xffe80000,0x3a2005ff,
    0xffefffff,0x90002fff,0x3fffffff,0xfff98000,0xbffff03f,0xffffb000,
    0xffffffff,0x2005ffff,0xfffffffd,0xffffffff,0xffd803ff,0xfff1005f,
    0x3ffe005f,0xfffc803f,0xffffffff,0xfff01fff,0x3fff605f,0xffffffff,
    0x3f200002,0x1000efff,0x25fffffd,0x02fffffd,0xffdccb88,0xccceffff,
    0xfffc8002,0xffff900f,0xfffd8001,0xffffffff,0x02ffffff,0xffffffd8,
    0xffffffff,0xfd803fff,0xff1005ff,0x3fe003ff,0xffa803ff,0xffffffff,
    0xff00ffff,0x3ff605ff,0xffffffff,0xa80002ff,0x001fffff,0x0bfffff6,
    0x05fffffb,0xffffffa8,0xffffffff,0x7ffc4007,0xccccccff,0x003ffffd,
    0x7fffffec,0xffffffff,0x6c02ffff,0xffffffff,0xffffffff,0xfffd803f,
    0xffff5005,0x1ffffc00,0xffffed80,0x2fffffff,0x40bfffe0,0xcffffffd,
    0x03ffffff,0x3fffe600,0x3fee002f,0xffb02fff,0x33100dff,0x39ffff33,
    0xb8001333,0xffffffff,0xffffffff,0x7ffec006,0x9999999d,0xffffffca,
    0x37fff601,0x99999999,0x803ffff9,0x9805fffd,0x2005ffff,0x8003ffff,
    0x4006fffc,0xb01ffff9,0x221dffff,0x02fffffd,0xffffe880,0xfb82ea04,
    0x7ec02fff,0xff0006ff,0xd00007ff,0xffffffff,0xffffffff,0x7fec005f,
    0xffb1004f,0x7fec09ff,0xfffd004f,0xbfffb007,0xb7553333,0x007fffff,
    0x001ffffc,0x0037ffe4,0xd81fffee,0xfc80efff,0xd8006fff,0x3206ffff,
    0x3ffa26ff,0x03df9001,0x0ffffe00,0xffff3000,0xffffffff,0x0bffffff,
    0x027ffec0,0x81bfff60,0xd004fffd,0xfb007fff,0xffffffff,0xdfffffff,
    0x3ffff800,0x6fffc800,0x37ffec00,0x409fffb0,0x002ffffe,0x03ffffee,
    0x4c0fffe8,0x98004000,0xfffeeeee,0x05eeeeef,0x3bffff20,0xeeeeeeee,
    0x00ffffee,0x009fffb0,0x00ffff98,0x2009fffb,0xd803fffe,0xffffffff,
    0xdfffffff,0x7fffc000,0xfffc8003,0x3ffe2006,0x3fff604f,0x3fffe204,
    0xffff3006,0xffff805f,0x20000002,0xffffffe9,0x5fffffff,0x9ffff100,
    0x7fffc400,0x9fffb003,0xffff9800,0x09fffb01,0x00ffffa0,0x3ffffff6,
    0xceffffff,0xffff0001,0xfff90007,0x3ffe600d,0x3ff602ff,0x7ffd404f,
    0x7ffc403f,0xfff803ff,0x7777772f,0x77777777,0x00037777,0x0007ffff,
    0x00ffffdc,0x01bfff60,0x0027ffec,0xd81ffff6,0xfd004fff,0xffb007ff,
    0x335555df,0xff000013,0xf90007ff,0xff300dff,0xfd80bfff,0xffe804ff,
    0x7fff407f,0xffff005f,0x3fffffe5,0xffffffff,0x3003ffff,0x5bffff55,
    0x7f4c0015,0x8801afff,0x9bffffca,0xfffea880,0xaaaaaaad,0xfffffcca,
    0xfffea985,0xff5100ad,0x51013bff,0x555dfffd,0x2a200055,0xffffaaaa,
    0x201aaaad,0xaaefffd8,0xffecbaaa,0x5100ffff,0x155bfffd,0x33fffea0,
    0x7fffe41a,0xaaaaaabf,0x2ffffbaa,0xffffffff,0xffffffff,0xffa807ff,
    0xffffffff,0x7fd406ff,0xffffffff,0xfffffb01,0xfd8dffff,0xffffffff,
    0xffffffff,0x4c2fffff,0xffffffff,0x7ffff44f,0x360fffff,0xffffffff,
    0x003fffff,0x3ffffff6,0xffffffff,0x7fec1fff,0xffffffff,0xffffffff,
    0xffffb02f,0x07ffffff,0x3ffffffa,0xfffffb0f,0xffffffff,0x25ffffff,
    0xffffffff,0xffffffff,0x7ff403ff,0xffffffff,0x3fa02fff,0xffffffff,
    0xffff885f,0x2fffffff,0xfffffff3,0xffffffff,0x9fffffff,0xffffffd0,
    0x3ea1ffff,0xffffffff,0xfffff34f,0xffffffff,0x3fe600ff,0xffffffff,
    0xffffffff,0x3ffffe25,0xffffffff,0x01ffffff,0xfffffff3,0x701fffff,
    0x7fffffff,0x3ffffff6,0xffffffff,0x772fffff,0x77777777,0x77777777,
    0xffffd803,0xffffffff,0x3fff601f,0x4fffffff,0xffffff88,0xf11fffff,
    0xffffffff,0xffffffff,0x3605dfff,0xffffffff,0x3fffe67f,0x13ffffff,
    0xffffffff,0x0dffffff,0x3ffffe20,0xffffffff,0x224fffff,0xffffffff,
    0xffffffff,0x3fe200df,0xffffffff,0x3fffe06f,0xfffb2fff,0xffffffff,
    0xffffffff,0x80000005,0xfffffec8,0x403dffff,0xfffffec8,0xfb500cef,
    0x7bffffff,0xfffffda8,0xffffffff,0x4402cdef,0xffffffec,0x7ffedc2d,
    0x6d43efff,0xffffffff,0x2001ceff,0xffffffda,0xffffffff,0x7fed40ce,
    0xffffffff,0x5000bdef,0xfffffffb,0x7fdc03bf,0x3ff63eff,0xffffffff,
    0xffffffff,0x0000002f,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40000000,0x22001999,0x4c400999,
    0x26200199,0x99880099,0x33000999,0x31003333,0x88001333,0x98801999,
    0x99999999,0x26620000,0x33100099,0x26600333,0x22001999,0x40099999,
    0x99999998,0x00000099,0xfb300000,0x01bfffff,0x3fffffae,0x7ffed44e,
    0xd700dfff,0x09dfffff,0xffffffd9,0xffb105df,0x3bffffff,0xfffffeb8,
    0x7fffc004,0x7f5c2dff,0xffffffff,0x00cdefff,0x7fffff5c,0x3ffb200f,
    0x42dfffff,0xffffffd9,0xfd700dff,0x9dffffff,0xfffffeb8,0xefffffff,
    0x800000cd,0xe8003fd9,0xffffffff,0xfffff884,0x3fa2ffff,0x4fffffff,
    0xffffff88,0x3fe62fff,0xffffffff,0x7fffdc0f,0x25ffffff,0xfffffff8,
    0xfff7000f,0x7c4dffff,0xffffffff,0xffffffff,0xffff103f,0x260bffff,
    0xffffffff,0x7ffec6ff,0x4fffffff,0xffffff88,0xf11fffff,0xffffffff,
    0xffffffff,0xc800007f,0x74000fff,0xffffffff,0xfffff985,0x3fe3ffff,
    0x5fffffff,0xffffff98,0x3fea2fff,0xffffffff,0x7fffe40f,0x26ffffff,
    0xfffffff9,0xfffd003f,0x7ccfffff,0xffffffff,0xffffffff,0x7fc40eff,
    0x2fffffff,0xffffffa8,0x7ec7ffff,0xffffffff,0xffff884f,0x1fffffff,
    0xfffffff3,0xffffffff,0x001dffff,0x0bfffa00,0xfffff500,0x3f603fff,
    0x0effffff,0x3fffffee,0xfffb01ff,0xfd0dffff,0xffffffff,0xffffd109,
    0xd85fffff,0x7fffffff,0xfffff980,0x7fe43fff,0xffffffff,0xffffffff,
    0xffffc85f,0xd80fffff,0xffffffff,0x7fffcc3f,0x01efffff,0xfffffff9,
    0xfffc8bff,0xffffffff,0xffffffff,0xfff00005,0x3e60007f,0x7401ffff,
    0x200cffff,0x03fffffb,0x077ffff4,0x33ffff70,0xf9331003,0x7fc40dff,
    0x403fffff,0x6ffffffd,0x6fffecc0,0xeba99999,0x302fffff,0x9ffffffb,
    0x3ffe6620,0x7ff4c03f,0x930009ff,0x4017ffff,0x99dfffd9,0xffeba999,
    0x80003fff,0x0003ffff,0x81bfffee,0x006ffffa,0x03fffff7,0x03fffff2,
    0x03ffff30,0x17fff200,0xffffff88,0x3ffe206f,0xd805ffff,0xfa805fff,
    0x3f606fff,0x01ffffff,0x401ffffc,0x002ffffa,0x8037fff4,0xa804fffd,
    0x0006ffff,0x003ffff8,0x27fffec0,0x0fffffc4,0xdffffb00,0xfffffb81,
    0xffff8801,0x16666441,0x1027ffec,0xffffffff,0x3ffff205,0xfd805fff,
    0xff7005ff,0x3ff601ff,0x406fffff,0xf003ffff,0x4c00bfff,0xb003ffff,
    0x36009fff,0x0000ffff,0x001ffffc,0x3ffffe20,0x27fffec1,0x7ffff400,
    0x3ffffe66,0x3fffe002,0x3ffffd42,0x101ffff4,0xffffffff,0xfffff10b,
    0xfb00bfff,0x3e200bff,0xffb01fff,0x07ffffff,0x801ffffc,0x001ffffc,
    0x001ffffb,0x4013fff6,0x002ffff8,0x01ffffc0,0x7fffd400,0x1bfffea6,
    0x7fffc400,0xfffff8cf,0x7fffc004,0x7ffffec3,0x01ffffc1,0xfffffff1,
    0xfffb83ff,0x805fffff,0x2005fffd,0xfb02ffff,0xfffffdff,0x0ffffe03,
    0x27fffc40,0x2ffffc40,0x09fffb00,0x07fffea0,0x7ffff000,0x3ff60000,
    0xffff8cff,0x3e60001f,0xffffffff,0xffe8005f,0x3fffe24f,0x3ffe24ff,
    0x3ffe202f,0x45ffffbf,0xffcefffe,0xfffd805f,0xffff3005,0x37fff601,
    0xf06ffffb,0x6c007fff,0x5c00ffff,0x2001ffff,0x8804fffd,0x0006fffe,
    0x003ffff8,0xfffff100,0x007ffffd,0xfffff500,0x0001dfff,0x7d4bfffb,
    0x267fffff,0x2201ffff,0xffdaffff,0xffff50ff,0x00bfff97,0x100bfffb,
    0x6c0ffffd,0xfffd5fff,0x7ffff07f,0x7fffd400,0x37fff403,0x13fff600,
    0x7fffff70,0xeeedb880,0xeffffeee,0x1ceeeeee,0x3fffea00,0x0006ffff,
    0x3ffffee0,0xf90000ff,0x7ffecdff,0xff51ffff,0x7fc401ff,0xffff9aff,
    0x32ffffd4,0xfd805fff,0x7f4c05ff,0x3f605fff,0xffff35ff,0x3ffff81f,
    0x37fff400,0x07ffff50,0xaefffd80,0xfffecbaa,0x7401ffff,0xffffffff,
    0xffffffff,0x001fffff,0x3ffffff6,0x6c00001f,0x002fffff,0x45fffee0,
    0xffffffff,0x80ffff74,0xfd2ffff8,0xffff5fff,0x017fff27,0x2abbfff6,
    0xfffdcbaa,0x3f600fff,0x3fff25ff,0x1ffffc5f,0x3fffee00,0x1ffffb01,
    0xffffd800,0xffffffff,0x4401efff,0xffffffff,0xffffffff,0x04ffffff,
    0x3ffffe20,0x4c00003f,0x05ffffff,0x3fffea00,0xfeffffa8,0xdfff97ff,
    0x2ffff880,0xfffffff5,0x3fff21ff,0xffffd805,0xffffffff,0x6c01ffff,
    0x7ff45fff,0x3fffe2ff,0x7ffc4003,0xffff885f,0xfffd8004,0xffffffff,
    0xb000dfff,0xffffffff,0xffffffff,0x003fffff,0x06ffffa8,0x7ffc4000,
    0x004fffff,0xb3ffff30,0xfff5dfff,0x0bfffb3f,0x22ffff88,0xfffffffe,
    0x017fff24,0x3ffffff6,0xffffffff,0xfffd802f,0x7ffffcc5,0x007ffff0,
    0x81ffffb0,0x001ffffc,0xffffffd8,0x6fffffff,0x66654400,0xffffcccc,
    0xbccccccd,0xffff0001,0xfe800007,0xffffffff,0xfff88003,0x8cffffbf,
    0xffecffff,0x7ffc404f,0x3fffee2f,0x3ff21fff,0xfffd805f,0xffffffff,
    0xfb000cff,0xfff90bff,0x0ffffe9f,0x3fffe600,0x02ffffc3,0xfffffd80,
    0xffffffff,0x7c00002f,0x00003fff,0x007ffff0,0x7fffec00,0x1fffffbe,
    0xeffff800,0xffb1ffff,0x07ffffff,0x22ffff88,0x5ffffff8,0x402fffe4,
    0xfffffffd,0x001bceff,0x442fffec,0xff9fffff,0xfd0003ff,0x7ffd4dff,
    0xffb0002f,0xfffd509f,0x400005ff,0x0003ffff,0x07ffff00,0x3ffee000,
    0xffff71ff,0xffe8001f,0x2a7fffff,0xffffffff,0x7fffc402,0x7ffffe42,
    0x02fffe42,0x002fffec,0x2fffec00,0xfeffffa8,0x70003fff,0x3fa5ffff,
    0x360007ff,0xfb104fff,0x0005ffff,0x00ffffe0,0x7fffc000,0xffa80003,
    0x7fec2fff,0x36000eff,0x4fffffff,0x3fffffe2,0x7fc402ff,0x7ffc42ff,
    0x5fffc86f,0x05fffd80,0xfffd8000,0x3ffff605,0x0003ffff,0xf3bffff1,
    0x40007fff,0x6c04fffd,0x000fffff,0x03ffff80,0xffff0000,0xff980007,
    0xffd04fff,0x7e400bff,0x41ffffff,0xfffffffd,0x7fffc401,0x82eeec82,
    0xd805fffc,0x00005fff,0x205fffd8,0xfffffff8,0x3f20003f,0xffffefff,
    0x3ff60000,0xfffe804f,0xff80006f,0x000003ff,0x0007ffff,0x2fffff44,
    0x9fffff10,0x3fffee00,0xfffa87ff,0x4400ffff,0x0002ffff,0xb00bfff9,
    0x0000bfff,0x80bfffb0,0xfffffffb,0x3fe60003,0x05ffffff,0x27ffec00,
    0x7ffffc40,0x7ffc0003,0x5300003f,0x5bffff55,0x36600155,0x401fffff,
    0x0bfffffc,0x7ffffd40,0xfffff04f,0xfff500ff,0x5100359f,0x03dfffb5,
    0x3bfffaa2,0x0002aaaa,0x2bbfffa2,0xffffd00a,0xd80007ff,0x1fffffff,
    0xffd51000,0x4c0155df,0x01bfffff,0x07ffff00,0xffff9800,0xffffffff,
    0x7ff405ff,0x85ffffff,0xfffffff9,0x3fe603ff,0xfb02ffff,0x4c0dffff,
    0xffffffff,0xfff901ff,0x8dffffff,0xfffffffd,0x03ffffff,0x7fffff40,
    0xf984ffff,0x003fffff,0x7ffffd40,0xffb0006f,0xffffffff,0x7fffdc09,
    0xfe8005ff,0x6c0002ff,0xffffffff,0x1fffffff,0xffffff50,0xfc81ffff,
    0xffffffff,0x3fffe207,0x3ffea07f,0x3ff205ff,0xffffffff,0xffffff05,
    0x265fffff,0xffffffff,0x07ffffff,0x3ffffe60,0x80ffffff,0x03fffffc,
    0xfffff800,0xff98003f,0xffffffff,0x3ff600ff,0x4001ffff,0x0000fffc,
    0x7fffffdc,0xffffffff,0xffff300f,0x81ffffff,0xfffffffa,0x7ffc06ff,
    0x7ffc05ff,0x3fee04ff,0xffffffff,0xfffffd04,0x223fffff,0xffffffff,
    0x06ffffff,0x3ffffe20,0x207fffff,0x003ffffe,0xfffffb80,0xfff88000,
    0xffffffff,0x7fffc406,0x6c4000ff,0xc880003e,0xfffffffe,0x402dffff,
    0xffffffdb,0xfffd702d,0xf8039dff,0x6c02ffff,0x2203ffff,0xffffffec,
    0xffb300ce,0x87bfffff,0xffffffda,0x01ceffff,0x7fffed40,0x2a01dfff,
    0x0003ffff,0x04ffff88,0x3fff6a00,0x01dfffff,0x02dfffa8,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00776200,0x00000000,0x4c000000,0x00011bca,
    0x000fb220,0x00000000,0x00000001,0x00000044,0x44000001,0x10000000,
    0x37ffcc03,0x36600000,0x05f74c4f,0x44000000,0xfffffffe,0x7dc0001e,
    0x540001ff,0x83dffedc,0x403dffdb,0x4000efe9,0x95003ffa,0x5bdffffb,
    0xec9800d4,0x8adfffff,0xca8800b9,0xdefffffd,0xd9300001,0x25bfffff,
    0x01fffff8,0xffd98000,0x3fffa2ff,0x0000003f,0x3fffffea,0x0005ffff,
    0x0017ffec,0xffffffb8,0xffb0dfff,0x640bffff,0xd950efff,0x3fee17bd,
    0x3fa600ff,0xffffffff,0x202fffff,0xffffffd9,0x6fffffff,0x3ffff620,
    0xffffffff,0xfd30001d,0xffffffff,0xdfffffff,0xfc880000,0xf14fffff,
    0x05dfffff,0xff880000,0xffffffff,0x7cc0006f,0xf88000ff,0xffffffff,
    0xffffefff,0xd80effff,0xfffeffff,0xffefffff,0xfc881fff,0xffffffff,
    0x5fffffff,0xffffff30,0xffffffff,0x3ff601ff,0xffffffff,0x000fffff,
    0x7fffffdc,0xffffffff,0x0000ffff,0x3ffffee0,0x3ff21fff,0x01efffff,
    0xfffb0000,0xfffffdff,0x05100003,0x7fffc400,0xffffffff,0xffffffff,
    0xfff986ff,0xffffffff,0x5fffffff,0xffffffb0,0xffffffff,0xff10ffff,
    0xffffffff,0x5fffffff,0x3fffff60,0xffffffff,0x3f2006ff,0xffffffff,
    0xffffffff,0xd500001f,0xbfffffff,0xfffff501,0x0001bfff,0x1effff80,
    0x0001bfb1,0x7ec00000,0xffbabdff,0xccffffff,0xa82fffff,0xffffffff,
    0xffffffff,0xfffff705,0xf955579f,0x70ffffff,0x79dfffff,0xfffff955,
    0x3ffea05f,0xca9abcef,0x801fffff,0xcffffffa,0xfffda9ab,0x80006fff,
    0xffffffe9,0xffb801ef,0x0cffffff,0xfff98000,0x0000081f,0x03300000,
    0x3fffffea,0x1bfffe61,0x7fffffdc,0xffffffde,0xfffff106,0xfffc8019,
    0x6fffd87f,0x1ffffa80,0x7d4004c0,0x7c402fff,0x881effff,0xfffffffe,
    0xffb10002,0x05dfffff,0xffffc880,0x0003ffff,0x00ffffcc,0x00000000,
    0xfffff000,0x5ffff909,0x3bffff70,0x3ffffdc4,0x03ffffd8,0x21bfffa0,
    0x800ffffd,0x00005ffb,0x2027fff4,0x105ffffc,0xfffffffd,0xfc8800df,
    0x3fffffff,0x7fecc000,0x02efffff,0x9ffff100,0x00000000,0xbd973000,
    0x01fffff9,0xd09ffff1,0x7dc0ffff,0xfff81fff,0x7fd4005f,0xffffc84f,
    0x8809bcef,0x6e5d4001,0xffebcdee,0x7fffc04f,0x3ffffa06,0x02ffffdf,
    0xffffff70,0x000019ff,0x7fffff54,0xd8001eff,0x0001ffff,0x98000000,
    0xfffffffd,0xffffffff,0x5fffffff,0x027fffc4,0x887ffff1,0x8001ffff,
    0xff881efd,0xffffffff,0x54001bdf,0xfffffffe,0x04ffffff,0x40bfffe6,
    0x8afffffd,0x5404ffff,0xfffffffe,0x2000000d,0xfffffffa,0x3e6000df,
    0x10006fff,0xddddddd9,0xdddddddd,0xd885bddd,0xffffffff,0xffffffff,
    0xffffffff,0x07fffd46,0x31bfff20,0x0001ffff,0xffff5002,0xffffffff,
    0xfe98019f,0xffffffff,0x04ffffff,0x203fffea,0x22fffffd,0xd305fffe,
    0xdfffffff,0x40000003,0xfffffffb,0xff8800cf,0xe8004fff,0xffffffff,
    0xffffffff,0x3a2fffff,0xffffffff,0xffffffff,0xffffffff,0x7fffcc7f,
    0x2fffec01,0x001fffee,0xfff91000,0xffffffff,0x3fe203df,0xffffffff,
    0x4fffffff,0x21fffee0,0x42fffffd,0x6c46fffc,0xefffffff,0x00000002,
    0xffffff91,0x7f4407ff,0x221fffff,0x7fc41bcc,0xffffffff,0xffffffff,
    0xff54ffff,0xb9dfffff,0xfffffffd,0xffffffff,0x09ffff0f,0x21ffffc4,
    0x0007fffa,0xdb751000,0xffffffff,0xfffe883f,0xedcdefff,0x04ffffff,
    0xd87fffea,0xd83fffff,0x3fe25fff,0x0fffffff,0x80000000,0xfffffffc,
    0xfffe884f,0xf50effff,0xffe87fff,0xffffffff,0xffffffff,0xfffb2fff,
    0x3ffe03bf,0xaaaaaaef,0xfd82aaaa,0xff900fff,0xfff883ff,0x5000001f,
    0xfeca9801,0x7fdc4fff,0x6c00bfff,0x3e204fff,0xfffb4fff,0xfff107ff,
    0xfffc889f,0x003fffff,0xfd300000,0x3dffffff,0x3fffffa0,0xff94ffff,
    0xccc88fff,0xcccccccc,0xcccccccc,0x17fffa2c,0x03fffff0,0x7fffdc00,
    0xfffb50bf,0x3fffe0ff,0x22020004,0x36000fff,0x7fec7fff,0xffb001ff,
    0xffff809f,0x3fffffdf,0x05ffffb0,0x3fffff22,0x00002fff,0xffffb100,
    0x5405ffff,0xffafffff,0xffffafff,0x0000006f,0x807fffdc,0x05fffffa,
    0xffff9004,0xffffdfff,0xffb01fff,0xc88007ff,0x3ffee2ff,0x3ffea005,
    0x13fffe1f,0x3ffff260,0x7fffdc04,0x884fffff,0x806ffffd,0xffffffd9,
    0x000002ef,0xffffff91,0xff9007ff,0x3ffea1df,0x1dffffff,0x4c000000,
    0x221dffff,0xfffffffd,0x3fff2622,0x7ffffdc2,0xffffffff,0x7d40efff,
    0x402dffff,0x26ffffa9,0x0bfffffd,0xfffff710,0x0fffff41,0x7fffecc4,
    0x3a00adff,0x4fffffff,0x7ffffdc4,0x3faa002f,0x1dffffff,0x3fee0000,
    0x0cffffff,0x89fffd00,0xfffffffc,0x00000007,0x3bfffffe,0xfffffffe,
    0xfffeffff,0x3fea6fff,0xffffffff,0xffffffff,0xfffffb86,0xffedefff,
    0x26ffffff,0xfffffffd,0xfffeeeef,0x7fe46fff,0xffdeffff,0xffffffff,
    0xff305fff,0xddffffff,0xffffffff,0x3fee0009,0x0cffffff,0x3ffaa000,
    0x01dfffff,0x0bfffe20,0x3ffffffa,0x00000004,0x3fffffe6,0xffffffff,
    0xffffffff,0x3ff66fff,0xffffddff,0xffffceff,0xffffc81f,0xffffffff,
    0x22ffffff,0xfffffffc,0xffffffff,0x7f440fff,0xffffffff,0xffffffff,
    0xfb81ffff,0xffffffff,0xffffffff,0x7e440005,0x3fffffff,0x7fff4c00,
    0x001effff,0x309ffff0,0x03ffffff,0x98000000,0xffffffff,0xffffffff,
    0xffffffff,0x897fff22,0x3ea2bcba,0xff900fff,0xffffffff,0x85ffffff,
    0xfffffffa,0xffffffff,0xfff301df,0xffffffff,0xffffffff,0xfffb81ff,
    0xffffffff,0x02ffffff,0x3ff62000,0x03ffffff,0x7ffffec4,0x40002fff,
    0x441ffffd,0x1afffffe,0x002e6000,0xffffd880,0xcbfcaeff,0xdfffffff,
    0x027ec40a,0x20177cc0,0xffffffc8,0x02efffff,0xffd99f91,0xdfffffff,
    0xfff91003,0x39ffffff,0x5bfffffb,0xdfffffa8,0xffffffec,0x00000bef,
    0xfffffd30,0xff903dff,0x07ffffff,0x3ffee000,0xfffeefff,0x03ffffff,
    0x00fffa80,0x1bcc9800,0x06f32e20,0x00000000,0x3372ea62,0x30000aac,
    0x15599995,0x99751000,0x74000559,0x4c45ffff,0x0001abcb,0x3ffaa000,
    0x361fffff,0xcfffffff,0x7f400000,0xffffffff,0x7fffffff,0x3fffd800,
    0x00000000,0x00000000,0x00000000,0x00000000,0x05fffd80,0x00000000,
    0x7fffffdc,0xffffff14,0x2000003b,0xffffffe8,0xffffffff,0xffb8006f,
    0x0000000f,0x00000000,0x00000000,0x00000000,0x4fe98000,0x00000000,
    0xffff9100,0x177fff45,0xfb800000,0xcfffffff,0x001dfffd,0x00003b70,
    0x00000000,0x00000000,0x00000000,0x08000000,0x00000000,0x43eb8800,
    0x00002dd9,0xcca98800,0x000000ab,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00100000,0x00008000,0x40020000,
    0x03ccccb9,0x333332e6,0x00100002,0x04008000,0x6665cc00,0x993000bc,
    0x26015999,0x00accccb,0x15999973,0x99999710,0x32e60159,0x00accccc,
    0x01bffffe,0x7fffedc4,0x540001ce,0xbcefffdc,0x332a2001,0x6541cccc,
    0xfd02effe,0x20bfffff,0xfffffffe,0x3332e604,0xdfffd913,0x32a20039,
    0xffd89ccc,0x3ffb223e,0x7fe400cf,0x03ffffff,0x7ffffffc,0x7ffec0ff,
    0x6c2fffff,0xffffffff,0x3ffffee1,0x741fffff,0xffffffff,0xfff980ff,
    0xffc802ff,0xffffffff,0x7ecc002e,0xffffffff,0x7fc400df,0x32ffffff,
    0xfffffffd,0xfffff98b,0xfff985ff,0xd04fffff,0xf7dfffff,0xffffffff,
    0xffff9809,0xfffffdff,0xfffffbdf,0x3fe00fff,0x6fffffff,0x3ffffea0,
    0x3e23ffff,0xffffffff,0x3ffffe25,0x3fa4ffff,0xffffffff,0x3fffe25f,
    0x3fffffff,0x06ffffb8,0x7fffff4c,0xffffffff,0xffff9004,0xffffffff,
    0x7fdc07ff,0xcaffffff,0xffffffff,0x7fffc4ff,0xfff05fff,0x309fffff,
    0xffffffff,0xffffffff,0x7fe40dff,0xffffffff,0xffffffff,0x206fffff,
    0xfffffffd,0x3ffe203f,0x41ffffff,0xfffffffe,0x7fffec1f,0x3f22ffff,
    0xffffffff,0x7ffff42f,0x81ffffff,0x201ffffd,0xfffffff9,0xffffffff,
    0x7ffec06f,0xffffffff,0x303fffff,0xffffffff,0xffffffff,0x4c1fffff,
    0x05ffffeb,0xffffdb73,0x3ffffe09,0xffffffff,0x03ffffff,0xfffffff5,
    0xffffffff,0xffffffff,0x3fee207f,0x530bdfff,0x3fb2a155,0xc982dfff,
    0x86ffffff,0xeffffff9,0x7ff6dc42,0xc983deff,0xcefffffe,0x0bffff02,
    0x7fffffc4,0xffdbaace,0xf704ffff,0x59dfffff,0xfffffd95,0x3bb2a01f,
    0xffffffff,0xfffcacff,0x17fff206,0x827ffec0,0xffffffc9,0xfecabdff,
    0xb500ffff,0x5bffffff,0xdffffff7,0x09ffff75,0xf87fffb8,0x7fdc3fff,
    0x7fcc00ff,0x3a64ffff,0x804fffff,0x805ffff8,0x404ffff9,0x201ffffa,
    0x02fffffd,0x3fffff62,0x7ffffcc1,0x3ffa200d,0xff8805ff,0x0dffffff,
    0xf900ee44,0x3f600bff,0x7fe404ff,0xf700dfff,0xff803fff,0x7ff43fff,
    0x7ffe45ff,0x7fffcc06,0x1bfffea1,0x200dfffb,0xdfffffe8,0x3ffffffa,
    0x3ffff200,0x7fffec01,0x2fffe400,0x1fffff10,0x3fffee00,0x2ffffec5,
    0xffffe880,0x7fffc403,0x40003fff,0xb005fffc,0xfc809fff,0x7c404fff,
    0x7fc03fff,0xfffd84ff,0x06fffb86,0x363ffff8,0x3e1fffff,0x22004fff,
    0xfffffffd,0x4002ffff,0x205ffff8,0x805ffff9,0x3200fffe,0x4002ffff,
    0x3e0ffffd,0x44006fff,0x4405ffff,0x01efffff,0x5fffc800,0x09fffb00,
    0x006fffc8,0xf809fffd,0xffd82fff,0x6fffb85f,0x15fffd80,0x29ffffff,
    0x002ffff8,0xffffffc8,0x90001eff,0x3603ffff,0x4401ffff,0x7f404fff,
    0xf88005ff,0xfff33fff,0xffffffff,0xffffffff,0xff880fff,0x00000dff,
    0x200bfff9,0x6404fffd,0xfd005fff,0xfff809ff,0x5fffd82f,0x806fffb8,
    0xff77fffb,0xf71fffff,0x20001fff,0xeffffffb,0x3fe20000,0xfff985ff,
    0xfffa805f,0x1ffffc00,0x4fffe800,0xfffffff5,0xffffffff,0x1fffffff,
    0x17fffc40,0xfff90000,0x3fff600b,0x2fffe404,0x04fffe80,0x6c17fffc,
    0xffb85fff,0xfff9806f,0xfffffe9f,0x6fffdaff,0xfffd1000,0x0005ffff,
    0x41ffffd8,0x801ffffd,0x7c404ffd,0xb0002fff,0x3feebfff,0xffffffff,
    0xffffffff,0x2201ffff,0x0002ffff,0x017fff20,0x2027ffec,0xd005fffc,
    0xff809fff,0xfffd82ff,0x06fffb85,0xffbffff0,0xfdffffff,0x10009fff,
    0xfffffffd,0x4c0007ff,0x3e25ffff,0xff005fff,0xffff001f,0x3ffa0007,
    0xfffff54f,0xffffffff,0xffffffff,0x7ffc405f,0x3200002f,0xfb005fff,
    0xffc809ff,0xfffd005f,0x2ffff809,0xb85fffd8,0xfb006fff,0x7fffffff,
    0xffffffff,0xfff98005,0xffffffff,0x3f60004f,0xfff91fff,0x07b2003f,
    0x02ffff40,0x9ffffcc0,0xaacffff8,0xaaaaaaaa,0x0aaaaaaa,0x0bfffe20,
    0xfffc8000,0x9fffd006,0x05fffc80,0x809fffd0,0xfd82ffff,0xfffb85ff,
    0xffff7006,0xfff19fff,0x003fffff,0x7fffffd4,0xfffffd8a,0xff98000d,
    0xffff8dff,0x32000005,0x4003ffff,0x3e0ffffe,0x0000ffff,0x7fffc400,
    0x3f200002,0x36600fff,0x6404ffff,0xfd005fff,0xfff809ff,0x5fffd82f,
    0x006fffb8,0xfffffff3,0x3fffff23,0x3fea007f,0x7e41ffff,0x000effff,
    0xfdffffd8,0x00001fff,0x3ffffe20,0xfffd8802,0x7fffe45f,0x0010000e,
    0x005ffff1,0x7fffd400,0xffffd983,0x3f200dff,0xffd005ff,0xffff809f,
    0x85fffd82,0x2006fffb,0x26ffffff,0x5ffffff9,0xffffc880,0xfffb01ff,
    0x98005fff,0xffffffff,0xd8000006,0x81dfffff,0xffffffb8,0x7ffff441,
    0x36e600be,0xaa984ffe,0xaacffffb,0x4000aaaa,0xeffffff8,0xfffffffe,
    0x4c45ffff,0x01aefffd,0x037fffa6,0x067fffcc,0x703bfff6,0x2003ffff,
    0x43fffffe,0x03fffffe,0x7fffffdc,0x7fec1fff,0x0fffffff,0x3ffff600,
    0x00002fff,0xfffffd00,0xfffdddff,0x2607ffff,0xefffffff,0xffffeeee,
    0xff10ffff,0xffffffff,0xdfffffff,0xffffd800,0xffffffff,0x1fffffff,
    0xfffffff3,0xfffd03ff,0x7c4bffff,0x3fffffff,0x97fffff6,0x0efffffb,
    0x7ffffe40,0x7ffffdc0,0x7ffffc01,0x225fffff,0xffffffff,0x3e6003ff,
    0x006fffff,0x3fa20000,0xffffffff,0x04ffffff,0x7fffffdc,0xffffffff,
    0xf70fffff,0xffffffff,0xffffffff,0xffd8005f,0xffffffff,0xffffffff,
    0xffffffb0,0xffa8dfff,0x1fffffff,0xfffffff9,0x7fffecff,0xffff71ff,
    0xffa807ff,0xfff886ff,0xfffd807f,0x43ffffff,0xffffffff,0x7f4002ff,
    0x0002ffff,0x7fe44000,0xffffffff,0xd3002fff,0xffffffff,0xffffffff,
    0x7ffffd47,0xffffffff,0x001fffff,0xffffffc8,0xfffd9cff,0x3fff22df,
    0x45ffffff,0xfffffff9,0xffff70ff,0x7ecdffff,0xf70fffff,0x805fffff,
    0xb03ffff8,0x9300bfff,0x7dfffffd,0xffffda81,0xa8003dff,0x0006ffff,
    0x3f660000,0xefffffff,0xffb8000b,0xffffffff,0xdb80bdff,0xffffffff,
    0x3dffffff,0x665cc000,0xec88001a,0x0cefffff,0xfffffdb8,0x7fff5c2d,
    0x3ff61cff,0x3fee2dff,0x00003dff,0x00000000,0x00000000,0x22000000,
    0x01acccba,0x99751000,0x00013559,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x666665c0,
    0xcccccccc,0x2002cccc,0x00001dc8,0x22880198,0x164401c8,0x00000000,
    0x00acb988,0xdddddd95,0xdddddddd,0xdddddddd,0x26001009,0xffffffec,
    0xffffffff,0x03dfffff,0x01565d4c,0x07333322,0x80599999,0x4001aca8,
    0xfffffffd,0xffffffff,0x3f2003ff,0x6400007f,0x3fee00ff,0x5c07ff92,
    0x800004ff,0xff90005a,0x5c1bffff,0xffffffff,0xffffffff,0xffffffff,
    0xbdffd705,0x7fffec03,0xffffffff,0xffffffff,0x7f442fff,0x1effffff,
    0x3fffff10,0x02fffff8,0xdffffff9,0x3fff6005,0xffffffff,0x03ffffff,
    0x007fffa0,0x1bff6200,0xf30fffc8,0x3fe209ff,0x300000df,0x744009ff,
    0xffffffff,0xfffffb0e,0xffffffff,0xffffffff,0xfe98bfff,0x03ffffff,
    0xffffffff,0xffffffff,0xffffffff,0xfffffb87,0xf00fffff,0xfe81ffff,
    0x7ec41fff,0xffffffff,0xffffd804,0xffffffff,0x003fffff,0x000bfffe,
    0x03fffd10,0xa85fffb1,0xf980dfff,0x40000eff,0x002ffff8,0x5115fff7,
    0x3fea9ffd,0xffffffff,0xffffffff,0x25ffffff,0xfffffff8,0xffc83fff,
    0xffffffff,0xffffffff,0x440fffff,0xd9889acc,0xfffd03ff,0x1ffff90f,
    0x56ffff44,0x03fffeb8,0x777fffec,0xffffeeee,0x3e000eff,0x20002fff,
    0x881ffff9,0xf702fffe,0xff301dff,0x740003ff,0x801fffff,0xffa81ffd,
    0x33332e66,0xcccccccc,0xfecccccc,0x3fff65ff,0xfffffcdf,0xaaaaa881,
    0xaaaaaaaa,0x1aaaaaaa,0x7fcc6600,0x0dfffb05,0xfb8ffff7,0xfff500ef,
    0x27ffec01,0xefffff98,0xff815500,0x0054c2ff,0x207fffea,0x403ffff9,
    0xa81ffffb,0x8002ffff,0xfffffffd,0xb815c400,0x000005ff,0x7cd7fff6,
    0x7fdc0eff,0x0000004f,0xffffc880,0xf905ffff,0xfff50bff,0x402ffd8d,
    0x3ea02ffe,0xfff982ff,0xffd00eff,0xffff15bf,0x3fffd935,0x0bfffee0,
    0x00ffffea,0x417fffdc,0x004ffffa,0x3fffffee,0x30000eff,0x00005fff,
    0xaafffec0,0xfff03fff,0x0000000d,0xffffffb8,0xf705ffff,0xfff309ff,
    0x4037fc4b,0x3a204ffa,0x7ffcc0df,0xff300eff,0xffffffff,0xffffffff,
    0x5ffffb0b,0x07ffff70,0x3ffffc80,0x05ffffa8,0xffffffa8,0x8005ffff,
    0x0005fffa,0xafffec00,0xf900fffc,0x000000ff,0x6ffffdc0,0x05ffdcbb,
    0xf105fff3,0x0fff89ff,0x401ffdc0,0xfffff980,0x3ffe200e,0xffffffff,
    0x4fffffff,0x0bffffa2,0x013ffff2,0x2ffffe40,0x077fffdc,0xcfffff98,
    0x04fffff9,0x017fff20,0x3ff60000,0x03fff75f,0x2e61fff6,0xcccccccc,
    0xcccccccc,0x7f40accc,0x0bff103f,0x7c07ffe2,0x27fec3ff,0x005fff10,
    0xdfffff30,0xfffd5001,0xffffffff,0x7447ffff,0xfd84ffff,0x20005fff,
    0x84fffff8,0x886ffffe,0x2a5ffffe,0x402fffff,0x004fffe8,0xfffb0000,
    0x213ffeab,0x7e45fff9,0xffffffff,0xffffffff,0x21ffffff,0x7dc40fff,
    0xfff00dff,0x50bffa01,0x5c459fff,0x98006ffe,0x00efffff,0x7fff64c0,
    0xadffffff,0xfffffb80,0x7ffffd41,0xffe88002,0x7fec0dff,0xffd80eff,
    0x7fdc0eff,0xff501fff,0x000005ff,0x8afffec0,0xb89dffff,0x7fc3fffe,
    0xffffffff,0xffffffff,0x23ffffff,0xffeefffb,0x85ffffff,0x3ff207fe,
    0xfffffc81,0x00fffffe,0x7ffffcc0,0x7e40000e,0x00ffffff,0x1fffffa8,
    0x17ffff4c,0xffffd100,0x9ffffb07,0x3fffff20,0xfffffb00,0x0efffc81,
    0x6c000000,0x3fea5fff,0xffffffff,0xfffffd86,0xffffffff,0xffffffff,
    0x7fff41ff,0xffffffff,0x205fb87f,0x3fea07fa,0x0dffffff,0x7fffcc00,
    0x4c0000ef,0xffffffff,0xfffd1004,0xfffd883f,0xffe8803f,0xfffd81ff,
    0xffff102f,0xfffe803f,0xbfffd35f,0x01733333,0x7fe40000,0x7fffe44f,
    0x880fffff,0xeeeeeedb,0xeeeeeeee,0x02ceeeee,0x159dddb5,0x26015555,
    0x22004c00,0x01cdeecb,0xfffffa80,0x019b300e,0x7fffff44,0x2002ffff,
    0xb81ffffc,0x2203ffff,0xd80dfffe,0x2600efff,0x8803ffff,0xff55fffe,
    0xffffffff,0x400000df,0xfa81fffa,0x00dfffff,0x00000000,0x00000000,
    0xff500000,0x7c01dfff,0x3ff604ff,0xffffadff,0x3fea000f,0xfff981ff,
    0xfffe883f,0x0bfffb04,0x800fffa0,0xff51ffe8,0xffffffff,0x400000ff,
    0x26204ec8,0x00000acb,0x00000000,0x00000000,0x3fffea00,0xaaaaabff,
    0x106fffca,0x321fffff,0x4004ffff,0x881fffe9,0x3a23fffd,0xffb02fff,
    0x0198007f,0x2620a880,0x99999999,0x00000199,0x00000000,0x00000000,
    0x00000000,0x7fffc400,0xffffffff,0x07ffffff,0xe83ffff7,0xb0006fff,
    0x7fe40dff,0x01dff70f,0x0007bfe6,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffffff1,0xffffffff,0x3e20ffff,0xfff883ff,
    0x1bee0003,0x3a61ff50,0x0066c404,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x7ffffc40,0xffffffff,0x207fffff,0x0ae202b9,
    0x00002000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf1000000,0xffffffff,0xffffffff,0x000000ff,0x00000000,0x44440000,
    0x88888888,0x88888888,0x30088888,0xbbbbbbb7,0xbbbbbbbb,0xbbbbbbbb,
    0x000015bb,0x00000000,0x00000000,0x00000000,0x00000000,0x20000000,
    0x00ceffd8,0xffffd880,0xffffffff,0xffffffff,0x3effffff,0x3fffffe6,
    0xffffffff,0xffffffff,0x06ffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xfffffa80,0x8b2601ff,0xfffffffb,0xffffffff,
    0xffffffff,0x90ffffff,0xffffffff,0xffffffff,0xffffffff,0x003fffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7fffffdc,
    0xffa82fff,0xfffff72f,0xffffffff,0xffffffff,0xffffffff,0x3ffffe63,
    0xffffffff,0xffffffff,0x7fffffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x3fffea00,0x3fffffff,0x457fffea,0xfffffffe,
    0xffffffff,0xffffffff,0x5cc4ffff,0xdddddddd,0xdddddddd,0xdddddddd,
    0x000000bd,0x00000000,0x00000000,0x00000000,0x00000000,0x3fe00000,
    0xffeadfff,0xfffbdfff,0x4ccc42ff,0x99999999,0x99999999,0x00199999,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x12ffffcc,0xfffffffd,0x0000dfff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x74000000,0xfff905ff,0x01dfffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x7dc03b80,0x00efffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3b260000,0x000001cf,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,
};

static signed short stb__courier_bold_50_latin1_x[224]={ 0,9,5,2,3,3,4,10,11,5,3,1,8,4,
9,3,3,3,2,2,3,2,4,3,3,4,9,8,-1,0,1,4,3,-1,0,1,0,0,2,1,0,3,2,0,
1,-1,-1,0,2,0,0,2,1,0,-2,-1,0,0,3,10,3,5,3,-2,9,1,-1,2,1,1,3,1,0,2,
3,1,2,-1,1,1,-1,1,2,3,3,0,0,-1,0,0,3,7,11,7,2,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,9,3,1,3,0,
11,2,6,-1,5,1,-1,4,-1,-2,6,1,6,6,9,0,2,9,8,7,5,2,0,-3,0,3,-1,-1,-1,-1,
-1,-1,-1,1,0,0,0,0,3,3,3,3,-1,-1,0,0,0,0,0,4,0,0,0,0,0,0,2,0,1,1,
1,1,1,1,-1,2,1,1,1,1,2,2,2,2,1,1,1,1,1,1,1,1,0,0,0,0,0,0,-1,0,
 };
static signed short stb__courier_bold_50_latin1_y[224]={ 36,7,9,5,5,8,11,9,7,7,8,10,30,21,
30,4,7,7,7,7,8,8,7,8,7,7,16,16,10,17,10,9,7,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,8,4,8,6,44,6,15,8,15,8,15,8,15,8,8,
8,8,8,15,15,15,15,15,15,15,9,16,16,16,16,16,16,8,8,8,18,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,36,16,5,9,12,9,
8,7,8,9,7,17,21,21,9,2,3,4,7,7,6,16,8,19,34,7,7,17,7,7,7,16,-1,-1,0,1,
1,-1,9,9,-1,-1,0,1,-1,-1,0,1,9,1,-1,-1,0,1,1,14,7,-1,-1,0,1,-1,9,8,6,6,
7,8,8,5,15,15,6,6,7,8,6,6,7,8,8,8,6,6,7,8,8,11,14,6,6,7,8,6,8,8,
 };
static unsigned short stb__courier_bold_50_latin1_w[224]={ 0,8,16,22,20,21,21,7,11,11,20,24,11,19,
8,20,20,20,21,22,20,22,20,20,20,20,8,11,26,26,27,19,19,29,26,25,25,25,24,26,26,20,26,27,
25,29,28,26,24,26,28,22,24,27,30,29,27,26,21,12,20,11,20,31,9,25,27,24,27,24,23,26,26,22,
18,25,22,29,25,24,27,27,24,21,24,26,27,28,26,26,21,13,5,12,22,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,8,20,24,21,26,
5,23,15,28,17,24,26,19,28,31,15,24,13,14,9,26,22,8,10,13,16,24,27,32,27,19,29,29,29,29,
29,29,29,25,25,25,25,25,20,20,20,20,26,28,26,26,26,26,26,19,27,27,27,27,27,26,24,24,25,25,
25,25,25,25,29,24,24,24,24,24,22,22,22,22,23,25,24,24,24,24,24,24,26,26,26,26,26,26,27,26,
 };
static unsigned short stb__courier_bold_50_latin1_h[224]={ 0,30,13,36,37,29,26,13,36,36,19,26,14,5,
7,38,30,29,29,30,28,29,30,29,30,30,21,25,26,13,26,28,33,27,27,28,27,27,27,28,27,27,28,27,
27,27,27,28,27,34,27,28,27,28,27,27,27,27,27,35,37,35,16,6,8,22,29,22,29,22,28,31,28,28,
38,28,28,21,21,22,31,31,21,22,28,21,20,20,20,30,20,35,35,35,11,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,0,30,33,27,22,27,
35,33,5,28,13,19,15,5,28,5,15,32,16,16,8,30,32,7,10,16,13,18,29,29,29,30,37,37,36,35,
35,37,27,36,37,37,36,35,37,37,36,35,27,35,38,38,37,36,36,19,33,38,38,37,36,37,27,29,31,31,
30,29,29,32,22,29,31,31,30,29,30,30,29,28,29,28,31,31,30,29,29,25,26,31,31,30,29,40,38,38,
 };
static unsigned short stb__courier_bold_50_latin1_s[224]={ 254,245,217,1,138,175,83,248,137,235,23,
230,243,235,246,212,92,222,97,161,205,74,235,28,140,48,243,244,28,172,55,
226,1,28,58,1,80,186,212,52,85,137,79,185,54,86,141,27,116,218,201,
129,131,152,170,56,28,1,213,205,27,24,94,92,246,229,102,182,130,26,180,
183,204,106,83,1,231,129,103,1,1,105,51,207,27,76,215,159,188,1,1,
36,247,50,69,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,
181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,181,254,235,45,
106,160,1,139,21,237,74,199,44,129,235,103,124,156,120,115,241,246,24,145,
243,241,237,234,69,147,208,119,28,48,78,80,145,175,108,156,149,1,28,54,
113,159,233,175,92,158,63,130,157,180,224,110,235,66,184,102,207,196,1,112,
197,195,79,184,25,51,94,130,183,29,54,210,77,1,69,51,132,1,155,133,
158,210,158,49,105,1,168,221,113,1,1,55,28, };
static unsigned short stb__courier_bold_50_latin1_t[224]={ 1,118,507,118,42,252,457,155,80,42,507,
429,484,421,331,1,221,252,252,221,313,252,189,313,221,221,252,220,457,507,457,
313,155,401,401,343,372,372,372,343,401,401,343,401,372,429,429,372,429,118,429,
343,372,343,429,429,429,429,401,118,42,118,507,526,313,457,282,457,282,484,343,
189,343,343,1,372,343,484,484,484,189,189,484,457,343,484,484,484,484,221,507,
118,42,118,526,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,
313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,313,1,220,155,
372,457,401,118,155,389,313,507,507,507,421,313,526,507,155,507,282,322,252,155,
274,299,372,507,507,252,282,252,221,42,42,80,118,118,42,372,80,42,80,80,
118,42,1,80,118,401,118,1,1,42,80,80,401,155,1,1,42,80,80,401,
252,155,189,221,283,282,155,457,282,189,189,189,282,252,221,252,313,283,313,189,
189,220,282,313,457,457,155,155,221,313,1,1,1, };
static unsigned short stb__courier_bold_50_latin1_a[224]={ 424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,424,
424,424,424,424,424,424,424,424, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_courier_bold_50_latin1_BITMAP_HEIGHT or STB_FONT_courier_bold_50_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_courier_bold_50_latin1(stb_fontchar font[STB_FONT_courier_bold_50_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_courier_bold_50_latin1_BITMAP_HEIGHT][STB_FONT_courier_bold_50_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__courier_bold_50_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_courier_bold_50_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_courier_bold_50_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_courier_bold_50_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_courier_bold_50_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_courier_bold_50_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__courier_bold_50_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__courier_bold_50_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__courier_bold_50_latin1_s[i] + stb__courier_bold_50_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__courier_bold_50_latin1_t[i] + stb__courier_bold_50_latin1_h[i]) * recip_height;
            font[i].x0 = stb__courier_bold_50_latin1_x[i];
            font[i].y0 = stb__courier_bold_50_latin1_y[i];
            font[i].x1 = stb__courier_bold_50_latin1_x[i] + stb__courier_bold_50_latin1_w[i];
            font[i].y1 = stb__courier_bold_50_latin1_y[i] + stb__courier_bold_50_latin1_h[i];
            font[i].advance_int = (stb__courier_bold_50_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__courier_bold_50_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__courier_bold_50_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__courier_bold_50_latin1_s[i] + stb__courier_bold_50_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__courier_bold_50_latin1_t[i] + stb__courier_bold_50_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__courier_bold_50_latin1_x[i] - 0.5f;
            font[i].y0f = stb__courier_bold_50_latin1_y[i] - 0.5f;
            font[i].x1f = stb__courier_bold_50_latin1_x[i] + stb__courier_bold_50_latin1_w[i] + 0.5f;
            font[i].y1f = stb__courier_bold_50_latin1_y[i] + stb__courier_bold_50_latin1_h[i] + 0.5f;
            font[i].advance = stb__courier_bold_50_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_courier_bold_50_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_courier_bold_50_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_courier_bold_50_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_courier_bold_50_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_courier_bold_50_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_courier_bold_50_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_courier_bold_50_latin1_LINE_SPACING
#endif

