// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_47_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_47_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_47_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_47_latin1_BITMAP_HEIGHT        504
#define STB_FONT_times_47_latin1_BITMAP_HEIGHT_POW2   512

#define STB_FONT_times_47_latin1_FIRST_CHAR            32
#define STB_FONT_times_47_latin1_NUM_CHARS            224

#define STB_FONT_times_47_latin1_LINE_SPACING          30

static unsigned int stb__times_47_latin1_pixels[]={
    0x54008800,0x00040001,0x0005314c,0x19aaa980,0x000c4000,0x00029800,
    0x33300026,0x03333333,0x09ddd700,0x19988000,0x10000000,0x50001333,
    0xdddddddd,0x40754007,0x0004ffb8,0x9f20016c,0x6d40007c,0xeeccdeff,
    0xc88002df,0x700000ce,0x64400bff,0x3b2600ce,0xffffffff,0x4001ffff,
    0x0000fffe,0x0ffffe20,0x3e000000,0xb8001fff,0xeeeeefff,0x40ed8803,
    0x04ffffda,0x000dd800,0x4003e4f9,0x401bffb8,0x0004fda8,0xd00003d9,
    0xd3001fff,0xffffb009,0x03f81fff,0x03fff100,0xfffc8000,0x000000ff,
    0x00bffe60,0x0027fdc0,0xaa80efa8,0x0004fffc,0xf9003db0,0x3f2003e4,
    0xdd10002e,0x05f90001,0x06ffc800,0x6c405f98,0xffffffff,0xb8001fc0,
    0x400002ff,0x4ffecff9,0x32000000,0x2e0003ff,0xf98004ff,0x09fff005,
    0x017e4000,0x1007c9f2,0x200007fb,0x7cc002fb,0x2e20000f,0x17f4400c,
    0xfffffd10,0x3f81ffff,0x007fb000,0x647fb000,0x000001ff,0x8000bfd0,
    0x44004ffb,0x3ffe006e,0x3e200004,0x7c9f201f,0x001ff980,0x0007d400,
    0x000017fa,0x2e03fe40,0xffffffff,0x001fc0ff,0x000027c4,0x2fdc17d4,
    0x7c400000,0xffb80006,0x017ec004,0x0009ffd0,0x900ffa80,0x3ea03e4f,
    0x9000000e,0x07fd800d,0xdff00000,0xfffffd80,0x7c0fffff,0x005a8003,
    0x4c05d000,0x4000002e,0xb80000eb,0x3f2004ff,0x27ff4006,0x2fec0000,
    0x881f27c8,0x000000ef,0xffd0026c,0x88000003,0x7ffc07ff,0xffffffff,
    0x4c001fc0,0x1a800000,0x00004880,0x800006c0,0xf3004ffb,0xffe8005f,
    0xfa800004,0x1f27c82f,0x00002fe8,0x3e007980,0x000002ff,0x9807ffd4,
    0xffffffff,0x01fc0fff,0x00000000,0x00000000,0x7fdc0000,0x01ff9004,
    0x004ffe80,0x86ff8800,0x7e41f27c,0x20000004,0xfff8802e,0x4c000002,
    0xff101fff,0xffffffff,0x0003f81f,0x53000000,0x000157b9,0x33333331,
    0x88013333,0x99999999,0x2013fee1,0xe8006ff8,0x0ab884ff,0x85ffd000,
    0x3ea1f27c,0x7edc000e,0x5c172e2d,0x0fff9805,0x101d4000,0x7f405fff,
    0xffffffff,0x7ec1fc0f,0x0effffff,0x6ffffe88,0xdfffd300,0x01bffffd,
    0x3ffff6e0,0x01ceffff,0x7ffffedc,0x9ff70cef,0x009ff700,0x7549ffd0,
    0x000dffff,0x9f237fdc,0x002fd87c,0x3662bfa6,0xf305ffaa,0x00fff500,
    0x01bfae20,0x7e407fff,0xffffffff,0xf981fc0f,0xb800ffff,0xfc8802ff,
    0x7dcc0acf,0x322002ff,0x001fffff,0x81fffc88,0xff804ffb,0xffe8003f,
    0xffffff94,0x7cc003df,0x7c9f20ff,0xf5003fc4,0x7ffbd01d,0xf7003e20,
    0xfd9800df,0x7f406fff,0x3ffea04f,0x0fffffff,0xfff301fc,0x017ea00d,
    0x200fffea,0x4004ffe8,0x0004ffff,0xffb81ffc,0x17ffd404,0x567ff400,
    0xfffeccef,0x3fe6006f,0x47c9f22f,0xff7004fc,0x03fff201,0x7fdc01f8,
    0x7d54c005,0x7fe406ff,0x7fffdc03,0x7c0fffff,0x07ffe403,0x2a00fe40,
    0x6c001fff,0xfd000eff,0xe80005ff,0x09ff701f,0x001fffc8,0x82fdffe8,
    0x002ffffb,0x3e4bfff1,0x801ff8f9,0x3f202ffb,0x2017406f,0x20004ff9,
    0x7dc06ffd,0xfffa802f,0x7c0fffff,0x1fffc403,0xf101be20,0xf10009ff,
    0x3f600bff,0x6c0002ff,0x09ff700f,0x000fffd8,0x201fffe8,0x2007fffc,
    0xc9f27fff,0x2601be67,0x7fec04ff,0x6c017c04,0x3f20005f,0x037e406f,
    0xfffffb30,0xc803f81f,0x17dc07ff,0x003fff60,0x017ffe40,0x000fffec,
    0x7dc03f60,0x3fff404f,0x04ffe800,0x00ffffc4,0xf90ffff8,0x7401fdc0,
    0x7ff400ff,0x4c00fc02,0xf70000ff,0x0ffc40df,0xfdaa9800,0x7c401fc0,
    0x01fa03ff,0x0009fff7,0x0077ffcc,0x0007fff6,0x3ee01fb0,0x3fffc04f,
    0x04ffe800,0x002fffc8,0x1f21fffd,0x7e402fc8,0x3ffc404f,0x4c003e20,
    0xff70004f,0x0017dc0d,0x1fc0fa80,0x306ffd80,0x7ffc409f,0x7ec0000f,
    0x7fec04ff,0x7ec0001f,0x409ff700,0x0006fff8,0xf5009ffd,0x3f6009ff,
    0x6c0f91ff,0x3ffe201f,0x02ffd400,0xdd3001ea,0x6ffb8005,0x0001eda8,
    0x07f03ea0,0x20bffe60,0x3fee01fc,0xfa80006f,0x3f600fff,0x6c0001ff,
    0x09ff700f,0x002fffcc,0x9804ffe8,0xfb005fff,0xe81f25ff,0x13fee00f,
    0xb00fff60,0x3baa0009,0x4dff7000,0x00002ee8,0x01fc0fa8,0xf88dffb0,
    0x2fffec05,0x7ffcc000,0x3fff601f,0x07ec0001,0x2604ffb8,0xd0006fff,
    0xff1009ff,0x3ff2009f,0x3fc0f91f,0x3007ffa0,0x1f801fff,0x0cfc8800,
    0xb8dff700,0x400001dd,0x001fc0fa,0x7dc5fff3,0x27fff402,0x7ffc4000,
    0x3fff602f,0x07ec0001,0x2204ffb8,0xd0007fff,0x3fe009ff,0xfffb003f,
    0x07e81f21,0x3a01ffe6,0x03d406ff,0x0005fdc0,0x74c1bfee,0x3ea00004,
    0x36001fc0,0x201fa6ff,0x0003ffff,0x409ffff0,0x0001fffd,0xffb807ec,
    0x03fffc04,0x004ffe80,0x3a005fff,0xd81f27ff,0x0bff500f,0x404fffa8,
    0x1fe4003e,0x06ffb800,0x400013ea,0x001fc0fa,0x3e6bffea,0x7fffcc04,
    0xfff00002,0x7ffec0bf,0x07ec0001,0x7404ffb8,0xe8000fff,0xff8804ff,
    0xdfff001f,0x7e4313e4,0x409ff901,0x202fffe9,0x3fd4006b,0x0dff7000,
    0x80003fe8,0x001fc0fa,0x07e77ff4,0x07fffea0,0x7fff4000,0x07fff607,
    0x201fb000,0x7ec04ffb,0xfe8000ff,0x6ff9804f,0xc97ffe00,0x01fb9f27,
    0x3a20bffb,0xf300fff9,0x04fe8005,0x01bfee00,0x80001ff7,0x001fc0fa,
    0x02ffffd4,0x017fffd4,0x6fffd800,0x007fff60,0x2e01fb00,0x7fdc04ff,
    0xffe8001f,0x02ffb804,0x649fff10,0x02fa9f27,0xe881fff9,0xf307ff8a,
    0x4ffa800b,0x1bfee000,0x0005ff70,0x01fc0fa8,0x02fffe80,0x03ffff98,
    0xbfffd000,0x00fffec0,0x5c03f600,0x7fc404ff,0xffe8002f,0x005ff806,
    0x7c8bffe6,0x505f89f2,0xfb55dfff,0x2a1bfe25,0x2e03884f,0x2e0005ff,
    0x7fec06ff,0x07d40004,0x7d4000fe,0xfff1007f,0x3e00009f,0x3f203fff,
    0x6c0001ff,0x09ff700f,0x0007ffd0,0x5c09fffd,0x3ea001ff,0x8f93e46f,
    0xfffd00fd,0xffe83fff,0xb03fda9c,0x03ffdc07,0x80dff700,0x40004ffe,
    0x001fc0fa,0x74009fd0,0x80004fff,0x202ffff8,0x0002fffc,0xffb807ec,
    0x05ffb804,0xbffffe80,0x000ffdc0,0x4f90ffee,0x881fd47c,0xa80beffc,
    0x00cffffe,0xfffa80f5,0xdff70000,0x003fff80,0x0fe07d40,0x000fd800,
    0x0017fff6,0x07fffe60,0x002fffc8,0xff703f40,0x0fff1009,0xf79ffd00,
    0x01bffbdf,0xc81ffb00,0x01be1f27,0x02660031,0xff300fa0,0x3ee0003f,
    0x3ffe206f,0x07d40002,0x7c4000fe,0x7ffe4005,0xff980006,0x7ffe407f,
    0x03f40003,0x2e009ff7,0x7f4002ff,0x1377514f,0x13fe2000,0xfb87c9f2,
    0x40000002,0xfff8807b,0xdff70002,0x007ffcc0,0x7f03ea00,0x00bee000,
    0x03ffff10,0x3fffc800,0x01fffdc0,0xfb81be00,0x13fe004f,0x009ffd00,
    0x03ff5000,0xfd83e4f9,0x30000000,0x3ffe005f,0xbff70002,0x003ffcc0,
    0x0fe07d40,0x80037400,0x0005fffb,0x201bffe2,0x0005fff9,0xffb813e6,
    0x03fea004,0x004ffe80,0x902fe800,0x6e883e4f,0xfa800000,0x07ffa003,
    0x01ffdc00,0x0000dff1,0x003f81f5,0x20003fb8,0x0001fffe,0x1003fff9,
    0x0001ffff,0xffb80bee,0x02fe4004,0x0009ffd0,0x3204fa80,0x5f981f27,
    0x3ea00000,0x03fec003,0x805ff700,0xa80005fe,0x2001fc0f,0x4c0006f8,
    0x88005fff,0x32003fff,0x88003fff,0x3fee00ff,0x01fd8004,0x0009ffd0,
    0x32037440,0xdf301f27,0xfb800003,0x03ff8003,0x003ff200,0x80001ff5,
    0x981fc0fa,0x2febbefd,0xfffb8000,0x3ff62002,0x7ffc4005,0x3fa2000e,
    0x027fdc03,0x40076c40,0x00004ffe,0x7c801fd1,0x3f6201f2,0xfd980003,
    0x06fa8002,0x3fd82c98,0x0007fb00,0x81fc0fa8,0x4ffffffc,0x3fa60000,
    0xffe9804f,0xfff50003,0xffa8803f,0x9dffb804,0xb8009999,0x2fffc01e,
    0x06f44000,0x00f93e40,0x0005f7dc,0x0002ffaa,0x7fc00774,0x00ff10df,
    0x00007744,0x703f81f5,0x00bfffff,0xbffb1000,0x7fe54415,0x7cc0001e,
    0xa9acdfff,0x004fffec,0xfffffff7,0x07a6009f,0x00ffffd4,0x4005d300,
    0x1001f27c,0x3359bfd7,0x7fdb9533,0x17a60001,0x7ffff440,0xc8000dec,
    0x1f50001e,0x3ff203f8,0x4000002e,0xfeffffda,0x00003dff,0x3ffffee2,
    0x01cfffff,0x2aaaaa60,0x64001aaa,0xfffffd10,0xb0009fff,0x327c8001,
    0x37260007,0xbceffffe,0x9b30000a,0xffd98003,0x4c0003df,0x0c4001dc,
    0x0000004c,0xcba88000,0x8000000a,0xaacccba9,0x00000000,0x00000000,
    0x06218800,0x00110000,0x20000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x4cc00000,0x00000019,0x00266620,
    0x4cc40000,0x20000001,0x00001999,0x01799510,0x00066620,0x04ccc400,
    0x98800000,0x75400019,0x3eeeeeee,0x5c4164c0,0x3600000b,0x00003fff,
    0x3ffff000,0xf1000000,0x00007fff,0x0ffff600,0x7df50000,0xf9807fb5,
    0x00002fff,0x001ffff8,0xfff88000,0x3aa0003f,0x4ffeeeee,0xb0fffe20,
    0x40000dff,0x0005ffe8,0xfffa8000,0x90000002,0x001fffff,0x3ffa0000,
    0x3ea00005,0x3603fe83,0x0006ffff,0x017ffcc0,0xffc80000,0x00000fff,
    0xf5027fdc,0x7ffc4dff,0x2200000f,0x000007ff,0x003ffc80,0x9ff30000,
    0x00009ffd,0x03ffa200,0x03fe2000,0x3ea03ff2,0x003ffebf,0x00fff200,
    0x7fc40000,0x0004ffec,0x1027fdc0,0xffe89fff,0xf9800006,0x0000002f,
    0x000027fc,0x7e47fb00,0x0000001f,0x00005ff3,0x3ff609f7,0xfb12fe81,
    0x3a00001f,0x0000004f,0x1ffc8ff6,0x3fee0000,0x205ecc04,0x00000cc8,
    0x00009f50,0x002fcc00,0x05f50000,0x00000bf5,0x0002fd40,0xffd82fe4,
    0x7dc0fdc0,0x5f980004,0x26000000,0x005fa82f,0x013fee00,0x00000000,
    0x000001ee,0x00000eb8,0xe980ba00,0x20000002,0xfc80007b,0xe8859107,
    0x0007ea01,0x00001d70,0xd3017400,0x3ee00005,0x0000004f,0x003b0000,
    0x00360000,0x01a80000,0x00000488,0x20000e40,0x2a004ffb,0x00038800,
    0x0000006c,0x09100330,0x13fee000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3e600000,0x000004ff,0x00000000,0x00000000,0x009ff700,
    0x20000000,0x00abdca9,0x654c0000,0x88000abd,0x99999999,0x4c400999,
    0x19999999,0x26666662,0x40099999,0x99999998,0x9fff9019,0x33333300,
    0x00333333,0x00009300,0x0024c000,0x29ff7000,0xfffffffd,0xfffe880e,
    0xfe98006f,0xffffeeff,0xd300000d,0xfffddfff,0x36e001bf,0xffffffff,
    0x7edc01ce,0x0cefffff,0xffffffb7,0xb8039dff,0xeffffffd,0xbfffd00c,
    0xffffdc80,0x004effff,0x0000fd80,0x01fb0000,0x3fee0000,0x3ffffe64,
    0x02ffb800,0x567fe440,0x17ffdcc0,0x9ff91000,0xfffb9815,0x3ff22002,
    0x88001fff,0x2201fffc,0x01fffffc,0x1fffc880,0xeffffa80,0xffffd800,
    0xf100002e,0x0000007f,0x0007ff10,0x313fee00,0x2a00dfff,0x7fd4005f,
    0xffe8803f,0xfffa8004,0x4ffe8803,0x27fffc00,0x00ffe000,0x0027fffc,
    0x2600ffe0,0x1ffffeae,0x0ffffc40,0xdff70000,0x70000000,0x00000dff,
    0x3f213fee,0x1fc800ff,0x07ffea00,0x01dffb00,0x007ffea0,0x001dffb0,
    0x000bfffa,0x3a003fd0,0x40002fff,0x874c01fe,0x01ffffe8,0x0007fffc,
    0x05ffff00,0xff800000,0x800002ff,0xff884ffb,0x037c403f,0x009fff10,
    0x00bfff10,0x0009fff1,0x200bfff1,0x0002fffd,0xfd8007ec,0x6c0002ff,
    0x203ea00f,0x200ffffd,0x0000ffff,0x0bffff50,0x7d400000,0x00005fff,
    0xf904ffb8,0x02fb80ff,0x003fff60,0x017ffe40,0x0003fff6,0x4017ffe4,
    0x0001fffd,0xfd8007ec,0x6c0001ff,0xb817a00f,0x3fe06fff,0x3a00007f,
    0x000fffff,0xfffd0000,0x800001ff,0xff104ffb,0x003f407f,0x0009fff7,
    0x8077ffcc,0x0004fffb,0x003bffe6,0x0003fffb,0xfb000fd8,0xd80003ff,
    0x807f100f,0xff01fffb,0x260000ff,0x04fffcdf,0xdf980000,0x0004fffc,
    0xb027fdc0,0x13e60dff,0x07fffc40,0x3fff6000,0x0ffff884,0x7ffec000,
    0x0fffec04,0x003f6000,0x000fffec,0x7dc03f60,0x03ffc803,0x0000ffff,
    0x3ffe27f2,0xc8000007,0x07fff89f,0x27fdc000,0x905fff30,0x3fee003f,
    0xfa80006f,0x7fdc0fff,0xfa80006f,0x3f600fff,0x6c0001ff,0xfffb000f,
    0x0fd80003,0x3a00dfb0,0x0ffff06f,0x6cdf1000,0x00002fff,0xffd9be20,
    0x2e00002f,0x7fec04ff,0xb002fc46,0x0000bfff,0xd83ffff3,0x80005fff,
    0x201ffff9,0x0001fffd,0xfd8007ec,0x6c0001ff,0x03ff700f,0x3fe0df90,
    0xfb80007f,0x01bffea3,0x23fb8000,0x0006fffa,0x3013fee0,0x17dc5fff,
    0x09fffd00,0xffff1000,0x04fffe85,0xffff8800,0x07fff602,0x001fb000,
    0x0007fff6,0x3e601fb0,0x27cc00ef,0x0007fff8,0xfffe87e8,0xfd000001,
    0x003fffd0,0x013fee00,0x07e9bff6,0x01ffffc0,0x4ffff800,0x001ffffc,
    0x04ffff80,0x0007fff6,0x36001fb0,0x40001fff,0x3ffa00fd,0x407e600e,
    0x40007fff,0xfffb84fa,0xfa800004,0x04fffb84,0x09ff7000,0xf35fff50,
    0x7ffcc009,0xff00002f,0x7ffccbff,0xff00002f,0x7fec0bff,0x7ec0001f,
    0x3fffb000,0x00fd8000,0x407bffea,0x1fffe07c,0x101fb000,0x0001ffff,
    0xf880fd80,0x80000fff,0xfd004ffb,0x4001f9df,0x001ffffa,0x4ffffd00,
    0x001ffffa,0x0ffffd00,0x000fffec,0x6c003f60,0x40001fff,0x7fdc00fd,
    0x00f442ff,0x4000ffff,0x3ff605f9,0x2600003f,0x3fff605f,0xffb80003,
    0xffff5004,0xfffa800b,0xfb00002f,0x7ffd4dff,0xfb00002f,0x7fec0dff,
    0x7ec0001f,0x3fffb000,0x00fd8000,0x33ffffc8,0x7fff801d,0x807f2000,
    0x0006fff9,0xf9807f20,0xb80006ff,0x3fa004ff,0x7cc002ff,0x00003fff,
    0x7ccbfffd,0x00003fff,0x6c0bfffd,0x40001fff,0xffb000fd,0xfd80003f,
    0xffff7000,0xfff001db,0x1be2000f,0x007fffa0,0x201be200,0x0001fffe,
    0x50027fdc,0xf1000fff,0x00009fff,0xf88ffffe,0x00004fff,0x6407ffff,
    0x40001fff,0xff9000fd,0xfd80003f,0x3ffea000,0xffff005f,0x00bee000,
    0x0017ffee,0x2e00bee0,0x40005fff,0x74004ffb,0xffd0004f,0xf100009f,
    0xffe85fff,0xf880004f,0x3f202fff,0x6c0002ff,0xfff9000f,0x0fd80005,
    0x7fff4c00,0x07fff802,0xfffffd00,0xffffffff,0xe80001ff,0xffffffff,
    0x0fffffff,0x13fee000,0x0001fb00,0x0017fff6,0x07fffe60,0x000bfffb,
    0x03ffff30,0x0017ffe4,0xfc801fa0,0x740002ff,0xffd10007,0x7fff801f,
    0xccdfa800,0xcccccccc,0x0003fffe,0x333337ea,0xfecccccc,0x2e0003ff,
    0x3e2004ff,0x3ff20005,0xf980006f,0xfffc87ff,0xff980006,0x7ffe407f,
    0x03f40003,0x007fff90,0x40007e80,0x7fc03ffe,0x0fd8007f,0x1fffe600,
    0x000fd800,0x001fffe6,0x2004ffb8,0x220002fb,0x0001ffff,0x441fffe4,
    0x0001ffff,0x201fffe4,0x0003fffb,0xff70037c,0x6f80007f,0x3fe20100,
    0x03fffc05,0x20017e20,0x8002fffd,0xfd8005f8,0xf70002ff,0x0374009f,
    0x2fffdc00,0xdfff1000,0x02fffdc0,0x0dfff100,0x00bfff30,0x30027cc0,
    0x4000bfff,0x4fc804f9,0xff80df90,0x0fe4007f,0x2fffd400,0x000fe400,
    0x002fffd4,0x7004ffb8,0x3a00007f,0x90001fff,0xfe803fff,0xf90001ff,
    0xff1003ff,0x2e0001ff,0x3fe2002f,0xf70000ff,0x20fff005,0x7ffc05fa,
    0x01be2007,0x01ffff80,0x8001be20,0x8001ffff,0xf8804ffb,0x3e600006,
    0xf88005ff,0xff9803ff,0xff88005f,0x3ff2003f,0xff88003f,0x7ffe4000,
    0x0ff88003,0xf507ff80,0x0ffff807,0x0007f900,0x002fffe4,0x640007f9,
    0xb8005fff,0x3bf664ff,0x0002febb,0x017ffdc0,0x00bffb10,0x0017ffdc,
    0x800bffb1,0x000efff8,0x2000ffa2,0x000efff8,0x6400ffa2,0x801dd05f,
    0x8800ffff,0x2a0001ff,0x8801ffff,0x2a0001ff,0x4001ffff,0x3ff24ffb,
    0x0004ffff,0x09ffd300,0x007ffd30,0x009ffd30,0x0007ffd3,0x007fffea,
    0x0009ff51,0x00ffffd4,0x0013fea2,0x0fe441fd,0x07fffe20,0x0001ff60,
    0x00dffff1,0x88000ffb,0x3106ffff,0x9ff73333,0x2fffffdc,0x36200000,
    0x2a20adff,0x0001effc,0x82b7ff62,0x01effca8,0x7fffcc00,0xfeca9acd,
    0x980004ff,0x9acdffff,0x04fffeca,0xbfbbf900,0xfffea801,0xff9101ef,
    0x3220009f,0x82dfffff,0x004fffc8,0xfffff910,0xffffb85b,0x7e44ffff,
    0x000002ef,0x3ffff6a0,0x003dfffe,0x3fff6a00,0x03dfffef,0x3fee2000,
    0xffffffff,0x2200001c,0xfffffffb,0x0001cfff,0xffd80198,0xffffffff,
    0xfffff90e,0x3a001dff,0xffffffff,0xffff90ff,0x2001dfff,0xfffffffe,
    0x55510fff,0x00355555,0x20000000,0x000acba8,0xcba88000,0x8000000a,
    0xaacccba9,0x4c000000,0x0aacccba,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x54400000,0x0000abdc,0x66e55400,
    0x003980ac,0x02666600,0x33310000,0x40000003,0x00009999,0x000ccc40,
    0x03333000,0x99980000,0x19998809,0x20188000,0xb3000009,0xffffffff,
    0x200001bf,0xeeffffc8,0x1362dfff,0x7ffcc000,0x4400000e,0x0001fffe,
    0xefff8800,0x3e600000,0x00002fff,0x007fffb0,0x3ffe2000,0x3fffd00f,
    0x77fcc000,0x0017ff40,0x86b7ff20,0x02fffeb9,0x67ffec00,0xfffea880,
    0xf700005f,0x000003ff,0x0013ffe2,0x3ffee000,0x7f400001,0x00006fff,
    0x0017ffa0,0x0fffdc00,0x009fff10,0x51fffec0,0x2000bfff,0x8803ffe9,
    0x88004ffe,0x2e005ffe,0x00005fff,0x00003ffd,0x006ff980,0x2ffd8000,
    0x7fd40000,0x0003ffeb,0x01ffd100,0x5ffb0000,0x00dff300,0x317ffe40,
    0x50009fff,0x44003fff,0x3000effe,0x50009fff,0x10000dff,0x000007ff,
    0x0003fea0,0x03ff8800,0x12fe8000,0x00001ffb,0x000bfe60,0x007ff100,
    0x8000ffd4,0xdfc84fd8,0x7ffc4000,0xfff88004,0x6fff8804,0x01bee000,
    0x0013ee00,0x07f90000,0x27d40000,0x0fdc0000,0x000027e4,0x0000bf50,
    0xb8004fa8,0x0000003f,0x0fffd800,0x3fff9000,0x01fffd80,0x0003f400,
    0x000002ec,0x00005d80,0x00001760,0x0fa807a2,0x1ee00000,0x00b90000,
    0x00003640,0x3fea0000,0x3e20004f,0x3fee06ff,0x7a80004f,0x00068000,
    0x00740000,0x000e8000,0x8800b800,0x64000003,0x03a00001,0x4c01b000,
    0x99999999,0x99999999,0xf1009999,0x80001fff,0xfd04fffe,0x200005ff,
    0x0000000f,0x00000000,0x00000000,0x00000000,0x00000000,0x76440000,
    0xffffffff,0xffffffff,0xff703fff,0xf70000df,0xff981fff,0x2e00007f,
    0x33333310,0x80133333,0x99999998,0x4ccccc19,0x99999999,0x99999999,
    0x99999980,0x99999999,0x09999999,0x99999998,0x99999999,0x00999999,
    0x00093000,0x33333330,0x4cc33333,0x99999999,0xfffb3019,0x5555555f,
    0x09ffd995,0x0017fff6,0x07fffe60,0x000bfff9,0x3fffae00,0x1dffffff,
    0x7ffff640,0x3b225fff,0xffffffff,0xffffffff,0x76443fff,0xffffffff,
    0xffffffff,0x76443fff,0xffffffff,0xffffffff,0x00003fff,0xc80001fb,
    0xfffffffd,0x3ff724ef,0x4effffff,0x01bffea0,0x3fa09f90,0xf00004ff,
    0xfff85fff,0x4000004f,0x5ffffffb,0xffffb800,0x7ffecc03,0xaaaaaaaf,
    0x04ffecca,0x2bffff66,0xcaaaaaaa,0x2604ffec,0xaaaffffd,0xeccaaaaa,
    0x880004ff,0x200003ff,0x02effffd,0x177fffec,0x037ffcc0,0x7fc42ec0,
    0xf00003ff,0x7fc49fff,0x000003ff,0x1fffff88,0x03fff000,0x01bffea0,
    0xfa809f90,0x7e4006ff,0x37ffd404,0x0013f200,0x001bfee0,0x1ffff880,
    0x1ffff880,0x0dfff100,0xff30b700,0x200005ff,0x3e65fffe,0x00002fff,
    0x7ffff500,0x05ff1000,0x037ffcc0,0x3e602ec0,0x5d8006ff,0x037ffcc0,
    0x40002ec0,0x0002ffff,0x003fffe0,0x8007fffc,0x8006fff8,0xffffa858,
    0xffd00001,0x7fffd4ff,0x20000002,0x000ffffc,0x220027e4,0xb8006fff,
    0x37ffc405,0x2202dc00,0xb8006fff,0x7fd40005,0x200005ff,0xf000ffff,
    0x22001fff,0x00006fff,0x007fffee,0x3fffec00,0x003ffff5,0x7fc40000,
    0x3e2004ff,0xfff88006,0x40588006,0x8006fff8,0x7ffc4058,0x00588006,
    0x7fffff40,0xfff00000,0x3fffc00f,0x0dfff100,0x7ffd4000,0xfd00002f,
    0x7ffccdff,0x0000002f,0x00ffffd4,0x88001fd8,0x00006fff,0x00dfff10,
    0x3ffe2000,0x80000006,0x4fffcdf9,0xffff0000,0x03fffc00,0x00dfff10,
    0xfff30054,0x3e00007f,0x3fe24fff,0x000002ff,0x06fffd80,0x10004fa8,
    0x0000dfff,0x01bffe20,0x7ffc4000,0x80000006,0x7fff89fc,0xffff0000,
    0x03fffc00,0x00dfff10,0xfff100ec,0x3e00009f,0x7ffc3fff,0x0000003f,
    0x04ffff88,0x40003be2,0x2006fff8,0xfff1000a,0x8005400d,0x2006fff8,
    0x7c40000a,0x00bfff66,0x01fffe00,0x2007fff8,0x2006fff8,0x7fff401f,
    0xff880005,0x7fff42ff,0x00000005,0x203ffff5,0x220002fc,0x36006fff,
    0xdfff1001,0x8800ec00,0x36006fff,0x1fdc0001,0x000dfff5,0x400ffff0,
    0x22007fff,0xf9006fff,0x6fffb803,0xfff98000,0x07fffc86,0x36000000,
    0x5f986fff,0x7ffc4000,0x4007e006,0x2006fff8,0xfff1001f,0x000fc00d,
    0x3ffa1fa0,0x7fc0001f,0x3ffe007f,0x3ffe2007,0xbaaaaaaf,0x4c01ffec,
    0x0001ffff,0x441fffdc,0x0001ffff,0xfff10000,0x000fe87f,0x037ffc40,
    0xf1001fc8,0x3f200dff,0xdfff1001,0x0007f200,0xffb84fa8,0x7fc0004f,
    0x3ffe007f,0x3ffe2007,0xffffffff,0xd801ffff,0x20005fff,0x3206fff8,
    0x00005fff,0xffa80093,0x007f90ff,0x5ffff100,0xd9755555,0x3e2003ff,
    0xaaaaafff,0x01ffecba,0x55ffff10,0xfd975555,0x7ec0003f,0x0ffff880,
    0x1fffe000,0x007fff80,0x881bffe2,0x8801ffb9,0x0001ffff,0x4405fff7,
    0x0002ffff,0x6c000744,0x05f9dfff,0xffff1000,0xffffffff,0x22003fff,
    0xffffffff,0x1fffffff,0xfffff100,0xffffffff,0x260003ff,0x3fff605f,
    0x3ffe0003,0x1fffe007,0x06fff880,0x2a003f30,0x88005fff,0xfb804fff,
    0x20000fff,0xff10002e,0x0001ffff,0x81bffe20,0x001ffb98,0x440dfff1,
    0x1001ffb9,0x4c40dfff,0x90001ffb,0x7ffcc03f,0x3ffe0006,0x1fffe007,
    0x06fff880,0xfb8007a0,0x7ec002ff,0x3ff2004f,0x744001ff,0x7fdc0004,
    0x200003ff,0x3006fff8,0x3fe2003f,0x03f3006f,0x01bffe20,0x44000fcc,
    0xfffe806f,0xffff0001,0x03fffc00,0x00dfff10,0x3ee000e4,0xfe8803ff,
    0xffc8004f,0x54400bff,0xfd00003f,0x400001ff,0x2006fff8,0xfff1001e,
    0x800f400d,0x2006fff8,0x2fb8001e,0x05fffb80,0x00ffff00,0x1003fffc,
    0x0400dfff,0xdffc8800,0x7ffdcc0a,0x3fea0003,0xa9abdfff,0x0002ffec,
    0x003fffa0,0x6fff8800,0x44007200,0x32006fff,0xdfff1001,0x4000e400,
    0xfffffffe,0xffffffff,0x7fff8000,0x01fffe00,0x006fff88,0x3f660000,
    0xefffefff,0xd7100002,0xffffffff,0x8000017d,0x0000fffe,0x01bffe20,
    0x3fe20008,0x8002006f,0x2006fff8,0xcdfa8000,0xcccccccc,0x003fffec,
    0x2007fff8,0x22007fff,0x00006fff,0xffffa800,0x000006ff,0x2af3eea2,
    0x3a000001,0x00000fff,0x001bffe2,0x37ffc400,0xff880000,0x4000006f,
    0x3e6000fd,0xff8007ff,0x3ffe007f,0x3ffe2007,0x01660006,0x7ffff440,
    0x4000003f,0x000001ec,0x001fffd0,0x37ffc400,0xff880000,0x1000006f,
    0x0000dfff,0x4002fc40,0x4002fffd,0x3e007fff,0x3e2007ff,0x3a0006ff,
    0x7fe40002,0x00001fff,0x007fff30,0xfffd0000,0x7c400001,0x260006ff,
    0x0dfff105,0xf882cc00,0x260006ff,0x0007f205,0x0017ffea,0x7c00ffff,
    0x3e2007ff,0xf90006ff,0xff700001,0x00001dff,0x00fff930,0xfffd0000,
    0x7c400001,0x3a0006ff,0x0dfff102,0xf8817400,0x3a0006ff,0x000df102,
    0x000ffffc,0x7c00ffff,0x3e2007ff,0xf98006ff,0x36600005,0x0000efff,
    0x001ffd00,0xfffe8000,0x3e200000,0xf90006ff,0x1bffe201,0x8807e400,
    0x90006fff,0x00ff201f,0x05fffc80,0x003fffe0,0x8007fffc,0x000ffffa,
    0x0000bfee,0x07bff220,0x17fa0000,0x3fa00000,0x200001ff,0x8006fff8,
    0x3fe205f9,0x5f98006f,0x01bffe20,0x7c417e60,0x3ea0001f,0xff001fff,
    0x3fe001ff,0xfe9800ff,0xccccefff,0xffeecccc,0x2000000f,0x000dffc8,
    0x01ffc880,0x7fc40000,0x200002ff,0x000ffffa,0xfa80bfee,0x2e000fff,
    0x3fea02ff,0x3ee000ff,0x00ffb02f,0x6ffff880,0x1ffff880,0x1ffff880,
    0xfffffd10,0xffffffff,0xbfffffff,0x22000000,0x002cddba,0x005f7f44,
    0x7fe40000,0x80002eff,0xceffffe9,0xeccccccc,0xd300fffe,0x999dffff,
    0xfdd99999,0x3fa601ff,0xccccefff,0xffeecccc,0x7ffe440f,0xff910004,
    0x2a05bfff,0x01effffe,0x3bffffaa,0x00000001,0x20000000,0x00000000,
    0x3fffb200,0x0effffff,0x3fffa200,0xffffffff,0xffffffff,0x7fff445f,
    0xffffffff,0xffffffff,0x7fff445f,0xffffffff,0xffffffff,0x7fffe45f,
    0xd000efff,0xffffffff,0x3fff61ff,0xefffffff,0xffffffb0,0x001dffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x01201cc9,0x09806000,0x00c00000,
    0x20000013,0x00e01cc9,0x0004c030,0x00000100,0x201cc980,0x44000004,
    0x98060002,0x44000000,0x40cffffd,0x22000049,0x7fec1fff,0xf8800003,
    0x1ffec1ff,0xffd10000,0x049819ff,0xe81fff30,0x220002ff,0x0001dffc,
    0x7ffec400,0x002c40cf,0x001b2000,0xfb07ffe2,0x4000007f,0xfffffefd,
    0x80000f23,0x3e64fffc,0x800006ff,0x3e64fffb,0x200007ff,0xfffffefd,
    0x7ec00f63,0x3ffea3ff,0x2fba0005,0x00001fda,0x3fffbf20,0x00790bff,
    0x003f8000,0x264fffb8,0x00007fff,0x3fa63d10,0x01ffffff,0x3ffee000,
    0x01bffe23,0x3ffea000,0x01bffe24,0xe9874400,0x0fffffff,0x45fff900,
    0x0005fff9,0x004e81f5,0x74c7a000,0x1fffffff,0x3ea00000,0xfffa8000,
    0x01bffe23,0x5424c000,0x002fffff,0x06fec400,0x00007bee,0x2e06fe40,
    0x300001ef,0xfffff709,0x27ec4005,0x8000efe4,0x0007b85d,0xff509300,
    0x00005fff,0x20006d80,0x77dc0dfc,0x33000001,0x000de540,0x00000000,
    0x00000000,0x95101980,0x00000037,0xd90d7000,0x06200000,0x0001bca8,
    0x001fc400,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x2fe20000,0x00005f50,0x00000000,0x0001f500,0x22000000,0x01999999,
    0x33333100,0x20003333,0x00abdca9,0x99999880,0x00999999,0x4cccccc4,
    0x53000199,0x000157b9,0x33333333,0x40003333,0x005feffb,0x04980000,
    0x2ec00000,0x01260000,0x7fff5400,0xb8003fff,0xdffffffd,0x3ffa6004,
    0xdffffeef,0xfffb7000,0x39dfffff,0xffffdb80,0x3000ceff,0xffddfffd,
    0x32001bff,0xfffffffd,0xe80004ef,0x0000001f,0x00001fb0,0x17e654c0,
    0x03f60000,0xfff50000,0x220005ff,0x2000dffc,0x40acffc8,0x002fffb9,
    0x3fffff22,0xffc88001,0x3f22001f,0x7dcc0acf,0x7ec002ff,0x0002efff,
    0x0007ff10,0x7ff10000,0xff500000,0x005fffff,0x00ffe200,0x3ffe2000,
    0x3e0001ff,0x3fea001f,0xffe8803f,0x7fffc004,0x1ffc0004,0x07fff500,
    0x009ffd10,0x00ffffc4,0x0dff7000,0xf7000000,0x440000df,0x3ffa0dfe,
    0xfb80005f,0x3000006f,0x001dffff,0x54003fa0,0x6c001fff,0xfd000eff,
    0xe80005ff,0xfff5001f,0xeffd8003,0x1ffff000,0x7ffc0000,0x0000002f,
    0x0017fffc,0x7cc4fd80,0x0003fffc,0x0017fffc,0xfffff800,0x01fb0005,
    0x009fff10,0x00bfff10,0x000bfff6,0xf1001fb0,0xf10009ff,0x3fe00bff,
    0x500000ff,0x000bffff,0x7ffd4000,0xfb80005f,0x7fc7640f,0x3ea0006f,
    0x00005fff,0x9ffffff0,0x200fb000,0x0000fffd,0xb005fff9,0x80003fff,
    0xffd800fd,0xff90000f,0xffff005f,0x7ff40000,0x00000fff,0xfffffd00,
    0x7fc40001,0xdffd3f84,0x7fff4000,0x800000ff,0x2ffffcdf,0x5c03ec00,
    0x20004fff,0x400efff9,0x0001fffd,0x3ee007ec,0x260004ff,0x7c00efff,
    0x300007ff,0x09fff9bf,0xbf300000,0x0009fff9,0x3e617fe4,0x0003b711,
    0x3fff37e6,0x5f800004,0x003ffffd,0x3fe203ec,0x6c0000ff,0x7ec04fff,
    0x6c0001ff,0x3ffe200f,0x7ec0000f,0x7ffc04ff,0x3f900007,0x000ffff1,
    0xf13f9000,0x6c000fff,0x003640ff,0x3e27f200,0x800007ff,0xffffd15f,
    0x701f6001,0x0000dfff,0x401ffff5,0x0001fffd,0xff7007ec,0xf50000df,
    0x7fc01fff,0xf880007f,0x00bfff66,0x26f88000,0x0002fffd,0x007f0fff,
    0xfb37c400,0x800005ff,0x3fffe65f,0xd80fb006,0x80005fff,0x201ffff9,
    0x0001fffd,0xffb007ec,0xf30000bf,0x7fc03fff,0xfb80007f,0x01bffea3,
    0x23fb8000,0x8006fffa,0x07d47ff8,0x47f70000,0x0006fffa,0x3fea2fc0,
    0x07d804ff,0x0027fff4,0x17fffc40,0x003fffb0,0x3a00fd80,0x80004fff,
    0x202ffff8,0x80007fff,0x1fffe87e,0x0fd00000,0x8003fffd,0x1760fff9,
    0xd0fd0000,0x00003fff,0x7ffe42fc,0x203ec03f,0x0003ffff,0x409ffff0,
    0x0001fffd,0xfff007ec,0x3e00007f,0x3fe04fff,0x7d40007f,0x04fffb84,
    0x84fa8000,0x4004fffb,0x5f12fff8,0x27d40000,0x0027ffdc,0x3f60bf00,
    0x1f601fff,0x02ffff98,0xbffff000,0x00fffec0,0x4c03f600,0x0002ffff,
    0x40bffff0,0x40007fff,0xfff880fd,0x6c00000f,0xffff880f,0xa7ffc000,
    0x2001807b,0xfff880fd,0xbf00000f,0x3ffffa20,0x7d40fb00,0x00001fff,
    0x6c0ffffd,0x40001fff,0xfff500fd,0x3a00003f,0x3fe07fff,0x3e60007f,
    0x0ffff605,0x05f98000,0x000ffff6,0x09d1fffb,0xbf3002b8,0x01fffec0,
    0x2205f800,0xfb06ffff,0x17fffd40,0xfffd8000,0x07fff606,0x201fb000,
    0x002ffffa,0x0dfffb00,0x0003fffc,0x7fcc03f9,0x3200006f,0x3ffe601f,
    0x7ffe4006,0x01a201fd,0x3e601fc8,0xf00006ff,0xffffa80b,0x3e607d85,
    0x00003fff,0x6c0bfffd,0x40001fff,0xfff300fd,0x3a00007f,0x3fe05fff,
    0xdf10007f,0x03fffd00,0x00df1000,0x4003fffd,0x407ffffa,0x0df1004d,
    0x003fffd0,0xf700bf00,0x07d87fff,0x013fffe2,0x1ffffc00,0x003fff90,
    0xf100fd80,0x00009fff,0xf80ffffe,0xf70007ff,0xbfff7005,0x05f70000,
    0x00bfff70,0x0bffffd8,0xb8007f4c,0xfffb802f,0x05f80005,0x45ffffb0,
    0x7fff407d,0xff880004,0x3ff202ff,0x7ec0002f,0x13fffa00,0x3ffe2000,
    0x1fffe02f,0x7ffff400,0xffffffff,0x40000fff,0xfffffffe,0xffffffff,
    0x3ffa2000,0xfffdefff,0x3fffa002,0xffffffff,0x0000ffff,0xffd002fc,
    0xb01f61ff,0x0000bfff,0x403ffff3,0x0002fffc,0x3ff603f4,0xf980005f,
    0x3fe01fff,0xdfa8007f,0xcccccccc,0x03fffecc,0x3337ea00,0xcccccccc,
    0x4003fffe,0xfffffff9,0x3ea003ff,0xcccccccd,0x3fffeccc,0x002fc000,
    0xb1dffff1,0x6fffc80f,0xfff98000,0x1fffe407,0x901fa000,0x0000dfff,
    0xf80ffff3,0xfd8007ff,0x3ffe6000,0x03f60007,0x07fff980,0xffffef80,
    0x7ec001ef,0x3ffe6000,0x02fc0007,0x37fffe60,0x7ffc407d,0x7e40001f,
    0x7fdc03ff,0x37c0003f,0x07fffe20,0x7fff9000,0x007fff80,0x6c002fc4,
    0x88002fff,0xffd8005f,0x43ea002f,0x88001aa9,0xffd8005f,0x17e0002f,
    0x3fffea00,0xfffb807f,0x3fe20005,0xfff9806f,0x13e60005,0x017ffee0,
    0x06fff880,0x4007fff8,0xfa8001fc,0xfc8005ff,0xfffa8001,0x00176005,
    0x8001fc80,0x0005fffa,0x7e40017e,0xfd007fff,0x320003ff,0xf8801fff,
    0x70000fff,0x3ffa005f,0xff90001f,0xffff003f,0x0037c400,0x003ffff0,
    0xf00037c4,0xf1003fff,0x3e200005,0x3ffe0006,0x0df0001f,0x3fffec00,
    0x05fff980,0x03fff880,0x00ffff20,0x4003fe20,0x8005fff9,0xf003fff8,
    0x32001fff,0x3f20003f,0x3f2005ff,0x3ff20003,0x007b805f,0x000ff200,
    0x005fffc8,0x20006f88,0x2007ffe8,0x2002fffb,0x4005ffd8,0x000efff8,
    0x7000ffa2,0x44005fff,0x3e005ffd,0xf8800fff,0x3ea0001f,0xf8801fff,
    0x3ea0001f,0x27401fff,0x1ff88000,0x3ffea000,0x3fcc001f,0x1ffe6000,
    0x09ffd300,0x007ffd30,0x07fffea0,0x009ff510,0x013ffa60,0x800fffa6,
    0x801ffff8,0x440007fd,0xd806ffff,0x7c40007f,0x3e606fff,0xffb00001,
    0xfff88000,0x3fa2006f,0x2a0001cf,0xfd88007f,0x32a20adf,0x40001eff,
    0xacdffff9,0x4fffeca9,0x7fec4000,0x3f2a20ad,0x3aa001ef,0x101effff,
    0x0009fff9,0x3fffff22,0xfffc882d,0xff910004,0xd705bfff,0xff910000,
    0x3220009f,0x02dfffff,0x3fffffba,0xf70004ef,0x7fed4000,0x3dfffeff,
    0x3ee20000,0xffffffff,0x200001cf,0xfeffffda,0x36003dff,0xffffffff,
    0xfff90eff,0x001dffff,0x3ffffffa,0xff90ffff,0x01dfffff,0x3fffffa0,
    0x360fffff,0x7fe40003,0x00efffff,0xffffffd0,0x0001ffff,0x00050000,
    0x02b2ea20,0x2a600000,0x00aacccb,0x5d440000,0x000000ac,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x2a200028,
    0x880001bc,0x0000003e,0x55300000,0x0b880003,0x00003000,0x0154aa00,
    0x00100000,0x0002ee60,0x200032a0,0x64c0001a,0x0006a802,0x0bff9ff9,
    0x000ee800,0x59b95100,0x800ec403,0xffffffd8,0x7fec4004,0x774000df,
    0x0003ae01,0x00fca7c4,0x401ffd40,0x2a005fe9,0x006fffff,0x98017e20,
    0x40003ffc,0x36603fff,0xf7001abf,0x017fa21b,0x0000fdc0,0x3bbfff6a,
    0xfd84ffff,0x0dffa801,0x4007ffea,0x009d31ed,0xfea89f90,0x47ea0003,
    0x7f4002f9,0x7fec00ff,0x8bf8802f,0x0003ffc9,0xfd5001fb,0x40007fff,
    0x6c45fff9,0xefffffff,0x85ff501c,0x4c001ffb,0x7e40004f,0xfeb980df,
    0x1005f72f,0x3fe60dff,0x542f8806,0xefb8000f,0x0000dfda,0x0017e36c,
    0xd803ffff,0x1b803fff,0xa8006fe8,0xfb57002f,0x4c0007ff,0x3fee5fff,
    0xff736aad,0x10ffb09f,0x6e800bff,0x3ffa6000,0xeffe8802,0x7ff7004f,
    0x201ffec0,0x017c40fa,0x01fffb80,0x644f8800,0x3ff2000f,0x0fffa805,
    0x013f6000,0x1000bf10,0x40007fff,0xff54fff8,0x3fa23545,0xff07ff85,
    0x07f2001f,0x0fffd400,0x1fffd100,0x803ffe00,0x2f806ffb,0xfc8003d4,
    0x80003fff,0x017cc1fb,0x18800620,0x02fc4000,0x80007ec0,0x40003fff,
    0x7ff8afff,0x22fcc354,0xfff06ff9,0x009f3003,0x017ffe20,0x017ffe60,
    0xf501ffe2,0x17f900ff,0xfa8009f7,0x005ffd3f,0x0bd06d80,0x00000000,
    0x4000fd88,0x3e0003fa,0x6c0003ff,0x44ffa9ff,0xfa8bb06a,0x05ffd06f,
    0x6c000dd0,0xd8000fff,0x4c02ffff,0x7fd407ff,0x7fe4400f,0x3f6000cf,
    0x017ffcc3,0xf903f880,0x00000001,0xdfffb100,0x01ba2003,0x007ffd00,
    0xfc8ffc80,0x5b83545f,0xfe837fd4,0x00fe402f,0x04fffb80,0xfffbfc80,
    0x1bfea00f,0x800bff70,0x20130001,0x8001fffb,0x05f301fb,0x1a000440,
    0x3f6a6200,0x1fc800ff,0x1fff4000,0x65bee000,0x983547ff,0xf837fc45,
    0x0fea01ff,0x7fffc400,0xda7d4000,0x3ee04fff,0x1ffe406f,0x80000000,
    0xd8006ffe,0x5002f406,0x002c4007,0x201ffdc0,0xe80003f9,0x4c0003ff,
    0x45fff55f,0x3fe0606a,0x201fff07,0x2e0006f8,0x4c006fff,0x3fffee5f,
    0x80dff700,0xa8800fff,0x800009bb,0x3fff99a9,0x900fe200,0x012e001f,
    0x880004a8,0x037405ff,0x83ffe800,0x7c4009b9,0x25ffff13,0x7fec006a,
    0x902ffcc0,0x7ec0001f,0x3e2005ff,0x3fffe60e,0x40dff701,0x6cc02ffc,
    0x3efffeff,0x7fff5400,0x01fffedf,0xf9803f70,0x400b9002,0xf900003b,
    0x000fe407,0x323ffe80,0x405fffff,0x3ffffa2e,0x7cc006ab,0x80ffe42f,
    0x740003fa,0x3a004fff,0x3ffff81f,0xa98dff70,0x7d400dfe,0xfff710cf,
    0x477f2005,0x5ffffea8,0x3a00db00,0x200db005,0xd00001e8,0x013e603f,
    0x93ffe800,0xdfffffff,0xff982601,0x8006efff,0x9ff30ffa,0x00017e20,
    0x007ffff1,0x7ffc0bf2,0x8dff704f,0x202efffd,0xff707ff9,0x05fe801f,
    0x003ffffa,0x3f2007f1,0x9007e800,0x21bb800d,0x1ba02fb8,0x7ffd0000,
    0xffd97bf9,0x7cc00dff,0x001fffff,0x2ffdeeb8,0x00003f60,0x005ffff3,
    0x7ff407f7,0x0dff706f,0x01dfff95,0x3e20bff9,0x3fee02ff,0x3fffa200,
    0x8007dc03,0x07f802f9,0x74003fa8,0x01efdfff,0x04400bee,0x077fff40,
    0x417fffdc,0xffffd301,0x2a20007f,0x3017d401,0xf7017bd7,0xf9803fff,
    0x3ffff405,0x2a06ffb8,0x7e40efff,0x0fffe04f,0x5c02ffc4,0x37406fff,
    0x3e017a00,0x03fe600f,0x35773100,0x5004f980,0xbffd00df,0x26fffb80,
    0xfb106ffa,0x001bffff,0x40bf1000,0x1ffbaffb,0x017fffd4,0xfd801df1,
    0xdff707ff,0x45fffa80,0x3fe01ff9,0x07ffb03f,0x01ffff10,0xf9000fe2,
    0x80ffc401,0x00004fe8,0x3001fd00,0xffd00dff,0x3fffd007,0xa80bfff6,
    0x01efffff,0x807ec000,0x3fea0ff9,0x0bfffe20,0xfe800fe8,0xdff706ff,
    0x81fffd00,0x1fffd400,0xb002fff8,0x3ee05fff,0x01fcc000,0x3f605ff3,
    0x8000001f,0xfe8802fb,0x3ffe806f,0xb2fffa80,0xfa805fff,0x001fffff,
    0x2205f700,0x46ff85ff,0xfb03ffff,0x3fffa005,0x00dff705,0x1007fff7,
    0x07fffdf9,0x2005fff1,0xdd03fffb,0xa817a000,0x6ffb83ff,0xf8800000,
    0xdf9db005,0x007ffd00,0x3a69fff1,0xfbea805f,0x0002ffff,0xff502fc4,
    0x743ff907,0x3fb84fff,0x13fffe00,0x44037fdc,0x36604fff,0x07ffd2df,
    0x2003fff5,0xf884fffb,0x01f70003,0xff113fee,0x0000005f,0x1f9001fb,
    0xffd00df7,0x17ffe007,0x74daa001,0x0000ffff,0xffc803fa,0x323ffb82,
    0x2fd45fff,0x3ffff100,0x401bfee0,0xfd885fff,0x41fff41e,0x5003fffb,
    0x1f709fff,0x40fe6000,0x7fdc5ffc,0x4000000f,0x1fa803fa,0xffd00df7,
    0x13ffa007,0xfd135400,0x2e0009ff,0x17fec02f,0xff727fdc,0x0037c4ff,
    0xb81fffea,0xffd006ff,0xd05fe88d,0xfff707ff,0x3ffe6009,0x40006e82,
    0x8dffb05e,0x74c06ffd,0x5f88000c,0x3ee2f980,0x03ffe806,0x0007ffd0,
    0xdfff11aa,0x009f3000,0xff503fff,0x8afffe8d,0x7e4000fe,0x3fee04ff,
    0x4bffb006,0x3fa05ff9,0x5fffa83f,0x81fff300,0x5c0003f8,0x47ffd80f,
    0x7ec05fff,0x0fd8003f,0x3ee27440,0x03ffe806,0x3623fff0,0xd86a803e,
    0x6e8007ff,0x705ffd00,0xfff98bff,0x44001fdc,0x2e00ffff,0xffb006ff,
    0xd017ffc7,0xfff107ff,0x1bfe600d,0x300003ee,0x4fffd07f,0x6404fff8,
    0x7d4006ff,0xfb85d803,0x03ffe806,0xf90fff88,0x2a03b3ff,0x007ffa86,
    0xfc800fe4,0x84ffb82f,0x003ffffc,0x402fffc8,0xfb006ffb,0x03ffe65f,
    0xff03ffe8,0xff5001ff,0x0000dd0b,0x3fffe17a,0x3017ffe0,0x7c400fff,
    0xccdfb806,0x04cffecc,0x2600fffa,0x3fffa5ff,0x50d503db,0x7cc00bff,
    0x0ffee004,0x3e20fff2,0xf88006ff,0xffc804ff,0x3fa0f6a6,0x80bffea7,
    0xff503ffe,0x5ff900bf,0x00003f88,0x7ffc41f7,0x01fff61f,0xfc8017fa,
    0xffffc801,0x0fffffff,0xb007ffd0,0x7ffdc1ff,0x90d505d8,0x374009ff,
    0x217fe600,0xff700ffe,0xffd8009f,0x4dff9005,0x3fe20ffe,0x217ffea3,
    0x0a4fffd8,0xf805fffb,0x000fb85f,0x7cc7f100,0x3fea2fff,0x01ff403f,
    0x80004fa8,0xffe806fb,0x417fcc03,0x503fb0b9,0x001ffd0d,0x2e0007f2,
    0x0ffe60ff,0x1fffffc4,0x027ff440,0x7f4dffb0,0xf11bee0f,0xf713bfff,
    0x7b5dffdb,0x00ffff98,0x0dd01ff9,0x226e8000,0x7e41ffff,0x0bf501ff,
    0x0001ba20,0x7f4037dc,0xbfd102ff,0x507bf600,0x001ffd8d,0x640007f3,
    0x05ffa9ef,0x3ff227fa,0x3ee622ce,0x3ea001ef,0x27fea6ff,0xfc80efc8,
    0x93ffffff,0x2609ffff,0x911cfffe,0x07f101df,0x20fb8000,0xff907ffe,
    0x9fb5137f,0x007f2001,0x4037dc00,0x11cfffea,0x6c007fd5,0x2d51cfff,
    0x1002ffd9,0xb50000dd,0x7e407dff,0x7fffe442,0x002effff,0x1bffffe6,
    0x019dffb7,0x077fffdc,0x9007fff3,0x7fffffff,0x00007dc0,0xfea8fe20,
    0x3ffb6202,0x26001def,0x2a00004f,0x3faa005e,0x00efffff,0xffffda80,
    0x00cffffe,0x00002620,0x100ee000,0x00037975,0x80022000,0x00600998,
    0x006b2a60,0x400000ee,0x0080003b,0x00006200,0xba880000,0x3000009b,
    0x0037fb55,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x03540000,0x99999910,0x99999999,0x59999999,
    0x44444444,0x88888888,0x00088888,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xa8000000,0x3ffe6006,0xffffffff,0xffffffff,
    0xffff34ff,0xffffffff,0xffffffff,0x0000009f,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x40008800,0x88888888,0x88888888,
    0xb3088888,0xbbbbbbbb,0xbbbbbbbb,0x0007bbbb,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x0ee20000,
    0x00b26000,0x40001dc4,0x1000004b,0x00800005,0x00fbbae0,0x37bba600,
    0x77764000,0x3bae0001,0x3ba6004e,0x320000ee,0x00003eee,0x2e400040,
    0xff911360,0x1fd0000b,0x05ffc880,0x001fd400,0x03ff6a00,0x01bff710,
    0x7ffc4016,0x640000ff,0x54001fff,0x0006ffff,0x0003bffa,0x0005fff7,
    0x0037ff44,0x901dfeb8,0x206e8001,0x7fd644f8,0x17dc0005,0x02ffd640,
    0x000dd100,0x3fffee20,0x3ffe200f,0x1a20cfff,0x7ffffe40,0x7ffc0004,
    0xfffe8002,0xf98002ff,0xf90001ff,0xf88000bf,0x7fc001ff,0x340cffff,
    0x9813e200,0x00bfd03f,0x2002fc40,0x320005fe,0x7100001f,0x401fffd5,
    0xffffdbfc,0x9805d9bf,0x1ffe89ff,0x09ff3000,0xf31df700,0xfb8001ff,
    0x7ec0002f,0xff980007,0x36fee003,0xd9cfffff,0x01fcc005,0x17f603f7,
    0x000fd800,0x98002fec,0x7000004f,0x07401fff,0xffffffd5,0xc83fb003,
    0xbf70005f,0x41df1000,0x74004fe8,0xe880003f,0xfa80001f,0xe9836006,
    0x01ffffff,0xfb00fdc0,0x8002fec0,0xfd8002fa,0x00dd0005,0x7ffd4000,
    0x7fdc1600,0x0ea802ff,0xd0005f70,0x8172000d,0x9f1000fc,0x27c40000,
    0x00fc8000,0x3ffea0b0,0x07c8002f,0x0bfb037c,0x000bf100,0x320017f6,
    0x2000001f,0x0200fff9,0x06c00330,0xd1001a60,0x00b10001,0x016a00b5,
    0x001a6000,0x01003d80,0x3a000188,0xd813e206,0x0fd8005f,0x00bfb000,
    0x00004f98,0x007ffcc0,0x00100000,0x00110002,0x00080020,0x0c000003,
    0x00060000,0x3e200000,0xd80bea04,0x1fd4005f,0x00bfb000,0x000006e8,
    0x000fff98,0x00000000,0x00000000,0x00000000,0x00000000,0xf9800000,
    0xd807ee03,0x1be2005f,0x00bfb000,0x000017dc,0x007ffcc0,0x009bba88,
    0x13775100,0xaba98000,0x57530000,0xbba88001,0x75100009,0x98000137,
    0x20000aba,0xa8800ab9,0xacfcaaaa,0xafeaaaaa,0x02fec0aa,0x80001fb0,
    0x9f3005fd,0xba880000,0x01fff31a,0xffeffd98,0xfb3003ef,0x07dfffdf,
    0xfffffc80,0xff9001ef,0x803dffff,0xfffeffd9,0xffb3003e,0x007dfffd,
    0xffffffc8,0xffb5001e,0x4c09ffff,0xffffffff,0xffffffff,0x2fec3fff,
    0x0003fa80,0xfd005fd8,0x3aa00001,0xfadffeff,0x3fea00ff,0x5fff710c,
    0x10cffa80,0x1005fff7,0x3f6a39fd,0x3fa203ff,0x7fffb51c,0x4433fea0,
    0x5402fffb,0xff710cff,0x9fd1005f,0x0ffff6a3,0x221dfd88,0xa880effd,
    0xaaefaaaa,0xadfbaaaa,0x02fec0aa,0x80003744,0x2fb805fd,0x3df70000,
    0x7ffffdc4,0x20fff300,0xf300fffb,0x3ffee0ff,0x403be200,0xf881fffe,
    0x3fffd00e,0xf707ff98,0x3fe601ff,0x01fff707,0xfe8077c4,0x1dfd01ff,
    0x007fff20,0x2fa813e2,0x64037f40,0xfd00001f,0x005f880d,0x201ff900,
    0x900ffffb,0x3fe20bff,0x0bff902f,0xd80bffe2,0x3ffe201f,0x2201fd85,
    0x7fe45fff,0x05fff105,0x7c417ff2,0x07f602ff,0xc85fff88,0x7ff401ff,
    0x202fa806,0xff9500fb,0x13e6059f,0xfca80440,0x1fb02cff,0x7ff50000,
    0x00fffe80,0x7fc09ff9,0x09ff903f,0xf981fffc,0x1ffff806,0x3fe01be6,
    0x13ff21ff,0xf903fff8,0x1fffc09f,0xff806f98,0x1bfe61ff,0x00fffee0,
    0x03ec03f9,0x01333331,0x37d401ba,0x09999988,0xf9302fa8,0x37f407df,
    0x807ffe40,0x3fe01ff9,0x03ff303f,0xfd81fffc,0x2fffd804,0x3f6013f6,
    0x07fe62ff,0xf303fff8,0x1fffc03f,0xfd804fd8,0x17fee2ff,0x007fffc0,
    0x005f80fb,0x3003f900,0x88000dff,0xfdffb05f,0x9ff70bff,0x01fff500,
    0x3ffea004,0xff500203,0x3fffe07f,0xffffffff,0x3ffe3fff,0xffffffff,
    0x0043ffff,0x080fffea,0x81fffd40,0xffffffff,0x3fffffff,0x6400fff6,
    0x17e02fff,0x80004f88,0xfe8804f9,0x7ec0006f,0x3662f980,0x1fffc3ff,
    0x007ffcc0,0x3ffbf220,0x7e44003f,0xf883fffe,0x999999cf,0x10999999,
    0x333339ff,0x13333333,0xffdf9100,0xfc88007f,0xf883fffe,0x999999cf,
    0x20999999,0xf7002fff,0x13e207ff,0x80002fa8,0xf9db006e,0x1fd4000d,
    0x5ff982d8,0x200bffe2,0x3000fff9,0x3ffa5bfb,0x5bfb3003,0x3e60fffa,
    0x3e60005f,0x4c00005f,0x7ffd2dfd,0x4b7f6600,0xff983ffe,0x3fe60005,
    0xfff5002f,0x3f733229,0xeccccccd,0x01ccccdf,0x3200bee0,0x0006fc8f,
    0xd00c0df1,0x0fffcc9f,0x007ffcc0,0xfd07bf62,0xefd8807f,0x541fff41,
    0x2a0006ff,0x100006ff,0xffe83dfb,0x0f7ec403,0x3ea0fffa,0x3ee0006f,
    0xff3003ff,0x3fffe69f,0xffffffff,0x3fffffff,0x5009f300,0x001bf23f,
    0xf80007e4,0x07ffee1f,0x803ffe60,0xffd05fe8,0x82ff4407,0xffa83ffe,
    0x3fea0007,0xfe880007,0x407ffd05,0xffd05fe8,0x00fff507,0x01fffdc0,
    0x262fff88,0x9999fe99,0x999df999,0x1fd00099,0x3f22f980,0x03fa8006,
    0xfb8ff300,0xff9802ff,0x0bff300f,0xf981fff4,0x0fffa05f,0x000bffe2,
    0x00bffe21,0x02ffcc10,0x3e607ffd,0x0fffa05f,0x000bffe2,0x013ffe61,
    0xf80fffc4,0x000fe205,0x74402fb8,0x20037e44,0x360006e8,0x1fffd41f,
    0x807ffcc0,0x3fa02fff,0x05fff03f,0xff81fff4,0xf8ea006f,0x8ea006ff,
    0x3fa02fff,0x05fff03f,0xff81fff4,0x44ea006f,0xf3007fff,0x813e20ff,
    0xf10002fa,0xf90bb00b,0x01fc800d,0xf305f500,0xff300bff,0x1fff301f,
    0x4c1fff40,0x3fa00fff,0x5fffd03f,0xffe83a00,0x261d002f,0x3fa00fff,
    0x0fff983f,0x740fffa0,0x1d002fff,0x4017fff4,0x5f505ffa,0x80007e40,
    0x6fdc00fd,0xcffecccc,0x004f9804,0x3e207f50,0x7cc01fff,0xfffa80ff,
    0x20fffa02,0x3a02fffa,0xfff503ff,0x546d807f,0x6c03ffff,0x80bffea6,
    0xffa83ffe,0x0fffa02f,0x01ffffd4,0xbfff31b6,0x205ff900,0x01f600fc,
    0x64017d40,0xffffffff,0x37400fff,0x402f9800,0x4c05fffd,0xffa81fff,
    0xfffd885f,0x2fffd4a4,0x527ffec4,0x1cffffe8,0x3a07f6e2,0x221cffff,
    0x3fea1fdb,0xfffd885f,0x2fffd4a4,0x527ffec4,0x1cffffe8,0x3607f6e2,
    0x7fc01fff,0xbf01f605,0x00bf1000,0x200df900,0xfa8001fc,0x7ffc4501,
    0x3ffee03f,0xdffff882,0xffedfb89,0xfff13dae,0xdbf713bf,0x987b5dff,
    0xefffffff,0xff304fff,0xffdfffff,0xffff889f,0xfedfb89d,0xff13daef,
    0xbf713bff,0x87b5dffd,0xfffffff9,0xd104fffe,0x3ee01fff,0x8817e00f,
    0x0fd8003f,0x06fc8000,0xb8004f98,0xea9999af,0x67fffe44,0x3ffff220,
    0x3ff20a9d,0xf93fffff,0xffc89fff,0xf93fffff,0x3e609fff,0xffffffff,
    0x7fffcc05,0x905fffff,0x7fffffff,0x913ffff2,0x7fffffff,0x413ffff2,
    0xfffffff9,0x7ec405ff,0xdf910bef,0x5027c401,0x3fa8005f,0x0df90000,
    0xc8001dd0,0xffffffff,0xffffc81f,0xffadfeef,0x7dc0cfff,0x3e60efff,
    0xfff703ff,0x7ffcc1df,0x7ffec403,0xb1003fff,0x07ffffff,0x0effffb8,
    0x5c0fffe6,0x260effff,0x6c403fff,0x03ffffff,0x3fffff20,0x7d400bff,
    0x8003ee02,0x200006f8,0x17dc05eb,0x3bbbaa00,0x205eeeee,0x4ffffffa,
    0x8805dff3,0x20060099,0x00600998,0x00377310,0x006ee620,0x06009988,
    0x18026620,0x0ddcc400,0x35951000,0x50065400,0x00988009,0x18800000,
    0x40000000,0x32209bb9,0x00000001,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x54000000,0x00004eee,0x179b9510,
    0x01970000,0x2f72a600,0x5100000a,0x550159b7,0x01bc9800,0x99999988,
    0x33310001,0x00333333,0x20006a60,0x0001aba9,0x400000a6,0x800abcba,
    0x7f4002b8,0x00001fff,0x7ff7ffdc,0x3f60002f,0x3fa6006f,0xffffeeff,
    0xff70000d,0x5bdfffff,0xd91007d3,0x403dffdf,0xffffffea,0xffdb8003,
    0x004dffff,0x3fffff2a,0xcdffb802,0x9999bffe,0x06feb881,0x7ff4c000,
    0x7c04ffff,0xff7004ff,0x0000dfff,0xf911ffe4,0xff10003f,0xfc8801ff,
    0x7dcc0acf,0x3a2002ff,0xd9510bff,0x8807ffff,0x3fea1dfe,0xffffa801,
    0xf910002f,0xfc8001bf,0x3fffea8a,0xc81bfd10,0x2fffffff,0x0dffff93,
    0x7ffd4000,0x05ffffff,0x100ffff5,0x5ffb15ff,0xbff70000,0x2001bf60,
    0x202ffff9,0x8803fffa,0xfb004ffe,0xfffd803f,0x41bfa203,0xf8802ffa,
    0x0001ffff,0xf70007fe,0x0fffe887,0xfd00ffd8,0x2a3999df,0x006fffba,
    0x359ff300,0x05ffffb5,0x900dfff1,0x007fb85f,0x502fff80,0xf88001ff,
    0xff502fff,0xffd8003f,0x0ffee00e,0xb01ffec0,0x37f403ff,0xeffff980,
    0x01fd0000,0xf883fd40,0x27fdc1ff,0x801fff70,0x00006ffd,0x7ffdc0bd,
    0x803bd505,0x07f501f8,0x03ffcc00,0xf0003ff3,0xff103fff,0xff10009f,
    0x07ff40bf,0x2607fb00,0x7fdc06ff,0xfffff003,0x03f6000b,0x2606fe80,
    0x03ffe83d,0x900fffe2,0x70000dff,0x1fffb00d,0x401d8000,0xf50000e8,
    0x1ff201ff,0x07fffc00,0x0007ffec,0x882fffc8,0x2a000fff,0x09ffd03f,
    0xf006ff98,0x009fffff,0xff800fb0,0x7fff0006,0x404fff80,0x80006ffc,
    0xfffa800a,0x00040000,0x3fee0001,0x00bff01f,0x2e1fffa0,0x20004fff,
    0x4c0efff9,0x22002fff,0x2fff983f,0x802fff80,0x2ffffcdf,0x3003ec00,
    0xf1000bff,0xffe807ff,0x037fe405,0xff300000,0x0000000d,0x3ffea000,
    0x000ffa84,0xf88fffb0,0x40000fff,0x7c44fffd,0x1ec006ff,0x4007ffdc,
    0x5f806ffd,0x003ffffd,0xff5003ec,0x3ffa000b,0x027ff404,0x0001bfee,
    0x03ff9800,0x00000000,0xb8ffff30,0x320002ff,0x7ffdc6ff,0xffa80006,
    0x7fff40ff,0xb077000e,0x3f200fff,0xd15f807f,0x2001ffff,0x3ff2007d,
    0xdff90005,0x402fff80,0x00006ffb,0x003bee00,0xbfffffb0,0xffffff50,
    0x3fffa000,0x001ffe8a,0x362ffdc0,0x80005fff,0x641ffff9,0x002fffff,
    0x401fffe0,0x7c00fffb,0x1bfffe65,0xf9003ec0,0x3e6000bf,0xdff302ff,
    0x10dff700,0x40000175,0x2a0000fd,0x3e605fff,0xf70007ff,0x819ffdff,
    0xfffffff9,0x227fd41f,0x0004fffe,0x42ffff88,0xdfffffe8,0x7ffc4000,
    0x3fff7006,0x7fd45f80,0x07d804ff,0x3fffffea,0x004fffff,0xd881dff5,
    0xffb800ff,0x3ffff626,0x7dc0000e,0xfff80001,0x03ffec05,0xeffff880,
    0x3fffe200,0x87ff501d,0x0003ffff,0x109ffff0,0x9fffffff,0x37ffcc00,
    0x02fffb80,0x7ffe42fc,0x303ec03f,0x9dffd999,0x4c005999,0xffc9aeff,
    0xdff7000d,0x3fffffe6,0x3ee0005f,0xfd80000d,0x3ffdc05f,0xffffa800,
    0x06ffc806,0xff317fcc,0x200005ff,0xf305ffff,0x5fffffff,0x0bfff500,
    0x00fffea0,0x3fff60bf,0x801f601f,0x40005ffc,0xcdeecce8,0x77fdc001,
    0xffb31cf9,0xfd98005f,0x40003fff,0x7dc05ffd,0x7ec4007f,0x403ffffe,
    0x7c400ffb,0x3fffea1f,0xffd00001,0x7fec40ff,0x01efffff,0x4017ffea,
    0x7c04fffa,0xffffd105,0xc801f601,0x260005ff,0x2e00003f,0xfd02ffff,
    0x3fea00bf,0x04ffffff,0x017ff600,0x5400fff7,0xfffd8dff,0x013fa00f,
    0xfff507fc,0x3600005f,0xea806fff,0x4fffffff,0x009fff50,0xf013ffea,
    0x7fffc40b,0x6400fb06,0xf10005ff,0xfb80000f,0x3fee01ff,0x3b2a2007,
    0x003fffff,0xb80bffb0,0xff9007ff,0x37fffc49,0x3a006f88,0x1ffffcc7,
    0xfffe8000,0x3ffee005,0xfa85ffff,0xff7004ff,0x405f809f,0xd85ffffa,
    0x17ff2007,0x017fdc00,0x0dff7000,0x0007ffa8,0x11ffffee,0x3f603bfb,
    0x3ffdc05f,0x641ffe40,0xfb83ffff,0xf11f6001,0x00009fff,0x000ffffe,
    0xffffff91,0x05fff989,0x807fff70,0xfffb805f,0x9003ec3f,0x3a000bff,
    0xeeefffff,0xb801ccee,0x7fd406ff,0x3e20000f,0x3ff62fff,0x5ffd80ff,
    0x203ffdc0,0xff106ffc,0x27c41fff,0x3fa1b200,0x880004ff,0x0002ffff,
    0x5fffffd3,0x802fffc4,0x7c02fffb,0xffffb005,0xf9003ec5,0x3ee000bf,
    0xffffffff,0x202effff,0x7d406ffb,0x540000ff,0x3ffe3fff,0x5ffd83ff,
    0x303ffdc0,0x7dc07fff,0x03b65fff,0xffb0b900,0xf30000bf,0x80003fff,
    0x7c5ffffc,0xff9006ff,0x005f803f,0x6c3ffffa,0x17ff2007,0xffffa800,
    0xffffffff,0xdff701ff,0x00fff980,0x24fff800,0xd86ffffc,0x7fdc05ff,
    0x07fff607,0x75ffffb0,0x0970003f,0x000dfff9,0xd0ffff30,0xffffb000,
    0xb006ffe8,0x0bf00fff,0x77fffc40,0x3f2007d8,0x5720005f,0xcbaaaa98,
    0xf705ffdc,0xfff980df,0xffd80000,0x43ec5d44,0x7dc05ffd,0xdfff107f,
    0xfffff100,0x0a60009f,0x007fffe2,0x07fff900,0x3ffa000f,0x03ffee1f,
    0x2017ffa0,0x7fcc005f,0x2007ddff,0x70005ffc,0xff88001f,0x406ffb80,
    0x0000fff9,0x3a02ffb8,0x405ffd86,0xff307ffb,0x3fea00ff,0x00000fff,
    0x005fffb8,0x41bffe20,0xffc8001f,0x0bffe20f,0x007fff10,0xff5000bf,
    0x6400ffff,0xfa8005ff,0x20f70004,0x7cc06ffb,0xb80000ff,0x09f301ff,
    0xfb80bff9,0xffff507f,0x3fff6003,0x00c400ef,0x007fffa0,0x80fffe40,
    0xffa8005f,0x404ffd87,0xf800fff9,0xfff90005,0x7fe400ff,0x17fc4005,
    0xf705c800,0xfff980df,0x6fc80000,0x3ee03f20,0x3ffec06f,0x05ffff98,
    0xdfffff50,0x2001ec01,0x8005fff9,0x3e03fff8,0x7fe4001f,0x406ff985,
    0xdf003ffc,0x7ffec000,0x17ff2007,0x00bff900,0x3ee03f30,0x7ffcc06f,
    0x1fe80000,0x3ea03f70,0xfee881ff,0xffff00ff,0xeefb805f,0xa82effff,
    0x80bb660f,0x2002fffb,0x7c05ffd8,0xfd1001ff,0x07ff203f,0xf1006ff8,
    0x7f44000d,0x3ff6007f,0x7ffe4005,0x3fb8801c,0x301bfee0,0x00601fff,
    0x774c2fe4,0x3bffe201,0xfbcfb88b,0x7d429dff,0x220cffff,0xfd88dfea,
    0xfddfffff,0x03fff44f,0x2013ffa6,0xf803ffe9,0xfd802fff,0x837ec03f,
    0xf3001ffc,0xff98000f,0x1bffa007,0xfffff100,0x9955579d,0xffc807ff,
    0x0fffd407,0xb8067ff4,0x2005d04f,0xfffffffb,0x7dffff74,0xffffff90,
    0x909fffff,0xffffffff,0x1ffff88d,0x56ffec40,0x3bff2a20,0xfffff001,
    0x3ea6159d,0xbfd003ff,0x007ff263,0x00e7ff44,0x400ff500,0x88007fff,
    0xfffffffc,0x800cffff,0x7d407ffd,0x7ffc42ff,0xfebaadff,0x3f200002,
    0x3ee2ffff,0x7f5402df,0x0dffffff,0x3ffffae0,0x6ffd80df,0x3fff6a00,
    0x03dfffef,0x7ed44fc0,0xdfffffff,0x3fae2000,0xe800cffe,0xeffffffe,
    0x00f70004,0x033ffff2,0x3fbae200,0x001bdeff,0x407ffff3,0xfa85fffe,
    0xceffffff,0xa8800000,0x000b981b,0x0055e54c,0x006f2e20,0x54400055,
    0x20000acb,0x57997303,0xaa880001,0x00000000,0xffe980a0,0xeeffffff,
    0x00020000,0x3fffffea,0xfffd35ff,0xa88bffff,0x00000aaa,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x4c400298,0x99999999,0x654c0000,0x97530004,0x8000359b,
    0x99999998,0x09999999,0x2b32ea20,0x79730001,0xa9800003,0x001acdcb,
    0x99999988,0x40099999,0x99999998,0x77754019,0x76400005,0x14c003ee,
    0x005ffb80,0x3ffffffa,0xb8000fff,0x001bdffe,0x337bfae2,0x00cffedc,
    0xffffff80,0xffffffff,0xdffc882f,0x000dfecc,0xfffdbff9,0x75c40003,
    0xfedccdef,0xfb7000cf,0xdfffffff,0xffdb8039,0x00ceffff,0x000fffe4,
    0x00dfff00,0x401bfae2,0xb800fffe,0xffffffff,0x7fdc005f,0xdf70001e,
    0xdfda8017,0xffff5000,0xffffffff,0xff881fff,0x805ff704,0x7fed45fd,
    0xbefb8003,0x06fed400,0xffffc880,0xfc88001f,0x7ec001ff,0xf500004f,
    0xfc9801df,0xf9006fff,0x3ffa00df,0x1fffffff,0x017ff600,0x0017ec40,
    0x6c00f744,0xffffffff,0x85ffffff,0x7fdc06fe,0x740bfb00,0xfb1003ff,
    0x3dd10005,0x27fffc00,0x00ffe000,0x001bfa20,0x400ffe40,0x06fffba9,
    0x50019710,0x5555557f,0x3fa20055,0xbf30002f,0x3fc80001,0x2ab7fe20,
    0x99999999,0x17fdc2ff,0x2e17fe20,0x3fe600ff,0x06fcc00f,0x00ff2000,
    0x0017fff4,0x40007fa0,0x80000ff8,0xfd8001ff,0xd000006f,0x3a20000d,
    0xd10003ff,0x7d400009,0x4005f901,0x3ff40ffa,0x7c47fe80,0x5ffd805f,
    0x31013a20,0xa8d41577,0xfffd801f,0x07ec0002,0x007f3000,0x0003f980,
    0x0000dff9,0x00005f50,0x80017ffa,0x3ffff66d,0x01deffef,0x00be03f2,
    0xfff0bfb0,0x41ffd001,0xf9804ffc,0x40db01ff,0xffcbdffc,0x03f23fce,
    0x003fffb0,0x0000fd80,0x320002d4,0x3ff20004,0x6e800006,0xfffb0000,
    0x03ee0001,0x75c4fff3,0x117605ff,0x05ff0007,0xf8805fff,0x01fff45f,
    0xfb85fff8,0x301fea80,0x05d87ff9,0x000fffec,0x00003f60,0x0030000a,
    0x006ffc80,0x0df7d400,0x5fff5000,0x4417c000,0xfff886ff,0x0003f103,
    0xfd80ffa8,0x3fea00ef,0x8017ffc2,0x82f86ffe,0xfc801efc,0xfb00fc44,
    0xd80003ff,0x0000000f,0xfc800000,0x7400006f,0x01cfffff,0x0037ff40,
    0x3fe20f50,0x40dffb06,0x7e40004d,0x0bfff705,0xff107fec,0x3ff6007f,
    0x7fcc3d47,0x3613a001,0x07fff604,0x001fb000,0x0002ae60,0x0002ae60,
    0xa800dff9,0xfffff503,0x2e009fff,0x20003fff,0x0dff104d,0x5403ffea,
    0x3fe0000f,0xbffff102,0x4c1ffb81,0xf9004fff,0x2226c1ff,0x2d4006ff,
    0xffd807d4,0x7ec0001f,0x3ff6a000,0x4004ffff,0xffffffda,0x0dff9004,
    0x20dff710,0xfffffffd,0x7f401eff,0x7b9510ff,0x880fc403,0xbff506ff,
    0x50002f80,0x7fd401ff,0x3df70eff,0x00bfff10,0x7c4bfff2,0x001ffe41,
    0xfb02f814,0xd80003ff,0xdfd8800f,0x03bff621,0x443bfb10,0x6400effd,
    0x3f6606ff,0xb9806fff,0x2ffffffd,0xb3bfff30,0x1dffffff,0x7fc40f30,
    0x805ffb06,0xbf90003d,0xfffff700,0xfff809f9,0x5fffb007,0x0bffa1e6,
    0xb03d8000,0x80003fff,0xefe800fd,0x03fff900,0xfc8077f4,0x3ff201ff,
    0x3feaa606,0x7ec4006f,0xfb80ffff,0xa89cffff,0x542ffffc,0x21bfe206,
    0x4c805ffd,0x005ff000,0x17ffffea,0x00ffffa0,0x3547fff6,0x0000fffc,
    0x3ff60990,0x7ec0001f,0x00ffe400,0x7e41bffa,0x37ff401f,0x200dff90,
    0x30006ffd,0xfd0bffff,0x3ee019ff,0x816e0fff,0xfdcafff8,0x0b7002ef,
    0x001ff300,0x27ffffcc,0x01bffea0,0x45b9fffa,0x0000fff9,0x7fec16e0,
    0x7ec0001f,0x01bfe600,0xf30fffee,0xfff700df,0x01bff207,0x00037fe4,
    0xf83ffff3,0x7ec00fff,0x8816e4ff,0x6ffcafff,0x4002dc00,0x7e4005fc,
    0x00dffffe,0xb813fff6,0x316e7fff,0x00003fff,0xfffd82dc,0x07ec0001,
    0x200bff70,0x3ee0ffff,0xffff005f,0x00dff901,0x0001bff2,0xff87fff3,
    0xfff9807f,0x7c40d50f,0x00fff66f,0xff8004c8,0x15fb1002,0x01dffffb,
    0x2b7fffa6,0xfffefba9,0xfff11aa5,0x26400005,0x001fffd8,0xfb007ec0,
    0x3ff2007f,0x00fff62f,0x6417ffe4,0xff9006ff,0xffb0000d,0x03fffc4b,
    0xf31fffe8,0xf137fc40,0x0f6003ff,0x001ff300,0xffd89fd1,0x3f6206ff,
    0xb9efffff,0x21e62fff,0x00003ffe,0x7ffe40f6,0x07ec0001,0x2005fff0,
    0x3fe3fffb,0xfff7002f,0x00dff907,0x0001bff2,0xff89bfe6,0xfff7006f,
    0x7c407e25,0x037fcc6f,0x7e4002f8,0x20dfb005,0x403ffffc,0x3a1bcdb9,
    0x20fc47ff,0x00004ffd,0x7ffe40be,0x07ec0002,0x002fff98,0x3e69fff5,
    0xff5002ff,0x0dff909f,0x001bff20,0x3fa37fc0,0xfff5006f,0xff8826c7,
    0x404ffc86,0x2ff8007a,0x202ffa80,0x000ffffc,0xb09fff30,0x00fff889,
    0x903d4040,0x80005fff,0x3ffee07e,0x9fff3003,0x400fffee,0xfc84fff9,
    0xdff9006f,0x13fa0000,0x2600fffb,0x41ea2fff,0xffd06ff8,0x20026c03,
    0xfd800ff9,0x7ffec00f,0xfff90003,0xff50f501,0x6c25c00b,0x0ffff204,
    0x5c0fd000,0xf1003fff,0x3ffee5ff,0x5fff1003,0x200dff90,0x00006ffc,
    0xfffb85fd,0x1fff8800,0x37fc41f4,0x980eff88,0x2fe4001f,0x803ffc40,
    0x98004ffe,0x0fa03fff,0x32013ff2,0x2e01f984,0x40003fff,0x3ffe606f,
    0x3fff1004,0x4013ffe6,0xfc81fff8,0xdff9006f,0x03fe0000,0x3003fff5,
    0x0fb81fff,0xa817ffdc,0x02f40eff,0x54017f40,0xff9005ff,0xbffb000b,
    0xfa80fb80,0xd9511aef,0xf3017a07,0x4c000bff,0x3ffe204f,0x4fff3007,
    0x3007fff8,0x3ff20fff,0x0dff9006,0x10bf3000,0xf5007fff,0x6c5b60bf,
    0x81eeeeee,0x1d91eeec,0x00ff9800,0x3006ff98,0xfa8007ff,0x06d800ef,
    0xbffffd91,0x003b2037,0x001ffff1,0xfd00bee0,0xff5005ff,0x02fffe8b,
    0xf905ffa8,0x3ff200df,0x0fe80006,0x700dff50,0x17a203ff,0x01fb8000,
    0x1005fc80,0x3e600fff,0x3fe6002f,0x0bd1001f,0x3f700310,0x0ffff200,
    0x003fe200,0x900bfff3,0xfff985ff,0x02ffc805,0x3200dff9,0x0cc986ff,
    0x3600fe40,0x2ff404ff,0x0003ba60,0x20005fb0,0x3f2002fe,0x06fb803f,
    0x003bfe20,0x0001dd30,0x22002fd8,0x2000efff,0xfb003fe8,0x5ff803ff,
    0x803fffb0,0x3ff205ff,0x0fff9006,0x8837fffd,0xfe8802fe,0x01bf700f,
    0x0005fb10,0x20003dd3,0x74000ff9,0x3fe200ff,0x0bff5001,0x017ec400,
    0x000f74c0,0x00ffffd4,0x8013fea2,0x700fffe8,0x3fa201ff,0x1ff700ff,
    0x803ffe40,0xffb87ffd,0xefedefff,0x3bfe6000,0x4002fdc2,0x2200cffb,
    0x40004feb,0xd88005fc,0x2fe981ef,0x03ffc980,0x19ff7000,0x027f5c40,
    0x3fffe600,0xfeca9acd,0xd88004ff,0xf910beff,0xffd8801d,0x1df910be,
    0x807ffd80,0xd83ffff9,0x2cefffff,0xfffb1000,0x80007dfb,0xecdeffea,
    0x0000beff,0x20002fe8,0xfeddeffb,0xffb7300c,0x2000005d,0xecdeffea,
    0x0000beff,0xfffff710,0x039fffff,0xffffc800,0x2000bfff,0xfffffffc,
    0x7ffcc00b,0xfffd503f,0xa989ffff,0x200000aa,0x00009a98,0x5e655440,
    0x2200001a,0x880000cc,0xcb801aaa,0x0000009a,0x57995510,0x98000003,
    0x0aacccba,0x65440000,0x5440001a,0xfe9801ac,0x05ffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x400000a6,0x01acdcba,0x2bca8800,0xbddd3000,0xcaa80000,
    0x3980accd,0xab881a80,0x2ea60000,0x8002e20a,0x000eeee9,0xdeee9800,
    0x99988000,0x19999999,0xb9953000,0x00901599,0xffd71055,0xfe980000,
    0x0dffecbd,0xcceea800,0x6c000eff,0x0002ffff,0x77fffe44,0x362dfffe,
    0x49ff7104,0x0dffffea,0xffffb100,0x01ff59ff,0x02fffb80,0xfffc8000,
    0xffb70002,0x9fffffff,0x3fae2001,0xfffeefff,0x200f88bd,0xff915ffd,
    0x40000fff,0xfffb04fa,0x227d4005,0x2a005ff8,0x00ffffff,0x19fffb00,
    0xffffd510,0xffffda8b,0xffffff94,0xffa803df,0xffff710a,0xff90001f,
    0xfd000009,0x2e00007f,0x002effff,0x0de7ffdc,0x7ffffd44,0x1ffff101,
    0x0ffff553,0x01be6000,0x3001fffb,0x07ff60df,0xffca7f40,0x7ff44004,
    0x3ffee005,0x7ffe55c5,0xfeccefac,0x3f206fff,0xffff300e,0x1ffa0001,
    0x9ff10000,0xffe80000,0x7fe4003f,0xffb1001f,0x3fffc03f,0x0003ffec,
    0x7cc05fd8,0x7fc404ff,0x009ff503,0x0ffa87f7,0x09fff300,0x40dff500,
    0xb82fdfff,0xfa82ffff,0x7ffe401f,0x3fd10000,0x2fdc0000,0x7fec0000,
    0xffd1002f,0xff70003f,0x41775405,0x00007ffc,0xff801fff,0x17fd406f,
    0x4401fe88,0x00bd302f,0x000dfff1,0xfff037dc,0x7ffe403f,0xb805fe87,
    0x20000fff,0x200004f8,0x800000ed,0xb001fffd,0x40001dff,0x2e0003fd,
    0xf00007ff,0xffd805ff,0x07ff200f,0x80590010,0x7fec01d8,0x3f40001f,
    0x8809ffd0,0x3f21ffff,0xfff9802f,0x034c0000,0x000f8800,0x3fffb000,
    0x05fff700,0x003f8800,0x001ffee0,0x202ffec0,0x7f407ffd,0x0080001f,
    0xfffb8020,0x07a80004,0x32013ffa,0x3ffe2fff,0x0fff9800,0x00018000,
    0x00000310,0x200fffec,0x0006fff9,0x5c000990,0x500007ff,0xffe807ff,
    0x00fffc05,0xd0000000,0x00005fff,0x27ff403e,0x8a7ffd40,0xff3007ff,
    0x0000001f,0x00000000,0x200fffec,0x0003fffe,0x5c000b30,0x200007ff,
    0x3fff8028,0x00bffe60,0x02ae6000,0x03fffcc0,0x3a017000,0xff9804ff,
    0x00fff35f,0x0003ffe6,0x00000000,0xfffd8000,0x3fffe201,0x00200000,
    0x007ffb80,0x7fd40000,0x3ffe200f,0xfb500002,0x809fffff,0x0005fffc,
    0x09ffd000,0x2e9fff10,0xff3007ff,0xffffb01f,0xffff50bf,0x3fff60ff,
    0xfffa85ff,0xfb0007ff,0x7fe403ff,0x0000005f,0x41ffee00,0xeffffffc,
    0x5ffb0002,0x03fff880,0x0efec400,0x201dffb1,0x0004ffff,0x09ffd000,
    0x7dcfffe0,0xff9800ff,0x3ffea00f,0x1fffe605,0x40bfff50,0x0007fff9,
    0x7c03fffb,0x00004fff,0x3fee0000,0x0bbfea07,0x0bff3000,0x000fffe0,
    0x3201dfd0,0x7fc41fff,0x000003ff,0x2009ffd0,0xfff52fff,0x1fff3003,
    0x405fff80,0xff807ffd,0x3ffec05f,0x1fffd800,0x07ffff10,0x40000000,
    0x3f607ffb,0xfd80000d,0xf999900e,0x99999dff,0x007ff200,0xff98dffd,
    0x000002ff,0x1009ffd0,0x3fe63fff,0xfff9803f,0x02ffec00,0x3601ffee,
    0x7fdc05ff,0xfffb0007,0x3fffe603,0xaaaa8002,0x02aaaaaa,0xc83ffdc0,
    0xf300003f,0x7fffc03f,0xffffffff,0x06ff9807,0x2a3fffb8,0x0002ffff,
    0x09ffd000,0x7c4dff30,0xff9807ff,0x2ffec00f,0x201ffee0,0x7dc05ffd,
    0xffb0007f,0x3ffea03f,0xecb8001f,0x3cffffff,0x43ffdc00,0x200003fd,
    0x555402fd,0xaaadfffa,0x5ffb802a,0x21ffff00,0x001ffffa,0x9ffd0000,
    0xe85ff700,0x7dc03fff,0x7fec00ff,0x03ffdc05,0x2e02ffec,0xfb0007ff,
    0x3fee03ff,0x6c0002ff,0x0002ffff,0x7ec4fff7,0x3e600002,0x4ffe8003,
    0x07ffb000,0x4cbfff20,0x0002ffff,0x0dffd000,0xff30bff0,0x3fee09ff,
    0x7fec00ff,0x03ffdc05,0x2e02ffec,0xfb0007ff,0x3fea03ff,0x4c0003ff,
    0x3aa07fff,0x17ffb82e,0x800005fd,0xffb0006c,0x3ffe0009,0x7fff7002,
    0x00bfffe2,0x7ff40000,0x07fee04f,0x677fffec,0xfffaeeba,0x02ffec00,
    0x3601ffee,0x7fdc05ff,0xfffb0007,0x3fffe203,0x7fcc0004,0x1bffe07f,
    0x3fa3ffee,0x1e800003,0x07ffb000,0x05fff300,0xf93ffea0,0x00003fff,
    0x7ffffd00,0x201ffb81,0xffffffe8,0x0fff98ef,0x202ffec0,0xfd807ffb,
    0x3ffdc05f,0x1fffd800,0x017fffe0,0x0dfff100,0x703fffe6,0x3fffdfff,
    0x00780000,0x000fff20,0x400fffee,0x3fa4fff9,0x000005ff,0xff79ffd0,
    0x001bffbd,0x93fffff2,0x6c00fff9,0x7fdc05ff,0x05ffd807,0x8003ffdc,
    0x3a01fffd,0x40007fff,0x3a06fff8,0xfffb85ff,0x000efff9,0x4000b100,
    0xb8002ffc,0xf1003fff,0x7ffe45ff,0xd0000007,0x2eea29ff,0xba880009,
    0x00fff981,0x2e02ffec,0xffd807ff,0x03ffdc05,0x00fffd80,0x00bfffee,
    0x06fff880,0x7ffb8154,0x000bfff7,0xb8001260,0xf98000ff,0xff1004ff,
    0x7fffc43f,0xe8000001,0x000004ff,0x007ffcc0,0xf7017ff6,0xbffb00ff,
    0x007ffb80,0xf00fffb0,0x4000bfff,0x0006fff8,0xffc9ffee,0x0880004f,
    0x01bee000,0xffff1098,0x21ffe600,0x0005fffc,0x3ffa0930,0x40000004,
    0x6c00fff9,0x7fdc05ff,0x05ffd807,0x8003ffdc,0xfa806ffd,0x10001fff,
    0x4000dfff,0x7ff47ffb,0x0000002f,0x007f9550,0x5fffd1e2,0x10bff500,
    0x0005ffff,0xffd00e88,0x80000009,0x6400fff9,0x7fdc05ff,0x05ffc807,
    0x8003ffdc,0xfd005ffd,0x22000dff,0x20006fff,0x7fc47ffb,0x000000ff,
    0x3ffffee0,0x22ec00be,0xc805fff9,0xfff702ff,0x1740001f,0x0009ffd0,
    0xfff98000,0x037fdc00,0x2e01fff6,0x7fec06ff,0xb02ee207,0x3e6009ff,
    0x88003fff,0x20006fff,0xffa87ffb,0xe98000ef,0x10e8802e,0x57dfffff,
    0xb07fd733,0xff803fff,0x7fffe405,0x02744001,0x00013ffa,0x3fff5000,
    0x81fffa80,0x00fffee8,0x440fffd4,0xd00fffee,0x0ffe8bff,0x3fffe600,
    0x7ffc4003,0x3ff20006,0x0bfff707,0x01fffd00,0x3afea3c8,0xffffffff,
    0xfffd106f,0x003fee01,0x02fffff2,0xf007f510,0x00000bff,0x01fffb80,
    0x45f7ffc4,0xfffbcfb8,0xfff1029d,0x79f7117d,0xf853bfff,0x0bfe1fff,
    0x3fffe600,0xfff3000c,0x7fec000d,0x9fffd00f,0x7fffc400,0x4e8adc01,
    0x3ffffff2,0x3f6201ff,0xdf910bef,0x7ffd4001,0xca9abdff,0xfa802ffe,
    0x00001fff,0x13fff600,0x3ffffee0,0xffff74ff,0x7ffdc07d,0xff74ffff,
    0xffc87dff,0x004fa8ef,0x67fffe40,0xfffda880,0xff10001d,0x3fee07ff,
    0xfb000dff,0xfdf100df,0xffffd30b,0x3ff2003d,0x00bfffff,0xfffeb880,
    0x0befffff,0x3ffff620,0x0004efff,0xffffb300,0x6401dfff,0x2e2fffff,
    0xf9002dff,0x7dc5ffff,0xffd102df,0x00009fff,0x3ffffae2,0xbeffffee,
    0xfff70000,0x64dfffff,0xefffffff,0x4002a802,0x0d54400a,0x1aca8800,
    0x2ea20000,0x0001abcc,0x00000000,0x0dd44000,0x440005cc,0x00b981ba,
    0x00159710,0x2eaa2000,0x0009abcc,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26666620,
    0x4cc19999,0x99999999,0x26666200,0x33310999,0x13333333,0x26666200,
    0x4ccc1999,0x19999999,0x40000000,0x99999999,0x99999999,0x01999999,
    0x00008000,0x00004980,0x33333333,0x26601333,0x99999999,0x33333109,
    0x33333333,0x13333333,0xfffffea8,0x7fec4fff,0x3effffff,0x3ffffae0,
    0xffff74ff,0x09ffffff,0x3ffffea0,0xff910fff,0xffffffff,0x37bddfff,
    0xed800000,0xffffffff,0xffffffff,0x2007ffff,0x1901dfeb,0x0fd80000,
    0x7f644000,0xdfffffff,0xfffec883,0x33dfffff,0xffffffd9,0xffffffff,
    0x2209ffff,0x404fffff,0x01fffffc,0x413ffa20,0x2fffffe9,0xdfff5000,
    0x7fff5405,0xedbbceff,0x00dfffff,0x3fa20000,0xaacfffef,0xfcaaaaaa,
    0xffe800ff,0x0340cfff,0x0ffe2000,0xffe88000,0x3a2004ff,0x4c04ffff,
    0xaaaeffff,0xffecbaaa,0x3ffe604f,0xfffe801f,0x05fc8007,0x037fffc4,
    0x00bff200,0x1017ffee,0x07ffffd5,0x6fdc0000,0x1001fffd,0xbfb801fb,
    0x9cfffffd,0x5c00006c,0x400006ff,0x8006fffb,0x7007fffa,0x22009fff,
    0x7ff405fe,0xfffa802f,0x01fd8007,0x006fffc8,0xa802fec0,0x32005fff,
    0x0005ffff,0xffb3fb00,0x07cc003f,0xffe98360,0x0001ffff,0x017fffc0,
    0xbfff3000,0xdfff3000,0x13ffea00,0x5c05f880,0xff005fff,0x6f8003ff,
    0x3ffff100,0x007fc000,0x005fff98,0x027fffd4,0x6d7e2000,0x74001fff,
    0xfea82c01,0x400002ff,0x005ffffa,0x17ffe600,0x17ffe600,0x027ffd40,
    0xff101720,0xff9001ff,0x1fcc009f,0x09fffb00,0x8013ea00,0x8005fff9,
    0x003ffffb,0x7ec7f200,0x0e4001ff,0x00310020,0x3fffa000,0x300000ff,
    0x3000bfff,0x2600bfff,0x44004fff,0x2fffd805,0x06fff980,0x98003f20,
    0xb0007fff,0x7fcc003f,0xffd0005f,0x100001ff,0x0fffecbf,0x00000000,
    0x9bf30000,0x00009fff,0x0017ffe6,0x4017ffe6,0x0004fff9,0x0bfff500,
    0x007fffa0,0x7f40037c,0x7c4002ff,0x7ffcc005,0xfff30005,0xf900009f,
    0x00fffec1,0x00000000,0xf13f9000,0x20000fff,0x8005fff9,0x3005fff9,
    0x00009fff,0x03fffe20,0x013fffa0,0x2a000fea,0x5c006fff,0x7fcc002f,
    0x3f20005f,0x440007ff,0x0fffec4f,0x1d400380,0x00000b98,0xfffd9be2,
    0xff980002,0xff98005f,0xfff3005f,0x00013009,0x8807fffb,0xc807ffff,
    0xfff0000f,0x03f4003f,0x02fffcc0,0x5ffff500,0x207ec000,0x8801fffd,
    0x6ffb8806,0x3bffff22,0x3fb80000,0x001bffea,0x017ffe60,0x017ffe60,
    0x4027ffcc,0xffa8001d,0x7ffdc05f,0x02fc01ff,0x0bfff900,0x20013ea0,
    0x0005fff9,0x013fffe6,0x7ec27cc0,0x06a801ff,0x5bffff66,0xffffffe8,
    0x87e80005,0x0001fffe,0x002fffcc,0x802fffcc,0xf804fff9,0xffff0001,
    0x7fdff401,0x00fea04f,0x0ffff880,0x8000fd80,0x0005fff9,0x017fffe2,
    0x7ec07ec0,0x374401ff,0xdfff5530,0xf91159d1,0x540007ff,0x4fffb84f,
    0x7ffcc000,0xfff98005,0x9fff3005,0x0001fb80,0x2607fff9,0x07fff8cf,
    0xb00003f6,0xf8809fff,0xb9991005,0x9999dfff,0xfe807999,0xf98006ff,
    0x59fffb04,0xff995555,0x3fff600d,0x0dffd02e,0x4407ec00,0x0000ffff,
    0x0017ffe6,0x4017ffe6,0xcccefff9,0x01fffdcc,0x0dfff300,0x7ffec7f2,
    0x0000bf02,0xc80ffff3,0xfff3002f,0xffffffff,0xd80dffff,0xe8007fff,
    0xffffb00f,0xffffffff,0x3ff200df,0x1ffee01f,0xb02fcc00,0x40007fff,
    0xfffffff9,0xffffffff,0x005fffff,0xfffffff3,0x03ffffff,0x07fff400,
    0xbfff5374,0x00005f50,0xf80ffffa,0x3fe60007,0x7ec0005f,0x7d4006ff,
    0x07fff603,0x9006fd98,0xffa80dff,0x1fc8000f,0x01bffe60,0xaefff980,
    0xaaaaaaaa,0x5fffbaaa,0x3bfff300,0xff753333,0x7fe40003,0x3e27cc3f,
    0x07ec0fff,0xfffa8000,0x0009f506,0x002fffcc,0x017fffe0,0x55557fd0,
    0x03fffd55,0x3f200d90,0x7ffd406f,0x037c4000,0x000ffff4,0x005fff98,
    0x005fff98,0x9809fff3,0x3e60001f,0x20fe46ff,0x3e22fffd,0x7fc00005,
    0x00fd81ff,0x17ffe600,0xffff8800,0x3ffea003,0xffffffff,0x06a801ff,
    0x980dff90,0x5c000fff,0xfffb802f,0xfff30005,0xfff3000b,0x3ffe600b,
    0x0001e804,0xdf0ffff4,0x54bfff50,0x5c00002f,0x2fc45fff,0x3ffe6000,
    0x3fe60005,0x3ba002ff,0x99999999,0x8801fffd,0x0dff9006,0x000fff98,
    0x7ffffff4,0xffffffff,0xff98000f,0xff98005f,0xfff3005f,0x00039009,
    0xf33fffb8,0x43fffe07,0x400000fd,0x320ffff8,0x7cc0002f,0x2a0005ff,
    0x7001ffff,0xfffb005f,0x64002003,0x7fcc06ff,0x37ea000f,0xcccccccc,
    0x03fffecc,0x05fff980,0x05fff980,0x009fff30,0xff100001,0x6403f2df,
    0x05f8bfff,0xfffb0000,0x400037c9,0x0005fff9,0x401bfff6,0xffb006f8,
    0xc800003f,0x7fcc06ff,0x03f6000f,0x07fff980,0x05fff980,0x05fff980,
    0x009fff30,0x7fec0000,0x3e606f9f,0x002faeff,0xffff3000,0x20000fea,
    0x0005fff9,0x003ffff3,0x7ec007f2,0x400001ff,0x7cc06ffc,0xbf1000ff,
    0x5fffb000,0x5fff9800,0x5fff9800,0x09fff300,0x7d400000,0x7403feff,
    0x0007efff,0x5ffff400,0x980000fe,0xd0005fff,0x22009fff,0x3ff6005f,
    0x0590001f,0xf980dff9,0x3f9000ff,0xbfff5000,0x5fff9800,0x5fff9800,
    0x09fff300,0x7c400000,0x6400ffff,0x0005ffff,0x7fffd400,0xf300005f,
    0xf7000bff,0x32001fff,0x3ff6001f,0x0f98001f,0x4c06ffc8,0xf8800fff,
    0x3ffe0006,0x3fe6001f,0xff98005f,0xfff3005f,0x80000009,0x9805fffd,
    0x0002ffff,0xfffff800,0xff300002,0xffa800bf,0xbf3002ff,0x1fffd800,
    0xf905e800,0xfff980df,0x003fc800,0x017fff20,0x005fff98,0x005fff98,
    0x000bfff5,0xfffa8000,0x0fffd002,0x3ee00000,0x200006ff,0x1005fff9,
    0x007ffffb,0x360017f4,0x64001fff,0x0dff903f,0x401fffa8,0x20001ff8,
    0x001ffffa,0x000bfff5,0x200dfff3,0x0005fffa,0x0fff8000,0x009ff700,
    0x3fe20000,0x2e00003f,0x54405fff,0x001efffe,0xf0003ff2,0x26007fff,
    0xffb00ffe,0x2fffa80f,0x0003fec0,0x01bfffe2,0x003fffdc,0x803fffdc,
    0x0006fffc,0x05fc8000,0x000bfe20,0x0ffd8000,0xfff30000,0xb99bdfff,
    0x05dfffff,0x1dfffc80,0xffffd980,0xccccccdf,0x506fffee,0x7407ffff,
    0xf9105fff,0x220009ff,0x2dfffffc,0xfffff710,0xff710019,0x22019fff,
    0x0cfffffb,0x26000000,0x03f4002f,0x3e600000,0x774c0005,0xffffffff,
    0xaceeffff,0x7ffd4000,0xc81fffff,0xfffffffe,0xffffffff,0x7d43ffff,
    0x5fffffff,0xffffffd3,0x7fffe4df,0xd000efff,0xffffffff,0x3ffa61ff,
    0xefffffff,0xffffe984,0x34efffff,0xfffffffd,0x00009dff,0x2a001200,
    0x80000002,0x0000001b,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x26666600,0x33301999,0x4ccc3333,
    0x99999999,0x17bbaa01,0x33333333,0x33301333,0x03333333,0x99999998,
    0x99999999,0x00999999,0x35997310,0x32a00000,0x00dc4004,0xfb00fffe,
    0x3bb600bf,0x0bb8800e,0x26600ba8,0x99999999,0x70000099,0xfffffe87,
    0xffd80eff,0xfb90efff,0xdfffffff,0x0fffec09,0xfffffd91,0xd905bfff,
    0xdfffffff,0x3ffb2203,0xffffffff,0xffffffff,0xfffa803f,0x000dffff,
    0x01ffe200,0x201ffe44,0x7ec03fff,0xfffb805f,0x5ffe805f,0xc883ffe4,
    0xfffffffe,0x20002def,0xe885ffc8,0xe800efff,0x3ff601ff,0xff802eff,
    0x3ffa602f,0xff9003ff,0xd98007ff,0xaaaaffff,0xfeccaaaa,0x7ffe404f,
    0x2fffffff,0xfffd0000,0xffffc880,0x01fffc03,0xf1017ff6,0x403fffff,
    0x3a0ffff9,0x74c02fff,0x000effff,0x0bff5900,0x401bffe6,0x7fc403fe,
    0xffa801ff,0x6fffb803,0x03bff600,0x37ffd400,0xa813f200,0xfeccefff,
    0x0000ffff,0x903fffdc,0x07ffffbd,0x6c03fff8,0xafe405ff,0x7f406ffa,
    0x07ffe45f,0x07fffd40,0x2ff40000,0x801fffb0,0xfff006f8,0x09f9001f,
    0x017ffea0,0x00027fcc,0x001bffe6,0x5ffc4176,0x6ffffb81,0x3ffe6000,
    0xffa8207f,0x1fffc03f,0x9817ff60,0x017f4c5f,0xdb881993,0xffff3001,
    0x3f600000,0x13ffe605,0x3e005f70,0x5f800fff,0x17ffe600,0x0013fa20,
    0x01bffe20,0x0fdc16e0,0x07fffe60,0x7fdf7400,0x0fffe007,0xd807fff0,
    0x413605ff,0x000006d8,0x01bffe20,0x02fec000,0xdd01fff6,0x03fffc00,
    0xf300074c,0xfe880bff,0xff100004,0x0b1000df,0x7fe400b6,0x9fc8003f,
    0x3e007ffb,0x7ffc03ff,0x82ffec03,0x003b804a,0xfff10000,0x3600000d,
    0x7ffd405f,0x4007f502,0x08807fff,0x2fffcc00,0x0009fd10,0x037ffc40,
    0x400d1000,0x4005fff8,0x0fff74fa,0x201fffc0,0x7ec03fff,0x0400105f,
    0xf8800000,0x000006ff,0xffd00bfb,0x8003f60d,0x00007fff,0x20bfff30,
    0x00004fe8,0x0037ffc4,0xff000200,0x37c4007f,0x7c00fff7,0x7ffc03ff,
    0x02ffec03,0x57300000,0xfff10001,0x3600000d,0xfffb805f,0x20027c41,
    0x54007fff,0x5fff9803,0x0004fe88,0x06fff880,0x000002a0,0x6c005ffd,
    0x01ffee1f,0x7c03fff8,0x7fec03ff,0x001d4005,0xffffffb5,0x7ffc4009,
    0xfb000006,0x9fff100b,0x7c000fc8,0xfb8807ff,0xfff9806f,0x0027f445,
    0x6fff8800,0x00007600,0x2001fff0,0x3ffdc3fa,0x807fff00,0x7ec03fff,
    0xffb8805f,0x1dfd8806,0x003bff62,0x001bffe2,0x802fec00,0x17e0fffc,
    0x81fffe00,0x06ffffd9,0x225fff98,0x000004fe,0x801bffe2,0x2200001f,
    0xbf1006ff,0x400fff70,0x7fc03fff,0x2ffec03f,0xdffffb30,0x201dfd00,
    0x4401fffc,0x00006fff,0x2600bfb0,0x03f73fff,0x40ffff00,0x06fffaa9,
    0xf35fff98,0x8000009f,0x9006fff8,0x5400003f,0x1fb003ff,0x400fff70,
    0x7fc03fff,0x2ffec03f,0xdfff5530,0x401ffc80,0x7c406ffe,0x000006ff,
    0x7f400bfb,0x2000dd6f,0xfb007fff,0xfff300df,0x000dff3b,0xffff1000,
    0x97555555,0x00003ffd,0xfb8037ec,0x00fff702,0x3e01fffc,0x7fec03ff,
    0x0dffb005,0x5c037fcc,0x3e203fff,0x000006ff,0x7d400dfd,0x0002fcff,
    0x3200ffff,0xff9806ff,0x05ffffef,0x7fc40000,0xffffffff,0x001fffff,
    0x003ff300,0x7fdc09f3,0x0fffe007,0x440bfff0,0xc8045ffe,0x3fee06ff,
    0x1ffff005,0x01bffe20,0xfff95000,0x3ffffe59,0xffffffff,0xffffffff,
    0x00ffff01,0x2601bff2,0xfffddfff,0x2000005f,0x2206fff8,0x0001ffb9,
    0x3a009fb0,0x1ffee00e,0x403fff80,0xf980ffff,0x40ee5ffe,0x3f606ffc,
    0xfff9003f,0x1bffe205,0x33310000,0x2aaaa133,0xfffcaaaa,0xaaaaaaac,
    0x0ffff00a,0x201bff20,0xffb5fff9,0x00000bff,0x401bffe2,0xa80001f9,
    0x03f9006f,0x2007ffb8,0x7fc03fff,0x5f931eff,0x0ba1fff7,0xff037fe4,
    0x3fee005f,0xdfff103f,0x00000000,0x002fff88,0x401fffe0,0xf9806ffc,
    0x3fff65ff,0x8800005f,0x3a006fff,0x7f440001,0x803f9800,0x3e007ffb,
    0x7ffc03ff,0x11ffffff,0x40dddfff,0xff306ffc,0x3fea005f,0xdfff104f,
    0x0cc00000,0x0bffe200,0x07fff800,0x300dff90,0xffd8bfff,0x400005ff,
    0x2006fff8,0x7ec0001c,0xaafe8801,0xcaaaaaaa,0x01aaafff,0x9f00fffe,
    0x83bffffb,0x201efffd,0xff706ffc,0x3fe6007f,0xdfff104f,0x3e200000,
    0x7ffc4001,0x3ffe0002,0x0dff9007,0xb0bfff30,0x000bffff,0x037ffc40,
    0xfc800010,0xffff5002,0xffffffff,0x0bffffff,0xf101fffc,0xa802ae69,
    0x6ffc801b,0x007fff70,0x440bffe2,0x00006fff,0xeed83d90,0xffeeeeee,
    0xeeeeeeef,0xffff00ee,0x01bff200,0x6c17ffe6,0x0005ffff,0x00dfff10,
    0x0fee0000,0xfffffa80,0xffffffff,0x205fffff,0x3e603fff,0x32000005,
    0xfff306ff,0x3ffe2009,0x0dfff101,0xfff30000,0x777776c7,0xeefffeee,
    0x0eeeeeee,0x200ffff0,0xf9806ffc,0x3ff205ff,0x880005ff,0x00006fff,
    0x4003f980,0xccccccc9,0xfffdcccc,0x3fe03ccc,0x01bea03f,0x6ffc8000,
    0x00ffff10,0xf881ffe6,0x240006ff,0x003ffe4c,0x0005fff1,0xc803fffc,
    0xff9806ff,0x7ffe405f,0x7c40005f,0x260006ff,0x0027cc05,0x3ffdc000,
    0x407fff00,0x000007fc,0xfe81bff2,0xffa802ff,0x1bffe205,0x3604a800,
    0xff1000ff,0x7fc0005f,0xdff9007f,0x0bfff300,0x0bffff90,0x37ffc400,
    0x4c05d000,0x0026004f,0x003ffdc0,0x7f407fff,0x9000001f,0x7fcc0dff,
    0x2ffc805f,0x01bffe20,0x3fa02e80,0x3ffe2005,0x3ffe0002,0x6ffc800f,
    0x05fff980,0x1dffff90,0xdfff1000,0x403f2000,0x3e2005f9,0xfff70000,
    0x01fffc00,0x00005fff,0xb01bff20,0xff803fff,0x3fffc405,0x9107b800,
    0x7cc003ff,0x3e0002ff,0xfc800fff,0xfffa807f,0x3fff6005,0x7c4000ef,
    0xf98006ff,0x333df305,0x93333333,0x7dc000bf,0x3ffe007f,0x07fff103,
    0x3ff20000,0x7fff4407,0x801ff700,0x000ffff8,0x3fa22fdc,0x7d4000be,
    0xf10003ff,0xfb003fff,0xfff700ff,0x7ffcc00d,0x2a002fff,0x2000ffff,
    0xffa82ffb,0xffffffff,0x002fffff,0x801ffee0,0x3fe04fff,0xb000001f,
    0xfb100fff,0x3f2217df,0xfffa800e,0xffb3002f,0xe9800005,0x4001ffff,
    0x1effffea,0x0ffffe60,0x7ffffdc4,0xfffb800c,0x01beffff,0x3bffffa6,
    0xcccccccc,0x540fffee,0xffffffff,0xffffffff,0x3fee0000,0xffff9007,
    0x0017ee03,0x7fffcc00,0xffff9003,0x10017fff,0xdffffffd,0xffdddddd,
    0x00001fff,0x3ffffff2,0x7ec05fff,0xffffffff,0xfffd50ef,0x3a69ffff,
    0xffffffff,0xfff983ef,0xffffffff,0x3fffa26f,0xffffffff,0xffffffff,
    0x7fffc45f,0xffffffff,0x0005ffff,0xd503ffdc,0xffffffff,0x2000000d,
    0xffffffea,0x5951004f,0xffdd1003,0xffffffff,0xffffffff,0x000000bf,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x44000000,0x4cc01aba,0x00099999,0x99999800,0x82b88099,
    0x26600bb8,0x19999999,0x76c40000,0x266601ee,0x01999999,0x10393000,
    0x26666077,0x09999999,0x4cccc000,0x09999999,0x05dc4000,0x3f6005d4,
    0x0effffff,0x6ffffe88,0x7ff7fdc0,0xffe982ef,0x0006ffff,0x7ffffd40,
    0x4fff83de,0xc8837fec,0xffffffff,0x2cefffff,0x9fff3000,0x3ffff220,
    0xffffffff,0x3e6002ce,0x2fff42ff,0x3fffff22,0xffffffff,0x4400bdef,
    0xffffffec,0x40002dff,0x7fe45ffe,0xffff9807,0x2ffb800f,0x4433f620,
    0x2a04fffa,0x002fffff,0x3ffffa00,0x1fffe604,0xa803ffff,0xcceffffe,
    0x0dfffedc,0x06ffb800,0xeffffea8,0xeffffecd,0x5fffb801,0xa81fffe6,
    0xabcffffe,0xffffccaa,0xfff9801d,0x300004ff,0x7f41ffff,0xff9802ff,
    0x0bf5006f,0xfd81ffc4,0x3ff202ff,0x300006ff,0x801fffff,0x7fec5fff,
    0xbfff7007,0x1ffffe40,0x00ffe400,0x442fffdc,0x403ffffb,0x7fc3fff9,
    0x7ffdc05f,0x7ffe4405,0xfffb802f,0x7f400007,0x07ffe45f,0x00fffc80,
    0x3f201fc8,0x17ffe606,0x2fffffb8,0xfffd8000,0x0bc9807f,0xa800e5c4,
    0x7d405fff,0xd8003fff,0xfffa803f,0x3fffee05,0x4c1ed405,0x7fd400cc,
    0xfff3005f,0xfffa805f,0x64c00006,0x00edc40c,0x807fff10,0x3fe606f8,
    0x02fffc02,0x0bfffdf5,0xffef9800,0x0000006f,0x805fff98,0x000ffffd,
    0xff9806e8,0x7ffe405f,0x8000001f,0x2005fff9,0x4c06fffb,0x00005fff,
    0xf9000000,0x02fb80ff,0x91003ffa,0x7dfd4019,0x20001fff,0x06fffbfc,
    0xf9800000,0xffa805ff,0xf88002ff,0x2fffcc00,0x17fffe20,0x3e600000,
    0x7fc005ff,0x3fe602ff,0x0000005f,0xfff10000,0x3e03f407,0x2a00007f,
    0x05fffbbf,0xff1df100,0x000000df,0x00bfff30,0x007ffff1,0xff300220,
    0xffff00bf,0x3000000f,0xe800bfff,0x3e603fff,0xccceefff,0x0000001b,
    0x837fec00,0x3fe604f9,0x3ea00006,0x00ffff8b,0xff8bfc80,0x2ea2006f,
    0xf980009b,0xfff005ff,0x4000009f,0xd805fff9,0x53007fff,0x7cc00157,
    0x7ec005ff,0x3fe604ff,0xfffffeff,0x00000bef,0xfff98000,0x2a01fc82,
    0x200006ff,0x9fff93fa,0x3e2ff000,0xfd9806ff,0x03efffef,0x017ffe60,
    0x00bfffe6,0x3e600ea0,0xffd805ff,0x7ffe407f,0x9801efff,0x7c005fff,
    0x3e601fff,0x7f5c45ff,0x7fec1fff,0xffa85fff,0x6c007fff,0x02fc46ff,
    0x0001ffee,0xfff13fa8,0x9fdc001f,0x5406fff8,0xff710cff,0x3fe6005f,
    0xfffb805f,0xff71001f,0xbfff300d,0x0bfffd00,0x6d473fa2,0x7cc03fff,
    0x3e6005ff,0x7fcc07ff,0x3fff605f,0x5fffa81f,0x01fffe60,0x5c5fff30,
    0x7ffd402f,0x7f500000,0x001fffe4,0x3ffe21fd,0x41ffe606,0x9800fffb,
    0x7c405fff,0xd9804fff,0x9806ffff,0x7c405fff,0xef884fff,0x03fffd00,
    0x802fffcc,0x404fffd8,0x2205fff9,0xff07fffe,0x7ffd80bf,0x26ffd800,
    0xfff9807e,0x54022003,0x1fffe63f,0xff127d40,0x2ffe40df,0x802fff88,
    0x6c05fff9,0x9800efff,0x806fffaa,0x6405fff9,0xfd80ffff,0x17ffe201,
    0x805fff98,0x00efffe8,0x202fffcc,0xd81ffffa,0x7fdc05ff,0xfffa8007,
    0xf8804f9a,0x072006ff,0x3ff61fd4,0x20fe803f,0x3206fff8,0x3ffe04ff,
    0x5fff9803,0x1bfffd50,0x0dffb000,0x40bfff30,0x982ffffa,0xffff806f,
    0x5dfff301,0xf9533333,0x3001bfff,0xf880bfff,0xffd84fff,0x03ffdc05,
    0xfceffe80,0x5ffff000,0x7d40d300,0x037ffcc3,0xfff117e6,0x00ffcc0d,
    0xf3007fff,0xdb975dff,0x0005bfff,0x4c037fe4,0x64c1efff,0xfb03ffff,
    0x5fffb009,0x3ffffe60,0xffffffff,0x3e6002ff,0xffe805ff,0x05ffd86f,
    0x8003ffdc,0x005ffffa,0x807fffee,0x0fea03e8,0xd80bfffa,0x37ffc41f,
    0xfff50020,0xffff3007,0x1ffffddf,0xdff90000,0xfffff300,0x9fffffff,
    0x7ffffc01,0xffffffff,0xfff303ff,0xd973335d,0x03bfffff,0x00bfff30,
    0xfb0dffff,0x7ffb80bf,0x3fffa000,0x7fff4002,0x00fea82f,0x3fea0fea,
    0x10df306f,0x1000dfff,0x07fffdf9,0xe8bfff30,0x80004fff,0xf9806ffc,
    0x355315ff,0x39ff1001,0x33333333,0x3e601333,0xff9805ff,0x7cc04fff,
    0x7fcc05ff,0x5ffd84ff,0x003ffdc0,0x000fff50,0xbffffff5,0xa803fffb,
    0x3fffd03f,0xff105f90,0x7ecc00df,0x007ffd2d,0xf88bfff3,0x40001fff,
    0xf9806ffc,0x4c0005ff,0x200005ff,0x1005fff9,0x409ffffd,0x5c05fff9,
    0xfd83ffff,0x3ffdc05f,0x013fa000,0x7ffffd40,0xa803ffff,0xbfff703f,
    0xff106f88,0xdfb100df,0x803ffe83,0xfa85fff9,0x20000fff,0xf9806ffc,
    0x540005ff,0x200006ff,0x4005fff9,0x301ffffd,0x7440bfff,0xffb06fff,
    0x07ffb80b,0x0007ec00,0xfffffd10,0x0fea001d,0x321ffff8,0xdfff103f,
    0xd05fe880,0xff3007ff,0x3fff60bf,0x3ff20005,0x5fff9806,0x3ffd4000,
    0xfff30000,0xfffb800b,0xbfff304f,0x3ffffa20,0x80bffb01,0x20007ffb,
    0x100005f8,0xa80039f5,0x3ffee03f,0xff881fe4,0x17fe606f,0x9803ffe8,
    0xfd105fff,0x320007ff,0xff9806ff,0x7c40005f,0x804002ff,0x4005fff9,
    0x306ffff8,0xfa98bfff,0x3602ffff,0x7fdc05ff,0x0bee0007,0x02fa8000,
    0x2203fa80,0x3fb8ffff,0x81bffe20,0x3fa02fff,0xfff9803f,0x3fffe605,
    0x6ffc8000,0x05fff980,0x06fff800,0x7fcc0ea0,0xffe8005f,0xffff306f,
    0xffffffdd,0x5ffd8019,0x003ffdc0,0x40000dd0,0x4005fff8,0x7fe403fa,
    0x2200fecf,0xff306fff,0x1fff401f,0x02fffcc0,0x001bffee,0x2601bff2,
    0x80005fff,0xd002fffe,0x17ffe601,0x13fffe00,0x677fffcc,0x2001bccc,
    0x7dc05ffc,0x7f70007f,0x7dc40000,0x3ea001ff,0x7fffc403,0x7ffc404f,
    0x05fff506,0x4c01fff4,0xfd805fff,0x7e4004ff,0xfff9806f,0xffa80005,
    0x036c03ff,0x800bfff3,0x301ffff9,0x0000bfff,0xfb01bfee,0xdf1000ff,
    0x3ee00000,0x0fea002f,0x07ffff60,0x20dfff10,0xd885fffa,0x4c0a4fff,
    0xf8805fff,0x32002fff,0xff9806ff,0xfd00005f,0x5c439fff,0x3fe601fd,
    0x7fec005f,0x3ffea07f,0xff500005,0xffdd103f,0x3bf6601f,0x0002febb,
    0x800ff900,0xff9804fa,0xfff9805f,0xbffff107,0xffdbf713,0x3e607b5d,
    0xff5006ff,0x3f2003ff,0xfffa807f,0xff300005,0xffdfffff,0xfffa809f,
    0x3ffee005,0x3ffea03f,0xff100006,0x9f7117df,0x853bfff7,0x4ffffffc,
    0xff500000,0x05fc8007,0x5003ffb0,0x3201ffff,0x3fffffff,0x409ffff9,
    0x2007fffb,0x802ffffc,0xfb807ffd,0x200007ff,0xfffffff9,0xffb805ff,
    0xffd9805f,0x7fdc03ff,0x2e00007f,0x4fffffff,0x87dffff7,0x05fffffb,
    0xcffe8000,0x7ffcc001,0x037d400b,0x6fffff44,0xdffff701,0x01fffcc1,
    0x39fffff3,0x3ffffa00,0xfff980bd,0x3ffe603f,0x00001cff,0xffffffb1,
    0xffff3007,0xb979bdff,0x03dffffd,0xcfffff98,0xff900001,0x7fdc5fff,
    0x3bff202d,0x00000002,0x3fffba60,0x3a02efff,0xfffdd102,0x0bdfffff,
    0x80c01331,0xfffffee9,0x4c04efff,0x4fffffff,0xffffffd5,0x3ffba69f,
    0x4effffff,0x77310000,0xffee9803,0xffffffff,0x1bdeefff,0x3ffffa60,
    0x04efffff,0x81ba8800,0x000000b9,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x26666200,
    0x99999999,0x99999999,0x33333310,0x80133333,0x99999998,0x4ccccc19,
    0x09999999,0x33333310,0x99981333,0x19999999,0x4cc40000,0x99999999,
    0x99999999,0x2ea09999,0x0801c980,0x66666640,0xcccccccc,0x04cccccc,
    0x00001300,0x00000440,0x7ffffd40,0xffffffff,0x0effffff,0xffffffd7,
    0xc803bfff,0xfffffffe,0x3ffffa25,0x4fffffff,0xffffdd30,0x7e445dff,
    0xffffffff,0xbdeeffff,0x7ffd4001,0xffffffff,0xffffffff,0xfff74fff,
    0x017ffcc1,0x4ce440d1,0x99999999,0x99999999,0x7cc000c9,0x3a000003,
    0x5df90005,0xdefffb80,0xcccccccc,0x81ffffec,0x5ffffffb,0xffffb800,
    0x3ffae203,0x2003ffff,0x400dfffd,0xefffffea,0xffffdccd,0xfb801dff,
    0xcccceeff,0xccccffff,0xfd4ffffd,0x7ffe45ff,0x3881b205,0x00640000,
    0x0000fe60,0xa8005e80,0x3203ffff,0x3e2000df,0x3e204fff,0x0001ffff,
    0x64003fff,0x000fffff,0xb800bfee,0x54405fff,0x403ffffe,0x3fe01ffb,
    0x53fa607f,0x3e60fffc,0x0df103ff,0x200001c4,0x1fcc000c,0x0bd00000,
    0xdffff900,0x6c003640,0xfa806fff,0x88003fff,0xfc8002ff,0x3a003fff,
    0x7fd4002f,0xffb1005f,0x3f201dff,0x03fffc00,0x0edc57a2,0xdfb01ed4,
    0x00001c40,0x7f300032,0x2f400000,0x7fffcc00,0x8005b01f,0x001ffffb,
    0x001ffff9,0x20004fc8,0x800ffffe,0xf98004fc,0x7d4005ff,0x09905fff,
    0x500ffff0,0x3f20000b,0x000e206f,0x98001900,0x2000003f,0x3730005e,
    0x003a05f5,0x03ffff98,0x13fffe20,0x0006f880,0x027fffc4,0x4c0017ea,
    0xb8005fff,0x2c83ffff,0x807fff80,0xfc800068,0x00e206ff,0x80019000,
    0x000003f9,0x2e00017a,0xe800d01f,0xa8005fff,0xb001ffff,0xf500003f,
    0x3e603fff,0xff30000e,0x3fa000bf,0x004c0fff,0x2803fffc,0x3ffa6000,
    0x1fffffff,0xc8000071,0x01fcc000,0x00bd0000,0x0000dd00,0x003ffff2,
    0x037ffec0,0x000027d4,0x881dfffb,0x260001fe,0x30005fff,0x0009ffff,
    0x0001fffe,0xdaa981d4,0x0aaaaeff,0xc8000071,0x01fcc000,0x00bd0000,
    0x0002f980,0x02ffff98,0x3fffe200,0x003be204,0xffff8800,0x00017ec4,
    0x0017ffe6,0x007fffd8,0x000ffff0,0x4037fdc4,0x0e206ffc,0x00190000,
    0x00003f98,0x980017a0,0xe880004e,0x80005fff,0x901ffffa,0x5000005f,
    0x3f23ffff,0xff980004,0x3ea0005f,0xf8002fff,0xd98007ff,0xc806ffff,
    0x00e206ff,0x80019000,0x000003f9,0x3220017a,0xf900002f,0x00001fff,
    0x261bfff6,0x2000005f,0x6faefffc,0xfff30000,0x7fcc000b,0xff8004ff,
    0xaa98007f,0xfc806fff,0x000e206f,0x3fee1900,0xffffffff,0xffffffff,
    0xfff36fff,0xffffffff,0xffffffff,0x02f21fff,0x7ffd4000,0x2200001f,
    0x7f43ffff,0x22000000,0x00fffffe,0xbfff3000,0x7ffc4000,0xfff8005f,
    0x7fec0007,0x06ffc806,0x900000e2,0x3bbbbaa1,0xeefeeeee,0xeeeeeeee,
    0xdddddd14,0xddffdddd,0xdddddddd,0xf1000001,0x00009fff,0x21ffff50,
    0x000003fc,0x03ffff98,0x3ffe6000,0x7ffc0005,0xfff8006f,0x7fe40007,
    0x06ffc806,0x900000e2,0x03f98001,0x017a0000,0xfb000000,0x00000dff,
    0x7cefffec,0x20000005,0x000ffffc,0x0bfff300,0x7fffd800,0x07fff800,
    0x037fe400,0x71037fe4,0x00c80000,0x0001fcc0,0x1000bd00,0x0001dddb,
    0x003ffff7,0x7ffc4000,0x00000fff,0x3fffea00,0xff300005,0xfd8000bf,
    0xff8006ff,0x7e40007f,0x6ffc806f,0x00000e20,0x3f980019,0x17a00000,
    0x1fffdc00,0x3fffe200,0xb8000003,0x0003ffff,0x3fbe6000,0x80002fff,
    0x0005fff9,0x002ffff4,0x0003fffc,0x3201bff2,0x00e206ff,0x80019000,
    0x000003f9,0xfc80017a,0x7ff4005f,0x0000005f,0x0003fffa,0x47f44000,
    0x000ffffc,0x02fffcc0,0x13fffe00,0x01fffe00,0x00dff900,0x1c40dff9,
    0x00320000,0x00007f30,0x20002f40,0xf7000ffd,0x00001fff,0x07fff400,
    0xfd800000,0x0bffff12,0x5fff9800,0x3ffe6000,0xfff8002f,0x7fe40007,
    0x06ffc806,0x900000e2,0x03f98001,0x017a0000,0x200bfa00,0x002ffff9,
    0x7ff40000,0x8000000f,0x7ffd44fc,0x3e60002f,0x2a0005ff,0x8001ffff,
    0x40007fff,0xfc806ffc,0x000e206f,0x98001900,0x2000003f,0xf880005e,
    0x5fffe804,0xe8000000,0x00000fff,0xfd82fd40,0x30000fff,0x4000bfff,
    0x0006fffc,0x8000ffff,0xfc806ffc,0x000e206f,0x98001900,0x2000003f,
    0xd300005e,0x0ffffc80,0x40005000,0x0000fffe,0x403be200,0x005ffff8,
    0x00bfff30,0x0bfffe60,0x03fffc00,0x01bff200,0x3881ffee,0xa8640000,
    0xcccccccc,0xccccdfdc,0x003ccccc,0x200005e8,0xffff5009,0x012a0005,
    0x00fffe80,0x3fd10000,0x2ffffa80,0x5fff9800,0xbfffd000,0x3fffc000,
    0x1bff2000,0x983ffea0,0x80000713,0xfffff70c,0xffffffff,0xffffffff,
    0x00bd000d,0xfff10000,0x16c0009f,0x1fffd000,0x3f600000,0xffffb003,
    0xfff98001,0xfffb8005,0x3fe0000f,0x7e40007f,0xfff9806f,0x0710ea9d,
    0x000c8000,0x00000000,0x3f600000,0x260006ff,0x3fa0001f,0x800000ff,
    0x3e2005fc,0x4c006fff,0x54005fff,0x0003ffff,0x0003fffc,0x7401fff2,
    0x222fffff,0x06400003,0x00000000,0xb8000000,0x0001ffff,0xe8000fd1,
    0x00001fff,0x20007fe4,0x004ffffb,0x4017ffe6,0x02ffffc8,0x3fffc400,
    0x1fff6000,0x16fff440,0x900000e2,0x00000001,0x00000000,0x007ffff1,
    0x001bfaa0,0x02ffff88,0x9ff91000,0xffff3000,0x3fee007f,0x7f54405f,
    0x80001eff,0x001ffff9,0x07ffff30,0xce880440,0xcccccccc,0xcccccccc,
    0x00000ecc,0x00000000,0xffffe800,0xcccccccc,0xfffedccc,0x3f20005f,
    0x0002efff,0x0fffffd4,0x3ffff200,0x3e602dff,0xccefffff,0xeffffedb,
    0xfb100002,0x4003bfff,0xffffffea,0x0000004f,0x00000000,0x00000000,
    0xfffff500,0xffffffff,0xffffffff,0xfec8007f,0xffffffff,0x3ff2000e,
    0x1fffffff,0x7ffffec0,0x30ffffff,0xffffffdd,0xddffffff,0x20000159,
    0xffffffed,0x00005fff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00080000,0x00008000,0x2a200000,0x544001ab,0x800009bb,
    0x40000ab9,0x1000aba9,0x0a213575,0x28801500,0x01565cc0,0x00015751,
    0x80330000,0x88000028,0x01f301ab,0x3f220000,0x00017f30,0x77fdc000,
    0x4c02efff,0xefffeffd,0x7fed4003,0x4004ffff,0xeffffffc,0x3f7fee01,
    0x2004eeff,0x0fa200fa,0x3ff7ffa6,0x3ffee2ff,0x5b00dfff,0x3a600980,
    0x4e803f30,0xfec98000,0xf30cffff,0xb3000009,0x7ff44bff,0x2000001c,
    0xf510cfd8,0x3fea09ff,0x5fff710c,0x43bfb100,0x400effd8,0xfb51cfe8,
    0x17f907ff,0x8027fe4c,0x437404f9,0x7fdc3ffb,0xb89dfd9f,0x7440effe,
    0x3ffb222f,0x3fe61def,0xfa803f61,0x3bf20002,0x2ffff261,0x5400005e,
    0xd501cffe,0x00005bff,0xfb03ff88,0x7ff985ff,0x801fff70,0xff900efe,
    0x03be203f,0xf30ffff4,0x4027e40d,0x3f600fe8,0xd837fcc2,0xfd01ffff,
    0x75fd10bf,0xffb79dff,0x983ff59f,0x00ff406f,0xfb02fec0,0x20000dff,
    0x00bfffc8,0x17dff930,0x0df90000,0x322fffcc,0xfff105ff,0x00ffe405,
    0x7ec1bffa,0x97ffe201,0x027c04fc,0xdf701fec,0x2e09ff90,0x3ea05fff,
    0xffe881ff,0xfff9300e,0xa817f603,0x3ee000ef,0x7fff401f,0x3f660000,
    0x220002ef,0x000cfffc,0xf805ff30,0x27fe45ff,0x2607fff0,0xffb806ff,
    0x4037cc3f,0xffd1ffff,0x7e404c80,0x05ff500f,0x3ea09ff9,0x3fe202ff,
    0x007fb04f,0xff881bf2,0x401bfa04,0xfd806ff8,0xea8004ff,0x00001dff,
    0x00efff54,0x1003ffa0,0x1ff98199,0x5c0fffe0,0xfff005ff,0x4027ec1f,
    0xffb2fffd,0xf7024c09,0x1bfe607f,0xfa80ff4c,0x7ffc01ff,0x4005f985,
    0x3ff203fc,0x009ff302,0xfc809ff7,0x8800fffe,0x000cfffb,0x7fecc000,
    0x0fff002e,0xfa801000,0x7ffb03ff,0x8bfff200,0xffffffff,0x3fffffff,
    0x003dfff7,0xd107ff98,0x5c0005ff,0xffffffff,0x86ffffff,0xfe8000fe,
    0x03fff100,0xfb00fff6,0x64fe407f,0x32602fff,0x00002eff,0xfffc8800,
    0x0dff300b,0x3f220000,0xff03fffe,0x3fee005f,0x339ff13f,0x33333333,
    0x3ffe2133,0xf8801dff,0xdffd03ff,0x3ffaa000,0x99999aff,0x44199999,
    0x5f70004f,0x407ffe40,0x3e01fff9,0x25f703ff,0xda83fffb,0x00001dff,
    0xffb88000,0x37fd41cf,0x3f660000,0x307ffd2d,0x2a005fff,0xbff34fff,
    0xfffa8000,0xd100dfff,0x3ff60dff,0x3ee2002f,0x01fffacf,0x000bea00,
    0xff101fcc,0x3fff60df,0x83fff980,0x3ffea3fa,0x033ffa25,0x00000000,
    0xf72fff54,0x220000ff,0x7ff41efd,0x03fffb83,0x2a9fff30,0x980006ff,
    0x2ffffffe,0x984fffb8,0x32007fff,0xfff50cff,0x0fdc0003,0xd80bf000,
    0xffa83fff,0x4fffa84f,0x3fe61fcc,0x3bff625f,0x0000000b,0x5ffda800,
    0x0003ffea,0x3a0bfd10,0xfffb83ff,0x5fff1003,0x0001ffea,0xfffffea8,
    0x80fffd84,0x4c02fffb,0x7fcc0dfe,0x3ee0002f,0x813e0001,0xfd05fff9,
    0xfff301df,0x7c427ccb,0xffc883ff,0x000000cf,0x7ff5c400,0x1fffcc0c,
    0x7fcc1100,0x20fffa05,0x1004fff9,0x3fe23fff,0x2004002f,0x41fffffb,
    0xfb03ffe8,0x2ffd40df,0x003fff88,0x4000be60,0x3ff603f8,0x1fffa80e,
    0x22dfff10,0x3fff105e,0x1dffeb80,0x44000000,0x2203effc,0x32006fff,
    0xe80bffe1,0xfff883ff,0x8fff3007,0x2a006fff,0x7fec4053,0x0fff884f,
    0x3a07ffd0,0xfff101ff,0x3e22c009,0x05f50004,0x7403ffe6,0x7ffc02ff,
    0x3e206e8f,0x3f6a007f,0x000002ef,0x016ffed4,0x802ffff8,0x03ffe669,
    0xfd03ffe8,0xff5005ff,0x02fffe8b,0xd003a1d0,0x3fea0dff,0x10fff104,
    0xffe80fff,0xd84b800f,0x06e8000f,0x7d407ff6,0xfffc803f,0x3fe600ee,
    0xffc98006,0x200000bf,0x000cffeb,0x00ffffdc,0x7ffd47d1,0x40fffa02,
    0xc805fff9,0x7ffd42ff,0x7d36c03f,0x206ffb80,0xff300ffb,0x01fffa87,
    0x3013fff2,0x00bf303f,0xff302fc8,0x802ff407,0x400ffff8,0x20003ffb,
    0x01cfffb8,0x7dff9100,0x7ff40001,0x0fea82ff,0x2217ffea,0xb0a4fffd,
    0xff803fff,0x9ffffd05,0xd0fedc43,0x27fc401f,0xfa813f60,0x827ffd47,
    0x84ffffd8,0x3f205fc9,0x40df7005,0x1bea04fd,0x05fff900,0x00006fe8,
    0x00b7ffaa,0x016ffecc,0xffffa800,0x1fffddff,0x4effffc4,0xeffedfb8,
    0x7ff443da,0x01ff700f,0x3fffffe6,0x744fffef,0x07fee05f,0xfc803fa0,
    0x0ffffe23,0xffff9bf5,0x1dffd9bf,0x0bbffe60,0x417fff4c,0x07f405f9,
    0x3ffff200,0x003ff701,0xdffb3000,0x33ffaa07,0xfa800001,0xffffffff,
    0xfffff903,0x3fff27ff,0xdffb104f,0x03bf2217,0xffffff30,0xffd0bfff,
    0x03fe983d,0xfd809f10,0x3fffff20,0x3ff24ffd,0x1fffffff,0xff53ff30,
    0x7fffb9df,0x0ed85fd1,0x50007ea0,0x15dffd7f,0x0007ff22,0xfff91000,
    0x02fffe21,0xfd100000,0x801dffff,0x20effffb,0xc803fff9,0xbfffffff,
    0xfffb1000,0x3ba07fff,0xefedefff,0x007cc002,0xffff90fa,0xffd703bf,
    0x2201bfff,0x7f65c1ff,0x3fa20bdf,0x3e801f31,0xf71fd400,0x19ffffff,
    0xb8000000,0x0005d30e,0x59510000,0x04cc4003,0x95100030,0x4c400035,
    0x310401bb,0x40003795,0x4c044008,0xa8800abb,0x01c801ac,0x01124400,
    0x09d00030,0x01559531,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00002000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xffffffd8,0xfffff10f,0xff90dfff,0x1d403fff,0x81d400d4,0x950000b9,
    0x10037510,0xffd80155,0xffa85fff,0x7ec07fff,0xffffffff,0x50ffffff,
    0xffffffff,0x7ffffe45,0x00020004,0x0a001500,0x7e40c400,0x1effffff,
    0x5ffffe98,0x417fffea,0x00dffff9,0x22037fa2,0x3fee6ffb,0x6ffb885f,
    0x3bffff22,0x7feb8800,0x1f7fffdc,0x2fffff54,0x02fffd40,0xd80ffff3,
    0xaaaabcef,0x84fffeaa,0x80fffffa,0x0000dffa,0x40001bf6,0x5f9807fc,
    0x407f4400,0x02ffffd8,0xfa81ffa8,0x3fea03ff,0x40fe802f,0x76ffffd9,
    0x263fffff,0xd16ffffd,0x0bffffff,0xbffffecc,0xffffffe8,0x3ffff61f,
    0xff804fff,0x3ffec05f,0x3ea017a0,0x3fe606ff,0x05fb81ff,0x17ffc400,
    0x0fffc000,0x8802fe40,0x7ff403fe,0x03fa800f,0xfd017ffa,0x83f8809f,
    0x9efffa99,0x30fffdae,0xd1dfff55,0xfff91159,0x3feaa607,0x2e1ce8ff,
    0x17db5fff,0x007fff66,0xfb80bffb,0x2017407f,0x400ffff8,0x7c45fffb,
    0xffb00006,0xfff00001,0x017f2001,0xf5007fd1,0x0d9005ff,0x200fffa8,
    0x7dc07ffb,0x777fec00,0x7ec07261,0xffd02eff,0xdfff900d,0x3bffee05,
    0x09fff00d,0x5c05ffd8,0x007407ff,0x400bfff6,0x3f62fffd,0x00600000,
    0xfc833660,0xfc816dc7,0x007fb105,0x2202fff4,0x3fff803f,0x80bffe20,
    0xfffc805e,0x7ffe4003,0x01ffee01,0x8803ffee,0x7e404fff,0x2ffec06f,
    0x101ffee0,0x04fffc80,0x23fffe20,0x000002fb,0x0effe800,0x7ffecbf5,
    0xfb0bf900,0xfffb8007,0x2003ee00,0x3ee06ffc,0x05f306ff,0x000fff90,
    0xfa80dff9,0x7fdc00ff,0x03fff807,0x36037fdc,0x7fdc05ff,0x3fe60007,
    0xffa8006f,0x00004fdf,0xfff70000,0x3f67f13d,0x2fe406ff,0xf10007fb,
    0x02f407ff,0xd01fff98,0xf903fffd,0x01bff200,0x501bff20,0xfb801fff,
    0x3fff807f,0x203ffdc0,0x7dc05ffd,0xff10007f,0x320001ff,0x00006fff,
    0x7f5c0000,0xffeaf9ff,0xdfc800cf,0x320003fd,0x03f307ff,0x5427ff40,
    0xf84ffe9f,0x0dff7004,0x80dff900,0x5c00fff9,0xfff807ff,0x03ffdc03,
    0xf7017ff6,0x3f6000ff,0x220002ff,0x7000effe,0xffffffff,0xffffffff,
    0x10dfffff,0x37dfffb5,0x07ff9000,0x2fff9800,0x7dc006c8,0xff75e87f,
    0x7000fa8f,0xf9000dff,0xfff980df,0x03ffdc00,0x2e01fffc,0x7fec07ff,
    0x03ffdc05,0x027ffdc0,0x2fffdc00,0xeeeeea80,0xeeeeeeee,0xeeeeeeee,
    0x7dfd7104,0xffd10003,0xffd0000b,0x4003f88d,0x3e62fff8,0x6c5fff11,
    0x1bfee005,0x01bff200,0xb801fff3,0xfff807ff,0x03ffdc03,0xf7017ff6,
    0xff9800ff,0xf980006f,0x0002fffe,0xdb300000,0xfff7d7ff,0x7fd1005b,
    0xa8000bf9,0x03ee1fff,0xd97ff600,0xf8affec6,0x1bfee002,0x01bff200,
    0xb801fff3,0xfff807ff,0x03ffdc03,0xf7017ff6,0x7fc400ff,0x440000ff,
    0x01fffd5e,0xa8000000,0x35f2ffff,0x4409fffd,0x017f23fe,0x749fff00,
    0xfff50004,0xffa85f31,0x5c007b8f,0xfc8006ff,0x7ffcc06f,0x03ffdc00,
    0x2e01fffc,0x7fec07ff,0x03ffdc05,0x005fffb0,0x3e61fb00,0x000005ff,
    0x97fff400,0xfffd14fa,0x320ffa20,0x3f20005f,0x001f98ff,0x1b2fffe0,
    0x0275fffc,0x001bfee0,0xf301bff2,0xffb801ff,0x03fff807,0x3203ffdc,
    0x7fdc05ff,0x9fff7007,0x2fb80900,0x001fffdc,0x5c000a80,0x89bf21ef,
    0x3fd885fd,0x40017f20,0x06dbfff8,0x7f7fe400,0x3ffff903,0x06ffb800,
    0x406ffc80,0x5c00fff9,0xfff807ff,0x03ffdc03,0xfb01bfee,0xfff300ff,
    0x4c0b100d,0x3fffd04f,0x0ffe8000,0x0ffe8000,0x9007fb00,0x3f6000bf,
    0x40002fff,0x2207fff9,0xb8006fff,0xfc8006ff,0x7ffcc06f,0x03ffdc00,
    0x2e01fffc,0x7fd407ff,0xffee881f,0x3ffe200f,0x1059800f,0x7ffcc0dd,
    0x3fe20006,0xff80002f,0x03fd801f,0x20017f20,0x0007fffa,0xd809ffd0,
    0xfc8003ff,0xffc8007f,0x0fffd406,0x201ffee0,0x7dc03fff,0x7ffc407f,
    0xbcfb88be,0xd829dfff,0xe8802fff,0xc803fb05,0x20004fff,0xd00006fc,
    0x3f9801ff,0x000fc800,0x0004ffe8,0xa801ff70,0xfc8000ff,0x7ec001ff,
    0x7ffd407f,0x07ffe402,0x9013ffe0,0xfb801fff,0x74ffffff,0xb87dffff,
    0xaaaaefff,0x4febaaaa,0x2017fec4,0x00cffffc,0x40000100,0x001002c8,
    0xfb800040,0xf100001f,0x0017e009,0x037fffe6,0x1ffffd40,0x40bfffd0,
    0x203ffff8,0x300efffc,0x9009ffff,0x5c5fffff,0xff882dff,0xffffffff,
    0x24ffffff,0x85fffff9,0xfffffff9,0x0000004f,0x00000000,0x05f88000,
    0x8005c000,0x3fea001a,0x0effffff,0xffffff50,0x3ffa6bff,0x266fffff,
    0xfffffffe,0x3fffffa6,0xffd53eff,0x809fffff,0x0b981ba8,0x00000000,
    0x00000000,0x00000000,0x1b800000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x55000000,0x565cc000,0x00bb9800,0x802bcca8,0x001bccb8,0x4c057973,
    0x9839503c,0x99999999,0x99999999,0x4cc19999,0x99999999,0x99999999,
    0xddd01999,0x0000003d,0x2c881ca8,0x44444444,0x00000088,0x80000000,
    0x54000ff8,0x02fffffe,0x1dfffff5,0xfffffd30,0x44fea01d,0x3f6205fd,
    0xe81effab,0x7ffcc3ff,0xffffff30,0xffffffff,0xffffffff,0x3ffffe61,
    0xffffffff,0xffffffff,0x27ffd40f,0x0bdffda8,0xff534400,0x9fffc43f,
    0xfffffff9,0x00002fff,0x00000000,0x10027fe4,0xfffb57bf,0xc98bf883,
    0x5ffd43ff,0x881ff931,0x827fc47f,0x3ff621fe,0x91bffe21,0x2aa27fff,
    0xaaaaaaaa,0xaaaaaaaa,0x2aa22aaa,0xaaaaaaaa,0xaaaaaaaa,0x7e40fdaa,
    0xffff705f,0x2005bfff,0x8ffff65b,0xff36fffa,0xffffffff,0x00000005,
    0x7cc00000,0x97001fdd,0x2b89ff70,0x3fe26fe8,0xfa8df300,0xfc85ff85,
    0x226ff987,0x7fe45fff,0x0000002f,0x7dc00000,0xf8837fc0,0xfff9312d,
    0x51f4017d,0x7fc43fff,0xfffff34f,0x005fffff,0x00000000,0x7c47f400,
    0x3e207005,0x49f9005f,0x17e402fb,0x0dff302a,0x3ff60bff,0xf713ffe2,
    0x000003ff,0xb8000000,0x403be60f,0x7fed406c,0x6fc99bdf,0xbc982da8,
    0x22222220,0x00000888,0x00000000,0x02fc8fea,0x4017f400,0x403ec6f8,
    0x336a03f9,0x27fcc6ff,0x3fa3ffb8,0x0fffd43f,0x00000000,0xb83ee000,
    0x400ba01f,0xffffffc8,0x0000001e,0x00000000,0x6f880000,0x260006e8,
    0x7ec400ff,0x5f803740,0x1bfe3ea8,0x3ea0bff5,0x10bff64f,0x00000fff,
    0x70000000,0x1601741f,0x1e6dcc00,0x00000000,0x00000000,0x503f9000,
    0x3ee0009f,0x3fff6203,0x2201fa1e,0x3e1fdc4f,0x837fcc6f,0x3fee3ff9,
    0x3226ff80,0xcccccccc,0xcccccccc,0x000ccccc,0x183ee000,0x00000000,
    0x00000000,0x00000000,0x3605f980,0x2fc4000f,0x7ffed4c0,0xfa803f90,
    0xff03fee2,0x80fff88d,0x1fea1ffa,0xfff32fec,0xffffffff,0xffffffff,
    0x00001fff,0x00007dc0,0x00000000,0x00000000,0x20000000,0x17e600fe,
    0x8006e880,0x0df33ffa,0xdff07fc4,0xffb0dff0,0xf88bf907,0x9987f905,
    0x99999999,0x99999999,0x00001999,0x00000c40,0x00000000,0x00000000,
    0x2a000000,0x02fc803f,0x20001bd0,0x03bf25fe,0xfff85fd3,0x9fffd98c,
    0x887ffe22,0x504f80fe,0x0000003f,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2200df10,0x02ec406f,0xf913f200,0x05fffddf,0xb1bffff7,
    0xfe883fff,0xd00dfcdf,0x0003e605,0x00000000,0x00000000,0x00000000,
    0x00000000,0x0bf20000,0xd103fa80,0x74016e09,0xefec981f,0x86f2600c,
    0x2ea00bd8,0x004c01bc,0x00000005,0x00000000,0x00000000,0x00000000,
    0x00000000,0xfb000bf3,0xeeeff981,0x32e2ffee,0x0001fdc1,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x20003fa0,
    0x3ffea5f9,0x47ffffff,0x2efdfffe,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00980000,0x99886200,0x09999999,
    0x00d5dcc4,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,
};

static signed short stb__times_47_latin1_x[224]={ 0,4,2,0,2,1,1,1,1,0,3,0,2,1,
3,0,1,4,0,1,0,2,1,1,2,1,3,2,0,0,0,1,2,0,0,1,0,0,0,1,0,1,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,3,0,1,0,-1,2,1,-1,1,1,1,1,1,0,1,
-4,0,1,0,0,1,-1,1,0,2,0,0,0,0,0,0,0,5,3,3,0,5,5,5,5,5,5,5,5,5,
5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,5,0,4,2,1,0,0,
3,3,1,1,-1,1,0,1,1,-1,2,0,0,0,4,2,-1,3,3,2,0,1,2,2,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,1,1,1,1,0,-1,1,1,1,1,1,3,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
 };
static signed short stb__times_47_latin1_y[224]={ 37,8,8,8,6,8,8,8,7,7,7,11,32,25,
32,7,8,8,8,8,8,8,8,8,8,8,17,17,12,18,12,8,7,8,8,8,8,8,8,8,8,8,8,8,
8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,8,7,8,8,44,8,17,7,17,7,17,7,17,7,7,
7,7,7,17,17,17,17,17,17,17,11,18,18,18,18,18,18,7,7,7,22,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,37,16,9,8,12,8,
7,8,9,8,8,17,18,25,8,4,8,11,8,8,8,18,8,20,36,8,8,17,8,8,8,16,-1,-1,-1,1,
1,1,8,8,-1,-1,-1,1,-1,-1,-1,1,8,1,-1,-1,-1,1,1,14,7,-1,-1,-1,1,-1,8,7,8,8,
8,8,9,7,17,17,8,8,8,9,8,8,8,9,7,8,8,8,8,8,9,14,16,8,8,8,9,8,7,9,
 };
static unsigned short stb__times_47_latin1_w[224]={ 0,6,13,21,18,33,31,5,13,13,16,24,7,12,
5,12,19,13,20,17,20,17,19,19,17,19,6,8,24,24,24,17,37,31,26,26,30,25,22,30,30,13,17,32,
26,37,32,29,23,29,29,20,24,31,31,40,31,31,25,10,12,10,20,23,8,18,21,17,21,17,18,20,21,10,
13,22,10,33,22,19,21,21,15,14,12,22,21,31,21,21,19,13,3,13,24,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,6,17,20,21,22,
3,15,12,30,13,19,24,12,30,23,13,23,12,11,8,21,21,5,8,8,13,19,30,29,32,17,31,31,31,31,
31,31,38,26,25,25,25,25,13,13,13,13,30,32,29,29,29,29,29,18,29,31,31,31,31,31,22,20,18,18,
18,18,18,18,27,17,17,17,17,17,10,10,12,12,19,22,19,19,19,19,19,23,21,22,22,22,22,21,21,21,
 };
static unsigned short stb__times_47_latin1_h[224]={ 0,30,13,30,35,31,30,13,40,40,18,24,13,5,
6,31,30,29,29,30,29,30,30,30,30,30,21,28,22,10,22,30,40,29,29,30,29,29,29,30,29,29,30,29,
29,29,30,30,29,38,29,30,29,30,30,30,29,29,29,38,31,38,16,3,8,21,31,21,31,21,30,30,30,30,
40,30,30,20,20,21,30,30,20,21,27,20,20,20,19,29,19,40,40,40,7,27,27,27,27,27,27,27,27,27,
27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,27,0,31,36,30,21,29,
40,38,5,30,13,21,10,5,30,3,14,24,16,16,8,29,39,6,10,16,13,21,31,31,31,31,38,38,38,36,
36,36,29,38,38,38,38,36,38,38,38,36,29,37,39,39,39,37,37,18,31,39,39,39,37,38,29,31,30,30,
30,30,29,31,21,29,30,30,30,29,29,29,29,28,31,29,30,30,30,30,29,18,23,30,30,30,29,39,40,38,
 };
static unsigned short stb__times_47_latin1_s[224]={ 245,56,89,234,1,20,24,250,1,37,217,
221,246,200,250,144,114,150,108,229,129,12,30,81,101,119,249,247,23,103,48,
24,59,167,159,83,91,82,230,218,199,24,200,49,219,19,134,63,117,1,76,
93,122,170,42,1,59,27,1,245,157,219,1,20,246,91,228,73,62,130,167,
186,207,1,111,1,242,94,71,110,110,132,55,148,160,128,1,23,171,232,151,
125,51,97,162,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,
173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,173,245,170,204,
42,211,1,55,125,187,139,61,163,128,200,50,44,47,197,22,35,153,164,139,
250,246,246,75,233,1,32,195,177,168,155,187,172,222,140,105,31,90,116,142,
228,214,200,141,126,74,1,1,31,183,96,34,234,54,93,213,61,64,58,186,
84,177,158,103,84,57,105,183,1,196,122,140,141,106,38,186,147,124,144,202,
222,63,214,199,193,1,154,177,1,209,161,15,230, };
static unsigned short stb__times_47_latin1_t[224]={ 40,227,486,195,159,159,227,159,1,1,464,
411,411,486,180,159,227,351,351,227,351,258,258,258,258,258,289,227,441,486,441,
289,1,320,381,289,411,351,320,289,320,351,289,351,351,381,227,227,381,82,381,
227,411,258,320,320,411,411,411,1,159,42,486,191,425,441,159,441,195,441,227,
227,227,258,1,289,258,464,464,441,289,289,464,441,411,464,465,464,464,381,464,
1,1,1,486,411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,
411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,411,40,159,121,
289,441,351,1,42,486,258,486,441,486,486,258,191,486,411,486,486,486,351,1,
173,368,351,486,441,195,195,159,159,82,42,42,121,121,121,320,82,82,82,82,
82,82,82,42,121,320,121,42,42,1,121,121,464,159,42,1,42,121,82,381,
159,195,195,195,195,381,159,441,381,195,195,195,381,381,351,351,411,159,320,258,
258,289,195,351,464,441,289,289,227,381,1,1,42, };
static unsigned short stb__times_47_latin1_a[224]={ 170,226,277,340,340,566,528,122,
226,226,340,383,170,226,170,189,340,340,340,340,340,340,340,340,
340,340,189,189,383,383,383,301,625,490,453,453,490,415,378,490,
490,226,264,490,415,604,490,490,378,490,453,378,415,490,490,641,
490,490,415,226,189,226,319,340,226,301,340,301,340,301,226,340,
340,189,189,340,189,528,340,340,340,340,226,264,189,340,340,490,
340,340,301,326,136,326,367,528,528,528,528,528,528,528,528,528,
528,528,528,528,528,528,528,528,528,528,528,528,528,528,528,528,
528,528,528,528,528,528,528,528,170,226,340,340,340,340,136,340,
226,516,187,340,383,226,516,340,272,373,204,204,226,391,308,170,
226,204,211,340,509,509,509,301,490,490,490,490,490,490,604,453,
415,415,415,415,226,226,226,226,490,490,490,490,490,490,490,383,
490,490,490,490,490,490,378,340,301,301,301,301,301,301,453,301,
301,301,301,301,189,189,189,189,340,340,340,340,340,340,340,373,
340,340,340,340,340,340,340,340, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_47_latin1_BITMAP_HEIGHT or STB_FONT_times_47_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_47_latin1(stb_fontchar font[STB_FONT_times_47_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_47_latin1_BITMAP_HEIGHT][STB_FONT_times_47_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_47_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_47_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_47_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_47_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_47_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_47_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_47_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_47_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_47_latin1_s[i] + stb__times_47_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_47_latin1_t[i] + stb__times_47_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_47_latin1_x[i];
            font[i].y0 = stb__times_47_latin1_y[i];
            font[i].x1 = stb__times_47_latin1_x[i] + stb__times_47_latin1_w[i];
            font[i].y1 = stb__times_47_latin1_y[i] + stb__times_47_latin1_h[i];
            font[i].advance_int = (stb__times_47_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_47_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_47_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_47_latin1_s[i] + stb__times_47_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_47_latin1_t[i] + stb__times_47_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_47_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_47_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_47_latin1_x[i] + stb__times_47_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_47_latin1_y[i] + stb__times_47_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_47_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_47_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_47_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_47_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_47_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_47_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_47_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_47_latin1_LINE_SPACING
#endif

