// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_48_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_48_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_48_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_48_latin1_BITMAP_HEIGHT        529
#define STB_FONT_times_48_latin1_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_times_48_latin1_FIRST_CHAR            32
#define STB_FONT_times_48_latin1_NUM_CHARS            224

#define STB_FONT_times_48_latin1_LINE_SPACING          31

static unsigned int stb__times_48_latin1_pixels[]={
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2aa20000,0x000000aa,0xfffdb973,0x000017bd,0x0000bd71,
    0xcd88001b,0x003f2001,0x007e4ae0,0x2009b510,0x00004fe9,0x000dfff9,
    0x2fffec00,0xc8000000,0x00005fff,0x00bfff70,0x79fd5000,0x32a62135,
    0xd98003ef,0x80005fff,0xe98002e9,0x00fc800d,0x0fc8f620,0x0019f500,
    0x000fffe4,0x0077ff40,0x3ffa0000,0x00000007,0x0001dfff,0x01bffa00,
    0xbffc8800,0x0f754000,0xffffdd80,0x9f300005,0x007b6000,0x3ae001f9,
    0x64007e41,0xffd8002f,0x7c40001f,0x000001ff,0x001ffe88,0x7fcc0000,
    0x1000000f,0x00001dff,0x0000bfa6,0xf8800fee,0x200005ff,0x4c001ee8,
    0x03f200ef,0x3f207f20,0x0037dc00,0x0004fe98,0x0001ffb8,0x13fe6000,
    0xf9000000,0x4000003f,0x00001ffb,0x00001df5,0xfd001fcc,0x980000bf,
    0x7f4000ef,0x7003f204,0x803f205f,0x40002ff8,0x7fb00000,0x50000000,
    0x000000df,0x00002fe8,0x0000fec0,0x0000dfc8,0xd001f980,0x00000bff,
    0xfb800bf9,0x401f900f,0x03f205f9,0x0000ffc8,0x4f880000,0x20000000,
    0x000001fb,0x00007f10,0x00005f00,0x000013f2,0xfb001d70,0x200000bf,
    0x3f2004fe,0x201f902f,0x3f201ff8,0x003ffa00,0x2a000000,0x00000005,
    0x000003c8,0x00000970,0x20000730,0x000006fa,0xffb007b0,0x2a00000b,
    0xffb001ff,0x7403f209,0x007e405f,0x00003fff,0x00010000,0x00400000,
    0x00080000,0x00000000,0x0000ffc4,0xd806a800,0x000005ff,0x3a00bff1,
    0x01f904ff,0xfc807ff5,0x05fff100,0x00000000,0x10000000,0x00000033,
    0x00001988,0xfd800000,0x20330003,0xd803f008,0x000005ff,0x3e007ffa,
    0x01f903ff,0xfc801ffb,0x013ffe00,0x99997000,0x59999999,0xccccc980,
    0x2003cccc,0xfffffdc9,0x00000ace,0x3ffff726,0x3000acef,0x55555555,
    0x2aaaaa01,0x0037d40a,0x4ff7bf22,0x09904ffb,0x5c45ffd8,0x70002cee,
    0xff880bff,0x981f902f,0x0fc806ff,0x0017ffa0,0x2e20fd98,0x9dfffffe,
    0x3ff6a000,0xb1000aff,0x95359dff,0x0003dffb,0xaceffd88,0x1effdca9,
    0xffffea80,0xfb500bef,0x1fe81bff,0x887bea00,0x501ffe8d,0x25ffd80d,
    0x5ffffffd,0x0fff9800,0x407ffea0,0x27fe40fc,0xfb007e40,0xeb8800df,
    0xff880fff,0x640006ff,0x3ee001ff,0x7f4c01ff,0xff70003f,0xffe9803f,
    0xffffb003,0x20ffe001,0x3ee007f9,0x7ffea80e,0xffb01e60,0x3fffff6b,
    0x44006fff,0x3ea03fff,0x41f900ff,0xc803fff8,0x1bfee00f,0xfffffa80,
    0x9fffb00f,0x06fa8000,0x003bff60,0x0077fec4,0x001dffb0,0x003bff62,
    0x001ffff1,0x13f20df1,0xf00ffdc0,0x03c40bff,0x33ef7ff6,0xffffea99,
    0x2fffc003,0x640fff30,0x0fffea0f,0xfa803f20,0xfe82005f,0xfff900ff,
    0x5f980007,0x01fff900,0x00dffd00,0x0003fff2,0x2a01bffa,0xfa803fff,
    0x7003ff03,0x7fc407ff,0x803e202f,0x881eeffd,0x000ffffd,0xff01fffa,
    0xf907e40b,0x1f9005ff,0x001ffcc0,0x900fffc8,0x80007fff,0xff9805f9,
    0xff70004f,0xfff9807f,0xfff70004,0x0dffd007,0xdf501fd0,0x80bff100,
    0x2600fff9,0x0fffec07,0x07ffff10,0x00ffff40,0x32a01ff5,0x007fff60,
    0x6fb803f2,0x3ffee000,0x07fff900,0x405f9800,0x000ffff8,0x407fffe0,
    0x000ffff8,0x007fffe0,0x4c03fff5,0x009f704f,0xfa803ffb,0x203d406f,
    0xfc805ffd,0x3f6005ff,0x1fec02ff,0x01fffd00,0x7fc01f90,0x3fee0002,
    0x7fff900f,0x05f98000,0x0027ffec,0x41bffee0,0x0004fffd,0x4037ffdc,
    0x3f205ffe,0xb807f901,0xffd805ff,0x36035c03,0xff8805ff,0x3ff2006f,
    0x00fd803f,0x200ffff0,0x03f700fc,0x0fffa800,0x007fff90,0x2605f980,
    0x0000ffff,0x4c3ffff8,0x0000ffff,0x403ffff8,0xdf01fffb,0x3a017e40,
    0xfff801ff,0x36026c01,0xfff005ff,0x7ffe400f,0x017d7004,0x9007fff8,
    0x00dd981f,0x0fffa800,0x007fff90,0x2e05f980,0x00007fff,0xfb8bfffd,
    0xd00007ff,0xff00bfff,0x407f50bf,0x3fea01fd,0x07ffa806,0x3f6017c4,
    0xfffd005f,0x3ffee001,0x0ff22004,0x8037ffc4,0x007fe0fc,0x0fffa800,
    0x007fff90,0x3605f980,0x00006fff,0xfd8ffffb,0xb00006ff,0xf700ffff,
    0x00fe83ff,0xffd803fa,0x04ffe803,0x7fec03d4,0x0fffb005,0x01fffdc0,
    0x100add98,0x3200ffff,0x02fae60f,0x3ffea000,0x07fff900,0x205f9800,
    0x0005fffe,0x41ffff90,0x0005fffe,0x01ffff90,0x265fff88,0x807f404f,
    0x5c01fff8,0x26c02fff,0x802ffec0,0x32006ffc,0xfb802fff,0x0ffff002,
    0x76c03f20,0x7fd40000,0x7fff900f,0x05f98000,0x009ffff1,0x3fffee00,
    0x09ffff11,0x3ffee000,0xfffc801f,0xfd803f90,0x80fff301,0x200ffff8,
    0xffd801fa,0x0bffb005,0x00fffe40,0xff8013ee,0x0fc800ff,0x0001df10,
    0xc807ffd4,0x40003fff,0xfff305f9,0x2a00007f,0xff33ffff,0x200007ff,
    0x803ffffa,0x0df4fff8,0x3ea03f90,0x7ff6c06f,0xd8027406,0xffd005ff,
    0x7ffec009,0x403fe600,0x3fffa0a9,0x200fc801,0x2a0005fc,0xff900fff,
    0xf980007f,0x5ffff505,0x3fe60000,0xffff54ff,0x3e600005,0xf9004fff,
    0x7005f9ff,0x3ffee05f,0x9ff79b00,0xd8007e40,0xfff005ff,0x3fff4003,
    0xfc81bfa0,0x007fff20,0xff9803f2,0xfff50002,0x0ffff201,0x20bf3000,
    0x003ffffa,0x7ffff300,0x00ffffea,0x7fffcc00,0xffff1003,0x40fea00f,
    0x5d82fffa,0x3f207ff9,0x1bff6002,0x0017fe60,0x7c40dfff,0xa83f206f,
    0xfc802fff,0x017fea00,0x807ffd40,0x0003fffc,0xff882fcc,0x500004ff,
    0x3e23ffff,0x00004fff,0x003ffff5,0x0027ffe4,0x3ffe20df,0x325fc9cf,
    0x0fe443ff,0xfffd8154,0x007fec00,0xa813ffe0,0x83f207ff,0xc803fff8,
    0x1bfee00f,0x07ffd400,0x003fffc8,0xff02fcc0,0x20000bff,0x3e0ffffb,
    0x00005fff,0x001ffff7,0x000fffcc,0x3ff203f9,0x7d43ffff,0x1efcaaef,
    0xffb01f88,0x1ffcc0bf,0x03ffe200,0x900fffa8,0x04ffe81f,0x3f200fc8,
    0xff50006f,0x3ffee01f,0x27cc0003,0x00dfffd0,0x1ffff200,0x000dfffd,
    0x01ffff20,0x3001bf60,0x7ffdc09f,0xffffb01c,0xb02e405d,0xa839ffff,
    0xfa8003ff,0x7ffcc05f,0xfb81f902,0x00fc806f,0x40017ff6,0xf700fffa,
    0xa80009ff,0x3fff204f,0xffb00007,0x7fffc8bf,0xfffb0000,0x05f7000b,
    0x0300fd00,0x7cc00cc0,0x2b7ff601,0x1fffdfff,0x03ff9000,0x903fff88,
    0x01ffd01f,0x3fe00fc8,0xff50004f,0x3ffee01f,0x1fd40004,0x01ffff70,
    0x7fffd000,0x00ffffb8,0x3fffe800,0x0007e800,0x000007f5,0xfd80bb00,
    0x1597315f,0x06ff8000,0x3209fff0,0x03ffa80f,0xfff007e4,0x3fea0007,
    0x17ffea07,0x805f7000,0x0003fffe,0xe837ffc4,0x40003fff,0x8006fff8,
    0x320004f9,0x0000001f,0xffb007ee,0x2600000b,0xffb002ff,0x7403f209,
    0x807e405f,0x0002fff8,0x7c40dff5,0x6c0007ff,0x7ffcc00f,0x7fe40007,
    0xffff301f,0xfffc8000,0x00fd8001,0x0007f400,0x00fdc000,0x0002ffec,
    0x2004fd80,0x1f903ffc,0xc807fe60,0x03ffa00f,0x02ffd400,0x000bfffe,
    0xfd803fc4,0xf10003ff,0xffd809ff,0xff10003f,0xbf30009f,0x1bf10000,
    0x7e400000,0x0bffb001,0x0df30000,0x901ffb80,0x037dc01f,0x3fec01f9,
    0x09ff7000,0x005fffb8,0x22007fb0,0x90007fff,0xf8801fff,0xf90007ff,
    0xfd0001ff,0x3a600003,0xc800001e,0x3ff6001f,0xfd800005,0x02fec000,
    0x3fd801f9,0x7cc01f90,0xff70002f,0x5fffd003,0x006fb800,0x0027ffd4,
    0x4007ffee,0x4004fffa,0x2201fffb,0x5fd9bdfd,0x7ec40000,0xfd500003,
    0x5ffe8003,0x0fec0000,0x803fe200,0x1fd800fc,0x7e400fc8,0x3206e605,
    0xfff3005f,0xffb3007f,0xffd10003,0xbffb001b,0xffe88001,0xdffd800d,
    0x7fffe400,0x00000eff,0x0017df70,0x0007fd50,0x0001bffa,0x4000f6c4,
    0x07e402fc,0x7e41fb80,0xf00fe800,0x01fe87ff,0x3bfffa20,0xffdb99bc,
    0x5c0000ef,0x2621beff,0x0003ffeb,0x10df7fdc,0x007ffd73,0x3bffffee,
    0x44000000,0x419adfeb,0x03ffcba9,0x3fffe600,0x27440001,0x00f64400,
    0xd30007e4,0xc8007e45,0x7fffc42f,0x8001fdbe,0xfffffeb8,0x002effff,
    0x3ffb6600,0x1cefffef,0xfdb30000,0x9dfffdff,0xfffd8003,0x0000000c,
    0x7ffff6cc,0x002cdfff,0xffffb910,0x20009dff,0x7644001d,0x01f9000b,
    0x03f25900,0x2a2ed980,0x00dffffe,0xccaa9800,0x00001abc,0x0de5cc40,
    0x4c400000,0x80001bcb,0x00000098,0x03531000,0x99998000,0x00199999,
    0x00220000,0x00002a60,0x06000153,0x00000262,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x55100000,0x05555555,
    0x00d4c400,0x00000006,0x3332a200,0xcccccccc,0x0000002c,0x00000000,
    0xffb00000,0x000000bf,0xc8000000,0x80005fff,0x402fffe8,0xfffffffb,
    0x3ae2006f,0xbeffffff,0x88003e20,0x0003fffe,0xfffffd30,0x5fb5559f,
    0xf9000035,0x00000dff,0x005fffd8,0x7fcc0000,0x00001fff,0x09fffd00,
    0x3ff60000,0xf980000f,0x7fdc05ff,0x02aaaaae,0xadfffc88,0xdffcba9a,
    0x44001fdb,0x80005fff,0xfffffffa,0x0003642f,0x003bffa0,0x3ffa0000,
    0x40000007,0x06ffeefe,0xff880000,0x2000005f,0x0002ffe8,0xb80fff50,
    0xf50005ff,0xc88019ff,0x8001ffff,0x0000fff9,0x3fffffea,0x03642fff,
    0x1fff3000,0x22000000,0x00002ffe,0x361df500,0x000002ff,0x00037fdc,
    0x027fc400,0x03ff7000,0x4002ffdc,0x4002fffc,0x0002fffa,0x20005ff5,
    0xfffffffa,0x03642fff,0x03ff7000,0xf8800000,0x0000004f,0x0ffb81dd,
    0x3f600000,0x0000000e,0x80000ff3,0x3fee04fc,0x7ffe4005,0x5ff70002,
    0x02fe4000,0xfffffc80,0x642fffff,0x3fa00006,0x00000002,0x00000ff3,
    0x3e601b70,0xf1000004,0x0000003f,0x00001fa8,0xbff7036c,0x2fffcc00,
    0x00ff2000,0x2000fb00,0xfffffffe,0x03642fff,0x004f8800,0x7dc00000,
    0x22000001,0x000d8805,0x002fa800,0x09900000,0x01e88000,0x2200bff7,
    0x0000fffe,0x40001fc4,0x7fc4001e,0xffffffff,0x0003642f,0x000005a8,
    0x00099000,0x00000000,0x0003c800,0x00040000,0xfb804400,0xfff9005f,
    0x13600009,0x00022000,0xfffffff3,0x6c85ffff,0x00010000,0x00800000,
    0x4c400000,0x10000001,0x00000000,0x70000000,0x3fe00bff,0x300002ff,
    0x00000009,0x7ffffffc,0x3642ffff,0x000a0000,0x00500000,0x37260000,
    0xacefffff,0x00000000,0x666665c0,0x02cccccc,0x6666664c,0x99973ccc,
    0x99999999,0x2017fee3,0x000ffffa,0x99990600,0x99999999,0x99999999,
    0x3fff6099,0x2fffffff,0x30000364,0x0000003f,0x00007e60,0xceffd880,
    0xeffdca9a,0x99999001,0x99999999,0x99999999,0xfffd7109,0x40013bff,
    0x0affffda,0x7ffff5cc,0x2ffdc1cf,0x037ffec0,0x7e4c0000,0xeeeeffff,
    0xffffeeee,0xffff707f,0x85ffffff,0x3200006c,0x0000004f,0x00009f90,
    0x007ffee0,0x2007ffd3,0xefffffc9,0xfeeeeeee,0x2207ffff,0x0006ffff,
    0x2200ffe4,0xf704ffff,0xffff00bf,0x40000009,0x2007fffa,0xf880ffc8,
    0xffffffff,0x0003642f,0x000fff88,0x7fc40000,0x6c00000f,0xb1000eff,
    0x2a001dff,0x22007fff,0x3f600ffc,0x540004ff,0xfffd006f,0x017fee05,
    0x009ffff1,0x7fc40000,0x0fc8007f,0xfffffd10,0x06c85fff,0x7fff7000,
    0xb8000000,0x00003fff,0x0003fff2,0x4401bffa,0xc8007fff,0x3fff200f,
    0x2fcc0003,0x01fffe80,0xf980bff7,0x00003fff,0x03fffc00,0xd100fc40,
    0x5fffffff,0xd00006c8,0x0000dfff,0x6fffe800,0xfff30000,0x3fee0009,
    0xffff003f,0x403f1000,0x0003fffc,0xfe802fcc,0xbff701ff,0x3ffffa80,
    0x7c000000,0x3b0007ff,0xfffda880,0x003642ff,0x7ffffd40,0x50000002,
    0x005fffff,0x0ffff880,0x3fffe000,0x07fff801,0x7e403b00,0x4c0003ff,
    0xfffd005f,0x017fee03,0x005ffff5,0xfff80000,0x00150007,0x6c85f530,
    0xfdfd8000,0x000005ff,0xbfffbfb0,0xfffd8000,0x7fdc0004,0x7fff806f,
    0x64015000,0x40003fff,0xffd005f9,0x17fee03f,0x07ffff30,0xff800000,
    0x0000007f,0x03642f88,0x3e3be200,0x00000fff,0x7fc77c40,0xf30000ff,
    0x00001fff,0xf807ffff,0x000007ff,0x0007fff9,0xfd005f98,0x3fee03ff,
    0x7fffc405,0x40000004,0x00007fff,0x642f8800,0x97e40006,0x0004fffd,
    0xfd97e400,0xf70004ff,0x20000fff,0x7c05fffe,0x000007ff,0x0007fff9,
    0xfd005f98,0x3fee03ff,0x5ffff805,0x7c000000,0x126007ff,0x90be2000,
    0x3fc4000d,0x000ffff3,0xf33fc400,0x36000fff,0x00006fff,0xf80ffffb,
    0x126007ff,0x01fffe40,0x4017e600,0xf701fffe,0xfffb00bf,0x8000000d,
    0x2a007fff,0x2f880004,0xf7000364,0x02fffe87,0x87f70000,0x8002fffe,
    0x0005fffe,0x01ffff90,0x5003fffc,0x3fff2009,0x2fcc0003,0x01fffe80,
    0xf700bff7,0x00003fff,0x03fffc00,0x100009b0,0x0006c85f,0xfff703fa,
    0x3a00000d,0x37ffdc0f,0x3fffe200,0xff700004,0x7ffc03ff,0x40136007,
    0x0003fffc,0xfe802fcc,0xbff701ff,0x0ffffe00,0xff800000,0x09f7007f,
    0xc85f1000,0x09f30006,0x0007fffe,0x3e09f300,0x26001fff,0x0003ffff,
    0x07ffff50,0xb803fffc,0xfff9004f,0x5f980007,0x03fffd00,0x5c017fee,
    0x0000ffff,0x7ffc01b0,0xeeeeeeef,0x0004fffe,0x03642f88,0xf901fd80,
    0x800009ff,0xfff901fd,0x7ffd4009,0xf300002f,0x7fc09fff,0xeeeeeeff,
    0x004fffee,0x0007fff9,0xfd005f98,0x3fee03ff,0x3fffe005,0x03c80004,
    0x7777fffc,0xffffeeee,0x2f880004,0x7c400364,0x3fffe606,0xdf100000,
    0x07fffcc0,0x3ffffa80,0xfff30000,0x7fffc07f,0xfeeeeeee,0xf9004fff,
    0x980007ff,0xfffd005f,0x017fee03,0x02ffffa8,0x3e01ae00,0xfc8807ff,
    0x2f880004,0x7e400364,0x1fffec02,0x02fc8000,0x801fffec,0x004ffff8,
    0x3ffff500,0x403fffc0,0xf9004fc8,0x980007ff,0xfffd005f,0x017fee03,
    0x07ffff70,0xf001f700,0x26c00fff,0x217c4000,0x07f8006c,0x006fffa8,
    0xf500ff00,0x7fc00dff,0x700005ff,0x7c01ffff,0x136007ff,0x01fffe40,
    0x4017e600,0xf701fffe,0xff7000bf,0xb3003bff,0x3ffe001d,0x0012a007,
    0x0d90be20,0x999cfa80,0xff999999,0x540001ff,0x999999cf,0x1ffff999,
    0x0dfffd00,0x3fff2000,0x03fffc07,0x3ee00950,0x4c0003ff,0xfffd004f,
    0x017fee03,0x7ffff4c0,0xfdb99ace,0x3fe000df,0x0126007f,0xd90be200,
    0xffffe800,0xffffffff,0x40005fff,0xfffffffe,0xffffffff,0xffff9005,
    0x3ff60000,0x3fffc05f,0x2e009300,0x40004fff,0xffd004fa,0x17fee03f,
    0xfffb7000,0x39ffffff,0x0ffff000,0xf1000000,0x26006c85,0xaaaaaadf,
    0xfffbaaaa,0xbf30000f,0x55555555,0x1ffff755,0x1ffff700,0xfffd0000,
    0x07fff807,0xfff70000,0x3fa80009,0x03fffd00,0x00017fee,0x566fd544,
    0x3fe00009,0x0000007f,0x03642f88,0xd8003fb0,0xb0003fff,0xffd8003f,
    0xfffd003f,0xff880007,0x7fff806f,0xff500000,0xfb8000bf,0x3fffd002,
    0x0017fee0,0x0005f500,0x003fffc0,0xf1000220,0xf1006c85,0xfff3000d,
    0x0df1000f,0x0ffff300,0x01fffe60,0x03fff900,0x000ffff0,0xfff88088,
    0x07ec0007,0x01fffe80,0x0000bff7,0x002fffc4,0x007fff80,0x22000f40,
    0xc803642f,0xffd0002f,0x2fc8005f,0x5fffd000,0x0ffff600,0x27ffc400,
    0x007fff80,0xfff80f40,0xff10002f,0x0ffff400,0x0005ffb8,0x0bfff220,
    0x1fffe000,0x8006b800,0x403642f8,0x2e0007f8,0x22006fff,0x3ee0007f,
    0xff1006ff,0x3f2000ff,0xfff000ff,0x035c000f,0x000bfff7,0xfe800ff6,
    0xbff701ff,0xff700000,0xfff00007,0x13e6000f,0xd90be200,0x0009f700,
    0x017fffc4,0x20004fb8,0x002ffff8,0x8009fff5,0x2001fffb,0x30007fff,
    0xfffe809f,0x037dc002,0x407fffa0,0x00005ffb,0x0000ffc8,0x000ffff8,
    0x88001fe8,0x2203642f,0x740002ff,0xf8806fff,0x7f40002f,0x3a2006ff,
    0xfd800dff,0x7fc000df,0xfe8000ff,0x7fffcc01,0x1ffd9803,0x3fffe200,
    0x00bff703,0x04ff9800,0xffff9800,0x1bfaa001,0x3217c400,0x007fe406,
    0x3ffff600,0x007fe403,0x3ffff600,0x77fdc003,0x3fae621b,0xff98003f,
    0x3aa001ff,0xffd1006f,0xb73379df,0x8001dfff,0x82fffffd,0xfffffffb,
    0x7f6c006f,0x4c0000ad,0xcdfffffe,0xeecccccc,0x10003fff,0x9306c85f,
    0x0001bfff,0x3fffffea,0x7ffe4c1c,0xff50000d,0x0039ffff,0x77fff6cc,
    0x001cefff,0xfffffe98,0xcccccccd,0x003fffee,0x3ffffae2,0x02efffff,
    0x3ffffb60,0x31efffff,0x99999999,0x00988007,0x7fff4400,0xffffffff,
    0xffffffff,0x2a0000ff,0x7fe414c0,0x01efffff,0xffffff50,0x3f2bffff,
    0x1effffff,0xfffff500,0x00bfffff,0x03797310,0x3fffa200,0xffffffff,
    0xffffffff,0x530000ff,0x03579995,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x55555510,0x01100555,0xc8000004,0x00005fff,0x00066200,0x31000000,
    0x00000001,0x00000000,0x00000000,0x0017fffc,0x01ffff40,0xfffff500,
    0xfc80dfff,0x037fcc3f,0x3ffe6000,0x000002ff,0xffffdb75,0xf000059d,
    0xf7007fff,0x0003dfbf,0x13fffa00,0x3e200000,0x3bee0002,0x0027f4c2,
    0x0fffffb8,0x3ffee000,0x510000ff,0xdff95555,0x23fffcc0,0x0002fffd,
    0x3ffbff60,0x6c400006,0xebabdeff,0x0001efff,0xd009fff3,0x003fe85d,
    0x2fffc400,0xfb800000,0xfff10000,0x02fffd8d,0x7ff7fc40,0xff10004f,
    0x0009fffd,0x206ff980,0x7ec7fff9,0x500002ff,0x0fff21df,0x7ffd4000,
    0x3ffaa202,0x5ffb8003,0xfa82fc80,0x2a00001f,0x00000eff,0x4000bd00,
    0x7f47fff9,0x7ec003ff,0x001ffd15,0x3fa2bf90,0x2600001f,0x7fe406ff,
    0x0037fcc3,0xfa81dd00,0x7e40000f,0xfd1000ef,0x7f4001bf,0x83fc400e,
    0x00003ffa,0x00003ff6,0x0017cc00,0xf50fffa0,0x7cc001ff,0x4005fd84,
    0x05fc85f8,0x1bfe6000,0x00080220,0x4c03ae00,0x3f60004e,0x7c4000ff,
    0xff1006ff,0x20bf5001,0x00004ffb,0x000007fe,0x00007c80,0x000a2033,
    0x01fb813a,0x2fa81360,0xdff30000,0x00000000,0x362006c4,0xfffa8001,
    0xfff50004,0x003f7007,0x7fcc1ff2,0x5f500001,0xe8000000,0x00000004,
    0xb3007500,0x26012600,0xff300005,0x0000000d,0x40000000,0x000ffff8,
    0x003fffa0,0x7fdc005b,0x00001102,0x000001e4,0x00007e60,0x00000000,
    0x00000000,0x00dff300,0x00000000,0x7fe40000,0x7dc0004f,0x000406ff,
    0x0007ffe6,0x00002000,0xb81b2000,0xcccccccc,0x64c02ccc,0xcccccccc,
    0x00000003,0x7cc00000,0x5555536f,0x2aa01555,0x9970aaaa,0x99999999,
    0xccc98059,0x23cccccc,0x000ffff9,0x1ffffc40,0x3ffa0000,0x0000001f,
    0x65400000,0x4405fffe,0xdfffffeb,0x3f6a0009,0x32e0afff,0xcccccccc,
    0x333321cc,0xcccccccc,0xcccccccc,0xff30004c,0x3ffffaad,0xfb500bef,
    0x75c41bff,0x09dfffff,0x3fff6a00,0x7ffe40af,0xffd00007,0x66665cbf,
    0x1ccccccc,0x02ffff98,0xcccccca8,0x402ccccc,0xccccccc9,0xdfb102cc,
    0x05dffd79,0x06ffff88,0x80ffe400,0xfffffeb9,0xfff9301c,0xddddddff,
    0xffffffdd,0x1bfe6000,0x001ffffb,0xff880ffe,0x640006ff,0xfffb01ff,
    0x3f20000d,0x7f5cc6ff,0x401cffff,0x403ffffb,0xfffffe98,0x73001bff,
    0x039fffff,0xffb0ffe6,0xffd807ff,0x7d40004f,0xffff8806,0xffff5004,
    0x07fe4400,0x237fcc00,0x800ffff8,0xffd806f8,0x7d40004f,0x17fffe06,
    0x7ffdc000,0xffff880f,0xffff5004,0x3fee00bf,0x90004fff,0xfe803fff,
    0x7ffdfc44,0x1fffe407,0x017e6000,0x8017fff4,0x8007fff8,0xf98000fc,
    0x3fffa86f,0xc803fa80,0x40003fff,0xfff105f9,0x2a00009f,0xfd01ffff,
    0x1d7005ff,0x01dffff7,0x07ffff90,0x007fee00,0x8fb81ff9,0x3202fffd,
    0x40003fff,0xffd005f9,0x7ffc003f,0x01f88007,0xd06ff980,0x1fd00dff,
    0x07fff900,0x305f9800,0x0007ffff,0x0bfffea0,0x200ffff4,0x7fffd45b,
    0xdfffd006,0x00ffa000,0x2bd09ff3,0x3200fffa,0x40003fff,0xffd005f9,
    0x7ffc003f,0x003b0007,0x2a0dff30,0x3e601fff,0x7fff9004,0x05f98000,
    0x005ffff5,0x3fffe600,0x03fffd04,0x7f4c07dc,0xff9805ff,0x7d4003ff,
    0x42ffc805,0x002a22f8,0x0007fff9,0xfd005f98,0x7fc003ff,0x0150007f,
    0x40dff300,0x3f205ffe,0x7fff9001,0x05f98000,0x007ffff5,0x3fffe600,
    0x03fffd03,0xffd102f4,0xfff9005f,0x07f4003f,0x2e0ffec0,0xfff90007,
    0x5f980007,0x03fffd00,0x003fffc0,0x3fe60000,0x07ffee06,0xff90037c,
    0xf980007f,0x9ffff305,0x3fea0000,0xfffd02ff,0x200fe203,0xfd004ffe,
    0x3f200dff,0x81ffd003,0xff90004e,0xf980007f,0x3fffd005,0x03fffc00,
    0x3e600000,0x2fffc06f,0xf9001fd4,0x980007ff,0xffff305f,0x3ee0000b,
    0xffd01fff,0x017ee03f,0x4c01ffe2,0x4c03ffff,0xfff1006f,0x8000fcc3,
    0x0003fffc,0xfe802fcc,0x3fe001ff,0x0126007f,0x80dff300,0x7f41fffb,
    0x3fff2000,0x2fcc0003,0x06ffff88,0xffff9000,0x07fffa01,0xfb803fe4,
    0xfff9001f,0x00ff401f,0x322fff98,0x3ff20006,0x7cc0003f,0x3fffd005,
    0x03fffc00,0x98000950,0x7fc406ff,0x0013e65f,0x0007fff9,0x3f605f98,
    0xb00007ff,0x7f40dfff,0x7ff501ff,0x001ff100,0xb82ffff4,0x7ffc003f,
    0xc8000fe3,0x40003fff,0xffd005f9,0x7ffc003f,0x00136007,0x900dff30,
    0x07f21fff,0x07fff900,0x205f9800,0x000ffffb,0x03fffe80,0x4407fffa,
    0x6e802fff,0x7fffcc00,0x40037c42,0x01f56ffe,0x3fff2028,0x2fcc0003,
    0x01fffe80,0x401fffe0,0x4c0004fb,0xff8806ff,0x9000df4f,0x80007fff,
    0x3fe205f9,0x440003ff,0x7f406fff,0x3ff601ff,0x0027c02f,0xb07fffe4,
    0xff90003f,0x5880db3f,0x00ffff20,0x200bf300,0x2001fffe,0xeeeeffff,
    0x4fffeeee,0x37fcc000,0xfcfffc80,0xfffc8002,0x2fcc0003,0x01fffee0,
    0x07fff900,0x201fffe8,0x503ffff9,0xfd10003f,0x013eabff,0x7efffdc0,
    0xf9016c03,0x980007ff,0xfffd005f,0x7fffc003,0xfeeeeeee,0x40004fff,
    0xf1006ff9,0x2000ffff,0x0003fffc,0x7f402fcc,0xf10003ff,0xffd00dff,
    0xfffa803f,0x0016c44f,0xf7ffff50,0x3e60001f,0x2e00ffff,0x1fffe407,
    0x017e6000,0x000ffff4,0x9100ffff,0xf980009f,0x3ff2006f,0xff90004f,
    0xf980007f,0x7fff9805,0x3fff9000,0x03fffd00,0x1bffff50,0xb00005d1,
    0x005fffff,0xdffffc80,0x2017ecc1,0x0003fffc,0xfe802fcc,0x3fe001ff,
    0x0136007f,0x00dff300,0x000fffcc,0x003fffc8,0x9802fcc0,0x54004fff,
    0xfd001fff,0x3e6003ff,0x001eefff,0xbffff100,0x3ffa0000,0xfffeefff,
    0x3fffb804,0x027cc000,0x001fffe8,0xa801fffe,0x7fcc0004,0x037ec006,
    0x07fff700,0x004f9800,0x0037ffe6,0x8007fff2,0x2001fffe,0x00ffffe8,
    0x3fff2000,0xff100003,0xbfffffff,0x13ffee00,0x009f5000,0x8007fffa,
    0x26007fff,0x7fcc0004,0x017dc006,0x09fff700,0x004fa800,0x0d77fdc4,
    0x033ff6a2,0x03fffd00,0x5fffd880,0x3fee0000,0x3a00003f,0x3ffffffe,
    0x13ffee00,0x007f5000,0x8007fffa,0x00007fff,0x037fcc00,0x70001fa0,
    0x80009fff,0x910003fa,0xfffdffff,0x3a00019f,0x90001fff,0x00007fff,
    0x000fffee,0xaa98fcc0,0x7fd40009,0x7dc0005f,0x3fffd002,0x03fffc00,
    0x3e600000,0x13e6006f,0xbfff5000,0x02fb8000,0x7fff4400,0x40002fff,
    0x0001fffe,0x0001bff2,0x001fffdc,0x00006c80,0x001fffe2,0x3a001fb0,
    0x3e001fff,0x440007ff,0x1bfe6000,0x0000fd80,0x003fffc4,0x00003f60,
    0x37ffffe4,0x3fffa000,0x7fec0001,0xffb80000,0x7f00003f,0xfff80000,
    0xff10002f,0x0ffff400,0x00ffff00,0x26001e80,0xbf3006ff,0x3ffe0000,
    0xff10002f,0xffb80000,0x20004fff,0x5c01fffe,0x03ff505f,0x7fff7000,
    0x01f50000,0xfffb8000,0x07fb0005,0x00ffff40,0x000ffff0,0x3e60035c,
    0x03fd006f,0x3ffee000,0x07fb0005,0xfff30000,0x3a0005ff,0x7fc01fff,
    0x001ff00f,0x07fff700,0x000bb000,0x0bfffa00,0x800df700,0x2001fffe,
    0x30007fff,0xff98009f,0x26f7f626,0x400005fd,0x4002fffe,0x000006fb,
    0x0bffff22,0x07fffa00,0xf101ffd0,0x3f20000d,0x440003ff,0x3000002f,
    0x3007ffff,0xe8003ffb,0x3e001fff,0xe8000fff,0x7fcc001f,0x3fffff26,
    0x400000ef,0x803ffff9,0x0001ffd9,0xfffc8800,0x7fff4003,0xb83fe401,
    0xf900002f,0xa80009ff,0x2000000f,0xbcefffe8,0xefffdb99,0x7ffc4000,
    0xfff3003f,0x7f54003f,0x6ff98006,0x3bffffee,0xd1000000,0x3379dfff,
    0x01dfffb7,0xb8800000,0xf8801eff,0xfe803fff,0x0002fcc0,0x00bfffd0,
    0x00005d80,0xfffeb880,0x2effffff,0xffffb000,0xffe9805f,0xccccdfff,
    0xfffeeccc,0x3fffea03,0x7ec6ffff,0x00000cff,0x7fff5c40,0x2effffff,
    0x80000000,0x80acddca,0x02fffffd,0x7f5e7ec4,0x3ee00003,0x001bffff,
    0x00000000,0x2f332aa6,0xfed8001a,0xffffffff,0xffffd11e,0xffffffff,
    0xffffffff,0x6664c01f,0x883ccccc,0x00000009,0xbcccaa98,0x0000001a,
    0x6c2a2000,0xfffffffe,0x2a201eff,0xd700001a,0xffffffff,0x000007df,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x000bfff9,
    0x00aa8000,0x20000022,0x002600aa,0x00000000,0x00000000,0x00000000,
    0x15500000,0x80000440,0x00098001,0x5fffff30,0xd5000000,0x19019fff,
    0x7f5c0000,0x001b03ff,0x307bf200,0x000009fd,0xfe983df9,0x6fec4004,
    0x80177dc0,0x7540dfd8,0x2a00003f,0xc80cfffe,0x0f980000,0x00bff600,
    0x3ffbff60,0x54000006,0x3fffffff,0xf500003c,0x45ffffff,0xf3000078,
    0xfffd8dff,0x3e600001,0x7ffec6ff,0x3ffee001,0x01fffe23,0x3e27ffdc,
    0x80000fff,0xfffffffa,0x980003c3,0xfff1001f,0x0efa800d,0x00007ff9,
    0x7fd4e740,0x05fcefff,0x2a73a000,0xfcefffff,0xff500005,0x2fffe8df,
    0x3fea0000,0x17fff47f,0x49fff900,0x800ffff9,0x3e25fffc,0x80000fff,
    0xfffea9cd,0x0006ecef,0x3ffffb26,0xfff301ce,0x40ee800d,0x00000ffb,
    0xffff90d0,0x400001ff,0x7fffe446,0x200000ef,0x7fdc3ffe,0xfe800006,
    0x037fd43f,0xb07ffe60,0x3e2009ff,0x2ffe41ff,0xfc868000,0x000fffff,
    0xfceffc88,0x43effecb,0x2005fff8,0x09d300eb,0x20910000,0x001dfec8,
    0x6440e200,0x00001dfe,0x005100a8,0x88054000,0x01510002,0x02a00066,
    0x880000cc,0x3bfd9104,0x3dfd1000,0xfffa83e6,0x8027ffc0,0x0ec400d8,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x1ffc8000,0x1ff303e6,0x0003ffe8,0x00000000,0x00000000,0x00000662,
    0x00033100,0x000a0000,0x00000000,0x20000000,0xff980002,0x7e407cc6,
    0x000ffe40,0x2a0000a0,0x2ccccccc,0xcccc8800,0x002ccccc,0x3ffff726,
    0x0000acef,0x3fff7260,0x000aceff,0x00fcc000,0x33332e00,0x1ccccccc,
    0x33333332,0xcccccccc,0x04cccccc,0x007e6000,0x98bff700,0x5c0f980f,
    0x260000ff,0x4c40001f,0x1fffffea,0xfffb5000,0x3620013d,0xca9aceff,
    0x0001effd,0x5677fec4,0x1effdca9,0x3f200000,0xeb980004,0x01cfffff,
    0xdfffff93,0xfddddddd,0x000fffff,0x00027e40,0x1f31fff2,0x0ff303e0,
    0x004fc800,0x7fffdc00,0x3f20000e,0x7ffdc007,0x1fff4c01,0x1fffb800,
    0x01fff4c0,0x7ffc4000,0xff100000,0x3ea009ff,0x322007ff,0x880000ff,
    0x20000fff,0x3e61fffb,0x5f881d00,0x3ffe2000,0x7dc00000,0x20005fff,
    0x3f6005fa,0xfb1000ef,0x7ec001df,0xfb1000ef,0x400001df,0x0003fffb,
    0x00bfffa0,0x003fffc4,0x400007e4,0x0003fffb,0xf997ffe2,0x0027c000,
    0x007fff70,0xffffd000,0x13e60009,0x007ffe40,0x8037ff40,0x8000fffc,
    0x00006ffe,0x001bfffa,0x01fffe80,0x001fffe0,0x200007e2,0x0006fffe,
    0x4c77fff4,0x016c000f,0x0dfffd00,0xfffd0000,0xf30005ff,0x9fff3009,
    0x3ffee000,0x27ffcc03,0x3fffb800,0xfffa8000,0xd00002ff,0x7c003fff,
    0x3b0007ff,0xfffa8000,0x320002ff,0x0faeffff,0x2a000000,0x002fffff,
    0x7ff7f400,0x7cc001ff,0x7fffc404,0x3ffe0000,0xffff101f,0x7ffc0001,
    0x7ec0001f,0x0005fffd,0x003fffd0,0x8003fffc,0x7ec0000a,0x0005fffd,
    0x7fffffec,0x20000000,0x05fffdfd,0x7c7f4000,0x2000ffff,0x7fec04f9,
    0x7dc0004f,0xfffb06ff,0xffb80009,0x3e20006f,0x00ffff8e,0x1fffe800,
    0x01fffe00,0x7c400000,0x00ffff8e,0x7fffec00,0x000000df,0xfff8ef88,
    0x3a00000f,0x0dffff57,0xf3027cc0,0x00001fff,0xf987ffff,0x80000fff,
    0x0003ffff,0x3fff65f9,0xffe80004,0x3ffe001f,0x00000007,0x3fff65f9,
    0xffc80004,0x4401efff,0xfc8004fd,0x009fffb2,0xff73f400,0x3e6009ff,
    0x1fffee04,0x7fff4000,0x03fffdc5,0x5fffe800,0x267f8800,0x80007fff,
    0x2001fffe,0x26007fff,0x7f880004,0x001fffe6,0x7ffff4c0,0x3fff203f,
    0x99fe2003,0x00007fff,0xffff91fa,0x409f3007,0x0006fffd,0xd8ffffb0,
    0x00006fff,0x000ffffb,0xfffe87f7,0x7ff40002,0x3ffe001f,0x0012a007,
    0xffd0fee0,0x2200005f,0x05fffffd,0x4009fffb,0x7fff43fb,0x0fd00002,
    0x803ffffd,0x3ffa04f9,0xf900005f,0x7ff41fff,0xf900005f,0xe8001fff,
    0x37ffdc0f,0x3fffa000,0x1fffe001,0x80004d80,0x7ffdc0fe,0x3e600006,
    0x40dfffff,0x2001fffa,0x7ffdc0fe,0x0fd00006,0x01fffff1,0xff8827cc,
    0x700004ff,0x3e23ffff,0x00004fff,0x003ffff7,0xfff827cc,0x3fa0001f,
    0x3fe001ff,0x09f7007f,0xf04f9800,0x00003fff,0x3fff67e6,0x000b986f,
    0x7ffc13e6,0x7e80001f,0x0dffff30,0xff9827cc,0x500003ff,0x3e67ffff,
    0x00003fff,0x007ffff5,0xffc80fec,0x3fa0004f,0x3fe001ff,0xeeeeeeff,
    0x004fffee,0xfc80fec0,0x300004ff,0x3fffee1f,0x1fd80003,0x009fff90,
    0x7d40fd00,0x9f305fff,0x0bfffea0,0x7ffcc000,0x5ffff54f,0x3fe60000,
    0xdf1004ff,0x07fffcc0,0x1fffe800,0x3bfffe00,0xffeeeeee,0x220004ff,
    0x3ffe606f,0xf980000f,0x83fffee0,0xdf1001c9,0x07fffcc0,0x901fa000,
    0xf307ffff,0x3fffea09,0xff300003,0x3ffea7ff,0xf300003f,0x32007fff,
    0x7ffec02f,0xfffd0003,0x3fffc003,0x0027e440,0xfd805f90,0x980003ff,
    0x8fffec0f,0xc801fffb,0x7ffec02f,0x03f40003,0x217fffec,0xfff104f9,
    0x2a00009f,0xff11ffff,0x200009ff,0x001ffffa,0xfff500ff,0x3ffa000d,
    0x3ffe001f,0x00136007,0xffa807f8,0xf980006f,0xe97ffd40,0x7f804fff,
    0x06fffa80,0x4403f400,0x261ffffe,0x3fffe04f,0xff700005,0x7fffc1ff,
    0xff700005,0x9f5001ff,0x33333333,0x003ffff3,0x003fffd0,0x5003fffc,
    0x33ea0009,0x99999999,0x801ffff9,0xf01f302d,0x3fff25ff,0x4ce7d402,
    0xf9999999,0x20001fff,0xfff3007e,0x813e61df,0x0006fffe,0xe8ffff90,
    0x00006fff,0x200ffff9,0xfffffffe,0xffffffff,0xfffe8005,0x1fffe001,
    0xd0004980,0xffffffff,0xbfffffff,0x3e609b00,0x910fff80,0xfffd007d,
    0xffffffff,0x000bffff,0xff5003f4,0x813e6bff,0x0007fffc,0xc8bfffb0,
    0x00007fff,0x300bfffb,0x555555bf,0xfff75555,0xffe8001f,0x3ffe001f,
    0x98000007,0xaaaaaadf,0xfffbaaaa,0x9836c00f,0x03ffcc0f,0xaaadf980,
    0xbaaaaaaa,0x0000ffff,0xffb800fd,0x204f9cff,0x000ffffb,0x43fffe80,
    0x000ffffb,0x03fffe80,0x6c001fd8,0x74003fff,0x3e001fff,0x000007ff,
    0x6c001fd8,0x7ec03fff,0x7e40f983,0x3fb0002f,0x3fffd800,0x000fd000,
    0x9f9ffffb,0x03fffe80,0x37ffc400,0x003fffe8,0x037ffc40,0x4c0037c4,
    0x74007fff,0x3e001fff,0x440007ff,0x001be200,0xb01fffe6,0x20f985ff,
    0x10004ffb,0xff3000df,0x1fa000ff,0x7ffff400,0x7ffcc04f,0x7fe40007,
    0xffff301f,0xfffc8000,0x002fc801,0x005fffd0,0x000ffff4,0x8000ffff,
    0x00bf201e,0x017fff40,0x313bfffb,0x07ff931f,0x0017e400,0x002fffe8,
    0xf10007e8,0xb009ffff,0x20007fff,0x6c04fff8,0x10003fff,0xf1009fff,
    0x7fdc000f,0x3ffa006f,0x3ffe001f,0x81ae0007,0x2e0007f8,0x65406fff,
    0xfffeffff,0x220001df,0x3ee0007f,0x7f8006ff,0x3ffe6000,0xfff8804f,
    0xfff90007,0x7fff8801,0x1fff9000,0x0009f700,0x017fffc4,0x001fffe8,
    0x4001fffe,0x13ee04f9,0xffff8800,0xfb553002,0x2e000039,0x3e20004f,
    0x7c002fff,0x7fdc0007,0xfff5004f,0xfffb8009,0x9fff5001,0x1fffb800,
    0x002ff880,0x037fff40,0x001fffe8,0x0003fffe,0x7fc407fa,0x7ff40002,
    0x0f98006f,0x5ff10000,0xfffe8000,0x07fe2006,0x09ff9000,0x06fff440,
    0x006ffec0,0x037ffa20,0x0037ff60,0x00007fe4,0x00fffff6,0x007ffff1,
    0x007fffe6,0x3206fea8,0x6c0000ff,0x4003ffff,0x900000f9,0xd80001ff,
    0x8803ffff,0x0002dffd,0x5c0027ec,0x2621beff,0x0003ffeb,0x10df7fdc,
    0x007ffd73,0x037fff26,0x7fffd400,0xffb01cff,0xe9805fff,0xccdfffff,
    0xfeeccccc,0xffc983ff,0xf50000df,0x039fffff,0x20000a20,0x00dfffc9,
    0xfffff500,0xffdb039f,0x00dfffff,0x40013a20,0xfefffed9,0x0001ceff,
    0xdfffdb30,0x0039dfff,0x3ffffff2,0xff5001ef,0xffffffff,0x3ffffb6b,
    0x11efffff,0xfffffffd,0xffffffff,0x81ffffff,0xfffffffc,0xfff5001e,
    0xbfffffff,0x32000000,0xefffffff,0xffff5001,0x0bffffff,0x18800000,
    0xcb988000,0x8000001b,0x001bcb98,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x9d930000,0x04000001,0x00000000,
    0x00000000,0x00260000,0x000a9800,0x18800004,0x00000000,0x00004000,
    0x00000098,0x07fd9df7,0xefd98000,0x4c000003,0xfc9803fc,0x1ec00004,
    0x6cc00d40,0x0003ffff,0xc88037c4,0xf880006f,0xfd930006,0x00005bdf,
    0x1bf221f6,0x00bf2000,0x32274000,0x3ea00006,0x0005fcad,0x3fffea80,
    0x13fff6a0,0x3dd30000,0x8807fd50,0x09ff54ff,0x400fec00,0x0006ffed,
    0xc8001fd8,0xffdaacff,0x3e20000d,0x037ff6c4,0x0013e600,0x2207d400,
    0x9b00001f,0x00000f98,0x0fffff7a,0x27fffef4,0xcfd80000,0x800dfd98,
    0x17fdc4fe,0x001fd400,0x50001bf6,0xffb0007f,0x01dff505,0x6c07ea00,
    0x7f40006f,0xf5000000,0x0002f881,0x04e81f98,0xfffa8000,0x27ffcc03,
    0xffb00000,0x3f2003df,0x037fc41f,0x2001be20,0x220006fd,0xff98006f,
    0x013ff205,0xdfb03ec0,0x017dc000,0x90fe0000,0x3e20000d,0x00003f82,
    0x803fff88,0x00004fff,0x00bfff20,0xffd07fe8,0x007ec003,0x00037e40,
    0xfb0003f9,0x7ffcc05f,0x027c4000,0x22000df9,0x8000005f,0x03febdfc,
    0xb8372000,0xf000000f,0xffd007ff,0xf5000009,0x003ffd7f,0x3f60fff1,
    0x07f5003f,0x001bf200,0xf80027cc,0x3fe201ff,0x0fd4001f,0x2000df90,
    0x000000fd,0x003bfb30,0xecff9800,0x2000004f,0xfe803fff,0x2600004f,
    0xfff30cfe,0x07ff9803,0xf1009ffb,0x37e4000b,0x0006e800,0xf801fff1,
    0x36c003ff,0x2001bf20,0x000002fb,0x00027e40,0x0019d700,0x3fff8000,
    0x004ffe80,0x32037200,0x3ea01fff,0x0bff906f,0x40001fb0,0xfc8006fc,
    0xfff30001,0x17ffc401,0xc809f100,0x2fc4006f,0x22000000,0x00000fff,
    0x80000000,0xfe803fff,0x0000004f,0x4c0dfff1,0x9ffb07ff,0x0002fb80,
    0x260037e4,0x3ea0004f,0x3ffcc07f,0x9007ee00,0x0fd800df,0x5c000000,
    0x00003fff,0x80000000,0xfe803fff,0x0000004f,0x440fffea,0x7ffb07ff,
    0x0002fc40,0x3a0037e4,0x3ee0000e,0x2ffd407f,0x3201b600,0x0fea006f,
    0x3a000000,0x00006fff,0x2f7fb722,0xb730000a,0x3ffe5bdd,0x44ffe803,
    0x001bdec9,0xdacdca88,0xffd00fff,0x403ffd01,0xc80000fe,0x0bee006f,
    0x0fff7000,0x2002ffe8,0x6fc804f8,0x000df100,0xfff50000,0x900005ff,
    0xfff97bff,0xffc8003f,0xffdfecac,0x4ffe803f,0xffffffd1,0x677e4007,
    0x5fffefec,0xf883ff90,0x00bee06f,0x8037e400,0xb80005f9,0xdfb107ff,
    0x01fb8003,0xfb006fc8,0x00000003,0x0bfffbfb,0x42ffc800,0x000effc8,
    0xfe881bfb,0xfe803fff,0xffffe8cf,0x4c05ffff,0xfff984fe,0x8bfd01ff,
    0x9f301ffb,0x3fec0000,0x0000fe80,0x6d47ffb8,0xd8000eff,0x00ffb006,
    0x000007f5,0xff1df100,0x2a0001ff,0xfff107ff,0x40ffd009,0x803fffe8,
    0x8beedffe,0x3ffffea8,0x4c09fd10,0xd104ffff,0x80ffee5f,0x200000ee,
    0x2fb807fd,0xfff70000,0x3effffa8,0x4013e200,0x37c407fd,0xc8000000,
    0x09fffb2f,0x81bff200,0x7dc05ffe,0x7ffdc03f,0x4fffe803,0x0ffffb10,
    0xf7003ff2,0x75c40fff,0x3f201dff,0xec800801,0xf106efff,0x806a200b,
    0xfb307ffb,0x3ee00bff,0x7fff6401,0x203f906e,0x00009a98,0xff99fe20,
    0xff70007f,0x02ffec09,0xf300dff1,0xffd007ff,0x7fffd00b,0x8805ff98,
    0x0802ffff,0x2604f980,0x001ceffc,0x1001fb00,0x7fdc07ff,0x2fffec07,
    0x000036c0,0x7fdc13e6,0x00003fff,0xfffe87f7,0x1dd88002,0xc81bff20,
    0xfff005ff,0x09ffd007,0xd8bfff50,0xffb004ff,0x3a00009f,0x5cffe206,
    0x5c0000ff,0x7ffd003f,0x403ffdc0,0x2201fffe,0x7400003f,0xfd9df506,
    0xd00009ff,0x6fffb81f,0xfb880000,0x3ffe06ff,0x07fff004,0x2009ffd0,
    0x7ffc6fff,0xbfff5003,0x03f90000,0xdf913fa2,0x17e20001,0x01fffe40,
    0xf700fff7,0x0fdc0bff,0x03f90000,0x3fff30ba,0x827cc000,0x0001ffff,
    0xffdbfb50,0x0fffe20d,0x401fffc0,0xfb004ffe,0x17ffc4ff,0x06fff880,
    0xb027cc00,0x5ff983ff,0x001fb000,0x407ff3f7,0xf8807ffb,0x01ba07ff,
    0x504f9800,0x00fff209,0xf901fd80,0xa80009ff,0xdff91cfe,0x00bffe60,
    0x7401fffc,0xff9004ff,0x0bffea1f,0x03fffc40,0xf80dd100,0x00fff07f,
    0xf3007f50,0xfb80ffe5,0xfffb007f,0x0007f101,0x40007740,0x10001ff9,
    0x7ffcc0df,0xfe98000f,0x837fe40d,0xf003fffb,0xffd007ff,0x9ffee009,
    0x2004fffb,0x20007fff,0x3fe201fc,0x001ffd07,0x7c4037c4,0xfb80ffe4,
    0xfff9007f,0x0003f703,0x4000bee0,0x320006fb,0x7ffec02f,0x27fcc003,
    0xf706ffc8,0x3fe009ff,0x4ffe803f,0x54dff900,0x3a005fff,0xf50005ff,
    0x06ffa807,0x6c005ffd,0x7c5e801f,0x1ffee03f,0x40fffdc0,0xf300006e,
    0x1fec000b,0x500ff000,0x5400dfff,0x3ff205ff,0x0bfff506,0x200fffe0,
    0xfb004ffe,0x37ffcc9f,0x007ffd00,0xf700df10,0x13ff60df,0x6401fd40,
    0x701ffc0e,0x3ea00fff,0x01fc40ff,0x000fe800,0x4000bf30,0x99999cfa,
    0xffff9999,0x05fff001,0xf9837fe4,0xfff006ff,0x09ffd007,0xf88fffa0,
    0x3fe007ff,0x0fd8001f,0xd06ffa80,0xdd1007ff,0xff01f700,0x03ffdc07,
    0xfb87ffa8,0x2fb80001,0x00dd1000,0xfffffe80,0xffffffff,0xff9805ff,
    0x1bff200f,0x802ffff8,0xfe804fff,0x1fff004f,0x802fffe8,0x4000fff8,
    0xff1003fa,0x00bffa0f,0xff1007f2,0xdffddddd,0x0fff709d,0x3a17fee0,
    0x5f880006,0x003ba000,0xaaadf980,0xbaaaaaaa,0x5400ffff,0x3f603fff,
    0x3fff206f,0x04fff806,0xb804ffe8,0xfffa82ff,0x05ff9806,0x2002fc40,
    0x3fff07ff,0x9804f980,0xffffffff,0xffb85fff,0xf7037a67,0x003f885f,
    0x0000fd80,0xd80001bb,0x7fec001f,0x7ffcc03f,0x4ffff906,0x3fffe20a,
    0x17ffe605,0x2013ffa0,0x3ff605fe,0x07fec04f,0x0003f600,0xff983ffb,
    0x0006e805,0x7dc07ff0,0xb0bff67f,0x001f70df,0x8003fb80,0x003305e8,
    0x26001be2,0x7c407fff,0xeb8aefff,0x6cbfffde,0x1effffb8,0x57ffffdc,
    0x7fffd019,0x1007fec0,0x2603ffff,0x7dc002ff,0x4fe88002,0x3200ffe4,
    0xff00001f,0x93ffe407,0x0ffcc5ff,0x22000374,0xde98005f,0x1fba9999,
    0x0005f900,0x700bfffa,0x9fffffff,0x03bfffea,0x7fffffdc,0xffff9efe,
    0xffd301df,0x3f6615bf,0xffd8800d,0x5ff711df,0x005f8800,0x3233fe20,
    0x27cc02ff,0x07ff0000,0xf89fffe6,0x105ff73f,0xfd80007f,0x7ffd4000,
    0x06ffffff,0x4000ff10,0xb806fffb,0x221effff,0x4c00dffe,0x0dffffff,
    0x20019fff,0xffffffea,0xffb8002f,0x00cfffff,0x0000fe80,0x0efff5c4,
    0x00007f40,0xff985db0,0x7ed47fff,0x1f701dff,0x01fd4000,0x3bbbba20,
    0x002eeeee,0x440009f7,0x8802ffff,0x002600a9,0xc8159510,0x2e620002,
    0x880000ab,0x0000abca,0x10000026,0x00009800,0x31000000,0x80007700,
    0x00000018,0x002ff880,0x037fff40,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80001ff9,0x983ffffd,
    0xdddddddd,0xdddddddd,0x225ddddd,0xaaaaaaaa,0xaaaaaaaa,0x002aaaaa,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x6fffe4c0,
    0xfff50000,0x7d439fff,0xffffffff,0xffffffff,0x3ea7ffff,0xffffffff,
    0xffffffff,0x0007ffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3ffffff2,0xff5001ef,0xffffffff,0x4444444b,0x88888888,
    0x08888888,0x2aaaaaa2,0xaaaaaaaa,0x2aaaaaaa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00110000,
    0x00004400,0x2aaa6000,0x55540001,0x15300002,0x018054c0,0x001a8800,
    0x2aa20031,0x5100001a,0x10001555,0x00015555,0x06aaaa00,0x00373000,
    0x77ff5c40,0x1fcc0003,0x80000fb0,0x0006fffe,0x00ffffea,0xc803f200,
    0x02ffd40f,0x3fff6ea0,0xfd02deff,0xffffb001,0xff900001,0x7ec0009f,
    0x800003ff,0x000efff9,0x00bffe60,0x7fe676c0,0x1ba0003f,0x00003f50,
    0x0fffffee,0x7ffff400,0x3f40000f,0x3ffa1ba0,0xffd8801f,0xfeca9abd,
    0x00bf21ef,0x13ffffe6,0x17ffa000,0x17ffa000,0x3fee0000,0x7e40001f,
    0x5b8005ff,0x90007ff8,0x04f8803f,0xccff8800,0x5c000fff,0x04ffeaff,
    0x3e02fc00,0x1ffffc45,0x007ffea0,0x7f79ffd1,0x3efbfa00,0x220001ff,
    0x80000eff,0x0000ffe8,0x000fff40,0x027ffdc0,0x07fb8040,0xb004f980,
    0x9f90000f,0x10027fd4,0x0ffe43ff,0x203f9800,0x7ffc43f9,0x37ff204f,
    0xfffd1000,0x997ea00b,0x2e0006fe,0x200000ff,0x00002ff9,0x0000ffe2,
    0x0006fe44,0x0007fb00,0x0fd400dd,0x107f3000,0x3f2001fd,0x0005fb81,
    0x0fdc05f5,0xd81ffffc,0x44000fff,0xbf006ffe,0x0005fb10,0x000007f6,
    0x800017ea,0x000004fb,0x3f980000,0x001fb800,0xd80013e2,0x4402ec03,
    0x00ba600e,0xfd803f20,0x82fffe80,0x8004fffa,0x403fffe8,0x0035c04b,
    0x000017c4,0x40000f70,0x0000005d,0x7f5c4000,0x027cc003,0x88003ec0,
    0xa8017002,0x80038800,0xe837407e,0x7fc41fff,0xfd8000ff,0x0e01fffe,
    0x26000cc0,0xc8000003,0x00b00001,0x00004000,0x77fff744,0x001fd000,
    0x00005f50,0x00000000,0x7c40bf00,0x81fffb05,0x8004fffc,0x6fffabfb,
    0x00000000,0x00000000,0x00000000,0xd980000d,0x2fb803ff,0x0013e000,
    0x00000000,0x409f3000,0xfff903fa,0x00ffff98,0xff8afd40,0x000003ff,
    0x00000000,0x00000000,0x00006800,0x4406ff88,0x3ec0005f,0x3f72a000,
    0x950002ce,0x880159dd,0xefeeeeee,0xfeeeeeee,0x3fee5eee,0x03fffe47,
    0xffd1be60,0x76e440bf,0x4000abdf,0xabdfedc8,0x55555400,0xaaaa882a,
    0xaaaa80aa,0xaaa882aa,0x44000aaa,0xfb000006,0x000fd80d,0x40017d40,
    0xffecdfe9,0xfd8800df,0x4fffdbcf,0x3ffffe60,0xffffffff,0x26ffffff,
    0x7fec6ffa,0x3fa2006f,0x83fffe40,0xffcbdffc,0xff9001ff,0x3ffff97b,
    0x7fff6540,0xfffdb886,0xffeca82f,0xffdb886f,0x2d4002ff,0x5fb80000,
    0x0000bee0,0x3ea0027c,0x7fffcc0d,0x213fe600,0x000dffe8,0x40dd01ba,
    0x7ffc5ff9,0x07f6005f,0x903fffee,0xffc885ff,0x17fe400e,0x003bff22,
    0xc80dfff1,0x3e202fff,0x7fe406ff,0x0174002f,0x01fe8000,0x40000bf1,
    0x1be6007d,0x105fffa8,0x7fc40bff,0x0bf1006f,0xff1027c4,0x27fffc49,
    0xf703fc80,0x7fd43fff,0x09fff107,0xf883ffd4,0xffe804ff,0x17ffd406,
    0x501bffa0,0x5c005fff,0x3b60000f,0x02fd98ac,0x800003f6,0x3fd002fa,
    0x82fffd80,0x7dc00ffd,0x3f9803ff,0xff00fe60,0x1ffffcc7,0xf5027d40,
    0x7fe47fff,0x817ffa06,0x3fa06ffc,0x6ffd805f,0x017ffc40,0xf101bff6,
    0x3ea005ff,0x7fe40004,0x2a00cfff,0x0351003f,0xdf5009f0,0x89fff900,
    0xff006ff9,0x1fb801ff,0xff007ee0,0x17fffd45,0xf301be60,0x7fdc9fff,
    0x817ff604,0x3f604ffb,0x6ffc805f,0x017ffc40,0xf101bff2,0xff1005ff,
    0x06200003,0x88037c40,0x07d803ff,0xaaaaefe8,0xfffdaaaa,0x802ffdc5,
    0x6c04fffb,0x003f600f,0x7ffcc5fd,0x03fe203f,0x49ffff30,0x3f201dd8,
    0x0776206f,0xc806ffc8,0x7fc406ff,0x37fe402f,0x00bffe20,0x000017fa,
    0x800fec00,0xfa803ffe,0x7ffffc02,0xffffffff,0x27fec7ff,0x05fff980,
    0x01ba0374,0xfff887f6,0x007fa04f,0x00ffffea,0x06fffb88,0x3ffee200,
    0x06ffc806,0x2017ffc4,0x7c406ffc,0x7fec02ff,0x80000002,0xff9004fa,
    0x817e007f,0x80005ff8,0xf1003fff,0x2fc40fff,0xf9009f10,0x04fffe81,
    0x3ea007f9,0xda802fff,0x006ffedf,0xffedfda8,0x06ffc806,0x2017ffc4,
    0x7c406ffc,0x3fea02ff,0x80000007,0x3f7006f8,0x1f2007ff,0x0006ff98,
    0x001fffcc,0x3a21ffff,0xeeeffeee,0xeeefeeee,0x6c3dc5ee,0x4fb85fff,
    0x3fffee00,0x473faa00,0x2a006ffc,0xdff91cfe,0x80dff900,0x6402fff8,
    0x7fc406ff,0x13ffa02f,0x32000000,0xf3f9801f,0x0bea007f,0x0003ffd4,
    0x8013ffee,0x3fe67ffe,0xffffffff,0xffffffff,0x7e43546f,0x037cc7ff,
    0x41bfff20,0x7e40dfe9,0xdfe9806f,0x4037fe40,0x7c406ffc,0x7fe402ff,
    0x17ffc406,0x001fffb8,0x27cc0000,0x7ff27c40,0xf982fc00,0x2a0000ff,
    0x3a004fff,0x03f606ff,0x0b3007d8,0x223ffff5,0x7f4000ef,0x4ff983ff,
    0x980dff90,0xdff904ff,0x80dff900,0x6402fff8,0x7fc406ff,0x0fffb02f,
    0x0001dd88,0xbd001dd0,0x32003ff8,0x07fff107,0x3ffe6180,0x13ffa006,
    0x037c06e8,0xfffb0188,0x10007fa7,0xfa81ffff,0x1bff205f,0x3205ffa8,
    0xffc806ff,0x17ffc406,0x101bff20,0x3fa05fff,0x37fdc06f,0x017e4000,
    0x0ffe0764,0xff02fa80,0x9a2001ff,0x000ffff8,0x3e205fff,0x0013e204,
    0x37bffe20,0xffd8002f,0x02fff83f,0xff81bff2,0x1bff202f,0x101bff20,
    0xfc805fff,0x7ffc406f,0x80bfff02,0x0001fffa,0x3ee017e6,0x4003ff81,
    0x9fffb05f,0xffb0f200,0x3ffe007f,0x5407f300,0xf700002f,0x30009fff,
    0xff30dfff,0x37fe401f,0x200fff98,0xfb806ffc,0x7ffc407f,0x03ffdc02,
    0x7c0bffe2,0xfff806ff,0x03fa0002,0xddddff10,0x009ddffd,0x3fe603f2,
    0x07dc05ff,0x201bffe6,0x3ee05ff9,0x0007ee01,0x00fffe80,0x80fffd80,
    0x3603fffa,0xfff506ff,0x037fec07,0x2e03ffd4,0x7d402fff,0x7ffdc07f,
    0x00fffb02,0x20001ff9,0xff9802fb,0xffffffff,0x05f3005f,0x2bbffff6,
    0x209fb710,0x6c03fffc,0x03f600ff,0xfd3007d8,0x37ffd407,0x07ffee00,
    0xc837ffcc,0x4c2a7fff,0xff906fff,0x7cc054ff,0xffdb02ff,0xfff9807f,
    0x7fffdb02,0x00fffea0,0x26000df7,0xff00005f,0x20bf0007,0xfffffff8,
    0x2206ffff,0xf302fffe,0x406e805f,0xfffd006e,0xffdfd103,0x3bff200b,
    0x3fffe201,0xfdeeb8ae,0x3e26cbff,0xeb8aefff,0x6cbfffde,0x39ffff10,
    0xfff3bd51,0xff10353f,0xbd5139ff,0x353ffff3,0x201fffc8,0xfd0000fe,
    0x3fe00001,0x00fc8003,0xffffffd3,0xfb001dff,0x3ee237ff,0x027c402f,
    0x3fe009f1,0x71fd82ff,0x4c15bfff,0x7003ffea,0x9fffffff,0x03bfffea,
    0xfffffff7,0x3bfffea9,0x3fffea00,0xfff15fff,0x3ea019ff,0x15ffffff,
    0x019fffff,0x2217fffb,0x70002fdb,0x7c00007f,0x2f98003f,0x7ffffec0,
    0x7f5c004f,0x01cfffff,0x3e603f98,0x0fff9002,0xfff707f9,0x19ffffff,
    0xffffb800,0x37ffa21e,0xdffff700,0x06fff443,0x7ffffe40,0x02fbfe23,
    0x3fffff20,0x02fbfe23,0xfffffd30,0x2200019f,0x6c00006f,0x0bf0002e,
    0x0026ee60,0x0abca880,0x98032600,0x02ea000c,0x9731012a,0x88000157,
    0x002600a9,0x09802a62,0x881ba800,0x3750002c,0x20005910,0x800009a9,
    0x00000098,0x00254000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x55554000,0x55551001,
    0xaaa80001,0x2a20002a,0x800002aa,0x00002aaa,0x0015554c,0x004cc400,
    0x00880000,0x54c40000,0x00310099,0x000cc400,0x30000000,0x4001dfff,
    0x0003fffd,0x003fffcc,0x00bfffa0,0xffffb800,0x3f600001,0x200003ff,
    0x1efffffb,0xeb880000,0x0000ceff,0xfffffd50,0x25437dff,0xffb93000,
    0x0159dfff,0x00fd7100,0x03fff200,0x01bffa00,0x0bffea00,0x4ffe8800,
    0xfff10000,0x40000dff,0x00004fff,0xd537ffd1,0x400005ff,0xfc9aeffa,
    0x3f20001e,0xa99bdfff,0x5eceffdb,0xeffd8800,0xffdca9ac,0xff93001e,
    0x3a0000ff,0xd10001ff,0x700001ff,0x980009ff,0x900007ff,0x07ffd5df,
    0x0bff5000,0x0fff4000,0x00007fe4,0x7dc17fdc,0x7f44001f,0xfe9801ef,
    0x7dc006ff,0x7f4c01ff,0x7f75c03f,0x980007ff,0x4c0002ff,0x900002ff,
    0xf30000ff,0xf980003f,0x01ffb10e,0x00efc800,0x0dff9000,0x0000ffe6,
    0x7ec0bff5,0xfff3000f,0xffb8001d,0x3bff6006,0xdffb1000,0x0fffd001,
    0x007f7000,0x0017ea00,0x0001fd80,0x40004fb8,0x04fc80ed,0x0007fc00,
    0x405ffd00,0x740004fe,0x3fea00ff,0x5fff9804,0x01ff2000,0x0007ffe4,
    0x64037ff4,0xe80007ff,0x3dc00004,0x07d10000,0x001b2000,0x3ea00da8,
    0x03f30000,0x7ffc4000,0x0013fe02,0xf806ffb8,0x3fe200ff,0x7e80006f,
    0x04fff980,0x07fff700,0x0007ffb8,0x800002c4,0x2200001c,0x03200004,
    0x28801c00,0x00055000,0x03fff980,0x40005ff5,0xfd804fff,0x3fff604f,
    0x0fa80002,0x03fffe20,0x1ffff800,0x001ffee0,0x00000000,0x00000000,
    0x00000000,0x00000000,0x360bfff3,0x3e60006f,0xffc802ff,0x6fffa80f,
    0x807a0000,0x0004fffd,0x7037ffdc,0x00000fff,0x00000000,0x00000000,
    0x00000000,0xf8800000,0x2ffb87ff,0x3fff2000,0x2fffa801,0x003fffe8,
    0x7cc06a00,0x80000fff,0xf703ffff,0xca8000ff,0x2002cefd,0xabdfedc8,
    0xfb950000,0x2a00059d,0x400aceec,0x82aaaaaa,0x0aaaaaa8,0x67765400,
    0x7fc0000a,0x3ffb12ff,0xfffe8000,0x3fff9800,0x003fffcc,0xfff70000,
    0x3fa0000f,0xfff705ff,0x37fa6000,0x00dfffec,0x7e5effe4,0x26001fff,
    0xfffecdfe,0xffd8800d,0x04fffdbc,0x1bfffb2a,0x3ffff6e2,0xcffd8802,
    0x004fffdb,0x277fff20,0x55541efe,0x442aaaaa,0x8800ffff,0x7fe44fff,
    0x0000006f,0x001bfff6,0x83fffec0,0xa8007ffb,0x7ffcc0df,0x85ff900f,
    0x800effc8,0x7fcc0dfa,0x3fe600ff,0x0dffe884,0x01bffe20,0x9805fff9,
    0xffe884ff,0xff98000d,0xf702ffff,0x87bfffff,0x1007fff8,0xfff8bfff,
    0x0000005f,0x0017fffa,0x07fffe40,0x2003ffdc,0x3fea06f9,0x07ffa85f,
    0x9809fff1,0x3ffea06f,0x40bff105,0x7406fff8,0x7fd406ff,0x17fe202f,
    0x006fff88,0x01ffffd0,0x00efffa8,0x200ffff3,0x3e26fff8,0x00004fff,
    0x9ffff100,0x3fee0000,0x7ffb81ff,0x200ff400,0x7e42fffd,0x17ffa06f,
    0xfd803fd0,0x0ffd82ff,0x01fffdc0,0xf880dffb,0x3ff602ff,0x1fffdc00,
    0x3fffee00,0x0fff802f,0x01bffea0,0x3e67fff8,0x98003fff,0xcccccccc,
    0xffff32cc,0x3ea00007,0xffb83fff,0x01bea007,0xf713fff2,0x2ffec09f,
    0xf900df50,0x6ff989ff,0x01ffff00,0xf101bff2,0x3fe605ff,0x1ffff006,
    0xfddfd300,0x7c401fff,0x7ffd403f,0x3fffe005,0x05ffff50,0xffd53100,
    0x2a13bfff,0x0002ffff,0x09ffff30,0x7400fff7,0xaaaaaaef,0x45fffdaa,
    0x3f201dd8,0x2bbfa06f,0xdaaaaaaa,0x7fdc5fff,0x9fff7005,0x101bff20,
    0x3ee05fff,0xfff7005f,0x55ffc809,0x540bffff,0xfffa806f,0xffff1005,
    0x01ffffd4,0x3fffe200,0x3ffffa86,0xfff30000,0x0fff707f,0x7fffffc0,
    0xffffffff,0x7dc4007f,0x3ffe06ff,0xffffffff,0x7ec7ffff,0xfff3004f,
    0x01bff20b,0x3605fff1,0xff3004ff,0x1ffec0bf,0x40bffff6,0xff9802fc,
    0xfff1005f,0x27fffccf,0x7ffec000,0x4ffff884,0xfff50000,0x0fff703f,
    0x0017fe20,0xedfda800,0xbff106ff,0x7fff0000,0x1fffe200,0x22037fe4,
    0xfff02fff,0x3ffe2007,0x305ffb07,0x881dffff,0xfff1004f,0x3ffe200d,
    0x17fffe26,0x3fff6000,0x0bffff03,0x3ffee000,0x07ffb80f,0x000dff30,
    0x239fd500,0xff306ffc,0xff98000d,0x3ffe003f,0x06ffc80f,0x4c17ffc4,
    0x3e003fff,0x7fec0fff,0x3ffff607,0xf00076c4,0x3e600dff,0x7fffc6ff,
    0xffc80006,0xdfffd03f,0x3ff20000,0x0fff707f,0x001ffea0,0x40dfe980,
    0xff506ffc,0xffb8000f,0x3ffa004f,0x80dff907,0xfb82fff8,0x3fa004ff,
    0x27ffcc7f,0x3fffff10,0xff000bee,0x3fe600ff,0x7fffec4f,0x7fe40001,
    0xffff903f,0x3ff60000,0x0fff705f,0x003ffe60,0x413fe600,0xff306ffc,
    0x7d40001f,0x3fa004ff,0x0dff906f,0xa82fff88,0x3a004fff,0x7ffec6ff,
    0x7fffd401,0xd8004f9e,0xff7007ff,0xffffa85f,0x7fe40004,0xffff703f,
    0xffd00001,0x1ffee07f,0x01fffc40,0x0bff5060,0xf8837fe4,0x30c003ff,
    0x7400dfff,0xdff904ff,0x82fff880,0x2006fff9,0x3fe24ffe,0xfffb007f,
    0x50001dff,0xf9003fff,0xfffd01ff,0xffc8000d,0x3fffa03f,0x7fc40003,
    0x1ffee06f,0x00ffff80,0x2fff8d10,0xf81bff20,0xd1000fff,0x007fffc4,
    0xf902fff8,0xfff880df,0x0ffff882,0x4c5fff00,0x8800ffff,0x004ffffe,
    0x200fffe0,0xff305ffd,0x640007ff,0x3e603fff,0x640007ff,0x3ee01fff,
    0x3ff6007f,0x4c79004f,0x3f200fff,0x3fff606f,0xfd879004,0xfff003ff,
    0x01ffee01,0x3605fff1,0xff003fff,0x7fffd41f,0xffff3002,0xc815007f,
    0xfff805ff,0x3ffff602,0xfff90000,0x3fffd807,0x9fff1000,0x007ffb80,
    0x017fffe6,0x7ffd41f7,0x81bff603,0x405ffff9,0x7ffcc0fb,0x05ff9806,
    0xf701ffea,0x3fe605ff,0x5ff9806f,0x037fffc4,0xfffffe88,0xf103e204,
    0x5ff980ff,0x2ffff440,0x3fffc800,0x03fffc40,0x00fffc80,0x2003ffdc,
    0x0aeffffd,0xf989fb71,0xfff906ff,0x3ff6054f,0xb710aeff,0x3fff209f,
    0x007fec03,0x3605fff3,0x3203fffe,0x7ec03fff,0xfffff80f,0x7effd404,
    0x441dffff,0x07ff505d,0x4400ffec,0x8005fffe,0xa803fffc,0x5c004fff,
    0xfb801fff,0x7fc4007f,0xffffffff,0xffff886f,0xfdeeb8ae,0xf886cbff,
    0xffffffff,0x3fa206ff,0x5ff302ff,0xcffff880,0xff9dea89,0x7441a9ff,
    0xff302fff,0x3fffea05,0xfb5109df,0x3fffea3f,0x1ffedfff,0x2a03ff20,
    0x3a2003ff,0x2000efff,0x1003fffd,0xb001bffd,0x32001bff,0x4c000fff,
    0xfffffffe,0xfff700ef,0x3ea9ffff,0xd300efff,0xffffffff,0xfffb001d,
    0x0bfee237,0x7ffffd40,0xffff15ff,0x3ff6019f,0x5ff711bf,0xfffffc80,
    0x0dffffff,0x7fffffcc,0xfd803fff,0x07ff911e,0x3fffea00,0xfff9301d,
    0xfb80017d,0x2e621bef,0x6c003ffe,0xb0001fff,0x09ffffff,0x3dffff70,
    0x006fff44,0x7fffffec,0x7ff5c004,0x001cffff,0x1fffffe4,0x0017dff1,
    0xffffffd7,0x3fa60039,0x1dffffff,0x3ffff620,0x3ae003ff,0x001dffff,
    0xffffdb80,0xdfffffef,0x76cc0002,0xefffefff,0x7fc4001c,0x4c0005ff,
    0x220009bb,0x002600a9,0x0026ee60,0x0abca880,0x40dd4000,0x510002c8,
    0x20001579,0x001acca9,0x000acc98,0x00015510,0x332eaa00,0x000019ab,
    0x03797310,0x3fffa600,0x000effff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x06600000,
    0x006a6000,0x28033100,0x04c40000,0x13531000,0x88000000,0x000c01a9,
    0x40000331,0x20000009,0x00009a98,0x205cc000,0x88001dea,0x801defdb,
    0x2effffea,0x3fbfaa00,0x91004eff,0x59dfffff,0x50001a61,0x003bffb9,
    0xfffffda8,0x00002dff,0xffffeb88,0x3e20beff,0x3fff6200,0x44003eff,
    0x0cefffdb,0xffda8000,0x02dfffff,0x40ff6200,0xff10fffc,0x774400ff,
    0x04ffffcc,0x3ffffff6,0x774404ff,0x3bffa60b,0x33ffea00,0xeffffdbb,
    0xff50006f,0xc880037d,0x54c1acff,0x80003ffc,0xaadfffc8,0xbdffcba9,
    0x7ff701fd,0x00f7ecc1,0x64cdffcc,0x88002fff,0x4c1acffc,0x8003ffca,
    0xff81fffc,0xffff33ff,0x88dd1003,0xfd81ffff,0xffffecef,0x807f604f,
    0xfa80fffe,0xffd300df,0xfe8800df,0xdd30004f,0x77544005,0xfff50001,
    0xffc88019,0x0ffb81ff,0x9803fee0,0xffe881ff,0x0bba6003,0x01eea880,
    0x207fff60,0x3fa1fffd,0x05fb006f,0xfc8bfff3,0x7ffec40b,0x406fb80f,
    0x7c45fff9,0xffe8806f,0x3ffe6006,0x09f70002,0x003fc800,0x0017ffe4,
    0xf30bffea,0x0dfd007f,0xf980ffe6,0x4fb801ff,0x01fe4000,0xb304fe98,
    0x00bb887f,0xf500ffc8,0x2017c45f,0xfd83fffe,0x0fffd807,0xd800bff6,
    0xfff5006f,0x0bee0001,0x01fd4000,0x002fffc8,0xfc85ff70,0x1ffc800f,
    0x6c00ffd8,0x17dc05ff,0x03fa8000,0x00000020,0x02203ff4,0xfff30079,
    0x805fff09,0x3fe2fffc,0x1be2000f,0x00bffe60,0xccb97cc0,0x1acccccc,
    0x2600fd40,0x40005fff,0x07ff43fc,0x261ffdc0,0xff9805ff,0x405f302f,
    0xbdffedba,0x007ea798,0xf0000000,0x800000ff,0xffe82fff,0x9fffdc05,
    0x4002fff8,0x7ffcc06e,0x49f10004,0xcbdfffc9,0x3203ffff,0xfffd100e,
    0x3f880001,0x64017ffc,0x27fec2ff,0x886ffe80,0x37fd304f,0x1fffaa21,
    0x000001d9,0x1ffe6000,0xffd00000,0x701bfee0,0x3fe63fff,0x035c005f,
    0x8001bffa,0x81fff06c,0x3a04fffa,0x09fff904,0xfb136000,0x0ffd00bf,
    0x36007ffd,0x83640fff,0x7e400efc,0x80004e87,0x7d400018,0x2000007f,
    0xf9105ff8,0x47ffc805,0x2003ffff,0x3ffee069,0x05f10001,0x3f203ffa,
    0x20f501ff,0x0002ffff,0xfffb8930,0x213fe203,0xf7004fff,0x417c45ff,
    0xfb000efd,0x80007a81,0x7dc00059,0x2000007f,0x80000efa,0x7fec5ffe,
    0x40e004ff,0x0006fff8,0x0ffe81ae,0x203fff88,0x7fffd42f,0x30600000,
    0x3605ffff,0x7ffcc0ff,0x7fff5005,0x17fd435c,0x5f03f100,0x006a8000,
    0x7fed5544,0x002aaaaf,0x0001fb00,0xa81fff30,0x01efffff,0x13fff200,
    0x3a03e800,0x7ffd00ff,0x3ff635c0,0x8000006f,0x643ffffd,0xfff980ff,
    0x9fff3005,0x1bfe21f4,0x1ae07600,0x1ee07d98,0xfffff500,0x0fffffff,
    0x003f9000,0x40fff600,0xcffffffc,0xffff8000,0x7bffdb70,0xfe803e20,
    0x0fff880f,0xfff83e60,0x0000004f,0x329ffffd,0x3ffe00df,0xbfff3007,
    0x9ff903e2,0x07cc0000,0x40fffd71,0x4cc4007c,0x999fffc9,0x7e400019,
    0x4c0000cf,0x7fec05ff,0x003fffff,0x3efbffe6,0xdfffffef,0x3fa03cc0,
    0x05ffc80f,0xfff88fc4,0x0000004f,0xfdffffd1,0x3fffd007,0x2bfff500,
    0x03ffd879,0x5c7e2000,0x207fffff,0x320000fd,0x300007ff,0x3ffffff9,
    0x07fec000,0x7ffffe40,0xfc802eff,0x74c2efff,0x1ea0efff,0x6c41ffd0,
    0x2f800dff,0x007ffff3,0x7ec40000,0xd801efff,0xfb805fff,0xff0f54ff,
    0xf800005f,0x03fff412,0x640003fd,0xa80007ff,0xfffffffe,0xff98001f,
    0x3ffa6001,0x00dfffff,0x880ffffa,0x1ae4fffe,0xfdddffd0,0x9f40039f,
    0x003ffffa,0xffe80000,0x7c402fff,0x7e401fff,0xf88d72ff,0x400002ff,
    0x07ffc83e,0x40020bfe,0x00007ffc,0x7ffffdcc,0x02fd8007,0xfffff700,
    0x3fa05fff,0x7fcc00ff,0xe80d51ff,0x2ffe9aff,0xffa97c00,0x000002ff,
    0x3ff3f620,0x7e403fff,0xfc881fff,0x88d51fff,0x00003fff,0x3ffdc17c,
    0x7ec47ff0,0x3ffe402e,0xfd880000,0x22003fff,0x6c40004f,0x2fffffff,
    0x800ffff8,0x0f33fffd,0xff30ffe8,0x98fc001f,0x0003ffff,0x25fd3000,
    0x03fffffa,0x5effffec,0xffffdfdb,0x9ffd0f30,0x81f80000,0xff107ffb,
    0x17fffe49,0x000fff90,0x5fffc800,0x0001ae00,0xfffffe98,0x1fffe21f,
    0x8afffd40,0x83ffa00f,0xf1005ffb,0x13fffe21,0x3a200000,0x7fffcc4f,
    0x7ffd402f,0xff99dfff,0xfb03e25f,0x440000bf,0x07ffb80f,0x7ff4bff3,
    0x3ff205ff,0x44000007,0x36007fff,0xfb800002,0x7fc7ffff,0xfff1007f,
    0xffd017cd,0x803ffd81,0x2ffffc7a,0x7f400000,0xffffd106,0x13773001,
    0x3e0fffe4,0x003ffd42,0x3ee0f500,0x4bff507f,0x00fffffc,0x0000fff9,
    0x00fff900,0x00080074,0x0fffffc4,0x7c00fffd,0xe81727ff,0x7ffc40ff,
    0x3f627400,0x000006ff,0xf101ffd4,0x80009fff,0x85c86fff,0x4c003ffd,
    0xff704e81,0x31bfee0f,0x3203f737,0x000007ff,0x2006ffa8,0x2001e007,
    0x323ffff9,0xfd000fff,0xe807ccdf,0x6ffa80ff,0xff703e60,0x000003ff,
    0x2600ffec,0x20006fff,0xf982fffb,0x007ffc40,0x07cc0e98,0xf907ffb8,
    0x807e40ff,0x00007ffc,0x005ff880,0x007c00b1,0x72fffdc0,0x3a003fff,
    0xf82744ff,0x9ff901ff,0x7ffc1760,0x1000003f,0x3ee00fff,0xff10007f,
    0x542740bf,0x75401fff,0x3ee05d80,0x1fff907f,0xffc81be0,0x88000007,
    0x002004ff,0xf98002f8,0x3ffe64ff,0x87ffd003,0x7ffdc2f9,0x19ffd00d,
    0xffb80fd4,0xb00000ff,0x401bfe61,0x8000fff9,0x2600effc,0xdffd882f,
    0x05eca99a,0x7fdc03f5,0x03fffb07,0x7fe403f5,0xa8000007,0x000000ff,
    0x3fe000df,0x027ff42f,0xfb80fff8,0xeeeeee88,0x5eee983e,0xfff807f1,
    0x3c80004f,0xf801ffe2,0xff98006f,0x00fb801f,0x7bfffd95,0x700fe203,
    0x3ffa0fff,0x201fd42f,0x00007ffc,0x0004fd80,0x000bfe00,0xf981fff3,
    0x7fc401ff,0x0003b604,0x5402f440,0x0002ffff,0x03ffe1ae,0x2002ffc0,
    0x2002fff8,0x800800ed,0xffb805e8,0x27ffff07,0xfc802fd8,0x0130007f,
    0x4c00df50,0xfff004fe,0x27fec005,0x6405ffb8,0x3f6200ff,0x6fd40002,
    0xffff7000,0x01f70007,0xf1009ff7,0x7f44003f,0x7ec4001f,0x6fd40002,
    0x87ffb800,0x7d3ffff8,0x1fff6001,0x073ffa00,0xb0006fd4,0xff005fff,
    0xff7007ff,0x02ffe80d,0x32003ff3,0x644000cf,0xffb8003f,0xd9801dff,
    0x07ffa00e,0x4c007fb0,0x20000efe,0x44000cfc,0x3f2003fc,0x7ffc40ff,
    0xffd0003f,0x7fc4003f,0xdbabdfff,0xffe8003f,0xffff803f,0xd530bdef,
    0xe8801bff,0x3bea0bef,0x6ff54000,0x0f7ed401,0xfffd3000,0xb73359df,
    0xd8801bff,0x4fd883ff,0x09ff9300,0x37faa000,0x0f7ed401,0x07fff600,
    0x0007fff6,0x077fffee,0xfffffa80,0x0001deff,0xf001fff7,0xffff9513,
    0x005fffff,0xefdfffc8,0x3660000c,0xfeeceeff,0x200001cf,0xffffffdb,
    0x4001cfff,0xfeddfffa,0x3f6e601d,0x00000bff,0xceeffd98,0x001cffee,
    0x85ffff88,0x22005ffa,0xfffffffe,0xa8801eef,0x00001aba,0x81c002e6,
    0x01abccb9,0x02aa6200,0x95310000,0x00013579,0x66554400,0x400009ac,
    0x8009aa98,0x00009aca,0x99531000,0x50001357,0xfffffffd,0x0000188d,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00cc0000,0xccccca80,0x7102cccc,
    0x000cc059,0x70013300,0x99999999,0x07999999,0x00005000,0x00040110,
    0x54402004,0x55400aaa,0x1554401a,0x007f5400,0x0fd71000,0x32a00000,
    0x000cffff,0xfffffff1,0xff903fff,0x03903dff,0x0bff2000,0xffffff10,
    0xffffffff,0xf980009f,0x3f200001,0x077f4c3f,0x541ffd80,0xfff905ff,
    0x04ffe809,0x4007ffd4,0x00ffffc9,0xfffc9800,0xd8000007,0x01bfa62f,
    0x7fffffe4,0xff986fff,0x10dfffff,0xf300001f,0xffb805ff,0xffffffff,
    0x001fffff,0x00027e40,0x20ffff88,0xa803fffc,0x7ff46fff,0x0fffb01f,
    0x5404ffe8,0x75400fff,0x000ffffe,0x7fff75c0,0x64000007,0x02ffb82f,
    0x777777c4,0x3d82eeee,0xdfffffb1,0xd10000df,0xfe805fff,0xeeeeeeef,
    0x007ffeee,0x007ffc40,0x7fffc400,0x00ffff60,0xfd1bffea,0x7ff403ff,
    0x013ffa01,0x4001fff5,0x0000fffe,0x001fffa0,0x306fb800,0x1fb80dff,
    0xfd30b000,0x0001dfff,0x05ffff90,0xd000f7d4,0xfb80009f,0x900003ff,
    0xefe987ff,0x85ffd000,0x74405ffa,0x13ffa03f,0x001fff50,0x0007ffdc,
    0x00fff900,0x13fe2000,0x3e206ff8,0xa80e0005,0x80000bec,0x02fffdfa,
    0xf98003b6,0x7f40001f,0x200006ff,0x20002008,0x4c002200,0x13ffa06f,
    0x001fff50,0x0007ffdc,0x00fff700,0x0ffea000,0x3ee01c98,0x00000001,
    0xf3df1000,0x03a205ff,0x000ff700,0x2fffffa8,0x00000000,0xf5000000,
    0x013ffa01,0x4001fff5,0x0000fffb,0x001ffee0,0x017fe400,0x000df100,
    0x40000000,0x2fff89fd,0xfd000110,0xdfd80009,0x00005fff,0x00000000,
    0x7f40ae00,0x7ffd404f,0x3ffee000,0x3ee00000,0xd000007f,0x5c0005ff,
    0x000adfff,0x70000000,0x0bffe27f,0x1ff88000,0x23be2000,0x0000ffff,
    0x00000000,0xffe80000,0x07ffd404,0x01fff500,0x3ffdc000,0xfff80000,
    0x3ffe0003,0x001effff,0x5eff6e44,0x3e20000a,0x00bffe25,0x007fb800,
    0xffd97e40,0xc880004f,0x00abdfed,0x9dfb9500,0xfe800005,0x7ffd404f,
    0x3ffea000,0x3ee00000,0xf000007f,0x2e0007ff,0xffffffff,0xbff9003f,
    0x03ffff97,0xf883fa00,0x200002ff,0x220004fe,0x1fffe67f,0x7bff9000,
    0x003ffff9,0x7f66ff4c,0xd9800dff,0x013ffa07,0x4001fff5,0xa980fffa,
    0x02aaaaaa,0xda88fff7,0xff8002ce,0xb970004f,0xfffffffd,0x17fe401b,
    0x003bff22,0xff885f70,0xf100002f,0x7dc0003f,0x017fff43,0x442ffc80,
    0xa800effc,0x7ffcc0df,0xffeb880f,0x013ffa07,0x4001fff5,0xd980fffa,
    0x02cdffff,0x7fccfff7,0x4005ffff,0x00005fff,0xfffffb51,0x41ffea0d,
    0x2004fff8,0xfff884f9,0xff700002,0x40fe8000,0x8006fffb,0xff107ffa,
    0x06f9809f,0xf717ffea,0x740fffff,0x7fd404ff,0x3fea000f,0x3dff100f,
    0x2afff700,0xffffddff,0x17ffa001,0x3fa60000,0xffc84fff,0x017ffa06,
    0xff880ee8,0xfd00002f,0x27cc0009,0x001ffff8,0xfd037fe4,0x01fe80bf,
    0x4117ffec,0x3fa07ffe,0x7ffd404f,0x3ffea000,0x4009fb00,0x42fafffb,
    0x3e06fff8,0xffffffff,0x0001ffff,0x41ffffc8,0x3f604ffb,0x03f9005f,
    0x000bffe2,0x0007fe20,0xff901fd8,0xffb8009f,0x817ff604,0xffc806fa,
    0x0fff904f,0x2a02fff4,0x2a000fff,0x3fd80fff,0x77ffdc00,0x03fff701,
    0x3ffffffe,0x01ffffff,0xbfff9000,0x3201dd88,0x4fa806ff,0x00bffe20,
    0x001fee00,0x3e606f88,0x22000fff,0x3ff201dd,0x2abbfa06,0xfdaaaaaa,
    0xfff705ff,0x2037ff40,0x00a0fffd,0x6c41fff5,0xffb8002f,0x3ffe200f,
    0x0dffb002,0xffd00000,0xffb8800d,0x037c406f,0x000bffe2,0x80013f60,
    0x7fec02fc,0x2200003f,0x3e06fffb,0xffffffff,0x07ffffff,0x7f40fff7,
    0xfee881ff,0xf501e0ff,0x0bfa21ff,0x03ffdc00,0xd801fffc,0x000006ff,
    0x800fff98,0x6ffedfda,0x22007ec0,0x40002fff,0x20001ff8,0xfffa807f,
    0xfda80006,0xf106ffed,0x5c0000bf,0x3ffa07ff,0xcfb98aff,0x0d53fff8,
    0xe88fffa8,0x3ee0001f,0x3fff807f,0x00bff900,0x3ffa0000,0x473faa01,
    0x3ea06ffc,0x2fff8803,0x03fdc000,0x3339f500,0xff333333,0x2a0003ff,
    0xdff91cfe,0x001bfe60,0x207ffb80,0xfffffffe,0x3bfffa3f,0x7ffd402f,
    0x40006ff9,0xff807ffb,0xbff9003f,0x32000000,0xdfe980ff,0x8837fe40,
    0xccccccff,0xdfffcccc,0x6c000ccc,0x3fa0004f,0xffffffff,0x05ffffff,
    0x206ff4c0,0xff506ffc,0x7dc0000f,0x3f37e07f,0x7d42efff,0xfa803fff,
    0x04fffdff,0x01ffee00,0x5c00fffe,0x000004ff,0xff30ff70,0x41bff209,
    0xfffffffa,0xffffffff,0x2000ffff,0x30001ff8,0x555555bf,0xfff75555,
    0x3fe6001f,0x20dff904,0x0000fff9,0x7c0fff70,0x4c017735,0x3fea002b,
    0x02fffe8f,0x00fff700,0x2e007fff,0x000003ff,0xffa8bf70,0x41bff205,
    0xfffffffa,0xffffffff,0x2000ffff,0x360007fa,0x7fec001f,0x5ffa803f,
    0x441bff20,0x0c003fff,0xf107ffb8,0x5000000d,0xfff11fff,0xff70003f,
    0x07fff00f,0x0007fea0,0x21fec000,0x3f202fff,0x5555106f,0x75555555,
    0x15559fff,0x0027ec00,0x98006f88,0xff807fff,0x1bff202f,0x000ffff8,
    0x1ffee0d1,0x00003fd4,0xa87ffd40,0x4000efff,0xff807ffb,0x0ff5003f,
    0xf0001440,0x07ffcc1d,0x000dff90,0x00bffe20,0x000ffc40,0xd0002fc8,
    0x7cc05fff,0x3ff200ff,0x13fff606,0xffb81e40,0x001ff707,0xfffa8000,
    0x017fff20,0xf00fff70,0x5d4407ff,0x0f6005fc,0x2a0fe400,0x3f603fff,
    0xf100006f,0x2a0005ff,0xff10007f,0x7ffdc000,0x0fffea06,0x2606ffd8,
    0x5c05ffff,0x0fff700f,0x0000bff6,0x81fff500,0x2004fffd,0xff807ffb,
    0xffdf903f,0xfa8059ff,0xa801bb30,0x6fff984f,0x54ffff90,0xfff10000,
    0x13f60005,0x0027dc00,0x05ffff10,0x641bffe6,0xb02a7fff,0x215dffff,
    0x2e04fdb8,0x7fff07ff,0xfa800000,0x7ff440ff,0xfff7002f,0x107fff00,
    0x7ffff41f,0xfdb9abdf,0x0b3fff66,0x3e209fb1,0xeb8aefff,0x6cbfffde,
    0x3ffe2000,0x1ff88002,0x02ff8800,0x37fff400,0xaeffff88,0xfffdeeb8,
    0xfff886cb,0xffffffff,0x07ffe406,0x0013ffe2,0x1fff7000,0x03ffff30,
    0x801fff90,0x24c84fff,0xffffdbf9,0x21ffffff,0xdffffffb,0x7dc01efe,
    0x54ffffff,0x001dffff,0x017ffc40,0x8003fd40,0x40000ffc,0x703ffffd,
    0x9fffffff,0x03bfffea,0x7fffff4c,0x6c00efff,0xfff81fff,0x64000003,
    0xff901fff,0xffc801ff,0x3ffe200f,0x4bb16b85,0xfffffffa,0xffffd84f,
    0x7000bdff,0x443dffff,0x0000dffe,0x0017ffc4,0x260027ec,0x000dfffc,
    0xffffff50,0xffff7039,0x6fff443d,0xffffd800,0xff8804ff,0x0ffc85ff,
    0x3e200000,0xff305fff,0x3e605fff,0x3f204fff,0x77c41fff,0x7fec40ef,
    0x2a203fff,0x220000aa,0x002600a9,0x17ffc400,0x000e6400,0xfffffff9,
    0x3fea003d,0xffffffff,0x200a9885,0xbb980009,0x7ff54009,0x0c6fffff,
    0xff700000,0x1dffffff,0x3fffffea,0xffff55ff,0xd11dffff,0xdfffffff,
    0x4c401a85,0x000000aa,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2aaaa600,0x5500aaaa,0x40015555,
    0x08800019,0x99999950,0x40099999,0xcccccccc,0x99999933,0x65c19999,
    0xcccccccc,0x3333201c,0x9972cccc,0x99999999,0xccc98059,0x03cccccc,
    0x40008022,0xccccccca,0x4402cccc,0x30cefdca,0x1366007b,0x8059dd71,
    0x3faa2ed9,0x00beffff,0x01bfffb5,0xeffffeb8,0x2fdc4003,0xffffca88,
    0x2001aeff,0xcfffffc9,0xffff7311,0xd98817ff,0x0affffff,0x7ffecc40,
    0x3fae20ad,0x009dffff,0x3ffff6a0,0x13fee00a,0x4001dfd1,0xfffffea8,
    0x7fd4009d,0xfdfffdce,0x3fae203f,0x3ffff65f,0x3ffa05ff,0x7fffec0f,
    0x807ff000,0xffffffe9,0x64401eff,0xfa805fff,0x0000ffff,0xb807ffea,
    0xd803ffff,0x8003ffff,0x7fc406ff,0x640006ff,0xfff801ff,0x13ffee0f,
    0x37fff400,0xb80efd80,0xf903ffff,0x3f6bffff,0x6fffffff,0x42ffff88,
    0x800ffff8,0x7fc406f8,0xffffffff,0xffc880ff,0xfb005fff,0x88000fff,
    0xfff804ff,0xfff9803f,0x1ff8002f,0x04fffd80,0x8037d400,0x3f20ffff,
    0xf90004ff,0xbfd009ff,0x03fffc80,0x2f7ffea1,0xffea99cf,0x7ffd83ff,
    0x007fff50,0xffd807f5,0xffd988ad,0xc9bb86ff,0xf3005fff,0x40003fff,
    0xff9006f9,0x3ff600bf,0x2fc4004f,0x03fffc80,0x802fcc00,0x7f444ffb,
    0xff90001e,0x1ffb809f,0x01fffcc0,0x40f77ff4,0x40ffffd8,0x3fa00cb8,
    0x00fe806f,0xff7017e6,0xfff807ff,0x3fffa005,0x0bf20004,0x07fffcc0,
    0x037ffd40,0x6400fea0,0x40003fff,0x022005f9,0x7e400018,0x3fe203ff,
    0x3fff8805,0x01fffe80,0x00ffffe2,0x00fffd40,0x05c809f3,0x80bfff90,
    0x2a005ffe,0x20007fff,0x7ff4007f,0xffff002f,0x007ec003,0x003fffc8,
    0x0002fcc0,0xff900000,0x17fec07f,0x803fff80,0xfc805ffd,0x3a0005ff,
    0x07f205ff,0x3e2001d0,0x7fec07ff,0x7fffc005,0x04fa8002,0x02fffdc0,
    0x003fffd8,0x7e400bf1,0x4c0003ff,0x0000005f,0x0ffff200,0xf001fff8,
    0xffb007ff,0xdfff100b,0x7ffdc000,0x4880df01,0x03ffec00,0x70017ff6,
    0xd000dfff,0xff88001f,0xffa800ff,0x05f7006f,0x01fffe40,0x0017e600,
    0xfc800000,0xfff103ff,0x0fffe001,0x4017ff60,0x40007fff,0x3fa85fff,
    0xffc80000,0x02ffec06,0x07fffe20,0x0005f980,0x9007fffb,0xb003ffff,
    0x7fe4001f,0x7cc0003f,0xeeca8005,0x640000ac,0xff303fff,0x1fffc00f,
    0x802ffec0,0x0000fffe,0xfd07ffee,0xf9000001,0x5ffd809f,0x5fffc800,
    0x000bf200,0x402fffd4,0x404ffffe,0x7e4005f8,0x4c0003ff,0xffb1005f,
    0x09fffb79,0x1fffe400,0x000fffb8,0xfb007fff,0x3ff600bf,0x7fc40007,
    0x0013e65f,0x017fec00,0x20017ff6,0x800ffff9,0x220006f8,0x2600ffff,
    0x407fffef,0x7e4002fb,0x4c0003ff,0x4ff9805f,0x00dffe88,0x03fffc80,
    0x2003fff7,0xfd803fff,0xdff9005f,0xfff90000,0x00007f21,0x2007ffc0,
    0xd0005ffd,0xf7009fff,0xffd80007,0x3a7f203f,0x3f601fff,0x7ffe4000,
    0x2fcc0003,0x8817fe20,0xc8006fff,0xff503fff,0x3ffe005f,0x05ffd803,
    0x000bffb0,0x3e9fff10,0xf1000006,0xbffb009f,0x3ffea000,0x000fe807,
    0x037ffd40,0x13ffeedf,0x64002fc4,0x40003fff,0x7fec05f9,0x1fffdc00,
    0x0ffff200,0x8027ffcc,0xfd803fff,0x9ffd005f,0x3ff20000,0x00002fcf,
    0xb001ff90,0x7c000bff,0x3e602fff,0xfff00005,0x229f301f,0x5f707fff,
    0x7fff9000,0x05f98000,0x7c01bfe6,0x32000fff,0xff103fff,0xfff001ff,
    0x0bffb007,0x0007ffe0,0x3ffffc40,0xff880000,0x0bffb002,0x37ffdc00,
    0x00005f90,0x320ffff2,0x0bfffa1f,0x7e4001fa,0x4c0003ff,0x17fee05f,
    0x027ffdc0,0x407fff90,0x4c05fffd,0xfd803fff,0x5ff9806f,0x7fe40000,
    0x9000004f,0x7fec00bf,0x3fe20005,0x06f881ff,0x3ffe6000,0x7fdc6f86,
    0x0027c45f,0x003fffc8,0xfb02fcc0,0x3fe6009f,0x3ff2005f,0x3ffe603f,
    0xffe980df,0xfffd803f,0x407fec00,0x4c003fea,0x00001fff,0x2000ef98,
    0x40005ffd,0xfb85fffc,0x7f400003,0x10fea1ff,0x7dc1ffff,0xfff90002,
    0x5f980007,0x400fffe0,0x2007fff8,0x6403fffc,0xbbdfffff,0x03fff9fd,
    0x205fffd8,0xfff03ff9,0x6fd8001f,0x1fd00000,0x05ffd800,0x7fffcc00,
    0x00007f40,0xd93fff20,0x2fffd80f,0xfb8001fa,0x4c0003ff,0x7fff304f,
    0x07fffc00,0x03fffc80,0xffffffd8,0x07fff1ff,0x39ffffb0,0xf103ffa8,
    0xb8003fff,0xd800002f,0xffd8002f,0xffe80005,0x0017e64f,0x5bffe600,
    0xfff506f8,0x80013e2b,0x0004fffb,0xffb827d4,0x3ffa004f,0x3fff2007,
    0xffff7003,0x1fffc1bf,0x7d6ffec0,0x01fffdff,0x40037fec,0xc800007e,
    0xffb0002f,0xff50000b,0x000fecff,0x9fffe800,0xfff103fa,0x0003f71f,
    0x0027ffdc,0x7d40fea0,0x3fa004ff,0x3ff2006f,0x2ea2003f,0x03fff80a,
    0x7315ffd8,0x15400159,0x0027cc00,0x000fea00,0x0005ffd8,0xf15fffd0,
    0x5c00000d,0x00fdcfff,0x1faffff6,0xbfff5000,0x02fb8000,0x400dfff3,
    0x32004ffe,0x00002fff,0x6c01fffc,0x000005ff,0x0007ec00,0x0009f300,
    0x0005ffd8,0xf7dfff70,0x44000007,0x405fffff,0x04fffffa,0x3fffc400,
    0x403f6000,0x000ffff8,0x64005fff,0x00001fff,0x6c01fffc,0x200005ff,
    0x02fcc000,0x009f3000,0x00bffb00,0x3fffe200,0x000000ff,0x017fffec,
    0x00fffffc,0x17fffc00,0x407f8800,0xf003fffd,0x7e4001ff,0xf800007f,
    0xffd803ff,0xffc80005,0x03fd000b,0x017e6000,0xbffb0388,0x7fe40000,
    0x000004ff,0x00ffffa8,0x007fffc8,0x0bfff700,0x300ff600,0xf300dfff,
    0x819910bf,0x00006ffc,0xd803fff8,0x540005ff,0x3625ffff,0x05fd9bdf,
    0x00bf3000,0xbffb03d8,0x7fcc0000,0x000001ff,0x005fff88,0x0009fff3,
    0x017fff40,0x6401bee0,0x7ec03fff,0x46ffd80f,0x00001ffc,0xe804fff8,
    0x640005ff,0xf90fffff,0x01dfffff,0x33df3000,0x53333333,0x3f601fd7,
    0x6c00005f,0x000006ff,0x800bff60,0x00001fff,0x00ffffe6,0x4007ff66,
    0x302fffe8,0x3ffe05ff,0x000ffa2f,0x13ffe200,0x001bffa0,0x5fffff30,
    0x3bffffee,0xffa80000,0xffffffff,0x205fffff,0x00006ffe,0x0001ffd4,
    0x00ff5000,0x00006fc8,0xcefffe88,0xfffdb99b,0xffd8000e,0x5ff711bf,
    0x4ffffe40,0x000006f9,0x401dfff5,0x001ffff9,0x27cd5c40,0x0019fffb,
    0xfffff500,0xffffffff,0x3ea05fff,0x00003fff,0x000007f4,0x30013e00,
    0x2000009f,0xfffffeb8,0x002effff,0x7ffff5c0,0x74401cff,0x00cfffff,
    0x7fee4000,0x912cefff,0xbffffffb,0x5f500009,0x00000988,0x3ffffffe,
    0xffffffff,0x3ffaa0ff,0x1effffff,0x002a8000,0x01b80000,0x00000c80,
    0xcccaa980,0x400001ab,0x000abca8,0x000d65c4,0x99999800,0x26609999,
    0x19999999,0x00fd8000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3e200000,0x01004404,0x10165c00,
    0x15555005,0x333332a0,0xc88002cc,0xcccccccc,0x77ee5402,0xaa88003d,
    0x333320aa,0xcccccccc,0xcccccccc,0xcccc884c,0xcccccccc,0x99910003,
    0x00099999,0x99999500,0x33322599,0xcccccccc,0x01aabccc,0x7017a200,
    0xefe889ff,0x3ffee000,0x402b82ef,0x104ffff9,0xfffffd53,0x3f6a0003,
    0x26009eff,0xfea8aefe,0x03cccccf,0x930bfff7,0xdddfffff,0xfffddddd,
    0x7ecc0fff,0x99cfffff,0x36a60000,0x002fffff,0x3fffe200,0xfda809df,
    0xffffffff,0xdfffffff,0x09f7000b,0x5c1ffff0,0xf3004fff,0x3dffffff,
    0xffb007a2,0xf7003fff,0x0001dfff,0x7cc03fe4,0xffff884f,0xffb06fff,
    0x7fffa80d,0x03ff2200,0x09ffff50,0x3ff60000,0x200006ff,0x007ffffb,
    0x335ffff7,0x7ffedd44,0x0ee402ff,0x20ffff80,0x9004fffc,0xffff9119,
    0xfa80dfdf,0x005ffdbf,0x00bffff7,0x2202fd40,0x3fee07fe,0xf8809abf,
    0x7fc400ef,0x0fc8007f,0x0ffffc40,0xffb80000,0x00002fff,0x00bffffd,
    0x401fffe6,0x0dffffe9,0x9ff70000,0x001efe88,0xffffb30b,0x22fe803f,
    0xfd002ffb,0x20009fff,0x7fe404f9,0x13ffe205,0x2003ff50,0x88007fff,
    0xffff801f,0xf5000000,0x000bffff,0x9fffff50,0x1fffe600,0xdffff900,
    0x00440000,0x2a048003,0x7dc01cec,0xd006fa81,0x005fffff,0xfe809f30,
    0x3fff404f,0xf800bf60,0x3b0007ff,0x01ffff00,0x37e60000,0x0001ffff,
    0x27ffeff4,0x07fff880,0x4ffffa80,0x00000000,0x74400000,0x200fa201,
    0x1ffffefe,0x2027cc00,0x7ec04fff,0x001fc07f,0x4001fffe,0x7fff800a,
    0x3e600000,0x005fffcc,0x3fef7e60,0xfff1004f,0x3ff6000f,0x000003ff,
    0x00000000,0x401c0066,0xfffff8fe,0x013e6000,0xfc80bfff,0x009300ff,
    0x000ffff0,0x07fff800,0x33e60000,0x000ffff8,0xfff73fb0,0x3ffe2009,
    0xfff10007,0x000000ff,0x00000000,0xabf40000,0x2006ffff,0x7fec04f9,
    0x037fe406,0x3fffc000,0x3fe00000,0x2000007f,0x9fffb4f9,0x2edf3000,
    0xf1004fff,0x5c000fff,0x5002ffff,0x10555555,0x01555555,0xaceeca80,
    0x40000000,0x3fffee7e,0x809f3004,0x3600fffb,0x800004ff,0x26007fff,
    0x3fffc004,0x9f300000,0x003fffe6,0x3fee5f90,0xfff1004f,0xfff8000f,
    0xfd95005f,0xfb710dff,0xb1005fff,0xfffb79ff,0x07d98009,0x7fe47e80,
    0x4f9803ff,0x827ffc40,0x9800fff8,0xffff007d,0x20025400,0x00007fff,
    0xffd93e60,0x9be2003f,0x1004fffb,0x8000ffff,0x000ffffe,0x901bffe2,
    0xf9805fff,0xdffe884f,0x3ffae200,0xe87e8007,0x4c01ffff,0xffe8804f,
    0x017fec41,0x00fffd71,0xd801fffe,0x3fffc004,0x9f300000,0x003fffcc,
    0x7ffdc7f9,0xffff1004,0xfffc8000,0x7ff4001f,0x17ffd406,0x440bff10,
    0xff706fff,0xd000ffff,0xfffff10f,0x8027cc01,0xfcacffe8,0x3fee01df,
    0xff007fff,0x13ee00ff,0x00ffff00,0x227cc000,0x8803fffe,0x3ffee0ff,
    0xffff1004,0xfffb8000,0x7fec002f,0x17ffc406,0xb801ffb0,0x3a083fff,
    0x7e8007ff,0x0dffff30,0xe88027cc,0x01bcdcbb,0x01fffa08,0x7777fffc,
    0xfffeeeee,0x3fffc004,0x9f300000,0x806fffa8,0x7ffdc4fb,0xffff1004,
    0xfffa8000,0x7fe4003f,0x17ffc406,0xf006ff98,0x7e401fff,0x07e8007f,
    0x417fffea,0x3f9804f9,0x3ff20000,0xdffff007,0xffdddddd,0xff8009ff,
    0x2000007f,0xfffe84f9,0x2e07f402,0xf1004fff,0x98000fff,0x4004ffff,
    0x7c406ffc,0xbff702ff,0x13ffee00,0x8007ffb8,0x7ffe407e,0x404f983f,
    0x00000ff8,0x7c01ffee,0xfc8807ff,0x3fffc004,0x9f300000,0x40dfff70,
    0xfffb84fa,0xffff1004,0xfff98000,0x7fe4003f,0x17ffc406,0x3004ffd8,
    0x7dc0bfff,0x07e8007f,0x42ffffd8,0x7fdc04f9,0xf700000c,0x3ffe00ff,
    0x00136007,0x0000ffff,0xff827cc0,0x03fd01ff,0x2009fff7,0x0007fff8,
    0x017fffdc,0x101bff20,0x3fe05fff,0xfff1003f,0x03ffdc0f,0x74403f40,
    0x3e61ffff,0x7fffec04,0xceeeefff,0x3ffdc00b,0x007fff80,0xfff0012a,
    0x4c00000f,0xbfff704f,0x3ee0bf30,0xff1004ff,0xfc8000ff,0x64000fff,
    0x7fc406ff,0x3fff982f,0x03fffe00,0x4003ffdc,0xfff3007e,0x013e61df,
    0xfffffff5,0x9fffffff,0x01ffee01,0x3003fffc,0x7fff8009,0x3e600000,
    0x3ffff104,0xff701fd8,0x3fe2009f,0x7ec0007f,0xfc8007ff,0x7ffc406f,
    0x04fffb82,0xb81fffa0,0x7e8007ff,0x3fffea00,0xf5009f35,0xffffffff,
    0x20bfffff,0xff007ffb,0x800000ff,0x00007fff,0xfc813e60,0x81be64ff,
    0x1004fffb,0x8000ffff,0x8006fffe,0x7c406ffc,0xfffa82ff,0x1bffa004,
    0x8007ffb8,0x7fdc007e,0x804f9cff,0xaaa988eb,0xfffdccba,0x007ffb80,
    0x0000ffff,0x007fff80,0x813e6000,0xf90ffff8,0x27ffdc05,0x07fff880,
    0x3fffe600,0x6ffc8003,0x417ffc40,0x2006fff9,0x3ee04ffe,0x07e8007f,
    0xcffffd80,0x00fd404f,0x7dc1fe40,0xffff007f,0x20088000,0x40007fff,
    0x809f302a,0x6f8cfffd,0x027ffdc0,0x007fff88,0x01bfffa0,0x2037fe40,
    0xf882fff8,0xff000fff,0x3ffdc05f,0x8003f400,0x04fffffe,0x440013e6,
    0x07ffb83f,0x000ffff0,0x3ffe01e8,0x80740007,0x7fcc04f9,0x5c03fcff,
    0xf1004fff,0x2e000fff,0x0001ffff,0xf880fff7,0xfffb02ff,0x03ffe007,
    0x8007ffb8,0xff10007e,0x7f409fff,0x03f10002,0x3e00fff7,0x2e0007ff,
    0x03fffc06,0x7cc0d500,0xffffd804,0x7ffdc00f,0xffff1004,0xffff1000,
    0x7fd40009,0x17ffdc07,0x806fff98,0x7dc05ff9,0x07f8007f,0x3fffe600,
    0x00dff704,0x7fdc1760,0x0ffff007,0xf013e600,0x10001fff,0x027cc07f,
    0x027fffd4,0x8027ffdc,0x4007fff8,0x00efffe8,0x0bffe600,0x01ffff6c,
    0xd807fff9,0x7fdc00ff,0x007f8007,0x827ffdc0,0x000cfffc,0x3ee01db1,
    0xffff007f,0x03fd0001,0x00ffffc4,0x9807fa60,0xfffd005f,0x9fff9001,
    0x1fffe600,0xdffffb80,0x7fc40000,0xdea89cff,0x1a9ffff9,0x817fff44,
    0xfc802ff9,0x3e2000ff,0x7e40001f,0xffff304f,0x533357bf,0x6401dfb7,
    0x7cc00fff,0x2a001fff,0x7fcc06fe,0xf71004ff,0x06fb80df,0x2009ff50,
    0x5006fffd,0x9880ffff,0x004ffffd,0x3fffea00,0xfff15fff,0x3f6019ff,
    0xff711bff,0x3fff6005,0xbffb1001,0x4fd80005,0x3ffff660,0xffffffff,
    0x1fffd802,0x3ffffa60,0xccccccdf,0x03fffeec,0x3fffffa2,0xfeeeeeef,
    0x204fffff,0x801cfff9,0xffb801ff,0x2601cfff,0xdefffffe,0xffffedcc,
    0x800000cf,0x23fffffc,0x800beff8,0xffffffeb,0xfff1001c,0xffed80bf,
    0x006fffff,0x93009d10,0xbfffffff,0xfff10017,0xfffe88bf,0xffffffff,
    0xffffffff,0x7f7440ff,0xffffffff,0xffffffff,0x7f4c1fff,0x4effffff,
    0xfeb816e0,0xffffffff,0xfffdd33e,0xffffffff,0x0037bddf,0x06ea0000,
    0x44000b22,0x5000abca,0xfffffffd,0x0000000d,0x2a600062,0x3faa0009,
    0x06ffffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0xccccccc8,0xca84cccc,0xcccccccc,0x99999703,0x23999999,
    0xccccccc8,0x0004cccc,0x66440401,0xcccccccc,0x000abccc,0x2880b2e0,
    0x99999910,0x99999999,0x22000137,0xcccccccc,0xabcccccc,0xcc88001a,
    0xcccccccc,0xcccccccc,0xdb9804cc,0x24003dee,0xfffc9800,0x2601bfff,
    0x9dfffffc,0x3ffae600,0x9881cfff,0xbffffffc,0x5ff98001,0xda82ffd8,
    0xffffffff,0x00dfffff,0x3bfffee0,0x6d402b82,0xffffffff,0x04ffffff,
    0x3fff6a00,0xffffffff,0x0adfffff,0x3fff2600,0xeeeeeeff,0x0ffffffe,
    0xd99bfb10,0xf3005dff,0xfffb8000,0xfff1001f,0xff88001d,0xff9004ff,
    0x6c0005ff,0x3fe62fff,0x3fff206f,0xffb731af,0xff1005ff,0x23dfffff,
    0xff7001e8,0x74c413ff,0x0001efff,0x26bfffee,0x3ff2e620,0x64002fff,
    0xa9806fff,0xffa80fff,0x01fffd82,0x260003ec,0x2e007fff,0x3a0005ff,
    0xf3002fff,0x40001fff,0x3ea3fffd,0x3fe606ff,0x3ffee06f,0x4466404f,
    0xfefffffc,0x3ffe6006,0x7fffdc06,0xfff30003,0x3ffa200f,0xf3000dff,
    0x74400dff,0x817fcc0f,0x2606fff9,0x7cc0007f,0xff3007ff,0xffe80007,
    0xfff3001f,0xff98000f,0x202ffd86,0x6406fff9,0x3603ffff,0x7fffecc0,
    0x3fe6001f,0xfffd806f,0xff98001f,0x7fdc007f,0xff3005ff,0x1fa800df,
    0x3fe037ec,0x7ff880ff,0x7ffc4000,0x03fe8806,0x1fffe800,0x0dfff300,
    0x08806000,0x037ffc40,0x807ffffc,0x073b2604,0x0dfff100,0x0bffff10,
    0x0ffff100,0x9ffff500,0x0dfff300,0x7fd43d00,0x43ffdc02,0x0007ffe8,
    0x2037ffc4,0x00003fe8,0x2003fffd,0x999efff9,0x00000009,0x806fff88,
    0x001ffffd,0xff880000,0xfffd006f,0xfff1000f,0x3ff6000f,0x7fcc02ff,
    0x20a8006f,0xa8801ffe,0x7ffff540,0x2001aaaa,0x2206fff8,0x200003fe,
    0x3001fffe,0xffffffff,0x00017dff,0xdfff1000,0x7ffff700,0x10000000,
    0x3600dfff,0x4000ffff,0x0007fff8,0x80dffff1,0x0006fff9,0x20007ff8,
    0xfffffffb,0x22003fff,0xfd106fff,0xfe800009,0xff3001ff,0xff9975ff,
    0x0001bfff,0x37ffc400,0x1ffffcc0,0x44000000,0xfb006fff,0xf1000fff,
    0x5c000fff,0x2602ffff,0x40006fff,0x00007ff9,0x8000fff7,0xe886fff8,
    0xe800003f,0xf3001fff,0x3faa0dff,0xd9800eff,0x3ffe2007,0xffffa806,
    0x930fb502,0xf88005bd,0xfff006ff,0xff1000df,0xff8000ff,0x3fe605ff,
    0x5039806f,0x20000fff,0x40007ffb,0x7cc6fff8,0xd000003f,0x26003fff,
    0x3e206fff,0xb880efff,0x22007ffe,0xfb806fff,0x3ae20fff,0x3ffe67ff,
    0x22005fff,0xf9806fff,0x88003fff,0x40007fff,0x300ffffe,0x9500dfff,
    0x003ffee0,0x01ffee00,0x4dfff100,0x00003ff9,0x007fffa0,0x2037ffcc,
    0x5c4ffffa,0x007fffff,0x201bffe2,0x3ee6fffe,0xff37ffff,0x05ffffbb,
    0x01bffe20,0x00dfffd1,0x01fffe20,0x3ffff900,0x01bffe60,0x7ffd4136,
    0xffb80001,0x7fc40007,0x007ff56f,0xfffe8000,0xdfff3001,0x8dffff00,
    0x801fffa0,0x5c06fff8,0xf821ffff,0x20afafff,0x1007ffe8,0x6c40dfff,
    0x0001efff,0x000ffff1,0x02ffffb8,0x4c0dfff3,0xfff304fc,0xfb828009,
    0x7c40007f,0x2fffaeff,0x7f400000,0xff3001ff,0xfffb00df,0x1fff201f,
    0x06fff880,0x813fffee,0x701efffc,0xf1003fff,0xff930dff,0x4c001bff,
    0xffffffff,0xffffffff,0x3fffea01,0xdffff303,0xffffdddd,0x07fffc09,
    0xffb83a80,0x7fc40007,0x2fffffff,0x3fa00000,0xff3001ff,0xfff700df,
    0x1ffee05f,0xcffff880,0xfffdb99a,0x7ffdc02f,0x0bffe200,0x3bfffe20,
    0xbeffffee,0xccc88000,0xcccffffc,0x200ccccc,0x304ffff9,0xffffffff,
    0x409fffff,0xd004fffe,0x00fff701,0x9efff880,0x002fffff,0x3fffd000,
    0x1bffe600,0x07ffff20,0x1003ffdc,0xffd9ffff,0x0017bdff,0xff00fff7,
    0xfff1007f,0xffff999f,0x7c400005,0x4c0007ff,0xf303ffff,0x7e440dff,
    0x3fffea04,0xfb836c03,0x7c40007f,0xffff36ff,0xd000005f,0x26003fff,
    0xfe806fff,0x3fee07ff,0x3ffe2007,0xf7000186,0x7fff00ff,0x8dfff100,
    0x000ffffa,0x0ffff100,0xffffb800,0x0dfff301,0xffe809b0,0x7f4c0bff,
    0x00fff701,0x26fff880,0x02fffff9,0x7fff4000,0xdfff3001,0x6ffff880,
    0x801ffee0,0x0006fff8,0x201ffee0,0xf8803fff,0xfffd86ff,0xff100006,
    0xfc8000ff,0xff300fff,0x809500df,0xeffffff9,0x2e03fffe,0x440007ff,
    0x7fcc6fff,0x00002fff,0x4007fffa,0x6c06fff9,0x2e01ffff,0x3e2007ff,
    0x200006ff,0xff807ffb,0xfff8803f,0x3fffe886,0xfff88000,0x7fec0007,
    0x3ffe607f,0x98049806,0xffffffff,0x3ffdc05f,0x3ffe2000,0xfffff986,
    0xffd00002,0x3fe6003f,0xfffd106f,0x7ffb807f,0x1bffe200,0x7ffb8000,
    0x803fff80,0xf306fff8,0x80003fff,0x0007fff8,0x302ffff4,0x0000dfff,
    0xfffffd88,0x7ffb802e,0x7ffc4000,0xfffff306,0xffd00005,0x3fe6003f,
    0x3feea66f,0xfb803fff,0x3fe2007f,0x2e00006f,0xfff807ff,0x6fff8803,
    0x03bffee0,0x7fff8800,0x3ffe6000,0x3ffe602f,0x51000006,0x7dc003bd,
    0x7c40007f,0x3fe606ff,0x40002fff,0x3001fffe,0xffffffff,0x0019ffff,
    0x8801ffee,0x00006fff,0x3e01ffee,0xff8803ff,0x7ffec06f,0x3fe20005,
    0x3fa0007f,0x7fcc05ff,0x2000006f,0x7dc003f9,0x220000ff,0x7cc06fff,
    0x0002ffff,0x4007fffa,0xcccffff9,0xb8000abc,0x3e2007ff,0x200006ff,
    0xff807ffb,0xfff8803f,0x7fffc406,0xfff10002,0x3fee000f,0x7fcc00ff,
    0x2000006f,0x5000effe,0x02445fff,0x00dfff10,0x05fffff3,0x07fffa00,
    0x037ffcc0,0x1ffee000,0x06fff880,0x1ffee000,0x200fffe0,0xa806fff8,
    0x8001ffff,0x8007fff8,0x803ffff8,0x0006fff9,0x7fff7100,0x3bffe200,
    0x26001daa,0xf3006fff,0x0007ffff,0x2003fffd,0x0007fff9,0x003ffdc0,
    0x000ffff3,0x403ffdc0,0xf8803fff,0xff9007ff,0xf88001df,0x74c007ff,
    0xf3006fff,0x00000dff,0x2005ffa8,0x03fffffd,0x03fffcc0,0x9fffff50,
    0x1fffe800,0x0ffff300,0xfffc8000,0xffff3000,0x7fdc0000,0x04fff807,
    0x007fff98,0x0017fffa,0x400ffff3,0x00dffffb,0x00ffff30,0x1ffa8000,
    0x3bffa200,0xfffb8003,0x3ff6000f,0x8800efff,0x7003ffff,0x0003ffff,
    0x00fffec0,0x00ffffb8,0x1fffb000,0x02fffc40,0x00ffffd4,0x0dffff98,
    0x0ffff500,0xffffd988,0x7ffdc004,0x3000000f,0x22000dfd,0xffd30000,
    0xf1001bff,0xbfffffff,0x3fff6015,0x7fcc02ff,0x0001dfff,0x05ffff88,
    0xdfffff98,0x7fd40002,0x3ff204ff,0x3fa601ff,0x7002dfff,0x059fffff,
    0x7fffff4c,0xfffdccef,0x4000cfff,0x0dffffe9,0x3fb20000,0x000000be,
    0xfffffd30,0x20bdffff,0xfffffffe,0xdb4fffff,0xffffffff,0x3ffa63df,
    0xffffffff,0xffea8005,0x4c6fffff,0xfffffffe,0x54006fff,0xffffffff,
    0xffffe88e,0xdd32ffff,0xffffffff,0xfffb00df,0x3a63ffff,0xfffffffe,
    0xdeefffff,0x7f4c001b,0xffffffff,0x9880006e,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x20000000,0xccccccc8,0xcccccccc,0xc98001ab,0xcccccccc,0xcccccccc,
    0x332a2ccc,0xcccccccc,0x6664c02c,0x22cccccc,0xcccccccc,0x900ccccc,
    0x99999999,0x33333219,0xca81cccc,0x932ccccc,0x99999999,0x99999999,
    0x00999999,0x666665c0,0xcccccccc,0xcccccccc,0xcccc883c,0x4ccccccc,
    0x99999970,0x70399999,0xd357bddb,0xfffffb50,0xfffdddff,0x20017dff,
    0xfffffffa,0xffffffff,0x220fffff,0xffffffe9,0xf73001bf,0x9839ffff,
    0xffffffec,0x26201bef,0x1aeffffd,0x3fffff26,0xfea880ac,0xfff50aef,
    0xffffffff,0xffffffff,0x0001ffff,0x3fffae62,0xeeeeffff,0xffffeeee,
    0x3fff2605,0x4401bfff,0xcfffffeb,0x5eff440a,0x206fffeb,0x200ffffc,
    0x02ffffea,0x01acffb8,0x05ffff50,0x27ffffdc,0x1fffc800,0xffffe980,
    0x7ffc002f,0x3fffdc03,0x5c1ffa80,0x9999adff,0x99bfffe9,0x0ffeba99,
    0xcff98000,0xb1005fff,0xfff700df,0xff88005f,0x07fa05ff,0xf981bfa6,
    0xff5007ff,0x2fb807ff,0x7fffc400,0xffffc805,0x3ff70003,0x7fff4400,
    0x3fe6004f,0x1fffd002,0xf709f900,0x1fffd809,0x0007fa20,0x3febbe60,
    0x036c005f,0x003fffcc,0x502fffe8,0x037c40bf,0x400ffff3,0x200ffffb,
    0xffd8005c,0xffd000ef,0x3fa000df,0xfff88003,0x0ffa007f,0x04fffa80,
    0x00d706f8,0x8803fffb,0xfc80001f,0x005fffa9,0x7fcc03d4,0xffb0007f,
    0x01bf205f,0x7ffc40d9,0x7ffec007,0x7000b605,0x4003ffff,0x003ffff9,
    0x50002fd4,0x9009ffff,0xffd0009f,0x903fa80f,0x3fffb009,0x80003b00,
    0xbfff55f8,0xf100f000,0x36000dff,0xffd01fff,0xf1034c01,0xfb800fff,
    0x003607ff,0x04ffff88,0x1ffffc80,0x0003fa00,0x03ffff90,0xb80037d4,
    0x3fa02fff,0xfb003900,0x057003ff,0xf51fc800,0x07000bff,0x00dfff10,
    0x407fff60,0x0e02fffc,0x007fff88,0x807fffcc,0x7fff4002,0x3ffa0006,
    0x07f9006f,0x3fffa000,0x001ff106,0x417ffe20,0xd80004f9,0x00001fff,
    0x3ea5f880,0x000005ff,0x000dfff1,0x5407fff6,0x000cffff,0x003fffc4,
    0x001fffea,0x0ffffe40,0xffff3000,0x006f9807,0x3fffe600,0x0001fe83,
    0x640fffe4,0xfd80000f,0x000001ff,0x3fea1fc8,0x1000005f,0x2000dfff,
    0x3e01fffd,0x00cfffff,0x00ffff10,0x005fffd8,0x3ffff980,0xfffc8000,
    0x007fa00f,0xffff7000,0x0001fec3,0x2227ffcc,0xfb00005f,0x000003ff,
    0x7fd45f88,0x0075005f,0x0037ffc4,0x201fffd8,0xffffffe8,0x7fff8803,
    0x17fffc00,0x3ffa2000,0x3a00005f,0x7f705fff,0x3fa00000,0x00bf76ff,
    0x23ffec00,0xb00001fb,0x00003fff,0x7d41fc80,0x077005ff,0x037ffc40,
    0x01fffd80,0xffffffb8,0x3ffe200d,0xfffb1007,0xff90000f,0x400001ff,
    0x442ffff9,0x2000006f,0xefdffff8,0x3ea00000,0x001ba2ff,0x01fffd80,
    0x17e60000,0x4017ffea,0x3fe2003e,0xffb0006f,0x3f22003f,0x100effff,
    0xd100ffff,0x0003ffff,0x02ffffa8,0xfffc8000,0x0007f60f,0xffff7000,
    0xd000003f,0x00beadff,0x1fffd800,0x3f600000,0x05fffa80,0x1001fec4,
    0x2000dfff,0x4001fffd,0x04ffffd9,0x99bffff1,0xfffd9997,0x8800019f,
    0x0005ffff,0xbfffd100,0x000013ea,0x037ffec0,0xfffb8000,0x400007d9,
    0x0001fffd,0x2a09f300,0xeeeeffff,0x03ffffee,0x2bfffe20,0xaaaaaaaa,
    0xfffeaaaa,0xffb80701,0xffff106f,0xffffffff,0x00019fff,0x01ffffb0,
    0x7fd40000,0x000ffbff,0xfff10000,0x2aa0009f,0xffbaaaaa,0xaaaadfdf,
    0x6c001aaa,0x00001fff,0x3ea01fd0,0xeeeeefff,0x003fffee,0x3fffffe2,
    0xffffffff,0x1fffffff,0xffc803b0,0xffff881f,0x7f65cc40,0x0001efff,
    0x005ffff7,0xfffb0000,0x000005ff,0x7ffffd40,0xffff8001,0xffffffff,
    0xffffffff,0x7fec004f,0xa800001f,0x3ffea04f,0x003fd805,0x267fffe2,
    0x99999999,0x1fffe999,0xff8809b0,0x7fff880f,0xfffff700,0xfff88007,
    0x0000004f,0x00bffff1,0x77c40000,0x8006fffe,0x99999999,0x999dfff9,
    0x00099999,0x000fffec,0x666ff400,0xfffdcccc,0x4007d005,0x0006fff8,
    0x3603fffb,0x83ff400f,0x2007fff8,0x01fffff9,0x01bfffa0,0xff900000,
    0x0000007f,0x7ffccff4,0xf800004f,0x800004ff,0x0001fffd,0x77777d40,
    0xfffeeeee,0x40077005,0x0006fff8,0x3603fffb,0x0ffe606f,0x003fffc4,
    0x01bfffe6,0x00ffffdc,0x3ee00000,0x000003ff,0x7fdc7fb0,0x400001ff,
    0x00004fff,0x001fffd8,0x54037400,0x75005fff,0x37ffc400,0x1fffd800,
    0x985dffb0,0x3fe205fd,0xfff8007f,0x7fcc01ff,0x000003ff,0x03fffb80,
    0x4fb80000,0x00efffe8,0x13ffe000,0x3ff60000,0x2e00001f,0xfffa803f,
    0xf1000005,0x36000dff,0xddb01fff,0x7ffdbfff,0x07fff880,0x2ffffc80,
    0x037fff40,0xfb800000,0x000003ff,0xff9837cc,0xfff004ff,0xffffffff,
    0xffffffff,0xfd8009ff,0x200001ff,0xfff5006f,0x2200000b,0xb0006fff,
    0x30203fff,0x10015775,0x7000ffff,0x6405ffff,0x0000ffff,0x7dc00015,
    0x000003ff,0xfb803fe2,0xcc801fff,0xfccccccc,0xccccceff,0x6c002ccc,
    0x00001fff,0x3ea005f7,0x020005ff,0x006fff88,0x003fffb0,0xfff88000,
    0xfffc8007,0xffff500f,0x00740005,0x07fff700,0x17f40000,0x077fff40,
    0x27ffc000,0x7fec0000,0xf880001f,0x3ffea006,0x403a0005,0x0006fff8,
    0x1803fffb,0xff100220,0xffd000ff,0x3ffe20bf,0x1aa0005f,0x7fff7000,
    0x3f600000,0xffff3004,0xfff0000b,0xfb000009,0x900003ff,0x7fd4005f,
    0x0b90005f,0x0037ffc4,0x101fffd8,0xffc81dfd,0x1fffe203,0x7ffff500,
    0x03ffff60,0x0005d800,0x001fffe4,0x002fe400,0x00bfffee,0x009fff00,
    0x5fffb000,0x06f98000,0x02fffd40,0xf101fcc0,0x36000fff,0xff902fff,
    0x3fffc49f,0x00ffff30,0x077fffcc,0x017fffdc,0x0007f900,0x004fffc8,
    0x007fe400,0x0fffffc0,0x0bfff000,0xfffd0000,0x3fe80005,0x2fffd400,
    0x803fa200,0x0007fff9,0x3205fffd,0x3fe24fff,0xfff700ff,0xfff9100f,
    0xfff101df,0x3220009f,0x740002ff,0x00005fff,0x000dff91,0x03fffff6,
    0x1bffe200,0x3ffe0000,0x3f20004f,0x7fe4001f,0x3fee006f,0x7fffd406,
    0x7ffc4000,0x1dfd103f,0xd303ffc8,0x9ddfffff,0xffffdb99,0x7fff407f,
    0xeeeeeeef,0xffeeeeee,0x20001fff,0x1bfffffb,0xfff51000,0xf98005ff,
    0x1cffffff,0xffffb300,0x32000017,0x00bfffff,0x06fffe40,0x7fffe440,
    0xccccccef,0x03ffffed,0x3bffffa6,0x3fff6000,0x880602ff,0x7ffff4c0,
    0xffffffff,0x0abdeeff,0x3ffffea0,0xffffffff,0xffffffff,0xfeb8007f,
    0xffffffff,0x3ff2003e,0x2fffffff,0x7ffffd40,0x05ffffff,0x3fffffee,
    0x8001efff,0xffffffec,0x5401efff,0xffffffff,0xffffea82,0xffffffff,
    0xffffffff,0x7fff74c1,0x06efffff,0xffffffdb,0x0005dfff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x000004d8,0x0000035c,0x00006600,0x02e25500,
    0x26000000,0x003deedb,0x1677ee54,0xbfdb9100,0xaaa80157,0xaa882aaa,
    0xa980aaaa,0x1aaaaaaa,0x15555550,0xccccce80,0xcccccccc,0x4ccccccc,
    0x0005f800,0x0003e400,0x37bb6e20,0x001fcc1b,0xa7f5c400,0x0000cff9,
    0xcdfd8800,0x402effec,0xffecdfe9,0x7fe400df,0x1ffffcbd,0x3fffb2a0,
    0xfffdb886,0xfffd982f,0x9501beff,0x48019fff,0x00480000,0x000005f8,
    0x880003e4,0xffebcefd,0x000bf14f,0xbfffc880,0x077ffae0,0x7fd40000,
    0x01fffd82,0xff981bf5,0x5ff900ff,0x00effc88,0x2037ffc4,0x2a02fffc,
    0xd002ffff,0x0012005f,0x3e001200,0x64000005,0xfe880007,0xeeffe884,
    0x36600005,0x6d402eff,0x00002eff,0x7cc0bfe6,0x06f986ff,0x2a17ffea,
    0xfff107ff,0x0dffd009,0x402fffa8,0x8802fffc,0x0012005f,0x3e001200,
    0x64000005,0x7f440007,0x3fffe605,0xfea80000,0x64c001df,0x0000cfff,
    0x3fe037ec,0x00ff40ff,0xf90bfff6,0x2fff40df,0x2037fec0,0x4402fff8,
    0xfb804fff,0x00012000,0x17e00120,0x0f900000,0x01ffc800,0x0027ffd4,
    0x0cfffc88,0x7fdc4000,0xfa8001cf,0x3ffdc02f,0x3f201bea,0x27fdc4ff,
    0x900bffb0,0xff880dff,0x7ffd802f,0x24005e80,0x00240000,0x000002fc,
    0xf98001f2,0xfffd806f,0x3f66000f,0x000002ef,0x005dffd5,0x4400fff4,
    0x5577f40a,0xfdaaaaaa,0x0eec45ff,0x900dff90,0xff880dff,0xfff9802f,
    0x000be602,0x09000009,0x0000bf00,0x20007c80,0x7e405ffb,0xa804fffc,
    0x0001dffe,0xdffb3000,0x07ff8017,0x7ffffc00,0xffffffff,0x5c4007ff,
    0xfc806fff,0x7ffc406f,0x0dffd002,0x024003e4,0x40024000,0x4000005f,
    0x3f60007c,0x267ee04f,0xf7106fff,0x000019ff,0x3ff22000,0x7ff980cf,
    0x17fe2000,0xfda80000,0xc806ffed,0x7fc406ff,0xfff7002f,0x0007f103,
    0x09000009,0x0000bf00,0x20007c80,0x5f703fff,0x931fffe2,0x00017dff,
    0x75c00000,0x3fea1dff,0x3fe60007,0xea800006,0x0dff91cf,0x880dff90,
    0xf1002fff,0x01f70bff,0x00000900,0x26666629,0x9df99999,0x99999999,
    0x4cccccc1,0x99fd9999,0x99999999,0x213ffe60,0x7fffc3fa,0x009fff10,
    0x80000000,0xff73fffa,0x3ea0001f,0x2600007f,0x7fe40dfe,0x06ffc806,
    0x0017ffc4,0x5e81fff9,0x00009000,0x3fffee90,0xffffffff,0xffffffff,
    0xffff31ff,0xffffffff,0xffffffff,0x7ffd49ff,0x7f427cc5,0x3ffaa0ff,
    0x0000002e,0x7ff5c400,0x03fff50c,0x03ffe600,0x13fe6000,0x64037fe4,
    0x7fc406ff,0x3fe6002f,0x000be63f,0xa4000024,0xaaaaaaa9,0xaaaefaaa,
    0x0aaaaaaa,0x55555551,0x555fd555,0x35555555,0xf337ffcc,0x41bff60b,
    0x00beffd9,0x22000000,0x4c0bfffc,0x94004fff,0x4003fff8,0x902ffd41,
    0xff900dff,0x2fff880d,0x937fec00,0x0024000d,0x7c002400,0x64000005,
    0xfff10007,0xfd817a2f,0x7fe4404f,0x000000cf,0x0bbff660,0x001ffff0,
    0x0ffff8ea,0xfff8d100,0x01bff202,0xf101bff2,0xfa8005ff,0x003f8aff,
    0x20000120,0x005f8004,0x003e4000,0xdd3fffd0,0x017ff401,0x03bffd70,
    0x7f540000,0xffd001cf,0xd83a009f,0x79004fff,0x9007ffcc,0xff700dff,
    0x2fff880f,0xbdffe800,0x0120000f,0x20012000,0x4000005f,0x3ee0007c,
    0x7c00efff,0xda8000ff,0x00002eff,0x017fff91,0x3ffffa80,0x3fe636c0,
    0x07dc05ff,0x6c07fff5,0xffa806ff,0x17ffdc07,0x7fffdc00,0x00240004,
    0x7c002400,0x64000005,0x3fe20007,0x7fcc01ff,0x7e4c0006,0x98000bff,
    0x0002effd,0x05fffff4,0x3f607fa6,0x710aefff,0xfff989fb,0x4ffff906,
    0x2fff980a,0x07fffdb0,0x3ffff100,0x00048000,0x5f800480,0x3e400000,
    0x3ffee000,0x00ffe404,0xfffb8800,0xffea801c,0xf300001d,0xfddfffff,
    0x3fe207ff,0xffffffff,0xffff886f,0xfdeeb8ae,0xf106cbff,0xd5139fff,
    0x53ffff3b,0x37fec003,0x00024000,0x2fc00240,0x1f200000,0xffff7000,
    0x00ffe605,0x7ff54000,0x7ffdc42d,0x9800000c,0xffffffff,0x7ff4c05f,
    0x0effffff,0xffffff70,0x3fffea9f,0x3ffea00e,0xff15ffff,0x40019fff,
    0x80003ff9,0x04800004,0x00005f80,0x50003e40,0x37fffb7f,0x000ffea2,
    0x3ff66000,0x007dff14,0xffb10000,0x4005dfff,0x4ffffffd,0xeffffb80,
    0x037ffa21,0x3fffff20,0x02fbfe23,0x0007f400,0x40000240,0x005f8004,
    0x003e4000,0x3fea3f98,0x01dfffff,0x64400000,0x00005b33,0x37751000,
    0x4ddcc000,0x02a62000,0xba800098,0x0002c881,0x90000298,0x2a900000,
    0xcccccccc,0xccccefcc,0x01cccccc,0xd0007c80,0x2af2a609,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00002400,0xfffffba4,
    0xffffffff,0xffffffff,0x07c8002f,0x00000100,0x00000000,0x00000000,
    0x00000000,0x00000000,0x80000000,0x04800004,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x48000048,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000480,0x00000004,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00004800,0x00000048,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xccce8000,
    0xcccccccc,0xcccccccc,0x0000004c,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2aaa6000,
    0x2aa0aaaa,0x0aaaaaaa,0x15555544,0x56776540,0x76544000,0x5cc0bdef,
    0xb502cefd,0x00005b00,0x41b100f2,0x41300001,0xaaaaaaa8,0x2aaaa61a,
    0x2aaa602a,0xaaaaaaaa,0xb301aaaa,0xadeda81f,0x5bdb7100,0x4c7d9800,
    0x004402dd,0x3fffffea,0x3fff6e0c,0x6440ceff,0xb103fffe,0xfffb79ff,
    0x33fee009,0x90efffba,0xbfffd9bf,0xfa809f01,0x07dc0001,0x6fc49d10,
    0x5665cc40,0x3225f981,0x2dffffff,0x13bfff66,0xffffffd8,0xffffffff,
    0x3ffae22f,0xffffd10f,0xfffb83ff,0x5c405fff,0x3ff67ffe,0x7f5c41ff,
    0x7fec03ef,0x3fff205f,0x00ff9807,0xfd109ff3,0x7fec01bf,0xfdeffd82,
    0x437ff541,0x077403fb,0x404fa800,0x877dc0fd,0xfffffffb,0x203ff31e,
    0xf01ffffd,0x39fb00bf,0x2fffe403,0x1ffffff5,0xffd9bff3,0x6effe4bf,
    0xf703ffff,0x3eefffff,0x76c4ffff,0x203fffcc,0x7405fff8,0x3fa806ff,
    0x440bff10,0xff306fff,0x3fffea0d,0x07fff302,0x2fd403ff,0x007fc400,
    0x3bee09f9,0xb711befe,0x803ffbff,0xfa84fffe,0x5009b005,0xd041dfff,
    0xb05f5fff,0x83d95fff,0x080fffe8,0x1d5fffd1,0x2dc3ffb3,0xf9007ff4,
    0xfffb80ff,0xfb03ec00,0xfffb801f,0x105ffc83,0xfd80dfff,0x07fdc0ff,
    0x44009fd0,0x3fee03fe,0x00fff200,0x1003ffd1,0x7c41ffff,0x805b000e,
    0x201ffff8,0x100efffb,0x201bffff,0x6402fff9,0x04c1efff,0x203fdc02,
    0x2202fff9,0x3e203fff,0x00dff304,0xf703fffe,0x3ffe209f,0x0fffe405,
    0xfa8077f4,0x1ffb002f,0xd013fea0,0x3fa2003f,0xdfff5003,0x1d0007ec,
    0x03fffd80,0x2007ffdc,0xff806ffd,0x7ffdc03f,0x1fec0003,0x202fff40,
    0x3ee06ffe,0x00bff700,0x9113ffee,0x3ffe201b,0xaaaaaaad,0xfa82fffd,
    0x07ffa05f,0x2207ff90,0x3ee00fff,0x07f44004,0xbafffd80,0x5c00002f,
    0xfa805fff,0x7fec00ff,0x04fff806,0x0003ffdc,0x7dc013e2,0xfff300ff,
    0xd817a03f,0xff3004ff,0xff7000bf,0xffffffff,0x207fffff,0xff504ffe,
    0x1ffea01f,0x2027ff44,0x9f50006f,0x3fffe200,0x4c00004f,0xa800efff,
    0x7e400fff,0x4ffe806f,0x003ffdc0,0x003feb88,0x3607fff1,0xf885ffee,
    0x00fffe02,0x803fffc4,0x3fffffc8,0xfff50000,0x21bffa07,0xfb03fff9,
    0x27c401ff,0x006f8800,0x001fffea,0x3ffff100,0x03ffea00,0xd00dff90,
    0xffb809ff,0xffd88007,0xfc800eff,0xfbaf886f,0x303e40ff,0x7c007fff,
    0x36600fff,0x3fff8bff,0x3ffa0000,0x5fffa81f,0x641bffe2,0x7d404fff,
    0x01fa0002,0x005fff90,0x1fffec00,0x01fff500,0xe806ffc8,0x7fdc04ff,
    0x7f440007,0xfff9804f,0xfff8be41,0xff7027c3,0x7ff4009f,0x47ffb107,
    0x0004fff8,0x213fff20,0xf50ffff8,0x3ffa0bff,0x00fdc02f,0x4001f900,
    0x000ffffb,0x05fffb80,0x007ffd40,0x3a01bff2,0x7fdc04ff,0xdfd00007,
    0x893ffa00,0xa9bff63f,0x3ffea01f,0x1bffa004,0x3e033fea,0x100005ff,
    0x3f20dfff,0x7ffe41ff,0x06fff981,0x900017d4,0x7efcc00f,0x4c0005ff,
    0x4000efff,0x6400fffa,0xffe806ff,0x03ffdc04,0x007fb800,0x07dcfff7,
    0x1b63fff5,0x00dfff30,0x3ea27ff4,0x1bffa05f,0x77fe4000,0x03fff880,
    0x3ea0bffb,0x0fe602ff,0x2006e800,0x07fff96e,0x3fffe200,0xfffa8001,
    0x037fe400,0x2e027ff4,0x700007ff,0x3fe200bf,0xffd09f2f,0xf8807f19,
    0xff000fff,0x02ffd85f,0x4003fffa,0x1fff883b,0x4409ff90,0xff701ffe,
    0x0005f80d,0x3f2009f1,0x007fffa0,0x00bfff60,0x007ffd40,0x3a01bff2,
    0x7fdc04ff,0x3fd00007,0x5effec00,0xbfffb80f,0xfffd800f,0x41fff003,
    0x3200fff8,0xf8803fff,0x102ffd80,0xff100bff,0x017fe40d,0xfb0005f9,
    0x985f5003,0x5c006fff,0x0c805fff,0x400fffa8,0xfe806ffc,0x3ffdc04f,
    0x3159fb00,0xfa8005fb,0xff105fff,0x3e600bff,0xff9806ff,0x01fffd45,
    0x801ffff3,0x03ff985d,0x54003bf2,0x1bf602ff,0x2000ff88,0x4f9804fa,
    0x009fff70,0x401bffe6,0x0fffa80d,0x4037fe40,0x7dc04ffe,0x3ff2007f,
    0x0000cfff,0x6c03ffff,0x32002fff,0x7ec03fff,0x37ffd40f,0x3dffff90,
    0xd81feb88,0x07fe205f,0x440df700,0x3bf202fe,0x00ffb801,0x3fa03744,
    0x7fc402ff,0x01f001ff,0xc803fff7,0xfff806ff,0x0fffdc05,0x00006200,
    0x2a02ffe4,0x744007ff,0xff302fff,0x9ffff105,0x7fdf74c1,0xffddefff,
    0x406f983f,0xf90002fd,0xa837cc05,0x980bffff,0x200efffd,0x7fd402fd,
    0x3ff600ff,0x20f9002f,0x6c01fffc,0xfff807ff,0x17ffe406,0x30000000,
    0x9ff005ff,0x3fff6000,0x05ff711b,0x6fffffdc,0xfff50dfe,0x0bffffff,
    0x3f9803b6,0x20374000,0x4ffcc3fa,0xfeefffd8,0x81df73ff,0x5403ffd8,
    0xb81effff,0xaaaaefff,0x7febaaaa,0x05fffe88,0x80ffffea,0x301ffffc,
    0x001dffff,0x37400000,0x0000fc80,0x3fffffae,0xffc801cf,0xd982efff,
    0x03ffffff,0x05d803f3,0x402f8800,0x303be26b,0x817bddb7,0x3ffe65fb,
    0xfffd07ff,0x221fffff,0xffffffff,0xffffffff,0x3ffffa67,0xff91efff,
    0x4dffffff,0xfffffffe,0xfffff52f,0x0005ffff,0x00350000,0x440000e2,
    0x4000abca,0x3001acb9,0x04401577,0x100000c0,0x00b83001,0x0001b800,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xec987da8,
    0x0000002d,0x10000000,0x40000079,0x00cc0000,0x098800c0,0x004cc400,
    0x04c004c0,0x66644130,0xcccccccc,0xcccccccc,0x85102ccc,0xccccccc8,
    0xcccccccc,0x2ccccccc,0x221aaaa8,0x3e67ffeb,0x005fffff,0xd800ee98,
    0x01e88002,0x001ffec0,0x0007e400,0x37ffff22,0x01ff2200,0x09fffff7,
    0xefbbed88,0x7eff4c03,0x3ffc80cf,0xff31ffe8,0xffffffff,0xffffffff,
    0x3a09ffff,0x7ffffcc2,0xffffffff,0xffffffff,0x7fffc44f,0xffffff71,
    0x3ff77fe6,0x7e4002ff,0x17fc402f,0x007fd100,0x0004ffe8,0x0027fc40,
    0x3fff7bf6,0x7ffed80f,0x979ffb10,0x3f601dfd,0x5c13fe21,0x07bfaa4f,
    0xff98dfff,0x2666664f,0x99999999,0x99999999,0x001fb84f,0x3ea00000,
    0xfff822ff,0x3a20afaf,0x7ec007ff,0x2ff9803f,0x003fe880,0x0000dd98,
    0x00ff7ec0,0x3f221f98,0x41ff605f,0x0bf704fc,0x0dfd0df3,0xff981ff3,
    0x71fffe26,0x0000bfff,0x7fc44f80,0x0000005f,0x6407ff90,0xf701efff,
    0x902a03ff,0x980983ff,0x3fa202ff,0x00000003,0x2fce7d40,0xff881d80,
    0x261ff207,0x21fe405f,0x87fe83e8,0x7ffb06fe,0x3ea37ffc,0x000004ff,
    0x3ff2627c,0x0000000f,0x7dc04ff8,0x3fe200ff,0x24ffc82f,0xffd10ff9,
    0x105ff303,0x000007fd,0x64dd0000,0x3600802f,0x21ff205f,0x2fc401fc,
    0x07ffe4c0,0x3ea09ff1,0x317ffe4f,0x00007fff,0xff904f80,0x80000005,
    0xffb805f9,0x83fff807,0x5be5fffd,0x303fffe8,0x1ff445ff,0x00000000,
    0x0df117e4,0x203fe800,0x007d87fc,0x45ed40fd,0x3fe60ffe,0x6cdff305,
    0x3fff83ff,0x27c00000,0x00007fd8,0x7006c800,0xfff00fff,0xbffff107,
    0xfffd19d1,0x8aff980d,0x266203fe,0x99999999,0x99999999,0x7c401999,
    0x0004fa85,0x7e401ff3,0xfb006e87,0x7f41db10,0x41bfea0f,0x3ff26ff8,
    0x001ffe82,0x5427c000,0x3bba23ff,0xeeeeeeee,0xeeeeeeee,0x00323eee,
    0x7c03ffdc,0x3b2a03ff,0xceffcdef,0xfdff3001,0xffffb807,0xffffffff,
    0xffffffff,0x07f601ff,0x640007f4,0x43fe402f,0x46f800fc,0x7ff42fe8,
    0xf81ffe20,0x203fea4f,0x00000ffc,0xbfdd27c0,0xfffff985,0xffffffff,
    0xffffffff,0xff70004f,0x07fff00f,0x02fff660,0x027fcc00,0x5555554c,
    0xaaaaaaaa,0xaaaaaaaa,0x4c09f500,0x1fd4005f,0x7dc3fe40,0x3627d403,
    0x40ffe87f,0xff982fff,0x7dc1fe62,0x80000006,0x00000099,0x3ee00000,
    0x3fff807f,0x3bfae620,0x2000bdfe,0x002fffe8,0xe8000000,0x017e400f,
    0xf9004f98,0x4c0bfa0f,0x07ffc0ff,0xfa81ffd1,0xf85fc85f,0x000bf306,
    0x51000000,0x55555555,0x00000035,0x3e01ffee,0xfff903ff,0xfff77b3f,
    0xbfe8805d,0x00002ff9,0x0bf20000,0x2201be20,0x1ff2003f,0x4cd67fcc,
    0xffd82ffc,0xdffedcbf,0xa86ffec5,0x104e80ee,0x5555447f,0x00099800,
    0x7ffcc220,0x4fffffff,0xf7000000,0x7fff00ff,0x21dfff90,0x1ffff55e,
    0xf98ffa20,0x0000002f,0x2006f980,0x0be603fb,0x207fc80c,0xefffffd8,
    0x5dffd301,0x2a037fea,0x203fefff,0xfb0be03c,0x7fdc07ff,0x4000beff,
    0xfffff32d,0x009fffff,0x3fee0000,0x83fff807,0xff30effd,0x4417ffd4,
    0x2ff983fe,0x00ae2000,0x4001fd80,0x42fa80fe,0xff906c99,0x05797300,
    0x006a0260,0x00000262,0xf905ffe8,0xbffffbbf,0x261f1003,0xeeeeeeee,
    0x000004ee,0xf00fff70,0x19b307ff,0x9b30ffdc,0x4c07fd10,0xf90001ff,
    0x9f50007f,0xc8bf3000,0xffffffff,0x01ffb03f,0x00000000,0x44000000,
    0x5fcc0ffe,0x77ffe4c0,0x006d880b,0x40000000,0xff807ffb,0x3ff2003f,
    0x03fe8802,0x8001ff98,0xd8004ffe,0x1d90000d,0x3fffffee,0x7640ffff,
    0x000eefff,0x00000000,0xff300000,0x5c406d85,0xcacdfffe,0x000001ff,
    0x7fdc0000,0x04fff807,0x100fffa0,0x7cc007fd,0x77d4001f,0x00000000,
    0x00000000,0x00000000,0xf5000000,0x26002e8b,0x2ffffffc,0x00000000,
    0x00fffd80,0x8017ffe2,0x74401ffb,0x03f98003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x200038f7,0x0000abb9,0xa8000000,0x3204ffff,
    0x2001ffff,0x00010019,0x00000004,0x00000000,0x00000000,0x00000000,
    0x00072000,0x00000000,0x3fea0000,0x8effffff,0xffffffe8,0x000002ff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__times_48_latin1_x[224]={ 0,4,2,0,2,1,1,1,1,0,3,0,2,1,
3,0,1,5,0,1,0,2,1,1,2,1,3,3,0,0,0,1,2,0,0,1,0,0,0,1,0,1,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,3,0,1,0,-1,2,1,-1,1,1,1,1,1,0,1,
-4,0,1,0,0,1,-1,1,0,2,0,0,0,0,0,0,0,5,3,3,0,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,0,4,2,1,0,0,
3,3,1,1,-1,1,0,1,1,-1,2,0,0,0,4,2,-1,3,3,2,0,1,2,2,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,1,1,1,1,0,-1,1,1,1,1,1,3,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
 };
static signed short stb__times_48_latin1_y[224]={ 38,8,8,8,6,8,8,8,7,7,7,12,33,26,
33,7,8,8,8,8,8,9,8,9,8,8,18,18,13,19,13,8,7,8,9,8,9,9,9,8,9,9,9,9,
9,9,9,8,9,8,9,8,9,9,9,9,9,9,9,8,7,8,8,45,8,18,7,18,7,18,7,18,7,7,
7,7,7,18,18,18,18,18,18,18,12,18,18,18,18,18,18,7,7,7,23,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,38,17,9,8,13,9,
7,8,9,8,8,18,19,26,8,5,8,12,8,8,8,18,9,21,37,8,8,18,8,8,8,17,-1,-1,0,1,
1,2,9,8,-1,-1,0,1,-1,-1,0,1,9,1,-1,-1,0,1,1,14,8,-1,-1,0,1,-1,9,7,8,8,
8,9,9,7,18,18,8,8,8,9,8,8,8,9,7,9,8,8,8,9,9,15,17,8,8,8,9,8,7,9,
 };
static unsigned short stb__times_48_latin1_w[224]={ 0,6,13,21,18,34,32,5,13,13,16,24,7,12,
5,13,20,12,20,18,21,17,19,19,18,19,6,7,24,24,24,17,37,31,27,27,30,26,23,30,31,13,17,32,
26,38,32,29,23,29,30,20,25,31,31,41,31,31,26,10,13,10,20,24,8,19,22,17,21,18,18,20,22,10,
13,22,11,34,22,20,22,21,15,14,13,22,22,31,22,22,19,13,3,13,24,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,6,18,20,22,22,
3,16,13,31,13,20,24,12,31,24,14,24,13,12,8,22,21,5,8,9,13,20,30,30,32,17,31,31,31,31,
31,31,39,27,26,26,26,26,13,13,13,13,30,32,29,29,29,29,29,18,29,31,31,31,31,31,23,21,19,19,
19,19,19,19,27,17,18,18,18,18,10,10,13,13,20,22,20,20,20,20,20,24,21,22,22,22,22,22,22,22,
 };
static unsigned short stb__times_48_latin1_h[224]={ 0,31,14,31,36,32,31,14,41,41,19,24,13,4,
6,32,31,30,30,31,30,30,31,30,31,31,21,28,22,9,22,31,41,30,29,31,29,29,29,31,29,29,30,29,
29,29,30,31,29,39,29,31,29,30,30,30,29,29,29,39,32,39,16,3,8,21,32,21,32,21,31,30,31,31,
41,31,31,20,20,21,30,30,20,21,27,21,21,21,20,30,20,41,41,41,7,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,0,31,38,31,21,29,
41,39,6,31,14,21,10,4,31,3,14,24,16,17,8,30,39,6,10,16,14,21,32,32,32,31,39,39,38,37,
37,36,29,39,39,39,38,37,39,39,38,37,29,38,40,40,39,38,38,19,31,40,40,39,38,39,29,32,31,31,
31,30,30,32,21,29,31,31,31,30,30,30,30,29,32,29,31,31,31,30,30,18,23,31,31,31,30,40,41,39,
 };
static unsigned short stb__times_48_latin1_s[224]={ 255,110,173,88,231,119,124,250,94,62,24,
49,248,221,250,207,157,45,24,20,106,68,78,128,158,177,248,247,96,221,121,
39,1,148,1,130,217,124,195,178,209,34,185,1,151,178,59,209,86,67,133,
57,143,132,58,90,88,56,29,47,34,1,85,58,187,183,75,146,53,164,1,
92,24,229,126,1,239,190,1,33,225,203,225,241,237,203,226,1,147,1,170,
112,108,76,196,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,1,255,240,160,
47,124,120,90,111,241,197,145,103,187,221,98,33,130,24,106,241,246,230,113,
250,212,120,159,82,154,221,1,233,167,135,1,199,126,1,169,58,86,229,225,
172,33,97,211,158,164,33,172,202,199,66,96,41,117,1,140,35,179,128,48,
185,20,167,147,86,180,33,54,219,40,1,48,200,219,113,45,72,98,110,59,
103,67,24,164,60,74,187,210,80,1,232,39,12, };
static unsigned short stb__times_48_latin1_t[224]={ 1,200,502,200,124,163,233,124,1,1,502,
451,351,512,139,163,233,329,329,265,297,297,265,297,265,265,329,265,451,502,451,
265,1,297,421,265,360,360,391,233,421,391,329,391,360,360,360,233,391,84,391,
265,421,329,329,329,421,421,421,43,200,84,502,196,513,451,163,451,163,451,265,
360,297,265,1,297,233,480,502,480,329,329,480,421,391,451,451,480,480,329,480,
1,1,1,513,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,
451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,451,1,265,84,
297,480,421,1,84,443,265,502,480,502,512,265,196,502,451,502,480,502,297,43,
146,502,502,502,480,163,163,200,200,43,43,124,124,124,163,421,43,43,43,84,
124,43,84,84,124,391,124,1,1,43,124,124,502,200,43,1,84,84,84,391,
163,233,200,200,297,297,163,480,391,233,233,200,297,297,360,360,391,163,391,233,
233,200,360,329,502,451,200,200,233,360,1,1,84, };
static unsigned short stb__times_48_latin1_a[224]={ 173,231,283,347,347,578,539,125,
231,231,347,391,173,231,173,193,347,347,347,347,347,347,347,347,
347,347,193,193,391,391,391,308,639,501,463,463,501,424,386,501,
501,231,270,501,424,617,501,501,386,501,463,386,424,501,501,655,
501,501,424,231,193,231,325,347,231,308,347,308,347,308,231,347,
347,193,193,347,193,539,347,347,347,347,231,270,193,347,347,501,
347,347,308,333,139,333,375,539,539,539,539,539,539,539,539,539,
539,539,539,539,539,539,539,539,539,539,539,539,539,539,539,539,
539,539,539,539,539,539,539,539,173,231,347,347,347,347,139,347,
231,527,191,347,391,231,527,347,277,381,208,208,231,400,314,173,
231,208,215,347,520,520,520,308,501,501,501,501,501,501,617,463,
424,424,424,424,231,231,231,231,501,501,501,501,501,501,501,391,
501,501,501,501,501,501,386,347,308,308,308,308,308,308,463,308,
308,308,308,308,193,193,193,193,347,347,347,347,347,347,347,381,
347,347,347,347,347,347,347,347, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_48_latin1_BITMAP_HEIGHT or STB_FONT_times_48_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_48_latin1(stb_fontchar font[STB_FONT_times_48_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_48_latin1_BITMAP_HEIGHT][STB_FONT_times_48_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_48_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_48_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_48_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_48_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_48_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_48_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_48_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_48_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_48_latin1_s[i] + stb__times_48_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_48_latin1_t[i] + stb__times_48_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_48_latin1_x[i];
            font[i].y0 = stb__times_48_latin1_y[i];
            font[i].x1 = stb__times_48_latin1_x[i] + stb__times_48_latin1_w[i];
            font[i].y1 = stb__times_48_latin1_y[i] + stb__times_48_latin1_h[i];
            font[i].advance_int = (stb__times_48_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_48_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_48_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_48_latin1_s[i] + stb__times_48_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_48_latin1_t[i] + stb__times_48_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_48_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_48_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_48_latin1_x[i] + stb__times_48_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_48_latin1_y[i] + stb__times_48_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_48_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_48_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_48_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_48_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_48_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_48_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_48_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_48_latin1_LINE_SPACING
#endif

