// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_49_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_49_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_49_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_49_latin1_BITMAP_HEIGHT        547
#define STB_FONT_times_49_latin1_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_times_49_latin1_FIRST_CHAR            32
#define STB_FONT_times_49_latin1_NUM_CHARS            224

#define STB_FONT_times_49_latin1_LINE_SPACING          32

static unsigned int stb__times_49_latin1_pixels[]={
    0x5c405000,0x00000005,0x00001400,0x07aa1ca8,0x65d4c000,0x0001abcd,
    0xd50006e2,0x00b98003,0x33333310,0x00333333,0x00bddd70,0xe8800000,
    0x00001eee,0x260ba600,0x00006ffd,0x5ffff100,0x00019900,0xb8fffd40,
    0x3660001f,0xcbacceff,0x8001cfed,0xf7003ec9,0x073ae003,0xfffffb50,
    0xddfddddf,0xffd0001d,0x0000003f,0x027ffdc0,0x1b900000,0x6ffffeb8,
    0xf7000000,0x75c007ff,0xffb00001,0x0007ee7f,0x0039fd71,0x0007bf26,
    0x3ee017a6,0x00f6c401,0x7fffffec,0x000fd44f,0x013ffa20,0xfe800000,
    0x0000005f,0x2e660dd1,0x00006fff,0x009ffb00,0x00007f50,0x3ee3fff5,
    0x2ffea001,0x0fee0000,0x701be600,0x01fe803f,0x7ffffec4,0x0fd44fff,
    0x37fc4000,0x88000000,0x000006ff,0xd001dd10,0x00000dff,0x000bff10,
    0x40002fd4,0x007ee1ca,0x00006fe4,0xe8005e98,0x807ee03f,0x7f4406fc,
    0xffffffff,0x0000fd44,0x0000ff98,0x0efa8000,0xfb000000,0x1bff6003,
    0x3ea00000,0x7ec0000e,0xfb800004,0x027ec401,0x02744000,0x5c07fee0,
    0x07ff301f,0xffffffb8,0x7d44ffff,0x3ea00001,0x80000003,0x000001fd,
    0x6c00bf70,0x000006ff,0x80000fd8,0x00002ff8,0xfd100fdc,0x4c000007,
    0x3fea001f,0x2e03f703,0x7fec02ff,0xffffffff,0x0000fd44,0x00001720,
    0x0000be00,0x00ffd400,0x000dffb0,0x0003f000,0x0007fdc0,0x7403f700,
    0x8000002f,0xff7000fa,0x6c07ee0b,0x7ffc03ff,0xffffffff,0x0000fd44,
    0x000001c0,0x00000a20,0x4005ff80,0x00006ffd,0x00000c40,0x00017fe2,
    0xbf901fb8,0x74000000,0x0dff9003,0x7ff407ee,0x3fffe604,0x4fffffff,
    0x00000fd4,0x00000000,0x2e000000,0x7ec003ff,0x0000006f,0xffd00000,
    0x3ee00003,0x000ff981,0x01ae0000,0xfb837ff4,0x40bffd01,0xfffffff8,
    0x7d44ffff,0x2ea20001,0x009bdeec,0x4ccccc40,0x00999999,0x99999988,
    0xfe800999,0x7fec000f,0x00015106,0x32000000,0x510005ff,0xff107ee1,
    0x7d950005,0x440654c3,0x5fff801f,0x3f603f70,0x7fff406f,0x4fffffff,
    0x44000fd4,0xfdcefffd,0x7000efff,0xffffffd9,0x970079bf,0x9bffffff,
    0x06ff9803,0x226ffd80,0x02efffeb,0xddddddd9,0x3bbae05d,0xff9805ee,
    0x3f26000f,0xfb83f71f,0x5ff4c005,0xfff8aeb9,0xf8807b00,0x03f703ff,
    0xf901ffee,0xffffffff,0x001fa89f,0x404f7fdc,0x003fffa8,0x17ffffd4,
    0x3fff7000,0x02ffec00,0xe8b7fec0,0x4fffffff,0xfffffb88,0x7ff4400c,
    0x7fff000b,0xffffd500,0x3fd07ee3,0x20f7dc00,0x205ffbe8,0x7ffcc04c,
    0x2a03f702,0x3ea00fff,0xffffffff,0x800fd44f,0x1005ffe9,0x4001bffd,
    0x0006fffd,0x22003fe8,0xd8004fff,0xfdffd6ff,0x207fffff,0x000ffffa,
    0xfe8009f9,0x7e65406f,0x43f71fff,0x3ee006f9,0x7fffb00f,0x3e202dc0,
    0x03f701ff,0xb003ffe6,0xffffffff,0x801fa89f,0x8004fff8,0x9000fffd,
    0x0000bfff,0x7d4005fb,0xfd8003ff,0x7d42ebef,0xfb00ffff,0x3fa005ff,
    0x7fff4000,0x3fff9000,0x04fc87ee,0x5c05ff90,0x1aa00fff,0x5c03ffe0,
    0x0fff101f,0x3fffff20,0x0fd44fff,0x003fff40,0x005fff98,0x0009fff7,
    0x5c003fb0,0xd8003fff,0xf300efff,0x3e209fff,0x5f9805ff,0x2fffd800,
    0x23fff700,0x03ff11fb,0xc809ff50,0x035406ff,0x3f703fe4,0x90027fc0,
    0x9fffffff,0x7dc01fa8,0x360003ff,0xfb802fff,0xc80004ff,0x3ff2001f,
    0xffd8002f,0x7ffec00f,0x03fff207,0x90005f90,0x2a009fff,0x21531fff,
    0xff8806f9,0x04ffd806,0x7fc402dc,0x2e03f703,0x544000ff,0x544ffeec,
    0x3ffe601f,0x7fcc0007,0x7fdc00ff,0xfc80004f,0x3fffa001,0x6ffd8001,
    0x0ffff980,0x809fff10,0xff90006f,0x3fea009f,0x009f501f,0xff007ffb,
    0x005c803f,0x07ee0df5,0x000017f4,0x101fa89f,0x0007fffd,0x80bfffb0,
    0x0004fffb,0x3e001fc8,0xd8000fff,0xffb006ff,0x7ffec05f,0x0007f500,
    0x4017ffee,0xf701fffa,0x07ffa807,0xd807ff98,0x20fe6004,0x01fc81fb,
    0x2a27c000,0xffff501f,0xff500001,0x7fdc03ff,0xfc80004f,0x1fffe001,
    0x037fec00,0x203fffc8,0xfd04fff9,0x3fea0001,0xfff3006f,0xb00bf203,
    0xff9007ff,0x002f880b,0xfb857644,0x0019b511,0xfa89f000,0x0ffff701,
    0x3ffe6000,0x3ffee02f,0x1fc80004,0x0ffff100,0x01bff600,0x2027ffdc,
    0x7cc0fffd,0x3fe60005,0xfff3006f,0x8807f603,0x7c400fff,0x03d403ff,
    0x3eedf500,0x00005fd1,0x07ea27c0,0x003fffec,0x4ffff880,0x013ffee0,
    0x4007f200,0x000ffff8,0x5006ffd8,0xf9807fff,0x00fe43ff,0x0bfff300,
    0x407ffe60,0x3ff200fe,0x0fffc805,0x4c002ec0,0x987ee1cd,0x800001ec,
    0xf80fd44f,0x00006fff,0xb817fffe,0x80004fff,0x3fe001fc,0xfd8001ff,
    0xfff3006f,0x8fffd003,0x7d40006f,0xff3004ff,0x803f603f,0x7c403ffe,
    0x17c406ff,0x2e0bee00,0x003fa81f,0x3ea27c00,0x5ffff881,0x3ffe0000,
    0x3ffee07f,0x1fc80004,0x07fffa00,0x01bff600,0x4007ffd4,0x7f53fffa,
    0xfffb8000,0x3fff3003,0xff807f20,0x7ffe401f,0x20036c04,0x03f706fb,
    0x80000ffa,0x4c0fd44f,0x0004ffff,0x03ffffa0,0x0027ffdc,0xd000fe40,
    0xb0005fff,0x3ee00dff,0x3ffa007f,0x80001fd6,0x3002fffc,0x42a63fff,
    0xfff102fb,0x7ffedc01,0x8007e602,0x3f702ff9,0x0003fea0,0x07ea27c0,
    0x00ffffea,0xffffd800,0x09fff700,0x003f9000,0x001fffe4,0xc8037fec,
    0x3ea004ff,0x0005fcff,0x001fffd8,0x3ee3fff3,0x3e607f51,0xf1d702ff,
    0x13a201ff,0x5c0ffb00,0x017fe01f,0x3ea27c00,0x4ffff981,0x3ff60000,
    0x3ffee07f,0x1fc80004,0x0fffe600,0x01fff600,0x20007ff4,0x001ffffe,
    0x00fffe80,0x2e3fff30,0x2209f31f,0x8eb85fff,0xdd107ff8,0x0fff8001,
    0x3e203f70,0x9f00007f,0xff881fa8,0x200005ff,0x2e06fffe,0x80004fff,
    0x7fc001fd,0xffd8004f,0x1ffd401f,0x37ffdc00,0x5ffe8000,0x47ffe600,
    0xe81fa1fb,0xefcaefff,0xd50fff10,0x2605901b,0x3f701fff,0x003ffe60,
    0x3f513e00,0x01bfffa0,0x5ffff800,0x013ffee0,0x0007f600,0xb000bffb,
    0x7440dfff,0x3fe0006f,0xff00003f,0x7fcc005f,0x7dc3f71f,0xfffff502,
    0xdffe81bf,0xf304fdb9,0x0bffe601,0xffa80fdc,0x4f80000f,0xffd80fd4,
    0xf100007f,0x7d407fff,0xd80005ff,0x7fd4000f,0xfffd8007,0x6ff4c2df,
    0x3fee0000,0xff880000,0x7ffcc006,0x2fc43f71,0x05bfff70,0x33ffffaa,
    0xff00fa00,0x407ee09f,0x00007ffc,0x901fa89f,0x0001ffff,0x05ffff30,
    0x002fffd4,0x40007f40,0x6c002ffe,0xdffe9eff,0x80003ffe,0x700004f9,
    0xf98007ff,0xd83f71ff,0x0026200f,0x7dc004c4,0x82fffc00,0xdffb01fb,
    0x513e0000,0x3ffea03f,0xfa80001f,0x3ea00fff,0xe80006ff,0x9ff50007,
    0x26ffd800,0x0001aca9,0x00007f20,0x20007fec,0x3f70fff9,0x00004f98,
    0x803f8800,0x3f706ffd,0x0017ffa0,0x07ea27c0,0x005fffd8,0x02fffd80,
    0x003fffcc,0x8001be20,0x7ec006fe,0x8000006f,0x100006f8,0xf30009ff,
    0x5c0fdcff,0x0000002f,0x7e40076c,0x203f706f,0x00004ffe,0x201fa89f,
    0x001ffff8,0x017ffe60,0x000ffffc,0x40009f30,0x36002ff9,0x000006ff,
    0x00003fb8,0x2a000df7,0x407ee6ff,0x000000fd,0x2e001db0,0x03f705ff,
    0x0000fff6,0x007ea27c,0x000bfff7,0x8007ffec,0x0004fffd,0x50000ff2,
    0x7fec00df,0x44000006,0x880000ff,0xf50000ff,0x880fdcbf,0x000000ef,
    0xa8003b62,0x03f703ff,0x0000bfee,0x007ea27c,0x0007fffa,0x800fffe6,
    0x0006fff9,0x20000df3,0xffb004fc,0xc800000d,0xf900003f,0x7fd40003,
    0xe9807ee3,0x8800001f,0x7e4000ee,0x203f700f,0x00004ff8,0x801fa89f,
    0x000effe9,0x0013ffa6,0x0013fff6,0x00005fd3,0x7ec00fec,0xb880006f,
    0x06fc8ace,0x007f5000,0x8df70151,0x7ec401fb,0x3ae00003,0x2ff8000e,
    0xfb807ee0,0x89f00007,0x3f2001fa,0xffa801ff,0xfd10002f,0xb9801bff,
    0x800004ff,0x7fec02fb,0xffb80007,0x002fffff,0x8803f980,0x17ec2fff,
    0x7dc007ee,0xb88000be,0xf50002ef,0x401fb80b,0xf80002fd,0x2000fd44,
    0x20acfffa,0x00dffdb9,0x7ffec400,0xfdb9abdf,0x00003fff,0x7c40fa60,
    0x40001fff,0x2ffffffb,0x00da8000,0x3bffff30,0x03f707f7,0x56ffe440,
    0xdf953101,0x1fd40007,0x5c00fdc0,0x27c0002f,0x220007ea,0xffffffec,
    0x00003dff,0x7ffffed4,0x00cfffff,0x47900000,0xfffffeca,0xf88000bc,
    0x0001efff,0xfc8003c8,0x701fffff,0x36a0003f,0xffeeffff,0x20003def,
    0xf7001deb,0x0fb66003,0x32616400,0xca980000,0x000000ab,0xbcccaa88,
    0x0000002a,0x55555410,0x000aaaaa,0x00006e60,0x2a200008,0x065400ab,
    0x5d4c4000,0x100001ab,0x0ca80015,0x00054400,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x50000000,0x0001dddd,0x3ba60000,0x000001ee,
    0x01bddd30,0x3a600000,0x000005ee,0x009ddd70,0x0bbbb620,0x27776400,
    0x77754000,0xdd90000d,0xdc98007d,0x000bda81,0x7ffec000,0x00000002,
    0x0007fff9,0x7ffec000,0x0000004f,0x007ffffd,0xfff88000,0xf30001ff,
    0x3e000bff,0x80000fff,0x0001fffe,0x01fffff5,0x263fff40,0xf9104fff,
    0x7f400019,0x0000004f,0x000bffd0,0x7ffd4000,0x00001fff,0x7ffffd40,
    0x2000000f,0x06fffffc,0x03ffee00,0x03fff500,0x7fff1000,0x7fff4000,
    0xff3004ff,0x7ffe43ff,0x09fff706,0x03ff4400,0x7c400000,0x0000006f,
    0x5ffca7f4,0x7fc00000,0x0009ffb4,0x22bfe600,0x20002ffe,0x64002ffc,
    0x500002ff,0x5c0009ff,0x1fff99ff,0x98fffd00,0xffb04fff,0xf98000bf,
    0x0000001f,0x000077dc,0xa89f7000,0x000002ff,0x1ffb87f7,0x2fd80000,
    0x00007fec,0xff800bfb,0x3f600003,0x3be20005,0x4017fa20,0xbda81cc8,
    0x07fff500,0x009f5000,0x0fd80000,0x22000000,0x00dd304f,0x207f1000,
    0x400006f9,0x09f701fa,0x2007e800,0x400004f9,0x7640006f,0x0005f900,
    0x01654000,0x000d7000,0x00fc4000,0x0f200000,0x00007b10,0x16c402c8,
    0x803d0000,0x220000e9,0x00b7001f,0x000ea800,0xd5003a20,0x00000000,
    0x00170000,0x00a60000,0x00600000,0x0c000028,0x20000300,0x00310008,
    0x17002980,0x01a80000,0x98004c00,0x20000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,
    0x9988dfd8,0x99999999,0x99988009,0x00999999,0x7765d440,0x440009bd,
    0x99999999,0x98800999,0x99999999,0x65d44000,0x0009bdee,0x99999998,
    0x99999999,0x09999999,0x99999988,0x31099999,0x33333333,0x4cccc133,
    0x99999999,0x99999999,0x99988099,0x99999999,0xdddddd90,0x3bae05dd,
    0xfff75eee,0xffffd979,0x0079bfff,0xffffff97,0x3620039b,0xffdcefff,
    0x97000eff,0xfffffffd,0xf970079b,0x39bfffff,0x3fff6200,0xeffffdce,
    0x3ff72000,0xffffffff,0xffffffff,0xfecb83ff,0xcdffffff,0xffffd972,
    0x6459bfff,0xfffffffd,0xffffffff,0xb83fffff,0xffffffec,0xff712cdf,
    0x88019fff,0xffb0bffe,0xffffa8bf,0x3ee0002f,0x7dc001ff,0xfa8809ef,
    0x7d4003ff,0x0002ffff,0x0007ffee,0x1013dff7,0x0007fff5,0x557ffff7,
    0x95555555,0xfa809ffb,0x5401ffff,0x801fffff,0xaabffffb,0xcaaaaaaa,
    0x7d404ffd,0x2a01ffff,0x9000ffff,0x2fffa89f,0x006fffd8,0x2003fe80,
    0x1005ffe9,0x4001bffd,0x0006fffd,0x26003fe8,0xd1005ffe,0x44001bff,
    0x4001ffff,0xffe804fc,0xfffd004f,0x3ffe2009,0x27e4001f,0x027fff40,
    0x8017ffec,0x01b880fe,0x000bfff9,0x22005fb0,0xd8004fff,0xf9000fff,
    0xb0000bff,0x3fe2005f,0xffd8004f,0x3ffe000f,0x04e8001f,0x003fffd8,
    0x4007fffb,0x8001ffff,0xfffd804e,0x5fff8803,0x0005f980,0x0009fff7,
    0x3a003fb0,0xf30007ff,0x3ee00bff,0xd80004ff,0xfffd001f,0x3ffe6000,
    0x3fffe005,0x805b8001,0xb003fffd,0x7c007fff,0xb8001fff,0x3fffd805,
    0x01fff900,0x70002fc8,0x00009fff,0xff7003f9,0x7ec0007f,0xffb802ff,
    0xfc80004f,0x3fffb801,0x3fff6000,0x3fffd002,0xb00b1000,0x36007fff,
    0x3a003fff,0x88001fff,0x3fffd805,0x09fff100,0x2e0006f8,0x80004fff,
    0x7fcc01fc,0x7cc0007f,0x7dc00fff,0xc80004ff,0x7ffcc01f,0x7fcc0007,
    0xffe800ff,0x0010001f,0x2007fffb,0x2003fffd,0x0001fffe,0x7fffb001,
    0x07ffec00,0x20003fa8,0x0004fffb,0x3a201fc8,0x80003fff,0x5c05fffd,
    0x80004fff,0x3fa201fc,0xd80003ff,0xfe805fff,0x000001ff,0x400ffff6,
    0x2003fffd,0x0001fffe,0x0ffff600,0x04fff980,0x5c0001fd,0x80004fff,
    0x3fea01fc,0xa80000ff,0x2e01ffff,0x80004fff,0x3fea01fc,0xa80000ff,
    0x7401ffff,0x06001fff,0x07fffb00,0x00ffff60,0x001fffe8,0xfffb0006,
    0xfffd8007,0x0002fcc0,0x0013ffee,0xfb807f20,0x300007ff,0x5c05ffff,
    0x80004fff,0x3fee01fc,0xf300007f,0xfe805fff,0x03a001ff,0x03fffd80,
    0x007fffb0,0x000ffff4,0x7fec001d,0x7fcc003f,0x000fe43f,0x013ffee0,
    0xd807f200,0x00007fff,0x409ffff1,0x0004fffb,0x3f601fc8,0x100007ff,
    0xe809ffff,0x3e001fff,0x3fff6000,0x7fffb003,0x0ffff400,0x6c001f00,
    0xe8003fff,0x0037c7ff,0x027ffdc0,0xf00fe400,0x0000dfff,0x702ffffc,
    0x00009fff,0x7ffc03f9,0x3e00006f,0x7f405fff,0x1f9001ff,0x1fffec00,
    0x03fffd80,0x007fffa0,0xfb0007e4,0xf50007ff,0x00fea7ff,0x13ffee00,
    0x407f2000,0x005ffff8,0x1ffffe00,0x004fffb8,0xf101fc80,0x0000bfff,
    0x203ffffc,0x999afffe,0xffc99999,0x3fff6000,0x7fffb003,0x57fff400,
    0x99999999,0x36000ffc,0xd0003fff,0x003fadff,0x13ffee00,0x407f2000,
    0x004ffff9,0x3ffffa00,0x09fff700,0x203f9000,0x004ffff9,0x3ffffa00,
    0x3ffffa00,0xffffffff,0x36000fff,0xfb003fff,0x7f4007ff,0xffffffff,
    0x00ffffff,0x00ffff60,0x7e7ffd40,0xff700005,0xf900009f,0x3fffea03,
    0x3f600003,0xff700fff,0xf900009f,0x3fffea03,0x3f600003,0x3fa00fff,
    0xaaaaabff,0x00fffdca,0x00ffff60,0x001fffec,0x5557fffd,0xfffb9555,
    0x7ffec001,0x3ffa0003,0x700001ff,0x00009fff,0x3fe603f9,0x200004ff,
    0x2e07fffd,0x80004fff,0xfff301fc,0x6c00009f,0x7f407fff,0xfe8801ff,
    0x3fff6000,0x7fffb003,0x0ffff400,0x0007f440,0x0007fffb,0x0037ffdc,
    0x09fff700,0x203fb000,0x005ffff8,0x1bfffa00,0x004fffb8,0xf101fd80,
    0x0000bfff,0x2037fff4,0x1001fffe,0x7fec001f,0xfffb003f,0x7fff4007,
    0x001f1001,0x001fffec,0x000fffe0,0x04fffb80,0x201fd800,0x0006fffe,
    0x817fffe0,0x0004fffb,0x3fa01fd8,0x200006ff,0x7405ffff,0x3e001fff,
    0x3fff6000,0x7fffb003,0x0ffff400,0x6c001f00,0x40003fff,0x00000ffb,
    0x0017ffea,0xfd803f60,0x100007ff,0x5407ffff,0x80005fff,0x3ff600fd,
    0xf100007f,0xfe807fff,0x032001ff,0x03fffd80,0x007fffb0,0x000ffff4,
    0x7fec0019,0x7cc0003f,0x7d400004,0xe80005ff,0x3fff200f,0xf980000f,
    0x3ea02fff,0xe80005ff,0x3fff200f,0xf980000f,0x7f402fff,0x000001ff,
    0x400ffff6,0x2003fffd,0x0001fffe,0x0ffff600,0x003f9000,0x6fffa800,
    0x407e8000,0x001ffffa,0x0ffffa80,0x01bffea0,0xf501fa00,0x00003fff,
    0x801ffff5,0x0001fffe,0x0ffff600,0x01fffec0,0x003fffd0,0x7ffec000,
    0x1be20003,0x3fe60000,0x7c40007f,0x5fffd806,0xfffd8000,0x3fffcc02,
    0x01be2000,0x0017fff6,0x00bfff60,0x0007fffa,0x7ffec050,0x7fffb003,
    0x0ffff400,0xfd80a000,0x2e0003ff,0xf000003f,0x40003fff,0xff8804f9,
    0x260001ff,0xff005fff,0x4c0003ff,0xfff8804f,0x3e60001f,0xffd005ff,
    0x2d40003f,0x007fffb0,0x800ffff6,0x0001fffe,0xfffd816a,0x1ff10003,
    0x3f600000,0x320004ff,0xfff7003f,0x7fec000b,0xfffb000f,0x1fe40009,
    0x05fffb80,0x03fff600,0x00ffff40,0x3602f880,0xfb003fff,0x7f4007ff,
    0xf10001ff,0x1fffec05,0x003fc800,0x3ffe6000,0x0df30006,0x01fffe80,
    0x03fff980,0x01bffe60,0x20037cc0,0x8001fffe,0x2003fff9,0x0001ffff,
    0xfffd80fb,0x7fffb003,0x0ffffc00,0x6c07d800,0x2e203fff,0x06fc8ace,
    0xffd80000,0x7f4c004f,0x7ff4c002,0x3fa6000e,0xffd8004f,0x7f4c004f,
    0x7ff4c002,0x3fa6000e,0x7ffc004f,0x5fb8001f,0x01ffff40,0x003fffe8,
    0x0007fffe,0xffd017ee,0x7ffdc07f,0x0002ffff,0xfffe8800,0x7fdcc00d,
    0x3ff20004,0xfffa801f,0xffd10002,0xfb9801bf,0x3f20004f,0xffa801ff,
    0x7fc4002f,0x362003ff,0x7ffc02ff,0xffff005f,0x3ffe200b,0x3f62003f,
    0x7fffc02f,0x3fffee05,0x000002ff,0x3ffff620,0xffdb9abd,0xa80003ff,
    0x260acfff,0x000dffdb,0x7fffec40,0xffdb9abd,0xa80003ff,0x260acfff,
    0x000dffdb,0x7fffff4c,0xccccccce,0x407fffec,0x0bfffffc,0x3fffff20,
    0x3ffa600b,0xccccefff,0xfffecccc,0x7fffe407,0xfff880bf,0x000001ef,
    0xffffb500,0x19ffffff,0x76440000,0xffffffff,0x5400003d,0xfffffffd,
    0x0000cfff,0x3fffb220,0x03dfffff,0x3ffffa20,0xffffffff,0xffffffff,
    0xfffed84f,0x3effffff,0xffffffdb,0x3a27dfff,0xffffffff,0xffffffff,
    0xd84fffff,0xfffffffe,0x1b983eff,0x00000000,0x57999551,0x20000005,
    0x000abca9,0xcaa88000,0x0002abcc,0x57953000,0x00000001,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x98800000,0x09bdeecb,
    0x7fffd400,0xf50fffff,0xffffffff,0xcdedb801,0xe9800000,0x00001eee,
    0x1bddd300,0xec800000,0x000004ee,0xbdfdb950,0x00095039,0x00020022,
    0x00075000,0x3fffa600,0xeffffeef,0xdddd3000,0x2a1fffdd,0xeeeeefff,
    0x17dd300e,0x00005fd3,0x004fffb8,0x3ffa0000,0x000004ff,0x003fffc4,
    0xfff91000,0xdffdb9dd,0x800bd117,0x103fffe9,0xf8000009,0x004fc884,
    0x80aeffb8,0x002fffc8,0x543ffe20,0x7c4006ff,0x001ff985,0x017ffa00,
    0xffa80000,0x0000ffff,0x0fffcc00,0x7fe40000,0x3faa01cf,0x22005fff,
    0x2effffff,0x000001dc,0xfff903f5,0x3ff62007,0xffe8800d,0xff88000d,
    0x00dff50f,0xff882fe8,0xff100005,0x8000000d,0x0bff94fe,0xff500000,
    0x6c400009,0x2a001eff,0x2e006fff,0xfffffcbf,0x0001fbad,0x7f41b600,
    0xff9804ff,0x7f44004f,0x7c4000ef,0x0dff50ff,0xf983fcc0,0xf500007f,
    0x0000001d,0x3fee27dc,0xb8000001,0xd100006f,0x50001dff,0x06c00fff,
    0xffffffb1,0x4400000b,0x3fff703f,0x01fffd00,0x0bfff300,0x50fff880,
    0x7d400dff,0x00dff107,0x0007f600,0x03f88000,0x00000dd3,0x00007f60,
    0x0007fffa,0x16007fb8,0x02ffff54,0x03ee0000,0xfc801ca8,0x320003ff,
    0x22002fff,0xdff50fff,0x80ffdc00,0xf00001da,0x80000005,0x016c403c,
    0x03e80000,0x27ffdc00,0x003f4000,0x000a8803,0x005e8000,0x0ffff300,
    0xffff8800,0x1fff1000,0x9801bfea,0x00000dff,0x00001440,0x03000c00,
    0x0e200000,0xffff9800,0x0fa80000,0x00000000,0x0017c400,0x03fffe80,
    0x5fffe800,0x21fff100,0x7c006ffa,0x00000eff,0x00000000,0x00000000,
    0xfb000000,0x400009ff,0x5d44000f,0x009bdeec,0x65544000,0xfa80000f,
    0x80001fff,0x801ffffc,0xff50fff8,0xfffb800d,0x4000000e,0x0000002d,
    0x800016c0,0x99999999,0x99999999,0x00999999,0x005ffff1,0x8800e400,
    0xfdcefffd,0x0000efff,0x3fffff22,0x6403803f,0x0000ffff,0x02ffff98,
    0xf50fff88,0xffb000df,0x000001df,0x00001be2,0x006f8800,0xffffb900,
    0xffffffff,0xffffffff,0x3fffee07,0x80000000,0x8809effb,0x8003fffa,
    0xfb89bffa,0x0d101eff,0x007fffd8,0x13fffe00,0x543ffe20,0xf88006ff,
    0x0001ffff,0x001ffc80,0xff900000,0xfb800003,0xaaaabfff,0xfdcaaaaa,
    0xdfffd04f,0x98000000,0xd1005ffe,0x26001bff,0x7f7e41ff,0x407980ff,
    0x0006ffff,0x017fffe0,0x7d43ffe2,0xedc8006f,0x0003ffff,0x0027ffc0,
    0xfff80000,0x7c400004,0x64001fff,0xbffff04f,0x44000000,0xd8004fff,
    0x7c400fff,0xffccf84f,0x100fa83f,0x000bffff,0x03ffff40,0xfa87ffc4,
    0x8a64006f,0x004ffffe,0x1ffff500,0xa8000000,0x0000ffff,0x00ffffc0,
    0x7fc42740,0x000005ff,0x001fffa0,0x202fffcc,0x4fd40ffd,0xfb85fffa,
    0x9ffff301,0x7ff40000,0x7fc400ff,0x00dff50f,0x7ffe426c,0xfe80003f,
    0x00003fff,0x7ffff400,0x7fc00003,0x5b8001ff,0x04ffff98,0xff700000,
    0x7ec0007f,0x9ff502ff,0x17fe4db0,0xffa817e4,0x200003ff,0x401ffffd,
    0xff50fff8,0x403ee00d,0x001ffffb,0x3ffffe60,0x20000006,0x06fffff9,
    0x7fff4000,0xa8588001,0x0004ffff,0x7fff9800,0x7ffcc000,0x43ffb80f,
    0xfb0043f8,0x3fffea07,0x3f600004,0x7c400fff,0x0dff50ff,0xff501ba0,
    0x7ec000df,0x002ffffa,0xf5fb0000,0x00005fff,0x000ffff4,0xffff9808,
    0x44000004,0x0003fffe,0xd85fffd8,0x007d42ff,0x3e607fd0,0x00005fff,
    0x201ffffa,0xff50fff8,0x009f100d,0x0001fff5,0x3fff2df1,0x88000005,
    0x0bfff96f,0x7fff4000,0x3e200001,0x00004fff,0x07fffd40,0x7ffd4000,
    0x20fff41f,0x27fc005d,0x06ffff88,0x3fffe000,0x0fff8806,0xf700dff5,
    0x0bff200f,0x7c4fee00,0x00000fff,0xff89fdc0,0xd00000ff,0x0c003fff,
    0x02ffffc0,0x3fee0000,0xf300007f,0x7fc45fff,0x000be22f,0x7ffc0bff,
    0xf100007f,0xf1009fff,0x1bfea1ff,0x2007fee0,0xf8004ff8,0x13fff60f,
    0x1ff00000,0x0027ffec,0x01fffe80,0xffd003a0,0x800000df,0x0007fffd,
    0x49ffff10,0x3ee3fff8,0x1bfe2000,0x00ffffc8,0xffff9800,0x0fff8803,
    0xf300dff5,0x0ff600bf,0xfa89f500,0x000007ff,0xfff513ea,0x3fa0000f,
    0x03e001ff,0x01ffffb0,0x7ffc0000,0x3e00006f,0x7ffc5fff,0xf30017a4,
    0x7ffd40ff,0xfa80001f,0xff1007ff,0x01bfea1f,0x5c027ffc,0x0ff4001f,
    0x0017fff4,0xe81fe800,0x80002fff,0x9001fffe,0xfffa801f,0x1000002f,
    0x000bffff,0x23ffffc0,0x2f98fffd,0xfff50d40,0x2ffffc01,0x7ffec000,
    0x1fff1003,0x6401bfea,0x36c04fff,0x5c17e600,0x00006fff,0xff705f98,
    0xfd0000df,0x333335ff,0x01ff9333,0x00bfffd0,0xfff30800,0x7400009f,
    0x3f20ffff,0xe807cbff,0x803ffee0,0x001ffffa,0x01bffe60,0xf50fff88,
    0x3fa200df,0x09f00dff,0xf102fc80,0x00003fff,0xff102fc8,0xe80003ff,
    0xffffffff,0x0fffffff,0x1ffffa80,0x2ab50000,0x0003ffff,0x83ffff60,
    0x04fefffa,0x3fff225c,0x2fffec01,0x5fffb000,0x87ffc400,0x22006ffa,
    0x640effff,0x037c4005,0x0013fff6,0x6c06f880,0x40004fff,0xaaabfffe,
    0xfffdcaaa,0xdfffd000,0x21d30000,0x004ffff9,0x1ffff600,0x03fffff1,
    0x3ff20fcc,0x7ff4402f,0xff98001f,0x7fc4004f,0x00dff50f,0x1fffff98,
    0xfb8001db,0x7fffcc03,0x7f700000,0x0ffff980,0x3fffa000,0x00fe8801,
    0x09ffff30,0xf10f4400,0x0000bfff,0x5c37fff4,0x4c2effff,0xfffd85fc,
    0xeffe8803,0x3ffa2000,0xfff88004,0x000dff50,0x9dffffd1,0x003fe000,
    0x000ffffa,0x74007fc0,0x20003fff,0x1001fffe,0x7fcc001f,0xe98005ff,
    0x06fffe83,0x3fffe000,0xfffffb05,0x01dfffdf,0x2009fffd,0x801effe8,
    0x0004fff9,0x3ea1fff1,0x3f60006f,0xa8002fff,0xaaaaaaef,0x6fffdaaa,
    0xaefa8000,0xaaaaaaaa,0x0006fffd,0x8007fffa,0x7fd4000f,0xb9802eff,
    0xffffb03f,0x3fe20000,0xffd103ff,0x1fffffff,0x017fffe0,0x137fff50,
    0x177fe544,0x1fff1000,0x0001bfea,0x001ffff9,0xffffffe8,0xffffffff,
    0x740001ff,0xffffffff,0xffffffff,0xfffd0001,0x00064003,0x7ffffec4,
    0xffdb9abc,0x3fff201f,0xf980000f,0x3f602fff,0x0cffffff,0x017fffe0,
    0x77fffdc0,0x002effff,0x50fff880,0x50000dff,0x4c00bfff,0x999999df,
    0xffc99999,0x3e60005f,0x9999999d,0xfffc9999,0xfffd0005,0x40000003,
    0xffffffda,0xa802efff,0x0001ffff,0x00ffffa8,0x26ea25f1,0x3fffd800,
    0x3ff62000,0x0005ffff,0x543ffe20,0x500006ff,0x32003fff,0x7fcc002f,
    0xf90000ff,0xfff98005,0xffe8000f,0x0000001f,0x579dd550,0xfffd8001,
    0xffd80005,0x001ee02f,0x001fff50,0xfffff700,0x2200003f,0xdff50fff,
    0x7fdc0000,0x006f8802,0x007fffb0,0x2000df10,0x8003fffd,0x0001fffe,
    0x9f100014,0xfff88000,0x3e60001f,0x027405ff,0x00014400,0x3ffffe60,
    0xf880000e,0x0dff50ff,0xff02fd40,0x007f7009,0x01fffea0,0x4000fee0,
    0x8007fffa,0x0001fffe,0xfd80016a,0x2e0001ef,0x20005fff,0x2600fffd,
    0x0000001f,0x3ffa2000,0x880005ff,0xdff50fff,0x80fff400,0x0ff803fd,
    0x3fffe000,0x007fc003,0x07ffff00,0x01fffe80,0x0005f100,0x0027ffe4,
    0x007fffa0,0x00fffe60,0x000000f9,0x3ff20000,0x440005ff,0xdff50fff,
    0x80ffec00,0x2fdc01fd,0x3fff2000,0x017ee006,0x0dfff900,0x01ffff80,
    0x0000fb00,0x8000dff3,0x000effe9,0x2013ffa6,0x0000004f,0x3ee20000,
    0x220005ff,0xdff50fff,0x407fdc00,0x2ff805f8,0x7ffcc000,0x05ff002f,
    0xffff9800,0x3fffe002,0x05fb8001,0x03ff9800,0x3fff9000,0x05fff500,
    0x00003f30,0x20000000,0x8002efeb,0xff50fff8,0x81fe800d,0x7fe400fd,
    0x7fcc0001,0x7e400fff,0x7cc0001f,0x8800ffff,0x2003ffff,0x0002ffd8,
    0x0000ffd8,0x2b3ffea0,0x37ff6e60,0x000d9000,0x00000000,0x159dd950,
    0x7fffffd4,0xfff50fff,0x01ffffff,0xbf937db1,0x7ffe4c01,0xfb30000e,
    0x817dffff,0x00efffc9,0xffffb300,0x3a6017df,0xccefffff,0xfecccccc,
    0x2a0007ff,0x0001dffc,0xfffec880,0x03dfffff,0x00000440,0x00000000,
    0xddd3254c,0x21dddddd,0xeeeeeee9,0x32e600ee,0x7ffe401b,0x003fffff,
    0xfffffff1,0x3f25ffff,0x3fffffff,0xfffff100,0x25ffffff,0xffffffe8,
    0xffffffff,0x4fffffff,0x00aa6000,0x95300000,0x00000157,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00020022,0x2f775c00,0x80000000,0x000deeea,
    0x07722000,0x0000336a,0x00800880,0x0eecc000,0x00005ed4,0x005e4c00,
    0x441edc00,0x176442dc,0x7ff44000,0x0009103f,0x0fffec00,0x40000000,
    0x0002fffd,0x07fff400,0x0009fff3,0x7fffd100,0x00001620,0xffa8fffd,
    0x2000004f,0x04ffefe8,0x0fffea00,0x7e41fffb,0x7c0001ff,0x42efffff,
    0x2000003b,0x0004ffe8,0xfff80000,0x44000003,0x3ee2ffff,0x800007ff,
    0x2effffff,0x300001dc,0x7e43ffff,0x000006ff,0x07dc47b2,0x5fffd800,
    0xe8bfffe2,0x20004fff,0xffffcbfb,0x002fbaef,0x37fc4000,0x20000000,
    0x00004ffa,0x41fffb00,0x0004fff8,0x7fe5fdc0,0x2fbaefff,0x7ff40000,
    0x01fffcc6,0xd07f0000,0x3fea0009,0x07ffec3f,0x000bffff,0xfffb106c,
    0x0000bfff,0x007fe600,0xfc800000,0x20000005,0xbd981cb8,0x0ec00000,
    0xffffffb1,0x9100000b,0x007b5019,0x40fcc000,0x36a0006d,0x7c1cb882,
    0x20005fff,0xdfffd305,0x40000001,0x000003fa,0x0003be00,0x00000000,
    0xe982c000,0x0000efff,0x00000000,0x7f113a00,0xd0000000,0x40009fff,
    0x00054401,0x06b80000,0xf3000000,0x00000001,0x40000000,0x00054401,
    0x00000000,0x45fdc000,0x00000fd9,0x3fffd800,0x00000000,0x01c00000,
    0x19800000,0x33310000,0x33333333,0x33331001,0x00133333,0x00000000,
    0xbdd97510,0x00000137,0x2efffc88,0x26662000,0x99999999,0x20bfff20,
    0x99999998,0x33310000,0x01333333,0x00000000,0x80000000,0xfffffecb,
    0xb803cdff,0xdffffffc,0x2d80001c,0xd8800000,0xffdcefff,0x00000eff,
    0x00037cc0,0x7ffff65c,0x2e2cdfff,0xdca82fff,0x00efffff,0xffffcb80,
    0x0001ccef,0x880002d8,0x99999999,0x98801999,0x19999999,0x5fffff50,
    0x7ffdc000,0x3e200001,0x5c000006,0xa8809eff,0x00003fff,0x0007ff20,
    0xfffffa80,0x03fff701,0x5ffffe98,0x77fdc000,0x3e200000,0xfda80006,
    0xffffffff,0xffdb804d,0x00ceffff,0x000dfffb,0x00007fd0,0x0001ffc8,
    0x05ffe980,0x01bffd10,0x9fff0000,0xffe80000,0x3ffea04f,0xffffb000,
    0x2ff80009,0x7fe40000,0xfd300001,0x001fffff,0x07ffff50,0x00bfff90,
    0x0005fb00,0x004fff80,0x27ffc400,0x07ffec00,0xfff50000,0x6c00001f,
    0x3e603fff,0x3fa2007f,0x20003fff,0x400001fe,0x00004fff,0x027ffff4,
    0x003fff00,0x0013ffee,0x00007f60,0x00ffffa8,0x1fffa000,0x2fffcc00,
    0xfffd0000,0x6c00007f,0x3e203fff,0x7ff4006f,0xb0001fff,0x5400003f,
    0x0000ffff,0x1bfffe20,0x017fc400,0x009fff70,0x0003f900,0x1fffff40,
    0xfffb8000,0x3ff60003,0xf980002f,0x0006ffff,0x00ffff60,0xfe800bff,
    0x000fffff,0x00000fd8,0x00fffffa,0xffff7000,0x09f90007,0x04fffb80,
    0x001fc800,0xfffff300,0xff30000d,0xf98000ff,0x40000fff,0x2ffffafd,
    0xfffb0000,0x004fe807,0x7fffdff4,0x00fd8006,0xffff3000,0xb00000df,
    0x4001ffff,0xfb8006f9,0xc80004ff,0xfb00001f,0x005ffff5,0x1ffff440,
    0x7ffec000,0x5be20005,0x0005fffc,0x807fffb0,0x7f4004fd,0x05ffffc8,
    0x00007ec0,0xffffafd8,0x7c400002,0x36005fff,0xffb8001f,0xfc80004f,
    0x6f880001,0x000bfff9,0x007fffd4,0x7fffd400,0x27f70001,0x000ffff8,
    0x03fffd80,0x3a001fe4,0x7ffffb0f,0x0007ec00,0xffcb7c40,0xb800005f,
    0xb802ffff,0xff70004f,0xf900009f,0x7f700003,0x003fffe2,0x03fffdc0,
    0xffff9800,0x41ff0002,0x0004fffd,0x403fffd8,0x7f4002fc,0x3ffffd10,
    0x0003f600,0x7fc4fee0,0x800000ff,0x200ffffe,0x70000ff8,0x00009fff,
    0xf00003f9,0x27ffec1f,0x7fffd800,0xfff10000,0x9f50009f,0x007fffa8,
    0x03fffd80,0x3a000fdc,0x3fffe20f,0x00fd800f,0x360ff800,0x00004fff,
    0x04ffff88,0xb8000bf6,0x80004fff,0x540001fc,0x3fffd44f,0x6ffff800,
    0x3ffe0000,0x1fe8005f,0x002fffe8,0x01fffec0,0xfd0003ea,0xeffffa81,
    0x0007ec00,0xff513ea0,0x200000ff,0xa81ffffb,0x7dc0005f,0xc80004ff,
    0x7f40001f,0x02fffe81,0x2ffffc40,0xffff0000,0x05f9800f,0x000dfff7,
    0x403fffd8,0x0fe80079,0x05ffffb8,0x200007ec,0xfffe81fe,0xfd000002,
    0x0fe88dff,0x7ffdc000,0x1fc80004,0x417e6000,0x4006fffb,0x004ffff9,
    0x3ffffa00,0x40bf2000,0x001ffff8,0x00ffff60,0x1fd000d1,0x0fffff60,
    0x20000fd8,0xfff705f9,0x2600000d,0x3f24ffff,0xffb80003,0xfc80004f,
    0x0bf20001,0x00ffffc4,0x07ffff50,0x7ffec000,0x0df1000f,0x004fffd8,
    0x00ffff60,0x03fa0002,0x02ffffe8,0x640001fb,0xffff102f,0x2e000003,
    0x6f99ffff,0xfff70000,0x3f900009,0x01be2000,0x4009fffb,0x004ffff9,
    0x1ffff600,0x4c03fb80,0x0000ffff,0x0007fffb,0x8803fa00,0xd81fffff,
    0xdf10000f,0x04fffd80,0x3ffa0000,0x0001feef,0x009fff70,0x0003fb00,
    0xff300fee,0x3e2001ff,0x00005fff,0x801bfffa,0xffe800ff,0xffb0003f,
    0x2000007f,0x7fcc00fe,0x07ec0eff,0x403fb800,0x000ffff9,0xffff3000,
    0x5c00009f,0x80004fff,0xff0001fd,0x7fffd001,0x37fff400,0xffff0000,
    0x2bbea00b,0xaaaaaaaa,0x0006fffd,0x1007fffb,0x001fd000,0xd8bffff7,
    0x1ff0000f,0x07fffd00,0x7fe40000,0x5400007f,0x80005fff,0xfa8000fd,
    0xaaaaaaae,0x06fffdaa,0x01ffff60,0x7fffc400,0xffffd003,0xffffffff,
    0x0003ffff,0x4c07fffb,0x7f4005fe,0xffff9000,0x40007ec9,0xaaaaaefa,
    0xfffdaaaa,0x26000006,0x00006fff,0x002fffd4,0x40007f40,0xfffffffe,
    0xffffffff,0xfff9001f,0xf300001f,0xf3005fff,0x3333333b,0xfff93333,
    0xfffb000b,0x17ffec07,0x4001fd00,0xfb2ffffd,0xfffd0001,0xffffffff,
    0x003fffff,0x3ffe6000,0x7d400006,0xe80006ff,0x9df98007,0x99999999,
    0x05fffc99,0x03ffff50,0xffff5000,0x005f9001,0x00ffff98,0x01fffec0,
    0x4009fffd,0x3a2000fe,0x0fd9ffff,0x4cefcc00,0x99999999,0x005fffc9,
    0xdfff3000,0xff980000,0x7c40007f,0x02fc8006,0x07fffcc0,0x05fffd80,
    0x2fffd800,0x0006f880,0x8007fffb,0x2e03fffd,0x3a001fff,0x7fcc000f,
    0x000fefff,0x260017e4,0x0000ffff,0x06fff980,0xffff8000,0x13e60001,
    0x000df100,0x400ffff6,0x001ffff8,0x017ffe60,0xa8001fdc,0x6c007fff,
    0x5cc03fff,0x007f4000,0x7ffffd40,0x1be2000f,0x1fffec00,0x7fcc0000,
    0xd800006f,0x20004fff,0x7dc003fc,0xfff50003,0x7ffdc00f,0x3ff60005,
    0x01ff000f,0x1ffffc00,0x07fffb00,0x03fa0000,0x7fffdc00,0x0fee000f,
    0x3fffd400,0x7fcc0000,0x9800006f,0x30006fff,0x1ff000df,0x7fffc000,
    0x3fffa003,0xfff98001,0x00bf7003,0x06fffc80,0x00ffff60,0x007f4000,
    0x1ffffb00,0x0007fc00,0x007ffff0,0x6fff9800,0xffb00000,0xfe98009f,
    0x02fdc002,0x1bfff200,0x0effe980,0x13ffa600,0x0002ff80,0x017fffcc,
    0x003fffe8,0x001fd000,0x07fff440,0x0005fb80,0x0037ffe4,0x1fffe600,
    0x7f440000,0x5cc00dff,0xff8004ff,0x7fcc0002,0x7e4002ff,0xffa801ff,
    0x3ff2002f,0x7fcc0001,0xff800fff,0x800005ff,0x40002ff8,0xf000fff8,
    0xf980005f,0x00002fff,0x001fffea,0xfffd8800,0xfdb9abdf,0xc8003fff,
    0x4c0001ff,0x000fffff,0x0567ffd4,0x01bffb73,0x3bfff260,0xffb30000,
    0x2017dfff,0x0bfffffc,0xffb10000,0x4c00015d,0xffc800ff,0x7fcc0001,
    0x00000fff,0x001ffff7,0xffda8000,0xffffffff,0x7e4c000c,0x30000eff,
    0x7dfffffb,0x7f644001,0xdfffffff,0x3fff2003,0x003fffff,0xfffffff1,
    0x3b65ffff,0xffffffff,0xdb0003ef,0xdfffffff,0x03ee0001,0x0efffc98,
    0xfffb3000,0x00017dff,0x6fffffcc,0x88000002,0x2abcccaa,0xffff9000,
    0x2007ffff,0xfffffff8,0x0002ffff,0x00157953,0x00000000,0x00000000,
    0x2a000000,0xfffff900,0x22007fff,0xffffffff,0x2a002fff,0xfffffffe,
    0x00006fff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x54000000,0x1edc40cd,0x37260000,0x000cda81,0x0000f400,
    0x00000000,0x055e654c,0x33bae600,0x5f880001,0x00000000,0x40003326,
    0x0001001a,0xf1000000,0xfffc8bff,0x3fa00002,0x27ffcc7f,0x00be0000,
    0xd9731000,0x220157bd,0xffb1003e,0x009fffdd,0x3ff6fff2,0x07f40002,
    0x3fffa200,0x7f440004,0xb8005ffe,0x01ba604f,0x03ffff88,0xfffb8000,
    0x027fff47,0xffff8800,0x01bfff21,0x3bf2a200,0x260001bc,0xfdcefffe,
    0x7ec0cfff,0x0eff9801,0x70077fdc,0x17fdc1df,0x002fb800,0x00dfff10,
    0x3ea1fb80,0x2ee98001,0x00077f66,0x000bfff3,0x8bfff100,0x0001fffb,
    0xf31fffa0,0x440009ff,0xffefeffe,0x2e001cff,0xf7301eff,0x00bf27ff,
    0xfc807ff4,0x87ff305f,0x98006ff8,0x7cc0005f,0x3a0001ff,0x10005e84,
    0x05df9bfd,0x07ffd400,0x5e4c0000,0x0002da80,0x4c0e6440,0xf70000bd,
    0x644be19f,0x6c403fff,0xfd1004ff,0x2a009fff,0x3fe205ff,0x81ffd82f,
    0x74002ffd,0xfa80000f,0x5f10003f,0x44000d90,0x00004fff,0x00005ff7,
    0x00000000,0x4c000000,0x2a17c4ff,0x3fe603ff,0x7f44004f,0xffd000ff,
    0x84ffe807,0xffc80fff,0x00bf2004,0x006fb800,0x013e1760,0x77fffd40,
    0xbf900000,0x00000000,0x00000000,0x20fff400,0x203fc82f,0x8000fffe,
    0xf005fff9,0xffd805ff,0x407ffc45,0xf3005ffb,0xfb000009,0x33ea0001,
    0x4000fd99,0xffa8cfe9,0xfb00000e,0x26666000,0x99999999,0x99999999,
    0x40000099,0xf980002d,0xf882f86f,0x07fff903,0x3ffffa00,0x0fffc402,
    0xf51bff60,0x1ffee0ff,0x00007740,0x20002e80,0x002effeb,0x3f60efe4,
    0x880000ef,0xfdc8001e,0xffffffff,0xffffffff,0x00003fff,0x20001be2,
    0x02f86ffb,0xffff307b,0xf7f90001,0x7cc01fff,0x7ff401ff,0xb83ffd44,
    0x1fc807ff,0x06200000,0x00066000,0xfff880cc,0x03100006,0xffffb800,
    0xaaaaaaab,0x04ffdcaa,0x07ff2000,0x3fff9000,0xd07902f8,0x70007fff,
    0x17fff69f,0x400fffa8,0x7fc41fff,0x80dff707,0x000004fa,0x00000000,
    0x3fffb800,0x00000000,0x003ffff1,0x00004fc8,0x00013ffe,0x2f89fff3,
    0xfffa8330,0x2fcc001f,0x203ffff7,0x2600fffa,0x1fff07ff,0x4409ff90,
    0x8800006f,0x880000a9,0x400000a9,0x003fffa1,0x00004cc0,0x001ffff8,
    0x500004e8,0x0001ffff,0x3e1ffff8,0x3fff2002,0x3be2000f,0x0ffffe60,
    0xb007ffd4,0x3ff605ff,0x203ffd81,0x200001fd,0xdffffffb,0x7ffdc004,
    0x0004dfff,0xf7dfffb9,0x2a200bff,0x1ceffffd,0x3fffe000,0x005b8001,
    0x7ffffd00,0xfffd8000,0x6c005f2f,0x74007fff,0x4ffff81f,0x881fff50,
    0x2600dfe9,0x37fc43ff,0x00009f50,0x4c2fbfa2,0xe8805ffe,0xffd30bef,
    0x67f4c00b,0xffffdb9a,0x67fd402f,0x2fffc989,0x3fffd000,0x000b1000,
    0xdfffff30,0xfff98000,0x2002fcff,0x2006ffff,0xffff02fd,0x83ffea0d,
    0x802ffffa,0x3fee0ffb,0x000df102,0x4417ff40,0x7f404fff,0x4fff882f,
    0x902ffa80,0x5c0bffff,0xfff503ff,0xfffd0009,0x00020003,0x3ffebf60,
    0x7d40002f,0x003fffff,0x00bffff1,0xffe813ee,0x1fff507f,0x7ffff5c4,
    0x6d6fec02,0x07f602ff,0x3ffd4000,0x540fffb0,0x3ff607ff,0x027fc407,
    0x203ffff6,0x7dc05ff9,0x7f4003ff,0x000001ff,0x3f2df100,0xa80005ff,
    0x03ffffff,0x04ffffa8,0x7f405fa8,0xffa80fff,0xffff300f,0xbddb8805,
    0x100fea00,0xffc80155,0x03fff207,0xf903ffe4,0x7fec01ff,0x3ffff800,
    0x4400ffe8,0x2000ffff,0x2001fffe,0x3ee00001,0x01ffff13,0xfffd1000,
    0x7d401bff,0x7cc04fff,0x7ffec00e,0x0fffa81f,0x07fffe60,0x02fc4000,
    0x3bfdffb1,0xb817fea0,0xff500fff,0x07ffdc0b,0x9006ffa8,0xffa8dfff,
    0x9fff9007,0x0ffff400,0x00001d00,0xfffd83fe,0x3ee00004,0x101fffff,
    0x4409ffff,0xffd801fe,0xfffa80ff,0x2fffdc00,0x00fd8000,0x77dc37fa,
    0x54017500,0x2ea00fff,0x03ffea00,0x9802fff4,0x3f20ffff,0xfff1006f,
    0x7fff400f,0x0003e001,0xff513ea0,0x980000ff,0x02ffffff,0x6c0bffff,
    0xfffd002f,0x03ffea0f,0x03ffff10,0x203fb800,0x37f40ffc,0x7ffecc00,
    0xfb30000f,0x3fe01fff,0x3ffe004f,0x013ffa1f,0x001fffe8,0x2003fffd,
    0xe80000fc,0x2fffe81f,0x7f7c0000,0xfe83ffff,0x07f906ff,0x83ffff40,
    0xc800fffa,0x20002fff,0x3fe605f8,0x803ffb85,0xffccfeb8,0x3ae2000f,
    0x80fffccf,0x2003fff8,0x3fe2fffe,0x3ff6003f,0xfffd002f,0x33333335,
    0x0001ff93,0xff705f98,0xf80000df,0x3fffffaa,0x5437ffe4,0x7ffc005f,
    0x1fff505f,0x07fff500,0x7007f400,0xbff307ff,0x85ffe440,0x8800fffa,
    0xff50bffc,0x9fff501f,0x9fffec00,0x2004fff9,0xd003fffc,0xffffffff,
    0x1fffffff,0x02fc8000,0x003ffff1,0xfe897c00,0x3fee0fff,0x03be60ff,
    0x2ffff980,0x001fff50,0x0009fff3,0xffb00bee,0x20fff307,0x7d40dff9,
    0x7fcc00ff,0x07ffd40d,0x002fffdc,0x3ee5fff9,0x3ee005ff,0xffd002ff,
    0x5555557f,0x001fffb9,0x36037c40,0x00004fff,0xfffe88be,0x4ffffe63,
    0x54000fe8,0xf500ffff,0xff1001ff,0xbf30009f,0x105ffd00,0xffa81fff,
    0x01fff504,0xfa827fd4,0xfffa80ff,0x3ffee006,0x00dfff50,0x8007ffdc,
    0x8801fffe,0x2e0000fe,0x7ffcc03f,0x5f00000f,0x645fff98,0x05fd5fff,
    0x09fffb00,0x8007ffd4,0xe8003fff,0x2fff800f,0x2a1fff88,0x3fea05ff,
    0x0bff500f,0x4c07ffd4,0x32007fff,0x3ffe26ff,0x1ffee007,0x01fffe80,
    0x40001f10,0xffe800ff,0xf801003f,0x446fff82,0x03fcfffe,0x0ffff980,
    0x003ffea0,0x20017ffc,0xffd002fc,0x41fff105,0x3ea03fff,0x7fff00ff,
    0x807ffd40,0x9001ffff,0xffff89ff,0x0bff9001,0x00ffff40,0x2a0001f0,
    0xaaaaaaef,0x6fffdaaa,0x17c07900,0x7d42ffe4,0xd0005fff,0xfa805fff,
    0xff8800ff,0x13e6000f,0x983ffc80,0x3ffe67ff,0x03ffea01,0xa807ffe6,
    0xffb00fff,0x3ff6007f,0x027ffe43,0x2003ffd8,0x2001fffe,0xffd0000c,
    0xffffffff,0x03ffffff,0x417c0990,0xffb03ffd,0xff50003f,0xfff5007f,
    0xf107ba61,0x0ee800bf,0x213fee00,0x3fea6ffa,0x3ffee04f,0x04fffa81,
    0x4c07ffee,0xf800ffff,0x7ffc40ff,0x0fff800f,0x07fffa00,0x3e600000,
    0x9999999d,0xfffc9999,0x3e06c805,0x301fff82,0x4003ffff,0x7004ffe8,
    0x3ff21fff,0x000ffdc5,0xf88003f9,0x22ffc86f,0xf707fff9,0x4ce23fff,
    0xff707fff,0xf90e23ff,0xffb80bff,0x0bfff903,0x4003ffa8,0x0001fffe,
    0x002fc800,0x007fffcc,0x217c13f2,0x3fa04ffa,0xa800fffd,0x32003fff,
    0x9ff50fff,0x26004fe8,0xff50004f,0x7c37fc41,0xeb9bffff,0xebdfffbe,
    0x2fffffe1,0xfffbeeb9,0xffe81ebd,0x0bfd103f,0x103fffd8,0xfd000bfd,
    0x280003ff,0x80037c40,0x6403fffd,0x262f83ff,0x5fb00eff,0x86fbffaa,
    0x00dffca9,0x83fffe60,0x09fd55fe,0x00037440,0x3fa6bfee,0xffffa81e,
    0xff88dfff,0x7fd41fff,0x88dfffff,0x201fffff,0x512dfffd,0x3f2009ff,
    0xff512cff,0x3ffa0009,0x16a0001f,0x20007f70,0x6407fffa,0x5f0aefff,
    0x201bff71,0xffea84fb,0x2effffff,0x3fffe600,0x3ff260ff,0x7e4003ef,
    0xfda80001,0x7fd404ff,0x7fec2fff,0xffff501e,0x1effd85f,0xfffffa80,
    0x5c001dff,0xdffffffe,0x3ffa0002,0x5f10001f,0x0000ff80,0x300ffffe,
    0xffdffff9,0x5a805dff,0x1acca980,0x06000000,0x00009800,0x26200080,
    0x2002600a,0x02600a98,0x2af2a200,0x5d440000,0xf80000ab,0xb0001fff,
    0x005fb80f,0x037ffe40,0x5bf95530,0x00000001,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40000000,0x8001ffff,0x17fc05fb,0x3ffe6000,
    0x05f0002f,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xf8800000,0x22003fff,0x3f202ffd,0x7cc0001f,0x8000ffff,0x5551002f,
    0x55555555,0x55555555,0x00003555,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3fffa600,0xccccceff,0x7fffeccc,0x1dfff930,0x3ff66000,
    0x000befff,0x7fd4002a,0xffffffff,0xffffffff,0x0003ffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x3fffa200,0xffffffff,0xffffffff,
    0xfffc84ff,0x003fffff,0xfffffff1,0x0005ffff,0x55555100,0x55555555,
    0x55555555,0x00000035,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x02e47aa0,0x004c8800,0x2e200000,0x00fc8805,0x000fd800,0xa8000000,
    0x4001ffff,0x000ffffa,0x13fffa20,0xffe80000,0x3e00004f,0x30004fff,
    0x0003ffff,0x00fdcfb0,0x0dffb500,0xb3000000,0x7ecc0fff,0x5c0000ff,
    0x3ee0003f,0x6c00001d,0x70002fff,0x80007fff,0x0006fff8,0x0bfff300,
    0x7ffcc000,0x3ff20005,0xf880002f,0x2000fe24,0x06fffffb,0x3ae00000,
    0x2e07ffff,0x0000ffe9,0x98001be2,0x00006fff,0x0001fffc,0x00017ff6,
    0x0007ffe6,0x03bfee00,0x6ffc8000,0x27ff4000,0x42fa8000,0xb9a8006e,
    0x00006fff,0x3fea6600,0x0ffc807f,0x007f6000,0x07fffb80,0x13fe6000,
    0x03ff4000,0x03ffa800,0x0ffe8000,0x77f40000,0x3fe20000,0x1f600005,
    0xf80007ee,0x000006ff,0x00fffd00,0x20001ff9,0x440003fa,0x00005fff,
    0x800017f2,0x00002fe8,0x80000df7,0x00001ff8,0x0000ffcc,0x80001bee,
    0x03f884f8,0x01bffa00,0x7ec00000,0x0ffc807f,0x006f8800,0x00059300,
    0x00006e80,0x00004f88,0x800003f2,0x800002fa,0xd80001fb,0x2a00000e,
    0x000dd01f,0x00037fec,0x7ffc8000,0x000ffc80,0x00001fd8,0x3a600000,
    0xf3000000,0x02d80000,0x000f6000,0x00016c00,0x00000fc4,0x01fb81f6,
    0x00dffb00,0x3f200000,0x0ffc807f,0x0027d400,0x20000000,0x40000008,
    0x0c400001,0x00050000,0x80001400,0x44000018,0x013e204f,0x0037fec0,
    0xffc80000,0x00ffc807,0x0001ba20,0x000006a0,0x00000000,0x00000000,
    0x00000000,0x40000000,0x037401fb,0x006ffd80,0xff900000,0x01ff900f,
    0x0000fe40,0x00000e40,0x800004cc,0x000009a8,0x00000000,0x04d44000,
    0x00a98800,0x700fb000,0xffb0003f,0x0000660d,0xfff9054c,0x001ff900,
    0x000013e6,0x44000074,0xceffffda,0x7fecc001,0xdb02efff,0x3a0bdddd,
    0xb04eeeee,0x20bddddd,0x04eeeeee,0x3ffff660,0xff7002ef,0x009bffff,
    0x22013e20,0xffd8004f,0x3fffb226,0x7f64001d,0xffc9efff,0x00ffc807,
    0x00001dd0,0x2a0001e0,0xfc989cff,0xbf7002ff,0xbfffb735,0xffff9301,
    0x2fffecc0,0x0ffff930,0x02fffecc,0xdb9adfb8,0xd100dfff,0x3fa617df,
    0x1fb8005f,0xb000dd00,0x3ffa2dff,0x802fffff,0xf711dfe8,0x900fffff,
    0x5f9001ff,0x1a600000,0x07ff7000,0xb013ffea,0x3fff207f,0x01fffa04,
    0xd00bfff3,0xff980fff,0x03fd805f,0x3a09fff9,0xfff882ff,0x003ec004,
    0xfd8003f7,0xfdefe8ef,0x203fffff,0xff304fe9,0xff900fff,0x005f9801,
    0x000fa000,0x5c05ff98,0xbf503fff,0x01fffd80,0xff00fffb,0xfffb00bf,
    0x80bfff00,0x7fec05fa,0x03ffd41f,0x4400fffb,0x13e2004f,0xbddffb00,
    0xfffffa81,0x406ff880,0x4c07fffa,0x3a00affd,0x7000000f,0x7f40003f,
    0x7ffc400f,0x400fe80f,0xf906fffb,0xbffd00ff,0x00fff900,0xfe80bffd,
    0x37ffdc00,0xfc81fff2,0x3f7000ff,0x4006e800,0x2603fffd,0xfc84ffff,
    0x7ffc402f,0x33332e07,0x02fb80cc,0x00179971,0x50002fcc,0x3f200fff,
    0x03fdc4ff,0xc83fffcc,0xffe807ff,0x07ffc805,0x2e05ffe8,0xfff9807f,
    0x702ffd47,0x36001fff,0x01fb8007,0x201bff60,0x7c47fffb,0xfffd007f,
    0x17e60000,0x7fffffdc,0x02ff8803,0x01bff200,0x3a3fffc4,0xccccccef,
    0x1ffffccc,0xe807ffc8,0xffc805ff,0x05ffe807,0x33333bfa,0xfffccccc,
    0x5005d41f,0xf1001fff,0x09f10009,0x8037fec0,0x3f20fffe,0xfff9005f,
    0x03fa0000,0x3f6af7e2,0x37f403ff,0x13ffa000,0x21fffe80,0xccccceff,
    0xcccccccc,0x807ffc81,0xfc805ffe,0x5ffe807f,0x3333bfe0,0xcccccccc,
    0x366001cc,0xb800ffff,0x0db0001f,0x8037fec0,0x3fe2fffb,0xfff9004f,
    0x07f70000,0x1ffea172,0x0003ffc8,0xb001fffc,0x3fe25fff,0x3f200006,
    0x5ffe807f,0x807ffc80,0xff105ffe,0x2200000d,0xfffccfeb,0x0006e800,
    0x7ec007ee,0xfff5006f,0x00fffe27,0x0003ffe4,0x00d817e2,0xff501ffd,
    0x7cc0001f,0x3f2004ff,0x0fff33ff,0x3ffe4000,0x402fff40,0xfe807ffc,
    0x0fff305f,0xffc88000,0x01fff50b,0x20004f88,0xffb004f8,0x3ffe600d,
    0x007fff33,0x0001fff2,0x320001fb,0x09ffd05f,0x5fffb800,0x4bffee00,
    0x0000fffa,0xd00fff90,0xff900bff,0x0bffd00f,0x0003ffea,0x206ffcc0,
    0x5c00fffa,0x3ec0001f,0x006ffd80,0x3ee5fff1,0xff9004ff,0x1fd4000f,
    0x505ff000,0x80005fff,0x2006fffa,0xff10fffb,0x3200003f,0xffe807ff,
    0x07ffc805,0xf105ffe8,0x500003ff,0x3fea09ff,0x0037400f,0x6c00fdc0,
    0xff3006ff,0x17ffee3f,0x003ffe40,0x20006f88,0xffc80ff9,0x8176400f,
    0x2007fff8,0x7ffc7ffb,0x6404c005,0xffe807ff,0x07ffc805,0x3e05ffe8,
    0x04c005ff,0x7d40bff5,0x13e200ff,0x013e2000,0x5401bff6,0x3ffe67ff,
    0x0fff9006,0x0007f600,0xffd01fd8,0x1fff980f,0x003ffff0,0xffd17ff2,
    0x4074003f,0xfe807ffb,0x7ffb805f,0x205ffe80,0x2001fffe,0x80fffe0e,
    0x2e00fffa,0xfb00001f,0x00dffb00,0xff89bfee,0xffc800ff,0x03fa8007,
    0xf80bee00,0x7fc406ff,0x9fff903f,0xb0fff600,0x2a00dfff,0x01fff706,
    0xb805ffe8,0x7f400fff,0x3fff605f,0x7ccd5006,0x3fea01ff,0x001ba00f,
    0x6c01fb80,0xffb006ff,0x04ffff87,0x4007ffc8,0x2a0006f8,0x3fff402f,
    0x882ffec0,0xf800ffff,0x7ffcc0ff,0x0fe600ef,0x500fffd4,0xf500dfff,
    0x7fd403ff,0x3ffe606f,0x8fe600ef,0x2e04fffa,0x9f101fff,0x27c40000,
    0x201bff60,0xffb85ff8,0x7fe400ff,0x00fe4007,0xd802fa80,0x7d400fff,
    0x3fff203f,0x81ffd405,0x1bfffffc,0x4c0dfb51,0xdd704fff,0xff300fff,
    0x3fbae09f,0x7ffe407f,0xfb511bff,0x07fff98d,0x223ffff7,0x00007ee3,
    0xffd80fb0,0x00ffc806,0x201dfffd,0x000fffe8,0x2e0009f5,0x7d41501f,
    0x7fc404ff,0x1fffec01,0x2205fe88,0xffffffff,0x7401ffff,0xda8adfff,
    0x9cfffe8e,0x37fffa03,0xfe8eda8a,0xf8839cff,0xffffffff,0xfff81fff,
    0xbeeb9bff,0x21ebdfff,0xa800006e,0x3fff601f,0x80bfee04,0x42fffffa,
    0x9dfffffa,0x001ba203,0x4cccd7e4,0xfffc86da,0x4013f201,0x512cfffc,
    0xfd1009ff,0xffffffff,0xffff3005,0x3fa1dfff,0x2602efff,0xefffffff,
    0x5dffffd0,0x3ffffa20,0x502fffff,0xbfffffff,0x3fffff11,0x00001fc4,
    0xfb3027c4,0x32635dff,0xffa801ef,0xbffeffff,0x03effffc,0xb10007f2,
    0xffffffff,0xfffb107f,0x005fb987,0x7fffff5c,0x7e4002df,0x00efffff,
    0x3ffffee0,0x073ffa0d,0x7ffffdc0,0x073ffa0d,0x7ffffe40,0x7fd400ef,
    0x7fec2fff,0x000fdc1e,0x9807d800,0xfffffffd,0x7ff44003,0xff91efff,
    0x04f9803b,0xeeeeeb80,0x200eeeee,0xfeefffea,0x2a20002e,0x40000abb,
    0x0000acb9,0x2ee02ae6,0x15730000,0x20001770,0x2000acb9,0x02600a98,
    0x0000025c,0x26200193,0x40001acb,0x5d40aca8,0x00031000,0x2a600000,
    0x00001abb,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x22000000,0x0000bdda,0x91002fb8,0xf300001f,
    0xfff50009,0x0620001f,0x2e000020,0x000cefed,0x80131000,0x7ffdc000,
    0x7ff40006,0x64c0003f,0x80001bde,0x13e202fa,0x3fea00c4,0x0003ffff,
    0x366017e6,0x80000fff,0xfe8000fe,0x4c005fff,0x9104fffe,0x7ff54000,
    0x002fffdd,0x3fffa200,0x4400b00c,0x003fffff,0x1fffff70,0xdffb1000,
    0x0001dff9,0x5f500fe4,0x220bff90,0x0fff50af,0x4007f400,0x000ffe9b,
    0x40017e40,0x1fffeffb,0x3ffffe00,0x001dc2ff,0x220eff98,0x00001ffc,
    0x7ffffffd,0x3f2004a8,0x000fffef,0x7fff7fc4,0x77f44004,0x00077dc2,
    0x0fe407d8,0x207fffe2,0x01ffc81b,0x4002fb80,0x20000ffc,0xf88005f9,
    0x00dff73f,0x3ffeefee,0x02fbbeff,0x01fff880,0x50000bff,0xffffd79f,
    0x2007d77d,0x9ff92ff9,0x98efc800,0x3a001ffe,0x1ffb00ff,0xe80df000,
    0x1ffff887,0x001fea00,0x320017e2,0x3a0000ff,0x2fc8000f,0x6c017fcc,
    0x3ffff220,0xf90005ff,0x03fe40df,0x3f20e400,0x006fffff,0x3ff507f6,
    0x3617e600,0x9ff7006f,0x0027fcc0,0x0bf013e2,0xd0017ff2,0x1fb0003f,
    0x01ff9000,0x000bee00,0x3ec40be2,0xffe982c0,0xfd0000df,0x07fdc09f,
    0x6c416000,0x5000efff,0x017a603f,0x05f702ec,0x400fff88,0x2a000ffe,
    0x813e603f,0x17dc0018,0x001fd400,0x8000ffc8,0x3b0005f8,0x00807900,
    0x20000544,0x3fa04fff,0x40080007,0x06c000a8,0x9500b620,0xfc80d300,
    0x4ffc806f,0xb807f200,0xc880002f,0x2002ffff,0x320006f8,0xfe8000ff,
    0x40010000,0x00000000,0x306fff88,0x00000bff,0x00040000,0x02000801,
    0x5009fff0,0x36001fff,0x0007e407,0xfffdaa80,0x003fb003,0x0007fe40,
    0x00000fee,0x00000000,0x01ffff00,0x00001ff9,0x00000000,0xa8000000,
    0xf8802fff,0x0df004ff,0x000007e8,0xf500dff5,0xffc80007,0x017e2000,
    0x00a98800,0x00a98800,0x3fffa000,0x0017fd43,0x00266000,0x004d4400,
    0x0004cc00,0x2005fff9,0x4ccc6fff,0x999df999,0x99ef9999,0x36000009,
    0x1be200ff,0x03ff2000,0x0000fd80,0xffffffb8,0x7fdc004d,0x004dffff,
    0x937ffe40,0x000003ff,0xdffffb51,0xfd980039,0x002effff,0x3ffff6a2,
    0x7ff401ce,0xfffd001f,0x7fffffcc,0xffffffff,0x02ffffff,0x01fea000,
    0x900003f9,0x3ea001ff,0x7f440003,0xbffd30be,0x17dfd100,0x0017ffa6,
    0xfbffff98,0x777540df,0x403eeeee,0xc989cffa,0xf7002fff,0xfffb735b,
    0xcffa801b,0x2fffc989,0x01ffff10,0x443fffa0,0xcfeccccc,0xfecccccc,
    0x0001cccd,0xfa817ee0,0xff900004,0x00df1001,0x105ffd00,0xfe809fff,
    0x4fff882f,0x3fffa000,0x3fea01ef,0x5c01cfff,0xfff503ff,0x903fd809,
    0x7dc09fff,0x9fff503f,0x01ffff10,0x007fff60,0x00fc80fd,0xfe80c400,
    0x000dd100,0x4007fe40,0x540001fd,0x3ff607ff,0x81ffea07,0x20007ffd,
    0x801ffffc,0x9801fffd,0x7fdc05ff,0x80bf503f,0xf981fffd,0x7ffdc05f,
    0x03fffcc3,0x805fffb0,0x003f405f,0x65efffc0,0x07f201ef,0x7fecc000,
    0x013ea00a,0x81fff200,0xf900fffc,0x7ffe40ff,0x7fec4000,0xfb806fff,
    0x1ffd003f,0x0ffff880,0x7dc00fe8,0x0ffe86ff,0x07fffc40,0x400ffff3,
    0x2603fffd,0x017e204f,0x3bfb2a00,0x027cc02c,0x99701db0,0xf1019999,
    0x4076c00d,0x3ee05ffa,0xbff500ff,0x007ffdc0,0xff7bff70,0x6fd809ff,
    0x00fff500,0xf713fff2,0xffff300f,0x9007ffa8,0x7fd49fff,0x3ff6006f,
    0x80bee03f,0x000003f9,0x4003fa00,0x80000ffd,0xffb001fc,0xa802ea01,
    0x2ea00fff,0x03ffea00,0xe93ff620,0x3e01ffff,0xdff9002f,0x1fffe200,
    0x99999dfd,0xffff9999,0x8037fe43,0x3e67fff8,0x3f6006ff,0x03f203ff,
    0x00802fb8,0x02fc8000,0x001fff70,0x7004f980,0x30001fff,0x001ffffb,
    0x3ffff660,0x17ff4400,0x41bfffea,0x3fa004f9,0x3ffa004f,0x333bfe1f,
    0xcccccccc,0x3ffa1ccc,0x3fffa004,0x00ffff11,0xd017fff4,0x200fc80f,
    0x000bffe8,0x3005f980,0x0001ffdf,0xdf3006e8,0x2e2001ff,0x0fffccfe,
    0x33fae200,0x2200fffc,0xffd02ffe,0x01fb07ff,0x001fffc0,0x3e25fffb,
    0xff80006f,0x3ff6003f,0x0ffff12f,0x00ffff40,0x407e80bf,0x004ffffc,
    0x8800fe80,0x000ffacf,0x22007f20,0x400ffbcf,0xf50bffc8,0xf91001ff,
    0x3ffea17f,0x81fff600,0x20fffff9,0x3e6002fb,0x3f2004ff,0x0fff33ff,
    0x4fff9800,0x8ffff200,0x3a007fff,0xfff31fff,0xffffffff,0xffffffff,
    0x3ffffa5f,0x1fdc0006,0xffaaf440,0x09f30000,0x3feebd10,0x037fe600,
    0x9801fff5,0x7fd40dff,0x9fff300f,0x5ffffc80,0xfb8009f1,0x3ee005ff,
    0x1fff52ff,0x7ffdc000,0x3ffee005,0x003fffa2,0xdd13fffc,0xdddddfdd,
    0xddddfddd,0x3ffee3dd,0xf10001ff,0x543b600b,0xfd0000ff,0x2e1db001,
    0x9ff500ff,0x803ffea0,0xff504ffa,0x3fffa01f,0x7fff4402,0x4000febf,
    0x2006fffa,0xff10fffb,0x7d40003f,0x3ee006ff,0x3fff20ff,0x5fff8801,
    0xfb803f20,0xfa9b9801,0x01fd0003,0x7fd43f70,0x02fc8000,0x3fee0fb8,
    0x205ffa80,0xf500fffa,0x7ffd40bf,0x01ffff00,0xffffff30,0xfff10005,
    0x3ffdc00f,0x30017ffe,0x01fffe21,0x7cc7ffb8,0xffa803ff,0x901fa02f,
    0x1fb8001f,0x803fb800,0x07fd42fa,0x2017e600,0x07fdc2fa,0xf501fffc,
    0x3ffe01ff,0x03ffea03,0x007fffe6,0x07ffffdc,0x1ffff800,0xe8bff900,
    0x3a001fff,0x007fffe0,0x7f42ffe4,0xfffb805f,0xdd017e00,0x000fd000,
    0x7f100df1,0x8001ff50,0x1fc400fe,0x3e607fdc,0x3fea01ff,0x1fff980f,
    0x203ffea0,0x003ffff9,0x03bffffa,0x9fff9120,0xb0fff600,0x2a00dfff,
    0x027ffe46,0xfb83ffd8,0x4ffd807f,0xf8813e60,0x01fcc005,0x6c00fec0,
    0xfeeeeeef,0xfb802eef,0xeeefd802,0x2eeffeee,0x5c09fff5,0xffa81fff,
    0x3ffee04f,0xfffff881,0xffffb000,0x22dc01df,0x800ffff8,0x7fcc0fff,
    0x3e600eff,0x07fffc43,0x4407ffc0,0x7fc01fff,0x80bee00f,0x3a6003f9,
    0x04fa8005,0xffffffd0,0x805fffff,0xffd005f8,0xffffffff,0x1fffe65f,
    0x88ffffdc,0x20ffff33,0x711ffffb,0x06fffff4,0xffdbfd30,0x54417fff,
    0x5fffc82f,0xc81ffd40,0x11bfffff,0x3f20dfb5,0x7fd405ff,0x817fe603,
    0x7e404ffa,0x4007ee00,0xf88004fb,0xff500006,0x003f6001,0x203fee00,
    0xb9bfffff,0xbdfffbee,0x3ffffe1e,0xffbeeb9b,0x3e61ebdf,0x10aeffff,
    0x3a27ff95,0xdeffffff,0x3ff606ff,0x0bfd103f,0x7fffffc4,0x01ffffff,
    0x440ffff6,0xffa805fe,0x805ff882,0x007e407e,0xd8000ef4,0xf500001f,
    0x07f7001f,0x03fee000,0x3fffffea,0xffff88df,0x7fffd41f,0xff88dfff,
    0xffb81fff,0xffffffff,0xfffd81ef,0x00ffffff,0x8967ffe4,0xe8804ffa,
    0xffffffff,0xfffc802f,0x09ff512c,0xb8977e40,0x0bf005fe,0x001006e8,
    0x00027d40,0x8801ff50,0x2e00006f,0xfff500ff,0xeffd85ff,0xfffff501,
    0x01effd85,0x3fffffa6,0x75c03eff,0x01dfffff,0xfffffd70,0xfc8005bf,
    0x00efffff,0x3ffffae0,0xa8002dff,0x02effffd,0x5f807f30,0x7c400000,
    0x2a00000f,0x07ec00ee,0x1dd50000,0x30054c40,0x01531001,0x9530004c,
    0x71000379,0x22000579,0x0000abba,0x000565cc,0x01577510,0x03551000,
    0x2201c980,0x4000002c,0x00000098,0x00002600,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x3ffe2000,0x8800002f,0x9bdeecba,0xd9700000,0x0000179d,0x8002b326,
    0x99999998,0x44000199,0x0006edba,0x9bdfd993,0x98800017,0x99999999,
    0x40199999,0x1bdeecb9,0xdeca8800,0x9710002b,0x3b037bfd,0xfffc8000,
    0x2200006f,0xfdcefffd,0x0000efff,0xffffffd3,0x36a0005f,0x03ffffff,
    0xffffffb0,0x2000dfff,0x01bdffea,0x677f5c40,0xdfedcaab,0xfffd0002,
    0xffffffff,0x9101ffff,0xfd9579ff,0x3fee001b,0x01efffcd,0x3bbffee0,
    0xfbbdffff,0x3fe60001,0x0003fffe,0x809effb8,0x003fffa8,0x7fffffd4,
    0x4004ffff,0xfff50bfa,0xfff8805f,0x2fffffff,0x1fff4c00,0x17ff5000,
    0x01dfb300,0x7ffffcc0,0xffffffff,0xdfe886ff,0x801ff900,0x7f540efc,
    0xcffe802f,0x3fff2a20,0x360001ff,0x01fff35f,0x17ffa600,0x06fff440,
    0x4567fcc0,0x1fffffb9,0xf30bf300,0xffc80dff,0x6fffffff,0x0f7fdc00,
    0x007f9000,0x400bf620,0xfffffffc,0xffffffff,0xe806fd83,0x0dfb00ef,
    0x900fffcc,0xfe8805ff,0xf50001ff,0x004fe889,0x004fff88,0x400fffd8,
    0xffd100ed,0x5ff300bf,0x881ffea0,0xaaaaaadf,0x3f2001aa,0xd10000df,
    0xf700003d,0xbdff8809,0x9999999a,0x7d40ffb9,0x3ffa802f,0x6c02ffa8,
    0xbff506ff,0x07ffa200,0xf9027400,0x7ffe8003,0xbfff3000,0x26007540,
    0xfc806fff,0x8072a01f,0x200000fc,0x0000effd,0x800003b6,0x0fee02f9,
    0xf90dfb00,0xbff3003f,0xf100ffd0,0x5ffb07ff,0x00ffc400,0x2d401dc0,
    0x07fff700,0x17ffec00,0xffd000a8,0x01ffb00d,0x0027c400,0x03fff900,
    0xfb87dc00,0xffffffff,0x07ee00ce,0x7fc00274,0x802ffe83,0x7fdc6ff9,
    0x1fff9006,0x4001fff8,0x008001fc,0x7fcc0020,0x7cc0007f,0x40000fff,
    0xff803ffd,0x3f20000f,0xff500000,0x7cc0007f,0x2a4ffe82,0x3603fffd,
    0xa8004886,0x4ffe80ff,0x6c3ffa80,0xff7005ff,0x27ffc47f,0x0007ea00,
    0x3a200000,0x80003fff,0x0005fffd,0x2200ffec,0x10000fff,0x800037ff,
    0x0005fff8,0x3ffd826c,0x102fffb8,0x3200005f,0x3fff906f,0x7c1ffc80,
    0xff3004ff,0x0ffff89f,0x0000fc00,0x7fd40000,0xa80000ff,0x0001ffff,
    0x3ea017fe,0xf90000ff,0x0059dfff,0x005fff90,0xfd80fcc0,0x0dfff03f,
    0xf8000364,0xdfff503f,0x11bfe201,0x2200bfff,0x7ff45fff,0x076001ef,
    0xbdddddb0,0x3bbbbba0,0x1fffee04,0x7ffcc000,0xdf10002f,0x1fff7001,
    0xffff1000,0x001bffff,0x001fffe6,0x7fe40d90,0x40fff903,0x540001f8,
    0xfff100ff,0x1dfb01df,0x006fff98,0xff91fffe,0x02005fff,0x3fffe4c0,
    0x0bfffb30,0x003fffec,0x4ffff880,0x201db000,0xfffeeee9,0x400eeeee,
    0xfffffffc,0xfc802fff,0x0554c4ff,0xff9017c0,0x01bfee07,0xfc80009b,
    0x7fffd406,0x203bf21f,0x2007fff8,0x3a20fffe,0x00dfffff,0x3fff4000,
    0x817ffe60,0x0006ffff,0x017fffe0,0xe9807f60,0xeefffeee,0x4c400eee,
    0xfffffdaa,0x7ffc04ff,0xffffd99f,0x03f102ff,0xfe81ffe4,0x002e402f,
    0x2e00ffe0,0xfcafffff,0x07fffc04,0x40ffff80,0xfffffff9,0x3f600004,
    0x5fff807f,0x0bffff10,0x7fffc000,0x3ff66007,0xfff7003f,0x6cc00001,
    0x503fffff,0x79fbffff,0x09ffffd7,0x7fe401f3,0x00fffc83,0xf300035c,
    0x3fee001f,0xe802ffff,0xf8804fff,0xfff507ff,0x005fffff,0x00fff900,
    0x3e60bffd,0x00004fff,0x003ffffa,0xffffffd7,0xfffb801d,0xea800000,
    0xfc80ffff,0xf980cfff,0x03d44fff,0x2a62fff2,0xa800dffe,0x1bf20007,
    0xfffff500,0xffff700b,0x7fff8801,0x3ffffa60,0x0001efff,0x3a01fff2,
    0xfff505ff,0x6c00007f,0x2200ffff,0xfffffedb,0x7ffdc06f,0xd1000000,
    0xffb0dfff,0xfffa805f,0xf901ae0f,0x1bfffddf,0x0007cc00,0x44003ff8,
    0x0efffffe,0x027fff40,0x201bffea,0xfffffffb,0xfc8000cf,0x5ffe807f,
    0x09ffff30,0x7ffec000,0x7fe44007,0x3ee03fff,0x000000ff,0xd03fffe2,
    0xfb003fff,0x203d4bff,0xdff73ffc,0x0007a800,0x44001ff3,0xffffeafe,
    0x3ffea01f,0xfffd984f,0xffb1004f,0x03dfffff,0x807ffc80,0xff105ffe,
    0x40000bff,0x0006fffe,0x40dfffd3,0x0000fffb,0x17ffd400,0x2007fffe,
    0x3e67fffa,0xd8fff200,0x1ae004ff,0x0037e400,0x3f625ff3,0x2a00ffff,
    0xfddfffff,0x02fffecf,0x7ffff4c0,0x32000eff,0xffe807ff,0x1bfffa05,
    0xffff8000,0x3fe60005,0xfff701ff,0xd0000001,0xffff87ff,0x1ffff000,
    0xffc807e2,0x00bffa23,0xff8002e4,0x09ff3003,0x80dffff9,0xceffffd8,
    0x007fff88,0x3ffffee0,0x3ff2006f,0x05ffe807,0x001ffff6,0x1ffffc40,
    0x3fff2000,0x01fff702,0xff700000,0x007ffe8b,0x3e87fff6,0xf30fff20,
    0x07d001ff,0x001ff300,0xffc81bfa,0x131003ff,0x004fffa8,0x7fffe440,
    0xfff9003f,0x40bffd00,0x000ffffc,0x2ffff980,0x7ffcc000,0x01fff702,
    0xff300000,0x00fffd87,0x5c5fff90,0x20fff206,0x7cc05ffb,0x06fc8000,
    0xc809ff50,0x0000ffff,0x0a03fff6,0x3ffff200,0x0fff9005,0x540bffd0,
    0x0001ffff,0x00ffffa8,0x0fffc400,0x000fffb8,0x1ff88000,0x800fffe4,
    0x3e21fffb,0x207ffb02,0x17603ffe,0x801ff400,0xfd802ffd,0xf30001ff,
    0x001e09ff,0x803fffe4,0xfe807ffc,0x7ffec05f,0xffd80005,0xfd00002f,
    0x3ffee01f,0x98000000,0x7ffd40ff,0x0fff7002,0x0fff60bb,0x4c0fffc4,
    0xff98002f,0x0fff8800,0x03fff880,0x01dffd00,0x3e20007e,0xfb800fff,
    0x5ffe807f,0x0ffffc40,0xbfff3000,0x37f40000,0x001fff70,0x0df50000,
    0x2009fff3,0x4f886ffc,0x2bfffea2,0x0afffa81,0x32000bd1,0xfff3006f,
    0x01fff400,0x00fffd40,0x3fa0009f,0xfff7007f,0x05ffe801,0x005fffb8,
    0x003fff60,0x203ff800,0x0000fffb,0xb01fd800,0x3f600dff,0x2e3f502f,
    0x04cccccc,0x3b639997,0x07fd0000,0x003ffe20,0x2000ffe4,0x7c03fff8,
    0xdffb0007,0x07ffea00,0x006fffa8,0x0003fffd,0x0007fff3,0x2e037dc0,
    0x00000fff,0xf101fd40,0xdfd005ff,0x0001fc80,0x40007f20,0x3a001ff9,
    0xff9002ff,0x7ff44001,0x004ff803,0x3004ffe8,0x3ae09fff,0xd3007ffe,
    0x4c001dff,0x0a804ffe,0x401ff880,0x4000fffb,0x7cc02dd9,0x06ffa806,
    0x64017fd4,0x6c40003f,0x3f20002f,0x37fd4006,0x4003fe80,0xff002ffd,
    0x7fd4009f,0x7fff4006,0xe8eda8ad,0x8039cfff,0xa801fffc,0xfe802fff,
    0x3dd301df,0x03fff700,0xadfffd80,0x0037f220,0xe8827fec,0x37ea003f,
    0x0efa8001,0x01ff4000,0x2017fec0,0x3a6006fb,0x3fe001ef,0xff9805ff,
    0x7fcc001f,0xd0efffff,0x005dffff,0x82b3ffea,0x00dffdb9,0x9dfffff0,
    0x001bfb75,0x000ffff6,0xdffffff5,0x88007ffd,0x3a60bffe,0xfd88002f,
    0x3f2200ae,0xf980004f,0xff90001f,0x0037f209,0x0033fee6,0xbffffff0,
    0x3ff66237,0xff70002e,0x7f41bfff,0xc88001cf,0xfffffffe,0x7d4003df,
    0xdeffffff,0x3ffee002,0x7e4002ef,0x0bdfffff,0x3ffee000,0x0001dfee,
    0x6f7ffe4c,0x00beffed,0x00df7000,0xdeffe980,0x2e202efe,0x000cfffd,
    0xfd9315f0,0x9fffffff,0x2ae60000,0x0000bb80,0x02af2a60,0x2aeaa000,
    0x3fa20009,0xffffffff,0x7551003e,0x53000003,0x20000037,0x0aaccba9,
    0x2cb80000,0x75310000,0x57950013,0x20700003,0x09accca9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0xcc980000,0x00bcdefe,0x00000000,0x0009a880,0x677f65c0,
    0x5c40002b,0x26203ced,0x99999999,0x26666209,0x00999999,0x26666662,
    0x076a0099,0x26662000,0x99999999,0x99998800,0x10099999,0x33333333,
    0x6d403333,0xd7100000,0xb95579df,0xe8005bfd,0x26004fff,0x4401ffff,
    0xcffedffd,0x33faa000,0x0dfffcaa,0x55f74c00,0xd980effc,0xfffffffe,
    0x3fff261c,0x03dfffff,0x3ffffb26,0x7fe441df,0xcb80001f,0xfffffffe,
    0xfcb803cd,0x1cdfffff,0xffffb950,0x9899bfff,0x0000fffc,0x800bffa8,
    0x1000efd9,0x5c00fffd,0x7dc03fff,0x3ffea0cf,0x541fffff,0xdffd305f,
    0x03be2003,0xfd807ff5,0x6c406fff,0x000fffff,0x26077fdc,0x01fffffd,
    0x7ffd4000,0x2e0002ff,0x44001fff,0x983fffff,0x00fffffd,0x001fe400,
    0x3002fd88,0x3a003fff,0x7fd404ff,0xfffff703,0x07fc43ff,0x00dfff30,
    0x3fe03fd1,0x7fffc407,0xffff8804,0x1ff88006,0xfffe9988,0xfd800001,
    0xe80006ff,0xff90003f,0x3e6620ff,0x10000fff,0x700003dd,0x3fea009f,
    0x05ff8803,0xf103ffc4,0x3fe409ff,0x017ffe40,0xffd81bf6,0x37ffe402,
    0x07fffc80,0xb805f980,0x00001fff,0x005fffc8,0x0002fd80,0x900dfff5,
    0x20001fff,0x5d4400ed,0x2f98d42a,0x700df700,0xdff900df,0x00fffc80,
    0xfa803ffd,0x3fe204ff,0x003bea05,0x001ffff3,0x003ffff1,0xfa802fb8,
    0x800001ff,0x0004fffb,0x50001fd8,0xf700bfff,0xf70001ff,0x37bf6601,
    0x3fcdfdcb,0x7e4007ee,0x40076c00,0x7dc05ffe,0x9ffd02ff,0x06fff980,
    0x01013fea,0x017fff40,0x003fffe8,0xffa803f4,0xb800001f,0x80004fff,
    0xf50001fc,0xff500bff,0x2f98001f,0x2601df90,0x036c3ffd,0x0fc407b0,
    0x405fff80,0xf903fffa,0xfff880ff,0x013fee05,0x5fffc800,0x0dfff700,
    0xa802fc40,0x00001fff,0x004fffb8,0x0001fc80,0x500bfff5,0xd8001fff,
    0x005fe884,0x02f889fb,0x00c40310,0x980dffd0,0xff302fff,0x3fff980d,
    0x0013ff60,0x0ffff980,0x1ffff880,0x2005f700,0x0001fffa,0x04fffb80,
    0x001fc800,0x00bfff50,0x4001fff5,0x06fe81f9,0x03642740,0xfc800000,
    0x7ffd407f,0x7002e201,0x7fc03fff,0x7400005f,0xff003fff,0x1fa007ff,
    0x01fffa80,0xfffb8000,0x1fc80004,0xbfff5000,0x01fff500,0x7fdc3640,
    0x442dc002,0x0054401f,0x3ea00a88,0x3fee02ff,0xffb00006,0x05fff80d,
    0x7ffdc000,0xffff9806,0x004f9806,0x0007ffea,0x13ffee00,0x007f2000,
    0x02fffd40,0x0007ffd4,0x07ff985f,0x09b03880,0x3003ff26,0xfe801ff9,
    0x07ffa06f,0x3ffe2000,0x037ff402,0x3ffe2000,0x7ffe400f,0x17e401ff,
    0x03fff500,0xddddddd1,0x7ffdc03d,0x1fc80004,0xbfff5000,0x01fff500,
    0xff707e20,0x5c80000d,0x3ffffae2,0xfffeb880,0x4ffd800f,0x001ffe44,
    0x804ffc80,0x00007ffd,0x403fffd8,0x04fffdef,0x3ea003f4,0xffd101ff,
    0xff70037f,0xf900009f,0x3fea0003,0xfffa805f,0xd81f3000,0x400005ff,
    0x3ff32e6b,0xfccb80ff,0xfb000fff,0x3dff97df,0x3fe20000,0xfb333106,
    0x133333ff,0x7ffd4000,0x3eb3ea06,0x13e607ff,0x03fff500,0x70006ff4,
    0x00009fff,0x2a0003f9,0xfa805fff,0x0f5000ff,0x00007ffd,0xfffb07a8,
    0x0fffd801,0xcbabe980,0x400001ab,0xffd00ffc,0xffffffff,0x440009ff,
    0xfb00ffff,0x407fffe3,0x7d4001fc,0x07fb01ff,0x09fff700,0x003f9000,
    0x017ffea0,0x4003ffea,0x04fff86b,0x407cc000,0x5c00fffb,0x7cc00fff,
    0x10000004,0x776c03ff,0xeeeffffe,0x6c0003ee,0x6f883fff,0x7413fff2,
    0xfffa8007,0x001fec41,0x004fffb8,0x0001fc80,0x500bfff5,0x2a001fff,
    0x005ffe87,0xfa83d400,0x7fd400ff,0x07fe200f,0x7e400000,0x3ffe4002,
    0xffa80000,0x263fa86f,0x4f987fff,0x1fffa800,0x8000bfa2,0x0004fffb,
    0x50001fc8,0xf500bfff,0x3e6001ff,0x0037fec0,0x7d41ae00,0x7fd400ff,
    0x37fee00f,0xf8000001,0x7ffc8004,0x3fe00000,0x207ec1ff,0x7e42fffe,
    0xfffa8001,0x0005fd11,0x004fffb8,0x0001fd80,0x500bfff5,0x22001fff,
    0x03ffdc1f,0x54172000,0x7d400fff,0x3ff600ff,0xefffffff,0x50001cee,
    0xff70001f,0x6400000f,0x1be24fff,0xdf17fff2,0x3ffea000,0x0001ff99,
    0x004fffb8,0x0001fd80,0x500bfff5,0x74001fff,0x017ffc43,0x2a07d000,
    0x7d400fff,0x3fea00ff,0xffffffff,0x002effff,0xfa80025c,0x2000006f,
    0x3ea6fff9,0x0ffff983,0x2a0009f3,0x1fffbfff,0xfffa8000,0x0fd80005,
    0xbfff5000,0x01fff500,0x7fdc35c0,0x4c1c4006,0x1fff500f,0x00fffa80,
    0x7fffffcc,0xffffffff,0x00b6000f,0x0037fd40,0x3fffe000,0x3fa01fb1,
    0x003f92ff,0x3f3ffea0,0x40000fff,0x0005fffa,0x50000fe8,0xf500bfff,
    0x7c4001ff,0x003ffd82,0x40bb05d1,0x5400fffa,0x7d400fff,0xaaaa9988,
    0x03ffeccc,0x4c0003a0,0x000004ff,0x7c67ffe4,0x57ffee05,0x3ea0006f,
    0x5fffc9ff,0x7ffd4000,0x07e80006,0x17ffea00,0x003ffea0,0xffb10bb0,
    0x981e9809,0x3ffea02f,0x07ffd400,0x30005f50,0x003400df,0x0005ff30,
    0xffff9800,0x3fe202fb,0x0003fbff,0x7ec7ffea,0x260004ff,0x40007fff,
    0x2a0006f8,0xfa804fff,0x7c4000ff,0x79dff704,0x103fd973,0xfffa80bd,
    0x07ffd400,0x20005f88,0x0000006c,0x24001ff3,0xffffe800,0x7fff400f,
    0x2a0001ff,0xffd11fff,0x7fc0005f,0x260001ff,0x3ea0004f,0xffa803ff,
    0x1fa8000f,0xbffd9710,0x0076c037,0x5003ffea,0x3fa01fff,0x01360003,
    0xccb88000,0x01ae006f,0x2ffffdc0,0x37fffdc0,0x3ffea000,0x07fffe61,
    0x27ffec00,0x007f9000,0x00fffd40,0x0007ffd4,0x00001fc8,0x3ea007f2,
    0x7fd400ff,0x06ffb80f,0x4003f500,0x3b7f2000,0x200bdfff,0xf10004f8,
    0xf1005fff,0x80007fff,0x7dc1fffa,0x98000eff,0x30006fff,0x3b9300df,
    0x5007ffa8,0x40001fff,0x440003fc,0xff5002fd,0xfffa803f,0x0cfffc81,
    0x400fea00,0x4400efe8,0x3ffff60f,0xfdbaacef,0x3fa0001f,0x3ff6007f,
    0x7d40000f,0xfffc81ff,0xfffb0005,0x2fe98009,0x20fffd80,0xf5002ffb,
    0xa80003ff,0xfa8001df,0x3fee000e,0x7ffdc01f,0xfffff981,0x753119ad,
    0x7e4007fd,0x125c04ff,0xfffff79f,0x009fffff,0x004ffb80,0x0001bfea,
    0x740bffee,0x88004fff,0x400dfffe,0xf004ffb9,0x2fec7fff,0x03fff700,
    0x5dfb1000,0x27fe4401,0x17ffe400,0x40bfff20,0xffffffe9,0x0dffffff,
    0x2fffec00,0x266d9aa0,0xfffffffe,0x7c40000e,0x3fe2001f,0xffc80003,
    0xffff303f,0xffb10007,0xb7357bff,0x4007ffff,0xf9affffb,0x3ff2000f,
    0x2600002f,0xeddefffc,0x8000beff,0x206ffff8,0x406ffff8,0xffffffea,
    0x50002eff,0xf8805fff,0xffc80eff,0x0000dfff,0xfb000fb0,0xfe880001,
    0x3ffe06ff,0xa8000dff,0xfffffffd,0x4000cfff,0xdfffffe8,0x3ffe2000,
    0x800000ef,0x0aaccba9,0xfffd5000,0x2a1dffff,0xfffffffe,0x2ea6200e,
    0x100000ab,0x00d40017,0x000055cc,0x26000a60,0x3fee0003,0x2effffff,
    0xfffffff1,0x510003df,0x05579995,0x37971000,0x7fff4c00,0x001effff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x80000000,0xb71001ca,0x40000001,0xcdefedca,0x26624a81,
    0x99999999,0x33310009,0x22133333,0x09999999,0x33331000,0x00133333,
    0xdfdd9930,0x003b037d,0x1404d440,0x54402200,0x066cc000,0x22001edc,
    0x40004009,0x2601fffa,0x0000fffc,0x7ffe4400,0xeffedcee,0x36a5e88b,
    0xffffffff,0xfd5001ce,0x23dfffff,0xfffffdca,0xfcb8000e,0x1cceffff,
    0xfffd7100,0xfffdb9bf,0x8003f359,0xdfffffda,0x93006fa8,0x7ff5c4df,
    0xff8802ef,0x17ffdc6f,0x67fff440,0xfb000b00,0xffd507ff,0x00001fff,
    0x0e7ffe40,0xbffffd50,0xfffffb10,0x7fcc0009,0x3fa602ff,0x40005fff,
    0x4000effb,0x01bdfffa,0x0bffffea,0x4df7ec40,0x6ffffeb9,0x3fffae20,
    0xfffffd16,0xffa809ff,0x3fff60ff,0xffffe805,0x002543ff,0x4c07ffd4,
    0x00ffff99,0xffd88000,0x3fea001e,0x3fffa06f,0x7e40001f,0xfffb002f,
    0xff80009f,0x7ffdc002,0x3ff22004,0x4fe9802f,0x0dfffd10,0xb7fff66c,
    0xffffeffe,0x3fe203ff,0x17ffdc6f,0x3faf3ea0,0x3ebbefff,0x00393000,
    0x0001fff9,0x0effe880,0x07ffa800,0x007fffea,0x400bf900,0x03ffffe8,
    0x8007fa00,0x0004fffd,0xe8807ff7,0x7ffc405f,0xefff8806,0x7ffd42eb,
    0x332600ff,0xc802da80,0x7ffffe42,0x000000ef,0x000fffb8,0x0ffff400,
    0x80ff7000,0x0004fffe,0x3a000ffc,0x001fffff,0x2e003fb0,0x40003fff,
    0x7fe404fd,0x06ffe800,0x01dfffb0,0x013fffe6,0x882c0000,0x000efffd,
    0xfff50000,0x7dc00001,0xe80004ff,0x3fffdc07,0x00bf5000,0xffffffd0,
    0x01fb0001,0x00bfff30,0x4c09f100,0xffb005ff,0x3fff600d,0x3fffec00,
    0x00800000,0x000004c4,0x03ffea00,0x7ffcc000,0xfa80000f,0x3fffe200,
    0x03fb0002,0xfff7fd00,0x1fb000df,0x03fffd00,0xd8172000,0xff9003ff,
    0x1bff600d,0x03fffe60,0x00000000,0xa8000000,0x00000fff,0x0009fffb,
    0x3f2007c0,0xf88006ff,0x91fd0006,0x800bffff,0x7fe400fd,0x2200006f,
    0x00bffe06,0xd8037fe4,0xffb006ff,0x26a2005f,0x00000000,0xff500000,
    0xf100001f,0x00005fff,0x3fe600e4,0x7dc001ff,0x21fd0003,0x003ffffd,
    0xfff003f6,0x0800005f,0x003fff10,0x6c01bff2,0xff9006ff,0x7fecc07f,
    0x2002efff,0x00026028,0x2a005440,0x01300fff,0x03fffee0,0x36000000,
    0x74005fff,0x1fd0000f,0x07ffffa2,0xf5007ec0,0x00001fff,0x03ffe600,
    0x8037fe40,0xf7006ffd,0x37ee09ff,0xdfffdb9a,0x83ff6600,0x03efffc9,
    0x03ff9300,0x260fffa8,0x403efffd,0x0006fffe,0xfff50000,0x17ea001f,
    0x220fe800,0x800fffff,0x3ff600fd,0x0000007f,0x4007ffee,0xfb006ffc,
    0x3fea00df,0x903fd83f,0xeb889fff,0xff50ffff,0x003fffff,0x3ffffae2,
    0x87ffd401,0xfffffffb,0x17fffe01,0xe8000000,0xfb003fff,0x07f40003,
    0x03bfffea,0x7fc01fb0,0x000006ff,0x00bffee0,0xd8037fe4,0xff3006ff,
    0x405fa83f,0x32e1fffd,0xfa8ffffd,0xffffcabd,0xffccb800,0x7fd401ff,
    0xcaacfc8f,0xff106fff,0x00000bff,0x3fffdc00,0x00037c40,0x3fee03fa,
    0x07ec05ff,0x05ffff88,0x3ea00000,0xff9003ff,0x1bff600d,0x207ffd40,
    0x7fdc00fe,0x9fffb06f,0x7fff703d,0x1fffd800,0x76fffd40,0x83fffc81,
    0x004ffff9,0x3e200000,0x7dc02fff,0x07f40003,0x03ffffd8,0x7fcc03f6,
    0xff0004ff,0xffffffff,0x1bffe23d,0x8037fe40,0xf7006ffd,0x807fb8ff,
    0xf707fff9,0x3e201bff,0x7dc005ff,0x7fd401ff,0x3ffe00df,0x4ffffa84,
    0x40000000,0x7c06fffc,0x7f40000f,0x3ffffa00,0x2a01fb02,0x0004ffff,
    0x77ffffd4,0x02ffff80,0xb006ffc8,0x3f200dff,0x6677f44f,0xfccccccc,
    0xffb81fff,0x37ff400f,0x07ffea00,0x801fff50,0xff985ffe,0x000004ff,
    0x7fffcc00,0x0009f501,0x7c401fd0,0xfd81ffff,0x9ffff500,0xfff70000,
    0x3fff205f,0x3ffa200e,0x0fffb006,0xff03ffa0,0x9999999d,0x03999999,
    0xd801fff7,0x7d4006ff,0x7fd401ff,0x37fec00f,0x027fffc4,0x6c000000,
    0x3fb05fff,0x01fd0000,0x0effff98,0xff8807ec,0x980005ff,0xf100ffff,
    0xd103dfff,0x3600dffd,0x7d401fff,0x037fc43f,0x1fff5000,0x006ffc80,
    0x200fffd4,0x6c00fffa,0xffff06ff,0x0000000b,0x81ffff50,0xd00006f8,
    0xfff7001f,0x200fd8bf,0x0006ffff,0x00ffff98,0x3bfffff2,0xffcbfdbc,
    0xdfffb006,0x4c37f440,0x200007ff,0x6400fffa,0x7d4006ff,0x7fd401ff,
    0x37fec00f,0x006fffe8,0xfd000000,0x03fc87ff,0x001fd000,0xd93ffff2,
    0x3fffa00f,0x7c40000f,0xffc807ff,0x93ffffff,0x3f600dff,0x74c2dfff,
    0xfffa80df,0xff500000,0x6ffc801f,0x0fffd400,0x003ffea0,0x3f60dff9,
    0x00000fff,0xfffb8000,0x00007fc7,0x36000fe8,0x1fb2ffff,0x1ffffec0,
    0x3ffe2000,0xffff7007,0x37fe43df,0xe9effd80,0x03ffedff,0x0007ffe2,
    0x007ffd40,0x5001bff2,0xfa803fff,0x7fe400ff,0x5ffff506,0x00000000,
    0x2a5ffff1,0x3a00004f,0x3fa2000f,0x00fd9fff,0x017fffe6,0x0ffff100,
    0xc80bb980,0xffb006ff,0x00d654cd,0x4005fff8,0x0fffa809,0x0037fe40,
    0x5007ffea,0xfc801fff,0x3fffa06f,0x00400005,0xb6fffc80,0x7400003f,
    0x7fcc000f,0x400fefff,0x000ffffd,0x01fffe20,0x0dff9000,0x001bff60,
    0x007fffa0,0xfffa80e8,0x037fe400,0x007ffea0,0xc801fff5,0x3fea06ff,
    0x500001ff,0x3fe6000b,0x0006fbff,0x40007f40,0x0ffffffa,0x2ffffc40,
    0xffff1000,0xffc80000,0x0dffb006,0xdfffb000,0x7d41aa00,0x7fe400ff,
    0x7ffd4006,0x07ffd401,0xd01bff20,0x0000dfff,0x6c0001d3,0x002fffff,
    0x0007f400,0x0fffffb8,0x2ffffb80,0xffff1000,0xffc80000,0x0dffb006,
    0xffff3000,0x81fcc01d,0x6400fffa,0x7d4006ff,0x7fd401ff,0x37fe400f,
    0x13fffe60,0x001e8800,0x3ffffd40,0x07f40000,0xffffb000,0x3fff6001,
    0xff88000f,0x6400007f,0xffb006ff,0x3f20000d,0x511bffff,0x7fd40dfb,
    0x3ffe400f,0x07ffea00,0x803fff50,0xf9807ffd,0x98005fff,0xfd00003e,
    0x000009ff,0x440001fd,0x2000fffe,0x001efffd,0x003fffc4,0x01fff600,
    0x00037fec,0xffffff88,0x01ffffff,0xb003ffee,0xfb800fff,0x7fdc01ff,
    0x3ffec01f,0xeffffa80,0x03fb9802,0x3ffee000,0x7c400001,0x7c40002f,
    0x7ec000ff,0x2a002fff,0x00007fff,0xd803fff4,0x200007ff,0xffffffe8,
    0x7e402fff,0x7fec01ff,0x3ff2000f,0x7ffe402f,0x07ffec01,0xffffd880,
    0xfdb9abcf,0x400001ff,0x00006ff8,0x0577fec4,0x01ff3000,0xdfffd300,
    0xffd73017,0x400003bf,0x401ffff8,0x001ffff8,0x7fffe400,0x7d400eff,
    0x3ea05fff,0xf1004fff,0x7cc0dfff,0x3ea05fff,0x54004fff,0xfffffffd,
    0x00002eff,0x0000bf20,0x7fffff6c,0x70000eff,0x6d40001f,0xfeefffff,
    0x000befff,0x3ffaea00,0x6542cfff,0xacfffffe,0x2e600000,0x7fd400ac,
    0x1effffff,0xfffffffb,0x3ffaa0bf,0x50efffff,0xffffffff,0x3ffff63f,
    0x8005ffff,0x0abcccaa,0x48800000,0x00000000,0x00005400,0xbcccba98,
    0x0000009a,0x55555555,0xaaaaa855,0x000aaaaa,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99998000,0x19999999,0x33333310,0x00333333,0x00004cc4,
    0x00005b00,0x33333331,0x4cc13333,0x99999999,0x00009999,0x99999998,
    0x33019999,0x33333333,0x3fffa001,0x33333304,0x33101333,0x44033333,
    0x0cd982dc,0x26666660,0x99999999,0x99999999,0x7fee4400,0xcdffffff,
    0xfffdc980,0x04ceffff,0x7ffff644,0x4400003f,0xcb80006f,0xfffffffe,
    0xffb912cd,0xffffffff,0x007bffff,0xffffb910,0x819bffff,0xfffffdc8,
    0xfb801cef,0xfc80ffff,0x2dffffff,0xfffffd98,0x83fff605,0x3205fff8,
    0xfffffffd,0xffffffff,0x003fffff,0x037fffec,0x3ffffa20,0x37ff5004,
    0x01dffd71,0x07ff2000,0xfffa8000,0x7ec401ff,0xbabcdfff,0x00dffffd,
    0x3ffff600,0x3fff6005,0x3fe2002e,0x3605fffe,0x8801ffff,0xfff806ff,
    0x3fffea3f,0xffffb800,0xaaaaaaab,0x04ffdcaa,0x0ffffcc0,0x3fffdc00,
    0xa80efc80,0x00006fff,0x00009fff,0x004fffe8,0x201ffff3,0x03ffffd8,
    0x3ffff300,0x06fff400,0x223bf200,0xff101ffe,0xff1001ff,0x1fffb003,
    0x802fffc4,0x001ffff8,0x220027e4,0x8000ffff,0x9806fffa,0x3ffa02ff,
    0x7d40002f,0x00000fff,0x400ffff6,0x400ffff8,0x002ffffd,0x00ffff88,
    0x0007ff50,0x6fd81bf1,0x00fffee0,0x5c4013ee,0x00cd981d,0x007fffe0,
    0xf10013a0,0x50001fff,0xfd00dfff,0x3fffc80b,0x7fff4000,0x3600003f,
    0x3e003fff,0x7c400fff,0x4000ffff,0x800ffff8,0xb0003ff9,0x881fdc0b,
    0xfe806fff,0x00000000,0x000ffffc,0x7fc002dc,0xf98000ff,0x7fdc06ff,
    0x077ec402,0xffff3000,0x6c0000df,0x3e003fff,0xfc800fff,0xf8002fff,
    0xff9807ff,0x00b30003,0x3ff201d3,0x013e602f,0x3a000000,0x88001fff,
    0xffff8005,0xfff98000,0x00fff406,0xfd800008,0x002ffffa,0x07fffb00,
    0x007fffc0,0x01ffffd4,0x203fffc0,0x20003ff9,0x4c022000,0x3f605fff,
    0x00000001,0x001fffe8,0xfff00010,0xff30001f,0x0fff80df,0xf1000000,
    0x017fff2d,0x1fffec00,0x01ffff00,0x09ffff30,0x40ffff00,0x00003ff9,
    0x3ff60000,0x005f880f,0x00009980,0x0007fffa,0xffff8000,0xfff98000,
    0x01ffe606,0x3fb80000,0x001ffff1,0x07fffb00,0x007fffc0,0x017fffdc,
    0x983fffc0,0x000003ff,0xfa8002a2,0x02fb84ff,0xfffda880,0x74001cef,
    0x06001fff,0x1ffff000,0xdfff3000,0x007ffd40,0x0ff80000,0x0013fff6,
    0x00ffff60,0x800ffff8,0x001ffffc,0xf987fff8,0x3000003f,0xe8001ff9,
    0x006e87ff,0x989cffa8,0x2002fffc,0x2001fffe,0x3fe0000e,0xf98000ff,
    0x3fea06ff,0x8000001f,0x7ffd44fa,0xffd80007,0x3ffe003f,0x7ffc400f,
    0xfff0005f,0x003ffa8f,0x7ff5c400,0x7dc000ff,0x00fea2ff,0x2a07ff70,
    0xfd004fff,0x07c003ff,0x1ffff000,0xdfff3000,0x01fffcc0,0x0ff40000,
    0x0017fff4,0x00ffff60,0x400ffff8,0x000ffffe,0x7d4ffff0,0xb800003f,
    0x00ffffcc,0xb2fffc40,0x5ff9800f,0x01fffdc0,0x800ffff4,0x3e0000fc,
    0x98000fff,0x3e206fff,0x05c006ff,0x2e0bf300,0x40006fff,0x2003fffd,
    0xd300ffff,0x0003dfff,0xffbbfffc,0xd8000003,0xc8000fff,0x04f99fff,
    0x2007ff40,0x400ffff8,0x999afffe,0xffc99999,0x3ffe0000,0xeeeeeeef,
    0xfeeeeeee,0x7ffc06ff,0x00d1001f,0xff102fc8,0x6c0003ff,0x3e003fff,
    0xb5530fff,0x0019ffff,0xfcffff80,0x00000eff,0x007ffdc0,0x667ffcc0,
    0x3fea000f,0x9fff9007,0xfffffe80,0xffffffff,0x3e0000ff,0xeeeeefff,
    0xeeeeeeee,0x6c06fffe,0x7b005fff,0x2037c400,0x0004fffd,0x800ffff6,
    0xffffffff,0x0002efff,0x3f7fffe0,0x0000efff,0x03ffea00,0x66666664,
    0xcffffffc,0x44cccccc,0xf1006ffc,0xffe80fff,0xaaaaaabf,0x000fffdc,
    0x003fffe0,0x01bffe60,0x80bffff3,0x3ee000fb,0x7fffcc03,0xfffb0000,
    0x7fffc007,0x6fffdaab,0x7ffc0000,0xeffffd8f,0xf5000000,0x3ffe01ff,
    0xffffffff,0xffffffff,0x3ffa0fff,0x3fffa004,0x07fffa01,0x0003fa20,
    0x000ffff8,0x806fff98,0x41dffffd,0x7c004fd9,0xfffe800f,0xfffb0003,
    0x7fffc007,0x13fffa20,0x7fff8000,0x03bffff6,0x3fea0000,0x3fa0000f,
    0xfff8006f,0x3fff6003,0x07fffa02,0x00007c40,0x0001ffff,0x100dfff3,
    0xdfffffff,0xa800dfff,0xaaaaaaef,0x6fffdaaa,0x7fffb000,0x07fffc00,
    0x00bfffe6,0x23fffc00,0x00effffd,0x7ffd4000,0x3ff60000,0x7ffcc006,
    0x3fff2004,0x07fffa03,0x20000f80,0x8000ffff,0x1006fff9,0xfffffffd,
    0xfe8001df,0xffffffff,0x1fffffff,0x3fffd800,0x03fffe00,0x003fffee,
    0x21fffe00,0x00effffd,0x3ffea000,0x3ff60000,0x7ffdc006,0x3ffee005,
    0x07fffa02,0x20000c80,0x8000ffff,0x4006fff9,0x3ffffffd,0x99df9800,
    0x99999999,0x005fffc9,0x003fffd8,0x6c03fffe,0x80005fff,0xffb07fff,
    0x00001dff,0x4c03ffea,0x99999999,0x9999effe,0x3ea19999,0x3ee006ff,
    0x3ffa00ff,0x0000001f,0x0003fffe,0x001bffe6,0x0027b662,0x20017e40,
    0x000ffff9,0x001fffec,0x2201ffff,0x0003ffff,0xfb03fffc,0x0001dfff,
    0x201fff50,0xffffffff,0xffffffff,0x10ffffff,0x5c00ffff,0x7ff407ff,
    0x0000001f,0x0003fffe,0x001bffe6,0x10002fc4,0x3f6000df,0x7ec003ff,
    0x3fe003ff,0x3fea00ff,0x3e0001ff,0x7fec07ff,0x40000eff,0x5500fffa,
    0xd5555555,0x55555fff,0xfff85555,0xbff9001f,0x01fffe80,0xff001400,
    0xf30001ff,0x32000dff,0xb8001fff,0xff50003f,0xffd800ff,0x3ffe003f,
    0x7ffe400f,0xfff0000e,0xffffb00f,0x7d40001d,0x360000ff,0xfc8006ff,
    0xffb004ff,0x1fffe807,0x8016a000,0x8000ffff,0x0006fff9,0x000bffd7,
    0x7c0001ff,0x36003fff,0x3e003fff,0xfe800fff,0xf88005ff,0xffb007ff,
    0x20001dff,0x0000fffa,0x2001bff6,0x800ffff8,0x7f400fff,0xf10001ff,
    0x3ffe2005,0xffa8000f,0x3e60006f,0x2fdc007f,0x3fff2000,0x3fff6006,
    0x3fffe003,0xffff9800,0x7ffc4003,0xfffb000f,0xf50003ff,0x740003ff,
    0xf90006ff,0xffa80bff,0x1ffff803,0x400fb000,0x000ffff8,0x007fffa8,
    0x0013fe20,0x980005ff,0xd002ffff,0x22007fff,0x7001ffff,0x4005ffff,
    0x000ffff8,0x07fffffa,0x03fff700,0x03fff400,0x07fffb00,0x7c017fa2,
    0xb8001fff,0x3fea005f,0xfc8002ff,0x90000fff,0x7e4001ff,0x7cc0001f,
    0xf800ffff,0xf5005fff,0x6c005fff,0x5003ffff,0x4005ffff,0x4ffffffa,
    0x0bfff200,0x7fffc400,0x3ff20000,0x9ff512cf,0x3fffe200,0x3ff62003,
    0xfffd3002,0x7d4003ff,0x001dffff,0x005bff95,0x03bfff26,0x7ffecc00,
    0xf900beff,0x4017ffff,0xbeffffe9,0xffff8800,0xfd301bef,0x2003ffff,
    0xfffffffd,0x3fe202ce,0xc98006ff,0x001dffff,0x3ffffae0,0xd3002dff,
    0x99dfffff,0xfd999999,0xfe980fff,0xffffffff,0xffea81ef,0xffffffff,
    0x00554406,0xffffff90,0x3e2007ff,0xffffffff,0xfffdb2ff,0x7dffffff,
    0x3fffffa6,0x01efffff,0x7fffffcc,0xffffd36f,0x1dffffff,0xffffff70,
    0x3fffffff,0x7fffff54,0x7d400eff,0xffffffff,0x2a20003f,0xe8800abb,
    0xffffffff,0xffffffff,0x004fffff,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x013fa200,
    0x79dd9710,0x37220003,0x800cd982,0x99999999,0x00019999,0xb503b930,
    0x4cccc019,0x00001999,0x33333330,0x4ccccc13,0x01999999,0x407b8800,
    0xee804eec,0x2666602e,0x99999999,0x36e20009,0x001cc982,0x8013ff60,
    0xfffffffa,0x7ec000cf,0x3ffe20ff,0xfffdc805,0xccdfffff,0xffe80000,
    0x827ffcc7,0xfffffec8,0x4c00002f,0xccffffff,0xffffb911,0x019bffff,
    0x1ffee200,0xf00bffb0,0x372207ff,0xffffffff,0x03dfffff,0x3a17ffe4,
    0xf50006ff,0x3f2009ff,0xffffffff,0x3fe001ff,0x3ffea3ff,0xff91000f,
    0x00003fff,0x22ffff88,0x8807fffb,0x006ffffe,0x7fffec00,0x7ff4400e,
    0x20000eff,0x07ffffc8,0x7c02ffec,0xfd8803ff,0xecbcefff,0xd01effff,
    0x7fcc9fff,0x7c4001ff,0xf9804fff,0xffdbceff,0x36006fff,0x3fe20fff,
    0x7fc4005f,0x000003ff,0xff98fffd,0xfff7004f,0x200005ff,0x03fffff8,
    0x03ffff30,0x7f675c00,0x7fec07ff,0x03fff805,0x20ffff30,0x83ffffc8,
    0x7f41fffb,0xffd8006f,0x7f4404ff,0xfffd881c,0x3b71004f,0x00019b30,
    0x0005ffff,0x20732200,0xf5000bda,0x000bffff,0x3fffff20,0xffff1002,
    0x3e040001,0x7fec07ff,0x03fff805,0x80ffff10,0xb84ffffd,0x01cc982d,
    0x7ff5fdc0,0x4017d404,0x0007fffd,0xfff00000,0x0000003f,0x77c40000,
    0x0001ffff,0x7fffffc4,0xffff1001,0x7ec00001,0x2ffec07f,0x801fffc0,
    0xe807fff8,0x0001ffff,0xfd5f9800,0x003d809f,0x003ffff1,0xfd000000,
    0x000003ff,0x7c400000,0x005fffdd,0x7ff67dc0,0xfff1001f,0xfc80000f,
    0x2ffec07f,0x001fffc0,0xf700ffff,0x00009fff,0x3fa1fd00,0x0007404f,
    0x0005fff9,0xffd00000,0x0000003f,0x6fc40000,0x000ffff9,0x3ffa3fe0,
    0xfff1001f,0x5799999f,0x0fff9000,0xf805ffd8,0x3fe003ff,0xfff9807f,
    0x4000006f,0x13ffa2fc,0xffa80030,0x0000002f,0x01fffe80,0xa9880000,
    0x57e20000,0x0004fffd,0x3fffabf5,0xffff1001,0xffffffff,0x3fee0039,
    0x02ffec07,0xf001fffc,0x3fe00fff,0x0a8807ff,0x3a2fcc00,0x400004ff,
    0x76c0fff9,0xdd05eeee,0x4009dddd,0x0001fffe,0x3fffee00,0x44004dff,
    0x1ffff35f,0x3a3fd000,0xf1001fff,0x754c4fff,0xb805ffff,0x7fec07ff,
    0x03fff805,0x401fffe0,0x2607ffff,0x22000ffc,0x27ff40ee,0x3fea0000,
    0xffff9306,0x2fffecc0,0x03fffd00,0xdfd10000,0x17ffa617,0x3fa5f880,
    0x7d4003ff,0x007fffa5,0x503fffc4,0xb80bffff,0x7fec07ff,0x03fff805,
    0x201fffe0,0x445ffff8,0x00ffffeb,0x3fa07f20,0x5c00004f,0x7ff404ff,
    0x2fffcc07,0x03fffd00,0x5ffd0000,0x009fff10,0xfffa97e2,0xd17ec007,
    0x22003fff,0x7dc07fff,0x3ee05fff,0x2ffec07f,0x001fffc0,0xf300ffff,
    0xccb89fff,0x5000ffff,0x13ffa09f,0x3ffb0000,0x807ffd80,0x3a005fff,
    0x00001fff,0xfb03ffd4,0x17e200ff,0x2007fffd,0x7fff46f9,0xffff1001,
    0x1ffffb00,0xb01ffee0,0xfff00dff,0x3fffc007,0x07fffec0,0x001fffb0,
    0x7ff40df1,0x7fc00004,0x07ffc805,0x2005ffe8,0x0001fffe,0x903ffe40,
    0xf1001fff,0x06fffb8b,0xffe85fb0,0xfff1001f,0xffff700f,0x01ffee05,
    0xff00dffb,0x7ffc007f,0x7fffd407,0x07ffdc03,0xfd00fec0,0x5c00009f,
    0xffc800ff,0x05ffe807,0x007fffa0,0x0bff5000,0x4007ffdc,0xffff85f8,
    0x743fc402,0xf1001fff,0xff300fff,0x3fee09ff,0x037fec07,0xf001fffc,
    0x7fdc0fff,0xffa805ff,0x01fdc00f,0x00013ffa,0xc8027fc4,0xffe807ff,
    0x3fffa005,0xba800001,0x03ffea00,0x3f217e20,0x1fe406ff,0x800ffff4,
    0x8807fff8,0xf706ffff,0xfffd80ff,0x8ffff200,0x3fffe018,0xffedccde,
    0xff5002ef,0x02fcc01f,0x00027ff4,0x32005fc8,0xffe807ff,0x3fffa005,
    0x40000001,0x00ffffd9,0xff885f88,0x1ff101ff,0x003fffd0,0x201fffe2,
    0x704ffffa,0xffd80fff,0xfffdb03f,0xfff01e49,0x9dddb75f,0xffa80057,
    0x003fa00f,0x00013ffa,0xc8003be2,0xffe807ff,0x3fffa005,0x88000001,
    0xfffccfeb,0x905f8800,0x3ee0bfff,0x03fffd04,0x01fffe20,0x40fffff2,
    0x7ec07ffb,0xeb98bfff,0x3e6ffd8d,0x01fffe01,0x3ffea000,0x2005f900,
    0x80004ffe,0x7e4001fe,0x5ffe807f,0x07fffa00,0xfc880000,0x1fff50bf,
    0x220bf100,0xff81ffff,0x03fffd00,0x01fffe20,0x403ffffa,0x7f407ffb,
    0x5fffffff,0x1bfbffee,0x000ffff0,0x01fff500,0xdddddff3,0xfffddddd,
    0x8007dddf,0xfc8002fd,0x5ffe807f,0x07fffa00,0x7fcc0000,0x07ffd40d,
    0xfb02fc40,0x05fa89ff,0x4007fffa,0x6407fff8,0x2e03ffff,0x5ef407ff,
    0x443fffff,0x400dfffe,0x00007fff,0x980fffa8,0xffffffff,0xffffffff,
    0x2e004fff,0xff90003f,0x0bffd00f,0x00ffff40,0x27fd4000,0x800fffa8,
    0x3fe605f8,0x807fa0ff,0x1001fffe,0x3620ffff,0x5c05ffff,0x9b7c07ff,
    0x2ee201bb,0x0ffff000,0xfff50000,0xfffff301,0xffffffff,0x09ffffff,
    0x80013ea0,0xfe807ffc,0x3ffa005f,0x5400001f,0x3fea05ff,0x05f8800f,
    0xfaa7fff4,0x0ffff405,0x9ffff880,0xfffecba9,0x7ffb803f,0x00003fc0,
    0x003fffc0,0x07ffd400,0x99999998,0xfff99999,0x9800999d,0x7dc0004f,
    0x5ffe807f,0x07fffa00,0xfff8d000,0x03ffea03,0xf5017e20,0x05fb1fff,
    0x001fffe8,0xfffffff1,0x039dffff,0x981ffee0,0x000000ff,0x0003fffc,
    0x007ffd40,0x04ffe800,0x0002fcc0,0x2007ffdc,0x3a005ffe,0x20001fff,
    0x07ffe64a,0x800fffa8,0xffe805f8,0xfe806fdf,0xff1001ff,0x555557ff,
    0xfff70001,0x000ffdc0,0x1fffe000,0x3fea0000,0xfd00000f,0x2fcc009f,
    0x3ea02e00,0x3fea01ff,0x3ffa006f,0x87a0001f,0x2e04fffa,0xf8801fff,
    0xffffa805,0xfffe802f,0xffff1001,0x7dc00001,0x0fff207f,0xff880000,
    0x400000ff,0x0001fffa,0x2009ffd0,0x35c005f9,0x704fff98,0x400fffdd,
    0x0002ffff,0x7fff98f9,0x23ffff70,0x00df1038,0x401ffffe,0x1001fffe,
    0x0001ffff,0xd03ffdc0,0x000009ff,0x007fffc4,0x3ffee000,0xffd00001,
    0x33df3009,0x53333333,0x7f407fd7,0xeda8adff,0x39cfffe8,0x01ffffc0,
    0x3e17f220,0xeb9bffff,0xebdfffbe,0x200df301,0xf003fffb,0x22005fff,
    0x0001ffff,0xf81fff20,0x000005ff,0x003fffe2,0x5fff9000,0x3ffa0000,
    0x7fffd404,0xffffffff,0x2600ffff,0xefffffff,0x5dffffd0,0x77fffcc0,
    0xffea8800,0xfffffa82,0xfff88dff,0x3fea01ff,0x0fff8800,0x4ffff880,
    0x7ffff500,0x7fec0000,0x0bfff00f,0x7fd40000,0x200002ff,0x006ffff8,
    0x409ffd00,0xfffffffa,0xffffffff,0xfffb805f,0x3ffa0dff,0x7ff4401c,
    0xeeefffff,0xffffffee,0xffff500f,0x1effd85f,0x077ffa60,0x22013f20,
    0x0bfffffd,0x3ffffe60,0x540000ae,0xd80dffff,0x000002ff,0x7dffffd3,
    0x7f540001,0x0effffff,0x13ffa000,0xfffffff8,0xffffffff,0x2e6002ff,
    0x200bb80a,0xfffffee8,0xffffffff,0x5fffffff,0x30054c40,0x3fffa601,
    0x205fffff,0x3fba00f8,0xffffffff,0xffffd12e,0x3dffffff,0x7fff4c00,
    0x44ffffff,0x4c00001a,0xfffffffe,0x0001efff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x26200000,0x99999999,0x99999999,0x00999999,0x33333333,0x33333333,
    0x26666000,0x99999999,0xc8000099,0xeeeeeeee,0xddddd702,0x2666660b,
    0x99999999,0x19999999,0x26666662,0x80199999,0x99999998,0x4ccccc19,
    0x99999999,0x33333100,0x99813333,0x99999999,0x00009999,0xdca80000,
    0xffffffff,0xffffffff,0x883fffff,0xffffffdc,0xffffffff,0xc8801cef,
    0xfffffffd,0xffffffff,0x22000acf,0x0cfffffb,0x05fff440,0x7fffffcc,
    0xffffffff,0x26ffffff,0xffffffda,0xb804dfff,0xeffffffd,0x3ffff60c,
    0xdfffffff,0xfffd9501,0x6447bfff,0xfffffffd,0xffffffff,0x00000ace,
    0xfdff3000,0x55557fff,0xffb55555,0xfffd8807,0xba99abcf,0x01effffc,
    0xdffffb10,0xfd97579b,0x003dffff,0x007fffd4,0x3ea04fc8,0xaaabdeff,
    0xfeaaaaaa,0xfe981fff,0x000fffff,0x03ffffa8,0x7ffffe4c,0x7fec006f,
    0x7ec400df,0xabceffff,0xfffffedb,0x0000001e,0xffffafe8,0x013ea000,
    0x003fffe6,0x07ffff91,0x03fffe60,0x3ffffea0,0x3fff6004,0x401fd002,
    0x54000efb,0x7403ffff,0x0004ffff,0xa8007ffe,0x004fffff,0x30017fe4,
    0x8801ffff,0x04fffffa,0x3e200000,0x001ffff6,0xff8804e8,0xff7000ff,
    0xff1005ff,0x362001ff,0x800effff,0x9805fff8,0x007dc05f,0x17fffe20,
    0x1bfffe20,0x017fc400,0x7ffffd40,0x05ff1000,0x0ffff880,0xffffb100,
    0x0000001d,0x3fffe5f7,0x802dc000,0x2000ffff,0xf006fffc,0xb8001fff,
    0x9005ffff,0xfc801fff,0x40026402,0x000ffffd,0x007ffff7,0x40009f90,
    0x003ffffc,0x3e0009fb,0x5c000fff,0x0005ffff,0xff37c400,0x588001ff,
    0x01ffff00,0x17fffcc0,0x007fffc0,0x1ffffdc0,0x027ffc40,0x00b201be,
    0x05ffff70,0x0ffffd80,0x001be600,0x03ffff60,0x4000bf70,0x8000ffff,
    0x004ffffc,0xf8bee000,0x08000fff,0x01ffff00,0x03ffff80,0x000ffff8,
    0x03ffffd0,0x201fffb0,0x00d803fa,0x17fffe20,0x3fffe200,0x007f6005,
    0x3fffe200,0x003be606,0x00ffff80,0x3ffffd00,0xdf100000,0x000ffff8,
    0x3fffe000,0x7fff4000,0x0ffff805,0xffff5000,0x9fff300b,0x00003fa0,
    0x03ffffa0,0x7fffdc00,0x004fb802,0x3fffea00,0x001ff883,0x007fffc0,
    0x5ffffa80,0x1fc80000,0x8007fffc,0x7ffc0009,0x3fe2000f,0xfff804ff,
    0x3f60000f,0xfd800fff,0x02fcc0ff,0x7ffe4000,0x7f40001f,0x3e200fff,
    0x6c00000f,0x7f40ffff,0xfff80002,0x3f60000f,0x00000fff,0x3ffe17e2,
    0x003b000f,0x000ffff8,0x00bfffea,0x0003fffe,0x03ffffa8,0x643fff98,
    0x4c00001f,0x0004ffff,0x04ffff88,0x00000bf6,0xc97fffe2,0xff00004f,
    0x540001ff,0x0003ffff,0x3fe07f20,0x03f000ff,0x00ffff80,0x01bfff60,
    0x0007fffc,0x0bffff30,0xdf1fffa0,0xfe880000,0x200006ff,0xa81ffffb,
    0x2000005f,0xfabffffa,0x3fe00006,0x260000ff,0x0006ffff,0x3fe0bf10,
    0x1fb800ff,0x07fffc00,0x7fffec40,0x1ffff002,0x7ffc4000,0xfff5006f,
    0x0000fea7,0x03ffff90,0xfffe8000,0x0007f446,0x3fff2000,0x00000fff,
    0x0003fffe,0x07ffff88,0x203fb000,0x999affff,0x1ffca999,0x07fffc00,
    0xffffd510,0x7ccccc03,0x9999afff,0x7fc00999,0x3fa007ff,0x0001fd6f,
    0x1ffffd40,0x7fcc0000,0x00ff24ff,0x3fe20000,0x00002fff,0x0007fffc,
    0x01ffffe0,0xf817e600,0xffffffff,0x01ffffff,0x7fffffc0,0xffffeeee,
    0x3e600cff,0xffffffff,0x4fffffff,0x07fffec0,0xfcfffa80,0x3e200005,
    0x00005fff,0x27fffee0,0x000006f9,0x0ffffea0,0xffff0000,0xffd80001,
    0x6c0000ff,0x3fffe01f,0xcbaaaaab,0x7c001ffe,0xdcdeefff,0xcfffffff,
    0x2aaaa201,0xaaabffff,0x6c01aaaa,0x2000ffff,0x001ffffe,0x3ffff600,
    0x74000000,0x01feefff,0x7ec00000,0x00001fff,0x0003fffe,0x03ffffb0,
    0x202fcc00,0xd800ffff,0x7ffc001f,0xfd73100f,0x2003dfff,0x0000ffff,
    0x003ffff4,0x001bffee,0x2ffffb80,0xf9800000,0x0004ffff,0x7ffcc000,
    0x200006ff,0x0000ffff,0x003ffff4,0x3fffffa0,0xffffffff,0x001f8800,
    0x8007fffc,0x01fffffd,0x000ffff8,0x037fffc0,0x001fffc0,0x5ffff880,
    0x32000000,0x00007fff,0x7dffc400,0x00003fff,0x0001ffff,0x006ffff8,
    0x33337ea0,0xfffccccc,0x003b000f,0x000ffff8,0x03bfffee,0x001ffff0,
    0x27fffc40,0x007fdc00,0xffffe800,0x20000000,0x0006fff9,0xd97f4000,
    0x0001ffff,0x000ffff8,0x17fffe20,0x800fe800,0x7000ffff,0xffff8001,
    0x7ffec000,0x7fffc04f,0x3fe60000,0xf98003ff,0xff700004,0x000005ff,
    0x06fff980,0x3f200000,0x1bfffe24,0x3fffe000,0x3fe60000,0xf70004ff,
    0x3fffe007,0x3e000000,0x5c000fff,0x7c05ffff,0x20000fff,0x002ffffb,
    0x80001fc8,0x004ffff9,0xff980000,0x0000006f,0xfff50bf5,0xff80009f,
    0x2e0000ff,0x0002ffff,0x7ffc00fd,0x2000000f,0x4000ffff,0x407ffff8,
    0x0000ffff,0x001bfffa,0x40001be2,0x0006fffe,0xfff30000,0x3000000d,
    0x3ff601df,0x3e0001ff,0x20000fff,0x0006fffe,0x7fc007f7,0x0a0000ff,
    0x001ffff0,0x80dffff0,0x0000ffff,0x003ffff7,0x00007f70,0x003ffff9,
    0x98001220,0x00006fff,0x100ff440,0x000dffff,0x0007fffc,0x02ffffb8,
    0x4006f880,0x0000ffff,0xffff80d3,0x7ffc4000,0x7fffc04f,0xfff88000,
    0xff88004f,0x7fd40000,0x2e0003ff,0x3fe60004,0x4000006f,0xffa803fd,
    0xff0004ff,0xf10001ff,0x2000bfff,0x7fc002fc,0x7d0000ff,0x00ffff80,
    0x0ffffd40,0x003fffe0,0x03ffff60,0x000ff200,0x0dffff10,0x0002e800,
    0x001bffe6,0x004fc800,0x007ffff6,0x003fffe0,0x03ffff20,0x001be600,
    0x0007fffe,0xff8807f2,0x3e2000ff,0xff807fff,0x362000ff,0x2202ffff,
    0x6fc8aceb,0xfffd8000,0x3ea0000f,0x3fe60001,0x9000007f,0xff8800df,
    0x7c000fff,0x64000fff,0x0002ffff,0xff0007fd,0xfa8003ff,0x7fffc406,
    0xfffb1000,0xfff8805f,0xffd3000f,0xffb805ff,0x002fffff,0x1ffffd40,
    0x00ff1000,0x07fffa80,0x1ffb8000,0xffffb800,0x3ffe2005,0xffd3000f,
    0x2e0005ff,0x7cc002ff,0xb1002fff,0xffa809ff,0xffb800ff,0xfa803fff,
    0x26201fff,0x01effffc,0xffffffb8,0x7fc40002,0x2e0005ff,0x5c0006ff,
    0x0000ffff,0x00fff910,0x3ffffe60,0xffff5005,0xfffc9801,0xc88001df,
    0x1001efff,0x9dfffffd,0xffdb9999,0x74c03fff,0xdeffffff,0xffffedcc,
    0xfe9801df,0xcdefffff,0xdfffffed,0x3ffe2001,0xe80001ef,0xeeeeffff,
    0xeeeeeeee,0x05fffffe,0x3fffe600,0x220002df,0x0bfffffa,0x7fffec00,
    0xd100beff,0x9dffffff,0xfffffd99,0x3ee0003b,0x3fffffff,0xffffee88,
    0xffffffff,0x7fffffff,0xfffffe98,0xffffffff,0x00aceeef,0x7fffff4c,
    0xffffffff,0x000acdee,0x00006e60,0x7fffffd4,0xffffffff,0xffffffff,
    0x7f54003f,0xffffffff,0x7fe4006f,0x4fffffff,0x7ffff440,0x2fffffff,
    0xffffffd3,0xdfffffff,0x000037bd,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,0x99999999,
    0x99999999,0x31099999,0x33333333,0x33333333,0x01333333,0x6665c008,
    0xcccccccc,0xcccccccc,0x298000cc,0x00000000,0x002a2000,0x00a98800,
    0x02662000,0x01351000,0x88018800,0x6f540c40,0xffffb911,0xffffffff,
    0x7fffffff,0x3fffffea,0xffffffff,0xffffffff,0xb007404f,0x03700000,
    0x0000fb00,0xa802a620,0x1fb8000e,0xfffb8000,0x8004dfff,0xfffffec8,
    0x3ff66003,0x0002efff,0x22f8809b,0x7ff46ffb,0x5ffffb05,0x95555555,
    0x3ea9fffb,0xccccdeff,0xcccefffe,0x05fffedc,0x005803e6,0x8001b800,
    0x2200007d,0xdfffffeb,0x40013e60,0x220001fb,0xfd30befe,0x7fd400bf,
    0xeffeb89b,0x4d6fdc00,0x00dfffdb,0xe8803f20,0x897fffc6,0xff307fff,
    0x7f4c00ff,0x5c03ff74,0x3a204fff,0x803fa05f,0x1b800005,0x0007d800,
    0x5139ff30,0xbf37fff9,0x00fdc000,0x105ffd00,0xf9009fff,0xdfff501d,
    0xfc81fec0,0x9f7004ff,0x7fc2fd80,0xffff12ff,0x01fffe20,0x03ee9f10,
    0x809fff70,0x1ff905e8,0x400002c0,0x07d8001b,0x02ffa800,0x00dffff5,
    0x0001fb80,0x7ec0fff5,0x17fcc07f,0x505fffd0,0xfffd80bf,0x007fcc01,
    0xdff70df9,0xf106fff8,0xbb000fff,0x3fee016e,0xa86a804f,0x01600fff,
    0x0006e000,0xf10001f6,0xfffc80bf,0x0fdc0004,0x07ffc800,0xe803fff2,
    0x7ffe405f,0x5c00fe83,0x3e206fff,0x0bfea03f,0x27ff40c4,0x007fff88,
    0x70079598,0xd1009fff,0x00ffffa8,0x2e000016,0x007d8001,0x400ffec0,
    0x0000ffff,0x540007ee,0x3fee05ff,0x05ff700f,0x5c0efd88,0xfff9807f,
    0x01ffd107,0x2001bfe6,0xff103ffd,0x542000ff,0x4fffb800,0x3ff62700,
    0x4eeeefff,0x2e000016,0x007d8001,0x201ffe60,0x005ffffd,0x80007ee0,
    0x3fea00ba,0x03ffd00f,0x677f4020,0xcccccccc,0xfd81ffff,0x5fff103f,
    0x03ff7000,0x001fffe2,0x7ffdc000,0x7775c004,0x4eeeefff,0x2e000016,
    0x007d8001,0x901bfee0,0x01ffff5f,0x0007ee00,0x7ffecc00,0x01fff00f,
    0xcceff800,0xcccccccc,0x7fdc1ccc,0x0dffd107,0x403fea00,0x1007fff8,
    0xfffb8000,0x3fee0004,0x0001600f,0x360006e0,0x3ff60007,0x7fcbee05,
    0xf70001ff,0x5c400003,0x0fffccfe,0x0007ff98,0x00037fc4,0xd81fffd4,
    0x10001fff,0x7ffc40ff,0x8000f007,0x0004fffb,0x5803ffee,0x01b80000,
    0x20007d80,0x7f504fff,0x001fffec,0x80001fb8,0xf50bffc8,0xfff501ff,
    0x7fcc0001,0x7fcc0007,0xbfff906f,0x205f8000,0x8807fff8,0x7fdc0007,
    0x3ee0004f,0x001600ff,0x664c6e00,0xcccccccc,0xccccccfe,0x3e63cccc,
    0x44fa85ff,0x3224fffc,0xcccccccc,0xccccdfdc,0x304ccccc,0xffa81bff,
    0x1fffa80f,0x3ffea000,0x3fe60000,0xbfff907f,0x204e8000,0xc807fff8,
    0x7fdc0007,0x3ee0004f,0x001600ff,0x7fdc6e00,0xffffffff,0xffffffff,
    0x3ea5ffff,0x427cc6ff,0x3e63fffb,0xffffffff,0xffffffff,0x40ffffff,
    0xff504ffa,0x7fff301f,0x7ffc4000,0x7fd40001,0x3fffb03f,0x100d4000,
    0x3333ffff,0x00ffd733,0x04fffb80,0x03ffee00,0xb8000058,0x33333311,
    0x33fb3333,0x33333333,0x13fffc41,0x3ffea0bf,0x4cccccc1,0x9afb9999,
    0x99999999,0x502ffd41,0xff101fff,0x20b800df,0x4c005fff,0x883ffe40,
    0x00005ffe,0x3ffffe20,0xffffffff,0x7fdc0007,0x3ee0004f,0x001600ff,
    0x20006e00,0x3fe0007d,0x206e89ff,0x20007ffb,0xff0001fb,0x7ffd407f,
    0x03ffff00,0xfffd1a20,0x6c074003,0xfff103ff,0x22000003,0xccccffff,
    0x007ffecc,0x027ffdc0,0x01fff700,0x5c00002c,0x007d8001,0x3abfffa0,
    0x17fee00e,0x001fb800,0x201fff98,0xfb00fffa,0x0f600bff,0x200dfffb,
    0x1ffd106a,0x001bfe60,0x3fffc400,0x0001fa20,0x0009fff7,0xb007ffdc,
    0x03700000,0x4000fb00,0x00fffffb,0x0001ffe4,0xf50003f7,0x7fdc09ff,
    0xffff301f,0x4c0fb80b,0x200effff,0x3fe203f9,0x80bfee03,0xfff10000,
    0x000f300f,0x004fffb8,0x803ffee0,0x1b800005,0x0007d800,0x4017fff4,
    0x20000ffe,0xf98001fb,0xfff707ff,0xffb0e23f,0xfd983bff,0xfffff904,
    0x1bf6a237,0xc803fe60,0x04fea86f,0x07fff880,0xfb8000f0,0x2e0004ff,
    0x01600fff,0x0006e000,0xf50001f6,0xffa80bff,0x0fdc0003,0xfffff800,
    0xffbeeb9b,0x7c41ebdf,0xfeffffff,0x3fe206ff,0xffffffff,0x9f7001ff,
    0x7f42fd80,0x7c4002ff,0x00b007ff,0x04fffb80,0x03ffee00,0xb8000058,
    0x007d8001,0x27fffdc0,0x0006fe88,0x50001fb8,0xbfffffff,0x3fffff11,
    0x3ffffa20,0x400effff,0xffffffe8,0x64002fff,0x89ba200f,0x4003ffff,
    0x0007fff8,0x9fff7000,0x7ffdc000,0x00001600,0x1f60006e,0xfcbfa800,
    0xfd511cff,0x3ee0000b,0x3fea0001,0x7fec2fff,0xfffd801e,0x64003fff,
    0x0effffff,0x8809d000,0x03fff22f,0x0ffff100,0x3ee00000,0x2e0004ff,
    0x01600fff,0x0006e000,0x7cc001f6,0x3ffffa64,0x00002eff,0x100007ee,
    0x004c0153,0x026ee620,0x0acb9800,0x40044000,0x0005d408,0x003fffc4,
    0xfffb8000,0x3fea0004,0x0001602f,0x777546e0,0xfeeeeeee,0xeeeeeeef,
    0x417a4eee,0x001acba9,0x001fb800,0x00000000,0x00000000,0x00000000,
    0x007fff88,0xfff70000,0x7fcc0009,0x00586c3f,0xff71b800,0xffffffff,
    0xffffffff,0x004dffff,0x5c000000,0xba80001f,0x120000ac,0x3b9107b7,
    0x5dddddc4,0x3313bbbb,0x33333333,0x33333333,0x00013333,0x07fff880,
    0xff700000,0x7c40009f,0x22d9bfff,0x1b800005,0x00000000,0x00000000,
    0xfffb1000,0x40017dff,0x0fffea5a,0x3e21fffb,0xffffffff,0xfffff57f,
    0xffffffff,0xffffffff,0x8800007f,0x0000ffff,0x4fffc800,0x7ffec000,
    0x0002c5ff,0x00000dc0,0x00000000,0xd8000000,0xfffdbcef,0x24e801cf,
    0x7fc5fffc,0xffff12ff,0x2fffffff,0xbbbbbbb9,0xbbbbbbbb,0x1bbbbbbb,
    0x7fcc0000,0x000000ff,0x005fffc8,0x0beffd80,0x5c00002c,0x00000001,
    0x00000000,0x02fa8000,0x17dfffb5,0x3ea1fb88,0x7ffec3ff,0xbbbbbb10,
    0x000bbbbb,0x00000000,0x003ffff5,0xfffd0000,0x0620000d,0xcccccce8,
    0xcccccccc,0x1dcccccc,0x00000000,0x00000000,0x8805d800,0xdcefffeb,
    0x82da84ff,0x00001cb8,0x00000000,0xffffd300,0x4000003d,0x1cfffffb,
    0x00000000,0x00000000,0x00000000,0x3a000000,0x7fed4001,0x00003fff,
    0x00000000,0x3a600000,0xffffffff,0x80001eff,0xffffffeb,0x0004efff,
    0x00000000,0x00000000,0x00000000,0x40002800,0x000001a9,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4c000000,0x00000009,0x054c4000,0x88008826,
    0xaa980000,0x000a9801,0x00200000,0x776c0000,0xddd05eee,0x3b209ddd,
    0x23eeeeee,0xeeeeeeeb,0xeeeec84e,0xddddd72e,0x3b207ddd,0xc984eeee,
    0x51002dee,0x39dffffb,0x00067cc0,0x7fec4000,0x20fcdfff,0x075c01f9,
    0x7fff5c00,0x7f5c4fff,0x0003ffff,0x83f26000,0x2004402d,0x7ffe4c5a,
    0x3fff6607,0xffff9105,0xfffd303f,0x3e6015bf,0x3fa60bff,0x4401efff,
    0x7dc0affd,0x00efffff,0x26273fea,0xf102fffc,0x00003bff,0x222bbea0,
    0x6c0fffda,0x002fc00e,0x2e25dfd1,0x37fb4fff,0x01bfff73,0x7ed40000,
    0x50bfa26f,0x87dffffb,0xffe80ffa,0x2fffcc07,0x817ffee0,0x801ffff8,
    0x3ffa03fd,0x07f9002f,0xfd715bf5,0x0ffee0bf,0x5027ffd4,0x0005dffd,
    0xa80ffc40,0x037cc0ff,0x7fc013ee,0xffffa81f,0x4fff881f,0x75c40000,
    0xfe881dff,0xcceffeab,0xffaaeffe,0x00fffb01,0xfd00bfff,0xfffa80ff,
    0x5406f801,0xdd004fff,0x3fe21760,0x02ffcc0f,0x300fffee,0x0017fffb,
    0x6406fb80,0x405fd80f,0x7fd402ff,0x0ffffe06,0x001fffc8,0xcfffc880,
    0x7fff4400,0xffff7103,0x03ffe401,0x5402fff4,0x3e201fff,0x17cc04ff,
    0x4037ff40,0x201903f9,0x7ff40ffd,0x7fffc400,0xfffc8800,0xff90001c,
    0x4c07cc01,0x3fee03ff,0x81bff201,0x2600fffe,0x20005fff,0x002effd9,
    0x4c0077dc,0x7fe404ff,0x05ffe807,0xc809fff0,0x03e407ff,0x401fffb8,
    0xdf70007c,0x9007ffa8,0x44009fff,0x002dffeb,0x3a01ffec,0x405ffb00,
    0xff500efe,0x03fff409,0x001bffe2,0x0077ffaa,0x8003fe20,0x3f200ff9,
    0x5ffe807f,0x80fff900,0x3e02fffc,0xbfff1004,0xd0004f80,0x06ffc87f,
    0x00ffff10,0x0fbff6a0,0x06fffdc0,0xfff30098,0x817fea03,0x3ffa00b9,
    0xcccccccf,0x1007fffc,0x0019fff9,0x40017e40,0x3ff205f9,0x05ffe807,
    0x205fff30,0x506ffff8,0x7fe4003f,0x003f500f,0xfe81df30,0x3ffa004f,
    0x3260001f,0x2200cfff,0x002effff,0xd00effd8,0x910009ff,0xddddffff,
    0xdddddddd,0x77fecc01,0x6f80000b,0x403fa000,0xfe807ffc,0x3ffa005f,
    0xfff9f705,0x9800db03,0x0bd03fff,0x3e07f600,0x3f6003ff,0x880002ff,
    0xb01dfffb,0x05dfffff,0x837ffc40,0x3003fffa,0x0dfffdfb,0x3ffaa000,
    0x2600002d,0x3f20004f,0x00fff901,0x5c00bffd,0x8cf80fff,0x1fc44fff,
    0x43fff400,0xfc8002f9,0x04fff982,0x00ffff20,0xdffd5000,0xfffff905,
    0x3f2001df,0xfffd04ff,0x977f5403,0x40006ffe,0x001cfffb,0x002fa800,
    0x7e40fea0,0x5ffe807f,0x0fffe200,0x1fff21f7,0xf50001f7,0x007c85ff,
    0xff702fb8,0x7fdc00bf,0xb000002f,0x3fa60fff,0x802fffff,0xfd05fffc,
    0xdfd305ff,0x007ffe85,0x033ffe20,0x0fdc0000,0x209f1000,0xfe807ffc,
    0x7fec005f,0xfff32f46,0xf0002f45,0x027c4dff,0xfa807ea0,0x3ee006ff,
    0x200000ff,0x00cfffc8,0x7fffffd4,0x1bffe203,0x5c1fffd4,0xfffb04ff,
    0xffb88000,0x400001df,0x2a0003f9,0x0fff902f,0x800bffd0,0x3f51fffa,
    0x5f35ffe8,0x7ffe4000,0x64001f71,0xff11701e,0x7fdc00ff,0xfb300007,
    0xf70005df,0x7e40ffff,0xbffd00ff,0x640bff50,0x02000fff,0x02effea8,
    0x009f1000,0xfb80fdc0,0x5ffe807f,0xd4fff800,0x91fff70d,0xff88000f,
    0x6c00bd4f,0xdcbaaabf,0x007fffe7,0x0002ffe4,0x0077ffaa,0x7ff4c019,
    0x1fff881f,0x360dff50,0x3fee02ff,0x00d1002f,0x017fffb3,0x0006f800,
    0xfffb81fa,0x02fff400,0x7d7ffe40,0xfcfff882,0xffd80004,0xe8802faf,
    0xffffffff,0x13fff24f,0x001ffec0,0x067ffdc4,0x7d402d80,0x2ffc84ff,
    0x2203ffa0,0x3e601fff,0x099006ff,0x67ffe440,0x09f70001,0x5407f700,
    0x3ea01fff,0xf98006ff,0x3f606fff,0x80000fff,0x006ffff9,0x99999995,
    0x7fc41999,0xfff800ff,0x3ff26000,0x2ec000be,0x221fff40,0x3fea04ff,
    0x09fff501,0x403ffff8,0xb88001fa,0x8002dffe,0x3e6001fe,0x27ffcc06,
    0x07ffeeb8,0x07fffd00,0x002fffd4,0x07fffd00,0xff900000,0x3ffa80bf,
    0x5bffd500,0x00fec000,0xbfb07ff2,0x2602fe80,0x3ee07fff,0xda84ffff,
    0xda80005f,0x2e003eff,0xffb803ff,0xdfffe804,0xfe8eda8a,0x20039cff,
    0xff807ffa,0x2e00002f,0x00000fff,0x07fffb00,0x71017fa2,0x00039fff,
    0x2201ffb0,0x037cc5ff,0xff1013ee,0x7f4c3bff,0xefffffea,0x000efffd,
    0x3fff2600,0x3bbea00c,0x36a20aef,0x4c03feff,0xefffffff,0x5dffffd0,
    0x01ffc400,0x00003fe4,0x00017fe2,0x9fff9000,0x813fea25,0x00bfffc9,
    0x3fff6000,0x2077e442,0x02fc00fd,0xefffffb8,0xffd10efe,0x3fffffff,
    0x2e200000,0x7d41dfff,0xfffff90e,0xfd119fff,0xffffb807,0x33ffa0df,
    0x01f90001,0x00009f10,0x00003f90,0xfffd7000,0x4c05bfff,0x00002eff,
    0xbfffddb0,0xf9819ffd,0x00075c01,0x7ffffff7,0xfffff910,0x000001bf,
    0x443ffaa0,0x6dd440ef,0x7f440bce,0x80ab9801,0x4c0000bb,0x0006e003,
    0x00012200,0x77510000,0x03930015,0x4c180000,0x1100abba,0x10001100,
    0x22003597,0x00000acb,0x541b3000,0x02880000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x20000000,0x00026028,0x00620544,0x01980544,
    0xd7000660,0xdddddddd,0x2bdddddd,0xeeeeeeea,0x3bbba25e,0x000982ee,
    0x2ea00310,0x00800000,0x01d10000,0x17bb5100,0x200fb880,0x01bdddc9,
    0x6cc00044,0x3ff260ff,0xf93003ef,0x3bff221f,0x43ff9301,0x0cefffd8,
    0x4ffffd98,0xdddffb00,0xffdddddd,0x7fe4c7ff,0x74c0cfff,0xef882dff,
    0x07f44000,0x000ffea0,0x003ff980,0x004fd800,0x7fffffd4,0x0fffd983,
    0x7fd47f70,0x019ff902,0xffffeb88,0xffffff50,0x3fae203f,0xfffd0fff,
    0xfffea8bf,0xfffff51f,0xfffb8bff,0xd804ffff,0xfffc801f,0x7ffff505,
    0xf9013fa0,0x3fa2001d,0x05ffc802,0x1bff2000,0xfff50000,0x42fe2003,
    0x4dc0fffa,0xff880ffd,0x7cc3ff40,0x65c06fff,0xfa8ffffc,0xffffcabd,
    0xfffdcb80,0xfffeec8f,0x3fff32a6,0xb9acfa9f,0xbf92ffff,0x5fffd737,
    0xf9804d80,0x3ee00fff,0x05fa86ff,0x8801df90,0xff7002fe,0x7d400009,
    0x7400004f,0x55005faf,0x3205ff70,0x86f980ff,0x7fdc1ffd,0xfb001fff,
    0xf703d9ff,0xffd807ff,0x07b6a5bf,0x0f67ffe4,0x7677ffc4,0x06fff881,
    0x3fe2016c,0xffd801ff,0x003be24f,0xd100efc8,0x43bd305f,0x37662ff9,
    0x00530001,0xf93fb800,0x3fd40005,0x2a01ff70,0x20fff440,0x04fffff8,
    0x01bfff70,0x7017ffe2,0x8001ffff,0x200dfffa,0x200dfffc,0x2e00fffc,
    0x1fffec00,0x1ffff880,0xf90003fb,0x03fe881d,0x7fc5fffb,0x00dfff31,
    0x22000000,0x001be26f,0x3ee01fd8,0xddd9800f,0x8ab882ff,0xfff7005f,
    0x06ffe801,0x001fffd4,0x200fffd4,0x5c01fffa,0x20000fff,0x4005fffb,
    0x3fbefffa,0x43bf2000,0x3ea03fe8,0x26fb3fff,0x0004ffff,0x3fb00000,
    0xa8003fb8,0x07fdc03f,0x3f21bb30,0x027cc02f,0x400fffb8,0x7d406ffd,
    0xfa8000ff,0x7fd401ff,0x7ffd401f,0xfff30001,0xffb0001f,0x90000bff,
    0x007fd3df,0xb79fffd7,0x019ffff5,0x50000000,0x003fa09f,0x01ffffe4,
    0x3ea01ff7,0x2017fe45,0xff5002fc,0x6ffc801f,0x007ffd40,0x00fffd40,
    0x5007ffe6,0x10003fff,0x0003ffff,0x007fffe2,0x1fffe400,0x3bf6a200,
    0x9301bdfe,0x99999999,0x99999999,0x40799999,0x0bf300fe,0x3fff6e60,
    0x501ff703,0x2ffc83ff,0xf5002f40,0xffc801ff,0x07ffd406,0x0fffcc00,
    0x007ffe60,0x0003fff5,0x0007fffb,0x005fffa8,0x01dff100,0x33ff2600,
    0x7fffdc01,0xffffffff,0xffffffff,0x07f705ff,0x4c001fd8,0x1ff706ff,
    0xff90ffd0,0x003b2205,0x400fffa8,0x7d406ffc,0xf98000ff,0x7fcc01ff,
    0x7ffd401f,0x7ffdc001,0xffa80005,0x440003ff,0x000efdfe,0xdb9dffb7,
    0x98817bff,0x99999999,0x99999999,0x88099999,0x06f8806f,0xb81ffb80,
    0x3fff80ff,0x826bffaa,0x54000eea,0x7e400fff,0x7ffd406f,0xfff98000,
    0x0fffcc01,0x007ffea0,0x00ffff98,0x7f6fc400,0xd10001ff,0x803bf27f,
    0xb8dfffe9,0x03ffffb6,0x6c000000,0x07f7001f,0xb80ff980,0xfffc80ff,
    0xefffbbff,0x20005d70,0x6400fffa,0x7fd406ff,0xff98000f,0x7ffcc01f,
    0x0fffd401,0x1ffff880,0x98ee8000,0x88006fff,0x077e43fe,0x3a6fffd8,
    0x017fff67,0x7d400000,0x007f4005,0x3ee0df50,0xceeb880f,0x0089fd10,
    0x07ffd400,0x501bff20,0x30001fff,0xf9803fff,0x7fd401ff,0xfffb001f,
    0x3f900007,0x0027ffe4,0x3f207fd1,0x0dffc80e,0x7fe43ff1,0x00000004,
    0xf98001fd,0x0fe80c44,0x0001ff70,0x7d400000,0x7fe400ff,0x07ffd406,
    0x0fffcc00,0x007ffe60,0x7003fff5,0x9300bfff,0x7f41fd40,0xfe8801ff,
    0x4077e403,0x21ffd41a,0xb9100029,0x07f70003,0xfe87f600,0x01efbbdf,
    0x0017ffb3,0x2a000000,0x7e400fff,0x7ffd406f,0xfff98000,0x0fffcc01,
    0x007ffea0,0x001ffff3,0x417e2075,0x200efff9,0xf9003fe8,0xbff9001d,
    0x7fdc0000,0x004c8006,0xeca8f220,0x32a02cef,0x000ccccc,0xfa800000,
    0x7fe400ff,0x0fffd407,0x0fffd400,0x007ffe60,0x4403fff5,0x9001ffff,
    0x401fd107,0xd105fffc,0xdfc8007f,0x02ffe400,0x0dff9000,0x00000000,
    0x00000000,0x7fdc0000,0x3ffec00f,0x00bffee0,0x00bffea0,0xa803fff3,
    0x3f602fff,0x7f5003ff,0xff005fb0,0x00f607ff,0x74c02e40,0x2200001f,
    0x000001ed,0x00000000,0x00000000,0xb007fff2,0x7dc01fff,0xfb8003ff,
    0x7fd403ff,0x7ffdc02f,0x5ffff703,0x95555555,0x7ec45ffb,0x7ffc404f,
    0x00000bff,0x00002000,0x00000000,0x00000000,0x20000000,0x205ffffa,
    0x304ffffa,0x005fffff,0x077fff44,0x0effff88,0x1dffff30,0xffffff88,
    0xffffffff,0xfff32fff,0xff901fff,0x07ffffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffffff50,0x3ff63dff,0x55ffffff,0xffffffff,
    0x7ff4c07f,0x52efffff,0xffffffff,0x3fffea5f,0x000effff,0x00000000,
    0x6776dc40,0x9dd95001,0x40eecc05,0x05101dda,0x00000000,0x7fffffcc,
    0xffffffff,0xffffffff,0x0000000f,0x00000000,0x00000000,0x00000000,
    0x75400000,0x04ffffff,0x3f22ff62,0x6ffd80df,0x9b06ffe8,0xffffff98,
    0xffffffff,0xffffffff,0x7fffd10f,0xeeeeee88,0xeeeeeeee,0xfeeeeeee,
    0x2fffec0f,0x00000000,0x00000000,0x00000000,0x00000000,0x4c17ff30,
    0x85fd05fe,0xfff85ffa,0x3fffe20f,0x32217d40,0xcccccccc,0xcccccccc,
    0x4c4ccccc,0x00006fff,0x7c41f900,0x000006ff,0x00000000,0x00000000,
    0x00000000,0x0ff40000,0xffc87fb0,0x7c3ffd80,0x3fe60fff,0x05ffe87f,
    0x26000000,0x00000fff,0x3ea0fc80,0x000000ef,0x00000000,0x00000000,
    0x00000000,0x0fee0000,0x6ff8ff10,0xff8dff50,0x46fff87f,0x002fffc8,
    0x3ee00000,0x8000003f,0x07ff60fc,0x00000000,0x00000000,0x00000000,
    0x00000000,0xf9001f90,0x4417fe21,0x2ffec7ff,0xfb82fff4,0x0000004f,
    0x0002fe40,0xff07e400,0x00000005,0x00000000,0x00000000,0x00000000,
    0x200fd000,0x0dff52fb,0xff907ffc,0x209ffb09,0x00001ffb,0x007d8000,
    0x30fc8000,0x0000007f,0x00000000,0x00000000,0x00000000,0x03f60000,
    0x7fcc7f20,0xf51ffa07,0x07ff705f,0x0000bff1,0x01740000,0x43f20000,
    0x0000004c,0x00000000,0x00000000,0x00000000,0x0bee0000,0x7fc43fa0,
    0x98dff00f,0x1ffa81ff,0x9833ff72,0xffffffff,0xffffffff,0x0fffffff,
    0x00000c40,0x00143ae0,0x00000000,0x00000000,0x00000000,0x00000000,
    0xbf701be6,0xf984ffd8,0xf107f82f,0x880d541f,0xeeeeeeee,0xeeeeeeee,
    0x0eeeeeee,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x1bf70000,0xf881ff70,0x827dc0ff,0x001be06e,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xcdffd800,0xd301ffec,
    0x09f939ff,0x00bb02e4,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0xffea8000,0x5c400dff,0x5401cefd,0x0000aa02,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x000cc400,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__times_49_latin1_x[224]={ 0,4,2,0,2,1,1,1,1,0,3,0,2,1,
3,0,1,5,0,1,0,2,1,1,2,1,3,3,0,0,0,1,2,0,0,1,0,0,0,1,0,1,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,3,0,1,0,-1,2,1,-1,1,1,1,1,1,0,1,
-4,0,1,0,0,1,-1,1,0,2,0,0,0,0,0,0,0,6,3,3,0,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,0,4,2,1,0,0,
3,3,1,1,-1,1,0,1,1,-1,2,0,0,0,5,2,-1,3,4,2,0,1,2,2,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,1,1,1,1,0,-1,1,1,1,1,1,3,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
 };
static signed short stb__times_49_latin1_y[224]={ 39,9,9,9,7,9,9,9,8,8,8,12,34,27,
34,8,9,9,9,9,9,9,9,9,9,9,18,18,13,19,13,9,8,9,9,9,9,9,9,9,9,9,9,9,
9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,9,8,9,9,46,8,18,8,18,8,18,8,18,8,8,
8,8,8,18,18,18,18,18,18,18,12,19,19,19,19,19,19,8,8,8,24,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,39,17,10,9,13,9,
8,9,10,9,9,18,20,27,9,5,9,12,9,9,8,19,9,21,38,9,9,18,9,9,9,17,0,0,0,1,
2,2,9,9,0,0,0,2,0,0,0,2,9,1,0,0,0,1,2,15,8,0,0,0,2,0,9,8,8,8,
9,9,10,8,18,18,8,8,9,10,8,8,9,10,8,9,8,8,9,9,10,15,17,8,8,9,10,8,8,10,
 };
static unsigned short stb__times_49_latin1_w[224]={ 0,6,14,22,18,35,33,6,13,13,17,25,7,12,
5,13,20,12,21,18,21,18,20,20,18,20,6,7,25,25,25,17,38,32,28,27,31,27,23,31,32,13,17,33,
27,39,33,30,24,30,30,21,25,32,32,42,32,32,26,11,13,11,20,24,8,19,22,18,22,18,19,21,22,11,
13,23,11,35,22,20,22,22,16,14,13,23,22,32,22,22,19,13,3,13,25,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,6,18,21,22,23,
3,16,13,32,14,20,25,12,32,24,14,24,13,12,8,22,22,5,7,9,14,20,31,31,33,17,32,32,32,32,
32,32,40,27,27,27,27,27,13,13,13,13,31,33,30,30,30,30,30,19,30,32,32,32,32,32,23,21,19,19,
19,19,19,19,28,18,18,18,18,18,11,11,13,13,20,22,20,20,20,20,20,24,22,23,23,23,23,22,22,22,
 };
static unsigned short stb__times_49_latin1_h[224]={ 0,31,13,31,36,32,31,13,41,41,19,24,13,4,
6,32,31,30,30,31,30,31,31,31,31,31,22,29,22,10,22,31,41,30,30,31,30,30,30,31,30,30,31,30,
30,30,31,31,30,39,30,31,30,31,31,31,30,30,30,39,32,39,16,3,9,22,32,22,32,22,31,31,31,31,
41,31,31,21,21,22,31,31,21,22,28,21,21,21,20,30,20,41,41,41,7,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,0,32,38,31,22,30,
41,39,5,31,14,22,9,4,31,3,14,24,16,16,9,30,40,6,10,16,13,22,32,32,32,32,39,39,39,38,
37,37,30,39,39,39,39,37,39,39,39,37,30,39,40,40,40,39,38,19,33,40,40,40,38,39,30,32,32,32,
31,31,30,32,22,30,32,32,31,30,31,31,30,29,32,30,32,32,31,31,30,18,24,32,32,31,30,41,41,39,
 };
static unsigned short stb__times_49_latin1_s[224]={ 251,245,150,223,62,134,107,249,1,61,140,
137,242,203,250,128,202,181,23,56,1,95,114,168,189,208,242,246,113,173,22,
80,93,53,42,36,219,224,1,131,1,86,220,131,69,117,97,25,217,1,100,
229,25,187,64,120,186,153,126,44,142,32,183,216,199,163,156,183,179,202,75,
58,13,1,75,163,238,41,1,1,186,163,24,48,51,162,219,186,97,103,77,
150,146,132,163,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,
65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,65,251,245,226,
98,139,179,89,56,189,1,227,221,208,203,135,81,120,89,242,204,234,194,164,
250,165,217,135,63,35,202,1,234,35,73,106,134,29,198,1,167,139,185,129,
1,157,171,213,231,71,1,187,34,98,195,167,120,81,1,218,65,101,68,157,
112,170,108,67,87,97,190,84,34,22,89,162,209,34,46,165,242,210,228,231,
1,181,141,203,158,114,41,65,1,45,38,15,227, };
static unsigned short stb__times_49_latin1_t[224]={ 1,124,531,235,164,164,235,457,1,1,511,
457,511,480,50,202,235,395,395,268,395,268,268,268,268,268,457,235,488,531,488,
300,1,364,426,332,426,364,457,332,364,364,300,364,395,395,332,268,395,84,364,
268,457,300,332,300,426,426,426,84,202,84,511,480,531,457,202,457,202,457,268,
300,332,332,1,300,300,511,511,488,332,332,511,488,457,488,488,488,511,426,511,
1,1,1,480,457,457,457,457,457,457,457,457,457,457,457,457,457,457,457,457,
457,457,457,457,457,457,457,457,457,457,457,457,457,457,457,457,457,1,84,84,
300,488,364,1,84,480,300,511,457,531,480,268,198,531,457,488,511,531,395,1,
43,531,511,531,488,235,202,235,202,124,84,84,124,164,124,426,84,84,43,43,
164,43,43,43,124,426,124,1,43,43,84,124,511,164,43,1,43,124,124,395,
164,164,202,235,235,395,164,488,364,202,202,235,332,300,300,364,395,164,332,164,
202,235,235,364,511,457,202,202,268,395,1,1,43, };
static unsigned short stb__times_49_latin1_a[224]={ 177,236,289,354,354,590,551,128,
236,236,354,399,177,236,177,197,354,354,354,354,354,354,354,354,
354,354,197,197,399,399,399,314,652,511,472,472,511,432,394,511,
511,236,276,511,432,629,511,511,394,511,472,394,432,511,511,668,
511,511,432,236,197,236,332,354,236,314,354,314,354,314,236,354,
354,197,197,354,197,551,354,354,354,354,236,276,197,354,354,511,
354,354,314,340,142,340,383,551,551,551,551,551,551,551,551,551,
551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,551,
551,551,551,551,551,551,551,551,177,236,354,354,354,354,142,354,
236,538,195,354,399,236,538,354,283,389,212,212,236,408,321,177,
236,212,220,354,531,531,531,314,511,511,511,511,511,511,629,472,
432,432,432,432,236,236,236,236,511,511,511,511,511,511,511,399,
511,511,511,511,511,511,394,354,314,314,314,314,314,314,472,314,
314,314,314,314,197,197,197,197,354,354,354,354,354,354,354,389,
354,354,354,354,354,354,354,354, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_49_latin1_BITMAP_HEIGHT or STB_FONT_times_49_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_49_latin1(stb_fontchar font[STB_FONT_times_49_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_49_latin1_BITMAP_HEIGHT][STB_FONT_times_49_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_49_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_49_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_49_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_49_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_49_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_49_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_49_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_49_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_49_latin1_s[i] + stb__times_49_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_49_latin1_t[i] + stb__times_49_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_49_latin1_x[i];
            font[i].y0 = stb__times_49_latin1_y[i];
            font[i].x1 = stb__times_49_latin1_x[i] + stb__times_49_latin1_w[i];
            font[i].y1 = stb__times_49_latin1_y[i] + stb__times_49_latin1_h[i];
            font[i].advance_int = (stb__times_49_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_49_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_49_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_49_latin1_s[i] + stb__times_49_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_49_latin1_t[i] + stb__times_49_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_49_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_49_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_49_latin1_x[i] + stb__times_49_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_49_latin1_y[i] + stb__times_49_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_49_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_49_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_49_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_49_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_49_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_49_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_49_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_49_latin1_LINE_SPACING
#endif

