// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_50_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_50_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_50_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_50_latin1_BITMAP_HEIGHT        565
#define STB_FONT_times_50_latin1_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_times_50_latin1_FIRST_CHAR            32
#define STB_FONT_times_50_latin1_NUM_CHARS            224

#define STB_FONT_times_50_latin1_LINE_SPACING          32

static unsigned int stb__times_50_latin1_pixels[]={
    0x99880000,0x44000001,0x80000002,0x54418000,0x00400010,0x0000a880,
    0x99970001,0x70000007,0x00007999,0x0e666400,0xcccc9800,0x221ccccc,
    0x4400000b,0xfeeffedb,0x0000bdff,0x0007fd98,0x00354000,0x3ee3fff1,
    0x320003d2,0x3ee000ce,0x07b6e002,0x3ffff100,0xf8800000,0x00001fff,
    0xbffff700,0x3ffea000,0x32ffffff,0x00003fff,0x0135bfb5,0x0077f6a6,
    0xffffd710,0x22000000,0x7fe4005d,0x3a25f74f,0x0bee0004,0x44017dc0,
    0xf70000ee,0x000005ff,0x005fff50,0x3fe20000,0x8002ffff,0xf9999998,
    0x9fff92ff,0x67f5c000,0x3fc88001,0x3ffb3600,0x8000007f,0xfb8003fa,
    0x445f73ff,0xf50001ed,0x805f7009,0x6c0005f9,0x000003ff,0x0007ffb0,
    0x57fe4000,0x00006ffd,0xfff97ffc,0x9fb0006f,0xdd300001,0x7ffe8001,
    0x7d400000,0xbfb10004,0x3f60bee1,0x07fd0003,0x3e202fb8,0x3e20002f,
    0x0000004f,0x000013fe,0x2e1ff880,0x200003ff,0xfffd2fff,0x3fe9800f,
    0x06d80000,0x003ffec0,0x00bf3000,0x205f7000,0xfb8002fe,0x80bee00f,
    0x540007fd,0x0000005f,0x000017ea,0xf301db00,0x3e00001f,0xdfffd2ff,
    0x017fd400,0x009d0000,0x0003ffe4,0x000fe880,0x502fb800,0xf88001ff,
    0x40bee04f,0x40004ff9,0x0000006c,0x00000764,0x4401d300,0xff00004e,
    0x17fff65f,0x000f7cc0,0x00be2000,0x0003ffe4,0x0004fd80,0x6c05f700,
    0x3e6000ef,0x40bee06f,0x40005ffa,0x0000000e,0x00000074,0x06400320,
    0x97ffc000,0x8804fffc,0x000001ff,0x3f200f50,0xc800007f,0x000000ff,
    0x7fc405f7,0x1ffea004,0xff902fb8,0x0000000d,0x00000000,0x00000000,
    0xb97ffc00,0xfd804fff,0x40000004,0x7ffc802f,0x7fc40000,0x2e000005,
    0x07ff402f,0x00fffb80,0x3ff605f7,0x00000007,0x00000000,0x59530000,
    0xff000001,0x0fffea5f,0x4000df70,0x05b80008,0x0007ffc8,0x001ffdc0,
    0x805f7000,0xfb004ffc,0x817dc0ff,0x3100fffc,0x13333333,0x0cccccc0,
    0xddddddd9,0x801ddddd,0xeeeeeeea,0x26000eee,0xffffffed,0x80000cdf,
    0xfff32fff,0x00ffc405,0x9777fe40,0x1f106eda,0x887ffc80,0xf000acdb,
    0x400003ff,0x805f72da,0xe800fff9,0x0bee06ff,0xb80fffd4,0xefffffff,
    0xffffb102,0xfffda81d,0x98001eff,0x002ffffc,0x8aceffc8,0x2fffdba8,
    0x97ffc000,0x3201fff8,0x7fd4004f,0x3ff63aa2,0xf900be04,0x7fff44ff,
    0x7d401eff,0xc880007f,0x05f72fff,0xf009fff0,0x17dc0bff,0x202fff98,
    0x03ffffe8,0xe807ff50,0x0001ffff,0x2000ffdc,0x9803ffea,0x20004ffe,
    0x3ffe2fff,0x8007fe00,0xfdb80efb,0x00fa01ff,0x3fe6fff9,0x2fffffff,
    0x001bffa0,0xfffffd98,0xfb005f72,0xfff880df,0x440bee04,0x7c403fff,
    0xf5002fff,0xffff900d,0x0ff30000,0x02fffc80,0x07bff620,0xf8bffe00,
    0x01bea07f,0xf101ffc8,0x04d80fff,0xdfebffe4,0xfffffecb,0x05fff980,
    0x3fa66200,0x005f72ff,0xf801fffb,0x0bee02ff,0xb802fff8,0xf9004fff,
    0xdfff7005,0x0df30000,0x017ffd40,0x00ffff80,0xfd17ffc0,0x801fec0f,
    0x7fc03ffc,0x202e405f,0x80dcfffc,0xa84ffffc,0x00004fff,0x3ee5fff7,
    0x3fffc802,0x700ffec0,0x07ff405f,0x007ffe80,0x3fea00ff,0xf880006f,
    0xdfff1006,0x7ffdc000,0x17ffc004,0x3fe20dfb,0x05ff9800,0x2017ffc4,
    0x7ffe404d,0x7fffec05,0x01fffdc0,0x2fffa800,0xff7005f7,0x2ff980bf,
    0xfe80bee0,0x3ffea005,0x8027d403,0x0006fffa,0xfb006f88,0x440005ff,
    0x2001ffff,0x17f22fff,0x744037cc,0x7fcc00ff,0x201f400f,0xf9807ffc,
    0x7fe43fff,0xf300002f,0xf70005ff,0xdfb00dff,0xfa817dc0,0x7ff4000f,
    0x8007ec06,0x0006fffa,0xfb806f88,0xc80006ff,0x3e006fff,0x413ee2ff,
    0xffc805fa,0x06ffb804,0x7fe402e8,0x9fffb007,0x002fffd8,0x05fff300,
    0x0ffff500,0x2e03fb10,0x003fd02f,0x205fff70,0x3ea005f9,0x880006ff,
    0x7ffc406f,0xf880003f,0xff004fff,0xb81fd45f,0x7ffcc04f,0x03ffe800,
    0x3f200fc4,0xfff5007f,0x01ffff8b,0x5fff3000,0xffff3000,0x5c0f6c00,
    0x001ec82f,0x641bffe0,0x3fea002f,0xf880006f,0x7fffd406,0xffd00001,
    0x3ffe00df,0x7e40be62,0x02ffe403,0x200fffc4,0x7ffc807a,0x8ffff300,
    0x0000ffff,0x005fff30,0x01ffff30,0xf71eecc0,0x000bb265,0x20bffee0,
    0x7fd4007f,0xf880006f,0x7fffe406,0xffb00000,0xfff001ff,0xfd80fcc5,
    0x017ffc02,0x6c03ffe4,0x07ffc805,0x44ffff10,0x0000ffff,0x005fff30,
    0x01ffff10,0xf70efa80,0x00033f25,0x51bffe20,0xffa8009f,0xf880006f,
    0x3fffec06,0xfff90000,0x5fff003f,0x1fe807c4,0x201ffea0,0x4404fff9,
    0x7ffc802f,0xf1bffe00,0x00003fff,0x000bffe6,0x801fffe2,0x17dc0ce9,
    0x200013ea,0x3f61fffc,0x7ffd4000,0x6f880006,0x03ffffc0,0xffff7000,
    0x85fff007,0xc807f607,0xffd805ff,0x803dc02f,0x3e007ffc,0x7fffc4ff,
    0xff300002,0xff30005f,0x0fea00df,0x6fc417dc,0x3fe20000,0x000bf35f,
    0x000dfff5,0x7c40df10,0x00006fff,0x013fffea,0xc800bffe,0x0fffa02f,
    0x01ffff30,0xfc801fc4,0x3ffe007f,0x017fff43,0x2fff9800,0x5fffa800,
    0x2e07fb80,0x00df702f,0xc9fffc80,0xffa8002f,0xf880006f,0x3fffea06,
    0x3e600005,0xff805fff,0x0fee002f,0x2603fff8,0x6406ffdf,0x1fff2006,
    0x217ffc40,0x0003fffd,0x265fff30,0xfffb801c,0x01ffc404,0x3fe205f7,
    0x3fe20003,0x50006fdf,0x0000dfff,0x7fd40df1,0x200005ff,0x805ffff9,
    0x2a002fff,0x17ffe04f,0x27fe4fcc,0x64003f70,0xff3007ff,0x09fff70d,
    0x3ffe6000,0xf9005f72,0xffc807ff,0xd80bee01,0x360000ff,0x0003ffff,
    0x000dfff5,0x7c40df10,0x00006fff,0x013fffe6,0x4010bffe,0x3ffa05f9,
    0xfd97cc0f,0x007f703f,0x800fffc8,0xff982ffc,0xf300004f,0x00bee5ff,
    0xd00bfff2,0x17dc05ff,0x0003ffd0,0x007fffcc,0x06fffa80,0x406f8800,
    0x0007ffff,0x0bfffea0,0x74cbffe0,0x01fd00ef,0x2efffff2,0x13ff62fe,
    0x07607f91,0x201fffe4,0x3fe05ff8,0xf300005f,0x00bee5ff,0x3e01fff6,
    0x0bee03ff,0x0003fff8,0x0002ffec,0x000dfff5,0xfe80bf30,0x200007ff,
    0x801ffffb,0xfff92fff,0x440fee09,0x1fffffff,0x655fffd4,0x40d902ef,
    0x200ffffc,0x3f201ffd,0xf300007f,0x00bee5ff,0x3e013ffa,0x0bee04ff,
    0x001fffcc,0x000bfe60,0x006fffa8,0x6405f980,0x0000ffff,0x01ffff90,
    0x3fa5fff0,0x0df105ff,0x05f7ffcc,0x2effffd8,0xfc807e20,0x220befff,
    0x7cc01efd,0x980001ff,0x05f72fff,0xd001fff0,0x17dc0dff,0x002fffa8,
    0x40006f80,0x0007fff9,0x7dc04f98,0x00001fff,0x200dfffb,0xfff52fff,
    0x200fe405,0x00660009,0x3ff2036c,0xfeeffe8f,0xffb000df,0xff300007,
    0x500bee5f,0x3f600bff,0x40bee07f,0x0000fffb,0x20001fd4,0x0007fff9,
    0x7cc04fa8,0x00003fff,0x2007fffd,0x06e62fff,0x0000bf30,0x007ea000,
    0x654cfff9,0x7cc0009b,0xf980005f,0x805f71ff,0xf9001ffc,0x0bee01ff,
    0x0003ffe4,0x200007f4,0x000ffff8,0x64017e40,0x80007fff,0x2006fff9,
    0x70002fff,0x0000007f,0xfc805e88,0xd800007f,0xf980007f,0x805f70ff,
    0x3ee006fe,0x05f700ff,0x0001bff6,0x20000bf3,0x0003fffe,0x744007f4,
    0x40003fff,0x2001fffd,0x00042fff,0x000003fb,0x64017a20,0x800007ff,
    0x40003ff8,0x0bee7ff9,0x2000ffa8,0x3ee07ffa,0x00bff702,0x0001fd80,
    0x00dfff90,0x5003fcc0,0x4000ffff,0x4004fff9,0xdfd12fff,0x01fd1003,
    0x5e980000,0x01fff200,0x07fd4000,0x4fff3000,0x07fa02fb,0x40bff100,
    0x9ff302fb,0x02fd4000,0xffff1000,0x0ffa0001,0x07fffb00,0x03fff600,
    0x2e5fff00,0xd1005fff,0x2000005f,0x7e4005f9,0x2000007f,0x260005fb,
    0x40bee4ff,0xfa8003fa,0x80bee02f,0xbda806fe,0x0003ff51,0x0efffc80,
    0x01bf6200,0x07fff620,0x03dffb00,0x325fff00,0x6c006fff,0x2200004f,
    0xfc8005fb,0x4000007f,0x404c02fd,0x0bee0ffa,0x6c0017e6,0x017dc05f,
    0x7d401ff3,0x04ffffff,0xfffb0000,0xdfd5003d,0x7fdc0001,0xffe8803f,
    0x3ffe0004,0x007fff32,0x0017df70,0x00bbf220,0x007ffec0,0x0bee0000,
    0xf907ffe2,0x7442fb89,0x1ff10005,0x6402fb80,0x3fff204f,0x00004fff,
    0x77fffe40,0xffca99ac,0x980000ef,0x221bdffe,0x802fffca,0xfeeeeee9,
    0x006e22ff,0x1dffc980,0x2efca980,0x7fff4000,0x98000001,0x7fffd43e,
    0x5c0dfa8c,0x000ba62f,0x5c006f44,0x03fb802f,0x07fffff1,0x32600000,
    0xffffffff,0x00002dff,0xfffffdb8,0x000cefff,0xfffffff5,0x000005ff,
    0x6f7fff54,0x2dfffedc,0x3f6e6000,0x00abffff,0x22640000,0x3ffffffe,
    0x036e5f70,0x00fb2600,0xd3002fb8,0xbcb8815b,0x80000000,0xbccccaa8,
    0x0000000a,0x00359951,0x00000000,0xb9753100,0x00001359,0x99999991,
    0x00003999,0x7b730300,0x28f54015,0x00391000,0x88003d50,0x0000002b,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x003cccc8,
    0x99993000,0x00000001,0x000e665c,0x99930000,0x00000039,0x004ccc88,
    0x59530000,0x20000001,0x01abca98,0x9100002e,0x44005999,0x2200000a,
    0x0001ffff,0x0ffff600,0x54000000,0x0006ffff,0x7ffe4000,0x40000004,
    0x003ffffd,0xffec9800,0x0bdfffff,0x3ae20000,0xffffffff,0x0007e21c,
    0x00dfff70,0x0017ffcc,0x01fffb80,0x7f440000,0x0000006f,0x7fffffd0,
    0xd8000000,0x000007ff,0x3ffffe60,0x3200000f,0x999bceff,0x002fffeb,
    0x6fffe440,0xff75309a,0x0005fd9d,0x000effd8,0x0017fff6,0x0017fec0,
    0xfff88000,0x40000000,0xfffcaffb,0x20000000,0x0001ffe8,0xd3dfd000,
    0x300009ff,0xd5009ffd,0x260009ff,0x8801dffe,0x002ffffc,0x003ffe20,
    0x00bfff90,0x009ff100,0xff980000,0x20000002,0x3fea1ff8,0x40000004,
    0x00003ff8,0xb10dfb80,0x5c0003ff,0x22002fff,0x2001effe,0x8005fffa,
    0x0003fffa,0x20007fea,0x0001fff9,0x00005fa8,0x00bf5000,0x0fe40000,
    0x00007f4c,0x01be6000,0x0bf10000,0x5c0017ee,0x88003fff,0xa800efff,
    0x20005fff,0x20003ffb,0x0c0002fc,0x00db0000,0x7b800000,0xd3000000,
    0x002ec401,0x07d40000,0x09900000,0x44002f98,0x20006fff,0x4404fffb,
    0x0000ffff,0xf00027e4,0x00000009,0x00000e80,0x002d8000,0x000b8000,
    0x00000037,0x00000790,0x024400e2,0x00ffff60,0x03fffd00,0x001fffec,
    0x80027c40,0x00000059,0x00000000,0x00000000,0x00000000,0x00000000,
    0x40000000,0x0006fffb,0x506fffb8,0x0000ffff,0x000002ec,0x20000000,
    0x0000aca9,0x2b2a6000,0x00000000,0x00000000,0x00000000,0x3fe20000,
    0x980003ff,0xfe83ffff,0x200005ff,0x00000059,0x26000780,0xffffffed,
    0x00000cdf,0x3ffffb66,0x000cdfff,0xddddddd9,0x801ddddd,0xeeeeeeea,
    0xddd90eee,0xdddddddd,0xeeea801d,0x0eeeeeee,0x3bbbbbba,0xeeeeeeee,
    0x5eeeeeee,0x03ffff70,0x3fffe000,0x17fffcc6,0xdd0e0000,0xdddddddd,
    0xdddddddd,0x7c0bdddd,0xeffc8000,0xfdba88ac,0xc80002ff,0xa88aceff,
    0x002fffdb,0x3fffff6a,0xfc98001e,0x36a02fff,0x01efffff,0xffffc980,
    0x3ffae202,0xeeeeeeff,0xffffeeee,0x1ffff907,0x3ff20000,0x3fff20ff,
    0x8000000f,0xeffffeb8,0xeeeeeeee,0x107ffffe,0x7f54003f,0xffe9803f,
    0xffd50004,0x9ffd3007,0xffffe800,0x7fdc0001,0xffffd001,0xffb80003,
    0xffff1001,0x0ffd8007,0x007fffd8,0x3fffee00,0x01ffffa1,0xff100000,
    0xfd8007ff,0x001f980f,0x4005fff9,0x001effd8,0x800bfff2,0x001effd8,
    0x000ffff9,0x6400ff30,0x80007fff,0x7f4007f9,0xfc8003ff,0x07ffff80,
    0x3ffea000,0x1bfffe2f,0x3a000000,0xc8003fff,0x802fa80f,0x0002fffa,
    0x5001ffff,0x20005fff,0xb800ffff,0x80006fff,0x3ee006f9,0x980006ff,
    0x7ff4006f,0x0f88003f,0x037fffc4,0xffff5000,0x1bfffe29,0x3a000000,
    0x88003fff,0x403fb80f,0x0006fff8,0x1013ffee,0x4000dfff,0xa804fffb,
    0x80006fff,0x3ea006f8,0x880006ff,0x7ff4006f,0x83d0003f,0x005ffffa,
    0x3fffe600,0x0bffff35,0xfd000000,0x3a0007ff,0x6c04fc81,0x20002fff,
    0x201ffff8,0x0002fffd,0x007fffe2,0x000dfff5,0x5400df10,0x80006fff,
    0x7ec006f8,0x150003ff,0x05ffffa8,0x3ffe6000,0xbffff56f,0xb0000000,
    0x20007fff,0x205fd80a,0x0006fffb,0x706fffc8,0x0000dfff,0xa80dfff9,
    0x80006fff,0x3ea006f8,0x880006ff,0x7fec006f,0x2600003f,0x0006ffff,
    0x57fffe60,0x005ffff9,0xffd80000,0x7400003f,0xffff106f,0xff100007,
    0xfff889ff,0xf880003f,0x3ea04fff,0x880006ff,0x3fea006f,0xf880006f,
    0x7ffec006,0x3e200003,0x00007fff,0x44ffffea,0x0006ffff,0xfffd8000,
    0x7f400003,0x3ffff507,0x3ffa0000,0x7fffd46f,0xffd00001,0x7ffd40df,
    0x6f880006,0x1bffea00,0x01be2000,0x007fffb0,0xfff1014c,0x5c0000ff,
    0x3fe2ffff,0x000006ff,0x03fffd80,0xfff00a60,0x03ffff20,0x7ffec000,
    0x3ffff20f,0xffb00000,0x3fea01ff,0xf880006f,0x3ffea006,0x6f880006,
    0x1fffec00,0xfe807700,0x00000fff,0x6c3ffff9,0x00007fff,0x3fffd800,
    0xf880ee00,0xfffd80ff,0x3f200007,0x3ff61fff,0x3200007f,0xf501ffff,
    0x10000dff,0x7fd400df,0xf880006f,0x7ffec006,0x700f6003,0x0003ffff,
    0x91ffff60,0x0005ffff,0xfffd8000,0x980f6003,0xfff81fff,0x2e00007f,
    0x3fe3ffff,0x200007ff,0x503ffffb,0x0000dfff,0x7d400df1,0x880006ff,
    0x7fec006f,0x07f5003f,0x03ffff98,0x7fffd000,0x04ffff98,0x7ec00000,
    0x7f5003ff,0x217ffd40,0x006ffff8,0x3fffea00,0x0dffff14,0x7ffd4000,
    0xdfff504f,0x0df10000,0x037ffd40,0x0037c400,0x2ab3fff6,0xfecbaaaa,
    0xfffe803f,0xff980006,0xdfffb06f,0x00880000,0x2ab3fff6,0xfecbaaaa,
    0x3ffee03f,0x2ffffd43,0xfff30000,0x3fffeabf,0x3e600005,0xff505fff,
    0xf10000df,0x7ffd400d,0x6f880006,0x7fffec00,0xffffffff,0xf9803fff,
    0x40003fff,0xf303fffd,0x00007fff,0xffd807a2,0xffffffff,0x203fffff,
    0x7d44fffc,0x00005fff,0x557fffe6,0x0005ffff,0x17fffe60,0x0037ffd4,
    0x50037c40,0x0000dfff,0xfd800df1,0x99999bff,0x03ffca99,0x00dfff90,
    0x037ffcc0,0x003ffff6,0xfb00f600,0x333337ff,0x07ff9533,0x222fffe4,
    0x0006ffff,0x53fffe60,0x006ffff8,0x3fffe600,0x0dfff504,0x00df1000,
    0x0037ffd4,0x20037c40,0x3003fffd,0x7ff4007f,0xffb0003f,0xffe8801d,
    0x320000ef,0x3fffd805,0x6c07f300,0xfff86fff,0x2a00007f,0x3fe2ffff,
    0x200007ff,0x502ffffa,0x0000dfff,0x7d400df1,0x880006ff,0x7fec006f,
    0x00f6003f,0x01fffe88,0x0077fe40,0x1effff88,0x800ed800,0x2003fffd,
    0x3fffa03d,0x07fffe87,0x3ffee000,0x1ffffa1f,0xfffb8000,0xdfff501f,
    0x0bf30000,0x037ffd40,0x002fcc00,0x800ffff6,0x7ec4003b,0xfd8803ff,
    0x74c000ef,0x800cffff,0xfb000de9,0x1dc007ff,0x90ffffd0,0x0001ffff,
    0x83ffff20,0x000ffffc,0x1ffff900,0x01bffea0,0x8017e600,0x0006fffa,
    0x6c005f98,0x26003fff,0xffd30002,0x75cc415b,0x20000cff,0xcdfffffc,
    0x4fecaa9a,0x1fffec00,0x7e405300,0xfffb85ff,0xfb00001f,0xfffb8dff,
    0xfb00001f,0x7fcc0dff,0xf980007f,0x3ffe6004,0x4f980007,0x1fffec00,
    0x2a000000,0xffeffffe,0x00000cff,0xffffff93,0x0019ffff,0x007fffb0,
    0x17ffd400,0x01ffffcc,0x3fffe800,0x01ffffcc,0x3fffe800,0x01fffe60,
    0x8013ea00,0x0007fff9,0x6c004fa8,0x00003fff,0xffff7000,0x00001fff,
    0x5e7e54c0,0x7ec0001a,0x400003ff,0x3ff201c9,0xf980007f,0xfff906ff,
    0xff30000f,0xfff880df,0x7e40000f,0x3ffe2002,0x7e40000f,0x7ffec002,
    0x004c0003,0xfffff980,0x8000005f,0x200000ed,0x0003fffd,0x3a20004c,
    0x40003fff,0xd101fffd,0x80007fff,0xe801fffd,0x40003fff,0x7f4000fe,
    0x740003ff,0x7fec000f,0x3e20003f,0x3fa20001,0x0002ffff,0x0fffea00,
    0x7ffec000,0x07e20003,0xfffa8013,0x3fe60007,0x7ffd404f,0x3fe60007,
    0xfff9004f,0x3fcc000d,0x37ffe400,0x00ff3000,0x007fffb0,0x800036c0,
    0x00fffffc,0xffd70000,0x3f60000f,0x360003ff,0x00bffa26,0x0007fffb,
    0x2003fff6,0x0003fffd,0x2001fffb,0x000ffff8,0x10007fd0,0x0001ffff,
    0x3a000ffa,0x50003fff,0x5400007f,0x000effff,0x07ffe000,0x3fffa000,
    0x47f50003,0x4406fffc,0x4001fffd,0x1001effd,0x8003fffb,0x4001effd,
    0x000efffc,0x8001bf62,0x000efffc,0x4001bf62,0x8003fffe,0x00000ff8,
    0x01fffea8,0x0dfd0000,0x3fffa000,0x0ff88003,0x401bfff2,0x8803fffb,
    0x70004ffe,0xd1007fff,0x6c0009ff,0xa801efff,0x40000efe,0x801efffd,
    0x8000efea,0x005ffff8,0x00037fdc,0x33ffaa00,0x3ea00000,0xf880003f,
    0x5c005fff,0x7ffcc6ff,0x3ffa6002,0x3f2a21bd,0x4c0002ff,0x221bdffe,
    0x002fffca,0xeffffc80,0xffca99ac,0x900000ef,0x359dffff,0x1dfff953,
    0xfffd3000,0x9999bdff,0xffffd999,0x20000007,0x00acfeda,0x5ffdb880,
    0xffe98000,0xcccdefff,0xfffecccc,0x000a883f,0xfffffb70,0x0019dfff,
    0x7ffedc00,0x0cefffff,0x3f260000,0xffffffff,0x800002df,0xffffffc9,
    0x002dffff,0xffffffe8,0xffffffff,0xffffffff,0x00000000,0x88007973,
    0x40001bcb,0xfffffffe,0xffffffff,0x0fffffff,0x54400000,0x00001acc,
    0x35995100,0x51000000,0x15799995,0x51000000,0x15799995,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2aa62000,
    0x00000001,0x32e00000,0x000004cc,0x03999930,0xc8000000,0x00001ccc,
    0xddddb930,0xdddddddd,0x33333225,0x8801cccc,0x00006602,0x91000000,
    0x40005999,0x1efccffb,0xdfd70000,0x00006405,0x03ffff10,0x3f600000,
    0x000004ff,0x3fffea00,0x7cc00006,0xafffffff,0x1aadfaaa,0xfffffff3,
    0xffb805ff,0x005ffd86,0x02efeb80,0xffa80032,0x5fb0006f,0x0001ff88,
    0x77ffffe4,0x80000681,0x0003fff9,0x1bffa000,0xe8000000,0x002fffff,
    0xfffff500,0x09f0dfff,0x3333fff3,0xfff80133,0x3fffe62f,0x3ff20000,
    0x0681efff,0x00fffc80,0xfe82fd40,0x3be20006,0x1dfffffe,0x200000d7,
    0x00006ffa,0x03ffa200,0x2e000000,0x06ffdaff,0xffffa800,0xf86fffff,
    0x007ff984,0x88bfffa0,0x0000ffff,0xffffddf3,0x0016e3bf,0x2001ffec,
    0x3ffd02ff,0xe992e000,0x3fffffff,0x3ee00000,0x0000000f,0x0000ffe6,
    0x43ff1000,0x20003ffb,0xfffffff9,0x84f86fff,0x20007ff9,0xffc85ffa,
    0x99320004,0xfffffffe,0x17fa0003,0xf00ff880,0x320005ff,0xfffffb80,
    0xd8000004,0x0000002f,0x00002fd4,0x2607b200,0xf90000fe,0xffffffff,
    0xf309f0df,0x010000ff,0x36000044,0xfffffb80,0x7f440004,0x03ff5000,
    0x48001ff2,0x00b32e20,0x05e80000,0xfb800000,0x30000000,0x026c401d,
    0xfffffe80,0xf86fffff,0x007ff984,0x80000000,0x0b36e204,0x017cc000,
    0x0604ff98,0x00000000,0x03440000,0x2c800000,0x17000000,0x10003200,
    0xffffffff,0x09f0dfff,0x0000fff3,0x00000000,0x2d400000,0x007fff00,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffffe60,0x86ffffff,
    0x07ff984f,0x00000000,0x01595300,0xb0000000,0x5c007fff,0x5eeeeeee,
    0xdddd5000,0x00bddddd,0x00000000,0x00000530,0x00053000,0x7fffffc0,
    0xf86fffff,0x807ff984,0x99999998,0x26666009,0x76cc0019,0xdfffffff,
    0x0000000c,0x04ffff88,0x7fffe4c0,0x3260004f,0xee81efff,0xeeeeeeee,
    0xeeeeeeee,0x0005eeee,0x00003e40,0x003e4000,0xfffffb00,0xf0dfffff,
    0x00fff309,0xfffffff7,0x3ff6205d,0xf9000eff,0x751159df,0xb005fffb,
    0xdddddddd,0xfa80bddd,0x98005fff,0x003fffff,0x1007fe40,0xddffffd7,
    0xdddddddd,0x000fffff,0x0017fc40,0xff100000,0x3ee00005,0xffffffff,
    0xf984f86f,0xffd1007f,0x3ea007ff,0xffd5003f,0x9ffd3007,0x3fff6600,
    0x3a001dff,0x000effff,0x0fffffcc,0x00df5000,0x00ffffe2,0x0001ffb0,
    0x001bfee0,0xffb80000,0xff300006,0xffffffff,0xff309f0d,0x7ffc400f,
    0x0df5002f,0x00bfff20,0x01effd88,0x00ffffd0,0xffffbcd8,0x7fec001f,
    0x30000fff,0x7ff400bf,0x0fc8003f,0xffff0000,0x00000003,0x0007fffe,
    0x7ffffd40,0x4f86ffff,0x4007ff98,0x9004fffb,0xfff5005f,0x3ffe0005,
    0xfffd800f,0x547d1005,0x001fffff,0x1bfffff6,0x002fcc00,0x0007fffd,
    0x500001f1,0x0009ffff,0xfff50000,0x5400009f,0xffffffff,0xff984f86,
    0x7ffe8007,0xf100ff00,0x5c000dff,0xfc804fff,0x3e8805ff,0x0efffe98,
    0xfffdfb00,0xbf3000bf,0x1ffff400,0x0001e800,0x0fffffe8,0x74000000,
    0x000fffff,0x3fffa600,0x84f86fff,0xa8007ff9,0x7d403fff,0x2fffd804,
    0x3ffe2000,0x7ffe401f,0x100fb804,0x200dfffd,0xffffe9fd,0x02fcc003,
    0x007fffb0,0x300002a0,0x07fffddf,0x7cc00000,0x003fffee,0xccba8800,
    0xf984f86f,0xffd0007f,0x400fd80d,0x0006fffb,0x406fffc8,0xe804fffc,
    0x1fffd806,0xff89fd80,0x26002fff,0x3ff6005f,0x0000003f,0x3feeff20,
    0x0000006f,0x3ffeeff2,0xb0000006,0xff309f0d,0x3fee000f,0x80bf302f,
    0x003ffff8,0x4ffff880,0x013fff20,0x3fa00df1,0x31fd804f,0x001fffff,
    0xfd8017e6,0x000003ff,0x3e2ff100,0x00002fff,0xff17f880,0x000005ff,
    0x309f0db0,0x7c000fff,0x05f906ff,0x01ffffa8,0xdfffd000,0x027ffe40,
    0x22003fee,0x1fd806ff,0x03bfffea,0xd8017e60,0x26003fff,0x9f700002,
    0x002fffec,0xb27dc000,0x0000bfff,0x09f0db00,0x4000fff3,0x7f82fffb,
    0x0ffffc80,0xfffb0000,0x3fff201f,0x017fd404,0xfd807fd8,0x2ffffe41,
    0xb002fcc0,0x5c007fff,0x1fd00003,0x007fffcc,0x83fa0000,0x000ffff9,
    0x7c36c000,0x007ff984,0x51bffe20,0xfffb009f,0x7e40000f,0xff901fff,
    0xfff8809f,0x806fa800,0xfffd81fd,0x02fcc04f,0x007fffb0,0x540001ec,
    0x4fffe85f,0x3ea00000,0x04fffe85,0x436c0000,0x07ff984f,0x0fffe400,
    0xfff001fb,0x5c0000ff,0xf903ffff,0xffb009ff,0x03f8801d,0xfe881fd8,
    0x3e602fff,0x3fff6005,0x007f5003,0xf703fb00,0x00000fff,0x7fdc0fec,
    0x4000007f,0xf984f86d,0x7c40007f,0x00bf35ff,0x00dffff1,0x7fffd400,
    0x09fff904,0x01dfff70,0x7ec00fdc,0xfffff301,0x8017e603,0xaaacfffd,
    0xffecbaaa,0x37cc0003,0x02ffff88,0x06f98000,0x005ffff1,0x7c36c000,
    0x007ff984,0xc9fffc80,0xfffa802f,0x2600005f,0xf905ffff,0x3f6009ff,
    0x0db01fff,0xfa807f60,0xf980efff,0x3fff6005,0xffffffff,0x0003ffff,
    0xff9017e4,0x900000df,0x7ffe405f,0x36000006,0xff984f86,0xff880007,
    0xf5006fdf,0x0000bfff,0x82ffffcc,0x2004fffc,0x5c2ffffe,0x03fb000f,
    0x85ffffb8,0x3f6005f9,0x99999bff,0x03ffca99,0x301fe200,0x0003ffff,
    0x2603fc40,0x0001ffff,0x09f0db00,0x0000fff3,0x00fffff6,0x037fffc4,
    0xffff3000,0x13fff209,0xffffe880,0x6c003d94,0xfffd801f,0x002fcc4f,
    0x2007fffb,0x2e0003f9,0xfffd804f,0x3ee00004,0x4fffd804,0x0db00000,
    0x0fff309f,0x3ffe6000,0x3ffe000f,0x2a00007f,0xf902ffff,0xfb0009ff,
    0x001bffff,0xfd001fd8,0x2fcc5fff,0x07fffb00,0xd0001ec0,0xfff5001f,
    0x3a00001f,0xfffa800f,0xd800000f,0xff984f86,0x3f600007,0x7ff4005f,
    0x2e00007f,0xf901ffff,0x2e0009ff,0x8005ffff,0xff1001fd,0x17e63fff,
    0x03fffd80,0x54000ee0,0xccccccff,0xffffcccc,0xffa80003,0xcccccccc,
    0x03ffffcc,0xf86d8000,0x007ff984,0x00bfe600,0x01ffff90,0x3fff2000,
    0x9fff900f,0x7ffd4000,0x0fec002f,0xfffff300,0x6c00bf31,0x26003fff,
    0xfffb0002,0xffffffff,0x00dfffff,0xfffffb00,0xffffffff,0x0000dfff,
    0x309f0db0,0x80000fff,0xffb8006f,0xb00001ff,0x7e40dfff,0x4c0004ff,
    0x2000ffff,0x7dc001fd,0x05f9efff,0x00ffff60,0x1be20000,0x3ffff100,
    0x037c4000,0x07fffe20,0xf0db0000,0x00fff309,0x001fd400,0x01ffffcc,
    0x3fffe800,0x013fff20,0x0fffe200,0x8001fd80,0x5feffffc,0x0ffff600,
    0x3f200000,0xfffd8002,0x0bf20005,0x17fff600,0xf0db0000,0x00fff309,
    0x0007f400,0x007fffc8,0x06fff980,0x0027ffe4,0x005ff980,0x740007f6,
    0x005fffff,0x000ffff6,0x07f80130,0x1ffff300,0x001fe000,0x007fffcc,
    0x9f0db000,0x000fff30,0x80017e60,0x003fffe8,0x00fffec0,0x4013fff2,
    0xdfb00ee9,0x000fec00,0x5ffffe88,0x0ffff600,0x201f8800,0x3a0004fb,
    0xb8003fff,0x3fa0004f,0x200003ff,0xf984f86d,0xfb00007f,0xffa80003,
    0x3e60007f,0xffc804ff,0x5ffb004f,0xd8017ee0,0x3e60001f,0x36005fff,
    0x20003fff,0x007fc06d,0x1ffff700,0x000ff800,0x03fffee0,0x7c36c000,
    0x007ff984,0x0005fa80,0x007fffb0,0x003fff60,0x4013fff2,0x9f503ffd,
    0x0017f400,0x017ffea0,0x003fffe8,0x7dc07f50,0x7fc40006,0x3ee003ff,
    0x7fc40006,0xb00003ff,0xff309f0d,0x8ded400f,0x00001ffa,0x003fffb1,
    0x001effd8,0x2009fff9,0x3fd02ffb,0x001ffc00,0x002ffe40,0x0007fffd,
    0x7f401ff1,0xffe80003,0x7fd000ff,0xfffd0000,0xdb00001f,0xfff309f0,
    0x3fffea00,0x00004fff,0x803fffb8,0x4004ffe8,0x2005fffd,0x03fa82fe,
    0x02ffff60,0x00bfb000,0x017fffe2,0x640dff70,0xd80003ff,0xc805ffff,
    0xd80003ff,0x0005ffff,0x984f86d8,0xff9007ff,0x0009ffff,0x6fff4c00,
    0x3ff2a21b,0xffe8002f,0x3b62006f,0x803fda8b,0xffffffed,0xd10002ef,
    0xfffd300b,0x9999bdff,0xffffd999,0xdfff9307,0x3ee20003,0x82dfffff,
    0x01efffc9,0xffff7100,0x40005bff,0xf984f86d,0xeeeeeeff,0x3ffffe22,
    0x70000003,0xfffffffb,0x900019df,0x01bfffff,0x05e76540,0x00000000,
    0x7fff4031,0xffffffff,0xffffffff,0x7fe40fff,0x04ffffff,0x3fffff20,
    0x90ffffff,0xffffffff,0x7ffe4009,0xffffffff,0xd85c8000,0xfffff983,
    0x5c42ffff,0x000000bc,0x35995100,0x3ffb6000,0xefffffff,0x00000005,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x99700000,0xa8000079,0x2a00cccc,0x00002ccc,0x00b33320,
    0x00180000,0xba80dcc0,0x75000000,0x0002ea01,0x00000000,0x440ee200,
    0x06e6002b,0x40000dcc,0x001ffff8,0x1ffff400,0x1fffff10,0xff500000,
    0x000001df,0x40003ee0,0x7ec1fffb,0xc800007f,0x7ff40fff,0xd7000006,
    0x00e405df,0x8dffd000,0x9804fff8,0x7fdc3fff,0x7dc0001f,0x400002ff,
    0x6404fff8,0x005fffff,0x1fffc800,0x3a000000,0x3ffa0005,0x3fffe24f,
    0x7fc00002,0x3ffe63ff,0x6400001f,0x81efffff,0x3e600006,0x3fee1fff,
    0xfffc807f,0x027fff46,0x00fff600,0x17fea000,0xff79ff30,0xe800003f,
    0x000001ff,0x8000be60,0x7f43fffd,0x400001ff,0x3e22fffe,0x00000fff,
    0x3fffbbe2,0x00d71dff,0x7fffc400,0x01bffea0,0xfb17ffee,0xf80007ff,
    0xb000004f,0x3fd801df,0x0001bfa6,0x0003ff98,0x003e4000,0x5037f660,
    0x000009fd,0xfd509fd3,0x4b800007,0x3fffffa6,0x400003ff,0xefc82efb,
    0x1dfc8801,0x0006fecc,0x0000bf50,0x2a007fc0,0x02fd882f,0x009f7000,
    0x09f00000,0x00000000,0x00000000,0x7d406400,0x0004ffff,0x00000000,
    0x76400000,0xf5000000,0xc805d003,0x5e80000f,0xa8000000,0x0000001f,
    0x00000000,0x01200000,0x00005b97,0x00000000,0x01d00000,0x01640000,
    0x02a80154,0x00034400,0x007c8000,0x00000000,0x0aca9800,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x776413e2,
    0xeeeeeeee,0x775400ee,0xeeeeeeee,0x3fb66000,0xcdffffff,0x98000000,
    0x3ba00002,0xeeeeeeee,0xeeeeeeee,0xed85eeee,0xeeeeeeee,0x4c0005ee,
    0x00000002,0x00000000,0x95000000,0xa805fddb,0x1efffffd,0xfffc9800,
    0xffc8002f,0xdba88ace,0x00002fff,0x00003e40,0x3ffffae2,0xeeeeeeee,
    0x07ffffee,0x3fffff66,0xf900001d,0x3bb60000,0xeeeeeeee,0xdddddb5e,
    0x2bdddddd,0xeeeeeeeb,0x400eeeee,0xeeeeeeea,0x3fa605ee,0x0cfffedf,
    0x0fffff40,0x07fee000,0x07ffd500,0x009ffd30,0x0bfe2000,0x3fe20000,
    0x7ec003ff,0x7fff400f,0x3e200007,0x2600002f,0x1dfffffd,0xfffffb30,
    0xfff9103b,0x001bffff,0x7ffffd44,0x87ff200c,0x00effff8,0x001ffff2,
    0x9001fe60,0x44005fff,0x0001effd,0x0037fdc0,0x3fffe800,0x400fc800,
    0x0005fffd,0x001bfee0,0x1ffffa00,0x03ffff40,0x3fffffcc,0x3fff9000,
    0x5c0ffb80,0x204fffcf,0x0006fffb,0x2a006f98,0xf0002fff,0x00001fff,
    0x000ffffc,0x1ffff400,0x2007c400,0x0005fffc,0x007fffe0,0xbfffb000,
    0x17fff600,0x3ffffd40,0x03ff9000,0xde83ff88,0x2a07fff9,0x80006fff,
    0xff1006f8,0x7dc000df,0x500004ff,0x0009ffff,0x07fffd00,0xf9007a00,
    0x200009ff,0x004ffffa,0x2fffe400,0x05fffc80,0x0bffff20,0x401ff400,
    0x97cc0ffe,0xf500fffe,0x10000dff,0x3ff600df,0x3e20002f,0x80001fff,
    0x00fffffe,0x7ffec000,0x80150003,0x0004fffc,0x1fffffd0,0x7fe40000,
    0xfff9004f,0x7ffc4009,0x5fa8006f,0xc85ffa80,0xa80fb267,0x80006fff,
    0xffb806f8,0xfc80006f,0x4c0006ff,0x03fffeef,0x7ffec000,0x32000003,
    0x80004fff,0x3fffeef9,0x3ff20000,0xfff9004f,0xfffa8009,0x3fe2004f,
    0x84ffb800,0xffa8004f,0xf880006f,0x7fffc406,0xff880003,0x320004ff,
    0x06fffbbf,0x7ffec000,0x32000003,0x80004fff,0x6fffbbfc,0x3ff20000,
    0xfff9004f,0xfffb0009,0x0ff2003f,0x261ffec0,0xffa8001f,0xf880006f,
    0x7fffd406,0xffd00001,0x3e2000df,0x05ffff17,0x7ffec000,0x800a6003,
    0x0004fffc,0xfff8bfc4,0xf900002f,0x3f2009ff,0xf88004ff,0xf9806fff,
    0x0bffa006,0x3ea000f9,0x880006ff,0x7ffe406f,0xfb00000f,0x70001fff,
    0x2fffec9f,0xfffb0000,0x001dc007,0x0009fff9,0x3ff64fb8,0xf900005f,
    0x3f2009ff,0xf50004ff,0xfe807fff,0x0fffe001,0x3ea0009f,0x880006ff,
    0x7ffec06f,0x3f200007,0xe8001fff,0x3fffe60f,0xffb00000,0x01ec007f,
    0x009fff90,0x3e60fe80,0x80000fff,0x9004fffc,0x40009fff,0x701ffffd,
    0x7fc4009f,0x0007ea4f,0x0037ffd4,0x3e037c40,0x00007fff,0x00ffffee,
    0xffd0bf50,0x3600009f,0xf5003fff,0x7ffe4007,0x17ea0004,0x0013fffa,
    0x013fff20,0x0027ffe4,0x0dffff10,0xfd000df3,0x00036cdf,0x000dfff5,
    0x7c40df10,0x00006fff,0x013fffea,0xff703fb0,0x360000ff,0xaaaacfff,
    0x3ffecbaa,0x13fff200,0xb81fd800,0x80007fff,0x9004fffc,0x80009fff,
    0x743ffffa,0xffc8002f,0x4403f89f,0x0dfff504,0x40df1000,0x005ffffa,
    0x3fffe600,0x41be6005,0x002ffff8,0xfffffd80,0xffffffff,0x3f2003ff,
    0xf30004ff,0x3fffe20d,0x7fe40002,0xfff9004f,0xffb00009,0x017ee1ff,
    0x5efffdc0,0xa816400f,0x80006fff,0x3fea06f8,0x200005ff,0x005ffff9,
    0xffc80bf2,0xfd80006f,0x99999bff,0x03ffca99,0x013fff20,0xf9017e40,
    0xc8000dff,0xf9004fff,0x100009ff,0xff1bffff,0x3fe60001,0x3c405eff,
    0x00dfff50,0x440df100,0x0006ffff,0x13fffe60,0x2603fc40,0x0001ffff,
    0x801fffec,0x3f2003f9,0xf88004ff,0x7fffcc07,0x3ff20001,0xfff9004f,
    0x3ee00009,0x002fefff,0x1fffffc0,0x7d409d10,0x880006ff,0x7fffc06f,
    0x3ea00007,0xf7002fff,0x9fffb009,0xfffd8000,0x800f6003,0x8004fffc,
    0xffd804fb,0x3f20004f,0xff9004ff,0x6c00009f,0x0005ffff,0xcfffff98,
    0x803fee60,0x0006fffa,0x7f405f98,0x200007ff,0x001ffffb,0xff5001fd,
    0x6c0001ff,0x2e003fff,0x3fff2003,0x00fe8004,0x00ffffa8,0x09fff900,
    0x013fff20,0xffff8800,0xff700001,0xffffffff,0xfffa803f,0x5f980006,
    0x07fffe40,0xfffc8000,0xcffa800f,0xcccccccc,0x003ffffc,0x00ffff60,
    0x3f200298,0x7d4004ff,0xcccccccf,0x3ffffccc,0x9fff9000,0x13fff200,
    0xffff0000,0x7ec00003,0xffffffff,0x7fff9802,0x04f98000,0x00ffffdc,
    0x6fffd800,0xfffffb00,0xffffffff,0x4000dfff,0x0003fffd,0x13fff200,
    0xfffffb00,0xffffffff,0x2000dfff,0x9004fffc,0x00009fff,0x001ffff8,
    0x3ffbf200,0x3001efff,0x0000ffff,0xff9809f5,0xd00003ff,0xf1007fff,
    0xfff8800d,0xffb0001f,0x4000007f,0x2004fffc,0x7c4006f8,0xc8001fff,
    0xf9004fff,0x800009ff,0x0001ffff,0x55d44fe0,0x7ffc4001,0x7e40000f,
    0x7fffc802,0xfff98000,0x005f9006,0x00bfffb0,0x00ffff60,0x3f201300,
    0x3f2004ff,0xfffd8002,0xfffc8005,0x9fff9004,0xfff80000,0xf500001f,
    0x7f400001,0x740003ff,0xffe8800f,0x7ec0003f,0x0ff001ff,0x3fffe600,
    0xfffd8000,0x07e20003,0x0027ffe4,0x3e6000ff,0x64000fff,0xf9004fff,
    0x800009ff,0x0001ffff,0x80000db0,0x0006fffc,0xfa801fe6,0x260007ff,
    0xf7004fff,0x7ff40009,0xffd8003f,0x1b60003f,0x004fffc8,0x740009f7,
    0x64003fff,0xf9004fff,0x800009ff,0x0001ffff,0x00003f88,0x007fffc4,
    0x4003fe80,0x0003fffd,0x2001fffb,0x2e0000ff,0x4000ffff,0x0003fffe,
    0x7fe407f5,0x01ff004f,0x7fffdc00,0x3fff2000,0x9fff9004,0xfff80000,
    0xfb80001f,0xfc800000,0x22000eff,0xd88006fd,0x6c001fff,0xf7001eff,
    0xff88000d,0x7f4003ff,0xf88003ff,0x3fff600f,0x006fb805,0x1ffffc40,
    0x09fff900,0x013fff20,0x3ffff000,0x00bd0000,0x7ffec000,0xefea801e,
    0x3fee0000,0xffe8803f,0x01ff4004,0x7ffff400,0xffff1000,0x6ffb800b,
    0x037fff40,0x40001ff4,0x000ffffe,0x200bfffb,0x0005fffd,0x0bfffe20,
    0x005f1000,0xfffc8000,0xca99acef,0x0000efff,0x1bdffe98,0x0bfff2a2,
    0x007ff900,0xbffffb00,0xffffd300,0x99999bdf,0x7ffffd99,0x7ffffe40,
    0x07ff900d,0xffffb000,0x3fffa00b,0xdfffd006,0x7fcc0000,0x5c0004ff,
    0x30000007,0xfffffff9,0x0005bfff,0xffffb700,0x019dffff,0x77ffe4c0,
    0xff710001,0xd05bffff,0xffffffff,0xffffffff,0x81ffffff,0xffffffed,
    0xf935efff,0x20003dff,0xffffffb8,0x3fff202d,0x3f200dff,0x000dffff,
    0x7ffff440,0x350000bf,0x88000000,0xabccccaa,0x10000000,0x00035995,
    0x3ffffff2,0x3f2004ff,0xffffffff,0x000000ff,0x3f200000,0x4fffffff,
    0x3ffff200,0x0fffffff,0xffffffdb,0x3b6bdfff,0xffffffff,0x3a2005ef,
    0xffffffff,0x00002eff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000a60,0x5402ea00,0xa800000b,
    0x5d440001,0x32600001,0x00cc0001,0x00d44000,0x10000550,0x91000017,
    0x00a98007,0x0012e000,0x7ff54000,0x0000003f,0xfe81fff9,0xe800006f,
    0xdfd30004,0x80003fff,0x2a0006f8,0x0003effd,0x7fffff4c,0x007e402e,
    0x01ffc980,0x801fc800,0x2dffffc8,0x01fd4000,0x6fc40000,0x0002fc89,
    0x4ffff800,0x00bfffe6,0x09de9800,0x453fe200,0x20001ffc,0xf10001fd,
    0x005f935b,0x2677ff20,0x300dffda,0xfbb0007f,0xa80003ff,0x77db004f,
    0x4000dffb,0x000006f8,0x00db0d90,0xfffb0000,0x00ffff85,0x7ffed400,
    0x402dffff,0x06ff85fe,0x0009f500,0x002ec364,0xfc827fe4,0x0017e05f,
    0x0001ffb8,0x2dc007f4,0x8001ffe4,0x000001fd,0x03f507f0,0xfe980000,
    0x003fea84,0x273ff220,0xfffebace,0xd83ffb83,0x7c4002ff,0x41fc0006,
    0x3e2000fa,0xfff100ff,0x0003f207,0x0000ffdc,0x402005f9,0xa8002ff9,
    0x0000004f,0x001ee176,0x00000000,0x3a0efe80,0x6c37fe44,0x6ffb81ff,
    0x000fec00,0x01ee17a0,0xc80bff70,0x07f306ff,0x007fee00,0x0002fcc0,
    0x440037dc,0x0000006f,0x09d10fd4,0x00000000,0x0fff2000,0xf0df709d,
    0xfff503ff,0x001fd400,0x9d10fd40,0x03ffe800,0xf807ffdc,0x3ff70005,
    0x003fa000,0x0003ba00,0x000007f2,0x3f7bfa00,0x0000001f,0x20000530,
    0x2740fff8,0x7ffc46e8,0x00fff980,0x00006f88,0x07ff77fa,0x807fff00,
    0xf901fffa,0x3ff70001,0x005f9000,0x06fed440,0x0013e600,0xfe980000,
    0x00000002,0xa80003e4,0x704e87ff,0x80fffa8d,0xd801fff9,0x5400000f,
    0xff0002ed,0xfffb805f,0x0007f300,0x98003ff7,0x7f40005f,0x2001ffff,
    0x000000ee,0x00bfe200,0xf8800000,0xfb80002f,0xa82741ff,0x407ffcc6,
    0x5c00fff9,0x0000003f,0x2fff8800,0x2037fe40,0xffb8006f,0x007f4001,
    0x6ffd9800,0x0005f900,0xffb80000,0x00000006,0x0001bfee,0x9d0fffea,
    0x3ffe1a20,0x407ffa80,0x000005f8,0xfff30000,0x03ffd805,0x2e0007e4,
    0x3ee001ff,0xfe800003,0x02fcc01f,0x7c000000,0x00001fff,0x3ffff000,
    0xfff88000,0x80813a0e,0xffa81ffe,0x0007f406,0x3372e600,0x7fd4001b,
    0x3ffe602f,0x001fcc00,0x44007fee,0x7000005f,0x0fe805ff,0x40000000,
    0x004ffffa,0xffa80000,0xe80004ff,0x013a5fff,0xf907ff90,0x017dc07f,
    0xbffd3000,0x007fffd9,0x440bffea,0xdf001efd,0x01ffb800,0x00001fb0,
    0xb803fe20,0x0000002f,0xfffffe80,0x40000000,0x00fffffe,0x7fffdc00,
    0x44004e8e,0x07ff85fe,0x800017e6,0x7d40eff9,0xffa802ff,0x27fe542f,
    0x8003f200,0xfb801ffb,0x2a000003,0x017e606f,0x26000000,0x03fffeef,
    0x3e600000,0x003fffee,0xfffffd80,0xff88004f,0xe80bff22,0xf100000f,
    0x3ff605ff,0x7ffd400f,0x3bfffe22,0x00fe6003,0x4402ffb8,0xca80006f,
    0xd007f4c2,0x0000001f,0xff77f900,0x000000df,0x7ffddfe4,0xffb00006,
    0x0001dfff,0x3dfdbfd3,0x00017e40,0x201fff50,0x5402fffa,0x6d442fff,
    0xd000ffff,0xffd5300d,0x07f6035b,0x3fffa000,0x2e00cfed,0x0000003f,
    0xff17f880,0x000005ff,0x3fe2ff10,0x880002ff,0x1ffffffd,0x03771000,
    0x5c405f98,0x7fdc01cd,0x0bffe607,0x405fff50,0x801ffffc,0x554c00fc,
    0xfa81aaaa,0xbdfd9103,0x2f32a203,0x037c400a,0x0000bf70,0x7fec9f70,
    0x8000005f,0x3fff64fb,0x3ee00005,0x003fffff,0x007f4000,0x1dfd7ffb,
    0x8817fe60,0x7d403fff,0x7fe402ff,0x03f9806f,0x41be2000,0xfffffffa,
    0x3f600003,0x0bff5001,0x41fd0000,0x000ffff9,0x307f4000,0x0001ffff,
    0x7ffff440,0x800000df,0x3bee02fc,0x1881bf20,0x01fffd40,0x200bffea,
    0xe801ffff,0x3f600006,0x98aef881,0x0001fffd,0xf3003fb8,0x80000bff,
    0xfffe85fa,0x2a000004,0x4fffe85f,0xffe80000,0x0000efff,0xfa813ea0,
    0x02ffc43f,0x3fffae20,0x7ffd403f,0x5fffc802,0x0000fc80,0x1d704fa8,
    0x0009ff90,0xd1006f88,0x0000bfdb,0xffb81fd8,0x2000007f,0xfffb81fd,
    0xde800007,0x01fffffe,0x00ef8800,0x3f607ffa,0xffc9801f,0x403fff9b,
    0x9802fffa,0xf9806fff,0x37c40003,0x3fe60350,0x0fec0004,0x5fe8ed80,
    0x1be60000,0x017fffc4,0x837cc000,0x002ffff8,0xffda7400,0x40000fff,
    0x3fe201fc,0x407ff907,0x3e22efd9,0x7fd403ff,0xffff002f,0x0001ba00,
    0x220003f9,0x2a0002ff,0x23f9004f,0x200005fe,0x3ff202fc,0xc800006f,
    0x3fff202f,0x27400006,0x009ffff7,0x26027d40,0xbff907ff,0x2217fea0,
    0x7d403fff,0xffd002ff,0x01f9001f,0x0013e600,0x20007fa8,0x5f5006f8,
    0x80002ff4,0x7fcc07f8,0x200001ff,0x7fcc07f8,0x200001ff,0x3fffdc4e,
    0x806f8800,0xff707ffb,0x207ff70d,0x5403fff8,0xfb002fff,0x0fe600ff,
    0x0007f400,0x40007fb0,0x3f9802fd,0x80002ff4,0xffd804fb,0x2e00004f,
    0xfffd804f,0x13a00004,0x0003fffa,0x3f2007f6,0x8fff706f,0x3e206ffb,
    0x7fd403ff,0xdffb002f,0x40037400,0x260002fc,0x3ea0005f,0xe85e8804,
    0xfd00005f,0xffff5001,0x3fa00001,0xffffa800,0x74013000,0x01fffc84,
    0xa801fd40,0xdff707ff,0x2203fff8,0x7d403fff,0xff9002ff,0x00fe400b,
    0x4000bf30,0x220006f8,0x06d800fe,0x50000bfd,0x999999ff,0xffff9999,
    0xff500007,0x99999999,0x07ffff99,0x84e80f20,0x2000fff9,0x3e2006f8,
    0x4bff907f,0x2203fff9,0x7d403fff,0xfd8042ff,0x0fe6003f,0x0000fe80,
    0x40001dd1,0xffa802fc,0xffffffff,0xfb0000ff,0xffffffff,0xdfffffff,
    0xfffb0000,0xffffffff,0x00dfffff,0xa84e8172,0x7ec007ff,0x07ffc001,
    0xff527fec,0x7ffcc0bf,0x97ffd403,0xffe84fe8,0x80374000,0xd10002fb,
    0x5f98000b,0xddddd500,0x1ddfffdd,0x00df1000,0x01ffff88,0x001be200,
    0x003ffff1,0x213a01f9,0x2e004ffd,0xffc8003f,0x220fff82,0xfb80ffff,
    0x2a124fff,0xfff52fff,0x8004ff88,0x2fcc01fb,0x104e9800,0x003fa005,
    0x002ff400,0x2000bf20,0x0005fffd,0x36000bf2,0xfc805fff,0xff889d05,
    0x0bf1000e,0x2a2ff400,0xfffe84ff,0xfafdb9cf,0xb84ebfff,0xfff12fff,
    0x8000efc8,0x07f403f9,0x4cefcc00,0x803faa99,0x200003fc,0x7c0005fe,
    0xfff30007,0x1fe0001f,0x7fffcc00,0x427fe400,0x07ffa24e,0x0000fe80,
    0x3ee37fa2,0xffff505f,0x3f61dfff,0xff984fff,0x23ff62ff,0x0000efd9,
    0x03fb81ba,0xfffffb80,0x400fffff,0x400005f9,0x2e0005fe,0x3fa0004f,
    0xfb8003ff,0x3ffa0004,0x7ffe403f,0xd719d0be,0x7dc003df,0xeb880003,
    0x7d403eff,0x7d43ffff,0x7ffc43ff,0x3ae22fff,0x0000ceff,0x37c40fdc,
    0x77774c00,0x04eeeeee,0x00000fe8,0xf000276c,0x7dc0001f,0x7c000fff,
    0x3ee0000f,0x64c00fff,0xfffffffe,0x198004ff,0x00880000,0x310054c0,
    0x00440000,0x10391000,0x00000013,0x00001300,0xdf700000,0xfff88000,
    0x1bee003f,0xffff1000,0x654c4007,0x00000aef,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x20000ffa,0x000ffffe,0xd00007fd,
    0x0001ffff,0x1110013a,0x11111111,0x11111111,0x44441111,0x88888888,
    0x88888888,0x00000888,0x00000000,0x00000000,0x00000000,0x003ffc80,
    0x5ffffd80,0x003ffc80,0x5ffffd80,0x4009d000,0xfffffffa,0xffffffff,
    0x7fffffff,0xfffffff5,0xffffffff,0xffffffff,0x00000000,0x00000000,
    0x00000000,0x64c00000,0x0001efff,0xffffff71,0xfff9305b,0x2e20003d,
    0x2dffffff,0x3000d400,0xdddddddd,0xdddddddd,0x2bdddddd,0xddddddd9,
    0xdddddddd,0x5ddddddd,0x00000000,0x00000000,0x00000000,0xff900000,
    0x09ffffff,0x7ffffe40,0x90ffffff,0xffffffff,0x7ffe4009,0xffffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x4406a000,0x9500000b,0xa9800003,0x048801ac,
    0x01666540,0x19999300,0xcccc8000,0x99900000,0xccc80079,0x6dc4003c,
    0x05400001,0x00005100,0x00000010,0x3f2617d4,0xf880001f,0xec980006,
    0xefffffff,0x000fe883,0x01fffff1,0x1fffec00,0xffff7000,0xff30000b,
    0xf98001ff,0x7ec007ff,0x4c0001ff,0xda801ffc,0xb800007f,0x006cc01e,
    0xfdd8fb00,0xd80001ff,0x7e40001f,0xb7309aef,0x17ec5dff,0xfffff900,
    0xffe8000b,0xfff10006,0x80003fff,0x0001fffc,0x2003fff7,0x003ffff8,
    0x3ffffb50,0x3fffee20,0xf7000007,0x0dfd8819,0x20bf1000,0x40001ffb,
    0x260003fa,0xf9803ffe,0x003fcdff,0x3feb3fe6,0x3e20001f,0xfc8000ff,
    0x006ffd9f,0x0017ff40,0x8013ff20,0x8001fffe,0x1ffffddb,0xffffd9b0,
    0x7d400000,0x02efc8af,0xb817d400,0x220001ff,0x3ee0006f,0x3a2001ff,
    0x6c005fff,0x01bfa63f,0x007ff300,0x3ee0ef98,0xff10002f,0x3f600007,
    0x0fb66006,0x3fff6000,0x3fffc401,0x3e600000,0x00003fff,0x0ffdc0fb,
    0x003fb000,0x00fffee0,0x03bffa20,0x6c417d40,0x7d40002f,0x4076c005,
    0xb8000ffa,0x7400004f,0x0000001f,0x003fff70,0x0000fffd,0x06fffa80,
    0x40bf1000,0x50001ffb,0x3e20009f,0x88000fff,0xd004fffe,0x000fb805,
    0xa8007dc0,0x013a200e,0x00001760,0x00000fe2,0x0fffd400,0x003ffec0,
    0xcdfe9800,0xa80005ff,0x07fee02f,0x001be200,0x003fffd8,0x3fffdfb0,
    0x55002a80,0x00590000,0x00640032,0x00001d10,0x00001660,0x0fffd400,
    0x003ffec0,0x877f6200,0x40005ffe,0x0ffdc07d,0x000fec00,0x006fffb8,
    0xfff77f90,0x0000001d,0x00000000,0x00000000,0x00000000,0x003fff50,
    0x0000fffb,0xff982eb8,0x9f10005f,0x001ffb80,0x880027d4,0x8003ffff,
    0xffff15fa,0x00000009,0x00000000,0x00000000,0x00000000,0xb003fff5,
    0x00000fff,0x03fffc80,0x5c02fa80,0x3a2001ff,0xff70000e,0xf98005ff,
    0x03ffff46,0x0157b930,0x6edd4400,0x65cc002b,0x30001bcd,0x00379b97,
    0x2f372e60,0x00000001,0xb003fff5,0x00000fff,0x01fffd00,0xfb807d80,
    0x0bf2001f,0xffffc800,0x03fe2001,0x401ffff9,0xffedffda,0x7dc000ef,
    0x1effffef,0x66fff4c0,0x3003fffe,0xffd9bffd,0x3fa6007f,0x3fffecdf,
    0xca880000,0x3fff52cd,0x30fffb00,0x400037b7,0xff9abca8,0x13e2005f,
    0x4007fee0,0x740005f9,0x74007fff,0xffffb81f,0x883ff901,0x8801fffd,
    0x7ff4c3fd,0x1dff303f,0x402fffa8,0x7d40eff9,0x7fcc02ff,0x17ffd40e,
    0xefe98000,0xffbeffdd,0x7ffd801f,0x3fffffe6,0x3fa6000e,0xffeeffef,
    0x05f7002f,0x2003ff70,0x7c0000fe,0x32007fff,0xffff703f,0x405ffb07,
    0x7402fffd,0xffff101f,0x02fff883,0x2201fffb,0xffb02fff,0x3ffe201f,
    0x01fffb02,0x83ff9800,0x01fffffc,0xff37ffd8,0x3fffffff,0x985ff700,
    0x006ffffe,0x3fee00fb,0x002fc802,0x37fffc40,0x2a05fb80,0x7d44ffff,
    0x7ffc404f,0x809f700f,0x7d46fffa,0xfff500ff,0x03ffea05,0xa817ffd4,
    0xff500fff,0x7d40005f,0x3fff203f,0xfffd801f,0xfecacef9,0x3200ffff,
    0xffd100ff,0x4f8803ff,0x6fff54c0,0x00bf301a,0xbffff500,0x980df300,
    0x3e26ffff,0xffc801ff,0x01ff884f,0x70ffffc4,0x7fcc0fff,0x0fff702f,
    0xb817ffcc,0x3fe607ff,0xff10002f,0x3ffff00d,0x7ffffb00,0x13ffff20,
    0x22027fcc,0x5c04ffff,0x5554c01f,0x1fd01aaa,0x2617ee00,0x4405ffff,
    0x7fcc00ff,0x1ffea6ff,0x0ffffc40,0x7fc01ff2,0x17fe63ff,0x303fff88,
    0x7fc40bff,0x0bff303f,0x301fffc4,0x00bff601,0x2007fff6,0x6401fffd,
    0xfe80ffff,0xfffc800f,0x001f600f,0x400bee00,0xff885ffa,0x0ff406ff,
    0x2ffffcc0,0x6c00dff9,0x7fec3fff,0xeeeeeeee,0x444ffffe,0x1fffd401,
    0xffa80310,0x5006203f,0xfd107fff,0x3ffcc19f,0x01fffa80,0xf007ffd8,
    0xffb87fff,0xffff3006,0x0013e205,0x200bf300,0xfd05fff9,0x1fec0dff,
    0x4ffffa80,0xb8017ffa,0x77fc4fff,0xaaaaaaaa,0x001aaaaa,0x7ffffd71,
    0xffd71000,0x710007ff,0x707ffffd,0x7ecdffff,0xfff5006f,0x0fffb003,
    0xd13ffee0,0x7f400bff,0x03f703ff,0x00fe8000,0x05fede88,0x2e0ffffb,
    0x3fea004f,0x9fff13ff,0x37ffd400,0x0000fff1,0x26fff260,0x26003fff,
    0xfff9bffc,0x3ff26003,0xd83fff9b,0xff2fffff,0x3fea00bf,0x7ffd801f,
    0x8bfff100,0x32004fff,0x0fb04fff,0x03fb8000,0x0bfd1db0,0x503ffff2,
    0xffb800df,0xbfff31ff,0x3fffcc00,0x0001fff3,0x1177ecc0,0xb3007fff,
    0x7ffc45df,0x2efd9803,0x2a0fffe2,0xf8cfffff,0xff5004ff,0xfffb003f,
    0x137ffc00,0x5c009fff,0x4f885fff,0x1be20000,0x5fe8fe40,0x45ffff50,
    0x6c000ff8,0x3fea6fff,0x3fe2006f,0x07ffe65f,0x2ffd4000,0x201fffc4,
    0xff885ffa,0x2ffd403f,0x981fffc4,0xff9cf9ac,0xfff5004f,0x0fffb003,
    0xf53fff40,0x7d400bff,0x01fb86ff,0x007f6000,0x05fe8bea,0x229ffff1,
    0xff8001fe,0x3ffe64ff,0x3ffe2007,0x00bffe23,0x40ffee00,0x2e03fff8,
    0xfff103ff,0x81ffdc07,0xa803fff8,0x05fffbbf,0x003fff50,0x7400fffb,
    0x3ffee5ff,0x3ffe6006,0x00007e85,0x3e600fea,0xf702ff43,0x00bf6fff,
    0x83fffea0,0x000ffff8,0xff83fff3,0x7144006f,0x7fc40dff,0x0dff703f,
    0xb81fffc4,0x3fe206ff,0xa9fd803f,0xf5006fff,0xffb003ff,0x27ffc00f,
    0x400ffff3,0x7c43fff9,0xdf100004,0xfd0bd100,0xdfffd80b,0xffd0004f,
    0x7ffff07f,0x03ffe600,0x4007fffd,0x80fffe3c,0xff03fff8,0x7ffc407f,
    0x407fff03,0x4403fff8,0x0ffff34f,0x00bffea0,0xf801fff6,0x3ffe22ff,
    0xfff3000f,0x0001fb83,0xdb003fb0,0xf1017fa0,0x2000bfff,0xf706fffa,
    0x3ea00dff,0xffffc86f,0xf30f8800,0x7fc407ff,0x3fff983f,0x20fffe20,
    0x2203fff9,0x36203fff,0x3ffff10e,0x05fff500,0x200fffb0,0x7fc1fff8,
    0xff5002ff,0x0000fd0f,0x3ea013ea,0xffffffff,0xff700fff,0x3fa0007f,
    0x3ffe00ef,0x2ffd801f,0x2fffff88,0xffa9ba20,0x3ffe605f,0x05fffa83,
    0x2a0fffe6,0x3e605fff,0x1bf503ff,0x805fffe8,0xd802fffa,0xff5007ff,
    0x09fffb0b,0xf11bfee0,0xdf100009,0x3bbbaa00,0xeefffeee,0x5ffff100,
    0x0effc800,0x077ffdc0,0x5c0bff10,0x8acfffff,0x221ffda8,0xfb80ffff,
    0x7c524fff,0xffb80fff,0x7fc524ff,0xfffb80ff,0x81f6524f,0x401ffffa,
    0xd802fffa,0xffd007ff,0x1ffff101,0xb85ffb00,0xfc80001f,0xbfd00001,
    0xfffbfd00,0xbffd1005,0x3fff2001,0x003bf605,0xfffffffd,0xfd07ffff,
    0xfb739fff,0x9d7ffff5,0x4e7ffff4,0xffffafdb,0x3fffa4eb,0xfafdb9cf,
    0x034ebfff,0x03ffffd0,0x4027ffec,0xfa807ffd,0x3ffee02f,0x42ffc405,
    0xfa80007e,0x3fa00004,0xd99fe405,0x510acfff,0x0005dff7,0x115bfff7,
    0x1001dfd3,0xfffffffb,0x3fea09ff,0xb0efffff,0xfa89ffff,0x0effffff,
    0xa89ffffb,0xefffffff,0x09ffffb0,0xfffff980,0x3fffa60b,0xfb02baff,
    0x3ea01bff,0xfffd804f,0x103bf604,0xe880009f,0x3a00000f,0x217ee05f,
    0xffffffd9,0x40004eff,0xffffffea,0xffb8003e,0x401fffff,0x43fffffa,
    0xf503fffa,0xfa87ffff,0xfff503ff,0xfffa87ff,0xfff30003,0x59ffdfff,
    0x039fffff,0x2fffff62,0x005ff731,0x85f7ffe4,0xfb80efe9,0x17e40001,
    0x13b60000,0xba980598,0x000009bc,0x001acb98,0x01aca980,0x310054c0,
    0x8802a600,0x40153001,0xd8800018,0x52ffffff,0x20017dff,0xffffffd9,
    0xe98000df,0x3effffff,0x200012e0,0x00000019,0x00000000,0x00000000,
    0x00000000,0x00000000,0xca880000,0x000e4c1b,0x006f2a60,0x565d4400,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x1e665c00,0x99500000,0x30000199,0x99100003,
    0x95000099,0x22000999,0x0025c02c,0x002cccc8,0x02cccb80,0x2cccc800,
    0xa9800000,0x000001bc,0x0001aa88,0x03fffcc0,0xfffd0000,0xffd00005,
    0xffd8000b,0x7c0003ff,0x50002fff,0x006f807f,0x00efffa8,0x7fffcc00,
    0xffa80006,0x2000006f,0xefffffea,0xd9800001,0x004fffff,0x0bffea00,
    0x3fe20000,0xf980004f,0x30001fff,0x01ffffff,0x0fffe600,0x201fb800,
    0xfc8004f8,0xe80000ff,0x003fffff,0x01fffb80,0xdffd8000,0x02ffea89,
    0x3bfea000,0x001dfb52,0x013ff200,0x17fee000,0x7ffcc000,0xdfd0000f,
    0x0009ffd3,0x00013ff2,0x1fd401fb,0x00fffc00,0x657fd400,0x80000fff,
    0x00003ffd,0xfd82ffdc,0xfa80000f,0x01dfb04f,0x01ff6000,0x01bf6000,
    0x0bffb000,0xd83bea00,0xfe8001ff,0x06e80005,0x26000fe4,0xd00002ff,
    0x02ffd45f,0x006fe800,0x0bffe600,0x00017fd4,0x4403ffe6,0x200005ff,
    0x200001fe,0x00000ef8,0x3a000098,0x800df705,0x40000ef8,0x07ec05f8,
    0x000ff200,0x7440fdc0,0xe880001f,0xf700000f,0x03ff80ff,0x01ffec00,
    0x00007ff6,0x00001f44,0x000003f5,0x80b70000,0x3ee002f9,0x3f980000,
    0x740037c0,0x3d100005,0x00006d80,0x200005f3,0x3e206ffd,0x3e60003f,
    0x7fd400ff,0x1a600005,0x002d8000,0x90000000,0xd8012200,0x5f700001,
    0x20027cc0,0x2e000068,0x00037001,0x40001660,0x3e607fff,0x3fa0001f,
    0xfff8806f,0x00000001,0x00000000,0x00000053,0x40000000,0x0fea00fd,
    0x00000000,0x00000000,0x3fffa000,0x000dfb00,0x8027ffc4,0x00005fff,
    0x00000000,0x00057000,0x00000000,0x3203f400,0x0000001f,0x00000000,
    0xfd800000,0x1ffb83ff,0x3ffea000,0x1fffb003,0x33333330,0x26666620,
    0x33333301,0x26666203,0x03b00019,0xddba8800,0xba88002b,0x32202bdd,
    0xcffccccc,0xfecccccc,0x93003ccc,0x3300157b,0x22033333,0x00199999,
    0x0157b930,0xdfff9000,0x0002ffb8,0x8017ffec,0xec81fffc,0xb80fffff,
    0x80fffffe,0x0fffffec,0xfffffeb8,0x000e8000,0x3ffbfee0,0xf7001eff,
    0x3dffffdf,0xffffff10,0xffffffff,0x0bffffff,0x7f6ffed4,0x3b200eff,
    0xb80fffff,0x00fffffe,0xfdbffb50,0x40001dff,0xd99ffff9,0x4cccc1ef,
    0xff819999,0xff7002ff,0x7ffcc05f,0x3ffe200f,0x3ffe600f,0x3ffe200f,
    0x03cc000f,0x4c3fd880,0x2203fffe,0x7ff4c3fd,0x9999983f,0x99999afd,
    0x0999dfa9,0xd883ff90,0x7cc01fff,0x3e200fff,0xfc800fff,0x7ffec41f,
    0x3ffa0001,0xfb03ffef,0x1dffffff,0x001ffff8,0xd807fff7,0x7f400fff,
    0x7fec00ff,0x7fff400f,0x002ec000,0xff101fe8,0x07fa03ff,0x00ffffc4,
    0x5f5007ec,0x405ffb00,0x6c02fffd,0x7f400fff,0x7fec00ff,0x0bfff602,
    0x7fffdc00,0x7ffdc00d,0xfff880bf,0xfff7001f,0x0fffc809,0x007ffe40,
    0x9003fff2,0x5c001fff,0x4fb8002f,0x437ffd40,0x7fd404fb,0x406f806f,
    0x7fd401fc,0x7fffc404,0x03fff200,0x401fff90,0x7c404ffa,0xc8000fff,
    0x8806ffff,0x3e604fff,0xf5000fff,0xffb80bff,0x7ffdc00f,0x07ffdc00,
    0x003ffee0,0x440037cc,0x7fc401ff,0x07fe21ff,0x03ffff10,0x1fa027cc,
    0x003fff10,0x5c09fff9,0x7dc00fff,0xfff100ff,0x9fff9003,0x7fff4c00,
    0xff803fff,0x3fffcc06,0x0dfff500,0x400fffb8,0x5c00fffb,0x7dc00fff,
    0xff8800ff,0x07fc8003,0x647ffff0,0xffff007f,0x201fd407,0x3ffd406f,
    0x1ffff880,0x801fff70,0xf500fffb,0x3fe200ff,0x7e4401ff,0xfffff8cf,
    0x007fe600,0x400ffff5,0x5c06fffa,0x7dc00fff,0x7fdc00ff,0x7ffdc00f,
    0x007fe800,0xddddffb0,0xfffddddd,0x777fec9f,0xfeeeeeee,0x3f204fff,
    0x9013e601,0x7ec00dff,0xfff703ff,0x0fffb801,0x400dff90,0x2203fffd,
    0x3fee3ffe,0x17f205ff,0x01fffe60,0x406fffb8,0x5c00fffb,0x7dc00fff,
    0x7fdc00ff,0x27fe400f,0xaaeff800,0xaaaaaaaa,0x3bfe1aaa,0xaaaaaaaa,
    0x201aaaaa,0x0bee00fd,0x400bffd0,0xf704fffb,0xffb801ff,0x0bffd00f,
    0x827ffdc0,0xff82fff8,0x1fd02fff,0x0ffff100,0x02fffdc0,0x7003ffee,
    0xfb801fff,0x7fdc00ff,0x3ffea00f,0x7ff88000,0x3ffc4000,0x4cccc000,
    0x999999ef,0x9999afd9,0x009fff10,0xb837ffd4,0x7dc00fff,0xfff880ff,
    0x3ffea004,0x02fff886,0x81fffff7,0x3fe002fb,0xff7000ff,0xfffb80bf,
    0x07ffdc00,0x003ffee0,0x7401fff7,0xf30006ff,0x4c0001ff,0x20000fff,
    0xfffffff8,0xffffffff,0xf35fffff,0x7cc00bff,0xfff707ff,0x0fffb801,
    0x005fff98,0x3a1fffe6,0x3fa00fff,0x17e24fff,0x01fffd00,0x013fff20,
    0xb801fff7,0x7dc00fff,0x7fdc00ff,0x7fff500f,0x3ffe6000,0x3fe60001,
    0x3220001f,0xcccdfdcc,0xccefcccc,0xfff53ccc,0x7ffc400d,0x01fff705,
    0xa80fffb8,0x22006fff,0x7fd45fff,0x7ffcc05f,0x001fd2ff,0x001fffd8,
    0xb805fffb,0x7dc00fff,0x7fdc00ff,0x7ffdc00f,0x03fff900,0x3e20cea8,
    0x220002ff,0x00002fff,0x4f9807f2,0x03fffcc0,0x207fff10,0x5c00fffb,
    0xff980fff,0x3fe2007f,0x17fff43f,0x77fffdc0,0xfb8002fc,0xffd002ff,
    0x1fff700f,0x00fffb80,0x2007ffdc,0xfb00fffb,0xffe801ff,0x0037ffc4,
    0x06fff8a2,0x0fd81440,0xf100bee0,0x26001fff,0xff701fff,0xfffb801f,
    0x0ffff880,0x83fff300,0xd001ffff,0x00bfffff,0x013ffe20,0x5c02fffc,
    0x7dc00fff,0x7fdc00ff,0x7ffdc00f,0x00ffff00,0xffe8dffd,0xe8f2003f,
    0x32003fff,0xfc80df03,0x3ffff800,0x01fff300,0x7003ffee,0x3fe01fff,
    0xff3003ff,0x7fffcc1f,0xffff1003,0x7ec0009f,0xfff9806f,0x1fffa803,
    0x007ffdc0,0x7007ffea,0x3fa01fff,0x7fdc00ff,0x3ffff20f,0x320f8800,
    0x8800ffff,0x404f980f,0xfff7007e,0x1bfea00d,0x401fffa8,0xf700fffb,
    0x3ea00dff,0x7fffcc6f,0x3ffea005,0x43a803ff,0x5400fffa,0xff3007ff,
    0x7ff4c05f,0x7ffcc01f,0x3fffa602,0x03fff901,0x7c46ff88,0x2202ffff,
    0x7fffc46e,0x41ba202f,0x02fc03fa,0x003ffff0,0x7cc05ffb,0x3fa602ff,
    0x3ffe01ff,0x2ffd801f,0x01fffff8,0xffffff70,0xfe82e809,0x1ffec02f,
    0x06fff880,0x05fffbf5,0x506fff88,0x205fffbf,0xe804fffa,0xffffb84f,
    0xfda88acf,0xffffb81f,0xfda88acf,0x403f901f,0x3ee004f9,0x3e200eff,
    0x7ffc405f,0xfffbf506,0x77ffdc05,0x417fe200,0x01effffe,0x3ff3bf62,
    0x260aefff,0x0dff107d,0x20037fc4,0xa9befffd,0xefffbafd,0xfffb01ba,
    0x75fb537d,0x8375dfff,0x2601fffd,0xfffd00ff,0xffffffff,0x7ffff407,
    0x3fffffff,0x5f501f60,0x5fffc800,0x2003bf60,0xa9befffd,0xefffbafd,
    0xfffc81ba,0x403bf605,0xbffffff8,0x4bff9511,0xfffffffb,0x2603ffee,
    0x1dfd03ff,0xffff8800,0xff72ffff,0x22017fff,0xffffffff,0x7fffff72,
    0x2fffe881,0x2201fe98,0xfffffffd,0x7ec404ff,0xffffffff,0x32037c04,
    0xffb8000f,0xfe988adf,0xfff1000e,0x2e5fffff,0x00bfffff,0x115bfff7,
    0xa801dfd3,0xffffffff,0xf983ffff,0xffffffff,0x0bffa805,0x0001dfd5,
    0x3bffffaa,0x00b7fee0,0x77ffff54,0x00b7fee0,0x377bffee,0xf7000dff,
    0x03ffffff,0x7ffffdc0,0x27cc01ff,0xa8001fa0,0xeffffffe,0xffea8003,
    0x3fee0eff,0xffd5002d,0x007dffff,0x7ffffec4,0x2200ceff,0x4ffffffd,
    0x3fff6a00,0x300003ff,0x03950157,0x202ae600,0x544001ca,0x001acdcb,
    0x00359530,0x00d654c0,0x1e401c98,0xacb98000,0xab980001,0x0001ca80,
    0x0006b2e6,0x09bcba88,0x0acca800,0x026ea000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x54c40000,0x7101abcb,0x654c0000,0x5400000a,0x01880000,0x01555300,
    0x15775300,0x5654c000,0x00005100,0x0000ca98,0x13597531,0x22000000,
    0x201abca9,0x0000c00b,0xffffea80,0x0adfffff,0x6cc000b5,0xfffffffe,
    0xc88000cd,0x730002ff,0x003dfffd,0xdffffff5,0xbdff5003,0x2007ffff,
    0xffffffc8,0x00b90bde,0xdffeca80,0x7ed4000b,0xefffeeff,0x4400000b,
    0xffffffeb,0x07e21cff,0x0007ff44,0xdffffb80,0xff95311b,0x2000dfbf,
    0x88aceffc,0x02fffdba,0x5ffffb50,0x957fd000,0x6c07ffff,0xffffffff,
    0x15fd103f,0x00dfffb8,0x26b3ffea,0xffffffda,0xffd50005,0x3ee00037,
    0xf73009df,0x880001bf,0x09adfffc,0xd9dff753,0x3ffee05f,0xffd80004,
    0xffb1002f,0xfea800ff,0xffe9803f,0x7fe6d404,0x7ec002ff,0x07fffd41,
    0x76677fec,0xd81fffff,0x3ffe603f,0x01dff306,0x02ffffcc,0x00f7fe40,
    0x00bfe880,0x0017f540,0x01dffe98,0x2ffffc88,0x007fff70,0x17fff440,
    0x03ffdc00,0x005fff90,0x00f7fec4,0x0017ffe4,0x3fee09f9,0x4067dc3f,
    0x546ffffa,0xfffc807f,0x007ff443,0x002fffcc,0x0009ffd1,0x000077d4,
    0xf50013f2,0xf5000bff,0x6fec07ff,0xfff10000,0x7e40003f,0xfffa800f,
    0xffff0002,0x2fffa801,0x407ff500,0x13e20efc,0x41ffff50,0x7cc01ffd,
    0x27fe46ff,0x00bfd100,0x0013ffe2,0x00004fa8,0x7d4013ea,0x2e0005ff,
    0x000003ff,0x000fffec,0x22007f40,0x20006fff,0x5404fffb,0xf9002fff,
    0x4b80805f,0x43fffb00,0xff803ffe,0x0bffa0ff,0x100bf500,0x4000bffd,
    0x999934f8,0x03579999,0x7c402f98,0x40000fff,0x000004fc,0x0017ffee,
    0x3600fcc0,0x20002fff,0x201ffff8,0xb002fffa,0x000005ff,0x360fffb8,
    0xffe806ff,0x013ffe0f,0xfd00bf10,0x740001ff,0x3fffee26,0x2effecac,
    0xfd803ee0,0x880003ff,0x3000004f,0x0003ffff,0xff701740,0xf90000df,
    0x7fd40dff,0x5fff002f,0xfa800000,0x07ffdc5f,0xf89fffe0,0x5e8007ff,
    0x017ffe40,0xf701f700,0x5fff70bf,0xffa82ec0,0x3600007f,0xfb000005,
    0x80000dff,0xffff102a,0xff100007,0x3fe609ff,0xfff8802f,0x5c000002,
    0x2fec43ff,0xd17ffe20,0xb8009fff,0x17ffe605,0x2e09d000,0xfffd05ff,
    0x3a07e601,0x00005fff,0x20000166,0x002ffff8,0x3fea0000,0xd00001ff,
    0x3e60dfff,0xff9802ff,0x4000001f,0x200205fd,0x7e43fff9,0x22005fff,
    0x0bfff604,0x700f9800,0x3fee0bff,0xf313a02f,0x00005fff,0xb8000038,
    0x0000ffff,0x3fff2000,0xfb00000f,0xff301fff,0x2e66605f,0x9999bfff,
    0xdf100000,0xfff90000,0xfffffa81,0x7d40001e,0x6c0007ff,0x417fee05,
    0x2a03fff8,0x07fffe47,0x2a000000,0x3ffa001d,0x0000007f,0x003fffec,
    0x3ffff900,0x305fff30,0xffffffff,0x0007ffff,0x0001dd10,0x903fff88,
    0x1bffffff,0x3fff6000,0x59db9514,0xf7017c01,0x3ffe60bf,0xffd17c00,
    0x000000ff,0x00bfff26,0x006ffff8,0x7ffc0000,0x2e00007f,0xf983ffff,
    0xaaa882ff,0xaaacfffc,0x7440001a,0x640000cf,0x7fec05ff,0x003fffff,
    0x5cffffc4,0xefffffff,0x2e01f881,0xbff905ff,0x7ffc7d00,0x4000006f,
    0x2fffffe9,0xbffff100,0x2aaa6000,0x2aaaaaaa,0x00dffff1,0x7fffd400,
    0x02fff984,0x001fffa8,0x3ffae200,0xf10003ff,0xfd8801df,0x2effffff,
    0xfffff500,0xffb7115d,0x00f985ff,0x3f217fee,0x14d801ff,0x000dffff,
    0xfe999800,0xff3002ff,0x2a000bff,0xffffffed,0xffff54df,0x7cc0000b,
    0xff985fff,0xfffa802f,0xfd880001,0x3fffffff,0x00ffc800,0x3ffffee0,
    0x6401dfff,0x3602efff,0x1ea0ffff,0x955dff70,0x20019ffd,0xbffff35c,
    0x5c000000,0xf5002fff,0x0000bfff,0x83fffff7,0x005ffffa,0x3fffe600,
    0x02fff985,0x001fffa8,0xffd95300,0x4005ffff,0x88001ff8,0xfffffffd,
    0x3fff603f,0x5fffe803,0xdff701ea,0x000dffb9,0x3fffeab9,0x20000005,
    0x3002fffa,0x000dffff,0x21bfffa0,0x006ffff8,0x3fffe600,0x02fff984,
    0x001fffa8,0xfffd3000,0x1fdc00df,0x3ffaa000,0xd05fffff,0xf5005fff,
    0x03e63fff,0x3fa5ffb8,0x9a6c003f,0x0005ffff,0x3ffea000,0xffff1002,
    0x3f60000f,0xffff05ff,0x7d40000f,0xff982fff,0xfffa802f,0x5c000001,
    0xd002ffff,0x7dc0000b,0x84ffffff,0xf002ffff,0x07e27fff,0x3e65ffb8,
    0x4fa001ff,0x006ffff8,0x3fe60000,0x3ffe002f,0xfb00007f,0x3ffa09ff,
    0x2e00007f,0xf981ffff,0xffa802ff,0x8000001f,0x9804fffd,0x4400000f,
    0x3ffffffc,0x800ffffc,0x0be4fffc,0x7dc5ffb8,0xf8be006f,0x00006fff,
    0x0bffe600,0x2ffffd80,0xfffc8000,0x1ffff904,0x3ff20000,0xfff980ff,
    0x1fffa802,0xf9800000,0x05a805ff,0x3fa60000,0x7ff47fff,0xfff5000f,
    0xff702ecb,0x009ffb0b,0x7ffec1f5,0x20000007,0x2002fff9,0x005ffffc,
    0x04fffc80,0x003ffff7,0x1bfff600,0x4017ffcc,0x0001fffa,0x0bfff000,
    0x01c00770,0x7ffff440,0x007fff21,0xf52fffcc,0x217fee01,0x6c02fff8,
    0x17fffe45,0xf9800000,0x3e2002ff,0x80007fff,0xf304fffc,0x00007fff,
    0x4c0ffffa,0xfa802fff,0x000001ff,0x9009ffb0,0x00074005,0x71ffffcc,
    0x22005fff,0x81fc4fff,0xff305ffb,0x307e201f,0x0009ffff,0x3ffe6000,
    0x7ffdc002,0x7e40002f,0x3ff204ff,0xf980007f,0x3fe606ff,0xfffa802f,
    0x70000001,0x01d005ff,0xc8001740,0x3fe64fff,0xfff1004f,0xfc80fb85,
    0x3bff206f,0xffb06d80,0x880000df,0x02fff980,0x0ffffe80,0x3fff2000,
    0x3fffa204,0x7fec0003,0x3ffe601f,0x1fffa802,0xf9000000,0xd000003f,
    0x3fea000b,0x17ffe23f,0x40fffcc0,0x3ffee65e,0xffe80acf,0x4c07ee2e,
    0x0003ffff,0xff303d10,0xff50005f,0x640009ff,0x7d404fff,0x260007ff,
    0x7cc04fff,0xffa802ff,0x0000001f,0x00000bfb,0x2a0003fa,0x7fe41fff,
    0x5ffa800f,0x332e7f10,0x881ccccc,0x07f34ccc,0x00ffffd8,0xf303d800,
    0x320005ff,0x0002ffff,0xb009fff9,0x20007fff,0x4c00fffd,0xfa802fff,
    0x000001ff,0x3000ff98,0x005fe800,0xfd07ffb8,0x3ff9009f,0x0001fd40,
    0xd100bd30,0x0001dfff,0xfff302e4,0x7fe40005,0xfc8002ff,0xfd8804ff,
    0x7ec001ff,0xffa801ef,0xfffa802f,0x00350002,0x3a200ffa,0xffd002ff,
    0x3fe2001b,0x3fff302f,0x402ffc40,0x40000dfb,0xf1000dfb,0x0003dfff,
    0x7fcc01db,0x7dc0002f,0x1000cfff,0x4009fffd,0x8803fffb,0x2a004ffe,
    0xfa803fff,0xfe8002ff,0x7fd102ef,0x1bffee00,0x077fff40,0x013ffa20,
    0x7ec0bff9,0x0bba6005,0x00ff6600,0x3ffffa60,0x0de9800c,0x01fffd40,
    0x7ffec400,0xfd9881cf,0x4000beff,0x21bdffe9,0x02fffca8,0x027ffdc0,
    0x0027ffe4,0x67fffff4,0x000efdbb,0x401ffff2,0xcefffffe,0xfffc988a,
    0x39ffb004,0x40027ec4,0x200cffc8,0x001efea8,0x7ffffe40,0xecaa9acd,
    0xfff7004f,0x64c00009,0xfeeffffe,0x001dffff,0xffffdb80,0x00ceffff,
    0x7ffff440,0x3fffee00,0x3e6000bf,0xdfffffff,0xfff98003,0x2e65d004,
    0xfffffffe,0x7d4000df,0x03dfeeff,0x7ff5c400,0xcfffedde,0x32600001,
    0xffffffff,0xd1000cff,0x0001ffff,0x99955100,0x00003357,0x0d665440,
    0xffff9800,0xd13fffff,0xffffffff,0x55400bdf,0x800009bb,0x40e001b8,
    0x0abccca8,0x0dd4c000,0xba980000,0x0001abcc,0xccba9800,0x3e6001ab,
    0xffffffff,0x00000002,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2ea62000,0x5440001a,0x1000001a,
    0x01359753,0x000a8000,0x0002a000,0x2aa60000,0xeee98000,0x1eeeeeee,
    0x4039db50,0x32a00004,0xdddd7004,0xdddddddd,0x0a607ddd,0x6dc40198,
    0x77fec402,0x2003fffe,0xfffffec8,0xda80000d,0xfffeefff,0x910000be,
    0x800005ff,0x0002ffc9,0xfdfb5000,0x740019ff,0xffffffff,0xffff907f,
    0x000d01bf,0x401ffe20,0xffffffff,0xffffffff,0xd86ffc82,0x3ff205ff,
    0x09ff702f,0x8801dfd3,0xffb30cfe,0x3ee0003d,0xf73009df,0x36a001bf,
    0x0002ffff,0x5ffffb50,0xf7000000,0x006ffa89,0xfffffff3,0xff307fff,
    0x19ffffff,0x7400016e,0xffa807ff,0xffffffff,0x80ffffff,0x3e62ffff,
    0xfff00fff,0x05ff50bf,0xf300efe8,0x3ffe607f,0x2ffa2002,0x17f54000,
    0x3fff36a0,0xdb80002f,0x002ffffd,0x82fd4000,0xfd803ffe,0xeeeeeeee,
    0x3ee4c80e,0x3fffffff,0xfffb8000,0xeeffe807,0xcccccccd,0xfff05ffc,
    0x7fffc45f,0x87fffb00,0xf9804ff8,0x05ff884f,0xa8037fe4,0x640000ef,
    0xfff9004f,0xfd800005,0x000002ff,0x7dc07fe6,0x027cc05f,0xfc881b00,
    0x0004ffff,0x07ffff98,0x3000ffcc,0x3fea05ff,0x204ffc85,0x7dc0cfd9,
    0x0fff002f,0xf8803ff9,0x27d403ff,0x09f50000,0x005fff50,0x2fffb800,
    0x3fa00000,0x013fea07,0x240001fb,0x005bb910,0x3ff7fa00,0x000fe407,
    0x01003fee,0x36000044,0xffd002ff,0x803ffc43,0xf100fffc,0x7ee54409,
    0x27a8adff,0x7fd402f9,0x5400002f,0x00002fff,0xa80dff10,0x013e600c,
    0x00000000,0xfff95f90,0xe8001f80,0x0000005f,0x004ffe80,0x7fe41fff,
    0x9fff3006,0xefb81ba0,0x3ffee61b,0xf3007dc7,0x800005ff,0x0002fffa,
    0x00dff300,0x0001fb00,0x40000000,0x0fff95fa,0xff880018,0x00000002,
    0x9806ffd8,0x2fff45ff,0x70ffff00,0x09fd301f,0x5d87fe88,0x00bffe60,
    0x5fff5000,0x3ee00000,0x7cc0006f,0x0000adff,0x22000000,0x0fff90ef,
    0x1ff70000,0x00000000,0xb809fff5,0x2fffc2ff,0x81fffd00,0x03ff984e,
    0xf981fd10,0x05fff301,0xfffa8000,0xfb000002,0xfd8000df,0x02efffff,
    0x79b97300,0x3fb00003,0x0003ffe4,0x9802ff40,0x001bcdcb,0x7ffff100,
    0x883bfe20,0x36006fff,0x03e61fff,0xf3001bfa,0x3e609d03,0x400002ff,
    0x0002fffa,0x00fffd00,0x7ffffcc0,0x000dffff,0xfd9bffd3,0x2a0007ff,
    0x03ffe44f,0x0bfe2000,0xd9bffd30,0x00007fff,0xb09ffffb,0xfff881df,
    0x3fff2007,0x3ff21762,0xa81e8003,0x05fff307,0x26666666,0x5fff5009,
    0x002cca88,0x000fffb0,0x7fffff5c,0x401effff,0x7d40eff9,0x7c4002ff,
    0x007ffc86,0x007fdc00,0xfa81dff3,0x440002ff,0xb0dffffe,0x3ffe01bf,
    0xfff9000f,0x3fe617c9,0x2008000f,0x2fff982f,0xffffff90,0x3ffea07b,
    0x3ffffee2,0x7fec001f,0x7300000f,0x5ffffffd,0x40bffe20,0x2000fffd,
    0x7ffc81fd,0x2ff40000,0x205fff10,0x0000fffd,0x77ffff44,0x7ff403fd,
    0xfffb002f,0xff507e27,0x7d00000f,0x405fff30,0xa801effb,0xfffb2fff,
    0x800dffff,0x0000fffc,0xffffea80,0x0fffa80f,0x005fff50,0x7fe40fee,
    0x3e200007,0x3ffea02f,0x05fff500,0xfffd1000,0xffb007ff,0x3ff600df,
    0xfc81f32f,0xd800006f,0x02fff984,0xfa8013fa,0x30aedaff,0x5c07fffb,
    0xdfffeccc,0x0004cccc,0x0bffff70,0x7cc0fff7,0x5f9802ff,0x001fff20,
    0x200ffb80,0x3e607ffb,0x100002ff,0x07fffffb,0x02ffff98,0xf51fffe8,
    0x000bffd0,0xff30b900,0x07fd105f,0xdefffa80,0x06fff880,0x3ffffffa,
    0x07ffffff,0x3ffee000,0x02ffcc2f,0xd007fff1,0x3ffe401f,0x0bfd0000,
    0x2205ff98,0x00003fff,0xffffffd1,0xefffc809,0x3fffee00,0xdffd0f50,
    0x0b900000,0xe885fff3,0xffa8002f,0x7ffe404f,0xfb555500,0x555557ff,
    0xffb80000,0x5401884f,0x7e403fff,0x03ffe402,0x02ff8800,0x7fd40188,
    0x4c00403f,0xffffb8ff,0x3ffe205f,0xfd510aef,0x07ccffff,0x0001fff6,
    0x3fe61360,0x00bfa22f,0x017ffd40,0x4007ffee,0x0001fffb,0x0bffd000,
    0x7fff5c40,0x013e603f,0x0001fff2,0x00007fdc,0x7ffffd71,0x403bfea0,
    0x3fea2ffa,0x36204fff,0xffffffff,0x224fffcb,0x07ffdc1f,0x20fa0000,
    0xff32fff9,0x7fd40003,0x7ffd402f,0x3fff5001,0x2a000000,0xfc9807ff,
    0x03fff9bf,0xf9001df1,0x360000ff,0xf930005f,0x07fff37f,0x260ffffa,
    0xfff983ff,0x7edc03ff,0x3ffa3def,0x3ea17c1f,0x400001ff,0xafff982f,
    0x40001ff9,0x5402fffa,0xf5001fff,0x000001ff,0x981ffe20,0x3fe22efd,
    0x003fb03f,0x0001fff2,0x3000bfe2,0x7fc45dfb,0x9ffff03f,0x7c40dff0,
    0x0000ffff,0x361bffe2,0x005ffe85,0x2603ea00,0x4fffcfff,0x7ffd4000,
    0x0fffd402,0x00fff980,0x3fe00000,0x10bff506,0xff307fff,0xffffffff,
    0xffffffff,0xff5000ff,0x2ffd4001,0xc81fffc4,0x7fd41fff,0x7fffcc05,
    0x3fee0003,0x4c0fa83f,0x64001fff,0xff305d82,0x07ffff7f,0x17ffd400,
    0x007ffea0,0x0003ffcc,0x213f6000,0xff103ffb,0xffff307f,0xffffffff,
    0xffffffff,0x00bfb000,0xf881ffdc,0x02e603ff,0x2a00fff6,0x10005fff,
    0x1fc0dfff,0x8006ffdc,0x301f884d,0xfff35fff,0x3ea0003f,0x7fd402ff,
    0xbff1001f,0xf8000000,0x037fdc2f,0xf307fff1,0xffffffff,0xffffffff,
    0xf8800fff,0xdff7002f,0x01fffc40,0x001fff80,0x2000dffb,0x2e01fffc,
    0x1effb80f,0x36c0f620,0x2e5fff30,0x8000efff,0x5402fffa,0xf1001fff,
    0x0000007f,0x3fe07fc4,0x3ffe203f,0x33333303,0xfb333333,0x003333ff,
    0xf000ffa8,0x7fc407ff,0x3332a03f,0x00fff98c,0x000dff70,0xd005fff3,
    0x3bff620b,0x03ffdbbc,0x7fcc03f7,0x17fff62f,0x0bffea00,0x003fff50,
    0xb8007fe2,0x0fee0002,0x4407fff3,0x00003fff,0x8000fff9,0xff3005fd,
    0x7ffc407f,0x8ffffa03,0xf3002fff,0xfe88009f,0x07f1005f,0x5eff65d4,
    0x300fe601,0xffe85fff,0x7fd4004f,0x7ffd402f,0x3f372601,0x007e2007,
    0x7d437c40,0x3fe605ff,0xf900003f,0x7c4000ff,0xfff5002f,0x1fffcc0b,
    0x6c4fff88,0xff3003ff,0x5ffe8005,0x001fd400,0x300bd300,0xff885fff,
    0x3ea002ff,0x7fd402ff,0xfbbfb01f,0xd8059fff,0x100fba67,0xfff101fd,
    0xffff701f,0xf9000249,0x7d4000ff,0xfff1000f,0xffff701f,0x0bff7249,
    0x7001fff3,0xffd800df,0x1bf70003,0x0dfb8000,0x82fff980,0x001ffffa,
    0xa805fff5,0x0f881fff,0x3ffffff2,0x4ffdbacd,0x82fbfff6,0x3a01efb8,
    0xdb9cffff,0xebffffaf,0x3ff20004,0x17f60007,0x9ffffd00,0xfff5fb73,
    0x77ec9d7f,0x809ff900,0xd1000ff9,0x980005ff,0xd98002ee,0x3fea003f,
    0xffff903f,0x5fff5001,0x82fffa80,0x3eb3e25b,0xffffffff,0x3ffe60ff,
    0x4ffeefff,0xfffffa80,0xfffb0eff,0xfc80009f,0xff10007f,0xfffa8005,
    0xfb0effff,0x0ff89fff,0x406ffdc0,0xb9801efb,0x00001dff,0x4019ff91,
    0x001efea8,0xf027ffdc,0xb801dfff,0x7dc03fff,0x326a83ff,0x3ffff626,
    0xfc82ffff,0x1bdfffff,0x3fffea00,0x1fffd43f,0x3ffe4000,0x00ffa800,
    0xfffffa80,0x21fffd43,0xfd3001fa,0x07ffdbdf,0x67ffedc4,0x71000000,
    0xfdbbdffd,0x100039ff,0x201ffffd,0x02fffffc,0x01dffff3,0x03bfffe2,
    0x2a07bffe,0x01efffff,0x0006eaa2,0x18802a60,0x3ff20000,0x07950007,
    0x200a9800,0x00059018,0x2006aea6,0x0001abca,0x65d4c000,0x70001abc,
    0xffffffff,0x7ffff47f,0xff54ffff,0x7fffffff,0x3fffffee,0x00d41fff,
    0x0000dd4c,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x05300000,0x00cc0000,0x33332015,0x01998802,0x22009988,0x99999999,
    0x26666600,0x2aaa6001,0x00b80000,0xddddddd7,0x2007dddd,0xeeeeeee8,
    0x3bbbaa6e,0x23eeeeee,0xeeeeeee8,0x2e02eeee,0xeeeeeeee,0x1880a201,
    0x64000000,0xfb000007,0x07ffd0bf,0x900ffff5,0xffb00fff,0x7fffdc0d,
    0xb102efff,0x801dffff,0xfffffffb,0x7fdc4002,0x3ffee201,0x000affff,
    0x7ffff5c4,0x7ffd440c,0xd300bfff,0x03dfffff,0x3fffaa20,0x3ffea00a,
    0x0037fe40,0x2ff88000,0x7fc40000,0x3ffea1ff,0x03fff707,0xd807ffc8,
    0x7f4406ff,0xf5003fff,0xffe9807f,0xdfffffff,0x7ffdc400,0xfff9801f,
    0x4c0003ff,0x7cc01fff,0xf8806fff,0x8002ffff,0xfe802ffb,0x3ffe24ff,
    0x8000002f,0x00006ffb,0x507fffc4,0x7e40dfff,0x3ffe404f,0x4037fec0,
    0x002ffff8,0xffd00df5,0xffffffff,0x3ff220df,0x7001ffff,0x0005ffff,
    0xb004ff88,0x2e00dfff,0x8002ffff,0xffb005fb,0x1ffff87f,0xff800000,
    0x400001ff,0xffe84ffc,0x2037ec03,0xfd807ffc,0xfff7006f,0x00bf2009,
    0x2215bff9,0x84fffffa,0xffff98ba,0xffff1001,0xff980009,0xffff5000,
    0x3fffe001,0x01fd8003,0xb81dff50,0x000005ff,0x04ffffa8,0x20088000,
    0x0fe88008,0x201fff20,0x3a006ffd,0x0ff007ff,0x2200ef98,0x401ffffe,
    0x2001fffc,0x0007fffc,0x3e001fe4,0xf9003fff,0xff000dff,0x04403000,
    0xfe800000,0x0000ffff,0x22000000,0x1fff203f,0x801bff60,0x5403fffa,
    0x0075c04f,0x01ffffc4,0x8007ffee,0x002ffff8,0x90003fe0,0x2600bfff,
    0x2000ffff,0x000004f9,0xf3000000,0x007fffdd,0x80000000,0x1fff2059,
    0x001bff60,0xfd80dffd,0x70016c00,0xfa80bfff,0x7ec001ff,0xf50006ff,
    0xfff30009,0x3ffa001f,0x07f2003f,0x00000000,0x7ddfe400,0x000006ff,
    0x64000000,0xffd807ff,0x7ffdc006,0xd00bf302,0x6fff9800,0x00fffd40,
    0x07fffea0,0x0007f600,0x801ffffc,0x2006fffc,0x0000007f,0xff100000,
    0x00bfffe2,0xbb751000,0x90000057,0xffb00fff,0xdfff000d,0x0000bf20,
    0x2027ffc0,0x8001fffa,0x4004fffe,0x320006f9,0xfb006fff,0xf5003fff,
    0xdc980009,0x000000ab,0x3ff64fb8,0x2e00005f,0xeffffeff,0x403b5001,
    0xfd807ffc,0xffb8006f,0x0007f82f,0x00bffe00,0x0003fff5,0x001ffff7,
    0x30001fe4,0x8801ffff,0x803fffff,0xda8001fc,0xefffedff,0x3a000000,
    0x3fffe60f,0x7ec40000,0x1ffff4c3,0x02fffc98,0x3601fff2,0xf88006ff,
    0x027d46ff,0xfff88000,0x0fffd400,0x7fffc400,0x003fe003,0x07fffd00,
    0x6fffffa8,0xc8006f80,0x7fec41ff,0xa800001f,0x4fffe85f,0x80ff4000,
    0x261ffff8,0x02fffffe,0x3601fff2,0xf90006ff,0x007ec3ff,0x6ffa8000,
    0x01fffa80,0x0ffff900,0x00013ea0,0xb01bffee,0x03ffff5f,0x360027d4,
    0x3ff602ff,0x6c00002f,0x7fffb81f,0x013ee000,0x4ccdfff5,0x202fffe9,
    0xfd807ffc,0xff10006f,0x0017e6bf,0x03ffb800,0x001fffa8,0x05ffff10,
    0x00003fd0,0x203ffff1,0x9fffb6f8,0x5000fec0,0xff8809ff,0x300000ff,
    0x3ffe20df,0xff88002f,0x7fffc401,0x02fffb81,0x3601fff2,0x320006ff,
    0x02fc9fff,0x1bfa0000,0x00fffd40,0x0dfffb00,0x00006f98,0x540ffffa,
    0x0ffff53f,0xff10037c,0xfff9003f,0x3f200009,0x1bfff202,0x401ff200,
    0xfa83ffff,0x3ff202ff,0x37fec00f,0xbfff1000,0x400000df,0xf5001ffa,
    0x4c0003ff,0x3201ffff,0x2e00002f,0x1fb06fff,0x207fffe2,0x3ea003fa,
    0xfff1007f,0xf880003f,0x7fffcc07,0x77fec001,0xeeeeeeee,0xfa84ffff,
    0x3ff202ff,0x3ffea01f,0x3f600147,0x00003fff,0xa8017fa0,0x40001fff,
    0xf104fffe,0xf880000f,0x37c41fff,0x3613fff6,0x3ff2001f,0x3fff6006,
    0x27dc0003,0x027ffec0,0x2aabbfe0,0xaaaaaaaa,0xfff981aa,0x17fff202,
    0x13fff7dc,0xfff9800f,0x7000000f,0xffa800df,0x7dc0001f,0x4fb80fff,
    0xffd80000,0x2a1fdc4f,0x37c47fff,0x017ffa00,0x004fffb8,0x54007f40,
    0x1000ffff,0x40000fff,0x3202fff9,0xb99dffff,0x2fffa8ee,0xffb000b9,
    0x2200000b,0x7d4000ff,0x440001ff,0xfe83ffff,0xfa800001,0x407f47ff,
    0x3ea2ffff,0x3ffe2003,0x3ffea004,0x3fea0006,0xcccccccc,0x03ffffcc,
    0x001fff30,0x0bffe600,0xffffffd8,0xfff10eff,0x30003fdf,0x000005ff,
    0x2a0007fa,0x80001fff,0x7cc7fffc,0x3e000005,0x0bf11fff,0xfd97fff2,
    0x3ffe6000,0x3ffe6005,0x3ff60007,0xffffffff,0x06ffffff,0x003fff30,
    0x0bffe600,0xffffaed8,0x7ffe40df,0x1be0003e,0x1fec0000,0x1fffa800,
    0xfff88000,0x000bf22f,0x4fffc800,0x3fe605f7,0x006f88ff,0x0037ffd4,
    0x000bfff1,0xf1001be2,0xf1003fff,0x200005ff,0x3a02fff9,0xa8039717,
    0x7d40002c,0xfb800003,0x3fea0003,0xfb00001f,0x01fe2dff,0xfff30000,
    0xff803faf,0x003faaff,0x003fffcc,0x0007fff1,0x36000bf2,0xff005fff,
    0x828800df,0x3e02fff9,0x00000007,0x000003fa,0xa80009f5,0x00001fff,
    0xf73ffff3,0xf0000009,0x80bf7fff,0x0fddfffc,0x7fffc400,0x3fff3000,
    0x001fe000,0x007fffcc,0x001ffff4,0x5fff3079,0x0007fe20,0x17e60000,
    0x0bf30000,0x3fff5000,0x7ff40000,0x0000fedf,0xffffc800,0x7ffcc02f,
    0xff0006ff,0x3e6007ff,0xfb8000ff,0x3ffa0004,0xfffc803f,0x80f8800f,
    0xf502fff9,0x0000005f,0x00003fb0,0x80002fcc,0x0001fffa,0x3ffffee0,
    0x30000005,0x200fffff,0x003ffffe,0x00dfff70,0x4001bfea,0x2e0000ff,
    0x4400ffff,0x202fffff,0xfff306e8,0x013ff205,0xbf500000,0x2fcc0000,
    0x7d40ea00,0x400001ff,0x002fffff,0x3ffa0000,0xfff7004f,0x7fc0001f,
    0xffd801ff,0x06fb8002,0x7fffc400,0xffffb803,0xfda88acf,0x5fff301f,
    0x0017ff60,0xa8ded400,0x300001ff,0x1f9800bf,0x003fff50,0x7fffc800,
    0x5c000000,0xf1001fff,0xb8000bff,0x2200efff,0xfd0005ff,0xffd00007,
    0xffd001ff,0xffffffff,0x7ffd407f,0x00dfff03,0xffff5000,0x00009fff,
    0x2aaaffe6,0xdbaaaaaa,0x3ffea06f,0x7c400002,0x000004ff,0x003ffc40,
    0x0000fffa,0xd817fff2,0xfc8000ef,0xfd80003f,0xd8805fff,0xffffffff,
    0x7ffdc04f,0x00dfff04,0xffff9000,0x200009ff,0xfffffffa,0xffffffff,
    0x3ffee03f,0xfd800003,0x0000000f,0x5c004fe8,0x700000ff,0x3115bfff,
    0x98001dfd,0x001efffc,0xfffff710,0xff7005bf,0x803fffff,0x80ffffe8,
    0x00003ffd,0x3fffff88,0xfff50000,0xffffffff,0x01ffffff,0x07ffffe6,
    0x0bf30000,0x2e000000,0x2fc4001f,0x3faa0000,0x03efffff,0xfffffc80,
    0x32004fff,0xffffffff,0xa9800fff,0x7fcc01ac,0x2fffffff,0x00000f22,
    0x000bcb88,0x3ffffe00,0xffffffff,0x7446ffff,0xffffffff,0x3200006f,
    0x00000001,0x06e00091,0xcb980000,0x0000001a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xeec80000,
    0xeeeeeeee,0x775400ee,0xeeeeeeee,0xddddd500,0x3ddddddd,0x9bb73100,
    0x5000ecc3,0x159b710b,0x44051000,0xbdb50001,0x54005405,0xdd702ccc,
    0x00bddddd,0x3bbbbaa0,0x4405eeee,0x00bcddba,0x45999900,0xeeeeeeed,
    0x2605eeee,0x3ff6a00a,0x8001efff,0x02ffffc9,0x3fffee20,0xfb1002ff,
    0x9bfffddf,0xfc9803ff,0x3fffa27f,0x2a001eff,0x7fe40fff,0x7ffdc006,
    0x00e81dff,0x07ffffc4,0xfffff930,0x7e4c0009,0xfa801eff,0xcffebabf,
    0x301aaaaa,0xb301dfff,0x03bfffff,0x3bffff22,0x3ffffa02,0x7fdc0001,
    0xfff70001,0x3fa6005f,0x3ffea20c,0xffd501ff,0x3ffe6fff,0x02ffffff,
    0x449fffd0,0x1002ffff,0xfffffdff,0x3601ea19,0x804fffff,0x03fffff9,
    0x007fe400,0x7ec07fec,0x05ffffff,0xe803fff9,0x76c07fff,0x207ffdbb,
    0x0007fffc,0x20007f98,0x800ffff9,0x3e602ffa,0x73501fff,0x37faffff,
    0xfffffecb,0x3fffd800,0x800ffffc,0xfffd50db,0x9809ffff,0x1fffbbff,
    0xfffff980,0x1bea0001,0x440fff20,0x2cccefff,0xb003ffd0,0x2dc0bfff,
    0xfb81ffe4,0x980006ff,0x3e60006f,0x7c400fff,0xfffd804f,0xcfffe801,
    0xffffc80d,0x0effa804,0x9002ffdc,0xfffff703,0x4c7fd00b,0xffb006fe,
    0x20001fff,0x7fcc05f9,0x07ffe407,0x400ffe60,0x0205fffc,0xfa817fc4,
    0x880006ff,0x3e60006f,0xffd807ff,0x1fffb800,0x05fffd80,0x007fffec,
    0x00022018,0x1eedc409,0x6c417d40,0xfffd802f,0xf30006ff,0x07ffc80b,
    0x2027ffcc,0x3f2004fb,0xfa8004ff,0x1bffea06,0x01be2000,0x07fff980,
    0xa802ffd4,0xfc801fff,0xfff9807f,0x0000003f,0x5d000000,0xfd806c80,
    0x005ffffe,0x7f405f98,0x7ffc406f,0x2002f405,0x8004fffc,0x3fea00ee,
    0xf880006f,0x3fe60006,0x1ffec07f,0x01fffa80,0xb007ffc8,0x00009fff,
    0x00000000,0x00aa0035,0xffffd3fb,0x05f98007,0x7c03fffc,0x01a206ff,
    0x013fff20,0x200dfda8,0x0006fffa,0x20006f88,0x7c07fff9,0xff5002ff,
    0xfff9003f,0x17ffea00,0x00000000,0x00000000,0x3ffe27f6,0x3e6002ff,
    0x03ffec05,0x0002fffc,0x027ffe40,0x2fffffd8,0x00dfff50,0x000df100,
    0x103fffcc,0x2a003fff,0xfc801fff,0xfff3007f,0x4ccccccf,0x33333101,
    0x37260003,0x000000ab,0xff31fd80,0x26001fff,0x7ffdc05f,0x0fffe200,
    0x3ff20000,0x7ecc004f,0xdfff507f,0x0df10000,0x3fffcc00,0x003fff30,
    0x2007ffea,0xf1007ffc,0x7ff64fff,0xfeb80fff,0x5000ffff,0xfffdbffb,
    0x3b50001d,0x2a1fd800,0x800effff,0x7fcc05f9,0x3ffe604f,0x003b5001,
    0x0009fff9,0x3ea07ff6,0x880006ff,0x3e60006f,0x3fee07ff,0xfff5002f,
    0x0fff9003,0x4c37ffc0,0x2200ffff,0xc800ffff,0x7fec41ff,0xffc9801f,
    0x0fec002f,0x017ffff2,0x3f2017e6,0x7ffb00ff,0x2fffc980,0x04fffc80,
    0x507ff300,0x0000dfff,0x4c000df1,0x3ea07fff,0xff5003ff,0xfff9003f,
    0x827ffc00,0x7400fffd,0x7ec00fff,0x3fff602f,0xffffd302,0x1fd8005f,
    0x04ffffd8,0xfb802fcc,0x3ff220ef,0x3fffa604,0xffc802ff,0x3fe0004f,
    0x06fffa81,0x006f8800,0x81fffe60,0x5004fff9,0xf9003fff,0x7ffc00ff,
    0x01fff903,0x200fffc8,0x7c404ffa,0x99980fff,0x4002fffe,0xffe881fd,
    0x17e602ff,0xddfffb80,0x4cc01eff,0x802fffe9,0x0004fffc,0x3fea0df5,
    0xf880006f,0x3fe60006,0x3ffe207f,0xfffa800f,0x07ffc801,0x205fff10,
    0x5c00fffb,0xff100fff,0xfff9003f,0x2fffb809,0x980fec00,0x301fffff,
    0x2fe600bf,0x0009aa98,0x802fffb8,0x2a04fffc,0x807f4c2c,0x0006fffa,
    0x20006f88,0x7c07fff9,0xfa803fff,0xffc801ff,0x0dff3007,0x2007ffdc,
    0xf500fffb,0x3fe200ff,0x3fea01ff,0x0fec002f,0x1dffff50,0xf300bf30,
    0xfa800009,0xffc802ff,0x3fffa04f,0x2a00cfed,0x80006fff,0x260006f8,
    0x7e407fff,0x7ec01fff,0xffc801ff,0x2ffc800f,0x003ffee0,0x3201fff7,
    0x3f6006ff,0x3fea03ff,0x0fec002f,0x17fffee0,0xfd1017e6,0xfa800005,
    0xffc802ff,0x332a204f,0xffa800ab,0xf880006f,0x3fe60006,0x7ffc407f,
    0xfed882ff,0xffc801ff,0x2ffc403f,0x003ffee0,0x3a01fff7,0x3ee005ff,
    0x3fe604ff,0x0fec002f,0x27fffec0,0xff5017e6,0x2000035d,0xc802fff9,
    0x00004fff,0x00dfff50,0x000bf300,0x403fffcc,0xdefffffb,0xfffadfdc,
    0xffffc801,0x007ff600,0xb801fff7,0xff880fff,0x3fea004f,0x3ffe606f,
    0x00fec002,0x22ffffe8,0x7fe405f9,0xffffffff,0xf9803eee,0xffc802ff,
    0x0015004f,0x0037ffd4,0x0002fcc0,0x200ffff3,0xfffffffb,0x03fff55f,
    0x7dffff90,0x00f7ec41,0x2007ffdc,0xf980fffb,0x3e6005ff,0x3fe607ff,
    0x0fec002f,0xfffff880,0xf980bf31,0xffffffff,0x0cffffff,0x005fff30,
    0x9009fff9,0xfff9800b,0x4f980007,0x3ffe6000,0x3ffea007,0x3fea3fff,
    0xfffc801f,0xffeeffe8,0xfff7000d,0x0fffb801,0x006fffa8,0x9817ffe2,
    0x6c002fff,0x3fe6001f,0x05f98fff,0xfffffe98,0xffffffff,0x5fff303f,
    0x09fff900,0x4c003f98,0x80007fff,0x260004fa,0x98007fff,0xfffa81bb,
    0x27ffc801,0x0009bca9,0x2007ffdc,0xf980fffb,0x3e2007ff,0x3fe603ff,
    0x0fec002f,0x3fffee00,0xf9805f9e,0xaaaa9989,0x07ffdccc,0x9005fff3,
    0xfe809fff,0xff1000ef,0xc80001ff,0x3e60002f,0x800006ff,0xc801fffa,
    0x400007ff,0x5c00fffb,0xff880fff,0xff3000ff,0x7ffcc03f,0x00fec002,
    0x77fffe40,0x01fcc05f,0xf982fe80,0xffc802ff,0x3ff6204f,0x3ffa004f,
    0x7f40003f,0x3fe60000,0xa800005f,0xfc801fff,0x5c00007f,0x7dc00fff,
    0xffff00ff,0x3ffe6007,0x0bffe600,0x0003fb00,0x17fffffa,0x20006f88,
    0xfff982f9,0x4fffc802,0x006ffb80,0x001bfff2,0x40007f98,0x0003fff9,
    0x01fffa80,0x0007ffc8,0x00fffd40,0x5c03ffee,0xf5006fff,0xfff980df,
    0x00fec002,0xffffe880,0x0013f605,0xff980fa8,0xfffc802f,0x03ffa804,
    0x03fffe20,0x401ff400,0x7fcc2ed9,0xa800001f,0xfc801fff,0x4c00007f,
    0x3a602fff,0x3fe01fff,0xffd801ff,0x17ffcc02,0x0007f600,0x05ffff98,
    0x4000dff5,0x5fff305e,0x09fff900,0x8001ffb0,0x000efffc,0x6c01bf62,
    0x3fea0fff,0xf5000004,0xff9003ff,0xf880000f,0xfbf506ff,0x7fdc05ff,
    0x3fe200ef,0x2fff9805,0x0017f400,0x417ffea0,0x4004fffc,0xff300ed8,
    0xfffb005f,0x3ffaea0b,0xfffb0002,0xdfd5003d,0x3fffe001,0x0001bee4,
    0x02fffb80,0x0007ffd8,0xbefffd80,0xffbafda9,0xfc81baef,0x3bf605ff,
    0x3fffa800,0x001ffc00,0x982ffe40,0x19cfffff,0x01efc988,0x200fffea,
    0x9506fffe,0xc8000159,0x9aceffff,0x0efffca9,0x3fffee00,0x0001fe8b,
    0x0ffff200,0x007fffa0,0xffff1000,0x3ee5ffff,0x700bffff,0x3115bfff,
    0x2e001dfd,0x36004fff,0x0000bfff,0xff502fec,0xffffffff,0x7007ffff,
    0xfc809fff,0x000dffff,0xffc98000,0xffffffff,0xffb0002d,0x0003dfff,
    0xfff73100,0x54c157ff,0x9afffffd,0xfd500000,0x7dc1dfff,0xfd5002df,
    0x07dfffff,0x7ffff440,0x3fffb600,0x002effff,0xb880bd10,0xffffffff,
    0xe8800dff,0x76c0ffff,0xffffffff,0x000005ef,0xccccaa88,0x880000ab,
    0x00002bca,0x333332a0,0x9912cccc,0x99999999,0xb9800003,0x001ca80a,
    0x006b2e60,0xffffff98,0x00002fff,0x40031000,0x1abdcca9,0xfffff300,
    0x0005ffff,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x77774000,0xeeeeeeee,0xeeeeeeee,
    0xeee885ee,0xeeeeeeee,0xd30002ee,0x5ddddddd,0xdd500000,0x21dddddd,
    0xeeeeeee8,0xdeeeeeee,0x4000accc,0xeeeeeee9,0xd82eeeee,0xeeeeeeee,
    0xdddd106e,0xdddddddd,0x40510005,0x77774c28,0xeeeeeeee,0x0000acee,
    0x5405bdb5,0x3fae2001,0xeeeeefff,0xfffeeeee,0x3fae207f,0x001effff,
    0x3ffee600,0x800006ff,0x02effffe,0x3ffffae2,0xffeeffff,0x00beffff,
    0x3fffea20,0x64400bff,0x01cfffff,0xfffffa88,0xf50001cf,0x6ffb83ff,
    0xffffeb88,0xffffffff,0x3ea000df,0xe81dffff,0xfff88000,0x7fec003f,
    0x7fffc400,0x2e000006,0x002fffff,0x3fffea00,0xfff5002f,0xb988139f,
    0x03fffffd,0x27fffcc0,0x1bfff500,0xffff5000,0xffd80009,0x17fffc4f,
    0x0affffa8,0x3ffffae6,0xfeff8801,0xf50cffff,0x7fff4000,0x00fc8003,
    0x004ffff8,0x3ffe6000,0x200005ff,0x00fffffe,0x007fffe0,0x77ffff4c,
    0x3fffe000,0x13ff6002,0xffff8800,0x7fec0002,0x17fffc4f,0x01ffff88,
    0x013ffffa,0x3ffaa1b5,0x004fffff,0x00ffffa0,0x3a003e20,0x00003fff,
    0x3ffffe20,0xf980001f,0x4007ffff,0x2001ffff,0x0effffd8,0x03ffff00,
    0x000bfea0,0x007fffe0,0x81dff300,0x7fc05ffb,0x3fa201ff,0x07202fff,
    0x1bffffee,0x7fffd000,0x2007a000,0x0003fffe,0x7feffc00,0xfd80005f,
    0x4007fffd,0x8001ffff,0x005ffffb,0x3003ffff,0x200005ff,0x0001ffff,
    0x40044030,0x4c01ffff,0x0e06ffff,0x00bddb88,0x1fffec00,0xd800a800,
    0x00003fff,0x7ffd7fc0,0x3e20000f,0x007fff9f,0x000ffffc,0x04ffffe8,
    0x401ffff8,0x00002ff9,0x006bfffe,0x7c000000,0xff801fff,0x00001fff,
    0xfffb0000,0xd8000007,0x00003fff,0xfffebfc0,0x2ff20004,0x4007fff9,
    0x0001ffff,0x01fffff3,0x201ffff8,0x00002ff9,0x7ffffffc,0x001cefff,
    0x3ffe0000,0xfffd801f,0x0000002f,0x07fffb00,0xffd80000,0x4000003f,
    0x1ffff57f,0x31ff1000,0xf800ffff,0x20001fff,0x403ffffc,0xf301ffff,
    0xf000007f,0xdd99bfff,0x007dffff,0xffff0000,0xffff9003,0x00000007,
    0x00ffff60,0x7ec00298,0x000003ff,0x7fffd3fc,0x269f7000,0x7c007fff,
    0x20001fff,0x406ffff8,0xfa81ffff,0xf000002f,0xfb303fff,0x54009fff,
    0x3ffe001d,0xfffc801f,0x03b7102f,0x00015b93,0x003fffd8,0xffb000ee,
    0x8000007f,0x1fffee7f,0x7cc3fe00,0x7fc007ff,0x740001ff,0x3e01ffff,
    0x7fd41fff,0x3e000002,0x3f201fff,0x32604fff,0x3e002fff,0xfd801fff,
    0x7e4c0fff,0x3ffee1ff,0x20001fff,0x2003fffd,0x7fec003d,0x4000003f,
    0x3fffe27f,0x997ee003,0x7c007fff,0x40001fff,0x203ffffd,0x3ee1ffff,
    0x4000002f,0x7401ffff,0x74c2ffff,0x002fffff,0x1007fffe,0x754fffff,
    0xf91fffff,0x0dffffff,0x1fffec00,0x4003fa80,0x0003fffd,0x3f23fc00,
    0x3fa006ff,0x01fffe61,0x003ffff0,0x4ffffb80,0x5c7fffe0,0x000002ff,
    0x401ffff8,0x4c5ffff9,0x02fffe99,0x007fffe0,0x4c5ffff9,0xcaffff99,
    0xfffb11be,0x3ff60009,0xaaaaaacf,0x003ffecb,0x001fffec,0xf11fe000,
    0xf5005fff,0x07fff98d,0x00ffffc0,0x3fffea00,0x27fffe05,0x00005ffc,
    0x03ffff00,0x40fffff0,0x2002fffb,0x2a01ffff,0x3204ffff,0xf00defff,
    0x36000fff,0xffffffff,0x3fffffff,0x1fffec00,0x1fe00000,0x201bfff2,
    0x7ffcc2fe,0x7fffc007,0x7fcc0001,0x3ffe06ff,0x04ffffef,0xfff80000,
    0xfffe801f,0x5fff501f,0x17fffc00,0x6ffffe44,0x13ffea00,0x001fff90,
    0x337fffb0,0xf9533333,0xffd8007f,0x4000003f,0xffff887f,0x261be601,
    0x7c007fff,0x40001fff,0x205ffff9,0xfffcffff,0x000004ff,0x400ffffc,
    0x501ffffe,0x7c005fff,0xfeffffff,0x801effff,0x5c01fffa,0xd8001fff,
    0xf3003fff,0xfffd8007,0x7c000003,0x0bfffb07,0x7fcc1fec,0x7ffc007f,
    0x7d40001f,0x3fe04fff,0xffffa9ff,0x2000004f,0x4401ffff,0x300fffff,
    0x7c005fff,0xcba99fff,0x2a0009ac,0x7d401fff,0xfd8001ff,0x0f6003ff,
    0x07fffb00,0x07f80000,0x103ffff3,0x3ffe60ff,0x7fffc007,0x7fdc0001,
    0x3ffe03ff,0xfffff51f,0x3e000009,0x7d401fff,0x3e606fff,0x3fe002ff,
    0x200001ff,0x5401fffa,0xd8001fff,0x2e003fff,0x7ffec003,0x7c000003,
    0x13fffa07,0x7fcc0ff2,0x7ffc007f,0x7e40001f,0x3fe01fff,0x3ffe61ff,
    0x800004ff,0x6401ffff,0x2603ffff,0x3e002fff,0x00001fff,0x5007ffea,
    0xb0003fff,0x4c007fff,0x7ffec002,0x7c000003,0x3fffea07,0x4c03fe20,
    0x7c007fff,0x40001fff,0x200ffffe,0x7cc1ffff,0x0004ffff,0x00ffffc0,
    0x80bffff9,0x2002fff9,0x0001ffff,0x007ffea0,0x0003fff5,0x0007fffb,
    0x3fffd800,0x3fc00000,0xb93fffa0,0x3ffe604f,0x7fffc007,0x7ffc0001,
    0x7fffc07f,0xfffff981,0x3fe00004,0xffd881ff,0x7cc00eff,0x3fe002ff,
    0x200001ff,0x5401fffa,0xd8001fff,0x00003fff,0x01fffec0,0x0ff00400,
    0xf0ffffa8,0x7ffcc01f,0x7fffc007,0x3fee0001,0x7ffc02ff,0xffff301f,
    0x3e00009f,0xdcbaafff,0x00cffffe,0x002fff98,0x0007fffe,0x01fffa80,
    0x000fffd4,0x001fffec,0xffd80260,0x15c0003f,0xfff00ff0,0x980bf77f,
    0x7c007fff,0x10001fff,0xf00dffff,0x7cc03fff,0x0004ffff,0xfffffff8,
    0x01beffff,0x00bffe60,0x001ffff8,0x07ffea00,0x003fff50,0x007fffb0,
    0xfb00fc40,0xe80007ff,0x2e01fe00,0x01feffff,0x003fffcc,0x0007fffe,
    0x00ffffec,0x200ffffc,0x04fffff9,0x57fffc00,0x00099999,0x005fff30,
    0x000ffffc,0x03fff500,0x001fffa8,0x003fffd8,0xffb01b60,0x2dc0007f,
    0x3e201fe0,0x9806ffff,0x7c007fff,0x98001fff,0xf004ffff,0xf3003fff,
    0x0009ffff,0x000ffffc,0x0bffe600,0x01ffff80,0x3ffea000,0x0fffd401,
    0x1ffff400,0x403fa800,0x0003fffe,0x07f807f3,0x05ffff90,0x00ffff30,
    0x001ffff8,0x06ffffdc,0x01ffff80,0xbfffff30,0x3fffe000,0x7cc00002,
    0x3fe002ff,0x200001ff,0x5401fffa,0xe8001fff,0x88003fff,0x7ff400ff,
    0xffa8005f,0x401fe200,0x5006fff8,0x4001ffff,0x1001ffff,0x00bffffb,
    0x017fffc4,0xbfffff50,0x7ffc4001,0x5400002f,0x3e003fff,0x00002fff,
    0x500bffea,0x88005fff,0x4005ffff,0x7c406ffb,0x8801ffff,0x5406ffd9,
    0xffb001ff,0x3fff2007,0xfff3001f,0xffb9805f,0x4c003fff,0x4003ffff,
    0x2ffffffe,0x9ffff300,0xffb80000,0xfff3004f,0x6400009f,0x7dc03fff,
    0x3a6003ff,0xcdefffff,0xfecccccc,0x3a203fff,0xffffffff,0xfffffeef,
    0x3a603fff,0xf9802eff,0xffff5007,0x744015df,0xdeffffff,0xfffffecc,
    0xfe88003e,0x800affff,0xfffffffa,0xfd301bef,0x0017ffff,0xffffd100,
    0xfffe9801,0x40000bff,0x00effffa,0x01dffff3,0xffffffe8,0xffffffff,
    0xffffffff,0x7fff7440,0xffffffff,0xffffffff,0x7ff4c1ff,0x0effffff,
    0xfea80f60,0xffffffff,0xfffd10ef,0xffffffff,0x159dddff,0xfffe9800,
    0xefffffff,0xfffff982,0xffffffff,0xfffffd17,0x05dfffff,0xfffff300,
    0x74c5ffff,0xffffffff,0x54003eff,0xffffffff,0xfffff73f,0x0003ffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x74400000,0xeeeeeeee,0xacdeeeee,0xddd10000,0xdddddddd,
    0x5999bddd,0xeee98001,0xeeeeeeee,0xeeeeeeee,0x973005ee,0x3a60179b,
    0xeeeeeeee,0xceeeeeee,0xee88002b,0xeeeeeeee,0xeeeeeeee,0x3bae3eee,
    0xeeeeeeee,0x775400ee,0x5eeeeeee,0x3bbbbbba,0x04eeeeee,0xddddddd1,
    0x37005ddd,0x5c405500,0xfffffffe,0x4fffffee,0x3fae2000,0xefffffff,
    0xdffffffe,0x3ea2000b,0xeeeeffff,0xffffeeee,0x77fd407f,0x203ffffd,
    0xfffffeb8,0xffedccef,0x3000cfff,0xddffffff,0xdddddddd,0x881dffff,
    0xfffffffc,0x3ea2000d,0x440cffff,0xffffffda,0xc8801bff,0x009effff,
    0xffd803f0,0x7fffd405,0xfffea882,0x3ea0001e,0x5301cfff,0x07fffff9,
    0x1ffffa80,0x07ffa880,0xff703bf2,0xfffa80bf,0x7ff5401f,0xffa802ff,
    0x7fe4001c,0x3fe601ff,0x20007fff,0xb001fffc,0x00dfffff,0x003fff88,
    0x3fe00fdc,0x7ffc00ff,0x7ffec01f,0x3fe0003f,0xfd3002ff,0x2001bfff,
    0x001ffff8,0x3f603fa2,0x0ffffa06,0x003ffff0,0x00ffffee,0xf50009f5,
    0xf5009fff,0x4000ffff,0x64001ffc,0x000fffff,0x1000bfe6,0x7fc403ff,
    0x7ffc00ff,0x7ffc401f,0xff0000ff,0xfc8005ff,0x3e006fff,0x5c001fff,
    0x00ffdc0f,0xf80dfff7,0x32001fff,0x2e00ffff,0xfff88006,0x3ff2006f,
    0xfd0002ff,0x3ff60007,0x3fa003ff,0x1ffe8003,0x01fffe20,0x2007fffe,
    0x005ffffa,0x005ffff0,0x0bffff70,0x007fffe0,0x7fc41f10,0x37ffcc05,
    0x007fffe0,0x40bfffd0,0xffd8003c,0x3e2001ff,0xa8006fff,0x3e20005f,
    0xc800ffff,0xffc8004f,0x37ffc01f,0x00ffffc0,0x037fffc4,0x02ffff80,
    0x7ffffb00,0x03ffff00,0x7fe41500,0x01dda803,0x000ffffc,0xc81ffff2,
    0x7ffdc002,0xffa8003f,0x3e2004ff,0x7cc0000f,0x7dc05fff,0x7fec4006,
    0x41999aff,0xff805ffd,0xfff001ff,0x3fe000ff,0xf30002ff,0xf801ffff,
    0x80001fff,0x00002ffe,0x000ffffc,0x403fffee,0x3fe2000a,0x360005ff,
    0x9001ffff,0x3200007f,0xf302ffff,0x7fcc001f,0xffffffff,0x401ffe47,
    0xf001ffff,0x2000ffff,0x0002ffff,0x00fffff2,0x0003ffff,0x0003fff0,
    0x01ffff80,0x07fffdc0,0xfffe8000,0x3e20000f,0xf9806fff,0x7f400006,
    0x7f440fff,0x6554c001,0x2aaacfff,0x7c017fd4,0xf8801fff,0xf0006fff,
    0x40005fff,0x406ffff8,0x9801ffff,0x01fff301,0xffff8000,0x7ffec001,
    0xff900007,0x500005ff,0xe807ffff,0x4c00001f,0x7ec5ffff,0x7fd40003,
    0x07fcc01f,0x00ffffc0,0x01ffffd4,0x02ffff80,0x7ffff400,0x07fffe01,
    0x7fd40b20,0x7c00001f,0x22001fff,0x0005ffff,0x05ffff98,0x3fff6000,
    0x009f701f,0x3ffee000,0x000bf92f,0x003fff50,0x3ffe00ff,0x7ffc401f,
    0x3fe0006f,0x6c0002ff,0x3e03ffff,0x2e801fff,0x005fff50,0x1ffff800,
    0x3ffff600,0x7f440001,0x00000fff,0x21bfffe2,0x000006f9,0x7dfffff4,
    0xfa80000e,0x05e801ff,0x803ffff0,0x001ffffd,0x00bfffe0,0x9ffff700,
    0x00ffffc0,0x3e605f71,0x400004ff,0x8801ffff,0x003ffffe,0x2ffffc80,
    0xffa80000,0x017f43ff,0x3fe60000,0x0001ffff,0x003fff50,0x3ffe0099,
    0xffff701f,0x6644003d,0xcdffffcc,0x04cccccc,0x02ffffd4,0x999bffff,
    0x05fffb99,0x003fffe2,0x3ffe02a8,0x999999cf,0x2fffffca,0xfffa8000,
    0x2000004f,0xf70ffffd,0x2000000b,0x004ffffb,0x07ffea00,0x7fc00220,
    0xedcbacff,0x8003efff,0xfffffff9,0xffffffff,0x7ffcc07f,0x3fffe06f,
    0xffffffff,0x3ffe02ff,0x803a003f,0xffffffff,0xffffffff,0xff100003,
    0x00000dff,0x8dffff88,0x000000ff,0x03ffffa0,0x7ffd4000,0x7fc00001,
    0xffffffff,0x400001ff,0x0002ffff,0x02ffffcc,0x5557ffff,0x05ff9755,
    0x0077ffec,0x3ffe035c,0xecaaaadf,0x2dffffff,0x7ffec000,0x8000001f,
    0x2feffffb,0x5c000000,0x0005ffff,0x003fff50,0x3ffe0031,0x3fffe61f,
    0x7fc00003,0x540002ff,0x3e04ffff,0x7d401fff,0x3fffe202,0x00fe600e,
    0x8803ffff,0x0dfffffa,0xffffb800,0x20000003,0x005ffffd,0x7fcc0000,
    0x0003ffff,0x401fffa8,0x7c01effc,0x7fdc1fff,0x200001ff,0x0002ffff,
    0x017fffdc,0xb003ffff,0xffffc805,0x1bf220ae,0x007fffe0,0x77ffff44,
    0x3ffe2000,0x0000006f,0x00ffffc4,0xfd100000,0x01ffffd3,0x1fffa800,
    0x3ffffe60,0x07fffe01,0x001bfff6,0x02ffff80,0x7fffe400,0x07fffe01,
    0xff100b20,0xffdfffff,0xfff001ff,0x7ec4003f,0x3a004fff,0x0000ffff,
    0xffff8000,0x20000001,0xffff33fd,0xffa8000b,0x3ffee01f,0x3ffe05ff,
    0xffff881f,0xfff00004,0xfe80005f,0x3fe00fff,0x019801ff,0xfffffd88,
    0xf001ffff,0x98003fff,0x800fffff,0x002ffffb,0xfff00000,0x0000003f,
    0xfff713f2,0x7d40007f,0x3fe201ff,0x3fe06fff,0xfff501ff,0xff00005f,
    0xf80005ff,0x7fc06fff,0x800001ff,0xdffffffc,0x3fffe000,0xffff8001,
    0x7ffcc02f,0x0000005f,0x007fffe0,0x1bea0000,0x007ffff4,0x01fffa80,
    0x03f45dc4,0x6403ffff,0x0000ffff,0x0017fffc,0x05ffff70,0x001ffff8,
    0x2bf26000,0xffff8000,0xfffc8001,0x7fff404f,0x0000000f,0x007fffe0,
    0x1ff30000,0x1bfffe60,0x0fffd400,0x7c0bf100,0x7f401fff,0x7c0005ff,
    0x10002fff,0xf00bffff,0x00003fff,0x0000ed80,0x0003ffff,0x407ffff7,
    0x002ffffc,0xf0000720,0x00003fff,0x2017f440,0x003ffffc,0x003fff98,
    0xfff80fea,0x7ffcc01f,0x3fe0003f,0xfb0002ff,0xff001fff,0x000003ff,
    0x0017ffd4,0x000ffffc,0x817fffec,0x004ffffa,0x200007c0,0x0001ffff,
    0x4013f600,0x001ffffe,0x322fffc4,0xff80db01,0xffb801ff,0xff0001ff,
    0xf50005ff,0x3e007fff,0x00001fff,0x01fffae0,0x007fffe0,0x03ffffe0,
    0x01bfffe2,0x0000d500,0x0003ffff,0x8017f200,0x006ffff9,0xcacffff8,
    0xf805f704,0xfb002fff,0xf0001fff,0xb8005fff,0x2005ffff,0x0001ffff,
    0x0fffc400,0x07fffe00,0x7ffff900,0x07ffff60,0x005e8800,0x01ffff80,
    0x0ffb8000,0x7fffe400,0x7ffe4004,0x1fe886ff,0x02ffff80,0x1dffff10,
    0x2ffff800,0xffffb100,0x7ffc400b,0x8000001f,0xff8006fe,0x3ee001ff,
    0xff506fff,0xd80007ff,0x7c40003f,0x00002fff,0x80017fdc,0x002fffff,
    0x2067ffe4,0xf9800cfa,0x26004fff,0x000effff,0x407ffff3,0xfffffb98,
    0x7ffd4003,0x4000003f,0x4c003ffa,0xa802ffff,0x80effffe,0x006ffff8,
    0x00bffaa0,0x9ffff300,0x3f220000,0xfd0000ff,0x0003ffff,0x88004c03,
    0x0cfffffe,0xfffff900,0x3fa2017b,0xceffffff,0xffffffed,0xffe98003,
    0x0000afff,0x17ff6e60,0xffffd100,0xdb99ddff,0x07ffffff,0x777ffff4,
    0xeeeeeeee,0xfffffeee,0x3a20001f,0x00bfffff,0xffff5100,0xfa80019f,
    0x2dffffff,0xd1000000,0xffffffff,0xfd007dff,0x27ffffff,0xffffffe8,
    0xffffffff,0x4000acee,0xffffffe9,0x003effff,0x01bcb980,0xfffffd30,
    0xffffffff,0x037bddff,0xffffffa8,0xffffffff,0xffffffff,0xfe88007f,
    0xffffffff,0x3f2002ef,0xffffffff,0xffffc806,0x7fffffff,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x3b600000,0x4eeeeeee,0xddddddd0,0x3bbbba67,0xeeeeeeee,
    0xeeeeeeee,0x30000eee,0xdddddddd,0xdddddddd,0xdddddddd,0xeeeee881,
    0x3eeeeeee,0xeeeeee88,0x13eeeeee,0x33333333,0x33333333,0x00133333,
    0x40006000,0x000003e8,0x80000f54,0x01bcdcb9,0x5440b880,0x01dfffff,
    0x50efffcc,0xffffffff,0xffffffff,0xffffffff,0xfb880001,0xefffffff,
    0xeeeeeeee,0x5101fffe,0x19ffffff,0xfffd5100,0xaad839ff,0xaaaaaaaa,
    0xaaaaaaaa,0x73005aaa,0xf30359d9,0x09f30007,0x1fb80000,0x7ff4c000,
    0x03fffecd,0x501ffc98,0x2003ffff,0xdffa86fd,0x7fff9819,0x03ffd730,
    0x33ff2000,0x2a004fff,0x7fcc01ff,0xf88004ff,0x00b05fff,0xd3016000,
    0xbfffdbff,0x40017e61,0x000004f9,0x30000fdc,0xffa81dff,0x3fb7202f,
    0x3fff601f,0x703ff003,0xfff9809f,0x00ff4407,0xfcbfd800,0x7cc004ff,
    0x2ffff802,0x7ffff000,0x40000160,0x30bfee05,0x0bf9fffb,0x0027cc00,
    0x007ee000,0x817ffc40,0x5c00fffd,0x3fe201ff,0x05f9806f,0xfff300f7,
    0x005f100f,0x7fe5fe00,0x02f8004f,0x002ffff8,0x205fffd0,0x0b000005,
    0xfe807ff2,0x20000eff,0x000004f9,0xa8000fdc,0xff500fff,0x1ffb805f,
    0x00fffec0,0x02dc07f6,0x803fffcc,0xfb80002d,0x009fff93,0xfff00790,
    0x3fa0003f,0x000b02ff,0x3fe61600,0x7fff4404,0x13e60000,0x3f700000,
    0x1ffee000,0x402fff98,0x7d401ffa,0x17e205ff,0xff9802c8,0x0057007f,
    0x7fe4df00,0x0198004f,0x001ffff8,0x205fffd0,0x0b000005,0xfb003ffd,
    0x4c000bff,0x4000004f,0xf30001fb,0x7ffc40bf,0x00ffd403,0xc807fff4,
    0x4c00202f,0x11007fff,0x22fb8000,0x0004fffc,0x07fffe00,0x17fff400,
    0xb0000058,0xd807ff98,0x001fffff,0x00009f30,0x0001fb80,0xfff50062,
    0x01ffa807,0xf03fffb8,0x3e60000d,0x000007ff,0xffc8df10,0x2000004f,
    0x0001ffff,0x1605fffd,0x2e2c0000,0x57e406ff,0x0004fffd,0x000009f3,
    0x00001fb8,0xffffeb88,0x00ffd403,0x5437ffc4,0xf300003f,0x00000fff,
    0xff90bee0,0x002c009f,0x0007fffe,0x5817fff4,0xd8b00000,0x4bee06ff,
    0x0005fffc,0x000009f3,0x00001fb8,0x3e6fff26,0x7fd403ff,0x5fff9001,
    0x00000fe8,0x000ffff3,0x90df1000,0x22009fff,0x7fffc006,0xfffd0001,
    0x00001605,0x417ffe2c,0x3ffea3fa,0x09f30006,0x1fb80000,0xefd98000,
    0x00fffe22,0x26003ff5,0x13e65fff,0xfff98000,0xc8000007,0x4fffc82f,
    0xf800d700,0xd0001fff,0x01605fff,0xff32c000,0x989f30df,0x3fe27fff,
    0xffffffff,0xffffffff,0xf74fffff,0xffffffff,0xffffffff,0x03ffffff,
    0xff10bff5,0x1ffa807f,0x43fff600,0x200000fc,0x0007fff9,0xc837c400,
    0xf9804fff,0x7fffc006,0xfffd0001,0x00001605,0x8ffff32c,0xfff885f9,
    0x3bbbba26,0xefeeeeee,0xeeeeeeee,0xdddd53ee,0xfddddddd,0xdddddddd,
    0xffb83ddd,0x07fff103,0x2001ffa8,0x5f8cfffa,0x7fcc0000,0x4000007f,
    0xfff902fd,0x9755555b,0xf800dffb,0xd0001fff,0x01605fff,0xff12c000,
    0x81be23ff,0x30004fff,0x8000009f,0xf70001fb,0x7ffc40df,0x00ffd403,
    0x3effffa0,0x7cc00001,0x000007ff,0xffc81be6,0xffffffff,0x4006ffff,
    0xffffffff,0xffffffff,0x02ffffff,0x1600000b,0xdd15ffff,0x0bffe201,
    0x0027cc00,0x007ee000,0x101fffc0,0xfb807fff,0x7ffffc2f,0xffffffff,
    0xffffffff,0x7fcc004f,0x2000007f,0x3ff201fd,0x999999df,0x4006fea9,
    0xcccdffff,0xcccccccc,0x02ffffcc,0x1600000b,0x1fd7fffb,0x007ffcc0,
    0x0004f980,0x000fdc00,0x101fffcc,0x2a607fff,0x991adffe,0xf9999999,
    0x9999bfff,0x80059999,0x0007fff9,0x333df300,0xfffb3333,0x00db1009,
    0x001ffff8,0x205fffd0,0x8b000005,0x01fffffa,0x0003ffd4,0x000009f3,
    0xa8001fb8,0x3e605fff,0x555303ff,0x64003555,0x00000fff,0x007fff98,
    0xffffd000,0xffffffff,0x01aa009f,0x003ffff0,0x40bfffa0,0x0b000005,
    0x9007fffd,0x4c0007ff,0x4000004f,0xf88001fb,0xffb80fff,0x000124ff,
    0x003fff20,0x3ffe6000,0xfa800007,0xaaaaaaad,0x004fffda,0xfff800d1,
    0xffd0001f,0x0001605f,0x7ffcc2c0,0x1bfe200f,0x009f3000,0x01fb8000,
    0x9ffffd00,0xfff5fb73,0x00009d7f,0x001fff90,0xffff3000,0x1fd00000,
    0x09fff900,0x3fe001c0,0xfd0001ff,0x001605ff,0x7fdc2c00,0x3ff205ff,
    0x27cc0001,0x3ee00000,0xfff50001,0x361dffff,0x8004ffff,0xaaaaaaaa,
    0xaabfffda,0x01aaaaaa,0x03fffcc0,0x013ea000,0x0027ffe4,0x3ffff000,
    0x3fffa000,0x00000b02,0xff77f516,0x3f6615bf,0xf980000e,0x5c000004,
    0x3ea0001f,0x7d43ffff,0xff0003ff,0xffffffff,0xffffffff,0x8009ffff,
    0x0007fff9,0xc8007f40,0x00004fff,0x007fffe0,0x817fff40,0x4b000005,
    0x3ff624f9,0x00bfffff,0x009f3000,0x01fb8000,0x200a9800,0x4cc00018,
    0xd9999999,0x9999afff,0x40009999,0x0007fff9,0xc800fee0,0x40004fff,
    0x07fffe03,0x17fff400,0xb0000058,0xcba882f4,0x9800002a,0xeea8004f,
    0xeeeeeeee,0xeeeeeefe,0x001eeeee,0x80000000,0x0000fffc,0x07fff980,
    0x001fe000,0x0009fff9,0xffff0264,0x3ffa0003,0x0000b02f,0x00000960,
    0x03e88000,0xeeeeea80,0xeeeeeeee,0xeeeeeeee,0x000001ee,0xffc80000,
    0x9800000f,0x00007fff,0xfc8007f9,0xf30004ff,0x0ffffc03,0x2fffe800,
    0x200000b0,0x00000005,0x00000000,0x00000000,0x7e400000,0x800000ff,
    0x0007fffa,0xc8007f98,0x88004fff,0x7fffc07e,0xfffd0001,0x00001605,
    0xeeeee8ac,0x00eeeeee,0x00000000,0x00000000,0x00000000,0x0003fff9,
    0x0ffff500,0x009fd000,0x009fffb0,0x7c04fd88,0xf0002fff,0x01607fff,
    0xff8ac000,0xffffffff,0x0000000f,0x00000000,0x00000000,0x5fffd000,
    0xff900000,0x5c0003ff,0xfe8003ff,0x3ea006ff,0x3fe602ff,0xf88003ff,
    0x00b05fff,0x7fc56000,0xffffffff,0x0000000f,0x00000000,0x00000000,
    0x7ffe4c00,0x200002ef,0xaefffffa,0x3ff22000,0x3f2002ff,0xccdeffff,
    0xfffeeccc,0x3ffa207f,0x1000afff,0x17fffffb,0xeeeeeed8,0xeeeeeeee,
    0x6eeeeeee,0x77777771,0x00017777,0x00000000,0x00000000,0x3ea00000,
    0xffffffff,0xfd50007f,0xffffffff,0xffb801df,0x05ffffff,0xffffffdb,
    0xffffffff,0x8bffffff,0xffffffe8,0x883effff,0xffffffee,0x0003efff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x4c000000,
    0x000bcdcb,0x0157b930,0x6edd4400,0xb971002b,0x300aa359,0x0179db95,
    0x0379b951,0x06666666,0x0cccccc4,0x99999988,0x33310099,0x4ccc4333,
    0x26209999,0x19999999,0x43333330,0x000000b8,0x2a000000,0xb5076a02,
    0x77fd4015,0x003ffffd,0xffdbffb5,0xfb8001df,0x1effffef,0x3f37fee0,
    0xd103ffff,0xffff9bff,0x7ff7fec5,0xffec83ff,0xfeb80fff,0xeb80ffff,
    0x3effffff,0xdffffb30,0x3ffffee1,0x3ffa63ff,0x40dfffff,0x0fffffd8,
    0x00039ff1,0x20000000,0x64c4ffb8,0xffd32fff,0x03bf20bf,0xc80bfff7,
    0x7fec41ff,0x3fd8801f,0x41ffff4c,0x7ecc0dfb,0x45ffa83f,0xfdafffc8,
    0x82fffd42,0x200ffff9,0x200ffff8,0x005ffffb,0xfb103ff3,0x7fcc0fff,
    0xff9806ff,0x2dffeb84,0x00000000,0x19fff930,0x3fffffaa,0xfffffe8a,
    0xfd037ec1,0x3ff607ff,0x0bfff602,0x3e203fd0,0x3fe61fff,0xf10ffa00,
    0x3ffe03ff,0xfff501ff,0x03fff605,0x801fffd0,0x5004fffd,0x7ffcc09f,
    0x1fffdc07,0x2a037cc0,0x000beffd,0xda800000,0x99982eff,0xacdaffff,
    0x7fdc7ffe,0x1bffee01,0xf1013fea,0x3ee01fff,0x37ffd404,0x3f980ff7,
    0xfb03ffd4,0xffe80bff,0x01fff907,0x400fffc8,0x9006fff8,0xfffc801f,
    0x02fffc01,0xc9800fdc,0x0000cfff,0x7f5c4000,0xff7001df,0x21ca8bbf,
    0x7cc05ff8,0x7ffc46ff,0x4fffc801,0x4401ff88,0xffb1ffff,0x7dc3e803,
    0x3fff207f,0x17ffec02,0x2007ffdc,0xd800fffb,0x5f800fff,0x03fff880,
    0x2007ffe4,0xfb88006e,0x00001dff,0x67ffe440,0x7ffd4000,0x3ffc800f,
    0x541dda80,0xff1007ff,0x07fc83ff,0x327ffff0,0x21dc05ff,0x3f204ff8,
    0x7fe401ff,0x0fffb83f,0x007ffdc0,0x2027ffcc,0xffd001fa,0x3fff980d,
    0x0000fe60,0x005dffd5,0xeffd9800,0xff50000b,0x3ffa007f,0x7fe40002,
    0x3fff6006,0x7777fec3,0xffeeeeee,0xdfff54ff,0xc8030003,0xffffffff,
    0x4fffffff,0x400fffb8,0xd000fffb,0x06e80fff,0x807ffea0,0x3206fffa,
    0xb300000f,0x00017fff,0x016fff54,0x17ffd400,0x001fff80,0x002fff40,
    0xff89fff7,0xaaaaaaae,0x21aaaaaa,0x01dfffff,0xfffda800,0xccccccdf,
    0xb82ccccc,0x7dc00fff,0xff7000ff,0x00fe605f,0x204fff88,0xf02ffffe,
    0x9100000b,0x20039fff,0x01cfffc8,0x3ffea000,0x0fff9802,0x3ffe2000,
    0x3ffea004,0x001ffe26,0x3ffffee0,0xea8001df,0x00fffddf,0x0fffb800,
    0x007ffdc0,0x906fff88,0xffc8001f,0xfff5f507,0x0005f50b,0x7ff5c400,
    0xfffb302d,0x50000017,0xf5005fff,0x4c0003ff,0x26005fff,0x3fe67fff,
    0xfa80000f,0x03ffffff,0x323bff70,0x80001fff,0x5c00fffb,0x32000fff,
    0x04f81fff,0x82fff980,0x81fff96e,0x0000007d,0x447bffaa,0x0002effe,
    0x17ffd400,0x017ffd40,0x0dfff500,0x32fffc40,0x00003fff,0x3fffff22,
    0xdfd500df,0x01fffc83,0x0fffb800,0x007ffdc0,0xb8bfff10,0xffd0001f,
    0xff32f98b,0x0027c47f,0xff910000,0x3bffa25f,0x2000000b,0x9802fffa,
    0x20004fff,0x2007fff9,0x3e23fff8,0x400002ff,0x6fffffd8,0xf704ffc8,
    0x700005ff,0xfb801fff,0x7ec000ff,0x001ba0ff,0x360fffb8,0xf737ff46,
    0x30000001,0x3017dffb,0x0019fff9,0x5fff5000,0x1ffff100,0xff895400,
    0xff3000ff,0x06fff83f,0x74c01440,0x3ee1ffff,0x3ffea05f,0x7dc0c003,
    0x7fdc00ff,0x7fd4000f,0x0005f33f,0xf89fffc4,0xe8fffdc3,0x54000005,
    0x1002dffe,0x003bfff7,0x17ffd400,0x03ffff80,0xffff83a0,0x1fff3003,
    0x003fffe8,0x32006cf2,0x3ff64fff,0x1bffe603,0xffb83b80,0x7ffdc00f,
    0x7ffe8000,0xfb0000f9,0xf103f2df,0x005f39ff,0xfff71000,0x75400039,
    0x80002eff,0xb002fffa,0x7001dfff,0x06fffb8d,0xf90dff50,0xf1001fff,
    0xff100f61,0x0bffe2df,0x003ffff0,0xfff501f1,0x0fffb803,0xbfffb800,
    0xfa80004f,0xf904faff,0x0000fbff,0x0bfffc98,0x3f660000,0x50000bff,
    0x22005fff,0x200effff,0xffff83f9,0x82ffd801,0x02fffff8,0x806d9ba2,
    0xfff55ffc,0xefffd80b,0x4c17a200,0x3a602fff,0x88001fff,0x000fffff,
    0x1fffff00,0x13fffe60,0x7fed4000,0x4000002e,0x01cfffc8,0x017ffd40,
    0x5dffff90,0xb837e441,0x2200efff,0x3fee05ff,0xa88acfff,0x0ff61ffd,
    0x3e69ff50,0xff500fff,0xd503dfff,0x3ffe203f,0xfffbf506,0x3ff20005,
    0x3200005f,0x7f404fff,0x220001ff,0x001dffeb,0x75c40000,0xf5002dff,
    0x7c4007ff,0xfeffffff,0x3f200fff,0x3bf605ff,0x7ffff400,0x3fffffff,
    0xfd00ffec,0x77fffc1f,0x3f2ff622,0xfedfffff,0x7fec03ff,0xafda9bef,
    0x1baefffb,0x0bffe600,0xfff98000,0x037fdc01,0xcfffc880,0x00000000,
    0x03effea8,0x002fffdc,0x3fffff62,0xb801ffff,0x988adfff,0xd8800efe,
    0xffffffff,0x3fffd84f,0x2a0ffdc4,0xfeefffff,0x3ffff21f,0x804fffff,
    0xfffffff8,0xfffff72f,0x6fe80017,0x5fe80000,0x003ff880,0x0177fed4,
    0x80000000,0x40cfffc9,0x03fffff9,0xfffffc80,0x3aa000df,0x3effffff,
    0xffffb800,0xdfb01fff,0xbffbdfff,0x3fffee01,0xfeb80cff,0x002fffff,
    0x3bffffaa,0x00b7fee0,0x0003fa80,0xb002fb80,0x7fc4001f,0x0000001d,
    0xff910000,0x3ffffea9,0x8005ffff,0x0000abb9,0x000d65cc,0x00d654c0,
    0xacba9826,0x2bca8801,0x13795100,0x02ae6000,0x4000072a,0x8800000c,
    0x000e6004,0x00000191,0x54000000,0x00000003,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01cc0000,
    0x100001cc,0x09893009,0x4c450000,0x19999999,0x04cccccc,0xca82da80,
    0x6dcc00ad,0x3331001b,0x33333333,0x44033333,0xadc981db,0x00000000,
    0x400000c0,0x980001ca,0xf1000aba,0x003f8809,0x4404e880,0x203be24e,
    0x80abcca8,0xfffd34fb,0xfd8bffff,0x2204ffff,0x3aa2fffc,0xa84fffff,
    0x05ffffff,0xffffffc8,0xffffffff,0x7fe4c1ff,0x3fffee1f,0x01e401ff,
    0xf800e880,0x2600004f,0x220007ff,0x03fffffd,0xfb805f70,0x07ec0002,
    0xdf703fa0,0x3ffffa61,0xdf70cfff,0xffffe881,0x01bff704,0x3fffff66,
    0xfffdff72,0x7ffdc5ff,0x403fffff,0xaaaabefc,0xffffaaaa,0x3ffffaa4,
    0xfffff91f,0x7f440dff,0x17fc4003,0x001ffea0,0x00fffa80,0xecefe880,
    0xff004fff,0x00ffc403,0x6c04fc80,0xfbdf704f,0xf951359f,0x201df9ff,
    0xb06fffe8,0xe998809f,0x0aecafff,0x7ddbffee,0x3fffea1b,0x2003b201,
    0x4cc6fffb,0xecaffff9,0x9fffb11b,0x801ff440,0xfa802ff8,0x2200007f,
    0xf90004fd,0x01fffa81,0x2e00ffb8,0x7d4000ef,0x03fee00f,0x400effb8,
    0x4c00fffa,0x7cc2ffff,0x7ffdc006,0xfff900de,0x3fea03db,0x2013604f,
    0x200ffff9,0x00defffc,0xe880ffff,0x17f4403f,0x17fe2154,0x00000151,
    0x7ec0ba00,0x1dff003f,0x8017fe20,0x3ea04ff9,0x027e403f,0x7001ff50,
    0x3a21dfff,0x7fd4000f,0x7ffcc04f,0x2fffc00e,0xff8805b0,0x7fd402ff,
    0x7ffe404f,0x81ff4400,0xffb82fe8,0xfb8ffa0e,0x000000ff,0x0ffd4000,
    0x205ffb80,0xf8804ffb,0xfff300ff,0x0037cc01,0xfd802fd4,0x003fb4ff,
    0x805fff30,0xe804fff8,0x002606ff,0x5009fffb,0xfb803fff,0xfe8801ff,
    0xc817f443,0x5f90efff,0x007fffee,0x70000000,0xffe800df,0x00bffe04,
    0x3a207ffd,0x0fec03ff,0x801fd800,0x3fcffff8,0x5fff3000,0x009fff00,
    0x4000dffd,0x5006fffb,0xfa803fff,0xff1001ff,0x880bfa27,0xfa9ffffe,
    0x04ffffb8,0x80000000,0x7dc003fe,0xfff702ff,0x03fff603,0x2007fff4,
    0x3ea0005f,0xffff5004,0x7fcc000b,0x4fff802f,0x006ffd80,0x01ffff30,
    0x007ffea0,0x4003fff5,0x02febff8,0xf9ffd950,0xb837dff9,0xffffffff,
    0xffffffff,0x1fffffff,0x0006f980,0x3a03fffd,0x7fdc0fff,0x7fffb03f,
    0x0004f980,0xfd8017e2,0x260003ff,0xff802fff,0x6ffd804f,0xffff8800,
    0x3ffea002,0x0fffd401,0x0bffe200,0x77fdc400,0x3bbaa00a,0xeeeeeeee,
    0xeeeeeeee,0x4401eeee,0xf50000ee,0xff701fff,0x3fffccdf,0x807fffb8,
    0x740002fa,0x3ffe2007,0xff30001f,0x9fff005f,0x00dffb00,0x009fffb0,
    0x401fffa8,0x4001fffa,0x4003fff8,0xdffefca8,0x0000000b,0x003fb000,
    0x82fffe40,0x3a24fffc,0xff981fff,0x17d400ff,0x801fa000,0x006ffffa,
    0x005fff30,0xfb009fff,0xffb800df,0xffa8006f,0x7ffd401f,0x2ffe2001,
    0xfe9803fe,0xff9f9dff,0x00000cff,0x01d90000,0x77ffc400,0x85fff880,
    0xf505fff9,0x4f980bff,0x802fc000,0x4fffcdf8,0x2fff9800,0x804fff80,
    0x26006ffd,0x8000ffff,0x5401fffa,0xf1001fff,0x80ffa25f,0xf54ffffa,
    0x0dfffd11,0xb0000000,0xfc80001d,0xdff900ff,0x07ffea01,0x200fffdc,
    0x3e60005f,0x3a1fd004,0x4c001fff,0xff802fff,0x6ffd804f,0x5ffff100,
    0x3ffea000,0x0fffd401,0x2217f440,0xfffb03fe,0xfe897ec9,0x000001ff,
    0x220bd100,0xfff8803d,0x01fff101,0x3605ffb8,0x07f405ff,0x801fc800,
    0x3ffe61fc,0x3fe6000f,0x4fff802f,0x006ffd80,0x1009fffb,0x007ffea0,
    0x8803fff5,0x7fd102fe,0xff87ff30,0x0017f624,0x98001fe4,0xeeeeeefe,
    0xffc800ff,0x00bff203,0xfd00ffec,0x037cc03f,0x5402fcc0,0x5fffc83f,
    0x0bffe600,0x2013ffe0,0xfb806ffd,0x20d006ff,0x5401fffa,0x3a201fff,
    0x1ff4403f,0x006ff980,0x03ffea00,0xfffff300,0x009fffff,0x7cc09ff1,
    0x3fa2003f,0x017fe205,0x744009f9,0x02fc400f,0x2005fffd,0xf802fff9,
    0xffd804ff,0x7fffcc06,0x3ea0d000,0x7fd401ff,0x07fd101f,0x200ffe20,
    0x00007ffa,0x0003ffe6,0x55555553,0xf9001555,0x005fd80b,0x2601ff88,
    0x3fee01ff,0x7ffd400d,0x803fa200,0x800ffff9,0xf803fffa,0xffe805ff,
    0x3fffa207,0x2a0d5002,0x7d402fff,0x3fe882ff,0x017fc400,0x0001bfe6,
    0x00005b70,0x0ef88000,0x8001be60,0x2fd405f9,0xcffdefb8,0xbffb730a,
    0x0ff601df,0x03bfff60,0x809fff70,0xe805fff8,0xffb00fff,0x1be2009f,
    0x201fffe4,0x7903fffb,0x003a2000,0x000007ae,0x00000000,0x3f6007ec,
    0x0fdc0000,0xdf707ee0,0x3ffffaa1,0xdf70cfff,0x06ffec41,0xdffffd10,
    0x3fffa203,0xfffb100f,0x3fee205f,0xfffb84ff,0xaaaaaabf,0xa85ffdcb,
    0x300effff,0x001dffff,0x00000000,0x00000000,0x007e6000,0x200003f3,
    0x225d806c,0xdca980ef,0x34fb80ac,0x03ffffff,0xfffffff5,0x7fffccff,
    0xf34fffff,0xffffffff,0x7fffff4d,0xfff15fff,0xffffffff,0x4bffffff,
    0xfffffffa,0xffff73ff,0x003fffff,0x00000000,0x00000000,0x88008800,
    0x00c00000,0x00004c18,0x00000028,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xb980aa00,0x2aaaaa20,
    0xaaaaaaaa,0xaaaaaaaa,0x555511aa,0x55555555,0x55555555,0x33223555,
    0x3b2202cc,0x90000bde,0x05100a85,0x00000000,0x00000000,0x00170000,
    0x04ddcc40,0x00aba980,0x004d54c0,0xff70dff9,0x7ffffccf,0xffffffff,
    0xffffffff,0xffff14ff,0xffffffff,0xffffffff,0x7fd49fff,0xfffd306f,
    0x4007dfff,0x5fff11f8,0x000fffa8,0x00000000,0x00000000,0x0009f300,
    0x3fffffee,0x26b7a602,0x7d401efd,0xd03ffdbf,0xffe83fff,0x5555512f,
    0x55555555,0x55555555,0x2aaa29f7,0xaaaaaaaa,0xaaaaaaaa,0x7e41aaaa,
    0xadfe80ff,0xcffffda9,0xff73dc01,0x4fffd8df,0x00000000,0x00000000,
    0x1ffd0000,0xacffe800,0xfb05ffca,0x900ffe83,0x85ffb89f,0x7fc1ffff,
    0x000002ff,0x000027c4,0x87ffb000,0xfd5101fb,0x64417dff,0x17ffee3f,
    0x0007fffb,0x00000000,0x00000000,0x00bfbf70,0x74406fe4,0x643fcc3f,
    0x0ff982ff,0x7fc2ffe8,0x7fffc0ff,0x44000001,0x0000004f,0x1762ff40,
    0x7fffe4c0,0x7446ffef,0x77f4c1ff,0x00000000,0x00000000,0xb7c40000,
    0x6f9802fd,0xd107fc40,0xd07ff707,0x1ffea0df,0xffb0fffb,0x8000001f,
    0x000004f8,0xd07f4400,0xffb50003,0x200c09ff,0x00000001,0x00000000,
    0x5fb00000,0x3ee01be2,0x402fb802,0xf83ffec8,0x87ffe05f,0xffc86ffc,
    0x88000007,0x0000004f,0x0062f980,0x00002200,0x00000000,0x00000000,
    0x2fcc0000,0x1fb00fee,0x2609f300,0x43ffb9cd,0x3fa06ff9,0x213fee2f,
    0x00006ffa,0x2664f880,0x99999999,0x99999999,0x40099999,0x0000004a,
    0x00000000,0x00000000,0x20000000,0x00fe80fe,0x3e6003f6,0x3ee2fc84,
    0x03ffcc3f,0x7fcc5ffb,0x005ff983,0x14f88000,0xffffffff,0xffffffff,
    0x9fffffff,0x00000000,0x00000000,0x00000000,0x40000000,0x0bf503fb,
    0x7d400fe4,0xf70ff623,0x0fff887f,0x7c41ff90,0x007ff01f,0x25910000,
    0xccccccc8,0xcccccccc,0xcccccccc,0x00000002,0x00000000,0x00000000,
    0x00000000,0x1fd80df1,0xfb009f50,0x2e07fec3,0x3fff83ff,0x1fd0dfb0,
    0x0000bfa0,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x7c402fd8,0xb80bfa06,0x207ffc5f,0xffb84ffb,0xdb03fd06,0x00007e40,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0xf9005f98,
    0x833fe607,0x7f40ffd9,0xffedaaef,0x67fec2be,0x2dc13ee0,0x00000f70,
    0x00000000,0x00000000,0x00000000,0x00000000,0x40000000,0x3fa000fe,
    0xffffd300,0xff503dff,0xfff13dff,0x9fff901b,0x004405fd,0x00000011,
    0x00000000,0x00000000,0x00000000,0x00000000,0x2e000000,0x27d4004f,
    0x0f7bf6e0,0xcb837710,0x55e54402,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x2000df10,0x000001fd,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x7ec00000,
    0x0df10002,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x40001980,0x00000018,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__times_50_latin1_x[224]={ 0,5,2,0,2,1,1,1,1,1,3,0,2,1,
3,0,1,5,0,1,0,2,1,1,2,1,3,3,0,0,0,2,2,0,0,1,0,0,0,1,0,1,0,0,
0,0,-1,1,0,1,0,2,1,0,0,0,0,0,0,3,0,1,0,-1,2,1,-1,1,1,1,1,1,0,1,
-4,0,1,0,0,1,-1,1,0,2,0,0,0,0,0,0,0,6,3,3,0,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,0,5,2,1,0,0,
3,3,1,1,-1,1,0,1,1,-1,2,0,0,0,5,2,-1,3,4,2,0,1,2,2,0,1,0,0,0,0,
0,0,-1,1,0,0,0,0,1,1,1,1,0,-1,1,1,1,1,1,3,1,0,0,0,0,0,0,0,1,1,
1,1,1,1,1,1,1,1,1,1,1,1,0,0,1,0,1,1,1,1,1,0,0,0,0,0,0,0,-1,0,
 };
static signed short stb__times_50_latin1_y[224]={ 40,9,9,9,7,9,9,9,8,8,8,13,35,28,
35,8,9,9,9,9,9,10,9,10,9,9,19,19,14,20,14,9,8,9,10,9,10,10,10,9,10,10,10,10,
10,10,10,9,10,9,10,9,10,10,10,10,10,10,10,9,8,9,9,47,9,19,8,19,8,19,8,19,8,8,
8,8,8,19,19,19,19,19,19,19,13,19,19,19,19,19,19,8,8,8,25,11,11,11,11,11,11,11,11,11,
11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,11,40,18,10,9,14,10,
8,9,10,9,9,19,20,28,9,5,9,13,9,9,9,19,10,22,39,9,9,19,9,9,9,18,0,0,0,1,
2,2,10,9,0,0,0,2,0,0,0,2,10,1,0,0,0,1,2,15,9,0,0,0,2,0,10,8,9,9,
9,10,10,8,19,19,9,9,9,10,9,9,9,10,8,10,9,9,9,10,10,16,18,9,9,9,10,9,8,10,
 };
static unsigned short stb__times_50_latin1_w[224]={ 0,6,14,22,19,36,33,6,14,13,17,25,7,13,
6,13,20,13,21,18,22,18,20,20,18,20,6,7,25,25,25,17,39,33,28,28,31,27,24,31,32,13,18,33,
27,40,33,30,24,30,31,21,26,33,33,43,33,32,27,11,13,11,21,24,8,19,23,18,22,18,19,21,23,11,
13,23,11,35,23,21,23,22,16,14,13,23,23,33,23,23,20,13,3,14,25,23,23,23,23,23,23,23,23,23,
23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,23,0,6,18,21,22,23,
3,17,13,32,14,21,25,13,32,24,14,25,13,12,8,23,22,6,7,9,14,21,32,31,34,18,33,33,33,33,
33,33,40,28,27,27,27,27,13,13,13,13,31,33,30,30,30,30,30,19,30,33,33,33,33,32,24,22,19,19,
19,19,19,19,28,18,18,18,18,18,11,11,13,13,20,23,21,21,21,21,21,25,22,23,23,23,23,23,23,23,
 };
static unsigned short stb__times_50_latin1_h[224]={ 0,32,14,32,37,33,32,14,42,42,19,24,13,4,
6,33,32,31,31,32,31,31,32,31,32,32,22,29,22,10,22,32,42,31,30,32,30,30,30,32,30,30,31,30,
30,30,31,32,30,40,30,32,30,31,31,31,30,30,30,40,33,40,17,3,8,22,33,22,33,22,32,31,32,32,
42,32,32,21,21,22,31,31,21,22,28,22,22,22,21,31,21,42,42,42,7,29,29,29,29,29,29,29,29,29,
29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,29,0,32,39,32,22,30,
42,40,6,32,14,22,10,4,32,3,15,24,17,17,8,31,40,6,10,17,14,22,33,33,33,32,40,40,40,39,
38,38,30,40,40,40,40,38,40,40,40,38,30,40,41,41,41,40,39,20,33,41,41,41,39,40,30,33,32,32,
32,31,31,33,22,30,32,32,32,31,31,31,31,30,33,30,32,32,32,31,31,18,24,32,32,32,31,41,42,40,
 };
static unsigned short stb__times_50_latin1_s[224]={ 253,246,68,106,69,89,197,247,65,98,193,
173,247,150,246,69,231,136,114,96,183,144,155,206,1,20,247,248,213,109,187,
115,1,1,109,209,98,1,65,1,93,229,35,130,29,57,161,33,203,159,1,
133,25,1,150,184,199,166,138,172,169,234,1,114,135,225,24,1,1,42,76,
195,98,238,80,74,64,92,149,20,77,54,239,61,233,105,129,153,68,90,128,
131,127,112,144,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,
126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,126,253,247,96,
122,45,1,94,1,170,41,38,23,83,150,176,89,23,199,237,243,247,66,149,
247,243,245,53,1,83,183,215,49,81,1,115,180,35,1,52,190,53,219,131,
214,239,35,49,242,33,19,32,1,203,208,149,173,116,97,169,63,115,63,164,
146,228,208,188,163,227,126,76,90,169,87,68,35,54,217,147,189,48,228,175,
129,147,125,228,211,150,1,25,151,101,145,41,184, };
static unsigned short stb__times_50_latin1_t[224]={ 1,1,542,241,168,168,241,435,1,1,520,
466,450,491,34,206,241,340,340,274,307,307,274,307,307,307,307,206,497,542,497,
274,1,340,435,274,404,404,435,274,466,372,372,404,404,404,372,274,404,44,435,
274,466,372,340,340,435,435,435,86,168,1,543,202,542,466,207,497,207,497,274,
372,307,274,1,307,274,520,520,497,372,372,497,497,435,497,497,497,520,340,520,
1,1,1,542,466,466,466,466,466,466,466,466,466,466,466,466,466,466,466,466,
466,466,466,466,466,466,466,466,466,466,466,466,466,466,466,466,466,1,44,127,
307,520,466,1,86,542,307,543,520,542,491,274,202,543,466,520,372,330,340,86,
77,390,466,543,520,206,168,168,241,86,127,86,127,168,168,466,44,86,44,44,
127,86,127,127,127,435,86,44,44,1,86,127,520,206,44,1,44,127,127,404,
168,206,206,206,307,307,168,497,435,206,241,241,340,340,372,372,404,207,404,241,
241,206,372,340,520,466,241,241,241,372,1,1,86, };
static unsigned short stb__times_50_latin1_a[224]={ 181,241,295,361,361,602,562,130,
241,241,361,407,181,241,181,201,361,361,361,361,361,361,361,361,
361,361,201,201,407,407,407,321,665,522,482,482,522,441,402,522,
522,241,281,522,441,642,522,522,402,522,482,402,441,522,522,682,
522,522,441,241,201,241,339,361,241,321,361,321,361,321,241,361,
361,201,201,361,201,562,361,361,361,361,241,281,201,361,361,522,
361,361,321,347,145,347,391,562,562,562,562,562,562,562,562,562,
562,562,562,562,562,562,562,562,562,562,562,562,562,562,562,562,
562,562,562,562,562,562,562,562,181,241,361,361,361,361,145,361,
241,549,199,361,407,241,549,361,289,396,217,217,241,416,327,181,
241,217,224,361,542,542,542,321,522,522,522,522,522,522,642,482,
441,441,441,441,241,241,241,241,522,522,522,522,522,522,522,407,
522,522,522,522,522,522,402,361,321,321,321,321,321,321,482,321,
321,321,321,321,201,201,201,201,361,361,361,361,361,361,361,396,
361,361,361,361,361,361,361,361, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_50_latin1_BITMAP_HEIGHT or STB_FONT_times_50_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_50_latin1(stb_fontchar font[STB_FONT_times_50_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_50_latin1_BITMAP_HEIGHT][STB_FONT_times_50_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_50_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_50_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_50_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_50_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_50_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_50_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_50_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_50_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_50_latin1_s[i] + stb__times_50_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_50_latin1_t[i] + stb__times_50_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_50_latin1_x[i];
            font[i].y0 = stb__times_50_latin1_y[i];
            font[i].x1 = stb__times_50_latin1_x[i] + stb__times_50_latin1_w[i];
            font[i].y1 = stb__times_50_latin1_y[i] + stb__times_50_latin1_h[i];
            font[i].advance_int = (stb__times_50_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_50_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_50_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_50_latin1_s[i] + stb__times_50_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_50_latin1_t[i] + stb__times_50_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_50_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_50_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_50_latin1_x[i] + stb__times_50_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_50_latin1_y[i] + stb__times_50_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_50_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_50_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_50_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_50_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_50_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_50_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_50_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_50_latin1_LINE_SPACING
#endif

