// Font generated by stb_font_inl_generator.c (4/1 bpp)
//
// Following instructions show how to use the only included font, whatever it is, in
// a generic way so you can replace it with any other font by changing the include.
// To use multiple fonts, replace STB_SOMEFONT_* below with STB_FONT_times_bold_48_latin1_*,
// and separately install each font. Note that the CREATE function call has a
// totally different name; it's just 'stb_font_times_bold_48_latin1'.
//
/* // Example usage:

static stb_fontchar fontdata[STB_SOMEFONT_NUM_CHARS];

static void init(void)
{
    // optionally replace both STB_SOMEFONT_BITMAP_HEIGHT with STB_SOMEFONT_BITMAP_HEIGHT_POW2
    static unsigned char fontpixels[STB_SOMEFONT_BITMAP_HEIGHT][STB_SOMEFONT_BITMAP_WIDTH];
    STB_SOMEFONT_CREATE(fontdata, fontpixels, STB_SOMEFONT_BITMAP_HEIGHT);
    ... create texture ...
    // for best results rendering 1:1 pixels texels, use nearest-neighbor sampling
    // if allowed to scale up, use bilerp
}

// This function positions characters on integer coordinates, and assumes 1:1 texels to pixels
// Appropriate if nearest-neighbor sampling is used
static void draw_string_integer(int x, int y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0, cd->t0); glVertex2i(x + cd->x0, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t0); glVertex2i(x + cd->x1, y + cd->y0);
        glTexCoord2f(cd->s1, cd->t1); glVertex2i(x + cd->x1, y + cd->y1);
        glTexCoord2f(cd->s0, cd->t1); glVertex2i(x + cd->x0, y + cd->y1);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance_int;
    }
    glEnd();
}

// This function positions characters on float coordinates, and doesn't require 1:1 texels to pixels
// Appropriate if bilinear filtering is used
static void draw_string_float(float x, float y, char *str) // draw with top-left point x,y
{
    ... use texture ...
    ... turn on alpha blending and gamma-correct alpha blending ...
    glBegin(GL_QUADS);
    while (*str) {
        int char_codepoint = *str++;
        stb_fontchar *cd = &fontdata[char_codepoint - STB_SOMEFONT_FIRST_CHAR];
        glTexCoord2f(cd->s0f, cd->t0f); glVertex2f(x + cd->x0f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t0f); glVertex2f(x + cd->x1f, y + cd->y0f);
        glTexCoord2f(cd->s1f, cd->t1f); glVertex2f(x + cd->x1f, y + cd->y1f);
        glTexCoord2f(cd->s0f, cd->t1f); glVertex2f(x + cd->x0f, y + cd->y1f);
        // if bilerping, in D3D9 you'll need a half-pixel offset here for 1:1 to behave correct
        x += cd->advance;
    }
    glEnd();
}
*/

#ifndef STB_FONTCHAR__TYPEDEF
#define STB_FONTCHAR__TYPEDEF
typedef struct
{
    // coordinates if using integer positioning
    float s0,t0,s1,t1;
    signed short x0,y0,x1,y1;
    int   advance_int;
    // coordinates if using floating positioning
    float s0f,t0f,s1f,t1f;
    float x0f,y0f,x1f,y1f;
    float advance;
} stb_fontchar;
#endif

#define STB_FONT_times_bold_48_latin1_BITMAP_WIDTH         256
#define STB_FONT_times_bold_48_latin1_BITMAP_HEIGHT        546
#define STB_FONT_times_bold_48_latin1_BITMAP_HEIGHT_POW2  1024

#define STB_FONT_times_bold_48_latin1_FIRST_CHAR            32
#define STB_FONT_times_bold_48_latin1_NUM_CHARS            224

#define STB_FONT_times_bold_48_latin1_LINE_SPACING          31

static unsigned int stb__times_bold_48_latin1_pixels[]={
    0x55544553,0x0002aaaa,0x66664000,0x030000cc,0x00000553,0x00026a62,
    0x2aa20000,0x000002aa,0x00001331,0x55555540,0x54400000,0x0002aaaa,
    0x02fb2200,0x40017d91,0xffb10ffc,0x001fffff,0x3fe60000,0xb8002fff,
    0x3ff23ffe,0x75c40000,0xfffffffe,0x000001cf,0x1fffffc8,0xff910000,
    0x0019ffff,0x7fffcc00,0x9000003f,0x001fffff,0x3fffa000,0x027fff45,
    0xf881ff90,0x000fffff,0xfff90000,0xff10007f,0x3ff23fff,0xffb50000,
    0x2621357b,0x003efdca,0xffff3000,0x50000bff,0xf7339fff,0x200005ff,
    0x004ffffb,0x7ffe4000,0x9800003f,0xf30fffff,0x6400ffff,0xfffe80ff,
    0x000000ff,0x007fffd0,0x3ffffee0,0x8001ff94,0x000cfffb,0x0006fec4,
    0x3ffff600,0x20001fff,0xfc80fff9,0xe80001ff,0x00004fff,0x0dfff900,
    0xfff10000,0x7fffc4ff,0x03ff2006,0x03fffffa,0x3e600000,0x2e0003ff,
    0xf93fffff,0x3f62001f,0xfa80002f,0xf500002f,0xdfff7dff,0x3ffa2000,
    0x0bfff704,0x5fff9800,0x6c000000,0x00000fff,0x6c3fffc8,0x32003fff,
    0xfffe80ff,0x000000ff,0x0004ffc8,0x87ffffc4,0xe9800ffc,0x200000ef,
    0x80001fd8,0xff30dffe,0xff50005f,0x3fff205f,0x7fdc0007,0x00000005,
    0x00007ffb,0x5cc07260,0x07fe4000,0x07fffff4,0x7f400000,0xfb300004,
    0x007fe43b,0x00017fea,0x40006e80,0xfe884ffb,0xfffc8006,0x0dfff705,
    0x005fe800,0x7ec00000,0x00000006,0x07fe4000,0x07fffff4,0x32200000,
    0x90000003,0x7fc401ff,0x4c000004,0xff10004f,0x017ec405,0x03ffff20,
    0x000bffa2,0x00005e88,0x01db0000,0x00000000,0x7407fe40,0x000fffff,
    0x00000000,0x007fe400,0x00000dfd,0x20003ee0,0x077001a8,0xeffffa80,
    0x00000300,0x00000000,0x00000000,0x03ff2000,0x03fffffa,0x00000351,
    0x32000000,0x1ff900ff,0x00019800,0x0000007d,0x3ffe2000,0x00001eff,
    0x00000000,0x2e000000,0xeeeeeeee,0x77774c5e,0x3ff201ee,0xfffffe80,
    0x9ffffb70,0x3bbbae01,0x4c5eeeee,0x01eeeeee,0xddddddd9,0x2a03ff25,
    0x3ea002ff,0xccc88eff,0x990d505e,0x99999999,0x93079999,0x99999999,
    0xfffff905,0x3332009f,0xcccccccc,0xcc983ccc,0x2ccccccc,0x7ee5d400,
    0x01acdeff,0x7fffec40,0xc980bfff,0x7e402eff,0xffffe80f,0xfffffc8f,
    0xffb106ff,0x017fffff,0x405dff93,0xffffffb8,0xfd01ff93,0x77fe400b,
    0xffffacca,0x9883f305,0xfffffffb,0x2a601adf,0x01befffd,0x3ffffff6,
    0x7dcc401e,0xdfffffff,0x3f6a601a,0x2001beff,0xadffffea,0x1effffda,
    0x7fffec00,0x0ffc407f,0x7407fe40,0xcfcfffff,0x4fffffda,0x3fffff60,
    0x00ffc407,0x3fffffc8,0xff981ff9,0x6ffe8801,0x3ffff7e2,0x6405f103,
    0x06ffffff,0x001ffe80,0xfffffffd,0x3fff2007,0xe8006fff,0x362001ff,
    0x2a02ffff,0x2004ffff,0x1ffffff8,0x64017e20,0xfffe80ff,0x7fd42fff,
    0xff102fff,0x4403ffff,0x3fea005f,0x1ff93fff,0xe8806fc8,0x7ff41fff,
    0x0fa00fff,0xffffffa8,0x05fb8005,0xffffff30,0xf500bfff,0x00bfffff,
    0x5400bf70,0x803fffff,0x02effff9,0x9fffff90,0xc800fd40,0xfffe80ff,
    0xfffd04ff,0x3ff201ff,0x3ea04fff,0x3ffea001,0x81ff93ff,0xffd803ff,
    0xffffe84f,0xf3026c06,0x009fffff,0xf3009f50,0xfffff71f,0xff980bff,
    0x8004ffff,0xff5004fa,0x5c009fff,0x801fffff,0x0ffffff8,0x7e400d90,
    0xffffe80f,0xffff700f,0x3ffe205f,0x0d900fff,0xfffffa80,0x7d41ff93,
    0x7ffdc00f,0xfffff80f,0xf3026404,0x009fffff,0xf8807f30,0x3fffa61f,
    0x3e605fff,0x004fffff,0xf8803f98,0x8007ffff,0x006fffff,0x07fffffb,
    0xe80000fe,0x300fffff,0x409fffff,0x03fffffd,0xffa8007f,0x1ff93fff,
    0x3e202fdc,0xff985fff,0x1ec01fff,0xffffff30,0x07f30009,0xfd886fe8,
    0x302fffff,0x09ffffff,0xb007f300,0x009fffff,0x9fffff70,0xfffff300,
    0x0001f50d,0x7fffff40,0xfffff300,0x7fffcc0b,0x000fa86f,0x9fffffd4,
    0x13f20ffc,0x05ffff90,0x00fffff5,0x7ffcc05d,0x98004fff,0x13fe603f,
    0xffffffb8,0xfffff980,0x3f98004f,0x7ffffd40,0xff98002f,0xe801ffff,
    0x6c2fffff,0x7f400005,0xf100ffff,0xe80fffff,0x6c2fffff,0xfffa8005,
    0x41ff93ff,0x3fe203fd,0xffc80fff,0x01f805ff,0x3fffffe6,0x03f98004,
    0xf301bff2,0xf305ffff,0x009fffff,0x7c407f30,0x007fffff,0xffffff10,
    0xffff500d,0x0017c4df,0x3ffffa00,0xffff100f,0x7fd401ff,0x0be26fff,
    0x3fffea00,0x741ff93f,0x3ffee02f,0xffff885f,0x203cc03f,0x4ffffff9,
    0x203f9800,0x5401fffe,0xf984ffff,0x004fffff,0x3ea03f98,0x005fffff,
    0x3fffffa0,0xffff801f,0x000f71ff,0xfffffd00,0x7ffffc01,0x7fffc00f,
    0x000f71ff,0x4fffffea,0x07fe0ffc,0x82fffff8,0x00fffffb,0x3fe60264,
    0x8004ffff,0x3ffe03f9,0x7fdc00ef,0xffff984f,0xf98004ff,0x3fffee03,
    0x360004ff,0x02ffffff,0x5fffffb8,0xd000009d,0x401fffff,0x807fffff,
    0xd5fffffb,0x3fea0009,0x1ff93fff,0xff880ffc,0xfff80fff,0x01e806ff,
    0x7fffffcc,0x03f98004,0x03bffff6,0x982fff88,0x04ffffff,0x3603f980,
    0x04ffffff,0x3ffff200,0xff8804ff,0x01faffff,0xfffe8000,0xfff100ff,
    0xff100bff,0x03f5ffff,0x3fffea00,0x741ff93f,0xffff302f,0xfffff50f,
    0x9806a809,0x04ffffff,0x2a03f980,0x01efffff,0x3e603ffa,0x004fffff,
    0x3fa03f98,0x003fffff,0x3fffff20,0xfff9005f,0x2000dfff,0xfffd0198,
    0x3fe601ff,0xf9004fff,0x00dfffff,0x7ffffd40,0x7f41ff93,0xdffff703,
    0xfffffe98,0x200be201,0x4ffffff9,0x403f9800,0x3ffffffd,0xf305ff88,
    0x009fffff,0x3e207f30,0x03ffffff,0x3ffff200,0xff3007ff,0x0007ffff,
    0x3fa03ff2,0xf300ffff,0x2005ffff,0x3ffffff9,0x3ffea000,0x41ff93ff,
    0xfff905fd,0x7fdf44df,0x026407ff,0xffffff98,0x03f98004,0x7fffffc4,
    0x03fee0df,0x7fffffcc,0x03f98004,0xfffffff3,0x7fdc0005,0x000fffff,
    0x01fffffb,0x203ff200,0x00fffffe,0x03fffff7,0x7ffffec0,0x3fea0000,
    0x1ff93fff,0xffc837dc,0x9dd89fff,0x3206ffff,0xfff3000e,0x30009fff,
    0xffd1007f,0xf53dffff,0x7ffcc03d,0x98004fff,0xffff103f,0x40005fff,
    0x7ffffffb,0x3fffea00,0x3ff20004,0xfffffe80,0xbffffd05,0xffffa800,
    0x7fd40004,0x1ff93fff,0xffc83fcc,0x98ffffff,0xd904ffff,0xff301503,
    0x0009ffff,0x3a2007f3,0xffffffff,0x7ffcc00d,0x98004fff,0x3fffe03f,
    0x20003fff,0x6ffffffc,0x0ffff400,0x01ff9000,0xbffffffd,0x7ffffdc1,
    0xfffe8000,0x7fd40001,0x1ff93fff,0xffa81fe8,0x3a1fffff,0x774c6fff,
    0xff305b80,0x0009ffff,0x6c4007f3,0x3fffffff,0xfffff980,0x3f98004f,
    0x3fffffa0,0x3f20004f,0x005fffff,0x00037fdc,0x3fa03ff2,0xdffbffff,
    0x01fffffe,0x00dff700,0xfffff500,0xf703ff27,0x3ffffa07,0x7fffdc0e,
    0xf103fece,0x3fffe603,0xfa8004ff,0xfffb8003,0x4c02ffff,0x04ffffff,
    0x3603fa80,0x05ffffff,0x3ffff600,0x7c4004ff,0x7e40003f,0xffffe80f,
    0xffffe98f,0x220001cf,0xa80003ff,0xf93fffff,0x01ff881f,0x2a019dd5,
    0x402ceffe,0x3ffe604c,0xa8004fff,0xfd10002f,0x401fffff,0x4ffffff9,
    0x202fa800,0x5ffffffb,0x3fff6000,0xc8002fff,0x7e40000f,0xffffe80f,
    0x006ea20f,0x000fc800,0xfffffa80,0xf701ff93,0x0000000d,0x7fc401f1,
    0x8005ffff,0x5c0002fa,0x205fffff,0x5ffffff8,0x202fa800,0x6ffffff8,
    0x3fffe000,0xbb0006ff,0x1ff90000,0x1fffffd0,0xbb000000,0x3fea0000,
    0x1ff93fff,0x0000ffa0,0x403d8800,0x5ffffff8,0x001fc800,0x3ffe6011,
    0x3ffe207f,0xc8005fff,0x7ffe401f,0x98000fff,0x02ffffff,0x0001f880,
    0xfe80ffc8,0x0000ffff,0x000fc400,0xfffff980,0x2201ff92,0x000000ff,
    0xff005e88,0x000bffff,0x3fee00fd,0x3ffff305,0x7fffffc0,0x807e8005,
    0x4ffffff8,0xffffb800,0x0336a06f,0x320000d7,0xfffe80ff,0xa80000ff,
    0x0035c0cd,0x7ffcc550,0x01ff92ff,0x000077cc,0x4009d100,0x07fffffd,
    0xf8037c40,0xffd02fff,0x7ffec03f,0x7c4007ff,0xffff7006,0xffd000ff,
    0x3e605fff,0x001f45ff,0xe80ffc80,0x000fffff,0x22fffcc0,0xffb0003e,
    0x3ffffe25,0xa801ff91,0x800002ff,0x7d4004e8,0x001fffff,0x3e600bfa,
    0xff902fff,0xffffa80f,0x3fa001ff,0x3fffa002,0x3ea002ff,0x3204ffff,
    0x0d50ffff,0x07fe4000,0x07fffff4,0x3fff2000,0x2000d50f,0x3fe4fff8,
    0x03ff25ff,0x0037fa20,0x00ff2200,0x7fffff40,0x06fd800e,0x403fffe0,
    0xfe804ffd,0x800effff,0xfd8006fd,0xd1006fff,0xb809ffff,0x2f99ffff,
    0x3ff20000,0xfffffe80,0x7fdc0001,0x002f99ff,0xff93ffa0,0x03ff20ff,
    0x017fe440,0x01dfc880,0x3fffe200,0xf9301eff,0x7fe4001d,0x1eff980f,
    0xfffff880,0xdf9301ef,0x3ff60001,0x3a200eff,0x8804ffff,0x05ffffff,
    0x07fe4000,0x3fffffe2,0x7fc40003,0x0005ffff,0x7dc77fd4,0x07fe43ff,
    0x37ff2200,0x5d4c41ac,0x00001dfd,0xffffffd1,0xdfffb9bf,0xdffb0001,
    0x1dffb535,0x7fff4400,0xfdcdffff,0x40000eff,0x1befffea,0xdffffb51,
    0x7fed4003,0xc800004f,0xfffb10ff,0x079fffff,0x7ffed400,0xff700004,
    0xf905dfff,0x2a20001f,0xffeffffd,0x0000cdef,0xffffd700,0x03bfffff,
    0xfffea800,0x20004dff,0xffffffeb,0x0001dfff,0x7fffedc0,0x2dffffff,
    0x00062000,0x222a9800,0xaaaaaaaa,0x880002aa,0x53000001,0x0154c013,
    0x35331000,0x00000001,0x55999953,0x98800001,0x4c00000a,0x0aacccca,
    0x54400000,0x0aabccba,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x2aa00000,
    0x00002aaa,0x1aaaa980,0x55400000,0x0000aaaa,0x30004000,0x00355555,
    0x55530000,0x00000355,0x55555300,0x55550003,0x00000155,0x00000000,
    0x3ffffea0,0xf8000002,0x0006ffff,0x7fffd400,0x0000002f,0x74400d91,
    0x0006ffff,0xfffe8800,0x0000005f,0x0effffd8,0xffff9800,0x2e00004f,
    0x3efc83ff,0x6c000000,0x0002ffff,0xffffb800,0x000002ff,0x02ffffd4,
    0x77dc0000,0x7ff44000,0x000000ff,0x0fffff88,0x22000000,0x000fffff,
    0x1ffffe60,0x7ffd4000,0x3fffea2f,0x10000001,0x0007ffff,0xffff1000,
    0x0000dfff,0x1ffff500,0x3a200000,0x3a20005f,0x00003fff,0x5ffff300,
    0x54000000,0x0001ffff,0x01ffff98,0xffffd800,0x13ffff65,0x7d400000,
    0x000003ff,0xf99fffb0,0x000007ff,0x005fff70,0x0bfd1000,0xdffd1000,
    0x4c000000,0x00005fff,0x07fff600,0xfff98000,0xffb80004,0x3fff23ff,
    0x0000002f,0x00009ffb,0x8fffe600,0x00007ffb,0x00bff700,0x03ffd000,
    0x3ffe2000,0x20000000,0x0000fff9,0x03fff000,0xfff50000,0xffd10000,
    0x37ff441d,0xff000000,0x40000009,0xffa81ffe,0x90000003,0x400001ff,
    0x00005ffd,0x0001ffcc,0x0bfe6000,0x3ea00000,0x2000001f,0x00001ffa,
    0x000cc033,0x09d30000,0x7d400000,0x03fe600e,0x76400000,0xff900001,
    0x3000003f,0x0000009d,0x00007d50,0x0005d700,0x007d5000,0x00000000,
    0x00000000,0x88015400,0x0000001c,0xff880000,0x0000006f,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x0007fff9,0x00000200,0x00000000,0x00000100,0xba800000,0xcdefffdc,
    0x2000001a,0xefffdcba,0x00001acd,0xfffb9750,0x800359bd,0xcccccccc,
    0x83cccccc,0xccccccc9,0x7ffc42cc,0xb000001f,0xcc880005,0xcccccccc,
    0xcccccccc,0x003ccccc,0x0000b600,0x99999991,0x79999999,0x3fffaa00,
    0xfffdaadf,0x200001ef,0xadffffea,0x1effffda,0xffd50000,0xffb55bff,
    0x22003dff,0xffffffb9,0x2601adff,0x1befffda,0x00ffffc8,0x05f98000,
    0xfff73000,0xffffffff,0xffffffff,0x260000df,0x7300005f,0xffffffff,
    0xfb10015d,0x7d405fff,0x40004fff,0x02ffffd8,0x013fffea,0xffffd880,
    0x3fffea02,0x7ffe4004,0xe8006fff,0xfff101ff,0x200000df,0x00001ffc,
    0x3fffffea,0x3ffee606,0xf900006f,0x5400003f,0x0fffffff,0xfffff500,
    0xffff3007,0xff50005d,0xf3007fff,0x8005dfff,0x03fffffa,0x2effff98,
    0xfffff500,0xbf7000bf,0x2ffffd40,0x7fc40000,0x2200004f,0x06ffffff,
    0x006ffd88,0x04fff880,0x3ffe2000,0xf5006fff,0x4009ffff,0x01fffffb,
    0x3ffffea0,0x3ffee004,0xff5001ff,0x5c009fff,0x801fffff,0x4ffffff9,
    0x204fa800,0x004ffffc,0xffffb800,0xff100000,0x400dffff,0xb80006fc,
    0x0000ffff,0xffffff10,0xffff100d,0xfff000ff,0x3e200dff,0x8007ffff,
    0x806fffff,0x07fffff8,0x6fffff80,0xfffff980,0x3f98004f,0x13ffff60,
    0x3ffe0000,0x100003ff,0x0dffffff,0x00037c40,0x01fffffc,0xffff8800,
    0xffd806ff,0xb8004fff,0x804fffff,0x04fffffd,0xfffffb80,0x7fffec04,
    0xffb8004f,0x7cc04fff,0x004fffff,0x3fa03f98,0x00004fff,0x3fffffd4,
    0xfff88000,0x20206fff,0x7d40006b,0x0007ffff,0xffffff10,0xffffa80d,
    0xf98002ff,0x201fffff,0x2ffffffa,0xffff9800,0xfff501ff,0x30005fff,
    0x03ffffff,0x7fffffcc,0x03f98004,0x00fffffe,0xffffd000,0x100005ff,
    0x0dffffff,0x001a6166,0xffffffd0,0xff100005,0x440dffff,0x07ffffff,
    0xfffff100,0x3ffe20df,0x10007fff,0x0dffffff,0xfffffff1,0x3ffe2000,
    0x3e606fff,0x004fffff,0xff103f98,0x00007fff,0x7fffffcc,0xf880006f,
    0x506fffff,0x9800160b,0x6fffffff,0xfff88000,0x3ea06fff,0x005fffff,
    0x3fffffa0,0xffffa81f,0x3a0005ff,0x41ffffff,0x5ffffffa,0x3fffa000,
    0xff301fff,0x0009ffff,0x3fe607f3,0x00003fff,0x3ffffbf6,0x440001ff,
    0x06ffffff,0xb00000b9,0xffffffdf,0xff880003,0x2e06ffff,0x04ffffff,
    0x3ffff600,0xfffb82ff,0x20004fff,0x2ffffffd,0x7fffffdc,0x3ff60004,
    0xf302ffff,0x009fffff,0x3e207f30,0x0003ffff,0xfff77f30,0x8000bfff,
    0x6ffffff8,0x80000bf0,0xffffbbf9,0x440005ff,0x06ffffff,0x3ffffff6,
    0x3ff20004,0xfd84ffff,0x004fffff,0x3fffff20,0x7fffec4f,0x320004ff,
    0x04ffffff,0x9ffffff3,0x407f3000,0x003fffff,0xff11f900,0x001fffff,
    0x7ffffc40,0x005fb86f,0x7c47e400,0x00ffffff,0x3fffe200,0x3ffa06ff,
    0x0003ffff,0x3ffffff2,0xfffffe85,0x3f20003f,0x745fffff,0x03ffffff,
    0x3ffff200,0xfff305ff,0x30009fff,0x7fff407f,0xf880003f,0x3fffff24,
    0x3e20004f,0x546fffff,0x200005ff,0x3fff24f8,0x20004fff,0x6ffffff8,
    0xffffff10,0x7e40007f,0x447fffff,0x3fffffff,0x3fff2000,0x3fe27fff,
    0x003fffff,0x3fffff20,0xffff307f,0xf30009ff,0x7fffec07,0x1fb80004,
    0x3fffffe6,0xff10000f,0xb95dffff,0x0000bfff,0xfff30fdc,0x0001ffff,
    0x3fffffe2,0xfffff306,0x5c0005ff,0x0fffffff,0x3fffffe6,0x3ee0002f,
    0x30ffffff,0x5fffffff,0x7ffdc000,0xf980ffff,0x004fffff,0x3f203f98,
    0x80004fff,0xffffd85f,0xf10003ff,0xffffffff,0x000bffff,0x7fec2fc0,
    0x0003ffff,0xdffffff1,0x3ffffe20,0x2e0002ff,0x47ffffff,0xfffffff8,
    0x3fee0002,0x3e27ffff,0x02ffffff,0x3fffee00,0xfff307ff,0x30009fff,
    0x7ffdc07f,0x7d40005f,0xfffffa82,0xff10006f,0xb75dffff,0x0000bfff,
    0x3fea0bea,0x0006ffff,0xdffffff1,0x7fffffc0,0x3f20003f,0xf86fffff,
    0x03ffffff,0x3ffff200,0x7fffc6ff,0x20003fff,0x6ffffffc,0xffffff30,
    0x07f30009,0x037fffc4,0xfe81ba00,0x002fffff,0xffffff88,0x002ffd46,
    0x3fa06e80,0x002fffff,0xffffff88,0x3ffffa06,0x320004ff,0x85ffffff,
    0x4ffffffe,0x3fff2000,0x7ff45fff,0x0004ffff,0x3ffffff2,0xfffff305,
    0x7f30009f,0x07fffd80,0xb80be600,0x06ffffff,0xfffff880,0x005fb86f,
    0x2e02f980,0x06ffffff,0xfffff880,0x3fff606f,0x20005fff,0x4ffffffd,
    0xffffffd8,0x3ff60005,0x7ec4ffff,0x005fffff,0x3fffff60,0xffff304f,
    0xf50009ff,0xffff9807,0x80fb0000,0xfffffff8,0x7ffc4001,0x0bf06fff,
    0x880fb000,0x1fffffff,0x7fffc400,0x3fee06ff,0x0005ffff,0x3ffffff6,
    0xfffffb82,0x3f60005f,0x5c2fffff,0x05ffffff,0x3ffff600,0xfff302ff,
    0x50009fff,0xfffb005f,0xdff30005,0xfddddddd,0x0bffffff,0xfffff880,
    0x080bb06f,0x7777fcc0,0xfffeeeee,0x4005ffff,0x6ffffff8,0x3ffffe20,
    0x3fe0006f,0xf106ffff,0x00dfffff,0x7fffffc0,0xfffff886,0x3fe0006f,
    0x2206ffff,0x05ffffff,0x9802fa80,0xc8005fff,0xeeeeeeef,0xfffffeee,
    0x3e2000ff,0x706fffff,0x3203440b,0xeeeeeeef,0xfffffeee,0x3e2000ff,
    0x406fffff,0x0ffffffc,0xffff9800,0x3ff202ff,0x8000ffff,0x2ffffff9,
    0xffffff90,0xfff30001,0x7c405fff,0x005fffff,0xfd001fc8,0x7c4001ff,
    0x3fff6004,0x22004fff,0x06ffffff,0x102dc093,0x7fec009f,0x2004ffff,
    0x6ffffff8,0x7ffffc40,0xffb8004f,0x7c406fff,0x004fffff,0x6fffffb8,
    0x3ffffe20,0xffb8004f,0xff806fff,0x8005ffff,0x3fa2007e,0x03f2002f,
    0xfffff980,0x3fe2007f,0x0006ffff,0x007e409d,0xffffff30,0x7ffc400f,
    0xfb806fff,0x8007ffff,0x02fffffe,0x7fffffb8,0xffffe800,0x7ffdc02f,
    0xfe8007ff,0xd802ffff,0x007fffff,0x220037c4,0xbf1007ff,0xffffd000,
    0x3e2007ff,0x006fffff,0xbf103fb8,0xffffd000,0x3e2007ff,0x006fffff,
    0x05fffffd,0x7ffffd40,0x3fffa004,0x3ea002ff,0xd004ffff,0x005fffff,
    0x27ffffd4,0xfffffa80,0x0bfa001f,0x00ffe600,0x2a000ff2,0x07ffffff,
    0xffffff10,0x2ffa800d,0x50007f90,0x0fffffff,0x3ffffe20,0x3ff6006f,
    0xfd1006ff,0xb0009fff,0x200dffff,0x04ffffe8,0x37fffec0,0xffffe880,
    0x7fff4004,0xfd800eff,0x3fea0006,0x007fe202,0x7fffffc0,0xfff8803f,
    0x2a006fff,0xff881fff,0xffff0001,0xf1007fff,0x00dfffff,0x0effffd8,
    0x3ffffa20,0x3ff60004,0x3a200eff,0x0004ffff,0x01dffffb,0x27ffff44,
    0x7fffc400,0xf9301eff,0xd980001d,0x05ffb04f,0x3ffff600,0x7cc00fff,
    0x01ffffff,0x83ffff54,0xb0002ffd,0x1fffffff,0xfffff980,0xfea8007f,
    0xb511beff,0x003dffff,0xdfffd500,0x3ff6a237,0x40001eff,0x1befffea,
    0xdffffb51,0x7f440003,0xcdffffff,0x000efffd,0xea97aa00,0x4000efff,
    0xfffffff9,0xffd101ef,0x9bffffff,0xffffdb99,0xffea8dff,0x7cc000ef,
    0xefffffff,0xffffd101,0x00019fff,0xffffffb7,0x005bffff,0xfffb7000,
    0xbfffffff,0xdb800005,0xffffffff,0x00002dff,0x3fffffae,0x001dffff,
    0x7fe4a000,0x05ffffff,0x7ffffff4,0x15ffffff,0xfffffffd,0xffffffff,
    0xffffffff,0x7ffffe4b,0x7f405fff,0xffffffff,0xffd15fff,0xffffffff,
    0x1000bdff,0x55799755,0x10000001,0x55799755,0x88000001,0xaabccbaa,
    0x26000000,0x0aacccca,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x01310000,0x002aaaa8,0x55555400,
    0x20000000,0x00004400,0x0054c400,0x00000128,0x00220040,0x400000a8,
    0x01aaaaa9,0x2aaa6000,0x000001aa,0xffc98000,0x3ffee00f,0x500002ff,
    0x009fffff,0xfff70000,0x0009b03b,0xfffd7100,0x8157bfff,0x0003d579,
    0x3fff6200,0x0017c40c,0x0005bffd,0x0bffffd0,0xfffd8000,0x6cc000ef,
    0x6ff541df,0x77fe4000,0x7fffc402,0xd00006ff,0x01ffffff,0x7fe40000,
    0xb9beffff,0x2600003f,0xdefffffc,0xbdfffecc,0x037ee7ea,0xffe88000,
    0xd9adffff,0x7f54001f,0x3e60005f,0x00006fff,0x077fffc4,0x2ffff400,
    0x8017fffe,0xf9007ffc,0x05ffffff,0xffffb800,0x00004fff,0xffffff30,
    0x05ffffff,0x3ffee000,0x3ea02eff,0x7d47ffff,0xf900003f,0xffffffff,
    0x74000fff,0xc8000dff,0x0000efff,0x07fffd40,0x7fffcc00,0xfffff50f,
    0x7fff7001,0x7dfff300,0x4000dfff,0xfebffff8,0x800000ff,0xffffeffc,
    0x0006ffff,0xfffffd88,0x3fff2003,0x002ffa87,0xfffeff80,0x03ffffff,
    0x17ffee00,0x03bffa00,0x3ff60000,0x3fe0001f,0x3ffe26ff,0xfffd006f,
    0x1bffb001,0x000fffa6,0xd88f7fe4,0x800004ff,0x3fff265d,0x80001eff,
    0x02fffffe,0xb07ffc80,0x440003ff,0x3fff6a3f,0x440005ff,0x2000ffff,
    0x0000eff9,0x01fff880,0x17ffdc00,0x200bfff2,0x401ffff9,0xfe884ffa,
    0xdff88007,0x001ffd80,0xb9816c00,0xd80000bd,0x004fffff,0x7c41ff60,
    0xd10000ff,0x059b5101,0xffff1000,0x077e4005,0xffa80000,0x15100001,
    0xfa800a20,0x7f402fff,0x001fec03,0xbf9013f6,0x00000000,0x7ffdc000,
    0x20000fff,0x3ff607f8,0x0000000e,0xfff98000,0x0376004f,0x1ec80000,
    0x00000000,0x0ffffe60,0x77001a88,0x5002a800,0x00000019,0xff100000,
    0x0009ffff,0x7fd40fb0,0x0000004f,0xfffa8000,0x0000003f,0x00000000,
    0xff880000,0x000004ff,0x00010000,0x6e5d4000,0x1acdefff,0xffff9000,
    0x500003ff,0x7fffc40f,0x666664c0,0x800ccccc,0xccccccc8,0xfff700cc,
    0x0000005f,0x20000000,0xccccccc8,0x3ccccccc,0x06ffff80,0x99999991,
    0x79999999,0x005b0000,0xffea8000,0xffdaadff,0x22001eff,0x07ffffff,
    0xfd00e000,0xff7307ff,0x0bffffff,0x3fff6a60,0x3ff601be,0xccc880ff,
    0xcccccccc,0x99953ccc,0x99999999,0xccc80199,0x4c3ccccc,0xfffffffb,
    0xfb000aef,0xfb980fff,0xefffffff,0xf980000a,0xb1000005,0x5405ffff,
    0x7004ffff,0x0bffffff,0x7e400000,0x3fea07ff,0x03ffffff,0x400ffec0,
    0x4c07fffe,0xfffffffb,0x36e20aef,0xffffffff,0xdb98009d,0x501cffff,
    0x1fffffff,0xffffc800,0xffffa800,0x00000fff,0x00007ff2,0x7fffff50,
    0xdffff300,0xffffd805,0x000004ff,0x0ffffee0,0xffffffa8,0x3e6002ff,
    0xdffff005,0x3fffea00,0x7ec00fff,0x02ffffff,0x801ffd00,0x6ffffff8,
    0x6fffb800,0xfffff100,0x440000df,0x00004fff,0x13ffffea,0xfffffb80,
    0x3ffffe01,0x000003ff,0x1bfffe60,0xffffff88,0xf1000fff,0x3fffa009,
    0xffff1005,0xff100dff,0x00bfffff,0x2200bfe0,0x06ffffff,0x04fffa80,
    0xffffff10,0x7dc0000d,0x80000fff,0x07fffff8,0x6fffff80,0x3fffffe0,
    0x0000002f,0x81ffffe2,0xfffffff8,0x7f1006ff,0x13ffee00,0x7ffffc40,
    0xfff7006f,0x8001ffff,0xff1005fa,0x000dffff,0x2003fffb,0x6ffffff8,
    0x3ffe0000,0xd80003ff,0x004fffff,0x4fffffb8,0xffffff88,0x0000002f,
    0x03ffffe2,0x7fff5fc4,0xf005ffff,0x3ffe6007,0xffff1006,0x7f400dff,
    0x005fffff,0xf88007f4,0x006fffff,0x001fffc4,0xdffffff1,0x3fea0000,
    0x40007fff,0x2ffffffa,0xffff9800,0x7ffcc1ff,0x0003ffff,0x3ffe2000,
    0x35f101ff,0xffffffff,0x4007f007,0x8800fffa,0x06ffffff,0x3ffffea0,
    0x7f7001ff,0x7fffc400,0x7e4006ff,0x7fc4003f,0x0006ffff,0xffffffd0,
    0x3fe20005,0x0007ffff,0xdffffff1,0xffffff88,0x0000004f,0x0bffffe2,
    0xfffa97c4,0x401fffff,0x7fdc003f,0xffff8804,0x7ec006ff,0x805fffff,
    0x7c4006f8,0x006fffff,0x0005bff7,0xdffffff1,0xfff30000,0x000dffff,
    0x3fffffea,0x3ffa0005,0x7fc1ffff,0x005fffff,0x7ffc0000,0x45f103ff,
    0xfffffffc,0x000fe00f,0x402fffa6,0x6ffffff8,0x7fffcc00,0x7e401fff,
    0x7ffc4001,0xfb806fff,0x3e20000d,0x006fffff,0xfffefd80,0xb8001fff,
    0x04ffffff,0x3ffff600,0x7fff42ff,0x00006fff,0x7ffffc00,0xfd85f104,
    0x06ffffff,0xc98000fe,0xffff104f,0xfb000dff,0x40dfffff,0xf88004f9,
    0x806fffff,0x0003efe9,0xdffffff1,0xbbf98000,0x05ffffff,0xfffffd80,
    0x3f20004f,0x644fffff,0x07ffffff,0x7fc00000,0x5f104fff,0xfffffe88,
    0x007f04ff,0x40bbf6a0,0x6ffffff8,0xffff8800,0x1fd02fff,0xffff1000,
    0x75400dff,0x7c4001ff,0x006fffff,0x7fc47e40,0x000fffff,0x7ffffff4,
    0x3ff20003,0x7c45ffff,0x00ffffff,0x3fe00000,0x5f103fff,0xffffff10,
    0x007f07ff,0x403ffe88,0x6ffffff8,0xffff9000,0x07f50dff,0x3fffe200,
    0x7c4006ff,0x3e2001ff,0x006fffff,0xffc93e20,0x2004ffff,0xfffffff8,
    0x3ff20003,0xfd87ffff,0x002fffff,0xfff10000,0x0be205ff,0x7fffffd4,
    0x001fc1ff,0x1005ffd1,0x0dffffff,0x3fffe200,0x1be23fff,0xffff8800,
    0xfe8006ff,0xff1000ff,0x000dffff,0xfff30fdc,0x2001ffff,0xfffffff9,
    0x3fee0002,0x540fffff,0x06ffffff,0xf8801000,0xf101ffff,0x7fffdc05,
    0x0fe0ffff,0x007ffe80,0xdffffff1,0x7ffdc000,0x3f90ffff,0x7ffc4000,
    0xb8006fff,0xf1004fff,0x00dfffff,0x7fec2fc0,0x1003ffff,0x5fffffff,
    0x7ffdc000,0xff907fff,0x0003ffff,0x7fc403c8,0x5f100fff,0xfffffd80,
    0x400fe5ff,0x1004fffa,0x0dffffff,0xffffe800,0x004f9cff,0x7ffffc40,
    0xffb8006f,0xfff1006f,0x2000dfff,0xfffa82fa,0x3e006fff,0x03ffffff,
    0x3ffff200,0x3ffa06ff,0x0000efff,0xff9805f9,0x0be207ff,0x3fffffa0,
    0x2007f4ff,0x1004fffc,0x0dffffff,0xffffa800,0x000fefff,0x7ffffc40,
    0xffc8006f,0xff8800ff,0x0006ffff,0x7fff40dd,0xfd002fff,0x009fffff,
    0x7ffffe40,0x3ffa205f,0x44006fff,0xffa803fd,0x0be204ff,0x3ffffe20,
    0x003fbfff,0x200bfffd,0x6ffffff8,0xfffe8000,0x0003ffff,0xffffff88,
    0xfffd8006,0xffff1007,0xf3000dff,0x7fffdc05,0xffb006ff,0x000bffff,
    0x7fffffec,0xffffc804,0x7dcc02ef,0xfff9001f,0x017c401f,0xffffff98,
    0xfd003fff,0x3e200dff,0x006fffff,0xfffff980,0x880000ff,0x06ffffff,
    0x06fffe80,0xffffff10,0x80fb000d,0xfffffff8,0xffffb801,0x360005ff,
    0x02ffffff,0xffffff50,0xffb7579d,0x7ec001bf,0x17c405ff,0xfffff700,
    0x36007fff,0xf1007fff,0x00dfffff,0x3ffffa00,0xf100007f,0x00dfffff,
    0x05ffff88,0xffffff10,0xeff9800d,0xfeeeeeee,0x05ffffff,0xffffff88,
    0x3ffe0006,0x98006fff,0xfffffffc,0x8003efff,0x4401fffe,0x7fe4002f,
    0x003fffff,0x003ffff9,0xdffffff1,0x3ffa0000,0x00007fff,0xdffffff1,
    0xffff9800,0xffff1004,0xfc800dff,0xeeeeeeee,0xffffffee,0xfffc800f,
    0x98000fff,0x02ffffff,0x77dd4c00,0x30000aac,0xf100bfff,0xfffd0005,
    0x2a007fff,0x8802ffff,0x06ffffff,0xffffd000,0x220000ff,0x06ffffff,
    0x17fffd40,0xfffff880,0x13e2006f,0xfffffd80,0xfff8804f,0xb8004fff,
    0x006fffff,0x0037e600,0x07fff200,0x2000be20,0x3ffffff8,0x7ffff300,
    0xfffff100,0x3a0000df,0x007fffff,0xfffff100,0xffa800df,0xff1001ff,
    0x400dffff,0x3e6000fc,0x007fffff,0x0ffffff7,0xfffffd00,0x3a200005,
    0x20001fff,0x1003fff8,0x3e60005f,0x1003ffff,0x1007ffff,0x0dffffff,
    0x3fffa000,0x100007ff,0x0dffffff,0x01ffff00,0x3ffffe20,0x0bf1006f,
    0xfffffd00,0x3ffa007f,0x2a002fff,0x004fffff,0x3fff2600,0x3ff20004,
    0x00fe6004,0x3ffffa80,0x03fffe00,0x3ffffe20,0xfd00006f,0x000fffff,
    0x3ffffe20,0xffd8006f,0xfff1002f,0x3200dfff,0xffa8003f,0x2007ffff,
    0x006ffffd,0x09ffffd1,0x3ffa0000,0x9ff10006,0x004fa800,0x01fffe40,
    0x006fff98,0xdffffff1,0x3ffa0000,0x0000ffff,0xffffff88,0xfff98006,
    0xffff1005,0xff100dff,0x3ffe0003,0x2003ffff,0x00effffd,0x13ffffa2,
    0xfff80000,0x5fe88004,0x006fd800,0x003ffd80,0x2003fff9,0x6ffffff8,
    0xfffd0000,0x00001fff,0xfffffff3,0x3ffa2000,0x7ffcc00b,0xfd807fff,
    0xffb0002f,0x001fffff,0x5f7fff54,0xffffb511,0x2000003d,0x000effc8,
    0x4001ff4c,0x002dfffb,0x200ffa20,0x2001fffb,0x7ffffff9,0xffff0000,
    0x80003fff,0xffffffe8,0xd88000cf,0xe880cfff,0xcfffffff,0xefffea80,
    0x7ffcc000,0x01efffff,0x7fffedc0,0x2dffffff,0xff300000,0x980019df,
    0x3a6000cf,0xffffffff,0x07f30004,0x00e7ffdc,0xfffffd10,0x200019ff,
    0xffffffd8,0x744000ef,0xffffffff,0x005effff,0x3a23b730,0xffffffff,
    0xf95effff,0xbfffffff,0xfffffe80,0x5fffffff,0xcbaa8800,0x0000aabc,
    0x80000800,0x00000009,0x6c055000,0xfd1000ac,0xffffffff,0x500bdfff,
    0xffffffdd,0x7ddfffff,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x01555540,
    0xaa980000,0x00001aaa,0x50000000,0x99999995,0x39999999,0x09988000,
    0x00000000,0x00000000,0x00000000,0x66664c00,0x00004ccc,0x1fffffdc,
    0x7f400000,0x0000efff,0x26177ec4,0x20001dfd,0xffffffd9,0xffffffff,
    0x220009be,0xfffffdca,0x00002cde,0x260efecc,0x00001dfd,0x102ffff2,
    0x4400005f,0x7ecc2efd,0x3fee001d,0x0019bfff,0x3fffe200,0x000006ff,
    0x077fffc4,0x7ffe4000,0x037ffec7,0xfffffa80,0x7e43ffff,0xfff50006,
    0xffb55bff,0x00003dff,0xfd1bfff6,0x10000bff,0xbffffffd,0x0003fb35,
    0x23fffe40,0x2006fffd,0x003ffffb,0xffff9000,0x00007fff,0x077ffdc0,
    0xffff8000,0xfffff12f,0xfffc8003,0x3fffffff,0x220027e4,0x202ffffd,
    0x00cffffa,0x3fffe200,0xfffff31f,0xffb80001,0xffffffff,0x200000ff,
    0xf12fffff,0x2003ffff,0x001ffffb,0xffff8800,0x000ffffb,0x1dffd000,
    0x7ff40000,0x3fffa0ff,0x3fe6000f,0xffffffff,0x001fe43f,0x07fffff5,
    0x5fffff70,0x7fff4000,0x037fffc7,0x7ff7fc00,0x4fffffff,0x7ff40000,
    0x3fffa0ff,0xfff7000f,0xb000003f,0x3fa21dff,0x8800003f,0x00000fff,
    0x2a27ffd4,0x74003fff,0xffffffff,0x1fe43fff,0xfffffa80,0x3fff2004,
    0xf50001ff,0xfffb87ff,0x1fc40002,0xbfffffd5,0xfa800001,0x7ffd44ff,
    0x3ffee003,0x4c00001f,0xffd885ff,0x7dc00000,0x2000001f,0x0002a00a,
    0xfffffff7,0xc87fffff,0xfff8803f,0xff8007ff,0x20006fff,0x015100a8,
    0x101d1000,0x00007bb5,0x02a00a80,0x3ffff700,0x3fe80000,0x00027e40,
    0x00007b20,0x20000000,0xfffffffc,0x643fffff,0xfffd803f,0xfc8004ff,
    0x0004ffff,0x00000000,0x00000000,0xffb80000,0x200001ff,0x097001a8,
    0x00000000,0x40000000,0xfffffffd,0x643fffff,0x7ffd403f,0xa8002fff,
    0x01ffffff,0x00000000,0x00000200,0x00001000,0x003ffff7,0x00000000,
    0xc8000000,0xcccccccc,0x983ccccc,0xcccccccc,0xfffffd2c,0x7fffffff,
    0x3e203fc8,0x007fffff,0xffffff10,0xccccc88d,0xcccccccc,0xcccccccc,
    0x200003cc,0x0000002d,0x70000b60,0x8003ffff,0xccccccc8,0xcccccccc,
    0xcccccccc,0x66666443,0xcccccccc,0xcccccccc,0x7dcc43cc,0xdfffffff,
    0x3f6a601a,0x3fa1beff,0xffffffff,0x1fe43fff,0xffffff50,0x7ff4000b,
    0xb981ffff,0xffffffff,0xffffffff,0x0006ffff,0x0000bf30,0x017e6000,
    0x3ffff700,0x3fee6000,0xffffffff,0xffffffff,0xff7306ff,0xffffffff,
    0xffffffff,0x7fe40dff,0x8006ffff,0xffc81ffe,0xffffffff,0x01fe43ff,
    0x9ffffff7,0x7ffec000,0x3ea03fff,0x206fffff,0x06ffffb9,0x03ff9000,
    0xf9000000,0x7dc0003f,0x40001fff,0x6ffffffa,0x3fffee60,0x7fffd406,
    0x3ee606ff,0x3ea06fff,0x005fffff,0xff505fb8,0xffffffff,0x03fc87ff,
    0x3ffffff6,0x3ff60004,0x2204ffff,0x06ffffff,0x006ffd88,0x04fff880,
    0x7c400000,0x2e0004ff,0x0001ffff,0x7fffffc4,0x6ffd8806,0x7ffffc40,
    0xffd8806f,0x3fffe606,0xfa8004ff,0xfffff104,0x7fffffff,0x3fa03fc8,
    0x003fffff,0x3fffff20,0x3ffe205f,0x32006fff,0xfb80006f,0x00000fff,
    0x3fffee00,0xfff70000,0xf880003f,0x006fffff,0xff101bf2,0x400dffff,
    0x3fe606fc,0x8004ffff,0x3ffa03f9,0xffffffff,0x881fe43f,0x2fffffff,
    0x3ffee000,0x3e207fff,0x006fffff,0x20001be2,0x003fffff,0x3ffe0000,
    0xf70003ff,0x80003fff,0x6ffffff8,0x101be200,0x0dffffff,0xf3037c40,
    0x009fffff,0x7d407f30,0xffffffff,0x81fe43ff,0xfffffff9,0x3fee0002,
    0x100fffff,0x0dffffff,0x00035c04,0x1fffffea,0x7d400000,0x0007ffff,
    0x003ffff7,0xfffff880,0x1ae0206f,0xffffff10,0x035c040d,0x9ffffff3,
    0x807f3000,0xfffffffc,0x1fe43fff,0xffffff88,0x3ee0002f,0x207fffff,
    0x6ffffff8,0x00d30b30,0xfffffe80,0x8000002f,0x2ffffffe,0xffffb800,
    0x7fc40001,0xb306ffff,0xff880d30,0xb306ffff,0x7fcc0d30,0x8004ffff,
    0xffc803f9,0x3fffffff,0xfff01fe4,0x0007ffff,0x7fffffe4,0x3fffe206,
    0x20b506ff,0x3fe60005,0x006fffff,0x7ffcc000,0x8006ffff,0x001ffffb,
    0x7ffffc40,0x160b506f,0xffffff10,0x02c16a0d,0x9ffffff3,0x007f3000,
    0x3fffff66,0x01fe43ff,0x9ffffffd,0x7ffe4000,0x3e205fff,0x906fffff,
    0xfb00000b,0x3ffffffd,0x7ec00000,0x1ffffffe,0x7fffdc00,0x7fc40001,
    0xb906ffff,0x3ffe2000,0x0b906fff,0xfffff300,0x7f30009f,0xedca8800,
    0x01fe43ff,0xbffffffb,0x7ffec000,0x3e204fff,0xf06fffff,0xf980000b,
    0xffffffbb,0xf3000005,0xffffff77,0xfffb800b,0x7c40001f,0xf06fffff,
    0x3fe2000b,0xbf06ffff,0xffff3000,0xf30009ff,0x7f900007,0x3ee03fc8,
    0x006fffff,0x3fffffa0,0x3ffe202f,0x5fb86fff,0x47e40000,0xfffffff8,
    0xfc800000,0xffffff88,0x3fee000f,0x440001ff,0x86ffffff,0xf10005fb,
    0x70dfffff,0xff3000bf,0x0009ffff,0x900007f3,0x203fc87f,0x6ffffff8,
    0x3fffe000,0x7fc406ff,0x7d46ffff,0x2200005f,0x3ffff24f,0x400004ff,
    0x3fff24f8,0x2e004fff,0x0001ffff,0x7fffffc4,0x002ffd46,0xffffff88,
    0x002ffd46,0x7fffffcc,0x03f98004,0x643fc800,0x7ffe403f,0x88000fff,
    0x02ffffff,0x7fffffc4,0x5fffdcae,0x87ee0000,0xfffffff9,0x3ee00000,
    0x3ffffe61,0xff7000ff,0x880003ff,0xaeffffff,0x005fffdc,0xffffff10,
    0xbfffb95d,0xffff3000,0xf30009ff,0x7f900007,0x7c403fc8,0x004fffff,
    0x6fffffc8,0xfffff880,0xffffffff,0x17e00005,0x3ffffff6,0x17e00003,
    0x3ffffff6,0xffff7003,0xff880003,0xffffffff,0x10005fff,0xffffffff,
    0x00bfffff,0xffffff30,0x07f30009,0xc87f9000,0xfffb803f,0x7c4007ff,
    0x801fffff,0xeffffff8,0x05fffdba,0x505f5000,0x0dffffff,0x20bea000,
    0x6ffffffa,0x3ffff700,0xfff88000,0xfdbaefff,0xf10005ff,0x75dfffff,
    0x000bfffb,0x9ffffff3,0x007f3000,0xfc87f900,0xffffb003,0x7fdc007f,
    0xf1004fff,0xa8dfffff,0xd00005ff,0x7ffff40d,0xe80002ff,0x3ffffa06,
    0xffb802ff,0x440001ff,0x46ffffff,0x10005ffa,0x8dffffff,0x98005ffa,
    0x04ffffff,0x0003f980,0x1fe43fc8,0xdffff900,0xffff1001,0x7fc4007f,
    0xfb86ffff,0x2f980005,0x3ffffee0,0x7cc0006f,0x3fffee02,0xffb806ff,
    0x440001ff,0x86ffffff,0xf10005fb,0x70dfffff,0xff3000bf,0x0009ffff,
    0x900007f5,0x003fc87f,0x077fffdc,0x5ffffd10,0xffff8800,0x00bf06ff,
    0xf880fb00,0x01ffffff,0xf101f600,0x03ffffff,0x01ffffb8,0x7fffc400,
    0x00bf06ff,0x3ffffe20,0x000bf06f,0x9ffffff3,0x005f5000,0xfc87f900,
    0xffda8003,0x3ee61bff,0x8001efff,0x6ffffff8,0x40080bb0,0xeeeeeff9,
    0xfffffeee,0xf30005ff,0xdddddddf,0xfffffffd,0xffffb80b,0x7fc40001,
    0xbb06ffff,0xfff10080,0x1760dfff,0xffff1010,0xf5000bff,0x7f900005,
    0x20003fc8,0xffffffc8,0x001cffff,0x3ffffe20,0x440b706f,0x7777e406,
    0xfeeeeeee,0x00ffffff,0xeeeefc80,0xffeeeeee,0x200fffff,0x001ffffb,
    0x7ffffc40,0x440b706f,0xfffff106,0x8816e0df,0xfffff886,0x1fc8005f,
    0x43fc8000,0x900003fc,0x0dffffff,0x3ffe2000,0x09306fff,0x09f102dc,
    0x7ffffec0,0x27c4004f,0xfffffb00,0x7ffdc09f,0x7c40001f,0x306fffff,
    0xf882dc09,0x306fffff,0xff82dc09,0x8005ffff,0xf900007e,0x0003fc87,
    0xffffff10,0xf100005f,0x00dfffff,0x0fc813a0,0x3fffe600,0x7e4007ff,
    0x3ffe6000,0x3ee07fff,0x40001fff,0x6ffffff8,0x2209d000,0x06ffffff,
    0x3f609d00,0x4007ffff,0x900006f8,0x003fc87f,0x3fffea00,0x880006ff,
    0x06ffffff,0xf103fb80,0xfffd000b,0x22007fff,0xffe8005f,0xf703ffff,
    0x80003fff,0x6ffffff8,0x103fb800,0x0dffffff,0x2a07f700,0x01ffffff,
    0x0000bfa0,0x0ff21fe4,0xfffb0000,0x8000bfff,0x6ffffff8,0x817fd400,
    0xfa8003fc,0x007fffff,0xf50007f9,0x20ffffff,0x001ffffb,0x7ffffc40,
    0x7fd4006f,0xfffff102,0xffa800df,0x3ffffa02,0x6fd800ef,0x0ff20000,
    0x000007f9,0xbffffff9,0x3fe20001,0x2006ffff,0xf881fffa,0xfff0001f,
    0x8807ffff,0xff0001ff,0x707fffff,0x0005ffff,0xffffff88,0x3ffea006,
    0xfffff101,0x7fd400df,0x3ffe201f,0x9301efff,0x400001df,0x01fe43fc,
    0xfffb8000,0x89adffff,0x7ffcc009,0x5401ffff,0xfb07fffe,0x3f60005f,
    0x00ffffff,0x4000bff6,0xfffffffd,0x77fffdc0,0x3fe60000,0x401fffff,
    0x207fffea,0xfffffff9,0x7fff5401,0xfffe8807,0xfdcdffff,0x00000eff,
    0x0ff21fe4,0xfc880000,0xffffffff,0x3ffa205f,0xcdffffff,0xffffedcc,
    0x7ff546ff,0x7cc000ef,0xefffffff,0x77fff541,0x7ffcc000,0x21efffff,
    0xfffffffb,0x7ff44006,0xcdffffff,0xffffedcc,0xffd106ff,0x9bffffff,
    0xffffdb99,0x75c00dff,0xffffffff,0x000001df,0x03fc87f9,0xba880000,
    0x81abcdec,0xffffffe8,0xffffffff,0xffffffff,0x3ffff25f,0x7405ffff,
    0xffffffff,0xff95ffff,0x0bffffff,0xffffffe8,0x05ffffff,0x3ffa2000,
    0xffffffff,0xffffffff,0x225fffff,0xfffffffe,0xffffffff,0xffffffff,
    0xcca98005,0x0000aacc,0x260d4c00,0x0000001a,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x95000000,0x09999999,0x00aa8800,
    0xc8800000,0x00154000,0x00000000,0x80000880,0x98800099,0x80000999,
    0x800009a8,0x00099998,0x09999880,0x4ccc4000,0x36a62001,0x0007ffff,
    0x00fffff2,0x0f700000,0x0d7fd440,0x33300000,0x2016c001,0x40005fd9,
    0xe8002ffb,0x0004ffff,0x0fffff62,0xffffd000,0xffb00009,0x44000dff,
    0x003fffff,0x00fffff0,0x3aeb7f20,0x0000003f,0x3fae013a,0x2dffffff,
    0x7fed4000,0x2defffff,0xd7107f90,0x4000bfff,0xb8004ff9,0x01ffffff,
    0xd75bfb00,0x3ee0005f,0x000fffff,0x3ffffe60,0xff90002f,0x0001ffff,
    0x000ffffd,0x00fd0bf3,0x07e60000,0xe8befe98,0xcffffc9f,0x3ffee000,
    0xfecaacef,0x13ee2eff,0x3fffb366,0x3ffa0005,0x7ffc4000,0x8005ffff,
    0x007f84f9,0xffffff88,0x3fa0005f,0x006fffff,0xffffff88,0xffe8004f,
    0x1fb8007f,0x00001fb8,0x3ee06c80,0xe89fa0ef,0xe9801fff,0x2a03ffff,
    0x5fbdffff,0x05fffb80,0x005ff700,0xfddfff90,0xfb8003ff,0x4000fc81,
    0xffeefffc,0xffb8001f,0x02fffeef,0x7efffec0,0x6c000fff,0xa8007fff,
    0x001fb82f,0x81fc4000,0x3f42fff8,0x7007ffa2,0x005fffff,0x0dfffff5,
    0x017ffea0,0x0013fe60,0x7457ffe2,0x7d4005ff,0x2000fc81,0xfd14fff8,
    0xff8800bf,0x0dffb0df,0x8a7ffcc0,0x6c004ffe,0xd0007fff,0x0000fd0b,
    0x3601f500,0x43f41fff,0x3ea01ff8,0x2003ffff,0x00fffffc,0x005fffa8,
    0x8000ffe8,0xffd83ffd,0x7c27c001,0x1ffec007,0x8007ff62,0xffc84ffc,
    0x85ffd003,0x2000ffe8,0x0007fffd,0x7fd75df7,0xbd000000,0x21ffffc0,
    0x203f907e,0x0ffffff9,0x3fffe200,0xfffa806f,0x17fdc005,0x017fcc00,
    0xfc800df9,0x002febad,0xfc807fe6,0x07ff1006,0x7d4037dc,0x017f601f,
    0x007fffd8,0x0ffffae0,0xa9980000,0xffff302f,0xf983f41d,0xffffe881,
    0xffe8005f,0x7d403fff,0x3e6005ff,0x1b90004f,0x4003d700,0x03fffeb8,
    0x5c006e40,0x01eb801e,0x6ec02ea8,0x000ec800,0x000ffffb,0x0000ef98,
    0x7fff6440,0xfff303ff,0x81fa1dff,0xffffb80c,0x7ec001ff,0x01ffffff,
    0x8017ffea,0x00000ffe,0xaa800000,0x00000000,0x00000000,0x3ff60000,
    0x7e40007f,0x2600001f,0xfffabffe,0x7ffc40df,0x07e9ffff,0xfffffe80,
    0x7e7e4007,0x206fffff,0x7005fffa,0x000005ff,0x00001353,0x000026a6,
    0x000002a2,0x54400000,0x3ff60000,0x3e20007f,0x500004ff,0x7fd45fff,
    0xfffe86ff,0x007fffff,0x7fffffd4,0x757ee006,0x00ffffff,0x300bfff5,
    0x20000bff,0xfffffeda,0x76d4002e,0x02efffff,0x7fff6cc0,0x3ae00ace,
    0x22eeeeee,0xeeeeeeea,0xfffd8803,0xfd8004ff,0x2e0007ff,0x0000ffff,
    0x3637ffc4,0x4c1fffff,0xffffffff,0x3ff6002f,0x5005ffff,0x7fffecbf,
    0xfff502ff,0x01ffd00b,0xbefd8800,0x2ffffeb9,0x9befd880,0x02ffffeb,
    0x53bfff50,0x2203fffb,0x2ffffffb,0x7fffff54,0x5fffd404,0x000effb8,
    0x001ffff6,0x03fffff8,0x27ffe400,0x9ffffff1,0xffffff90,0x3a009fff,
    0x04ffffff,0x3f20ef98,0x703fffff,0xfb80bfff,0x7d40002f,0x7ffc40ff,
    0x3fea01ff,0x7fffc40f,0x7ffe401f,0x17fffc45,0x5fffffb0,0x9fffff70,
    0x217ffdc0,0xb000fffe,0x2000ffff,0x07fffffa,0x3fffe600,0x3ffefee3,
    0xffff702f,0x03dfffff,0xfffffff8,0x207f4404,0x5ffffffc,0x40dfff90,
    0x80005ff9,0xfd81fffe,0x3fa07fff,0xfffd81ff,0x3ffea07f,0xffffc82f,
    0xfffff900,0xfffff505,0x1bffe609,0x4013ffea,0x0007fffd,0x5ffffffd,
    0x3fff2000,0x7fed3a2f,0x7fffd405,0x03ffffff,0xfffffff1,0x40ff4407,
    0x6ffffffc,0x3ffffba2,0x7ff40eef,0xf3002200,0xff90bfff,0xff301fff,
    0xfff90bff,0x3ffa01ff,0xfffa80ff,0xffff705f,0xffff505f,0x3fff609f,
    0x0ffff884,0x07fffd80,0xfffff980,0xfd0006ff,0x87e67fff,0xffb10008,
    0x9fffffff,0xffffff30,0x817ec05f,0xfffffffb,0x3fee0000,0xfffeb882,
    0xfffff703,0xfffffc81,0xfffffb81,0x7ffffe40,0x7ffffa81,0x1fffff30,
    0x5fffff70,0x9fffff50,0x07ffff50,0x2013fffe,0x8007fffd,0xfffffefd,
    0xfff8001f,0x000d94ff,0xffffff70,0xff889fff,0x902fffff,0x7ffdc07f,
    0x20007fff,0xff885ff9,0x883fffff,0xfc86ffff,0xf881ffff,0xffc86fff,
    0xffe81fff,0xfff106ff,0xfff705ff,0xfff505ff,0xfffb09ff,0x3fffe05f,
    0x7fffd805,0x7ddfcc00,0x005fffff,0xafffffc4,0xf100003f,0xffffffff,
    0xfffffe83,0x404fb83f,0x6ffffffc,0x03ffa000,0x3fff77f6,0xdfda80ff,
    0x7fffec41,0x3bfb501f,0xfffffd88,0x6fffff81,0x7fffff10,0x5fffff70,
    0x9fffff50,0x03ffffd0,0x201bfffe,0x4007fffd,0xffff88fc,0x26000fff,
    0xfaefffff,0x3fa00000,0x5fffffff,0x7fffffec,0x6402fd44,0x05ffffff,
    0x505ff700,0x7fffcc1d,0x3ff22003,0x001fffff,0x7ffffe44,0x7ffc41ff,
    0xfff106ff,0xfff70bff,0xfff505ff,0xffff09ff,0xffffffff,0xfb00ffff,
    0x7c400fff,0x3fffff24,0x3fe2004f,0x005dffff,0x7fd7f400,0x7dc7ffff,
    0x265fffff,0xffd800ef,0x8004ffff,0x01105ff8,0x1003fffb,0xfff99ff9,
    0x322003ff,0xffffccff,0x7fffd41f,0xffff106f,0xffff70ff,0xffff505f,
    0xffff889f,0xaaaaaacf,0x6c00aaaa,0x2e007fff,0x3fffe61f,0x3a000fff,
    0x02ffffff,0xfabf4000,0x2a0fffff,0x16ffffff,0x3fa001df,0x002fffff,
    0x4000ffe8,0xfb807ffc,0xffff93ff,0xfff7003f,0x3fffff27,0x7ffffd41,
    0xfffff105,0xfffff70f,0xfffff505,0xfffff989,0x3f600003,0x17e007ff,
    0x3ffffff6,0x3fff6003,0x0c8007ff,0xfffa9fa0,0x3ffe21ff,0x1fe8ffff,
    0x3ffffe00,0xffb8006f,0x4ffe8002,0x8bfff620,0x01fffffc,0xc8bfff62,
    0x4c1fffff,0x105fffff,0x70ffffff,0x505fffff,0x989fffff,0x005fffff,
    0x1ffff600,0x7d417d40,0x006fffff,0x3fffffee,0xd01f4002,0x0fffff8f,
    0x7fffffdc,0x3e6002fe,0x003fffff,0x4002ffc4,0x3e606ff8,0x7fe43fff,
    0xff301fff,0xfffc87ff,0x7ffc41ff,0xfff106ff,0xfff70dff,0xfff505ff,
    0xfff889ff,0x200006ff,0xd007fffd,0x7ffff40d,0xff1002ff,0x201fffff,
    0xe81ba0e9,0x837ffe47,0x3ffffffe,0x7fffe400,0x7f4000ff,0xefd8000f,
    0xffffd100,0xfffffc81,0xffffe881,0x7ffffe40,0x6fffff81,0x9fffff30,
    0x5fffff70,0x9fffff50,0x3ffffff0,0x3ff60000,0x02f9807f,0x3fffffee,
    0x3ffea006,0x510aefff,0xd01fe87f,0x04fffc8f,0x0dfffff1,0xffffff00,
    0x2ffb8003,0x00efb800,0x21bffff2,0x81fffffc,0xc86ffffc,0xc81fffff,
    0xf307ffff,0xf705ffff,0xf505ffff,0xfb09ffff,0x900dffff,0x0ffffb00,
    0xff880fb0,0x001fffff,0x3ffffff2,0xe85ffeff,0x7c7e80ef,0x3ee00eff,
    0x2002ffff,0x03fffffa,0x002ffc40,0x86a077cc,0x20fffffe,0x1fffffd8,
    0x0fffffe8,0x3fffff62,0x7ffff881,0x0dffff50,0x0fffffea,0x13fffff6,
    0x3fffffe6,0x36013603,0x7cc07fff,0xeeeeeeef,0xfffffffe,0x7fff4005,
    0x05ffffff,0x7e81dffd,0x200bffee,0x00effffe,0x4fffff88,0x00ffe800,
    0x4ccf7cc0,0x3ffe1fa9,0xffcbefff,0xf82fffff,0xcbefffff,0x2fffffff,
    0x03ffff70,0x205ffff7,0x44fffff9,0x4ffffffc,0xffffffd0,0x800fc887,
    0x6407fffd,0xeeeeeeef,0xfffffeee,0x3ba000ff,0x3efffffe,0x33ffffa0,
    0xffe9fe8a,0xfff9801e,0x74405fff,0x8002ffff,0x44002ffb,0xffffffff,
    0x7ffffe47,0xfffbdfff,0x3f24ceff,0xdfffffff,0xcefffffb,0x2ffff444,
    0x013fffe2,0x57fffffd,0xfffffbfb,0x3fffe60b,0xffddffff,0xffffb002,
    0xb0027c40,0x09ffffff,0x6544be60,0xfdb8801a,0xffffffff,0x1df1004e,
    0x59ffffb3,0x6ffffdc4,0x5ff88000,0x7fff4400,0x4c5fffff,0x2fffffff,
    0x17fffffa,0xfffffff3,0x7fffff45,0x4ffff605,0x802fffc8,0xfffffff8,
    0xfffffaaf,0xfffd101f,0x05ffffff,0x03fffec0,0x7cc001f9,0x007fffff,
    0x980000d9,0x00affcaa,0x9107fa20,0xffffffff,0x400039ff,0x74000ffd,
    0xffffffff,0xeffda84f,0x77fed40c,0x9dffb504,0x4effda81,0xfffffb80,
    0x2a001eff,0x51effffe,0x9fffffff,0x3ffff620,0x6c001eff,0xbf107fff,
    0xffffd000,0x09f007ff,0x07e80000,0x4401fc80,0x01abcca9,0x00133000,
    0x02200000,0x04400220,0x44000440,0x40001bba,0x00000ab9,0x001acb98,
    0x20ffffd0,0xfa8003fc,0x407fffff,0x000000fa,0x144003f4,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x3ffff400,0x8000ffc4,
    0x3fffffff,0x00001760,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x361ffffe,0xfb0002ff,0x01ffffff,0x000005f1,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x80000000,
    0x2a7ffffb,0x000efffe,0x7fffffcc,0x03dc1eff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0xfffeb800,0xfff97fff,
    0x80bfffff,0xfffffffe,0x3a5fffff,0x00000004,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x33000000,
    0x54c00001,0x0060000a,0x00198800,0x44000044,0x00000019,0x79999910,
    0x2a600000,0x66440009,0x00003ccc,0x3ccccc88,0x40133000,0x99950099,
    0x98000599,0x02efeffe,0x02ffc400,0x6fffed40,0x3fe20001,0x0bfb3006,
    0x06ff8800,0x02fffaa0,0x3fee013a,0x80000fff,0xfffffeca,0xff7000cf,
    0x00001fff,0x1fffffb8,0x03ff9800,0x7ec07ff3,0x20006fff,0xffd0fffb,
    0x7fec000b,0x7ffdc000,0x0000ffff,0x5c401ffb,0x0005fffe,0xc8007fec,
    0xadffffff,0xf7003fb8,0x80007fff,0xc99cfffc,0x7004ffff,0x0007ffff,
    0x1ffffe80,0x05ff7000,0xfb00bfee,0x50003fff,0x7fdc9fff,0xffb8004f,
    0x4df4c002,0x004fffeb,0x2603ffa8,0x05fffecd,0x00ffea00,0x7fffffcc,
    0x01ffffff,0x01bfff20,0x2fffec40,0x01ffffec,0x006fffc8,0x3fffe200,
    0x3ff20001,0x001ff900,0x0007fffd,0x7cc7fffd,0x22001fff,0x0c8005ff,
    0x002fffd4,0xb801bfe2,0x10005fff,0x7ec00dff,0xffffffff,0xfc8006ff,
    0xfd8000ff,0xffa82fff,0xf9000fff,0x200001ff,0x0001fffb,0xffd03ff4,
    0x1bffa200,0x5ffff700,0x02ffffc4,0x0001ffb0,0x00bffe60,0x4003ffb0,
    0x0005fffa,0x74003ffb,0xffffd50d,0x360003ff,0x7c4003ff,0xf981ffff,
    0x2002ffff,0x00003ffc,0x00005ffd,0x2ffc0bff,0x03ffd100,0x17fffe40,
    0x00fffff1,0x0000bfee,0x4001ffd8,0x54003ffa,0xa8005fff,0x0ec003ff,
    0x00676dc4,0x001bf600,0x03fffff7,0x09fffff3,0x0006fd80,0x0002ff88,
    0xf303ff98,0xfe88007f,0x3fffa003,0x3fffe22f,0x2ffc400f,0xffda8000,
    0x3fe2005f,0xfffa8006,0x37fc4005,0x00000000,0x2e002640,0x880fffff,
    0x004fffff,0x980004b8,0xf700002c,0x0bfea05f,0x800f2200,0x221fffff,
    0x401fffff,0x80000ffd,0x6fffffe9,0x003ffb00,0x00bfff50,0x0001ffd8,
    0x00000000,0xfffff900,0xfffff101,0x00000007,0x7e400000,0x01ff900f,
    0x3fa00000,0x3fe22fff,0x7fdc07ff,0x6c400002,0x5401ffff,0xf50003ff,
    0x7d400bff,0x2200003f,0x2200000a,0xffc8000a,0xff980fff,0x4c000fff,
    0x8800009a,0x4ccc000a,0x999ffe99,0x99ffe999,0x00151000,0x22ffffc8,
    0x206ffff9,0x00005ff8,0x813fff60,0x20006ff8,0x1005fffa,0x30000dff,
    0x59dfffdb,0xfed98001,0x800aceff,0x80fffffc,0x803ffffb,0xfffffeda,
    0x76cc002e,0x00acefff,0x3fffffe2,0xffffffff,0x205fffff,0x4fffffd8,
    0x5ffff700,0x027fffcc,0x00001ffb,0x01fffcc0,0x40003ffb,0xb005fffa,
    0xa80003ff,0xfda9dfff,0xff5001ff,0xfffb53bf,0xffffc803,0x3ffea20f,
    0x77ec402e,0xffffeb9b,0xbfff5002,0x03fffb53,0x3fffffe2,0xffffffff,
    0x505fffff,0xff717fff,0xfffd001d,0x07fffd47,0x0002ffb8,0x01ffe800,
    0x80007ff5,0xa805fffa,0x640003ff,0x7fc45fff,0x7fe402ff,0x7fffc45f,
    0x3ffff202,0x0ffff60f,0x103ffea0,0x803fffff,0x7c45fffc,0xcc882fff,
    0xccdffecc,0xcdffeccc,0x2fffb83c,0x2007fff4,0x3ee5fff9,0xbff102ff,
    0x37660000,0xf104fe81,0xf70000df,0xff880bff,0x7fd40006,0xfffc82ff,
    0xffff500f,0x1ffff905,0x3fffff20,0x3fffb260,0x3fffd00b,0x0fffffb0,
    0x417fffd4,0x800ffffc,0xff900ffc,0x37ffcc01,0x4027ffd4,0xff8affe9,
    0x03ff602f,0x7ffe4000,0x205fb8ad,0x80001ffc,0x6406fffc,0x740001ff,
    0xfa80ffff,0xffd05fff,0xfff501ff,0x3fff20bf,0xfff880ff,0xffff984f,
    0xfffffc85,0x1ffffd00,0x0bffff50,0x7f40ffd0,0x27ffec07,0x007fffc4,
    0x5eff6dc4,0x00bfea00,0x3f620022,0x201dffff,0x33003ffa,0xffffee88,
    0x7fd40eef,0xf5033003,0x3e60ffff,0x7d40ffff,0xff307fff,0xff901fff,
    0x3ee01fff,0x7fdc2fff,0x7fe40fff,0xffa81fff,0xfff307ff,0x5ff801ff,
    0xfa817fe0,0xfff03fff,0x2000009f,0x32205ff8,0x401dfffe,0xf8800998,
    0x0ff7006f,0x0dff1000,0x3fa1fee0,0xff106fff,0xffe85fff,0xfff106ff,
    0xfff905ff,0x3fea01ff,0x3fe20fff,0xfffc86ff,0xfffe81ff,0xffff106f,
    0x27fcc05f,0x3603ff98,0xff02ffff,0x00000bff,0x7d403ff6,0x09ffd2ff,
    0x0ffe4000,0x003ffd40,0x400ffe40,0xfff87ffa,0xfff106ff,0xffff87ff,
    0xffff106f,0xffff907f,0x3ffea01f,0x6fed41ff,0x7fffec41,0xfffff81f,
    0xfffff106,0x817fdc07,0x3fa01ffa,0xfff01fff,0x500000df,0x3fe605ff,
    0x13ffea6f,0x0ffea000,0x01fffe60,0x007ff500,0xf88ffff3,0xf106ffff,
    0x7c4bffff,0xf106ffff,0xf90bffff,0x2601ffff,0x003fffff,0xffffff91,
    0xffff883f,0xffff106f,0xfd9998bf,0xd99999af,0x209999ff,0xffffffff,
    0x7fffffff,0x7fc40000,0x93fffa05,0x001ffff8,0x201bfe20,0x007ffff8,
    0x201bfe20,0x547ffff8,0x106fffff,0x54ffffff,0x106fffff,0x90ffffff,
    0x201fffff,0x04fffff9,0x7e67fe44,0x7d41ffff,0xf106ffff,0x7c4fffff,
    0xffffffff,0xffffffff,0xffff15ff,0x5555559f,0x00015555,0xa807fec0,
    0x7fc3ffff,0x320006ff,0xdee801ff,0x320007ff,0xdee801ff,0x7ffd47ff,
    0xfff105ff,0x7ffd4fff,0xfff105ff,0xfff90fff,0x3fe601ff,0x3ee06fff,
    0xffff93ff,0xffffa83f,0xffff105f,0x7fffc4ff,0xffffffff,0x5fffffff,
    0x07fffff3,0xf5000000,0x7ffe407f,0x3ffffc3f,0x03ffa800,0x7ffd8ed8,
    0x07ff5000,0xfffb1db0,0x5fffff98,0xffffff10,0x2fffffcc,0x7fffff88,
    0x0fffffc8,0xdfffff30,0x45fffb10,0x41fffffc,0x05fffff9,0x4ffffff1,
    0xceffdcc8,0xdffdcccc,0xff33cccc,0x0000bfff,0x05ff8800,0x21ffffec,
    0x000fffff,0x64037f44,0x00fffb1f,0x900dfd10,0x11fff63f,0x20dfffff,
    0x26fffff8,0x06fffff8,0x0dfffff1,0x01fffff9,0x13ffffe6,0xc87ffff3,
    0x441fffff,0x106fffff,0x20dfffff,0xff702ffb,0x7fffc405,0x0000006f,
    0x3a007fec,0x7fc3ffff,0x64001fff,0x17d401ff,0x9000fffb,0x2fa803ff,
    0x3fe1fff6,0xff306fff,0xfff89fff,0xfff306ff,0xfff909ff,0x3fe201ff,
    0x3fa23fff,0x7fe40fff,0xfff81fff,0xfff306ff,0x3ff209ff,0x801ff900,
    0x01ffffff,0xff500000,0xffffb007,0x0fffff87,0x013fea00,0x7ffd87f3,
    0x027fd400,0xfffb0fe6,0x0fffff90,0x0bffffe6,0x20fffff9,0x82fffff9,
    0x40fffffc,0x8bffffa0,0xc86ffffc,0xc81fffff,0xf307ffff,0x3a05ffff,
    0x01ffa07f,0x1bfffff6,0xf1000120,0x3fee00bf,0x7fffc3ff,0x1bfa2007,
    0x33333fe0,0x802cfffe,0xff806fe8,0xfffecccc,0x3fffe22c,0xdffff507,
    0x0fffff10,0x41bfffea,0x70fffffc,0x3ffee5ff,0x3ffffa0f,0x3fff620f,
    0xfff881ff,0xffff507f,0x882ffc0d,0xff9805ff,0x3603ffff,0x7fec0004,
    0xffff5000,0x2ffffc47,0x003ff900,0xffffffff,0xf9009fff,0xffff003f,
    0x9fffffff,0x81ffffb8,0x702ffffb,0xf703ffff,0x3f605fff,0xfff0ffff,
    0xf13ffe6f,0x97dfffff,0x5fffffff,0x07fffee0,0x40bfffee,0xff303ff9,
    0x3fffa007,0x7e443fff,0x3fea0000,0x7ffec003,0x07fffe64,0x8027fcc0,
    0xffeeeeee,0x7cc03eff,0xdddd004f,0x7dffffdd,0x45fffe88,0x204ffff8,
    0x445fffe8,0x3a04ffff,0xfd0fffff,0x21bfe2df,0xfffffffc,0xfffffbdf,
    0x7ff444ce,0x7fffc45f,0x407fee04,0xf3002ffb,0xbfffffff,0x40005ffb,
    0x88005ff8,0x3fee6fff,0xdfd1004f,0xfffb0000,0x00dfd100,0x80fffb00,
    0xf913fffd,0x3f6005ff,0xfff913ff,0x7fffd405,0x5fff50ff,0xff301ff9,
    0x745fffff,0x205fffff,0xf913fffd,0xffc805ff,0x001ff900,0x7fffff44,
    0x0002ffff,0x80007fec,0xff8bffe9,0x3ff2003f,0xffd80001,0x01ffc807,
    0x07ffd800,0xffffffb8,0x7dc001ef,0x1effffff,0x3fffff60,0x3ff6a0ff,
    0x3f6a00bd,0x7ed40cef,0xffb804ef,0x01efffff,0x3fa06fe8,0xffd88007,
    0x001effff,0x001ffd40,0x3fffb220,0x3fe6001d,0xffb00004,0x04ff980f,
    0x0fffb000,0x00ddd440,0x0ddd4400,0x00200000,0x01100110,0x03775100,
    0x3202cc80,0x5cc0003c,0x100001ac,0x10000033,0x00662000,0x4c400000,
    0x00000001,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x93000000,0x20079999,0x10009999,0x71000000,0x32200003,
    0x0003cccc,0x19800000,0x98800000,0x00000009,0x4002a620,0x00003552,
    0x98005530,0x32000000,0x800effff,0x006ffffc,0x3a6017f9,0xfffc8003,
    0x7dc0000e,0x2001ffff,0xd80bffea,0x7ff5c004,0x00002eff,0x3fffff62,
    0x8000003f,0xfffffeb8,0xbcc0abdf,0x800007fd,0xfea806fd,0x0000dfff,
    0x077fffc0,0x7ffffcc0,0x5ff9003f,0x0006fec4,0x0fffffe6,0xffffd000,
    0x7ffe4003,0xfb8adfff,0xffff5003,0x00bfffff,0xd9fff700,0x001dffff,
    0xfff93000,0xfd99bdff,0x2fd57bff,0x00001ffa,0xd8813fe2,0xffeb9cff,
    0xff300003,0x3f6001ff,0x007fffff,0x3bf37fea,0xfff90001,0x44000dff,
    0x2001ffff,0xfffffff9,0x802fffff,0xfffffffa,0x0004ffff,0xff71bff2,
    0x80000bff,0x2efffffb,0x3ffffea0,0x0009ff17,0xb00ffd40,0xfff98fff,
    0xffc80003,0xfff5001f,0x007fffdf,0x002fffd4,0x3ffffee0,0x3fee0005,
    0x7fec001f,0xffffffff,0xfff9806f,0xffffffff,0xf98001ff,0xfffd84ff,
    0xd880000f,0x003fffff,0xfd9ffff2,0x3f600006,0x13fff207,0x000bfffa,
    0x4003fff0,0xff90effe,0xfff5001f,0x440005ff,0x002fffff,0x000bffa0,
    0x7ff5437a,0xe801ffff,0xfff511bf,0x0007ffff,0xf305fffd,0x00005fff,
    0x05fffffd,0x5cfff900,0xf00001ff,0x3ffe609f,0x6fffd81f,0x07fe6000,
    0xb85ffb80,0x3fa604ff,0x03fffc8c,0x0fbf6a00,0x02ff8800,0xb7105b00,
    0x1f70019d,0x3ffffe20,0x7fc4005f,0xfff883ff,0x7ec0001f,0x0004ffff,
    0x3ff89ff6,0x2ffa8000,0x01ffffb0,0x005ffff9,0x880072a0,0x3fea03ff,
    0x741dfd80,0x40003fff,0x2c980000,0x00000000,0xfffb003a,0xfa8009ff,
    0xfff04fff,0xffb8000f,0x0000ffff,0x0dfd1fe2,0x20ff9000,0x80fffff8,
    0x005ffffb,0x0baa0000,0x0aa0fa60,0x00ffffd4,0x00000000,0x00000000,
    0xfffff980,0x7ffdc002,0x3fffa87f,0x3ffe2000,0x80004fff,0x007fdc7d,
    0x5417fe00,0xb80fffff,0x0007ffff,0x00000544,0xfffd0000,0x0000001f,
    0x00135300,0x0026a600,0x3fffe000,0xfffa8007,0x2ffe42ff,0x3fff2000,
    0x80001fff,0x01ffc47a,0x205ff300,0x707ffffc,0x003fffff,0xfffffd88,
    0x40000004,0xffcabcb9,0x150005ff,0x3fb6a000,0x002effff,0x7ffff6d4,
    0x300002ef,0x0003ffff,0x4bfffff3,0x40003ffc,0x7ffffff8,0x3a0e0000,
    0x3f20005f,0xffffd00f,0x3fffee0f,0x3fea003f,0x0effb8bf,0xdddddd10,
    0xff5001dd,0xfffffdff,0x1d0005ff,0xbefd8800,0x2ffffeb9,0x9befd880,
    0x02ffffeb,0x1effc800,0xffff1000,0x03bff9ff,0xffff7000,0x00000bff,
    0x0000ffc8,0x3fe20bfd,0xff707fff,0x2e00bfff,0x7ff42fff,0xfff9300f,
    0xfa801fff,0x3fee1fff,0x44005fff,0x3fea000f,0x7fffc40f,0x3ffea01f,
    0x7ffffc40,0x3fea0001,0x7f40002f,0x00cfffff,0x33333331,0xffffd813,
    0x000004ff,0x40017fcc,0xff103ff9,0x3ee0ffff,0x9806ffff,0xffa86fff,
    0x7fffc04f,0x3fea00ff,0xfffe83ff,0x1ea000ff,0x03fffd00,0x40fffffb,
    0xfd81fffe,0x50007fff,0x007fffff,0x7ffffe40,0x3ffe602f,0x7c2fffff,
    0x03ffffff,0x5ff80000,0x00ffb800,0x0ffffff3,0x1bffffee,0x213fff60,
    0x200ffff8,0x00fffffe,0x203ffffe,0x03fffffb,0x4c00bf30,0xfc85ffff,
    0xf980ffff,0xffc85fff,0x71000fff,0xfffffffd,0xffd98009,0x00ffffff,
    0x057fffe4,0x7ffffffc,0xc8000002,0x6fe8007f,0x3ffffe60,0xfffff707,
    0xffffa80f,0x09ffff03,0x07ffffec,0x07ffffb8,0x0bfffff5,0x4005ff50,
    0x40fffffb,0x81fffffc,0x40fffffb,0x01fffffc,0xffffff50,0x100dffff,
    0xfff97ffb,0xf880bfff,0xfff102ff,0x0005ffff,0x05ff5000,0x501ffc40,
    0x20ffffff,0x07fffffb,0x817fffec,0x3605ffff,0xd00fffff,0x260dffff,
    0x406fffff,0x44006ffc,0xfc86ffff,0xf881ffff,0xffc86fff,0x54001fff,
    0xfffffffd,0x3bfea02f,0xffffff11,0x27fc405f,0xffffff30,0x0000007f,
    0xfb8013fe,0x3ffea01f,0xfff707ff,0xffe80fff,0xffff01ff,0x7fffec0d,
    0xffff880f,0xffff306f,0x3ffa20ff,0xfda8003f,0x7ffec41d,0xbfb501ff,
    0xffffd883,0xff70001f,0x20dfffff,0x7d43fffc,0x01ffffff,0x7c401ff5,
    0x04ffffff,0xffb00000,0x2037ec00,0x07fffff9,0x0dfffff7,0xfffffff8,
    0xffffffff,0x3ffff607,0xffff980f,0xffff305f,0xffff30ff,0xc880000f,
    0x1fffffff,0x7ffe4400,0x0001ffff,0x3fffffe6,0x0ffffb87,0xffffffe8,
    0x802fc80e,0x5fffffff,0xf5000000,0x9ff1003f,0xfffff880,0xfffff707,
    0x7fffc409,0xaaaaaacf,0xfb00aaaa,0xf501ffff,0x220bffff,0x447fffff,
    0x004fffff,0x99ff9100,0x003fffff,0x3f33ff22,0x0001ffff,0x7fffffd4,
    0x1bfffe20,0x7fffffcc,0x8027cc6f,0x6ffffffe,0xf1000000,0x3ff5009f,
    0xffffff00,0x3ffffee0,0x3fffe603,0xfd80003f,0xfa80ffff,0xf305ffff,
    0xfc8dffff,0x0000ffff,0xf93fffb8,0x7003ffff,0x3ff27fff,0x80001fff,
    0x6c7ffffd,0x900fffff,0xbfffffff,0xfc801ba2,0x007fffff,0x1bf60000,
    0x7401ff60,0xf707ffff,0x4c05ffff,0x005fffff,0xfffffd80,0xfffff880,
    0xfffff306,0x7fffff89,0x4407db30,0x3f22fffd,0x2201ffff,0x3f22fffd,
    0x0001ffff,0x46ffff88,0x02fffffe,0x3ffffff6,0x2001fdcf,0xfffffff8,
    0x70000000,0x4ff803ff,0xfffffb00,0x3ffffee0,0x3fffe201,0xfd80006f,
    0xff00ffff,0x3e60dfff,0x3e63ffff,0xfd07ffff,0xfff307ff,0xffffc87f,
    0xffff301f,0xfffffc87,0xfff00001,0x7fffc49f,0x3fa205ff,0x4fffffff,
    0xffffd800,0x000002ff,0x5407ff10,0xff7002ff,0x3fee0fff,0x7fc00fff,
    0x0001ffff,0x07ffffec,0x06ffffd8,0x45fffff3,0x86fffffb,0x446ffff8,
    0x640ffffe,0x881fffff,0x640ffffe,0x001fffff,0x47fffb00,0xfffffff9,
    0x3fffe201,0x8004ffff,0x6ffffffa,0xd0010000,0x03fe40df,0x1fffff10,
    0x0dffff70,0xdfffffb0,0x7fec0900,0xff700fff,0x3fea0fff,0x3fea0fff,
    0xffd07fff,0xffffc8ff,0xfffffc86,0x6ffffc81,0x1fffffc8,0xfffb0000,
    0xffffff81,0x3fe600ff,0x0dffffff,0x3fff2070,0x40001fff,0x0ffb803c,
    0xd800bff0,0xfb80ffff,0xf9803fff,0x203fffff,0x3fff604d,0xfff300ff,
    0x3ffee0ff,0x7fffc46f,0xfffc80ff,0x7fffff45,0x3ffff620,0xffffe81f,
    0x3fff620f,0xcfea81ff,0x81fff800,0xfffffffe,0x3ffea00e,0x42efffff,
    0x3fffa05d,0x90000eff,0x7ff1005f,0x8005ff30,0xc81ffffa,0x3a006fff,
    0x43ffffff,0x3f600fc8,0x3200ffff,0xfc80ffff,0xffd81fff,0xff983fff,
    0x7ffffc2f,0xffffcbef,0xfff82fff,0xffcbefff,0xf82fffff,0x2a00efff,
    0xfff504ff,0x17dfffff,0xfffffda8,0xfdffffff,0x3ffa200f,0x44006fff,
    0x3fa003fd,0x000ffc85,0xd83fffe8,0x26002fff,0xffffffff,0x6c02ffdd,
    0x201fffff,0x444fffe8,0xf104ffff,0x881dffff,0xfffc84ff,0xfbdfffff,
    0x24ceffff,0xfffffffc,0xfffffbdf,0xffff14ce,0xbfd107ff,0xfffffc80,
    0xeddfffff,0xffffbdff,0x3fffffff,0xfffff900,0xffb9805d,0x07fe4001,
    0x440017fa,0x7fc46ffe,0xfe88005f,0xffffffff,0xffffe802,0x7fec402f,
    0x7fff912f,0xffffe980,0x04feb9cf,0xfffffff3,0x7fffff45,0x7ffffcc5,
    0x3fffa2ff,0x7ffe45ff,0xfdabefff,0xfffb002f,0xffffffff,0x7ff4c3bf,
    0x04ffffff,0x7ffffd40,0xfdbabcef,0x98000dff,0x0ffe62ff,0xbffe8800,
    0x004ffd98,0x3ffff620,0xfa801eff,0x00dfffff,0xfffffeb8,0x3ae002df,
    0x1dffffff,0x677fed40,0x277fed40,0x0ceffda8,0x4277fed4,0xffffffc8,
    0x98004fff,0xfffffffe,0x3ff201df,0x0003efff,0x3fffff26,0x03efffff,
    0xf72ffc00,0xc880001f,0x03efffff,0x2b2e6000,0xffff8801,0x03ffffff,
    0x01579530,0x009a9800,0x08800880,0x11001100,0x59955100,0x53000013,
    0x40035797,0x0001bb98,0x6665d4c0,0x500000aa,0x001e5c99,0x002ee600,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33332200,0x4400004c,0x31000099,
    0x2a620000,0x22000001,0x002201a9,0x4ccccc80,0x09800000,0x06a62000,
    0x00b98000,0x10000880,0x32ea0003,0xacdefffd,0xffa80001,0x40001fff,
    0xefffffd8,0x3ccccccd,0x00bbff62,0xffffd710,0x00039fff,0xffffec88,
    0x001642df,0x1fffffa8,0x76d40000,0x22000cef,0xffffffeb,0xe98001cf,
    0x64403fff,0x1deffffe,0x177fe440,0xffffea80,0xffffdaad,0x7dc0001e,
    0x20004fff,0xb8bffffb,0xffffffff,0x3fffff26,0xfffc8800,0xffedccde,
    0xfa8003ef,0xfcb9acff,0x002fbcff,0x05ffffb0,0x3ff22000,0x644001cf,
    0xdccdefff,0x003efffe,0x03fffff2,0x2bbfff22,0x00dfffda,0x01fffff9,
    0x17fffec4,0x09ffff50,0x6fffb800,0xffff9000,0xeffffa85,0x3fffe4ee,
    0x7fd403ff,0x7ed400bf,0xff7000df,0x3ff2201f,0xff0002ff,0x100005ff,
    0x001bfffb,0x017fff50,0x00dffda8,0x7fffffc4,0x1ffff443,0x407fffd4,
    0x03ffffff,0x07fffff5,0x5dffff30,0x7ffdc000,0x7ffd4001,0xffff887f,
    0xfffff984,0x0fff205f,0x07ff6200,0x009fff30,0x0005fff5,0x0005fff5,
    0x07fffd30,0x00fff200,0x007ff620,0x85ffffff,0xd00ffffd,0xff88bfff,
    0xfa84ffff,0x2004ffff,0x01fffffb,0x013ff200,0x0bffffd0,0x10bffffa,
    0x09ffffff,0x00007bf6,0x7f403ff7,0xff7000ff,0x7ffb0007,0xfff70000,
    0x3f60009f,0x7dc0001e,0x3fff201f,0x7fffd46f,0x3fffee05,0x7ffffec1,
    0x7ffffc41,0xffff8007,0x7e40006f,0x3ffe2006,0xfffb05ff,0xfffff09f,
    0x80df707f,0x50981a98,0xfff301df,0x03fd800f,0x0003ff80,0x04ffffc8,
    0x000df700,0x88077d40,0x7e41dffc,0x3ea07fff,0x7fcc3fff,0xfffd84ff,
    0xfb8004ff,0x0004ffff,0xf980065c,0xfb04ffff,0xffd0dfff,0xff983fff,
    0xbbffd900,0x645d59df,0xffffb85f,0x00fe2001,0x00007910,0x009ffff5,
    0x7e43fe60,0xfffeffff,0x0bf902de,0x3fffa010,0xfff501ff,0x202ea09f,
    0x2ffffffa,0xffff9800,0x000001ff,0x3ffffe20,0xdffff904,0x1fffff90,
    0xfe982fe8,0x7ff5444f,0x3f217f42,0x2000efff,0x0000003e,0x1fffff10,
    0x30bfa000,0x32a3ffff,0xfe80efff,0xfffd0002,0x3fea09ff,0x7c4002ff,
    0x007fffff,0xffffff10,0x8000000d,0xb04ffffe,0xf707ffff,0x5f98dfff,
    0x403fffa8,0x237cc2fe,0x0efffffc,0x00007700,0x3fff6000,0xbf30005f,
    0xd07fffe0,0xdf30dfff,0x3fff2000,0xffc82fff,0xffa8007f,0x0005ffff,
    0x3ffffffa,0x3bbbbae1,0x3bbaa2ee,0xfb83eeee,0xffd05fff,0xfff303ff,
    0x442fd89f,0xfa806fff,0x3ea1fe82,0x0cffffff,0x3bae0440,0x2a2eeeee,
    0x3eeeeeee,0x5fffff50,0x40bf6000,0x7dc1fffe,0x1fe80fff,0x3fea0710,
    0x6c1fffff,0xb8004fff,0x04ffffff,0x3ffff600,0x3fee22ff,0x7542ffff,
    0x884fffff,0xf887ffff,0x3fe06fff,0x21be22ff,0xd003fffd,0x7c49f505,
    0xffffffff,0x7fdc4003,0x7542ffff,0xb04fffff,0x4c4fffff,0x206f8800,
    0x7cc1fffe,0x4fa82fff,0x3fe20d50,0x33ffffff,0x0001bfff,0x9ffffffb,
    0x7ffe4000,0xffd84fff,0xffb82fff,0xff304fff,0xfffb85ff,0x3fff600d,
    0xff313ea0,0x022001ff,0x3fff637c,0x3fffffff,0x7fffec00,0xffffb82f,
    0xffff884f,0xfffffcdf,0x409f500d,0x7dc1fffe,0x0df00fff,0xfffb81f2,
    0xfddfffff,0x3fa0003f,0x003fffff,0x3fffff20,0xffffc85f,0xffffa82f,
    0x3ff6204f,0x3fffeadf,0x5c6ffb80,0x7fffdc2f,0x47e80000,0xffffffe8,
    0x001effff,0x05fffff9,0x09fffff5,0xfffffff7,0x5fffffff,0x7f405f70,
    0x7fff41ff,0x7ec1fa05,0x3ffff601,0x01ffffff,0x3fffe200,0x20003fff,
    0x7ffffffc,0x2fffffb8,0x4fffffa8,0xfffffa80,0xff3000bd,0x7e41fc89,
    0xb00007ff,0xffff981f,0xffffffff,0x7ffdc00d,0xfffa82ff,0xfffe84ff,
    0xffd31cff,0x1fc85fff,0x447fffa0,0x201efffc,0x02fe80fd,0x7fffffe4,
    0x53004fff,0xffffff98,0x3ee0002f,0x40ffffff,0x82fffffb,0x04fffffa,
    0x40001764,0x07ec3ff8,0x001bfffa,0x7cc0fe40,0xffffffff,0x2e01efff,
    0xa82fffff,0xf84fffff,0x440fffff,0x6c6fffff,0x3fffa00f,0x02ffffee,
    0x3ff81fc8,0xfffffb80,0x300dffff,0x3e27fffd,0x02ffffff,0x3fffee00,
    0xfffb87ff,0xfffa82ff,0x7fd304ff,0x17fc0000,0xfffb07f2,0x3f60000f,
    0xffffb100,0xffffffff,0x3fffee03,0xffffa82f,0x7fffc44f,0xfffd80ff,
    0x807f23ff,0xffcbfffe,0x81fb006f,0xfa805ff9,0xffffffff,0xffff905f,
    0x3ffffe1f,0x320003ff,0x86ffffff,0x82fffffb,0x04fffffa,0x00007ffd,
    0x0bee07ec,0x001ffff9,0xd500fd00,0xffffffff,0x3fee0fff,0xffa82fff,
    0x7fcc4fff,0xff707fff,0x17dcdfff,0xf13fffd0,0xfd007fff,0x4c0fff70,
    0xfffdcffe,0x444fffff,0xd3ffffff,0x09ffffff,0x7fffe400,0xfffb85ff,
    0xfffa82ff,0xfff984ff,0x999999be,0x2a1f2000,0x7fffd43f,0x06f80001,
    0x3ffffaa0,0xb83fffff,0xa82fffff,0x544fffff,0x107fffff,0x54ffffff,
    0x3fffa03f,0x01ffff71,0xfffd86f8,0x26fff981,0xfffffffc,0x3fffe20f,
    0xffffb3ff,0x6c000bff,0x84ffffff,0x82fffffb,0x84fffffa,0xfffffffc,
    0xceffffff,0x3e61aa01,0x1ffffc45,0x097e6000,0xfffff700,0xff70ffff,
    0xff505fff,0xff989fff,0x3fe07fff,0xbf30ffff,0xd0ffff40,0x7cc09fff,
    0x43fffe85,0x5c4ffff9,0x2fffffff,0x87ffffec,0x5ffffffb,0x3fff6000,
    0xffb82fff,0xffa82fff,0xffa84fff,0xffffffff,0x02ffffff,0x703fa071,
    0x0600ffff,0x003b17e4,0x7fffffe4,0x7fffdc0f,0xffffa82f,0xfffff84f,
    0xfffff00f,0xe807f43f,0x3fea2fff,0x85f900ff,0x6c4ffff8,0xfb81ffff,
    0x4c4fffff,0x3e23fffe,0x006fffff,0x3fffffe0,0xfffff706,0xfffff505,
    0xfffff109,0xffffffff,0x8003ffff,0xfffe84fa,0x7c42e404,0x2a0026c7,
    0x41ffffff,0x82fffffb,0x84fffffa,0x01fffffe,0xa8fffffd,0xffff884f,
    0x42ffff43,0xfffa87f8,0x3fffe26f,0xffffb00f,0x640a60df,0x00ffffff,
    0xfffff980,0xffff702f,0xffff505f,0x3ffa609f,0xffffffff,0x003fffff,
    0x7ec40ff8,0x36a20dff,0x6d87f904,0xffffa800,0x7fffdc1f,0xffffa82f,
    0xffffc84f,0xffffd02f,0xfa81ff0d,0x7fcc5fff,0x41fe43ff,0x50fffffc,
    0x540fffff,0x00ffffff,0x7ffffc40,0xffb8004f,0x3ee06fff,0xfa82ffff,
    0x2a04ffff,0xffffffff,0x5fffffff,0x837dc010,0xfeffffe9,0x81df502e,
    0xfe8001fd,0xfffb87ff,0xfffa82ff,0xfffb84ff,0xfffb03ff,0x74df709f,
    0x4fffffff,0x553ffff6,0xfffe80ef,0xffff52ff,0x7fffc40f,0x2015106f,
    0x07fffffb,0xfffffe80,0x3fffee02,0xffffa82f,0x2ffe984f,0x5fffd980,
    0x40b7ff22,0x554c04fd,0x40ffc401,0xfc8006fd,0xfffb86ff,0xfffa82ff,
    0xfff984ff,0xfffd04ff,0x013f605f,0x01ff8800,0x27ffffff,0x407ffff9,
    0x445ffffd,0xfd04fffd,0x4005ffff,0x04fffffa,0x1fffffd4,0x27ffffec,
    0x20027ffc,0x3fee2ffd,0x9fd107ff,0x7fd30000,0x0013ff60,0xf507fff9,
    0xfb07ffff,0x3609ffff,0xfd06ffff,0x3a201fff,0xe980004f,0xffff103f,
    0x7fffc9ff,0x3fff601f,0x7fffdc3f,0xffffb02f,0x3ffa200d,0xff9804ff,
    0x7fe44fff,0x7cc4ffff,0x7ec003ff,0x7fffff47,0x01dfd302,0x813fee00,
    0x2002fffd,0xff305ffe,0xffc89fff,0xf104ffff,0xff01ffff,0xfe9809ff,
    0xff70000e,0x7fffcc09,0x3fff25ff,0xffff102f,0xfffffd0b,0x7fffec0b,
    0x3ffa200e,0x3fa004ff,0xfdabffff,0x85fffffd,0x7000fffe,0xffff85ff,
    0x3f6203ff,0xeb8801cf,0x7fec02ff,0xffc804ff,0x3fffa00e,0xfdfdabff,
    0x2e05ffff,0x7cc4ffff,0xfb1006ff,0xd710039f,0xfff005ff,0xffe87fff,
    0xfffa80ef,0xffffe80f,0x7ff5405f,0xfb511bef,0x8003dfff,0xfffffff8,
    0xfffffaaf,0x7fff4c1f,0xb99999ac,0xffc80efe,0xfb800fff,0xa9abceff,
    0x00dfffcb,0xefffffd8,0x6ffecc0a,0x7fffc400,0xffaaffff,0x2a01ffff,
    0xfd32ffff,0xfb8001bf,0xa9abceff,0x00dfffcb,0x1fffff90,0x0dfffe88,
    0x03dfff71,0x0bffffee,0x7fffedc0,0x2dffffff,0x3ffaa000,0xfff51eff,
    0xb309ffff,0xdfffffff,0x7f44059b,0x6d4003ff,0xffffffff,0x3b6000cf,
    0xdffff931,0x4005dfff,0x1effffea,0xfffffff5,0x7ffe4c09,0x0002dffe,
    0x7ffffed4,0x000cffff,0x0177fe44,0xffdffff5,0xfd8805ff,0xa88005ff,
    0x0aabccba,0x2ae60000,0x98800000,0x1730001a,0x654c4000,0x70001abc,
    0x2f32e601,0x2e60001a,0x8800000a,0x00001bba,0xabcca988,0x01880001,
    0x26b2ea60,0x00544000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000098,0x40000d44,
    0x06200a98,0x01553000,0x004d4c00,0x2aa20000,0x20028009,0xccccccca,
    0x003ccccc,0x32a00062,0xcccccccc,0x1ccccccc,0x00662000,0x40000000,
    0xcffffdb8,0x77774400,0xfb70eeee,0x80019fff,0x4fffffea,0x440027d4,
    0x1efffffd,0xffffd500,0x80003bff,0xffffecb9,0x540bdfff,0x3fffa006,
    0xffffffff,0x7fecc04f,0xd800bdff,0xffffffff,0xffffffff,0x3ffa0001,
    0x9ffb5001,0x4000b901,0xfeaaeffc,0x7e4c04ff,0xfc8fffff,0x06ffffff,
    0x15fffd10,0xff93dfd3,0xdff98009,0x02ffff98,0x3aa73fa6,0x00dfffff,
    0x7fffe440,0xfdcaabce,0x06ebbdff,0xffffff10,0x1fffffff,0x7ffffe40,
    0x7c01ffff,0xffffffff,0x6fffffff,0x3fff2000,0xffffb801,0x4fa8adff,
    0x1fffb000,0x02ffffcc,0x67fffffc,0xffffdacf,0x7ffcc04f,0x7fffcc1f,
    0x3e6004ff,0x3fff21ff,0x85fe881f,0x05fffffa,0x3ffffea0,0x7ffec403,
    0xff7006ff,0xffffffff,0x7fe40bff,0xffffffff,0xffff301f,0xffffffff,
    0x0009ffff,0x007fffea,0xfffffff1,0x007fffff,0x90bfff90,0xe809ffff,
    0x42ffffff,0x02fffffa,0x641bfffa,0x004fffff,0xfb83fffa,0xffd85fff,
    0xfffffb06,0xfffd8807,0x3e6000ef,0xfd006fff,0xffffffff,0x3ee05fff,
    0xffffffff,0xfa80ffff,0xffffffff,0x1fffffff,0xffff8800,0x7ffe401f,
    0xffffffff,0x7fcc000f,0xfff984ff,0x3ffa01ff,0xffd04fff,0xff901fff,
    0x3fee07ff,0xf7004fff,0x7fdc1fff,0xffff87ff,0xfffffa81,0x3fffa206,
    0xf98000ff,0xef9806ff,0xeeeeeeee,0xfff105ee,0xfffffdbf,0xff907fff,
    0xffffffff,0x00dfffff,0x3fffffa0,0xda876c01,0x02ffffff,0x3ffffc80,
    0x0dfffff0,0x07fffff4,0x2fffffb8,0x0fffffc4,0x4fffffa8,0x3fffff00,
    0x22ffffcc,0x984ffff9,0x207fffff,0x02fffffc,0x01bfe600,0x20000bf2,
    0x7f4c1cfb,0xe86fffff,0xfd801bdf,0xffc8004f,0x6401ffff,0x0ceda882,
    0xffffd000,0x3ffffe07,0xffffd01f,0x3ffe601f,0x7ffd44ff,0xfff300ff,
    0xff1009ff,0xffe85fff,0x7fffc42f,0xfffff986,0xffffa80f,0xfb80007f,
    0x0007e806,0x7fc409f0,0x220fffff,0x7ffc005f,0x7ffcc001,0x0001ffff,
    0xfff80000,0xfffd03ff,0x3ffa07ff,0xff300fff,0xffc8bfff,0x3fe607ff,
    0xf9804fff,0xba83ffff,0x07fffb01,0x0dfffff3,0x9ffffff1,0x01be0000,
    0x80003bf3,0xfffa8049,0x01aa0fff,0x800fff50,0xffffcef8,0x0000001f,
    0x7ffffcc0,0xfffffb04,0x3ffffa0d,0xffff100f,0xffffd8ff,0x3fffe607,
    0xfffb804f,0xc88005ff,0xfffa80be,0xfffd84ff,0x00001fff,0xfffc80d7,
    0x000acdef,0x7fffc400,0x2000447f,0x6c004ffd,0xfffffb9f,0x02880001,
    0xfffff700,0x3ffff209,0xffffd06f,0x3ffe201f,0x3ffe0fff,0x3fe606ff,
    0xfb804fff,0x0006ffff,0xfffff700,0xfffff883,0x200000ff,0x7ffffc05,
    0x003fffff,0x7ffff400,0xfff80006,0x5cfee001,0x541fffff,0x2eeeeeee,
    0x077fffb2,0xfffffb80,0xfffff705,0x3ffffa0f,0x3fffe00f,0xffff30ff,
    0x7ffcc0df,0xffa804ff,0x00007fff,0x0bffffd0,0xfffffff5,0x54000000,
    0xffffffff,0x0002ffff,0x07fffff0,0x07ffa800,0xffb97e60,0xfea81fff,
    0xfd8bffff,0x01ffffff,0xbfffff50,0x3ffffea0,0xffffe80f,0x3fffe00f,
    0x3fffe67f,0x3ffe606f,0xff9804ff,0x0000ffff,0x2ffffd40,0xffffffc8,
    0x20000006,0xfffffffd,0x0effffff,0x7fffc000,0x7e40000f,0x1fd1004f,
    0x0fffffdc,0xdfffffc8,0xffffdcfe,0xfff3006f,0x3fea0fff,0xffd07fff,
    0x3e201fff,0x3e25ffff,0x2607ffff,0x904fffff,0xfffffb99,0x009999bf,
    0x04fffd80,0x3ffffff6,0x20000005,0xffffffff,0x5fffffff,0x3ffe6000,
    0xff80004f,0x85fb002f,0x01fffffb,0xdffffff7,0x2fffffc8,0xffffff00,
    0xfffff505,0x3ffffa0d,0xffff300f,0xfffff89f,0x3fffe607,0xffff884f,
    0xffffffff,0x260007ff,0x7fc02fff,0x004fffff,0xddd30000,0xffffffff,
    0x007fffff,0x03fffee0,0x0fff5000,0x3ee13ee0,0xf501ffff,0xa81dffff,
    0x003fffff,0x0bfffff7,0x0bfffff7,0x03fffffa,0x17ffffcc,0x03fffffa,
    0x27ffffcc,0x7fffffc4,0xffffffff,0x3bf20007,0x7fffc400,0x00003fff,
    0x3ae62000,0xffffffff,0xffe8000f,0xfc80002f,0x06f9804f,0x03fffff7,
    0x0fffffea,0x13ffffe6,0xfffffe80,0x7ffffe43,0xfffffd04,0x3fffee01,
    0x7fffd41f,0xffff303f,0x3333209f,0xcefffffd,0xf10004cc,0x3ffe200b,
    0x0003ffff,0x32600000,0x2fffffff,0x27ffcc00,0x2fff8000,0xf700fe80,
    0x2a03ffff,0x983fffff,0x004fffff,0x3fffffa6,0xffffffde,0xffffd02f,
    0x3fffa0bf,0xfffff05f,0x3ffff60d,0xfff3004f,0x200009ff,0xff1000fa,
    0x007fffff,0x10000000,0x09fffffd,0x006ffd80,0x00fff300,0x7fdc05f9,
    0xff501fff,0xff307fff,0x8800bfff,0xdffffffd,0x207fffff,0xdffffffe,
    0x3ffffee0,0xfffff500,0x3fffa63b,0x3e004fff,0x0004ffff,0xff800d70,
    0x003fffff,0xffffffd7,0x03dfffff,0x3fffa200,0x3fea006f,0xf900000e,
    0x05fa80bf,0x0fffffdc,0x3fffffa8,0x5fffff98,0x79951000,0x9fffff31,
    0x7fffff40,0xfffedffb,0x7fd401ff,0xaefeffff,0x004fffff,0x00bffff2,
    0x20025c00,0x4ffffffe,0x7ffec400,0x000dffff,0x7fffe880,0x01fff100,
    0x17ffc000,0x3bbbbfa0,0xfffeeeee,0x7d45eeff,0xf983ffff,0x0005ffff,
    0x7ffffe40,0x3ffffa01,0xffffe98f,0xfd5001cf,0x3e69ffff,0x2004ffff,
    0x001ffffa,0xb8003500,0x06ffffff,0xfffff880,0x200000ff,0xb006fffa,
    0x400003ff,0xfe807ff9,0xffffffff,0xffffffff,0x7ffffd46,0xfffff983,
    0x7fc00005,0x7f405fff,0x2a20ffff,0x2a20001b,0x7fffcc1b,0x7ffc004f,
    0x0000000f,0x3ffffe20,0xfff0007f,0x0000ffff,0x804fff88,0x04401ffb,
    0x00bff900,0xfffffffd,0xffffffff,0xfffa8dff,0xfff983ff,0x200005ff,
    0x00fffffa,0x07fffff4,0x26000000,0x004fffff,0x44037ff4,0x36000001,
    0x01ffffff,0xffffff80,0xfe800006,0x0ffcc01f,0xff0016c0,0xfffd005f,
    0xffffffff,0x8dffffff,0x83fffffa,0x05fffff9,0x3fff6000,0xfffe801f,
    0x000000ff,0x7ffffcc0,0x75e65404,0x04d805ff,0xf8800088,0x004fffff,
    0x6ffffff8,0x6fe80000,0x400ffc40,0xff3001fa,0x3332e00f,0xfecccccc,
    0x43cdffff,0x83fffffa,0x05fffff9,0xffff9000,0x3fffa009,0x000000ff,
    0x7ffffcc0,0xffffd104,0x9835bfff,0x32203fdb,0x4c000cff,0x00ffffff,
    0x7fffffc0,0x077fee06,0xb00bfe60,0x999999df,0x400ffd99,0x00005ffc,
    0x0fffffdc,0x3fffffa8,0x5fffff98,0xfffc8000,0x3ffa003f,0x00000fff,
    0x7fffcc00,0xb9df704f,0xffffffff,0x05ffffff,0x02ffffe4,0x7ffffdc0,
    0x7fffc003,0xfff106ff,0x4fc809ff,0x7ffffe40,0xffffffff,0x0bffa006,
    0xfff70000,0x3fea03ff,0xff983fff,0x40005fff,0x002ffffc,0x07fffff4,
    0x26000000,0xf05fffff,0xfffff98b,0xffffffff,0xfffff100,0xff90001f,
    0x7c005fff,0x306fffff,0x5fffffff,0x5405fc88,0xffffffff,0x04ffffff,
    0x001fff30,0xffffb800,0xffff501f,0xffff309f,0x322000bf,0x8000efff,
    0x01fffffe,0x7d400000,0xf885ffff,0x7ffffe44,0x3fffffff,0x3ffffe60,
    0xfd30001f,0x3e007fff,0x206fffff,0xfffffffc,0x402ffdce,0xfffffff9,
    0xffffffff,0x0bff9003,0xfff70000,0x3fee03ff,0xffa84fff,0x4c006fff,
    0x001dfffc,0xffffff30,0x80000007,0x0ffffffc,0xffc9afc8,0xffffffbc,
    0xffe805ff,0xb80006ff,0x09bfffff,0x3ffff2a2,0x7fe401cf,0xbeffffff,
    0x7fffc400,0xffffffff,0xd001ffff,0x000005ff,0x03fffff7,0xffffffd3,
    0x7fffec43,0x75c402ff,0x0000beff,0xffffffb1,0x00009bff,0x7fff6440,
    0x20dfffff,0x23ffffe8,0x4fffffe9,0x5ffff300,0x3f220000,0xffffffff,
    0x001cffff,0x0aacba98,0x3ffffa00,0xffffffff,0x8800ffff,0x00000ccc,
    0x1fffffb8,0x7fffffdc,0xfff8bfff,0x05ffffff,0x000026aa,0x99999998,
    0x00001999,0x4cccccc0,0x71019999,0x2aee6015,0x002a8000,0x32ea6000,
    0x009aaccc,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x2a000002,0x1dea81de,0x006a6000,0x4c0bec98,0xdea803ec,
    0x701dea81,0xdddddddd,0xeeee98bd,0x999951ee,0x99999999,0xcccca809,
    0x8003cccc,0xeeeec801,0xeeeeb80e,0x9999901e,0x99999999,0x99993079,
    0x40599999,0xb0000018,0x7d400005,0x3fea0fff,0xd91000ff,0x019fffff,
    0x224ffff8,0x2a03ffff,0x3ee0ffff,0xfd880fff,0x0bffffff,0x22effc98,
    0xffffffc8,0x4009bfff,0xffffea98,0x3faa001e,0x7fffec00,0xffffc80f,
    0xff73101f,0x5bffffff,0x7fed4c03,0xf9101bef,0x400005df,0x200005f9,
    0x3a4ffffd,0x9803ffff,0xffe9bfff,0xfff500ff,0x7fffd4ff,0x3ffff606,
    0x0fffffa3,0x7fffffd8,0x880ffc40,0x5fffffff,0x7fff1000,0x3ffee200,
    0x7ffec00f,0xfffc80ff,0xffc801ff,0x8006ffff,0x7dc01ffe,0x00006fff,
    0x00007ff2,0xb1ffffe4,0x9805ffff,0x3fea2fff,0xff980eff,0x3ffea6ff,
    0x3fff205f,0x3ffff63f,0x3fffe202,0x17e201ff,0xffffff70,0x27f4000d,
    0x7fffe440,0x7fec00ff,0xffc80fff,0xfa801fff,0x005fffff,0xfe805fb8,
    0x0002ffff,0x004fff88,0x1ffff300,0x2037ffcc,0xff87fff9,0xffd02fff,
    0x2fffe85f,0x83fffe60,0xc806fff9,0x204fffff,0x7fc401fa,0x001fffff,
    0x64c01ff0,0xffffffff,0x7fffec00,0xffffc80f,0xfff9801f,0xa8004fff,
    0xfffd804f,0xb80001ff,0x0000ffff,0x2e205710,0x4fffd802,0x04ffffe8,
    0x05d402ea,0xb8815c40,0xffff1002,0x01b201ff,0x7fffffe4,0x03fa8004,
    0x3fffb7f6,0x6c00ffff,0xc80fffff,0x801fffff,0x4ffffff9,0x803f9800,
    0x006ffffa,0x7fffff00,0x00000000,0x83ffff98,0x002ffffc,0x00000000,
    0x3fffff60,0x22007f03,0x0fffffff,0x0203ec00,0x1ffffff7,0xfffffd80,
    0xfffffc80,0xffff9801,0xf98004ff,0x19fd7003,0xfff50000,0x00000fff,
    0xfffd8000,0x5ffc882f,0x00000000,0x7ffcc000,0x00fa86ff,0x3fffff60,
    0x0fe6003f,0xfffff100,0xfffd801f,0xfffc80ff,0xff9801ff,0x8004ffff,
    0x000003f9,0x3ffffa00,0x000002ff,0x3e001353,0x2202ffff,0x00a88000,
    0x000a8800,0x7fffff40,0x26002ec2,0x06ffffff,0x20003f20,0x00ffffff,
    0x07ffffec,0x0fffffe4,0x7ffffcc0,0x3f98004f,0x30000000,0xdfffffff,
    0x3b6a0000,0x02efffff,0x13ffffe2,0x7fec4000,0x4c004fff,0xacefffed,
    0x7ffd4000,0x00be26ff,0x3fffffa0,0x04f8802f,0xffffff00,0xffffd801,
    0xffffc80f,0xfff9801f,0x98004fff,0x0000003f,0xffffdfb0,0x440003ff,
    0xfeb9befd,0xff302fff,0x0000bfff,0xf717fff5,0xff5001df,0xfffb53bf,
    0xffff8003,0x000f71ff,0x3fffffea,0x000fb805,0x1ffffff0,0xfffffd80,
    0xfffffc80,0xffff9801,0xf98004ff,0xddddd103,0x20001ddd,0xffffbbf9,
    0xf50005ff,0xfff881ff,0xfff981ff,0x5c0006ff,0x7ff42fff,0x3fff200f,
    0x17fffc45,0xfffff700,0xf80013ab,0x00ffffff,0xff0002fc,0xd801ffff,
    0xc80fffff,0x801fffff,0x4ffffff9,0x203f9800,0xffffffc9,0x11f90000,
    0x1fffffff,0x3fffd000,0x0fffffb0,0x0ffffff1,0x37ffcc00,0xa827ffd4,
    0xfc82ffff,0xf1000fff,0x3f5fffff,0x7ffe4000,0x3ea04fff,0x3ffe0001,
    0x7ec00fff,0xfc80ffff,0x9801ffff,0x04ffffff,0xf803f980,0x000fffff,
    0x3ff24f88,0x4004ffff,0xc85ffff9,0xf80fffff,0x001fffff,0x109fffb0,
    0xfd01ffff,0xff501fff,0x7e400bff,0x006fffff,0x7ffffc40,0x00dd00ff,
    0xffffff80,0x7fffec00,0xffffc80f,0xfff9801f,0x98004fff,0xfffe803f,
    0xfb8000ff,0x3ffffe61,0x3ee000ff,0x7e40ffff,0xfe81ffff,0x8005ffff,
    0xf03ffffa,0xffa89fff,0xfff307ff,0x3e6001ff,0x003fffff,0xfffffd80,
    0x002f983f,0x7fffffc0,0x7fffec00,0xffffc80f,0x3e602e1f,0x004fffff,
    0xfd803f98,0x8000ffff,0xffffd85f,0x3e2003ff,0xffc86fff,0xffc81fff,
    0x4001ffff,0xf02ffffd,0xffe8bfff,0xfff106ff,0x7ec005ff,0x0000ffff,
    0xffffff98,0x80006d86,0x00ffffff,0x0fffffec,0x3fffffa2,0x7ffcc1e3,
    0x98004fff,0xfffd803f,0x7d4000ff,0xfffffa82,0x7ed4006f,0x7ffec41d,
    0xfff881ff,0xd300efff,0x0fffff41,0x7c6ffff8,0xf106ffff,0x4007ffff,
    0x004ffffa,0x3ffffa00,0x00fe21ff,0x3ffffe00,0x7fff400f,0x7ffec2ff,
    0x20d34fff,0x4ffffff9,0x803f9800,0x00fffffd,0xffd03740,0x0005ffff,
    0xfffff910,0x3ff203ff,0x20aeffff,0x7fffc3fa,0xffffffff,0x3fe27fff,
    0xff106fff,0xe800bfff,0x00001fff,0x3fffffea,0x00003f25,0x03fffffe,
    0xdfffffd0,0xfff9fd77,0x207fbfff,0x4ffffff9,0x803f9800,0x00fffffd,
    0xfb80be60,0x006fffff,0x333ff220,0x101fffff,0xfffffffd,0xf88bffdf,
    0xaaacffff,0x0aaaaaaa,0x0dfffff5,0x1fffffe2,0x00dff700,0xfffff000,
    0x009f11ff,0x3ffffe00,0x7fff400f,0xb0efffff,0x0dffffff,0x7fffffcc,
    0x03fa8004,0x0fffffd8,0xf101f600,0x03ffffff,0x27fff700,0x01fffffc,
    0x3fffff62,0xf985ffff,0x8003ffff,0x05fffffa,0x0ffffff1,0x003ff880,
    0xffffc800,0x000fbcff,0xffffff00,0xffdff801,0x3a20dfff,0x200dffff,
    0x4ffffff9,0x802fa800,0x00fffffd,0xddddff30,0xffffdddd,0x4400bfff,
    0x3f22fffd,0xc801ffff,0x2dffffff,0xbfffff30,0xffff3000,0x3ffe20bf,
    0xfc8007ff,0xf8800000,0x5fffffff,0x3ffe0000,0x3e200fff,0x00acb89f,
    0x22006ee6,0x05ffffff,0xd802fa80,0x000fffff,0xddddddf9,0xffffdddd,
    0xf3001fff,0xffc87fff,0x26001fff,0xff8801fd,0x88006fff,0x106fffff,
    0x00dfffff,0x00000bb0,0x7fffffec,0x3e00001f,0x200fffff,0x00002ffa,
    0x7ffffc40,0x1fc8005f,0xfffffd80,0x004f8800,0x3ffffff6,0x7fff4404,
    0x7fffe40f,0x3be2001f,0xfffff001,0xfff0003f,0x3fe60dff,0x44004fff,
    0x2000001f,0x5ffffff9,0x7ffc0000,0x3ee00fff,0x8000004f,0x05ffffff,
    0xfb007e80,0x9001ffff,0x7fcc001f,0x6407ffff,0xfc86ffff,0x2001ffff,
    0xd803fffd,0x806fffff,0x3ffffe44,0x2fffff98,0x35c0cda8,0x7f400000,
    0x0002ffff,0x7fffffc0,0x01bff600,0x3ff60000,0x44007fff,0xfffb006f,
    0x5f8801ff,0xffffe800,0x3ffa03ff,0x3f620fff,0x1001ffff,0x300dfff9,
    0x07ffffff,0x3ffe226c,0xffff507f,0x8bfff30d,0x8000003e,0x006ffffa,
    0xfffff800,0x3fffa00f,0x54000000,0x01ffffff,0x6c00bfa0,0x400fffff,
    0xfa8003fc,0x207fffff,0xbeffffff,0xfffffffc,0x7ffe4002,0xffffe800,
    0x07e443ff,0x40ffffdc,0xc82ffffb,0x0d50ffff,0x7fc00000,0x400002ff,
    0x0ffffff8,0x03ffff10,0xffd00000,0xb001dfff,0x7fec00df,0x3e200fff,
    0xfff0001f,0x3207ffff,0xffffffff,0xefffffbd,0xbffb004c,0x3fffe600,
    0xffddffff,0xbfffd102,0x04ffff88,0xf33ffff7,0x40000005,0x00007ffc,
    0xffffff88,0x5ffff301,0xf1000000,0x03dfffff,0x8003bf26,0x01fffffd,
    0x4000bff6,0xfffffffd,0xfffff980,0x3fffa2ff,0xff5005ff,0x7f44003f,
    0xffffffff,0x3fffd802,0x405fff91,0x5ffffff8,0x44000000,0x800003ff,
    0x2ffffffa,0x01ffff10,0x3a200000,0xdfffffff,0x00efffdc,0x7fffff40,
    0xefffea82,0x7ffcc000,0x81efffff,0x40ceffda,0x804effda,0x000defff,
    0xfffffd88,0x3ee001ef,0x1effffff,0x4fffda80,0xb0000000,0x9800001f,
    0xffffffff,0x009ffb01,0xfd700000,0xffffffff,0xff50003b,0x641bffff,
    0xffffffff,0x7ffff405,0xffffffff,0x11001105,0x00000c00,0x000d65cc,
    0x00377510,0x00000620,0x00073000,0x3ffffb20,0xffffffff,0x0000441e,
    0x32a60000,0x000aaccc,0xffffff88,0x0003ffff,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x30000000,
    0x66400135,0x32e0cccc,0x2600cccc,0xcccccccc,0xcc8800cc,0x0ccccccc,
    0x2a0b76a0,0xcb8002dd,0xcccccccc,0x321ccccc,0x0ccccccc,0x3332a000,
    0xcccccccc,0x33333263,0xcccccccc,0x99999301,0x99900099,0x20599999,
    0xcccccccc,0x66666540,0x000001cc,0x7fffff5c,0x7ffcc01d,0x7ffcc2ff,
    0x7dcc03ff,0x5fffffff,0xfffb5300,0x7fc4037d,0x3ffe62ff,0xda88001f,
    0xffffffff,0x7fe4c09c,0x0000ffff,0x3fffff22,0x220aefff,0xffffffb9,
    0x1009aeff,0x03bfff95,0xffff7300,0x3f660bff,0x441fffff,0x3ffffffb,
    0xfd300000,0x1bffee9f,0x07ffff90,0x017fffe6,0x7fffffd4,0x7ec003ff,
    0xfffc801f,0x3ffff65f,0x7ff40004,0xe805ffff,0x000fffff,0xfffffa80,
    0x7fd402ff,0x003fffff,0x40002ff4,0x05fffffb,0x0ffffffc,0x3fffffc8,
    0xff880000,0xffff71ff,0x1ffff407,0x03fffea0,0x7ffffd40,0x26002fff,
    0xfff7005f,0x7fffe49f,0x7fe40003,0xe803ffff,0x000fffff,0xfffffd00,
    0xfffb007f,0xd8009fff,0xf980001f,0x6c05ffff,0x701fffff,0x007fffff,
    0xffffd000,0x07fffee1,0x801fffcc,0x1003fffa,0xffffffff,0x13e2001f,
    0x0ffffc40,0x001ffff1,0xfffffb80,0xfffd802f,0x500000ff,0x0dffffff,
    0xffffff30,0x006e800f,0xfffff300,0xffffd80b,0xffff701f,0x9800007f,
    0x360fffff,0x3ff203ef,0x2ffd4004,0xfffff880,0x1006ffff,0x0ba8007f,
    0x0000bb88,0xffffffb8,0xffffd802,0x3e00000f,0x00ffffff,0xffffffe8,
    0x007f3002,0x3fffe600,0x7ffec05f,0xfff501ff,0x800007ff,0x00fffffb,
    0x0004fe80,0xf1001ff7,0xffffffd7,0x00fe00bf,0x80000000,0x2ffffffb,
    0xfffffd80,0x3f200000,0x804fffff,0x5ffffffb,0x0001f900,0x3ffffe60,
    0x7fffec05,0xffff501f,0xd800007f,0x000fffff,0x20001e44,0xaf8801ca,
    0xfffffff9,0x003f803f,0x20000000,0x2ffffffb,0xfffffd80,0x3e200000,
    0x807fffff,0xfffffff8,0x0005f800,0x3ffffe60,0x7fffec05,0xffff501f,
    0xd800007f,0x000fffff,0x80000000,0xffff52f8,0xf803ffff,0x00000003,
    0x3fffee00,0xffd802ff,0x05440fff,0xffffd800,0xffd802ff,0x5403ffff,
    0x8330002f,0x05fffff9,0x0fffffec,0x3fffffa8,0x7fec0000,0x00000fff,
    0xf8800000,0x3fffff22,0x0fe00fff,0x7777775c,0x3bbbaa2e,0x70003eee,
    0x05ffffff,0x1fffffb0,0x2f7fffae,0x3ffea000,0xfd805fff,0x406fffff,
    0x7e54007d,0xff98dfff,0x7ec05fff,0xf501ffff,0xdd07ffff,0x89dddddd,
    0xfffffeeb,0x3a206eef,0x0eeeeeee,0xdddddd10,0x2f8801dd,0x7fffffec,
    0x440fe06f,0x2ffffffb,0x7fffff54,0xfff70004,0xfb005fff,0xffb3ffff,
    0x01dfffff,0x7fffffc0,0x3ffe200f,0x101fffff,0x3f62009f,0xaefeefff,
    0x405fffff,0x01fffffd,0x07fffff5,0x5bffff71,0xfffffc81,0x407fffff,
    0xffffffc9,0x3fff2600,0x7c400fff,0x7ffff442,0x07f04fff,0x2fffffd8,
    0x4fffffb8,0xffff7000,0xffb005ff,0x715dffff,0x00bfffff,0x7fffffe4,
    0x3ff7ee04,0xf704ffff,0x3fffa003,0x3fffa63f,0x7ec05fff,0xf501ffff,
    0x7407ffff,0x266202ff,0x99fffffd,0xfffff001,0xffff001f,0x2f8801ff,
    0xffffff88,0x403f83ff,0x82fffffc,0x04fffffa,0xfffff700,0xfffb005f,
    0xfff10bff,0x3e2009ff,0x207fffff,0xfffff8ee,0x200dd07f,0x986ffffb,
    0x05ffffff,0x0fffffec,0x3fffffa8,0x4005ff10,0x00fffffd,0x7fffff40,
    0xffffe800,0x817c400f,0xfffffffa,0x2e01fc1f,0xa82fffff,0x004fffff,
    0xffffff70,0xffffb005,0x3fff601f,0xffb001ff,0xf505ffff,0x3fffff65,
    0x401fcc2f,0x02fffff8,0x0bfffff5,0x1fffffd8,0x7fffff50,0xb0007fa0,
    0x001fffff,0x0fffffd8,0xfffffd80,0x7017c400,0xffffffff,0x3ee01fc1,
    0xfa82ffff,0x0004ffff,0x5ffffff7,0xfffffb00,0x3fffea01,0xfff5003f,
    0x4fb0bfff,0x5ffffffa,0x7d4007e4,0xf300ffff,0xd80bffff,0x501fffff,
    0xb07fffff,0xffb0003f,0xd8001fff,0x800fffff,0x00fffffd,0x3f6017c4,
    0x25ffffff,0x7ffdc03f,0xfffa82ff,0xf70004ff,0x005fffff,0x01fffffb,
    0x13ffffe6,0xffffff80,0xff0fe20f,0x7c1fffff,0xffff9005,0x7fffcc0f,
    0x7ffec05f,0xfff501ff,0x01fd87ff,0xfffffb00,0xfffd8001,0xffd800ff,
    0x7c400fff,0xffffe802,0x807f4fff,0x82fffffb,0x04fffffa,0xfffff700,
    0xfffb005f,0x3fe201ff,0x32006fff,0x24ffffff,0x7ffe40fc,0x05f53fff,
    0x1fffff60,0x5fffff98,0x7ffffec0,0xfffff501,0x0007fec7,0x0fffffd8,
    0x7fffec00,0xfffd800f,0x17c400ff,0x7ffffc40,0x403fbfff,0x82fffffb,
    0x04fffffa,0xfffff700,0xfffb005f,0x3fe201ff,0x1000ffff,0x4fffffff,
    0xffff985f,0x400fb6ff,0x206fffff,0x05fffff9,0x0fffffec,0x3fffffa8,
    0x000bfffb,0x03fffff6,0xfffffb00,0xffffb001,0x02f8801f,0xffffff30,
    0xfb807fff,0xfa82ffff,0x0004ffff,0x5ffffff7,0xfffffb00,0x7ffffc01,
    0x3ff6001f,0x1faaffff,0xffffffd0,0x3e2009f5,0x2606ffff,0x405fffff,
    0x01fffffd,0xb7fffff5,0x005fffff,0x1fffffb0,0xffffd800,0xfffd800f,
    0x17c400ff,0xfffff700,0xfb807fff,0xfa82ffff,0x0004ffff,0x5ffffff7,
    0xfffffb00,0x7ffffc01,0x3fea000f,0x06edffff,0x3fffffee,0xff3001ff,
    0x7cc0dfff,0x6c05ffff,0x501fffff,0xffffffff,0x001fffff,0x0fffffd8,
    0x7fffec00,0xfffd800f,0x17c400ff,0x3ffff200,0x7dc03fff,0xfa82ffff,
    0xb504ffff,0xffff7017,0xffb003ff,0x3e201fff,0x8007ffff,0xffffffff,
    0x3fffe203,0x26006fff,0x207fffff,0x05fffff9,0x0fffffec,0xffffffa8,
    0x5fffffd9,0x7fffec00,0x7fec000f,0xfd800fff,0x4400ffff,0xffe8002f,
    0x5c03ffff,0xa82fffff,0xd84fffff,0xffb87fff,0xd801ffff,0x100fffff,
    0x00dfffff,0xffffff90,0xffffb00f,0x7c4007ff,0x2607ffff,0x405fffff,
    0x01fffffd,0x27fffff5,0x3ffffff8,0x3ffff600,0x7fec000f,0xfd800fff,
    0x4400ffff,0xff88002f,0x5c03ffff,0xa82fffff,0x444fffff,0x5c2fffff,
    0x01ffffff,0x0fffffd8,0x7fffff10,0xffff1000,0xff3009ff,0x8001ffff,
    0x00ffffff,0x0bfffff3,0x1fffffd8,0x7fffff50,0x7fffffdc,0xffffb000,
    0xffd8001f,0xfd800fff,0x4400ffff,0xff30002f,0xfb807fff,0xfa82ffff,
    0x7dc4ffff,0x7e44ffff,0xb007ffff,0x201fffff,0x00fffff9,0xfffffb00,
    0x3fffa001,0xffd8005f,0xff302fff,0xfd80bfff,0xf501ffff,0xfd87ffff,
    0xb006ffff,0x001fffff,0x0fffffd8,0xfffffd80,0x001fcc00,0x07ffff50,
    0x3fffffa8,0x4fffffd8,0x0fffffcc,0x17fffff2,0x7ffffec0,0xbffff700,
    0x7ffd4000,0x3fee005f,0xf98002ff,0xf705ffff,0xd80bffff,0x501fffff,
    0x887fffff,0x03ffffff,0x0fffffd8,0x7fffec00,0xfffd800f,0x27d400ff,
    0x3fff2000,0x7fffcc03,0x7fffe44f,0xffff84ff,0xfffffd84,0xffffb002,
    0x3fff605f,0x7fc0000f,0x3e2002ff,0x3a0007ff,0x4c1fffff,0x06ffffff,
    0x0fffffec,0x3fffffb8,0xffffffa8,0x7fffec01,0x7fec000f,0xfd801fff,
    0x6c01ffff,0xfd80006f,0xfffe803f,0xfdfdabff,0xfa85ffff,0x7ffc42ff,
    0x3f6005ff,0xf986ffff,0x80002fff,0xd8006ffc,0x260004ff,0x88efffff,
    0xfffffefb,0x3fffa01f,0xfff702ff,0x3ffa09ff,0x3a00efff,0x001fffff,
    0x17fffff4,0x7fffff40,0x37ffee02,0x3fa20002,0xffff8803,0xffaaffff,
    0xfb81ffff,0xffd98bef,0x7ec005ff,0x31cffcef,0x0005fffd,0x000ffe20,
    0x00007fea,0xfffffff3,0xfffff39f,0xffa81dff,0x4c0dffff,0x1efffffe,
    0xffffffc8,0xffff981d,0x3ea004ff,0x00dfffff,0x3fffffea,0x3fffa60d,
    0x004fffff,0x2a007f30,0x51effffe,0x9fffffff,0xfffffb30,0xb0005dff,
    0x7fff4c9f,0x0001cfff,0x80007ec0,0xd300006f,0x269fffff,0x09bcefff,
    0x3fffffe2,0xff73ffff,0x9fffffff,0x7fffffe4,0xfff73fff,0xdfffffff,
    0x7ffffc40,0x443fffff,0xffffffff,0x000003ff,0x73000aa0,0x44000015,
    0x001accba,0x654c06e0,0x000000ab,0x15400073,0x32a20000,0x0006e20a,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x33333322,0xcccccccc,0x33333323,
    0xcccccccc,0x99999300,0xc8799999,0xcccccccc,0xcccca81c,0x9100002c,
    0x99999999,0x00399999,0x66666644,0x003ccccc,0x66666540,0x20cccccc,
    0xcccccccc,0xcccccccc,0x99000abc,0x99999999,0x66479999,0xcccccccc,
    0x1884cccc,0x260bb660,0x2e6002ed,0xffffffff,0xffb980ae,0xaeffffff,
    0x3fea6201,0x40acffff,0xffffffeb,0xffb880ae,0x03b001ef,0xfffff730,
    0x00039fff,0x7ffffdcc,0x0000ffff,0xfffffff1,0x733037ff,0xffffffff,
    0xffffffff,0xf73001df,0xdfffffff,0xfff73015,0x35dfffff,0x42effc88,
    0x222ffff8,0x4002ffff,0xfffffffa,0xffff9800,0x54001fff,0x4c01efff,
    0x03ffffff,0x2e006fc8,0x3fea001f,0x0005ffff,0x3ffffea0,0x70003fff,
    0xffffffff,0x3ffee005,0x3aa24fff,0x01ffffff,0xffffff50,0xfff5001f,
    0x3203ffff,0x2e0fffff,0x3f26ffff,0x44005fff,0x06ffffff,0x3fffffe0,
    0xdffc8007,0xffff9000,0x03fb00bf,0x8007fe20,0x3ffffff9,0x37e20000,
    0x07ffffff,0xfffddd00,0x26001fff,0x84ffffff,0xffffffd8,0xffff8803,
    0xff1007ff,0x220fffff,0x23ffffff,0x2e5ffffa,0x4004ffff,0x6ffffff8,
    0x3ffffe00,0x7fd4007f,0x7ffcc003,0x06f807ff,0x8007ffa0,0x3ffffff8,
    0x2fe20000,0x2ffffffe,0x7f5fcc00,0x000fffff,0x9ffffff1,0x7fffff40,
    0x7ffc400f,0x3e006fff,0x106fffff,0x87ffffff,0x3e21fffe,0x44001fff,
    0x06ffffff,0x3fffffe0,0x0bfea006,0x7ffff400,0x00fe602f,0x000fffe4,
    0x7ffffff1,0x5fc40000,0x6ffffffa,0x7f47ec00,0x000fffff,0x9ffffff1,
    0x7ffffdc0,0xffff802f,0x3fe006ff,0x3606ffff,0xa80fffff,0x0017500b,
    0xffffff10,0x7fffc00d,0xdf9006ff,0x7fdc0001,0x3f205fff,0xffffc800,
    0x3ffe2001,0x999adfff,0x27f10001,0x1fffffff,0x3fa9f100,0x000fffff,
    0x9ffffff1,0x7ffffcc0,0xffff805f,0x3fe006ff,0x2606ffff,0x0004ffff,
    0xfff88000,0x3e006fff,0x406fffff,0x80005fd8,0x0ffffff8,0xfd880bd0,
    0x2001ffff,0xfffffff8,0xceffffff,0x327f1000,0x04ffffff,0x3ffa3f70,
    0x1000ffff,0x09ffffff,0x7fffffc4,0xfffff807,0x3ffe006f,0xba806fff,
    0x00000000,0xdffffff1,0x7ffffc00,0x0ffa606f,0xfffd8000,0x02f983ff,
    0x3fffffa2,0x206eeeef,0xdffffff8,0xfffffcaa,0x13f8805f,0x1fffffff,
    0x7ff4dd00,0x1000ffff,0x09ffffff,0x7fffffcc,0xfffff806,0x3ffe006f,
    0x00006fff,0xf8800000,0x006fffff,0x1bfffffe,0x00017fd4,0x3ffffea0,
    0xd100fc86,0xffffffff,0x7c40ffff,0x443fffff,0x0effffff,0xffd8fe20,
    0x5403ffff,0x3ffffa2f,0xff1000ff,0x5c09ffff,0x04ffffff,0x6ffffff8,
    0x3ffffe00,0xe880006f,0x0eeeeeee,0x3ffe2000,0x3e006fff,0xc86fffff,
    0x800000ef,0x0ffffff8,0xb55102fc,0x559fffff,0x7ffc4055,0xff983fff,
    0x2205ffff,0x3fffe63f,0x23ec06ff,0x0ffffffe,0xfffff100,0x7fff409f,
    0xff800fff,0x2006ffff,0x06ffffff,0xfff93000,0x40001fff,0x6ffffff8,
    0x3ffffe00,0x07ff626f,0xffd80000,0x0be63fff,0x7ffffe40,0x3ffe2001,
    0xff903fff,0x2203ffff,0x7ffff43f,0x87f102ff,0x0ffffffe,0xfffff100,
    0x3fff609f,0xff001eff,0x400dffff,0x06ffffff,0x7fffc000,0x220000ff,
    0x06ffffff,0x3fffffe0,0x1dfffd16,0x3ea00000,0x3f26ffff,0xffff9000,
    0x7fc4003f,0xf703ffff,0x209fffff,0x7ffd43f8,0x1f905fff,0xffffffe8,
    0xffff1000,0xffea89ff,0x2000cfff,0x06ffffff,0x3fffffe0,0x7f400006,
    0x0000ffff,0x3fffffe2,0x3fffe006,0xffffaeff,0x000005ff,0x47fffffe,
    0x3ff2005f,0x22001fff,0x03ffffff,0xdffffff3,0x3fe0fe20,0xf81fffff,
    0xfffffe85,0xfff1000f,0xfffdffff,0x0005dfff,0x3ffffffe,0xcccccccc,
    0xffffffcc,0x7ec00006,0x0000ffff,0x3fffffe2,0x3fffe006,0xffffffff,
    0x00004fff,0x9fffff90,0x7e4005f3,0x2001ffff,0x3ffffff8,0xffffff10,
    0x320fe20f,0x44ffffff,0xfffe81fa,0xf1000fff,0xffffffff,0x7dffffff,
    0xffff8003,0xffffffff,0xffffffff,0xaa806fff,0xffffd800,0x3e20000f,
    0x006fffff,0x3ffffffe,0xffffffed,0x9800002f,0x7dffffff,0x7fffe400,
    0x3fe2001f,0xf303ffff,0x20bfffff,0xfff883f8,0x1b60ffff,0x7ffffff4,
    0xffff1000,0xffc989ff,0x001dffff,0x3dffffff,0x33333333,0xdffffff3,
    0x17fffdc0,0x3fffff60,0x3fe20000,0x2006ffff,0x17ffffff,0xffffffff,
    0x3ffe0003,0xffffffff,0xffffffff,0xfffc84ff,0x3e2001ff,0x503fffff,
    0x07ffffff,0x7fec0fe2,0x7f33ffff,0x3fffffa0,0xfff1000f,0x3ea09fff,
    0x02ffffff,0x6ffffff8,0x3ffffe00,0xffff106f,0x7fec03ff,0x20000fff,
    0x6ffffff8,0x3ffffe00,0x3fffea6f,0x8000efff,0xdccccccc,0xcdffffff,
    0xc82ccccc,0x001fffff,0x3fffffe2,0xfffff903,0x40fe201f,0x6ffffff9,
    0x7fff40f9,0xf1000fff,0x409fffff,0xfffffff9,0x7ffffc00,0x3ffe006f,
    0xff906fff,0x6c0dffff,0x000fffff,0x3ffffe20,0x3ffe006f,0x7fdc6fff,
    0x005fffff,0x7fffcc00,0xffc8007f,0x22001fff,0x03ffffff,0x0dfffffd,
    0xffd01fc4,0x09f5ffff,0x7ffffff4,0xffff1000,0xffd809ff,0x7c06ffff,
    0x006fffff,0x1bfffffe,0x7fffffe4,0x3ffff607,0x3e20000f,0x006fffff,
    0x1bfffffe,0x3ffffff6,0x2600004f,0x007fffff,0x1fffffc8,0x3fffe200,
    0xfffc83ff,0x3e200fff,0x3fffea03,0x3a00ffff,0x00ffffff,0xffffff10,
    0xffffb809,0x7ffc07ff,0x3e006fff,0x306fffff,0x3fffffff,0x3fffff60,
    0x3fe20000,0x2006ffff,0x86ffffff,0xffffffe8,0xf300002f,0x000fffff,
    0x03fffff9,0x7ffffc40,0xffdb99cf,0x4401efff,0x7fffc03f,0x7f405fff,
    0x000fffff,0x9ffffff1,0xfffff980,0x3ffe01ff,0x3e006fff,0x206fffff,
    0x0ffeffeb,0x1fffffb0,0x7ffc4000,0x3e006fff,0x306fffff,0xffffffff,
    0x3bbba003,0xffffeeee,0xeeeeeeff,0xffffc83e,0x3fe2001f,0xffffffff,
    0x003dffff,0xffc807f1,0x7402ffff,0x00ffffff,0xffffff10,0xffff8809,
    0x3fe01fff,0x2006ffff,0x06ffffff,0x6c0ff518,0x000fffff,0x3ffffe20,
    0x3ffe006f,0x3ea06fff,0x0effffff,0xeeeeee80,0xffffffee,0x3eeeeeee,
    0x2fffffc8,0x3fffe200,0xaaaacdff,0x03f88001,0x37ffffc4,0x7fffff40,
    0xfff1000f,0xfa809fff,0x00ffffff,0x1bfffffe,0xffffff80,0x817f2006,
    0x00fffffd,0x3fffe200,0x3fe006ff,0x6406ffff,0x5fffffff,0x7ffcc000,
    0xfb8007ff,0x0042ffff,0x7ffffff1,0x1fc40000,0x1ffffec0,0x7fffff40,
    0xfff1000f,0xfc809fff,0x406fffff,0x06ffffff,0x3fffffe0,0x807fe006,
    0x00fffffd,0x3fffe200,0x3fe006ff,0xe807ffff,0x4fffffff,0x3ffe6000,
    0xfb8007ff,0x1663ffff,0xffffff88,0x3e200003,0xffff9803,0xffffe800,
    0xff1000ff,0xe809ffff,0x02ffffff,0x37fffffc,0xffffff00,0x017ea00d,
    0x01fffffb,0x7fffc400,0x3fe006ff,0x8807ffff,0xffffffff,0xfff30003,
    0x88001fff,0xb9effffe,0x3ffe200e,0x00003fff,0x7f4013e6,0xfffd004f,
    0x22001fff,0x05ffffff,0x3ffffff6,0x7fffc403,0x3fe006ff,0x8807ffff,
    0x7fec00ee,0x20001fff,0x7ffffff9,0xfffff100,0xffb001ff,0x07ffffff,
    0xfffff700,0xff30003f,0x805fffff,0x4ffffffa,0x3ff20000,0x01ffa800,
    0xfffffff0,0x3ffea003,0xfd987fff,0x804fffff,0x7ffffff9,0xfffff300,
    0x774c01ff,0xffffe800,0xfd10002f,0x19ffffff,0x7ffff440,0x2200dfff,
    0xfffffffd,0xf5001dff,0x3dffffff,0xfff93000,0xffe98039,0x002fffff,
    0x1dfffb80,0xc8806f80,0xefffffff,0x7fff4c00,0xfddfffff,0x0cffffff,
    0xffffe880,0x2200dfff,0xfffffffe,0x003ec80d,0xbffffff5,0x3ffa2001,
    0xffffffff,0x3fba5eff,0xffffffff,0x7fe42fff,0xffffffff,0xed80ffff,
    0xffffffff,0x000effff,0x7ff44018,0xffffffff,0x22001eff,0xfffffffe,
    0xd80ae04f,0xfffffffe,0x10efffff,0xfffffffd,0xdfffffff,0x8801579d,
    0xfffffffe,0x25efffff,0xfffffffe,0x25efffff,0xffff1002,0x07ffffff,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x6666665c,0xbccccccc,0xcc88019a,0xcccccccc,
    0xcccccccc,0xcca8001a,0x002ccccc,0x33333220,0xcccccccc,0x0001abcc,
    0x66666644,0xcccccccc,0xcccccccc,0x66666540,0xcccccccc,0x66666400,
    0x33323ccc,0xcccccccc,0x664c0ccc,0xcccccccc,0x66666640,0xcccccccc,
    0xcccccccc,0x2a6000cc,0x7fdcc401,0xffffffff,0x02efffff,0x7fffdd4c,
    0xffeeefff,0x0cffffff,0xffff7100,0x300007ff,0xfffffff7,0xffffffff,
    0xf50005bf,0xddffffff,0xfffddddd,0x710bffff,0xfffffffb,0x730013bf,
    0x439ffffb,0xffffffc9,0x8809dfff,0xefffffb9,0xfff7301a,0xffffffff,
    0xffffffff,0x764401ff,0x00cfffff,0x7fffffcc,0xffff9315,0xff9005ff,
    0x9887ffff,0x2ffffffd,0x3ffff200,0x2e00003f,0x45ffffff,0xefffffb9,
    0x3ffea001,0x7fec01cf,0x400fffff,0xfffffffd,0x1ffd0002,0x7ffffdc0,
    0xf7002fff,0x7cc007ff,0x206fffff,0x0ffffea9,0xd37fff30,0xf801ffff,
    0xa85fffff,0x01ffffff,0x7fffffcc,0x3fffea03,0xff7003ff,0x00007fff,
    0x7fffffcc,0xffffb105,0x3fee009f,0xfffa800e,0x8803ffff,0x5fffffff,
    0x005ff000,0xfffffffb,0x0ffea007,0x3ffffe00,0xfff7006f,0x45fff301,
    0x00effffa,0x17fffffe,0x7fffffe4,0x3fffe600,0x7fe403ff,0xa800ffff,
    0x003fffff,0x3fffe600,0x7ff405ff,0xfc805fff,0xfff8800e,0x2006ffff,
    0xfffffffb,0x02fd4000,0xffffff88,0x5fd801ff,0xfffff000,0x7fc400df,
    0x43fffcc0,0x202fffff,0x05fffffe,0x9ffffff3,0x7ffffcc0,0x7ffc403f,
    0xfa804fff,0x0003ffff,0x3ffffe60,0x7ffc405f,0x7ec04fff,0xffff9000,
    0xe8003fff,0x05ffffff,0x50007f40,0xdfffffff,0x0006fa80,0x1bfffffe,
    0xfd81f700,0xfffe84ff,0x3fffa04f,0xfff105ff,0x7cc0dfff,0x803fffff,
    0x07ffffff,0x3fffffa8,0x3fe60000,0xc805ffff,0x02ffffff,0x7fcc0136,
    0x004fffff,0xffffffa8,0x07f7001f,0xfffffb00,0x3be207ff,0x3ffe0000,
    0x44006fff,0x3fffe60f,0x2ffffc83,0x3fffffa0,0x3ffffe05,0x3ffe607f,
    0xfe803fff,0x400fffff,0x03fffffa,0x3ffe6000,0xf9805fff,0x206fffff,
    0xfffd001e,0x0001ffff,0x3ffffff6,0x006f8805,0xffffff10,0x03fd03ff,
    0xfffff800,0x0740c06f,0x105ffffb,0xfe80bff9,0x3a05ffff,0x00ffffff,
    0x7ffffff3,0xfffffd00,0xfffa801f,0x002883ff,0xffffff98,0xffffd005,
    0x401605ff,0xfffffffb,0x3fe60002,0x401fffff,0x2a0001fc,0x6fffffff,
    0x400017e4,0x06ffffff,0xff82e166,0x02202fff,0x3fffffa0,0x3ffffe05,
    0x3ffe606f,0xff803fff,0xa807ffff,0x323fffff,0x001dfffe,0xbffffff3,
    0x3ffff200,0x220005ff,0x5fffffff,0xfffd8000,0x3e606fff,0xffc80004,
    0xf73fffff,0x3fe00007,0x3206ffff,0x7fffc405,0xfe80004f,0xf105ffff,
    0x40bfffff,0x3ffffff9,0x7ffffcc0,0xfffa805f,0xfffe8bff,0x9800ffff,
    0x05ffffff,0xffffff50,0x3f60001f,0x00ffffff,0xffff8800,0x1fd02fff,
    0xffd10000,0xbf7fffff,0x7ffc0000,0x17a06fff,0xbfffff30,0xfffd0000,
    0x3fee0bff,0x2601ffff,0x03ffffff,0x7fffffdc,0xffffa802,0xffdcfedf,
    0xf9805fff,0x005fffff,0xfffffff3,0xfff50003,0x0007ffff,0x7ffffe40,
    0x003fa86f,0x3fffe600,0x0006ffff,0x7fffffc0,0x980bf506,0x006fffff,
    0xfffffe80,0xfffff885,0x7ffcc04f,0x3e603fff,0x004fffff,0xdffffff5,
    0x7ffffe41,0x7fffcc02,0xff3005ff,0x005fffff,0xffffff88,0x4400006f,
    0x3fffffff,0x00001be2,0x3ffffff2,0x7c00003f,0xb86fffff,0x7fc405ff,
    0x80007fff,0x45fffffe,0x3fffffe9,0xfffff980,0xffff703f,0x7d4009ff,
    0x4c0fffff,0x4c3fffff,0xffffffff,0xffffffff,0x7ffffc47,0x7e4003ff,
    0x01ffffff,0xfffb8000,0x3f90ffff,0x3fa00000,0x01ffffff,0x3fffe000,
    0xfdca9fff,0xfff805ff,0x40001fff,0xcefffffe,0xdfffffed,0xffff3002,
    0xfd999dff,0x019fffff,0xfffffa80,0xfffff983,0x7ee66444,0xccefffff,
    0xfff84ccc,0x2004ffff,0xfffffff9,0x3a000004,0x9cffffff,0x2000004f,
    0xfffffff9,0x3fe00006,0xffffffff,0xe805ffff,0x005fffff,0x7fffff40,
    0xbceeffff,0x7ffcc000,0xffffffff,0x000fffff,0x7fffff50,0x9fffff30,
    0xfffff980,0x3ffe004f,0x2003ffff,0xfffffffe,0x2a000000,0xefffffff,
    0x4000000f,0xfffffffc,0xfff00003,0xfd75ffff,0xf900bfff,0x003fffff,
    0x7fffff40,0x7cc00005,0xf33fffff,0x09ffffff,0x3fffea00,0xffff983f,
    0x7ffcc05f,0xf1004fff,0x05ffffff,0x3ffffee0,0x000002ff,0xffffffe8,
    0x8000003f,0xfffffffa,0xff80001f,0x64c6ffff,0xff8805ff,0x300effff,
    0x3fffa01d,0x400005ff,0x3ffffff9,0x3fffffee,0xffa8001f,0xff983fff,
    0x7cc05fff,0x004fffff,0xfffffff3,0xffff1001,0x0000bfff,0x3fffe600,
    0x00000fff,0x7fff7cc0,0x0006ffff,0x6ffffff8,0x3200bf90,0xaeffffff,
    0xfe80fea0,0x0005ffff,0x7ffffcc0,0x7fffec3f,0x54000fff,0x983fffff,
    0x405fffff,0x4ffffff9,0xfffff500,0x3ff600ff,0x000fffff,0xffd0000c,
    0x0000ffff,0xfb8fe880,0x04ffffff,0x7ffffc00,0x4017a06f,0xffffffe8,
    0x405ffeff,0x05fffffe,0x7ffcc000,0x7fc43fff,0x005fffff,0x1fffffd4,
    0x2fffffcc,0x3ffffe60,0xfff7004f,0xf500dfff,0x07ffffff,0x74000f00,
    0x007fffff,0xd0fec000,0x3fffffff,0x7fffc000,0x017206ff,0xfffffd88,
    0xe805ffff,0x005fffff,0x7fffcc00,0xfffa83ff,0x2002ffff,0x83fffffa,
    0x05fffff9,0x7fffffcc,0xffff9004,0xffd009ff,0x000dffff,0x7f4000f3,
    0x0007ffff,0xf10bf200,0x0dffffff,0x7ffffc00,0x0016a06f,0x3ffffff2,
    0xfffd002d,0x80000bff,0x3ffffff9,0xffffffb0,0x3fea001f,0xff983fff,
    0x7cc05fff,0x004fffff,0x0dfffffd,0xffffff90,0x0d90003f,0x7ffff400,
    0x5000007f,0x3ffee09f,0x0004ffff,0x0dffffff,0x530002c4,0xffd00037,
    0x0000bfff,0xffffff98,0xffffd103,0x3ea00dff,0xf983ffff,0x4c05ffff,
    0x04ffffff,0xffffffa8,0x7fffcc02,0x88005fff,0x3fa0005f,0x0007ffff,
    0x6c05f980,0x1fffffff,0xfffff800,0x0000006f,0x3fffa000,0x400005ff,
    0x3ffffff9,0x3ffffe60,0xffa803ff,0xff983fff,0x7cc05fff,0x804fffff,
    0x05fffffe,0xffffffe8,0x4fd8000f,0x3fffa000,0x400007ff,0x7c400ff8,
    0x06ffffff,0xffffff80,0xec980006,0x002ec983,0x17fffffe,0xfff30000,
    0xfc807fff,0x01ffffff,0x1fffffd4,0x2fffffcc,0x3ffffe60,0x7ffcc05f,
    0x7dc00fff,0x03ffffff,0x003ffc80,0x3fffffa0,0xd100000f,0x3fee003f,
    0x004fffff,0x3ffffffc,0x7fffc000,0x0bfffe23,0x7fffffc0,0x7cc00005,
    0x804fffff,0xeffffffe,0x3fffea00,0xffff984f,0x7ffcc05f,0x3a605fff,
    0x400dffff,0xfffffff8,0x7fec4006,0x3fa0002f,0x000fffff,0x800bfd00,
    0xfffffffe,0x3fffe002,0x540007ff,0x3ea6ffff,0xf8806fff,0x006fffff,
    0x7fffd400,0xff8805ff,0x205fffff,0x84fffffb,0x06fffffa,0x7fffffd4,
    0xfffff506,0x3fff6007,0x1001ffff,0x03fffff9,0x7ffffc00,0x440001ff,
    0x54004ffe,0xffffffff,0xffff8800,0x20000fff,0x2a6ffff9,0x4405ffff,
    0xfffffffd,0xf980000c,0x3fffffff,0xfffffb80,0x7f4c1dff,0x222fffff,
    0x2ffffffd,0xffffff30,0xffd9bdff,0x20037dff,0xfffffff9,0xccccccce,
    0xffffffed,0xd88001ff,0xefffffff,0xffb98000,0xb1002fff,0xffffffff,
    0x7ff4405d,0x00dfffff,0x0bfffa00,0x3603fffd,0xffffffff,0x003fffff,
    0x7fffff44,0xffffffff,0x3ffff602,0xff74ffff,0x7fffffff,0xfffffff1,
    0x3ffa6bff,0xffffffff,0x0bdeffff,0xffffe800,0xffffffff,0xffffffff,
    0x000fffff,0xfffffdd5,0xddffffff,0xffff9007,0x03dfffff,0x3ffffffa,
    0x47ffffff,0xffffffee,0x05efffff,0x2a019500,0x0000000b,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0xcccc8800,0xcccccccc,0x930004cc,0x99999999,0x55999999,0x99930003,
    0x99999999,0x99999999,0x03999999,0xcccca800,0xcccccccc,0xcccccccc,
    0x441ccccc,0xcccccccc,0xcccccccc,0x3ccccccc,0x00000000,0x0000bff0,
    0x0007fee0,0x4402a600,0xffffb984,0x00aeffff,0x7fe4c400,0xffffffff,
    0x2cffffff,0xfffff700,0xffffffff,0xffffffff,0x0005ffff,0xffffb330,
    0xffffffff,0xffffffff,0x3ee605ff,0xffffffff,0xffffffff,0x66746fff,
    0xcccccccc,0xcccccccc,0xff8004cc,0xf7000005,0x9100003f,0x19fffffd,
    0xffb817a2,0x000fffff,0xffffd800,0x3f2a23ff,0x400dffff,0x409dfffb,
    0x46ffffff,0x02fffe98,0x7effc000,0x307fffff,0x05ffffb5,0xffffffa8,
    0x3ffee606,0x0000246f,0x2ffc0024,0xffb80000,0x7fcc0001,0xfffd99ef,
    0x3e600eeb,0x006fffff,0xffff7000,0x3fa607ff,0x2e03ffff,0x3ffe03ff,
    0x3f606fff,0x2200002f,0xfffff8ff,0xfffb807f,0x7fffc402,0xfd8806ff,
    0x0000246f,0x2ffc0024,0xffb80000,0x3fea0001,0x7ffec0ff,0x7ffc400f,
    0x00005fff,0xffffff50,0x7fffc407,0x0bf704ff,0x6ffffff8,0x00017ec0,
    0x3ffe7f90,0xf3007fff,0xfff8805f,0x32006fff,0x0000246f,0x2ffc0024,
    0xffb80000,0xfff10001,0xffff509f,0xffff8803,0x000005ff,0x7ffffff5,
    0xfffffa80,0x400fb82f,0x06ffffff,0x800017cc,0x3fffe6f8,0x3f2007ff,
    0x7fffc402,0x3e2006ff,0x40000246,0x05ff8004,0x3ff70000,0x3fff2000,
    0xffff982f,0x7fffc406,0x000005ff,0x7ffffff5,0xfffffb00,0xf806b83f,
    0x806fffff,0xfb00002e,0x7fffffc3,0x05f10207,0xffffff88,0x91ae0206,
    0x00900000,0x0000bff0,0x0007fee0,0x07ffffe6,0x0bffffea,0xffffff88,
    0xf5000005,0x007fffff,0xbffffff5,0xfff803b8,0x2c806fff,0x43fa8000,
    0x07ffffff,0x8805d093,0x06ffffff,0x048d30b3,0x80048000,0x000005ff,
    0x90003ff7,0x981fffff,0x05ffffff,0x3fffffe2,0xf5000005,0x007fffff,
    0xfffffff1,0xffff0001,0x00000dff,0x3fe1be20,0x9707ffff,0xff880370,
    0xb506ffff,0x00009160,0xbff00090,0x3ee00000,0xffd8001f,0x37a20fff,
    0x206fffff,0x5ffffff8,0xff500000,0x2007ffff,0x3ffffffd,0xfffff800,
    0x0000006f,0xffff03f9,0x01360fff,0x7ffffc40,0x200b906f,0x04800004,
    0x0005ff80,0x003ff700,0x1ffffff0,0x7fffc774,0x3ffe207f,0x00005fff,
    0xffffff50,0x3ffee007,0xf8006fff,0x006fffff,0x04f98000,0x0fffffff,
    0x220009f1,0x06ffffff,0x001200bf,0x77745200,0xfeeeeeee,0xeeeeeeff,
    0xddd75eee,0xfddddddd,0xdddddddf,0x3fe25ddd,0x1fb0ffff,0x03fffffe,
    0x7fffffc4,0xf5000005,0x007fffff,0x3fffffee,0x7ffc000f,0x00006fff,
    0xff00fe80,0xf90fffff,0x3fe20009,0xfb86ffff,0x00009005,0x3fffe290,
    0xffffffff,0xffffffff,0xffff97ff,0xffffffff,0xffffffff,0x3ffe27ff,
    0x21fb8fff,0x00fffffe,0xbffffff1,0x3ea00000,0x003fffff,0xfffffff5,
    0xffff8003,0x000006ff,0xfff017dc,0xffb8ffff,0xfff10004,0xffa8dfff,
    0x00009005,0x3fffe290,0xffffffff,0xffffffff,0xffff97ff,0xffffffff,
    0xffffffff,0x7fffc7ff,0x7f42fbff,0x3e207fff,0x005fffff,0xffff5000,
    0x3e6007ff,0x02ffffff,0x7fffffc0,0x22000006,0x7fffc05f,0xffecafff,
    0xff10004f,0xb95dffff,0x1200bfff,0x00120000,0x000017fe,0x4000ffdc,
    0x3ffffffe,0x05fffff8,0x3fffffe2,0xf5000005,0x007fffff,0x3fffffe6,
    0x7ffc003f,0x00006fff,0xff003f60,0xffffffff,0x20009fff,0xfffffff8,
    0x05ffffff,0x90000090,0x00bff000,0x07fee000,0x3ffff600,0xfffff04f,
    0x7fffc407,0x000005ff,0x7ffffff5,0x3fffe600,0x7c002fff,0x006fffff,
    0xffff5000,0xffffffff,0x32afffff,0x10004fff,0x5dffffff,0x00bfffb7,
    0x12000012,0x0017fe00,0x00ffdc00,0x7ffffd40,0x5fffff00,0x7ffffc40,
    0x5000005f,0x07ffffff,0x3ffffea0,0x7fc000ff,0x0006ffff,0xcccef880,
    0xffcccccc,0x7d47ffff,0xff10004f,0xfa8dffff,0x0009005f,0xff000900,
    0x2e00000b,0xfd0001ff,0xff103fff,0x7c401fff,0x005fffff,0xffff5000,
    0x3ea007ff,0x007fffff,0x6ffffff8,0x1fc80000,0xffffff00,0x0009f70f,
    0x3fffffe2,0x9005fb86,0x00900000,0x0000bff0,0x0007fee0,0x417fffd4,
    0x403ffffa,0x5ffffff8,0xff500000,0x2007ffff,0x6ffffffb,0xfffff800,
    0x4c00006f,0x3ffe004f,0x4f887fff,0xffff1000,0x017e0dff,0x24000024,
    0x002ffc00,0x01ffb800,0xdffffb00,0x00dfffd0,0xbffffff1,0xa80ec000,
    0x03ffffff,0xffffff90,0xffff0009,0x80000dff,0x3fe000fe,0x9b07ffff,
    0x3ffe2000,0x0bb06fff,0x00000908,0x0bff0009,0x3fee0000,0xb9fc8001,
    0xfb88dfff,0xf8800dff,0x005fffff,0x3ea03f10,0x003fffff,0x5ffffffb,
    0xfffff000,0x5c0000df,0x7ffc002f,0x09707fff,0xfff88164,0x0b706fff,
    0x00004b44,0x5ff80048,0x66665400,0xffdccccc,0xcccccccd,0x445f31cc,
    0xdffffffe,0x3ffe2002,0x50005fff,0x3ffea01f,0xf8803fff,0x006fffff,
    0xdffffff0,0x17e20000,0x3ffffe00,0x2207307f,0xffff100f,0x81260dff,
    0x0000095b,0x0bff0009,0xfffffc80,0xffffffff,0xffffffff,0x5d440a3f,
    0xff10001b,0x000bffff,0xfffa81fa,0xfb803fff,0x001fffff,0xdffffff0,
    0x03f60000,0x3ffffe00,0x07c8007f,0x3fffffe2,0x129d0006,0x00120000,
    0xf90017fe,0xffffffff,0xffffffff,0x007fffff,0x7fc40000,0x8005ffff,
    0x3fea06fa,0xf803ffff,0x004fffff,0x3fffffe0,0x3fa80006,0xfffff000,
    0x0df000ff,0x7fffffc4,0x93fb8006,0x00900000,0x88001330,0x99999999,
    0x99999999,0x00999999,0x3e200000,0x005fffff,0xf502ff44,0x807fffff,
    0x0efffffb,0x3fffe000,0x440006ff,0x3fe0006f,0x2007ffff,0x3e205fd8,
    0x006fffff,0x00497fd4,0x00004800,0x00000000,0x98000000,0x06ffffff,
    0x817ffe60,0x4ffffffa,0x3ffffea0,0xfff80004,0x40006fff,0x3e0003fd,
    0x007fffff,0x4409ffd1,0x06ffffff,0x247ffea0,0xa8a40000,0xaaaaaaaa,
    0xaaaaaaaa,0x3662aaaa,0xdddddddd,0xdddddddd,0x0005dddd,0x7ffd4000,
    0x4401ffff,0x204ffffa,0x5ffffffc,0xfffffb88,0xff980002,0x0007ffff,
    0x40013fee,0xfffffff8,0x3ffee602,0x3ffe603f,0x5401ffff,0x0127fffe,
    0x7fd52000,0xffffffff,0xffffffff,0x3fea7fff,0xffffffff,0xffffffff,
    0x00007fff,0x3fffa600,0xccdfffff,0xfffffdcc,0xfff503ff,0xb9dfffff,
    0x17dffffd,0xffd10000,0x01bfffff,0x7fffe440,0x3f62000a,0xefffffff,
    0xffffdccc,0xfd102fff,0xbfffffff,0xfffdb999,0x6674dfff,0xcccccccc,
    0xcccccccc,0xffff54cc,0xffffffff,0xffffffff,0x7fffd4ff,0xffffffff,
    0xffffffff,0x4000007f,0xffffffe8,0xffffffff,0xffffffff,0x3ffaa2ff,
    0xffffffff,0x0bdeffff,0xffe88000,0xffffffff,0x7d405eff,0x5fffffff,
    0xffffdd10,0xffffffff,0xffffffff,0x7f441fff,0xffffffff,0xffffffff,
    0x05ffffff,0x55100000,0x55555555,0x55555555,0x88885555,0x88888888,
    0x88888888,0x00000088,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x0026a600,0x0002a200,
    0x4c006a60,0xa880000a,0x000a2000,0x06a20000,0x8000000a,0x00a20002,
    0x3bbbbbae,0xdddb1eee,0x43dddddd,0xd75eeeee,0xdddddddd,0xeeeee88b,
    0x04c0001e,0x3fffb6a0,0x44002eff,0x04fffffd,0x7fffed40,0x3fa60cef,
    0x4004ffff,0xcefffed9,0x2ffe200a,0x54000000,0xcadfffff,0x44000007,
    0xdddd57fc,0x7f645ddd,0xfb101dff,0x41dfffff,0xffffffc8,0x67fe440d,
    0xfffff910,0xf91019ff,0x777545df,0x75c3eeee,0xefd885ff,0xffffeb9b,
    0x7fff5002,0x801dff71,0xebacefe9,0xffb9efff,0x0effea9d,0x9dfffa80,
    0x101fffda,0x005bffff,0x7dff9000,0x00ffffb5,0x3ff6a000,0x3fffaa7f,
    0xfffd8bff,0x3601ffff,0xd05fffff,0x209fffff,0xfff906f8,0x7c401fff,
    0xfffe981f,0x3fff64ff,0x3ffea1ff,0x7ffffc40,0x17ffdc01,0x4c03fffa,
    0xffe80fff,0x220effff,0x7e406fff,0x7ffc45ff,0xffff902f,0x000017df,
    0xe885fff5,0x100000ff,0x7dfffff7,0xdfffffc8,0xffffdcfe,0x3ffe206f,
    0xfff507ff,0x0be60dff,0x7fffffc4,0xa817e601,0xfb4fffff,0x747fffff,
    0xffd81fff,0x3fe607ff,0x4fffa86f,0x80ffff88,0x2ffffff9,0x503fffc8,
    0xf905ffff,0x75c01fff,0x01dfffff,0x03fffa00,0x00003fe2,0xbfffffb3,
    0x3fffee05,0x7ffe46ff,0x3ff602ff,0xff982fff,0x7b81ffff,0x7ffffe40,
    0x9807ee04,0xfbcfffff,0x31fffffe,0xf90bffff,0x3601ffff,0xff884fff,
    0x7ffd40ff,0xffff985f,0xfffa80ff,0xffffe80f,0x5ffffa80,0xffffc980,
    0x22000bef,0xf505ffff,0xfd710001,0x8019ffff,0x0efffffa,0x1fffffd4,
    0xbfffff50,0xffffff70,0xf8809d09,0xd00fffff,0xffff980d,0xffb13fef,
    0x7ffffdcb,0x7ffffe40,0x3ffffa81,0xb89ffff0,0x440fffff,0x307fffff,
    0xfa85ffff,0xff307fff,0x22001fff,0xcfffffeb,0xffff9801,0x001e80df,
    0x3fffff26,0x3fea003e,0xff983fff,0x7f404fff,0x6740ffff,0x4c7fffff,
    0xfffd801f,0x02f883ff,0x7fffffcc,0x7fc41886,0xfffc86ff,0xfffd81ff,
    0xbffff02f,0x06ffff88,0x20dfffff,0x744ffff8,0xf106ffff,0x0005ffff,
    0xdfffffb5,0x7fffc405,0x004c2fff,0x7fffff54,0xffa8001d,0xff983fff,
    0x7e404fff,0x3e63ffff,0x1fffffe8,0x7fcc01b2,0x07c86fff,0xffffff98,
    0x37f6a002,0x7fffec41,0xffffe81f,0x0dffff01,0xf303bfd5,0x2209ffff,
    0x7fc5ffff,0xff106fff,0x40007fff,0xffffffb8,0xfffff81c,0x91004fff,
    0x17ffffff,0x7ffd4000,0xfff983ff,0x7fcc05ff,0x5d726fff,0x3a4fffff,
    0x3fffa003,0x401fc2ff,0x0ffffff9,0xffc88000,0xf81fffff,0xffffffff,
    0x07ffffff,0x3fff6602,0xffffffff,0x26ffffff,0x06fffff8,0x0bfffff1,
    0x3ff6a000,0x3ea2dfff,0xefffffff,0xffffb500,0x200005bf,0x83fffffa,
    0x05fffff9,0x1fffffe8,0x3fffe25f,0x4003f37f,0x25fffffb,0xff9800fa,
    0x40007fff,0xffccffc8,0x7fc41fff,0xaaaacfff,0x00aaaaaa,0xff9efd98,
    0xaaaaefff,0x22aaaaaa,0x06fffffa,0x0ffffff1,0xffd98000,0x7ffec7ff,
    0x41ffffff,0x1dfffff8,0x7fd40000,0xff983fff,0xfb805fff,0x0facffff,
    0x2bfffff6,0xfff8006c,0x009d1fff,0x1bffffe6,0x3fffb800,0x83fffff9,
    0x03fffff9,0x9ffb1000,0x037ffffc,0xfffffa80,0xfffff105,0x6d40000f,
    0xd85fffff,0xffffffff,0x3fffa20e,0x00001cff,0x0fffffea,0x17ffffe6,
    0x3ffffe20,0x7ffd45df,0x8003fdff,0x9cfffffc,0xfff3001f,0xb1000bff,
    0x7fe45fff,0x7fcc1fff,0x80005fff,0x7f43fffb,0x30007fff,0x20bfffff,
    0x07fffff8,0x7ffdc400,0x2e00cfff,0xffffffff,0xffffda83,0xa80002ef,
    0x983fffff,0x005fffff,0x5ffffffb,0xfffffff0,0xfff10001,0x400dbfff,
    0x04fffff9,0x1ffffcc0,0x07fffff2,0x0dfffff1,0x7ffec400,0xfffffe84,
    0xfff88001,0xfff106ff,0x26000dff,0x2efffffd,0x3fffe600,0x2e206fff,
    0x0cffffff,0xffff5000,0xffff307f,0x3fea00bf,0xff907fff,0x4000bfff,
    0x2ffffffd,0x3fffe600,0x3fa2004f,0x7fe40fff,0xfff81fff,0xb0001fff,
    0xf903ffff,0x0009ffff,0x41bffffe,0x04fffff9,0x3fffae20,0x83801cff,
    0xffffffd8,0xfffda800,0x54002dff,0x983fffff,0x005fffff,0x413ffffe,
    0x03fffff9,0x3fffe600,0x7fcc007f,0x32004fff,0xfc86ffff,0xfd81ffff,
    0x4806ffff,0x837fffd4,0x0ffffffa,0x3ff22440,0xfff307ff,0xf93005ff,
    0x017dffff,0xffb80fc0,0x22001fff,0xbffffffc,0xffffa800,0xffff983f,
    0x3ff2005f,0x3ffa01ff,0x740000ff,0x4003ffff,0x04fffff9,0x3fffffa0,
    0x3ffff620,0xffff981f,0xd13603ff,0x201fffff,0x05ffffff,0x3ffe21ec,
    0xffff507f,0xfffda80d,0xd0001dff,0x3fffec09,0xfffd5000,0x7d403bff,
    0xf983ffff,0x2005ffff,0x5c06fff9,0x80005fff,0x000ffffb,0x27ffffcc,
    0xffffff00,0xfffff97d,0x3ffa05ff,0x6443ffff,0x7ffffc0f,0x7ffe444f,
    0x440dffff,0xffff706d,0x5ffff703,0xfffff710,0xe800017f,0xbfff502f,
    0xff930000,0xa817dfff,0x984fffff,0x005fffff,0x2201fff4,0x00002fff,
    0x3000bfff,0x00bfffff,0x7fffffe4,0xffffbdff,0x7fcc4cef,0xddffffff,
    0xfffd82ff,0xefedffff,0xffffffea,0x01ffecdf,0x88bfffd1,0xf884ffff,
    0x002dffff,0x207ffa00,0x0001fffb,0x3fffae20,0x7fffdc7f,0xffffa84f,
    0x7fdc006f,0x007fd800,0x007ff200,0x3ffffea0,0x3ffe6005,0x3fa2ffff,
    0xd105ffff,0xffffffff,0x3ffe605f,0x23ffffff,0xffffffd8,0xd801ffff,
    0xff913fff,0x3ffe205f,0xd800000c,0xff51cfff,0x4000005f,0x3a67ffc9,
    0x21ffffff,0xffffffd8,0x01be2002,0x00002fd4,0xb1000df1,0x03ffffff,
    0x677fed40,0x277fed40,0x3ffff620,0x7e401eff,0x00dfffff,0xffffffd9,
    0x7fdc0019,0x01efffff,0x00000ba2,0xfffd9fb0,0x00005dff,0x7ddae200,
    0xffffffff,0xffffff8b,0x2e005fff,0x00072002,0xa8003700,0xffffffff,
    0x022001ef,0x26000220,0x26001acb,0x22000acb,0x0000aaca,0x0006eea2,
    0x15000000,0x0000bb98,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x20000000,0x151000a8,0x20000a00,0x777775c2,0x3bbaa2ee,
    0xe883eeee,0xeeeeeeee,0x2eeeeeee,0x3bbbbbba,0xddd95eee,0x54001ddd,
    0x791dc00c,0x0000ca80,0x20002b80,0x80030001,0x00c00008,0xee980a98,
    0x2e3eeeee,0x884efffe,0x02dfffec,0x32a60ff2,0x23fd80ab,0xffffffb8,
    0x7ffff542,0xefff884f,0xfffccccd,0x3260ffff,0x2fffffff,0x06ffff22,
    0x6405fa80,0x880ff22f,0x200000ef,0xd8005ffd,0x27d4001f,0x002ffc80,
    0x16fffed4,0x41ffff54,0x4fffffea,0xfffffffb,0x7ffff449,0xff982fff,
    0xffffd53f,0x3ff63bff,0x7fffec0e,0xffffb82f,0x03ff884f,0x7ffffff3,
    0x3fffff20,0x0077cc1f,0xc807fe60,0x017fc46f,0x00001df9,0x800ffff1,
    0x5001fffb,0xf8803fff,0x3ea006ff,0x40ffffff,0x83ffffff,0xedfffffa,
    0xffffebcf,0xfccff9af,0xa80fffff,0xffffefff,0xfeffffff,0xfffc80ef,
    0xfffa82ff,0x04f884ff,0x1bfffffa,0xbfffffd0,0x4c000fc8,0x3fee05ff,
    0x101ffc81,0x20000bff,0xc8005ffe,0x7d401fff,0xff9803ff,0x37f3007f,
    0x54bfffd7,0x87ffffff,0xfffffffa,0x3ffffe21,0x7ffdc5ff,0xfff503ff,
    0xb73359ff,0x201dffff,0x82fffffb,0x84fffffa,0xfff701f8,0xf9803fff,
    0xf31fffff,0xfff88005,0x20bff701,0xf901fff8,0x710000bf,0x3f200017,
    0xfff501ff,0x27ff4007,0x7fd41c80,0x3fffea5f,0x7fcc1fff,0xfe81ffff,
    0xf985ffff,0x3a04ffff,0x3ea00dff,0x3fee03ff,0xffa82fff,0x06884fff,
    0xbffffff1,0x3ffff600,0x8800bd5f,0xff505ffe,0x77fe403f,0x04fff880,
    0x90000000,0xffa83fff,0xb839303f,0x02ee21ff,0xf0bffe20,0x85ffffff,
    0x04fffff9,0x03fffffb,0x0bfffff1,0x4c017fea,0x3fee07ff,0xffa82fff,
    0x64004fff,0x00ffffff,0xffffff10,0x744001fb,0xff980fff,0x7ffc405f,
    0x4fffc80e,0x00000000,0x3ea3fff9,0xfff303ff,0xf99be21b,0xffc806ff,
    0xfeffea82,0x7fffcc1f,0xffffb04f,0xffff103f,0x03ffa0bf,0x703ffb80,
    0x505fffff,0x009fffff,0x7fffffcc,0x7ffe4003,0x74002fff,0xff984fff,
    0xffc801ff,0xffff886f,0x00000003,0xff9fffb0,0x7ffdc07f,0x3ea7b0ff,
    0xb300ffff,0x4201bfff,0x7fcc0ff9,0xffb04fff,0xff103fff,0xff10dfff,
    0x0dff0009,0x0bffffee,0x13ffffea,0xfffffe80,0xfff88006,0x36003fff,
    0x7c40ffff,0xf1005fff,0xff90bfff,0x7775c5ff,0xeeeeeeee,0xeeeeeeee,
    0x7ec02eee,0x4403ffff,0xdbffffff,0x5fffffcb,0xfffffd10,0x987fb80d,
    0x904fffff,0x103fffff,0x50dfffff,0xfd0005ff,0x3fffee0f,0xffffa82f,
    0xfff7004f,0x20003fff,0x0ffffffb,0x4ffffd80,0x0fffff44,0x9ffff900,
    0x2fffff88,0xfffffff9,0xffffffff,0x7fffffff,0x09fffb00,0x33336e20,
    0xcccccefc,0xfffd8802,0x20ffa02f,0x04fffff9,0x03fffff9,0x0dfffff1,
    0x90003ff7,0xfff701ff,0xfff505ff,0xff1009ff,0x000bffff,0x7fffffc4,
    0xffffe803,0x7ffffcc4,0x3ffee000,0x7fff40ef,0xfffff94f,0xffffffff,
    0xffffffff,0xfffa807f,0x320001ff,0x640001ed,0xdf104fff,0x3ffffe60,
    0xfffff904,0xfffff103,0x005ff50d,0x3ee0ffb0,0xfa82ffff,0xd804ffff,
    0x00ffffff,0x7fffdc00,0x7f4400ff,0x7fd40fff,0x3fa004ff,0x7fcc0eff,
    0x000004ff,0xefffa800,0x4c001fff,0x003fa8fe,0x40fffe60,0xfff301fd,
    0x3ff209ff,0xff881fff,0xff986fff,0x06ff8003,0x05fffff7,0x09fffff5,
    0xffffff98,0xffd80003,0x8804ffff,0xfa84fffe,0xfb800fff,0xffe80fff,
    0x0000005f,0x93fffa80,0x2e003fff,0x3dff16ff,0x07ff6000,0x7cc01db1,
    0xf904ffff,0xf103ffff,0xf10dffff,0xff9800df,0xfffff705,0xfffff505,
    0xffffe809,0x2002a06f,0xfffffcfa,0xfff8800f,0x4fffb80f,0x81fffe80,
    0x0005fffa,0xffa80000,0x0fffe43f,0xe93fff20,0xed982fff,0x75c4fe82,
    0x7ffcc00c,0xfff904ff,0xfff103ff,0x3ff20dff,0x07ffa003,0x17ffffdc,
    0x27ffffd4,0xffffff70,0x22007403,0xfffffd4f,0x3ffe6009,0x01fff904,
    0xe80fffdc,0x40000eff,0x3ea0002b,0xfff903ff,0x0ffffc03,0xf70bfff9,
    0xbf715bff,0x7fcc0050,0xff904fff,0xff103fff,0x3e20dfff,0xffd802ff,
    0x3fffea05,0xffffd83f,0xffff104f,0x07cc0bff,0xfff99b60,0xf3001fff,
    0x3ff201ff,0x40bffe04,0x0000effa,0x40027ff4,0x6403fffa,0xffd01fff,
    0x84fff98d,0xdfffffd8,0xff980001,0xffb04fff,0xff103fff,0x3a20dfff,
    0xe980cfff,0x3e604fff,0x7e44ffff,0xb04fffff,0x01ffffff,0x3f701fe2,
    0x5fffffe8,0x813fea00,0xffb80ffd,0x003bfa02,0x0ffff100,0x03fffa80,
    0x303fffb0,0x1bd703bb,0x0004cc40,0x3fffe600,0xffffb05f,0xffff103f,
    0xfffd10df,0xffdbdfff,0x407fffff,0xabfffffe,0xfffffdfd,0xfffff985,
    0x0dfd503f,0x7fd42fd4,0x2003ffff,0x3fa01ffb,0x2e03ff85,0xd00001ff,
    0xe8800bff,0x77ec003f,0x00000000,0xfff50000,0x3ffa0dff,0xff982fff,
    0x7f447fff,0xffffeaef,0xffbcffff,0xffff103f,0xff55ffff,0xfe83ffff,
    0xbabfffff,0x86ffffcc,0xf986ffc9,0x02ffffff,0xe8817ee0,0xf013ee1f,
    0x4400003f,0x388000bc,0x00017000,0x00000000,0x3fffff62,0x7fffcc2f,
    0x3f621eff,0x223fffff,0x3b6a0efe,0x3ea0ceff,0x3ffaa04f,0xfff51eff,
    0x3ee9ffff,0xffffffff,0x5fffffff,0x77fffff4,0xffffffd4,0x6400dfff,
    0xd8f6200e,0x000f5404,0x00000000,0x00000000,0x7d400000,0xffffffff,
    0xffffffb5,0xfff35fff,0x4fffffff,0x2a0000d8,0x01573004,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x88004400,0x01880009,0x20000000,0x99999999,0x99999999,
    0x01999999,0x00000011,0xcccccb80,0x333332e0,0x417b7100,0x88888888,
    0x80000888,0x03000009,0x00026200,0x80098011,0xbffb1008,0x3fb7ee03,
    0x77e400df,0xff881efd,0xffffffff,0xffffffff,0x3e27ffff,0xffffffff,
    0xffffffff,0x987fffff,0x3fb2200f,0x5c000ade,0x7ffffc45,0x7ffffc43,
    0xfffff984,0xfffffff0,0x005fffff,0x8003fe40,0xbdfffdb8,0x7ffed400,
    0x2fecc01e,0x80cffd98,0x5c1dffd8,0xfd85ffff,0x203bfee2,0x3fea6fe8,
    0x7ffffc43,0xffffffff,0xffffffff,0x3fffe27f,0xffffffff,0xffffffff,
    0x0f7447ff,0xffffff98,0x9f001dff,0x04ffffb8,0x90dffff3,0x3e7fffff,
    0xffffffff,0x30002fff,0x88007fff,0xfffffffe,0xffff900e,0xeb881fff,
    0xffb05fff,0xfff907ff,0xffffe8bf,0xa97fea0f,0xffd82fff,0x910fffc3,
    0x99999999,0x99999999,0x44ffd999,0xcccccccc,0xcccccccc,0x44cccccc,
    0xfe84fffc,0xffffffff,0x7f500bef,0x404fffd8,0x7c1ffff9,0xff6fffff,
    0xffffffff,0x360005ff,0x1000ffff,0xd979fffd,0xdf981dff,0x24ffffec,
    0x5fffecd9,0x6fffff88,0x0ffffff8,0x83fffffe,0x3fe67ffc,0x17ffd43f,
    0x00017ffa,0x000ffb00,0x3fee0000,0x45f7dc7f,0xfffffda8,0xfda9adff,
    0x13ffe20f,0x227ffcc0,0xf4fffffd,0xffffffff,0x50005fff,0x009fffff,
    0x32037ff6,0x321746ff,0xff707fff,0xffff10bf,0xfffff0df,0x7fffec1f,
    0xf70edc46,0xfffb89ff,0x003fff41,0x01ff6000,0xfb800000,0x403f60ff,
    0xfffffea8,0x5c3fffff,0x7cc005ff,0x7fffd46f,0x3333331f,0x01333333,
    0xff7ffd00,0x6ff8803f,0x010ffec0,0x2a0dfff1,0xfff05fff,0xfffb0bff,
    0xffffc8df,0x3f7ee205,0x7ffec4ff,0x007fff41,0x0ffb0000,0x64000000,
    0x8027c6ff,0xffffffc9,0x005fd83f,0xea83ff50,0x000002df,0x7ed3fee0,
    0x17fd405f,0x100ffe20,0x3ea07fff,0xfffd05ff,0xffff907f,0x3ffffa89,
    0xff33ff70,0x1fffd89f,0x0007fff4,0x98ffb000,0x99999999,0x99999999,
    0x54199999,0x07a22fff,0x33772a00,0x80009901,0x000101ca,0xfff88000,
    0x405fff10,0xff800ffc,0x07ffd405,0x905fffa8,0xf503ffff,0xff885fff,
    0x7fec41ff,0xc89fff31,0x7ff41fff,0x6c000007,0x3fffe27f,0xffffffff,
    0xffffffff,0xbfffd7ff,0x00000003,0x00000000,0x7e400000,0x037fdc3f,
    0xff001ff9,0x02ffc80d,0x5417ffea,0xff107fff,0xfffd01ff,0x7ccdff70,
    0x7ffd44ff,0x002fff41,0x89ff6000,0xffffffff,0xffffffff,0x37ffffff,
    0x00000000,0x00000000,0x7cc00000,0x07fff07f,0xf100bfee,0x1ffcc09f,
    0x417ffea0,0x3a05fff8,0xbff906ff,0xb33fffd0,0xffb09fff,0x001fff85,
    0x12654000,0x99999999,0x99999999,0x09999999,0x00000000,0x00000000,
    0xffb00000,0x03ffea05,0xfb01bfe6,0x0ffa205f,0x817ffea0,0x3f203ffe,
    0x07ff304f,0xf5fffffb,0x74419dff,0x00ffea5f,0x00000000,0x00000000,
    0x00000000,0x00000000,0xd01bfea0,0x3ff609ff,0x06ffc80d,0x50710bf6,
    0x7dc0bfff,0x0bfea01f,0xfd981ff8,0x1bfd70ce,0xdfbff910,0x00000003,
    0x00000000,0x00000000,0x00000000,0x3ffa0000,0x07ffcc01,0x5e7fffc4,
    0x901fffec,0xbd33337f,0x40bfff50,0x7fc407f9,0x0001f600,0x00026200,
    0x00000000,0x00000000,0x00000000,0x00000000,0xb005ffb8,0x3fa60bff,
    0x2fffffff,0xffffff90,0xfff707ff,0xe805f80d,0x00025407,0x00000000,
    0x00000000,0x00000000,0x00000000,0x44000000,0xf1000fff,0x7fe403ff,
    0xf700dfff,0xffffffff,0x0dfff903,0x04b802c8,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x09ff9000,0x806ffb80,0x7fd400a8,
    0xffffffff,0xffffdd10,0x00003ddf,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,0x00000000,
    0x00000000,
};

static signed short stb__times_bold_48_latin1_x[224]={ 0,3,3,0,1,3,1,2,1,0,2,0,1,1,
1,0,1,2,1,0,1,1,1,1,1,1,3,3,0,0,0,2,1,0,0,1,0,0,0,1,0,0,0,0,
0,0,0,1,1,1,0,2,1,1,0,0,0,0,0,4,0,1,3,-1,0,1,0,1,1,1,1,1,1,0,
-2,1,0,1,1,1,0,1,1,1,0,1,0,0,0,0,0,3,3,1,0,6,6,6,6,6,6,6,6,6,
6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,6,0,3,2,0,0,0,
3,1,0,1,0,0,0,1,1,-1,1,0,0,0,4,1,0,1,3,1,1,0,1,1,0,2,0,0,0,0,
0,0,-1,1,0,0,0,0,0,0,0,0,0,0,1,1,1,1,1,3,1,1,1,1,1,0,0,1,1,1,
1,1,1,1,1,1,1,1,1,1,-1,0,-1,-1,1,1,1,1,1,1,1,0,1,1,1,1,1,0,0,0,
 };
static signed short stb__times_bold_48_latin1_y[224]={ 38,8,8,8,8,8,8,8,8,8,8,12,31,25,
31,8,8,8,8,8,8,9,8,9,8,8,17,17,13,18,13,8,8,8,9,8,9,9,9,8,9,9,9,9,
9,9,9,8,9,8,9,8,9,9,9,9,9,9,9,9,8,9,8,44,8,17,9,17,9,17,8,17,9,8,
8,9,9,17,17,17,17,17,17,17,10,18,18,18,18,18,18,8,8,8,22,10,10,10,10,10,10,10,10,10,
10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,10,38,17,9,8,13,9,
8,8,9,8,8,18,18,25,8,4,8,12,8,8,8,18,9,20,37,8,8,18,8,8,8,17,-1,-1,-1,0,
0,1,9,8,-1,-1,-1,0,-1,-1,-1,0,9,0,-1,-1,-1,0,0,14,7,-1,-1,-1,0,-1,9,8,8,8,
7,8,9,7,17,17,8,8,7,9,8,8,7,9,8,8,8,8,7,8,9,14,17,8,8,7,9,8,8,9,
 };
static unsigned short stb__times_bold_48_latin1_w[224]={ 0,8,18,21,20,38,34,8,13,13,18,24,9,13,
8,13,20,17,19,20,19,20,20,20,20,20,8,9,24,24,24,18,39,31,28,28,30,27,26,33,33,16,22,35,
28,41,31,32,25,32,32,21,27,30,31,43,32,31,29,10,13,9,20,24,10,20,23,18,23,18,17,20,22,12,
13,24,12,34,22,20,23,23,18,15,15,22,22,31,21,22,19,13,4,13,24,22,22,22,22,22,22,22,22,22,
22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,22,0,8,18,21,22,22,
4,19,15,31,14,21,25,13,31,24,15,24,12,12,10,24,24,8,8,11,13,21,31,31,32,18,31,31,31,31,
31,31,43,28,27,27,27,27,16,16,16,16,30,31,32,32,32,32,32,19,32,30,30,30,30,31,25,21,20,20,
20,20,20,20,30,18,18,18,18,18,13,13,14,14,20,22,20,20,20,20,20,24,20,22,22,22,22,22,23,22,
 };
static unsigned short stb__times_bold_48_latin1_h[224]={ 0,31,15,31,33,32,31,15,39,39,18,24,15,6,
8,31,31,30,30,31,30,30,31,30,31,31,22,29,22,11,22,31,40,30,29,31,29,29,29,31,29,29,30,29,
29,29,30,31,29,38,29,31,29,30,30,30,29,29,29,37,31,37,16,4,8,22,30,22,30,22,30,31,29,30,
40,29,29,21,21,22,31,31,21,22,29,21,21,21,20,30,20,39,40,39,8,28,28,28,28,28,28,28,28,28,
28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,28,0,31,37,31,21,29,
40,40,6,31,14,20,11,6,31,4,16,24,16,17,8,30,39,8,10,16,14,20,32,32,32,31,39,39,39,38,
38,37,29,39,39,39,39,38,39,39,39,38,29,39,40,40,40,39,39,19,33,40,40,40,39,39,29,31,31,31,
32,31,30,32,22,30,31,31,32,30,30,30,31,29,31,30,31,31,32,31,30,19,22,31,31,32,30,40,40,39,
 };
static unsigned short stb__times_bold_48_latin1_s[224]={ 250,78,63,211,62,1,138,82,98,126,213,
184,245,236,247,216,230,168,166,117,207,145,164,186,226,1,247,224,134,146,93,
92,72,1,161,173,30,133,209,111,190,1,102,18,1,119,47,1,1,113,27,
119,61,211,136,149,176,144,114,238,202,1,1,184,216,1,125,236,193,22,1,
57,60,242,53,230,217,1,159,72,22,46,237,118,77,59,214,182,102,113,82,
1,67,172,180,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,
161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,161,250,217,43,
70,36,54,1,143,236,87,91,124,120,236,185,209,22,209,38,232,205,186,88,
227,171,51,106,146,73,116,40,56,112,172,32,174,206,11,89,97,144,29,1,
146,204,186,15,235,83,140,194,1,34,64,221,193,83,67,163,112,57,203,93,
147,169,75,148,96,33,169,41,54,233,1,234,73,33,19,20,234,35,227,126,
190,190,105,92,168,234,34,141,211,79,30,6,227, };
static unsigned short stb__times_bold_48_latin1_t[224]={ 1,266,527,201,163,201,234,526,42,83,505,
452,505,526,289,234,234,330,298,234,298,298,266,298,266,298,266,392,482,526,482,
298,1,330,392,234,452,452,422,298,392,392,361,392,452,392,361,266,422,123,422,
266,452,330,330,361,422,422,422,123,234,163,527,477,526,482,361,422,361,482,361,
266,422,330,1,361,361,505,482,482,298,298,482,482,392,505,482,482,505,330,505,
83,1,83,526,452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,
452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,452,1,266,163,
298,505,392,1,1,445,266,526,505,526,526,266,477,527,452,527,505,526,330,123,
526,526,527,526,505,201,163,201,234,42,42,83,123,123,163,452,83,42,123,123,
123,42,83,83,83,422,83,1,42,42,83,42,505,163,42,1,1,123,83,392,
201,201,234,163,234,330,163,482,330,201,234,163,330,361,361,234,392,234,298,201,
201,163,201,330,505,452,266,266,163,361,1,1,1, };
static unsigned short stb__times_bold_48_latin1_a[224]={ 173,231,385,347,347,694,578,193,
231,231,347,395,173,231,173,193,347,347,347,347,347,347,347,347,
347,347,231,231,395,395,395,347,645,501,463,501,501,463,424,539,
539,270,347,539,463,655,501,539,424,539,501,386,463,501,501,694,
501,501,463,231,193,231,403,347,231,347,386,308,386,308,231,347,
386,193,231,386,193,578,386,347,386,386,308,270,231,386,347,501,
347,347,308,273,153,273,361,539,539,539,539,539,539,539,539,539,
539,539,539,539,539,539,539,539,539,539,539,539,539,539,539,539,
539,539,539,539,539,539,539,539,173,231,347,347,347,347,153,347,
231,518,208,347,395,231,518,347,277,381,208,208,231,400,375,173,
231,208,229,347,520,520,520,347,501,501,501,501,501,501,694,501,
463,463,463,463,270,270,270,270,501,501,539,539,539,539,539,395,
539,501,501,501,501,501,424,386,347,347,347,347,347,347,501,308,
308,308,308,308,193,193,193,193,347,386,347,347,347,347,347,381,
347,386,386,386,386,347,386,347, };

// Call this function with
//    font: NULL or array length
//    data: NULL or specified size
//    height: STB_FONT_times_bold_48_latin1_BITMAP_HEIGHT or STB_FONT_times_bold_48_latin1_BITMAP_HEIGHT_POW2
//    return value: spacing between lines
static void stb_font_times_bold_48_latin1(stb_fontchar font[STB_FONT_times_bold_48_latin1_NUM_CHARS],
                unsigned char data[STB_FONT_times_bold_48_latin1_BITMAP_HEIGHT][STB_FONT_times_bold_48_latin1_BITMAP_WIDTH],
                int height)
{
    int i,j;
    if (data != 0) {
        unsigned int *bits = stb__times_bold_48_latin1_pixels;
        unsigned int bitpack = *bits++, numbits = 32;
        for (i=0; i < STB_FONT_times_bold_48_latin1_BITMAP_WIDTH*height; ++i)
            data[0][i] = 0;  // zero entire bitmap
        for (j=1; j < STB_FONT_times_bold_48_latin1_BITMAP_HEIGHT-1; ++j) {
            for (i=1; i < STB_FONT_times_bold_48_latin1_BITMAP_WIDTH-1; ++i) {
                unsigned int value;
                if (numbits==0) bitpack = *bits++, numbits=32;
                value = bitpack & 1;
                bitpack >>= 1, --numbits;
                if (value) {
                    if (numbits < 3) bitpack = *bits++, numbits = 32;
                    data[j][i] = (bitpack & 7) * 0x20 + 0x1f;
                    bitpack >>= 3, numbits -= 3;
                } else {
                    data[j][i] = 0;
                }
            }
        }
    }

    // build font description
    if (font != 0) {
        float recip_width = 1.0f / STB_FONT_times_bold_48_latin1_BITMAP_WIDTH;
        float recip_height = 1.0f / height;
        for (i=0; i < STB_FONT_times_bold_48_latin1_NUM_CHARS; ++i) {
            // pad characters so they bilerp from empty space around each character
            font[i].s0 = (stb__times_bold_48_latin1_s[i]) * recip_width;
            font[i].t0 = (stb__times_bold_48_latin1_t[i]) * recip_height;
            font[i].s1 = (stb__times_bold_48_latin1_s[i] + stb__times_bold_48_latin1_w[i]) * recip_width;
            font[i].t1 = (stb__times_bold_48_latin1_t[i] + stb__times_bold_48_latin1_h[i]) * recip_height;
            font[i].x0 = stb__times_bold_48_latin1_x[i];
            font[i].y0 = stb__times_bold_48_latin1_y[i];
            font[i].x1 = stb__times_bold_48_latin1_x[i] + stb__times_bold_48_latin1_w[i];
            font[i].y1 = stb__times_bold_48_latin1_y[i] + stb__times_bold_48_latin1_h[i];
            font[i].advance_int = (stb__times_bold_48_latin1_a[i]+8)>>4;
            font[i].s0f = (stb__times_bold_48_latin1_s[i] - 0.5f) * recip_width;
            font[i].t0f = (stb__times_bold_48_latin1_t[i] - 0.5f) * recip_height;
            font[i].s1f = (stb__times_bold_48_latin1_s[i] + stb__times_bold_48_latin1_w[i] + 0.5f) * recip_width;
            font[i].t1f = (stb__times_bold_48_latin1_t[i] + stb__times_bold_48_latin1_h[i] + 0.5f) * recip_height;
            font[i].x0f = stb__times_bold_48_latin1_x[i] - 0.5f;
            font[i].y0f = stb__times_bold_48_latin1_y[i] - 0.5f;
            font[i].x1f = stb__times_bold_48_latin1_x[i] + stb__times_bold_48_latin1_w[i] + 0.5f;
            font[i].y1f = stb__times_bold_48_latin1_y[i] + stb__times_bold_48_latin1_h[i] + 0.5f;
            font[i].advance = stb__times_bold_48_latin1_a[i]/16.0f;
        }
    }
}

#ifndef STB_SOMEFONT_CREATE
#define STB_SOMEFONT_CREATE              stb_font_times_bold_48_latin1
#define STB_SOMEFONT_BITMAP_WIDTH        STB_FONT_times_bold_48_latin1_BITMAP_WIDTH
#define STB_SOMEFONT_BITMAP_HEIGHT       STB_FONT_times_bold_48_latin1_BITMAP_HEIGHT
#define STB_SOMEFONT_BITMAP_HEIGHT_POW2  STB_FONT_times_bold_48_latin1_BITMAP_HEIGHT_POW2
#define STB_SOMEFONT_FIRST_CHAR          STB_FONT_times_bold_48_latin1_FIRST_CHAR
#define STB_SOMEFONT_NUM_CHARS           STB_FONT_times_bold_48_latin1_NUM_CHARS
#define STB_SOMEFONT_LINE_SPACING        STB_FONT_times_bold_48_latin1_LINE_SPACING
#endif

